<!-- Before proceeding, please only use this MR template for Handbook Operations changes, such as the theme, site configuration, CI. -->
<!-- vale off -->

## Why is this change being made?

> :bulb: **Provide a detailed answer to the question on *why* this change is being proposed, in accordance with our value of [Transparency][transparency].**
> Please add the details saying [why, not just what][say-why-not-just-what] in this section.



/assign me
/assign_reviewer @
/label ~"Handbook::Operations" ~"type::maintenance"

## Author and Reviewer Checklist

**Please verify the check list and ensure to tick them off before the MR is merged.**

- [ ] Provided a concise title for this [Merge Request (MR)][mr]
- [ ] Added a description to this MR explaining the reasons for the proposed change, per [**say why, not just what**][say-why-not-just-what]
  - Copy/paste the Slack conversation to document it for later, or upload screenshots. Verify that no confidential data is added, and the content is [SAFE][SAFE]
- [ ] Assign reviewers for this MR to a code owner, typically [a handbook maintainer][hb-maintainer]
    - If you're unsure, please mention [the handbook triager][hb-triager]
- [ ] For transparency, share this MR with the audience that will be impacted
   - [ ] `#handbook` Slack channel if there is any user impact
   - [ ] `#mr-buddies` Slack channel if changes _may_ impact more users
   - [ ] [#whats-happening-at-gitlab][whats-happening-at-gitlab-slack] linking to this MR if a large number of team members are impacted

## Commits

%{all_commits}

---

<!-- DO NOT REMOVE -->
[transparency]: https://handbook.gitlab.com/handbook/values/#transparency
[mr]: https://docs.gitlab.com/ee/user/project/merge_requests/
[say-why-not-just-what]: https://handbook.gitlab.com/handbook/values/#say-why-not-just-what
[SAFE]: https://handbook.gitlab.com/handbook/legal/safe-framework/
[hb-maintainer]: https://gitlab.com/groups/gitlab-com/content-sites/handbook-tools/-/group_members?with_inherited_permissions=exclude
[hb-triager]: https://handbook.gitlab.com/handbook/about/maintenance/#team-structure
[internal-communications]: https://handbook.gitlab.com/handbook/people-group/employment-branding/people-communications/
[mr-buddies-slack]: https://gitlab.slack.com/archives/CLM8K5LF4
[company-fyi-slack]: https://gitlab.slack.com/archives/C010XFJFTHN
[whats-happening-at-gitlab-slack]: https://gitlab.slack.com/archives/C0259241C
[engagement-channels]: https://handbook.gitlab.com/handbook/people-group/employment-branding/people-communications/#people-communications--engagement-channels
