##### Development

* Writes [tests](https://docs.gitlab.com/ee/development/testing_guide/best_practices.html) with every MR and works to uplift the quality of the code.
* When working in an existing area of the code base, is able to recognise and propose an improvement.
* Able to give an estimate and execute on proposals that do not affect deliverables.
* Is aware of company established development processes that are aimed at reducing security related issues.
* Adopts a security minded software development approach by following [Secure Coding Guidelines](https://docs.gitlab.com/ee/development/secure_coding_guidelines.html) early in the development process.
* Able to take on security related issues, come up with an effective approach and deliver a working solution.
* Able to tackle all but large issues independently. Large issues with provided clear requirements and design implementation require little effort, issues that are not clearly defined require team assistance.
* Asks for help when an issue is taking longer to implement, works with the team to split the issue into smaller issues.
* Proactively looks for opportunities to eliminate technical debt by creating technical debt issues, resolving technical debt issues and writing quality code that reduces additional technical debt.
* Performs thorough reviews within their domain and submits helpful comments.
* Knows which tools are available to them to debug performance problems and understands how to use them.
* Understands how their code would be used in a production instance and how they can access [monitoring](/handbook/engineering/#monitoring-tools) information (if available for their group).
* Encourages participation from those in the community.
* When working in an existing code area, leaves it in a better state than before.
