##### Development

* Improves the state of our test framework and any other dependencies.
* Coaches others on improving their tests.
* Always looks to improve our test coverage with every MR coded or reviewed.
* Ensures security best practices are followed across many domains and escalate security risks
* Able to take on large issues with vague requirements and design an implementation.
* Implements the GitLab [Iteration](/handbook/values/#iteration) value when faced with an issue that grows in size or complexity by converting the issue into an Epic or breaking it down into smaller issues.
* Helps to set and enforce coding standards.
* Looks to maintain coding consistency across the code base.
* Provides reviews across many domains and be mindful of how changes may impact other teams.
* Improves the [engineering projects](/handbook/engineering/projects/) at GitLab as a [project maintainer](/handbook/engineering/workflow/code-review/#maintainer). For more information regarding timelines and exceptions, [see this page](/handbook/engineering/workflow/code-review/#senior-maintainers).
* Able to resolve complex performance issues.
* Mentors others on best practices.
* Understands how code in their domain performs in production on GitLab.com.
* Understands impact of the architecture and dependencies required for the self-managed product.
* Act as coach for open source contributors.
