### Giving / receiving feedback

It can be hard to understand how you're doing in your role, because feedback can come off as formal (annual reviews, 360 surveys, career development conversations, goal check-ins) or casual (in Slack channels, 1-1's, MR reviews, team meetings.) We receive various kinds of feedback regularly and through different formats, so the type of feedback you're receiving is not always clear. In order to be more intentional about the types of feedback given, here is a classification chart based on [three types of feedback](https://forimpact.org/three-types-feedback/#:~:text=%E2%80%9CFeedback%20comes%20in%20three%20forms,about%20relationship%20and%20human%20connection.):

| Label | Meaning | Example |
|---|---|---|
| **(appreciation)** | I want to thank you for doing this, and please do more of it in the future | "I did not expect that you would have created a working group, because you've done so, our whole team will benefit from the results." |
| **(coaching)** | I'm trying to help you improve a behavior you are already exhibiting or change a behavior that you currently have | "The reports that you give me are very helpful, and in the future we can schedule them for the first of the month to be more consistent." |
| **(evaluation)** | Tells you where you stand according to existing standards or expectations | "My expectation was that our decision would be transparent. Since it was not, our team has forgotten the decision, so we must be sure and meet that expectation next time." |

### Engineering Managers

This section lists relevant experience areas for individual contributors interested in the management track, new engineering managers, or existing engineering managers who may be lacking opportunities. This list can be used to identify opportunities in these areas.

<details markdown=1>
<summary>Expert hiring manager</summary>

**Expert hiring manager**

* Experience with behavioral interviews
* Screening candidates for your team
* Identifying cultural answers or clarifying vague answers
* Identifying a headcount need in advance

</details>

<details markdown=1>
<summary>Performance management</summary>

**Performance management**

* Crucial conversations
* Performance improvement plans
* Coaching on improvement areas
* Giving feedback
* Identifying underperformance

</details>

<details markdown=1>
<summary>Communicating company decisions</summary>

**Communicating company decisions**

* Annual review, calibration sessions, compensation discussions
* Motivating team members on opportunities that come with negatives (borrow requests, engineering allocations, feature change locks)

</details>

<details markdown=1>
<summary>Product area</summary>

**Product area**

* Triage reports
* Define and monitor productivity metrics, take action if necessary
* Collaborative planning
* Proactively identifying issues or recommending engineering allocations
* Leading an incident in your area
* Proposing and driving a borrow request (reactive)
* Shared OKRs and delivery

</details>

<details markdown=1>
<summary>Team success</summary>

**Team success**

* Career growth development leading to promotions, mentors, technical interviews, maintainers
* Setting goals based on 360 feedback and career aspirations
* Smooth onboarding process
* Frequent and transparent handbook updates
* Identifying performance indicators for the team
* Becoming a mentor

</details>

<details markdown=1>
<summary>Achieving consensus</summary>

**Achieving consensus**

* Facilitating a working group
* Participating in stage, sub-department, skip level, and/or engineering manager discussions
* Coordinating the dev on-call
* Experience with being Incident Manager On-Call ([IMOC](/handbook/engineering/infrastructure/incident-management/#incident-manager-responsibilities))
* Collaboration with the full product group [quad planning](/handbook/engineering/infrastructure/test-platform/quad-planning/)

</details>

<details markdown=1>
<summary>Personal growth</summary>

**Personal growth**

* Receiving feedback
* Continued learning, identifying new growth opportunities, and building a personal growth plan
* Seeking a mentor

</details>

#### Trainings offered by GitLab for EMs

* [Elevate Manager Training](/handbook/people-group/learning-and-development/elevate-programs/)
* [Crucial Conversations](/handbook/people-group/learning-and-development/learning-initiatives/crucial-conversations/)

#### Other resources

* Slack [#aspiring-managers](https://gitlab.slack.com/archives/C029TEKMDQ8) channel
* [Handbook page](/handbook/engineering/development/dev/training/ic-to-manager/) dedicated to growing leadership skills for ICs

### Staff Engineers

For an explanation on what to expect as a Staff engineer and a list of ideas for tactical initaitives, [visit this page](/handbook/engineering/development/dev/training/staff-engineers).
