## Core Product Manager responsibilities

As a Product Manager (PM) at GitLab, you are primarily responsible for:

1. Understanding and communicating the problem of our users and customers
1. Defining requirements for a solution that is loved by our users and customers
1. Ensuring our product is viable for GitLab

In addition, as a PM, you also play a critical role in the regular development and operating cadence of GitLab. There are a few specific required tasks that the PMs are directly responsible for in [Core PM Tasks](/handbook/product/product-manager-responsibilities/#core-pm-tasks).

### How does a Product Manager ensure they are solving a problem for our users?

PMs should spend a significant amount of time understanding the problems our users face. Deeply understanding the problem is the foundation for all other activities PMs take on; understanding the problem enables the PM to define the vision and prioritize effectively.

In order for a PM to deeply understand the problems our users are facing and determine which are the important problems to solve, they can do the following:

- Have a deep knowledge of each category's problem space
- Regularly talk with users and customers
- Communicate with users on issues and epics
- Work with Pre-Sales and Post-Sales to connect with customers and prospects
- Uncover insights through UX Research
- Use other [sensing mechanisms](/handbook/product/product-processes/sensing-mechanisms/). It is through user interactions that we can begin to understand what problems our users are facing and identify how we could make product improvements to help eliminate the pain points. These user interactions can present themselves in many different ways.

### How does a Product Manager ensure we build lovable products?

Producing a lovable product requires more than a deep understanding of the problem. At GitLab, we build lovable products by adhering to our [values](/handbook/values/). PMs are expected to be the ambassador of the GitLab values by:

- Focusing on [results](/handbook/values/#results).
- Embracing [iteration](/handbook/values/#iteration). This is the secret to GitLab moving fast, as we get constant feedback and maintain forward momentum toward GitLab's huge [vision](/direction/#vision). PMs play a large role in unlocking iteration as a competency.
- Being [transparent](/handbook/values/#transparency). This will enable both our development group to contribute and just as important, enable the wider GitLab community to contribute.
- Being [efficient](/handbook/values/#efficiency). PMs should advocate for the boring solution, optimize for the right group, be the manager of one, always write things down, so they can help their groups also be efficient.
- Being [collaborative](/handbook/values/#collaboration). PMs ultimately don't ship anything on their own. PMs need to be a great teammate so that the development group can produce great work.
- Being someone who helps make GitLab a work place of [diversity, inclusion, and belonging](/handbook/values/#diversity-inclusion), so that everyone can come to GitLab and do their best work.

### How does a Product Manager ensure business viability for our product?

It is not sufficient to just know the problems. It is also insufficient to have a solution to the problem that our customers love. PMs also need to ensure that the solution is viable for GitLab.

- PMs participate in and follow the [product development flow](/handbook/product-development-flow/) so that their development group can consistently release features [every month](https://about.gitlab.com/releases/).
- PMs [determine the tiers of features](/company/pricing/)
- PMs ensure that issues that impact GitLab are appropriately [prioritized](/handbook/product/product-processes/#prioritization)
- PMs interface with marketing and sales to promote and enable the sale of the product.
