## SaaS tier requirement for SaaS Account and common requests

Unpaid users get limited support [as outlined in the statement of support](https://about.gitlab.com/support/statement-of-support/#free-users).
Most of the requests are related to user accounts through the "SaaS Account" ticket form.

The following table is meant to be a helpful quick reference.
However, the sources of truth, in increasing order of priority are:

- [Public Support page](https://about.gitlab.com/support/gitlab-com-policies)
- [Statement of support page](https://about.gitlab.com/support/statement-of-support/#free-users)
- [Individual workflows](index.html#gitlab-com)

| Request type  | Available to Unpaid users | Notes |
| ------- | ------- |------- |
| [2FA](/handbook/support/workflows/account_verification/#self-service-2fa-removal) | [No](https://about.gitlab.com/support/gitlab-com-policies/#account-recovery-and-2fa-resets) | See [gitlab&3783](https://gitlab.com/groups/gitlab-org/-/epics/3783) |
| [Account Blocked](/handbook/support/workflows/reinstating-blocked-accounts/) | Yes |  |
| [Data Restoration](/handbook/support/workflows/restore_requests/) | [No](https://about.gitlab.com/support/gitlab-com-policies/#restoration-of-deleted-data) | See [gitlab#357175](https://gitlab.com/gitlab-org/gitlab/-/issues/357175) |
| [Email release](/handbook/support/workflows/account_changes/#releasing-an-email-address) | Yes | See [gitlab#352514](https://gitlab.com/gitlab-org/gitlab/-/issues/352514) |
| [Email swap](/handbook/support/workflows/account_changes/#account-access-requests) | No | This was an interim solution until [gitlab#416451](https://gitlab.com/gitlab-org/gitlab/-/issues/416451) was completed, and should no longer be required |
| [Email typo](/handbook/support/workflows/confirmation_emails/#typo-fix) | No | See [gitlab#325525](https://gitlab.com/gitlab-org/gitlab/-/issues/325525) & [gitlab#350498](https://gitlab.com/gitlab-org/gitlab/-/issues/350498) |
| [Emails not received](/handbook/support/workflows/confirmation_emails/#removing-a-suppression-in-zendesk) | Yes |  |
| [Log request](/handbook/support/workflows/log_requests/) | [Only if GitLab initiated](https://about.gitlab.com/support/statement-of-support/#free-users) |  |
| [Namesquat release](/handbook/support/workflows/namesquatting_policy/) | [No](https://about.gitlab.com/support/gitlab-com-policies/#name-squatting-policy) |  |
| Trial Cancellation | No | See [customers#3470](https://gitlab.com/gitlab-org/customers-gitlab-com/-/issues/3470) |
