---
title: "Handbook Style Guide"
---

GitLab's general communications practices are detailed at [GitLab Communication](/handbook/communication/), but beyond those we do have some channel-specific guidance available.
See the [list of resources below](#related-resources) for links to other guides.

Handbook style guidance is covered primarily by [the handbook markdown guide](https://handbook.gitlab.com/docs/markdown-guide/),
and [the editing handbook page](../editing-handbook/_index.md#naming-pages-and-folder-structure).

In the absence of handbook-specific guidance, follow:

1. GitLab's [Writing Style Guidelines](/handbook/communication/#writing-style-guidelines), or
1. the [Documentation Style Guide](https://docs.gitlab.com/ee/development/documentation/styleguide/).

## Related Resources

- [GitLab Communication](/handbook/communication/)
- [Markdown guide](https://handbook.gitlab.com/docs/markdown-guide/)
- [GitLab Documentation guidelines](https://docs.gitlab.com/ee/development/documentation/)
  - [Documentation style Guide](https://docs.gitlab.com/ee/development/documentation/styleguide/)
- [GitLab style guides](https://docs.gitlab.com/ee/development/contributing/style_guides.html)
- [Pajamas Design System](https://design.gitlab.com/)
- [Marketing site content style guide](/handbook/marketing/brand-and-product-marketing/brand/content-style-guide.md)
- [Blog style guide](/handbook/marketing/brand-and-product-marketing/content/editorial-team/)
