---
title: Acquisitions Handbook
description: "GitLab's key goal in pursuing acquisitions is to accelerate our roadmap and offer better tools to customers more quickly."
extra_css:
  - maturity.css
  - direction.css
---

## Acquisition strategy

GitLab's key goal in pursuing acquisitions is to accelerate our roadmap and offer better tools to customers more quickly. We are seeking to introduce new product categories and mature early categories faster
than by building everything internally. We want to acquire strong teams that have already built great tools and products relevant for GitLab customers and have them integrate their tech into GitLab.

Additional benefits to GitLab:

1. Strengthen value prop in product categories with high growth and expected future profits
1. Improve market perception and create a PR opportunity

## Acquisition approach

We are looking for companies interested in helping deliver on our [vision](https://about.gitlab.com/direction/#vision) to create a single application for the entire DevOps lifecycle. We value strong teams and technology and are looking for a combination of both that will help us accelerate our roadmap. We're looking for acquisitions which can either present a strategic value-add or create potential for significant revenue upside.

## Acquisition target profile

Below is a set of general, yet not strict, characteristics of companies that are a potential fit for our acquisition process:

- Have built features or functionalities which are aligned with GitLab's [long term strategy](https://about.gitlab.com/direction/)
- Engineers that meet our [standard hiring guidelines](/job-families/engineering/backend-engineer/)
- Ideally bring a solution which accelerates our maturity in a product category or fits into the new categories on our roadmap.
- R&D team size under 30 people
- Willing to [reimplement products into GitLab](/handbook/product/categories/gitlab-the-product/single-application/) in Ruby and Go
- Willing to sunset old customers within 90 days or less, with an option to transition to GitLab. GitLab follows an [open-core model](https://about.gitlab.com/install/ce-or-ee/)
- Aligned to ship on the first month and iterate quickly
- Strong founders looking to join GitLab

## Considering joining forces with GitLab

1. Please review our [handbook](/handbook/); it is the central repository for how we run the company.
1. Spend time understanding if a [remote culture](/handbook/company/culture/all-remote/) is right for you and your team.

## Why join GitLab?

1. Leverage the unique data and user-experience GitLab has as [complete DevOps platform](/handbook/product/categories/gitlab-the-product/single-application/) to act as a force-multiplier in helping you build the vision for your product area
1. Focus on building great technology at scale to reach millions of users and some of the largest enterprise companies. We can ensure what you made will be used by more than 100,000 organizations and millions of users.
1. Quick transaction - We move fast and aim to close the deal in 2-4 months, if you are able to drive a fast process with us
1. Upside - Financial outcome if GitLab is successful (GitLab stock)
1. Your team is in good company - GitLab is a unique place to work at with a leading product and a fascinating culture

## What we offer

Acquisitions receive a compensation offer specific to that engagement, which will be evaluated as part of our [acquisition process](/handbook/acquisitions/acquisition-process/) as we learn more about your company and your technology.

## What happens to your current company?

1. Our goal is to integrate the acquired technology into GitLab's platform with the team behind it, keeping the team as whole as possible.
1. We want to focus on integrating the value quickly, thus we don't want to maintain existing services/products outside of GitLab's platform as doing that will hinder the speed of integration.

## Hear from the founders of our previous acquisitions

**Andrew Newdigate**, "Throughout Gitter's acquisition process, GitLab was an excellent partner. We started the process in mid-December, and by mid-January, the team were onboard and had joined GitLab's summit in Cancún, Mexico. Compared to previous acquisition attempts that we had been through with other companies, the professionalism and focus of the GitLab team was refreshing. It quickly became apparent to me that Sid, Paul and the team at GitLab were interested in striking a fair deal, and were as concerned about the outcome for the Gitter team as my co-founder and I were. In the year-and-half since, GitLab has continued to be a great home for Gitter and I'm incredibly proud to be part of the team."

**Philippe Lafoucrière**, "When GitHub announced they would provide a Security graph and alerts, we knew we would not be able to compete with them. That meant the end of the story for us and our product. It was time to find a new home for the team. We started discussions with GitLab in November 2017 and officially joined the company in mid-January 2018. The whole process was seamless, with a particular care for the team. Expectations from both sides were discussed, with mutual respect and understanding.
The founders made themselves available for us at anytime, and we had regular meetings for several months until we all estimated the situation stable enough. Onboarding a whole team at once is a challenge: the peopleops team did everything they could to help and to make them feel comfortable with their new positions. They were happy to continue on the foundations we've built over the years while being able to contribute to a greater goal. We managed to identify with the management where we could have the best impact, and provide results as soon as possible.
I don't see anything GitLab could have done differently to make this acquisition smoother. The most important value to follow in this kind of event is Trust (because you can only lose it once). GitLab, and especially its CEO, was incredibly clear and respectful during all the process and beyond."

**[Gemnasium: Our GitLab journey](https://about.gitlab.com/blog/2019/04/30/gemnasium-our-gitlab-journey/)**

## Keys to successful acquisitions

1. Managing people's expectations and concerns
1. Successful integration execution
1. Maintain a non-biased view on target companies' value

## Starting an acquisition discussion with GitLab

If you are interested in starting acquisition discussions with GitLab, please send an email to [Corporate Development](mailto:acquisitions@gitlab.com) to connect and start the process.

## Acquisition process

Learn more about our internal [acquisition process](/handbook/acquisitions/acquisition-process/) and how you can prepare for an efficient process.

## Performance indicators

See our [performance indicators](https://internal.gitlab.com/handbook/company/performance-indicators/product/#acquisition-impact).

## Contact us

For additional information contact [Corporate Development](mailto:acquisitions@gitlab.com).
