---
title: "Acquisition Process: Communications"
---

Communications is part of our [acquisition process](/handbook/acquisitions/acquisition-process/). The Corporate Development Champion will set up a dedicated slack channel (format: `#p-project_name-communications`)

1. Key points to consider prior to the closing of the acquisition
    1. If we will make a formal announcement via press release
    1. If we will announce as part of an earnings call
    1. Media strategy (proactive or reactive-only)
    1. Timing
    1. Key messaging
    1. When key team members and relevant EBAs are notified
    1. External spokesperson or spokespeople
    1. If an internal and/or external FAQ are/is warranted
    1. DRI for each team mentioned below

2. Assets and owners

    1. Blog Post
        1. Responsible Team: Communications Team
        1. Reviewers and Approvers
            1. Communications
            1. Product Champion
            1. Product Marketing
            1. Legal
            1. Corporate Development Champion
            1. Acquired Company (review only; final approval is with GitLab)
    1. Press Release
        1. Responsible Team: Communications Team
        1. Reviewers and Approvers
            1. Communications
            1. Product Champion
            1. Product Marketing
            1. Legal
            1. Corporate Development Champion
            1. Finance/Investor Relations
            1. Acquired Company (review only; final approval is with GitLab)
    1. Internal FAQ
        1. Responsible Team: People Team/Talent Brand & Engagement
        1. Reviewers and Approvers
            1. People Team/Talent Brand & Engagement
            1. Product Champion
            1. Engineering Champion
            1. Product Marketing
            1. Legal
            1. Corporate Development Champion
    1. Company-wide internal Slack Message
        1. Responsible Team: Communications
        1. Reviewers and Approvers
            1. People Team/Talent Brand & Engagement
            1. Product Champion
            1. Legal
            1. Corporate Development Champion
    1. Field Communications & FAQ
        1. Responsible Team: Field Communications Team
        1. Reviewers and Approvers
            1. Field Communications
            1. Product Champion
            1. Product Marketing
            1. Integrated Marketing
            1. Legal
            1. Corporate Development Champion
    1. #Field-FYI Internal Slack message
        1. Responsible Team: Field Communications Team
        1. Reviewers and Approvers
            1. Field Communications
            1. Product Champion
            1. Product Marketing
            1. Legal
            1. Corporate Development Champion
    1. Website Banner for Acquired Company
        1. Responsible Team: Digital Experience Team
        1. Reviewers and Approvers
            1. Digital Experience Team
            1. Legal
            1. Corporate Development Champion
            1. Acquired Company (review only; final approval is with GitLab)
    1. Corporate Social Posts
        - Responsible Team: Social Team
        - Reviewers and Approvers
            1. Communications
            1. Product Champion
            1. Legal
            1. Corporate Development Champion
    1. AMA's
        1. Responsible Team: People Team in collaboration with Product Management
        1. Reviewers and Approvers
            1. Communications
            1. Product Champion
    1. Media Coverage Report
        1. Responsible Team: Communications
    1. Analyst Communications
        1. Responsible Team: Analyst Relations
        1. Reviewers and Approvers
            1. Analyst Relations
            1. Communications
3. Run of show and process checklist for day of the announcement
    1. Adjust company name from code name to real name in all materials (all DRIs for respective materials)
    1. Push blog post live (content team)
    1. Notify Nasdaq of upcoming press release (comms team)
    1. Submit release to GlobeNewswire; press release crosses wire with blog post linked within (comms team)
    1. Post press release on GitLab's IR site (comms team)
    1. Post press release on GitLab's newsroom (comms team)
    1. Post internal Slack message to #company-fyi Slack channel (corporate development / people team)
    1. Publish social posts from GitLab and acquired company's handles (social team + acquired company leadership)
    1. Issue field communications to team via Slack and upload to HighSpot (field communications team)
    1. Pitch media if outbound media relations are planned (communications team)
    1. Push banner live on acquired company's website (DEX in partnership with acquired company)
    1. Flag/post GitLab e-group social media commentary (social team + e-group members)
    1. Host AMA for EMEA and US East Coast team members (people team in partnership with corporate development and product)
    1. Host second AMA for APJ time zones (people team in partnership with corporate development and product)
    1. Share media coverage recap with stakeholders, including in acquisition working group and e-group channels (comms team)
    1. Reach out to relevant analysts, if appropriate (analyst relations)
    1. Either port to GitLab or deactivate acquired company's social channels, depending on volume of followers (social team)
    1. Retro of announcement and process (corporate development team)

4. Acquisition Leaks and Rumors
    1. If news of a potential acquisition leaks, the GitLab Communications team will direct and own the response.
        1. If any GitLab team member is contacted regarding a leaked acquisition or rumor, GitLab Communications directs the person to follow the [media mentions, incoming media requests and interviews process](/handbook/marketing/corporate-communications/#media-mentions-incoming-media-requests-and-interviews-including-podcasts) handbook direction.
        1. The Corporate Development Deal Process Manager will inform the target company representatives of the GitLab Communications response and process.
    1. The Communications Team will own the response and establish their decision on how to respond, or not respond, based on factors such as time to close, source of leak, and coverage of leak, among others.
        1. This applies to both internal and external communications.
        1. Should a decision be made to comment on, or affirm a leak, GitLab Legal, Finance, and Accounting will be involved to ensure compliance with regulatory reporting standards.
