---
title: GitLab Alliances Handbook
---

**We invite organizations interested in becoming a GitLab Partner to [APPLY NOW](https://partners.gitlab.com/English/register_email.aspx).**

## Alliance Mission

_**"To go fast, go alone. To go far, go together."** - Proverb_

At GitLab, we collaborate with well-respected, industry-leading [cloud, platform and technology providers](https://about.gitlab.com/partners/technology-partners/) across all major industries to deliver the best curated modern devops platform.  Our partners are a critical element of GitLab's mission: **to enable our customers with modern software-driven experiences, and to ensure "Everyone Can Contribute" through a robust and thriving partner ecosystem that cultivates innovation and stimulates transformation.** Together, we can help enterprises lead the digital transformation necessary to compete effectively in the market today.

The commitment to helping customers and partners succeed - how we contribute our time, technology and know-how to improve the communities where we work and live and grow our business - is a journey that is transparent, ethical and honorable.  We demand high performance and high standards from ourselves and our partners.

We look forward to working with you - to build and deliver the solutions that delight customers.

<i>GitLab Team Members: Please visit the internal* [Alliance Handbook Page](https://internal.gitlab.com/handbook/alliances/)</i> for additional information.

## Alliance Partner Program

We are firm believers that partnership is the foundation from which collaboration and innovation is built upon. As a GitLab Alliance Partner, you'll have access to the resources, tools, and support you need to accelerate business growth providing greater customer value through solution offerings that are integrated and interoperable with GitLab.

We recognize that not all partners have the same needs or goals, and as such, our program is designed with three Alliance Partner types in mind.

| **Cloud Partners** | **Platform Partners** | **Technology Partners** |
| -------------- | ----------------- | ------------------- |
| Partners that provide public cloud computing services and software marketplaces where customers can procure and deploy GitLab | Partners that provide modern cloud / cloud-native application platforms which increase the modularity and extensibility of GitLab across enterprises and architectures | Independent Software Vendors (ISV) Partners with complementary technologies that seamlessly integrate / interoperate with GitLab for more complete customer solutions |

### Pillars for Successful Partnerships

Mutually beneficial value exchange drives mutual partner success. We believe these pillars ensure a more sustainable future.

- **Exposure** - Partnerships that generate exposure to new markets, segments, and users.
- **Product Knowledge** - Partnerships that have product familiarity provide greater advocacy.
- **Adoption** - Partnerships, both upstream and downstream, that increase feature adoption and product/platform utilization.
- **Revenue** - Partnerships that have a material effect on revenue growth.
- **Results** - Partnerships that align on objectives and outcomes.
- **Collaboration** - Partnerships that are committed to building reciprocal relationships between organizations and teams.

### Engagement Models

There are a variety of ways to partner together to develop solutions. Partner type, solution and/or services offering, and route to market are all considerations when determining the best option, resale or co-sell.  Below are a few examples of how GitLab works with Alliance Partners to deliver consumable customer solutions.

- **Marketplace** (resale)
Solution listings sold through partner software marketplaces and other digital storefronts
- **OEM/Embedded** (resale)
Integrated or bundled solution offerings sold through direct and indirect channels
- **ISV** (co-sell)
Collaborative selling motions that stimulate sales of our respective products, independently

### Program Benefits

GitLab Alliance Partners are a key part of GitLab's commitment to the DevOps community. Alliance Partnerships help customers get more value by uniting the capabilities of our products and technologies to provide end-to-end customer solutions. The GitLab Alliance Partner Program provides partners with the following program benefits:

Brand Recognition

- Partner logo displayed on GitLab Alliance Partner Program webpage. Partners benefit from the association and increased exposure to the rapidly DevOps community
- GitLab brand use. Leverage for marketing purposes on websites, social media channels, and marketing and sales collateral

Solution Validation

- Resources to enable our partners to develop partner solutions that integrate/interoperate with GitLab. GitLab validated solutions help build confidence and trust with customers and channel partners by providing assurance of solution readiness.

Sales & Marketing

- Sales awareness and engagement. Promoting partners and solutions to stimulate sales
- Go To Market assets and collateral. Equipping partners with resources designed to market and sell our joint solutions to prospects and customers.

## Additional Resources

**Alliance Partner Onboarding**

If you are interested in becoming a GitLab Alliance Partner, you can learn more on our [Alliance Partner Onboarding](https://about.gitlab.com/partners/technology-partners/integrate/) page.

**License Requests**

Alliance Partners may be eligible for NFR (not for resale) licenses to develop and test integrations with GitLab. You can learn more about the NFR program [here](https://about.gitlab.com/partners/technology-partners/integrate/#nfr-program-and-policy).

**Acquisitions**

If you are a Partner interested in inquiring about a potential acquisition of your company please visit our [acquisition handbook](/handbook/acquisitions/).
