---
title: "Board of Directors and Corporate Governance"
---

**This page is intended to capture GitLab Board practices, but we evolve these over time and the page may not capture all changes. The source of truth for Board details is GitLab's [Investor Relations site](https://ir.gitlab.com/governance/governance-documents/default.aspx).**

## Board and Committee Composition

### Board of Directors

1. [Current members of the Board of Directors](https://about.gitlab.com/company/team/board-of-directors/)
1. [Board of Directors Job Description](/job-families/board-of-directors/board_member)

### Audit Committee

> [Audit Committee Charter](https://ir.gitlab.com/governance/governance-documents/default.aspx)

**Meeting Process**

The Staff EBA to the CFO is the DRI of scheduling the quarterly Audit Committee meeting in conjunction with the Chairperson, Management DRI and their Sr. EBA

1. Timing: 2-3 weeks prior to the formal Board of Directors Meeting
1. Duration: 110min (Q1-Q3) 140min (Q4)
1. Agenda document to include links to all material being reviewed during the meeting

All Audit Committee materials being reviewed during the meeting will be uploaded into Boardvantage 5 business days prior to the Committee meeting by the Corporate Paralegal. Committee members will be notified of such by the Management DRI.

Audit Committee meetings are attended by:

- The Chairperson of the Audit Committee, Audit Committee Members, CLO, CFO and Finance Leadership are all required attendees
- Other Team Members may be invited if needed or requested, depending on subject matter
- External Auditors and Outside Counsel
- All Board Members including the CEO are invited to all Committee meetings as optional attendees

### Compensation and Leadership Development Committee

> [Compensation and Leadership Development Committee Charter](https://ir.gitlab.com/governance/governance-documents/default.aspx)

**Meeting Process**

The Legal and People Group EBAs are the DRIs of scheduling the quarterly Compensation and Leadership Development Committee meeting in conjunction with the Chairperson, Management DRI and their Sr. EBA

1. Timing: 2-3 weeks prior to the formal Board of Directors Meeting and aligned with Audit Committee
1. Duration: 80min
1. Agenda document to include links to all material being reviewed during the meeting

All Compensation and Leadership Development Committee materials being reviewed during the meeting will be uploaded into Boardvantage 5 business days prior to the Committee meeting by the Corporate Paralegal. Committee members will be notified of such by the Management DRI.

Compensation and Leadership Development Committee meetings are attended by:

- The Chairperson of the Compensation and Leadership Development Committee, Compensation and Leadership Development Committee Members, CPO, CFO and CLO are all required attendees
- Certain members of the People Group or other Team Members may be invited if needed or requested, depending on subject matter
- Outside Compensation Consultant and Outside Counsel
- All Board Members including the CEO are invited to all Committee meetings as optional attendees

### Nominating and Corporate Governance Committee

> [Nominating and Corporate Governance Committee Charter](https://ir.gitlab.com/governance/governance-documents/default.aspx)

**Meeting Process**

The Staff EBA to the CEO is the DRI of scheduling the quarterly Nominating & Corporate Governance Committee meeting in conjunction with the Chairperson, Management DRI and their Sr. EBA

1. Timing: Twice yearly in March and September. Ideally 3-5 days in advance of the formal Board of Directors meeting
1. Duration: 50min
1. Agenda document to include links to all material being reviewed during the meeting

All Nominating & Corporate Governance Committee materials being reviewed during the meeting will be uploaded into Boardvantage 5 business days prior to the Committee meeting by the Corporate Paralegal. Committee members will be notified of such by the Management DRI.

Nominating and Corporate Governance Committee meetings are attended by:

- The Chairperson of the Nominating and Corporate Governance Committee, Nominating and Corporate Governance Committee Members and CLO are all required attendees
- Director of Legal, Corporate or Team Members may be invited if needed or requested, depending on subject matter
- Outside Counsel
- All Board Members are invited to all Committee meetings as optional attendees

### Mergers and Acquisitions Committee

- **Chairperson:**
- **Members:**  Merline Saintil, Godfrey Sullivan and Sundeep Bedi
- **Management DRI:** Chief Product Officer

> [Mergers and Acquisitions Committee Charter](https://drive.google.com/file/d/1_GG0JJ2NUq50djVx-yxwnrRJUhIYhs3D/view?usp=sharing)

**Meeting Process**

The Staff EBA to the CEO is the DRI of scheduling the Mergers and Acquisitions Committee meeting in conjunction with the Chairperson, Management DRI and their Sr. EBA

1. Timing: As needed
1. Duration: 50min
1. Agenda document to include links to all material being reviewed during the meeting

All Mergers and Acquisitions Committee materials being reviewed during the meeting will be uploaded into Boardvantage 5 business days prior to the Committee meeting by the Corporate Paralegal. Committee members will be notified of such by the Management DRI.

Mergers and Acquisitions Committee meetings are attended by:

- The Chairperson of the Mergers and Acquisitions Committee, Mergers and Acquisitions Committee, CPO, CFO and CLO are all required attendees
- Team Members may be invited if needed or requested, depending on subject matter
- Outside Counsel
- All Board Members are invited to all Committee meetings as optional attendees

### Revenue non-committee

- **Internal Management Members:** Chief Financial Officer (DRI), Chief Executive Officer, Chief Revenue Officer (model, guidance, plan, target)

## Location

Board meetings can happen remotely or in-person. We establish the meeting calendar in advance of the coming fiscal year. During this time, we agree on meeting locations.

## Board Meeting Schedule

1. Board of Directors meetings are held quarterly.
1. Meetings are scheduled on/around the Thursday 6 weeks after the end of the quarter, assuming availability of the Directors.

The Staff EBA to the CEO shall ensure that there are separate calendar invites for all attendees within each session, all including exact session start and end times, the appropriate Zoom link, and links to the agenda document. Any supplemental materials are required to be linked in the agenda document for each session. This is the outline of a past agenda, but we adapt agenda based on what is important to discuss:

- Session 1: Closed Session (Part 1)
  - Duration: 15 minutes
  - Attendees: GitLab Board of Directors
- Session 2: Administration Session
  - Duration: 30 minutes
  - Attendees: GitLab Board of Directors, GitLab CFO, CPO and CLO, outside legal firm, Board observers
- Session 3: Board of Directors Meeting - General Session
  - Duration: 75 minutes
  - Attendees: GitLab Board of Directors, E-Group, CoS to the CEO, Staff EBA, outside legal firm representatives, Board observers
- Session 4: Closed Session (Part 3) (optional, if needed)
  - Duration: 20 minutes
  - Attendees: GitLab Board of Directors
- Session 5: Board Only (without GitLab CEO)
  - Duration: 20 minutes
  - Attendees: GitLab Board of Directors (without the GitLab CEO)

## Board Meeting Process

### Timeline

1. The Staff EBA to the CEO is the DRI for scheduling the Board meetings
1. The CFO is the DRI for assembling the deck. Four weeks in advance of the Board meeting, the CFO sends the templates for the materials to be created to the E-Group and EBA team.
1. 7 weeks before the Board meeting, the Lead Independent Director will reach out to the Board via email to discuss agenda topics.
1. 6 weeks before the Board meeting, the Lead Independent Director, CEO, and CFO will have a meeting to discuss and finalize the agenda. Once finalized, the CFO will share the agenda with E-Group.
1. The CFO sends a reminder to the E-Group 3 weeks in advance of the meeting.
1. The E-Group has the complete presentation materials ready 10 business days prior to the meeting. All materials are submitted to the CLO and CFO for review within 48 hours of receipt.
1. Once approved by the CLO and the CFO, the CFO authorizes the Corporate Paralegal to upload the materials into Nasdaq Boardvantage (NBV) and attach them to the corresponding NBV Meeting. All presentations and content should be finalized at this time with no further changes. The Corporate Paralegal is responsible for ensuring parity between the NBV Meeting and calendar invite. The Staff EBA to the CFO is responsible for the sharing settings on all materials. Materials should be shared with the E-Group, the Board (not via the @board alias), Board Observers, and the outside legal firm. Any exceptions must be confirmed by the CLO and relayed to the Corporate Paralegal before shipping. The deadline for the document upload is 2p PT 7 days before the Board meeting.
1. The Staff EBA to the CFO is responsible for linking all materials in the agendas for each session of the board meeting. Materials should always be linked in the agenda and shared with the appropriate attendees.
1. 7 days before the meeting, the CFO emails the Board notifying them that the materials are ready for review in NBV and includes any highlights or asks within the email.
1. The CFO is the DRI for the Administrative deck and will share this with the CLO, the Corporate Paralegal, the Staff EBA to CFO, and the Staff EBA to the CEO at least 1 week before the Board meeting. The Corporate Paralegal will upload the materials into NBV and then the CFO will notify the Board of their availability for review in NBV 4 business days prior to the Board meeting.
1. The day before the Board meeting, the Staff EBA to the CFO ensures that the Introduction section of the agenda is up to date with the latest attendees and ensures that the agenda document is up to date. Questions from the Board are verbalized during the meeting.
1. The CFO is responsible for ensuring that the Board meeting runs according to the time allotted.
1. The CLO is responsible for maintaining the Minutes of the meeting and submitting for Board approval.
1. The CLO ensures that PDF versions of the materials including presentations, exhibits, approved Minutes, and Administrative materials are securely stored in NBV and on Google Drive labeled with the date of the meeting.
1. The Staff EBA to the CFO updates the Next Meeting's Timeline section of this page.
1. The E-Group debriefs in the first E-Group Meeting after the Board Meeting.

#### Next Meeting's Timeline

This section is updated after every Board Meeting by the Staff EBA to the CFO for the next Board Meeting.

1. Meeting is scheduled for 2024-12-12.
1. 2024-10-21 - The Lead Independent Director will reach out to the Board to discuss agenda items.
1. 2024-10-29 - The Lead Independent Director, CEO, and CFO finalize the agenda. [At least 6 weeks before BoD Meeting]
1. 2024-11-19 - The CFO adds another reminder to the E-Group during the weekly E-Group call. [A week before pencils down]
1. 2024-11-27 - The E-Group has completed all materials by 12pm Pacific time for review by the CLO and CFO. [A week before BoD Meeting materials distribution]
1. 2024-12-05 - Once approved by the CLO, CFO and CEO, the CFO authorizes the Corporate Paralegal to upload the materials into NBV and attach them to the corresponding NBV Meeting. The CFO then notifies the Board via email that materials are ready for review in NBV 7 days before the meeting. The Staff EBA to the CFO is responsible for sharing settings on all materials linked in the Google doc BOD Agenda. Materials should be shared with the E-Group, the board members, and the outside legal firm. Any exceptions must be confirmed by the CLO and relayed to the Corporate Paralegal before shipping.
1. 2024-12-05 - The Staff EBA to the CFO is responsible for linking all materials in the Google document agendas for each session of the board meeting. Materials should always be linked in the agenda and shared with the appropriate attendees.
1. 2024-12-05 - The Staff EBA to the CFO ensures that the Introduction and Materials section of the agenda is up to date with the latest attendees.
1. 2024-12-12 - Board of Directors Meeting; CFO ensures the meeting runs according to the time allotted.
1. 2024-12-16 - The CLO ensures that PDF versions of the materials including presentations, exhibits, approved Minutes, and Administrative materials are securely stored in NBV and on Google Drive labeled with the date of the meeting.
1. 2024-12-16 - The Staff EBA to the CFO updates this section of the Handbook page with the timeline for the next Board meeting in April 2025.
1. 2024-12-16 - The E-Group debriefs in the first E-Group Meeting after the Board Meeting.

#### Board Materials

GitLab uses Nasdaq's Boardvantage (NBV) portal for the electronic dissemination and storage of materials relating to GitLab's Board Meetings.

For a more detailed overview of navigating the NBV portal, please click here to view the [Internal Reference Guide](https://docs.google.com/document/d/1O10S3JXA5W_Zj1WlvMWyb3welm4jLAHxrurY493U0IU/edit#heading=h.cyhfykp20l6r).

### Agenda Details

1. Key Board material is presented during Board Meeting sessions. This includes:
   - E-Group and CEO memos
        - Each E-Group member has a memo with up to four pages with four additional exhibits.
        - Each discussion topic has a memo with unlimited exhibits.
        - Finance has unlimited exhibits in the memo.
        - Annual Operating Plan can be a memo or slide deck.
   - The Administration Session for Board Committee readouts by the Committee Chairperson updating the Board as to the Committee's activities and highlighting the items requiring Board approval, if any.
1. Questions can be asked throughout the meeting. 30 minutes are reserved at the end of the General Session for Q&A / Discussion.
1. At the conclusion of the General Session the E-Group, Observers, CoS to the CEO, Staff EBA, CEO Shadows depart the zoom meeting and the full Board shall meet for a Closed Session.

### Board Dinner

We usually have a Board Dinner on the evening before a Board Meeting. The EBA to the CEO is responsible for coordinating this dinner. Board Members, Local E-Group members, and the CoS to the CEO are all optional attendees. Bios for attendees of the Board Dinner should be sent by the EBA to the CEO 3 business days in advance of the Board Dinner.

Each quarter, E-Group can choose to invite an additional team member as a Key Talent Guest. If this is desired in a specific quarter, at least a month before the dinner, the CoS to the CEO will gather nominations and ensure that E-Group has identified an invitee. Criteria for consideration includes:

1. [Key Talent](/handbook/people-group/talent-assessment#key-talent)
1. High performance
1. Clear results
1. Function (should have representation across functions throughout the year)
1. Diversity (participation from members in [GitLab Team Member Resource Groups]({{< ref "erg-guide" >}}))

Once the Key Talent Guest has been identified, it is the relevant E-Group team member's responsibility to ensure that managers of this person are aware of the invite. The EBA to the CEO will then confirm that the guest is able to join. If not, the invite will go to the runner up. Once a Key Talent Guest is confirmed, the EBA to the CEO should enter their name in the [Key Talent Board Dinner Guests](#key-talent-board-dinner-guests).

GitLab will cover this person's travel expenses. A person's location will not be considered in the selection criteria though the person's travel must be allowed under GitLab's [travel policies and guidelines](/handbook/finance/travel/#policy-and-guidelines).

As part of joining the dinner, the Key Talent Guest should come prepared to discuss:

1. Their background (both at GitLab and before joining)
1. What they have accomplished thus far at GitLab
1. What their plans are both now and in the future and what they see as a future for themselves at GitLab

Though no formal presentation is required, the Key Talent Guest should advise on how they want to discuss these topics with the Board and E-Group and coordinate with the EBA to the CEO. The EBA to the CEO will ensure that the Key Talent Guest has dedicated time at the dinner.

#### Key Talent Board Dinner Guests

Past and future Key Talent Dinner Guests are listed below.

| Date | Key Talent Guest |
| ------ | ------ |
| 2021-09-29 | [David DeSanto](https://gitlab.com/david) |
| 2021-12-13 | [Sherrod Patching](https://gitlab.com/users/spatching) |
| 2022-03-21 | [Christine Lee](https://gitlab.com/christinelee) |
| 2022-12-12 | [Sherida McMullan](https://gitlab.com/sheridam) |

## Quarterly AMA with the Board

## Board Selection Process

### Roles and Responsibilities

- [Nominating and Corporate Governance Committee](https://ir.gitlab.com/governance/governance-documents/default.aspx) - Collaborate on Board evolution. Provide recommendations for potential new GitLab BoD members; meet and vet potential new board members; provide feedback on candidates.
- CEO and Selected Members of E-Group also meet and vet potential new Board members; provide feedback on candidates.
- [CLO](/job-families/legal-and-corporate-affairs/chief-legal-officer) - Nominating and Corporate Governance Committee DRI.
- [CEO's Staff Executive Business Administrator](/job-families/people-group/executive-business-administrator) - DRI for Board and Committee scheduling.
- [Executive Recruiter](/job-families/people-group/executive-recruiter) - Responsible for drafting communication to potential Board members as well as drafting email communication with Nominating and Corporate Governance Committee when questions arise.

## Board Onboarding Process

### GitLab New Director Checklist

Board member onboarding from an internal processes checklist perspective:

#### CLO DRI

To be completed **prior to** onboarding:

1. Resume for our files (can be a printout of LinkedIn)
1. Outside counsel to run background check
1. D&O questionnaire
1. Executed offer letter
1. Indemnification agreement
1. If applicable, UWC to increase Board size
1. Inform External Communications and Investor Relations

#### External Comms DRI

1. Press release

#### CEO DRI

1. Inform E-Group
1. Inform Team Members via Slack announcement

### GitLab New Director Onboarding Checklist

Board member onboarding from a GitLab orientation perspective:

#### CLO DRI

New Director will be provided with:

1. Links to relevant Handbook pages, including:

   - Committee Membership
   - Committee Charters
   - Code of Conduct
   - Related Party Transactions Policy
   - Bylaws

1. Certificate of Incorporation
1. Access to the Legal Board Drive
1. Org chart
1. Summary of Director and Officer Liability Insurance
1. Executed Indemnification Agreement

#### Staff EBA to the CEO Responsibilities

1. Update Board distribution list with Board Member and support staff
1. Send calendar invites to Board member and support staff for:

   - Board meetings as well as a Board calendar covering meetings for next fiscal year
   - Board dinners
   - Board Committee Meetings (as needed)
   - Commit
   - Contribute
   - Sales Kickoff
   - President's Club

1. Update Board Member contact information list and circulate to Board and support staff
1. Schedule AMA with New Board member
1. Schedule *Functional Reviews* within the first month:
1. Corporate Strategy (CEO) - 50 mins

   - Materials for meeting: Most recent Board of Directors meeting presentation, Key Review slides, current quarter OKRs. Please do not generate new content. The Staff EBA to the CEO sends material to the new Director at least 72 hours in advance. The meeting is centered around the new Director's questions
   - [GitLab Strategy](/handbook/company/strategy/)
   - [3 year strategy](/handbook/company/strategy/#three-year-strategy)
   - [Company KPI's](/handbook/company/kpis/)
   - [Quarterly OKRs](/handbook/company/okrs/)
   - [Yearlies](/company/yearlies/)
   - [Mitigating Concerns](https://internal.gitlab.com/handbook/leadership/mitigating-concerns/)

1. Finance (CFO) - 80 minutes suggested

   - Financing profile, liquidity, creditworthiness, credit ratings
   - Current issues, Board oversight issues
   - Risk assessment
   - Disclosure controls, internal controls
   - Information systems
   - Internal audits
   - Role of independent auditor
   - Current topics, Board oversight
   - Discuss separate meeting with Auditors
   - Audit Committee Overview

1. Legal, Compliance, Regulatory, Governance (CLO)  - 50 minutes suggested
   - Legal matters, if any
   - Compliance and regulatory, generally
   - Current topics, Board oversight
   - Nominating Corporate Governance Overview
1. People Group (CPO) - 50 minutes suggested
   - Compensation philosophy
   - Benefits structure
   - Equity plans
   - Executive compensation structure and policy
   - DIB overview
   - Compensation Committee Overview
1. Sales (CRO) - 80 minutes suggested
   - The Staff EBA to the CRO sends material to the new Director at least 72 hours in advance.
   - Materials and key topics include: Sales Key Review slides, Sales KPI dashboard, most recent CRO Board Appendix slides and Sales section of the BOD deck, market definiton, current organization design, current sales motion, customer motion, sales philosophy and current CRO priorities.
1. Marketing (CMO) - 50 minutes suggested
1. Product Overview (EVP, Product, EVP, Engineering, CEO) - 80 minutes suggested
   - Product review
   - Roadmap
   - Security
1. Investor Relations (Sr. Director of IR) - Optional 50 minutes suggested
   - IR strategy, shareholder base, external perceptions
   - Overview of large investors
   - If available/applicable:
     - Share analyst reports from any new banks
     - Share copies of recent investor presentations
