---
title: "IT Enterprise Applications"
---

<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

## <i class="fas fa-users" id="biz-tech-icons"></i> About Us

The **IT Enterprise Applications** oversees the business technology architecture and systems that power GitLab as a business entity. We ensure that the systems are fit-for-purpose, available, reliable, integrated and secure.
We continue to build business aligned technology to run operations, layering integration and automations to support remote work, enhance team member and customer experience, and generate value.

### <i class="fas fa-bullseye" id="biz-tech-icons"></i> Our Vision

Be a trusted business partner providing world-class solutions and value.

### <i class="fas fa-bullseye" id="biz-tech-icons"></i> Our Mission

Provide a stable, secure, compliant and highly integrated solutions ecosystem to empower business with technology and services that enables productivity to fuel growth of GitLab.

## <i class="fas fa-rocket" id="biz-tech-icons"></i> Strategic Objectives & Operating Principles

1. **Breakdown Silos:** As a centralized team we talk to every part of the business. Business partners effectively connect the dots and bring people together to solve business problems.
2. **Architect & Iterate:** Know where you are going and then work toward the goal in small parts. This is true for finance, analytics or engineering work.
3. **Be The Solution:** Be empowered to drive change within our team and the company. We want to solve the most interesting problems. This leads to one of the best career experiences of our lives.
4. **Lead With Data:** Our teams have tier 1 metrics to define success. Create strong business processes and systems that capture data. Use the data to drive optimal business decisions across GitLab.
5. **GitLab for GitLab:** We keep to our core values and the belief that everyone can contribute, we are committed to dogfooding, actively use, give feedback and contribute to the development of the GitLab our product.

## <i class="fas fa-users" id="biz-tech-icons"></i> Our Functional Structure

| [IT PMO](../business-technology/pmo/) | [Architecture, Integrations & Automation](../business-technology/enterprise-applications/integrations/) | [G&A Systems](../business-technology/enterprise-applications/finance-ops/) & [CRM Systems](../business-technology/enterprise-applications/entapps-crm/) | [Services & Operations](../business-technology/enterprise-applications/entapps-services/) |
| ------ | ------ | ------ | ------ |
| <li> IT Strategy & Planning</li> <li>AOP & Budget Management</li><li>Portfolio & Project Management</li><li>Business Analysis</li> | <li> Enterprise & Applications Architecture</li> <li>Integrations | <li>Application Management</li><li>GTM, L2C, ERP, HCM</li> <li>Application Engineering</li><li>Systems Administration</li><li>Data & Application Reporting | <li>Global Support Services</li><li> RPA and AI Operations</li><li>Vendor Management</li><li>IT Compliance & Governance (SOX & Security Compliance) |

## <i class="fas fa-hands-helping" id="biz-tech-icons"></i> What do we do?

1. **Company-wide Business Technology** - [Tech Stack](../business-technology/tech-stack.md)

2. **Application EcoSystem We Support**
    - Zuora (CPQ & Billing)
    - Zuora Revenue
    - Tesorio
    - NetSuite
    - Coupa
    - Stripe
    - Navan Travel
    - Navan Expense
    - Avalara
    - Adaptive Planning
    - Xactly
    - Mavenlink
    - DocuSign eSignature
    - ServiceNow
    - Tropic
    - Supplier IO
    - UI Path
    - Workato
    - Salesforce
    - Ownbackup

3. **Services**
    - IT Strategy and Management
    - IT Portfolio, Program & Project Management
    - Enterprise Architecture
         - Discovery & Research
         - Application Implementations
         - Application Engineering
         - Integrations & Automation
    - IT Compliance
         - SOX
         - Training
    - Operations
         - Technical SaaS Production Support
         - Systems Administration
         - Release Management
         - Change Management
         - Internal Major Incident Management
         - Business Systems Analysis: Research and evaluate existing and emerging technologies to understand where new systems can be used to achieve organizational objectives and plan for how the organization will utilize systems for its gain in the near- and far-term future.
    - Procurement and Technology Acquisition
         - Vendor & Contract Management
         - New Technology Evaluations: Evaluate, negotiate and purchase technology. Set criteria for when, others within the organization can purchase, implement and deploy technology
    - Digital Transformation: The adoption of digital technologies to innovate and reimplement existing business, talent, and operating models to drive growth, business value, and improved customer experience.

4. **Services We Support: Finance Systems Service Desk**
    - New SKU Request
         - Open a [New SKU issue](https://gitlab.com/gitlab-com/business-technology/enterprise-apps/financeops/finance-systems/-/issues/new) using the CM: Add_New_SKU template or CM: Add_New_PS_SKU for a Professional Services SKU.
    - Retire SKU Request
         - Open a [Retire SKU issue](https://gitlab.com/gitlab-com/business-technology/enterprise-apps/financeops/finance-systems/-/issues/new) using the CM: Retire_SKU template.
    - EntApps System Configuration Change
         - If the system change is a quick change which does not require additional cross-functional alignment, scoping, or testing, and is not an output of a larger project, submit a Change Request.
         - Open a [Configuration Change issue](https://gitlab.com/gitlab-com/business-technology/enterprise-apps/financeops/finance-systems/-/issues/new) using the CM: Configuration Change [Generic] template.
    - Department Change Request
         - Open a [Department Change issue](https://gitlab.com/gitlab-com/business-technology/enterprise-apps/financeops/finance-systems/-/issues/new#) using the CM: Department Request template.
    - EntApps System Incident Log
         - Open an [Incident issue](https://gitlab.com/gitlab-com/business-technology/enterprise-apps/financeops/finance-systems/-/issues/new) using the IM: FinSys Incident template.
    - Coupa Sandbox Refresh
         - Open a [Coupa Sandbox Refresh issue](https://gitlab.com/gitlab-com/business-technology/enterprise-apps/financeops/finance-systems/-/issues/new) using the Sandbox - Coupa Refresh template.
    - NetSuite Sandbox Refresh
         - Open a [NetSuite Sandbox Refresh issue](https://gitlab.com/gitlab-com/business-technology/enterprise-apps/financeops/finance-systems/-/issues/new) using the Sandbox - NetSuite Refresh template.
    - Zuora Central Sandbox Refresh
         - Open a [Zuora Central Sandbox Refresh issue](https://gitlab.com/gitlab-com/business-technology/enterprise-apps/financeops/finance-systems/-/issues/new) using the Sandbox - Zuora Central Refresh template.

5. **Partnerships & Collaborations with:**
    - [Data Team](../it/data-team/): Empower and generate business value from our data assets by using the data to drive optimal business decisions across GitLab.
    - [Procurement Team](../finance/procurement/)  
    - [People Operations Systems Team](../people-group/people-ops-tech-analytics/)
    - [Security Team](../security/): Conform to the established cybersecurity framework and requirements

6. **Join Our Team** - [Current Job Openings](https://about.gitlab.com/jobs/all-jobs/#general-administrative)

7. **Contact Us**
    - **For Technical Support, Service Requests or General Questions:** HelpLab - [IT Break/Fix Request](https://helplab.gitlab.systems/esc?id=sc_cat_item&sys_id=07b1f158979c4610a326158de053affb)
    - Slack Channels
        - #[enterprise-apps](https://gitlab.slack.com/archives/CCPG8P3K4)
        - #[business-technology](https://gitlab.slack.com/archives/C01BLS12V37)

8. **Other References**
    - [Quote to Cash Documentation](../business-technology/enterprise-applications/entapps-crm/quote-to-cash/)
    - [Enterprise Application Guides:](../business-technology/enterprise-applications/guides/) GitLab's Enterprise Application Guides for Finance Systems
