---
title: "HelpLab Information Guide"
description: "Contains FAQs and instruction guides for GitLab's ServiceNow implementation."
---

## What is HelpLab

HelpLab is a GitLab's branding of the ServiceNow Platform.

[ServiceNow](https://www.servicenow.com/) is a SaaS Enterprise Service Management Platform that enables organizations to gain operational efficiencies by centralizing and automating Service Life Cycle Management. Simply put, it's a Support Ticketing System that will allow us to provide faster and more accurate help so that we maximize the Productivity of our Teammates.

## Why ServiceNow?

The solution combines the `#people-connect`, `#stock-admin`, `#expense-reporting-inquiries`, and `#payroll` and `#it_help` Slack channels into a single destination. No more searching for the right Slack channel for your various questions; you will be able to get the help you need all in one place.

Additionally, this solution supports our continued emphasis on keeping team members' sensitive information secure and confidential. When you reach out for support, you will know that it's being handled with the utmost care to maintain your privacy.

## When is it going to be LIVE?

ServiceNow (aka HelpLab) is going to be live on 2024-04-25.

## What teams are available in HelpLab?

The following teams are available through HelpLab:

- [People Connect](/handbook/people-group/people-ops-tech-analytics/)
- [People Technology and Analytics](/job-families/people-group/people-systems-and-analytics/)
- [Team Member Relations](/handbook/people-group/team-member-relations/)
- [Stock Admin](/job-families/finance/stock-administrator/)
- [Expenses](/handbook/finance/accounts-payable/)
- [Payroll (US & Non-US)](https://internal.gitlab.com/handbook/finance/payroll/)
- [IT services](/handbook/it/end-user-services/)

## How do I use HelpLab?

### Accessing HelpLab

HelpLab is available via Okta. To access the platform:

1. Login to your [Okta home page](https://gitlab.okta.com/app/UserHome#).
1. Search for HelpLab in the search bar.
1. Click on the HelpLab button.
   - A new tab should open with your user logged in.

### Create a ticket / request

1. Log in to HelpLab via Okta. If you have a ServiceNow Fulfiller license, to open requests for other teams you will need to go to the [main dashboard](https://helplab.gitlab.systems/esc?id=ec_pro_dashboard), as by default you will see your team's requests only.
1. Navigate to the main menu at the top and browse through the menu options to find the team you'd like to request assistance from.

![helplab1](/handbook/business-technology/enterprise-applications/guides/helplab-guide/helplab1.png)

1. Once you've identified the team you need assistance from, look for the topics or categories related to your question or issue.
   - If you're unsure which topic to select, or if your request doesn't fit into any specific category, consider opening a `General Request` available under each team. This option allows you to provide a brief description of your issue or question without selecting a specific topic.
1. Fill in the required details for your request and attach any necessary documents or screenshots to provide additional context.
1. Review your request to ensure accuracy and completeness.
1. Click on the "Submit" button to send your request to the relevant team for processing.

### Add a team member to your ticket / request

After submitting your request, you have the option to add team members, such as your manager, to the `watch list`. Adding team members to the watch list ensures that they receive notifications and have visibility into the case. This feature is useful if there's anybody who needs to have visibility to the case's progress or if additional stakeholders should be informed about updates or resolutions.

![helplab2](/handbook/business-technology/enterprise-applications/guides/helplab-guide/helplab2.png)

### Track & manage open requests

Navigate to the "My Requests" section.

![helplab3](/handbook/business-technology/enterprise-applications/guides/helplab-guide/helplab3.png)

Here, you will see a list of all your open requests along with their current state and any updates. Click on a specific request to view more details, such as progress updates and comments.

You can also filter by `Open` or `Closed` requests or search for specific requests using the seach bar to quickly locate the request you want to track. If you have submitted a request using the HelpLab app in Slack, you can track its progress here as well.

![helplab4](/handbook/business-technology/enterprise-applications/guides/helplab-guide/helplab4.png)

## HelpLab Support

For immediate support following the launch, for any HelpLab related issues, the best way to reach is by sending a message to the #it_help Slack channel. The dedicated support team will closely monitor this channel and promptly address any problems or questions you may have.
