---
title: "Architecture & Integrations"
---

<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

## <i class="fas fa-users" id="biz-tech-icons"></i> About Us

We are the team that designs, builds and maintains the complex ecosystem of integrations and automations that exist in our Enterprise Applications ecosystem. We do this via the use of a hybrid integrations platform. We also fill a governance role in the organization for system integrations and real-time data flow by applying [standards and conventions](/handbook/business-technology/enterprise-applications/integrations/) for all of our Enterprise Application systems and integrations.

## <i class="fas fa-users" id="biz-tech-icons"></i>Our Team (Org Chart)

[Our Team (Org Chart)](https://internal.gitlab.com/handbook/it-enterprise-applications/about-us/enterprise-applications-integrations/)

## <i class="fas fa-users" id="biz-tech-icons"></i> Our Services

- System Integrations and APIs
  - Connecting System A to System B
  - Understanding APIs and building custom connections between systems
  - Evaluating Native connectors
  - Working through the build vs. buy problem for integrations
  - Understanding compliance requirements for your systems(s)
  - Building custom APIs
  - Building automations and workflows

## Highly tested and robust data mapping

We use a combination of unit and integration testing to build automated tests that provide guarantees that the data models we’re mapping to and from are correct now and into the future

## System decoupling

The integrations platform we use allows us to decouple event producing systems from the downstream consumers so that if and when we do decide to switch upstream systems or introduce new downstream systems, we can very quickly and easily do that without causing large amounts of rework for ourselves or for the system owners

## Scheduled automations

Through our CRON scheduling capabilities, we can build out extremely flexible time-based automations for you

## Slack integration

If you require any slack integration automations and workflows we offer that through the Workato built in Slack connector. Reach out for more information on how we can help you

## Built in business system connectors

Through our integration with Workato we are able to offer out of the box connectors for many standard business systems. Look through the [Workato connectors list](https://docs.workato.com/connectors.html) for more information on what’s available. If your system isn’t listed on that website please reach out to us as we also regularly build custom connectors for additional systems
