---
title: "CEO"
description: "This page details processes specific to Bill Staples, CEO of GitLab."
---
<!-- vale handbook.InclusionLanguage = NO -->

## Why I’m at GitLab

I love software. I love developers. In my lifetime, I’ve seen software change every aspect of modern life. I believe we’re still in the early stages of software transformation, and AI will accelerate how software changes the human experience in the coming decade. There has never been a better time in history to be in the software business and serving developers. GitLab is a strategic asset for the companies we serve because we provide the platform they use to create software experiences for their customers. As we serve developers and improve their work and lives, our positive impact is amplified through them, ultimately reaching billions of people around the world in profound ways.

I am honored to lead GitLab as CEO. It is the climax of my career after nearly 30 years of serving developers. I am committed to maximizing our impact in service of customers, shareholders, and team members. I am competitive, and I want to win. Winning begins with delivering software to our customers, creating positive results they can’t get any other way, and continuing to do that in a rapidly expanding and evolving market. That means innovation. It also means driving results for customers as our first priority. It means continuing to focus on responsible growth and performing in an elite class, one of the very few who are the very best in the world for the categories we compete in.

This README is meant to help anyone who needs to work with me by providing a brief overview of what is important to me.

### My Personal Values

1. **Integrity:** Trust is the most important thing in any relationship. Trust is knowing you can count on me to say what I mean and do what I say. I try to live my life in strict adherence to this value, and when I fall short, I try to proactively and openly acknowledge and recommit. My single biggest ‘hot button’ issue is when someone does not follow through on something they said they would do.
1. **Curious:** I try to live what many call the “growth mindset,” which means that I’m always learning, striving to improve, and iterating to be better. I feel very imperfect and self-critical on the inside, and I constantly strive to learn as much as I can while appreciating that I can’t know it all. I’m open and accept constructive feedback from anyone, anytime.
1. **Results:** Good ideas, hard work, and fun on the job are all important, but ultimately, our results are what matter. I care far more about outcomes than effort. I strive to do everything at a high standard of excellence, and I’m never satisfied with the status quo. I seek people who are equally committed to being world-class.

### My Super Powers - how you can get the best from me

1. **Passionate** - I work for causes and missions and pour my heart into them. My brain is highly analytical, detail-oriented, and (usually) pretty fast, but my heart is equally important to understand me: I feel things deeply and try to help others around me both see the possibilities and feel motivated and inspired to strive toward what others may not think possible.  I am passionate about my work. It is not just a job for me. It is where I find meaning, purpose, value, and how I contribute to the world.
1. **Curiosity** - I ask a lot of questions and like to absorb information quickly. I like being surrounded by people I can learn from and collaborate with. I often see patterns and synthesize disparate points of information to help others make sense of the work and align on a direction.
1. **Work Ethic** - From my early life, I have always worked very hard and enjoyed it (most of the time). I especially enjoy “the struggle,” solving complex problems, grinding on hard issues, and rising above roadblocks. George Bernard Shaw once wrote, “I want to be thoroughly used up when I die, for the harder I work, the more I live.”

### My Weaknesses - double-edged swords are real

1. **Passionate** — I sometimes come across as emotionally charged, overly critical when we fall short of goals, or emotional when something touches my heart. I don’t smile enough on the outside (even though I’m generally pretty happy on the inside—because solving problems is fun to me!).
   1. How to help me manage this: It depends on the situation. There is a time to be serious, but it is also possible to overdo it. Try smiling to remind me that I can lighten the mood. A well-timed joke is always helpful, and feel free to ask with a smile, “Are we having fun yet?” to make me think.
1. **Curiosity** - I sometimes exhaust people with my many questions and drill-in tendencies. As I’m a genuinely curious person and care about all parts of the business,  I regularly do this, and it is not always an indication that something is off.
   1. How to help me manage this: Come prepared for meetings. If you don’t know the answer, let me know and be clear on when you will follow up. If you have concerns about whether my drilling affects your performance, let me know so we can discuss it.
1. **Work Ethic** - Occasionally, people struggle to keep pace with my style of work.
   1. How to help me manage this: let me know if you are struggling so we can discuss it.

Suggestion: If I am negatively impacting you, I welcome constructive feedback and will do my best to moderate my approach.

### My Expectations of Everyone (including myself)

1. **Collaborate** - By default, I expect everyone to actively work with their teams, peers, and leaders, as well as customers, partners, and investors (as applicable), to identify the “absolute best” ideas, no matter where they come from. I hire and retain leaders who I believe are experts in their functions and whom I feel personally excited to work with and learn from. Still, I also believe the best leaders actively learn from and incorporate good ideas from everywhere. I expect E-Group members to have similarly high expectations for team members.
1. **Accountability** - By default, you are trusted to do your job, and I believe part of everyone’s job is to communicate expectations, set metrics and targets, and meet them. Along the way, the single most powerful way to ensure expectations are managed and met is to discuss or “inspect” the work regularly. This powerful tool *does not* represent a lack of trust or micromanagement; when done right, it ensures the best ideas are being pursued, surprises and roadblocks are rapidly identified and removed, and outcomes are maximized. I like creating operating rhythms that enable automated inspection and collaboration opportunities for every mission-critical initiative on a regular basis.
1. **Selfless** — The very best leaders I know are smart and driven, and they motivate and inspire others to do their best work. Careful observation of these leaders also reveals that they check their egos at the door and focus on what is best for the company and customers first. They serve others around them and act selflessly for the greater good.

### My Role

I am the CEO of GitLab. Here is what I do in 12 words or less that is unique to my role:
**Lead the team that defines and drives GitLab’s strategy & execution.**

### Communication Preferences

1. I prefer Slack to email. I try to respond to every Slack message I get every day. Keep them concise.
1. If you need me in near real-time, text or call my phone. My EBA can help to get you in touch if you don’t have this information and it is urgent.
1. If you have a complex question or need a discussion on something async that will require more than a few sentences for me to reply, put it into a document and share it with me with comments. I read fast and am pretty efficient at giving feedback this way.
1. Use email when it is an external-facing communication, but don’t expect me to respond in < 1 week unless you ask me to look at it sooner over Slack or it is regarding a critical external matter.

### Expectations for leadership  

What I need from you. What you will get from me.

1. If you tell me you will do something, I expect you to do it to the very best of your ability on time. I will, too.
1. If you fail at something, I expect you to own it and not make excuses. I will, too.
1. If you succeed at something, I expect you to give all the credit to your team. I will, too.
1. I want to be part of a world-class company that is respected for being ‘excellent’ and unrivaled in our category. I expect you to constantly strive to increase your team's output quality and volume through greater alignment and efficiency. I can’t judge your personal or team capacity, so I will push work until you set my expectations on what is achievable and by when. I expect you to actively manage expectations and hold yourself accountable.
1. When E-Group members disagree with each other, I expect them to jointly escalate it to me in a timely fashion so I can help break the tie. I have a similar expectation for other team members. Escalation is not a failure. I want a team that is pushing passionately, and it is normal to have conflict. Disagree, commit, and advocate. Be a gracious winner. Own decisions either way 100% with your team.

### Frequently asked questions from prior roles

1. Why do you ask so many questions? What are you looking for?
   1. I do like to ask a lot of questions.
   1. I care about the details, and I really like to learn.
   1. I can tell when someone really knows the area by how easily and completely they can answer my questions.
   1. When I see that someone understands their area very well and has confidence in their area, I shift from probing to generative questions and sometimes ideas with the intention of contributing.
   1. When I see that someone lacks command of their area, I shift to the Socratic method to understand shared beliefs and assumptions and help guide people/teams to an answer we can align on. If this fails or isn’t converging, I put forward my hypothesis/ideas as a starting point.
   1. If you find meetings/discussions ending frequently with my hypothesis as the next step, that may be a sign that we aren’t well aligned. If in doubt, ask me!

1. Why do you want to inspect my work so frequently? Do you not trust me?
   1. I like to meet regularly (weekly) to talk about top priorities and our progress on key metrics. These meetings normally have nothing to do with trust.
   1. Past experience has taught me that monthly updates are not frequent enough to ensure that most bold, ambitious, impactful initiatives are delivered as efficiently as possible, on time, and with high quality. It truly ‘takes a village’ to make that happen.
   1. Operating meetings help me learn the realities of the work, stay in touch with real roadblocks and challenges that sometimes only I can resolve, contribute ideas, and help align functions across the company to ensure that we meet our most important goals.

1. You seem to work a lot of hours and around the clock. Do you expect the same from me?
   1. No
   1. I expect you to manage your own work/life balance; no one else can do it for you. Everyone’s needs are unique, so managers can’t really prescribe how to achieve a balance that is right for you.
   1. Managers should measure whether their reports’ work meets business needs and tell them if they see misalignment. This is part of my job as manager of E-Group.
   1. Work is by nature a competitive task, and there will always be someone smarter, who works harder or is more skilled than oneself. Some jobs are more complicated and demand more than others. In some periods of life, one may have more or less to give than others. Finding balance is difficult and requires constant management. My advice: Be honest with yourself about who you are and what you need, then give it your best and keep an open dialogue with your manager. Good managers care about and flex with the people they manage to find a win/win for the company and individual.

1. Can you share a bit more about your personal life? What do you do outside of work?
   1. My family is my #1 priority in life, and I give extreme attention to their needs. My sons are both out of the house on their own, leaving just my wife and me at home. They support me in giving my best to GitLab.
   1. I really do enjoy work. I’ve had the fortune to take some extended time off in my career, and every time I do, I am reminded that work is so much more than a paycheck. It is something I love and how I find purpose.
   1. When I have free time, my #1 hobby is cycling with my wife. We have cycled in different parts of the world and always strive to see new places by bike.
   1. I often couple my #2 hobby, photography, with my work and personal travel. I love taking photos because it encourages me to “see” the world in non-obvious ways to create interesting photos, which is also helpful in life and business. I like the blend of science and art skills that photography demands.

## CEO Scam

See [CEO and executive fraud](/handbook/security/security-assurance/governance/phishing/#ceo--executive-fraud) in the security practices section of the handbook.
