---
title: "Cynthia 'Arty' Ng README"
description: "Personal readme page for Cynthia 'Arty' Ng, Staff, Strategy & Operations, Office of the CEO, GitLab"
job: "Staff, Strategy and Operations"
---

This page is meant to provide a bit of information about me and how I work,
in the hopes of building trust and giving others an idea of what it might be like to work with me.
It's also meant to make it easy to find and talk to me.

## A little about me

I'm often described as someone who is a bridge between the technical side and the user-facing side.

This is actually my first "tech job", and first startup. I come from a mostly public services background,
having been a teacher and librarian, with a significant focus on technology and accessibility.

I used to be a manager, and I clearly still have a fairly manager-like outlook on a lot of work,
but I purposely went back to being an individual contributor,
especially to focus on project work, and collaborate with other teams.

I believe I've come to really embrace the [GitLab Values](/handbook/values/),
but it initially took me months to really internalize,
and I'm still working on excelling in some areas.

Aside from work, you'll hear me talk about alls sorts of things, but namely
books, movies, food, birds (and birding), puzzles, Lego, Canada, languages, and plushies (check out the pets page)!

### My assumptions

Being at GitLab, I generally assume that people are following or embody the [GitLab Values](/handbook/values/).
In particular, the assumptions I have about others tend to be the same things people say about me:

- You'll [do what you say you will](/handbook/values/#ownership).
- You'll [share, especially by asking for help](/handbook/values/#share).
- You're [direct](/handbook/values/#directness).
- You'll [provide feedback if you have any](/handbook/values/#give-feedback-effectively).

## Availability and communication preferences

I prefer asynchronous written communication, but also love to chat and get to know team members.

- Not urgent? Mention me on an issue.
- Urgent or time sensitive? Ping me on Slack.

I'm a big fan of donut/coffee chats, and learning more about others.

If you would like a synchronous meeting, feel free to find a free time on my calendar and send an invite.
If it's outside my working hours, you can still send an invite to propose a time.

## Finding me

You will find me regularly in team meetings,
and in various [donut](https://www.donut.com/) channels.

I also participate in [TMRGs](/handbook/company/culture/inclusion/erg-guide/),
namely Women+, and Global voices.

Ways to connect with me:

- Slack: arty-chan
  - GitLab (internal)
  - [Support Driven](https://supportdriven.slack.com/)
  - [Write the Docs](https://www.writethedocs.org/slack/)
- GitLab.com: [cynthia](https://gitlab.com/cynthia)
- Personal Blog: [cynthiang.ca](https://cynthiang.ca)
- Digital card (with links to social accounts): [About.Me](https://about.me/cynthiang)

## Expertise

- Technical topics (as of 2023-11-01):
  - Authentication/Authorization (SAML, SCIM, permissions, etc.)
  - CI
  - CustomersDot, especially CDot &lt;&gt; GitLab.com connections, and console
  - SaaS, including GitLab.com console
  - User account issues, including intersection with legal/security
- Using GitLab for work
- Workflow/Processes
- Documentation
- Training
- UX/Accessibility
- Cross-team communication
- Tracking and prioritizing work, including for performance reviews and promotions
- Applying GitLab values, including TeamOps
- Mentoring/coaching and being a non-manager leader

## Stengths and weaknesses

- **I take ownership of my work and focus on results with a bias for action.** At best, this means I deliver, and get a lot done.
At worst, I lose focus of the human element, seem very certain of an opinion, and/or I'm unintentially discouraging or not giving others the opportunities to contribute.
  - **What to do at its worst**: Tell me you'd like to contribute or remind me to think of the human impact.
  Let me know that you might disagree with my idea, as many of them are [strong opinions weakly held](/handbook/ceo/#flaws).
  Because I don't do this consciously, I will never get mad at someone for letting me know.
- **I'm direct.** At best, it means I'm being transparent and providing feedback.
At worst, the feedback will read as criticizing, forgetting the "kind" part of [directness](/handbook/values/#directness).
  - **What to do at its worst**: [Give me feedback](/handbook/values/#give-feedback-effectively) on what didn't work for you.
  Level of directness varies by country/culture and I recognize that I'm on the direct end, so it's okay to remind me of that.
- **I reprioritize constantly.** At best, this means that important and impactful things get done quickly.
At worst, it means that I miss a deliverable that you were waiting for.
  - **What to do at its worst**: Give me a deadline for what you need. Check in on progress if you need to.
  If what I'm prioritizing doesn't match your priorities, I should be able to articulate what's blocking me.
- **I like to share ideas and solve problems out loud.** At best, this means great brainstorming sessions.
At worst, I don't think something through before I blurt it out, it might seem dismissive of other's ideas, or dominate the discussion.
  - **What to do at its worst**: I've been working on doing this less in group settings, but tell me if I'm talking too much.
- **I want to consider all aspects.** At best, this means lowering risk, and making people feel included.
At worst, I make things seem more complex than they need to be, or I cause information overload.
  - **What to do at its worst**: Ask me to summarize and simplify.
- **I'm great at making connections.** At best, I get to know a lot of people and things, and connect them.
At worst, it means I'm a "jack of all trades, master of none" kind of person.
  - **What to do at its worst**: Block off some time in my calendar if you'd like me to dig deeper into something (with you).
