---
title: "Stella Treas's README"
---

## Stella's README

**Stella Treas, Chief of Staff to the CEO**

This page is intended to help others understand what it might be like to work with me, especially people who haven't worked with me before.

It's also a well-intentioned effort at building some trust by being intentionally vulnerable, and to share my ideas of a good working relationship to reduce the anxiety of people who might be on my team.

Please feel free to contribute to this page by opening a merge request.

## Related pages

- [GitLab](https://gitlab.com/streas)
- [LinkedIn profile](https://www.linkedin.com/in/stellatreas/)

## About me

- I'm from Southern California, but I left home when I was 18. I've since lived in New Hampshire, Barcelona, New York, Boston, Washington, D.C., London, Rwanda, and San Francisco.
- Before having children, my passion was travel. I've been to over 70 countries and aggressively checked off most of the items that had been on a bucket list that I created when I was 18 (swam with dolphins, lived abroad, jumped from a plane, visited mountain gorillas, went on a tiger safari, etc.).
- I care about a number of social causes. Before getting into technology, I worked for a number of nonprofits in various roles.
- My husband and I met on a trip to climb [Half Dome](https://www.nps.gov/yose/planyourvisit/halfdome.htm) in Yosemite.
- I have 2 young children who are the center of my world outside of work. While I look forward to the day when I can get an uninterrupted night of sleep, they are pretty awesome.
- Starting the day with hot coffee brings me great happiness. I grow increasingly articulate as I work my way through the first cup.

## My personal values

1. **Impact.** I care deeply about the personal value that I deliver within whatever role or project that I'm part of. I am happiest when I'm working on big projects and initiatives that help to meaningfully advance the company.
1. **Integrity.** There are many ways to have an impact. While integrity can mean many things, to me, it is the "how" in getting things done. Integrity means delivering results in a way that optimizes for the company as a whole. GitLab's values of collaboration and transparency fall into my definition. This is why I choose to work in values oriented and non-political companies where doing good work in a collaborative and efficient way is a priority.
1. **Ownership.** I own my work. This means delivering on my commitments and against my goals. When it looks like I can't for some reason, I quickly escalate, so I am aligned with others on the new timing or direction. I expect this ownership from others. I don't like to micromanage and find that it is less necessary when folks are owning their work.
1. **Community.** I like to invest in communities and community creation, both at work and in my personal life. I believe that positive professional and social connections make work and life more enjoyable.

## My superpowers

1. **Bias for action.** If I believe that something needs to be owned and I don't see anyone owning it, I'll try to step in to make sure that it gets done.
1. **Problem solving.** I am a problem solver. I enjoy tackling tough challenges and connecting dots. I am good at seeing trends across a company and can think both at a high level and in the details.
1. **Keeping balls in the air.** I rarely drop balls. If I ever do, you can be assured that my disappointment in myself is far greater than any disappointment that you have in me.
1. **Collaboration.** I enjoy working with others and collaborating to get to a good outcome. In my role, this is something that I need to do well.

## My weaknesses

1. **Always on problem solving.** Depending on the situation, this can be a blessing or a curse. If you have a problem and you want a listener or aren't looking for new ideas, proactively let me know, so I can engage you with you in the right way.
1. **Aversion to politics.** I get demotivated when I suspect that folks are prioritizing themselves or their teams over the greater interests of a company.
1. **Breadth over specialization.** I am a generalist. Against a lot of advice, I've built a career around being decent at most things but not an expert in any. I overcome the downside of this through having a growth mindset and being able to ramp quickly in new areas.
1. **Perfectionism.** I care about my work to the degree that I can push myself to the point of running on fumes. I'm better at pushing my team toward work life balance, but I'm not always a great role model.

## My expectations of everyone (including myself)

1. **Own your work.** Do the work that you commit to doing. If you can't for some reason, share immediately and figure out how to get it done if it is still the right thing to do.
1. **Work according to GitLab's values.** Our shared work values are a gift. They help increase trust and align expectations in how we work and what we can expect from each other. If you ever feel that I'm not working in a way that is conducive with GitLab values, let me know, so I can learn from your observation.
1. **Give feedback.** Feedback is a gift. Knowing where I am now and how to continue to grow is important to me. I also believe that helping people understand their current performance and opportunities is a gift to others. If you have feedback, don't hold back and give it in a timely manner. I will commit to doing the same.
1. **Ask for greater engagement.** I try to adjust my leadership and management style for each person, but I am not a micromanager. If you need more coaching and greater involvement, let me know. I will do the same.

## My role

I am the Chief of Staff to the CEO at GitLab. Here is what I do in 12 words or less that is unique to my role:

Enable the CEO to achieve even greater results for GitLab.

## Communication preferences

1. I work largely within Slack and issues. If it is a busy day, I may not get to email until the evening.
1. Since I work with folks in China and have young kids, I sometimes don't get online until after 8:00 am unless there is a specific reason to do so. During these times, I often read meeting notes instead of attending synchronously.
1. When inviting me to a meeting, please make it clear in the invite or meeting agenda why my participation is important. This helps me manage my time appropriately among competing priorities.
1. Please try to send meeting invites 2+ days ahead of when you'd like to meet, unless we've agreed to otherwise. It helps me better plan my work and schedule ahead of time.
1. My job has a broad scope, so I'm constantly prioritizing a long list of work and context switching. I do my own prioritization, so it may not align with yours. If something is time sensitive, please clearly let me know.
1. In  Slack, I am emoji happy, because they are efficient to post, and I believe that an emoji can be superior to 100 words.

## Expectations for leadership - What I need from you. What you will get from me

This mirrors my "expectations for everyone (including myself)." Point me toward where I can be of most value and be open with feedback. I commit to earning and maintaining your trust. If I don't, this should be part of your feedback.

## Frequently asked questions from prior roles

1. How would you describe the work that you do?

I think of myself as an operator, and I care about overall business and organizational health. My top priority is enabling the CEO as this can have a great, positive impact on the organization. I also, in collaboration with the broader OCEO Team and with the blessing of the CEO, identify and address business gaps and pursue business opportunities.

1. You are a sociology major and worked in nonprofits. How did you wind up in tech and doing what you are doing?

Sociology taught me to think holistically about organizational effectiveness. This is a valuable thing to be thinking about in an operating role. In my nonprofit roles, I loved leading key strategy and operations activities. I also had to be scrappy. I've been able to bring what I've learned into tech operations.

1. Why are you no longer in customer success?

I love driving results for customers. A business cannot be successful when customers are not getting value. That said, I found that my unique contribution was in operationalizing and scaling a lot of what my customer success team did. And, then doing this at a higher level across functions.

## How you can help me

- Reach out when you see opportunities for me to do something better and drive greater results. I appreciate any and all feedback. I've been in meetings in which team members have reached out through Slack immediately after to share their impressions--positive or constructive. In all cases, I see it as a gift. I don't want feedback to wait until a 360.

## What I assume about others

- They also care about their work and are committed to operating in a way that reflects GitLab values.

## What I want to learn

- How to effectively scale a company with strong and unique values

## Personality tests

2022 [TeamSight](https://teamsight.co/):

1. Ideas: 3 (how that would work here)
1. Emotion: 3 (I want fair)
1. Action: 5 (directs projects)
1. Order: 3 (available trade-offs)

2016 [Five Dynamics by Simpli5](https://www.simpli5.com/): Effortless across 5 dimensions. Spikes in Examine and Execute.

2007 [Meyers Briggs](https://www.themyersbriggs.com/): ENTP. Since self diagnosed as an E N T P/J

1. Extrovert
1. Intuition
1. Thinking
1. Prospecting / Judging
