---
title: CEO Shadow Program
description: "At GitLab, being a CEO Shadow is not a job title, but a temporary assignment to shadow the CEO"
---
<!-- vale handbook.InclusionLanguage = NO -->

## Overview

At GitLab, being a CEO Shadow is not a job title, but a temporary assignment to shadow the CEO.
The shadows will be present at [all meetings of the CEO](_index.md#ceo-meeting-cadence) during their rotation.
GitLab is an [all-remote](/handbook/company/culture/all-remote/) company, but the CEO has in-person meetings with external organizations.
Unless you're joining the program during one of our [remote rotations](#remote-shadow-rotations), you will stay in San Francisco during the entire [rotation](#rotation-rhythm) and travel with the CEO.

### Goal

The goal of the CEO Shadow Program is to give team members and [eligible individuals](#eligibility) an overview of all aspects of the [company](/handbook/company/). This transparency enables CEO Shadow participants to better engage and collaborate cross-functionally, as well as better perform [cross-functional optimizations](/handbook/values/#cross-functional-optimization).

As a CEO Shadow, you'll gain this context through the [meetings you attend](#meetings--events) and while [completing](/handbook/values/#operate-with-a-bias-for-action) short-term [tasks](#tasks) from across the company.
The program also creates opportunities for the CEO to build relationships with team members across the company and to identify challenges and opportunities earlier.
The shadows will also often connect with one another, developing new cross-functional relationships.

### What it is not

The CEO Shadow Program is not a performance evaluation or the next step to a promotion. Being a CEO Shadow is not needed to get a promotion or a raise, and should not be a consideration factor for a promotion or raise, as diverse applicants have different eligibility.

### Benefits for the company

Apart from creating leadership opportunities, the CEO Shadow Program:

1. Leaves a great impression on both investors and customers
1. Gives feedback immediately to the CEO
1. Enables the CEO to create immediate change

This is why the program is worth the extra overhead for the CEO and [EBA team](/handbook/eba/).

### Naming of the program

This role is called a [CEO Shadow](https://feld.com/archives/2015/03/ceo-shadowing/) to make it clear to external people why a shadow is in a meeting.

### About the CEO Shadow Program

{{< youtube "ExG8_bnIAMI" >}}

### Reasons to participate

{{< youtube "Cg0LzET_NWo" >}}

### What is it like?

Considering joining the program? Hear from past shadows about their experience:

1. [Acquisitions, growth curves, and IPO strategies: A day at Khosla Ventures](https://about.gitlab.com/blog/2019/04/08/khosla-ventures-gitlab-meeting/)
1. [Takeaway videos and posts from alumni](#alumni)
1. [AMA with the CEO Shadow Alumni on 2019-08-23](https://www.youtube.com/watch?v=TxivABJ16jE)
{{< youtube "TxivABJ16jE" >}}
1. [AMA with the CEO Shadow Alumni on 2020-07-02](https://www.youtube.com/watch?v=Yey83s3zGMM)
{{< youtube "Yey83s3zGMM" >}}

Still not sure if the CEO Shadow Program is for you? Want an authentic, honest, and unfiltered understanding of the program? You can visit the #ceo-shadow-alumni channel or visit the [alumni section](#alumni) of the handbook to find shadows who have recently completed a rotation. Send them a DM or a coffee chat invite, and they will give you an entire run down. You can ask them anything you want about the program without worrying about them judging you. They want to help you understand if it's a good fit for you and are happy to share their experiences with you!

### Impact of the CEO Shadow Program

This is feedback received from some Alumni shadows and their managers.

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vQ1FyJrtnLS76qq-Oi5wi3F7Gd5yJFQc-DyOSVTNZgxM63rJQUtYmWa_4mp5MjaGa_rut5o68fNdNep/embed?start=true&loop=false&delayms=2000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure>

### What is the feedback from the CEO?

Hear what [our CEO has to say about the CEO Shadow Program](https://www.youtube.com/watch?v=gJWMBI64sZk).

{{< youtube "gJWMBI64sZk" >}}

## Participating in the program

### Eligibility

All GitLab team members are eligible to apply for the CEO Shadow Program.

#### VP-Directs Shadow Opportunities

[VP-Directs](/handbook/company/structure/#vp-directs-group) are encouraged to do a two week Shadow rotation--optimally within their third or fourth month at GitLab. If they cannot make a full two week rotation, they can ask to do a one week rotation. Full attendance will be required during this period. In this instance, they should work with the Staff EBA to the CEO to coordinate. We'll post the availability of a second, one-week rotation in the #vp-directs Slack channel. We will preserve the broader see one/teach one program structure.

CEO Shadow rotations will be reserved for [VP-Directs](/handbook/company/structure/#vp-directs-group) during the week of [E-Group Offsites](/handbook/company/offsite/#schedule). An exception will be made if there is last minute availability as two VP-Directs are not available to serve in this role during this window.

**Note:** At this time, all shadow rotations are fully remote. Learn more about what to expect from a [remote shadow rotation](#remote-shadow-rotations).

### Expectations for hours of participation

The CEO generally works from 8am to 6pm Pacific. This means that shadows from Pacific, Mountain, or Central time zones can participate without dramatic shifts to their usual working hours. To the degree possible, these folks should plan to clear their schedule during the CEO's working hours.

If a person is applying from over 3 time zones from the Pacific time zones or has special considerations (for example, inflexible care duties), they can still participate. We ask that they:

1. Commit to participating at least 6 hours a day between 8am and 6pm Pacific
1. Confirm with their "See One" and "Teach One" partners that they can provide sufficient coverage during the times that the participant will not be participating

If you have questions about your individual case, please contact the EBA to the CEO.

### How to apply

1. Create a merge request to add yourself to the [rotation schedule](#rotation-schedule), assigning yourself. (Pro tip: if you're from a less technical background, consider pairing up with someone who is which will make the note-taking process easier for both as you'll bring different areas of expertise to the table.)
1. Add your manager as a reviewer and ask them to approve (**but not to merge**) the merge request.
1. Once your manager approves the merge request, add your e-group leader as a reviewer and ask them to also approve (**but not to merge**) the merge request.
1. Once your e-group member approves, add the [Staff Executive Business Admin (EBA) to CEO](/handbook/eba/) as a reviewer.
1. Post in the `#ceo-shadow` channel with a link to the merge request, and `@mention` the Staff EBA in the message.

Please keep in mind when selecting dates that the CEO's schedule is fluid and subject to constant change, which also means that the CEO Shadow rotation is subject to constant change. The posted dates are not guaranteed. We will work with you to reschedule your rotation if a conflict arises.

### Rotation rhythm

We want many people to be able to benefit from this program, therefore we rotate often.
It is important that an incoming person is trained so that the management overhead can be light.
Currently, a rotation is two weeks:

1. See one, you are trained by the outgoing person.
1. Teach one, you train the incoming person.

The shadow should be available for the full two weeks.

When the CEO has a week or more of paid time off, or during [Summit (Contribute)](/handbook/company/culture/summit/_index.md), the program will pause, one shadow will "see one" before the break and "teach one" after the break.
The rotations with breaks of one or more weeks without a shadow are great if you can't be away from home for more than one week at a time.

This program is not limited to long-term GitLab team members.
For new team members, this might even be the first thing they do after completing our [onboarding](/handbook/people-group/general-onboarding/).
Exceptional community members may be able to participate, as well.

For those with regular commitments, look for shorter weeks or timezone variations in the schedule notes. To allow flexibility for parents to participate, please see the [childcare](#childcare) section in [Travel & Expenses](#travel--expenses) for guidance on how to expense childcare costs.

### Rotation schedule

| Start date | End date | See one | Teach one | Schedule Notes |
| ---------- | -------- | ---- | ----- | --------- |
| 2024-11-25 | 2024-11-29 | NO CEO SHADOW | NO CEO SHADOW | CEO TRAVELING |
| 2024-12-02 | 2024-12-06 | NO CEO SHADOW | NO CEO SHADOW | CEO TRAVELING |
| 2024-12-09 | 2024-12-13 | NO CEO SHADOW | NO CEO SHADOW | CEO TRAVELING |
| 2024-12-16 | 2024-12-20 | NO CEO SHADOW | NO CEO SHADOW | CEO TRAVELING |
| 2024-12-23 | 2024-12-27 | NO CEO SHADOW | NO CEO SHADOW | CEO TRAVELING |
| 2024-12-30 | 2025-01-03 | NO CEO SHADOW | NO CEO SHADOW | CEO PTO |

If you have questions regarding the planned rotation schedule, please ping the [EBA to the CEO](/handbook/eba/#executive-business-administrator-team) and [Chief of Staff to the CEO](/job-families/chief-executive-officer/chief-of-staff/) in the `#ceo-shadow` Slack channel. The CoS and EBA to the CEO manage the rotation schedule. Please do not add new dates to the schedule when adding in your rotation. The CEO's schedule is subject to constant change and your rotation may need to be rescheduled.

## Preparing for the Program

### Important things to note

1. This is not a performance evaluation.
1. Plan to observe and ask questions.
1. Don't plan to do any of your usual work. Prepare your team as if you were on vacation. In Slack, change your status noting who will be covering for you.
1. Be ready to add a number of [handbook](/handbook/about/handbook-usage/) updates during your shadow period.
1. Participating in the shadow program is a privilege where you will be exposed to confidential information, including having access to material non-public information (MNPI). Participation in the shadow program and access to such information is underpinned by trust in the shadows to honor the confidentiality of topics being discussed and information shared. The continuation of this program is entirely dependent on shadows past, present, and future honoring this trust placed in them. As stated in GitLab's [Insider Trading Policy](https://drive.google.com/file/d/184tkDZaPmZAxwQRQ5BwBv2JpfTWbWmBW/view), participants in the shadow program will be considered Designated Insiders because shadows have access to MNPI. Each participant of the CEO Shadow Program or other E-Group level shadow program will be added to the Designated Insider list for the quarter in which they are program participants. Each shadow will be removed from the Designated Insider list once the window has closed for the same quarter they participate as a shadow only if that is the sole reason the participant is on the Designated Insider list. For additional information, please see the [Designated Insider Pre-Clearance Process and FAQs](https://docs.google.com/document/d/1mcBtnfGbv4jSsJUklMQYyj2052MBHe4Lf9RkE-B9yvA/edit#).
1. Give feedback to and receive feedback from the CEO. Participants in the shadow program are encouraged to deliver [candid feedback](/handbook/people-group/guidance-on-feedback/#giving-feedback). Examples of this are to the CEO and to the world about the company if they make a blog post or video. Shadows maintaining confidentiality during the program is separate from shadows being able to provide candid feedback.
1. Please note that access to 1:1 docs as a CEO Shadow is limited to those where the attendee has agreed to share. If not shared, the attendee has declined to share.

### What to wear

You **do not need to dress formally**; business casual clothes are appropriate. For example, Sid wears a button-up with jeans most days. GitLab shirts are acceptable when there aren't any external meetings. Review Sid's calendar to check if there are formal occasions - this may require different clothing. If unsure, please ask the CoS to the CEO in the `#ceo-shadow` Slack channel.

### Pre-Program Tasks

#### Create an onboarding issue

Outgoing shadows are responsible for training incoming shadows. We currently track onboarding and offboarding in the [CEO shadow onboarding](https://gitlab.com/gitlab-com/ceo-shadow/onboarding) project.

**Make sure you do the following:**

- **Create an onboarding issue.** The incoming shadow is responsible for creating their onboarding issue by the Friday before they start the program using the [`onboarding` template](https://gitlab.com/gitlab-com/ceo-shadow/onboarding/-/issues/new?issuable_template=onboarding). Assign the issue to both the incoming and outgoing shadows (the person who will be "teaching one" and yourself).
- In your second week, you'll **create an offboarding issue.** by using the [`offboarding` template](https://gitlab.com/gitlab-com/ceo-shadow/onboarding/-/issues/new?issuable_template=offboarding).

#### Consider creating goals

Consider adding goals for your time as a CEO Shadow, and adding them to your onboarding issue. To make your goals more actionable, you may want to use the [SMART goals framework](https://www.mindtools.com/pages/article/smart-goals.htm).

Making goals will help you reflect upon your overall CEO Shadow experience more easily, and it may help you write a better video or blog post after you complete the program.

For inspiration, here is [an example](https://gitlab.com/nmccorrison/ceo-shadow/-/issues/1#my-goals) of a CEO Shadow who added goals to their onboarding issue.

#### Practice your introduction

You will get asked about yourself during the program, and it's important to describe it correctly. So stand in front of a mirror and practice 3 times. The main point is, do *not* say that your role is to "follow Sid around" or "follow the CEO around". The program is for exploring and learning about all the parts of GitLab, and there's where the emphasis should lie. See [CEO Shadow Introductions](#ceo-shadow-introductions) for specifics.

#### Coffee chat with Co-shadow

Before your scheduled rotation, try to schedule coffee chats with your co-shadow before you start the program. This gives you the opportunity to get to know them and help set expectations for the rotation.

#### Coffee Chat with CEO Shadow Alumni

Feel free to schedule a coffee chat with any of the CEO Shadow Alumni. You can review the list of [CEO Shadow Alumni](#alumni) below. These chats can be helpful when deciding whether to apply to participate or if you're unable to participate but want to hear about the experience and what alumni have learned while shadowing.

#### Coffee Chat with the CLO

This session is designed to answer any questions you may have about your learnings or observations during your time in the CEO Shadow Program. Should it be useful or complementary to your time as a CEO Shadow, our [Chief Legal Officer (CLO)](/job-families/legal-and-corporate-affairs/chief-legal-officer/) hosts Monthly Shadow Chats.

Please @ mention the CLO's [Sr. EBA](/handbook/eba/#executive-business-administrator-team) in `#ceo-shadow` should you wish to be added to an upcoming session, or if you would like to schedule a 1:1 coffee chat with the CLO. This option is available to all shadows: past, present, and future.

#### Explore the CEO Shadow project

CEO Shadows use the [ceo-shadow tasks](https://gitlab.com/gitlab-com/ceo-shadow/tasks) project to track issues and coordinate the requests that result from the [CEO's meetings](#meetings--events). It is linked in the CEO Shadow channel description on Slack.
Check out the ongoing CEO Shadow tasks on the [To Do issue board](https://gitlab.com/gitlab-com/ceo-shadow/tasks/-/boards/1385894).

#### Review the CEO's calendar

Review the [CEO's calendar](#ceos-calendar) to get an idea of what your upcoming weeks will be like.

#### Review the CEO Handbook

The CEO has a [section in the handbook](/handbook/ceo/) that details processes and workflows specific to him as well as his background, communication style, strengths, and flaws. Take time to invest in your relationship with him upfront by reviewing this part of the handbook. Here are some helpful sections:

1. [Communication](/handbook/ceo/#communication)
1. [Pointers from direct reports](/handbook/ceo/#pointers-from-ceo-direct-reports)
1. [Strengths](/handbook/ceo/#strengths)
1. [Flaws](/handbook/ceo/#flaws)

#### Review acronyms

If you're not familiar with some of the business acronyms, take a bit of time to review them. The [Product Performance Indicators](https://internal.gitlab.com/handbook/company/performance-indicators/product/) handbook page has some useful acronyms as well as concepts you're likely to come across.

- [KPI (Key Performance Indicator)](/handbook/company/kpis/#what-are-kpis)
- [OKRs (Objectives and Key Results)](/handbook/company/okrs/#what-are-okrs)
- Product performance indicators such as [CMAU (Combined Monthly Active User) (Internal link)](https://internal.gitlab.com/handbook/company/performance-indicators/product/#estimated-combined-monthly-active-users-cmau) and [SpU (Stages per User) (Internal link)](https://internal.gitlab.com/handbook/company/performance-indicators/product/#stages-per-user-spu)
- [Revenue definitions (Internal link)](https://internal.gitlab.com/handbook/sales/sales-glossary/) such as [ARR (Annual Recurring Revenue) (Internal link)](https://internal.gitlab.com/handbook/sales/annual-recurring-revenue-arr/)
- Other business terminology may come up. [Wall Street Oasis Finance Dictionary](https://www.wallstreetoasis.com/finance-dictionary#DicT) is a handy guide.

**Note:** This list is not meant to be exhaustive and [should not become a glossary]({{< ref "handbook-usage#single-source-of-truth" >}}). While we strive to be handbook first, you may find that we are using acronyms without a clear handbook definition. If you can't find it in the handbook or find a standard definition on Google, ask someone what the acronym means. Not being able to find it could be a sign that we need to do a better job with documentation.

#### Look for values being lived out

Even in meetings where you are unfamiliar with the subject matter, there is opportunity to learn, document, and shape the evolution of [GitLab's values](/handbook/values/). Re-read GitLab's values prior to your CEO Shadow rotation, and be mindful of new and inventive ways that [CREDIT](/handbook/values/#credit) is lived out during the meetings you attend. You can make a merge request to propose new [operating principles](/handbook/values/#operating-principles), which substantiate top-level values.

### Remote shadow rotations

![GitLab all-remote mentor](https://about.gitlab.com/images/all-remote/ceo-shadow-gitlab-awesomeness.jpg)

The shadows will participate in all meetings from their usual work environment.

Remote shadows get an immersive experience through the program. A remote rotation may also be an ideal opportunity for a team member who has been unable to travel for an in-person rotation in the past.

For insights on maximizing a remote CEO Shadow rotation, view takeaway recap videos from [Betsy](https://youtu.be/DGJCuMVp6FM) (Talent Brand Manager) and [Darren](https://youtu.be/4yhtYcOZn3w) (Head of Remote), as well as Darren's [blog](https://about.gitlab.com/blog/2020/05/22/gitlab-remote-ceo-shadow-takeaways/).

#### Tips for remote shadows

1. If you're based in a different time zone to the CEO, consider moving your working days in small increments (30 -60 minutes) towards CEO's working hours 1-2 weeks prior to the start of your rotation. This will help you be refreshed on the first day and alert for the tasks that will be assigned to you during the program.
1. Be sure that you have an [ergonomic workspace](/handbook/company/culture/all-remote/workspace/). You'll be taking lots of notes during meetings, and will want a comfortable setup.
1. Communicate clearly with your co-shadow about shared tasks since you will not be working together in person.
1. Consider alternating who leads note-taking from one meeting to the next, which reduces confusion on who writes first and who follows from one event to the next.
1. Take breaks from your desk when there is a break in the CEO's schedule. It's important to take time to [move around](/handbook/company/culture/all-remote/tips/#dedicate-time-for-health-and-fitness).
1. Depending on your time zone, working in Pacific Time may be an adjustment to your typical working hours. [Plan ahead,](/handbook/company/culture/all-remote/getting-started/#establish-routine-with-family-and-friends) especially if you're balancing responsibilities with family, pets, roommates, etc.
1. Consider switching locations in your home or workspace during the CEO's 1:1 meetings. Since you [won't be taking active notes](#meeting-responsibilities) in these calls, this is a good opportunity to change position or scenery intermittently throughout the day.
1. Particularly in a remote CEO Shadow rotation, life is more available to sidetrack you. It is OK if you need to drop from a meeting to handle tasks at home, from childcare to answering the door, or anything in between. GitLab puts [family and friends first, work second](/handbook/values/#family-and-friends-first-work-second). If feasible, communicate these instances with your co-shadow, so they can assist with ongoing note-taking/tasks.
1. Consider taking one or two days off after your rotation. Being a CEO Shadow can be intense. Be aware of [symptoms of burnout](/handbook/people-group/paid-time-off/#recognizing-burnout).

## What to expect during the program

### Documentation focus

An ongoing shadow program with a fast rotation is much more time consuming for the CEO than a temporary program or a rotation of a year or longer. That's why most organizations choose to either have a shadow for a couple of days, or have someone for a year or more. We want to give as many people as possible the opportunity to be a shadow, which is why we rotate quickly. To make this happen without having to invest a lot of time with training, we need great documentation around the program. A quick turnaround on documentation is crucial, and the documentation will have a level of detail that may not be necessary in other parts of the company.

### Meeting responsibilities

Meetings come in many different formats. Your responsibilities may change slightly based on the kind of meeting.

Your primary responsibilities are [taking notes](#taking-notes) and [keeping time](#keeping-time). Followed by [positivity scoring](#positivity-scores).

See the other sections below for general responsibilities, such as [promoting communication best practices](#promote-communication-best-practices), [recognizing CEO flaws](#notify-ceo-on-use-of-i-think-and-other-flawed-behavior), and [sharing thanks](#share-thanks).

See the [meetings & events section](#meetings--events) for more information on meetings, such as the [types of meetings](#types-of-meetings) and [how to introduce yourself](#ceo-shadow-introductions).

#### When to take notes and keep time

Here is the breakdown on when to take notes and do timekeeping:

| Meeting type                     | Notes?         | Timekeeping?   |
| -------------------------------- | -------------- | -------------- |
| 1-1                              | No notes unless requested | No timekeeping unless requested |
| GitLab Board meetings (e.g Audit Committee, Compensation)              | No notes       | Timekeeping in chat   |
| 1-1 meetings with a GitLab [Board Member](/handbook/board-meetings/#board-of-directors)      | No notes       | Timekeeping    |
| Legal meetings outside of Key Reviews/etc. (see [doc](https://docs.google.com/document/d/1vkHile2eHVTEl1S7-qv4eEFDc64ghUSesBfvFNz7qfI/edit) for details) | No notes | Timekeeping    |
| [Valley Meetings](#valley-meetings)  | No notes       | Timekeeping    |
| E-group weekly        | Notes in conjunction with EBA      | Timekeeping   |
| Customer Meeting    | Yes, please use the externally-shared collaboration doc | Timekeeping |
| Earnings Callbacks (Video/Audio Off) | Notes          | No Timekeeping    |
| Internal meeting (CEO not host)  | Notes optional | Timekeeping    |
| Anything else (unless specified) | Notes          | Timekeeping    |

Assume that you are taking notes in a Google Doc affixed to the meeting invite unless it is explicitly stated not to take notes.

If you're unsure whether or not to take notes, default to take them, ask the CEO before the meeting begins, or ping the [EBAs](/handbook/eba/#executive-business-administrator-team) and [Chief of Staff to the CEO](/job-families/chief-executive-officer/chief-of-staff/) on Slack via `#ceo-shadow` or `ceo-shadow-private` (depending on the sensitivity of the meeting).

#### Taking notes

{{< youtube "DtRWvIzOnP4" >}}

The goal of the notes is to collect the main points and outcomes, not a full transcript of the conversation. As you are taking notes, be mindful that the goal of the program is to absorb what is being said in the meetings you are in.

In many instances, when shadows are taking notes during meetings, the discussion is moving too quickly to fully or accurately capture all of the discussion points. Additionally, the shadows may not be fully aware of the full context of the discussion or familiar with certain terminology being used in the meeting. The meeting notes are also not reviewed nor approved by the meeting attendees. Accordingly, meeting notes should not be the SSOT for any meeting as they may not fully or accurately capture the discussion that was had at the meeting.

**CEO Shadows are required to read [these additional note-taking guidelines](https://docs.google.com/document/d/1vkHile2eHVTEl1S7-qv4eEFDc64ghUSesBfvFNz7qfI/edit).** If a notes document is not already linked, see the [templates available here](/handbook/eba/#meeting-request-requirements).

CEO Shadows are not always the DRI for notes and everyone can contribute to taking notes when in a meeting.

Tips:

1. It's helpful if shadow one takes notes as the first speaker is talking, then shadow two starts when the next speaker continues the conversation. Shadow one can pick up note taking again when the next speaker contributes. By alternating this way, the shadows are better able to keep up with all the participants in the conversation.
1. Add extra blank lines after a bulleted or numbered line to make it easier for multiple notetakers to type notes. In the agenda provided, press enter to add a numbered line, followed by a space and press enter again to create a blank line (as Google documents will not allow a numbered line to be empty).
1. Consider clicking somewhere in the document where people are not actively reading or writing so that your name next to the cursor doesn't hide that text.
1. Showing up one to two minutes early to a meeting may give you an opportunity to network with GitLab team members who you do not know.
1. Put Zoom in "gallery mode" so you can see all participants (rather than only the person currently speaking). When everyone uses this mode, it allows everyone to see the entire audience, which creates a more inclusive environment and fosters better communication.
1. If you aren't sure where meeting attendees are in a Google document, click on their face or initials in the upper-right side of the window. Doing this will cause your cursor to jump to wherever their cursor is in the document.
1. It can be challenging to coordinate with the other shadow on who is taking notes at any point in time. Consider agreeing with the other shadow to "show your hands" in Zoom to indicate that you are not currently taking notes.
1. Sometimes people will provide some color or context before providing the main point. Consider listening to the first sentence before documenting to ensure you are capturing main points instead of what they are saying verbatim.
1. Observe how Sid takes notes as a guide to the level of detail and summarization. Consider reviewing Sid's [agenda formatting recommendations](/handbook/leadership/1-1/suggested-agenda-format/)  (not only applicable for 1:1s)

#### Keeping time

Shadows are responsible for being aware of the [current time and providing timekeeping](#meeting-responsibilities) in many types of meetings. This allows participants to comfortably wrap up the meeting.

**Tips for timekeeping:**

- Decide who. Past shadows have found it helpful for the individual in the second week of the program to commit to keeping time when applicable.
- Understand meeting length. Use the calendar invite as an indication of how long the meeting should last. Remember, we do [speedy meetings](/handbook/communication/#scheduling-meetings).
- Shadows should provide a 5-minute and a 1-minute notification. You can write "Time check, 5 minutes" on Zoom chat.
- **If a meeting is running over the allocated time, unmute and verbally say "we're in overtime".** Don't wait for a break in the conversation.

**Tools to help.**

You can use this [shell script](https://gitlab.com/gitlab-com/content-sites/handbook/-/blob/main/scripts/setalarm.sh) (MacOS only) to run a timer for the desired number of minutes. The script will notify you 5 minutes before the end of the meeting, and will copy "We have five minutes left" to you clipboard, so you can paste the text directly in the Zoom chat in addition to verbalizing it. At the end of the meeting, the same will occur with "We are at time".

To use the script:

1. Download the [set alarm script](https://gitlab.com/gitlab-com/content-sites/handbook/-/blob/main/scripts/setalarm.sh), making sure to preserve the `.sh` extension. (recommended within your Home folder for easy access)
1. Load MacOS Terminal by running `Cmd+Space` and typing `terminal`.
1. Run `source setalarm.sh` to load the `setalarm` function into memory.
1. Then simply type `setalarm 50` to set a 50-minute timer (`setalarm` defaults to 25 minutes if no argument is provided).

Press `Ctrl+C` if you need to cancel the alarm. You may keep the terminal window running indefinitely so that it is at your finger tips throughout your program duration.

For a no-code solution, previous Shadows have used free online timers/alarms like https://vclock.com/. Shadows may choose to keep the timer visible in a separate window, placed alongside their Zoom window. Shadows can use tools like this to set an alarm for a 5-minute notification, prompting the Shadow to send a 5-minute message to the Zoom chat and reset the alarm for the final 1-minute notification.

#### Promote Communication Best Practices

It's important that everyone encourages others to follow the [communication guidelines](/handbook/communication/), not just the CEO. As shadows, you should remind team members to:

1. Verbalize questions
1. Stop sharing their screens to encourage conversations
1. Provide full context for the benefit of new team members

In situations when someone asks others to vocalize their question, shadows are invited to take the action. It's recommended to always add your name to the notes following the request, so others know that you will take care of reading the topic.

#### If you see something, say something

Shadows should notify GitLab meeting participants if their [name and job title](/handbook/tools-and-tips/zoom.md#adding-your-title-to-your-name) are not mentioned on Zoom.

If a GitLab team member is sharing their screen before introductions have occurred, shadows should remind GitLab presenters that GitLab does not [recommend sharing screens during zoom meetings](/handbook/tools-and-tips/zoom/#sharing-your-screen-in-zoom) and to please wait until after introductions have been completed to allow participants to see each other clearly during introductions. This is especially important during external calls when participants are meeting each other for the first time.

If you notice that someone does not have their picture set in Google when a Google document is being actively worked on, [let them know how to set one](https://myaccount.google.com/personal-info) so their picture will show up in the document rather than their first initial. That makes it easier for everyone to find where they are in the document, especially when they are speaking. Let them know that this is 100% optional.

Shadows need to speak up in video calls, and speak up when the CEO's camera isn't working or when the green screen isn't working correctly because of the sun angle.
![Sun on Green Screen Zoom Issue](https://about.gitlab.com/images/ceoshadow/ceo_sun_zoom_issue.png)

#### Notify CEO on use of 'I think' and other flawed behavior

When attending **external meetings**, notify the CEO in a private Zoom chat message when the CEO uses the phrase `I think`. [Hedge words](https://ethos3.com/hedging-the-speaking-habit-harming-your-credibility/) can have the effect of making the speaker seem uncertain or unconfident.

In internal meetings, `I think` can be used to signal opportunity for others to present a contrasting opinion.

Also send a private Zoom chat message when the [CEO displays other flawed behavior]({{< ref "ceo#flaws">}}").

#### Share thanks

Share [thanks](/handbook/communication/#say-thanks) in the `#thanks` Slack channel when it comes from a customer or wider community member in a meeting.

#### Positivity scores

Immediately following meetings, score the CEO on overall positivity score from 1 to 5. The score should focus on the CEO's presence and reactions during the meeting. The Shadows should put themselves in the shoes of team members who are in attendance. How positive and empowered would they feel after leaving the meeting? Each shadow should give a score for all meetings attended.

If your score for a meeting was below a 5, immediately following the meeting, send Sid a Slack DM with your score and the reasoning.

If you do not report a score for a meeting, it is assumed that your score is `5`.

Score definitions:

- `1`: reactions were not positive, the least positive someone could respectfully be
- `2`: reactions were generally not positive, could have been more positive
- `3`: reactions were neutral, or neutral on the balance, being a mix of positive and not positive
- `4`: reactions were mostly positive
- `5`: reactions were authentically positive

#### When and how to speak up

The CEO shadow program is not about you being an active member of the discussion. Still, our [Results for Customers value](/handbook/values/#operate-with-a-bias-for-action) mentions to operate with a bias for action. If a question is raised during the discussion that you know the definitive answer or can look up it up in very few seconds, you are welcome to share your insights in the chat during GitLab internal meetings only. You might be asked to vocalize your answer. Note that sharing a single bit of information when discussing a larger topic might be more disturbing than helpful.

### Tasks

The value of the CEO Shadow Program comes from the [broader context](#goal) you'll gain, and the interesting conversations you'll witness.

Since your rotation is over a short period of time, there are no long-term tasks you can take on. However, there are many short-term administrative tasks you'll be asked to perform as a Shadow.

The CEO Shadows maintain a project called [CEO Shadow Tasks](https://gitlab.com/gitlab-com/ceo-shadow/tasks/-/boards/1385894). It is linked in the `#ceo-shadow` Slack channel. Make sure to assign tasks to the person who will complete it. Once an MR has been opened, post in the `#ceo-shadow` channel.

Here are some examples:

1. Make [handbook](/handbook/) updates (use the [ceo-shadow](https://gitlab.com/gitlab-com/content-sites/handbook/-/merge_requests?scope=all&state=all&label_name[]=ceo-shadow) label).
Post the MR links in the `#ceo` Slack channel and `@`-reference the CEO so the CEO knows they have been completed. It is not required to create issues for these tasks. Go directly to a merge request if it is more [efficient](/handbook/values/#efficiency).
1. [Draft a "tweet storm"](#drafting-a-tweet-storm).
1. Solve urgent issues. For example, help solve a complaint from a customer or coordinate the response to a technical issue.
1. Go through open merge requests and work towards merging or closing any that have [not been merged](https://gitlab.com/gitlab-com/content-sites/handbook/-/merge_requests?scope=all&state=opened&label_name[]=ceo-shadow).
1. Iterate and complete small tasks as they come up. Clear them out immediately to allow for rapid iteration on more crucial tasks. Communicate updates on these tasks in the `#ceo-shadow` channel.
1. Go through open issues in the [CEO Shadow tasks project](https://gitlab.com/gitlab-com/ceo-shadow/tasks/-/issues) and work towards closing or creating a subsequent merge request to close out. Communicate updates on these tasks in the `#ceo-shadow` channel.
1. Compile a report on a subject.
1. Write a blog post on the public company blog, a recorded reflection of your experience, or a CEO Interview on a topic of your choice. Please see [information about pitching and publishing a blog post](/handbook/marketing/blog/#how-to-suggest-a-blog-post) for information about the publishing process, and be sure to read previous CEO Shadows' blog posts before you start writing to ensure that your post has a new angle. Link this to the table in the [Alumni](#alumni) section. These do not need to be approved by the CEO but he will happily review them if you'd like. The posts should however follow the parameters outlined in the [additional note-taking guidelines](https://docs.google.com/document/d/1vkHile2eHVTEl1S7-qv4eEFDc64ghUSesBfvFNz7qfI/edit). In the event you have any questions about what is okay to share, please reach out to the GitLab Legal team in slack at `#legal` or the Corporate Communications team in `#corpcomms`.
1. Provide training to the incoming CEO Shadow(s).

#### Handbook MRs

CEO Shadows label the handbook MRs they create with the `ceo-shadow` label. You may do a lot or a few handbook MRs, depending on your other tasks. You can always feel welcome to create an MR. We even track the number of MRs that CEO Shadow participates create.

#### Drafting a tweet storm

A tweet storm is a series of X/Twitter posts usually made as replies in a single thread on a topic. CEO Shadows may be asked to draft the tweets in relation to a public livestreamed video recording or some other media content.

1. Create a Google Doc with a title using the format "202X-XX-XX Tweet storm for Topic".
1. At the top of the document, include the full title of the media and a link to it.
1. If more than one piece of content is covered, use headings to make it easy to jump to each one.
1. Go through each pieces, noting interesting lines and quotes.
1. Draft 2-5 tweets for a 30 minute video, and up to 10 tweets for a 1 hour video.
    1. The first tweet should hook the audience, pose a question, or state how GitLab does something different.
    1. Attribute any lines that are not spoken by the CEO.
    1. Consider [looking at the CEO's social media accounts for tone and style](/handbook/ceo/#connecting-on-social-media).
    1. Each tweet can contain 280 characters, URLs are counted differently. Make sure to test each tweet with the Twitter web form to tweet.
    1. When you add URLs, use the [card validator](https://cards-dev.twitter.com/validator) to render a preview. This can help to refine the tweet text.
    1. More message tips can be found in the [Developer Advocacy on Social Media handbook](/handbook/marketing/developer-relations/developer-advocacy/social-media/#message-tips).
    1. [2021-12-15 example for Chief of Staff videos](https://docs.google.com/document/d/1BL2ZBtqF5fKdQox0p2lde_qv-75rXwYmQNHvKJnUR-8/edit) (internal).
1. Once complete, change the document's Owner to the [Chief of Staff to the CEO](/job-families/chief-executive-officer/chief-of-staff/).

Tweet storm examples:

1. 2021-06-02: Server runtimes and development environments: [X/Twitter thread](https://twitter.com/sytses/status/1400134840754733059), [Source (internal)](https://docs.google.com/document/d/1eXGoPr6iXBUgOBr9fgDjQkk-vGdT_edCSTNUIK6UVrc/edit)

## Meetings & Events

### CEO's Calendar

1. At the start of the week, review the CEO's calendar. The CEO's calendar is the single source of truth. Shadows should check the CEO's calendar for updates often. You will not be invited to each meeting. Meetings that the shadows may **not** attend will have a separate calendar entry on the CEO's schedule that states "No CEO Shadows". When in doubt, reach out to the CEO's EBA to confirm if you should attend or not. There will be some meetings and events the shadows do not attend. Do not feel obligated to attend every meeting — all meetings are considered optional.
1. As a reminder, you should have your title updated within your last name on zoom. During the Shadow rotation update your title to "CEO Shadow". [Here is the how to](/handbook/tools-and-tips/zoom/#adding-your-title-to-your-name) update your title as part of your last name to ensure it shows up on zoom.
1. Add the CEO's calendar to your Google Calendar by clicking the `+` next to "Other Calendars". Then click `Subscribe to Calendar`, search for the CEO's name, and click enter.
1. Because candidate interviews are marked as "private" (busy) for confidentiality reasons, the EBA will invite the shadows to those events directly. As a result, you will get an email from Greenhouse asking for candidate feedback, which is not necessary.
1. Meetings with those outside of GitLab may not be on Zoom. Prior to the call, check the CEO's calendar and load any other conferencing programs that may be needed. It may be necessary to dial in via phone for audio-conferences. If you have any problems confirming the link, reach out to the EBA in the `#ceo-shadow` slack channel.

### Types of meetings

There are three types of meetings on the CEO's calendar: GitLab meetings, Valley meetings, and personal meetings. Please note that the program's continued success depends on the participants respecting confidentiality during the program, after the program, and after they leave GitLab.

For Valley meetings and personal meetings you may be invited to, it may be helpful to know context on the attendees in advance. CEO Shadows have created a [document](https://drive.google.com/drive/search?q=CEO%20non-GitLab%20meetings) (limited access) that they can use to provide context to future CEO Shadows on these folks. CEO Shadows may update this document while they are shadowing. This document should not contain any information that is not publicly available.

#### GitLab Meetings

You will attend all GitLab meetings of the CEO, including but not limited to:

1. [1-1s](/handbook/leadership/1-1/) with reports.
1. Interviews with candidates.
1. Conversations with board members.

Like all meetings at GitLab, meetings will begin promptly, regardless of the shadows' attendance.

If in-person, you will travel with the CEO to meetings, team off-sites, and conferences outside of San Francisco per the CEO's schedule.
The Executive Business Admin to the CEO will assist you with conference registration and travel accommodations during these time frames.

The CEO's EBA will ask external people if they are comfortable with the shadows joining prior to the scheduled meeting, and will share a link to the CEO Shadow page to provide context.

Meeting agendas should be shared with `ceo-shadow@gitlab.com`, as Shadows will be added to this email alias prior to the rotation, and removed at the conclusion of it.
For agendas that contain sensitive information, the sensitive information should be removed and the document shared with "View only" access to restrict access to the document's history.
Not all agendas will be shared, though, and the shadows should feel empowered to ask for access if that is the case.
Sometimes, the answer will be "no" for sensitive reasons.

These meetings can have different formats:

1. Video calls.
1. In-person meetings.
1. Dinners that are business related.
1. Customer visits.
1. Conferences.

You will not attend a meeting when:

1. Someone wants to discuss a complaint and wants to stay anonymous.
1. If any participant in the meeting is uncomfortable.
1. If the CEO wants more privacy.

##### E-Group Weekly Meetings and E-Group Quarterly Offsites

The weekly E-group meeting and quarterly E-Group offsites are fast-paced, with a lot of back and forth discussion between team members. Remember that it is more important to capture accurate takeaways than precise notes if you can't type fast enough to keep up with the conversation.

Occasionally, other team members are invited to discuss a specific topic with E-Group. If so, a separate agenda shared with the invited team members will be included in a calendar invite adjacent to the main calendar event and agenda. In this case, shadows should take notes in the agenda for the specific topic versus the main E-Group agenda.

##### Media Briefings

CEO Shadows may be the point of contact for helping coordinate (not schedule) media briefings.
Take initiative, for example finding a quiet space for the CEO to take the call, if it is done while traveling.
When participating in media briefings, CEO Shadows are to act as silent participants, except when directly asked a question.

Remote: To listen in when it is not a live broadcast session, please contact the Corporate Communications team by posting in the #corpscomms Slack channel ahead of time to let the media contact know.

##### Candidate Interviews

If the candidate is comfortable with it, CEO Shadows will attend interviews performed by the CEO.
When scheduling an interview with the CEO, the EBA to the CEO will create a shared Google Doc for notes between the shadows and the CEO. The doc template can be found by searching "Notes Doc for Candidate Interviews" in Google Drive. If you have any questions, please @ mention the EBA to CEO in `#ceo-shadow` in Slack.
This notes document is then added to the scorecard for the candidate in Greenhouse.

1. Shadows should ensure they mark comments they provide with their full name.
1. Please **do not** complete the automated Greenhouse report that follows the interview, entitled `REMINDER: Please fill out your scorecard for [NAME]`. CEO Shadows are asked to simply delete this email.

#### Valley Meetings

The CEO may occasionally invite you to optional meetings that may not be explicitly GitLab related, but can help provide insight into his day-to-day activities. In these meetings, it is asked that you not take notes because we don't want you to do work that isn't for GitLab. Additionally if the agenda document is not shared with you, most likely it is because it is owned outside of the GitLab domain therefore requesting access is not advised. However, keeping time can still be very helpful, so you are encouraged to do so if you are in attendance. These meetings are optional and you can leave at any time.

Valley meetings can usually be identified in two ways:

1. The text `For the CEO Shadows: this is a Valley Meeting and attendance is optional` in the meeting description.
1. The organizer's email address ends in `@sijbrandij.com`.

#### Personal Meetings

Personal meetings will be marked as "busy" on the calendar. Shadows do not attend personal calls.

#### Earnings Mock Call Webinars

Mock Call webinars for earnings prep differ from other meetings on the CEO calendar. There is a specific panelist link for the CEO, and a participants link for shadows to use for observation. Do not join the mock call using the link in the CEO's calendar. The link to register as a participant will be shared with the shadows in #ceo-shadow-private typically by the day prior. If you do not see the registration link posted, please reach out to the [EBAs](/handbook/eba/#executive-business-administrator-team) and [Chief of Staff to the CEO](/job-families/chief-executive-officer/chief-of-staff/) on Slack.

#### Earnings Call

CEO Shadows should join earnings calls via the registration [link open to the public](https://ir.gitlab.com/news-events/events). Do not join the earnings call via the CEO's calendar.

#### Earnings Callbacks

CEO Shadows are allowed to join earnings callbacks unless otherwise noted as *no shadows*. CEO Shadows should set their Zoom settings to have **[mute mic when joining](https://support.zoom.us/hc/en-us/articles/203024649-Muting-your-microphone-when-joining-a-meeting)** and **[stop my video when joining a meeting](https://support.zoom.us/hc/en-us/articles/4404456197133-Turning-video-off-when-joining-a-meeting)** for **all callbacks** prior to joining the first callback session.

### Removing yourself from personal CEO documents

For certain meetings, such as [Valley Meetings](#valley-meetings), a CEO Shadow may be added to an agenda document that is accessible to people outside of the GitLab organization.

At the conclusion of the call, the CEO Shadows should remove themselves from document(s) they were added to via the following steps.

1. Click the `Share` button atop the Google Doc
1. On the resulting pop-up, click into `Advanced`
1. Click the `X` by your name to remove yourself
1. Click `Save changes`
1. On the resulting `Are you sure?` dialog box, click `Yes`
1. You should see a dialog appear noting that `Your access has expired`

### CEO Shadow introductions

+**Order of introductions:** At the start of meetings, CEO Shadows will introduce themselves. There is no set order for which shadow introduces themselves first. Sometimes one shadow will arrive to the meeting first, and make their introduction as the **first shadow** to speak. During some meetings, Sid may decide the order for CEO Shadow introductions by mentioning one of the CEO Shadows first, usually the CEO Shadow who is completing their last week in the two week program.

It's important to set the correct tone, so please stick to the following introductions verbatim.

When attending [Valley meetings](#valley-meetings) please be sure to omit the portion about your GitLab title. It can cause much confusion if you mention GitLab when Sid is acting in an individual capacity.

When attending investor meetings, please introduce yourself and hand it off to the next team member by announcing their name.

When introducing yourself in a meeting as the first shadow, say:

1. I'm NAME.
1. I normally am a/the TITLE.
1. This is my first/last week in the two-week CEO Shadow Program.
1. **For all meetings:** The goal of the program is to give participants an opportunity to gain perspective and learn how to think cross-functionally.

When introducing yourself in a meeting as the second shadow, say:

1. I'm NAME.
1. I normally am a/the TITLE.
1. This is my first/last week in the two-week CEO Shadow Program.

Remember, do *not* say that your role is to "follow the CEO around". It's about getting an overview of the functions at GitLab.

### Finding meeting recordings

If Sid records a video to the cloud in a meeting it will eventually end up being uploaded to [the Google Drive](https://drive.google.com/drive/folders/0APOeuCQrsm4KUk9PVA) folder. Finding the video will require searching based on the calendar event name and checking the "last modified" date.

### Attending in-person events with the CEO

When attending events with the CEO, keep the following in mind:

1. The CEO has outlined his [transport preferences](/handbook/ceo/#transport).
1. When traveling to events in the Bay Area by car, the CEO will request the ride sharing service.
1. When traveling to events on foot, CEO Shadows should take responsibility for navigating to the event.
1. After a talk or panel, be ready to help the CEO navigate the room, particularly if there is a time-sensitive obligation after the event.

The CEO often has work events that are also social events. In Silicon Valley, social and work are very intertwined. These mostly take the form of lunches or dinners. CEO Shadows are invited unless otherwise specified, but there is no expectation or obligation to join.

## Email Best Practices

In order to ensure continuity across CEO Shadow participants. Always, cc `ceo-shadow@gitlab.com` on emails as part of the program. This ensures that even after you've left the program the response and follow-up can be tracked.

## Follow activity from the CEO

Shadows are encouraged to follow the CEO's activity on various platforms to get a complete picture of his everyday activities and where he directs his attention.

### In Slack

Go to the Slack search bar and type "from:@sid" and it will populate the results.

![Slack User Activity](https://about.gitlab.com/images/ceoshadow/slackuseractivity.png)
Follow Sid's Slack activity to follow his everyday engagements

### In GitLab

This can be seen on the CEO's [GitLab activity log](https://gitlab.com/users/sytses/activity).

![GitLab Activity Log](https://about.gitlab.com/images/ceoshadow/gitlabactivitylog.png)
See what issues and MRs Sid is interacting with

### On X/Twitter

Check out [Sid's X/Twitter account](https://twitter.com/sytses).

![X/Twitter notification](https://about.gitlab.com/images/ceoshadow/twitternotification.png)
Sign up for Twitter notifications (Twitter account required) to follow his everyday engagements.

## Travel & Expenses

### Expenses

#### Childcare

Childcare is provided during the active shadowing period and will be reimbursed via an expense report. You must book the childcare yourself and it is advised you reach out far in advance as childcare "drop-ins" can be limited depending on the week. Currently, GitLab doesn't have a ["Backup Care"](https://www.brighthorizons.com/family-solutions/back-up-care) program so you must tell the childcare it is for a "drop-in".

If you're traveling for the CEO Shadow Program, depending on your hotel accommodations, finding a nearby daycare is most convenient. Some childcare facilities will require payment at end-of-day or end-of-week via cash/check only so request an invoice/receipt for expense submission purposes.

### In-person Rotation Expenses

#### Lodging

Lodging during the CEO Shadow Program is provided by the company. Executive Admin to the CEO books the accommodation based on availability and cost. You can express your preference (hotel or Airbnb) via email to the Executive Admin to the CEO in question. However, the final decision is made by the Executive Admin based on the distance from the CEO and costs. Executive Admin will provide the accommodation details no earlier than 1 month and no later than 2 weeks before the scheduled rotation.

Accommodation is provided only for the active shadowing period, it is not provided during the shadow program pause (cases when the CEO is unavailable).
In case you are coming from a timezone that is more than 6 hours difference with Pacific Time, it is possible to book the weekend before the first shadow work day to adjust to the new timezone.

If your CEO Shadow rotation is two consecutive weeks, it is expected you will be staying the weekend. Accommodation is provided during the weekend.

#### Airfare

Airfare can be booked according to our [travel policy](/handbook/finance/travel/) or [spending company money](/handbook/finance/spending-company-money/) policy.
In case your shadow rotation includes time without shadowing, it is possible to expense airfare to fly home and back within the continental USA. If you are from outside of the USA, it is also possible to expense airfare during the time without shadowing because of the possible high cost of lodging in San Francisco if you choose to stay at a different location.

#### Meals

Shadows are able to expense food and beverage during their rotation and should follow our [spending company money](/handbook/finance/spending-company-money/) policy.

### Traveling with the CEO

When traveling with the CEO, keep the following in mind:

1. Book flights that will allow you to land before the CEO so there is no delay in transportation to the next event.
1. For airport pickup with the CEO, research the terminal the CEO arrives in and plan to be there to meet with the driver before the CEO.
1. Keep the EBA to the CEO and onsite EBA updated regularly and promptly on estimated arrival time in `#ceo-shadow` Slack channel to ensure the schedule is on time.
1. If travel plans change, please update the EBA(s) in Slack immediately so cancellations to prior transportation can be made promptly to not incur fees.
1. When returning to San Francisco, if on a different airline, be sure to arrive before the CEO and communicate a meetup location if traveling back together.

## Considerations for other companies starting CEO Shadow Programs

GitLab co-founder and CEO Sid Sijbrandij [answered questions in a YouTube livestream](https://youtu.be/ExG8_bnIAMI) from Sam Altman, as the two discussed considerations for implementing a CEO Shadow Program in other organizations. Key takeaways are documented below.

1. A CEO should not optimize meetings for Shadows. They are learning by being in the room, either in-person or virtual, and it's OK if the Shadow doesn't fully understand everything.
1. A well-designed CEO Shadow Program shouldn't burden a CEO; in fact, Shadows should actively make a CEO's day easier by assisting with notes and changing relevant portions of the company handbook upon request.
1. Non-obvious benefits for a CEO (and their organization) include CEO empathy and humanizing a CEO, such that team members are more comfortable contributing input to an executive. Shadow alumni are able to translate real-world examples of [assuming positive intent](/handbook/values/#assume-positive-intent) from their time in the program to their direct reports, further fortifying company culture.
1. Ensure that CEO Shadows do not plan to do any of their usual work. Shadows should prepare their team as if they were on vacation. Attempting to shadow the CEO while also maintaining a full workload creates undue stress for the CEO Shadow.

## Alumni

CEO Shadow Program alumni are welcome to join the `#ceo-shadow-alumni` Slack channel to stay in touch after the program.

| Start date | End date | Name | Title | Takeaways |
| ---------- | -------- | ---- | ----- | --------- |
| 2019-03 | 2019-04 | [Erica Lindberg](https://gitlab.com/erica) | Manager, Content Marketing | [CEO Shadow learnings video](https://www.youtube.com/watch?v=xrWR0uU4nbQ) |
| 2019-04 | 2019-05 | [Mayank Tahil](https://gitlab.com/mayanktahil) | Alliances Manager |  |
| 2019-04 | 2019-05 | [Tye Davis](https://gitlab.com/davistye) | Sr. Technical Marketing Manager | [Without a shadow of a doubt: Inside GitLab's CEO Shadow Program](https://about.gitlab.com/blog/2019/07/11/without-a-shadow-of-a-doubt/) |
| 2019-05 | 2019-06 | [John Coghlan](https://gitlab.com/johncoghlan) | Evangelist Program Manager | [5 Things you might hear when meeting with GitLab's CEO](https://about.gitlab.com/blog/2019/06/28/five-things-you-hear-from-gitlab-ceo/), [2019-05-30 video update](https://www.youtube.com/embed/EfBMu9dTpno) |
| 2019-06 | 2019-06 | [Cindy Blake](https://gitlab.com/cblake) | Sr. Product Marketing Manager | [CEO Shadow learnings video](https://www.youtube.com/watch?v=3hel57Sa2EY) |
| 2019-06 | 2019-06 | [Nnamdi Iregbulem](https://gitlab.com/whoisnnamdi) | MBA Candidate at Stanford University |  |
| 2019-06 | 2019-06 | [Clinton Sprauve](https://gitlab.com/csprauve) | PMM, Competitive Intelligence |  |
| 2019-06 | 2019-07 | [Lyle Kozloff](https://gitlab.com/lyle) | Support Engineering Manager |  |
| 2019-07 | 2019-07 | [Marin Jankovski](https://gitlab.com/marin) | Engineering Manager, Deliver |  |
| 2019-07 | 2019-08 | Danae Villarreal | Sales Development Representative, West |  |
| 2019-08 | 2019-08 | [Daniel Croft](https://gitlab.com/dcroft) | Engineering Manager, Package | [GitLab, CEO Shadow August 2019 week one, mind blown](https://www.youtube.com/watch?v=VHcA_2UsC2k) |
| 2019-08 | 2019-08 | [Emilie Schario](https://gitlab.com/emilie) | Data Engineer, Analytics | [What I learned about our CEO's job from participating in the CEO Shadow Program](https://about.gitlab.com/blog/2019/10/07/what-i-learned-about-our-ceo-s-job-from-participating-in-the-ceo-shadow-program/) |
| 2019-08 | 2019-08 | [Kenny Johnston](https://gitlab.com/kencjohnston) | Director of Product, Ops |  |
| 2019-09 | 2019-09 | [Eric Brinkman](https://gitlab.com/ebrinkman) | Director of Product, Dev |  |
| 2019-09 | 2019-10 | [Danielle Morrill](https://gitlab.com/dmor) | General Manager, Meltano |  |
| 2019-10 | 2019-10 | [Mek Stittri](https://gitlab.com/meks) | Director of Quality |  |
| 2019-10 | 2019-11 | [Kyla Gradin](https://gitlab.com/kyla) | Mid Market Account Executive |  |
| 2019-10 | 2019-11 | [Clement Ho](https://gitlab.com/ClemMakesApps) | Frontend Engineering Manager, Monitor:Health |  |
| 2019-11 | 2019-11 | [Brendan O'Leary](https://gitlab.com/brendan) | Sr. Solutions Manager |  |
| 2019-11 | 2019-11 | [Gabe Weaver](https://gitlab.com/gweaver) | Sr. Product Manager, Plan: Project Management |  |
| 2019-11 | 2020-01 | [Chenje Katanda](https://gitlab.com/ckatanda) | Customer Success Manager |  |
| 2020-01 | 2020-01 | [Dov Hershkovitch](https://gitlab.com/dhershkovitch) | Senior Product Manager, Monitor |  |
| 2020-01 | 2020-01 | [Keanon O'Keefe](https://gitlab.com/kokeefe) | Senior Product Manager, Plan : Portfolio Management |  |
| 2020-01 | 2020-01 | [Dylan Griffith](https://gitlab.com/DylanGriffith) | Staff Backend Engineer, Search |  |
| 2020-01 | 2020-02 | [Brittany Rohde](https://gitlab.com/brittanyr) | Manager, Compensation & Benefits | [How the CEO Shadow Program boosted my individual productivity during the COVID-19 Crisis](https://about.gitlab.com/blog/2020/05/29/how-the-ceo-shadow-program-boosted-my-individual-productivity-during-the-covid-19-crisis/) |
| 2020-01 | 2020-02 | [Nadia Vatalidis](https://gitlab.com/Vatalidis) | Senior Manager, People Operations |  |
| 2020-02 | 2020-02 | [Diana Stanley](https://gitlab.com/dstanley) | Senior Support Engineer |  |
| 2020-02 | 2020-02 | [Chloe Whitestone](https://gitlab.com/chloe) | Customer Success Manager |  |
| 2020-02 | 2020-02 | [Sarah Waldner](https://gitlab.com/sarahwaldner) | Senior Product Manager - Monitor: Health |  |
| 2020-02 | 2020-03 | [Shaun McCann](https://gitlab.com/shaunmccann) | Support Engineering Manager | [CEO Shadow AMA with Support Engineering](https://www.youtube.com/watch?v=A80HKDBRaNE) |
| 2020-03 | 2020-03 | [Lien Van Den Steen](https://gitlab.com/lienvdsteen) | People Ops Fullstack Engineer |  |
| 2020-03 | 2020-03 | [Michael Terhar](https://gitlab.com/mterhar) | Customer Success Manager | [The HyperGrowth Calendar](https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/44584) |
| 2020-03 | 2020-04 | [Christen Dybenko](https://gitlab.com/cdybenko) | Sr Product Manager |  |
| 2020-04 | 2020-04 | [Scott Stern](https://gitlab.com/sstern) | Frontend Engineer |  |
| 2020-04 | 2020-04 | [Stella Treas](https://gitlab.com/streas) | Chief of Staff to the CEO |  |
| 2020-04 | 2020-04 | [Bradley Andersen](https://gitlab.com/elohmrow) | Customer Success Manager |  |
| 2020-04 | 2020-04 | [Cassiana Gudgenov](https://gitlab.com/cgudgenov) | People Operations Specialist |  |
| 2020-04-28 | 2020-05-08 | [Betsy Church](https://gitlab.com/bchurch) | Senior Talent Brand Manager | [Reflecting on the CEO Shadow Program at GitLab](https://youtu.be/DGJCuMVp6FM) |
| 2020-05-04 | 2020-05-15 | [Darren Murph](https://gitlab.com/dmurph) | Head of Remote | [GitLab CEO Shadow recap — key takeaways and lessons learned from a remote rotation](https://about.gitlab.com/blog/2020/05/22/gitlab-remote-ceo-shadow-takeaways/), [Key Takeaways and Lessons Learned video](https://youtu.be/4yhtYcOZn3w) |
| 2020-05-11 | 2020-05-22 | [Emily Kyle](https://gitlab.com/emily) | Manager, Corporate Events |  |
| 2020-05-11 | 2020-05-22 | [Candace Williams](https://gitlab.com/cwilliams3) | Diversity, Inclusion & Belonging Manager |  |
| 2020-05-25 | 2020-06-05 | [Sophie Pouliquen](https://gitlab.com/spouliquen1) | Senior Customer Success Manager |  |
| 2020-06-01 | 2020-06-19 | [Jackie Meshell](https://gitlab.com/jmeshell) | Senior Product Manager, Release Management | [Recording 📹: Four things I learned as a CEO Shadow](https://youtu.be/iAiYAnkdQLQ) |
| 2020-06-15 | 2020-06-26 | [Wayne Haber](https://gitlab.com/whaber) | Director Engineering, Defend | [Video](https://www.youtube.com/watch?v=JVaPRtY6wMQ) and [Blog](https://about.gitlab.com/blog/2020/07/08/ceo-shadow-impressions-takeaways/): What is the GitLab CEO Shadow Program? Why should you apply to participate? How did I see the GitLab values in action? |
| 2020-06-22 | 2020-07-03 | [Jim Riley](https://gitlab.com/jrileyinva) | Area Sales Manager - Public Sector |  |
| 2020-06-28 | 2020-07-17 | [Hila Qu](https://gitlab.com/hilaqu) | Director of Product, Growth |  |
| 2020-07-13 | 2020-07-31 | [David DeSanto](https://gitlab.com/ddesanto) | Director of Product, Secure & Defend |  |
| 2020-07-20 | 2020-08-10 | [Tim Rizzi](https://gitlab.com/trizzi) | Senior Product Manager, Package |  |
| 2020-08-10 | 2020-08-21 | [Amy Brandenburg](https://gitlab.com/abrandenburg) | Technology Alliances Manager |  |
| 2020-08-17 | 2020-08-28 | [Sam White](https://gitlab.com/sam.white) | Senior Product Manager, Defend |  |
| 2020-08-24 | 2020-09-04 | [Mike Miranda](https://gitlab.com/mikemiranda) | Account Executive, SMB |  |
| 2020-08-31 | 2020-09-11 | [Francis Potter](https://gitlab.com/francispotter) | Sr. Solution Architect |  |
| 2020-09-07 | 2020-09-18 | [Shawn Winters](https://gitlab.com/ShawnWinters) | Acceleration SDR |  |
| 2020-09-07 | 2020-09-24 | [Chris Baus](https://gitlab.com/chris_baus) | Engineering Manager, Fulfillment |  |
| 2020-09-21 | 2020-10-02 | [Philippe Lafoucrière](https://gitlab.com/plafoucriere) | Distinguished Engineer, Secure & Defend | [Takeaways](https://youtu.be/kG-RhvHAeo4), [Retrospective](https://youtu.be/Gv_EQLEgCwU) |
| 2020-09-28 | 2020-10-05 | [Madeline Hennessy](https://gitlab.com/mhennessy) | Area Sales Manager, SMB - US East | [Takeaways & Suggestion](https://www.youtube.com/watch?v=khqnlj6iB9I&feature=youtu.be) |
| 2020-10-05 | 2020-10-23 | [Michael LeBeau](https://gitlab.com/mlebeau) | Strategic Content Lead |  |
| 2020-10-19 | 2020-10-30 | [Edmond Chan](https://gitlab.com/edmondchan) | Sr. Solutions Architect |  |
| 2020-10-26 | 2020-11-06 | [David Fisher](https://gitlab.com/dfishis1) | Acceleration SDR |  |
| 2020-11-06 | 2020-11-13 | [Fernando Diaz](https://gitlab.com/fjdiaz) | Technical Marketing Manager | [4 Things I've Learned as a CEO Shadow](https://awkwardferny.medium.com/4-things-ive-learned-as-a-ceo-shadow-gitlab-3dc0604f24cd) |
| 2020-11-09 | 2020-11-20 | [Dan Parry](https://gitlab.com/dparry) | Mid-Market Account Executive | |
| 2020-11-16 | 2020-12-04 | [Lis Vinueza](https://gitlab.com/lisvinueza) | Business Systems Analyst | |
| 2020-11-30 | 2020-12-11 | [Kevin Chu](https://gitlab.com/kbychu) | Group Product Manager | |
| 2020-12-07 | 2021-01-08 | [Charlie Ablett](https://gitlab.com/cablett) | Sr. Backend Engineer, Plan | |
| 2021-01-04 | 2021-01-15 | [Tanya Pazitny](https://gitlab.com/tpazitny) | Quality Engineering Manager, Secure & Enablement | |
| 2021-01-11 | 2021-01-22 | [Michael Preuss](/handbook/company/team/#mpreuss22) | Director, Digital Experience | |
| 2021-01-18 | 2021-01-29 | [Traci Robinson](https://gitlab.com/traci) | Sr. PMM, Regulated Industries | |
| 2021-01-25 | 2021-02-05 | [Parker Ennis](https://gitlab.com/parker_ennis) | Sr. PMM, GitLab CI/CD | |
| 2021-02-05 | 2021-02-16 | [Shane Rice](https://gitlab.com/shanerice) | Manager, Search Marketing | [CEO Shadow learning recap](https://youtu.be/VZ6XF0qhWVg) |
| 2021-02-15 | 2021-02-26 | [Lauren Barker](https://gitlab.com/laurenbarker) | Sr. Full Stack Engineer, Digital Experience | [CEO Shadow takeaways from Barker](https://about.gitlab.com/blog/2021/02/26/ceo-shadow-takeaways-from-barker/) |
| 2021-02-22 | 2021-03-12 | [Jessica Reeder](https://gitlab.com/jessicareeder) | All-Remote Campaign Manager | |
| 2021-03-08 | 2021-03-19 | [Robert Kohnke](https://gitlab.com/rkohnke) | Marketing Strategy and Performance, Data Analyst | |
| 2021-03-15 | 2021-03-26 | [Sarah Daily](https://gitlab.com/sdaily) | Senior Marketing Operations Manager | [Interview with Sid: Non-Technical Roles to Technical Roles](https://www.youtube.com/watch?v=6_ux_eX4ZYU) |
| 2021-03-22 | 2021-04-02 | [Darwin Sanoy](https://gitlab.com/darwinjs) | Senior Solutions Architect, Alliances | |
| 2021-03-29 | 2021-04-09 | [Anthony Ogunbowale - Thomas](https://gitlab.com/anthonyot) | Named, Account Executive EMEA | |
| 2021-04-05 | 2021-04-16 | [Katie Gammon](https://gitlab.com/kgammon) | Executive Business Administrator | |
| 2021-04-12 | 2021-04-23 | [Pilar Mejia](https://gitlab.com/pmejia) | Distribution Manager, Public Sector | [3 habits to maximize your work day: CEO Shadow insights](https://www.youtube.com/watch?v=JCgblax26LM) |
| 2021-04-19 | 2021-04-30 | [Joanna Shih](https://gitlab.com/jo_shih) | Quality Engineering Manager, Ops | |
| 2021-04-30 | 2021-05-07 | [Jacie Bandur](https://gitlab.com/jbandur) | Learning & Development Generalist | [CEO Shadow takeaways from Jacie](https://about.gitlab.com/blog/2021/05/18/ceo-shadow-recap/) |
| 2021-05-03 | 2021-05-14 | [Mikołaj Wawrzyniak](https://gitlab.com/mikolaj_wawrzyniak) | Backend Engineer, Product Intelligence | |
| 2021-05-10 | 2021-05-21 | [James Komara](https://gitlab.com/ja-me-sk) | Area Sales Manager | |
| 2021-05-17 | 2021-05-28 | [Joshua Lambert](https://gitlab.com/joshlambert) | Director of Product, Enablement | |
| 2021-05-24 | 2021-06-04 | [Melissa Ushakov](https://gitlab.com/mushakov) | Group Manager, Product Management - Plan | |
| 2021-06-01 | 2021-06-11 | [April Malone](https://gitlab.com/april5) | Sijbrandij Personal EA | |
| 2021-06-07 | 2021-06-18 | [Taylor Medlin](https://gitlab.com/taylor) | Solutions Architect - Commercial| |
| 2021-06-14 | 2021-06-25 | [Vincy Wilson](https://gitlab.com/vincywilson) | Quality Engineering Manager, Fulfillment, Growth & Sec | |
| 2021-06-21 | 2021-07-02 | [Simon Liang](https://gitlab.com/sliang2) | Principal Internal Communications Manager | |
| 2021-06-28 | 2021-07-30 | [Christine Lee](https://gitlab.com/christinelee) | Strategy and Operations Director | |
| 2021-08-02 | 2021-08-06 | [Tye Davis](https://gitlab.com/davistye) Shadow Alumni | Manager, Technical Marketing | |
| 2021-08-02 | 2021-08-13 | [Nuritzi Sanchez](https://gitlab.com/nuritzi) | Sr. Open Source Program Manager | |
| 2021-08-09 | 2021-08-20 | [Neil McCorrison](https://gitlab.com/nmccorrison) | Frontend Engineering Manager, Secure | [15 tips to succeed at GitLab's CEO Shadow Program](https://about.gitlab.com/blog/2021/11/02/get-the-most-out-of-a-ceo-shadow-program/) |
| 2021-08-16  | 2021-08-30 | [Christina Hupy](https://gitlab.com/c_hupy)| Manager, Education Programs | [CEO Shadow Reflections](https://youtu.be/ZmLIP5jQS4g) |
| 2021-08-30  | 2021-09-10 | [Sarah Bailey](https://gitlab.com/sbailey1) | Solutions Architect Manager | |
| 2021-09-07  | 2021-09-17 | [Kris Reynolds](https://gitlab.com/kreykrey) | Manager, Field Enablement Programs | |
| 2021-09-13  | 2021-09-24 | [Darren Murph](https://gitlab.com/dmurph) Shadow Alumni | Head of Remote | |
| 2021-09-20  | 2021-10-01 | [Christen Dybenko](https://gitlab.com/cdybenko) Shadow Alumni | Sr. Product Manager | |
| 2021-09-28 <br/>2021-10-18 | 2021-10-01 <br/>2021-10-22 | [Kyle Wiebers](https://gitlab.com/kwiebers) | Engineering Manager, Eng Productivity | |
| 2021-10-18 | 2021-10-29 | [Omar Eduardo Fernandez](https://gitlab.com/ofernandez2) | Director, Strategy and Operations | |
| 2021-10-25 <br/>2021-11-08 | 2021-10-29 <br/>2021-11-12 | [Taurie Davis](https://gitlab.com/tauriedavis) | Product Design Manager, Foundations | |
| 2021-11-08 | 2021-11-19 | [REB - Richard E. Baum](https://gitlab.com/xyzzy) | Sr. Solutions Architect | |
| 2021-11-15 | 2021-12-03 | [Sincheol (David) Kim](https://gitlab.com/dskim_gitlab) | Sr. Backend Engineer | |
| 2021-11-30 | 2021-12-10 | [Amy Qualls](https://gitlab.com/aqualls) | Sr. Technical Writer | |
| 2021-12-06 | 2021-12-17 | [James Heimbuck](https://gitlab.com/jheimbuck_gl) | Sr. Product Manager | |
| 2021-12-13<br>2022-01-03 | 2021-12-17<br>2022-01-07 | [Cynthia Ng](https://gitlab.com/cynthia) | Sr. Support Engineer | [CEO Shadow Reflection](https://wp.me/pHQ83-1Id) |
| 2022-01-10 | 2022-01-21 | [Marshall Cottrell](https://gitlab.com/marshall007) | Strategy and Operations (Technical) | |
| 2022-01-04 | 2022-01-14 | [Josh Zimmerman](https://gitlab.com/Josh_Zimmerman) | Learning & Development Manager | [What I Learned From Shadowing the CEO of GitLab](https://www.linkedin.com/pulse/what-i-learned-from-shadowing-ceo-gitlab-josh-zimmerman/?trackingId=fNh8oCxzT9uxnuQffP%2Fd1A%3D%3D) |
| 2022-01-18 | 2022-01-28 | [Cesar Saavedra](https://gitlab.com/csaavedra1) | Sr. Technical Marketing Manager | [Being a GitLab CEO Shadow](https://www.linkedin.com/pulse/being-gitlab-ceo-shadow-cesar-saavedra/?trackingId=y6tHk3NjTLyW1yPhu%2Bm7Zw%3D%3D) |
| 2022-01-24<br>2022-02-14 | 2022-01-28<br>2022-02-17 | [Darby Frey](https://gitlab.com/darbyfrey) | Staff Fullstack Engineer |  |
| 2022-02-14 | 2022-02-25 | [Mark Scheuber](https://gitlab.com/mscheuber)  | Sr. Strategic Account Executive |  |
| 2022-02-22 | 2022-03-04 | [Jonathan Miller](https://gitlab.com/JonathanMiller) | FP&A Manager, R&D |  |
| 2022-02-28 | 2022-03-11 | [Fiona O'Keeffe](https://gitlab.com/FionaOKeeffe) | Senior Reference Program Manager | |
| 2022-03-07 | 2022-03-18 | [Byron Boots](https://gitlab.com/byronboots) | Senior Security Asssurance Engineer | |
| 2022-03-14 | 2022-03-25 | [Miles Russell](https://gitlab.com/mdrussell) | Sr. Analytics Engineer |  |
| 2022-03-21 | 2022-04-01 | [Adam Vesey](https://gitlab.com/avesey) | Sr. Legal Counsel |  |
| 2022-04-11 | 2022-04-22 | [Nikki Silverberg](https://gitlab.com/nikkiroth) | Sr. Marketing Operations Manager | [Interview with Sid: Meeting Preparation and Efficiency](https://www.youtube.com/watch?v=nn1Mjh7j-1I) |
| 2022-04-18 | 2022-04-29 | [David Egan](https://gitlab.com/degan) | Senior Data Analyst, Marketing | |
| 2022-04-25 | 2022-04-29 | [Janis Altherr](https://gitlab.com/janis) | Fullstack Engineer, Incubation Engineering | |
| 2022-05-30 | 2022-06-10 | [Victor Brew](https://gitlab.com/Vbrew) | Pub Sec ISR | |
| 2022-06-06 | 2022-07-01 | [Alexander Turinske](https://gitlab.com/aturinske) | Sr. Frontend Engineer | |
| 2022-06-27 | 2022-07-15 | [Tiffany Rea](https://gitlab.com/treagitlab) | SET - Verify::Pipeline Authoring | |
| 2022-09-27 | 2022-09-30 | [Ellie Bertani](https://www.linkedin.com/in/ellie-bertani-1000/) | CEO, GitLab Foundation | |
| 2022-10-27 | 2022-10-30 | [Ed Bao](https://gitlab.com/ebao2) | Assoc Sales Dev Operations Manager | |
| 2022-11-07 | 2022-11-18 | [Jacki Bauer](https://gitlab.com/jackib) | Product Design Manager, UX |  |
| 2022-11-14 | 2022-11-18 | [Adrienne Rimmer](https://gitlab.com/arimmer) | Manager, Executive Communications | |
| 2022-12-05 | 2022-12-09 | [Kurt Dusek](https://gitlab.com/kdusek) | Alliances Solutions Architect | |
| 2023-01-02 | 2023-01-06 | [Aaron Burgess](https://gitlab.com/GitlabAaron) | IBM Alliance Business Development Manager | |
| 2023-01-16 | 2023-01-20 | [Stacy Cline](https://gitlab.com/slcline) | Sr Director, ESG | |
| 2024-01-02 | 2024-01-05 | [Cynthia "Arty" Ng](https://gitlab.com/cynthia) | Staff, Strategy & Operations |  |
| 2024-01-02 | 2024-01-12 | [Yin Yu](https://gitlab.com/yyugitlab) | Director, Strategy & Operations | [Why It's Worth a 6am Start - tips for timezone challenged team members](https://www.youtube.com/watch?v=NWrAxl0T6N0) |
| 2024-01-08 | 2024-01-19 | [Javier Garcia](https://gitlab.com/jgarc) | Frontend Engineer, Digital Experience | [Shadowing the CEO of GitLab](https://blog.javiergarcia.io/posts/ceo-shadow-learning/) |
| 2024-01-15 | 2024-01-26 | [Ben Venker](https://gitlab.com/bvenker) | Sr. PM, Global Search |  |
| 2024-01-22 | 2024-02-02 | [Riley Longo](https://gitlab.com/rilongo) | Customer Service Manager | |
| 2024-01-29 | 2024-02-09 | [Dilan Orrino](https://gitlab.com/dorrino) | Sr Product Manager | |
| 2024-02-05 | 2024-02-14 | [Deepika Guliani](https://gitlab.com/deepika.guliani) | Frontend Engineer, Plan:Project Management | |
| 2024-02-12 | 2024-02-23 | [Taimur Khan](https://gitlab.com/tkhan.gitlab) | Staff CSM, Industry Lead | |
| 2024-02-20 | 2024-03-01 | [Emma Neuberger](https://gitlab.com/eneuberger) | Sr Product Analyst | |
| 2024-02-26 | 2024-03-08 | [Viktor Nagy](https://gitlab.com/nagyv-gitlab) | Senior Product Manager, Deploy:Environments | |
| 2024-03-04 | 2024-03-22 | [Aleesha Dawson](https://gitlab.com/adawson-gitlab) | Senior Customer Success Manager | |
| 2024-03-25 | 2024-03-29 | [Bartek Marnane](https://gitlab.com/bmarnane) | VP, Incubation Engineering | |
| 2024-03-25 | 2024-03-29 | [Mek Stittri](https://gitlab.com/meks) | VP of Infrastructure & Quality | |
| 2024-03-18 | 2024-04-05 | [Miracle Banks](https://gitlab.com/miraclebanks) | Full Stack Engineer | |
| 2024-04-01 | 2024-04-12 | [Jeremy Wagner](https://gitlab.com/jeremywagner) | Sr Solutions Architect | |
| 2024-04-08 | 2024-04-26 | [Karen Kwentus](https://gitlab.com/kkwentus1) | Sr Solutions Architect | |
| 2024-04-22 | 2024-04-26 | [Kelsey Turcotte](https://gitlab.com/KTurcotteGTLB) | VP, Investor Relations | |
| 2024-04-29 | 2024-05-03 | [Ian Pedowitz](https://gitlab.com/ipedowitz) | Director, Strategy and Operations, Office of the CEO | |
| 2024-04-29 | 2024-05-10 | [Indre Kryzeviciene](https://gitlab.com/ikryzeviciene) | Staff Marketing Campaigns Manager | |
| 2024-05-06 | 2024-05-17 | Karen Murphy | Chief Editorial Officer, Sijbrandij Family Office | |
| 2024-05-13 | 2024-05-31 | [Djordje Micovic](https://gitlab.com/dmicovic) | Staff Data Analyst, Marketing Analytics | |
| 2024-05-27 | 2024-06-07 | [Rigerta Demiri](https://gitlab.com/Rigerta) | Senior Data Engineer, Data | |
| 2024-06-03 | 2024-06-14 | [Christopher Wang](https://gitlab.com/cs.wang) | Sr. Manager Strategy and Enablement (Sales Development) | |
| 2024-06-10 | 2024-06-14 | [Sacha Guyon](https://gitlab.com/sguyon) | Sr. Product Manager (Observability) | |
| 2024-06-17 | 2024-06-21 | [Stacy Cline](https://gitlab.com/slcline) | Sr Director, ESG | |
| 2024-07-15 | 2024-07-26 | [Kristine Setschin](https://gitlab.com/KSetschin) | Senior Manager Regional Marketing, EMEA | |
| 2024-07-22 | 2024-08-02 | [Lesley Razzaghian](https://gitlab.com/lesley-r) | Backend Engineer | |
| 2024-07-29 | 2024-08-09 | [Gary Holtz](https://gitlab.com/garyh) | Senior Backend Engineer | |
| 2024-08-12 | 2024-08-21 | [Emily Plotkin](https://gitlab.com/emilyplotkin) | Sr Director, Legal - Employment | |
| 2024-08-26 | 2024-09-06 | [Sam Wiskow](https://gitlab.com/swiskow) | Senior Product Manager, Delivery & Scalability | |
| 2024-09-02 | 2024-09-13 | [Vladimir Dzalbo](https://gitlab.com/dzalbo) | Senior Manager, Solutions Architecture, EMEA | |
| 2024-09-09 | 2024-09-20 | [Hannah Sutor](https://gitlab.com/hsutor) | Principal Product Manager | |
| 2024-09-16 | 2024-10-04 | [Kyle Yetter](https://gitlab.com/kyetter) | Senior Backend Engineer, Geo | |
| 2024-09-30 | 2024-10-11 | [Nupur Sharma](https://gitlab.com/nsharma2) | Solutions Architect | |
| 2024-10-21 | 2024-11-01 | [Dan Rhodes](https://gitlab.com/dfrhodes) | Senior Managing Legal Counsel | |
| 2024-10-28 | 2024-11-22 | [Naheil McAvinue](https://gitlab.com/nmcavinue) | Director, Data & Analytics | |
