---
title: "Ally Resources"
---

## What is an ally?

A diversity, inclusion and belonging "ally" is someone who is willing to take action in support of another person, in order to remove barriers that impede that person from contributing their skills and talents in the workplace or community.

## How to be an ally

It is not required to be an ally to work at GitLab. At GitLab it is required to [be inclusive](/handbook/values/#diversity-inclusion). Being an ally goes a step beyond being inclusive to taking action to support marginalized groups. The first step in being an ally is self-educating. This is a page to list resources that GitLab team-members have found helpful in learning how to act as an ally.

### Acting as an Ally means…

- Being an advocate for individuals and groups other than your own.
- Standing  up, even when you feel scared.
- Transfer ing the benefits of your privilege to those who lack it.
- Acknowledging that even though you feel pain, the conversation is not about you.
- Willing to own your mistakes and de-center yourself.
- Understanding that your education is up to you and no one else.

## GitLab Diversity, Inclusion & Belonging resources

Allies familiarize themselves with GitLab's general DIB content

- [Diversity, Inclusion & Belonging page](/handbook/company/culture/inclusion/)
- [Gender and Sexual Orientation Identity Definitions and FAQ](/handbook/people-group/orientation-identity/)
- [DIB training](/handbook/company/culture/inclusion/#employee-training-and-learning-opportunities)
- [Unconscious bias](/handbook/company/culture/inclusion/unconscious-bias/)

## Resources

Here are additional resources on being an ally

- [Guide to allyship](https://www.guidetoallyship.com)
- [5 Tips For Being An Ally](https://www.youtube.com/watch?v=_dg86g-QlM0)
- [Ally skills workshop](https://frameshiftconsulting.com/ally-skills-workshop/). Check out the materials section with a handout PDF (linking to many more resources), slides PDF, [videos](https://www.youtube.com/watch?v=wob68Nl2440), and more.
- [Why cisgender allies should put pronouns on their name tag](https://medium.com/@mrsexsmith/dear-cis-people-who-put-your-pronouns-on-your-hello-my-name-is-nametags-78c047ed7af1)

## Ally Training

We held a 50 minute [Live Learning](/handbook/people-group/learning-and-development/#live-learning) Ally Training on 2020-01-28. The recording follows along with the [slide deck](https://docs.google.com/presentation/d/18Qyn2mBJu0Loq3x_RT5bL2lnL-3YHvac1sQhmqqZNso/edit?usp=sharing) and [agenda](https://docs.google.com/document/d/1lGPImuahahjDejI5-9cNNCg-NMQJ4GCHO6n0fcntjs8/edit?usp=sharing).

{{< youtube "wwZeFjDc4zE" >}}
