---
title: "Deep Dives"
description: "The goal of a Deep Dive session is to share knowledge about a particular topic, with the assumption that recipients already have some basic understanding or aptitude for the given subject."
---

## Deep Dive Sessions

The goal of a *Deep Dive* session is to share knowledge about a particular topic, with the assumption that recipients already have some basic understanding or aptitude for the given subject.
This aligns with how we work since everything at GitLab is [public by default](/handbook/values/#public-by-default).
This is a particularly useful initiative within Engineering teams to mitigate dependencies between specific engineers and areas of the codebase, while also improving collaboration and product knowledge with the wider group.
An example format guideline:

- Introduction (why does this feature exist?)
- Demo (what problem does it solve?)
- Implementation Overview (how is it implemented?)
- Q&A

**Note:** The support team have documented similar initiatives in the handbook: [Support Deep Dives](/handbook/support/advanced-topics/#deep-dives) and [Support Training Modules](/handbook/support/advanced-topics/#support-training-modules).

### Preparation steps

If you're new to presenting at GitLab the steps can be a bit daunting. The steps are mostly documented [elsewhere in the handbook](/handbook/tools-and-tips/), but are summarized here to give an overview.

#### Schedule the call

1. Ensure you have a [Pro zoom account](/handbook/tools-and-tips/#zoom) by checking the [web interface](https://zoom.us/profile). This is needed so the call length isn't limited and to cloud record.
1. Duplicate the [presentation template](/handbook/tools-and-tips/#google-slides) and get a sharing URL to add to the calendar. This will avoid spamming attendees by editing the description later. You can make it private or include a WIP slide until nearer the talk.
1. Use the Zoom App to schedule the call.
1. Set a title as this will be used for the recording.
1. Set it to record automatically.
1. Have it create a Google Calendar event as this will include the Zoom URL.

At a minimum it usually makes sense to invite your team to the session, but you may also want to invite other teams if you feel the topic is particularly relevant to them (e.g. you may want to invite the Security team if you're discussing authentication).

#### Publicise the Deep Dive

1. Mention it in your team's slack channel - including date, time, presentation link and zoom URL.
1. Invite anyone who'll be particularly interested in that topic to the calendar event.
1. Announce it on the company call.
1. Just before the call you might want to remind people in `#whats-happening-at-gitlab` on slack including the zoom/presentation links.

#### After the call

1. The recording will be available through the [Zoom web interface](https://zoom.us/recording) after processing.
1. Upload it to Google Drive.
1. Upload it to YouTube:

   - Follow the [instructions](/handbook/marketing/marketing-operations/youtube/#access) to get access.
   - Add it to your team's playlist (if available).
   - You can copy the description from a [previous talk](https://www.youtube.com/watch?v=CW0SujsABrs&list=PLFGfElNsQthZ-D0khZ_NSb5Bdl2xkF97m&index=2).
   - You can screenshot the first slide and use that as the video thumbnail.

1. Create a .pdf of the talk to avoid the GitLab community needing Google Drive permissions for access.
1. Link to the talk from relevant development docs so the community can discover it.

### Preparation tips

- A dry run really helps. Doing this through zoom means you can record it and play it back, as well as share the live zoom link to get more feedback.
- For a long talk stamina becomes more important; find ways to keep your energy up! Try to add cues to remind yourself of this as well and add breaks.
- The primary audience will be slightly familiar with the topic but other attendees will be more interested in the high level overview.
- If available, you could use a second screen with a smaller resolution for the presentation & demo, so that any text would be bigger on the video.
- Increase the font size in your text editor and terminal.
- There are further tips in [the handbook](/handbook/company/group-conversations/), such as turning off notifications.
