---
title: "Power of the Pause"
---

## Power of the Pause

There are times in everyone's life when you can feel overwhelmed, anxious, angry or irritated about a situation.  At the next small disturbance it pushes you to react in perhaps a moment of frustration.  Everyone does it in their personal life as well as their work life.  As a manager this can be particularly challenging and sometimes you react or say something in a meeting, via slack, an issue or email during the heat of the moment.  In this section we are going to review the Power of the Pause and provide you with a few tips to help you take a moment and breathe before you respond.

What does it mean to P.A.U.S.E?

### P - Practice Patience

Patience does not come naturally for most people.  We live in a fast paced world of iterations.  However, waiting a few moments to react and remaining patient through an encounter or issue can prevent some possible unfortunate actions or communications.

### A - Adjust your Attitude

A shift in perspective or change in attitude makes a world of difference in how you approach different situations.  Be willing to be open and even to extend an olive branch now and again.  You can not always control what happens or how others respond to a situation but you can control your response.

### U - Understand the Situation

Before you insert yourself in a situation make time to learn all the facts.  Our reactions can sometimes be to jump on any perceived wrong.  However, take time to review the facts, sift out opinions and assumptions to uncover the truth.  Doing so can potentially stop you from stepping into a situation and creating a larger problem.

### S - Step Outside

Take a moment and step away from the situation.  If you can even take a moment to go outside and change your scenery.  If you can't step outside try to remove yourself from the situation.  A physical step back can often provide mental clarity and let's emotions subside.

### E - Explain Calmly

Unfortunately when there is conflict, rational thought can succumb to negative emotions, making it hard to form an appropriate response.  Take time to **pause** and calm down while using one of the techniques above.  When you have had a chance to adjust your attitude, understand the facts and have taken a moment to breathe you can move forward in a calm and rational manner.

Here are a few articles for additional reading:

- [The Pause Principle](https://cashmanleadership.com/the-pause-principle-book/)
- [The Power of Pause, Discover how to up your game and perform your best](https://www.mindful.org/the-power-of-pause/)
- [The Power of pause in leadership](https://leadonpurposeblog.com/2019/12/30/the-power-of-pause-in-leadership/)
- [The Power of Pause](https://hbr.org/2012/01/the-power-of-pause)
