---
title: "GitLab Webinars on Zoom"
---

## Everything you need to know about hosting or participating in a GitLab webinar

### Webinar roles

It's important to assign specific roles: host, active panelists and people answering written questions. Different roles will need different preparation and actions required during the Zoom webinar.

#### Host

This is the person that leads the webinar. This person will probably use a Google Doc to go through questions with the panelists.

If you're a [host or alternative host](https://support.zoom.us/hc/en-us/articles/201362603-Host-and-Co-Host-Controls-in-a-Meeting), you'll notice in your calendar invite a Zoom link containing an `/s/` before a string of numbers. This stands for `start`. (e.g. `https://gitlab.zoom.us/s/11111111`) If several people are designated as alternative hosts, the *first* person to join the webinar will claim host privileges. Once started, the webinar is immediately live for participants.

If a host needs someone else to be able to start the meeting, they can assign an [alternative host](https://support.zoom.us/hc/en-us/articles/208220166-Alternative-Host).

For more on `Enabling and adding a co-host`, please visit [Zoom's support page](https://support.zoom.us/hc/en-us/articles/206330935-Enabling-and-Adding-a-Co-Host).

#### Active Panelists

These are the people interacting with the host. They should be in the same Google Doc as the host. If there are multiple active panelists, it's recommended that the panelists add their name and potential answer to the questions they would like to answer. This way, the host can direct the question to the right panelist.

For more on `joining and participating in a webinar as an attendee`, please visit [Zoom's support page](https://support.zoom.us/hc/en-us/articles/115004954946-Joining-and-participating-in-a-webinar-attendee-#h_5726ffaa-e780-44d8-aa8c-f0d05a7a7a5e).

#### Write-only Panelists

With Zoom, participants can ask questions through the Zoom chat and through the Q&A feature. It's important you have separate people assigned to answering these questions. It's also recommended that these people get a good introduction in the subject matter and have relevant GitLab handbook URLs ready. They should also feel empowered to relay the question asked to the host and panelist. Note that people in this role need to be panelists within Zoom or they will not have the feature to reply in the Q&A section.

#### Participants

These are the people that signed up to be part of the webinar but are not any of the above roles. They will be able to ask questions but not answer them.

### Starting the webinar

Ensure all non-participants join 5 minutes before the start of the webinar and only start livestreaming once everyone has joined.

You must additionally start the livestream to YouTube (an additional step), with instructions [detailed on Zoom's support page](https://support.zoom.us/hc/en-us/articles/360028478292-Streaming-a-Meeting-or-Webinar-on-YouTube-Live). In the event that YouTube livestreaming refuses to begin, it's likely that a parallel livestream is happening already on GitLab Unfiltered. If this happens, proceed with the Zoom webinar livestream and upload the recording to GitLab Unfiltered per the instructions below.

Clarify in the introduction how you want participants to submit questions, ideally through Zoom chat or the [Q&A function](https://support.zoom.us/hc/en-us/articles/203686015-Getting-Started-with-Question-Answer), *not* by opening up Google Doc access to those outside of GitLab.

### When the webinar is over

When the webinar is finished, we need to make sure the video is published correctly on our GitLab Unfiltered channel. If we were the organizers, it will be on YouTube already as we livestreamed it. If not, upload the video to our GitLab Unfiltered channel. In both cases, the following checklist need to be executed:

- Add to the proper GitLab Unfiltered playlist.
- Copy over the webinar description into YouTube. Don't leave the show notes/description blank.
- Add relevant handbook links discussed in the show to the description box as well.
- Add relevant tags within the video editor window in YouTube.
- Record the 1) number of registrations in the webinar; 2) retrieve a complete email list of the registrants; and 3) record the number of live viewers.
- Copy the final URL to the recorded and uploaded video for future async viewing.
- Document each of the above elements in the parent issue of the webinar. If an issue was not created for the webinar, share this information in the `#content` Slack channel, tagging the DRI of the webinar content, and request that they port the information into an issue for archive purposes.

### Webinars with the CEO

When there's a webinar with the CEO, it is expected that the [CEO Shadows](/handbook/ceo/shadow/) execute the steps outlined in the `when the webinar is over` paragraph.
