---
title: AMAs
description: What you need to know about Ask Me Anything (AMA)
---

An AMA (Ask Me Anything) is a session for team members to ask a specific individual or group of individuals questions either generally or on a specific topic.

Examples include a specific executive member, a particular project, quarterly report follow-up, and regarding a significant policy change at GitLab.

## Reoccurring AMAs & DRI

While most AMAs only occur once or as requested, some AMAs are scheduled regularly.

| AMAs | DRI |  AMA Frequency | Alternate Hosts | Scheduling DRI |
| ------------------ | --- | ------------ | --------------- | -------------- |
| AMA with Sid Sijbrandij (CEO) | EBA to CEO| Every other month | N/A | EBA to CEO |

## Request an AMA

- The EBA Team manages the GitLab Team Meetings calendar and their events.
- The EBA Team moderate Group Conversations and AMAs.
- As part of designated Bring Your Family and Friends to Work events, some AMAs will be open to family members (including kids) and friends. These AMAs will be a subset of AMAs that do not contain sensitive data (sensitive data includes: information we usually don't share publicly). These events will be publicized ahead of time through #whats-happening-at-gitlab. The calendar invite for these AMAs will specify that they are "open to family and friends." To arrange this, reach out to your EBA team member and ask them to update the calendar invite to show "open to family and friends". In the event your EBA is OOO, please reach out in slack to '@exec-admins' to add it.

We suggest each person attend via their own device to avoid [hybrid meetings](/handbook/communication/). We encourage you to follow up with your guest after to debrief and share call impressions. For this it might be good to be in the same room but only if you are sure not to get echo's.

### Steps to Request an AMA

1. To request an AMA be put on the GitLab team meetings calendar, the requestor should find a date and time on the GitLab Team Meetings calendar that works for the AMA host.
1. The requestor will slack [the EBA](/handbook/eba/) for their department in the `#group-conversations` Slack Channel and provide the following information:
    - Title of AMA
    - Public or Private Livestream
    - Date & Time (YYYY-MM-DD PST)
    - Host
    - Moderator
    - Agenda Link
    - Attendees (specify if calendar invitations go to specific teams or to everyone@gitlab.com)
    - Confirm if this call is "open to friends and family"
1. The EBA will create the event in the EBA Zoom account and add it to the GitLab team meetings calendar.
    - The EBA will add the AMA document link in the description and invite the specified attendees to the meeting.
    - In order to limit traffic in the document during the call, the link for the AMA document in the meeting invitation should contain "/preview" at the end of the address to direct attendees to the preview version, with instructions in the body of the document directing those who have questions to editable version.
    - The EBA will add Alternate Hosts if applicable.

## Defining Terms

### Host

The Host of a Zoom call is the person leading the conversation, usually the [DRI](/handbook/company/group-conversations/#schedule--dri), subject matter expert, and overseer of any slides created for a call (another term for the role is Presenter).

Questions will generally be directed to the Host, and they will usually answer them unless they feel that another team member has more information or expertise to offer. The Host/Presenter makes sure that questions are asked in the order they are listed in the agenda document.

The "Host" term can be confusing as Zoom has a specific definition for Host pertaining mainly to a permission level, which in practice GitLab does not assign to the term. *More information on Zoom's definition of "host" is explained in the Moderator section below*.

### Moderator

The Moderator of a Zoom call is the person that has Zoom's *Host* level permission. Host level permission in Zoom permits streaming a call to YouTube, starting or ending a recording and giving co-hosting permissions to others.

The Moderator of a Zoom call is the person who is in charge of starting the call i.e. initiating the streaming to YouTube; updating the stream from public to private if a sensitive topic is mentioned, and keeping the meeting running efficiently and on time so that it does not go over the Quick Meeting time frame.

## For Attendees

Attendance is optional - if you are unable to attend an AMA at its scheduled time, don't let that hold you back!

1. Please enter your questions or comments on the linked Google Doc. Preface your question with your full name (first and last name) because there might be other people with your first name on the call and it's helpful to newcomers if they are distinguished. Remember [First Post is a Badge of Honor](/handbook/communication/#first-post-is-a-badge-of-honor).
1. Keep in mind that an AMA may be live streamed and shared publicly and that it's okay to opt out of using your name due to safety and privacy concerns.
1. Please do not include customer names in your questions/comments.
1. Be ready to ask your question out loud as it comes up in the queue.
1. When speaking on the call, please say your name first, to help others know who is speaking.
1. Please don't use the Zoom chat to add information but add them to the doc so people reading the agenda after the call can also benefit.
1. Not everything has to be a question. If you have a comment, bias to putting it into the Google Doc so that those who weren't able to attend the meeting live can see what you had to say (and any responses that arose from it).
1. Thanking and recognizing people is very important.
1. It's okay to add a question to the end of the queue in the Google Doc as the conversation is taking place.
1. You can contribute by taking notes to transcribe the answers during the conversation. Thanks!
1. Make sure there are at least 10 empty items in the list (that just contain a space) for people to add new questions.

## For Moderators

The `EBA` team is responsible for moderating the following calls on a rotational basis:

- AMAs (If requested with sufficient notice as per the instructions in the [request an AMA section](#request-an-ama)).

The teams will assist with moderating calls where the audience is applicable to all GitLab team members. In the event that a separate meeting needs to be scheduled on the team calendar with only a specified invitee list, the host or the EBA for the host's organization will be responsible for moderating the call.

Recording or commencement of live stream should not be started without alignment with the host. Moderator should check with host for readiness at the scheduled start time before hitting record.
