---
title: "Collaborative Whiteboard Configurations"
description: "How to collaborate and whiteboard remotely"
twitter_image: "/images/opengraph/all-remote.jpg"
twitter_image_alt: "GitLab remote team graphic"
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
---

#### Importance of Flow When Whiteboarding Technical Explanations or Collaborations

[Virtual Whiteboarding is a Remote Work Super Power for Technical Explanation and Collaboration](https://about.gitlab.com/blog/2022/09/01/whiteboarding-remote-work-superpower/)

#### Doubled down usage for in-person and hybrid meetings as well

All-remote whiteboard setups also work well when leveraged for in-person and hybrid meetings because:

- They eliminate the organizational logistics for the meeting room to have a physical whiteboard and enables whiteboarding when the need was not foreseen.
- When in-person meetings have remote participants, the remote participants can be fully accommodated by the same screen share being used in the meeting room.

#### Samsung Active Pen Tablet with LiveBoard App

This setup was devised by checking out many Tablet types (e.g. non-active pen ones), Apps and Websites.

The emphasis for selection was prioritized on:

- Fluidity of drawing experience.
- Speed of rendering in co-joined Zoom laptop.
- Avoiding requiring participants to each join the whiteboard site just to view (because a lot of sessions won't require collaborative contributions).  However, also retain the option for other participants to join quickly to contribute when it is desirable - without cost and hopefully without a registration.
- Keeping cost low to make the solution more accessible to more people. (ended up at USD $265 at time of acquisition)

The first three criteria drove a lot of research into many applications + collaborative sites. Notably, options that did not support a native mobile application (used a webpage) lacked drawing fluidity.

![whiteboarding-setup-samsung8](/images/all-remote/whiteboarding-setup-samsung8.jpg)
{style="max-width:50%;"}

#### Components

- **Drawing Surface Option 1:** [Samsung Galaxy Tab A 8.0 with Spen (SM-P200) $235](https://www.amazon.com/gp/product/B07TS2N27S/).
  - Large enough, but reasonably portable.
  - Doubles as an ebook reader.
  - Active pen technology is critical to fluidity.
  - Battery life is great.
- **Drawing Surface Option 2:** [Samsung Galaxy Tab S6 Lite 10.4" with Spen (SM-P610NZBAXAR) $300](https://www.amazon.com/SAMSUNG-Android-Included-Speakers-SM-P610NZBAXAR/dp/B086Z3S3MY/).
  - Larger screen for easier drawing
- **The Drawing Implement:** [Staedtler Digital Pencil $30](https://www.amazon.com/gp/product/B072N31S7C/) - the built in stylus is too small for drawing speed.
- **The Collaborative Whiteboard App**: [LiveBoard.online Apps / Website](https://liveboard.online), Free Forever attributes:

|                                                   | [Liveboard Online](https://www.liveboard.online) | [Google Jamboard](https://support.google.com/jamboard/answer/7424836?hl=en) | [Miro](https://miro.com) |
| ------------------------------------------------- | ------------------------------------------------ | ------------------------------------------------------------ | ------------------------ |
| Long Term Usage of Free Tier                      | Yes                                              | Yes                                                          | No                       |
| Native Mobile Apps                                | Yes                                              | Yes                                                          | Yes                      |
| Native Desktop Apps                               | No                                               | No                                                           | Yes                      |
| Web App (For Screen Sharing)                      | Yes                                              | Yes                                                          | Yes                      |
| Fluidity Extras                                   |                                                  |                                                              | Multiple pens on deck    |
| Pages / Canvas                                    | Pages                                            | Pages                                                        | Endless Canvas           |
| Presentation Mode                                 | No                                               | No                                                           | Yes                      |
| Direct Import From Google Slides                  | No                                               | Yes                                                          | No                       |
| Shape Recognition from Hand Drawing               | Light Duty                                       | Light Duty                                                   | Awesome                  |
| Export to PDF                                     | Yes                                              | Yes                                                          | No                       |
| Reusability of Drawing as Formal Technical Design | No                                               | No                                                           | Yes                      |
| Viewers Synchronized to Drawing Location          | Yes                                              | Yes                                                          | Manual                   |
| Simple UI for Drawing                             | Yes                                              | Yes                                                          | No                       |

#### Using This Setup

##### Liveboard

1. Create two free accounts on https://liveboard.online.
1. On your mobile app, create a "session" and invite the second user.
1. On your zoom laptop, join as the second user. (it is important that the user owning the whiteboard session be logged in on the tablet so that the "new page" control resides there.)
1. Screen share the whiteboard from the laptop web logon - since in most cases others won't contribute.
1. Be ready to share a link if others desire to contribute (req $5/mon to have guests which do not have to register to participate).

##### Android Settings

Android tablets with no physical buttons put a navigation bar on the bottom part of the screen. I found that I was having my palm be picked up by the Home Screen button, which would close the white boarding app. Also, when any of these buttons are activated by the stylus it is equally disruptive to the flow. For the Navigation Bar settings I set "Navigation type" to "Swipe gestures" and I enable "Block gestures with S Pen" (Android 12, Samsung OneUI v4.1)

#### Questions About This Setup

This setup is the result of Darwin Sanoy thinking about the problem way too much ;)
