---
title: "Remote work events: conferences and summits"
description: The importance of events in a remote company
twitter_image: "/images/opengraph/all-remote.jpg"
twitter_image_alt: "GitLab remote team graphic"
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
---

![GitLab all-remote team](/images/all-remote/gitlab-com-all-remote-1280x270.png)
{style="max-width: 50%;"}

## Remote work conferences and summits

Remote-work events can be a great place to meet others who have experience and connections in the space. They are particularly valuable for those who are [seeking a new role with an all-remote or remote-first company](jobs/).

## What is a remote work conference?

>A conference is a company or industry-specific meeting where people gather to discuss topics related to their field.
>

A remote work conference happens online and is usually somewhat formal. Speakers have been chosen ahead of time to deliver presentations or participate in panel discussions, such as the "REMOTE by GitLab" and other global [conferences featuring GitLab speakers](https://about.gitlab.com/events/).

### REMOTE by GitLab

![REMOTE by GitLab banner](/images/all-remote/remote-hopin-banner-dark.png)
{style="max-width: 50%;"}

> "REMOTE by GitLab" is a premier event exploring the future of workplace design, strategy, and culture. During this half-day symposium on **June 29, 2021**, attendees learned how to create and sustain scalable remote practices within their teams and organizations. **REMOTE by GitLab** featured sessions from top remote leaders, detailing how remote work is transforming lives, companies, and communities. As one of the largest all-remote companies, GitLab brought together the workplace design community to inspire the future of business and culture in the post-office world.
>
> **Couldn't join us live? [Watch the recordings](https://learn.gitlab.com/remotebygitlab2021/vrht3jm8roo) on demand.**

## What is a remote work summit?

>A summit is typically a formal, standalone event with a narrowly defined focus.
>

Remote summits may be by invitation only and encourage idea-sharing, discussion, or invite a specialized group of people to focus on solving a specific problem. Take a look at the summits below.

### Running Remote

{{< youtube "7DYy02_9Ebg" >}}

> [Running Remote](https://runningremote.com/) is carefully curated to teach you next-level, actionable strategies, and tactics you can utilize the very next day to manage and grow your distributed team. Their mission is to provide the education and tools that founders and professionals need to succeed in the future of work. This is a gathering of leaders who will share everything they've learned running a remote first organisation.

### The Remote Work Summit

{{< youtube "3iFCbBT7Xt4" >}}

> The Remote Work Summit is an initiative to bring together 24+ industry leaders from Fortune 500 companies, startups and agencies to share their secrets of building effective remote teams, organizations & careers. You can watch the recorded sessions from the third edition of the event, which took place in April 2020.

### Flex Summit

{{< youtube "H0KovHDg268" >}}

> [Flex Summit](https://flexsummit21.splashthat.com/) 2021 is a week-long virtual summit devoted to the future of flexible work. In 2019, Fuze hosted the first-ever Flex Summit, an in-person destination summit for leaders engaging in the future of flexible work. This year, Flex Summit Week 2021 is re-imagining the traditional virtual event structure – releasing content daily. The week takes place from Monday, June 14 – Friday, June 18, 2021.

### RemoteCon

> RemoteCon is a remote conference on remote work. It took place April 7, 2020 on Zoom. RemoteCon is organized by [Marcel Salathé](https://twitter.com/marcelsalathe) and a group of volunteers at EPFL who believe that remote is not only changing how we work, but also how society organizes itself. Getting remote work right is thus one of the biggest challenges of the 21st century. It's time to talk about it.

## What is the difference between a remote work **conference** and a remote work **summit**?

Conferences are typically open to a broad audience, whereas summits are sometimes invitation-only for a specifically targeted group. Conferences are more about sharing information, whereas summits solve problems. Both are excellent places to gather cutting-edge information about the remote-working space and network with others in the industry.

## Experiencing a remote work event

![GitLab all-remote ergonomic workspace](/images/all-remote/gitlab-com-all-remote-v3-dark-1280x270.png)
{style="max-width: 50%;"}

Before the pandemic, most conferences and summits required your physical presence for you to receive maximum impact. Networking, learning, and discussions were face-to-face in a shared physical space. If you couldn't make it, you missed out. Select in-person conferences recorded snippets of panels and keynote speeches for viewing after the conference ended, but did not offer a way for dialogue to continue.

As events and conferences pivoted to virtual platforms in 2020-2021, organizers learned to connect and engage with attendees in creative new ways. While many conferences will likely reincorporate in-person elements in the future, the tools and expertise gained through more than a year of exclusively virtual events should enable conferences to be more inclusive and accessible.

Given that remote work summits are engineered to be open to anyone, anywhere in the world, virtual access is a vital part of ensuring that a global community can engage with content, speakers, panelists, and keynotes.

### Benefits for attendees

Remote work events welcome anyone interested in the future of workplace design. The beauty of remote work events is that everyone is welcome, even those who may still be skeptical of or learning about remote work.

All-remote and remote-first workflows change rapidly. Technology, tools, mobile network infrastructure, internet ubiquity, and a cultural understanding of virtual communication all contribute to making remote work [increasingly feasible](remote-benefits/). Those who have a [negative](drawbacks/) view of remote work, but are curious to see how the space is [evolving](hybrid-remote/), stand to gain much from attending remote work conferences and summits.

#### The power of networking

Networking takes additional consideration in the all-remote space, given that people congregate in the same physical space less often. This creates opportunity for conferences and summits to bring remote workers from all over the globe together, serving as a catalyst for collaboration, [communication](informal-communication/), and inspiration.

Those [seeking a remote role](hiring/) can learn about emerging and established firms in the all-remote and remote-first space, channeling their energy to [apply at companies that they are aligned with](jobs/).

If you're a founder or hiring manager, these events offer a platform to promote your company to potential candidates who understand and appreciate the [benefits](remote-benefits/) and [drawbacks](drawbacks/) of all-remote.

#### Renewed purpose and mission

As remote work becomes more popular, a number of conferences and summits are emerging to serve a few key purposes.

1. Educate the world on the [power](remote-benefits/) and [efficiency](/handbook/values/#efficiency) of working remotely, including those who have not yet embraced remote work.
1. Bring remote workers and companies together to fuel [collaboration](/handbook/values/#collaboration) and share learnings.
1. Provide a platform for experts to share knowledge with the [broader remote work community](jobs/).
1. Create a tighter, more unified network of all-remote and remote-first advocates to evangelize for the creation of [more remote roles](hiring/).

### Benefits for speakers and presenters

Speakers and presenters can present from anywhere. They may be on a stage with others in a shared physical space, or they may be presenting from anywhere in the world via computer and webcam. By removing the need to travel and carve out large chunks of one's schedule, the virtual nature of a remote work conference creates a significant opportunity for summit hosts to capture a [more diverse](/handbook/company/culture/inclusion/) array of speakers.

#### Asynchronous engagement

A major boon of remote work summits is the ability to engage [asynchronously]({{< ref "communication" >}}). Even if you're unavailable for the entirety of the live event, all-remote and remote-first events are typically structured to be experienced at your leisure. For example, the prior year of [The Remote Future Summit](https://remote-future.com/) can still be experienced now, as all sessions were captured and archived for future viewing.

#### Building a community

The remote community welcomes outreach from others working remotely. If you view a session that contributed to your knowledge and understanding of an issue, it's not out of line to reach out to the speaker(s) who presented via email, Twitter, etc. and begin a dialog — even months after the live event concludes.

## GitLab remote events

To find remote-focused events that GitLab is hosting or participating in,  please check the main [GitLab Events](https://about.gitlab.com/events/) page.

---

Return to the main [all-remote page]({{< ref "_index.md" >}}).
