---
title: GitLab for Remote Teams
description: "See how GitLab can help you continuously deliver software remotely, together"
twitter_image: "/images/opengraph/GitLab-For-Remote-Teams.png"
twitter_creator: "@gitlab"
twitter_site: "@gitlab"
twitter_image_alt: "GitLab For Remote Teams graphical image using icons representing remote work"
destination_url: "https://youtu.be/qCDAioq3eis"
---

<div class="container">
<div class="row my-5 5align-items-start">
    <div class="col-8 d-flex align-items-center">
        <div>
            <p class="h3 mb-4">With GitLab, every team in your organization can work together in a single platform, driving business outcomes faster with complete transparency, consistency and traceability.</p>
            <p class="h4">The DevOps Platform is here</p>
            <p>GitLab empowers organizations to collaborate efficiently and asynchronously, while strengthening security and compliance.</p>
            <p>One system to install and maintain. End-to-end lifecycle support from one provider. One point of integration for external systems. One user interface for the entire lifecycle.</p>
            <p class="h4">Deliver better products faster</p>
            <p>Accelerate the software delivery process to meet business objectives.</p>
            <p>Collaborate in a single system, minimize context-switching and waiting, identify and remove productivity blockers, and deliver more value faster with more productive, focused developers.</p>
            <p class="h4">Reduce security and compliance risk</p>
            <p>Simplify processes to comply with internal processes, controls and industry regulations without compromising speed.</p>
            <p>Increase reliability and performance while you grow by eliminating custom integrations.</p>
            <p class="h4">Whether your team is fully remote, hybrid, or distributed across multiple sites, GitLab simplifies operations and increases your efficiency. Sign up to view demos, read use cases, and get implementation tips.</p>
        </div>
    </div>
    <div class="col d-flex align-items-center rounded-3 p-4 shadow" style="background-color: #6e49cb; color: #ffffff;">
        <div id="regiserFormDiv">
            <p class="h4">Register to watch the video:</p>
            <form action="https://fabform.io/f/dtVXkzD" method="post" id="registerForm" target="hidden-form">
            <div class="mb-3">
              <label for="firstName" class="form-label">First Name</label>
              <input name="firstName" type="text" required class="form-control">
            </div>
            <div class="mb-3">
              <label for="lastName" class="form-label">Last Name</label>
              <input name="lastName" type="text" required class="form-control">
              </div>
              <div class="mb-3">
              <label for="email" class="form-label">Work Email Address</label>
              <input name="email" type="email" required class="form-control">
              </div>
              <div class="mb-3">
              <label for="company" class="form-label">Company Name</label>
              <input name="company" type="company" required class="form-control">
              </div>
              <div class="mb-3">
              {{< country-select >}}
              </div>
              <div class="mb-3">
                <input class="form-check-input" type="checkbox" value="sendEmails" id="sendEmails">
                <label class="form-check-label" for="sendEmails">
                I would like to receive emails from GitLab about its products, services and events.
                </label>
              </div>
              <div class="mb-3">
              <button type="submit" class="btn btn-lg btn-light">Watch Now</button>
              </div>
            </form>
        </div>
        <div id="thankyou" class="text-center align-items-center">
            <p class="h2 mb-4">Thank you for registering</p>
            <button type="button" class="btn btn-lg btn-light" data-bs-toggle="modal" data-bs-target="#videoModal">
              Watch the video again
            </button>
        </div>
    </div>
</div>
<div class="row my-5">
    <div class="col">
        <h2>Using GitLab for remote collaboration</h2>
        <p>GitLab is a collaboration tool designed to help people work better together whether they are in the same location or spread across multiple time zones. Originally, GitLab let software developers collaborate on writing code and packaging it up into software applications. Today, GitLab has a wide range of capabilities used by people around the globe in all kinds of companies and roles.</p>
    </div>
</div>
<div class="row my-5">
    <div class="col d-flex align-items-center">
        <div>
            <h2>Document while you work</h2>
            <p>Instead of critical information getting lost in email or chat, writing down what's happening inside of GitLab Issues means the plan, process, and execution are automatically documented. Other users can be tagged to comment and collaborate. Since Issues are a many-to-many channel, it's easy to loop in more folks without the clutter of a reply-all thread.</p>
        </div>
    </div>
    <div class="col">
        <img src="https://about.gitlab.com/images/solutions/gitlab-for-remote/issue.png" alt="GitLab DevOps loop png">
    </div>
</div>

<div class="row my-5">
    <div class="col">
        <img src="https://about.gitlab.com/images/solutions/gitlab-for-remote/board-drag.png" alt="GitLab DevOps loop png">
    </div>
    <div class="col d-flex align-items-center">
        <div>
        <h2>Track work from dream to done</h2>
        <p>Adding labels to GitLab Issues lets you categorize work into different stages, such as planning, in-progress, and complete. <a href="https://about.gitlab.com/stages-devops-lifecycle/issueboard/">GitLab Boards</a> give you visibility and control over how work is being done. It's like moving digital post-it notes across an online whiteboard that everyone can use, not just the folks in the conference room.</p></div>
    </div>
</div>

<div class="row my-5">
    <div class="col d-flex align-items-center">
        <div>
            <h2>Connect strategy to execution</h2>
            <p>GitLab Epics and Roadmaps provide a way to organize and visualize your entire portfolio of work over the long term. While Issues represent everyday tasks, Epics represent entire features or projects. Roadmaps let you plan work by seeing which work is competing for space and track progress against an assigned completion date.</p>
        </div>
    </div>
    <div class="col">
        <img src="https://about.gitlab.com/images/solutions/gitlab-for-remote/max.png" alt="GitLab DevOps loop png">
    </div>
</div>

<div class="row my-5">
    <div class="col">
        <img src="https://about.gitlab.com/images/solutions/gitlab-for-remote/diff.png" alt="GitLab DevOps loop png">
    </div>
    <div class="col d-flex align-items-center">
        <div>
        <h2>Version every word</h2>
        <p>One of the advanced uses for GitLab is to treat copy like code. You can store, version, review, and approve not only software code, but any text at all. Using GitLab's version control and "code review" capabilities for your text-based copywriting, you'll be able to track versions, know who changed what when, make multiple proposals to the same document, and easily manage approvals.</p></div>
    </div>
</div>
</div>

<iframe style="display:none" name="hidden-form"></iframe>
<div class="modal fade" id="videoModal" tabindex="-1" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable modal-xl">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" style="color: #000000;">GitLab for Remote Team Video</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body text-center">
        <iframe style="width: 1000px; height: 562px; margin-left: auto; margin-right: auto;" id="gitlabForRemoteVideo" src="" title="YouTube video player" frameborder="0" allowfullscreen></iframe>
      </div>
      <div class="modal-footer">
        <a href="https://www.youtube.com/embed/qCDAioq3eis" class="btn btn-lg btn-secondary" target="_blank"><i class="fa-brands fa-youtube"></i> Watch on YouTube {{< external >}}</a>
        <button type="button" class="btn btn-lg btn-primary" data-bs-dismiss="modal"><i class="fa-solid fa-circle-check"></i> Done</button>
      </div>
    </div>
  </div>
</div>

<script>
    function getCookie(cname) {
      let name = cname + "=";
      let decodedCookie = decodeURIComponent(document.cookie);
      let ca = decodedCookie.split(';');
      for(let i = 0; i <ca.length; i++) {
        let c = ca[i];
        while (c.charAt(0) == ' ') {
          c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
          return c.substring(name.length, c.length);
        }
      }
      return "";
    }
    $( document ).ready(function() {
        const registerd = getCookie("gitlab-for-remote-registered");
        if(registerd) {
            $("#thankyou").show();
            $("#regiserFormDiv").hide();
        }
    });
    $("#registerForm").on("submit", function(event) {
        console.log("Triggering submit");
        $("#thankyou").show();
        $("#regiserFormDiv").hide();
        const videoModal = new bootstrap.Modal(document.getElementById('videoModal'));
        document.getElementById("gitlabForRemoteVideo").src = "https://www.youtube.com/embed/qCDAioq3eis?si=ZXhIzw7wJD5XveTK"
        const d = new Date();
        d.setTime(d.getTime() + (360*24*60*60*1000));
        let expires = "expires="+ d.toUTCString();
        document.cookie = "gitlab-for-remote-registered=true;" + expires + ";path=/";
        videoModal.show();
    });
</script>
<style>
    #thankyou {
        width: 100% !important;
        display: none;
    }
    #regiserFormDiv {
        display: block;
    }
    .modal.fade .modal-dialog {
      -webkit-transition: -webkit-transform 0.3s ease-out;
         -moz-transition: -moz-transform 0.3s ease-out;
           -o-transition: -o-transform 0.3s ease-out;
              transition: transform 0.3s ease-out;
    }
</style>
