---
title: "All-Remote and Remote-First Jobs and Remote Work Communities"
description: All-Remote and Remote-First Jobs and Remote Work Communities
twitter_image: "/images/opengraph/all-remote.jpg"
twitter_image_alt: "GitLab remote team graphic"
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
---

On this page, we're spotlighting all-remote and remote-first companies, along with job boards that curate high-quality remote roles.

We're also curating a growing list of remote communities, where remote leaders and workers can network and share ideas, resources and job opportunities.

## Organizations leading the way

{{< youtube "4bO-wxLQtJQ" >}}

*In the [GitLab Unfiltered](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A) video above, Darren (GitLab) and Rodolphe (Remotive) discuss several remote work topics: favorite things about remote work, how to find/start/thrive in your first remote role, and the impact of the growing remote work community.*

Working remotely is becoming more common globally, as supported by data in the [GitLab Remote Work Report](remote-work-report/). While all-remote and remote-first organizations still represent the minority, a variety of trends — from heightened rents in major cities to a greater emphasis on sustainability to a cultural desire to work and live where one is most fulfilled — have more people than ever [interested in this way of working](benefits/).

Buffer's latest [State of Remote Work](https://lp.buffer.com/state-of-remote-work-2020) shows that the overwhelming majority of those who work remotely would recommend it to others, while [new survey data from Owl Labs](https://resources.owllabs.com/blog/remote-work-statistics) collected from 23 countries and 6 continents found that over half of global companies now allow some form of remote work.

Of course, [not all remote environments are created equal](hybrid-remote/) — a point we cover in detail on the [part-remote page](hybrid-remote/).

In the aforementioned Owl Labs survey, it found that 16% of global companies are fully remote and 40% of global firms are hybrid, offering remote options while maintaining at least one physical office.

However, an increasing amount of startups and small-to-medium sized businesses are all-remote. In other words, those looking to work for an all-remote or remote-first organization as opposed to lobbying for a remote arrangement within a colocated company will want to cast their attention on career pages from the below.

### All-remote companies

![GitLab all-remote companies illustration](/images/all-remote/gitlab-com-all-remote-v4-dark-1280x270.png)
{style="max-width: 50%;"}

1. [InVision](https://www.invisionapp.com/), see their posts about [remote-only motivations](https://www.invisionapp.com/inside-design/remote-design-best-practices/), building [company culture](https://www.invisionapp.com/blog/remote-company-culture/), and what remote work [feels like](https://www.invisionapp.com/blog/remote-worker-truths/).
1. [Buffer](https://buffer.com), see their posts about going [remote only](https://open.buffer.com/no-office/), [the benefits](https://open.buffer.com/distributed-team-benefits/), and how they [make it work](https://open.buffer.com/buffer-distributed-team-how-we-work/).
1. [Automattic](https://automattic.com/about/), the company behind [WordPress.com](https://wordpress.com) and [The year without pants](https://www.amazon.com/Year-Without-Pants-WordPress-com-Future/dp/1118660633) fame
1. [GitLab](https://about.gitlab.com), this website is hosted by GitLab, everyone is welcome to contribute to [this page](https://gitlab.com/gitlab-com/www-gitlab-com/blob/master/source/index.html.md), and also check out [our handbook](/handbook) for remote work practices.
1. [Techmeme](https://www.techmeme.com/), has been [fully remote since 2007](https://twitter.com/gaberivera/status/1226189350276341761), utilizing a global team of editors to "curate the technology news site of record for people both within and beyond the industry."
1. [10up](https://10up.com/), is a fully remote team that works to "make the internet better with consultative creative and engineering services, innovative tools, and dependable products that take the pain out of content creation and management."
1. [Zapier](https://zapier.com/), wrote a [book on remote work](https://zapier.com/learn/remote-work/), is 100% remote.
1. [Close.com](https://close.com), see their [jobs page](https://jobs.lever.co/close.io/) and [blog post about remote culture](https://www.close.com/guides/manage-remote-sales-teams).
1. [Hubstaff](https://hubstaff.com/), streamlines time tracking and team management, especially for remote teams. Check out the CEO's [growth blog](https://blog.hubstaff.com/startup-story-personal-pain/).
1. [Groove](https://www.groovehq.com/), see their blog on being a [remote team](https://www.groovehq.com/blog/being-a-remote-team).
1. [Anybox](https://www.gorfou.fr/), see their feedback (in French) [Télétravail généralisé, notre retour d'expérience](https://blog.anybox.fr/teletravail-generalise-confiance-et-seminaires/).
1. [Screenly](https://www.screenly.io), this is [how they work](https://www.screenly.io/blog/2016/11/23/how-we-work-at-screenly/).
1. [Soshace](https://soshace.com), see their [jobs page](https://soshace.com/jobs-seekers/).
1. [Innolitics](https://innolitics.com), see their [handbook](https://innolitics.com/about/handbook/) which describes how they work remotely.
1. [IOpipe](https://iopipe.com)
1. [HiringThing](https://www.hiringthing.com/), see their post about what it is like to work [remote-only](https://blog.hiringthing.com/what-its-like-to-work-at-hiringthing).
1. [SerpApi](https://serpapi.com)
1. [Scrapinghub](https://www.zyte.com/), who turns websites into data. See their [about us page](https://www.zyte.com/meet-zyte/), [open positions](https://www.zyte.com/jobs/), and [blog](https://www.zyte.com/blog/).
1. [Jitbit](https://www.jitbit.com/)
1. [ProxyCrawl](https://proxycrawl.com)
1. [Crossover](https://www.crossover.com/), read their tips on [creating the ultimate package for remote work](https://medium.com/the-crossover-cast/the-ultimate-package-for-remote-work-b9c68339fe57).
1. [Toptal](https://www.toptal.com/), see their Benefits: ["Fully Remote, No offices, no useless meetings, no mandatory hours. You're recognized for what you do, not your time in a chair"](https://www.toptal.com/careers), also see [FAQ: "Where do Toptal experts work?"](https://www.toptal.com/faq#where-do-toptal-experts-work).
1. [Sonatype](https://www.sonatype.com/), blog article on remote work at [Sonatype](https://blog.sonatype.com/the-magic-of-a-remote-organization).
1. [Podia](https://www.podia.com), a remote-only company, see [their founder's Tweetstorm](https://twitter.com/spencerfry/)
1. [Knack](https://www.knack.com), a remote-only company, see [why they work remotely](https://www.knack.com/blog/why-we-chose-remote).
1. [Honeybadger](https://www.honeybadger.io), see [how they work](https://www.honeybadger.io/careers/).
1. [Doist](https://doist.com), makers of [Todist](https://todoist.com) and [Twist](https://twistapp.com). Here's how they [make remote work happen](https://blog.doist.com/https-blog-doist-com-managing-remote-teams-622521189e80), as well as [a blog post on not sacrificing one's career ambitions in an all-remote setting](https://blog.doist.com/remote-career-advice/).
1. [Discourse](https://www.discourse.org/), see Coding Horror's ["We hire the best, just like everyone else"](https://blog.codinghorror.com/we-hire-the-best-just-like-everyone-else/)
1. [Aha!](https://www.aha.io/), see their blog about [remote work](https://blog.aha.io/category/remote-work/).
1. [Articulate](https://articulate.com), see their [company page](https://www.articulate.com/about/) for how they work.
1. [Nozbe](https://nozbe.com), see [what they do](https://nozbe.com/about), [how they work](https://nozbe.com/blog/why-nooffice/) and [what are Nozbe's values](https://nozbe.com/blog/nozbe-values/).
1. [DuckDuckGo](https://duckduckgo.com/), see their ["Work Whenever, Wherever" Careers page](https://duckduckgo.com/hiring/), also see [Making Remote Work: Ask DuckDuckGo About Being A Digital Nomad Q&A](https://womendigitalnomads.com/blog/duckduckgo-digital-nomad/).
1. [FormAssembly](https://www.formassembly.com/), see their [jobs page](https://apply.workable.com/formassembly/).
1. [Gruntwork](https://gruntwork.io/): see [how they built a distributed, self-funded, family-friendly, profitable startup](https://blog.gruntwork.io/how-we-built-a-distributed-self-funded-family-friendly-profitable-startup-93635feb5ace).
1. [SoftwareMill](https://softwaremill.com/), see their [distributed teams articles](https://softwaremill.com/blog/?tag=distributed%20teams)
1. [Pangian](https://pangian.com/) *"Top talent working remotely. Worldwide"*, see their [about page](https://mailchi.mp/pangian.com/remote-network) *"The fastest-growing remote talent network. Worldwide"*.
1. [Winding Tree](https://windingtree.com/), Decentralized Travel Ecosystem built by decentralized team.
1. [reinteractive](https://reinteractive.com/)
1. [easyDNS](https://easydns.com/), see why they decided to [go all-remote.](https://easydns.com/blog/2019/05/23/the-end-of-an-era-for-easydns/)
1. [TaxJar](https://www.taxjar.com), read their [blog about building a remote-only culture](https://www.taxjar.com/about), their [benefits](https://www.taxjar.com/#open-positions), [core values](https://www.taxjar.com/about/), and [hear what employees say about working there](https://www.comparably.com/companies/taxjar).
1. [Animalz](https://www.animalz.co/), an agency providing content to B2B/SaaS organizations
1. [Almanac](https://almanac.io/), see their [async collaboration norms](https://almanac.io/handbook/almanac-handbook-9SaCJX/async-collaboration-norms-almanac-nN7bF2BOfBRFJNBqwoj4uyRA91vFPLtT), [resources for leaders](https://almanac.io/async-review) in a world without offices and [current open roles](https://almanac.io/careers).
1. [Iterative](https://datachain.ai/), a company building open-source developer tools for machine learning
1. [SearchApi](https://searchapi.io/), a remote-only company, see their [jobs page](https://www.searchapi.io/careers)

### Remote-first companies

Chris H. of Firstbase [curates](https://twitter.com/chris_herd/status/1297223150049075201?s=27) an ongoing list of [Remote First Startups](https://airtable.com/shrUGf3xPZBhmg9B3/tblFTEZPAbhNnPyoo). Others are listed below.

1. [Basecamp](https://basecamp.com/), authors of [Remote](https://37signals.com/remote)
1. [Harvest](https://www.getharvest.com/), see their collection of stories on [Working without borders](https://www.getharvest.com/working-without-borders)
1. [Nota](https://notainc.com), builders of a [modern idea hub](https://scrapbox.io) & [instant screenshot sharing app](https://gyazo.com) perfect for remote work.
1. [Niteo](https://niteo.co/), a decade-old Python boutique with a public [handbook](https://github.com/niteoweb/handbook)
1. [ElevenYellow](https://elevenyellow.com), type `job openings` on their [console](https://www.elevenyellow.com/) to join this team of digital nomads.
1. [wemake.services](https://wemake.services), software development company using [`RSDP`](https://wemake.services/meta/)
1. [Igalia](https://igalia.com), [employee-owned cooperative](https://www.igalia.com/about/) providing software development consulting services
1. [Ad Hoc](https://adhocteam.us/), see their post ["The truth about remote work"](https://adhocteam.us/2017/12/05/truth-remote-work/) and their [jobs page](https://adhocteam.us/join/).
1. [Help Scout](https://www.helpscout.com/), see their posts "[What We've Learned Building a Remote Culture](https://www.helpscout.com/blog/remote-culture/)," "[Employee Onboarding Best Practices](https://www.helpscout.com/blog/employee-onboarding/)," and "[6 Tips to Keeping Your Remote Team Connected](https://www.helpscout.com/blog/remote-team-connectivity/)."

### Newly remote companies due to COVID-19

COVID-19 served as a catalyst for many companies to become remote-friendly. In turn, an increasing number of organizations are allowing existing employees to work remotely indefinitely/permanently. Below are trackers which publicize which firms have shifted policies to support remote.

Beyond those listed, COVID-19 has democratized the conversation around workplace flexibility. It is now expected for prospective job seekers to inquire about a firm's approach to remote work and flexibility early in the interview process.

1. [Build Remote](https://buildremote.co/companies/companies-going-remote-permanently/)
1. [Are They Remote Yet?](https://web.archive.org/web/20220405131815/https://www.aretheyremoteyet.com/)
1. [ProsperCicle: Remote-First Companies](https://web.archive.org/web/20201127164024/https://www.prospercircle.org/signals/remote-companies)

## All-remote and remote-first job boards

![GitLab customer illustration](/images/all-remote/gitlab-customer-path.jpg)
{style="max-width: 50%;"}

Job seekers are wise to point their efforts towards companies that are [built to support 100% remote](learning-and-development/). You're able to bypass hours of lobbying for a remote arrangement [during the interview process](hiring/), and you're assured that the tools you need to operate effectively from anywhere will be included from the get-go.

While there are myriad job boards that curate part-time and freelance gigs which can be completed from anywhere, this section is focused more on surfacing all-remote and remote-first *careers*.

Here's a [list](https://www.ryrob.com/remote-jobs-websites/) of 60 remote jobs sites, including:

1. [Remote AI Jobs](https://www.moaijobs.com/remote-ai-jobs)
1. [DailyRemote](https://dailyremote.com/)
1. [Real Work From Anywhere](https://realworkfromanywhere.com/)
1. [Startup Jobs](https://startup.jobs/remote-jobs)
1. [Himalayas](https://himalayas.app)
1. [Remotely](https://tryremotely.com)
1. [Remote Rocketship](https://www.remoterocketship.com)
1. [Grow Remote](https://growremote.ie/)
1. [Torre](https://torre.ai/?r=KBLTHbrs)
1. [We Work Remotely](https://weworkremotely.com)
1. [Remote OK](https://remoteok.com/)
1. [People-First Jobs](https://peoplefirstjobs.com/jobs/)
1. [Remoters](https://remoters.net/jobs/)
1. [Wellfound](https://wellfound.com/jobs/)
1. [Jobspresso](https://jobspresso.co/)
1. [Working Nomads](https://www.workingnomads.co/jobs)
1. [PowerToFly](https://powertofly.com)
1. [Remote jobs on Angellist](https://angel.co/job-collections/remote)
1. [Remotive](https://remotive.io/) - in particular, [The List of Awesome](https://docs.google.com/spreadsheets/d/1TLJSlNxCbwRNxy14Toe1PYwbCTY7h0CNHeer9J0VRzE/htmlview?pli=1#gid=0)
1. [Who Is Hiring?](https://whoishiring.io/)
1. [JustRemote](https://justremote.co)
1. [Remote For Me](https://remote4me.com/)
1. [FlexJobs](https://www.flexjobs.com/)
1. [Remote.Co](https://remote.co/)
1. [Glassdoor](https://www.glassdoor.com/) (toggle the "WFH or Remote" option to filter search results)
1. [People First Jobs](https://peoplefirstjobs.com/jobs)
1. [Remote Tech Jobs](https://www.remotetechjobs.com/)
1. [Close Sales Remote Job Board](https://www.close.com/careers)

> "Getting promoted while working remotely really depends on how remote your company is. GitLab is a fully remote organization with over 700 folks around the world, so getting promoted wasn't difficult at all. In previous roles, I was the only person who worked remotely. In those cases, I felt very forgotten by my employer." - *Emilie L Schario, a Data Engineer at GitLab*

For a better understanding of the nuances, take a look at "[6 People Who Prove You Don't Have to Sacrifice Your Career to Work Remotely](https://blog.doist.com/remote-career-advice/)" on the Doist blog. Experts from various all-remote and remote-first companies, including [GitLab](https://about.gitlab.com/jobs/), [Doist](https://doist.com/), [Help Scout](https://www.helpscout.com/), [DataTrue](https://datatrue.com/en/), and [Quuu](https://quuu.co/), share their experiences.

## Remote work communities and networking

![GitLab collaboration](/images/all-remote/gitlab-collaboration.jpg)

Staying [connected](events/) with remote workers globally is in many ways much easier than staying connected with peers through in-person networking events. Working remotely forces you to be [intentional about everything](management/), and the same is true for forming and fostering relationships and becoming part of one or more remote work communities.

As remote work [becomes more common globally](remote-work-report/), there are more opportunities than ever to get plugged in, share resources and tips, and exchange job opportunities. Below are several vetted remote communities with high engagement.

1. [Remote-how virtual coworking space](https://remote-how.com/)
1. [We Work Remotely](https://weworkremotely.com/)
    1. [WWR Slack Community](https://bit.ly/wwr_slack)
    1. [WWR Homepage](https://weworkremotely.com/)
    1. [WWR: AMA with Darren Murph, Head of Remote at GitLab](https://weworkremotely.com/ama-with-darren-murph-head-of-remote-at-gitlab#)
1. [Remote Workers in LinkedIn](https://www.linkedin.com/groups/13657237/) (*private group; all may request admission*)
1. [NoHQ](https://nohq.co/join/)
1. [RemotelyOne](https://www.remotelyone.com/)
1. [CreativeTribes](https://creativetribes.co/)
1. [Women in Technology](https://witchat.github.io/)
1. [Grow Remote](https://growremote.ie/)

## Informal all-remote and remote-first job searching

Keep in mind that many great all-remote and remote-first companies aren't big enough to justify an appearance on conventional job sites. Particularly for startups, hiring is often accomplished via networking and word-of-mouth.

Thus, it's worth a concerted effort to scour [LinkedIn](https://www.linkedin.com/) (including the [Remote Workers on LI Group](https://www.linkedin.com/groups/13657237/)), [Instagram](https://www.instagram.com/), and [Twitter](https://twitter.com).

Oftentimes, founders will put out [informal](informal-communication/) calls for help through a single tweet, Instagram story, or LinkedIn post. These calls do not make it to formal job boards, yet they represent opportunities to join a fledgling company during a formative time when there is potential to secure a significant stake via equity or [stock options](/handbook/total-rewards/stock-options/).

Each of these platforms support search via hashtag. Be aware that many results will be spam, but diligent searchers can find diamonds in the proverbial rough. Here's a list of popular remote work hashtags below. Where you can, combine searches to include the below along with hashtags such as `#hiring` or `#nowhiring`.

1. `#remote`
1. `#remotework`
1. `#futureofwork`
1. `#goremote`
1. `#digitalnomad`
1. `#remoteworking`
1. `#workanywhere`
1. `#virtualteam`
1. `#telecommute`
1. `#locationindependent`

Working in an all-remote environment is unique. Be sure to read over the distinct [benefits]({{< ref "remote-benefits" >}}) and [drawbacks](drawbacks/) when considering if such a setting is ideal for you.

---

Return to the main [all-remote page]({{< ref "_index.md" >}}).
