---
title: "Parenting as a remote worker"
description: Tips and tricks for parents who juggle working from home
twitter_image: "/images/opengraph/Talent-Brand/hiring-day-in-the-life-darren.png"
twitter_image_alt: "GitLab Team Member working from home office, happy to see baby join the video call."
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
---

Parents who work from home have unique demands and expectations, as well as unique challenges. Being an excellent coworker and an excellent parent is a tall order, particularly when childcare and school are impacted by a global crisis.

![GitLab parenting work from home](/images/opengraph/Talent-Brand/hiring-day-in-the-life-darren.png)
{style="max-width: 50%;"}

While success may look different to each individual, it requires support from one's organization, company-wide alignment on [values](/handbook/values/) that enable parents to feel empowered, and a [transparent atmosphere](building-culture/) where advice may be shared.

## Q: What are some work-from-home parenting jobs?

At GitLab, we believe that [most jobs can be done remotely](terminology/). We are the world's largest all-remote company with no company-owned offices anywhere on the planet. We have team members in more than 65 countries, many of whom are parents. It can be done; it should be done!

When looking for a parent-friendly job, instead of focusing on the specific role, look at the company. Do they offer flexible scheduling? [No-ask PTO]({{< ref "paid-time-off#a-gitlab-team-members-guide-to-time-off" >}})? Are they [family first](/handbook/values/#family-and-friends-first-work-second)? Choose an organization that proactively supports parents and prioritizing your kids above your job.

## Q: What are the benefits of work from home parenting?

While there are numerous [advantages to remote work]({{< ref "remote-benefits" >}}), being able to pair working and parenting/caregiving is considered an enormous benefit to many people.

1. You have more [flexibility](https://web.archive.org/web/20200606214525/https://shedoesdatathings.com/post/1-year-at-gitlab/) in your [daily life](people/#those-who-value-flexibility-and-autonomy) (for [kids](https://about.gitlab.com/blog/2019/07/25/balancing-career-and-baby), parents, friends, groceries, sports, deliveries).
1. No more time, [stress](https://www.forbes.com/sites/markeghrari/2016/01/21/a-long-commute-could-be-the-last-thing-your-marriage-needs#5baf10f04245), or money wasted on a [commute](https://www.inc.com/business-insider/study-reveals-commute-time-impacts-job-satisfaction.html) (subway and bus fees, gas, car maintenance, tolls, etc.).
1. You can optimize your life for superior air quality and medical facilities, a healthier community environment, and better schools for your children, rather than access to onsite jobs.
1. Expectant parents have the autonomy to more easily plan around and attend doctor's appointments, optimize for their physical comfort during the day, and work [non-linear workdays](non-linear-workday/) to build in rest when needed.
1. Ability to [travel to other places](https://about.gitlab.com/blog/2017/01/31/around-the-world-in-6-releases) without taking vacation (family, fun, etc.).
1. Freedom to [relocate](/handbook/people-group/relocation), be [location independent](https://about.gitlab.com/blog/2019/06/25/how-remote-work-at-gitlab-enables-location-independence), or even [travel with other remote professionals](resources/#organizations-for-traveling-remote-work).
1. You can [set up and decorate your office or workspace](https://community.thriveglobal.com/how-remote-work-can-reduce-stress-and-revitalize-your-mindset/) in whatever way [works best for you](https://about.gitlab.com/blog/2019/08/01/working-remotely-with-children-at-home).
1. You can [choose your working hours](people/#worklife-harmony) based on when you're [most productive](asynchronous/).

## Q: What are the challenges of work from home parenting?

A recent [Forbes article on the challenges working parents faced during the pandemic](https://www.forbes.com/sites/jackkelly/2021/05/03/a-new-flexjobs-study-shows-how-challenging-it-was-for-working-parents-during-the-pandemic/?sh=60e7556552f6) listed the top issues as:

- burnout
- mental health
- work vs family life balance/boundaries
- video-meeting fatigue

At GitLab, we prioritize healthy work-life balance in each of these areas:

- [combating isolation and burnout](mental-health/#how-to-recognize-mental-health-struggles)
- [focus on mental health](being-a-great-remote-manager/)
- [create healthy work/life balance](mental-health/#rest-and-time-off-are-productive)
- [more working, less meeting](meetings/#make-meeting-attendance-optional)

## Q: How do I manage my work remotely with kids?

While there is no one-size-fits-all answer, we have amassed some great tips for organizing a healthy work and life-with-kids balance.

### Create a dedicated work area

For parents with toddlers who may not understand why a parent is home but unable to play or engage, consider working in a space with a door that you can shut. This creates a more obvious separation between work and life.

If you live in a space where such a division is impractical or impossible, consider working in a coworking space, external office, or shared community home through firms such as [Codi](https://www.codi.com). GitLab recognizes that not every living space is amenable to remote work, which is why we will [reimburse for external spaces](/handbook/finance/spending-company-money/#coworking-or-external-office--space).

### Block out family time on your calendar

![GitLab values illustration](/images/all-remote/gitlab-values-tanukis.jpg)
{style="max-width: 50%;"}

If a work meeting can be scheduled, so can anything else. That could be lunch, time for fitness/meditation, or engaging with your kids. Be deliberate and intentional about putting family functions on your calendar. That could be time for breakfast, driving to/from school, time for homework, or other activities.

### Establish ground rules

![GitLab commit illustration](/images/all-remote/gitlab-commit-illustration.jpg)
{style="max-width: 50%;"}

Rules will look different for each family, and they will likely require [iteration](/handbook/values/#iteration) as projects change and children age. Setting rules of when and how a child (or children) may engage with a working parent is vital. While this may feel rigid or harsh, ambiguity in this area will likely lead to disappointment on both sides. These rules are empowering to the worker, as they're able to share with their manager and teams and weave this into their day-to-day work.

Waiting for work to neatly carve out time for a parent to engage with their child or children is an unwise approach. Be intentional about these ground rules and work with your manager to ensure that they are communicated up/out and respected by your team.

### Working/parenting shifts via synced schedules

For working parents who have another working family member in the home, consider syncing your schedules so that kids are aware. This helps balance the load, and provides clarity to children. This works best when "parenting shifts" are scheduled into each other's work calendars and communicated with respective work teams.

### Invite kids to meetings/work

If appropriate, consider inviting your child or children into meetings, or let them work/study in a shared space while you're at work. Remember that [meetings are about the work, not the background](meetings/#meetings-are-about-the-work-not-the-background), and kids barging into a meeting is indeed the best distraction in the world.

## Q: What are some tips for balancing parenting and work as a remote employee?

Parents bring a great deal of wisdom and experience to the workforce and contribute to a [diverse and inclusive culture]({{< ref "building-diversity-and-inclusion" >}}). No one should feel pressured to apologize for being a parent or [caregiver](people/#caretakers). Instead, embrace the multiple roles you embody and take a few pointers from some of GitLab's employees who are both remote workers and parents/caregivers.

### Create and reinforce supportive values

At GitLab, we have an operating principle that clarifies [family and friends come first, and work second](/handbook/values/#family-and-friends-first-work-second). Our Diversity, Inclusion & Belonging value includes an operating principle to [make family feel welcome](/handbook/values/#make-family-feel-welcome).

Parents will only get so far in juggling work and parenting without organizational support. It is vital for leaders to create values and workplace flexibility such that a parent does not feel pressured to choose work over family on an ongoing basis.

### Create a forum for sharing

GitLab expires all Slack messages after 90 days as a remote-first forcing function. This serves multiple purposes.

1. It forces work to begin and end in GitLab ([the product](gitlab-for-remote/))
1. It lowers [anxiety](mental-health/) often associated with chat tools by reinforcing a [bias towards asynchronous workflows](/handbook/values/#bias-towards-asynchronous-communication)
1. It reminds employees that the tool's primary function is [informal communication](informal-communication/), where parents can converse about challenges and solutions related to parents. (We're humans first, colleagues second!)

GitLab has several Slack channels where parents can ask questions, share challenges/tips/advice, and offer recommendations. This may include homeschooling programs, useful apps, or suggestions for staying sane during a global pandemic. Companies should consider creating similar. GitLab's [Juicebox Chats](informal-communication/#juice-box-chats) have been a delightful tool for encouraging cultural exploration for kids while at home during COVID-19.

1. `#intheparenthood` ([Join Slack channel](https://gitlab.slack.com/app_redirect?channel=intheparenthood) - *for GitLab team members only*)
1. `#kid-juicebox-chats` ([Join Slack channel](https://gitlab.slack.com/app_redirect?channel=kid-juicebox-chats) - *for GitLab team members only*)

It also serves as a forum to share photos, videos, and stories (depending on one's personal comfort level). As an all-remote team, these serve as windows into the worlds of coworkers and can go a long way in lifting one's spirits and building bonds amongst parents.

### Share your schedule

![GitLab collaboration illustration](/images/all-remote/gitlab-collaboration.jpg)
{style="max-width: 50%;"}

Consider sharing your work calendar with family. This can be done via a subscription to one's digital calendar, having a screen in a common living space that mirrors one's work calendar, or via handwritten notes affixed to the refrigerator.

By knowing when a parent is in a meeting or heads-down in focus time, it relieves the burden from the parent to continually update family on their status.

[Busy/available indicators](workspace/#busyavailable-indicators) are useful for creating a visible way to show family when you're available/unavailable.

## No-meeting days and mid-week days off

For team leaders, consider piloting a no-meeting day company-wide (or team-wide) to allow more space for time with children while working remotely. At GitLab, several parents are also shifting their schedules to take a weekday off entirely. In remote settings where more work is conducted asynchronously, it is more feasible to work an unconventional schedule to accommodate children.

### Embrace a non-linear workday

![GitLab customer illustration](/images/all-remote/gitlab-customer-path.jpg)
{style="max-width: 50%;"}

If your work environment allows for it, consider flexing your workday around your kids' schedule(s). This enables you to be present for moments during the day that would be impossible to access if commuting to an office.

Learn more on [embracing a non-linear workday](non-linear-workday/).

### Use Slack/Teams statuses to manage ad hoc needs

With just one or two clicks, you can modify your status on Slack or Microsoft Teams to indicate that you're unavailable. Consider a stop sign, a family emoji, or an alternative that you're comfortable with. This gives your remote coworkers an at-a-glance indication that you're away. You need not go into detail as to what you've had to break away and manage at home. A simple status icon goes a long way in conveying availability and empathy.

### Optimize for open space in your calendar

Being booked at 100% is a risk, particularly for working parents. (See [Kingman's Formula](https://blog.acolyer.org/2015/04/29/applying-the-universal-scalability-law-to-organisations) for the mathematics behind this.) The ebbs and flows of life cannot be predicted — after all, [it's impossible to know everything](/handbook/values/#its-impossible-to-know-everything). If your standing commitments have you at 100%, you have no room to react thoughtfully to life/children, or to plan for improvements.

Stress is contagious, but so is [calm](mental-health/). Be ruthless in declining meetings and conveying that your schedule is full once you reach a certain quantity of daily or weekly meetings.

### Expect the unexpected

Planning and preparation is wonderful, but as any parent knows, each day brings a set of challenges that are impossible to fully hedge for. Open, honest, transparent conversation with one's manager and team is vital to ensuring that hiccups are met with less stress and anxiety. Communicating one's realities is important to keeping a team on track and adjusting due dates and milestones accordingly.

## Q: How do you manage employees working from home with kids?

Much of the [how to be a great remote manager](being-a-great-remote-manager/) applies to any and all remote-work situations. However, a truly great manager is able to adapt to their employees' work/home/life situations and be willing to [iterate](/handbook/values/#iteration) accordingly.

Some best practices for motivating remote employees balancing caregiving include:

- Prioritize [impact over activity](/handbook/values/#measure-impact-not-activity)
- Don't require people to have consistent set working hours or say when they're working
- Don't encourage or celebrate working long hours or on weekends
- Encourage teamwork
- Say [thank you](/handbook/communication/#say-thanks) often

## Q: What are some final thoughts on work from home parenting?

It's not impossible to work from home while being a parent or caregiver; it's inevitable. These two anecdotes from GitLab team members will help you understand how to make the best of both worlds.

> What has worked for me is to integrate GitLab into my life, and not the other way around. I set very clear boundaries in my calendar of when is work time and when is family time. Per GitLab's [recommendation](/handbook/communication/#google-calendar), my calendar is viewable by anyone and clearly has time for: `kids test prep`, `visual therapy for one`, `judo pick-up` and other appointments I have outside of work. This prevents team members from scheduling over these instances.
>
> If someone *does* schedule over family time or personal time, I feel confident to decline, unless it is very urgent and I'm blocking it (I always suggest a new time first, before using family time for a meeting). I am also inclined to say that if folks keep scheduling outside of your work time, to make sure you [respond back and highlight that](/handbook/values/#transparency), and check if you can find an alternative time that works for both of you. — [*Nadia V.*](https://gitlab.com/Vatalidis)
>
> When I joined GitLab, it was great to see things in people's calendars like `baby time`, `homework with kids`, `date night`, etc. Part of [onboarding](getting-started/) was [coffee chats](informal-communication/#coffee-chats) so I saw these "meetings" on calendars as I tried to schedule chats. It reinforced our [family first operating principle](/handbook/values/#family-and-friends-first-work-second), and also normalized these activities. It helped me understand that I could set up similar boundaries and not sacrifice bed time or something similar just to have an empty hour on my calendar. — [*Seth B.*](https://gitlab.com/sethgitlab)

<!-- From family time to unforgettable adventures, there are [many great stories](stories/) of how remote work has impacted the lives of GitLab team members and their families around the world. -->
From family time to unforgettable adventures, there are many great stories of how remote work has impacted the lives of GitLab team members and their families around the world.

## Other resources

### GitLab blogs from working parents

1. [What's it like to be a working parent at GitLab?](https://about.gitlab.com/blog/2016/04/08/remote-working-parents)
1. [Parental/maternity leave around the world – how does your country stack up?](https://about.gitlab.com/blog/2019/07/18/how-is-it-being-a-new-mom-working-for-gitlab)
1. [How I balance a baby, a career at GitLab, and cultural expectations of motherhood](https://about.gitlab.com/blog/2019/07/25/balancing-career-and-baby)
1. [How to make your home a space that works with kids](https://about.gitlab.com/blog/2019/08/01/working-remotely-with-children-at-home)
1. [5 Things to keep in mind while working remotely with kids](https://about.gitlab.com/blog/2019/08/08/remote-kids-part-four)
1. [GitLab parental leave and return tool kit](/handbook/total-rewards/benefits/parental-leave-toolkit)

### Guides from friends and partners

1. [Doist's guide for the remote working parent](https://todoist.com/inspiration/remote-working-parents-survival-guide)
1. [Trello: A remote work guide for parents](https://blog.trello.com/remote-work-guide-for-parents)
1. [Thrive Global: Managing parenting and remote work](https://community.thriveglobal.com/three-tips-for-managing-parenting-and-remote-work/)
1. [Buffer: Tips from a remote team on working at home with kids](https://buffer.com/resources/integrating-work-family-21-tips-working-home-kids)
1. [Autonomous: How to balance working at home and parenting](https://www.autonomous.ai/ourblog/how-to-balance-working-at-home-and-parenting)

### Crucial Conversations resources

- [Crucial Conversations](/handbook/leadership/crucial-conversations)video entitled `How Working Moms can Do it All`:

{{< youtube "IRvsi-zsKvM" >}}

- [Crucial Conversations](/handbook/leadership/crucial-conversations) video entitled `How Working Moms can Ask for Help at Home`

{{< youtube "6CHPChKAsBE" >}}

{{% include "includes/is_this_advice_any_good_remote.md" %}}

## Contribute your lessons

GitLab believes that all-remote is the [future of work]({{< ref "remote-vision" >}}), and remote companies have a shared responsibility to show the way for other organizations who are embracing it. If you or your company has an experience that would benefit the greater world, consider creating a [merge request](https://docs.gitlab.com/ee/user/project/merge_requests) and adding a contribution to this page.

---

Return to the main [all-remote page]({{< ref "_index.md" >}}).
