---
title: "People: adopting a remote lifestyle"
description: People - adopting a remote lifestyle
twitter_image: "/images/opengraph/all-remote.jpg"
twitter_image_alt: "GitLab remote team graphic"
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
---

<!-- markdownlint-disable MD013 -->
On this page, we're spotlighting brilliant, creative, passionate people who have adopted a remote lifestyle.

## New possibilities and freedoms

{{< youtube "QTPeyRW766Q" >}}

*In the [GitLab Unfiltered video](https://youtu.be/QTPeyRW766Q) above, two GitLab team members share their experiences on working in an all-remote setting, providing a glimpse at what's possible when embracing this style of work.*

All-remote and remote-first organizations [enable lifestyles]({{< ref "remote-benefits" >}}) that simply are not possible in colocated companies, where a daily commute and one's physical presence are required.

When you're free to choose when and where you live and work, [your work can revolve around your life](stories/) as opposed to the other way around.

All-remote and remote-first [organizations](jobs/) tend to attract people who place a high degree of value on [autonomy](https://about.gitlab.com/blog/2018/10/18/the-case-for-all-remote-companies), [flexibility](https://about.gitlab.com/blog/2019/06/25/how-remote-work-at-gitlab-enables-location-independence), [empathy](https://about.gitlab.com/blog/2019/07/09/tips-for-working-from-home-remote-work), and [mobility]({{< ref "inclusion#fully-distributed-and-completely-connected" >}}). It also presents [outsized opportunity for people who must live or prefer to live in rural areas](https://about.gitlab.com/blog/2019/08/15/all-remote-is-for-everyone), where well-paying careers in technical industries are few and far between.

Below, we're detailing examples of people who have adopted a [remote lifestyle](https://about.gitlab.com/blog/2018/03/15/working-at-gitlab-affects-my-life). If these resonate with you, chances are high that you would receive a great deal of fulfillment in an [all-remote or remote-first company](jobs/). Similarly, if you're an employer yearning to hire sharp, driven, passionate people like the below, consider [going all-remote]({{< ref "_index.md" >}}) in your own company.

## Nomads

{{< youtube "amiDcpIXIQ8" >}}

*In the [GitLab Unfiltered](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A) video above, Darren and Dylan (GitLab team members) discuss several remote work topics: tips and lessons learned from being a digital nomad, managing a team with asynchronous communication, getting promoted while traveling the world, creating an ideal schedule for country-hopping, not getting caught up in what the world expects of your nomadic life, and finding the comforts of home while abroad*

The thought of having no permanent residence while maintaining the same career would conjure laughter and confusion a few decades ago. Thanks to rapid advancement in internet infrastructure, technology, software, tools, and cultural appreciation for [asynchronous communication](informal-communication/), it's now quite [feasible](jobs/).

[JT Genter](https://thepointsguy.com/author/jtgenter) and [Katie Genter](https://thepointsguy.com/author/katiegenter) aspire to explore the world, embrace their passion for writing, and fly on as many airlines as possible. As members of [The Points Guy](https://thepointsguy.com)'s editorial staff, they're able to contribute asynchronously and maintain connections with team members through tools like Slack and Zoom. They've built their careers while crisscrossing the globe, embracing the digital nomad lifestyle while informing others on how to do similar. See [this tweet from JT Genter on his travel statistics](https://twitter.com/JTGenter/status/1051185813344669696).

Those looking to connect professionally with other digital nomads should consider joining [LinkedIn's Digital Nomads Group](https://www.linkedin.com/groups/13657237).

{{< youtube "gyDGeibTfdk" >}}

*In the [GitLab Unfiltered](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A) video above, two GitLab colleagues discuss the benefits of all-remote. In particular, the ability to travel on a continual basis while working and visiting colleagues, friends, and family.*

To see how two GitLab team members utilized the company's [Visiting Grant incentive]({{< ref "incentives#visiting-grant" >}}) to work with 49 different colleagues across 5 continents, have a look at "[Around the world in 6 releases](https://about.gitlab.com/blog/2017/01/31/around-the-world-in-6-releases)."

## Travelers

Individuals with an [innate sense of wanderlust](https://about.gitlab.com/blog/2019/09/12/not-everyone-has-a-home-office) are apt to gain fulfillment in an [all-remote or remote-first role](jobs/). Having the freedom and flexibility to travel at will and [work from anywhere in the world](https://about.gitlab.com/blog/2019/06/25/how-remote-work-at-gitlab-enables-location-independence) with a solid internet connection is a tremendous perk for those who don't want to sit still, yearn to explore new cultures, and collect new passport stamps.

It's important to note that you aren't required to have audacious travel goals to appreciate an all-remote setting. Those who simply appreciate the ability to visit friends and family on occasion — or jump on [excellent flight deals](https://scottscheapflights.com) to new locales — without lobbying for additional vacation may be suited for all-remote.

<blockquote class="instagram-media" data-instgrm-captioned data-instgrm-permalink="https://www.instagram.com/p/B1v0avBJJeq/" data-instgrm-version="12" style=" background:#FFF; border:0; border-radius:3px; box-shadow:0 0 1px 0 rgba(0,0,0,0.5),0 1px 10px 0 rgba(0,0,0,0.15); margin: 1px; max-width:540px; min-width:326px; padding:0; width:99.375%; width:-webkit-calc(100% - 2px); width:calc(100% - 2px);"><div style="padding:16px;"> <a href="https://www.instagram.com/p/B1v0avBJJeq/" style=" background:#FFFFFF; line-height:0; padding:0 0; text-align:center; text-decoration:none; width:100%;" target="_blank"> <div style=" display: flex; flex-direction: row; align-items: center;"> <div style="background-color: #F4F4F4; border-radius: 50%; flex-grow: 0; height: 40px; margin-right: 14px; width: 40px;"></div> <div style="display: flex; flex-direction: column; flex-grow: 1; justify-content: center;"> <div style=" background-color: #F4F4F4; border-radius: 4px; flex-grow: 0; height: 14px; margin-bottom: 6px; width: 100px;"></div> <div style=" background-color: #F4F4F4; border-radius: 4px; flex-grow: 0; height: 14px; width: 60px;"></div></div></div><div style="padding: 19% 0;"></div> <div style="display:block; height:50px; margin:0 auto 12px; width:50px;"><svg width="50px" height="50px" viewBox="0 0 60 60" version="1.1" xmlns="https://www.w3.org/2000/svg" xmlns:xlink="https://www.w3.org/1999/xlink"><g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g transform="translate(-511.000000, -20.000000)" fill="#000000"><g><path d="M556.869,30.41 C554.814,30.41 553.148,32.076 553.148,34.131 C553.148,36.186 554.814,37.852 556.869,37.852 C558.924,37.852 560.59,36.186 560.59,34.131 C560.59,32.076 558.924,30.41 556.869,30.41 M541,60.657 C535.114,60.657 530.342,55.887 530.342,50 C530.342,44.114 535.114,39.342 541,39.342 C546.887,39.342 551.658,44.114 551.658,50 C551.658,55.887 546.887,60.657 541,60.657 M541,33.886 C532.1,33.886 524.886,41.1 524.886,50 C524.886,58.899 532.1,66.113 541,66.113 C549.9,66.113 557.115,58.899 557.115,50 C557.115,41.1 549.9,33.886 541,33.886 M565.378,62.101 C565.244,65.022 564.756,66.606 564.346,67.663 C563.803,69.06 563.154,70.057 562.106,71.106 C561.058,72.155 560.06,72.803 558.662,73.347 C557.607,73.757 556.021,74.244 553.102,74.378 C549.944,74.521 548.997,74.552 541,74.552 C533.003,74.552 532.056,74.521 528.898,74.378 C525.979,74.244 524.393,73.757 523.338,73.347 C521.94,72.803 520.942,72.155 519.894,71.106 C518.846,70.057 518.197,69.06 517.654,67.663 C517.244,66.606 516.755,65.022 516.623,62.101 C516.479,58.943 516.448,57.996 516.448,50 C516.448,42.003 516.479,41.056 516.623,37.899 C516.755,34.978 517.244,33.391 517.654,32.338 C518.197,30.938 518.846,29.942 519.894,28.894 C520.942,27.846 521.94,27.196 523.338,26.654 C524.393,26.244 525.979,25.756 528.898,25.623 C532.057,25.479 533.004,25.448 541,25.448 C548.997,25.448 549.943,25.479 553.102,25.623 C556.021,25.756 557.607,26.244 558.662,26.654 C560.06,27.196 561.058,27.846 562.106,28.894 C563.154,29.942 563.803,30.938 564.346,32.338 C564.756,33.391 565.244,34.978 565.378,37.899 C565.522,41.056 565.552,42.003 565.552,50 C565.552,57.996 565.522,58.943 565.378,62.101 M570.82,37.631 C570.674,34.438 570.167,32.258 569.425,30.349 C568.659,28.377 567.633,26.702 565.965,25.035 C564.297,23.368 562.623,22.342 560.652,21.575 C558.743,20.834 556.562,20.326 553.369,20.18 C550.169,20.033 549.148,20 541,20 C532.853,20 531.831,20.033 528.631,20.18 C525.438,20.326 523.257,20.834 521.349,21.575 C519.376,22.342 517.703,23.368 516.035,25.035 C514.368,26.702 513.342,28.377 512.574,30.349 C511.834,32.258 511.326,34.438 511.181,37.631 C511.035,40.831 511,41.851 511,50 C511,58.147 511.035,59.17 511.181,62.369 C511.326,65.562 511.834,67.743 512.574,69.651 C513.342,71.625 514.368,73.296 516.035,74.965 C517.703,76.634 519.376,77.658 521.349,78.425 C523.257,79.167 525.438,79.673 528.631,79.82 C531.831,79.965 532.853,80.001 541,80.001 C549.148,80.001 550.169,79.965 553.369,79.82 C556.562,79.673 558.743,79.167 560.652,78.425 C562.623,77.658 564.297,76.634 565.965,74.965 C567.633,73.296 568.659,71.625 569.425,69.651 C570.167,67.743 570.674,65.562 570.82,62.369 C570.966,59.17 571,58.147 571,50 C571,41.851 570.966,40.831 570.82,37.631"></path></g></g></g></svg></div><div style="padding-top: 8px;"> <div style=" color:#3897f0; font-family:Arial,sans-serif; font-size:14px; font-style:normal; font-weight:550; line-height:18px;"> View this post on Instagram</div></div><div style="padding: 12.5% 0;"></div> <div style="display: flex; flex-direction: row; margin-bottom: 14px; align-items: center;"><div> <div style="background-color: #F4F4F4; border-radius: 50%; height: 12.5px; width: 12.5px; transform: translateX(0px) translateY(7px);"></div> <div style="background-color: #F4F4F4; height: 12.5px; transform: rotate(-45deg) translateX(3px) translateY(1px); width: 12.5px; flex-grow: 0; margin-right: 14px; margin-left: 2px;"></div> <div style="background-color: #F4F4F4; border-radius: 50%; height: 12.5px; width: 12.5px; transform: translateX(9px) translateY(-18px);"></div></div><div style="margin-left: 8px;"> <div style=" background-color: #F4F4F4; border-radius: 50%; flex-grow: 0; height: 20px; width: 20px;"></div> <div style=" width: 0; height: 0; border-top: 2px solid transparent; border-left: 6px solid #f4f4f4; border-bottom: 2px solid transparent; transform: translateX(16px) translateY(-4px) rotate(30deg)"></div></div><div style="margin-left: auto;"> <div style=" width: 0px; border-top: 8px solid #F4F4F4; border-right: 8px solid transparent; transform: translateY(16px);"></div> <div style=" background-color: #F4F4F4; flex-grow: 0; height: 12px; width: 16px; transform: translateY(-4px);"></div> <div style=" width: 0; height: 0; border-top: 8px solid #F4F4F4; border-left: 8px solid transparent; transform: translateY(-4px) translateX(8px);"></div></div></div></a> <p style=" margin:8px 0 0 0; padding:0 4px;"> <a href="https://www.instagram.com/p/B1v0avBJJeq/" style=" color:#000; font-family:Arial,sans-serif; font-size:14px; font-style:normal; font-weight:normal; line-height:17px; text-decoration:none; word-wrap:break-word;" target="_blank">I&#39;m on some sweet mountain in the middle of Georgia</a></p> <p style=" color:#c9c8cd; font-family:Arial,sans-serif; font-size:14px; line-height:17px; margin-bottom:0; margin-top:8px; overflow:hidden; padding:8px 0 7px; text-align:center; text-overflow:ellipsis; white-space:nowrap;">A post shared by <a href="https://www.instagram.com/tynancom/" style=" color:#c9c8cd; font-family:Arial,sans-serif; font-size:14px; font-style:normal; font-weight:normal; line-height:17px;" target="_blank"> Tynan</a> (@tynancom) on <time style=" font-family:Arial,sans-serif; font-size:14px; line-height:17px;" datetime="2019-08-29T12:02:28+00:00">Aug 29, 2019 at 5:02am PDT</time></p></div></blockquote> <script async src="//www.instagram.com/embed.js"></script>

All-remote enables unconventional living situations where travel is a core pillar. [Tynan](https://tynan.com), once a digital nomad who now [maintains a residence in Las Vegas, Nevada](https://tynan.com/vegas2/), orchestrated a multi-year strategy to acquire part ownership in a handful of properties around the world.

This affords him multiple home bases around the world for less than the cost of an average property in a major global city. He details this approach, which is replicable by those with a core group of like-minded friends, in a series of blog posts.

1. [My Friends and I Bought an Island](https://tynan.com/island/)
1. [An Island, Vegas, Budapest for A Fraction of the Median House Price](https://tynan.com/empire/)
1. [Building an Island Cabin](https://tynan.com/cabin/)
1. [My Friends and I Bought a Condo in Hawaii](https://tynan.com/hawaii/)
1. [What It's Like Sharing Properties With Friends](https://tynan.com/share/)
1. [How to Love Living in Las Vegas](https://tynan.com/viva/)
1. [How I Decided to Move to Las Vegas In 12 Hours](https://tynan.com/vegas/)

## Parents

{{< youtube "MZc0HazaX_4?start=382" >}}

> I'm definitely spending more time with my children, which they appreciate and I really enjoy. I've always wanted flexibility, but [GitLab] is a place where it's not just lip service. You can live it. - *Melody M., Accounting and External Reporting Manager at GitLab*

Building a career while raising one or more children has its [challenges](https://about.gitlab.com/blog/2019/08/08/remote-kids-part-four). However, all-remote and remote-first organizations provide an [atmopshere]({{< ref "remote-benefits" >}}{{< ref "" >}}) where those who yearn to continue working may do so without the usual family sacrifices linked to daily commutes in colocated environments.

Research has shown that parental presence for [infants, toddlers, and older children](https://www.gsb.stanford.edu/insights/eric-bettinger-why-stay-home-parents-are-good-older-children) has a marked impact on a child's adaptability and aptitude. In high-income families, it's easier for one parent to voluntarily step away from work to care for a child, with another parent supporting the group financially. This creates an outsized negative impact on lower-income families, including those residing in rural areas where well-paying colocated career opportunities are limited.

### Boosting inclusion and diversity

Historically, this has also [disproportionality impacted females](https://www.pewresearch.org/social-trends/2014/04/08/after-decades-of-decline-a-rise-in-stay-at-home-mothers/), though [The Pew Research Center](https://www.pewresearch.org/social-trends/2014/06/05/growing-number-of-dads-home-with-the-kids/) has seen a recent rise in stay-at-home fathers citing "caring for home/family" as their reason.

All-remote solves these quandaries in multiple ways. In families where both parents wish to continue building their career, but desire to parent their child or children at home, [an all-remote work environment affords them that luxury](https://about.gitlab.com/blog/2016/04/08/remote-working-parents). Extrapolated, this contributes to a future generation of adults that have collectively reaped the benefits of increased parental presence, building a better tomorrow for all.

### Improving quality of life

In cases where one parent desires to step away from work in order to focus completely on childrearing, all-remote makes it far easier for the family to relocate to an area with a lower cost-of-living and/or a higher quality of life (development opportunities, medical facilities, schools, etc.), such that one working parent can sustain the group financially.

While this provides clear and quantifiable [benefits](mental-health/) to the family, it also creates an economic boost to the community in which they relocate to.

### Adoption and foster care

All-remote can significantly impact the fabric of a family in the process of adoption or fostering. In such cases, it is often imperative that a family be available in the home in order to finalize the adoption of a child or welcome a foster child into one's home. Beyond all-remote work environments supporting more diverse and inclusive ways to start or build one's family, this creates more opportunity to aid the vulnerable and build a better future for all.

> My wife and I experienced the beautiful and transformative journey of adoption because I worked for an employer that trusted me to excel from a place I needed to be to see it through. I've met countless GitLabbers who have never been happier, more fulfilled, or more engaged with their family and community, because they're empowered to work remotely. - *[Darren M., Head of Remote](https://gitlab.com/dmurph)*

For more, consider reading GitLab's four-part blog series on working remotely with children of all ages.

1. [Parental/maternity leave around the world – how does your country stack up?](https://about.gitlab.com/blog/2019/07/18/how-is-it-being-a-new-mom-working-for-gitlab)
1. [How I balance a baby, a career at GitLab, and cultural expectations of motherhood](https://about.gitlab.com/blog/2019/07/25/balancing-career-and-baby)
1. [How to make your home a space that works with kids](https://about.gitlab.com/blog/2019/08/01/working-remotely-with-children-at-home)
1. [5 Things to keep in mind while working remotely with kids](https://about.gitlab.com/blog/2019/08/08/remote-kids-part-four)

## Community advocates

{{< youtube "BC7Prkm3v3g" >}}

*In the [GitLab Unfiltered](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A) video above, two GitLab colleagues discuss the benefits of living in a lower cost-of-living environment near friends, family, and community.*

It's not uncommon for individuals to feel a strong connection to the region where they were born, or a region which has contributed significantly to their development and worldview. Increasingly, those who feel a sense of connection to a rural area where they were raised are faced with a difficult choice: remain physically located in a community that matters to them despite underwhelming colocated career options, or uproot their life and move to an area which offers superior job opportunities.

### Reversing rural depopulation

[Research from the University of New Hampshire](https://carsey.unh.edu/publication/rural-depopulation) has found that "35% of rural counties in the United States are experiencing protracted and significant population loss."

Speaking to shrinking towns across Europe, [a 2016 report from the European Parliamentary Research Service](https://www.europarl.europa.eu/thinktank/en/document/EPRS_BRI(2016)586632) notes that "younger members of society prefer to migrate to more economically vibrant regions and cities in search of better job prospects as, in most of these territories, professional opportunities remain limited and confined to specific fields (e.g. agriculture and tourism)."

All-remote has the power to pause, and perhaps even reverse, these trends of depopulation, by decoupling location and career opportunity.

### Career portability

In scenarios where a couple desires to live together, one typically forgoes their existing career in order to relocate. With all-remote, careers are portable, enabling these milestone moments in life to be more momentous and less stressful.

In situations where parents desire to be closer to extended family or friends in order to share the responsibility of child rearing with a broader community, all-remote supports such endeavours by default.

## Military spouses and families

Military rotations often require families to uproot and relocate on a regular basis. For military spouses and family members, this creates a significant burden. Being forced to restart one's career and reestablishing a rapport every couple of years is both inefficient and draining.

In many cases, the challenge is so significant that [military spouses simply opt out of the workplace](https://www.moaa.org/Content/Take-Action/On-Watch/Military-Spouse-Unemployment-Rate-at-Least-Four-Times-Higher-Than-National-Average), despite a desire to further their career. This can lead to diminished economic potential for a family, and place increased strain on the military member to sustain the group.

All-remote is an ideal anecdote. Even as relocations occur, an all-remote team member can still contribute their insights and knowledge for the betterment of the company. This can create increased loyalty and lower turnover for all-remote employers, while supporting [hiring](hiring/) pipelines which are [more diverse and inclusive]({{< ref "inclusion#fully-distributed-and-completely-connected" >}}).

At GitLab, several team members are US military spouses.

Emilie S., a data engineer, provides tips for those embracing all-remote roles in a Doist blog post entitled "[6 People Who Prove You Don't Have to Sacrifice Your Career to Work Remotely](https://blog.doist.com/remote-career-advice/)."

> Getting promoted while working remotely really depends on how remote your company is. GitLab is a fully remote organization with over 700 folks around the world, so getting promoted wasn't difficult at all. In previous roles, I was the only person who worked remotely. In those cases, I felt very forgotten by my employer. - *[Emilie S., data engineer at GitLab](https://gitlab.com/emilie)*

Brittany R., Compensation & Benefits Manager, shares [advice for working parents in an all-remote setting](https://about.gitlab.com/blog/2019/08/08/remote-kids-part-four).

> My daughter is my best friend, and I am so blessed to be able to see her grow into her own little person while still accomplishing my professional goals. Seeing her interact ("Hi!" for everyone) with all of my GitLab teammates at Contribute was also very special. – [*Brittany R., Compensation & Benefits Manager*](/handbook/company/team#brittanyr)

## Hobbyists

Maintaining one or more hobbies is far easier in an all-remote setting. Traveling band members, boaters, and scuba divers are able to carry their work with them as they move from place to place.

Those who are drawn to outdoor hobbies, such as canyoneering, photography, rafting, and water sports, are more easily able to live in locales where these activities are feasible. In many cases, communities surrounded by vast expanses of nature are not within commuting distance to well-paying careers in major metropolitan areas. All-remote prevents one from having to sacrifice those elements for the sake of their career.

## Those who value flexibility and autonomy

When considering employment of any kind, it's important to evaluate the offer in totality. Elements such as compensation, safety/security, management style, day-to-day tasks, and benefits are important. For some, the elements of flexibility, autonomy, and ability to live in a place of their choosing takes precedence.

It's wise to rank all of the above in order of importance for you. If you find that being able to live wherever you wish is as important, if not more important, than extracting a certain salary from a role, [all-remote will likely suit you well](https://about.gitlab.com/blog/2015/06/17/highlights-to-my-first-remote-job).

[Eldridge H.](https://gitlab.com/ehenley), a support engineer at GitLab, articulates this below.

> It dawned on me just how liberating remote work with GitLab is. It's a bit difficult to fully explain, but having my [own personal space](workspace/) to work from is amazing.
>
> Having my own personal environment to work in, and being able [to make this space my own](https://about.gitlab.com/blog/2019/09/12/not-everyone-has-a-home-office), really motivates me to do well. The freedom I have to make choices on how I approach things and at the same time, being empowered to communicate with others and adapt their approaches is insanely thought provoking.
>
> Even though [everyone is remote](https://about.gitlab.com/blog/2019/08/15/all-remote-is-for-everyone), it's just like being in an office with everyone. It's so reassuring how motivated, caring, and diligent everyone is. It's insane how there are so many of us, but the whole process from ticket first response to resolution makes it seem like we are all in the same location.
>
> It's so cool to be surrounded by extremely smart and motivated people. To be able to troubleshoot and talk about nerdy things without fear. It's reassuring to know that we all have the same goal in mind. The autonomy to [communicate](https://about.gitlab.com/blog/2019/12/23/six-key-practices-that-improve-communication) with who we need to, in our own personal space, really shows me how valuable we are as a team.
>
> GitLab Support is *hard*. It's challenging and immensely rewarding. It's confusing and scary. However, it is comforting to know that everyone feels this way.
>
> I expected remote work to be [a hurdle to overcome](https://about.gitlab.com/blog/2019/12/30/mastering-the-all-remote-environment) upon joining GitLab. I wondered how having the filter of a webcam would impact people and how they reacted or interacted. These questions were [squashed](https://about.gitlab.com/blog/2019/08/05/tips-for-mastering-video-calls) after my first day. I am extremely happy to have been given this insane opportunity. To make things better for others and at the same time, make things better for myself. We are like an open source community *within* an open source community.

### Employer benefits

[Employers](management/) should recognize that this reality [also benefits them]({{< ref "remote-compensation" >}}). When you hire individuals who place a high degree of value on not having to commute and being able to live and work where they're most comfortable, they will generally hold the company in higher regard, find greater connection with their work, and exhibit greater loyalty. Research by [TINYpulse and Owl Labs](https://web.archive.org/web/20230131134608/https://www.tinypulse.com/blog/the-state-of-remote-work) found that "companies that support remote work have a 25% higher retention rate than companies that don't."

## Work/life harmony

{{< youtube "2yN2vBxo7as" >}}

*In the [GitLab Unfiltered](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A) video above, two GitLab colleagues discuss the benefits of all-remote, including the ability to keep one's health as a top priority while working atypical schedules when necessary.*

The traditional view of work/life balance insinuates that work and life are on opposite ends of a scale, with an individual responsible for ensuring that neither side teeters too far in one direction. This creates a climate where work and life are naturally at odds with one another, ever at war for the hours in your day.

A healthier approach, enabled by all-remote, is work/life *harmony*. When your work and your life are in harmony, there's less friction. You're free to approach your day not as a competition between two factions, but as [one experience with two forces that more naturally give and take as needed](https://about.gitlab.com/blog/2019/06/18/day-in-the-life-remote-worker).

### Added adaptability

All-remote enables greater harmony by being more [forgiving of the unknown](https://about.gitlab.com/blog/2018/05/11/day-in-life-of-remote-sdr), and more accepting of the unexpected. When you're able to live and work in a place of your choosing, there's one less barrier in the way when you need to quickly pivot away from work in order to address a situation at home, with family, etc.

### Creating a more efficient day

It also allows you to weave the common chores of life into one's working day. Tasks such as laundry, collecting mail, exercising, cooking/preparing meals, finding private space for sensitive phone calls (e.g. calls to a financial institution), and even napping can be accomplished during short breaks in the day for someone who is able to work at home.

This creates tremendous [efficiency](/handbook/values/#efficiency), and can easily add one to two hours of leisure time back to a worker's day. If forced to endure a commute and be away from home in a colocated working arrangement, all of the aforesaid tasks would need to be handled after office hours, creating unhealthy competition between work and life.

### Adjustable working hours

An added benefit to being a [manager of one](/handbook/values/#managers-of-one) and working in an environment that supports [asynchronous communication](informal-communication/) is the ability to shift one's working day to accommodate important life moments.

All-remote enables individuals to be available during daylight hours for activities such as volunteering, participating in school functions, and managing tasks that cannot be handled in off-hours (e.g. renewing a driver license, certain banking functions, etc.).

For those with chronic illnesses, where frequent visits to a doctor are required, the flexibility could be the difference between being able to maintain a career, and being forced to either drop out of the workforce or pursue a part-time position.

Employees who are entrusted to manage their days, balancing the demands of life with the requirements of work, are more likely to exist in a harmonious state.

### The spoils of an off-peak life

All-remote also allows individuals to operate their life in an off-peak manner. For instance, those in a conventional colocated corporate setting may have little choice but to plan a family trip to a national park over a holiday in order to minimize time away from the office. This all but guarantees negative financial consequences (paying peak rates for travel and lodging) and an underwhelming experience (attempting to access a popular destination with throngs of others).

When you're able to adjust your working hours and days, it's easier to plan travel on days with fewer businesspeople competing for seats, aiming for Tuesday, Wednesday, and Saturday and avoiding Sunday, Monday, and Friday.

It's easier to save money by enjoying activities when crowds are down, such as taking in a sporting event on a Wednesday afternoon as opposed to a Friday or Saturday evening.

It's easier to create special moments for your family, visiting a desirable restaurant, park, or venue during off-peak hours as opposed to battling crowds.

## Caretakers

All-remote allows individuals to live close to friends and family should they choose. This is of particular significance to individuals who need or desire to act as a caregiver. For instance, those with aging parents may prefer to move nearby and assist with daily needs rather than considering placement in a care facility. This can have major emotional and financial benefits.

As time passes, caregiving needs can change. Families may need to relocate to be closer to one family for a time, then relocate again as a different family member ages. All-remote allows individuals to carry their career with them, relieving caregivers of the burden of [choosing their job over family](/handbook/values/#family-and-friends-first-work-second).

Beyond the personal, communal, and societal benefits from empowering people to provide care to others who are important to them, all-remote employers should expect heightened loyalty and job satisfaction from caregiving team members.

> When we made the decision to relocate to help care for my dad, it was a huge relief to know I didn't have to worry about the move impacting my career. The asynchronous nature of our work also means I have the freedom to shape my days and weeks to prioritize time with my parents. Being part of the GitLab team gives me invaluable flexibility, support, and stability that benefits my entire family during this challenging chapter of life. - *[Betsy B., All-Remote Evangelist](/handbook/company/team#bbula)*

{{% include "includes/is_this_advice_any_good_remote.md" %}}

## Contribute your lessons

GitLab believes that all-remote is the [future of work]({{< ref "remote-vision" >}}), and remote companies have a shared responsibility to show the way for other organizations who are embracing it. If you or your company has an experience that would benefit the greater world, consider creating a [merge request](https://docs.gitlab.com/ee/user/project/merge_requests) and adding a contribution to this page.

---

Return to the main [all-remote page]({{< ref "_index.md" >}}).
