---
title: "All-Remote Pick Your Brain"
twitter_image: "/images/opengraph/all-remote.jpg"
description: All-Remote Pick Your Brain
twitter_image_alt: "GitLab remote team graphic"
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
---

On this page, we're detailing how the public can request a Pick Your Brain interview focused on all-remote.

## Why we offer public interviews on all-remote

{{< youtube "cy6WGuzArgY" >}}

*An example of an All-Remote Pick Your Brain is embedded above, and can also be seen on the [GitLab Unfiltered YouTube channel](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A).*

*Emna G., founder and CEO at Veamly, speaks with GitLab's [Darren M.](https://twitter.com/darrenmurph) on a number of remote work topics: reinforcing culture, encouraging work-life harmony, remote work processes, the importance of process optimization in team productivity, and asynchronous communication.*

GitLab believes that [everyone can contribute]({{< ref "mission#mission" >}}). We also believe that all-remote organizations can fundamentally change the world by offering a different way to work. From [reversing]({{< ref "remote-benefits" >}}) rural depopulation to providing [opportunity](people/) to a more diverse set of people, we want all-remote to become less the exception, and more the [norm](jobs/).

There is no formal guidebook on building an all-remote company, and what works for a new startup may not map precisely to a larger organization.

While we are [proponents]({{< ref "remote-benefits" >}}) of all-remote, we recognize that there are [drawbacks](drawbacks/) as well as individuals who are skeptical about its feasibility. We embrace detractors and those who are inquisitive about making all-remote work. We're interested in hearing about challenges faced by others implementing remote work, so we can ideally find and [document](handbook-first/) solutions.

## Scheduling a Pick Your Brain interview on all-remote

Requests for interviews concerning advice on all-remote may be initiated by completing and submitting [this Google Form](https://docs.google.com/forms/d/1TNdIIDYRJJGzTlbEN2kI_ok6XV9ieHqk2CtnGla4clw/edit). In the request, please include a brief overview of topics you hope to discuss, along with key questions you're prepared to ask.

These 20 to 30 minute interviews with [GitLab's Head of Remote](https://gitlab.com/dmurph) will be recorded though Zoom and shared on the [GitLab Unfiltered](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A) YouTube channel.

We invite guests to surface challenges and examples as points of discussion. Post-interview, and where applicable, we will iterate on relevant handbook pages to document questions and solutions.

GitLab is a very [transparent](/handbook/values/#transparency) company and many things that are normally confidential can be found in our [handbook](/handbook), available online. Please consider looking at the following pages prior to the meeting.

1. [GitLab's All-Remote Culture]({{< ref "_index.md" >}})
    1. [Defining "all-remote"](terminology/)
    1. [Advantages]({{< ref "remote-benefits" >}})
    1. [Disadvantages](drawbacks/)
    1. [Remote work fast boot and emergency plan for teams/leaders](remote-work-emergency-plan/)
    1. [Remote work starter guide for employees](remote-work-starter-guide/)
    1. [Phases of remote adaptation](phases-of-remote-adaptation/)
    1. [Being a great remote manager](being-a-great-remote-manager/)
    1. [How to evaluate a remote job](evaluate/)
    1. [Getting started in a new remote job](getting-started/)
    1. [Scaling a remote company](scaling/)
    1. [People](people/)
    1. [Non-linear workday](non-linear-workday/)
    1. [Building and reinforcing a sustainable culture](building-culture/)
    1. [How to use forcing functions to work remote-first](how-to-work-remote-first/)
    1. [Mental Health: Combating burnout, isolation, and anxiety](mental-health/)
    1. [Jobs](jobs/)
    1. [Management](management/)
    1. [Remote onboarding](onboarding/)
    1. [Values]({{< ref "remote-values" >}})
    1. [Collaboration](collaboration-and-whiteboarding/)
    1. [Hiring](hiring/)
    1. [Compensation]({{< ref "remote-compensation" >}})
    1. [Learning and Development](learning-and-development/)
    1. [Self-service](self-service/)
    1. [Informal Communication](informal-communication/)
    1. [Meetings](meetings/)
    1. [Handbook-first documentation](handbook-first/)
    1. [Asynchronous workflows](asynchronous/)
    1. [In-person interactions](in-person/)
    1. [Parenting](parenting/)
    1. [Stories](stories/)
    1. [Stages of remote work](stages/)
    1. [Hybrid-remote](hybrid-remote/)
    1. [Transitioning/adding remote](transition/)
    1. [What not to do when implementing remote](what-not-to-do/)
    1. [How it works at GitLab](tips/)
1. [History]({{< ref "history" >}})
1. [About](https://about.gitlab.com/company)

Before an interview is scheduled, guests will be asked to send over an agenda with proposed questions and topics.

---
Return to the main [all-remote page]({{< ref "_index.md" >}}).
