---
title: GitLab All-Remote Course (Remote Work Foundation)
description: Get certified in GitLab's remote work foundations
twitter_image: "/images/opengraph/all-remote.jpg"
twitter_image_alt: "GitLab remote team graphic"
twitter_site: "@gitlab"
twitter_creator: "@gitlab"

---

![GitLab all-remote team](/images/all-remote/GitLab-All-Remote-Zoom-Team-Tanuki.jpg)
{style="max-width: 50%;"}

GitLab is a pioneer in the all-remote space. As one of the largest all-remote companies in the world, we have developed a custom course to test and apply knowledge attained throughout the [all-remote]({{< ref "_index.md" >}}) section of the handbook. Emerging leaders must quickly learn and deploy remote-first practices and skills while expanding their knowledge of remote management and overall remote fluency.

Presented at a self-directed pace, the GitLab Remote Work Foundation course is designed to give [new managers](being-a-great-remote-manager/) and [individual contributors](getting-started/) an opportunity to master all-remote business concepts and build key skills in remote subject areas.

Participants will gain a point of view on all-remote through [self-paced learning](self-service/) and reading.

## Course benefits

1. Improve your remote fluency
1. Build organization, team management, and networking skills in a remote setting
1. Understand how GitLab has built and scaled one of the largest all-remote companies
1. Develop a framework for your own organization
1. Gain full transparency into the processes, policies, and procedures GitLab uses to be successful

## Who should complete the course?

This course is ideal for aspiring or new managers, individual contributors, or anyone who is looking to rapidly increase their remote foundational skills and strategic perspective. The course is also ideal for individuals who prefer to complete training at their own pace through reading comprehension and viewing video.

## How to access the course

You can access this course on [Level Up.](https://levelup.gitlab.com/courses/remote-foundations)

## More GitLab courses

![GitLab values illustration](/images/all-remote/gitlab-values-tanukis.jpg)
{style="max-width: 50%;"}

GitLab is actively building new courses and certifications for FY24 and beyond. While we're iterating:

1. Enroll in GitLab's [Remote Team Management course hosted on Coursera](https://www.coursera.org/learn/remote-team-management).
1. Enroll in GitLab's [TeamOps course](https://levelup.gitlab.com/learn/course/teamops). TeamOps is an operating model that helps teams maximize productivity, flexibility, and autonomy by managing decisions, information, and tasks more efficiently.

## Questions

If you have questions, please reach out to our [Learning & Development team](/handbook/people-group/learning-and-development) at `learning@gitlab.com`.

---

Return to the main [all-remote page]({{< ref "_index.md" >}}).
