---
title: "History of all-remote work"
description: History of remote work
twitter_image: "/images/opengraph/all-remote.jpg"
twitter_image_alt: "GitLab remote team graphic"
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
---

On this page, we're curating important historical moments and milestones that have shaped and furthered remote work globally.

### Nikola Tesla

[Nikola Tesla](https://www.britannica.com/biography/Nikola-Tesla) was an engineer and inventor, best known for his contributions and experiments linked to electrical systems.

> "Nikola Tesla in 1926: Wireless will eliminate distance and allow individuals to communicate instantly, as perfectly as though we were face to face.
>
> The whole earth will be converted into a huge brain.
>
> The instrument? A man will be able to carry one in his vest pocket."

Source: [Garry Tan on X (Twitter)](https://twitter.com/garrytan/status/1161083440130691072)

In a 1926 issue of [Collier's](https://web.archive.org/web/20240715235451/https://www.tfcbooks.com/tesla/1926-01-30.htm) magazine, Tesla shared a number of predictions for the future. In forecasting a telephone which could be carried in one's vest pocket, he also alluded to wireless communications that would become the foundation for enabling conditions suitable for an all-remote company to thrive. A portion of the interview is below.

> "When wireless is perfectly applied the whole earth will be converted into a huge brain, which in fact it is, all things being particles of a real and rhythmic whole. We shall be able to communicate with one another instantly, irrespective of distance. Not only this, but through television and telephony we shall see and hear one another as perfectly as though we were face to face, despite intervening distances of thousands of miles; and the instruments through which we shall be able to do his will be amazingly simple compared with our present telephone. A man will be able to carry one in his vest pocket.
>
> We shall be able to witness and hear events—the inauguration of a President, the playing of a world series game, the havoc of an earthquake or the terror of a battle—just as though we were present."

### Sir Arthur Charles Clarke

Arthur C. Clarke was a writer, inventor, and futurist.

{{< youtube "FxYgdX2PxyQ?start=104" >}}

In this [BBC Horizon clip](https://youtu.be/FxYgdX2PxyQ?t=104), which originally aired in 1964, Clarke predicts that in or around the year 2000, working remotely by leveraging advanced telecommunications will be possible. A portion of his interview is transcribed below.

> "I'm thinking of the incredible breakthrough which has been made possible by developments in communications; particularly the transistor, and above all, the communications satellite. These things will make possible a world which we can be in instant contact with each other, wherever we may be, where we can contact our friends anywhere on Earth, even if we don't know their actual, physical location.
>
> It will be possible in that age, perhaps only 50 years from now, for a man to conduct his business from Tahiti or Bali just as well as he could from London. In fact if it proves worthwhile, almost any executive skill, any administrative skill, even any physical skill could be made independent of distance. I am perfectly serious when I suggest that one day we may have brain surgeons in Edinburgh operating on patients in New Zealand."

### Robert Noyce

[Robert Noyce](https://www.intel.com/content/www/us/en/history/museum-robert-noyce.html) is known as "the Mayor of Silicon Valley," or "Statesman of Silicon Valley." He is Intel's co-founder and the co-inventor of the integrated circuit.

{{< youtube "VG2jwWtjyXU" >}}

In [this Tomorrow/Today clip](https://www.youtube.com/watch?v=VG2jwWtjyXU), which originally aired in March of 1981, Noyce posits that as computing power becomes less expensive and more attainable, it will free workers from the burden of traveling to work. His thoughts have proven prescient, and his foresight is particularly impressive given that it predated the modern internet. A portion of his interview is transcribed below.

> "If I look out on the road there, we find most of the cars that are driving by are not carrying goods. They're carrying brains. Trying to take the brain to the place where the work is to be done. With modern communications, and the extension of what we can see in communications, and in computer power — in getting information transferred back and forth — there is no reason why you could not carry on this interview at home, at your office, with me at my office, etcetera.
>
> And I think that as we look farther into the future, we're going to find that people will live where it is conducive to live. Not where it is conducive to work. That the movement of the work to the individual will be much easier, because, as I say, most of our people are doing knowledge work, not work with physical materials.
>
> So, at least that half of the population — today's population — could work wherever they please. Without any limitation that they have to go into a particular point to do their work. As long as the communications and the information is available to them wherever they happen to be.
>
> Wouldn't you rather work in Hawaii?"

---

Return to the main [all-remote page]({{< ref "_index.md" >}}).
