---
title: "How values contribute to an all-remote environment"
description: How values contribute to an all-remote environment
twitter_image: "/images/opengraph/all-remote.jpg"
twitter_image_alt: "GitLab remote team graphic"
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
---

![GitLab values](/images/all-remote/gitlab-values-tanukis.jpg)
{style="max-width: 50%;"}

On this page, we're detailing how a [collection of values at GitLab](/handbook/values/) contribute to an all-remote environment.

## The importance of living your values

GitLab's six values — **[Collaboration](/handbook/values/#collaboration)**, **[Results](/handbook/values/#results)**, **[Efficiency](/handbook/values/#efficiency)**, **[Diversity, Inclusion & Belonging](/handbook/values/#diversity-inclusion)**, **[Iteration](/handbook/values/#iteration)**, and **[Transparency](/handbook/values/#transparency)** — are detailed in the company [Handbook](/handbook).

While all-remote [isn't a value itself](/handbook/values/#what-is-not-a-value), it's something we do in order to practice the aforementioned values.

To be effective, and to impact [culture](building-culture/) in an ongoing, meaningful, sustainable way, values must be more than words written on a page. Values must be [lived]({{< ref "culture#life-at-gitlab" >}}), with each day representing a new opportunity to refamiliarize oneself with said values and strive to implement them in every professional interaction.

It also means lending a hand and speaking up when you believe certain values are not being lived out. Apathy towards company values leads to cultural degradation and [dysfunction](/handbook/values/#five-dysfunctions). Values can only shape an organization if they're respected and lived by each team member.

This is particularly meaningful in an all-remote setting. With [less physical interaction](informal-communication/), there's less buffer to compensate for indifference towards company values. Team morale is closely linked to the overall respect given to values.

Two, an overarching belief in a company's values contributes to less ambiguity in [decision making]({{< ref "leadership#making-decisions" >}}). Respected values serve as a universal north star, aligning team members on how to address any challenge or disagreement, even when there's [debate](/handbook) related to approach or outcome.

## There's as much to unlearn as there is to learn

![GitLab collaboration illustration](/images/all-remote/gitlab-collaboration-illustration.jpg)
{style="max-width: 50%;"}

As aptly stated in [Basecamp's Handbook](https://basecamp.com/handbook), **there's as much to unlearn as there is to learn** when it comes to living out values in a remote role.

It requires companywide trust that team members **have permission to drop prior organizational baggage and truly operate differently**, which may feel like a [trap](/handbook/values/#five-dysfunctions) for those who have been exposed to traditional bureaucratic norms.

Psychological safety is critical, and [leadership]({{< ref "leadership" >}}) should place a high degree of importance on ensuring that this does not erode. GitLab signals the importance of this by listing "[Loss of the values that bind us](https://internal.gitlab.com/handbook/leadership/mitigating-concerns/#loss-of-the-values-that-bind-us)" as one of the concerns on the [Mitigating Concerns page](https://internal.gitlab.com/handbook/leadership/mitigating-concerns/).

## Values should not be a surprise

Sharing company values should be a requirement to [hire](hiring/). Prospective applicants should find a link to a company's values on each job page, enabling them to ingest that information prior to applying.

Open, honest, transparent conversation about company values should be a part of the [interview process](https://about.gitlab.com/blog/2019/03/28/what-its-like-to-interview-at-gitlab). This is true for all companies, all-remote organizations included. It's not fair to candidates to talk about day-to-day tasks without mentioning the values that guide culture and decision making. It's not fair to existing team members of a company to hire people who aren't aware of company values, and may not be inclined to live them on an ongoing basis.

All-remote contributes to fewer surprises by forcing companies to be more [transparent](values#transparency). With fewer visual cues and in-person interactions, all-remote companies rely on each team member to operate while being mindful of company values.

It's critical that values be understood as early as the interview process, reiterated during [onboarding](learning-and-development#how-do-you-onboard-new-team-members), and reinforced daily through [informal communication](informal-communication/) practices, [1:1s](/handbook/leadership/1-1), [meetings](meetings/), and [execution](https://about.gitlab.com/blog/2018/03/15/working-at-gitlab-affects-my-life) of job responsibilities.

## Collaboration

![GitLab collaboration](/images/all-remote/gitlab-collaboration.jpg)
{style="max-width: 50%;"}

[Collaboration](/handbook/values/#collaboration) should not be conflated with [consensus](/handbook/values/#collaboration-is-not-consensus). By establishing collaboration as a value, and defining it clearly, this allows GitLab to function more effectively as an all-remote company. When individuals and teams are [dispersed geographically]({{< ref "inclusion#fully-distributed-and-completely-connected" >}}), it is imperative for collaboration to be active rather than passive.

In a colocated company, collaboration can occur spontaneously by being in a shared space and overhearing something that leads to a broader discussion. All-remote forces our team to not leave collaboration to chance. Rather, we embrace collaboration and rely on the [feedback](/handbook/values/#give-feedback-effectively) of others to make improvements.

Given that it is [impossible to know everything](/handbook/values/#its-impossible-to-know-everything), all-remote offers a level playing field where any team member can approach any other team member to learn, seek input, or ask for advice.

We also want [everyone to contribute](/teamops/equal-contributions/) — a notion with collaboration at its very core. All-remote ensures that decisions are made out in the open, and outcomes are [documented](/handbook/people-group/employment-branding#all-remote-work).

[GitLab Issues](https://docs.gitlab.com/ee/user/project/issues) and [Merge Requests](https://about.gitlab.com/blog/2019/02/07/start-using-git) enable all team members to chime in, with an understanding that the DRI ([directly responsible individual]({{< ref "directly-responsible-individuals" >}})) will make a decision.

## Results

{{< youtube "AtfE4rB0kis?start=157" >}}

In the [Bloomberg Technology interview](https://youtu.be/AtfE4rB0kis) above, GitLab co-founder and CEO Sid Sijbrandij describes how all-remote helps the company practice its values.

Valuing [results](/handbook/values/#results) enables a healthier all-remote atmosphere. By placing a genuine focus on rewarding outputs rather than inputs, all-remote teams have a shared desire to be excellent at their work, generate meaningful outcomes that move a business forward, and disengage with work as early as practical. All-remote teams are not incentivized to stay late for the sake of being seen.

Colocation can make this more difficult to get right. As people congregate in a shared space, humans naturally form opinions on those who they are in contact with more often. It becomes more difficult to separate actual business results with vanity metrics (e.g. being seen in the office late, or appearing in every meeting regardless of need).

All-remote teams are more inclined to remain focused on what actually matters at work, given that they have a constant reminder of [what awaits them outside of work](https://about.gitlab.com/blog/2019/07/09/tips-for-working-from-home-remote-work). There is no clock to watch or inescapable cubicle. When you're empowered to live and work in locations that are fulfilling, all-remote teams will strive for results as a means to spend additional time [embracing](/handbook/people-group/employment-branding#all-remote-work) their [surroundings](people/#travelers), [family](people/#caretakers), [community](people/#community-advocates), [hobbies](people/#hobbyists), etc.

## Efficiency

[Efficiency](/handbook/values/#efficiency) is near and dear to an all-remote team. Part of what [attracts](people/#those-who-value-flexibility-and-autonomy) many team members to an all-remote role is the desire to [create a more efficient day](people/#creating-a-more-efficient-day), starting with the elimination of a commute and the possibility of relocating to a destination with a low cost-of-living.

Because time truly is your own in an all-remote setting (core to being a "[manager of one](/handbook/values/#managers-of-one)"), you're incentivized to be respectful of others' time. It's easier to not mind wasting time in a colocated environment, where you're forced to be in the same building for a set number of hours regardless of whether that is a wise use of your time.

Perhaps the most notable element of efficiency that contributes to a thriving all-remote team is documentation. All companies should strive to [write things down](/handbook/values/#write-things-down) — to document everything from [meeting notes](meetings/) to [quarterly objectives](/handbook/company/strategy) — but this is of particular importance for all-remote organizations. Documenting everything enables an ever stronger, more informed, more trusting, and more connected team, as there's no physical space to debrief in.

Valuing efficiency enables an all-remote team to work well asynchronously. In colocated settings, it's easier to delay an iteration until a future time "when everyone will be in the same room." All-remote teams realize that it's better to document and ask for feedback now, enabling team members to comment and contribute when it's convenient for them.

## Diversity, Inclusion & Belonging

Valuing [diversity, inclusion and belonging](/handbook/values/#diversity-inclusion) helps support an all-remote structure. By hiring globally, rather than asking people to relocate to a specific city, all-remote companies will naturally boast a more geographically diverse team. This enables a broader range of perspectives, ensuring that a business is evaluating its own efforts through more lenses.

All-remote means that you [will not sacrifice career advancement](/handbook/people-group/learning-and-development) by working outside of the office, and it creates a workplace where caregivers, individuals with physical disabilities, etc. are not disadvantaged for being unable to regularly commute into an office.

It also enables those who must relocate frequently for family and personal reasons (e.g. [military spouses](people/#military-spouses-and-families)) to take their career with them, and allows movement and relocation to physical settings that contribute to an individual's health (e.g. moving to a location with an improved air quality index).

## Iteration

{{< youtube "jYYxi_bs1Qg" >}}

In the [GitLab Unfiltered](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A) video above, GitLab co-founder and CEO Sid Sijbrandij verbalizes how he discovered the value of iteration.

Referencing [GitLab's time at Y Combinator]({{< ref "history" >}}), Sid shares that by iterating quickly, you're able to achieve more without working longer hours, thereby creating a more sustainable approach to work.

> There were people in the company, even at the time, who suggested that we should slow down. The response from GitLab has always been, "No, we'll get the most we can get done. The smaller we split things up, the smaller the steps we take, the faster we can go."
>
> We still believe that's true today. We want everyone comfortable with taking small steps without a lot of coordination, without a lot of predicting, and without a lot of explaining. — *GitLab co-founder and CEO Sid Sijbrandij*

An embraced spirit of [iteration](/handbook/values/#iteration) helps maintain an all-remote culture. By encouraging small steps and empowering individuals to propose minimal valuable change, all-remote teams are less burdened by the need for coordination.

Particularly as organizations scale, the friction of coordinating people and teams can lead to [dysfunction](/handbook/values/#five-dysfunctions) and frustration. Coordinating large groups across an array of time zones is impractical, which forces an all-remote team to not lean on the coordination crutch.

This empowers all-remote teams to make small changes and reduce cycle times. This leads to changes which are easier to provide feedback on (and roll back if needed).

Valuing iteration creates a climate where there is a [low level of shame](/handbook/values/#low-level-of-shame). This is extraordinarily difficult to replicate in large colocated settings, where perception is often reality and decisions are swayed by physical appearances. In all-remote companies, this reinforces that [a person is not their work](/handbook/values/#people-are-not-their-work).

{{< youtube "EuGsen3FxXc?start=2209" >}}

In the [GitLab Unfiltered](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A) video above, GitLab co-founder and CEO Sid Sijbrandij verbalizes how iteration applies to non-reversible decisions.

> This idea of iterating works very well when the initiative can be reverted in case it doesn't work.
>
> There's a concept of one-way and two-way doors. If it's a two-way door, you can just return. Don't think long about the decision, just go.
>
> A decision to integrate two applications into one, for example, is a one-way door. That is many months of engineering work. It's a very big deal.
>
> In that case, you try to do more homework, collect more data, get more opinions, and debate it longer. The trick with iteration is to split it up, and very often you can split things up more than you'd initially think.
>
> Challenging people on their thinking [as it relates to iteration] is one of the main things that we can do as management of GitLab. — *GitLab co-founder and CEO Sid Sijbrandij*

## Transparency

[Transparency](/handbook/values/#transparency) is simplest to implement when there is nowhere to hide. In all-remote companies, there's no hallway chatter, no secret elevator talks, and no locked boardrooms. All-remote companies require transparency to thrive. Every company should aspire to transparency, but an all-remote culture receives outsized benefit by achieving it.

At GitLab, we have regular, recorded meetings to discuss progress on each department's metrics and [OKRs](/handbook/company/okrs). This is an excellent example of transparency providing benefit to an all-remote culture. Team members are able to listen and learn when it best suits their schedule, and even those who work in functions outside of that team are able to gain a broader understanding of what matters to the company.

---

Working in an all-remote environment is unique. Be sure to read over the distinct [benefits]({{< ref "remote-benefits" >}}) and [drawbacks](drawbacks/) when considering if such a setting is ideal for you.

---

Return to the main [all-remote page]({{< ref "_index.md" >}}).
