---
title: "Our long-term vision for remote work"
description: GitLab long-term vision for remote work
twitter_image: "/images/opengraph/all-remote.jpg"
twitter_image_alt: "GitLab remote team graphic"
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
---

{{< youtube "_HhlqwJsNyM" >}}

*In the [GitLab Unfiltered](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A) video above, Darren (GitLab) and Anna-Karin (Because Mondays) discuss a number of challenges and solutions related to remote work, transitioning a company to remote, working asynchronously, and defaulting to documentation.*

There are a few important outcomes we expect to see as remote work becomes even more prevalent around the world:

1. The majority of new startups intentionally form as all-remote companies.
1. Cities in developing countries, particularly in Africa, enabled by all-remote jobs at companies founded by local leaders.
1. Most startups in the Bay Area with a significant portion of their workforce working remotely.
1. Increased wages for remote work outside of metro areas.

## Diminishing competitive advantage

![GitLab values illustration](/images/all-remote/gitlab-values-tanukis.jpg)
{style="max-width: 50%;"}

Being able to [recruit]({{< ref "talent-acquisition-framework" >}}) and [hire](hiring/) from most countries in the world is a distinct competitive advantage for GitLab. We will judge our impact and legacy on the world by how we influence the proliferation of all-remote companies.

We are hopeful that our hiring advantage will diminish over time. This will signal that all-remote is shifting toward being commonplace, with prospective employees having a broader selection of companies who offer such a structure.

We believe that a world with more all-remote companies will be a more prosperous one, with opportunity more equally distributed.

## Why is this possible now?

We're nearing [a tipping point with all-remote](https://medium.com/@gcvp/going-distributed-choosing-the-right-remote-friendly-team-model-6a04f833267c). Instead of remote teams having to justify why they do it, it's going to be colocated companies having to justify why they *don't*.

All-remote work wouldn't be possible without the constant evolution of technology, and the tools that enable this type of work are continuously being developed and improved.

We aren't just seeing these impacts for all-remote companies. In fact, in some organizations with large campuses, employees will routinely do video calls instead of spending 10 minutes to go to a different building.

{{< youtube "eIs71f5IEUU?start=468" >}}

*In the above [interview](https://youtu.be/eIs71f5IEUU) with [Stuart Miniman](https://twitter.com/stu) of [theCUBE](https://www.thecube.net), GitLab CEO and co-founder Sid Sijbrandij discusses the merits of operating a 100% remote organization, and why he believes it's the future of work.*

> At GitLab, we're figuring out a lot of things you have to do to be all-remote, and we're trying to share those lessons. That's anything from working [handbook-first]({{< ref "handbook-usage#why-handbook-first" >}}) to [communication styles](effective-communication/) and being intentional about [informal communication](informal-communication/).
>
> If you Google "*GitLab all-remote*", you'll find tons of tips. And those are based not just on what we say, but what we *do*. We have a public [handbook](/handbook) of over 3000 pages with all our internal processes. You can check out what we really do to make this work.
>
> I think it's going to be the future. In the future, companies who make digital products are going to be much more all-remote. And we want to [enable that trend]({{< ref "remote-vision" >}}). We think it's great for [team members](people/).

Here are some of the key factors that make all-remote work possible:

1. Faster internet everywhere - 100Mb/s+ cable, 5GHz Wi-Fi, 4G/LTE/5G cellular
1. Video call software - Google Hangouts, Zoom
1. Mobile technology - Everyone has a computer in their pocket
1. Evolution of speech-to-text conversion software - More accurate and faster than typing
1. Messaging apps - Slack, Mattermost, Zulip
1. Issue trackers - Trello, GitHub issues, GitLab issues
1. Suggestions - GitHub Pull Requests, GitLab Merge Requests
1. Static websites - GitHub Pages, GitLab Pages
1. English proficiency - More people are learning English
1. Increasing traffic congestion in cities
1. More demand for flexibility from new professionals entering the workforce

---

Return to the main [all-remote page]({{< ref "_index.md" >}}).
