---
title: "Remote Work Glossary"
description: Remote Work Glossary
twitter_image: "/images/opengraph/all-remote.jpg"
twitter_image_alt: "GitLab remote team graphic"
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
---

![GitLab all-remote team](/images/all-remote/GitLab-All-Remote-Zoom-Team-Tanuki.jpg)
{style="max-width: 50%"}

While we strive to use [low-context communication](effective-communication/#understanding-low-context-communication) that doesn't require special knowledge to understand, at times we still rely on industry or GitLab-specific terminology for key concepts. Here is a glossary of terms you may encounter in the handbook.

Like the [rest of the handbook](handbook-first/), this is a living document. Please add terms and improve the definitions on this page!

## Asynchronous (async) work/communication

[Asynchronous](asynchronous/) literally means "not at the same time." It's a term widely used in development, indicating a process where information can be sent at any time and processed at any time. In other words, the recipient of a message doesn't have to be present when the message is sent.

Making async communication work requires good processes. Read how we do it [here](asynchronous/).

## Colocated environment

In contrast to remote work, a colocated work environment is one where people inhabit the same space. A traditional office is a colocated environment. "Co-located" literally means "shared location."

## Digital nomad/road warrior

Though they're similar, these two terms denote two different remote-oriented lifestyles. A [digital nomad](people/#nomads) is a person who travels continually, sometimes without a "home base" and often internationally, while still working remotely to maintain an income.

A road warrior is someone who [travels](people/#travelers) often, but may do so specifically as a function of their job. Road warriors may spend the majority of their time away, but usually maintain a home location to return to.

Read more about creative, passionate people who have [adopted a remote lifestyle](people/).

## Forcing function

A forcing function is any task, activity, or event that forces you to take action and produce a result. This term comes from interaction design, where it refers to a constraint that shapes behavior. At GitLab, we use [forcing functions](how-to-work-remote-first/) to empower and encourage team members to use best practices and to reinforce our [values](/handbook/values/).

## Handbook-first

Many organizations have a handbook for team members to access shared information on best practices, policies, and resources. GitLab has a "[handbook-first](handbook-first/)" approach, which means that we treat our company handbook as a living document, constantly updated to remain the most current, single source of truth. GitLab team members are encouraged to [look for answers](self-service/) and information in the handbook first, before asking.

## Non-linear workday

Remote work enables employees to create their own schedules. As a result, remote teams may have individuals working nontraditional hours; taking breaks for family duties, exercise, entertainment, or errands; and having varying schedules from person to person, day to day, or week to week. This allows individuals to be more productive during their preferred working hours, while empowering them to be fulfilled in their personal lives.

 is less predictable than a traditional workday. For a team to function well and permit non-linear workdays, it's important to have strong asynchronous communication practices.

## Remote work

Work that can be done from any location. A "remote job" is a job that doesn't require the worker to go to an office or workplace. Remote work typically requires a reliable, fast Internet connection, appropriate equipment, and most importantly, good processes to empower the employee and organization to be effective without relying on physical proximity.

See the [stages of remote work](stages/): no remote, remote allowed, hybrid remote, and all-remote.

## Single source of truth (SSoT)

This term comes from information systems architecture, but it's applicable in any environment where information is distributed. The concept is simple: there should be one central, accessible place where information is kept, and that source should be kept up to date. At GitLab, [our primary SSoT is the handbook](handbook-first/#creating-a-home-for-a-single-source-of-truth-ssot). We avoid creating new places to store information, so that when things change, only one document needs to be updated.

## Working from home

This term is mostly self-explanatory, but it's important to distinguish from "remote work." Working from home is often a temporary or intermittent thing; some organizations permit team members to work from home one day per week, or to remain home during a crisis such as the 2020 pandemic. While [remote work](terminology/) usually includes working from home, not all remote workers are always at home.

## Low-context communication

At GitLab, we [communicate with low context](effective-communication/#understanding-low-context-communication). We provide as much context as possible to avoid confusion.

## Hybrid-remote

Hybrid-remote (which can be referred to as part-remote), is [different than all-remote](https://about.gitlab.com/blog/2018/10/18/the-case-for-all-remote-companies). In an all-remote company, there is no single headquarters, and each team member is free to live and work in any place they choose. Everyone, including executives, is remote, as there are no offices to come to.

## All-remote

[All-remote](hybrid-remote/#all-remote-upgrade) means that each individual in an organization is empowered to [work and live](people/) where they are most fulfilled. By including the word "all" in "all-remote," it makes clear that every team member is equal. No one, not even the executive team, meets in-person on a daily basis.

## Informal communication

In colocated environments, [informal communication](informal-communication/) is naturally occurring. When individuals are physically located in the same space, there are ample opportunities to chitchat and carry on conversations outside of formal business settings.

Making social connections with coworkers is important to building trust within your organization. One must be **intentional** about designing **informal** communication when it cannot happen more organically in an office.

## Phases of remote

As teams grapple with [transitioning](transition/) from a colocated environment to a remote one, it's common to see differing levels of [adaptability](remote-work-emergency-plan/). For some, the transition is fairly smooth, as a [remote-first infrastructure](how-to-work-remote-first/) was already established. For others, the shift is thoroughly disruptive.

Learn more on the phases of remote adaptation [here](phases-of-remote-adaptation/).

---

Return to the main [all-remote page]({{< ref "_index.md" >}}).
