---
title: "Remote-work resources"
description: Remote-work resources
twitter_image: "/images/opengraph/all-remote.jpg"
twitter_image_alt: "GitLab remote team graphic"
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
---

![GitLab remote collaboration](/images/all-remote/gitlab-collaboration.jpg)
{style="max-width: 50%"}

On this page, we're curating a list of resources for remote professionals, teams, and organizations.

Looking for GitLab's library of guides to working remotely? Those are [**here**](guide/).

## Resources on GitLab's all-remote approach

### Articles

- [Fast Company: Extremely Transparent and Incredibly Remote](https://www.fastcompany.com/90548691/extremely-transparent-and-incredibly-remote-gitlabs-radical-vision-for-the-future-of-work)
- [Protocol: Do you need to hire a 'head of remote?'](https://web.archive.org/web/20230921150229/https://www.protocol.com/workplace/head-of-remote-darren-murph)
- [Washington Post: Hot new job title in a pandemic: 'Head of remote work'](https://www.washingtonpost.com/business/2020/09/09/head-of-remote-work-jobs/)
- [CNBC: Embracing Remote Work: Meet the Oracles](https://www.cnbc.com/video/2020/11/13/embracing-remote-work-meet-the-oracles.html)
- [Harvard Business Review: Remote Work Doesn't Have to Mean All-Day Video Calls](https://hbr.org/2020/09/remote-work-doesnt-have-to-mean-all-day-video-calls/)
- [Crowe Global: Exclusive Q&A With GitLab's Head Of Remote](https://www.crowe.com/global/insights/art-of-smart/exclusive-q-a-with-gitlab-head-of-remote)
- [San Francisco Chronicle: Tech's hottest job title in 2021? 'Head of remote work'](https://www.sfchronicle.com/local/article/Meet-the-people-making-your-work-from-home-16044685.php)
- [Digiday: 'Change without story is a mandate, change with story is purpose': Why marketing and comms execs are being tapped for chief-of-remote roles](https://digiday.com/marketing/change-without-story-is-a-mandate-change-with-story-is-purpose-why-marketing-and-comms-execs-are-being-tapped-for-chief-of-remote-roles/)
- [NPR Marketplace: Why more companies are hiring heads of remote work](https://www.marketplace.org/2021/10/26/why-more-companies-are-hiring-heads-of-remote-work/)
- [Ladders: The dawn of the age of Chief Remote Work Officers](https://www.theladders.com/career-advice/the-dawn-of-the-age-of-chief-remote-work-officers)
- [The Org: The Hottest New Title in Tech: Head of Remote Work](https://theorg.com/insights/the-hottest-new-title-in-tech-head-of-remote-work)
- [Silicon Foundry: Remote Work, Resilient Organizations, and Better Lives](https://sifoundry.medium.com/remote-work-resilient-organizations-and-better-lives-81218b4a4d15)
- [SHRM: Why You Need a Remote-Work Leader](https://www.shrm.org/hr-today/news/hr-news/pages/why-you-need-remote-work-leader.aspx)
- [AdvisorTV: How an abundance mindset leads to thriving remote teams](https://web.archive.org/web/20231003233213/https://advisor.tv/how-an-abundance-mindset-leads-to-thriving-remote-teams/)
- [Fortune: Want to know how to WFH better? There's a class for that](https://fortune.com/2020/09/22/work-from-home-class-coursera-gitlab/)
- [GitLab proves operating an all-remote workforce is possible with thousands of employees](https://siliconangle.com/2020/01/15/are-the-days-of-brick-and-mortar-offices-numbered-gitlab-proves-operating-an-all-remote-workforce-is-possible-with-thousands-of-employees-gitlabcommit/)
- [Digiday: Future of remote work perk: The company – and family – retreat](https://digiday.com/media/future-of-remote-work-perk-the-company-and-family-retreat/)
- [Challenges and Opportunities in the Remote Workplace](https://www.hrexchangenetwork.com/hr-talent-management/columns/challenges-and-opportunities-in-the-remote-workplace)
- [A Q&A with GitLab's head of remote on the Carta blog](https://carta.com/blog/gitlab-interview-covid-19-remote-landscape/)
- [Intentionally remote: Why this isn't just a big experiment](https://web.archive.org/web/20231209204928/https://www.ceridian.com/blog/intentionally-remote-why-this-isn-t-just-a-big-experiment-according-to-gitlab)
- [Remote Work Tips From GitLab's Head of Remote And Guinness World Record Top Publisher](https://www.linkedin.com/pulse/remote-work-tips-from-gitlabs-head-guinness-world-record-mandy-fransz/)
- [San Francisco Chronicle: Remote-work pioneer GitLab has this warning for companies plotting a return to the office](https://www.sfchronicle.com/business/article/GitLab-S-F-s-remote-work-pioneer-has-advice-16044687.php#photo-20764806)
- [How GitLab Cracked The Code Of Remote Working](https://www.tfir.io/how-gitlab-cracked-the-code-of-remote-working-gitlab-contribute-report/)
- [Going Distributed: Choosing the Right Remote-Friendly Team Model](https://medium.com/@gcvp/going-distributed-choosing-the-right-remote-friendly-team-model-6a04f833267c)
- [GitLab's Darren Murph on Building Remote Company Culture](https://unito.io/blog/remote-company-culture-darren-murph-gitlab/)
- [A guide to remote working for startups](https://davidmytton.blog/a-guide-to-remote-working-for-startups/)
- [The office of the future is no office at all, says startup - Wall Street Journal](https://www.wsj.com/articles/the-office-of-the-future-is-no-office-at-all-says-startup-11557912601)
- [All-remote GitLab offers advice and resources for life away from offices](https://siliconangle.com/2020/05/01/all-remote-gitlab-offers-advice-and-resources-as-companies-adjust-to-life-away-from-offices-cubeconversations/)
- [5 Questions with GitLab's Head of Remote on Business Travel](https://web.archive.org/web/20221024063722/https://tripactions.com/blog/q-and-a-darren-murph-head-of-remote-at-gitlab)
- [8 secrets of GitLab's remote work culture](https://www.tfir.io/8-secrets-of-gitlabs-remote-work-success/)
- [How to keep healthy communication habits in remote teams](https://medium.com/gitlab-magazine/how-to-keep-healthy-communication-habits-in-remote-teams-a19eca371952)
- [Remote work demands a supportive company culture](https://www.dice.com/career-advice/remote-work-demands-supportive-company-culture)
- [5 fun strategies companies are using to make remote workers feel included](https://www.linkedin.com/business/talent/blog/talent-engagement/ways-you-can-make-remote-workers-feel-included)
- [Tech's newest unicorn has employees in 45 countries and zero offices](https://qz.com/work/1394496/gitlab-techs-newest-unicorn-has-no-offices/)
- [No need to come to the office: Making remote work at GitLab](https://hackernoon.com/no-need-to-come-to-the-office-making-remote-work-at-gitlab-737c42865210)
- [GitLab and Buffer CEOs talk transparency at scale](https://about.gitlab.com/blog/2017/03/14/buffer-and-gitlab-ceos-talk-transparency/)
- [Why GitLab is remote only](https://web.archive.org/web/20221205115935/https://tapes.scalevp.com/remote-only-gitlab-sytse-sid-sijbrandij/)
- [Tips for Managing a Remote Workforce During Coronavirus — and Beyond](https://business.linkedin.com/talent-solutions/blog/work-flexibility/2020/tips-for-managing-remote-workforce-during-coronavirus)
- [GitLab 2020 Remote Work Report Highlights Key Motivators for Remote Work](https://www.infoq.com/news/2020/03/gitlab-2020-remote-work-report/)
- [More than 4h of video calls each day? Work doesn't have to be this way.](https://medium.com/@sense_change/more-than-4h-of-video-calls-each-day-work-doesnt-have-to-be-this-way-4683be8911e6)

### Blogs from GitLab team members

- [First time all remote: Expect the unexpected](https://dnsmichi.at/2020/03/16/first-time-all-remote-expect-the-unexpected/)
- [First time all remote: My first week at GitLab](https://dnsmichi.at/2020/03/09/first-time-all-remote-my-first-week-at-gitlab/)
- [5 tips for mastering video calls](https://about.gitlab.com/blog/2019/08/05/tips-for-mastering-video-calls/)
- [How to make your home a space that works with kids](https://about.gitlab.com/blog/2019/08/01/working-remotely-with-children-at-home/)
- [How being all remote helps us practice our values at GitLab](https://about.gitlab.com/blog/2019/07/31/pyb-all-remote-mark-frein/)
- [How I balance a baby, a career at GitLab, and cultural expectations of motherhood](https://about.gitlab.com/blog/2019/07/25/balancing-career-and-baby/)
- [How to live your best remote life](https://about.gitlab.com/blog/2019/07/09/tips-for-working-from-home-remote-work/)
- [My remote story: Living for more than the weekend](https://about.gitlab.com/blog/2020/04/30/living-for-more-than-the-weekend/)
- [5 things you might hear when meeting with GitLab's CEO](https://about.gitlab.com/blog/2019/06/28/five-things-you-hear-from-gitlab-ceo/)
- [How I work from anywhere (with good internet)](https://about.gitlab.com/blog/2019/06/25/how-remote-work-at-gitlab-enables-location-independence/)
- [A day in the life of the "average" remote worker](https://about.gitlab.com/blog/2019/06/18/day-in-the-life-remote-worker/)
- [First time all-remote: My new workspace featuring standing desk and curved monitor](https://dnsmichi.at/2020/04/28/first-time-all-remote-my-new-workspace-feat-standing-desk-and-curved-monitor/)
- [We're all in this Together: A Wellness Guide from the CNCF Well-Being Working Group](https://www.cncf.io/blog/2020/04/03/were-all-in-this-together-a-wellness-guide-from-the-cncf-well-being-working-group/)
- [How we turned a dull weekly all-hands into a podcast](https://about.gitlab.com/blog/2019/06/03/how-we-turned-40-person-meeting-into-a-podcast/)
- [The GitLab handbook by the numbers](https://about.gitlab.com/blog/2019/04/24/the-gitlab-handbook-by-numbers/)
- [Remote manifesto by GitLab](https://about.gitlab.com/blog/2015/04/08/the-remote-manifesto/)
- [Working remotely at GitLab: an update](https://about.gitlab.com/blog/2016/03/04/remote-working-gitlab/)
- [The case for all-remote companies](https://about.gitlab.com/blog/2018/10/18/the-case-for-all-remote-companies/)
- [How remote work enables rapid innovation at GitLab](https://about.gitlab.com/blog/2019/02/27/remote-enables-innovation/)
- [Why GitLab pays local rates](https://about.gitlab.com/blog/2019/02/28/why-we-pay-local-rates/)
- [Remote work: 9 tips for eliminating distractions and getting things done](https://about.gitlab.com/blog/2018/05/17/eliminating-distractions-and-getting-things-done/)
- [A day in the life of a remote Sales Development Representative](https://about.gitlab.com/blog/2018/05/11/day-in-life-of-remote-sdr/)
- [The remote future: How tech companies are helping their remote teams connect](https://about.gitlab.com/blog/2018/04/27/remote-future-how-remote-companies-stay-connected/)
- [Remote work, done right](https://about.gitlab.com/blog/2018/03/16/remote-work-done-right/)
- [How working at GitLab has changed my view on work and life](https://about.gitlab.com/blog/2018/03/15/working-at-gitlab-affects-my-life/)
- [GitLab team-members share how to recognize burnout and how to prevent it](https://about.gitlab.com/blog/2018/03/08/preventing-burnout/)
- [How we stay connected as a remote company](https://about.gitlab.com/blog/2016/12/05/how-we-stay-connected-as-a-remote-company/)
- [How to become the best distributed software development team](https://about.gitlab.com/blog/2017/09/15/pick-your-brain-interview-kwan-lee/)
- [How to keep remote (volunteer) teams engaged](https://about.gitlab.com/blog/2016/12/21/how-to-keep-remote-teams-engaged/)
- [3 things I learned in my first month at GitLab](https://about.gitlab.com/blog/2016/11/02/three-things-i-learned-in-my-first-month-at-gitlab/)
- [Working at GitLab: 30 days later](https://about.gitlab.com/blog/2016/11/03/working-at-gitlab-30-days-later/)
- [What it's like to be a parent working at GitLab](https://about.gitlab.com/blog/2016/04/08/remote-working-parents/)
- [To work remotely you need: Wifi and good communication habits](https://about.gitlab.com/blog/2016/03/23/remote-communication/)
- [Highlights to my first remote job](https://about.gitlab.com/blog/2015/06/17/highlights-to-my-first-remote-job/)
- [I'm leaving GitLab to help everyone work remotely](https://medium.com/@jobv/im-leaving-gitlab-to-help-everyone-work-remotely-1f6828ec45d5)

### Videos, podcasts, interviews, presentations

#### Videos

- [theCUBE: How GitLab operates as an all-remote company with Darren Murph, Head of Remote](https://youtu.be/IU2nTj6NSlQ)
- [First time all-remote: Best practices from and with GitLab (presented by Michael Friedrich)](https://www.youtube.com/watch?v=kCgvhgwM8To) ([Slides](https://docs.google.com/presentation/d/1bh-M-B1DUqstQfCDTnUr7T5YbBKOHfOH-8jfPCSJDDQ/edit?usp=sharing))
- [Remote Work playlist on GitLab Unfiltered](https://www.youtube.com/playlist?list=PL05JrBw4t0Kq7QUX-Ux5fOunQotqJbECc)
- [Distributed Valley 2020: Darren Murph, Head of Remote at GitLab](https://youtu.be/SeTTehyZsFc)
- [Darren Murph - Remote Team Essentials: How to build process and documentation into your culture](https://youtu.be/Gl7gmVv9fyc)
- [YouTube: TFiR Interview - He Built A $1 Billion Open Source Company With No Headquarters: Sid Sijbrandij of GitLab](https://www.youtube.com/watch?v=ha4aMKl3MRA)
- [Skills For Mars — Darren Murph On Transparency, Values & Leadership when All-Remote](https://youtu.be/g78mzVYjDY0)
- [How to build and manage a distributed team - GitLab and Arch Systems](https://youtu.be/tSp5se9BudA)
- [Building a distributed company](https://web.archive.org/web/20230929130804/https://outklip.com/blog/gitlab-building-a-distributed-company/)
- [Using video for effective collaboration for remote teams](https://youtu.be/6mZqzK_40FE)
- [GitLab and Turtle's CEOs talk about running remote companies](https://youtu.be/-23DGyIMorE)
- [Opening keynote from GitLab Contribute, 2019](https://youtu.be/kDfHy7cv96M?t=735)
- [This Week In Tech: GitLab](https://twit.tv/shows/floss-weekly/episodes/473)
- [YouTube: All remote work with Mark Frein (InVision) & Sid Sijbrandij (GitLab)](https://www.youtube.com/watch?v=IFBj9KQSQXA)
- [YouTube: Sid presents Remote Work Best Practices at Mesosphere](https://www.youtube.com/watch?v=UFhHetf7kHM)
- [Remote Without Warning Webinar: How to adapt and thrive as a suddenly-remote company](https://youtu.be/n4ZZaE-XCVs?t=5)
- [Preparing Your Team for Remote Work Webinar](https://youtu.be/9tYEKAFgQQw?t=5)
- [The End of the Office and Scaling Remote Teams with Savannah Peterson & GitLab CEO Sijbrandij](https://youtu.be/GD9M33_z-dM)
- [Top tips for employees and companies forced into work from home and remote work](https://youtu.be/R0AB8ZvnEIU)
- [theCUBE: How GitLab has scaled as an all-remote company with Sid Sijbrandij, CEO and co-founder](https://youtu.be/eIs71f5IEUU)
- [Modern Work: Finding Structure in an Officeless World](https://youtu.be/aqCFTpvE4Q0?t=151)

#### Podcasts

- [A Whole New Level — Building & Scaling Remote Teams with Sam Corcos and Darren Murph](https://www.levelshealth.com/podcasts/building-scaling-remote-teams-sam-corcos-darren-murph)
- [The Future of Work Project — Darren Murph // Unlocking the Super Powers of Remote, and its Positive Effects on Families](https://creators.spotify.com/pod/show/fowproject/episodes/23-Darren-Murph---Unlocking-the-Super-Powers-of-Remote--and-its-Positive-Effects-on-Families-e115ni7)
- [Workology - Building the Future of Work Remotely With Darren Murph](https://workology.com/episode-348-building-the-future-of-work-remotely-with-darren-murph-head-of-remote-at-gitlab/)
- [HR Leaders Podcast — How GitLab Creates and Sustains Scalable Remote Practices](https://hrleaders.co/podcast/darren-murph-how-gitlab-creates-and-sustains-scalable-remote-practices)
- [Grafana Labs - Remote work done right: How remote-first companies put people first](https://grafana.com/blog/2022/06/29/remote-work-done-right-how-remote-first-companies-put-people-first/)
- [Collaboration Superpowers - Live The Remote Dream](https://www.collaborationsuperpowers.com/285-live-the-remote-dream/)
- [The Modern People Leader - How culture is built outside of company walls](https://open.spotify.com/episode/7mt4eVPUHXABMhXJlsDAtb?si=6167c2c38a8140ec&nd=1)
- [The Dan Smolen Experience — Unleash the Remote Workforce](https://dansmolen.blubrry.net/2021/01/08/unleash-the-remote-workforce/)
- [How I Work Podcast — GitLab's Head of Remote, Darren Murph, on how to create corporate culture when no one works from the office](https://podcasts.apple.com/us/podcast/gitlabs-head-of-remote-darren-murph-on-how-to-create/id1415266924?i=1000492285962)
- [SafetyWing Podcast — How to transition to remote](https://buildingremotely.com/episode/how-to-transition-to-remote/)
- [Changelog Podcast — Creating GitLab's remote playbook](https://changelog.com/podcast/397)
- [The Recruitment Network Podcast — The Future of Remote Working with Darren Murph](https://open.spotify.com/show/5Z3HMCHlBOLuYUWvczJjxj?si=giLfsfd-TZOB1hGkFiNeTw)
- [Wise Up with Cristina Podcast - Darren Murph, Remote Rebel, on Opportunities Beyond Work](https://cristinadigiacomo.com/wise-up-podcast/wise-up-episode14-darrenmurph)
- [Yac Podcast: The Man, The Myth, The Head of Remote Legend](https://www.yac.com/podcasts/remote-voices-s01e07)
- [Working Without Borders: Darren Murph on leading a remote culture at GitLab](https://medium.com/getonbrd/working-without-borders-s01e02-darren-murph-head-of-remote-at-gitlab-5567d7c634fd)
- [Customer Centric Podcast — Darren Murph: home is where the office is](https://open.spotify.com/episode/1puxe8INM5o9YwUOYNXYTn?si=6S9kDMPXTrafLbVtk6XSew)
- [OpenFin MVP Podcast — All-remote before it was mandatory with GitLab's Brendan O'Leary](https://openfin-mvp.simplecast.com/episodes/all-remote-before-it-was-mandatory-with-gitlabs-brendan-oleary)
- [Bright & Early Podcast — Darren Murph: Remote Work at GitLab](https://www.youtube.com/watch?v=Vg0R9r4DcXw)
- [Outside The Valley — Darren Murph of GitLab: Why Companies Should Go All-Remote](https://arc.dev/blog/podcast-ep23-gitlab-darren-murph-96ggw37q6t)
- [Accelerating Support Podcast: Darren Murph, Head of Remote at GitLab](https://soundcloud.com/acceleratingsupport/accelerating-support-export-v1/s-JylGQhxc7il)
- [The Changelog: GitLab's Master Plan](https://changelog.com/podcast/220)
- [The Twenty Minute VC: A podcast interview with GitLab founder Sid Sijbrandij](https://www.thetwentyminutevc.com/sidsijbrandij)
- [Coder Radio interview with Sid on 100% remote work and the GitLab model](https://coder.show/313?t=1099)

#### Articles

- [Lessons learned from GitLab about remote work - Team Topologies interview with Darren Murph](https://teamtopologies.com/news-blogs-newsletters/lessons-learned-from-gitlab-about-remote-work-interview-with-darren-murph)
- [LinkedIn Talent on Tap: Tips for a productive all-remote workforce](https://youtu.be/u0dRWDmYSvg)
- [GitLab's secret to managing 160 employees in 160 locations - Interview by Y Combinator](https://www.ycombinator.com/blog/gitlab-distributed-startup/)
- [GitLab's remote-only presentation, 2017](https://docs.google.com/presentation/d/1JHHYQvAhsudGz8QB8nqp5ScJjqyhPD3ehCoKOlZb7VE/edit#slide=id.g1d6fee80ee_0_348)
- [Software Engineering Daily: GitLab with Sid Sijbrandij](https://softwareengineeringdaily.com/2019/03/15/gitlab-with-sid-sijbrandij/)
- [Outklip Blog: Using Video for Remote Work: Q&A with GitLab CEO](https://web.archive.org/web/20230929141545/https://outklip.com/blog/using-video-for-remote-work/)
- [Arc Blog: Work Like Automattic, Buffer & GitLab - Remote Operations at Top Distributed Companies](https://arc.dev/blog/remote-operations-automattic-buffer-gitlab-9rihtsu120)

### Threads and conversations

- [HackerNews thread about all-remote page](https://news.ycombinator.com/item?id=19785262)
- [HackerNews thread about why more companies aren't remote](https://news.ycombinator.com/item?id=20104173)

## Resources on remote work

![GitLab values](/images/all-remote/gitlab-values-tanukis.jpg)
{style="max-width: 50%"}

### Articles

- [How to transition to remote work](https://askalmanac.com/articles/12774/how-to-transition-to-remote-work)
- [Amplify Accelerator Open Source Learning Lab](https://amplifytalent.com/amplify-academy-learning-library)
- [Why remote work leads to a stronger company culture](https://www.inc.com/brian-de-haaff/why-remote-work-leads-to-a-stronger-company-culture.html)
- [How companies benefit when employees work remotely](https://hbswk.hbs.edu/item/how-companies-benefit-when-employees-work-remotely)
- [Why working from home is a "future-looking technology"](https://www.gsb.stanford.edu/insights/why-working-home-future-looking-technology)
- [Why does writing matter in remote work?](https://www.timcasasola.com/blog/writing)
- [Krisp — Working From Home: A Beginner's Guide](https://krisp.ai/blog/work-from-home-guide/)
- [Slack Blog — How Toptal and GitLab build community and work-life balance in Slack](https://slack.com/blog/collaboration/toptal-gitlab-community-balance-slack)
- [The firm with 900 staff and no office](https://www.bbc.com/news/business-48879976)
- [The distributed workplace](https://medium.com/@markfrein70/the-distributed-workplace-15ef447fa926)
- [Why office hours are obsolete](https://www.forbes.com/sites/soulaimagourani/2019/06/25/why-office-hours-are-obsolete/#715b7e007585)
- [It's time to factor remote work into our urban planning](https://qz.com/work/1641664/remote-workers-are-the-solution-to-urban-crowding/)
- [23 key remote work and telecommuting statistics for 2019](https://resources.owllabs.com/blog/remote-work-statistics)
- [How remote work can reduce stress and revitalize your mindset](https://community.thriveglobal.com/how-remote-work-can-reduce-stress-and-revitalize-your-mindset//)
- [The 1 trait all remote workers need -- here is how to cultivate it](https://www.inc.com/brian-de-haaff/the-one-trait-all-remote-workers-need-here-is-how-to-cultivate-it.html)
- [The Financial Benefits of Working Remotely (for Companies and Employees)](https://www.creativelive.com/blog/financial-benefits-of-working-remotely/)
- [6 ways in which offering flexible working makes you a great employer](https://www.business2community.com/human-resources/6-ways-in-which-offering-flexible-working-makes-you-a-great-employer-02209279)
- [5 reasons remote teams are more engaged than office workers](https://www.business.com/articles/remote-workers-more-engaged/)
- [Remote work becoming "new normal"](https://finance.yahoo.com/news/remote-working-becoming-normal-190509351.html)
- [Here's why remote workers are more productive than in-house teams](https://www.forbes.com/sites/abdullahimuhammed/2019/05/21/heres-why-remote-workers-are-more-productive-than-in-house-teams/)
- [The benefits of and questions facing remote and distributed startups](https://tomtunguz.com/remote-and-fully-distributed/)
- [The end of an era for easyDNS](https://easydns.com/blog/2019/05/23/the-end-of-an-era-for-easydns/)
- [Engagement around the world, charterd - HBR](https://hbr.org/2019/05/engagement-around-the-world-charted)
- [Helping Creativity Happen from a Distance](https://distributed.blog/2019/07/25/helping-creativity-happen-from-a-distance/)
- [How to build a remote team](https://decrypt.co/7052/how-to-build-a-remote-team)
- [Remote work doesn't scale... or does it?](https://medium.com/@getadam/remote-work-doesnt-scale-or-does-it-4a72ce2bb1f3)
- [Case Closed: Work-From-Home is the World's Smartest Management Strategy](https://www.inc.com/geoffrey-james/case-closed-work-from-home-is-worlds-smartest-management-strategy.html)
- [A Long Commute Could Be the Last Thing Your Marriage Needs](https://www.forbes.com/sites/markeghrari/2016/01/21/a-long-commute-could-be-the-last-thing-your-marriage-needs/#5baf10f04245)
- [6 People Who Prove You Don't Have to Sacrifice Your Career to Work Remotely](https://blog.doist.com/remote-career-advice/)
- [After Growing to 50 People, We're Ditching the Office Completely](https://open.buffer.com/no-office/)
- [On-Premise Tribes in Shiny Caves](https://medium.com/understanding-as-a-service-uaas/on-premise-people-and-shiny-caves-remote-as-a-service-97cff86382b6)
- [The benefits - and pitfalls - of working in isolation](https://theconversation.com/the-benefits-and-pitfalls-of-working-in-isolation-105350)
- [It's not just the isolation. Working from home has surprising downsides](https://theconversation.com/its-not-just-the-isolation-working-from-home-has-surprising-downsides-107140)
- [The Day They Invented Offices](https://shift.infinite.red/a-hypothetical-conversation-with-a-real-estate-developer-in-a-world-without-offices-53cd7be0942#.pufgl7l3a)
- [That remote work think piece has some glaring omissions (a rant)](https://cate.blog/2016/04/07/that-remote-work-think-piece-has-some-glaring-omissions/)
- [Tweets about the impact by Amir Salihefendic](https://twitter.com/amix3k/status/881251640795439104)
- [Martin Fowler on remote vs. co-located](https://martinfowler.com/articles/remote-or-co-located.html)
- [Top 5 Reasons Why Companies Adopt Remote Work](https://web.archive.org/web/20210422134451/https://www.remoter.com/top-5-reasons-why-companies-adopt-remote-work)
- [Remote Work 1-2-3: First Three Steps to Going Remote](https://web.archive.org/web/20200918125806/https://www.remoter.com/remote-work-1-2-3-first-three-steps-to-going-remote)
- [Work is Work: In which returns diminish](https://codahale.com/work-is-work/)

### Best practices

- [Communication Debt - How and Why to Keep Your Team Out of It](https://statushero.com/blog/team-communication-debt/)
- [Hiring top talent from generation Z: 14 essential recruitment tips](https://www.forbes.com/sites/forbeshumanresourcescouncil/2019/08/05/hiring-top-talent-from-generation-z-14-essential-recruitment-tips/)
- [Remote Ideation: Synchronous vs. Asynchronous](https://www.nngroup.com/articles/synchronous-asynchronous-ideation/)
- [How to create genuine camaraderie among remote workers](https://community.thriveglobal.com/how-to-create-genuine-camaraderie-among-remote-workers/)
- [How remote businesses can attract high-quality job candidates](https://www.business.com/articles/remote-business-quality-hires/)
- [Six lessons we learned while scaling a distributed startup](https://www.forbes.com/sites/forbestechcouncil/2019/07/30/six-lessons-we-learned-while-scaling-a-distributed-startup/)
- [How to inspire and motivate your team that works from home](https://www.forbes.com/sites/dedehenley/2019/07/27/how-to-inspire-and-motivate-your-team-that-works-from-home/)
- [How to separate home-life from working-from-home life](https://www.searchenginejournal.com/home-life-working-from-home/317995/#close)
- [How these 5 secrets help remote workers thrive](https://community.thriveglobal.com/how-these-5-secrets-help-remote-workers-thrive/)
- [5 ways to cultivate a healthy mindset in a remote team](https://community.thriveglobal.com/5-ways-to-cultivate-a-healthy-mindset-in-a-remote-team/)
- [Remote work is here to stay: Here's how to avoid three common compliance issues](https://www.forbes.com/sites/forbeshumanresourcescouncil/2019/07/12/remote-work-is-here-to-stay-heres-how-to-avoid-three-common-compliance-issues/)
- [How to lead those working remotely](https://community.thriveglobal.com/how-to-lead-those-working-remotely/)
- [How to build a successful remote business](https://www.forbes.com/councils/forbesbusinessdevelopmentcouncil/2019/07/11/how-to-build-a-successful-remote-business/)
- [How to stay productive when you're working remotely](https://community.thriveglobal.com/working-remotely-from-home-stay-productive-tips/)
- [10 tips for improving your remote conversations](https://www.smartbrief.com/original/2019/07/10-tips-improving-your-remote-conversations)
- [450 remote workers reveal how to boost productivity when working from home](https://community.thriveglobal.com/450-remote-workers-reveal-how-to-boost-productivity-when-working-from-home/)
- [Managing Remote Employees: Best Practices from Doist's Head of Marketing](https://blog.doist.com/best-practices-managing-remote-employees/)
- [The future of work is distributed. Here's how your company can strategize.](https://www.forbes.com/sites/falonfatemi/2019/06/28/the-future-of-work-is-distributed-heres-how-your-company-can-strategize)
- [Leading remotely - What every manager should know](https://community.thriveglobal.com/leading-remotely-what-every-manager-should-know/)
- [Why engaging remote workers is good people business and how to do it](https://www.forbes.com/sites/forbeshumanresourcescouncil/2019/06/17/why-engaging-remote-workers-is-good-people-business-and-how-to-do-it/)
- [How to Pitch Your Boss on a Remote Working Arrangement](https://www.creativelive.com/blog/how-to-pitch-boss-on-remote-working/)
- [4 golden rules for living the laptop lifestyle](https://www.forbes.com/sites/stephanieburns/2019/06/14/4-golden-rules-for-living-the-laptop-lifestyle/)
- [5 ways to make your remote team more effective](https://www.forbes.com/sites/serenitygibbons/2019/06/13/5-ways-to-make-your-remote-team-more-effective/)
- [How to make remote work, work](https://www.inc.com/shama-hyder/how-to-make-remote-work-work.html)
- [5 ways to stay motivated when you work remote](https://www.forbes.com/sites/stephanieburns/2019/05/30/5-ways-to-stay-motivated-when-you-work-remote/)
- [Five mistakes that destroy the efficiency of your remote workers](https://www.forbes.com/councils/forbescoachescouncil/2019/05/29/five-mistakes-that-destroy-the-efficiency-of-your-remote-workers/)
- [These Are the 8 Best macOS Apps for Working Remotely](https://www.inc.com/jason-aten/these-are-8-best-macos-apps-for-working-remotely.html)
- [Remote working tips by Groove](https://www.groovehq.com/blog/remote-work-tips)
- [Guidelines for Effective Collaboration](https://github.com/ride/collaboration-guides)
- [The Ultimate Guide to Remote Standups](https://blog.idonethis.com/ultimate-guide-remote-standups/)
- [How Do You Manage Global Virtual Teams?](https://en.wikibooks.org/wiki/Managing_Groups_and_Teams/How_Do_You_Manage_Global_Virtual_Teams%3F)
- [Guide to leading and managing distributed teams](https://schoolofherring.com/2015/09/02/guide-to-leading-and-managing-distributed-teams/)
- [Getting Virtual Teams Right](https://hbr.org/2014/12/getting-virtual-teams-right)
- [Introverts at Work: Designing Spaces for People Who Hate Open-Plan Offices](https://www.bloomberg.com/news/articles/2014-06-16/open-plan-offices-for-people-who-hate-open-plan-offices)
- [How to get the most out of employees who work from home](https://www.entrepreneur.com/article/228752)
- [How to manage employees who work from home](https://money.cnn.com/2013/08/27/smallbusiness/employees-work-from-home/index.html)
- [How to manage a distributed development team](https://www.cio.com/article/2399319/how-to-manage-a-distributed-development-team.html)
- [Managing Remote Developer Teams: How Buffer Set the Gold Standard - Interview with Katie Womersley](https://codingsans.com/blog/managing-remote-developer-teams)
- [What Is the Best Compensation Model?](https://web.archive.org/web/20200918143849/https://www.remoter.com/what-is-the-best-compensation-model)

### Surveys and data

- [The Remote Work Report by GitLab: The Future of Work is Remote](remote-work-report/)
- [Sike Insights — EQ & Remote Managers Report](https://bit.ly/3iX519B)
- [Slack — A new guide for adapting to a radically different workplace](https://slack.com/blog/transformation/navigating-the-disruption-of-work)
- [Gartner CFO Survey Reveals 74% Intend to Shift Some Employees to Remote Work Permanently](https://www.gartner.com/en/newsroom/press-releases/2020-04-03-gartner-cfo-surey-reveals-74-percent-of-organizations-to-shift-some-employees-to-remote-work-permanently2)
- [Headlamp — The Manager's Guide to Engaging Remote Workers](https://web.archive.org/web/20220629215522/https://headlamp.team/engaging-remote-employees-managers-guide/)
- [IBM Study: COVID-19 Is Significantly Altering U.S. Consumer Behavior and Plans Post-Crisis](https://newsroom.ibm.com/2020-05-01-IBM-Study-COVID-19-Is-Significantly-Altering-U-S-Consumer-Behavior-and-Plans-Post-Crisis)
- [Why remote work has grown by 159% since 2005](https://www.techrepublic.com/article/why-remote-work-has-grown-by-159-since-2005/)
- [Greenhouse: Distributed hiring and remote working – The essential guide](https://www.greenhouse.io/guidance/distributed-hiring-and-remote-working)
- [Google spent 2 years researching what makes a great remote team](https://www.inc.com/justin-bariso/google-spent-2-years-researching-what-makes-a-great-remote-team-it-came-up-with-these-3-things.html)
- [State of Remote Work 2021 by Buffer](https://buffer.com/2021-state-of-remote-work)
- [The IWG Global Workspace Survey - Welcome to Generation Flex](https://assets.regus.com/pdfs/iwg-workplace-survey/iwg-workplace-survey-2019.pdf)
- [5 Important Takeaways From Google's Two-Year Study Of Remote Work](https://www.forbes.com/sites/abdullahimuhammed/2019/05/18/5-important-takeaways-from-googles-two-year-study-of-remote-work/#56e705797439)
- [Study: Adding 20 Minutes to Your Commute Makes You as Miserable as Getting a 19 Percent Pay Cut](https://www.inc.com/business-insider/study-reveals-commute-time-impacts-job-satisfaction.html)
- [Remote Work 2020 Survey by Remote.Tools](https://remotework2020.remote.tools/)
- [Is Working Remotely Effective? Gallup Research Says Yes](https://www.gallup.com/workplace/283985/working-remotely-effective-gallup-research-says-yes.aspx)

### Videos, interviews, presentations

- [LinkedIn's 2019 Global Talent Trends report](https://business.linkedin.com/content/dam/me/business/en-us/talent-solutions/resources/pdfs/global-talent-trends-2019.pdf)
- [Things I Wish I Knew Before Going Remote by Marla Brizel Zeschin](https://www.youtube.com/watch?v=nUQ41-vBtdg)
- [Bond Internet Trends 2019: Remote work = creating internet-enabled work opportunities + efficiencies](https://www.bondcap.com/report/it19/#view/228)
- [Work Remotely: Thrive in a Job From Home](https://www.creativelive.com/class/work-remotely-thrive-in-a-job-from-home-with-darren-murph)
- [TechSAV's Brown Bag Series: Working & Managing Remote](https://www.youtube.com/watch?v=IORw1YvSkmw)

### Threads and conversations

- [We Work Remotely Slack community](https://bit.ly/wwr_slack)
- [#remotechat - remote-focused Twitter chat every Wednesday](https://twitter.com/search?q=%23remotechat&src=typeahead_click&f=live)
- [Tweet thread about downsides of remote work](https://twitter.com/rakyll/status/1143271423722455040?s=09)
- [HackerNews thread about remote work literature](https://news.ycombinator.com/item?id=20884974)

### Tools that enable remote teams

Here's [a list](/handbook/tools-and-tips) of the tools we use internally at GitLab, with details on how we use them.

[Elaine Z.](https://twitter.com/ezelby), investor at [SignalFire](https://twitter.com/SignalFire), compiled an [excellent summary of tools](https://medium.com/@ezelby/remote-work-market-map-58591966b0c2) for remote teams to consider. Others are shared below.

#### Communication

- [Slack](https://slack.com) - chat
- [Zoom](https://zoom.com) - video calls
- [Google Workspace](https://workspace.google.com/)
- [Yac](https://www.yac.com/) - asynchronous voice collaboration for remote team
- [8x8](https://www.8x8.com/) - unified communications (video, VoIP, etc.)

#### Design and collaboration

- [MURAL](https://mural.co/) - visual design collaboration
- [Figma](https://www.figma.com/) - design collaboration
- [CoScreen](https://www.coscreen.co/) - remote screen sharing

#### Handbook and company-wide documentation

- [Almanac](https://almanac.io/)

#### Empathy, culture, and team-building

- [Sike Insights Kona](https://www.heykona.com/) - team personality, mood, and morale insights

#### Management

- [GitLab Issues](https://docs.gitlab.com/ee/user/project/issues/)
- [GitLab Pages](https://about.gitlab.com/stages-devops-lifecycle/pages/)
- [Qatalog](https://qatalog.com/) - work hub syncing multiple tools and services
- [Range](https://www.range.co/) - team collaboration and management
- [There](https://there.pm/) - quick time zone reference for your global team
- [Buildstack](https://buildstack.com/) - an operating system and unified inbox for teams

#### Meetings

- [Remeet](https://www.remeet.com/)
- [Friday](https://www.friday.app/)

#### Events, meetups, gatherings

- [Hopin](https://hopin.com/) - all-in-one live online events platform
- [Remo](https://remo.co/) - virtual workspace tool

### Co-working, communal workspaces, and third spaces

Remote work [enables](phases-of-remote-adaptation/) individuals and teams to create and contribute in places other than a home or conventional office. Many are familiar with [WeWork](https://www.wework.com/) and [Regus](https://www.regus.com/en-us), where a desk or office is available to rent. Post-COVID, leaders are recognizing the need to support the *third space* — a workplace that isn't one's home, and isn't an office.

Some organizations (like GitLab) provide stipends or [reimbursement](/handbook/finance/expenses/#coworking-or-external-office--space) as a matter of inclusivity and productivity. Not every home is amenable to remote work, and not everyone is comfortable working in a traditional office. These communal workspaces provide the energy and camaraderie of working in-person as a group, with the flexibility of being near one's home (and in turn, avoiding a commute).

- [Codi](https://www.codi.com/) (residential coworking spaces in neighborhoods that matter to you)
- [Switchyards](https://switchyards.com/) (neighborhood work clubs)

### Organizations for traveling remote work

- [Remote Year](https://www.remoteyear.com/)
- [Wifi Tribe](https://wifitribe.co/)
- [Hacker Paradise](https://www.hackerparadise.org/)
- [Co-work Paradise](https://www.coworkparadise.com/)
- [Project Getaway](https://www.projectgetaway.com/)
- [B-Digital Nomad](https://www.b-digitalnomad.com/)

### Guides for remote work

- [The Holloway Guide to Remote Work](https://www.holloway.com/g/remote-work)
- [Google's Distributed Work Playbook](https://services.google.com/fh/files/blogs/distributedworkplaybooks.pdf)
- [The Art of Working Remotely](https://artofworkingremotely.com)
- [Twist's Remote Work Guides](https://twist.com/remote-work-guides)
- [Remote Habits](https://remotehabits.com/)
- [35 of the best Slack communities for remote workers](https://resources.owllabs.com/blog/remote-work-slack-communities)
- [Toggl's Guide to Working With Clients You've Never Met Face-to-Face](https://toggl.com/work-with-online-clients/)

## Contribute to this page

At GitLab, we recognize that the whole idea of all-remote organizations is still
quite new, and can only be successful with active participation from the whole community.
Here's how you can participate:

- Propose or suggest any change to this site by creating a [merge request](https://gitlab.com/gitlab-com/www-gitlab-com/merge_requests/).
- [Create an issue](https://gitlab.com/gitlab-com/www-gitlab-com/issues/) if you have any questions or if you see an inconsistency.
- Help spread the word about all-remote organizations by sharing it on social media.

---

Return to the main [all-remote page]({{< ref "_index.md" >}}).
