---
title: "Work-From-Home Field Guide"
description: How to help your team work healthier from home
summary: This field guide serves as a blueprint to help your team work healthier from home.
twitter_image: '/images/work-from-home-field-guide/PDF-Cover-Image.jpeg'
---

<div class="container">
<div class="row align-items-center">
    <div class="col">
        <p class="lead">Leaders and employers who want to create equitable and inclusive experiences for their diverse team need to support work wherever it happens. Today, that could be a home office, a coworking space, or even on the go. This shift toward remote work has been germinating for years, but the Covid-19 pandemic rapidly accelerated its widespread adoption. Now that remote work is here to stay, how can business leaders help their organizations navigate it?</p>
        <p class="lead">This field guide is your blueprint.</p>
        <p class="lead">Find out more <a href="/handbook/company/culture/all-remote/">about remote work</a> or <a href="https://about.gitlab.com/resources/downloads/remote-work-report-2021.pdf" class="btn btn-primary">Download the Full Report</a>
    </div>
    <div class="col text-center">
        <img src="https://about.gitlab.com/images/work-from-home-field-guide/PDF-Cover-Image.jpeg" class="shadow cover-image" style="border: 1px solid rgba(0, 0, 0, 0.08); box-sizing: border-box; border-radius: 4px; padding-left: 0px; box-shadow: 0px 2px 50px rgba(0, 0, 0, 0.08);" alt="">
    </div>
</div>
<hr>
<div class="container">
<div class="row align-items-center">
    <div class="col">
        <h2 class="h1 my-4">Project background</h2>
        <p class="h3">GitLab is pleased to co-create this field guide with Herman Miller, combining <a href="guide/">GitLab's expertise on remote teams</a> and best practices with Herman Miller's deep understanding of workspaces and design.</a>
    </div>
    <div class="col text-center">
        <img src="https://about.gitlab.com/images/work-from-home-field-guide/herman-miller-image.jpeg" alt="">
    </div>
</div>
<hr>
<div class="row my-5">
    <div class="col"><h2 class="h1">Key Takeaways</h2></div>
</div>
<div class="row  my-5">
    <div class="col">
        <h3 class="h2 my-4">It starts with leadership</h3>
        <p class="lead">Whether your organization is hybrid or fully remote, it's up to company leaders to support all aspects of the employee experience. Just as you'd invest in your team's workspace in a co-located office, enabling them to create healthy, productive spaces outside the office is a core part of building your remote work infrastructure..</p>
    </div>
    <div class="col">
        <h3 class="h2 my-4">Work is where the worker is</h3>
        <p class="lead">We have many choices for where to work on a given day: your home office or kitchen counter, a coffee shop, a coworking space, even a car or plane. No matter where work gets done, it's important to be intentional about how you use these spaces.</p>
    </div>
</div>
<div class="row  my-5">
    <div class="col">
        <h3 class="h2 my-4">Inclusive spaces help bolster belonging</h3>
        <p class="lead">Leaders who want to attract and retain a talented, diverse team will need to cultivate a work environment that is inclusive of needs and preferences. When done intentionally, a workplace strategy that embraces remote or hybrid work can be a differentiator for your team.</p>
    </div>
    <div class="col">
        <h3 class="h2 my-4">One size does not fit all</h3>
        <p class="lead">Each of your team members will have different equipment needs, space limitations, and location preferences for getting work done. The key is providing them the autonomy and agency to make these decisions for themselves, being open to feedback, and creating a culture of iteration.</p>
    </div>
</div>
<hr>
<div class="row text-center">
    <p><img src="https://about.gitlab.com/images/pricing/particles-contact.svg" alt="" width="90" style="max-width: 90px"></p>
    <p class="h3 display-5 mb-4">Improve remote work for you and your team</p>
    <p class="my-2">
        <a href="https://about.gitlab.com/resources/downloads/Work-from-Home%20Field%20Guide.pdf" class="btn btn-lg btn-primary me-4">Get the Work-from-Home Field Guide</a>
        <a href="/handbook/company/culture/all-remote/" class="btn btn-lg btn-dark">Learn more about remote work</a>
    </p>
</div>
</div>
{{% include "includes/take-gitlab-for-a-spin.md" %}}
