---
title: "GitLab Events Code of Conduct"
description: "GitLab is dedicated to providing a harassment-free and inclusive event experience for everyone!"
canonical_path: "/company/culture/ecoc/"
---

GitLab is dedicated to providing a harassment-free and inclusive event experience for everyone regardless of gender identity or expression, sexual orientation, disability, neurodiversity, physical appearance, body size, ethnicity, nationality, race, age, religion (or lack thereof), or any other categories protected by local, state, provincial, or federal law. We do not tolerate harassment against any individual at our events in any form. GitLab takes violations of this policy seriously and event organizers will enforce our policies throughout the event.

This policy extends to:

- Talks
- Forums
- Workshops
- Social media (or other online media), including personal accounts
- Parties
- Hallway conversations
- Booths and other similar activities
- Virtual Environments
- Electronic communication - via Slack, email, or event apps

This policy is applicable to all attendees, speakers, exhibiting partners, partners, sponsors, volunteers, event staff, vendors, etc. You catch our drift. GitLab's goal is to cultivate an environment in which everyone feels welcomed, secure and positively engaged.

## Expected behavior

All participants of GitLab events must abide by the following policy:

- Use the [GitLab values](/handbook/values/#credit) to guide interactions.
- Be excellent to each other. We want events to be an excellent experience for everyone regardless of gender identity and expression, sexual orientation, disabilities, neurodiversity, physical appearance, body size, ethnicity, nationality, race, age, religion, or other protected categories.
- Treat everyone with respect. Participate while acknowledging that everyone deserves to be here -- and each of us has the right to enjoy our experience without fear of harassment, discrimination, or condescension, whether expressed or implied.
- Jokes should not demean others. Please consider what you are saying and how it would feel if it were said to or about you.
- Speak up if you see or hear something. Harassment in any form should not be tolerated, and you are empowered to politely engage when you or others are subject to potentially intimidating, hostile, offensive, or abusive behavior. The person making you feel uncomfortable may not be aware of what they are doing, and politely bringing their behavior to their attention is encouraged.
- Practice saying "Yes and" to each other. It's a theatre improv technique to build on each other's ideas. We all benefit when we create together.
- Attendees are also expected to abide by GitLab's Code of Conduct, any other corporate policy related to employee behavior, and applicable laws.

## Unacceptable behavior

**Harassment is not tolerated.** [Harassment]({{< ref "anti-harassment#types-of-harassment" >}}) includes, but is not limited to: verbal language that reinforces social structures of domination related to gender identity and expression, sexual orientation, disabilities, neurodiversity, physical appearance, body size, ethnicity, nationality, race, age, religion, or any other protected category; sexual imagery in public spaces; deliberate intimidation; stalking; following; harassing photography or recording; sustained intentional disruption of talks or other events; offensive verbal language; inappropriate physical contact; unwelcome sexual attention, and any other illegal activity not already covered above.
Attendees may not possess illegal substances, a weapon, or any item that can be used as a weapon. Attendees may not engage in the destruction or vandalizing of property.

Booths should not display sexualized images, activities, language, or other similar materials. Booth staff (including volunteers) should not use sexualized clothing/uniforms/costumes, or otherwise create a sexualized environment. Exhibiting partners, vendors, or sponsors disobeying this policy will be notified by GitLab event organizers and are expected to stop any offending behavior resulting in a violation of this policy immediately.

Participants are expected to comply with this policy at all stages of an event, including when communicating with event staff before an event.

## Consequences of unacceptable behavior

Violating this policy includes, but is not limited to, attendees behaving in a disorderly manner or failing to comply with this policy, and the terms and conditions herein.

If a participant engages in harassing, offensive, or intimidating behavior, the event organizers may take any action they deem appropriate, ranging from issuing a verbal warning, and notifying management, to expelling the offender from the event with no refund or reimbursement towards travel expenses at their sole discretion.

Event staff reserves the right to refuse admittance to, or remove any person from, any GitLab-hosted event, at any time in their sole discretion. Participants who are found in violation of this policy are expected to comply immediately with the event staff's decision.

## What to do if you witness or are subjected to unacceptable behavior

If you experience behavior which violates this policy or [GitLab's Code of Business Conduct and Ethics](https://ir.gitlab.com/static-files/7d8c7eb3-cb17-4d68-a607-1b7a1fa1c95d), please contact the nearest member of event staff or the third party security staff, if on-site. If there is a life safety issue, please call emergency services (In the US, call 911.). The event staff can usually be identified by special badges/attire. We will appoint designated PeopleOps partners for internal company events who will be available to support in these possible reporting situations. Our policy means that we will look into and review every allegation of violation of our policy and respond appropriately. Event staff will help participants contact hotel/venue/event security or local law enforcement, provide escorts, or otherwise assist those experiencing discomfort or harassment to feel safe for the duration of the event. We value your attendance, and we want to ensure that all participants feel safe and comfortable.

Please note: While we take all concerns raised seriously, we will use our discretion as to determining when and how to follow up on reported incidents, and may decline to take any further action and/or may direct the participant to other resources for resolution.

## Why this policy is important

Unfortunately, harassment at events and in online communities is not uncommon. Creating an official policy aims to improve this by making it clear that harassment of anyone for any reason is not acceptable within our events and communities.
By clearly defining expectations for behavior, we hope to prevent harassment, aim to provide reassurance, and encourage people who have had bad experiences at other events to participate in our events.

## Media Disclaimer

Often we have a photographer or videographer capturing our events. By attending the event, you agree to be photographed or recorded, and you agree that GitLab will be the sole owner of such media. We reserve the right to use any media taken at any event hosted by GitLab without the express written permission of those included within the photo or recording, and you waive any rights therein. GitLab may use the photo or recording for any commercial or noncommercial purposes including without limitation social media, websites, publications, etc. If you would rather not be photographed or filmed, please let our photographers/videographers know.

*License and attribution*

This policy is licensed under the [Creative Commons Zero license](https://creativecommons.org/publicdomain/zero/1.0/).
It is based on and influenced by several other community policies including: Ohio LinuxFest Anti-Harassment policy, Con Anti-Harassment Project, Geek Feminism Wiki (created by the Ada Initiative), ConfCodeofConduct.com, JSconf, Rust, Diversity in Python, Write/Speak/Code and [Google](https://www.google.com/events/policy/anti-harassmentpolicy.html).
