---
title: Diversity Inclusion & Belonging Communications Strategy
description: PRoviding details on how the DIB Team communicates with GitLab to achieve engagement, contributions and collaborations from team members
---

### Purpose

The Diversity, Inclusion & Belonging (DIB) Team has a variety of ways that it communicates with team members from IC all the way up to e-group, this page documents the ways we do this, what information will be provided and the timing of when these communications will happen.

### Encouraging Participation in Diversity, Inclusion & Belonging

DIB is a core value and is something that is measured by [DIB Compentencies](/handbook/values/#diversity-inclusion--belonging-competency) in performance reviews, mid reviews and promotions. The DIB team is providing an easily accessible way for team members to display the DIB value by providing on a monthly or quarterly basis depending on level, way you can contribute on a increasing scale of Good, Better & Best. This will enable team members to participate in a ways they are able to at any given time depending on competing priorities.

**DRIs & Dates & Method of Communication:**

- **E-Group Communications** -
  - DRI: Sherida McCmullan
  - Cadence: Quarterly
  - Method of Communication:
- **VP+ Communications** -
  - DRI: Sherida McCMullan
  - Cadence: Quarterly
  - Method of Communication: VP Direct Monthly Call
- **Leadership DIB Council** -
  - DRI: Liam McNally
  - Cadence: Monthly
  - Method of Communication: Leadership DIB Council Call
- **People Managers Communications** -
  - DRI: Liam McNally
  - Cadence: Monthly
  - Method of Communication: #People-Mrgs+ Slack Channel
- **Indvidual Contributors Communications** -
  - DRI Marina Brownrigg
  - Cadence: Monthly
  - Method of Communication: While you were Iterating, What's Happening and DIB Slack Channels

**Example**

Good: Use monthly Zoom Background attached
Better: Promote & Attend heritage month event on XXXX
Best: Post in the #people-managers-and-above around a personal story focused on your experience with regards to XXXX

**Why?**

We are approaching it this way to ensure that all team members have the same opportunity to contribute to Diversity, Inclusion & Belonging regardless of their capacity to contribute. This will help provide clear and concise ways that team members can live in the DIB Value

**Logistics**

- **E-Group Communications** - Reminder: week 8 of prior quarter Content Ready & Reviewed: 1 week prior to the start of the quarter Released:
- **VP+ Communications** - Reminder: week 8 of prior quarter Content Ready & Reviewed: 1 week prior to the start of the quarter Released: During the VP Directs Call
- **Leadership DIB Council** - Reminder: 1 week prior to LDC Call Content Ready & Reviewed: 3 days prior to the LDC Call: 1st week of the new month
- **People Managers Communications** - Reminder: 1 week prior to the start of the month Content Ready & Reviewed: 3 days prior to the start of the month Released: During the LDC Cal,
- **Indvidual Contributors Communications** - Reminder: 1 week prior to the start of the month Content Ready & Reviewed: 3 days prior to the start of the month Released: 1st week of the new month

### DIB Monthly Initiatives Call

We host the DIB Monthly Initiatives Call to provide an opportunity for Team Members to be able to ask questions around DIB Initiatives, DIB Programming and general questions regarding DIB. We also provide a deck where we highlight everything that happened in the last month and what to look forward to.

**Process**

- **DRI:** Marina Brownrigg, DIB Partner
- 10 working days prior to the monthly DIB Initiatives  call, create Issue, then tag  all the TMRG and TMAG stakeholders/leads to add their updates in the linked deck prior to the call.

### DIB in Q2 - PBPs Only

To ensure strong collaboration with the People Business Partner team we provide a DIB in Q2 deck that highlights the strategic imperatives of the DIB Team and any collaborations that are required.

**Process**

- **DRI** - Liam McNally, Manager, DIB
  - Cadence: Quarterly
  - Release for Collaboration from DIB Team: 2 weeks prior to the end of the quarter
  - Delivered: First week of the new quarter
  - Method of Communication: Leadership DIB Council Call DIB-PBP Slack Channel
