---
title: "Roundtables"
description: On this page you will be provided an overview of our Diversity, Inclusion and Belonging Roundtables.
---

A DIB roundtable is a great way to build deeper connections with team members and develop safe spaces to discuss DIB related issues. The DIB roundtable will ask team members to share stories and anecdotes as well as challenge team members to think about how they personally and collectively can positively impact DIB.

We have two avenues for DIB Roundtables:

DIB Programmed Roundtables - The DIB Team creates a programmed roundtable(s) on a quarterly basis to discuss a pre-defined topic.

Self-Organized - A TMRG, Team Members, Managers can organized a roundtable to discuss DIB related issues.

## Starting a roundtable

### Diversity, Inclusion & Belonging Team Programmed

The DIB Team will organize DIB Roundtables on a quarterly basis with a maximum of two roundtables in a quarter.

- The DIB Team will program the quarterly roundtable on the team calendar when the decision has been made on the topics for the quarter

- The DIB team will create an agenda with a series of questions for the quarterly roundtable

- The roundtable will last 50mins and be split as followed:
       - 10mins: DIB Facilitator will set the topic and provide some context
       - 30mins: The DIB Facilitator will divide the group into small groups of 5/6 team members to discuss the questions in the agenda
       - 10mins: Debrief

The DIB Team will ask for a volunteer or are elect group facilitator for each group, your role is to:

- Verbalize the questions
- Ensure that everyone, including yourself gets an opportunity to contribute
- Share your screen where necessary i.e. slides or tasks

**Programmed Roundtables:**

|Date & Times |Subject | DIB Facilator | TMRG (if applicatble)|
|---          |---     |---            |---                   |
| TBC | Allyship | Liam McNally | N/A |
| TBC | Bias | Liam McNally | N/A |
| TBC | Microaggressions | TBC | NA |

### Self-organized

First, identify a group of team members who would like to participate. This can be done via slack, with your direct team or other avenues.

- Open an issue using this [template](https://gitlab.com/gitlab-com/people-group/dib-diversity-inclusion-and-belonging/diversity-and-inclusion/-/issues/new?issue%5Bassignee_id%5D=&issue%5Bmilestone_id%5D=#) and invite the roundtable members
- Add DIB Roundtable Label
- Tag @gitlab-com/people-group/dib-diversity-inclusion-and-belonging for visibility
- Assign or elect someone who will help facilitate the conversation

**If you volunteer or are elected to be the facilitator you role is to:**

- Verbalize the questions
- Ensure that everyone, including yourself gets an opportunity to contribute
- Share your screen where necessary i.e. privilege for sale task

### Manager Organized

A manager can request the DIB Team organize a DIB Roundtable for their team. They will help facilitate the roundtable and will organize other activities specific to the needs of the team.

If you are a manager, request a DIB roundtable by using this issue [template](https://gitlab.com/gitlab-com/people-group/dib-diversity-inclusion-and-belonging/diversity-and-inclusion/-/issues/new?issue%5Bassignee_id%5D=&issue%5Bmilestone_id%5D=#).

A DIB Team Member will set up a time to discuss with the manager the function of the DIB Roundtable and suggest activities and exercises to achieve the aim of the Roundtable.

## The Roundtable

### Set the ground rules

- This is a closed session and a safe space.  However if something arises as part of the conversation that needs investigation, the roundtable facilitator will reach out to their [PBP](/handbook/people-group#people-business-partner-alignment-to-division) to discuss.
- [Assume positive intent](/handbook/values/#assume-positive-intent), share and express with a higher intent
- Learning happens through experience; so if someone makes a mistake, [give feedback kindly](/handbook/values/#kindness)
- Please avoid multitasking unless there is a true emergency; please give your full attention to the session.

### Start with Privilege for Sale or Privilege Backpack

[Privilege for Sale](/handbook/company/culture/inclusion/privilege-for-sale/) is a great interactive activity to get you thinking about Diversity, Inclusion and Belonging. Click the link for the full activity.

**The Goals and learning objectives are as follows:**

- To acknowledge and investigate privilege.
- To provide an opportunity for team members to connect and reflect on the experience of having (or not having) privilege.
- To discuss the variety of privileges that underrepresented groups have limited access to. Not just legal privileges but social, financial, etc.
- To discuss how no one privilege is more important than another, that for someone any privilege may feel essential.
- Team members will be able to identify privileges that they take for granted in their everyday life.
- Team members will discuss what types of privileges (social, financial, legal, etc.) are important to them and why that may differ from others in their group.
- Team members will be able to investigate and discuss what groups may have limited access to what privileges and effect that lack of access may have on an individual.
- In the activity you have a list of privileges, you do not have any of these privileges, for the purpose of this exercise.

### Roundtable Questions

- What are some of your most important values?
  - What resonates with you?
- Share a time when you felt like you were left out or didn't belong?
  - What are some of the common threads, behaviors that made you feel like this?
- Share a time where you felt empowered or belonged?
  - What were the actions/behaviors that led to you feel empowered or that you belonged?
- What does Diversity, Inclusions and Belonging mean to you?
  - Why is it important?
- What is one thing as a group can we do to make a positive impact on Diversity, Inclusions and Belonging?

Once you have fully completed the roundtable, create a handbook entry on the DIB Roundtable Sharing Page. You can share as much or as little as your would like too about the experience and learnings of the roundtable.

### What next?

The Diversity, Inclusions and Belonging Team is working on Roundtables  part two, where we will go beyond creating safe spaces to discuss DIB related issues, to developing deeper trust, empathy and vulnerability.
