---
title: Diversity Inclusion And Belonging Certification & Training
description: "This page provides all the modules that needs to be completed to achieve the Diversity, Inclusion & Belonging Certification at GitLab"
---

{{% alert title="Note" color="primary" %}}
If you are internal to GitLab, please leverage [GitLab Learn here](https://gitlab.edcast.com/journey/dib-training-certification) to complete the certification.
{{% /alert %}}

## Module 1 - Welcome to GitLab DIB Certification Training

<i class="fa-brands fa-youtube"></i> [Welcome from our CEO {{< external >}}](https://youtu.be/6Jf4fOPUzac)

<i class="fa-brands fa-youtube"></i> [DIB Team Welcome - Candace Williams, Diversity, Inclusion, & Belonging Manager {{< external >}}](https://youtu.be/Zn-IQsBpxuI)

<i class="fa-brands fa-youtube"></i> [DIB Team Welcome - Liam McNally, Diversity, Inclusion, & Belonging Partner {{< external >}}](https://youtu.be/1pY6NMyuy5Q)

<i class="fa-brands fa-youtube"></i> [DIB Definitions {{< external >}}](https://youtu.be/A9VSQDhnR7o)

<i class="fa-brands fa-google-drive"></i> [DIB Definitions Slide Deck {{< external >}}](https://docs.google.com/presentation/d/1yUkifuK1kbZNF0_FfFI7iMcLRL7kmDT4dr21Mu0zDMo/edit?usp=sharing)

<i class="fa-solid fa-book"></i> [What is DIB - Diversity, Inclusion & Belonging]({{< ref "inclusion#gitlabs-definition-of-diversity-inclusion--belonging" >}})

## Module 2 - Our Journey in DIB

<i class="fa-brands fa-youtube"></i> [How DIB started at GitLab and where we are today; Our Journey in DIB {{< external >}}](https://youtu.be/uqe36qKwvUk)

<i class="fa-solid fa-book"></i> [DIB Summary of Events - High Level Timeline]({{< ref "diversity-and-inclusion-events" >}})

<i class="fa-brands fa-youtube"></i> [TMRG - GitLab Pride {{< external >}}](https://youtu.be/wFO2tpzpVno)

<i class="fa-brands fa-youtube"></i> [TMRG - MIT - Minorities in Tech {{< external >}}](https://youtu.be/pv3TMP5AfRY)

<i class="fa-brands fa-youtube"></i> [TMRG - GitLab DiversABILITY {{< external >}}](https://youtu.be/O1OIpGsJ9tc)

<i class="fa-brands fa-youtube"></i> [TMRG - GitLab Women {{< external >}}](https://youtu.be/vCEEUH-2Gaw)

<i class="fa-brands fa-youtube"></i> [TMRG - GitLab Generational Understanding {{< external >}}](https://youtu.be/6eke5700KWc)

<i class="fa-brands fa-youtube"></i> [TMRG - LatinX {{< external >}}](https://youtu.be/tgpANFpoIYE)

<i class="fa-solid fa-book"></i> [TMRG Guide]({{< ref "erg-guide" >}})

<i class="fa-brands fa-youtube"></i> [DIB Advisory Board {{< external >}}](https://youtu.be/8ohfv0iyGEg)

<i class="fa-solid fa-book"></i> [DIB Advisory Board Guidelines]({{< ref "influencer-group-guide" >}})

## Module 3 - The Culture of DIB at GitLab - We ALL Contribute

<i class="fa-brands fa-youtube"></i> [Module 3 - The Culture of DIB at GitLab - We ALL Contribute {{< external >}}](https://youtu.be/asrNQly1mTo)

<i class="fa-brands fa-youtube"></i> [Intro of Module 3 - How We ALL Contribute {{< external >}}](https://youtu.be/WEy4LjxB0aI)

<i class="fa-brands fa-youtube"></i> [DIB in Operations - The Team Member Experience {{< external >}}](https://youtu.be/n2CS4XQtaFE)

<i class="fa-brands fa-youtube"></i> [All Remote and DIB {{< external >}}](https://youtu.be/n2CS4XQtaFE)

<i class="fa-solid fa-book"></i> [Building and Inclusive Remote Culture]({{< ref "building-diversity-and-inclusion" >}})

<i class="fa-brands fa-youtube"></i> [PBPs (People Business Partners) and DIB - The Work Being Done to Support the Business {{< external >}}](https://youtu.be/nZ8K-XjgdO0)

<i class="fa-solid fa-book"></i> [DIB Engineering Initiatives]({{< ref "engineering-initiatives" >}})

<i class="fa-solid fa-book"></i> [DIB Sales Initiatives]({{< ref "women-in-sales-mentorship-pilot-program" >}})

<i class="fa-brands fa-youtube"></i> [L&D and DIB Collaboration {{< external >}}](https://youtu.be/TMZdNAEh_9E)

<i class="fa-brands fa-youtube"></i> [Data and DIB - How it Comes Together {{< external >}}](https://youtu.be/-sv0uKjriRs)

<i class="fa-solid fa-book"></i> [People Success KPIs - Key Performance Indicators]({{< ref "people-success-performance-indicators" >}})

<i class="fa-solid fa-book"></i> [GitLab Monthly Published Identity Data](/handbook/company/culture/inclusion/identity-data/)

<i class="fa-brands fa-youtube"></i> [DIB in Talent Acquisition {{< external >}}](https://youtu.be/eXcjoPtkGXk)

<i class="fa-solid fa-book"></i> [DIB Talent Acquisition Initiatives]({{< ref "talent-acquisition-initiatives" >}})

<i class="fa-brands fa-youtube"></i> [DIB and Additional Things to Consider - Closing Thoughts {{< external >}}](https://youtu.be/M5jhazNINx8)

## Module 4 - Testing your DIB Knowledge

<i class="fa-solid fa-book"></i> [TBC]({{< ref "inclusion#diversity-inclusion--belonging-training-and-learning-opportunities" >}})
