---
title: "Inclusive Practices"
description: "Inclusive Practices are essential for creating a workplace where everyone feels valued and can bring a diverse set of skills and qualities to the organization."
status: active
---

## Attributes

| Property        | Value                                                                                                                                             |
|:----------------|:--------------------------------------------------------------------------------------------------------------------------------------------------|
| Date Created    | 2024-02-20                                                                                                                                        |
| Target End Date | 2024-05-31                                                                                                                                        |
| Slack           | [#dib_wg_inclusive_meetings](https://gitlab.enterprise.slack.com/archives/C06J04FMR5E) (only accessible from within the company)   |
| Google Doc      | [Working Group Agenda](https://docs.google.com/document/d/1YRWvoyouEQnKB_kPtmd2eDLinRIoCE-eKec2X4FSh10/edit) (only accessible from within the company) |

## Goal

The DIB Inclusive Practices Working Group aims to improve the use of Inclusive Practices in meetings at GitLab and with external parties.

### Overview

Inclusive Practices are essential for creating a workplace where everyone feels valued and can bring a diverse set of skills and qualities to the organization. The focus of the DIB Working Group is to create inclusive practices to be leveraged in team meetings through name pronunciations and time zones.

### Goals

This is a non-comprehensive list of topics to be discussed.

- What is the primary goal of Inclusive Practices in Meetings
- What is the metric for success both long and short term
- Establish the most important needs for Inclusive Meetings
  - How to develop guidance on name pronunciation
  - Guidance on do's and don't with for inclusive meetings
  - Not an exhaustive list
- Develop Resources to be used as best practices
  - Add to Handbook as a resource
- Communication plan of the resources

### Exit Criteria

| Initiative      | Progress  |
| :-------------- | :-------------- |
| [Name Pronunciation](https://gitlab.com/gitlab-com/people-group/dib-diversity-inclusion-and-belonging/diversity-and-inclusion/-/issues/954) | - |
| [Remote meetings](https://gitlab.com/gitlab-com/people-group/dib-diversity-inclusion-and-belonging/diversity-and-inclusion/-/issues/955) | - |

## Roles and Responsibilities

| Working Group Role      | Username        | Person                                                                   | Title                                                           |
| :---------------------- | :-------------- | ------------------------------------------------------------------------ | :-------------------------------------------------------------- |
| Executive Stakeholder   | |  |  |
| Facilitator             | @lmcnally | Liam McNally | Diversity, Inclusion & Belonging Manager |
| Member                  | @sean_carroll | Sean Carroll | Engineering Manager, AI: Custom Models  |
| Member                  | @nrosandich | Nate Rosandich | Engineering Manager, Software Supply Chain Security:Compliance |
| Member                  | @eirinipan  | Eirini Pan | Sr. Marketing Campaigns Manager |
| Member                  | @srances  | Shari Rances | Senior Campaign Marketing Manager |
| Member                  | @pmejia  | Pilar Mejia | Sr. Distribution Manager (PubSec) |
