---
title: "Events"
description: "An overview of the Diversity, Inclusion & Belonging events/journey that have taken place or will take place."
---

On this page you will be provided an overview of the Diversity, Inclusion & Belonging  events/journey that have taken place or will take place.

## Summary of Events for 2021

| Month    | Events                                                          |
|----------|-----------------------------------------------------------------|
| Jan | [Published FY22 DIB Strategy and Roadmap](https://docs.google.com/presentation/d/1F4_5d8DBfn_SN39IQnCmEAoBbnWN1KU1Bu_Pji21KC8/edit?usp=sharing)|
|     | [Launched our first Social Media Campaign - We Belong Here](https://www.instagram.com/gitlab/)                                    |
|     | [Launched GitLab's First DIB Training Certification]({{< ref "dib-training" >}}) |
| Feb | Annual DIB Survey via Culture Amp                         |
| Apr | [Published updated Reverse AMA process]({{< ref "ask-me-anything#process-for-initiating-a-reverse-ama" >}}) |
| May | Launched Global Seld ID Campaign |
| Jun | [Published DIB Advisory Group Goals]({{< ref "influencer-group-guide" >}}) |
| Aug | Published 2021 DIB survey results to the company |

## Summary of Events for 2020

| Month    | Events                                                          |
|----------|-----------------------------------------------------------------|
| Jan | [Live Learning Ally Training](https://www.youtube.com/watch?v=wwZeFjDc4zE&feature=youtu.be)                                     |
| Feb | Anita Borg becomes an Official Partner                          |
|          | DIB Survey via Culture Amp                                      |
| Mar | Unconscious Bias Training                                       |
|          | Working Mother Media Award Submission                           |
|     | [Published Building an Inclusive Remote Culture Page]({{< ref "building-diversity-and-inclusion" >}})           |
|     | Published Diversity, Inclusion & Belonging  Events Page                     |
| Apr      | [Kickoff Women in Sales Mentoring Initiative]({{< ref "women-in-sales-mentorship-pilot-program#women-in-sales-mentorship-program-pilot" >}})                              |
|          | Kickoff DIB in Engineering Initiatives                          |
|          | Created the [Parental Leave Toolkit]({{< ref "parental-leave-toolkit" >}}) for Managers and Team Members|
|          | DIB Sessions at Virtual Contribute 2020                         |
| May      | Moved from Diversity & Inclusion to Diversity, Inclusion & Belonging  |
| Jun      | Conducted Live Learning on Recognizing Bias                     |
|          | Published DIB Blog ["Our journey to a more diverse and inclusive workplace"](https://about.gitlab.com/blog/2020/06/16/our-journey-to-a-diverse-and-inclusive-workplace/) |
| Jul      | [Fireside Chat with GitLab TMRG MIT Leads](https://www.youtube.com/watch?v=YUHevXdCWeY&feature=youtu.be)                        |
| Aug      | Full Diversity Inclusion and Belonging Track at Virtual Commit 2020 |
|          | GitLab Recognized for [Top CEOs for in Diversity in 2020](https://www.usatoday.com/story/money/2020/07/20/job-hunting-heads-microsoft-google-ranked-best-ceos-diversity/5449921002/) |
| Sept     | Allyship Training for Leadership                                |
|          | Kickoff DIB Speaker Series                                      |
| Oct      | DIB Training w/Certification                                    |
|          | [Coming Out Day Panel Discussion - Hosted by GitLab Pride TMRG](https://www.youtube.com/watch?v=OUKWs6hkMQY&feature=youtu.be)   |
|          | Hired additional DIB Team Member - [Liam McNally](/handbook/company/team/#lmcnally1)                             |

## Summary of Events for 2019

| Month    | Events                                                         |
|----------|----------------------------------------------------------------|
| Apr | Hired DIB Manager                                              |
| May | DIB Breakout Sessions at Contribute 2019                       |
|          | [Inclusive Language Training](https://docs.google.com/presentation/d/186RK9QqOYxF8BmVS15AOKvwFpt4WglKKDR7cUCeDGkE/edit?usp=sharing)                                  |
|          | [Published GitLab DIB Mission Statement]({{< ref "inclusion#diversity-inclusion--belonging-mission-at-gitlab" >}}) |
|          | [Published GitLab's Definition of Diversity, Inclusion & Belonging]({{< ref "inclusion#gitlabs-definition-of-diversity-inclusion--belonging" >}}) |
| Jul | Launched Greenhouse Inclusion Tool |
| Aug | [GitLab Pride launched]({{< ref "tmrg-gitlab-pride" >}})                               |
|          | [GitLab MIT - Minorities in Tech]({{< ref "erg-minorities-in-tech" >}}) launched                       |
|          | [GitLab DiversABILITY]({{< ref "erg-gitlab-diversability" >}}) launched                                  |
|          | [GitLab Women]({{< ref "tmrg-gitlab-women" >}}) launched                                         |
|          | [DIB Advisory Group launched]({{< ref "advisory-group-members" >}})                                    |
| Sep | [DIB Advisory Group Guidelines]({{< ref "influencer-group-guide" >}}) published |
|          | [Published TMRG Guidelines]({{< ref "erg-guide" >}})                                       |
|          | [DIB Framework](https://docs.google.com/presentation/d/1OMgmYc52J02PWacw72ZM_c-R6FYni-BibAhfV514KcQ/edit?usp=sharing)                                                  |
| Oct | [Slack Channels for all TMRGs and DIB Advisory Group added]({{< ref "inclusion#ergs---employee-resource-groups" >}})       |
| Dec | [Live Learning Inclusion Training](https://www.youtube.com/watch?v=gsQ2OsmgqVM&feature=youtu.be)                              |
|          | [Received DIB Comparably Award](https://about.gitlab.com/blog/2020/01/29/comparably-awards-gitlab-top-culture-diversity-awards/) |
