---
title: "TMRG - GitLab Disability & Neurodivergence"
description: "Helpful resources, support, and activities for differently abled team members or who are caring for a differently abled loved one."
---

## Mission

The GitLab Disability & Neurodivergence TMRG is a resource group to aid team members through their lived experiences at GitLab. Whether these experiences are seen or unseen, present themselves as a physical or a mental diversity, or directly impact you or a loved one, our goal is to intentionally build inclusive practices throughout the company as well as to act as a support system to team members who may want to be in a community with others who share similar experiences.

The Disability & Neurodivergence TMRG advocates for every team member for physical conditions related to sight, sound, and/or mobility or for mental health concerns like ADHD, anxiety, depression and so much more. These are just a few examples of the lived experiences our team members could have at GitLab that can be better positioned with consideration and inclusion as part of the hiring, onboarding, and day-to-day processes as well as before, during, and after a project, a meeting, a conference, or even when we have big company-wide changes.

### How we accomplish our mission

First, we work with teams to intentionally consider how changes and experiences could impact team members, helping to ensure team members receive the support and tools necessary to be successful, whatever that may be. This helps to reduce the volume of "reactive" updates that need to be made. Think of our team experience at Contribute. We'll be planning ahead of our time together to make sure we're considering our lived experiences and that our onsite time at Contribute is as inclusive as possible.

Also, we act as a support group. Whether it's async in Slack or live during a meeting or panel conversation, we'll present members of our community, both from inside and outside of GitLab, to transparently discuss their experiences. Not just how they cope, but how they thrive.

## Leads

- [Dominique Top](/handbook/company/team/#gitlab_dlectronique)
- James Hebden
- James Moverly
- Flavia Costa

## Executive Sponsor

- Rob Allen - VP of People

## Upcoming Events

- [Join our ongoing group coffee chat invites by signing up here](https://forms.gle/5g2wVB577Lr7M3CH7)
- Join the #neurodiverse-coffee-chat Slack channel to randomly connect one-to-one in a "donut" coffee chat

## Additional Resources

### Neurodivergence is considered a disability? Yes

When we are talking about a disability, we are referring to any physical or mental condition that limits a major life activity, or a history of such a condition. This includes ADHD, Dyslexia, Autism, and other cognitive disabilities, as well as mental health concerns such as depression or anxiety and physical conditions. We often refer to people with cognitive disabilities as being neurodivergent or having a neurodivergence ([many people prefer "people first language use" and you can learn more about it here](https://odr.dc.gov/page/people-first-language)).

### Disclosing your disability to your team and GitLab

Disclosing your disability is an entirely personal choice. Disclosure is not required. However, we aim to live our Transparency value and to ensure that all team members have an equitable opportunity to succeed in their role, and disclosure could aid in this.

You don't have to be specific about your diagnosis. An employer may ask for verification from a doctor but it can just say you have a disability and need some accommodation. **You are not required to share health details if you don't want to**.

#### Formal disclosure of your disability

If you believe you need to request reasonable accommodations to succeed at GitLab, please notify the [Team Member Relations team](/handbook/people-group/team-member-relations) at `teammemberrelations@gitlab.com`. The Job Accommodation Network (JAN) site has great resources, questions to consider, and examples of types of accommodations. For example, the [AD/HD](https://askjan.org/disabilities/Attention-Deficit-Hyperactivity-Disorder-AD-HD.cfm) page. The Company will work with each individual to define their job-related or application-related needs and to try to accommodate those needs according to [the GitLab Individuals with Disabilities Policy]({{< ref "inc-usa#individuals-with-disabilities-policy" >}}).

#### Informal disclosure of your disability, or simply notifying your team or manager

If you do not believe you need to request reasonable accommodations and you are just looking to update your manager or your team, you can do so freely when you feel is right. A 1:1 with your manager would be a good place to start so that if and when you choose to share with other team members, your manager has already been briefed.

### Not sure about disclosure? The Disability and Neurodivergence TMRG is here to listen and guide

Determining whether or not to disclose your disability at work is a deeply personal choice. If you would like to chat with someone about it discreetly, please feel free to DM the leads on Slack and they can either chat with you directly or point you to someone else who might be a better fit for the discussion.
