---
title: "TMRG - Team Member and Advocacy Resource Group Guide"
description: "An overview of what is needed to start and sustain a Team Member Resource Group or a Team Member Advocacy Group"
---

On this page you will be provided an overview of what is needed to start and sustain a GitLab TMRG (Team Member **Resource** Group) or a Team Member **Advocacy** Group.

## Definition of the TMRG - Team Member Resource Groups

TMRGs are voluntary, team member-led groups focused on fostering diversity, inclusion and belonging within GitLab. These groups help team members build stronger internal and external connections; offer social, educational, and outreach activities; create development opportunities for future leaders; and increase engagement among team members.

Team Member **Resource Group** provide support for an underrepresented group

- The purpose for this type of TMRG is to develop and elevate that underrepresented group within GitLab. To provide a voice and a safe space for people who identify as a part of that group and their allies. With aim of increasing and developing the sense of belonging.

Team Member **Advocacy Group**

- Team Member Advocacy Groups focus on Inclusion & Belonging of a demographic or social issue that sits outside of URGs and does not focus on team member representation.

### What is not an TMRG at GitLab

There are many types of groups and not all of them meet the criteria of being a GitLab supported TMRG. Here are some examples of those that would not be considered TMRGs here at GitLab:

- Groups formed for the purpose of opposing other groups
- Groups formed to promote political affiliations
- Groups formed around strictly social activities
- Groups of passion such as those formed around a passion for coffee, exercise, book reading, photography, etc.

**NOTE:** "GitLab supported TMRG" means the group is formally recognized by the company as a GitLab TMRG.

## How to Join Current TMRGs and TMAGs Slack Channels

The following groups have completed the process to be an TMRG or TMAG and received formal support as part of the [DIB framework]({{< ref "inclusion#tmrgs---team-member-resource-groups" >}}). Click the signup link (GitLab team members only) to join:

Ordered alphabetically to avoid the perception that any TMRG or TMAG is more important than any other.

| **TMRG or TMAG** | **Team Leaders** | **Slack Channel** | **Sign Up** | **Ongoing TMRG or TMAG Agenda** | Executive Sponsor |
| ------ | ------ | ------ | ------ | ------ |------ |
| [GitLab API - Asia Pacific Islander]({{< ref "tmrg-gitlab-api" >}}) | [Christopher Wang](https://gitlab.com/cs.wang), [Steve Xu](https://gitlab.com/steve_xu), [Sheela Viswanathan](https://gitlab.com/sheelaviswanathan) | #api-tmrg | [Sign up for future meetings (Google group)](https://groups.google.com/a/gitlab.com/g/api-tmrg) | [API Agenda](https://docs.google.com/document/d/17zJuZlWVg40mPjcybnGlj_mK2f4SEpRdrjq3s3Cseow/edit?usp=sharing) | Nabitha Rao |
| [GitLab Disability and Neurodivergence]({{< ref "erg-gitlab-diversability" >}}) | [James Hebden](https://gitlab.com/jhebden), [Dominique Top](https://gitlab.com.dlectronique), [James Moverley](https://gitlab.com/jmoverley) , [Flavia Costa](https://gitlab.com/fccosta) | #disability-and-neurodivergence-tmrg | [Sign up for future meetings (google form)](https://forms.gle/5g2wVB577Lr7M3CH7) | [DiversABILITY Agenda](https://docs.google.com/document/d/130LH9QPewms025z4OFxNNUYnjcQ53D1049EZOL2WdWc/edit?usp=sharing) | Rob Allen |
| [GitLab Generational Understanding]({{< ref "tmag-gitlab-generational-understanding" >}}) | Miles Russell, Terri Chu | #generational_understanding | [Sign up for future meetings (Google group)](https://groups.google.com/a/gitlab.com/g/Generational_Differences_ERG) | [Generational Understanding Agenda](https://docs.google.com/document/d/1h81q60KnCJFsATKjZKOFglBmgkv8TlGrKY8punX2SEg/edit?usp=sharing) | TBC |
| GitLab Mental Health TMAG | [Yin Yu](https://gitlab.com/yyugitlab), [Matthew Macfarlane](https://gitlab.com/mmacfarlane) | #mental-health-tmag | [Sign up for future meetings (Google group)](https://groups.google.com/a/gitlab.com/g/wellness-mental-health) | [Mental Health Agenda](https://docs.google.com/document/d/16YrJ1X5JTsJileqiZc2rmGEwSoxAf0xOmLDOpFuwu_0/edit) | [Lisa Boughner](https://gitlab.com/lboughner) |
| [Global Voices]({{< ref "tmrg-global-voices" >}}) | [Eliran Mesika](https://gitlab.com/eliran.mesika), [Charlie Ablett](https://gitlab.com/cablet) | #global-voices-tmrg | [Sign up for future meetings (Google group)](https://groups.google.com/a/gitlab.com/g/globalvoices/) | TBD | [Sabrina Farmer](https://gitlab.com/sabrinafarmer) |
| [GitLab Gente]({{< ref "tmrg-gitlab-gente" >}}) | [Pilar Mejia](https://gitlab.com/pmejia), [Romer Gonzalez](https://gitlab.com/romerg), [Giuliana Lucchesi](https://gitlab.com/glucchesi)  | #gente | [Sign up for future meetings (Google group)](https://groups.google.com/a/gitlab.com/g/latinxtmrg) | [Gente Agenda](https://docs.google.com/document/d/12dYSDjiVvFt-c6UO9y350pFbrrK5Iq2o/edit) | [Josh Lemos](https://gitlab.com/joshlemos) |
| [Black @ GitLab]({{< ref "tmrg-gitlab-black" >}}) | [Darren Eastman](https://gitlab.com/DarrenEastman), [Erran Carey](https://gitlab.com/erran), [Madou Coulibaly](https://gitlab.com/madou) | #black-at-gitlab |  [Sign up for future meetings (Google group)](https://groups.google.com/a/gitlab.com/g/black-tmrg) | [Black @ GitLab Agenda](https://docs.google.com/document/d/1G9Be3e3hjj3gexLmrmR1bqzaEErP-4BfDgJR4q_jUTw/edit#heading=h.vf9sdppkn4e0) | [David DeSanto](https://gitlab.com/david) |
| [GitLab Pride]({{< ref "tmrg-gitlab-pride" >}}) | [Alex Hanselka](https://gitlab.com/ahanselka) and [Andrew Chapman](https://gitlab.com/AndrwChapman) | #lgbtq | [Sign up for future meetings (Google group)](https://groups.google.com/a/gitlab.com/g/pride-tmrg) | [Pride Agenda](https://docs.google.com/document/d/11D-Izm5mbopEUCY036Qr0bHx6UePMyfkzhUfNDE-mnk/edit?usp=sharing) | Robin Schulman |
| [GitLab Women]({{< ref "tmrg-gitlab-women" >}}) | [Winnie Chan](https://gitlab.com/wyychan), [Gosia Ksionek](/handbook/company/team/#mksionek) , [Sara Cuesta](https://gitlab.com/sglad) | #women | [Sign up for future meetings (google group)](https://groups.google.com/a/gitlab.com/g/womenstmrg) | [Women Agenda](https://docs.google.com/document/d/1bJ3Y8IVjnssPpRa3IUafdzC0wsJUU6rYCGf-YEiDHeg/edit) | Robin Schulman |
| [GitLab Caregivers](tmrg-caregivers.md) | Jackie Porter, Gena Schwam | #caregivers-tmrg | TBA | [Caregivers Agenda](https://docs.google.com/document/d/1taPLNLkVvTayEzySFUU5XKZeSK9tmsK-WELu_Pp14m8/edit?usp=sharing)| Wendy Barnes|

## Executive Sponsorship

An Executive Sponsor can be any leader at GitLab who is at VP level or above. The role of an executive sponsor is to support the development of the TMRG, provide advocacy at the leadership level, connect the TMRG to GitLab's mission & goals and provide mentorship to TMRG leaders.

**Requirements:**

- An executive sponsor does not have to be a member of the underrepresented group but has the capacity to be an ally to the group
- Be able to offer a time commitment to the TMRG both sync and async
- Have the capacity to learn more about the underrepresented group if they are unfamiliar with the needs of the group
- Have taken the [psychological safety course](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/courses/psychological-safety-understanding-empowerment-and-self-reflection)

**Accountabilities and Commitments:**

- Provide TMRG leads with key business insights (eg.,Company OKRs) and ensure leads understand the company's strategic vision
- Allocate time to TMRG leaders (bi-monthly or as agreed upon with TMRG leads) to understand TMRG needs and resources
- Advocate for the TMRG with DIB team and E-Group to gain leadership buy-in
- Provide leadership guidance to TMRG leads when goals are misaligned to company or DIB goals
- Provide TMRG updates to E-Group once/quarter with the assistance of DIB Team
- Minimum one year commitment
- If you are no longer able to maintain these Accountabilities and Commitments you should let the DIB team know as soon as possible.

**Choosing an Executive Sponsor:**

- Any E-Group member with the capacity to be an executive sponsor for a TMRG will be the first to be allocated as an executive sponsor. E-Group members should only be an executive sponsor to one TMRG but this is not a hard and fast rule.
- If an E-Group Member is not available for executive sponsorship, TMRG leaders can identify a VP level team member to be their executive sponsor. This nomination by the TMRG must be approved by the E-Group in the E-Group weekly meeting.
- Alternatively, the TMRG can ask the DIB Team to identify a suitable Executive Sponsor. Upon which the DIB Team will ask the E-Group (Via the E-Group Weekly Meeting) for recommendations from their Direct Reports who are at VP level who could be suitable executive sponsors.
- The Chief of Staff to the CEO or the Chief People Officer will ensure that this is added to the agenda of the E-Group Weekly Meeting when the situation occurs.

### The Importance of Executive Sponsorship

#### Being a Diverse Business is important for business success

Being a diverse business has been shown to greatly benefit a business on multiple fronts, with Talent, Investors and Customers all wanting to see clear and meaningful impact. Here are some interesting insights from a number of reports:

The [McKinsey latest report Diversity Wins](https://www.mckinsey.com/featured-insights/diversity-and-inclusion/diversity-wins-how-inclusion-matters) provided some amazing insights into how diversity can enhance business performance had some interesting and exciting statistics:

- Top quartile on gender diversity meant a 25% likelihood of financial outperformance than the bottom quartile
- Top quartile on ethnic diversity meant a 36% likelihood of financial outperformance than the bottom quartile

The [Deloitte 2021 Global Human Capital Trends: Special report](https://www2.deloitte.com/us/en/insights/focus/human-capital-trends.html)  also provided some great insights into how Diversity, Inclusion & Belonging is perceived by team members & outside talent.

- Organizations embracing a diverse and inclusive culture have a 22% lower turnover rate and a 22% increase in employee productivity
- 93% of respondents agreed that belonging drives organizational performance
- 55% of respondents felt that leadership only addressed racial injustice by writing or speaking about it, not by taking action

In the [2021 Edelman Trust research](https://www.edelman.com/sites/g/files/aatuss191/files/2021-03/2021%20Edelman%20Trust%20Barometer.pdf) it shows that it may be very important to customers and investors to know where an organization stands on societal issues. 86% percent of global respondents expect CEOs to publicly speak out about societal challenges, which of course can extend to the wider E-Group.

[2021 Axios-Harris Poll 100](https://theharrispoll.com/partners/media/axios-harrispoll-100/), which ranks US organizations for their reputation in the marketplace, noted that organizations "with a clear point of view and that deliver not only great products but also an impact on society" ranked at the top of the list.

**This shows that the impact on being an awesome Executive Sponsor can and will drive business outcomes!**

#### Being an effective Executive Sponsor

In the [A 2021 Great Place to Work survey](https://www.greatplacetowork.com/resources/blog/new-research-shows-leaders-are-missing-the-promise-and-problems-of-employee-resource-groups) they measured data around Executive Sponsorship and showed:

- 100% of Executive Sponsors say company leadership encourages participation across ERGs. Only 52% of ERG leaders think that's true.
- 78% of Executive Sponsors believe involvement in ERGs support career advancement, but only 40% of ERG leaders agree.
- 91% of Executive Sponsors feel a sense of belonging at work, but only 76% of ERG leaders say the same.

We want to ensure our Executive Sponsors are the exception to this data.

- We should ensure we are using TMRGs as a great proving ground for career advancement.
- That as leaders of the business you are setting the standard for participation for the wider team.
- That TMRG leaders feel valued and that they are at the height of belonging at GitLab.

**Tips and Advice on being a great Executive Sponsor**

- Be an excellent listener to TMRG leads and members
- Don't just acknowledge concerns, work to understand concerns
- Listen first, understand next and act/help later
- Advocate for the TMRGs needs at throughout GitLab
- Share the TMRGs concerns with other executives
- Work to advocate for the TMRGs mission to wider audiences
- Actively evangelize new policies, programs and celebrations
- Challenge the TMRG Leads to think creatively & big
  - TMRGs should start small and build momentum but when the time is right get the TMRG to think creatively and bigger.
  - Provide a sounding board and access to support to allow this to occur.
- Become a mentor to TMRG Leads - this is a great opportunity to build our leaders of the future
- Ensure that the TMRG are aligning to DIB and Business Goals
- Provide key insights into GitLab
- Provide Feedback on Mission, Strategy and Goals
- Above all, create a Psychologically Safe space for leaders

## Benefits of TMRGs and TMAGs

In general, TMRGs are an excellent support system and key to providing awareness, respect, and building diversity, inclusion and belonging within the workplace. These groups are a proven way to increase cultural competency, retention of team members, provide marketplace insights to the business, attract diverse talent, and more.  The endorsement of TMRGs gives team members the opportunity to identify common interests, and decide how they can be shared with others.

### GitLab Benefits of TMRGs

- Grow GitLab's business and the company from DIB branding as it's top value which will appeal to customers and attract new team members.
- Support GitLab values and business goals, including the Company's commitment to foster an inclusive work environment.
- Support GitLab's diversity initiatives, aspirations and goals.
- Foster communications between GitLab and its team members.
- Provide mentoring and educational and professional development opportunities for GitLab team members

### Team Member Benefits of TMRGs and TMAGs

- TMRGs introduce new and current team members to GitLab's culture and helps to build and maintain engagement.
- TMRGs offer team members togetherness, camaraderie and connections to GitLab giving them a sense of belonging.
- You will have the opportunity to develop your professional and leadership skills, build relationships across the company and regions, connect with possible mentors/mentees, raise awareness for underrepresented groups at GitLab and make a difference at work and in your communities.
- TMRGs provide team members with opportunities for development, showcasing their skills and developing their own brand within GitLab.
- Team members will also have opportunities to obtain mentoring, networking, providing positive impacts to the business, and channeling their voices to advocate for change.

## Forming a TMRG or TMAG

TMRGs support our diversity, inclusion and belonging framework, maintain an open forum for the exchange of ideas, and serve as a source of educational and professional development opportunities for GitLab team members. It is expected that all GitLab supported TMRGs will participate in initiatives that focus on the following group elements:

1. **Team Member Development:** Activities that further the development of group members. Examples could include:
   - Developing and delivering developmental opportunities for members
   - Potential career development events and activities
   - Identifying effective mentoring opportunities
   - Building a network of development resources that are easily accessible by members
1. **Outreach/Business Development:** Connecting with groups beyond GitLab
   - Establishing internal and external business partnerships
   - Representing GitLab at industry events
   - Working with external communities to help GitLab achieve market presence and leadership brand
1. **Awareness and Education:** Raising awareness and educating all team members.
   - Events/Initiatives that bring awareness and education of the TMRG to the company
   - Engagement of Allies and GitLab team members with the TMRG
1. **Talent Acquisition/Retention:** Promoting, growing, and developing the TMRG group as a whole.
   - Establishing partnerships with universities and or STEM programs
   - Working with Talent Acquisition to identify sourcing and talent acquisition opportunities
   - Creating initiatives that attract related diversity dimension talent.

Possible events:

- Webinars
- Panel discussions
- Effective Presentations
- Effective Communications
- Virtual Lunch n Learns
- Speed Networking with Executives
- "Meet the TMRG" (informational outreach event for employees to learn more about the DIB Community)
- Volunteer activities (could be co-sponsored with other TMRGs)
- Recognition events (ex.  A meeting to celebrate the TMRG annual achievements, award success of individuals)

## How to suggest a new TMRG and TMAG at GitLab?

- To suggest a new TMRG or TMAG at GitLab please use the [TMRG Request Issue Template](https://gitlab.com/gitlab-com/diversity-and-inclusion/-/blob/master/.gitlab/issue_templates/TMRG-request-template.md).

While creating the new issue please:

- Take an opportunity to fully read the guide here provided
- Be prepared to discuss and explain the TMRG diversity dimension that you would like to start.
- Provide a detailed explanation of why GitLab should support the TMRG
- Provide a draft of a possible mission statement for the TMRG

## Let's Get Started

### Naming and branding for the TMRG or TMAG

All names, because they are visible externally and could compete with other projects, products and or not be a good representation of GitLab must be approved by Legal and Brand.  You should work with the DIB Manager (Liam McNally lmcnally@gitlab.com) to gain a consensus on ideas.  Keep in mind that names chosen by the TMRG may not meet GitLab's naming and branding standards and may need to be changed.

### Defining your TMRGs or TMAG mission statement

A mission statement is the simplest and clearest way to explain the purpose of your group and how it will achieve its goals. Keep your mission statement short, and use simple terms that everyone understands. Finally, make sure the mission is flexible enough to allow for goals and activities to change over time. Below are some examples of mission statements used by similar groups at other companies:

- Deutsche Bank - Rainbow Group Americas: The DB-Rainbow Group Americas is an organization open to all Deutsche Bank employees to promote an inclusive and productive work environment for gay, lesbian, bisexual, and transgender (GLBT) employees to enhance their professional and personal development in alignment with business objectives.
- General Mills - Black Champions Network: To champion the growth, development and success of all African American employees while maximizing their contribution to General Mills' goals and objectives.
- ING - Latino Network: The ING Latino Network fosters its members' development and promotes  cultural awareness within ING's corporate strategies and objectives.
- Salesforce - Women's Network:  We are dedicated to building gender Equality in the workplace and beyond through empowering, supporting, and investing in our global community for women and their allies. We are the largest Ohana group with 6000+ members across 30+ hubs globally. Our programs include LeanIn Circles, volunteer opportunities, International Women's Day events, Woman of the Month series, mentorship opportunities, children's initiatives, and Women in Technology programs. Our focus is always on improving inclusion and Equality for all on the gender spectrum, to help make Salesforce the best place to work for all.
- Texas Instruments Incorporated—Chinese Initiative: The mission of the Chinese Initiative is to create a work culture in which all people are valued, empowered, and given opportunities to develop and contribute to their full potential, thereby gaining a competitive advantage for Texas Instruments.

### Create a project

As with all GitLab business, we want to dogfood our own product. As such, you should consider creating a GitLab project to manage discussions in issue and
update the repo with mission statement, events, and the like. You should create the repo in the [`gitlab-com`](https://gitlab.com/gitlab-com) group. To see
a project in action, you can check out the [GitLab Pride project](https://gitlab.com/gitlab-com/pride-tmrg).

### Create a Google group

Managing membership will be greatly simplified by using a Google group. The main benefit is that you can invite the group to any calendar events and users can
join or leave the group on their own. In order to create a Google group, you'll need to create an [access request issue](/handbook/it/end-user-services/onboarding-access-requests/access-requests/#slack-google-groups-1password-vaults-or-groups-access-requests)
requesting a new group. There is a template you can use and you can [view an example](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/3547)
issue if you'd like. Once you've got the Google group created, you can add users manually or allow them to sign up on their own at the group homepage. You can
look at the [pride-erg](https://groups.google.com/a/gitlab.com/forum/#!forum/erg-pride) for an example of what that might look like.

## TMRG and TMAG Members

Membership in an TMRG at GitLab is open to everyone, including full-time and part-time team members, interns, and contractors.

### Members

A member is an active participant in the ongoing activities of an TMRG. As a global company, the ways that members participate may vary based on location, culture, and preferences. Membership is open to both team members who identify with the diversity dimension that is the community's focus and allies who wish to advocate and support the mission of the TMRG.

### Allies

An ally is someone who supports, empowers, or stands for another person or a group of people. Through our research, we have found it to be a best practice for all to be inclusive of ally support. When creating an TMRG, planning activities, and engaging with members be sure to consider how allies will be involved.

An ally strives to...

- be a friend
- be a listener
- be open-minded
- have their own opinions
- be willing to talk
- recognize their personal boundaries
- join others with a common purpose
- believe that all persons regardless of age, sex, race, religion, ethnicity, sexual orientation, gender identity and gender expression should be treated with dignity and respect
- recognize when to refer an individual to additional resources
confront their own prejudices
- recognize their mistakes, but not use them as an excuse for inaction
be responsible for empowering their role in a community
- commit themselves to personal growth in spite of the discomfort it may sometimes cause

As important as it is to define what an ally is in a positive way, it is also helpful to understand the boundaries of an ally's role.

An ally is NOT...

- someone with ready-made answers
- necessarily a counselor or trained to deal with crisis situations
expected to proceed with an interaction if levels of comfort or personal safety have been violated

[Adapted from Human Rights Campaign Establishing an Allies/Safe Zone Program, Human Rights Campaign](https://www.hrc.org/resources/establishing-an-allies-safe-zone-program)

Additional resources on how to be an ally:

- [Allyship at GitLab]({{< ref "ally-resources" >}})
- [Live Learning Ally Training at GitLab](https://ctb.ku.edu/en/table-of-contents/culture/cultural-competence/be-an-ally/main)
- [Chapter 27. Cultural Competence in a Multicultural World | Section 5. Learning to be an Ally for People from Diverse Gro…Straight for Equality](https://ctb.ku.edu/en/table-of-contents/culture/cultural-competence/be-an-ally/main)
- [Guide to Allyship](https://guidetoallyship.com/#the-work-of-allyship)

## TMRG or TMAG Leads

### Selection Criteria

- The team member must be performing in their role and not part of any performance management process as confirmed by the People Group.
- Must be a full-time GitLab team member. This includes PEO and full-time contractor team members.
- At least 6-month tenure at GitLab
- Ideally already an active TMRG member if the TMRG already exists
- Approval from your direct manager, support to commit the time and to use this leadership role as a professional development opportunity
- A minimum one-year commitment in the role but understanding this may change to less and can be more.

### Selection Process

- The DIB Team will announce a vacancies for TMRG leadership in the appropriate slack channels
- The nomination process will stay open for two weeks from the original slack message
- A team member will nominate themselves for a lead role by completing the TMRG Lead Nomination Issue template
- The DIB team will consult with existing TMRG members, Leads, The People Team, Executive Sponsors and Managers to decide who will take the leadership position. This is to ensure the best person for the TMRG program is selected and diversity of departments, geography and URGs are properly represented.

### Qualities of a TMRG and TMAG leader

- Interest, passion and time to devote their time to the TMRG
- Possesses facilitation, team-building, and collaboration skills
- Has a desire to build a presence for the TMRG or TMAG within GitLab

### TMRG and TMAG Lead Training

All TMRG Leads should either watch the video or read through the slides of this training to ensure they are fully versed in the responsibilities, accountablilities and governance of TMRG leads.

[Video](https://www.youtube.com/watch?v=nLikJeVI9FY)
[Slides](https://docs.google.com/presentation/d/1YhJsk0E20gdPQjMZYuwnUkCjohJkw0CNbqv8ge4creY/edit)

## Roles Within the Group

### Team Member Resource Group Members

At GitLab we all contribute!  Everyone has an opportunity to lead and provide feedback within the group.

### Executive Sponsor

An executive GitLab team member who is responsible and accountable for strategic support of the group

- Share accountability for the success of the TMRG
- Participate as an active member of the TMRG
- Share information about the TMRG activities with other leaders
- Provide insight and guidance to the TMRG as needed
- Partner with TMRG leads on issues, concerns, and resource needs of the community
- May provide additional budget

### TMRG and TMAG Lead

A GitLab team member or team members who are responsible and accountable for strategic direction and operations of the TMRG or TMAG.

**Responsibilities**

- Operational lead/leaders of the TMRG or TMAG
- Meets with the DIB team on a quarterly basis as a minimum
- Responsible for submitting annual strategy using the [Annual Strategy Template](https://docs.google.com/presentation/d/1Zpz6z_0x3rbjYzUd6fSAojg8ME3FKfWPrI7cD4HmV48/edit?usp=sharing)
- Responsible for submitting a quarterly strategy using the [Quarterly Strategy issue template in the DIB project](https://gitlab.com/gitlab-com/people-group/dib-diversity-inclusion-and-belonging/diversity-and-inclusion/-/issues/new#) for the TMRG
- Work with business leaders on the success of DIB and the TMRG at GitLab
- Facilitate TMRG meetings both async and sync ensuring inclusivity across geographical regions
- Serve as contact for any team, department, or other GitLab team member requesting partnership or education with the TMRG

**Accountabilities**

These accountabilities are important factors in ensuring that the TMRG maintains TMRG Status. The DIB team may: remove TMRG Leads if they are not achieving the accountabilities, remove the TMRG status or change the status of the TMRG to a TMDG

- Ensuring that the TMRG has a structured plan. Detailed quarterly and a high-level annual plan. These plans should be submitted and discussed with the DIB Team.
- Delivery on the TMRG Plan
- Managing the TMRG budget, including tracking TMRG budget spend. This will ensure we know how to allocate future budgets.
- Engaging and growing the TMRG members

**TMRG Leadership Recognition Program & Key Performance Indicators**

In May 2023 the DIB team did an informal recognition bonus to TMRG Leads for their contribution to the DIB Strategy. We want to formalize this process and tie this to TMRG Leadership performance in the future as outlined below.

Budget permitting the Diversity, Inclusion & Belonging Team may provide a recognition bonus to team members leading our TMRGs or DIB focused groups. This is to recognize great work being done to support the DIB Strategy, DIB Team and embedding the DIB value at GitLab. In order to recognize great performance we have set out a criteria to be eligible for the recognition bonus. This can also work as a form of job responsibilities for leaders.

In order to be eligible for the full recognition bonus you must have performed at least 80% of the requirements. To be eligible for part of the recognition bonus you must have performed at least 60% of the requirements.

**TMRG Leadership Key Performance Indicators:**

- Participated in completing an annual strategy for the TMRG
- Participated in completing a quarterly action plan for the TMRG for each quarter
- Taken action and delivered part or the full annual and quarterly strategies and action plan
- Effectively plan and track budget use
- Have completed TMRG events in all four of the outlined TMRG Pillars
- Maintain a regular cadence of TMRG meetings that accommodate our global demographic
- Receive an average TMRG satisfaction score from TMRG members above 7/10
- Meet with the DIB Team at least once a quarter to discuss goals and outcomes
- Developed an executive sponsor engagement plan alongside your executive sponsor
- Maintain or grow team member engagement measured through Slack Analytics, event attendance, issues participation and synchronous meeting attendance

### Optional roles

While not required, we recommend establishing other leadership positions to ensure that the responsibilities of the Lead and Co-Lead remain realistic and success is achievable for the TMRG. Here are some example roles we recommend for each TMRG that reflect the 4 elements of focus listed above:

Leader of Professional Member Development: Activities that further the development of group members.

Leaders of Outreach/Business Development: Connecting with communities beyond GitLab

Leader of Awareness and Education: Raising awareness and educating all associates.

Leader of Talent Acquisition/Retention: Promoting, growing, and developing the TMRG as a whole.

Treasurer: managing the budget of the TMRG, working on necessary approvals internally and looking at the ROI of any events that take place.

### TMRG Working Groups

The idea for TMRG Working Groups was born in the Women's TMRG where they had many ideas but individuals were not able to make the time commitment to becoming sub-committee leads but were able to commit short periods to individual projects.

**How it works:**

- The TMRG will create issues for projects they wish to complete within a quarter within the TMRG Project.
- Either via Slack, Regular Synchronous Meetings or another method of communication. Release the projects to TMRG Members inviting participants to help on the project.
- The project should elect a leader for the duration of the project. Who will act as a DRI of ensuring that it is completed in a timely fashion and assign tasks to the other members of the project.
- Once the project is done, the group will disband and are free to participate in a new working group or simply move back to being an active member of the TMRG

### TMRG and TMAG leader term of service

TMRG leaders to commit at least one year to their leadership role, with the option for less if a situation arises which means they are no longer able to perform the role.

In January of each year, a selection process should be undertaken to allow other team members the opportunity to nominate themselves to lead the TMRG. If no one wishes to nominate themselves the existing leaders will automatically be invited back to lead the TMRG providing they still meet the selection criteria.

### TMRG and TMAG leader succession

Leadership succession is critical to sustaining TMRGs and keeping leaders energized. Ideally, outgoing leaders will have and overlap with incoming new leaders by acting as advisors to ensure a seamless transition.

Research suggests developing the next generation of leaders for your TMRGs by looking for members who have taken smaller roles in heading up committees or organizing events; speak with them about their interests and encourage them to take on more visible roles within the TMRG.

## Tools for TMRG and TMAG Leaders

These resources are here to help you effectively lead and grow an TMRG.

### Communications

Communication within TMRGs keeps members aware of, involved with, and supportive of the group's direction and activities. TMRGs can use several inlets of communication tools outlined below to keep members informed about meeting times, structure, membership, and updates.

Communications resources

- Slack Channels
- Google Calendars
- Google Forms
- Email templates
- Invite templates

### Asynchronous Team Member Participation

As an all remote organization, having sync meetings can be very difficult to engage all members of the TMRG. To increase participation, we should think differently about what participation looks like and what an active member looks like.

Active TMRG and TMAG Member:

A team member who provides meaningful interactions with the TMRG and TMAG through decision making, discussion participation or interactions. These need not be spoken or written but could be other avenues such as slack emoji to indicate support, participation in decisions via a poll etc.

This does not take away the need for synchronous meetings but allows everyone to contribute in the way they feel most comfortable and is inclusive of all geographies.

### Guidance/Suggestions for Encouraging Participation

Use tools that work alongside sync meetings that encourage participation in the meetings.

- [Standuply](https://standuply.com/) is great for running an async meeting, you can add video, ask bespoke questions that may have arose in the sync meeting and get wider perspectives.
- [Polly](https://slack.com/apps/A04E6JX41-pollyhttps://slack.com/apps/A04E6JX41-polly) is great to get decisions made asynchronously where you want wider input than those who were unable to attend sync meetings and reach a consensus and proceed to action. There are templates available in [Polly](https://www.polly.ai/template) which can be useful tools.
- [Loom](https://slack.com/apps/A9G1TH4S2-loom) could be a great tool to provide a quick video update of meetings or activities happening within the TMRG.
- Create a thread in Slack of the key points from the meeting that can be discussed.
- Have a bias towards action BUT allow async members to participate before making the decision. Have a 24-48 hours window to reply before a decision is made.
- Have more async meetings than sync meetings. Doing this will allow team members to feel as though they are not missing out on important discussions, as the discussions happen elsewhere more often.

**Examples:**

- Welcome to our mid-month slack meeting, here is a thread to discuss XYZ as voted for in Polly. Once the discussion has concluded, we will do another Polly to decide on any actions we wish to take.
- Standuply Questions: How do you feel since our last meeting? Is there anything you would like to discuss/get an opinion on related to the XYZ TMRG? Are there any actions/budget spend/sponsorships that you would like to see soon? Any news articles positive/negative that you would like to share?
- In the last synchronous meeting on xx/xx/xx some of the key things discussed were:
    1.
    1.
    1.

You can see full agenda notes here: (insert google doc) feel free to add any further thoughts in this slack thread.

### Measure

Keep a track of engagement across the different methods so you can understand where the most engagement happens. This can be very useful in determining what is best for your particular TMRG.

You can use this template which is fairly manual or choose your own methods.

### What to do if you're asked to provide your opinion on behalf of GitLab

There may be times that you are asked to comment on the state of DIB at GitLab or your TMRG. When or if that happens, please contact/notify PR, Talent Brand and the DIB Manager.  Here are some general best practices that we share are helpful for all GitLab team members to know.

- Don't share information that hasn't already been disclosed publicly. This includes retention and turnover rates, associate demographics, compensation trends, hiring plans or numbers, headcount, new products, corporate strategy, and more.
- If you're asked about our Diversity, Inclusion & Belonging  stats, refer to our [GitLab identity data](/handbook/company/culture/inclusion/identity-data/)
- Always remember that although we work in transparency, we want to me mindful of GitLab's reputation and brand.

### TMRG Success measurement (Capturing Data)

Measuring the success of the TMRG is important for the sustainability of the group and for ensuring the group's effectiveness.

Members of the TMRGs are encouraged to identify multiple ways the success will be tracked and measured over time. Here are some suggestions for measuring success:

- Reviews and reports on metrics should be submitted quarterly to the DIB Manager and updated to the handbook. We also encourage you to share metrics with the TMRG as a whole so there is a shared understanding of expectations, value added, and areas of improvement.
- Conduct an annual review with the DIB Manager, to discuss successes and opportunities for the upcoming year
- Consider reviewing and modifying, if needed, the TMRGs mission statement and/or goals (every year or less to move forward iterations with changes in the TMRG)
- Identify the right cadence of gathering member feedback via surveys, focus groups, or year-end review sessions. Don't wait until there is a lack of engagement, ask early and often.

### Additional suggestions to measure success (may vary based on the state of the TMRG)

- Event attendance
- Number of events hosted
- Feedback from events
- Blog pages
- TMRG page etc
- Tracking TMRG membership numbers month to month
- Participation in the external community events
- Volunteer hours contributed by members of the TMRG
- Quantitative feedback from TMRG members
- Number of ally members (when appropriate to track)
- Google form list sign-ups from the handbook
- Communication methods in place (Slack, mailing list, calendar, etc)

### Resources for TMRGs and TMAGs

We have provided a number of optional resources for TMRGs to use that assist in setting the strategy, roadmap, financial planning etc.

- [TMRG ACTION PLAN Template](https://docs.google.com/document/d/1VdH0S-pHMfy_XbltY9wYghSY9h04U-gcNwR3miZwkX0/edit?tab=t.0): This can be used to create an action plan, execute and measure.
- [New TMRG Roadmap Template](https://docs.google.com/spreadsheets/d/19Qa6xLIaoxOBbPIoMjYTcL87lx1y1exGGB6z4iD64tY/edit?usp=sharing): This template gives some examples of a Roadmap for new or developing TMRGs
- [Estabished TMRG Roadmap Template](https://docs.google.com/spreadsheets/d/19Qa6xLIaoxOBbPIoMjYTcL87lx1y1exGGB6z4iD64tY/edit?usp=sharing): This template gives some examples of a yearly roadmap for established or mature stage TMRGs
- [Budget Tracker](https://docs.google.com/spreadsheets/d/1-BZrH1KsRBYl9r0EYEy6VXlKyvGGf585mwoj9Vz5rgA/edit?usp=sharing): This is a simple budget tracker for Lead or a treasurer of a TMRG to plan and keep a track of the annual budget given to TMRGs.

### TMRG and TMAG Goal Setting

Having short terms and long term goals for the TMRG is extremely important in developing and the continued success of the TMRG. Goals are vital to helping GitLab as a whole move to a more inclusive environment for your under-represented or at risk group.

**Three advantages of setting goals:**

- **Action orientated** - it is easy to get bogged down in a problems, issues or complaints. Having goals for issues will allow you to move from frustration to action
- **Visibility** - Goals will allow you to talk to and broadcast goals to a wider audience including executive sponsor, GitLab leadership and wider team member population
- **Make GitLab more Inclusive** - by setting goals for the TMRG you are ensuring that we bring in inclusive practices and move the needle for your TMRG

**How to set goals for the TMRG and TMAG**

- Work with the wider TMRG on the TMRGs priorities
  - Leadership should distill these down into a manageable number of goals
- Utilize a goal setting methodology such as [OKRs](/handbook/company/okrs) or [SMART](https://www.mindtools.com/pages/article/smart-goals.htm) to set the goals in a practical way
- Add these goals to your quarterly strategy issue for the TMRG
- Assign a working group or DRI/s to the goal
- Share the goals with your executive sponsor and the wider GitLab team through the Monthly Initiatives Call
- Engage with key stakeholders, i.e. Talent Acquisition if the goal relates to hiring
- Prepare for goal obstacles and push back. What are the values you are implementing with this goal?
- Importantly! Define how the goal would be beneficial for the at-risk group and GitLab as a whole. This will help gain buy in from key stakeholders

**Goal Setting Activities**

To help develop goals you may want to utilize goal setting activities to assist in identifying the right goals.

- Backward Goal Setting: This is where you start with a large goal or objective. Then distilling this down to smaller goals & objectives to achieve the larger goal.
- Success Goal Setting: Similar to the above, but you will define what success looks like, either with a measurable or an outlook. The set goals and objectives that will help get to that end state.

### Finance & Budgets for TMRGs

Each TMRG has access to a budget on a per quarter basis to assist in the activities they wish to engage in to further develop the TMRG, Enable and Empower the members, develop activities & events or to buy merchandise.

Details on how to access to the budget are below

**Expenses could include but not limited to:**

- Paying a speaker to present at GitLab
- Purchasing TMRG specific Swag
- External Consultants to help problem solve on TMRG issues
- Sponsoring a partnership with a external vendor
- Making a donation to a relevant charitable organization
- Lunch & Learns
- TMRG Social Activities

Feel free to get creative with how you support and engage the TMRG utilizing the budget to do so.

**Accessing TMRG Budget**

Each quarter the DIB Team have a defined amount of funds accessible by the TMRG, in order to access the funds, prior to the quarter beginning the TMRG must provide a plan with a defined amount of budget they require for the quarter. Any funds not assigned or requested will be used by the DIB Team for other activities, partnerships and programming.

On a quarterly basis, each TMRG DRI is responsible for updating the [TMRG Forecast Tracking Spreadsheet](https://docs.google.com/spreadsheets/d/1-BZrH1KsRBYl9r0EYEy6VXlKyvGGf585mwoj9Vz5rgA/edit#gid=1333381534) for expected expenses for the remainder of the year. Deadlines for updates are due the middle of the following months:

- January
- April
- July
- October

As our finance processes are a use it or lose it policy we want to ensure that if budget is not being utilized we can reassign that budgeted amount to other initiatives, TMRGs or supporting external partnerships.

**Submitting/Approval of Expenses**

Purchases made on behalf of GitLab should follow the [procurement process outlined in the handbook](/handbook/finance/procurement/#--what-is-procurement).
Prior to submitting a Coupa requisition, please adjust the Billing portion of the requisition for each line item by selecting the magnifying glass. Confirm that the expense is coded to Department: G&A: DIB and Class (tag): TMRG. If procurement or The DIB Team are submitting the requisition on your behalf, please give them instructions to make these adjustments. If these changes are not made, then the expense will default to the team member's department and the expense will not align to the TMRG budget.

**Swag-** If the purchase is Swag, please follow the outlined process in the [handbook](/handbook/marketing/brand-and-product-marketing/brand/merchandise-handling/#swag-for-tmrgs).

**Charitable Contributions-** Please follow the [Philanthropy Policy](/handbook/legal/philanthropy-policy/)

**Team Member Expensed-** In some instances, TMRG team members will need to follow the [expense reimbursement policy](/handbook/finance/expenses/). If an item is purchased individually upfront (i.e. meals, books) and the item was budgeted, the team member will submit the receipt to get reimbursed. Reach out in #expense-reporting-inquiries for a new expense tag prior to the event.
When submitting expenses for reimbursement, please add the "TMRG" classification and the expense tag to your expense when submitting the report.

## Key Milestones for TMRGs (Suggested)

### Develop membership via

- DIB Monthly Call
- Slack Channels
  - #whats-happening-at-gitlab
  - #diversity_inclusion_and_belonging
  - Location specific channels such as APAC, #loc_london_uk etc
  - Other TMRGs channels
  - Any other channels that seem relevant

### Hold your first call

Discuss the 4 Pillars of the TMRGs
Discuss the mission of the TMRG
Discuss any immediate actions the TMRG could take
Discuss the cadence of the meetings

### Set up regular cadence of the calls and Async Participation Opportunities

Monthly is suggested - try to include timezones either by rotating or having more than one call

### Suggestion: Assign sub-leads for each pillar

To better execute and ensure that the Leadership duties of the TMRG are not overly burdensome on 1-2 individuals. It is suggested to add 1 or 2 leads to each pillar, the TMRG Lead or Co-lead can also co lead pillars.

### Develop a 6 month strategy

Using the TMRG Strategy Template or a derivative of the template. Develop a strategy and plan for the TMRG to help take steps towards achieving the Mission and a Vision.

This would be a great opportunity to include your Executive Sponsor

### Suggestion: Gain leadership sponsors

In addition to executive sponsorship, some of our TMRGs have found gaining Director+ sponsors very beneficial in the advancement of there TMRG, MIT TMRG is a great example of this.

### Hold your first All GitLab event/session

A great way to gain traction and have an initial goal. Is to develop a All GitLab event. Check out the [Coming Out Day session](https://www.youtube.com/watch?v=OUKWs6hkMQY) from the Pride TMRG.

Develop a working group and figure out how you want to do this. Ideas could include but not limited to:

- Roundtables
- External Speakers
- Panel Sessions

**Suggested process for your event**

1. Contact your DIB Partner with the idea and formulate with them on the format that you would like it to take.
1. Source and confirm speakers whether internally or externally, set the date & time, taking into account budget considerations, regions etc.
1. DIB Partner and TMRG Lead will work with the People Connect Team via HelpLab to schedule the event on the Team Meetings calendars.
1. Post the event to the appropriate Slack Channels.

### Execute strategy

### Re-Strategize every 6-12 months
