---
title: Advanced Software Engineering Course - Morehouse College
description: "Diversity, Inclusion and Belongingare fundamental to the success of GitLab and the collaboration with Morehouse College, an HBCU, is an example of GitLab living our values."
---

Diversity, Inclusion and Belonging ([DIB](/handbook/company/culture/inclusion/)) are fundamental to the success of GitLab and the collaboration with [Morehouse College](https://www.morehouse.edu), an [HBCU](https://en.wikipedia.org/wiki/Historically_black_colleges_and_universities), is an example of GitLab living our values. The Engineering organization has developed a curriculum that provides a holistic education for Computer Science students. This course will teach students about:

- Software Development Tools
- Real-world Software Development Roles & Responsibilities
- Real-world Software Development Lifecycle
- Remote work environment best practices

## GitLab Benefits

- Partnering with HBCUs will provide an opportunity for GitLab to diversify it's talent acquisition pipeline, and enhance its commitment to diversity.
- Opportunity to diversify and to our Community of Contributors
- Evangelizing GitLab software to future Engineers
- Opportunity to diversify our talent acquisition pipeline

## Student Benefits

- Develop an actual feature for GitLab, a software used by 40 million users
- Multiple Subject Matter Experts (Engineering, User Experience, Quality Assurance, Product Management, etc.) will instruct classes
- Due to our workforce spanning global time zones, office hour support will be very flexible
- Students will have a real-world experience and understanding of delivering software solutions to users applying a modern JavaScript web framework technology to build web applications when given customer requirements.
- Dive into Real-world Development Cycle
- Access to Software Engineers experts that are fully distributed across the globe
- Ability to apply for Apprenticeships or Full Time Employment based on availability

## Organization

- [Darva Satcher](/handbook/company/team/#dsatcher), Director, Engineering

### Instructors

The GitLab instructors below have volunteered their time to create the course content that made this course possible. A special thanks goes out to each person listed below:

- [Brendan O'Leary](/handbook/company/team/#brendan), Senior Developer Evangelist
- [Michael Friedrich](/handbook/company/team/#dnsmichi), Developer Advocate
- Darren Murph, Head of Remote
- [Paul Slaughter](/handbook/company/team/#pslaughter), Senior Frontend Engineer
- [Tim Zallmann](/handbook/company/team/#timzallmann), Director of Engineering
- [Ash McKenzie](/handbook/company/team/#ashmckenzie), Staff Backend Engineer
- [Florie Guibert](/handbook/company/team/#fguibert), Senior Frontend Engineer
- [Taurie Davis](/handbook/company/team/#tauriedavis), Product Design Manager
- [Darren Eastman](/handbook/company/team/#darreneastman), Senior Product Manager
- [Ezekiel Kigbo](/handbook/company/team/#ekigbo), Senior Frontend Engineer
- [Dave Smith](/handbook/company/team/#dawsmith), Engineering Manager, Reliability
- [Andrew Kelly](/handbook/company/team/#ankelly), Senior Security Engineer
- [Alishan Ladhani](/handbook/company/team/#ali-gitlab), Backend Engineer
- [David O'Regan](/handbook/company/team/#oregand), Engineer Manager
- [Dennis Tang](/handbook/company/team/#dennis), Frontend Engineering Manager
- [Thomas Randolph](/handbook/company/team/#thomasrandolph), Senior Frontend Engineer
- [Eric Schurter](/handbook/company/team/#ericschurter), Senior Product Manager
- [Sean Carroll](/handbook/company/team/#sean_carroll), Engineering Manager
- [Sharif Bennett](/handbook/company/team/#sharifatl), Mid Market Account Executive

## Career Stories

The GitLab team members have shared their personal life experiences starting from their time in university up until their employment here at GitLab in an effort to show students several different career paths available to them. A special thanks goes out to each person listed below:

- [Interview with GitLab Product Manager Darren Eastman](https://youtu.be/TOZ29Q-AJyA)
- [Interview with GitLab Product Designer Timothy Noah](https://youtu.be/thkDMMk32PI)
- [Interview with GitLab UX Researcher Katherine Okpara](https://youtu.be/A6id0ZiCK_0)
- [Interview with Senior Frontend Engineer Ezekiel Kigbo](https://youtu.be/_bnZCKQHdbw)
- [Interview with GitLab Backend Engineer Serena Fang](https://youtu.be/nRcDCECs3h4)
- [Interview with GitLab Support Engineer Brie Carranza](https://youtu.be/d2vo_--lX-M)
- [Interview with GitLab Software Engineer in Test Mark Lapierre](https://youtu.be/lU-gRtRZ_Do)
- [Interview with GitLab Mid Market Account Executive Rashad Bartholomew](https://www.youtube.com/watch?v=tu7x_Lx373s)
- [Interview with GitLab Security Engineer Juliet Wanjohi](https://youtu.be/d0WKjCPtcUs)
- [Interview with GitLab Senior Engineering Manager Darva Satcher](https://www.youtube.com/watch?v=MOO-Rmlms3c )

## Topics Covered in the Course

- [GitLab Overview](https://docs.google.com/presentation/d/1IKSQnrraLHh20kWeYs2ftG9vOzzjMk7i0XO46sZyozs/edit#slide=id.g33dd8d4a56_0_0)
- [Using GitLab for Software Development](https://docs.google.com/presentation/d/1_Fh9C1zn9ovZGOZhDbeB1ap4abzLMVC-F5Mp4Q6cDQQ/edit?usp=sharing)
- [Continuous Integration (CI) and Continuous Delivery (CD)](https://docs.google.com/presentation/d/1GCuWqu8kC4YwALNJKtkE_jp2Y2jXqSZCCwvj5vbPcsI/edit?usp=sharing)
- [Markdown](https://docs.google.com/presentation/d/1cQSHGJCjnO0893aTDgDa8I2NXTURYq0zIPCGuj2jvn8/)
- [Working Remotely](https://docs.google.com/presentation/d/1ud9V8Fuw0X-gvw3MuYtBXbC_XpG-yXk7crhcJTkuhwM/edit#slide=id.g33dd8d4a56_0_0)
- [GitPod](https://docs.google.com/presentation/d/1viVjBaskfsqfavUjGBxsFAq9iI1eJ8I9DTxE2d6wj_I)
- [CSS](https://docs.google.com/presentation/d/14lDoSOaUuogJnbzDTWKaC3IX4TBUu0BvLWr7FXB8ysA/edit#slide=id.p)
- [JavaScript](https://docs.google.com/presentation/d/1SXvuHSsYQAy5K4k2NqiJoVMYMFvxQBim9mu8ga1I7O0/edit#slide=id.g33dd8d4a56_0_0)
- [User Experience](https://docs.google.com/presentation/d/1mlJeY-Qa74qf_5efKKXl6DrddFpOZM5l1yTogcSSgo8/edit)
- [Product Management](https://docs.google.com/presentation/d/1-VNBfD01y8_AkrUDLez7b2FABBuI0ZmntGyClk4d-68/edit)
- [Frontend Engineering](https://docs.google.com/presentation/d/1BVzIGOD1Iis5elN00vcd_3-vKDWkR7U0QvmDkBFFK2Y/edit)
- [Backend Engineering](https://docs.google.com/presentation/d/1lNvXgFTczimNowmLJyEpQKXSZtbpAVeJkSH5XMCbKIg/edit)
- [Reliability Engineering](https://docs.google.com/presentation/d/1sKD4hFt_zTVdw80_aZOrVKErtRzqKpHNG4YtPT_RkW0/edit?usp=sharing)
- [Building a GitLab feature: How does a file viewer work?](https://docs.google.com/presentation/d/1fnjnD1TDvlYSVwNeJEMe5spZ-iFXosDYiPLuvE0xPTA/edit)
- [Building a GitLab feature: Getting Something on the screen](https://docs.google.com/presentation/d/1fH2kUuf2zSI3cI4XMfio0FJ_I3Z7rJUbWIBZvsD3J5c/edit#slide=id.g33dd8d4a56_0_0)
- [Building a GitLab feature: Setting up a component architecture in Vue](https://docs.google.com/presentation/d/1mldZybxLf2TswyzXJs8bSkidAGcOLLMoD6IKIBdK6ZY/edit?usp=sharing)
- [Handling Reviews](https://docs.google.com/presentation/d/1MZQ4ohhnUfHXv8DKF7_tzIxr2PPj-n7rrAV8tQc87L4/edit?usp=sharing)
- [Polishing a Merge Request](https://docs.google.com/presentation/d/1eLMUwo8kR9M5UD8_BZy_uqpyxh9_tsSp0xS0yKHyEcU/edit?usp=sharing)
- Quality Engineering
- Security Engineering

## Instructor FAQs

**What technology is used to teach the lecture?**

- All lectures are conducted over Zoom, the Zoom link will be in the Google Calendar invite.

**Who will review the course homework?**

- Homework will be reviewed by the Instructor unless otherwise organized.

**When is the homework reviewed?**

- Homework is to be reviewed once the due date has expired.

**Should there be any breaks during the session?**

- Have a small break every 10-15mins or so, allowing time for questions, feedback, etc.

## How we use GitLab to run this course

For those interested in using GitLab to support a course whether it is Face to Face or online, please use the table below as a guide. GitLab turned out to be an excellent collaboration tool for offering an organized learning environment.

| GitLab Feature | How this feature is used in this course |
| -------------- | --------------------------------------- |
| [Pages](https://docs.gitlab.com/ee/user/project/pages/) | The course website runs using GitLab Pages. |
| [Projects](https://docs.gitlab.com/ee/user/project/) | Used as an environment for working on their homework and receiving more confidential feedback. |
| [Issues](https://docs.gitlab.com/ee/user/project/issues/) | Used for classroom discussions and for turning in some assignments (by linking to their personal projects). |
| [Merge Requests](https://docs.gitlab.com/ee/user/project/merge_requests/) | Used to contribute to GitLab. |
| [GitLab CI (Continuous Integration)](https://docs.gitlab.com/ee/ci/) | Used to build and test the software when students push code to production. |
| [GitLab CD(Continuous Deployment)](https://docs.gitlab.com/ee/ci/) | Used to push every day code changes into the production environment resulting in continuous deployments to production. |
| [Requirements](https://docs.gitlab.com/ee/user/project/requirements/) | Used for homework assignments to mimic real world environments where you have customers who submit requirements to engineering teams. |
| [Designs](https://docs.gitlab.com/ee/user/project/issues/design_management.html) | Used for homework assignments to provide a visual for the Handbook Pages they will contribute to |
| [GitLab Handbook](/handbook) | Students will learn to update the GitLab Handbook and they will also use some Handbook content as supplemental lecture material. |
| [GitLab Docs](https://docs.gitlab.com) | Students will use GitLab docs as supplemental lecture material. |
