---
title: "Minorities in Tech Mentoring Program"
description: "The purpose of the MIT Mentoring Program is to improve GitLab's ability to attract, retain and engage minority team members."
---

## Purpose

The purpose of the MIT Mentoring Program is to improve GitLab's ability to attract, retain and engage minority team members. Through this program we can build relationships between team members and develop relationships across GitLab.

## Goals

Diversity is a core value at GitLab and this program enables GitLab to support this value. In addition to hopefully improving team member retention rates, this program will provide the following for minorities currently employed at GitLab:

- Leadership training
- Career development support
- Enhanced relationship with team members

## Projects

During every cycle of this program we end with a virtual showcase for all of the projects the Mentees and Mentors worked on during the program.  Through these projects the participants acquire leadership skills, career development support and improved relationships across the organization.

[Learn More](projects/2020/)

## Roles & Responsibilities

### Mentees

- Complete Initial Questionnaire form
- Complete GitLab Mentee Training
- Schedule bi-weekly meetings with your Mentor and arrive prepared with a pre-populated agenda
- Identify your goals and share them with your Mentor
- Complete an Independent Project
- Keep your Mentor informed of progress being made on the project
- Participate in the End of the Program Showcase

### Mentors

- Complete [Questionnaire](https://docs.google.com/forms/d/e/1FAIpQLSctTamiQdaAubr-gDJNNpgwa_xyx7rmDMOmlOszJc5veedKKQ/viewform?vc=0&c=0&w=1)
- Complete GitLab Mentor Training
- Attend bi-weekly meetings with your Mentee
- Provide guidance to Mentees
- Share professional experiences that will enrich the Mentoring Process

### Minorities in Tech (MIT) Mentoring Program Working Group

- Evangelize the program to GitLab team members
- Define the mentoring program's framework and processes
- Attend the End of the Program Showcase

### Minorities in Tech (MIT) TMRG

- Evangelize the program to GitLab team members
- Provide resources and support to the mentorship program and working group as needed

## Matching Mentors & Mentees

Mentors and Mentees will be asked to complete a questionnaire. The responses received will enable a small, three-person sub committee from the Mentoring Program Working Group to determine the best matches based on the participants who have applied for the program. Some example of criteria that will be used for matching are:

- Career Track
- Geography
- Values
- Departments / Sub-Departments

*There will be an option to provide the Mentees with a second round of matches in case the first round is not a good fit. Matching may not always be compatible, but we will do our best to ensure successful matches even if we have to start over.*

## Program Structure

The program will have four phases:

1. Enrollment of participants
1. Participant training
1. Program launch
1. Program conclusion/End of the Program Showcase

[Learn More about the mentorship program's structure.](program-structure/)
