---
title: "MIT Mentoring Program Structure"
description: "Here you will find information about GitLab MIT Mentoring Program Structure."
---

## Program Structure

The program will have four phases:

1. Enrollment of participants
1. Participant training
1. Program launch
1. Program conclusion/End of the Program Showcase

## Phase 1: Enrollment of participants

- Mentors will volunteer to participate in the program
- Mentees will volunteer to participate in the program
- Both Mentors and Mentees will complete questionnaires
- Three members from the Mentoring Program Working Group will compare the questionnaires and match one Mentee with three potential Mentors
- Mentees will be sent an email with the LinkedIn Profiles of **three** possible Mentors
- Mentees will select a Mentor and notify the Mentoring Program Working Group
- The Mentors will be notified of their Mentee via email

## Phase 2: Participant training

- Participants will be asked to review the [Mentoring Handbook](/handbook/engineering/careers/mentoring/) page prior to the start of the program

## Phase 3: Program launch

- Program Kickoff meeting is scheduled
- Mentors and Mentees meet regularly
- Mentees work on Independent Projects with support of Mentors

## Phase 4: Program conclusion/End of the Program Showcase

- Participants attend a Virtual Showcase featuring the Independent Projects
- Post-program Evaluation
- Recognition

### Timeline

|   | Timeframe |
| ------ | ------ |
| **Enroll Participants** | May 2020 |
| **Training / Program Kickoff** | June 2020 |
| **Mentor / Mentee Sessions** | June 2020 - August 2020 |
| **Virtual Showcase** | September 2020 |
| **Program Evaluation** | September 2020 |

### Virtual Showcase

#### What will be presented in the Showcase?

At the start of the program, the Mentor and Mentee will decide on an Independent Project for the Mentee to work on. This Project will be based on supporting the professional development of the Mentees.

At the end of the program, the Mentor / Mentee pair will [present](https://docs.google.com/presentation/d/1kottit7eEl2iDf9zC5fHvTsgPQSHZ_VUyik5tB14kFc/edit?usp=sharing)  an overview of their Independent Project. Some examples of Independent Projects by mentees include:

- Leading a presentation
- Exhibiting commitment to a GitLab value by a specific action
- Developing a plan or project
- Contribution of improvements to a particular area of project
- Participation in a GitLab Working Group

There will be two Virtual Showcases to accommodate the various timezones. The Showcase will be held at the end of the mentoring program. All program participants will be required to attend the showcase.

### Post Program Evaluation

#### Mentee Survey

This survey would be given to Mentees and Mentors to:

- Measure their experience in the program
- Solicit suggestions for improvements
- Highlight aspects of the program that stood out in a positive manner
- Ask if they would recommend the program to their peers

#### Mentee / Mentor Supervisor Survey

- Measure participant behavior during the program
- Measure whether the Mentor and/or Mentee have begun to illustrate new behaviors following the experience

### Recognition

Mentor / Mentees should be recognized for their participation. Here are a some possible ways participants would be recognized for their work in the MIT Mentoring Program:

- Slack channel announcements
- Company announcements
- Diversity value consideration during annual reviews
- Being interviewed for a GitLab blog post or video
