---
title: "Influencer Group Guidelines"
description: "This document provides team members with the information they need to understand and sustain a Diversity, Inclusion & Belonging Influencer Group."
---

### Purpose and Benefits of a DIB Influencer Group

Internal diversity groups are a valuable component of a company's diversity, inclusion, and belonging strategy because they provide an inclusive and effective mechanism for managing and initiating diversity, inclusion, and belonging programs. Diversity councils/groups successfully integrate the company's DIB programs with their operations, strategies, missions, and objectives. They provide platforms for assessing the effectiveness of the DIB program, introducing reform, and overseeing DIB. They also demonstrate the company's commitment to DIB.

The Global DIB Influencer Group is an action oriented group that advocates, sponsors and evangelizes DIB initiatives and is a voice for all team members on matters of Diversity, Inclusion & Belonging.

### Responsibilities of the Group

- Become influencers with regards to Diversity, Inclusion & Belonging at GitLab:
  - Be a go to person for DIB related queries and issues
  - Reply and engage in team member DIB Discussions in issues or slack
  - Blogging and other social activities
- Have a pulse on team member sentiment towards inclusion and develop actions in conjunction with the DIB team
- Assist the DIB team in evangelizing Trainings, Programs, and Initiatives
- Act as an advocate and/or sponsor for DIB throughout GitLab. Embodying the value and being an active ally for URGs
- Align GitLab's organization and programs with business needs, practices, and strategies
- Have a long-term strategy, stated purposes, goals, objectives, and a mission statement
- Partner with senior leadership for support and participation
- Demonstrate the importance of diversity to the success of the enterprise
- Communicate the goals and objectives, program efforts, and successes consistently and repeatedly to GitLab team members
- Each member should commit to serving a minimum of 1 year in the group

#### Items that the group is not Responsible for

Items that are specific to a [Team Member Resource Group (TMRG)]({{< ref "erg-guide" >}}) should be passed to the TMRG (for example, the [women's TMRG]({{< ref "tmrg-gitlab-women" >}}) may wish to handle the Grace Hopper Celebration planning).

### Roles Within the Group

#### Influencer Group Members

At GitLab we all contribute! Everyone has an opportunity to lead and provide feedback within the group. The group will be refreshed each October/November. Members will be asked to confirm participation, group size and membership will be evaluated to confirm we are sufficiently diverse to represent the needs of team members at GitLab.

#### Executive Sponsor

An executive GitLab team member who is responsible and accountable for strategic support of the group

- Share accountability for the success of the DIB group
- Participate as an active member of the DIB group
- Share information about the DIB group activities with other leaders
- Provide insight and guidance to DIB group as needed
- Partner with the DIB group/council Lead and Co-Lead on issues, concerns, and resource needs of the community
- May provide additional budget

#### Leads

The Influencer group will have two leads who are GitLab team members and are responsible and accountable for strategic direction and operations of the DIB Influencer Group

- Operational lead of the DIB Influencer Group
- Ensures that the monthly meeting is scheduled accommodating for various timezones
- Responsible for leading the monthly call
- Responsible for submitting annual and quarterly plans, inclusive of a quarterly budget outlook
- Ensuring that all action items are posted in a monthly issue
- Act as an accountability lead for all action items and follow ups

### Member

There will be a maximum of 25 members of the DIB Influencer Group including the two leads. The members of the group will have representation across multiple diversity dimensions including but not limited to:

- Ethnicity
- Gender
- Sexuality
- Geographic
- Seniority
- Department
- Job Function

The current members of the DIB Influencer Group are shown here

#### Project Groups

A GitLab team member who is responsible and accountable for specific deliverables of the DIB Influencer Group

- For example, members who volunteer to be part of the newsletter group.

## Achieving Action

To ensure that the group is achieving action the following steps will happen.

- The DIB Influencer Group will decide on a goal that they want to achieve for a quarter
- The Leads and DIB Team will put together a series of actions that can be taken by the DIB Influencer Group
- These bite-sized actions will be posted to all DIB Influencer Group members on a bi-weekly basis for the group members to take action on.
- On a monthly basis the DIB Influencer Group will meet to discuss the action taken and any results from the action

## Selection Criteria

- [The team member must be performing]({{< ref "underperformance" >}}) in their role and not part of any performance management process as confirmed by the People Group
- Must be a full-time GitLab team member - this includes PEO and full-time contractor team members
- At least 6-month tenure at GitLab
- Approval from your direct manager, support to commit the time and to use this leadership role as a professional development opportunity
- Willing to commit to the role as outlined in the commitments section

## Selection Process

In January of each year the DIB Team will ask the existing members and leads if they wish to continue on their role as a member of the DIB Influencer Group.

Once this process is complete, the DIB Team will identify how many new positions are available.

- The DIB Team will advertise the open positions in January in the #diversity_inclusion_and_belonging  Slack Channel (internal), DIB Monthly Call and utilize the existing DIB Influencer Group members to evangelize the opportunity
- If a team member wishes to join they will complete the DIB Influencer Group application issue
- The DIB Team will review the applications ensuring that the new members meet the selection criteria and replace or add member to the group pending any gaps
- They will join the annual kick off meeting as new members in March

Once a quarter, the DIB Team will assess attendance, team member departure, and contributions of the DIB Influencer Group. If group size drops below 25, this process will be initiated.

## Nominating DIB influencer Group Leads

- The DIB Team will announce a vacancies for TMRG leadership in the appropriate slack channels
- The nomination process will stay open for three weeks from the original slack message
- A team member will nominate themselves for a lead role by completing the TMRG Lead Nomination Issue template
- The DIB team will consult with existing DIB Influencer Members, Leads, The People Team, Executive Sponsors, and Managers to decide who will take the leadership positions. This is to ensure the best person for the DIB Influencer program is selected and diversity of departments, geography and URGs are properly represented.

## Accountabilities and Commitments

These are the Accountabilities and Commitments of the DIB Influencer Group for the duration of tenure:

- To being an active member of the DIB Influencer Group this includes but is not limited:
  - Attending a monthly sync meeting that is suitable for your working hours. We will either host two meetings: Once in AM PST and once in PM PST to allow all members to attend bi-monthly
  - Actively participate in the monthly meeting by providing leadership, insights and actions on agenda items
  - Reading the notes or viewing the recording from the sync call you were unable to attend
  - Taking on action items as an individual or part of a group
  - Advocate and sponsor DIB programs, Initiatives, and Trainings
- Contribute asynchronously on projects that the group is working on
- Actively seek and distribute DIB related information within your department and other team members
- Develop measurables on a yearly and quarterly basis such as OKRs, KPIs or other measurable goals
- Work with the DIB Influencer Group leads to develop a strategy
- Be a trusted DIB Influencer to team members on DIB related issues and processes
- Maintain the requirements outlined in the selection process
- Minimum one year commitment

If you are no longer able to maintain these Accountabilities and Commitments you should let the DIB team know as soon as possible. If the DIB Team recognises that a member of the DIB Influencer Group is not maintaining the Accountabilities and Commitments:

- They will provide the member with feedback and ask if they are willing to renew there Accountabilities and Commitments
- If they feel they are able to recommit their membership will to continue
- If they feel they are unable to recommit we will start the selection process for a new member
- If a member continues to not meet the Accountabilities and Commitments then the DIB Team will let the member know that they will no longer be apart of the DIB Influencer Group and begin the selection process

## Processes for the DIB Influencer Group

## Annual Kick-off Call

Details to follow

## DIB Influencer Group Meeting Monthly Meeting

### Agenda

- Members will do their best to add agenda items 48 hours before the meeting
- Members will review the agenda 24 hours before the meeting
- Each agenda item will have a maximum of 5 minutes of discussion. If the agenda item has not been resolved, we will move the item to an issue and contribute async
- We will follow the agenda as closely as possible but ensuring that live answers from SMEs are heard

### Actions

The lead or co-lead will create all the actions from the DIB Influencer Group Meeting into individual issues and assign them to a monthly EPIC.
The lead or co-lead will assign the agreed upon member/s for the action to the issue
The member/s responsible will provide updates on the progress in the issue and in the next DIB Influencer Group meeting
Once complete, the assigned members will close the issue
The members of the DIB Influencer Group should ensure they do not take on more actions than they are able to handle

## Examples of DIB Influencer Group Projects

- Evangelize a new DIB training to Team Members
- Gather insights from team members regarding programs or initiatives
- Speak at conferences related to DIB at GitLab
- Work with the Executive DIB Council on key strategic initiatives
- Run a listening session with an executive from team member feedback
- Update a process that is affecting team members
- Introduce new benefits that could assist team members
- Work with a TMRG on a project
