---
title: Leadership Diversity Inclusion & Belonging Council
description: "A strategic group of Senior leaders URG Leaders who assist the DIB team to implement the strategy and align the strategy to the Division's strategic imperatives"
canonical_path: "/company/culture/inclusion/leadership-dib-council/"
---

A strategic group of Senior leaders Leaders who assist the DIB team in implementing the Corporate DIB strategy and provide insights to the DIB team on the Division's strategic imperatives.  Each representative will bring a unique set of capabilities such as but not limited to:

- Location Diversity
- Manage a team that are geographically dispersed (providing expertise on geographical diversity)
- Division expertise
- Leader from an Underrepresented Group - Ethnic, Gender, LGBTQ, Neurodiverse, disabilities, etc.

## Responsibilities

1. Ensure that the DIB strategic imperatives are embedded into business goals.
1. Unblock obstacles encountered while implementing GitLab DIB strategy globally
1. Provide Division and/ or geographic insights to the DIB team
1. Represent DIB in e-group and CEO Skips syncs.
1. Play the role of DIB Interruptor - actively advocate, challenge the norm and iterate to ensure Diversity, Inclusion and Belonging remains top of mind in their divisions amongst other senior leaders

## Structure & Members

Senior leadership representative (Snr. Dir +) from each Department and a person from an underrepresented group who is manager+ where representation at Snr Dir+ is not possible.

- Engineering - Two Representatives
  - Darva Satcher
  - Tim Zallman
- Product - Two Representatives
  - Taylor McCaslin
  - TBC
- Sales - Two Representatives
  - Sherrod Patching
  - Michel Isnard
- Marketing - Two Representatives
  - Christine Lee
  - Amie Bright
- Finance
  - Andrew Murray
  - Dennis van Rooijen
- Legal & Corporate Affairs
  - Stacy Cline
- Security
  - Joaquin Fuentes
- People
  - People Business Partners
- Representative from DIB Influencer Group
- Office of CEO representative
  - TBC
- VP of DIB - Leadership DIB Council Lead
- DIB Team
- Executive Sponsors

## Selection Criteria

### Department Representatives

- Nominated by the E-Group member for the division: Senior Director + or a person from a URG who is Manager+ where URG representation is not possible at Snr Director+
- The team member must be performing in their role and not in any performance management process as confirmed by the People Group
- Must be a full-time GitLab team member. This includes PEO and full-time contractor team members
- At least 6-month tenure at GitLab
- Good understanding of DIB related issues within the department they are representing and an overall understanding of DIB concepts, programs and initiatives i.e. TMRGs, Unconscious Bias, Psychological Safety etc. Ideally having taken the Neurodiversity Training and/or GitLab Learn Course
- Ability to advocate for the department on DIB related issues
- Ability to advocate for the DIB Strategy and initiatives within your department

### Selection Process

- The DIB Team will ensure that an agenda item is added to the E-Group Weekly Meeting to discuss nominations for the Leadership DIB Council
- The E-Group will have two weeks to provide their nominations for their department to the Chief People Officer or VP of DIB
- The nominees should already have been notified regarding their nomination
- The newly appointment member/s will then receive an introduction, an overview of the mission and purpose of the Leadership DIB Council and the Accountabilities and Commitments
- The newly appointed member/s will then be asked to acknowledge the Accountabilities and Commitments

## Accountabilities and Commitments

These are the Accountabilities and Commitments that members of the Leadership DIB Council will commit to during their tenure on the The Leadership DIB Council:

- To being an active member of the Leadership DIB Council this includes but is not limited:
  - Attending a regular sync meeting that is suitable for your working hours. We will host two meetings: One in AM PST and one in PM PST or switch the times on rotation to allow all members to attend bi-monthly
  - Actively participate in the meeting by providing leadership, insights and actions on agenda items
  - Reading the notes or viewing the recording from the sync call you were unable to attend.
  - Taking on action items as an individual or part of a group
  - Advocate and sponsor DIB programs, Initiatives and Trainings
- Contribute asynchronously via Slack, GitLab or other means on projects that the group is working on
- Actively seek and distribute DIB related information within your department and other team members
- Be a trusted advisor to team members on DIB related issues and processes
- Maintain the requirements outlined in the selection process
- Whilst the role will be incorporated into your day to day actions in advocating for DIB, the role will require 2-3 hours a month including monthly meeting to work on specific actions.
- Minimum one year commitment

If you are no longer able to maintain these Accountabilities and Commitments you should let the DIB team know as soon as possible. If the DIB Team recognises that a member of the Leadership DIB Council is not maintaining the Accountabilities and Commitments they will:

1. Provide the member with feedback and ask if they are willing to renew their Accountabilities and Commitments
    - If they feel they are able to recommit we will allow the member to continue
    - If they feel they are unable to recommit we will start the selection process for a new member
1. If the Leadership DIB Council member continues to not meet the Accountabilities and Commitments then the DIB Team will let the member know that they will no longer be apart of the Council and begin the selection process

## Processes for the Leadership DIB Council

### Annual Kick-off Call

Leadership DIB Council Monthly Meeting

#### Agenda

- Members will do their best to add agenda items 48 hours before the meeting
- Members will review the agenda 24 hours before the meeting
- Each agenda item will have a maximum of 5 minutes of discussion. If the agenda item has not been resolved, we will move the item to an issue and contribute async

We will follow the agenda as closely as possible but ensuring that live answers from SMEs are heard

#### Actions

- The VP of DIB (or DIB Partner) will create all the actions from the Leadership DIB Council Monthly Meeting into individual issues and be assigned to a monthly EPIC.
- The VP of DIB (or DIB Partner) will assign the agreed upon member/s for the action to the issue
- The member/s responsible will provide updates on the progress in the issue and in the Leadership DIB Council Monthly Meeting
- Once completed the members will close the issue
- The members of the Leadership DIB Council should ensure they do not take on more actions than they are able to

#### Communication

All DIB council members will be added to our internal [Google Group](https://groups.google.com/a/gitlab.com/g/dib-council) for invitations and communication.
