---
title: "Privilege for Sale - Activity"
description: "Information for the Privilege for Sale Activity "
---

{{< youtube "RDHpmvN3Ivs" >}}

This is a great interactive activity to get you thinking about Diversity, Inclusion and Belonging.

**The Goals and learning objectives are as follows:**

- To acknowledge and investigate privilege.
- To provide an opportunity for team members to connect and reflect on the experience of having (or not having) privilege.
- To discuss the variety of privileges that underrepresented groups have limited access to. Not just legal privileges but social, financial, etc.
- To discuss how no one privilege is more important than another, that for someone any privilege may feel essential.
- Team members will be able to identify privileges that they take for granted in their everyday life.
- Team members will discuss what types of privileges (social, financial, legal, etc.) are important to them and why that may differ from others in their group.
- Team members will be able to investigate and discuss what groups may have limited access to what privileges and effect that lack of access may have on an individual.
- In the activity you have a list of privileges, you do not have any of these privileges, for the purpose of this exercise.

## The activity

{{< youtube "RgkSafpHrr8" >}}

**There are a number of privileges
You have $1000 to buy privileges, you must decide as a group which privileges you would like to purchase.
Remember to allow everyone to express there opinion and really speak up as to why the privileges you would like to see should be included.**

**The Privileges**

**Below is a list of privileges that are available to buy, each privilege costs $100 and you have $1000 as a group to purchase the privileges**

1. You are never misgendered or have the wrong pronouns used to identify you
1. You are able to feel safe in my interactions with police officers.
1. You are confident that you are paid fairly regardless of your gender
1. You are able to choose almost any career path that you would like and not have many or any limitations placed upon you
1. You are able to go to a doctor and getting treatment that doesn't conflict with your identity
1. Your identity is recognized and taught in the education system
1. Your intelligence is not questioned due to your accent or the way you speak
1. You can walk down the street without fear of being sexually assaulted
1. You are confident that if you exceed in your job you will have the opportunity to be promoted
1. You are able to see people who identify similar to you in executive and leadership positions
1. You are able to Kiss/hug/be affectionate in public without threat or punishment.
1. You are free to have a bad day or be in a bad mood without it being blamed on your identity
1. You are able to go shopping alone knowing that you won't be followed or harassed by security
1. You are given the access to the tools/systems/equipment necessary for to succeed in and out of the workplace
1. You can leave my home knowing that you will have accessibility to transport, shops and buildings
1. You can be confident that your age is not seen negatively when you apply for a new job
1. You are able to sponsor your partner for citizenship in the country you live in
1. You have access to health insurance provided through your job that covers the necessary medical treatments you need
1. You are able to read books, watch movies and other media where you share identities with the characters
1. You are able to use public restrooms or changing facilities without stares or fears of physical/verbal abuse.

## Debrief

{{< youtube "4ZBvgOGI7Bc" >}}

Now that you have finished the activity debrief on following:

- How did they activity make you feel?
- What were you surprised about?
- What did you learn from other team members experiences?
- Why was money chosen as a mode to gain privileges?
- What did you learn from this experience?

Once you have fully completed the activity, create a handbook entry on the DIB Roundtable Sharing Page. Share which privileges your chose and rationale plus any learnings you had.

## Best Practices

### For Facilitators

- **Scheduling:** Use Google Calendar's [group scheduling feature](https://drive.google.com/file/d/1fKQSeuNQc08ZRZf68IioKEhH7E07pec-/view?usp=sharing) (`Meet with...`), located to the left of the calendar, to find a time that works for all participants. Schedule a 50 min meeting, or longer, if participants are able and willing.
- **Preparing for the roundtable:** Create a copy of this suggested [facilitator template](https://docs.google.com/document/d/1BlIYfqtMWIkJUulqZYsgNq5_3bKihdyb5fGOeOpZVxI/edit#) and share it with participants only (do not share with "everyone at GitLab" since the DIB Roundtable is a safe space, with information shared needing to stay just between the group participants). Add in participant's names where relevant in the doc (e.g. `Participant 1's list`).
- **How to facilitate:** A possible way to facilitate the Privilege for Sale activity is to ask everyone to take a few mins to choose their top 10 in the lists you've prepared for them. When they are finished, ask them to add a `+ Initial` to the group list (e.g. "You are able to feel safe" +N, +P, +D, +S). This will help you visually see which privileges are the most popular and may help you to begin the conversation.
