---
title: "TMAG - Generational Understanding"
description: "We are the Generational Understanding Resource Group (TMAG) founded in the summer of 2020. Learn more!"
---

## Mission

The mission of the generational understanding [TMAG]({{< ref "erg-guide" >}}) is to ensure that team members of all ages feel they have a safe space to communicate, unite and share issues that are reflective of their experience while at GitLab, and to explicitly foster more sharing of wisdom across generations. We encourage a work culture where GitLab team members of all ages are valued, empowered, and given opportunities to develop and contribute to their full potential. This culture will be a competitive advantage for GitLab, as it helps GitLab become a thought leader on this topic. It will leverage the wisdom of all team members, as it helps identify ongoing patterns as well as best practices for mentoring.

## Lead(s)

- [Miles Russell](https://gitlab.com/mdrussell) - from earlier 1/3 of current workplace generations.
- [Terri Chu](https://gitlab.com/terrichu) - from middle 1/3 of current workplace generations.

## How to Join

- Please sign up for the [Generational Understanding Google Group](https://groups.google.com/a/gitlab.com/g/Generational_Differences_ERG) to be added to the Generational Understanding TMAG. This will ensure you're added to upcoming TMAG calendar events. It might take up to 24 hours before the calendar events appear on your calendar. If there is an event happening within 24 hours of you joining the Google Group, please post in the [#generational_understanding](https://gitlab.slack.com/archives/C014A4NNVG8/p1596576533036100) Slack channel to be added manually.
- Join the [#generational_understanding](https://gitlab.slack.com/archives/C014A4NNVG8/p1596576533036100) Slack channel for conversation, announcements, and connecting with other TMAG members. Feel welcome to introduce yourself in the channel when you join!

## Activities

### Recurring Activities

- Monthly Group Meeting - [Agenda](https://docs.google.com/document/d/1h81q60KnCJFsATKjZKOFglBmgkv8TlGrKY8punX2SEg/edit#heading=h.hypr6mscnzqs)

In the monthly call we'll divide our time into three parts:

1. **Discussion topics**: Ahead of the call, we'll identify a discussion topic focusing on challenges and opportunities arising from different generations working together. During the call, everyone is welcomed to participate in the discussion or just sit in and soak up the atmosphere. The goal here is to create a forum for team members from different generations to collaborate in a safe and welcoming space. If you have an idea for topics, please add them [here](https://gitlab.com/gitlab-com/generational-understanding-tmrg/-/issues/19)!
1. **Open issues**: We'll take time to review new and lingering open [issues](https://gitlab.com/gitlab-com/generational-understanding-tmrg/-/issues/?sort=created_date&state=opened&first_page_size=100) related to the TMAG.
1. **Questions/free form discussion**: We don't want to leave any ideas or discussion on the table, so we'll reserve time to ensure folks can share and ask questions as needed.

### As Needed Activities

- Responding to recruiting requests for candidates who wish to talk about Generational Understanding at GitLab.

### Past Activities

#### Film Discussion - Duty Free

Join our [Film Discussion](https://gitlab.com/gitlab-com/book-clubs/-/issues/26). In this iteration, we're watching the film "Duty Free". About the film:

> After a 75 year-old immigrant mother gets fired without cause from her lifelong job as a hotel housekeeper, her son takes her on a bucket-list adventure to reclaim her life. As she struggles to find work, he documents a journey that uncovers the economic insecurity shaping not only her future, but that of an entire generation.

#### Book Club - Wisdom at Work

Join our [Book Club](https://gitlab.com/gitlab-com/book-clubs/-/issues/13)! In this iteration, we're discussing the book "Wisdom at Work: The Making of a Modern Elder" by Chip Conley. The book is self-described as:

> Part manifesto and part playbook, Wisdom@Work ignites an urgent conversation about ageism in the workplace, calling on us to treat age as we would other type of diversity. In the process, Conley liberates the term "elder" from the stigma of "elderly," and inspires us to embrace wisdom as a path to growing whole, not old. Whether you've been forced to make a mid-career change, are choosing to work past retirement age, or are struggling to keep up with the millennials rising up the ranks, Wisdom@Work will help you write your next chapter.

Our current book club discussions are running from 10/29/2020 through 12/10/2020. Add yourself to the Book Club issue linked above and join us in our Zoom meetings or contribute asynchronously through our issue discussions.

Common misperceptions about older workers:

- Poor performers and less engaged
- Resistant to change
- Less able to learn
- Shorter tenure
- More costly
- Less trusting
- Less healthy
- Work-family imbalance
- Technical skills not up-to-date

## Links

Links to interesting handbook pages, articles, books, and training

### Handbook

- [Speaking with TMAG members in the hiring process]({{< ref "talent-acquisition-initiatives#speaking-with-tmrg-members-in-the-hiring-process" >}})
- [Team member identity data]({{< ref "identity-data#age-distribution" >}})
- [Lack of dates on resume]({{< ref "talent-acquisition-initiatives#lack-of-dates-on-your-resume" >}})

### Articles

- [Arxiv: Is 40 the new 60? How popular media portrays the employability of older software developers](https://arxiv.org/ftp/arxiv/papers/2004/2004.05847.pdf)
- [Wired: Surviving as an Old in the Tech World](https://www.wired.com/story/surviving-as-an-old-in-the-tech-world/)
- [LinkedIn: Google Leaders & "Greyglers"​ On Navigating Our Way to Bigger and Better Things](https://www.linkedin.com/pulse/google-leaders-greyglers-navigating-our-way-bigger-better-tracy-wilk/)
- [U.S. Equal Employment Opportunity Commission: Age Discrimination](https://www.eeoc.gov/age-discrimination)
- [Psychology Today:"Young People Are Just Smarter"](https://www.psychologytoday.com/us/blog/boomers-30/201710/young-people-are-just-smarter)
- [How to protect yourself from ageist attitudes](https://www.theguardian.com/careers/2017/apr/27/how-to-protect-yourself-from-ageist-attitudes)
- [How older workers get sidelined in tech](https://web.archive.org/web/20240223232547/https://www.protocol.com/workplace/ageism-tech-workers)

### Training resources

- [LinkedIn:Thriving across our differences](https://www.linkedin.com/learning/confronting-bias-thriving-across-our-differences/outro-with-arianna-huffington)
- [Age Implicit Association Test](https://implicit.harvard.edu/implicit/takeatest.html) - a great resource for testing for conscious and unconscious bias (on age and other factors)
- [LinkedIn: Teaching Gen Z to Collaborate - Managing Generation Z](https://www.linkedin.com/learning/managing-generation-z/teaching-gen-z-to-collaborate) - a presentation on differences between the generations, some context as to why the differences exist, and how to incorporate these differences when managing people from different generations

### Books

- [Wisdom at Work: The Making of a Modern Elder](https://www.amazon.com/Wisdom-Work-Making-Modern-Elder/dp/0525572902)
- [Better Allies: Everyday Actions to Create Inclusive, Engaging Workplaces](https://www.amazon.com/gp/product/1732723311/)

### Videos

- [An overview of the GitLab Generational Understanding TMAG](https://www.youtube.com/watch?v=6eke5700KWc)
