---
title: "TMRG - Caregivers"
description: "Gathering place for the caregivers of GitLab!"
---

Welcome to the Caregivers Team Member Resource Group space! Join us in our Slack channel #caregivers-tmrg to be notified of events and meet other members.

Resources:

- [Caregivers TMRG Slide Deck](https://docs.google.com/presentation/d/1Fn5c9a_jn1mvECzSALaYCaPckK_6ONzsPZsJGLhRRLQ/edit?usp=sharing)
- [Caregivers TMRG GitLab Project](https://gitlab.com/gitlab-com/caregivers-tmrg)
- [Caregivers TMRG Slack Channel](https://gitlab.slack.com/archives/C04N06LM5EV)
- [Caregivers TMRG Google Group](https://groups.google.com/a/gitlab.com/g/caregiver-tmrg)

**Purpose of the TMRG**

The Caregiver TMRG provides a safe space for every GitLab team member to better understand the role of being a caregiver and to build a network of caregivers (including working parents) and their allies at GitLab. This TMRG is non-exclusionary in nature and open to anyone at GitLab.

"There are only four kinds of people in this world: those who have been caregivers, those who are currently caregivers, those who will be caregivers and those who will need caregivers. Caregiving is universal." --  Rosalynn Carter, Former First Lady of the United States

We have four main objectives for this TMRG:

- Providing peer support to TMRG members through a safe space for learning and sharing lived experience.
- Discussing issues faced by working parents and caregivers, providing insight into potential improvements, and offering support to prospective working parents caregivers.
- Providing advice and recommendations to GitLab on initiatives and activities that may better support the retention and attraction of working parents and caregivers.
- Assisting members of the TMRG, as well as other employees, towards better cultural understanding as it relates to being a working parent or caregiver and the particular demands this creates for the individual.
- Supporting GitLab's inclusive culture strategy, by engaging in local and global initiatives and acting as local inclusion champions who are making a positive difference.

## Mission

"To build a community for parents, parents to be, caregivers, and family life allies that promotes the advancement, cultural awareness, and professional development of navigating the challenges of workplace and family life balance."

## Leads

- [Jackie Porter](https://gitlab.com/jreporter)
- [Gena Schawam](https://gitlab.com/gschwam) [Co-Lead]
- Open
- Open

## Executive Sponsors

- [Wendy Barnes](https://gitlab.com/wendybarnes)

## How To Get Involved

- Join our Google Group and connect with us on Slack!

### Upcoming Events

1. April 11th - Happy Healthy Caregiver "Be Bold with Your Time: How to Create (Not Find) Time for Yourself" [Google Calendar Event Link](https://calendar.google.com/calendar/event?action=TEMPLATE&tmeid=NzBjaWk3M3VxOXB2cGlhOG9tOWlkMGFkNnIganBvcnRlckBnaXRsYWIuY29t&tmsrc=jporter%40gitlab.com)
1. August 2nd - Coaching for Caregivers

### Past Events

### Community Involvement

Coming soon!

### Caregiver Resources at GitLab

1. [Flexible PTO]({{< ref "general-and-entity-benefits#paid-time-off" >}})
1. [Financial Wellness]({{< ref "general-and-entity-benefits#financial-wellness" >}})
1. [Care Concierge Pilot]({{< ref "general-and-entity-benefits#financial-wellness" >}})
1. [Family Planning]({{< ref "general-and-entity-benefits#fertility--family-planning" >}})
1. [Parental Leave]({{< ref "general-and-entity-benefits#parental-leave" >}})
