---
title: "TMRG - Black@GitLab"
description: "An overview of our remote TMRG Black@GitLab"
---

![Black@GitLab Welcome](Black-GitLab-SKO23.jpg)
{style="max-width: 50%"}

## Introduction

## Mission

Promote personal and professional development. The overall goal is to position our current and prospective employees in positions such as managers, vice president, directors, etc.

- Drive inclusion and engagement
- Evaluate current retention and hiring procedures
- Provide resources and foster a community

This group is open to all members of the GitLab community.

![Black@GitLab Values](black-gitlab-values.png)
{style="max-width: 50%"}

## Leads

- [Erran Carey](/handbook/company/team/#erran)
- [Madou Coulibaly](/handbook/company/team/#madou)

## Executive Sponsors

- [David DeSanto](/handbook/company/team/#david)
- [Sherida McMullan](/handbook/company/team/#sheridam)
- [Liam McNally](/handbook/company/team/#lmcnally1)

## Career Dev Subcommittees

- [Darva Satcher](/handbook/company/team/#dsatcher)
- [Mam Joof](/handbook/company/team/#mjoof1)
- [Erran Carey](/handbook/company/team/#erran)

## How to Join

- Please sign up [here](https://groups.google.com/a/gitlab.com/g/black-tmrg) to be added to the Black@GitLab TMRG Google Group. This will ensure you're added to upcoming TMRG calendar events. **It might take up to 24 hours before the calendar events appear on your calendar. If there is an event happening within 24 hours of you joining the Google Group, please post in the #black-at-gitlab  Slack channel to be added manually.**
- Join the [#black-at-gitlab](https://gitlab.slack.com/archives/C03KFLT0UJV) Slack channel for conversation, announcements, and connecting with other TMRG members. Please introduce yourself in the channel when you join!
- Join the [#reverse_ama_cro](https://gitlab.slack.com/archives/C029DTTFR0U) Slack channel for communication, transparency, feedback and tracking of actions about the Reverse AMA with Black Team Members.

## Member Involvement

This section is meant to outline how team members in the Black@GitLab TMRG can contribute to key initiatives each quarter. We encourage team members to contribute in any way they feel comfortable and have capacity - from meeting attendance to leading initiatives and anywhere in between!

### Monthly Black@GitLab TMRG Meeting

Every month, one meeting of 45 minutes will be hosted at a time to accommodate in turn US WEST/EAST, EMEA and APAC team members. Allies are always encouraged to attend any TMRG meeting. The call structure includes:

- 25 minutes for full group discussion of agenda topics
- 20 minutes social discussion (NOT RECORDED)

This meeting can be replaced by an edition special one with different structure to cover dedicated topics.

### Quartely CRO Reverse AMA

This meeting is hosted 1x per month as follows

- every 2 months (odd) on the first Thursday at 01:00pm UTC and 01:45pm UTC.
- every 2 months (even) on the second Monday at 04:30pm UTC and 05:15pm UTC.

The purpose is to provide an opportunity to increase and leverage communication between our Sales Leadership and Sales team members who identify as people of color

Understanding and acknowledging that our team members of color are experiencing a lot of emotions right now, and are processing those emotions in different ways. Our [Values](/handbook/values/) promote being inclusive, [Building a Safe Community](/handbook/values/#building-a-safe-community), and [Being an Ally]({{< ref "ally-resources" >}}), and we need to lean into these focus areas, starting with our own team.

### Contribute to a TMRG key initiative

We use our [GitLab issue board](https://gitlab.com/gitlab-com/black-tmrg/-/boards) to coordinate and prioritize projects on a quarterly basis. Contribute to the issue board by:

1. Open a new issue to propose an idea or project
1. Contribute to an open issue that is assigned to a quarterly milestone. These milestones outline the current focus projects of the TMRG

### Events

2023 Black History Month Conversation with Christopher Bouzy, Founder and CEO of [BotSentinel](https://botsentinel.com/) ([watch the video](https://drive.google.com/file/d/1jIwAdJCYxsUJlmEo1otGG5pE6VGC7geM/view))
{.h4}

![Conversation with Christopher Bouzy](conversation_with_Christopher_Bouzy.png)

#### History

{{% details summary="March 2023" %}}
{{% /details %}}

{{% details summary="February 2023" %}}

- [US Black History Month](https://gitlab.com/gitlab-com/black-tmrg/-/issues/23)
- [Black History Month Zoom Background 2023](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/tree/master/design/programs-teams/dib-tmrg/black-gitlab/swag/zoom-backgrounds/black-history-month-zoom-background-2023/png)

  ![black history month zoom background 2023 - 01](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/raw/master/design/programs-teams/dib-tmrg/black-gitlab/swag/zoom-backgrounds/black-history-month-zoom-background-2023/png/black-history-month-zoom-background-2023_01.png)
  {style="width: 20%;"}

- First Swag Drop (SKO)
{{% /details %}}

{{% details summary="January 2023" %}}

- MLK Day - Day of Service
{{% /details %}}

{{% details summary="December  2022" %}}

- Black Author Book Club
- Holiday Giving of $400
- Stocking up on your Stocks
{{% /details %}}

{{% details summary="November  2022" %}}

- TDX Tech Summit (presenting)
{{% /details %}}

{{% details summary="October  2022" %}}

- UK Black History Month
- Black Tech Fest
{{% /details %}}

{{% details summary="September  2022" %}}

- Black is Tech (presenting)
- Sales Sponsorship program
- Black Women's Equal Pay Day
{{% /details %}}

{{% details summary="July-August 2022" %}}

- First Black@GitLab Monthly
- Devcolor sponsorship
{{% /details %}}

{{% details summary="June 2022" %}}

- Juneteenth Video by Marcus
- Juneteenth Speaker: Tyrance Billingsley
- June AMA w/ Board Member Merline Santi
- Announcement of Black TMRG!!
{{% /details %}}

## Additional Resources

- Black Author Book Club: select a book pertaining to career and leadership
- Encouraged to leverage the [Black Speaker Collection](https://blackspeakerscollection.com/) site to find a speaker for event
- Encouraged to leverage [Black in Tech Speakers](https://www.allamericanspeakers.com/lists/black-in-tech.php)

### Black@GitLab Marketing Design

- [Black@GitLab Tshirts Design](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/blob/master/design/programs-teams/dib-tmrg/black-gitlab/swag/t-shirts/pdf/black-gitlab-shirt.pdf)
- [Black History Month Zoom Background 2023](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/tree/master/design/programs-teams/dib-tmrg/black-gitlab/swag/zoom-backgrounds/black-history-month-zoom-background-2023/png)
- [Black@GitLab stickers/banners/logo](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/tree/master/design/programs-teams/dib-tmrg/black-gitlab/png)
