---
title: "TMRG - Gente"
description: "An overview of our TMRG Gente"
---

Bienvenidos, bem-vinda and welcome to the Gente space! We are a TMRG that was started in early 2021. Join us in [our slack channel](https://gitlab.slack.com/archives/C01JL1MGGV9) `#gente` to be notified of our upcoming calls and feel free to check out what we've been up to so far below.

[Gente TMRG Overview Slide Deck](https://docs.google.com/presentation/d/1eQIv4Km0bd9ciuJ-hjmuPSRo1TZxH1f7FcUfau7xQB4/edit#slide=id.gb5fc211329_1_0)

[Gente Project in GitLab](https://gitlab.com/gitlab-com/gente-tmrg)

Slack Channel: `#gente`

[Join our Google Group here](https://groups.google.com/a/gitlab.com/g/latinxtmrg)

## Purpose of the TMRG

The GitLab's Gente TMRG provides a safe space for every GitLab Team member within GitLab to raise awareness and celebrate Latin American culture, and to understand how the diversity of this region can be leveraged to contribute to GitLab's strategic objectives. This group is not exclusionary and is open to anyone who is a GitLab employee and interested in learning more about Latin culture.

## Mission

To promote advancement, cultural awareness, talent recruitment, retention, and professional development for Latinx individuals by giving a voice to the diverse backgrounds of the Latinx community in order to ensure the GitLab messaging continues to reflect its core values of Diversity, Inclusion & Belonging.

## Leads

- [Pilar Mejia](https://gitlab.com/pmejia) - Lead
- [Romer Gonzalez](https://gitlab.com/romerg) — Co Lead
- [Samara Souza](https://gitlab.com/samarasouza) — Co Lead
- [Giuliana Lucchesi](https://gitlab.com/glucchesi) — Co Lead

## Founding alumni

- [Chris Cruz](https://www.linkedin.com/in/christopherjcruz) — Co Lead
- [Hugo Azevedo](https://gitlab.com/hugoazevedo) — Co Lead

## Executive Sponsors

- [Josh Lemos](https://gitlab.com/joshlemos)

## Recurring Events

- Gente TMRG Monthly Call: Monthly on the first Thursday 6:00pm – 6:25pm UTC [Notes](https://docs.google.com/document/d/12dYSDjiVvFt-c6UO9y350pFbrrK5Iq2o/edit)

To get all the Gente events on your calendar, join our Google Group [here](https://groups.google.com/a/gitlab.com/g/latinxtmrg)!

## Past Events

### Hispanic Heritage Month 2023

{{< youtube "ha8wUCl-XYA" >}}

### Security with GitLab's CISO Josh Lemos

{{< youtube "8dNeE-tboDg" >}}

### GitLab Gente TMRG - Arepas tutorial

{{< youtube "pSEAZaDKvMs" >}}

- Take professional photos even with your cellphone: [Issue](https://gitlab.com/gitlab-com/latinx-tmrg/-/issues/78) [Doc](https://docs.google.com/document/d/14_n0B8Wwk7IMfSO_JLNFEC_ytsEWRWikA0G9Pa8YTyg/edit) [Slides](https://drive.google.com/file/d/1I3bkWFpEAQPPEZMMulolnVypORIJFatl/view)
- Latinas in Tech Virtual Summit: [Issue](https://gitlab.com/gitlab-com/latinx-tmrg/-/issues/79)
- Hispanic Heritage Month 2023: [Issue](https://gitlab.com/gitlab-com/latinx-tmrg/-/issues/86)
- Hispanic Heritage Month 2022: [Video](https://youtu.be/PLT2KtXZQ8o?si=8JeS-n6SUCaThRWH)
- Book Club: [Issue](https://gitlab.com/gitlab-com/latinx-tmrg/-/issues/19)
- Look through our [youtube playlist](https://www.youtube.com/playlist?list=PL05JrBw4t0KoBIq6-SQisbcfZKaxxkK8r) to find other past events

## Language specific channels

Within GitLab's Slack, there are language-specific channels for those who want to converse with people in their native tongue or practice learning a new language.

- `#lang-es`
- `#lang-pt`

## Community Outreach

Our Gente members are proud to be contributing externally to the following charitable organizations dedicated to supporting the Latinx community

- [GitLab Community meetups globally](https://www.meetup.com/pro/gitlab/) – [EN](https://www.meetup.com/pro/gitlab/) [ES](https://www.meetup.com/es/pro/gitlab/) [PT](https://www.meetup.com/pt-BR/pro/gitlab/)
- [Techqueria](https://techqueria.org/) – Techqueria is a nonprofit that serves the largest community of Latinx professionals in tech.
- [Latinitas](https://latinitasmagazine.org/) – Empowering all girls to innovate through media and technology
- [Latinas in Tech](https://latinasintech.org/) – We are a non-profit organization with the aim to connect, support, and empower Latina women working in tech. We work hand in hand with top technology companies to create safe spaces for learning, mentorship and recruitment..

## Gente Member Development

Learn more about the Gente community

- [Renaming TMRG issue](https://gitlab.com/gitlab-com/latinx-tmrg/-/issues/40)
- [Why Latinx?](https://www.merriam-webster.com/words-at-play/word-history-latinx)
- [LTX Fest On-Demand](https://my.ltxconnect.org/ltx-fest-on-demand/) – The largest gathering of Latinx folks in tech, advocacy, and entrepreneurship.
- Contribute to GitLab by [translating GitLab](https://translate.gitlab.com/) the product to promote inclusivity.
- [LinkedIn Learning - Leadership in Tech](https://www.linkedin.com/learning/leadership-in-tech/) – Erica Lockheimer successfully rose through the ranks at LinkedIn to become a VP of engineering. In this course, she interviews other leaders—all of whom inspired her own professional journey—about what it takes to carve out a lasting career in the lively, challenging world of tech.

## Learning & Development Resources

1. [Internship for Learning](/handbook/people-group/learning-and-development/internship-for-learning/) - If your manager has coverage, you can spend a percentage of your time working (through an ‘internship’) with another team.
2. [Growth and Development](/handbook/people-group/learning-and-development/growth-and-development/) - Access external resources to develop their career. GitLab team-members are eligible for a reimbursement of up to $10,000 USD per calendar year. Could include Academic Study, 4th Trimester Coaching, Professional Coaching, English Language Courses.
3. [Mentoring at GitLab](/handbook/people-group/learning-and-development/mentor/) - Mentorship is an opportunity to learn from personal experience, background, and perspective. Mentorship builds trust, provides a safe space to make mistakes, and encourages growth for both the mentor and mentee. Reach out in the `#mentoring` Slack channel with questions or feedback.
4. [GitLab Company-Wide Mentorship Program](/handbook/people-group/learning-and-development/mentor/company-program/) - Applications are currently closed. Fill out [this](https://docs.google.com/forms/d/e/1FAIpQLSf5yUA-H0RSeQSA8gj3_2mcdzZJkKLCsU-be-Ygdw5KfCSVLw/viewform) Google form to be notified of mentorship programs happening in FY24!
