---
title: "TMRG - GitLab Pride"
description: "We are the GitLab Pride Team Member Resource Group (TMRG) founded in the fall of 2019. Learn more!"
---

This group strives to connect employees at GitLab that are part of the LGBTQ+ community, or are allies, with professional and personal opportunities to meet others, speak at events, and share their lived experiences to improve and strengthen our community.

## Mission

To ensure that GitLab is proactive in supporting, retaining, and recruiting from the LGBTQ+ community. This group also aims to help develop and coordinate mentoring in the workplace.

## Structure

### Leads

- [Alex Hanselka](https://about.gitlab.com/company/team/#ahanselka)
- [Andrew Chapman](https://about.gitlab.com/company/team/#andrwchapman)

### Executive Sponsor

- [Robin Schulman](https://about.gitlab.com/company/team/#robin)

### Members

- Sign up to get meeting invites by joining the [GitLab Pride Google Group](https://groups.google.com/a/gitlab.com/g/pride-tmrg)
- Join the #lgbtq Slack channel

### Project

- [GitLab Pride Issue Board](https://gitlab.com/gitlab-com/pride-tmrg/)

## Events

### Upcoming

- Transgender Day of Visibility - March 31
- Pride Month - June
- Coming out Day - October 11

[Wikipedia list of LGBTQ awareness periods](https://en.wikipedia.org/wiki/List_of_LGBT_awareness_periods)

### Past

- [Coming Out Day Panel Discussion Recording](https://youtu.be/OUKWs6hkMQY)

## Additional GitLab Resources

- [Gender and Sexual Orientation Identity Definitions and FAQ](/handbook/people-group/orientation-identity/)

## Resources for Being an Ally with the Pride Community

- Gladd.org: [10 Ways to Be an Ally & a Friend](https://glaad.org/transgender/allies/)
- TechStars: Out At Work: [How To Support And Be An Ally To LGBTQ+ Colleagues](https://www.techstars.com/the-line/advice/out-at-work-how-to-support-and-be-an-ally-to-lgbtq-colleagues)
- Forbes: [How To Be An LGBTQ Ally At Work](https://www.forbes.com/sites/brianhonigman/2016/07/20/lgbtq-ally-at-work/#30a6ee0142fc)
- Vox: [Here's what a good LGBTQ ally looks like](https://www.vox.com/identities/2019/6/22/18700875/lgbtq-good-ally)
- PFLAG's [Resources to Being a Lifelong Ally](https://pflag.org/resource/resources-to-being-a-lifelong-ally/)
- Oprah's [Guide to being an LGBTQ Ally](https://www.oprahmag.com/life/relationships-love/a28159555/how-to-be-lgbtq-ally/)
