---
title: "TMRG - GitLab Women"
description: "An overview of our remote TMRG GitLab Women"
---

## Mission

The mission of the GitLab Women TMRG is to cultivate an inclusive environment that supports and encourages those who identify as women to advance their skills and leadership potential through connection, mentorship, collaboration and discussion. This group shall serve as a forum for women to find their voice and be heard within the GitLab community. Through networking, socializing, and professional development, we hope to attract and retain women into GitLab's positions. This group is open to all members of the GitLab community.

Click through to meet some of the women working at GitLab!

<div style="width: 100%;"><div style="position: relative; padding-bottom: 56.25%; padding-top: 0; height: 0;"><iframe title="Women of GitLab" frameborder="0" width="1200" height="675" style="position: absolute; top: 0; left: 0; width: 100%; height: 100%;" src="https://view.genial.ly/63ff7caec23a9700126f4213" type="text/html" allowscriptaccess="always" allowfullscreen="true" scrolling="yes" allownetworking="all"></iframe> </div> </div>

### Pillars

This TMRG is focused on 4 key areas of impact. We call them our pillars. Review the table below to read about the purpose of each pillar and results the TMRG has achieve for each.

| Pillar | Purpose | Example Results |
| ----- | ----- | ----- |
| Awareness and Education | Increase awareness of the experience of TMRG memebers at GitLab and educate allies. | |
| Professional Development | Increase access to opportunity for career and professional growth of TMRG members | [Women at GitLab Mentorship Program](mentorship-program/) |
| Recruiting and Retention | Increase the successful recruitment and retention of women at GitLab | Participate in [candidate TMRG calls](/handbook/hiring/talent-acquisition-framework/coordinator#speaking-with-tmrg-team-members-in-the-hiring-process) by joining the [#candidate_tmrg-call Slack channel](https://app.slack.com/client/T02592416/C03JEQPSN3V/thread/C012GP5CGCR-1655385119.184549) |
| Business Influence | Start and contribute to discusses that influence GitLab the business. | Surface burnout data to People Leadership |

## Leads

- [Kyla Gradin Dahl](/handbook/company/team/#kyla) Lead
- [Winnie Chan](/handbook/company/team/#wyychan) Co-Lead
- [Gosia Ksionek](/handbook/company/team/#mksionek) Co-Lead

## Executive Sponsors

- [Robin Schulman](/handbook/company/team/#rschulman) - Chief Legal Officer and Corporate Secretary

## How to Join

- Please sign up [here](https://groups.google.com/a/gitlab.com/g/womenstmrg) to be added to the Women TMRG Google Group. This will ensure you're added to upcoming TMRG calendar events. **It might take up to 24 hours before the calendar events appear on your calendar. If there is an event happening within 24 hours of you joining the Google Group, please post in the #women Slack channel to be added manually.**
- Join the [#women](https://app.slack.com/client/T02592416/C7V402V8X/thread/CMEH4ML5C-1646249913.156129) Slack channel for conversation, announcements, and connecting with other TMRG members. Please introduce yourself in the channel when you join!

## Member Involvement

This section is meant to outline how team members in the Women TMRG can contribute to key initiatives each quarter. We encourage team members to contribute in any way they feel comfortable and have capacity - from meeting attendance to leading initiatives and anywhere in between!

### Attend the Monthly TMRG Planning Meeting

This meeting is hosted 1x per month on Wednesdays at 2:30pm UTC and 11pm UTC. Allies are always encouraged to attend any TMRG meeting. The call structure includes:

1. 25 minutes for full group discussion of agenda topics
1. 20 minutes small breakout groups for social discussion

We'd like to add a 3rd session of our month meeting to accommodate team members in APAC timezones. If you are interested please reach out in the #women Slack channel.

Call hosts will prepare our meeting agenda using the following structure:

1. Part 1: Quick Updates from TMRG leads: Leads will add updates to be shared and discussed sync/async. This will focus on the key priorities for that month and quarter
1. Part 2: Discussion projects and ideas related to our TMRG pillars: `Awareness & Education`, `Professional Development`, `Recruiting & Retention`, and `Business Influence`
1. Part 3: Social Breakout Groups: Depending on group size and time remaining, we'll break out into discussion groups. Conversation topics can vary. Some ideas include `motherhood`, `remote work and work life balance`, `sustainability`, `dating and friendships`

### Attend the Monthly TMRG Social Meeting

This meeting is hosted 1x per month on Wednesdays at 3pm UTC and Thursdays at 12am UTC for 45 minutes. The call is dedicated to social connection for TMRG members and there is no agenda. Session attendees will break out into small groups based on current interests.

### Use the TMRG Issue Board to Create or Contribute to a TMRG key initiative

We use our [GitLab issue board](https://gitlab.com/gitlab-com/women-tmrg/-/boards/2473412) to coordinate and prioritize projects on a quarterly basis. Contribute to the issue board by:

1. Open a new issue to propose an idea or project using the `key-initiative-proposal` issue template (please note that you don't have to be available to lead the project - opening a topic for discussion is great!)
1. Apply labels as necessary to track the TMRG focus areas. The labels are: `Awareness & Education`, `Diversity - Inclusion and belonging`, `Recruiting & Retention`, and `Outreach & Business Development`
1. Contribute to an open issue that is assigned to a quarterly milestone. These milestones outline the current focus projects of the TMRG
1. Attend or notify others of upcoming events using the `Events - Womens TMRG` label and consider using the `event-or-conference-fyi` issue template. Assign event issues to the relevant milestone based on event date.

### Participate in a Candidate TMRG Call

The hiring process at GitLab includes an optional step where candidates can request to meet with a TMRG team member. As a TMRG member, you can volunteer to speak with candidates to answer questions and share your experience at GitLab.

Join the [#candidate_tmrg-call Slack channel](https://app.slack.com/client/T02592416/C03JEQPSN3V/thread/C012GP5CGCR-1655385119.184549) to participate.

## Related Performance Indicators and Goals

- [Women at GitLab]({{< ref "people-success-performance-indicators#diversity---women-at-gitlab" >}})
- [GitLab Women in Management - 40% Goal]({{< ref "people-success-performance-indicators#diversity---women-in-management" >}})
- [GitLab Women in Senior Leadership and Executive Roles]({{< ref "people-success-performance-indicators#diversity---women-in-senior-leadership-and-executive-roles" >}})

## Career Development Resources

Women at GitLab looking for career development resources can use this list to explore both opportunities available to the entire GitLab team for career development and helpful resources that have been shared in the [#women Slack channel](https://app.slack.com/client/T02592416/C7V402V8X)

If you have a resource you'd like to include, please open a merge request and contribute to this page!

| Resource | Description |
| ----- | ----- |
| [Women at GitLab Mentorship Program](mentorship-program/) | FY22 Q2-Q3 program opportunity for mentorship at GitLab |
| [WISE: Women in Sales Everywhere Memberships](https://womeninsaleseverywhere.com/) | In calendar year 2022, GitLab has allocated 15 licenses for women in the Sales organization to acceses memberships with [WISE](https://womeninsaleseverywhere.com/) including mentorship, events, and training. Reach out to TMRG leads if you are interested in a membership |
| [GitLab Internship for Learning]({{< ref "internship-for-learning" >}}) | If your manager has coverage, you can spend a percentage of your time working (through an 'internship') with another team |
| [Growth and Development benefit]({{< ref "general-and-entity-benefits#growth-and-development-benefit" >}}) | This benefit is available for GitLab team members and can be used to cover professional development costs associated with external resources |
| [CEO Shadow Program](/handbook/ceo/shadow)| The goal of the CEO Shadow Program is to give current and future directors and senior leaders at GitLab an overview of all aspects of the company |
| [Women in the Workplace Study Webinar](https://www.hracuity.com/webinar/leaninstudy-2020?utm_campaign=Content%20%7C%20Webinar%20%7C%20LeanIn&utm_medium=email&_hsmi=98577248&_hsenc=p2ANqtz-8kbiJWLM1fyvHgX1E15FQtDxjVDla2B4C3p2G7wSvpUQMJizBBdpFhEpmhEdG7PeYR-ekzWWPWhWK9EfpXoZwk5m6dWQ&utm_content=98577248&utm_source=hs_email) | A webinar from Lean In discussing the unique impact that COVID-19 has had on women of different races and ethnicities, working mothers, women in senior leadership and women with disabilities |
| [The Harvard Gazette - Women less inclined to self-promote than men, even for a job](https://news.harvard.edu/gazette/story/2020/02/men-better-than-women-at-self-promotion-on-job-leading-to-inequities/) | Study finds female workers' deep discomfort over touting skills, experience adds to gender gap in promotions, pay |
| [Stanford Continuing Studies Department](https://continuingstudies.stanford.edu/) | Standford offers many continuing education programs in multiple diciplines including leadership, writing, and professional/personal development |

### Book Suggestions

The following are books suggested by GitLab team members in the [#women Slack channel](https://app.slack.com/client/T02592416/C7V402V8X). Please open an merge request to add books to this page, and consider including a short review of the book from your perspective!

| Book Title and Author | Optional Book Review |
| ----- | ----- |
| [WolfPack by Abby Wambach](https://abbywambach.com/books/wolfpack/) | |
| [Radical Candor by Kim Scott](https://www.radicalcandor.com/the-book/) | |
| [Lean In by Sheryl Sandberg](https://leanin.org/book) | |
| [The Memo by Minda Harts](https://www.mindaharts.com/book/) | |
| [Burnout - The Secret to Unlocking the Stress Cycle by Amelia Nagoski and Emily Nagoski](https://bookshop.org/books/burnout-the-secret-to-unlocking-the-stress-cycle/9781984818324) | |
| [Invisible Women - Data Bias in a World Designed for Men](https://www.goodreads.com/book/show/41104077-invisible-women) | |

## Past Events

### Talking Confidently about your Accomplishments - Live Speaker Series with Michelle Carrizosa

- [Michelle Carrizosa](https://www.michellecarrizosa.com/)

{{< youtube "nXvTiBfEz-c" >}}

### 2022 Women's History Month Celebrate - Interview with Christie Lenneville, VP of UX

{{< youtube "a10N6xYB7Ps" >}}

### Literature Parties

In the following 2 sessions, team members read [Good Bones](https://waxwingmag.org/items/Issue9/28_Smith-Good-Bones.php) & [Hope is the Thing With Feathers](https://www.poetryfoundation.org/poems/42889/hope-is-the-thing-with-feathers-314).

1. [Session 1 Recording](https://youtu.be/g-Y1romKfug)
1. [Session 2 Recording](https://youtu.be/v7rEq5tmCao)

### TMRG Member-Led Sessions

1. [Managing Social Media for Mental Health](https://youtu.be/KN41P3H81_Q)
1. [How to live your best life! Networking and negotiating to get what you want](https://youtu.be/_-opwVZJo98)

## Additional Resources

### Women TMRG logo

Download the [GitLab Women TMRG logo here](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/blob/master/design/gitlab-brand-files/gitlab-logo-files/global-diversity-inclusion/full-color/png/di-women-logo-rgb.png).
