---
title: "Activate your Agile Career"
description: "An overview of our remote TMRG GitLab Women"
---

![text image announcing activate your agile career program.](program-header.png)
{style="max-width: 50%;"}

**Calling all Women TMRG Members!**

- Do you have a career goal at GitLab, but not sure how to make it happen?
- Are you confused, overwhelmned, or unsure about the career development resources available to team members?
- Are you strapped for time and capacity to work on the goals you've set for yourself?
- Do you feel a bit lost in your career development and not sure where to start?
- Are you interested in learning and developing yourself and want to be part of a new challenge?

**If any of these questions apply to you, then `Activate your Agile Career` might be for you!**

`Activate your Agile Career` is a 5-month, career development **pilot program** running from October 2022 through February 2023. 50 participants will attend live training sessions, complete self-paced homework and reflection, read a book authored by the training facilitator, and collaborate with their accountability cohort.

Applications for this pilot are currently closed.

## Benefits for Participants

As a participant in this program, GitLab team members will:

1. Understand how to apply the concept of career agility to their own career goals and Individual Growth Plan (IGP).
1. Complete an IGP. Share and discuss their IGP with their manager.
1. Evaluate and integrate at least one resource offered by GitLab into their agile career, including mentor program, internship for learning, growth and development benefit, CEO Shadow, etc.
1. Contribute to, and benefit from, a support and accountability network.
1. Gain clarity on how resources at GitLab can support their career goal achievement in the next 6-12 months.

![text image outlining 5 benefits for participants.](program-benefits.png)
{style="max-width: 50%;"}

## Eligibility

All members, including allys, in the Women TMRG are welcome to participate. If you are not yet a member of the TMRG, please follow [these instructions](/handbook/company/culture/inclusion/tmrg-gitlab-women/#how-to-join) to join before applying.

The size of this cohort is limited to 50 total participants. Applications for this pilot are currently closed.

## Expectations

Participants interested in `Activate your Agile Career` should expect and commit to the following:

1. Apply via Google Forms by 2022-10-17
1. Complete all pre and post program assessments and feedback forms
1. Attend 3 live training sessions. Recordings will be available for those who cannot attend live. If your working hours are outside these live sessions, please still consider applying. You can watch the recordings and collaborate with a cohort that meets within your timezone.
    - 2022-10-19 @ 3pm UTC - 60 minutes
    - 2022-11-09 @ 4pm UTC - 90 minutes
    - 2023-01-11  @ 4pm UTC - 90 minutes
1. Complete post-session self paced homework and reflections (total of 7-10 hours)
1. Read or listen to [Activate Your Agile Career: How Responding to Change Will Inspire Your Life's Work](https://www.amazon.com/Activate-Your-Agile-Career-Responding/dp/0998953121). You can [expense work related books](/handbook/finance/expenses/#-expense-policy-summary).
1. Attend monthly cohort accountability sync sessions (5 total) along with participants with similar career goals - 25 minutes each
1. Complete a personal IGP and have a career development conversation with their manager

## FAQ

**What if I miss one of the live sessions?**

Sessions will be recorded and available to participants. 45 days after the last live session 2022-01-11, access to session recordings will be removed.

**What if I already have an Individual Growth Plan (IGP)?**

Excellent! Bring your IGP with you to any and all live sessions. One of our goals is that this process helps you activate your IGP, so you're already one step ahead!

**How will this be different than other career development opportunities at GitLab?**

GitLab offers multiple career development resources. The goal of this program specifically is to provide a framework and accountability network around your career development.

**The live sessions are outside my working hours. Can I still participate?**

Yes! All 3 live sessions will be recorded. Cohorts will be organized across timezones, so the accountability and book reading discussions will happen in your working hours. We understand the value in attending training sessions live and hope that results from this program will allow us to expand in future quarters to provide additional live sessions.

## Resources

[Marti Konstant](https://www.martikonstant.com/) is the creator of the Agile Career Framework. Her model relates to GitLab [CREDIT values](/handbook/values/), leaning into iteration as a key component of an agile career.

Below, use the infographic and list to understand what resources are available to you as a GitLab team member and how they fit into the Agile Career Framework.

![infographic connecting career agility framework with GitLab resources.](agility-at-gitlab.jpg)
{style="max-width: 50%;"}

| Resource | Details | Integrate It |
| ---------- | ------------ | ------------ |
| [Individual Growth Plan (IGP)]({{< ref "career-development#individual-growth-plan" >}}) | Organize career goals in one place. | **Idea Zone** and **Respond to Change** |
| [Growth and Development Benefit](/handbook/people-group/learning-and-development/growth-and-development/) | Complete academic study, professional certification, and more. | **Respond to Change** |
| Coaching with [Modern Health]({{< ref "modern-health" >}}) or [Coaching Right Now (job grade 8+)](/handbook/people-group/learning-and-development/growth-and-development/#professional-coaching)**| Coaching (and therapy) sessions available. | **Activate your Feedback Squad |
| [CEO Shadow](/handbook/ceo/shadow) (and other shadow programs) | Did you know of all the others shadow programs at GitLab: [Security]({{< ref "security-shadow" >}}), [Engineering Fellow](/handbook/engineering/fellow/shadow/), [CFO]({{< ref "cfo-shadow-program" >}}), [CMO](/handbook/marketing/cmo-shadow/). | **Work as a Set of Projects** |
| [Internship for Learning]({{< ref "internship-for-learning" >}}) | Spend time during your work week on a new team, exploring and contributing to a new project. | **A/B test your Career** |
| Self-Paced Learning | Use free licenses from resources like [O'Reilly Learning]({{< ref "self-paced-learning#oreilly-learning" >}}), and [the Linux Foundation]({{< ref "self-paced-learning#linux-foundation-courses" >}})  | **Respond to Change** |
| [Attend Group Conversations]({{< ref "group-conversations" >}}) | Check the GitLab Team Meetings calendar for schedule. | **Idea Zone** |
| [Join a TMRG]({{< ref "erg-guide" >}}) | Review the handbook for active groups | **Activate your Feedback Squad** |
