---
title: "The GitLab Mentorship Program hosted by the Women TMRG"
description: "Mentorship opportunities for women at GitLab sponspored by a partnership between the Women TMRG, GitLab Learning and Development team, and the GitLab DIB team"
---

The GitLab Mentorship program hosted by the Women TMRG is a 5-month career development opportunity for participants to build trust across the organization, enable pathways for internal growth and development, and increase collaboration across teams. The program is hosted in collaboration with the Women's TMRG, GitLab Learning and Development team, and the GitLab DIB team.

Questions, comments, and feedback can be posted in the [#women-at-gitlab-mentorship](https://app.slack.com/client/T02592416/C0219QJR1K5) slack channel.

<div class="container-wrapper-genially" style="position: relative; min-height: 400px; max-width: 100%;"><video class="loader-genially" autoplay="autoplay" loop="loop" playsinline="playsInline" muted="muted" style="position: absolute;top: 45%;left: 50%;transform: translate(-50%, -50%);width: 80px;height: 80px;margin-bottom: 10%"><source src="https://static.genial.ly/resources/loader-default.mp4" type="video/mp4" />Your browser does not support the video tag.</video><div id="645a9bb0944010001175f43d" class="genially-embed" style="margin: 0px auto; position: relative; height: auto; width: 100%;"></div></div><script>(function (d) { var js, id = "genially-embed-js", ref = d.getElementsByTagName["script"](0); if (d.getElementById(id)) { return; } js = d.createElement("script"); js.id = id; js.async = true; js.src = "https://view.genial.ly/static/embed/embed.js"; ref.parentNode.insertBefore(js, ref); }(document));</script>

## History

In 2020, the Women's TMRG partnered with the Sales Organization at GitLab to offer the [Women in Sales Mentorship Program pilot]({{< ref "women-in-sales-mentorship-pilot-program#women-in-sales-mentorship-program-pilot" >}}). This initial iteration was a huge success and inspired the scale of this iteration to include a wider audience. The program now runs on a yearly basis and has been expanded to include mentees who identify as women and non-binary team members.

Please see the [results section](#results) for a list of sessions since launch.

## Testimonials

Don't take our word for it - check out what mentors and mentees at GitLab have to say about the program!

**From the Mentees**

> This mentorship program has been one of the highlights from my time at GitLab so far. My mentor is a great example of an empathetic leader who is great at strategic planning and communicating effectively. I was able to learn things during the program that I immediately applied to my work, and she inspired and motivated me in a way will persist much longer. My mentor has become one of my new role models, and I plan on keeping in touch with her far beyond this program's end.
>
> This was my first mentorship experience and I'm so glad I participated. I found my self confidence in my mentor session. I lacked that for so many years and to be reminded of my self value and worth was so enriching. I would highly recommend participating!

**From the Mentors**

> I've been a Mentor throughout my career, the GitLab program is hands down the best experience I've had. Both Mentor and Mentee are provided with resources and guidance to ensure a successful connection.
>
> One of the elements I really enjoyed about this program was the opportunity to meaningfully connect with someone outside of my team - we both learned from each other!

## Program Structure

| Title | Description |
| ----- | -------- |
| **Start of Program Feedback Form** | A Culture Amp survey to measure results of the program. Participation is **required**. |
| **Mentor/Mentee Training** | Completion of the self-paced [How to be a Good Mentor or Mentee](https://www.linkedin.com/learning/how-to-be-a-good-mentee-and-mentor/the-power-of-mentoring?u=2255073) course on LinkedIn Learning is **required** of all mentors and mentees. If you prefer to review text-based information, you can instead review [this slides](/handbook/people-group/learning-and-development/mentor#mentor-and-mentee-training), created using content from the LinkedIn course. |
| **Initial program kickoff** | A 25-minute discussion to meet other mentors and mentees in the program. Attendance is **encouraged**. |
| **1:1 Mentor Sessions** | Mentors and mentees should meet every other week for 30-minutes for a total of 5 months (with the option to extend). Sessions are led by the mentee and should be focused on specific goals. Attendance is **required**. |
| **Mentor/Mentee Resources** |[Async resources](/handbook/people-group/learning-and-development/mentor#mentoring-resources) are available as a training guide for all mentor/mentee pairs. These resources include suggested articles to read and discuss, strategies for goal setting, sample meeting agendas, and additional training material. Use of resources is encouraged but not required. |
| **End of Program Feedback Form** | A Culture Amp survey to measure results of the program. Participation is **required**. |

## Current Program Timeline

Fill out [this Google form](https://docs.google.com/forms/d/e/1FAIpQLSf5yUA-H0RSeQSA8gj3_2mcdzZJkKLCsU-be-Ygdw5KfCSVLw/viewform?usp=sf_link) to be notified of mentorship programs happening in FY25!

| Date | Description | Related Resources |
| ----- | ----- | ----- |
| 2024-09-23  | Call for Mentors |  |
| 2024-09-23 | Call for Mentees |  |
| 2024-10-06  | Applications Close | |
| 2024-10-30   | Pairing of mentor relationships complete and communicated to applicants | |
| By 2024-11-04   | Pre-Program survey sent via Culture Amp | |
| By 2024-11-14 | Mentor/Mentee pre-program coffee chats | |
| TBA  | Initial program Kickoff meeting |  |
| Week of 2025-04-01 | End of program feedback due |  |

## Being a Mentor

As a mentor, you benefit from:

- Fast feedback loop between team members and leadership
- Opportunity to form relationships with team members in other departments
- Opportunity to support Women at GitLab and live our values

### Mentor requirements

- You have been with GitLab for at least 3 months at the time of application
- You have availability in your schedule to meet with your mentee on a bi-weekly basis for at least 30 minute meetings for the entire length of the program
- You plan to make every effort to attend all live trainings included in the program structure
- You are not on a [Formal Coaching plan]({{< ref "underperformance#options-for-remediation" >}}) or PIP (Performance Improvement Plan)
- You can complete the [DIB training certification](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/course/dib-training-certification) before the program begins

Note: Anyone at GitLab, regardless of gender identity, can apply to be a mentor in the Women at GitLab mentorship program.

**Applications will be prioritized based on:**

- Skill and prior experience as a mentor
- Performance in current role
- Available and appropriate mentee match in the current session

### Apply

Please complete [this interest form](https://docs.google.com/forms/d/e/1FAIpQLSc49xN1n3VNzX-yQNbRcG6CJiksQy41aAMw0QnF1F6vyhwgkA/viewform?usp=sf_link) to be notified of the next program iteration.

*Applying as a mentor does not guarantee you a spot in the program and eligibility will be evaluated based on criteria above.*

If you've participated in a previous GitLab mentor program, you are welcome to apply again!

## Being a Mentee

As a mentee, you benefit from:

- Increased visibility with leadership
- Increased professional development opportunities
- Career coaching and guidance
- Opportunity to form relationships with leaders on other teams

### Mentee requirements

- You're a woman, including cis and trans women, or non-binary team member at GitLab.
- You have been with GitLab for at least 3 months at the time of application
- You have availability in your schedule to meet with your mentor on a bi-weekly basis for at least 30 minute meetings for the entire length of the program
- You plan to make every effort to attend all live trainings included in the program structure
- You are not on a [Formal Coaching plan]({{< ref "underperformance#options-for-remediation" >}}) or PIP (Performance Improvement Plan)

Applications will be prioritized on many points including:

- Team members on a management career track
- Performance in current role

### Apply

Please complete [this interest form](https://docs.google.com/forms/d/e/1FAIpQLSc49xN1n3VNzX-yQNbRcG6CJiksQy41aAMw0QnF1F6vyhwgkA/viewform?usp=sf_link) to be notified of the next program iteration.

*Applying as a mentee does not guarantee you a spot in the program, and eligibility will be evaluated based on criteria above.*

If you've participated in a previous GitLab mentor program, you are welcome to apply again!

## FAQ

**Can I participate as both a mentor and a mentee?**

Yes, this is a possibility. It's important that team members talk with their managers to discuss their capacity to participate in both roles in this program. Participation in both roles will require a 2hr commitment per month (two 30 minute sessions as a mentor and two 30 minute sessions as a mentee).

It's possible that we will have a shortage of mentors and be unable to complete all mentor/mentee pairs. If there is a shortage of mentors and you've applied as both a mentor and a mentee, you will be assigned **only** as a mentor in this program.

**I participated in a past mentorship program at GitLab. Can I still participate in the current iteration?**

Yes! Past participants in any mentor program and as either mentees, mentors, or both, are encouraged to apply to participate again.

**I'd like to participate but I can't commit the entire length of the program. Can I still apply?**

If you cannot commit to the 5 month program, please consider applying for a future mentorship program at GitLab. It's important that both mentors and mentees are available for the full 5 month program to achieve the best results.

**I'm not eligible to be a mentor or a mentee in this program. What are my options for future participation?**

Other mentorship resources at GitLab can be found [here in the handbook](/handbook/people-group/learning-and-development/mentor). Team members are always encouraged to build mentor/mentee relationships independently. You can find resources and a list of available mentors in the [Learning and Development handbook](/handbook/people-group/learning-and-development/mentor)

## Results

### 2023

1. Total Participants: 136 team members / 73 mentor/mentee pairs

In 2023, mentees and mentors were surveyed using Culture Amp before and after the program to meausre key impacts of their mentorship. The following data outlines the impact that mentorship had on these impacts for mentees and mentors.

We used CultureAmp to collect feedback. CultureAmp sorts data as `favorable`, `neutral`, and `unfavorable` based on responses. The data below indicates the rating for each question, and the number by which the score changed from pre to post program, if at all.

**Mentee Results**

All mentee impacts trended upwards post program, with the greatest impact being on mentees sense of support network at GitLab. Survey participation went from 91% to 64% pre to post.

| Question | Trend Pre to Post Program |
| ---------- | ----- |
| I know where to find GitLab resources to support my career growth. | Favorable, +14 |
| I have a network of support to help me reach my goals at GitLab. | Favorable, +30 |
| I have a vision of how I'd like to grow over the next 12 months at GitLab. | Favorable +7 |

**Summary:** The experience of a mentee has an overall favorable rating, and positively impacts mentees knowledge of growth resources, support network, and personal vision.

**Mentor Results**

Both mentor impacts trended sligntly downward. Survey participation went from 91% to 67% pre to post.

| Question | Trend Pre to Post Program |
| ---------- | ----- |
| I have relationships with team members outside of my own department. | Favorable, -2 |
| I am confident in my ability to support others towards achieving their goals. | Favorable, -2 |

**Summary:** The experience of a mentor has an overall favorable rating, with negligible impact on mentors relationships outside their department and confidence in supporting others towards their goals.

### 2022

**Participation**

1. Total Participants: 120 team members / 63 mentor/mentee pairs
1. Unique Departments Represented by Mentees: 21
1. Unique Departments Represented by Mentors: 24

**Skills Developed**

Skill development was a key variable used to measure success of this program.

**Top 5 skills developed by Mentors**

- Situational Coaching (70.8%)
- Listening (66.7%)
- Mentorship (58.3)
- Awareness (41.7)
- Empathy (41.7)

**Top 5 skills developed by Mentees**

- Communication (71.4%)
- Self-Promotion (57.1%)
- Leadership (52.4%)
- Goal Setting (47.6%)
- Self-Value (47.6)

**Feedback**

1. 84% of mentors agree the program strengthened their **leadership skills.**
1. 91.7% of mentors agree the program strengthened their **coaching skills.**
1. 100% of mentors agree they had the time, resources, and support needed to be a great mentor, would serve as a mentor in a future program, and would suggest the program to their colleagues.
1. 95.3% of mentees agree that their mentorship contributed to the achievement of their career and development goals at GitLab.
1. 95.2% of mentees agree that their mentorship contributed to the achievement of their business goals in FY23 Q1 and/or FY23 Q2 at GitLab.
1. 95.2% of mentees agree that this program strengthened their self-confidence.
1. 100% of mentees would suggest other GitLab team members join this program as a mentee.

- > I am grateful the company has invested in the Women in GitLab mentorship program. My mentor and I had both a very structured approach to our relationship, but then also took the time to get to know each other and build trust, which allowed for open and honest discussions. I would recommend other team members showing up for this program, both on the mentor and mentee side!
- > Having someone that is not my manager to work through developmental goals has been extraordinary and I am grateful to my mentor for all the feedback and support as I went from feeling heavy with imposter syndrome to believing in myself and my knowledge level!
- > Women at GitLan Mentorship Program has been a crucial experience for me. My mentor is an outstanding leader who supported me in most useful ways, strengthening especially my self-value and goal-setting skills. She sought out opportunities for me, asked good questions and listened intently - all that has already helped with furthering my career development here at GitLab. I'm grateful to her and for that program, and I recommend it greatly.
- > The Women at GitLab Mentorship program gave me the opportunity to grow as a mentor by providing resources on how to better my listening and guidance skills so that I could better mentor across disciplines.
- > The GitLab mentorship program is an incredible opportunity to step out of your usual role and look at your management style from a more holistic perspective, taking a moment to get out of the weeds and look more at the big picture. I learned so much from my mentee! I took these learnings back to my team, in terms of my management style. It also gave me time to recognize the strengths of my team in terms of how we present large initiatives to a boarder audience as this was an ask of my mentee and something we worked on together.

### 2021

**Participation**

1. Total Participants: 66 team members / 33 mentor/mentee pairs
1. Unique Departments Represented by Mentees: 19
1. Unique Departments Represented by Mentors: 18

**Kick-off session recordings:**

Session 3:

{{< youtube "pR-WPq4uH5o" >}}

Watch [session 1](https://www.youtube.com/embed/cuRT7nUU10Q)and [session 2](https://www.youtube.com/embed/sY57W3xbLJU) on the GitLab Unfiltered YouTube channel.

**Skills Developed**

Skill development was a key variable used to measure success of this program.

**Top 5 skills developed by Mentors**

- Situational coaching (73.9%)
- Mentorship (52.2%)
- Listening (47.8%)
- Coaching (43.5%)
- Communication (34.8%)

**Top 5 skills developed by Mentees**

- Communication (78.9%)
- Confidence (63.2%)
- Strategy and idea pitching (36.8%)
- Self-promotion (36.8%)
- Self-value (31.6%)

**Feedback**

- 84.3% of mentees plan to continue meeting with their mentor
- 55% of mentees want to participate as mentors in future iterations of this program
- 91.3% of mentors had the time, resources, and support to be a great mentor
- 86.9% thought their mentee was a good fit based on their career history and expertise
