---
title: "TMRG - Global Voices"
description: "GitLab's Global Voices TMRG"
---

## Mission

Increase awareness to GitLab's globally diverse team, the derivatives of having a global team as it relates to the wider GitLab team as well as the company, and improve the daily work life of our global team members.

## Objectives

The Global Voices TMRG has determined the three main objectives to generate impact on in order to fulfill our mission:

1. Empower global team members to celebrate global representation and its benefits
1. Serve as a springboard for ideas to improve global inclusiveness to the day-to-day of GitLab employees
1. Advocate for global diversity across the organization

## Leads

1. [Eliran Mesika](https://gitlab.com/eliran.mesika) - Lead
1. [Marin Jankovski](https://gitlab.com/marin) - Co-Lead
1. [Charlie Ablett](https://gitlab.com/cablett) - Co-Lead

## Executive Sponsors

[Sabrina Farmer](https://gitlab.com/sabrinafarmer), CTO.

## Current Goals

With our mission and objectives in mind, we are taking a goal-oriented approach to iterative improvement. We've decided to work on a rough 6 month horizon, defining goals we'd like to target with that timeframe. For the current active horizon we'll be focusing on two:

1. [Focused on global recruiting and retainment of team members](https://gitlab.com/groups/gitlab-com/-/epics/1939)
   1. Of our three objectives, this one helps address two of them and we think is a fundamental part of having a globally diverse team.
   1. It is larger in scope and will likely involve more collaboration and cross-functional discussions on how we can help drive progress with this goal. Iteration will be key to making sure there's focus and fulfillment.
   1. This will likely require 2-3 people that are interested in exploring the topic and leading it.
1. [Focus on the daily life as a global team member](https://gitlab.com/groups/gitlab-com/-/epics/1943)
   1. This will be made up of several specific initiatives where a solution is more visible and attainable. We need to determine what these will be but are thinking of 2-4 small initiatives here.
   1. These will likely short term and could easily be led by a single team member.
   1. We encourage and welcome new initiatives team members are interested in.

## How to Participate

1. Join the [Google Group](https://groups.google.com/a/gitlab.com/g/globalvoices/)
1. Join the [#global-voices-tmrg](https://gitlab.slack.com/archives/C03UHGX4F1P) Slack channel for conversation, announcements, and connecting with other TMRG members. Please introduce yourself and tell us where you are based when you join the channel!
1. Open an issue on our GitLab project, [gitlab-com/global-voices-tmrg](https://gitlab.com/gitlab-com/global-voices-tmrg) and tag the [TMRG leads](#leads)

## Process

When [a new matter/issue](https://gitlab.com/gitlab-com/global-voices-tmrg) is raised on our portals (Slack channel or our issue tracker) the following process outlines how it should be handled:

1. @ mention the leads [TMRG leads](#leads) to help triage the issue
1. Ensure that a due date is set if the issue is time sensitive
1. Leads triage the discussion, identify and bring in the relevant DRIs of that respective process/area most relating to the issue which was raised for improvement
   1. In case an owner is not clear, the leads will @ mention the DIB group
1. The DIB group will then engage with the owner/s and ensure that the matter is being reviewed, progress is made and communication is transparent to the TMRG
1. TMRG leads review the progress and close the issue reporting back to the channel when necessary

### When to raise an issue

We can work with other relevant DRIs only when the task at hand has an improvement component. While this can be said for a lot of things, not every item can yield a desired outcome.

For this reason, before you consider the following examples, it is critical to [assume positive intent](/handbook/values/#assume-positive-intent). It is not uncommon that team members you're engaging with have never even considered that there is an opportunity for improvement, (e.g. non-ISO date format is confusing), so you are responsible for educating them of a different point of view as well.

Below are some illustrative examples:

1. A form is provided requiring a phone number in XXX-XXXX XXX format for all team members
1. A swag choice in a company wide effort is limited to assume a certain climate
1. A "global" benefit is offered to all team members but only available in large cities in 1 hemisphere

Finally, it is absolutely ok to feel annoyance about something that is not considered from multiple different perspectives. It is how you decide to express it that can make a difference between success and failure. Not every problem has an easy solution, but it is infinitely easier to solve when it is approached with [kindness](/handbook/values/#kindness).
