---
title: "Internal Feedback"
description: "At GitLab we feel that a quick, quarterly check-in is more aligned to our values use Google forms to gather feedback anonymously."
---

Companies will often wait to gather internal feedback until an exit interview after someone's resigned, or they'll organize an occasional survey to take a pulse on the company's engagement.  We feel that a quick, quarterly check-in is more aligned to our [values](/handbook/values/) Collaboration and Iteration.  We use Google forms to gather feedback anonymously, and the responsibility of reviewing and collating feedback stays within People Operations to maintain confidentiality for all participants.  We promise to share the spirit of the feedback we collect but will paraphrase and summarize responses and share only constructive and actionable feedback. Specific or personal comments or complaints will be investigated and dealt with privately, out of respect for the recipient(s).

In 2017, we rebranded our survey as a [Stay Interview](https://drive.google.com/file/d/0B4eFM43gu7VPX0RiRkV5NUtQREU/view?usp=sharing) because we are most interested in three things: why people join, what makes them stay, and what would make them consider leaving GitLab. Below is a summary of the responses from the 130 team members (69.5%) who participated.

### Feedback from the GitLab team - October 2017

**I know what is expected of me at work.**

| Rating            | Percentage |
|-------------------|------------|
| Strongly Agree    | 41.27%     |
| Agree             | 52.38%     |
| Neutral           | 3.97%      |
| Disagree          | 1.59%      |
| Strongly Disagree | 0.79%      |

**I have the materials and equipment to do my work right.**

| Rating            | Percentage |
|-------------------|------------|
| Strongly Agree    | 52.38%     |
| Agree             | 39.68%     |
| Neutral           | 5.56%      |
| Disagree          | 1.59%      |
| Strongly Disagree | 0.79%      |

**I have the opportunity to do what I do best every day.**

| Rating            | Percentage |
|-------------------|------------|
| Strongly Agree    | 34.92%     |
| Agree             | 45.24%     |
| Neutral           | 16.67%     |
| Disagree          | 2.39%      |
| Strongly Disagree | 0.79%      |

**In the last seven days, I have received recognition or praise for doing good work.**

| Rating            | Percentage |
|-------------------|------------|
| Yes               | 73.02%     |
| No                | 26.98%     |

**My supervisor, or someone at work, seems to care about me as a person.**

| Rating            | Percentage |
|-------------------|------------|
| Strongly Agree    | 53.97%     |
| Agree             | 38.89%     |
| Neutral           | 5.56%      |
| Disagree          | 1.59%      |
| Strongly Disagree | 0.00%      |

**There is someone at work who encourages my development.**

| Rating            | Percentage |
|-------------------|------------|
| Strongly Agree    | 37.30%     |
| Agree             | 34.13%     |
| Neutral           | 22.22%     |
| Disagree          | 4.76%      |
| Strongly Disagree | 1.59%      |

**At work, my opinions seem to count.**

| Rating            | Percentage |
|-------------------|------------|
| Strongly Agree    | 39.68%     |
| Agree             | 45.24%     |
| Neutral           | 11.90%     |
| Disagree          | 2.38%      |
| Strongly Disagree | 0.79%      |

**The mission/purpose of GitLab makes me feel my job is important.**

| Rating            | Percentage |
|-------------------|------------|
| Strongly Agree    | 42.06%     |
| Agree             | 44.44%     |
| Neutral           | 11.11%     |
| Disagree          | 2.38%      |
| Strongly Disagree | 0.00%      |

**My fellow employees are committed to doing quality work.**

| Rating            | Percentage |
|-------------------|------------|
| Strongly Agree    | 54.79%     |
| Agree             | 34.13%     |
| Neutral           | 8.79%      |
| Disagree          | 2.38%      |
| Strongly Disagree | 0.00%      |

**I have a best friend at work.**

| Rating            | Percentage |
|-------------------|------------|
| Yes               | 34.92%     |
| No                | 65.08%     |

**In the last six months, someone at work has talked to me about my progress.**

| Rating            | Percentage |
|-------------------|------------|
| Yes               | 83.33%     |
| No                | 16.67%     |

**In the last year, I have had opportunities to learn and grow.**

| Rating            | Percentage |
|-------------------|------------|
| Strongly Agree    | 45.24%     |
| Agree             | 35.71%     |
| Neutral           | 13.49%     |
| Disagree          | 5.56%      |
| Strongly Disagree | 0.00%      |

Actionable Items from the [Survey Feedback Issue](https://gitlab.com/gitlab-com/peopleops/issues/495):

1. [Discomfort with Iteration](https://gitlab.com/gitlab-com/peopleops/issues/511)
    - People Ops will focus on some training and information about the importance of iteration
1. [Feedback Training](https://gitlab.com/gitlab-com/peopleops/issues/512)
    - Peer to Peer Feedback
    - Readdress Performance Management conversations
1. [Professional Development](https://gitlab.com/gitlab-com/peopleops/issues/513)
    - Update Handbook to make it clear that they should be having a conversation with their team about Experience Factors. Not optional, the job of a manager is to communicate and have a conversation about it.

### Feedback from the GitLab team - February 2017

Here is a summary of the responses from 91 team members (57%) who participated.

#### Why did you join? (responses in no particular order)

1. Culture
1. Values
1. Vision
1. Handbook available to review
1. Great product, love working on developer tools
1. A chance to work with smart people
1. Positive atmosphere
1. Ability to help GitLab achieve the vision
1. Remote opportunity
1. All remote - "I didn't want to be the only one not in the office"
1. Open source community
1. Referred by a team member
1. Autonomy
1. Wanted to work for a start-up
1. Career path
1. GitLab is a disruptor in the industry!
1. Flexible work environment
1. Work in the Developer market
1. Ability to impact the market/team
1. Growth potential
1. Commitment to open source
1. Work on something meaningful
1. Stock options
1. People I met were cool
1. Learning opportunities

#### Why have you stayed? (responses in no particular order)

1. Culture
1. Company spirit
1. Values
1. Boss is amazing
1. Things are as "advertised" / discussed during interview
1. People / Team / Colleagues
1. Great product, working on developer tools
1. The "experience"
1. Flexibility
1. Working with people smarter than me
1. Feel like I am contributing
1. Strong leadership
1. Communication
1. Benefits
1. Remote opportunity
1. Relationships / camaraderie
1. Encouraged to take time off
1. It's not bureaucratic
1. Feel empowered / autonomy
1. Ownership / accountability
1. Solve challenges, never bored
1. Growth potential
1. Commitment to open source
1. Faith in the team steering our product
1. Open source community
1. Learning opportunities
1. Treated like an adult
1. Company encourages team members to attend conferences, travel to visit colleagues
1. Work is appreciated / feel valued
1. Everything told in interview / expectations were true
1. Peer mentality, even at the highest level of management
1. The company is flat enough to encourage true collaboration which is vital to growth

#### What would make you leave (what should we avoid in the future if possible)?

Full question: What would make you leave (what should we avoid in the future if possible)? If the following were to happen, I would consider leaving GitLab

1. Stagnation of career path, no opportunities to advance
1. Pay decrease, not paid appropriately, below market pay
1. Lack of respect
1. Leaders not leading, no clear direction
1. Too many restrictions on side projects
1. Changing the values or culture
1. The "spirit" leaves the team
1. Change in the atmosphere, work model
1. Company growth stops
1. Volume of work drives quantity over quality
1. Stop being introspective
1. Ego gets in the way
1. Lose feeling of openness (team call, transparency)
1. Job becomes boring / less challenges
1. If I am micro-managed, don't feel empowered, lose autonomy
1. Not feeling like I am contributing, valued
1. If purchased by a large corporation
1. A bad boss
1. Work / life balance deteriorates
1. The product begins to falter, lose value in the market
1. Stops being driven by vision, reactive over visionary thinking
1. Become burned out with no end in sight
1. No training, opportunities to improve skills
1. Compensation refuses to use market pay locally over cost of rent
1. Job becomes unstable
1. Communication no longer one of our strong points

#### Other Comments or Concerns (broken down by categories)

##### Compensation

- Global Compensation Calculator (GCC) -
    1. Concern that pay will decrease based on the compensation calculator by location
        - Our policy on [Relocation]({{< ref "relocation" >}}) describes our current process, however, we review each case on an individual basis. We anticipate the need to make changes as often will be reduced with the work underway to build out a [simpler approach to identifying an appropriate market rate](https://gitlab.com/gitlab-com/peopleops/issues/234).
    1. Why is the pay gap between Support Engineers and Developers significant?
        - The role and responsibility is different for these two roles, therefore, the market data indicates a difference in pay scales.  We will review external market data again, during the upcoming merit administration process, to confirm the accuracy of our initial benchmark data.
    1. Concern about relocation causing drop in pay
        - Note the answer above.  This is a relatively new policy in an organization that is helping form the playbook for all-remote companies. We strive to find a balance between financially responsible decisions and what's fair to team members.
    1. Concern for lower pay scale outside the US/Europe based on a lower cost of living
        - The [Global Compensation Calculator]({{< ref "compensation-calculator" >}}) applies a consistent approach to paying a fair wage to all team members. It is not a perfect solution and we aim to [make the model better](https://gitlab.com/gitlab-com/peopleops/issues/234) this spring.
    1. Will we use the compensation calculator for non engineering roles?
        - Yes, this work will be included in the [making the model better](https://gitlab.com/gitlab-com/peopleops/issues/234) project.
- Other Compensation Topics -
    1. Clarification of pay schedules for payroll, invoice processing and bonus payments
        - We will post these details in the handbook by the end of April.
    1. When and how will the salary review process be completed?
        - We are working on the guidelines for our first annual merit administration cycle. More details coming the week of March 27th.

##### Benefits

1. Looking forward to GitLab's Parental leave policy
    - We are in the process of comparing country requirements to create a fair [policy](https://gitlab.com/gitlab-com/peopleops/issues/88) for our team members looking to add to their family.
1. Feeling guilty taking time off
    - We encourage anyone who is concerned about [taking time away](https://gitlab.com/gitlab-com/www-gitlab-com/issues/952) from work to recharge to speak to their manager or reach out to our People Ops Generalist or People Ops Director to better understand the concern.  We take our unlimited paid time off policy seriously.

##### Grovo

1. Why are quizzes necessary?
    - Quizzes reinforce that learning has occurred. When the courses were pulled from Grovo's content library, we were conscious to minimize or even eliminate this exercise for shorter courses.  Confirming you understand and can apply the concepts covered is an important step in the learning process.
1. Will we have technical training for non-engineering GitLab team-members?
    - This is on the radar for 2017.

##### Lattice

1. Need more explanation about the purpose and OKRs
    - We admit to rolling out OKRs quickly and asking people to jump on board for Q1 2017. We will spend more time exiting the quarter properly, learning from what went well and what can be improved and make every effort to improve the process for Q2.
1. Fear of "Not my OKR, not my problem" moving toward thought process of not my job instead of helping team members out when they need it.
    - During a debrief on Q1, we will explore this concern further to see if it has any merit. We have committed to setting OKRs to help us achieve bigger results by focusing on a few key deliverables each quarter, however, we can't lose sight of the fact that we are in this to win as a team.

### Technical Direction

1. Need to Improve cloud and hosted solutions
    - This is one of our Q1 OKRs.

### Feedback from the GitLab team - November 2016

#### What you like about working at GitLab

Remote working environment, product development, challenge of working on the product, potential we have for
"making it big," great co-workers, the sense of a team, great culture, the feeling of being valued, personal
responsibility, willingness of GitLab team-members to teach new GitLab team-members, transparency, and team calls.

#### What you would like to change & what we are doing about it

1. Make the handbook easier to navigate.
    - We have added an [Onboarding]({{< ref "general-onboarding" >}}) guide for new GitLab team-members. We also added Standard Operating Procedures for different departments to make what you are looking for easier to find. And don't forget, there is a search function at the top of the handbook that can help you find exactly what you are looking for! Update: This page has been moved to [Onboarding]({{< ref "general-onboarding" >}})
1. Spend more time learning the technical side of our product.
    - Check out [GitLab University](https://university.gitlab.com/) to learn more about Git and GitLab. We will also be rolling out additional training on Git and GitLab during 2017 see [issue](https://gitlab.com/gitlab-com/peopleops/issues/126).
1. Refine the hiring process.
    - We have revamped our [hiring process](/handbook/hiring) to be more efficient. Our global recruiters are working hard to ensure that every candidate is kept in the loop about where they stand in the hiring process, and managers are not spending too much time in Lever reviewing candidates. If you have any questions please feel fee to reach out on the `#hiring` channel on Slack.
1. Refine the compensation principles.
    - Please check out our [Global Compensation Framework]({{< ref "compensation" >}}). If you have any questions or concerns about the compensation principles, please let People Ops know!
1. Focus on differentiating CE from EE.
    - We plan to build features that are interesting for enterprises and replace existing products.
1. Focus on growth of GitLab team-members within the organization.
    - People Ops has instituted Grovo (individual contributor and management training), as well as Lattice (OKRs) to assist in the growth of GitLab team-members within their position at GitLab. We will continue to strive to work with managers to develop GitLab team-members at GitLab by drafting Professional Development Plans see [issue](https://gitlab.com/gitlab-com/peopleops/issues/170).
1. More face-to-face meetings and ability to meet up with GitLab team-members close by.
    - Please expense travel to visit GitLab team-members as described in [Spending Company Money](/handbook/finance/spending-company-money/).
1. Adjust the team call format to include more regular functional group updates.
    - The [team call](/handbook/communication/#team-call) now has weekend updates every two weeks, a separate call for APAC GitLab team-members to give their weekend update, and [functional group updates](/handbook/company/group-conversations/) are separate events.
1. Have more employee agreements instead of contractor agreements.
    - People Ops will be working to establish new entities/payrolls in more countries as we grow. Once this is completed we can transfer contractors to employees.
1. Hire in departments that need more GitLab team-members.
    - We understand that there is always a lot to do at GitLab and for some departments this means that we might need to hire more GitLab team-members. If this is the case please communicate this to your manager and/or People Ops. If appropriate People Ops will [open the role](/handbook/hiring#vacancy-creation-process), and add it to the [jobs page](https://about.gitlab.com/jobs).
1. Refine onboarding to be less intense/intimidating.
    - Onboarding can be overwhelming and sometimes confusing. To alleviate confusion about what you are doing and why, we created an [Onboarding]({{< ref "general-onboarding" >}}) guide to explain each step. Update: This page has been moved to [Onboarding]({{< ref "general-onboarding" >}}).
1. Move unlimited vacation to a set amount so GitLab team-members take their full vacation.
    - We are taking a look at what the best option is in regard to a limited or unlimited vacation. We want to urge that GitLab team-members take enough [time off]({{< ref "paid-time-off" >}}) to recharge! Unlimited vacation/taking vacation is encourage at GitLab. For information on how these developments are going, check out the open [issue](https://gitlab.com/gitlab-com/www-gitlab-com/issues/952)
1. Less downtime on GitLab.com.
    - Our Infrastructure team is always looking for new ways to improve the ownership of the things we ship. The team will look to have owners of services or features, and these services working will be the way they prove that they are actually delivering. Infrastructure has also increased uptime to 99.91% in [December 2016](https://stats.pingdom.com/81vpf8jyr1h9/1902794/2016/12).
1. Casual and social interaction.
    - We have instituted [Coffee Breaks](/handbook/company/culture/all-remote/tips#coffee-chats) to promote catching up with GitLab team-members. Also, all GitLab team-members are just a click away on Slack or a call away on the [Random Hangout](/handbook/communication/#random-room).
1. Revise Lever Notifications.
    - Sometimes it can be hard to manage Lever notifications. Here are some [guidelines](/handbook/hiring#general-points-about-moving-applicants-through-the-process) to keep your inbox low.

#### What are you wondering about / What we are missing

1. Are we growing too fast?
    - Check out our [strategy](/handbook/company/strategy/) page for why we are growing faster than feels intuitive.
1. How to improve myself as a professional?
    - Aside from the internal tools at GitLab, you can expense any course or training that falls in line with [Spending Company Money](/handbook/finance/spending-company-money/). Questions? Just ask your manager or People Ops.
1. How are we using our series B funding?
    - We have released our [master plan](https://about.gitlab.com/blog/2016/09/13/gitlab-master-plan/) for how we plan on growing as a company as a result of our Series B Funding. Also, check out our [Strategy Page](/handbook/company/strategy).
1. What are the plans for parental leave?
    - We are currently working on this [issue](https://gitlab.com/gitlab-com/peopleops/issues/88).
1. What are the mid to long term engineering strategies?
    - Make GitLab.com fast and reliable (99% page loads < 1 s).
    - Make GitLab a next-generation product.
    - Make GitLab a great place for engineers to grow.
1. What does it take to move from a junior to intermediate or senior?
    - Some job descriptions have what is expected of a junior, intermediate, or senior, if applicable. For specific questions about each role, please speak with your manager. As this is still a work in progress for many roles, here is the open [issue](https://gitlab.com/gitlab-com/peopleops/issues/168).
1. Is there process for compensation reviews?
    - People Ops will be working on this in 2017.
1. Will GitLab include a 401(k) match for US employees?
    - At this time, GitLab does not have a 401(k) match for US employees.
1. Improve gender diversity.
    - Our Global Recruiters are working to ensure that the hiring process promotes [diversity](/handbook/hiring#equal-employment-opportunity). We have also started a Slack Channel `#diversity_inclusion`. Please feel free to contribute at any time!
1. Manager and 1:1 training.
    - As we grow and develop our internal trainings, we will make sure to educate managers on what should be discussed in 1:1's to ensure that the team member's personal and professional development is the core theme of these conversations.
1. All meetings recorded by default.
    - All meetings that happen over Zoom are recorded and placed on the Google Drive under "GitLab Videos."
1. Instructions on how to build a project on GitLab.
    - Here is some [documentation](https://docs.gitlab.com/ee/user/project/working_with_projects.html#create-a-project) on how to build a project within GitLab.

We also received a many responses stating we should not change or add anything, and that GitLab is an awesome place to work. This is great that GitLab team-members feel this way, and People Ops will continue to strive to create a culture where GitLab team-members are satisfied and engaged. Want to see where most of these changes were made? Check out the [issue](https://gitlab.com/gitlab-com/peopleops/issues/122)!

### Feedback from September 2016, and presentation of responses

1. Please checkout this [presentation](https://docs.google.com/presentation/d/1LNJEGKc0e7FpE5N17c2haYhU2VVVHkgh70ToDjX3f3U/edit#slide=id.g188ff13e8d_4_1) to see what responses and changes were made as a result of the September 2016 survey.

### Feedback from January 2016, and responses

#### "What do you wish we had / What are you wondering about"

1. "Contractor or employee? Worried about job security as a contractor."
    - We value all GitLab team-members equally, regardless of the legal arrangement that
    you have with GitLab. Due to legal restrictions and the difficulty of having
    people be employees outside of the US or NL (where we have a legal entity), a
    large portion of the team are contractors (21 out of 46). At GitLab, as everywhere
    else, job security relies mostly on how you are performing as a team member,
    and how the company performs as a whole. By the way, the contracts that we use
    are all viewable in our [internal handbook](https://internal.gitlab.com/handbook/people-group/people-operations/people-connect/employment_contracts/)
1. "More patience and consideration with ideas from newer people, things are sometimes
quickly rejected as 'won't work' or 'not interested' without much explanation."
    - It is difficult to comment on what may have been specific circumstances,
    but if you have felt that your idea was rejected too quickly or without explanation,
    then please know that this was not intended to be unkind or harsh. There are
    many ideas and for the sake of efficiency we give minimal reasoning in responding.
    This is also due to the nature of asynchronous communication where it is hard
    to tell if an answer is extensive enough to satisfy the question. If you feel
    that an idea is being rejected rather quickly, you **can** and **should**
    request more explanation. This might lead to a fruitful discussion and a reconsideration.
1. "Wish we had more time"/ "Wonder if sometimes we go too fast and should go slower
to focus on quality and testing more"
    - Please make sure you take enough
    [time off]({{< ref "paid-time-off" >}}) to recharge!
    Having a rapid release cycle contributes to increasing quality over time being able to iterate faster. For
    particular concerns in an individual issue, please raise your concerns in the
    issue. Because GitLab has gotten very popular the absolute amount of bugs might be increasing.
    But to individual users it feels like we've "[been squashing bugs and releasing features rapidly while also decreasing the number of regressions introduced and improving their test suit across the board](https://news.ycombinator.com/item?id=11039966)".
    Obviously quality is and will always be a top concern, especially code quality
    since that enables better testing, faster fixes, and more contributions.
1. "Better supervision in the first two months"
    - Always be sure to reach out to your manager if you feel that you need more guidance. Your peers are a Slack message away.
1. "Maybe a more competitive salary"
    - From the [handbook](/handbook): "If you are unhappy with anything (your duties, your colleague, your boss, your salary, your location, your computer) please let your boss, or the CEO, know as soon as you realize it. We want to solve problems while they are small."
1. "A step between review/QA and deployment."
    - Review happens through merge requests, and QA happens as part of the release process. We can't think of anything else at the moment that would not introduce gates that cause delay and inefficiency.
1. "Off-site meetings during the year and/or team-specific summits, like a hackathon"
    - We had a Summit in Oct'15, and are having one in May'16. We aim to have these every 6-9 months. We are thinking about organizing a hackathon during the [Summit](https://gitlab.com/summits/Austin-Summit-2016-project/blob/master/Proposed_Activities.md); please upvote if you want it to happen!
1. "We share a lot about our software 'side'; can we share more about our other 'sides' (like how marketing does marketing) in a "team blog"? This would help in hiring awesome people!"
    - We love blog posts and sharing all of GitLab's 'sides'. Please channel your inner need to write a blog post (or part of it!) on our [blog](https://gitlab.com/gitlab-com/blog-posts/issues) repo.
1. "Additional training for dev people, maybe? Specific suggestions for topics include agile coding, code quality, and there is a suggestion for Robert "Uncle Bob " Marcin (https://sites.google.com/site/unclebobconsultingllc/) for code quality
    - After some research within the team there was a greater interest in a "birds of a feather" gathering than formal training. We're looking to do this during our Summit trip to Austin.
1. "What features are we planning? See [/direction](https://about.gitlab.com/direction/)
1. "How are we doing? How does the Board see it? Can we keep up the growth and the Sales?"
    - Khosla is really happy so far. Keeping up growth depends on demand generation
1. "If we are sometimes too open and too transparent in a way that hurts us?"
    - So far the only negative thing is that we suspect that competitors release their stuff early to preempt us, we think it is great that they are adjusting their schedule to ours!
1. "Creating/using a standard for interviewing candidates."
    - Good idea, a lot of us use standard interview questions /handbook/hiring/#interview-questions but merge requests are welcome.
1. "More formality in development process."
    - What form of formality? We welcome changes that don't reduce our productivity. Potentially we could start using issue weights more to gauge the load.

#### "What do you like about working here?"

1. A lot of love for the team
    - Keywords people used to describe their fellow GitLab team-members are: 'talented,
   caring, teamwork, approachable, honest, frank, smart, brilliant, skilled,
   team spirit'.
1. Great product
    - Four people mentioned it specifically, and this one sums it up nicely: "Working
   on a product that I actually love to use". Respondents also mentioned the fast pace of development.
1. Open Source
    - Respondents value being involved in Open Source, with phrases such as: 'proving that open source is awesome and working with the rest of the community, working on open source while getting paid for it is a dream job!'
1. Freedom and opportunity
    - We are a remote-first company and our GitLab team-members like: 'being remote-first, working from home, having personal independence, the freedom to choose what to work on, the freedom that you don't get in a corporate office environment, flexibility to get things done, slim process, slack oriented'
    - People also mentioned the opportunity to learn, and the massive opportunity that the project and the company has.
1. Team dynamic
    - Several people mentioned that they really like the team dynamic, specifically: 'the support that you need is there, you have the ability to take on multiple hats and responsibilities, everyone and everything is open to constant improvement, ability to collaborate even though we're remote, we're remote but still have a great sense of "team", love the cross discipline collaboration that goes on every day'

### Feedback from the GitLab team - September 2015

Summarized in this presentation about ["Stuff the GitLab team likes and does not like"](https://docs.google.com/a/gitlab.com/presentation/d/1h9P8Vf_6fzPbLCCahvwtIF5j_cH54zsv9iRSseVZzl0/edit?usp=sharing),
here is what the team said in September of 2015.

#### What we love about working at GitLab

Freedom, flexibility, enthusiasm, passion, great, smart, engaging,
enjoy teaching, feels like a family, great dynamic, supportive,
approachable execs, supportive, transparency, speed of innovation, remote working,
company sponsored training, great Summit in Amsterdam.

*and also*

Great product, ability to create new processes,
company growth, no bureaucracy, no high pressure, opportunity, our growth,
the challenge of maintaining quality of people, product, brand etc,
laser focus on improving collaboration through social coding, market adoption,
our work is public so we can talk about it, and our ability to create new processes.

#### What we wish we had or what we want to be doing & What we're doing about it

1. More GitLab team-members.
    - We're hiring
1. Bigger feature gap between CE and EE.
    - Current plan is to have one EE feature added per release, so over time the difference will grow.
1. More summits.
    - Current plan is to have a summit every 6-9 months.
1. Better onboarding.
    - We're working on this with GitLabUniversity (GLU) content, continuous improvements to documentation and the handbook
1. Customer success events, starting in the Bay Area.
    - Cool idea, start an issue and make it happen!
1. Coaching on Agile and Lean approaches for Engineering team.
    - Great idea, we'll look into it. Suggestions are welcome.
1. A scale with happiness of last work week for feedback.
    - We've working this into our feedback from in a different setting for now.
1. Global presence of Service Engineers, and dedicated trainer and training materials.
    - We're working on this through hiring. Also, we have high hopes of GLU, ongoing content creation, etc. to help out here.

#### What we're wondering about & the answers to our thoughts

1. Stock options: terms, conditions
    - Does the handbook answer your questions? (/handbook/total-rewards/stock-options/). Please feel free to ask Paul.
1. What the company will look like 3, 6, 12 months from now? (community-ish, enterprise-ish)
    - The community and people using GitLab will keep growing. 12 months from now
    we'll answer all questions from the community on all platforms (from forum to
    Stack Overflow), we
    'll have a proper swag shop and have more developer oriented
    content (blog posts, videos).
    - Enterprise wise we'll have double the features we have now, a twice as large sales
    team, and many add-ons. Feel free to ask something more specific if you need more
    detail. And of course try to shape it as you think it should look.
1. How committed are we to building EE features and having significant releases  each month?
    - Very committed. At least one tentpole EE feature every month. Next 3 releases contain 2 or 3 each! /direction/
1. Sales team hiring plan
    - We're hiring but it is not a priority until everyone is up to speed and trained. But we expect that to happen soon, and the marketing machine will come up to speed soon, after which hiring becomes a priority.
