---
title: "Leaders at Summit"
description: "Company leaders who attend GitLab Summit should take the opportunity to engage with GitLab team-members across the organization."
---

{{< youtube "39chczWRKws?start=1756" >}}

<small>
For the context of this video, please see the [project challenges in the Greece recap](https://about.gitlab.com/blog/2017/10/25/gitlab-summit-greece-recap/#summit-challenges)
</small>

[Company leaders](/handbook/leadership) who attend GitLab Summit should take the opportunity to engage with GitLab team-members across the organization and should be mindful of silos and favoritism as they observe team dynamics.

### Be conscious

Leaders should consider themselves "hosts" of the event, which means that, in addition to facilitating team building and interaction, they should be aware of potential issues that could arise during the event related to the behavior, health, and safety guidelines below. These include:

- Harassment, sexual or otherwise
- Excessive drinking and/or drug use
- Fighting and physical altercations
- Accidents (e.g. trips, falls, motor accidents, etc.)
- Inappropriate dress (business/work event)
- Various mental states and moods (anxiety, depression, etc); [neurodiversity](/handbook/values/#diversity-inclusion)

### What should managers do?

- Protect and reduce risk to all team members and to the company
- Check on your team throughout Summit
- Err on the side of caution and over-communication by contacting People Ops immediately if there is an issue or if you think there may be a problem/concern

**Who to contact if an issue or violation occurs?**

- Corporate Events team - can be reached through the event app or [via email](mailto:contribute@gitlab.com)
- People Operations Team - can be reached via Slack and people ops email address

## Behavior

- Attending Summit is optional but recommended. Most team members report it is great to get to know each-other better and the schedule is fun. In past in-person Summit events, about 90% of the team were able to attend.
- The executive team is required to attend for the full duration of the event.
- Wear your name-tag when you're outside your room, including during excursions, meals, and on departure day.
- Try to join different people every time we sit down for a meal
- Try to form a personal bond with team members of other teams.
- Summit is great for informal meetings and brainstorming, like Unconference sessions. People already know their team, so try to make UGC sessions cross functional.
- Don't plan meetings and 1-1's with your own team, we already do these when we're not together during Summit. There will be some allocated time for team-time.
- Prior to Summit, ensure to communicate to any external stakeholders (i.e. candidates, customers, vendors, etc) that response time may be less reliable, as you will be out of the office and will not have as much access to email and calls.
- Respect the laws and customs of the location we are visiting.

### Extroverts and Introverts

Remember that you and your co-workers may have different personality types in terms of how you interact with others in large social situations. Consider the differences between extroverts and introverts:

**Extroverts**

- Recharge by being Social
- Enjoy group conversations
- Speak more
- Make decisions quickly
- Love getting attention
- Speak up in meetings

**Introverts**

- Recharge by spending time alone
- Enjoy one-on-one conversations
- Listen more
- Reflect before making decisions
- Are not interested in getting attention
- Shares ideas when prompted

**Ambiverts**

- A combination of both introverts and extroverts

References:
[Are Extroverts Happier Than Introverts? Psychology Today](https://www.psychologytoday.com/blog/thrive/201205/are-extroverts-happier-introverts)
[Are You an Extrovert, Introvert, or Ambivert?](https://www.psychologytoday.com/us/blog/cutting-edge-leadership/201711/are-you-extravert-introvert-or-ambivert)

## Health and safety

- Look after your self during Summit and avoid event burnout. It can be an exciting time with lots of new people to meet and things going on you want to take part in. Remember to take down-time if you need it to recuperate during the week rather than trying to [burn the candle at both ends](https://dictionary.cambridge.org/dictionary/english/burn-the-candle-at-both-ends) and risking exhaustion.
- Every year about a third of us have some kind of flu after the event, so please take infection prevention seriously.
- Use hand sanitizer after getting your food and before eating. [Shared buffet utensils spread disease.](https://cruisereport.com/articles/keep-from-getting-sick) We will do our best to provide hand sanitizer to everyone whenever we can.
- If you are sick please wear a surgical mask which [reduces the spreading by up to 80%](https://www.healthline.com/health/cold-flu/mask). We'll try to provide them.
- Remember our [values](/handbook/values/) and specifically the [permission to play](/handbook/values/#permission-to-play) behavior
- Be respectful of other hotel guests (e.g. don't talk on your floor when returning to your room at night & keep your volume down at restaurants/bars).
- Utilize the resources available to understand the safety and crime considerations in the location we are visiting. Examples are the [UK's Foreign Travel Site](https://www.gov.uk/foreign-travel-advice) and the [U.S. State Department](https://travel.state.gov/content/travel/en/international-travel.html). If you are alarmed by what you are reading, please feel free to reach out to People Ops Team with your concerns. We also advise reviewing the data for countries you feel are safe. You may find that even the safest countries have warnings on crime and safety. Staying with a group and away from known dangerous areas is the most basic way of avoiding problems.

## Inclusion

- We provide pronoun stickers during check in so that everyone feels welcome and included
- We provide greeting stickers (Eg. wave, hand shake, hugs) during check in so that each person is able to share how they would like to be greeted. Each person may have different preferences in how they feel most comfortable greeting others and we would like to be mindful and inclusive of that.

### Cultural Impacts and Differences

It is important to recognize that people from different cultures have different ways of saying things, different body language, different ways of dressing/attire and even different ways of looking at things. You can review examples of typical cultural differences on the [Center of Intercultural Competence](https://www.cicb.net/en/home/examples).

Summit attendees should also remember:

- We have various generations and 50+ countries/cultures coming together for several straight days, versus our normal routine of interacting remotely.
- We are guests of this country, of the hotel, and of the sites we will visit - it is our privilege to be there, and we need to be ambassadors of GitLab and lead by example the whole time according to [our values](/handbook/values/).
- Be sensitive to political, religious and other potentially divisive conversations

### Lost in Translation

Translation tends to sound easier than it is. People often think that it is just a matter of replacing each source word with a corresponding translated word, and then you are done. Assume best intent from your fellow team members and use it as an opportunity start a new dialogue. For more information you can review the following articles on [LTC Language Solutions](https://ltclanguagesolutions.com/resources/blog/lost-in-translation-translating-cultural-context/)
