---
title: "GitLab Top Team Member"
description: "A Top Team Member (T2M) exemplifies the GitLab Values beyond of the team of people they directly work with."
---

Note: Top team member awards as of 2018 are no longer in practice.

## Top Team Member

A Top Team Member (T2M) exemplifies the [GitLab Values](/handbook/values/) beyond of the [team of people](/handbook/company/structure/) they directly work with.
You can only be nominated by a manager who you don't report to because this award recognizes cross-functional collaboration.

### July 2017 Top Team Member

Brian Neel, Security Lead, is the July 2017 Top Team Member embodying collaboration!

Nomination reasons for how Brian demonstrated Collaboration:

- He has been instrumental in improving our logging so that we can better keep an eye on our infrastructure.
- He always helps with outages when possible
- His help with planning and creating the VPN allowed us to greatly increase our security of our infrastructure.
- He helped with planning of our infrastructure's network and the associated improvements in security.
- He is always willing to jump in to help whoever possible, even if it means he'll be operating outside his comfort zone.
- He has been a instrumental in several large deals from a Security standpoint. Brian is very responsive to email requests from Account Execs and makes himself available to join conference calls with prospective customers.

### August 2017 Top Team Member

Victor Lopez, Senior Production Engineer, is the August 2017 Top Team Member embodying results!

Nomination reasons for how Victor demonstrated Results:

- Work on GitLab logging infrastructure. Having a solid logging platform enables us to use GitLab.com's runtime data to make decisions around benchmarking, performance analysis, debugging, root cause analyses, support, and more.
- Victor has enthusiastically picked up this task and is successfully wrangling our logging infrastructure back into shape.

### September 2017 Top Team Member

Brittany Rohde People Operations Specialist, is the September 2017 Top Team Member embodying efficiency!

Nomination reasons for how Brittany demonstrated Efficiency:

- Being respectful of other's time making sure her communication was short and sweet
- Manager of one having a clear overview / todo list of what needed to be done
- Move fast by shipping the minimal valuable change making sure decisions were made instead of delayed to not pile on work for later.

### October 2017 Top Team Member

Victor Wu, Product Manager Discussion, is the October 2017 Top Team Member embodying diversity!

- Victor has gone above and beyond in leading a [podcast focused on Diversity](https://www.podchaser.com/podcasts/stem-diversity-podcast-572701) and has shown a strong interest and willingness to help GitLab be an inclusive workplace.

### November 2017 Top Team Member

Grzegorz Bizon, Senior Developer, is the November 2017 Top Team Member embodying the GitLab Values!

Nomination reasons for how Grzegorz demonstrated GitLab's values:

- Help setting up the Geo GitLab QA testing framework, displaying the values of Collaboration and Results
- The Geo team now has a suite of QA specs that run nightly, and can be run whenever a new Omnibus package is generated. This has already helped us to catch multiple regressions before they reached customers.
- The Geo team also has a list of scenarios to implement in the future, building on top of [his excellent work](https://gitlab.com/gitlab-org/gitlab-qa/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name).

### December 2017 Top Team Member

Nadia Vatalidis, Recruiter, is the December 2017 Top Team Member embodying the GitLab Values!

Nomination reasons for how Nadia demonstrated GitLab's values:

- The energy and professionalism that Nadia brings to recruiting new talent to the company is amazing. As a first point of contact with the company for many potential recruits, she's an excellent ambassador for GitLab and personifies of our company values, particularly results and efficiency.

### January 2018 Top Team Member

Brendan O'Leary, Professional Services Engineer, is the January 2018 Top Team Member embodying the GitLab Values!

Nomination reasons for how Brendan demonstrated GitLab's values:

- Collaboration and Iteration: Whether Brendan is developing content for sales and marketing, participating in the Marketing Hack Day, or recording a product demo, he is easy to collaborate with, and he keeps moving forward with discrete, concise improvements.
- Marketing hack day examples:
  - [gitlab-com/marketing-hack-day#60](https://gitlab.com/gitlab-com/marketing-hack-day/issues/60)
  - [gitlab-com/marketing-hack-day#21](https://gitlab.com/gitlab-com/marketing-hack-day/issues/21)
  - [gitlab-com/marketing-hack-day#19](https://gitlab.com/gitlab-com/marketing-hack-day/issues/19)
- Collaborating on improving [how our customers get educational content](https://gitlab.com/gitlab-com/marketing/issues/1943).

### February 2018 Top Team Member

Andreas Brandl, Senior Database Engineer, is the February 2018 Top Team Member embodying the GitLab Values!

Nomination reasons for how Andreas demonstrated GitLab's values:

- Andreas has been very productive, incredibly helpful, manages his time/work very effectively, actively communicates the status of things, and engages with other teams to resolve issues; all that in his first month.
- Some examples of his work:
  - https://gitlab.com/gitlab-org/gitlab-ce/merge_requests/17327
  - https://gitlab.com/gitlab-org/gitlab-ce/merge_requests/17454
  - https://gitlab.com/gitlab-org/gitlab-ce/merge_requests/17476
  - https://gitlab.com/gitlab-org/gitlab-ce/merge_requests/16976
