---
title: "GitLab All-Company Meetings"
description: "An overview of GitLab Assembly and Quarterly Kickoff Meetings"
---

## Overview

GitLab has three big quarterly internal-only meetings to align team members on key happenings and priorities across the business. The first is the Quarterly Kickoff, the next is the Post-Earnings Recap & AMA, and the last is Assembly. This page provides an overview of each of these.

## Timing

Timing of team member touchpoints:

- [Quarterly Kickoff](/handbook/ceo/office-of-the-ceo/#quarterly-kickoff) (first half of the first month of the quarter): Typically a video update from GitLab CEO, Sid Sibrandij shared on Slack, followed by an AMA
- [Earnings Call](/handbook/finance/investor-relations/#quarterly-earnings-process) (first half of the second month of the quarter): Public call that team members are invited to attend
- [Post-Earnings Recap & AMA](#post-earnings-recap--ama) (immediately following earnings): A 25 minute private AMA occurring after Earnings
- [Assembly](/handbook/people-group/employment-branding/people-communications/#gitlab-assembly) (end of second month, early the third month of a quarter): An all-company meeting occurring 3-4 weeks after Earnings that covers a wide range of topics

## Team Member Meeting Recordings

Recordings and agendas (internal only) listed in reverse chronological order.

| Date       | Recording | AMA Agenda |
| ---------- | --------- | ---------- |
| 2024-10-03 | FY25-Q3 GitLab Assembly | [AMA](https://docs.google.com/document/d/1-daxf18rmxrcYmwRMN91wWUNz-dHr9gBUekAgiti9C4/edit) |
| 2024-09-05 | FY25-Q2 Post-earnings internal recap | [AMA](https://docs.google.com/document/d/1sHElZ7MNlqPEFLkZyElS3Dxyp5b-Ek6coIZtuIFbl1Q/preview) |
| 2024-08-12 | [FY25-Q3 Quarterly Kickoff](https://university.gitlab.com/access/saml/login/internal-team-members?returnTo=https://university.gitlab.com/learn/video/fy25-q3-quarterly-kickoff) | [AMA](https://docs.google.com/document/d/1Q9n_lkGLvaCsEw0QWo1Miu5qO5eSk4di_HLLu6y2Pn8/edit) |
| 2024-06-18 | [FY25-Q2 GitLab Assembly](https://university.gitlab.com/access/saml/login/internal-team-members?returnTo=https://university.gitlab.com/learn/video/fy25-q2-assembly) | [AMA](https://docs.google.com/document/d/1id5kUkn4nTluTPT0QugdkUqf8aVanKooOYQnoLyst68/edit) |
| 2024-06-05 | FY25-Q1 Post-earnings internal recap | [AMA](https://docs.google.com/document/d/1HysQuLIKWhiLkgPQsTkzHLNh-YlayqlJTS5rUokcA1s/edit) |
| 2024-05-13 | [FY25-Q2 Quarterly Kickoff](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://university.gitlab.com/learn/video/fy25-q2-quarterly-kickoff) | [AMA](https://docs.google.com/document/d/1nkCd9aPjgEzNkJfk-JPOOfrUwoWqtgDTQTLi-uX5hDU/edit#heading=h.3p4twch2ko0a) |
| 2024-03-07 | FY24-Q4 Post-earnings internal recap | [AMA](https://docs.google.com/document/d/1V7DgfiTvLfaYhJcORXxy174S-8gYKLgMI7PkhpNvR_4/edit) |
| 2024-02-14 | [FY25-Q1 Quarterly Kickoff](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://university.gitlab.com/learn/video/fy25-q1-quarterly-kickoff) | [AMA](https://docs.google.com/document/d/1uY11Swsb7a6re4XM8uJo59n7xRJQ9Q-6nGtlq5MD3Ec/edit#heading=h.8wb0d7km9xiq) |
| 2023-12-07 | FY24-Q3 Post-earnings internal recap | [AMA](https://docs.google.com/document/d/14q5vuaJJwGAHafsq08NuTAZyRcKdkXVGeq3FjewzWow/edit) |
| 2023-11-16 | [FY24-Q4 Quarterly Kickoff](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://university.gitlab.com/learn/video/fy24-q4-quarterly-kickoff) | [AMA](https://docs.google.com/document/d/1rlUr-KjjnuF5PgKUYcPcoANYVDpaj0ma_BCMJrC-l3M/edit#heading=h.291m2nxz7c2v) |
| 2023-10-04 | [FY24-Q3 GitLab Assembly](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/video/fy24-q3-gitlab-assembly) | [AMA](https://docs.google.com/document/d/1gU-kOiEqSPt7mXdWWhYrjtAXr-RQNLYn7mH9BT0wSVU/edit#heading=h.73bvjze4oj3a) |
| 2023-09-07 | FY24-Q2 Post-earnings internal recap | [AMA](https://docs.google.com/document/d/1Fb5yMM_AblPy2kzxxpMY0JBekfZGnaC-APcFDTulgR8/edit#heading=h.73bvjze4oj3a) |
| 2023-08-16 | [FY24-Q3 Quarterly Kickoff](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/video/fy24-q3-quarterly-kickoff-ama) | [AMA](https://docs.google.com/document/d/1IEPh3msR76Rs3-nURiI8sIsexEgMgk7OmHko2P4TJaE/edit) |
| 2023-06-21 | [FY24-Q1 Results GitLab Assembly](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/video/fy24-q2-gitlab-assembly) | [AMA](https://docs.google.com/document/d/1l_Wm2hRozlBHQgFhOM-YvPL7gen5M6lpd7LDceK-EFc/edit#heading=h.v7v4cfj1oa5d) |
| 2023-06-08 | FY24-Q1 Post-Earnings Internal Recap | [AMA](https://docs.google.com/document/d/1Je7Gya4VuwZ56VhNJUqyioJ7-eKmJA2LtoJCUVKoMsM/edit#heading=h.73bvjze4oj3a) |
| 2023-05-17 | [FY24-Q2 Quarterly Kickoff](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/video/fy24-q2-quarterly-kickoff) | [AMA](https://docs.google.com/document/d/1mtLL3HKIWCe6xV1w4wF9ViYhDm5elhKb_IdTsbJxFak/edit#heading=h.3p4twch2ko0a) |
| 2023-03-15 | [FY23-Q4 Results GitLab Assembly](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/video/gitlab-assembly-fy23-q4-results) | [AMA](https://docs.google.com/document/d/1extPldea7aaYg85M_PQZh9nOr7DUcjhVmTMmvV_qlxE/edit#heading=h.73bvjze4oj3a) |
| 2023-02-28 | [FY24-Q1 Quarterly Kickoff](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/video/fy-24-q1-quarterly-kickoff) | [AMA](https://docs.google.com/document/d/1Jqty20IKf4SsI41pY-tPyQwNuD0WuujP18XLfNfLcIk/edit#heading=h.3p4twch2ko0a) |
| 2022-12-08 | [FY23-Q3 Results GitLab Assembly](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/video/gitlab-assembly-fy23-q3-results) | [AMA](https://docs.google.com/document/d/1iIXxUqnpDy4yDTRfJJxp9hQ8291w7ST4E1dSjObDUqc/edit#heading=h.73bvjze4oj3a) |
| 2022-11-16 | [FY23-Q4 Quarterly Kickoff](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/video/fy23-q4-quarterly-kickoff) | [AMA](https://docs.google.com/document/d/1jpm2cQb0HmD464HZVpSmc41-cfVH6Ecs6w_GZDV4PY8/edit#heading=h.jcmjxz6nb1le) |
| 2022-09-22 | [FY23-Q2 Results GitLab Assembly](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/video/gitlab-assembly-fy23-q2-results) | [AMA](https://docs.google.com/document/d/1-CYLe7g4Vy0geOSzTINXiASu9VGF-nSmawtbBBluSsc/edit#heading=h.73bvjze4oj3a) |

## Quarterly Kickoff

The CEO has a Quarterly Kickoff in the first month of each quarter.

This is a forum to review our long-term goals, recognize progress made in the previous fiscal quarter, recap any significant recent events, and discuss our aims for the upcoming fiscal quarter. Material shared is internal only on [Level Up](https://university.gitlab.com/learn/dashboard?query=quarterly%20kickoff).

The Quarterly Kickoff is followed by an AMA hosted by the CEO.

The CEO's Quarterly Kickoff Slides usually cover:

- Recap of GitLab's [Mission](/handbook/company/mission/)/[Vision](/handbook/company/vision/)/[Strategy](/handbook/company/strategy/) noting any updates made
- Review the previous quarter's OKRs, scores, and important details
- Progress for [Yearlies](/handbook/company/yearlies/)
- Sharing of this new quarter's OKRs
- Marathon Slide (as needed)
- Reiterate how all elements of [cadence fit together](/handbook/company/yearlies/#cadence), including any new or changed elements of hierarchy such as new OKRs.

The Quarterly Kickoff is an [Office of the CEO](/handbook/ceo/office-of-the-ceo/) initiative.

A member of the Office of the CEO is the DRI, but we coordinate with Internal Comms, Legal, and the EBA team to get the slides prepared, recorded, shared, and AMA scheduled; following the [Quarterly Kickoff Planning template](https://drive.google.com/drive/search?q=Template:%20Quarterly%20Kickoff%20Planning) (internal). Please make a copy of this template for the respective Quarterly Kickoff.

### Timeline for the Quarterly Kickoff

| Week relative to quarter | Task |
| ------------------------ | ---- |
| -4.5                     | Pick the date for the next kickoff. See [schedule](#schedule) for tentative dates.<br>The preferred date to share the video is on the Monday of the second full week of the quarter. Work with internal comms to validate this date and schedule an AMA the following Wednesday with the appropriate invite list. The goal is to have as many E-Group members as possible participate. |
| -4                       | Begin preparations, including slides and internal comms announcement. |
| -3                       | Schedule three review/recording sessions with the CEO. The first session is a review only and in the last week of the quarter. The two review/recording sessions should follow quarter close to ensure any needed information is included in the deck. |
| -2                       | Ensure time is scheduled on the chosen date for the CEO to send the comms. |
| +2                       | Ensure comms has gone out. Attend the AMA which follows. |

#### Schedule for remaining FY25 and FY26 Quarterly Kickoffs {#schedule}

**Note:** This schedule is subject to change based on the CEO's availability

1. FY25-Q4: Review/Record 2024-11-04 and 2024-11-06. Share the video on 2024-11-11. AMA on 2024-11-13.
1. FY26-Q1: Review/Record 2025-02-03 and 2025-02-05. Share the video on 2025-02-10. AMA on 2025-02-12.
1. FY26-Q2: Review/Record 2025-05-03 and 2025-05-05. Share the video on 2025-05-12. AMA on 2025-05-14.
1. FY26-Q3: Review/Record 2025-08-04 and 2025-08-06. Share the video on 2025-08-11. AMA on 2025-08-13.
1. FY26-Q4: Review/Record 2025-11-03 and 2025-11-05. Share the video on 2025-11-10. AMA on 2025-11-12.

### Zoom recording settings

Use the following settings in Zoom to record. It is best for the recorder to own the Zoom link in the invite otherwise the recorder needs to be granted permission.

1. Pin the CEO
1. Change `View` to `Speaker`
1. Enable `Hide Self View`
1. Enable `Hide Non-video participants`
1. Ask everyone except the CEO to mute their audio/video
1. Click `Record` -> `Record on this Computer`

## Post-Earnings Recap & AMA

Held the week of our quarterly Earnings Call, the Post-Earnings Recap & AMA is an opportunity for team members to ask questions related to our Financial Results.

For more information about our quarterly Earnings process, visit the [Investor Relations Handbook page](/handbook/finance/investor-relations/).

The Post-Earnings Recap & AMA is a Finance initiative.

## GitLab Assembly

GitLab Assembly is our quarterly all-company meeting and is an opportunity for team members to hear from leaders and teams across the company.

To learn more about GitLab Assembly, visit the [Assembly section](/handbook/people-group/employment-branding/people-communications/#gitlab-assembly) of the People Communications & team member engagement Handbook page.

Assembly is a People Communications & Engagement initiative.
