---
title: History of GitLab
description: "Review a summarised history of GitLab and the adventure so far from 2011 up until the present day. Learn more here!"
canonical_path: "/company/history/"
---

## A brief history of GitLab

### *2023: Leader in First DevOps Magic Quadrant*

GitLab succeeded in its first 10 year vision of creating a DevOps Platform category. This became official when Gartner® introduced its first Gartner® Magic Quadrant™ for DevOps Platforms category. It recognized GitLab as [a Leader](https://about.gitlab.com/blog/2023/06/07/gitlab-leader-gartner-magic-quadrant-devops-platforms/) – positioned highest on the Ability to Execute axis. We believe Gartner naming GitLab a Leader in the Magic Quadrant for DevOps Platforms is recognition of our success in both creating a comprehensive software development and delivery platform, and our role in helping mature the DevOps Platform category.

In the Third Quarter of Fiscal Year 2024, GitLab achieved non-GAAP operating profits for the first time. Brian Robins, GitLab chief financial officer, [stated](https://ir.gitlab.com/news-releases/news-release-details/gitlab-reports-third-quarter-fiscal-year-2024-financial-results) "I am pleased to share that we had our first quarter of non-GAAP operating profit while continuing to invest in key product areas including security, compliance, AI, and Enterprise Agile Planning."

### *2021: 10 Years of GitLab*

This year we celebrated 10 years of GitLab, marking a decade since the [first commit](https://gitlab.com/gitlab-org/gitlab-foss/-/commit/9ba1224867665844b117fa037e1465bb706b3685) was made! Our focus on community contributions remained strong, averaging more than 650 code contributions a month from over 2500 wider community contributors. Thanks to our DevOps Platform, we grew to more than 1 million active license users and 30+ million estimated registered users as of August 2021. GitLab, the company, grew to over 1400 team members in 65 countries and regions around the world. We continued to support and educate businesses about the benefits of remote work by leading more than 60 collaborative remote work discussions with companies, VCs and universities since the beginning of the pandemic.

On October 14, 2021, GitLab Inc. [became a publicly traded company](https://about.gitlab.com/blog/2021/10/14/gitlab-inc-takes-the-devops-platform-public/) on the Nasdaq Global Market (NASDAQ: GTLB).

#### Watch the video of GitLab's Listing Day

{{< vimeo 650088717 >}}

### *2020: The world's largest all-remote company*

With over 1,200 team members in more than 65 countries, we believe we were the world's largest all-remote company prior to the COVID-19 pandemic. Every single team member is remote, with no central headquarters and no company-owned offices anywhere in the world. GitLab has [raised $426M to date](https://about.gitlab.com/press/releases/2019-09-17-gitlab-raises-268m-to-expanding-leading-devops-platform.html).

### *2019: Contribute*

Haydn Mackay delivered a [wonderful keynote](https://www.youtube.com/watch?v=kDfHy7cv96M&feature=youtu.be&t=2640) at GitLab Contribute in New Orleans detailing GitLab's history. As one of GitLab's earliest employees and an inspiration for GitLab's all-remote culture, Haydn provided a uniquely comprehensive view of GitLab's evolution.

### *2017: GitLab Storytime*

A team member at GitLab interviewed the first five team members from GitLab to hear stories from the first years. In [Storytime Part 1](https://www.youtube.com/watch?v=DSmqOQ6eLB4) the team talks about hiring its first team member, learning to iterate, thoughts of shutting down, Y Combinator, and how the values were created. In [Storytime Part 2](https://www.youtube.com/watch?v=4pe6_d9ZTC4), we hear some hilarious stories of a surprise bachelor party, a competitor's offer to talk, a presentation that involved a lab coat and safety goggles, the first GitLab summit, and experiences at the Mountain View House.

### *2016: Growth*

In 2016 the number of [people that contributed to GitLab](https://about.gitlab.com/community/contribute/) grew to more than 1000.
More than 100,000 organizations and millions of users are using GitLab.
Our team grew with 100 people to more than 140.
In September we announce [our master plan](https://about.gitlab.com/blog/2016/09/13/gitlab-master-plan/) and raising $20m in our B round of financing.

### *2015: Y Combinator*

In the very start of 2015, almost the entire GitLab team flew over to Silicon
Valley to [participate in Y Combinator](https://about.gitlab.com/blog/2015/03/04/gitlab-is-part-of-the-y-combinator-family/).

We became much more comfortable with a much faster pace, and it changed the way we thought about what we could achieve in a short timeframe. If we think something takes too long, we need to change our idea of what we can accomplish. There is always an opportunity to do something smaller and imperfect but that still makes a difference.

It was essential to the trajectory we've set. We never thought we could beat our competitors, but we had big ambitions and knew we had a great product and would continue to iterate and improve on that product, which we still do today.

We graduated in March of 2015 and had 9 people on our team. The GitLab Handbook was [added to the website repository](https://gitlab.com/gitlab-com/www-gitlab-com/-/commit/2d2ced8f79da96fe981a3a6f6cf5918fa2dd992a).

### *2014: GitLab was incorporated*

In 2014 GitLab was officially incorporated as a [limited liability corporation](https://about.gitlab.com/blog/2014/04/18/gitlab-cloud-becomes-gitlab-com/).
GitLab released a new version every month on the 22nd, just as every year before and after.
The first release of the year at January 22nd: GitLab 6.5. At the end of 2014, December 2014, GitLab 7.6 was released.
In the end of that year we submitted [our application to Y Combinator](https://about.gitlab.com/blog/2016/09/30/gitlabs-application-for-y-combinator-winter-2015/).

### *2013: "I want to work on GitLab full time"*

Large organizations running GitLab asked Sid to add features that they needed.
At the same time Dmitriy tweeted out to the world that he wanted to work on GitLab full time.
Sid and Dmitriy teamed up and introduced [GitLab Enterprise Edition](https://about.gitlab.com/releases/2013/07/22/announcing-gitlab-enterprise-edition) with the features asked for by larger organizations. Sid authored the [initial commit](https://gitlab.com/gitlab-com/www-gitlab-com/-/commit/d69bc4c1acb61666e20ec62a2a0907d535176753) on GitLab's website repository.

### *2012: GitLab.com*

Sid saw GitLab for the first time and thought it was natural that a collaboration tool for programmers was open source so you could contribute to it.
Being a Ruby programmer he checked out the source code and was impressed with the code quality of GitLab after more than 300 contributions in the first year.
He [asked Hacker News](https://news.ycombinator.com/item?id=4428278) if they were interested in using GitLab.com and hundreds of people signed up for the beta.
In November 2012, Dmitriy made the [first version of GitLab CI](https://gitlab.com/gitlab-org/gitlab-ci/commit/52cd500ee64a4a82b9ff6752ee85028cd419fcbe).

### *2011: Start of GitLab*

GitLab's co-founder Dmitriy Zaporozhets needed a great tool to collaborate with his team. He wanted something efficient and enjoyable so he could focus on his work, not the tools. He created GitLab from his house in Ukraine. It was a house without running water but Dmitriy perceived not having a great collaboration tool as a bigger problem than his daily trip to the communal well.

So together with Valeriy Sizov, he started to build GitLab as a solution for this. [This commit](https://gitlab.com/gitlab-org/gitlab-foss/commit/9ba1224867665844b117fa037e1465bb706b3685) was the very start of GitLab on October 8, 2011.

The GitLab name was inspired by [GitWeb](https://git-scm.com/book/en/v2/Git-on-the-Server-GitWeb) and other git products.

## When did we know that GitLab would work?

As GitLab's co-founder and CEO, Sid, puts it: [it was iterative](https://youtu.be/jYYxi_bs1Qg). The first time was when he saw GitLab and how easy it made collaboration. The second time was when he first made a post about it on Hacker News, and it didn't trend at first, so he left his computer to go make pancakes. But he had his phone with him, and his post started to get tons of comments and was featured on the home page. He asked his wife to take over making the pancakes for a few minutes, but he never came back because he spent the rest of the day answering questions about GitLab. Another time was when GitLab got into Y Combinator.

## How did GitLab become an all-remote company?

{{< youtube "jdN5mj5ieLk?start=14" >}}

As part of a Harvard Business School case study [interview](https://youtu.be/jdN5mj5ieLk), GitLab co-founder and CEO Sid Sijbrandij spoke with Professor Prithwiraj Choudhury regarding the company's early days and how he thought about all-remote.

> The first employee of the company was based in Serbia. It wasn't practical to bring him to The Netherlands, and it wasn't practical for me to go to Serbia, so that was remote.
>
> Then, we hired Dmitriy [Zaporozhets] in the Ukraine, so it wasn't practical [for him to come to The Netherlands] either.
>
> Then, I hired a couple of people in The Netherlands. It *was* practical for them to come — I had an extra desk in my home — but by day three or four they stopped showing up. They were online, so we just continued working.
>
> I thought, 'OK, I'm going to tell them to show up tomorrow.' I then thought, 'Well, that's 1.5 hours of extra time spent commuting. Are we going to get 1.5 more hours of efficiency? Probably not.'
>
> I continued to hire people in The Netherlands, and continually they stopped showing up after a couple of days.
>
> Then, we did Y Combinator and almost all of the company lived in the same house. That was effective and intense. There is something to be said if you're one team of people and you can be in the same room together, and you have to move quickly, I'm supportive of doing that [in-person](/handbook/company/culture/all-remote/in-person/).
>
> Afterwards, everyone went back home because they were away from the [people they cared most about](/handbook/company/culture/all-remote/people/#worklife-harmony). Our Y Combinator coaches said, 'Look, this whole remote thing, it kind of works for engineering, but it doesn't work for other functions, so consider getting an office.'
>
> I thought that was good advice. You see, a typical flaw of a technical, product-focused CEO [like me] is that they think they can reinvent management. I believed in middle management, I believed in sales, and I thought: 'Let's not fall into that same trap by being adamant about having to be remote.'
>
> So, we got an office in San Francisco. It housed 15 people. The first person to show up there was our sales person, who had been with the company for a while. He stopped coming after a couple of days, and the same pattern continued.  People came in a few days, then stopped coming.
>
> It was because we were so used to using systems correctly, and using a remote work style. We used Slack, video calls, Google Docs, GitLab Issues, GitLab merge requests — we were just used to [that way of working](/handbook/company/culture/all-remote/management/).
>
> A few times it became contentious — mostly on executive hiring. Then, they come in and talk to the other executives, where they'd hear 'This is my first remote company as well, but I have an easier time reaching people here than at my previous job. People are super good at replying to messages and reading things here.'
>
> We didn't think remote would work for sales development representatives. These people are fresh out of school, they hear a lot of 'no' — it's a tough job, and they typically need the camaraderie of being together. Then, we found a couple of great SDRs in Utah and thought, 'We aren't going to make them move.'
>
> At a certain point, we decided: 'OK, this works. Almost nobody in the company wants to come to the office because it's a waste of time.'
>
> The worst thing you can do is have a [hybrid company](/handbook/company/culture/all-remote/hybrid-remote/), where some people are at the office using certain communication styles, while others are remote using [different communication styles](/handbook/company/culture/all-remote/evaluate/). That leads to a lot of inefficiency.
>
> When we decided to become remote, our investors were worried about it. They said, 'Look, there are very few remote companies at scale.' At the time, there was WordPress and InVision.
>
> We said, 'OK, we'll be pragmatic. As soon as we have a big breakdown in the leadership team or something, we'll reconsider.'
>
> That did not happen. We said, 'We're pretty sure this [scales a lot better](/handbook/company/culture/all-remote/scaling/). We're actually able to grow faster and have less disconnect amongst the leadership team than in other companies.'

Moving to the topic of investors and their perception of remote companies, Sid added the following.

> [Early investors] were skeptical of this model. They've turned from skeptics into advocates. They see our ability to hire outpacing their portfolio companies. They see our ability to retain people and our cost structure being much better.
>
> They're now actually starting to *focus* on companies which are all-remote, because they think it is a big competitive advantage.

## Value Origin stories

GitLab's [six core values](/handbook/values/) are 🤝 Collaboration, 📈 Results , ⏱️ Efficiency, 🌐 Diversity, Inclusion & Belonging, 👣 Iteration, and 👁️ Transparency, and together they spell the CREDIT we give each other by assuming good intent. In the following recordings, GitLab's CEO and Founder, Sid Sijbrandij, shares stories around each values origination and importance to GitLab.

### Collaboration

"We have assume positive intent in our CREDIT value."

{{< youtube "rCbEzjfaY0w" >}}

### Results

"If you get good results you have leverage to invest and do everything else."

{{< youtube "OYQyuZDdrUE" >}}

### Efficiency

"We get a lot done. We don't tolerate ineffectiveness."

{{< youtube "d5UATqiFbDw" >}}

### Diversity, Inclusion & Belonging

"We want to have a company with many people in it--especially when they are different from us."

{{< youtube "ovb_ciPq9x4" >}}

### Iteration

"The key to going fast is not about being super ambitious with planning more hours or having a big idea--but having the big idea and cutting that down to what you can ship quickly."

{{< youtube "OTClCuXpbhQ" >}}

### Transparency

"Most of the time when a company starts commercializing the open source community, the wider community, fades away into the background. We want to prevent that. We want people to feel empowered."

{{< youtube "HJhlL6Oozq8" >}}

{{% include "includes/take-gitlab-for-a-spin.md" %}}
