---
title: "Engineering Infrastructure Realm"
description: "Realm for the engineering infrastructure team to deploy shared and team-specific infrastructure resources that aren't appropriate for the saas realms."
---

### Quick links

- [Global infrastructure standards](/handbook/company/infrastructure-standards/)
- [Global labels and tags](/handbook/company/infrastructure-standards/labels-tags/)
- [Infrastructure policies](/handbook/company/infrastructure-standards/policies/)
- [Infrastructure helpdesk](/handbook/company/infrastructure-standards/helpdesk/)

## Overview

This realm is for the engineering infrastructure team to deploy shared and team-specific infrastructure resources that aren't appropriate for the `saas` realms.

{{% panel header="**Future Iteration with Engineering Infrastructure Handbook Pages**" header-bg="info" %}}
The [Engineering Infrastructure Environments handbook page](/handbook/engineering/infrastructure/environments/) is the current SSOT for environments. As the WIP initiative to iterate on our company-wide infrastructure standards evolves, the Engineering Infrastructure pages will be refactored incrementally as the standards are documented, implemented, and changes to environments take place.
{{% /panel %}}

### Access requests

To request access to a group, please see [group access request tutorial](/handbook/company/infrastructure-standards/tutorials/groups/access-request/).

> For email authenticity security reasons, only GitLab issues or Slack messages to owners or counterparts are allowed for infrastructure requests.

### Realm Owners

| Name                 | GitLab.com Handle       | Group Role       | Job Title                                       |
|----------------------|-------------------------|------------------|-------------------------------------------------|
| Dave Smith           | `dawsmith`              | Owner            | Engineering Manager, Reliability Engineering    |
| Gerardo (Gerir) Lopez Fernandez | `glopezfernandez` | Counterpart | Engineering Fellow, Infrastructure              |

## Realm labels and tags

The [global labels/tags](/handbook/company/infrastructure-standards/labels-tags) and [realm labels/tags](/handbook/company/infrastructure-standards/realms/eng-infra/labels-tags) should be applied to each resource.

## Realm Groups

Each infrastructure group has a shared GCP project and/or AWS account for group members.

If a group has not been implemented yet, please contact the realm owner for assistance. After a group is implemented, a separate handbook page is created with usage documentation.

| Group Name (AWS Account/GCP Project Name) | Usage Documentation (Empty cells are not implemented yet)                                                                |
|-------------------------------------------|--------------------------------------------------------------------------------------------------------------------------|
| `eng-infra-shared-infra`                  | <!--[Group Docs](/handbook/company/infrastructure-standards/realms/eng-infra/groups/eng-infra-shared-infra)-->                   |
| `eng-infra-shared-services`               | <!--[Group Docs](/handbook/company/infrastructure-standards/realms/eng-infra/groups/eng-infra-shared-services)-->                |
| `eng-infra-analytics`                     | <!--[Group Docs](/handbook/company/infrastructure-standards/realms/eng-infra/groups/eng-infra-analytics)-->                      |
| `eng-infra-scalability`                   | <!--[Group Docs](/handbook/company/infrastructure-standards/realms/eng-infra/groups/eng-infra-scalability)-->                    |
| `eng-infra-deliverability`                | <!--[Group Docs](/handbook/company/infrastructure-standards/realms/eng-infra/groups/eng-infra-deliverability)-->                 |
| `eng-infra-reliability`                   | <!--[Group Docs](/handbook/company/infrastructure-standards/realms/eng-infra/groups/eng-infra-reliability)-->                    |

## Usage guidelines

This is a placeholder for the realm owner to provide instructions on best practices and usage guidelines for this infrastructure.
