---
title: "Key Reviews"
---

## Purpose

At most companies, this would be a quarterly meeting for senior function leaders to present priorities, progress, and risk mitigations to the CEO. We allow some additional stakeholders to attend to invite a broader range of perspectives, give visibility to peers across functions, and create broader accountability.

Members of [E-Group](/handbook/company/structure/#executives) and department leaders nominated by their E-Group leader can be required or optional. Their E-Group member will determine desired participation from within their function.

These meetings are designed to ensure that E-Group is aligned on:

1. Top priorities and watchpoints from the lens of each E-Group member.
1. Important KPIs and OKRs that need visibility and alignment.
1. Performance against the plan, forecast, and operating model.
1. Accountability to each other and the rest of the company.

## Key Metrics

1. [KPIs](/handbook/company/kpis/) of that function or department.
1. [OKRs](/handbook/company/okrs/) for that function.

## Timing and scheduling

Key Reviews are once per quarter.

The Staff EBA to the CFO is the scheduling DRI for the Key Reviews and will schedule a two hour block during the week after Board Meeting material is submitted. We use Board memos as collateral, so meetings occur in the week between Board memo submissions and the Board Meeting.

To be clear on when this meeting would happen:

1. Week X: Board materials submitted
1. Week X+1: "Key Review" (aka Board material alignment and discussion among E-Group members)
1. Week X+2: E-Group onsite + Board Meeting

The Key Review meeting invitations will utilize the CFO's Zoom account. The functional DRI and corresponding EBA will be set as co-hosts. The Key Reviews should always be recorded, with the functional DRI's EBA as the recording DRI.

A Key Review should not be cancelled without permission. Permission to cancel or make changes to the Key Review schedule must be requested in the [#key-review](https://gitlab.slack.com/archives/CPQT0TRFX) Slack channel, tagging the CFO for approval and the Staff EBA to the CFO for awareness. If the CFO is not available, the CEO will make the decision. All changes to the Key Review schedule and/or invites have to be posted in the [#key-review](https://gitlab.slack.com/archives/CPQT0TRFX) Slack channel.

## Invitees

Required invitees are members of E-Group, the CoS to the CEO, the EBA to the CFO, and the EBAs to the CEO.
Optional attendees are other team members as designated by their E-Group leader.

Key Review Meetings may contain [material non-public information (MNPI)](/handbook/enterprise-data/data-management/#data-categorization). As materials are limited access, participation is limited. Key Review agendas and recordings should not be shared with anyone not on the invite.

If the Key Review meeting will not contain MNPI, it can be privately livestreamed to GitLab Unfiltered.

Functions that have these quarterly meetings are:

1. Sales (Ashley Kramer - interim function DRI)
1. Marketing & Strategy (Ashley Kramer - function DRI)
1. People Group (Rob Allen - function DRI)
1. Finance (Brian Robins - function DRI)
1. Product (David DeSanto - function DRI)
1. Legal and Corporate Affairs (Robin Schulman - function DRI)
1. Security (Josh Lemos - function DRI)
1. Engineering (Sabrina Farmer - function DRI)

Function DRIs are expected to review the invite list in advance of each Key Review. If cross-functional topics are being discussed, they are encouraged to invite folks who should be involved in the conversation. If there are MNPI concerns, they may choose to link to a separate agenda for this part of the discussion.

If you would like to be added to a function's Key Review, ask your functional E-Group member to ask the Staff EBA to the CFO to add you.

## Meeting Format

Each E-Group member will share its Board memo on the Board material submission date. This is the key collateral used in these meetings.

E-Group members can **optionally** choose to include additional material. Some may chooose to use a version of a [company-wide template](https://docs.google.com/presentation/d/1esfS19XLcVDQnEd8iBZJM_FXKJXE2NR8aRNqBYj8hCc/edit#slide=id.g278553b265c_0_3) that we have previously used in these meetings. as much as possible to reduce duplicative efforts and streamline Key Reviews. Whether leveraging memos or other mediums, materials should capture:

1. **Functional Performance:** quarterly performance and insights from the quarter. Topics include:
     1. Comparisons against Plan, Forecast, benchmarks, or prior quarter / year
     1. What is most important for other cross-functional leaders to know: discussion topics where help or visibility is needed, callouts of dependencies on other groups and risks
     1. Top 3 priorities the department is actioning
1. **Other additional topics:** topics not covered by slides above, and relevant to the organization

### **Important notes:**

1. Key Reviews are a key forum for synchronously getting alignment and dependency commitments on functional priorities that require cross-functional alignment.
1. An agenda document will be linked from the calendar invite for participants to log questions or comments for discussion and to any additional track decisions & action items.
1. KPIs should be covered. This can be in the memo and/or links to the handbook.
1. Wherever possible, the KPI or KR being reviewed should be compared to Plan, Target, or industry benchmark.
1. There is no presentation; the meeting is purely Q&A. Of course, people can ask to talk them through a slide. If you want to present, please [post a YouTube video](/marketing/marketing-operations/youtube/) and link that from the slide deck, agenda, and/or Slack.
1. The Staff EBA to the CFO is responsible for coordinating a central submission document for materials to be linked in 5 business days in advance of the meeting.
1. All Key Review material, excluding memos that should be submitted on the specified date, should be linked 5 business days in advance in the [FY25 & FY26 Key Reviews SSOT](https://docs.google.com/spreadsheets/d/1cAomghJzvww1iikBVgbanOIgg4nuEKZRnK1hDh7sN6k/edit?gid=0#gid=0) on the KR Summary & Materials tab.
1. The agenda document should include a presentation link that is accessible to all team members on the invite, as well as a Q&A section.
1. All Key Reviews are private recordings due to MNPI and are not to be shared outside of the attendees on the specific Key Review invite.
1. If the function DRI is not available to attend their Key Review, the function DRI can designate a person or people from their leadership team to provide updates, share views, and cascade information.
1. Repetition in recognizing what is working or not working each Key Review is okay as repetition can be an organizational tool for teaching people what’s important amidst all the noise.
