---
title: "E-Group offsite"
description: "The E-Group offsite happens every quarter for four days after the Board of Directors meeting"
---

The E-Group offsite happens every quarter. It is usually four days after the [Board of Directors meeting.](/handbook/board-meetings/#board-meeting-schedule).

## Goal

The goal is to have 25 or 50 minute discussions around topics that benefit from in-person dialogue, require more context and where the E-Group is likely to disagree.
The agenda should include discussions that are:

1. Top of mind
1. Actionable
1. Impactful to the trajectory of the company
1. Cross-functional

## Attendees

1. [Executives](/handbook/company/structure/#executives)
1. [Chief of Staff to the CEO](/job-families/chief-executive-officer/chief-of-staff/); when not possible, the [Director, Strategy and Operations](/job-families/chief-executive-officer/strategy-and-operations/)
1. [CEO Shadows](/handbook/ceo/shadow/)
1. [Executive Business Admin](/handbook/eba/#executive-business-administrator-team) to the CEO (optional)
1. Invited participants: folks invited to participate in one or more specific session

While attendees will include this list of folks, there will be conversations that are most relevant to a sub-set of people. In these cases, calendars will specify who is "recommended" and who is "optional." In some instances, E-Group members may be among the list of optional attendees.

### Roles

**Executives** are committed to working through difficult discussions and problems during the event.
They commit to being active participants by proposing topics to the agenda before hand and being executive sponsors for those discussion topics.
They establish criteria for success for the discussion topics by, for example, identifying decisions to be made or establishing clarity on what the next steps need to be.
If decisions need to be made to stop, continue, or change discussion when there is disagreement on path forward, the decision is responsibility of the topic executive sponsor.

The **CEO Shadows** are responsible for taking thorough notes throughout the event, so that the E-Group can be focused on the discussion.
CEO Shadows will also tasked with making Merge Requests on behalf of an Executive.
Please follow the below outlined process for announcing and merging the changes.

The **Chief of Staff to the CEO** or other team member is responsible for facilitating the event.
They will work with the EBA closely to ensure the event runs smoothly.
The CoS to the CEO is the on-the-ground person ensuring that the event is kept on-schedule, discussions are kept on-subject, helping steer the conversation when necessary, guiding conversations towards action items, and ensuring that [implementation is about 50% of time](/handbook/company/offsite/#timeline).

The **Staff Executive Business Administrator to the CEO** is responsible for organizing and coordinating the Offsite, including travel, lodging, agendas, and meals.

## Logistics

Since most of the E-Group is in the San Francisco Bay Area, we most often go to a location close to a member of the E-Group that is drivable or a short direct flight from San Francisco.
The E-Group offsite can also be hosted at the house of the CEO.
The EBA to the CEO is responsible for booking the hotel and meeting rooms for the people attending in person.
The EBA to the CEO is responsible for sending out the calendar invites associated to each meeting in the agenda, one calendar entry per meeting, with unique Zoom links for the meeting when the attendees change.
If the CEO is traveling, the CoS to the CEO (preferred) or the EBA to the CEO should work with the CEO to bring [the Owl](https://www.owllabs.com).

[Hybrid calls are hard](/handbook/communication/#hybrid-calls-are-horrible), but occasionally the Offsite will need to take a hybrid meeting form.
When this is the case, the EBA to the CEO will ensure that the calendar invites for the offsite sessions include Zoom links.
The Zoom links should have a waiting room attached to it since the Zoom URL is on calendars and is discoverable internally.
This also allows the E-Group to pull in folks as-needed into the room without switching Zoom rooms, as people won't just jump in and out without being noticed or before the E-Group is ready to move onto that subject.

### Location: House of the CEO

We hosted the June 2022 E-Group Offsite meetings at the house of the CEO in San Francisco. When hosting at this location, the following guidelines apply.

The EBA to the CEO will coordinate with on-site contact of the house and collaborate on all details taking place at the house. This includes:

1. Ensuring the [AV setup](https://www.logitech.com/en-us/products/video-conferencing/conference-cameras/group-conferencecam.html) is available for use
1. Meals and catering
1. Schedule including arrival time and departure times
1. Attendee count and details
1. Share a summarized agenda detailing when meetings are taking place, which room will be used for each meeting, and the count of people in each room. If a room will be used by the [Directs-Group](/handbook/company/structure/#directs-group) while they are not in the E-Group Offsite meeting, note this as well.

The maximum attendees that can fit in the main room is 16, however, if additional attendees are needed in the main room, coordinate with the on-site contact to secure additional accommodations such as an extra table, chairs, etc... and share which meetings this would be needed for.

AV Equipment is stored at the house. The following items are on-site:

- [Logitech GROUP Video Conferencing System](https://www.logitech.com/en-us/products/video-conferencing/conference-cameras/group-conferencecam.html)
  - This is powered by a Mac Mini using Zoom Rooms and an iPad as the controller
  - [Logitech GROUP Expansion Mics](https://www.logitech.com/en-us/products/video-conferencing/accessories/group-expansion-mics.989-000171.html) are being ordered for future offsites, and will need to be connected at the October, 2022 E-Group Offsite
- [Anker 655 USB-C Hub](https://www.amazon.com/dp/B09MF6TJLW?psc=1&ref=ppx_yo2ov_dt_b_product_details)
- Additional 20' HDMI Cable
- Power Strips
- 2x MacBook Pro Chargers

It is recommended that someone arrive an hour before the first meeting on the first day to set up the AV Equipment, as well as ~30 minutes before the first meeting on subsequent days to ensure everything is logged in appropriately.
The EBA to the CEO should coordinate sharing the needed passwords for the AV Equipment from the CEO to the person who is setting up the equipment in case the accounts have been logged out. These passwords are for the Zoom Rooms account, the iCloud account, and the iPad.
The AV Equipment is on a cart with wheels and can be moved into the room where needed.
It is recommended to set up the cart at the head of the table, placing the main speaker/microphone in the center of the table while placing the expansion mics towards the two heads of the table.

## Schedule

The offsite is a quarterly meeting scheduled over 3 or 4 days.

In-person offsites happen three times a year. The January, end of Q4, offsite is remote. Q1 and Q3 offsites happen during the same weeks and in the same locations as in-person Board.

This section captures all three meeting variants.

### In-person offsite with Board Meeting

Scheduling for the in-person event around a Board Meeting generally follows:

1. First Day (Monday): Half day meetings. Start around 1pm PST. A social dinner in the evening.
1. Second Day (Tuesday): 6-7 hours of meetings starting with breakfast at 8am. Includes some unstructured time with the team and team activities.
1. Third Day (Wednesday): 6-7 hours of meetings starting with breakfast at 8am. Includes some unstructured time with the team. Concludes with a dinner with the Board.
1. Fourth Day (Thursday): No scheduled meeting. Time reserved for ad hoc meetings and time with the Board.

### In-person offsite without Board Meeting

Scheduling for the in-person event that is not around a Board Meeting generally follows:

1. First Day (Monday): Half day meetings. Start around 1pm PST.
1. Second Day (Tuesday): 6-7 hours of meetings starting with breakfast at 8am. Includes some unstructured time with the team and team activities.
1. Third Day (Wednesday): 6-7 hours of meetings starting with breakfast at 8am. Includes some unstructured time with the team and a team dinner.
1. Fourth Day (Thursday): Meetings start at 8am and run through 12pm PST.

### Fully remote offsite

Scheduling for a fully remote offsite generally follows:

1. Monday through Thursday from 8:30am-12:20pm Pacific time each day.

### Functional leaders meetings

 The E-Group hosts a [Functional Leaders Zoom call](#functional-leaders-meeting) in the week after the E-Group Offsite

## Offsite dates and times

The E-Group offsite generally occurs in:

- March or early April
- June or early July
- September or October
- January

The following date(s) have been confirmed for future E-Group offsite(s) (starting dates):

- 2024-12-09
- 2025-03-31
- 2025-06-23
- 2025-09-22
- 2025-12-08

The following dates were previous E-Group offsites (starting dates):

- 2021-06-28
- 2021-11-01
- 2022-01-10
- 2022-04-04
- 2022-06-13
- 2022-10-04
- 2023-01-09
- 2023-05-03
- 2023-06-26
- 2023-09-27
- 2024-01-08
- 2024-03-25
- 2024-06-24
- 2024-09-23

## Offsite topic calendar

While E-Group Offsites often happen about two months in advance of Board Meetings, we reserve time to discuss upcoming Board Meeting topics during each offsite.

**Q1 Offsite**

1. E-Group Offsite and Board Meeting Month: March
1. Start [**Yearlies**](/handbook/company/yearlies/) (50 minutes)
1. Start review of [**Three Year Strategy**](/handbook/company/strategy/) (0.5 day)
1. Non-product **Engineering** review, e.g. architecture, infrastructure

**Q2 Offsite**

1. E-Group Offsite and Board Meeting Month: June
1. Review 3 to 5 year [Long Range Outlook (**LRO**)](/handbook/finance/financial-planning-and-analysis/#long-range-outlook-lro) including scenarios, capabilities and dependencies
1. Finish the review of [**Three Year Strategy**](/handbook/company/strategy/) (1 day)
1. [**Talent** assessment and succession planning](/handbook/people-group/talent-assessment/) (2x session per year, 1.5 hrs per session, ~10 mins per function). CEO Shadows and EBAs do not attend this session
1. [Director + promotion nominations](/handbook/people-group/promotions-transfers/#promotions-to-senior-director)

**Q3 Offsite**

1. E-Group Offsite and Board Meeting Month: September
1. Start [**Annual Plan**](/handbook/finance/financial-planning-and-analysis/#plan) that includes the budgets and kick off the work streams to get to a final annual plan a quarter later.
1. Go-to-market (**GTM**) learnings
1. Finish [**Yearlies**](/handbook/company/yearlies/) for the next year (1.5 hrs)
1. **Org** design

**Q4 Offsite**

1. E-Group Offsite and Board Meeting Month: January
1. Final [**Annual Plan**](/handbook/finance/financial-planning-and-analysis/#plan) that includes the budgets
1. Product **Roadmap** including competitive differentiation
1. [**Talent** assessment and succession planning](/handbook/people-group/talent-assessment/) (2x session per year, 1.5 hrs per session, ~10 mins per function). CEO Shadows and EBAs do not attend this session
1. [Director + promotion nominations](/handbook/people-group/promotions-transfers/#promotions-to-senior-director)

### Recurring discussion topics

In addition to the topics from the [Topic Calendar](#offsite-topic-calendar) above, these topics are discussed at every E-Group offsite:

1. Offsite peer feedback session (10 minute prep, 3 minute sessions, 10 minute closing conversation) (50 minutes). **This always happens on the first day of the offsite before lunch unless not everyone is present. If not everyone is present, this will happen within half a day of everyone being together**
1. [Director+ Promotions](/handbook/people-group/promotions-transfers/#promotions-to-senior-director) (as-needed based on number of people, estimate ~10 mins per person)
    1. To have an efficient meeting and focus on areas that require disussion, we will not spend time discussing a candidate unless questions or concerns are raised. At that point, the E-Group sponsor for the promotion can refer to the candidate promotion case and answer questions. If an E-Group Member wants to document support for a candidate or highlight something positive about a candidate who has not been discussed, they can write a comment in the agenda and note that it is a "[won't verbalize]" item.
    1. When a new person is added to the promotion or future promotion list, the sponsorship exec should provide a summary on the person, their contributions, and any areas to be addressed in advanced of the intended promotion window
1. [Content Discussion](#content-choice) (30 minutes - 1 hour)
1. Aligning on quarterly priorities (OKRs) (25 minutes)
1. Review [**Yearlies**](/handbook/company/yearlies/#cadence) (25 minutes)

### Pre-offsite discussion topics

These topics are discussed by E-Group before the offsite:

1. Yearly and OKR progress. These will be reviewed in E-Group Weeklies and [Key Reviews](/handbook/company/key-review/).
1. Planning discussions. These will be facilitated by the Finance Team. Many of them will occur during E-Group Weeklies.

### Collaborating with EBAs on the Offsite

EBAs to E-Group members should have access to the E-Group Offsite outline. This does not mean all individual agenda docs. The EBAs to the CEO should ensure that they have an understanding of the schedule and are aware of which sessions their E-Group leader is leading. They should help to ensure that their E-Group member is inviting folks who should be in sessions, outside of E-Group, to agendas.

## Timeline

1. The CoS to the CEO will ask for agenda suggestions at least 3 weeks in advance of the offsite
1. 3 weeks in advance of the offsite, the CEO will share a suggested agenda and solicit additional feedback. If there is a [content selection](#content-choice), the content should be shared
1. 1 week, on the Tuesday before the offsite, pre-work should be available

## Prep Work

Because the Offsite is a very expensive meeting, we want to be sure we are as efficient as possible.
One of the ways we do this is by asking participants to do prep work ahead of time.

Examples of prep work include:

- [Reading the content that was selected](#content-choice)
- Executives working with their People Business Partners to prep the [Performance/Potential Matrix of their direct reports](/handbook/people-group/talent-assessment/#the-performancepotential-matrix)
- Executives working with their People Business Partners to prep any [Director + promotion nominations](/handbook/people-group/promotions-transfers/#promotions-to-senior-director)
- Reviewing any Section Direction Materials for reviews, such as the [Growth Section's Direction](/handbook/marketing/growth/)
- Executives propose [draft Key Results for their functions](/handbook/company/okrs/#executives-propose-okrs-for-their-functions)
- [Watch this short clip on the danger of sticky bears]({{< ref "beware-sticky-bears" >}})

Anyone who is presenting for a topic should share materials with the prep work.

## Guidance for invited participants

There are a number of reasons why participants are invited to join specific Offsite meetings. These can range from giving team members a chance for greater context to expecting an invited participant to lead a discussion. Before you attend the Offsite, please:

1. Understand expectations for your participation
1. Ensure that you have context about what is being discussed. If you are invited to a meeting and don't have context, proactively start an async conversation or schedule a 15 minute meeting with the E-Group sponsor and other participants. You should not need to attend a meeting without knowing what will be discussed or do any pre-work without clear direction
1. **Don't** spend hours preparing unless there is a direct ask to do so

## Agenda and Documenting

We take notes in agenda docs that come from individual meeting invites. These are the SSoT for offsite meetings.

At least 1 month prior, an outline document is created. Proposed topics for discussion should be added to the bottom of the doc. Each proposed topic should include a clear definition of what we are trying to achieve in the discussion (a decision made, a chance for E-Group to give feedback, etc.). E-Group sponsors are responsible for providing context to team members who they plan to include in discussion preparation or participation. This could take the form of a 15 minute meeting to align on goals for the discussion and what material should be prepared in advance.
(The CoS to the CEO will pull from here when prioritizing and planning.)
Please add links to relevant materials, issues, or proposals up front.
When there is an issue or doc linked, we take notes there, instead of in the overall doc.
There is a [doc template](https://docs.google.com/document/d/1LCy1qWG88ChBXWL8YibNJbkxuxzVdh0Wx9KM1lw_Vcg/edit) that can be used as a starting point.

If we can conclude a topic early we move on to one from a parking lot.
The CoS to the CEO is responsible for maintaining the schedule, optimizing discussion schedules for energy levels, and having topics prepared.

Meeting agendas will guide conversations. If an E-Group member wants to speak, the team member should put thoughts in the agenda. In instances where the comment cannot be typed out, for reasons of confidentiality or given time constraints in typing out the comment, the member can type out: [INSERT NAME:!]. This serves a time placeholder for the team member, so the team member can contribute at the appropriate point in the agenda.

We will document agreed changes directly to the handbook and any other relevant SSoT during the meeting.
Every item will get a MR maker and MR reviewer assigned.
Most of the time the MR maker will be the CoS to the CEO, one of the CEO shadows, or the EBA to the CEO.
When the MR is ready, the reviewer is at-mentioned in the public E-Group channel in Slack.
The reviewer communicates with the maker via that Slack thread.
The goal is to merge it the same day, preferably within 15 minutes.

## Communication guidelines

We have communication guidelines to enable more efficient and productive conversations:

1. Encourage participation from others. We should actively encourage folks who aren't speaking much to speak--especially if we are discussing a topic that should have their direct input. This includes directly asking other folks for their opinions and allowing space for folks to join the conversation.
1. Proactively stop conversations only involving two people if they go on for more than a few minutes and do not require engagement from the broader group. These conversations can be taken offline.

## Topic owner responsibilities

If you are the person who owns a topic, you are responsible for:

1. Ensuring that any pre-work is shared at least 5 days before the offsite.
1. The conversation is being managed toward your desired outcome.
1. Encouraging folks to stick to the agenda rather than speaking out of order.
1. The conversation includes all folks who want to contribute. This may mean actively encouraging folks to participate if they have not spoken and may have an item to add.

### Team norms

In our discussions, we'll consider the following:

1. Is this topic worth debating?
1. What should we do to evaluate the priority of this idea?
1. The why behind the what. How will we communicate the rationale behind change/priority/direction via multi-modal communication and repetition?

We agreed that we'd use some chosen words to signal that we should pause and reorient. Specifically:

1. Delegate: something is being discussed that should be solved below the E-Group level
1. Telephone: this conversation is not happening directly with folks who should be involved and should be revisited with the appropriate people

### Break guidelines

Break periods are scheduled into the agenda by the CoS to the CEO and should follow these guidelines:

1. Breaks should be scheduled for 1/6 of the time (same as speedy meeting)
1. Breaks should be a minimum of 5 minutes
1. Going over time on any topic should result in moving the break. It does not reduce it.

## Follow up

Every discussion should start by clarifying "What decision needs to be made from this?"
All follow up actions need to be captured as to-dos, noted with `TODO Person` in the doc.
If there is not an exec's name tied to the to-do, it belongs to the CEO Shadows/and or the CoS to the CEO.
Before emphasizing follow ups, many conclusions never landed and/or resulted into action.
Follow ups can take the form of an:

1. Merge request to the handbook
1. Issue created
1. Meeting scheduled
1. Notes shared with the rest of the company in Slack
1. Etc.

### Functional Leaders Meeting

In the week following the Offsite, there is a 25-minute Zoom call before 12pm Pacific time for the [Functional Leaders Meeting](/handbook/company/structure/#functional-leaders). This is called the Functional Leaders Meeting.

The goal of this call is to communicate:

1. Strategic or visionary updates that are crucial to priorities
1. Key decisions made
1. Key messaging that leaders are enlisted to help distribute
1. Action items which may need cross-functional collaboration

In advance of each meeting, we will:

1. Provide a summary of key topics
1. Pick a topic with multiple view points and recap the conversation in greater detail

The Agenda will be organized by meeting topics. Designated Functional Leader team members who led or participated in specific sessions may be asked to provide written summaries and flag highlights. Participants should review the meeting material in advance of the meeting. They can put their comments and questions below each summary. We will run through the agenda during the meeting.

This time will not work for everyone. The meeting will be privately recorded via Zoom and linked in the meeting agenda.

### Functional Leaders Responsibilities after Meeting

Functional Leaders play a key role in cascading what is happening in the business and communicating key implications for teams and team members. After each Functional Leaders Meeting, participating team members should:

1. Identify key changes or information of greatest relevance to their teams
1. Reach out to their manager if they have unresolved questions
1. Recognize any sensitivities and think about how best to frame messaging to the team
1. Communicate key insights and asks for team members
1. Help to operationalize any asks or decisions that have been made

### Logistics for Functional Leaders Meeting

This Zoom call is a separate invite.
The EBA to the CEO is responsible for setting up the invite, the doc for the call, and inviting Functional Leaders.
The CoS to the CEO will moderate the call.

The CoS to the CEO is responsible for meeting material. The CoS to the CEO will share the meeting recap material no later than 72 business hours after the offsite concludes and at least 48 hours in advance of the meeting. Material will include an event summary and may include a highlight video message from the CEO or others. All materials will be signed off on by the Legal Team in advance of sharing.

A version of the notes shared with Functional Leaders may be shared with all team members within 4 business days of a Functional Leader meeting. The Office of the CEO prepares materials excluding Functional Leaders Meeting Q&A or any [material non-public information](/handbook/product/product-processes/product-safe-guidance/#materially-non-public-information) and shares them in the #company-fyi-private Slack Channel. Functional Leaders are encouraged to discuss relevant information within their teams. You can think of the materials shared with all team members as a "Meeting in a Box."

## Content Choice

The offsite includes a 30 minute to 1 hour discussion on material chosen by the CEO. This could be a book, article, recording, or other artifact. The selection will be finalized no less than two weeks prior to the offsite. At the time that the selection is shared, the CEO will also share three conversation topics. E-Group team members are expected to come to the discussion prepared to discuss these prompts.

We will share discussion highlights and takeaways in E-Group Offsite meeting notes that are shared with all team members. This also allows team members to engage in the conversation.

Team Members may [expense](/handbook/finance/spending-company-money/#expense-policy) E-Group offsite material in the quarter that it is discussed.

Material that the E-Group finds noteworthy should be added to the [Leadership Books](/handbook/leadership/#books).
