---
title: "Calendar Year 2017 Q3 OKRs"
description: "View GitLabs Objective-Key Results for quarter 3 2017. Learn more here!"
canonical_path: "/company/okrs/2017-q3/"
---

## Summary

With a great team make a popular next generation product that grows revenue.

## Objective 1: Grow incremental ACV according to plan

- CEO: Build sales qualified leads (SQL) pipeline for new business. 300% of [incremental annual contract value (IACV)](/handbook/finance/#iacv) plan
  - CMO: Identify CE installations within strategic organizations with installations with over 500 users and launch demand generation campaigns. => Achieved. 50 SQOs generated.
  - CMO: More demand coming from inbound marketing activities. 50% of sales pipeline quota. => Achieved on SQL $, miss on #
    - CMO: Increase EE Trials. 21% Quarter over Quarter (QoQ) => [Miss](https://gitlab.com/gitlab-com/marketing/issues/1458)
    - CMO: Increase EE Trial SQL $ pipeline contribution 43% QoQ => Achieved over 2x goal
  - CFO: Forecast accuracy and delivery of relevant information
    - Controller: Zuora to Salesforce reconciliation complete and tested. DONE
    - CFO: Forecasting model projects forecast +/- 10% normalized for big deals. DONE
    - Controller: Zuora to Salesforce to Zendesk data synch completed. DONE
  - CFO: Deliver 10 SQLs > $10k during quarter through investor outreach 50% ACHIEVED
  - VP Prod: Salesforce shows usage. [Version check](https://gitlab.com/gitlab-com/salesforce/issues/104), usage ping, and ConvDev index are available in SFDC. => All shipped
  - VP Prod: Import documentation for all major platforms. Five new import docs shipped. => 5/5 shipped. 10 in total now.
  - CRO: 100% of quota-carrying reps at 3x pipeline of quarterly IACV goal MISSED
    - Alliances: generates 10% of sales pipeline
    - Federal: generates 10% of sales pipeline
    - AE/Customer Success: [generate 15% of sales pipeline quota](https://na34.salesforce.com/00O61000003npUd)
    - SDR lead: Generate 25% of sales pipeline quota => 36% of SCLAU was SDR sourced in Q3. Up from 12% in Q2.
      - SDR lead: Get an SQL from Fortune 1000 companies identified using CE. 50% of identified companies using CE. => 50 SQOs generated.
      - SDR lead: Double Win Rate. 10% => 5% of Q3 SDR sourced SCLAU have been won so far. Given sales cycle expect increase over time in the Q3 opportunities.
  - CRO: Increase new business sales velocity. Grow 200% YoY (Q3 2016 to Q3 2017) in new business deals closed won. ACHIEVED
  - CRO: Decrease age of non-web direct deals by 10% ACHIEVED
    - Sales Ops: [New sales stages and exit criteria. Launch and Train](https://gitlab.com/gitlab-com/sales/issues/120)
    - Customer Success: Solution Architects managing PoC's for new business opps within strategic/large accounts. 50%
    - PMM: 2 ROI calculators => New [competitive ROI calculator](https://about.gitlab.com/calculator/roi/) published.
    - PMM: 3 case studies => 3 case studies started. New [/customers](https://about.gitlab.com/customers/) page launched.
  - CRO: Keep sales efficient. [Sales efficiency ratio](/handbook/finance/#definitions) > 1.8 (IACV / sales spend) ACHIEVED
  - CMO: Keep marketing efficient. [Marketing efficiency ratio](/handbook/finance/#definitions) > 3.4 (IACV / marketing spend) => 3.43
- CEO: Understand and improve existing account growth. 200% YoY
  - VP Eng: Geo DR successful deployments. [Test fail-over with GitLab.com](https://gitlab.com/gitlab-org/gitlab-ee/issues/1884) => 20% done. Some customers running Geo in alpha now. Failover targeted for Q1 2018.
    - Platform: Get Geo reliable with a testing framework. => 10% done, moved to Q4 with GitLab QA
    - Distribution: Deliver PostgreSQL High Availability (HA) in omnibus and Terraform to enable HA
  - VP Prod: [Make it easier to discover and use EE features](https://gitlab.com/gitlab-org/gitlab-ee/issues/2417). Ship EE by default. Trials increase 100%. => Shipped. Trials  % TODO
    - Technical Writing: CE docs link to EE wherever relevant. Increased visits to EE docs. => Done. Defaults to EE docs now (i.e. over 100% increase)
  - VP Prod: Ship paid subscriptions for GitLab.com. All EE features are behind subscription. Ability to buy higher storage limits. => Done. Storage limits deprioritized.
  - Head Prod: [Improved support for Java development lifecycle](https://gitlab.com/gitlab-org/gitlab-ce/issues/33943). 2 projects done.
  - CFO: Make our sales process data driven
    - CFO: Lead hired DONE
    - Data and Analytics Architect: Data and Analytics vision and plan signed off by executive team NOT STARTED
    - Data and Analytics Architect: Create a user journey funnel NOT STARTED
  - CMO: Educational Email campaign series to educate users on full solution capabilities and how to get started. TODO # of campaign conversions => Issue board anniversary awareness campaign on blog and social. Initiated CI webcast series.
  - Customer Success: [License utilization for large and strategic accounts at a 90% average](https://gitlab.com/gitlab-com/customer-success/issues/79)
  - Customer Success: [Double spend for scheduled renewals valued at $20,000+](https://gitlab.com/gitlab-com/customer-success/issues/66)
  - Customer Success: [Double spend within large/strategic account segmentation](https://gitlab.com/gitlab-com/customer-success/issues/78)
  - Customer Success: Identity the trigger(s) to purchase for large/strategic accounts.
  - Support: Provide faster, more knowledgable support. Reduce Average Time to Solve by 5%. -> Not Hit. SLAs were breached which became the new focus.
- CEO: Increase [average sales price (ASP)](/handbook/finance/#definitions) (IACV per won) by 25% QoQ
  - CRO: Triple sales assisted average new business deal YoY ACHIEVED
  - CRO: [50% of IACV from EEP](https://gitlab.com/gitlab-com/sales/issues/143) ACHIEVED
  - CMO: More sales assets. 3 new for each stage ([TOFU, MOFU, BOFU](/handbook/glossary/#funnel)) of the sales process => Miss. PMM hire/onboard.
    - CMO: [Presentation generation based on conversational development index.](https://gitlab.com/gitlab-com/organization/issues/95) => Initial investigation of technology options.
    - CMO: 3 minute video product demo targeted at buyer audience. Published => Not completed
  - PMM: Sales Demo easy to give. At least one Account Executive can do it in 10 minutes.=> Not completed
  - CRO: Sales Pitch Deck and Messaging trained. 75% of customer facing team passes test. ACHIEVED
  - VP Prod: Conversational Development Index in product and SFDC. => Done
  - VP Prod: Improve JIRA support. Better than Bitbucket. Support transitions, references and development panel. => Done: dev panel, references. Not possible yet: transitions.
    - Technical writing: Create a page on our JIRA integration and how to move to Issues. 100% increased usage of JIRA integration. => Done. % TODO

## Objective 2: Popular next generation product

- CEO: GitLab.com ready for mission-critical tasks. 99% of user requests have [first byte](/handbook/engineering/performance/#first-byte) < 1s
  - VP Scaling: Highly Available. [99.9%](https://stats.pingdom.com/81vpf8jyr1h9/1902794/history)
    - Production: Scalable and HA setup for cache and background jobs storage.
    Persistence of cache (Redis) and background job storage (Sidekiq) split and
    HA is set up for persistent storage. => Done.
    - Production: Robust backups with automatic periodic restores. Counter on
    dashboards.gitlab.com shows days since last automatic restore of database and file
    system. => Backups are tested but restores are not automatic, and counter is missing.
    - Production: Multi-canary deployments enabled. PoC of two canaries via kubernetes with Distribution team's Helm charts. => One canary available, not via kubernetes.
    - Production: Enable GitLab.com search using ElasticSearch. Provide a cluster that is 99% available for > 2 months in Q3. => Infrastructure available but application requires further work.
    - Database: Run pgbouncer from Omnibus. Shipped. => Done
    - Database: Use Omnibus provided software for HA / failover instead of using a GitLab.com specific setup. Shipped and In Use. => Not yet in use.
  - VP Eng: Enable High Availability
    - Platform: Enable graceful degradation when file servers are down. => Circuitbreakers built but not yet fully deployed.
    - Platform: Support multiple Redis clusters for persistent and cache stores. => Done.
    - Platform: Use Geo DR to move between clouds and Area Zones => 10% done, begin testing with Geo testbed, pushing to Q4.
    - Support: Improve GitLab provided debugging tools. We'll log all times we need terminal access and create an issue for each to improve GitLab tools. => 50% done, see https://gitlab.com/gitlab-com/support/issues/754
    - Prometheus: Reach parity with Prometheus metrics for Unicorn, Sidekiq, and gitlab-shell. Deprecate InfluxDB. => 30% done with Prometheus metrics for Unicorn. Sidekiq and gitlab-shell remain for Q4.
    - Edge: Make GitLab QA test [backup/restore](https://gitlab.com/gitlab-org/gitlab-qa/issues/22), [LDAP](https://gitlab.com/gitlab-org/gitlab-qa/issues/3), [Container Registry](https://gitlab.com/gitlab-org/gitlab-qa/issues/49), and [Mattermost](https://gitlab.com/gitlab-org/gitlab-qa/issues/26) => 25% done with Mattermost. Backup/restore + LDAP targeted for Q4.
    - CI/CD: Decrease monthly per minute cost of shared runners. Cost down by 30%. => 25% done, Google Compute Engine support implemented but not deployed.
    - CI/CD: Improve responsiveness for pipelines without any existing builds. 99% start within 1s.
  - VP Scaling: [Lower latency](https://gitlab.com/gitlab-com/infrastructure/issues/2373). 99% of user requests have [first byte](/handbook/engineering/performance/#first-byte) < [1s](https://dashboards.gitlab.com/dashboard/db/transaction-overview?panelId=2&fullscreen&orgId=1)
    - Gitaly: Gitaly service active on file-servers. => Done.
    - Gitaly: Roll out Gitaly migrations. 24 additional endpoints migrated to Gitaly and [in acceptance testing](https://gitlab.com/gitlab-org/gitaly/blob/master/README.md#current-features). => Done.
    - Gitaly: Reduce "idea to production" time of migrations. 80% of all migrations started in Q3 are enabled on GitLab.com within two GitLab releases. => Done by changing process.
    - Database: Reduce the p99 of [SQL timings](https://dashboards.gitlab.com/dashboard/db/daily-overview?panelId=12&fullscreen&orgId=1) across the board to 200 ms (100-200 ms less than what we have now). => Significant progress, but not all p99 < 200 ms. See [gitlab-ce#34535](https://gitlab.com/gitlab-org/gitlab-ce/issues/34535) for more context.
    - Production: Provide reliable [internal & external](/handbook/engineering/performance/#standards-we-use-to-measure-performance)
    baseline monitoring of overall service health. Implement baseline end to end
    monitoring for GitLab.com (api/web/git(ssh/https)) and define
    [SLO's](/handbook/engineering/infrastructure/production/architecture/)
    based on this baseline. => Baseline not defined.
    - Production: Solve performance issues. Implement [CDN for GitLab.com](https://gitlab.com/gitlab-com/infrastructure/issues/2092). => CDN was implemented but had to be rolled back.
  - VP Eng: Lower latency in application
    - Discussion: Solve performance issues. Reduce p95 of [discussion-related actions](https://dashboards.gitlab.com/dashboard/db/daily-overview?orgId=1) with over 10 hits/day to < 1 s. Reduce p99 to < 3 s. => 25% done. 10% (~150 of 1476 endpoints) still exceed thresholds. https://stats.gitlab.com/1902794 is at 1.2 s.
    - Platform: Solve performance issues. Reduce p95 of [platform-related actions](https://dashboards.gitlab.com/dashboard/db/daily-overview?orgId=1) with over 10 hits/day to < 1 s. Reduce p99 to < 3 s. 25% done. 10% (~150 of 1476 endpoints) still exceed thresholds.
    - Frontend: Do a [Manual performance audit](https://gitlab.com/gitlab-org/gitlab-ce/issues/33958) and deploy improvements. Implement Top 3 actions => Done
    - Frontend: Package optimization and [CDN Hosting for .com](https://gitlab.com/gitlab-com/infrastructure/issues/2092) => Done
    - Edge: [Ship large database seeder for developers](https://gitlab.com/gitlab-org/gitlab-ce/issues/28149). => 25% done
    - Edge: [Enable Bullet by default on the CI](https://gitlab.com/gitlab-org/gitlab-ce/issues/30129). => May not be practical given https://gitlab.com/gitlab-org/gitlab-ce/issues/30129#note_35800389
  - VP Eng: Eliminate critical stability issues
    - Discussion: Merge requests get merged 100% without ever getting into stuck locked state => 20% done. Improvements made in https://gitlab.com/gitlab-org/gitlab-ce/merge_requests/13207, but still occurring. We need to measure rate.
    - Platform: Project authorizations fast (< 1 s) and consistent (requires no manual refreshes). DONE
    - Platform: Project imports and forks complete 100% without ever getting stuck => 10% done. Import issues need to be broken out separately.
    - Platform: Namespace and project renames work 100% of the time => 30% done. Requires hashed storage support
    - Platform: Repository cache state eventually consistent within minutes (no manual expiration needed) => In progress with https://gitlab.com/gitlab-org/gitlab-ce/merge_requests/14980
    - Frontend: [Implement cross-browser automated testing](https://gitlab.com/gitlab-org/gitlab-ce/issues/6065). Catch at least one browser regression before release date. => 95% Done Not automated. Has to be turned on.
    - Frontend: Accomplish at least [3 frontend improvement issues](https://gitlab.com/gitlab-org/gitlab-ce/issues?label_name%5B%5D=frontend&milestone_title=Backlog) per release cycle. => 60% Done
    - CI/CD: Make [runners work on Google Compute Engine without dying halfway](https://gitlab.com/gitlab-com/infrastructure/issues/1936). Done
    - CI/CD: Track and ensure the number of job failures due to system failure. Number < 0.01%
  - VP Scaling: Secure platform
    - Security: Improve defenses. Implement top 10 actions from Risk Assessment. => Implemented top 12.
    - Security: Vulnerability testing. Conduct external testing. => Done.
    - Security: Improve security practices through people and processes. Backlog of security issues reduced by 50% (currently 148 issues in [gitlab-ce](https://gitlab.com/gitlab-org/gitlab-ce/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=security), 9 in [gitlab-ee](https://gitlab.com/gitlab-org/gitlab-ee/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=security), 69 on [infrastructure](https://gitlab.com/gitlab-com/infrastructure/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=security)). => Not done, backlog is larger.
- CEO: Increased usage of idea to production. 100% growth
  - CMO: Generate more company and product awareness including [overtake Bitbucket in Google Trends](https://trends.google.com/trends/explore?q=bitbucket,gitlab). => [Achieved.](https://trends.google.com/trends/explore?date=2017-06-01%202017-09-30&q=bitbucket,gitlab)
  - VP Prod: Issue boards usage increase. 100% (.com and usage ping) => ~100% increase
  - VP Prod: Service Desk usage increase. 100% (.com and usage ping) => ~1000-2000% increase
  - VP Prod: Subgroups usage increase. 100% (.com and usage ping)
  - Head Prod: Monitoring usage increase. 100% (.com and usage ping)
    - Prometheus: [Increase adoption](https://gitlab.com/gitlab-org/gitlab-ce/issues/33556). 3 issues shipped.
  - Head Prod: Pipelines usage increase. 100% (.com and usage ping)
    - CI/CD: [Improve onboarding](https://gitlab.com/gitlab-org/gitlab-ce/issues/32638). 10 issues shipped.
  - Head Prod: Environments usage increase. 100% (.com and usage ping)
  - Head Prod: Review apps usage increase. 100% (.com and usage ping)
  - CTO: [Make autodeploy more practical](https://gitlab.com/gitlab-org/gitlab-ce/issues/33707). Undefined yet.
  - CTO: [Zero-configuration CI](https://gitlab.com/gitlab-org/gitlab-ce/issues/26941). Make it work for 5 popular frameworks.
  - CTO: [Lead update to Rails 5.1](https://gitlab.com/gitlab-org/gitlab-ce/issues/14286). Shipped.
  - CMO: Better explain our solution, features and value proposition. Flow page that links to feature pages. => New home page with new content for 7 steps launched.
  - UX: [Measure usability of critical user flows to identify areas needing improvement.](https://gitlab.com/gitlab-org/ux-research/issues/13) => 75% Research done, issues opened. Implementation and re-measure not done.
    - Propose optimizations of critical user flows based on results found in research.
    - Implement optimization and re-measure to ensure the user experience has improved.
  - Frontend: [Optimize Frontend Code](https://gitlab.com/gitlab-org/gitlab-ce/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=frontend&label_name[]=performance) to support speed. For larger projects and ones with thousands of comments. => Done a lot of Performance related optimisations, ongoing task
  - Distribution: Simplify HTTPS configuration. In Omnibus and Helm. For Rails app, container registry, and pages. [Consider Let's Encrypt](https://gitlab.com/gitlab-org/omnibus-gitlab/issues/1096).
  - Dir Partnerships: First team of OSS projects starts using GitLab for proof-of-concept/testing at Drupal, Gnome and Kubernetes.
  - Dir Partnerships: Get major partner to use it for CI.
  - Dir Partnerships: [AWS QuickStart guide](https://gitlab.com/gitlab-org/gitlab-ce/issues/29199) published
  - CMO: More contributors from the wider community each month. Unique contributors grow 10% QoQ => Missed.
  - CMO: Initiate AR engagement with key analysts and achieve Leader in the Forrester Wave CI research report. => Leader in Forrester CI Wave. Account engagement with Forrester/Gartner. Analyst day and multiple briefings.
  - Head Prod: [Make sure the installation process is great](https://gitlab.com/gitlab-org/omnibus-gitlab/issues/2463). Complete all items.
  - VP Eng: Make sure existing features are used by GitLab.com. Cycle time analytics working.
    - Support: GitLab.com uses Service Desk. In use for one process. => Set up for Security, but not in use. Legal is using Service Desk.
    - Distribution: Deliver service specific Docker images and Helm charts usable for GitLab.com and our users. Rails, Workhorse, Pages, Registry, Gitaly, Shell.
    - CI/CD: Help GitLab.com use our deployment features. CD/Kubernetes/Helm/Canary deploys/Review Apps/Service Desk
    - Edge: [GDK based on Kubernetes](https://gitlab.com/gitlab-org/gitlab-development-kit/issues/243) (e.g. minikube).
    - Edge: [CE Pipelines run in 30 minutes](https://gitlab.com/gitlab-org/gitlab-ce/issues/24899).
    - Edge: [Flaky tests don't break `master`](https://gitlab.com/gitlab-org/gitlab-ce/issues/32308).
    - Edge: [CE is automatically merged to EE daily](https://gitlab.com/gitlab-org/gitlab-ce/issues/25870).
    - Edge: [Triage policies](/handbook/engineering/infrastructure/engineering-productivity/issue-triage/) are [automatically enforced](https://gitlab.com/gitlab-issue-triage/issue-triage).
    - UX: [Make it easier to find and use advanced GitLab features](https://gitlab.com/gitlab-org/gitlab-ce/issues/25341) => 25% Implemented https://gitlab.com/gitlab-org/gitlab-ee/issues/3054 which was then reverted. Successfully implemented https://gitlab.com/gitlab-org/gitlab-ee/issues/3049
    - Frontend: [Support > 2000](https://gitlab.com/gitlab-org/gitlab-ce/merge_requests/12069) comments/code changes on issues, diffs, and merge requests. With speed and without [jank](https://jankfree.org/). => 60% done. Needs work on MR discussion.
    - Frontend: Reduce frontend render times of comments and diffs with a goal of %70 faster. => https://gitlab.com/gitlab-org/gitlab-ce/issues/4058 Speed Index Before 8081, Now 2757 (65% faster)
  - Head Prod: [Ensure all idea to production features are usable by GitLab.com](https://gitlab.com/gitlab-org/gitlab-ce/issues/35021)
- CEO: Next generation product. Move vision forward every release.
  - Head Prod: Create and radiate vision for GitLab DevOps. [Publish vision video](https://gitlab.com/gitlab-org/gitlab-ce/issues/32640).
  - Head Prod: [Auto DevOps](https://gitlab.com/gitlab-org/gitlab-ee/issues/2517). Ship kernel of Auto DevOps.
  - UX: [Improved navigation. Iterate on it every month.](https://gitlab.com/gitlab-org/gitlab-ce/issues/32794) => 100% All work completed, work continues
  - UX: [Improve perceived performance](https://gitlab.com/gitlab-org/gitlab-ce/issues/29666) => 0% Issues continually re-scheduled (UX Ready)
  - Frontend: [Instant user feedback](https://gitlab.com/gitlab-org/gitlab-ce/issues/27614) => Done
  - Frontend: [Repo as editor](https://gitlab.com/gitlab-org/gitlab-ce/issues/31890) => PoC Done, move to Beta as a stable feature in progress
  - Frontend: Get a [moonshot](https://gitlab.com/gitlab-org/gitlab-ce/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=moonshots) (e.g. VSCode/Monaco editor, Team dashboards) from PoC to Feature - Image Comments released + Multi file editor Beta in 10.3

## Objective 3: Great team

- CEO: Effective leadership. NPS of leaders as rated by their reports 10% improvement. Update: This will be pushed back until [360 reviews](/handbook/people-group/360-feedback/) are established in 2018.
  - VP PO: Management completed basic management (MGR) classes. 75% completed
  - VP PO: 5 GitLab specific courses for the management team.  Published and delivered.
  - CFO: Real-time analytics platform. 40% of metrics live 50% ACHIEVED - 20% OF METRICS
- CEO: Attract great people. New hire score 2% improvement
  - VP PO: More sourced recruiting. 20% of total hires
  - VP PO: Hires from lower cost locations. 20% increase
  - VP PO: Interviewer rating (ELO). Implemented
  - VP PO: Quicker hiring cycle (plan interviews upfront). Hiring time -25%
  - VP PO: Improve our global compensation framework. Structured on better data.
- CEO: Retain great people. eNPS 0% change
  - Customer Success: Hiring talent to plan and ramping up SA's so that on day 31 they are certified and ready to be assigned to accounts.
  - VP PO: Improve diversity. Two initiatives deployed.
  - VP PO: Train all Senior level and above team members on [how to interview](https://gitlab.com/gitlab-com/peopleops/issues/305).
  - VP PO: Develop and document benefits plans (current and considering) for each entity.
