---
title: "FY20-Q3 OKRs"
description: "View GitLabs Objective-Key Results for FY20 Q3. Learn more here!"
canonical_path: "/company/okrs/fy20-q3/"
---

This fiscal quarter will run from August 1, 2019 to October 31, 2019.

<p class="h3">1. CEO: IACV.</p>

1. VP Engineering: [Enterprise-level availability](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4893)
    1. Development: [Improve Predictability around customer expectations](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4841) => 78%
    1. Infrastructure: [Raise GitLab.com Availability from 96.64% to a consistent 99.95%](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4918).
    1. Security: [Mitigate and track H1 spend with secure coding training](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4924)
    1. Support: [Create sustainable processes to achieve 95% performance for First Response SLA](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4920)  => 90%
    1. Support: [Create sustainable processes to achieve 85% performance to Next Response Time SLA](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4921) => 40%
    1. Quality: [Improve self-managed enterprise upgrade robustness](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4852) => 100%
    1. Fellow: Document architecture and help address 3 high-profile incidents => 90%
1. CRO: [Improve Forecast Accuracy:](https://gitlab.com/groups/gitlab-com/-/epics/130) and [Improve Enablement and Productivity:](https://gitlab.com/groups/gitlab-com/-/epics/131)
   <iframe width="800px" height="300px" src="https://docs.google.com/spreadsheets/d/e/2PACX-1vTd14PCr2AZwcOW0Xa98p1jH5TrYoDZwRCQyA8GgZS2mL9ecDg-U8OUUm4v3R7BdJWu5XClH-371sVi/pubhtml?gid=1537935190&amp;single=true&amp;widget=true&amp;headers=false"></iframe>
1. CFO: Improve investing models for go to market functions
    1. Finance: [Complete valuation methodology for acquisitions](https://gitlab.com/gitlab-com/finance/issues/967)
    1. Finance: [Fully functional pipeline model for funnel from top through to closed won including conversion rates, cycle times and unit economics](https://gitlab.com/gitlab-com/finance/issues/962)
    1. Legal: 97.5% of team members residing in OECD countries covered by scalable (or low risk) employment solution.
    1. Legal: 95% of team members covered by scalable (or low risk) employment solution.
    1. Legal: Implemented Vendor Management Process.
    1. Legal: Export control compliance completed and covering 100% of transactions.
1. CMO: Build key demand generation capabilities
    1. Revenue: SDR Acceleration Team up and running.  Outreach acquisition sequences built for each campaign, first acquisition campaigns launched in a territory.
    1. Revenue: Simple campaign framework in-market, aligned with Command of Message. Agreed and communicated to sales, campaigns running in each region, 1 additional competitive campaign launched in October.
    1. Revenue: Ramp Digital Demand Gen spend. Minimum $2m spent on digital demand gen, $250 cost per MQL achieved, weekly reporting starting Sept. 1.
    1. Ops: Repeatable campaign performance reporting. Periscope campaign dashboard available, realtime pipe-to-spend reporting visible.
    1. Revenue: ABM programs running. Demandbase implemented, target accounts identified by territory, ABM metrics baseline established, territory campaigns running in 2 territories.

<p class="h3">2. CEO: Popular next generation product.</p>

1. VP Product: Establish a new [Problem Validation](/handbook/product-development-flow/#validation-phase-2-problem-validation) process. Complete at least 15 problem validation cycles (one per PM, excluding Growth). Complete at least 5 qualitative customer interviews per PM.
1. VP Product: Improve the quality of product usage data, to enable better data driven product decisions. Finalize top Product and Growth [KPI definitions](https://internal.gitlab.com/handbook/company/performance-indicators/product/), including [SMAU](https://internal.gitlab.com/handbook/company/performance-indicators/product/) definitions for each stage.  Get reliable and accurate product usage data from both Self Hosted + SaaS customer environments. Deliver SMAU dashboards with actionable data for each stage.
1. VP Product: Ensure prioritization of work to deliver on UX key results to raise our [SUS score](/handbook/product/ux/performance-indicators/#perception-of-system-usability) to 76.2 and deliver 30 foundational UI components in Q3.
1. Director of Product, Dev; Director of Product, Ops; Director of Product, CI/CD: Communicate 1 year product Plans at the Section level to inform product investment decisions. Deliver 1 year plan content for Dev, Ops, and CI/CD sections by end of Q3. Stretch goal for Growth, Enablement, Secure, and Defend (pending Director hires).
1. VP of Product Strategy: Get strategic thinking into the org. 4 [strategy reviews](https://gitlab.com/gitlab-com/Product/issues/379) for key industry categories (project management, application security testing, CD/RA, VSM), 100 5-star reviews of each [strategy blog post](https://gitlab.com/gitlab-com/Product/issues/423), 3 [section strategy reviews](https://gitlab.com/gitlab-com/Product/issues/381). => 100%, 0%, 100%
1. VP of Product Strategy: Get acquisitions into shape; build a well-oiled machine. Complete valuation methodology for acquisitions (with FP&A).
1. VP Engineering: [Dogfood everything](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4894)
    1. Development: [Increase MRs, Maintain MR to Author ratio, first response KPI](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4837) => 30%
    1. UX Director: [Create products and experiences that users love and value](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4932) => 120%
    1. UX Director: [Increase product depth by improving existing product workflows based on customer validation](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4930) => 57%
    1. UX Director: [Provide best-in-class documentation for the top 5 Jobs to be Done (JTBD) by improving discovery and making content more relevant and usable](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4931) => 100%
    1. Security: [Improve Abuse ML detection and response](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4925)
    1. Support: [Increase support contributions to troubleshooting documentation to enable ticket deflection](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4922) => 75%
    1. Quality: [Increase engineering efficiency and remove test gaps in enterprise features](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4853) => 74%
    1. Fellow: [Work across teams to help 3 major customers with GitLab architecture](https://gitlab.com/groups/gitlab-org/-/epics/827) => 66%
1. CMO: Launch corporate awareness program
    1. Corporate: Launch awareness campaign. Agency selected, business objectives agreed by e-group and BOD, creative approved and tested, media plan in place, first ads in-market.
    1. Corporate: Host 2 user conferences. 500 users at each event, stay within budget, avg. 4 out of 5 on survey event satisfaction.
    1. CMO: Growth marketing test launched. In-app messaging running on GitLab.com for user events, 1,000 click-throughs and 100 user event sign-ups from in-app messaging.
    1. Community: Scale up GitLab Evangelist community. Automated Heroes application process, including defined SLA for acceptance/rejection/rewards, Heroes collateral and communications channel; 25 wider community members with relevant contributions signed up as Heroes, with updated profile page on gitlab.com/community/heroes, including picture, bio, list of contributions; 30 meetups organized.

<p class="h3">3. CEO: Great team.</p>

1. VP Product:  Hire at least 18 PM roles in Q3 to catch up with annual hiring plan.
1. VP Engineering: [Scale gracefully to 500+ members](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4895)
    1. Development: [Hire to Plan, New Manager Documentation, Increase Maintainers](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4838) => 44%
    1. Quality: [Grow the department to plan and improve onboarding experience](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4854) => 73%
    1. Security: [Build next phase of zero-trust roadmap](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4926)
1. CPO: People Group to dogfood our own product
    1. VP Recruiting: Continue to successfully drive full cycle recruiting efforts and partnerships with internal stakeholders to bring in top talent while driving towards achieving Apply to Offer Accept KPI,Candidates Sourced vs. Candidates Hired KPI, Hire vs Plan KPI, New Hire Location Factor KPI and Candidate ASAT KPI.
       1. Office of the CEO: Work with recruiting to ensure all the recruiting KPIs are automated in dashboards and embedded in the handbook
    1. Talent Brand: Increase employment brand awareness on LinkedIn among key candidate audiences by creating targeted career pages within the "life" tab on LinkedIn and activate a recruitment marketing campaign to target specific hiring needs
    1. Diversity, Inclusion & Belonging : Continue to create an environment where all voices can be heard and feel comfortable speaking, while also ensuring equal access to opportunities. Leverage DIB dashboard for benchmarking/recruiting/sourcing. Create new sourcing strategies/initiatives to support gaps identified. Launch Global DIB Advisory Group & Team Member Resource Groups
    1. Learning & Development: Enhance effective communication and development throughout the organization. Implement training on 'communicating effectively through text' to including how to address if not in line with our values. Update Code of Conduct and Communication page with moderator explanation in handbook, along with documenting the process to discuss with Compliance anything that goes against our expectations and update career growth section in handbook.
    1. Compensation & Benefits:  Continue the evolution of our Compensation/Benefits Model to work towards the [Percentage of Team Member Over Band KPI](/handbook/people-group/people-success-performance-indicators/#percent-over-compensation-band). Implement Phase 2 of Radford consulting proposals for compensation iterations and complete Phase 3 of Radford consulting of compensation iterations. Implement benefits to ensure competitive offerings where we have entities/PEOs based on the results of the Benefits Survey from Q2
    1. People Operations: Maintain and continuously improve company culture in order to drive towards [12 month team member turnover](/handbook/people-group/people-success-performance-indicators/#team-member-turnover), [12 month voluntary team member turnover](/handbook/people-group/people-success-performance-indicators/#team-member-turnover) , and [Discretionary bonus KPIs](/handbook/total-rewards/incentives/#discretionary-bonuses). Implement Anniversary Swag program and support country conversions and entity creation. Get bonus metrics into Periscope by leader and insure each functional leader has a clear understanding of their budget spend and allocation. Share voluntary attrition data with all GitLab team members quarterly, create process for gathering involuntary attrition data to be shared and understand themes of data to find ways to improve
    1. People Operations: [Monitor GitLabber satisfaction and quickly identify emerging trends](https://gitlab.com/gitlab-com/people-group/General/issues/460)
    1. Handbook Content: Ensure our handbook remains the central repository for how we run the company. Achieve a clean and maintainable state for handbook links. Establish guidelines for separating pages, with standards for content organization (URLS and breadcrumbs) and index organization. Make substantial new content additions along with substantial updates to existing content.
1. CRO: [Hire a Diverse, High Performing Team:](https://gitlab.com/groups/gitlab-com/-/epics/132) Refactor the recruiting process to recover hiring to plan and stay on plan going forward; Ensure a representative mix of diverse qualified candidates are in the recruiting pool, Train and enable new hires quickly to improve productivity ramp.
1. CFO: Improve financial planning processes to support growth and increased transparency.
    1. Finance: [Achieve ability to use percentage of completion accounting for professional services](https://gitlab.com/gitlab-com/finance/issues/963)
    1. Finance: [Version control for financial model that allows for real time analysis without impacting production model](https://gitlab.com/gitlab-com/finance/issues/964)
    1. Finance: [Budget vs Forecast vs Actuals automated thru Periscope, including vendor drill down](https://gitlab.com/gitlab-com/finance/issues/965)
    1. Finance: [Performance Indicators complete for all G&A functions](https://gitlab.com/gitlab-com/finance/issues/966) => 100%
    1. Finance: [Unit economics for GitLab.com costing for all product tiers (free, bronze, silver, gold) and internal usage](https://gitlab.com/gitlab-com/finance/issues/954) - 100%
    1. Data team: [100% of P1 and 100% of P2 KPIs completed](https://gitlab.com/groups/gitlab-data/-/epics/55) - 83%
    1. Data team: [Docker-based Analyst workflow with zero-friction and no cross-machine problems](https://gitlab.com/groups/gitlab-data/-/epics/52) - 100%
    1. Data team: [Snowplow infrastructure managed by data team and handling self-managed data volume](https://gitlab.com/groups/gitlab-data/-/epics/54) - 100%
    1. Data team: [Define and Meet SLA on inbound singular-metric requests](https://gitlab.com/groups/gitlab-data/-/epics/56) - 100%
1. CFO: Improve global tax compliance and efficiency
    1. Tax: Deliver Tax Risk Analysis to Goldman Sachs - 100%
    1. Tax: Implement Revised Transfer Pricing Calculation in 2019 Monthly Financial Review Process - 100%
    1. Tax: Analysis on Taxation of Restricted Stock Unit Plan - 0%
1. CMO: New web design and dev hires operational. V1 of Command of Message changes completed, about.gitlab.com repository and CI process streamlined and separated, SEO analyst hired and up-to-speed.
1. CFO:  Issue financial statements and improve accounting processes
    1. Controller: Achieve ten day close => 80%
    1. Controller: No material adjustments in audit; no material post close adjustments in monthly close => 0%
    1. Sr Accounting Manager: Implement Tipalti (AP Automation tool)
    1. Sr Accounting Manager: Go fully live with BlackLine (Account Reconcilation tool)
    1. Billing Manager: Establish monthly meeting with Zuora including billing, deal desk and sales ops to provide feedback, concerns, complaints.
    1. Controller: Commence FY18 and FY19 audits. No material adjustments in audit; no material post close adjustments in monthly close => 0%
1. CFO: Ensure integrity of data and compliance with laws and policies
    1. Sr Internal Audit Manager: First phase of testing for SOX in-scope Information Technology General Controls => 25%
    1. Sr Internal Audit Manager: Third party review of non-GAAP operational metrics ( ARR, Gross/ Net Retention, Customer Count ) => 90%
1. CFO: Create scalable infrastructure for achieving efficient growth
    1. Dir. of Bus Ops: Dogfood GitLab Service Desk and provide specific product gap analysis. - 50%
    1. Dir. of Bus Ops: Create Helpdesk service and document help guidance in handbook. - 75%
    1. Dir. of Bus Ops: 24 hr New Access Request SLAs in place for Response Time, Approvals, and Provisioning - 50%
    1. Dir. of Bus Ops: Baseline & Role-based Access Entitlements met Day 1 - 75%
    1. Dir. of Bus Ops: Transition Okta Administration from security to bus ops - 100%
    1. Dir. of Bus Ops: Define GTM/Ops Teams <-> Product Feedback loop: Portal Process, Dogfooding https://gitlab.com/gitlab-com/business-ops/Business-Operations/issues/200#delivered - 50%
    1. Dir. of Bus Ops: Procurement process adjusted to require only necessary approvals and limit to approver to a single action. - 75%
1. Office of the CEO: Hire strong Chief of Staff to the CEO
   1. ISC: Source 5 qualified candidates per week (SF, Experience, Education)
   1. ISC: Create and maintain 1 Office of the CEO page in the handbook for ease of future onboarding/transitioning
   1. ISC: Add additional details to Hiring Plan after every stage 1 interview to standardize and improve hiring process in the future.
1. Office of the CEO: Improve OKR alignment process and timeline
   1. ISC: Update OKRs guideline handbook page with new, refreshed content, including specific examples from GitLab's history.
   1. ISC: Look at git history of previous OKR pages to map out historical timeline for past OKR implementation. Use data to set goals.
   1. ISC: Deliver an MVC of an epic view in GitLab that could work for OKRs.
