---
title: "FY20-Q4 OKRs"
description: "View GitLabs Objective-Key Results for FY20 Q4. Learn more here!"
canonical_path: "/company/okrs/fy20-q4/"
---

This [fiscal quarter](/handbook/finance/#fiscal-year) will run from November 1, 2019 to January 31, 2020.

<p class="h3">1. CEO: IACV</p>

1. **CRO: Build strong FY21 pipeline.**
    1. CRO KR: FY21-Q1 pipeline at 2X target (stage 3+)
    1. CRO KR: FY21-Q2 pipeline at 1.2X target (stage 3+)
        1. **VP, Field Ops: Instrument systems and programs to intended targets.**
            1. VP Field Ops KR: Factor pipeine targets to relevant tools.
                1. **Sr Director of Sales Operations: Assess solution for pipeline targets.**
                    1. Sr Director of Sales Operations KR: Implement targets into Clari (or SFDC). => We did not make progress on this KR, and will carry over into Q1FY21
                    1. Sr Director of Sales Operations KR: Measure effectiveness to 90% accuracy. => We did not make progress on this KR, and will carry over into Q1FY21
                1. **Sr Manager of Sales Strategy: Measure and report on iACV forecast accuracy and take action to improve**
                    1. Sr Manager of Sales Strategy KR: Assess Clari abilities to trend or track in Periscope, assess rep/mgr level forecast accuracy to 100% throughout the QTR and identify actions for sales managers => In Progress.
            1. VP Field Ops KR: Target 90%+ completion of certification programs.
                1. **Director of Sales Enablement: Develop certification ROE and processes.**
                    1. Director of Sales Enablement KR: Target 90%+ completion of certification programs starting with initial Command of the Message certification for Sales and CS team members => 100% completion
                    1. Director of Sales Enablement KR: Verify manager engagement and support => 100% sales manager engagement and support
                    1. Director of Sales Enablement KR: Defined certification strategy heading into FY21 => Meeting with CRO on Jan 27 to review [proposed sales certification strategy for FY21+](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/issues/140)
                1. **Director of Sales Enablement: Improve operational excellence around Command of the Message and strategic opportunity management with MEDDPICC.**
                    1. Director of Sales Enablement KR: Successfully execute strategic opportunity consult engagement with Force Management => 7 of 8 [opportunity consults](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5743) (8th decided to push to Q1)
                    1. Director of Sales Enablement KR: Effectively deliver 2-day CoM & MEDDPICC workshop to sales team members who did not participate in the Aug training => Done. Delivered [2-day CoM & MEDDPICC workshop on Jan 16-17](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/issues/135) to ~80 sales team members who did not participate in the Aug training
                    1. Director of Sales Enablement KR: Improve the consumability of CoM and Command Plan supporting resources in the Sales Handbook => Updated the look and feel of [Command of the Message Handbook Page](/handbook/sales/command-of-the-message/).
                    1. Director of Sales Enablement KR: 95%+ sales participant completion of currently-running Fast Start program => Done. 100% completion of 13-week Fast Start reinforcement & sustainment program (see [scorecard](https://docs.google.com/spreadsheets/d/1yyo1GQhQ6cYFQR1Mb0ZZtS-wOPZSsfAGVYa1Vtz9Jws/edit?usp=sharing)).
                1. **Director of Sales Enablement: Reduce rep ramp time and optimize onboarding.**
                    1. Director of Sales Enablement KR: Identify key measurements and reporting cadence => In progress. Key measurements and reporting cadence identified but not delivered by Data Analytics team due to competing priorities ([issue](https://gitlab.com/gitlab-data/analytics/issues/2120) has now been open for 5 months).
                    1. Director of Sales Enablement KR: Ensure Sales Onboarding process (to include issue creation) is consistent and timely => In progress. Implementing enhanced Google Classroom SQS/onboarding reporting starting in FY21. [Sales onboarding process and content documented in the Handbook.](/handbook/sales/onboarding/)
                1. **Director of Sales Enablement: Ensure FY20 Sales Kick Off effectively supports to FY21 sales strategy.**
                    1. Director of Sales Enablement KR: Effective, collaborative SKO planning and communication leading up to the early Feb 2020 event => [In progress](https://gitlab.com/groups/gitlab-com/-/epics/126). On track to deliver against these results in early Q1.
                    1. Director of Sales Enablement KR: Development of interactive, role-based training sessions to support FY21 pipeline development and acceleration => [In progress](https://gitlab.com/gitlab-com/marketing/sales-kick-off/fy21/issues/19). On track to deliver against these results in early Q1.
        1. **VP Alliances: Broaden addressable user base through user personas (OPS and Security).**
            1. VP Alliances KR: AWS Re:invent GitLab visibility (5 sessions). => 80% (4 AWS sessions and 6 with other partners)
            1. VP Alliances KR: Kubecon 14 Top Kubernetes partners with GitLab demos for 400 customers each. => 100%
            1. VP Alliances KR: Launch partner marketing campaign. => 20%
        1. **VP Alliances: Deliver GitLab as part of our partner's sales processes.**
            1. VP Alliances KR: Support building channel with new VP. => ongoing
            1. VP Alliances KR: Double lead flow from key alliance partners. => 50%
            1. VP Alliances KR: Deliver first GitLab session at Dreamforce. => done
        1. **VP Alliances: Build tighter partner integrations with GitLab for Kubernetes, Marketplace and Authentication.**
            1. VP Alliances KR: Grow secure stage through partnerships. => first two partnerships launched
            1. VP Alliances KR: Create 1st class experiences for free partner compute services. => miss and moving to Q1
            1. VP Alliances KR: Establish shared technical roadmap with Hashicorp. => done
1. **CRO: Ensure public company readiness.**
    1. CRO KR: Conduct mock earnings call. => Not Started.
        1. **VP Field Ops: Optimize Month End Close.**
            1. VP Field Ops KR: Target < 1 day EOM close.
                1. **Sr Director of Sales Operations: Optimize EOM close.**
                    1. Sr Director of Sales Operations KR: Provide final bookings < 1 day by simplification of IACV calc. => In Progress: Not yet fully automatic. True-Ups & transactions from web portal require manual intervention by Deal Desk.
                    1. Sr Director of Sales Operations KR: Automation > 50% of EOM close processes. => Moved to weekly cadence. New [closing stage](https://gitlab.com/gitlab-com/sales-team/field-operations/sales-operations/issues/397) speeds up processing time. Monthly Closed now captured in [issue](https://gitlab.com/gitlab-com/sales-team/field-operations/sales-operations/issues/574) for transparent communication and an audit trail..
                    1. Sr Director of Sales Operations KR: Document new processes in Handbook => Large re-factoring of current [Sales Order Processing Handbook page.](/handbook/sales/field-operations/order-processing/)
                1. **Sr Manager of Sales Systems: Timely and accurate iACV calculation.**
                    1. Sr Manager of Sales Systems KR: 95% of non-custom deals have correct iACV calc after deal configuration => [In Progress](https://gitlab.com/groups/gitlab-com/-/epics/147). Technical discovery lead to the [iACV Assessment](https://docs.google.com/presentation/d/1cADVcQRLdpaJYghMMJ_HQXI-QATLGi2uPPCKOLED8QM/edit)
    1. CRO KR: Sales & Marketing using a single pipeline dashboard.
        1. **VP Field Ops: Align GTM goals and optimize reporting cadence to support IPO.**
            1. VP Field Ops KR: Create SSOT dashboard of key GTM KPIs.
                1. **Sr Manager of Sales Strategy: Partner with GTM Sales/Marketing Metrics Team to create SSOT dashboard view of GTM KPIs.**
                    1. Sr Manager of Sales Strategy KR: Launch Periscope dashboard. => 80%
                    1. Sr Manager of Sales Strategy KR: Highlight 3 KPIs of focus for GTM Motion Team. => Not Started
    1. **Customer Success: Decide on customer success platform.** => Tracking to 100% complete. Pending negotiation and approval.
        1. Customer Success KR: Define requirements.
        1. Customer Success KR: Assess vendors.
        1. Customer Success KR: Contract signed.
    1. **Customer Success: Restructure handbook to align GitLab organization to the customer journey.** => 0% complete. Lacking resource to drive. Will carry-forward when we identify a resource to drive.
        1. Customer Success KR: Information architecture created with 100% of content relating to customer journey.
        1. Customer Success KR: 50% of handbook content restructured to new design as measured by group's content.
        1. **TAM: Complete onboarding processes.**
            1. TAM KR: Segment-specific processes (enterprise, midmarket, SMB).
            1. TAM KR: 2 digital content assets. => [Complete](https://drive.google.com/drive/folders/14ihkqg-_2FKSYTg26j1rn7si9bq7hleV)
            1. TAM KR: Survey created and sent to all 100% of Enterprise customers post-creation.
        1. **TAM: Improve engagement approaches for key processes (EBR, TAM account reviews, GitLab days).**
            1. TAM KR: Processes for each 3. => [Complete](https://gitlab.com/gitlab-com/customer-success/okrs/issues/21)
            1. TAM KR: 2 Templates (EBR and reviews). => [Complete](https://gitlab.com/gitlab-com/customer-success/okrs/issues/21)
            1. TAM KR: Enablement for 90% of CSMs. => [Complete](https://gitlab.com/gitlab-com/customer-success/okrs/issues/21)
        1. **TAM Comm: Develop scalable onboarding approach.**
            1. TAM Comm KR: 2 webinars.
            1. TAM Comm KR: 1 Email campaigns.
            1. TAM Comm KR: Updated TAM process in handbook.
        1. **CS Ops: Implement time-to-value reporting for 3 metrics.** => 100% complete. Implemented in SFDC. Pending completion on onboarding to collect metrics.
            1. CS Ops KR: Time to engage, onboarding complete, and first value delivery.
            1. CS Ops KR: Reporting delivered for 100% Enterprise and midmarket customers.
        1. **Comm SA: Define systematic Commercial presales technical buyers journey.**
            1. Comm SA KR: [Formalized tech eval process for 3 segments Tier 1 MM, MM, SMB](https://gitlab.com/gitlab-com/customer-success/okrs/issues/17) => First iteration completed via new [Handbook page](/handbook/customer-success/comm-sales/customer-buyer-journey/)
            1. Comm SA KR: [Tech eval and handoff processes updated](https://gitlab.com/gitlab-com/customer-success/okrs/issues/17) => Next iteration completed via [this Merge Request](https://gitlab.com/gitlab-com/www-gitlab-com/merge_requests/37506/diffs) and [this Handbook page](/handbook/customer-success/csm/account-handoff/)
        1. **SA West: Establish Enterprise Large presales tech eval process.**
            1. SA West KR: Identify success patterns.
            1. SA West KR: Improved activity tracking requirements created for SFDC.
            1. SA West KR: 2 SA playbooks.
        1. **PS Solutions: Develop plans for future operational and strategic service offerings.** => 75% complete
            1. PS Solutions KR: [Revenue model created with finance](https://gitlab.com/gitlab-com/customer-success/professional-services-group/product/solutions-management-issues/issues/13). => 75% complete.
            1. PS Solutions KR: Customer survey and feedback reports created for 100% of customers (Q3 and Q4) => 100% complete.
            1. PS Solutions KR: [New service offering plan created for 1 year outlook](https://gitlab.com/gitlab-com/customer-success/professional-services-group/product/solutions-management-issues/issues/9). 50% complete
        1. **PS Solutions: Develop services onboarding for 2 partners for training capacity.** => Partner program pushed to FY21.
            1. PS Solutions KR: [Training plan](https://gitlab.com/gitlab-com/customer-success/professional-services-group/product/solutions-management-issues/issues/7).
            1. PS Solutions KR: [Management plan](https://gitlab.com/gitlab-com/customer-success/professional-services-group/product/solutions-management-issues/issues/7).
            1. PS Solutions KR: [2 partners MSAs signed](https://gitlab.com/gitlab-com/customer-success/professional-services-group/product/solutions-management-issues/issues/8).
        1. **PS Solutions: Complete end-to-end process to streamline sales process.** => 65% complete
            1. PS Solutions KR: [End-to-end process streamlined](https://gitlab.com/gitlab-com/customer-success/professional-services-group/product/solutions-management-issues/issues/5). => 100%
            1. PS Solutions KR: [Control models updated](https://gitlab.com/gitlab-com/customer-success/professional-services-group/product/solutions-management-issues/issues/6). 50% complete
            1. PS Solutions KR: [100% of process steps and approvals documented](https://gitlab.com/gitlab-com/customer-success/professional-services-group/product/solutions-management-issues/issues/5). 100% complete
        1. **PS Delivery: Improve repeatability and quality of service delivery.**
            1. PS Delivery KR: Close backlog older than 120 days. => 25% complete, Identified path to signoff and revenue recognition.
            1. PS Delivery KR: Scheduling and resource management. => Not complete, pushed to FY21Q1
            1. PS Delivery KR: Expectations management training delivered to 100% of PSEs. 50% complete, Content developed, deliver expected at SKO
        1. **PS Education: Develop modular "GitLab Total Product Training."** => 100% complete
            1. PS Education KR: Update existing training. => 100% complete
            1. PS Education KR: Develop content for 1 complete product training. => 100% complete
1. **VP of Engineering: [Enterprise-grade GitLab.com](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5566)**
    1. VP of Engineering KR: Finish observability project.
    1. VP of Engineering KR: Close remaining test gaps on enterprise features.
    1. VP of Engineering KR: 99.95 availability.
    1. Sr Director of Development
        1. **Director of Engineering, Enablement: [Iteratively re-architect our queue implementation to create 10x headroom](https://gitlab.com/gitlab-com/www-gitlab-com/issues/4951)**
        1. **Director of Engineering, Enablement: [Meet enterprise customer expectations around timely feature delivery](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5569)**
            1. Director of Engineering, Enablement KR: Overall section monthly throughput (MRs/Engineer/Month) increases to 10 by the end of January, which projects to 250 ~ 290 MRs/Month depending on the hiring progress.
            1. Director of Engineering, Enablement KR: Track all [planning priority issues](https://gitlab.com/groups/gitlab-org/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=planning%20priority) and make sure they are being completed on time.
            1. Director of Engineering, Enablement KR: Maintain current developers to maintainers ratio - Add 1 BE maintainer (Backend from 8 to 9)
        1. **Interim Director of Engineering, CI/CD: [Get CI queue times (p95) under 1 min](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5341)** => 100%
        1. **Interim Director of Engineering, CI/CD: [Meet enterprise customer expectations around timely feature delivery](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5605)**
            1. Interim Director of Engineering, CI/CD KR: Overall section monthly throughput (MR Rate) increases to 10 by the end of January, which projects to 250+ depending on growth. => 76%
            1. Interim Director of Engineering, CI/CD KR: Track all [planning priority issues](https://gitlab.com/groups/gitlab-org/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=planning%20priority) and make sure they are being completed on time. => 66%
            1. Interim Director of Engineering, CI/CD KR: Maintain current developers to maintainers ratio - Nominate and add maintainers as we are increasing  (Add 1 BE maintainer) => 100%
        1. **Director of Engineering, Dev: [Meet enterprise customer expectations around timely feature delivery](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5686)**
            1. Director of Engineering, Dev KR: Track all [planning priority issues](https://gitlab.com/groups/gitlab-org/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=planning%20priority) and make sure they are being completed on time.
        1. **Interim Director of Engineering, Ops: [Meet enterprise customer expectations around timely feature delivery](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5612)** => 50% MR Rate improved but is still below department goals
            1. Interim Director of Engineering, Ops KR: Overall section monthly throughput (MRs/month) increases to 7.2 (up 0%) by end of January. => +8% increase in section MR rate quarter over quarter
            1. Interim Director of Engineering, Ops KR: Track all [planning priority issues](https://gitlab.com/groups/gitlab-org/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=planning%20priority) and make sure they are being completed on time. => 100%
            1. Interim Director of Engineering, Ops KR: Maintain current developers to maintainers ratio - Nominate and add maintainers as we are increasing (BackEnd increase from X to Y, Frontend increase by X to Y) => Maintainer to dev ratio worsened over the quarter about 17%
        1. **Director of Engineering, Defend: [Meet enterprise customer expectations around timely feature delivery](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5626)**
            1. Director of Engineering, Defend KR: 3 new Defend MVC features are released
            1. Director of Engineering, Defend KR: Track all [planning priority issues](https://gitlab.com/groups/gitlab-org/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=planning%20priority) and make sure they are being completed on time.
        1. **Director of Engineering, Secure: [Meet enterprise customer expectations around timely feature delivery](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5611)**
            1. Director of Engineering, Secure KR: Increase rolling 6 month average by >=10%. => We were able to reach 11.5% for the rolling average. OKR 100% achieved.
            1. Director of Engineering, Secure KR: Track all [planning priority issues](https://gitlab.com/groups/gitlab-org/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=planning%20priority) and make sure they are being completed on time. => N/A
            1. Director of Engineering, Secure KR: Maintain current developers to maintainers ratio - Nominate and add maintainers as we are increasing (BackEnd increase from X to Y, Frontend increase by X to Y) => We added a maintainer for the Frontend. OKR 50% achieved.
        1. **Director of Engineering, Growth: [Meet enterprise customer expectations around timely feature delivery](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5687)**
            1. Director of Engineering, Growth KR: Track all [planning priority issues](https://gitlab.com/groups/gitlab-org/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=planning%20priority) and make sure they are being completed on time.
            1. **[Growth stage: Perform weekly iterations](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5692)**
                1. Growth stage KR: Weekly iterations for growth
        1. *Fellow*: Identify and deliver 3 key improvements to [observability](https://gitlab.com/gitlab-org/gitlab/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=Observability) and [scalability](https://gitlab.com/gitlab-org/gitlab/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=Infrastructure%20Scalability) => 100%
    1. **Director of Infrastructure: [Drive GitLab.com Availability to 99.95%](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5623)**
        1. Director of Infrastructure KR: Improve availability of bottom three performant services (sidekiq, registry, git)
        1. Director of Infrastructure KR: Full adoption of standarized workflow management across Infrastructure
        1. Director of Infrastructure KR:Drive database availability to 99.96%
    1. **Director of Quality: [Improve GitLab Enterprise features robustness by improving functional and performance test coverage](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5607)** => 94%
        1. Director of Quality KR: Finish all planned enterprise test gaps => 82%
        1. Director of Quality KR: Perform upgrade tests with no downtime and performance benchmark tests for all GitLab releases in FY20Q4 => 100%
        1. Director of Quality KR: [Certify 2K reference architecture](https://gitlab.com/gitlab-org/quality/performance/issues/58) => 100%
    1. **Interim Director of Security: [Improve GitLab Security resilience and availability by creating independent GitLab Security environments](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5660)**
        1. Interim Director of Security KR: Migrate all existing GitLab Security tooling and infrastructure to the new environments  and [document in envs list](/handbook/engineering/infrastructure/environments/)
        1. Interim Director of Security KR: Create `Sec-prod` and `Sec-pre-prod` environments.
        1. Interim Director of Security KR: Full adoption of a dedicated GitLab instance for tracking of security issues within the new environments.
    1. **Director of Support: [Create sustainable process to achieve 85% performance to Next Response Time SLA](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5589)**
        1. Director of Support KR: Evolve work done in Q3 to reduce gaps in NRT workflow.
        1. Director of Support KR: Correlate NRT performance to reducing Time To Resolve (TTR).
1. **CMO: Cost-effective IACV pipeline growth**
    1. **Community: Showcase activity generated by GitLab Heroes.**
        1. Community KR: 10 GitLab use-case videos or blogs published.
        1. Community KR: 5 GitLab talks given by Heroes.
    1. **Corp Mkt: Increase in awareness around GitLab CI/CD in response to competitor GA announcement.**
        1. Corp Mkt KR: Be included in 25% of the articles about competitor announcement.
        1. 1. Corp Mkt KR: Drive 1000 form fills on the competitive campaign landing page.
    1. **Corp Mkt: Successful pull-through of multi-cloud message at KubeCon.**
        1. Corp Mkt KR: Reach 5,000 people directly (50% of attendees) via KubeCon talks or 0-day events.
        1. Corp Mkt KR: Be included in 5 multi-cloud focused articles and partnerships highlighted in 10 event articles.
        1. Corp Mkt KR: 500,000 social media impressions from tanuki adventure.
    1. **Corp Mkt: In-quarter demonstrable results from AWS re:Invent.**
        1. Corp Mkt KR: Collect 5,000 leads from AWS re:Invent.
        1. Corp Mkt KR: 500 follow-up requests.
        1. Corp Mkt KR: 50 SAOs and $1m in pipeline by end of Q4 (a 2-1 pipe to spend by end of Q).
    1. **Corp Mkt: Increase awareness of GitLab in public relations efforts.**
        1. Corp Mkt KR: 50% SOV vs. main competitor.
        1. Corp Mkt KR: Company mentioned in 30 business press articles.
        1. Corp Mkt KR: At least two key messages included in 75% of feature articles.
    1. **Revenue Mkt: Optimize value-driver campaigns.**
        1. Revenue Mkt KR: Decrease cost-per-lead to $230 by end of Q4.
        1. Revenue Mkt KR: Increase MQL to SDR-QL conversion rate by 20%.
    1. **Strategic Mkt: Incorporate AWS, Google Cloud & VMWare partnership assets into 3 value-driver campaigns**.
        1. Revenue Mkt KR: One partner-specific content asset in each PF track.
        1. Revenue Mkt KR: 3 partner demand-gen activities that drive to value driver campaign.
        1. Revenue Mkt KR: 1 technical blog for each partner introduced in each campaign.
1. **CFO: Improve financial planning processes to support growth and increased transparency.**
    1. Finance: [Single source of truth for hiring process designed and implemented](https://gitlab.com/gitlab-com/finance/issues/629) => 50% [Talent Acquisition Working Group](/handbook/company/working-groups/recruiting-ssot/)
    1. Finance: [Complete financial model from top of funnel through closed won](https://gitlab.com/gitlab-com/finance/issues/1233) => 100%
    1. Finance: [Version control for financial model that allows for real time analysis without impacting production model](https://gitlab.com/gitlab-com/finance/issues/964) => 0% Moving to a financial planning tool
    1. Finance: [Automate 100% of Investor Metrics in Periscope](https://gitlab.com/gitlab-com/finance/issues/594) => 85%

<p class="h3">2. CEO: Popular next generation product</p>

1. **VP of Product Strategy: Get strategic thinking into the org.**
    1. VP of Product Strategy KR: Secure [section strategy review](https://gitlab.com/gitlab-com/Product/issues/381) => 200%.
    1. VP of Product Strategy KR: Produce [strategy visuals](https://gitlab.com/gitlab-com/Product/issues/512) => 0%.
1. **VP of Product Strategy: Get acquisitions into shape; build a well-oiled machine.**
    1. VP of Product Strategy KR: Build [soft-landing identification software](https://gitlab.com/gitlab-com/corporate-development/issues/1) => 10%
    1. VP of Product Strategy KR: Identify 1000 [acquisition targets](https://internal.gitlab.com/handbook/company/performance-indicators/product/) => 1500%.
1. **VP of Product Strategy: Lay groundwork for strategic initiatives.**
    1. VP of Product Strategy KR: Research 5 [strategic initiatives](https://docs.google.com/document/d/1CBvC5iSgvSfn0oBAu3ph9MAzrMHxhKCSjvigz0Lm1VM/edit) => 20%.
1. VP of Product Management: Deliver on product roadmap.  Achieve 100% of our [category maturity](https://about.gitlab.com/direction/#maturity) plans.
1. VP of Product Management: Proactively validate problems and solutions with customers.  At least 2 [validation cycles](/handbook/product-development-flow/#validation-track) completed per Product Manager.
1. VP of Product Management: Create stage level product demos to build customer empathy.  Deliver one recorded demo for each stage.
1. Director of Product, Growth: Establish a rapid cadence of testing & learning.  At least one deliverable per week, per growth group.
1. Director of Product, Growth: Improve the customer experience with billing related workflows.  Make material improvements to direct signup, trial, seat true-up, upgrade, and renewal workflows, both for .com and self-managed customers, driving at least $570k in incremental ACV (IACV).
1. Director of Product, Growth: Improve the quality of product usage data. Deliver accurate [SMAU](https://internal.gitlab.com/handbook/company/performance-indicators/product/) dashboards for each stage, including both .com and self-managed customer usage data.
1. Director of Product, Secure & Defend; Group Manager, Enablement: Communicate updated product visions at the Section level to inform product investment decisions. Deliver product vision content for Secure & Defend and Enablement sections by end of Q4.
1. **VP of Engineering: [Raise productivity thru iteration without jeopardizing availability](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5564)**
    1. VP of Engineering KR: Raise MR Rate from 8 to 10
    1. **Sr Director of Development: [Deliver on our product vision by being more iterative](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5648)** => 100%
        1. Sr Director of Development KR: Raise MRs/Developer/Month from 8 to 10 => 100%
        1. Sr Director of Development KR: Organize interview with Sid about how to iterate for EMs and PMs => 100%
        1. Sr Director of Development KR: Section level reporting on MR Rate with KPIs review => 100%
    1. **Director of Infrastructure: [Achieve daily deployment velocity](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5630).**
        1. Director of Infrastructure KR: Lower MTTP from days to single digit hours.
    1. **Director of Quality: [Increase Engineering efficiency and productivity by speeding up test and pipeline duration](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5608)** => 77%
        1. Director of Quality KR: Increase GitLab review app success rate from 29% to 70% => 100%
        1. Director of Quality KR: Reduce regression suite run time in the release process from 70 mins to 56 mins => 40%
        1. Director of Quality KR: Provide stage specific reporting mechanism for tests that run as part of the release process => 90%
    1. **Interim Director of Security: [Improve the GitLab product by dogfooding Secure & Defend features department-wide](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5661)**
        1. Interim Director of Security KR: Adopt 2 Secure features for common/daily workflows.
        1. Interim Director of Security KR: Adopt 2 Defend features for common/daily workflows.
        1. Interim Director of Security KR: Propose 3 features for Secure and/or Defend.
    1. **Director of UX: [Make the GitLab UI more beautiful by burning down remaining UI Beautification issues.](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5573)**
        1. Director of UX KR: Burn down remaining open issues in epic https://gitlab.com/groups/gitlab-org/-/epics/989
    1. **Director of UX: [Help make the GitLab product more loveable by sharing UX work broadly and frequently to reinforce our overall vision.](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5571)**
        1. Director of UX KR: Get 16 total stages to participate in 4 UX Showcases, and share the resulting video in the Engineering Week in Review.
        1. Director of UX KR: Include Product Design and UX Research results in 5 Group Conversations.
        1. Director of UX KR: Post all new [UX Scorecards](/handbook/product/ux/ux-scorecards/) and newly completed Pajamas components (Create, Build, and Style stages), post it to the [Engineering Week in Review](https://drive.google.com/drive/search?q=%22engineering%20week%20in%20review%22%20source:domain).
    1. **Fellow**: Finish documenting architecture and [identify 3 most significant areas for architecture improvement](https://gitlab.com/gitlab-org/gitlab/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=wg-isolation) => 60%
1. **CMO: Building scalable future capabilities**
    1. **Community: Grow Heroes program, with a Q4 focus in North America.**
        1. Community KR: Establish Heroes governing council.
        1. Community KR: 5 new meetup groups in NORAM.
        1. Community KR: 10 new Heroes from NORAM.
    1. **Community: Pilot GitLab "Hackathon-in-a-box."**
        1. Community KR: Develop packaged Hackathon offering to facilitate contributions at face-to-face events.
        1. Community KR: Pilot offering at 3 events in Q4.
    1. **Revenue Mkt: ABM programs running.**
        1. Revenue Mkt KR: Demandbase implemented.
        1. Revenue Mkt KR: Target accounts identified by territory.
        1. Revenue Mkt KR: ABM metrics baseline established.
        1. Revenue Mkt KR: Territory campaigns running in 2 territories.
    1. **Strategic Mkt: Roll out GitLab ROI framework.**
        1. Strategic Mkt KR: Deliver ROI business justification tool for sales.
        1. Strategic Mkt KR: Work with Forrester to complete first customer data collection for Total Economic Impact report.
    1. **Strategic Mkt: Introduce use cases as framework for GTM.**
        1. Strategic Mkt KR: Roll out first 4 use cases.
        1. Strategic Mkt KR: Align use cases with 3 content pillars.
        1. Strategic Mkt KR: Publish a web page dedicated to each use case
        1. Strategic Mkt KR: Publish demo for each use case.
    1. **Strategic Mkt: Reset competitor and DevOps tools comparison web strategy.**
        1. Strategic Mkt KR: Implement 5 loveable competitive comparison page revamps and Crayon cards.
        1. Strategic Mkt KR: Establish simplified comparison page format for 'functionally similar' DevOps tools.
    1. **Strategic Mkt: Pilot Learn@gitlab web experience for finding & featuring how-to technical content.**
        1. Strategic Mkt KR: Publish MVC landing page or PF experience.
        1. Strategic Mkt KR: Tag existing content into new page.
        1. Strategic Mkt KR: Build plan for FY21.

<p class="h3">3. CEO: Great team</p>

1. **VP Recruiting: Deliver on the ambitious hiring plan, in partnership with leaders, while ensuring a unique and exceptional candidate experience and that candidate pools are diverse and representative of our communities.**
    1. VP Recruiting KR: At least 90% of plan for the quarter.
    1. VP Recruiting KR: Average time to fill at 40 days, excluding Director+.
    1. VP Recruiting KR: At least 35% of all hires/month are women.
1. **Chief People Officer: Support an environment where all team members feel they belong, are valued, and they can contribute; understand the key drivers for team member engagement and continuously improve.**
    1. Chief People Officer KR: Select 1-2 top priorities from October 2019 Engagement Survey and develop action plan.
    1. Chief People Officer KR: Training modules rolled out: at least 2 DIB training modules ([Inclusion](/handbook/company/culture/inclusion/being-inclusive/#inclusion-training) & [Ally](/handbook/communication/ally-resources/#ally-training)) + communication/management training ([Communicating Effectively & Responsibly Through Text](/handbook/company/culture/all-remote/effective-communication/)) => Completed.
    1. Chief People Officer KR: ??% of hiring manager interviews for leadership roles are with female candidates.
1. **Chief People Officer: Improve onboarding to ensure optimal levels of new team member experience and productivity.**
    1. Chief People Officer KR: OSAT (Onboarding Satisfaction): Increase response rate and maintain score of 4.0 or higher.
    1. Chief People Officer KR: ROI calculation for new HRIS that meets the needs of a medium to large size company.
    1. Chief People Officer KR: 100% of People Ops team trained to effectively handle team member questions.
1. **Chief People Officer: Team members understand the value of their compensation, benefits, and perks.**
    1. Chief People Officer KR: Annual comp review with updated location factor based on data from ERI, Numbeo, Compensation Surveys while taking the Average Location Factor KPI into account. => 100%, Annual Compensation Review completed on time and under budget. New location factors implemented based on automated process.
    1. Chief People Officer KR: Measure and ensure gender pay equity. => 100%, Audit complete for US. Next iteration is to scope internationally and add equity.
    1. Chief People Officer KR: Ensure competitive benefits offerings where we have entities/PEOs. => 100% on new entities, not measurable on current entities.
1. **CRO: Implement an efficient and effective hiring model. Talent model used end to end on at least 5 hires in Q4, Manager Span of Control (equal to or less than 8) for entire CRO org.**
    1. VP Field Ops KR: Refactor the recruiting process to recover hiring to plan. Hiring pipeline >100% of targets => In Progress.
    1. VP Field Ops KR: Provide metrics to leverage Talent model on at least 5 hires in Q4 => [Completed.](https://docs.google.com/spreadsheets/d/1ib3z-vn2vNAgU6hsaWeejC3EjQsb1vFzafpn_Kk2zqA/edit#gid=0)
    1. VP Field Ops KR: Keep Manager Span of Control (equal to or less than 8) for entire CRO org => Completed.
    1. Customer Success SA West: Improve presales technical account planning. Assessment of successful/unsuccessful approaches, Complete updated tech evaluation process integrating CoM in handbook.
    1. Customer Success Ops/Enablement: Develop CoM playbooks / cards for key TAM expansion plays. SCM to CI, Security, Free to Premium, Premium to Ultimate playbooks documented (Note: sales plays may not be in handbook).
    1. Customer Success Ops/Enablement: Enhance onboarding for Customer Success team. Updated training delivered to 80% of team, Enablement guide, New employee survey delivered to 100% of onboarded team members (once completed).
    1. Customer Success Ops/Enablement: Launch peer to peer continued education program. Library of recorded training sessions 3 digital assets, Quick response training, 2 small consumable training sessions delivered.
    1. Customer Success East: Develop SA experts program. Establish 3 stage experts, Define role and responsibilities in handbook.
1. **VP of Engineering: [Provide mentorship/coaching at every level](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5565)**
    1. VP of Engineering KR: Scalable Mentorship/coaching program
    1. VP of Engineering KR: Launch internship program
    1. Sr Director of Development
        1. **Director of Engineering, Dev: [Improve the development productivity and experience](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5688)**
            1. Director of Engineering, Dev KR: Maintain current developers to maintainers ratio - Nominate and add maintainers as we are increasing (BackEnd increase from X to Y, Frontend increase by X to Y)
        1. **Director of Engineering, Defend: [Improve the development productivity and experience](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5624)**
            1. Director of Engineering, Defend KR: Defend backend engineers hired in Q3 have created MR's for all portions of the architecture necessary to create/maintain Defend features.
            1. Director of Engineering, Defend KR: >=1 defend engineer becomes a [trainee maintainer](/handbook/engineering/workflow/code-review/#trainee-maintainer) by the end of the quarter
            1. Director of Engineering, Defend KR: Maintain current developers to maintainers ratio - Nominate and add maintainers as we are increasing (BackEnd increase from X to Y, Frontend increase by X to Y)
        1. **Director of Engineering, Enablement: [Improve the development productivity and experience](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5569)**
            1. Director of Engineering, Enablement KR: Overall section monthly throughput (MRs/Engineer/Month) increases to 10 by the end of January, which projects to 250 ~ 290 MRs/Month depending on the hiring progress.
            1. Director of Engineering, Enablement KR: Track all [planning priority issues](https://gitlab.com/groups/gitlab-org/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=planning%20priority) and make sure they are being completed on time.
            1. Director of Engineering, Enablement KR: Maintain current developers to maintainers ratio - Add 1 BE maintainer (Backend from 8 to 9)
        1. **Director of Engineering, Growth: [Improve the development productivity and experience](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5689)**
            1. Director of Engineering, Growth KR: Maintain current developers to maintainers ratio - Nominate and add maintainers as we are increasing (BackEnd increase from X to Y, Frontend increase by X to Y)
    1. **Director of Infrastructure: [Hire key Infrastructure Management vacancies](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5631)**
        1. Director of Infrastructure KR: Hire a Senior Director.
        1. Director of Infrastructure KR: Hire a Reliability Manager.
        1. Director of Infrastructure KR: Hire a Scalability Manager.
    1. **Director of Quality: [Scale Quality Engineering to all product stages by growing to plan](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5609)** => 67%
        1. Director of Quality KR: Hire 2 Quality Engineering Managers. => 100%
        1. Director of Quality KR: Hire 4 Test Automation Engineers. => 100%
        1. Director of Quality KR: Hire 1 Engineering Productivity Engineer. => 0%
    1. **Interim Director of Security: [Develop FY21 Security strategy and organisational structure](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5662)**
        1. Interim Director of Security KR: Document FY21 Security strategy and direction.
        1. Interim Director of Security KR: Document organisation structure and relevant new roles.
        1. Interim Director of Security KR: Adjust and document changes to staffing model.
    1. **Director of Support: [Develop FY21 Support strategy and supporting organizational direction](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5591)**
        1. Director of Support KR: Document FY21 Support strategy and direction.
        1. Director of Support KR: Document organization structure and relevant new roles.
        1. Director of Support KR: Adjust and document changes to staffing model.
    1. **Director of Support: [Rebase interlock with Customer Success](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5592)**
        1. Director of Support KR: Clearly define new role responsibilities in Support and Customer Success.
        1. Director of Support KR: Identify changes in to existing or new roles to fill gaps in service delivery.
    1. **Director of UX: [Scale UX Research by building out Research Training materials that Product Managers and Product Designers can use to consistently deliver results.](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5572)**
        1. Director of UX KR: Deliver 6 videos that address the highest priority topics in educating PMs and Product Designers on conducting user research.
1. **CFO: Issue Financial Statements and Improve Accounting Processes**
    1. Controller: Achieve 12 day close by Q4 FY 2020, and 10 day close by Q2 FY 2021. => 90%
    1. Principal Accounting Officer: No material adjustments in audit; no material post-close adjustments in monthly close => 80%
    1. Accounts Payable: Complete Tipalti implementation => 100%
    1. Payroll: HR data integration between Bamboo/ADP; Update handbook with a payroll section (Shared OKR with PeopleOps) => 85%
    1. Payroll:  Proposal to replace Expensify => 50% (User dissatisfaction with Concur)
    1. PAO/Revenue: Complete retrospective review of Revenue Allocation. => 90%
    1. Controller: Propose vendor and implementation plan for rev rec (formerly RevPro) and Commissions (Xactly). => 95%
    1. PAO: No material weaknesses identified by Audit Firm. => 90% (internal controls work not finalized by auditor)
1. **CFO: Build a scalable data infrastructure that ensures completeness of data, quality and ability for anyone in the organization to access data and perform analysis.**
    1. Data Team: [Embedded/Central analyst/engineer model implemented so each function has at least one embedded data analyst.](https://gitlab.com/gitlab-data/analytics/issues/3023)
    1. Data Team: Sensitive data [is identified](https://gitlab.com/groups/gitlab-data/-/epics/74) in 66% of [data sources](/handbook/enterprise-data/platform/#extract-and-load) at the database object level (columns, tables, etc.) [in a file in our repository for use in automated and dynamic modeling, administering, and auditing of the warehouse.](https://gitlab.com/groups/gitlab-data/-/epics/65)
    1. Data Team: [66% of data sources of Data quality measures and tests documented and implemented for data sources.](https://gitlab.com/groups/gitlab-data/-/epics/63)
1. **CFO: Create an IT organization that prepares the company for growth over next 18 months.**
    1. IT: Create an IT SLA framework and issue initial target of less than three days.
    1. IT: 100% of onboard/offboard activities included in new hire/termination issues with automated notification to system DRIs.
    1. IT: Complete audit of system access termination for offboarded team members.
1. **CFO: Create scalable business systems with business processes that have cross functional ownership.**
    1. Business Systems: Technology Stack and DRIs in handbook in relevant places in handbook (avoid directory problem).
    1. Business Systems: Defined technology approach for back end of portal.
1. **CFO: Improve purchasing function to streamline process while saving money.**
    1. Procurement: Public RFP issued to replace Zuora as GitLab's Subscription Management and CPQ solution.
    1. Procurement: Streamlined workflow based on procurement type. Involve purchasing early in the process.
    1. Procurement: Deliver quantified savings of > $250,000 in Q4.
1. **CFO: Maintain corporate tax compliance while looking for methods to improve tax efficiency.**
    1. Director of Tax: Deliver Global VAT review =>100%
    1. Director of Tax: Propose optimized tax structure for supply chain =>50%
    1. Director of Tax: Analysis on taxation of RSU's => 100%
1. **CMO: Increase marketing team operational efficiency**
    1. **MktOps: Improve SDR lead processing efficiency.**
        1. MktOps KR: Reduce lead views to 5 (from 30+ today).
        1. MktOps KR: Average lead processing time for SDR under 5 minutes (from 10+ minutes).
        1. MktOps KR: MQL lead and contact views emptied every day.
    1. **MktOps: Less manual and more accurate lead routing.**
        1. MktOps KR: DemandBase form append running on all inbound forms.
        1. MktOps KR: Reduce manual lead routing by 50% (from 4k per month).
        1. MktOps KR: No cutting-and-pasting data from DataFox/Discover.org.
    1. **MktOps: Automate lead followup.**
        1. MktOps KR: Lead status in Outreach synced to SFDC lead status.
        1. MktOps KR: Ability to auto-sequence low-scoring leads launched.
        1. MktOps KR: Drift bot qualifying and routing website leads.
    1. **Community: Increase response coverage and improve responsiveness on high priority channels.**
        1. Community KR: Decrease median first reply time to 5 hours for Hacker News and website/blog comments.
        1. Community KR: Add YouTube GitLab channels and LinkedIn to ZenDesk integration and response workflow.
    1. **Strategic Mkt: Establish PIs (performance indicator) for each Strategic Marketing team.**
        1. Strategic Mkt KR: Each sub-team at least one PI trackable in a Periscope dashboard.
        1. Strategic Mkt KR: Point-of-reference tool implemented.
        1. Strategic Mkt KR: AR coverage "heatmap at-a-glance" implemented.
    1. **Revenue Mkt: Implement organic search optimizations.**
        1. Revenue Mkt KR: Establish catalog of SEO terms.
        1. Revenue Mkt KR: Identify first list of SEO optimizations.
        1. Revenue Mkt KR: Optimize 10 website pages for key terms.

## How to Achieve Presentations

- [Engineering](https://www.youtube.com/watch?v=MW_CfE5-vG4)
- [Finance](https://www.youtube.com/watch?v=bLW_fosy07g&feature=youtu.be)
- [Marketing](https://www.youtube.com/watch?v=3PN-0kTMyjA&feature=youtu.be)
- [Product](https://www.youtube.com/watch?v=RdPbpO-dquM)
- [Product Strategy](https://www.youtube.com/watch?v=p4-X2RCzCQo)
- [Sales](https://www.youtube.com/watch?v=c0l5YulipYM&feature=youtu.be)
- [People](https://www.youtube.com/watch?v=sVGRNcK6O5s&feature=youtu.be)
