---
title: "FY22-Q1 OKRs"
description: "View GitLabs Objective-Key Results for FY22 Q1. Learn more here!"
canonical_path: "/company/okrs/fy22-q1/"
---

This [fiscal quarter](/handbook/finance/#fiscal-year) will run from February 1, 2021 to April 30,2021.

## OKR Schedule

The by-the-book schedule for the OKR timeline would be

| OKR schedule | Week of | Task |
| ------ | ------ | ------ |
| -5 | 2020-12-28 | CEO shares top goals with E-group for feedback |
| -4 | 2021-01-04 | CEO pushes top goals to this page |
| -3 | 2021-01-11 | E-group propose OKRs for their functions in [Epics and Issues nested under the CEO's Net ARR, Popular Next Gen Product, and Great Team OKRs](/handbook/company/okrs/#executives-propose-okrs-for-their-functions). These issues and epics are shared in #okrs Slack channel|
| -3 | 2021-01-11 | E-group 50 minute draft review meeting |
| -2 | 2021-01-18 | E-group discusses with their respective teams and finalize their OKRs |
| -1 | 2021-01-25 | CEO reports post links to final OKR Epics in #okrs slack channel and @ mention the CEO and CoS to the CEO for approval |
| 0  | 2021-02-01 | CoS to the CEO updates OKR page for current quarter to be active |

## OKRs

### 1. CEO: Grow Net ARR

[Net ARR](/handbook/sales/sales-term-glossary/arr-in-practice/#net-arr) | [Epic 1283](https://gitlab.com/groups/gitlab-com/-/epics/1283)

1. **CEO KR:** Leverage data to make sales more efficient. [Issue 10306](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/10306)
   1. Materially improve purchasing and licensing workflows to improve sales efficiency through fixing 16 of 16 Fulfillment pain points
   1. Land vs. expand focus through securing X new logos and having ability to measure [LAM (Landed Addressable Market)](/handbook/sales/sales-term-glossary/#landed-addressable-market-lam)
   1. Show growth from Account Centric marketing activities (ABM & Account Centric)
   1. Analyze and iterate on FY22 plan with data from packaging
   1. Every TAM has provided an adoption and/or expansion recommendation for an account based on the number of active users and product usage data in Gainsight
   1. Find propensity to buy signals based on usage
   1. Get xMAU data correct
1. **CEO KR:** Investigate new pricing and business models (GitLab Private, GitLab.com feature parity). [Issue 10307](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/10307)
1. **CEO KR:** Accelerate Consumption on both Self-Managed and GitLab.com. [Issue 10308](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/10308)

### 2. CEO: Popular next generation product

[Epic 1284](https://gitlab.com/groups/gitlab-com/-/epics/1284)

1. **CEO KR:** Achieve System Usability (SUS) target of 75. [Issue 10314](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/10314)
1. **CEO KR:** Increase Stages per User from X to Y. [Issue 10315](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/10315)
1. **CEO KR:** Achieve X views from GitOps, Auto DevOps and 5 minute production app blogs. [Issue 10316](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/10316)

### 3. CEO: Great team

[Epic 1285](https://gitlab.com/groups/gitlab-com/-/epics/1285)

1. **CEO KR:** all managers complete a 9 box exercise and review with their managers. [Issue 10317](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/10317)
1. **CEO KR:** GitLab exits a market and ongoing plans for engagement are clearly identified, agreed upon, and documented. [Issue 10318](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/10318)
1. **CEO KR:** X [people coached](/handbook/engineering/volunteer-coaches-for-urgs/#freecodecamp). [Issue 10320](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/10320)
1. **CEO KR:** Enterprises contribute $X [MRARR](/handbook/engineering/infrastructure/performance-indicators/#mrarr). [Issue 10321](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/10321)
1. **CEO KR:** Evaluate and implement compensation strategy. [Issue 10390](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/10390)
