---
title: "Still a Startup"
description: "GitLab elevates others through knowledge sharing, job access, and our software platform.."
canonical_path: "/company/still-a-startup/"
---

### Still a Startup Overview

In the "Letter From Our CEO" in [GitLab's S-1](https://www.sec.gov/Archives/edgar/data/0001653482/000162828021018818/gitlab-sx1.htm) (filed with the Securities and Exchange Commission on September 17, 2021), GitLab's CEO, Sid Sijbrandij, documented some of the ways that GitLab plans to avoid the stagnation experienced by most early stage companies as they mature. This was the inspiration for this page.

Most companies regress to the mean and slow down over time. We plan to maintain our startup ethos by doing the following:

### Reinforcing our values

We have more than 20 documented ways to reinforce [GitLab's values](/handbook/values/). Since hiring, bonuses, and promotions provide strong signals of what is valued and rewarded, we make values the lens through which we evaluate team member fit and advancement.

### Quick and informed decisions

We are able to combine the advantages of consensus organizations and hierarchical organizations by splitting decisions into two phases. In the data gathering phase, we employ the best of consensus organizations as we encourage people to contribute their ideas and opinions. In the decision phase, we benefit from the best of hierarchical organizations with one person, the directly responsible individual, deciding what to do without having to convince the people who made suggestions.

### A directly responsible individual (DRI)

A [DRI](/handbook/people-group/directly-responsible-individuals/) is a single person who owns decision making authority and responsibility for the success of a given workstream or initiative. We avoid confusion and empower team members by being clear about the DRI. With a few documented exceptions, the person who does the work resulting from the decision gets to make the decision. DRIs tend to have the context required for good decision making and are empowered by their ability to use their own judgement in doing what is best for the business.

### Organize informal communications

[Informal team member communications](/handbook/company/culture/all-remote/informal-communication/), such as a chat about life outside of work, are necessary for building trust. Trust is essential for great business results. Many businesses invest heavily in offices and facilities, because they believe offices are necessary for informal communication.

During the pandemic, many businesses that were forced to work remotely discovered that productivity increased. Many of these same businesses are now making plans to return to the office. One reason given is that not everyone can work from home. We solve this by allowing people to rent work space. The other main reason given is that people miss working from a central office with co-workers. I don't think that people miss the commute or the office furniture. They miss informal communication. Central offices are a really expensive, inconvenient, and indirect way to facilitate information communication. It is more efficient to directly organize informal communication.

For example, every person who joins GitLab has to schedule at least 5 [coffee chats](/handbook/company/culture/all-remote/informal-communication/#coffee-chats) during their onboarding. We also have social calls, [Ask Me Anything](/handbook/company/culture/all-remote/informal-communication/#ama-ask-me-anything) meetings with senior leaders, and 15 other explicit ways to encourage employee connections and relationship building. Intentionally organizing informal communication enables the trust-building conversations that are essential for collaboration. This can be more effective than relying on chance encounters in an office building. You can connect with team members throughout the world and across departments through a coffee chat. You may not meet people outside of your own floor in an office setting.

### Challenge conventions

We do not do things differently for the sake of being different, and we use boring solutions whenever possible. That said, we're also willing to deviate from conventions when it can benefit GitLab and the wider community. Before the COVID-19 pandemic, GitLab was the largest all-remote company in the world. We now teach others how to succeed as remote companies and employees. We aim to be the most transparent company of our size. This [transparency](/handbook/values/#transparency) has had demonstrable benefits ranging from increased team member productivity to enhanced brand awareness. What some saw as a liability, we have shown to be a strength.

### Bias for action

Decisions should be thoughtful, but delivering fast results requires the fearless acceptance of occasionally making mistakes. Our bias for action may result in the occasional mistake, but it also allows us to course correct quickly. We keep the stakes low for mistakes for the sake of transparency. When people are comfortable communicating missteps, risk aversion and secrecy don't become the norm.

### Not a family

Some companies talk about being a 'Family.' We don't think that is the right perspective. At GitLab, the relationship is not the end goal. The goal is results. We are clear about accountability and hold people to a clearly articulated standard. When people do not perform, we try to help them improve. If they still can't meet expectations, we let them go.

### Time based release

We have introduced a new, enhanced version of our software [every month](/handbook/engineering/releases/) for over nine years. A [time based release](https://about.gitlab.com/releases/) ensures that when a feature is ready, its release will not be held up by another that is not. Aligned with our value of iteration, we try to reduce the scope of each feature so that it fits in a single release.

### Individual innovation

We empower individuals to innovate. For example, we have designated coaches who support contributors from the wider community in getting their contributions to the point where they can be merged by GitLab. We also have an [incubation department](/handbook/engineering/incubation/) dedicated to quickly turning ideas into viable features and products.

### Dogfooding

The best way to quickly improve GitLab is to use it ourselves, or [dogfood](/handbook/engineering/development/principles/) it, so that we have a quick feedback loop. We use our own product even when a feature is in its early stages of development. This helps us to develop empathy with users and better understand what to build next.
