---
title: "FY21 Product Engagement Actions"
description: "Take action on the FY 21 product engagement survey results."
---

## Attributes

| Property        | Value             |
|-----------------|-------------------|
| Date Created    | February 23, 2021 |
| Target End Date | May 30, 2021    |
| Slack           | [#wg_fy21_product_engagement_actions](https://gitlab.slack.com/archives/C01P9FJRDHS) (only accessible by GitLab team members) |
| Google Doc      | [Working Group Agenda](https://docs.google.com/document/d/1_5Rf3z1uH0ieIvUJIK0CDVeG9H-EG__1B-OLxARZOxA/edit#) (only accessible by GitLab team members) |
| Epics/Issues    | [Engagement Survey Issue](https://gitlab.com/gitlab-com/Product/-/issues/1986) / [Issue Board](https://gitlab.com/groups/gitlab-com/-/boards/1453895?scope=all&utf8=%E2%9C%93&label_name[]=Product%20Operations&label_name[]=wg-fy21-engagement-actions) / Engagement action item epics: [1386](https://gitlab.com/groups/gitlab-com/-/epics/1386)  [1387](https://gitlab.com/groups/gitlab-com/-/epics/1387)  [1388](https://gitlab.com/groups/gitlab-com/-/epics/1388) |
| Label           | `~wg-fy21-engagement-actions` |

## Problems To Solve

For more details please reference the [Product FY'21 Engagement Survey Results](https://gitlab.com/gitlab-com/Product/-/issues/1986).

1. How can we provide a clear, actionable and trackable path for product managers to grow and thrive at GitLab and beyond?
1. How can we better support and  help  product managers focus on creating innovative and valuable products for GitLab's customers?

## Business Goals

- Create focus on customer value and business outcomes in the product manager role at GitLab
- Boost product team job satisfaction and retention
- Provide a clear path to success at GitLab for product managers of all levels
- Attract, grow and support a diverse group of product managers at GitLab

## Protocols and Processes

**How we'll do the work**

In order to stay focused and move quickly on actions, we need to stay *lean*.  Therefore, the working group will be limited to 9 functional leads, 1 facilitator and 1 executive sponsor. The 9 functional leads will then be split into three groups of 3 collaborators, who will each own one of the [problems to solve](#problems-to-solve), as noted above.

**Creating Epics, Issues and MRs for the working group board**

- All epics should have labels: `product operations` `wg-fy21-engagement-actions`
- All issues should be linked to a WG epic and have labels: `milestone` `product operations` `wg-fy21-engagement-actions` and a product operations  workflow label: `prodops::todo` `prodops::validation` `prodops::planning` `prodops::doing` `prodops::inreview` With these labels, the issues will be viewable as part of the [product operations issue board](https://gitlab.com/groups/gitlab-com/-/boards/1453895?scope=all&utf8=%E2%9C%93&label_name[]=Product%20Operations&label_name[]=wg-fy21-engagement-actions)
- All MRs should be linked to a WG issue and have the labels: `milestone` `product operations` `wg-fy21-engagement-actions`

Please note the above actions are necessary for succesful async collaboration.

**How we'll review and share the work**

- Please  provide a standup style update of your work in progress at the weekly sync by adding it to the agenda and then voicing it over. If neither you or your partner are able to attend weekly sync, please still add the written update and the WG facilitator will voice over.
- Please explicitly communicate any reviews, feedback or contributions you need from the bigger WG team by adding an agenda item to weekly sync meeting or by posting in the WG Slack channel, in addition to pinging directly as appropriate in the epic, issue or MR. Highlighting in weekly sync and Slack are critical  as we all have many pings and ToDos in GitLab daily. Please make any due dates for feedback clear as will help the WG prioritize when you need feedback.
- Please add  the WG facilitator '@fseifoddini' as a reviewer on all MRs as DRI and to also allow her the opportunity to further label any items that need to show up on product operations release pages
- Please add required reviewers of your MR by assigning them as  `reviewer`
- Please unassign yourself as `reviewer` when you've completed feedback

**NOTE TO ALL: Please pay attention to your To-Do list! We'll not hold the train on non-controversial MRs for more than 24 hours.**

## Meetings

Meetings are recorded and available on [Product GDrive](https://drive.google.com/drive/u/0/folders/1IUqmhv6V2CMw51gOsU-JIRQ7eIFjLmll). The faciliator will post a link to the video in a Slack as part of a  meeting summary after every weekly sync. Due to the subject matter of this working group and the high probability that every synchronous meeting will discuss sensitive customer information, the playlist is private and accessible by GitLab team members only.

## Exit Criteria

Required per [Product FY'21 Engagement Survey Results](https://gitlab.com/gitlab-com/Product/-/issues/1986):

1. Define a competency for managers to conduct effective 1-2 year career development conversations. Update the product handbook with guidance, and develop a template so we have a consistent approach across the division. Each team member should then feel welcome to fill out the document and schedule time with their manager to discuss. We very much want to be having regular career conversations on a cadence the works for each person.
1. Invest in a more robust Learning & Development curriculum for Product team members for at least three key competencies. Leverage content from LinkedIn, ProductTalk, and homegrown sources. Link content to competency development handbook descriptions, the Career Development Framework, and onboarding instructions.
1. Develop a product handbook page outlining the required monthly release tasks for PM's. Make it clear what's required, and what's optional and/or there for best practice guidance. Endeavor to reduce the monthly release task list for PM's so there is more time available for high value activities like customer, market, and competitive research.

Required per Product Operations:

1. Communication strategy for initial updates of each actions
     - Conduct an AMA to answer all questions / concerns
     - Communication in meetings, Slack and release pages as appropriate
1. Ongoing communication for updates/maintenance of the L & D and other actions as a whole
1. Dogfooding: Identify a Section/ group to dogfood L & D and other components as appropraite
     - Document and capture feedback for future iteration

Stretch:

1. Define quantitative and qualitative measures of success for
     - Learning and development hub
     - Product manager onboarding
     - product manager job satisfaction

## Roles and Responsibilities

| Working Group Role    | Person                | Title                          |
|-----------------------|-----------------------|--------------------------------|
| Executive Sponsor     | Scott Williamson (Product) | Chief Product Officer |
| Facilitator           | Farnoosh Seifoddini (Product) | Product Operations |
| Functional Lead     | Kevin Chu (Product) | Group Manager |
| Functional Lead       | Mike Karampalas (Product - Growth) | Principal Product Manager |
| Functional Lead       | Mark Wood (Product - Create / Plan) | Senior Product Manager |
| Functional Lead       | Josh Zimmerman (People)) | Learning & Development Manager |
| Functional Lead       | Viktor Nagy (Product - Configure) | Senior Product Manager |
| Functional Lead       | Derek Ferguson (Product - Secure) | Senior Product Manager |
| Functional Lead       | Jacki Bauer (UX) | Product Design Manager |
