---
title: "Account Escalation Process"
description: "The Account Escalation Process Working Group aims to improve the cross-functional collaboration when a customer is in an escalated state."
status: active
---

## Attributes

| Property        | Value                                                                                                                                             |
|:----------------|:--------------------------------------------------------------------------------------------------------------------------------------------------|
| Date Created    | 2022-11-15                                                                                                                                        |
| Target End Date | 2023-03-31                                                                                                                                        |
| Slack           | [#wg_account_escalation](https://gitlab.slack.com/archives/C04B5SWTVEY) (only accessible from within the company)   |
| Google Doc      | [Working Group Agenda](https://docs.google.com/document/d/1CC3kuNSMYJR91hbHKIyTVN3FC9SjiNkLR0zRKOvJA5k/edit) (only accessible from within the company) |

## Goal

The Account Escalation Process Working Group aims to improve the cross-functional collaboration when a customer is in an escalated state.

### Overview

The [account escalation process](/handbook/support/workflows/emergency-to-escalation-process/) can involve stakeholders from CS, Support, Engineering as well as
Sales or other areas of the company. This is a keystone process that requires cross-functional attention to improve.

### Goals

This is a non-comprehensive list of topics to be discussed.

- [What is the single source of truth for knowing which customers are escalated?](https://gitlab.com/gitlab-com/customer-success/tam/-/issues/619)
- How can we make account escalations easier to declare? (see: [Declaring an Incident](/handbook/engineering/infrastructure/incident-management/#declaring-an-incident))
- How can we better prepare CS and Support ICs to work within escalations
- Reduce the ambiguity in roles between CS and Support

### Exit Criteria

1. Create an SSOT for knowing which customers are escalated.
1. Create training materials suitable for a future OKR for CS and Support
1. Refine process of declaring an account escalation so that anyone in the company can do it with minimal effort (MR: [www-gitlab-com!114418](https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/114418/)
1. Refine roles and responsibilities of CS and Support within account escalations to reduce ambiguity
1. Develop a method of communication appropriate for e-group stakeholders, for example a "hot customer list" published in the #e-group channel at some cadence. ([gitlab-com/chief-of-staff-cto#67](https://gitlab.com/gitlab-com/chief-of-staff-cto/-/issues/67))

## Roles and Responsibilities

| Working Group Role      | Username        | Person                                                                   | Title                                                           |
| :---------------------- | :-------------- | ------------------------------------------------------------------------ | :-------------------------------------------------------------- |
| Executive Stakeholder   | @spatching| Sherrod Patching | VP Customer Success Management |
| Facilitator             | @lyle | Lyle Kozloff | Director of Global Support Readiness|
| Member                  | @christiaanconover | Christiaan Conover | Director of Customer Success Management (AMER) |
| Member                  | @manuel.kraft | Manuel Kraft | Customer Success Manager (EMEA) |
| Member                  | @ricardoamarilla  | Ricardo Amarilla | Customer Success Manager (LATAM) |
| Member                  | @afappiano  | Anthony Fappiano | Engineering Manager, [Reliability](/handbook/engineering/infrastructure/team/) |
