---
title: "GitLab Administration Working Group"
description: "Learn more about the GitLab Administration Working Group attributes, goals, roles and responsibilities."
---

## Attributes

| Property       | Value                                                        |
| -------------- | ------------------------------------------------------------ |
| Date Created   | 2023-03-01                                                   |
| End Date       | 2023-07-27                                                   |
| Slack          | #wg_administration (only accessible from within the company) |
| Google Doc     | [Working Group Agenda](https://docs.google.com/document/d/1WKxclMpCIXzXJUcQ0WfsjT_x8ytXuw40KHCoR2LUMzk/edit# )|
| Issue Board    | [Administration Working Group](https://gitlab.com/groups/gitlab-org/-/boards/5461629?label_name[]=WorkingGroup%3A%3AAdministration) |
| Epic           | [GitLab Administration Working Group](https://gitlab.com/groups/gitlab-org/-/epics/10067) |
| Overview & Status | Closed |

### Charter

The GitLab Administration Working Group will determine the work needed to maintain [GitLab Administrator](https://docs.gitlab.com/ee/administration/) functions healthy, identify owning groups for requests, and redirect issues to corresponding groups for resolution. This group is a temporary owner for all GitLab Administrator functions until a team is funded to be a permanent owner.

### Context

The maintenance and enhancement of GitLab Administration functions has been a shared responsibility among Development groups. This often triggers the same questions about shared responsibilities - who owns this and who should work on this. Before a development owning group can be identified, a working group will help us to maintain the related functions to run GitLab (the software) smoothly.

### Exit Criteria

1. Owners of the items in the Admin Area of GitLab are identified, acknowledged, and documented in the handbook. => **DONE** The owner list is in [the issue](https://gitlab.com/gitlab-org/gitlab/-/issues/396707) description, we (GitLab as a whole) will continue seeking clarification for the remaining unowned areas. Meanwhile, continue following [Shared responsibility functionality](/handbook/product/categories/#shared-responsibility-functionality) for unowned areas.
1. Owners of things related to instance management (upgrade, backup and restore, metrics, performance) and configuration are identified, acknowledged, and documented in the handbook. => **SKIPPED** Didn't investigate due to other priorities.
1. A proposal for a new team in case there is a need for certain items of the GitLab Administrator features. There is a chance this is unnecessary if the above two items cover all features. => **SKIPPED** Didn't investigate due to other priorities.
1. A process of identifying Owners for future administration features is documented in the handbook. => **DONE** [Updated handbook page](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/116711) with process of adding new admin section.

## Roles and Responsibilities

| Working Group Role                       | Person                           | Title                                                          |
|------------------------------------------|----------------------------------|----------------------------------------------------------------|
| Executive Stakeholder                    | Christopher Lefelhocz (@clefelhocz1)           | VP of Development |
| Facilitator/DRI                          | Peter Lu (@plu8)                 | Engineering Manager, Distribution:Deploy |
| Product Management DRI                   | Dilan Orrino (@dorrino )         | Product Manager Distribution |
| Member                                   | Gosia Ksionek (@mksionek)        | Backend Engineer, Manage::Authentication & Authorization       |
| Member                                   | Christina Lohr (@lohrc)        |  Senior Product Manager, Data Stores::Tenant Scale               |
| Member                                   | Joseph Longo (@jlongo_gitlab)  | Manager, Governance and Field Security |
| Member                                   | Oriol Lluch Parellada (@o-lluch)  | Engineering Manager, Infrastructure |
| Member                                   | Hannah Sutor (@hsutor)  | Senior Product Manager - Auth |
| Member                                   | Falko Sieverding (@fsieverding)  | Customer Success Manager, EMEA |
| Member                                   | Shawn Sichak (@ssichak)  | Senior Security Engineer, Trust and Safety |
| Member                                   | Manuel Kraft (@manuel.kraft)  | Customer Success Manager, EMEA |
| Member                                   | Sean Carroll (@sean_carroll) | Engineering Manager, Create::Source Code |
