---
title: "Contributor Growth"
description: "Implement key business iterations that results in substantial and sustained increases to community contributors & contributions"
---

## Attributes

| Property        | Value           |
|-----------------|-----------------|
| Date Created    | October 28, 2021|
| End Date        | August 12, 2022 |
| Slack           | [#i_user_engagement_contributor_growth](https://gitlab.slack.com/archives/C0223D98HHC) (only accessible from within the company) - formerly #wg_contributor-growth |
| Google Doc      | [Working Group Agenda](https://docs.google.com/document/d/1AOgqaslnq-WI1ICSZ1NzSnALf1Va4D5qAD191icAoSI/edit#) (only accessible from within the company) |
| Task Board      | [Issue board](https://gitlab.com/groups/gitlab-com/-/boards/3014703?label_name%5B%5D=Contribution%20Efficiency) (items above the cut-line) |

## Business Goal

Implement key business iterations that results in substantial and sustained increases to community contributors & contributions

### Exit Criteria (70% completed)

1. Implement 3 experiments aimed at increasing community contributors
   1. Decreasing community MR Review time => Reduced Open Community MR age and review time in FY23Q1
   1. Create additional retention recognition => Experimented with rewarding
   1. Addition Outreach effort => Experimented with frontend themed months
1. Delivery key joint strategy of increasing community contributors
   1. We delivered an [open source growth strategy](/handbook/engineering/open-source/growth-strategy/)
   1. We further iterated towards the concepts of [Resident Contributors](https://docs.google.com/document/d/1ctO5ZLRnGb22tJwo4vb2ca5t-EwIpaVIFB6-IwdtCPg/edit) (only accessible from within the company)
1. Setup first iteration of community cohort team
1. Define follow up working process between Developer Relations and Contributor Success teams
   1. We are continuing our efforts with a weekly stand-up as part of the User Engagement initiative that is one of the [top cross functional initiatives](/handbook/company/working-groups/#top-cross-functional-initiatives)

Following exit criteria will be owned by the [Contributor Success team](/handbook/marketing/developer-relations/contributor-success/) as it is being built out

1. Deliver 3 key iterations to our contribution guidelines
1. Fully implement MR Coach specialties (Development, Test, Docs & etc)
1. Experiment with defining contributor specialties based on MR coaches

### Roles and Responsibilities

| Working Group Role    | Person                                               | Title                                                      |
|-----------------------|------------------------------------------------------|------------------------------------------------------------|
| Executive Sponsor     | [Mek Stittri](https://gitlab.com/meks)               | VP of Quality                                              |
| Functional Lead       | [Nick Veenhof](https://gitlab.com/nick_vh)          | Director of Contributor Success                            |
| Functional Lead       | [John Coghlan](https://gitlab.com/johncoghlan)       | Director, Developer Advocacy                               |
| Functional Lead       | [Christos Bacharakis](https://gitlab.com/cbacharakis)| Senior Code Contributor Program Manager                    |
| Member                | [Rémy Coutable](https://gitlab.com/rymai)            | Staff Backend Engineer, Engineering Productivity           |
| Member                | [Tanya Pazitny](https://gitlab.com/tpazitny)         | Director of Quality Engineering                            |
| Member                | [Marshall Cottrell](https://gitlab.com/marshall007)  | Principal, Strategy and Operations (Technical)             |
