---
title: "Dashboards"
description: "Define and align our product design teams on elements regarding dashboard features."
---

## Attributes

| Property        | Value           |
|-----------------|-----------------|
| Date Created    | 2022-11-01      |
| Close Date      | 2023-02-28      |
| Slack           | [#wg_dashboards](https://gitlab.slack.com/archives/C04BMT6SL9F)   |
| Agenda Doc      | [Doc](https://docs.google.com/document/d/1rK7UsZ8nbZ9lyklb0NiH3FO-UqpgQT1jhRNBpjNkZko/edit)             |
| Epic            | [Epic](https://gitlab.com/groups/gitlab-org/-/epics/9353)       |
| Final Definition sheet            | [Sheet](https://docs.google.com/spreadsheets/d/1UE3Xgvl1TB6ow9hvzx7PRGWTZUGyYGegnQvP_xxZGYA/edit#gid=0)       |
| Recordings      | [YouTube Playlist](https://youtube.com/playlist?list=PL05JrBw4t0KqbrWIdqhPCu4MffTPI-gC0) |
| Final MR        | [MR](https://gitlab.com/gitlab-org/gitlab-services/design.gitlab.com/-/merge_requests/3260)       |
| Final Deck      | [Deck](https://docs.google.com/presentation/d/1aKwDedARPW9rto_3cgGHZSiXyloParEy3-s_gprXlig/edit#slide=id.g12b319f6181_0_0)       |

## Goals

1. Align on priorities and unblock feature teams to build with dashboard, homepage, landing page and user page concepts
1. Create a solid nomenclature and usage guide for dashboards
1. Define what a dashboard is and isn't
1. Determine the correct naming and use for observability and new graphs inside of dashboards

## Roadmap

Due dates by phase:

1. ✅ **Investigation** - 2023-01-10
1. ✅ **Map all the pieces** - 2023-01-13
1. ✅  **Definition of the objects** - 2023-02-28
   1. ✅ Draft by: 2023-01-31
   1. ✅ Feedback by: 2023-02-10
   1. ✅ Done/Done: 2023-02-28 (FFD on the 27th)

## Exit Criteria

This Working Group has the following exit criteria:

1. Define the component names and usage in MRs in our Pajamas documentation with an MR
   1. If needed, conduct UXR to determine the naming needs for these components
   1. If needed, perform visual style exploration to determine the definition of the component
   1. Discuss and align on each name
1. Exit with: An MR that contains a list of dashboard component names in Pajamas documentation

## Roles and Responsibilities

| Working Group Role    | Person                   | Title                                           |
|-----------------------|--------------------------|-------------------------------------------------|
| Executive Sponsor     | David DeSanto            | VP, Product                                     |
| Facilitator / DRI     | Christen Dybenko         | Sr Product Manager, Foundations                 |
| Facilitator           | Justin Mandell           | Product Design Manager                          |
| Member                | William Leidheiser       | Sr UX Researcher                                |
| Member                | Ali Ndlovu               | Product Designer                                |
| Member                | Nick Brandt              | Product Designer                                |
| Member                | Becka Lippert            | Sr Product Designer                             |
| Member                | Matej Latin              | Sr Product Designer                             |
| Member                | Jeremy Elder             | Staff Product Designer                          |
| Member                | Dennis Tang              | Engineering Manager, Product Analytics          |
| Member                | Robert Hunt              | Sr Frontend Engineer, Product Analytics         |
| Member                | Jiaan Louw               | Sr Frontend Engineer, Product Analytics         |
| Member                | Amelia Bauerly           | Sr Product Designer, Monitor:Respond            |
