---
title: "Digital SMB + SA Working Group"
---

## Attributes

| Property        | Value          |
|-----------------|----------------|
| Date Created    | March 19 2024   |
| End Date        | June 11, 2024 |
| Slack           | #wg_digital-smb-sa (only accessible from within the company) |
| Epic            | [Digital SMB + SA Working Group](https://gitlab.com/groups/gitlab-com/sales-team/-/epics/104) (only accessible from within the company) |
| Google Doc      | [Digital SMB + SA WG Agenda](https://docs.google.com/document/d/1I0aHGIXxuUWx7awtfflUqQrOAvj-iidypL7FER_-NMk/edit) (only accessible from within the company) |

## Business Goal

Define the most effective way to deliver on customer/product technical fit in a "scale way", and bridge the gap between where we are today and our long-term vision and objectives.

## Exit Criteria

1. Document the current state of SA engagement and core use-cases where SAs are needed in the SMB space, along with the gaps that necessitate that engagement (across technical discovery, demo, technical evaluation). Additionally, document which areas will not be supported by SAs.
2. Identify the ideal way to address the gaps "in scale" by medium and functional area (e.g. pre-trial evaluation assets, in-product trial set-up guide / self-guided tutorial, community)
3. Size what resourcing, roadmap, and against what timelines would be required to achieve goal
4. Deliver recommendation on how to deliver a digital-first customer/product technical fit, along with defined DRI ownership, funding requirements and timelines

## Roles and Responsibilities

| Working Group Role    | Person                | Title                                  |
|-----------------------|-----------------------|----------------------------------------|
| Executive Stakeholder | Jonathan Fullam  | VP, Global Solutions Architects  |
| Facilitator | Mitchell Hanks  | Manager, Global Digital SMB Growth        |
| Functional Lead   | Tim Poffenbarger       | Director, Solutions Architects  |
| Member                | Sophia Manicor       | Solutions Architect |
| Member                | Noah Ing      | Senior Solutions Architect |
| Member                | Jan Kunzmann      | Senior Solutions Architect |
| Member                | Chloe Cartron      | Solutions Architect |
| Member                | Cailey Pawlowski     | Solutions Architect |
| Member                | Christian Nnachi      | Solutions Architect |
| Functional Lead   | Kazem Kutob | Director, Online Sales & Self Service Growth |
| Member                | Tom Elliott  | SMB Advocate |
| Member                | Emma Szasz | SMB Advocate |
| Member                | Lauren Kaible | SMB Advocate |
| Member                | Rasheed Power  | SMB Advocate |
| Functional Lead   | Sam Awezec | Director, Product Management, Growth |
| Functional Lead   | Gayle Doud | Principal Product Manager, Growth |
| Functional Lead   | Carrie Maynard | VP of Integrated Marketing |
| Functional Lead   | John Coghlan | Director, Developer Relations |
| Functional Lead   | Kelley Shirazi | Director, Field Enablement |
| Member | Misty Martin-Zimmerman  | Senior Program Manager, Field Enablement |
| Member | Christian Enache  | Senior Program Manager, Field Enablement |
| Functional Lead   | Keven Hughes | Senior Support Engineer |
