---
title: "Emerging Talent"
description: "The Emerging Talent Working Group aims to build globally inclusive access to opportunities for those with 2 years or less experience in a domain"
status: active
---

## Attributes

| Property            | Value                                                                                                                                                                                                                                                                                                                       |
|:--------------------|:----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Date Created        | 2023-03-31                                                                                                                                                                                                                                                                                                                  |
| Target End Date     | TBD                                                                                                                                                                                                                                                                                                                         |
| Slack channel       | [#wg_emerging_talent](https://gitlab.slack.com/archives/C04R9F3377H)                                                                                                                                                                                                                                                        |
| Google Doc          | [Working Group Agenda](https://docs.google.com/document/d/1mrnbShkFYtuz3fTY1WNX8geKkZVKvyvyU65hdCZxw4g/edit#)                                                                                                                                                                                                               |
| Parent Epic         | [Parent epic](https://gitlab.com/groups/gitlab-com/-/epics/2162)                                                                                                                                                                                                                                                            |
| Working Group label | [FY24 Emerging Talent - Eng](https://gitlab.com/groups/gitlab-com/-/labels?subscribed=&search=FY24+Emerging+Talent+-+Eng)                                                                                                                                                                                                   |
| Lists               | [Epics](https://gitlab.com/groups/gitlab-com/-/epics?label_name%5B%5D=FY24+Emerging+Talent+-+Eng), [Issues](https://gitlab.com/groups/gitlab-com/-/issues?label_name%5B%5D=FY24+Emerging+Talent+-+Eng), [Merge Requests](https://gitlab.com/groups/gitlab-com/-/merge_requests?label_name%5B%5D=FY24+Emerging+Talent+-+Eng) |
| Overview & Status   | See [Exit Criteria](#exit-criteria) below                                                                                                                                                                                                                                                                                   |
| Meeting schedule    | Weekly on Wednesday 16:00 UTC (09:00 Pacific)                                                                                                                                                                                                                                                                               |

### Overview

Our Emerging Talent strategy ignites GitLab to build toward creating globally inclusive access to opportunities so that everyone can contribute. Emerging Talent program participants, defined as talent with 2 years or less experience in a given domain, will be a value add as GitLab scales.

These programs aim to bridge the gap between education and experience by offering curriculum and work-integrated learning to talent at the Associate level, with no academic-based prerequisites.
.

### Goals

1. Establish Emerging Talent Acquisition Strategy within Engineering.
1. Build Emerging Talent Programs within Engineering.
    - FTE Rotation Program [Marketing Name = Associate Engineering Program aka AEP]
    - Internship Program [Marketing Name = Engineering Intership Program aka EIP]

### Exit Criteria

TBD

## Roles and Responsibilities

| Working Group Role    | Person                                                                          |
|:----------------------|:--------------------------------------------------------------------------------|
| Executive Stakeholder | [Joerg Heilig](/handbook/company/team/#joergheilig)                              |
| Facilitator / Program Lead          | [Justin Smith](/handbook/company/team/#jwrs)                     |
| Member           | Jessica Dallmar |
| Member - PBP Lead            | [Giuliana Lucchesi](/handbook/company/team/#glucchesi) |
| Functional Lead - Infrastructure and Quality | [Mek Stittri](/handbook/company/team/#meks)|
| Functional Lead - Development  | [Christopher Lefelhocz](/handbook/company/team/#clefelhocz1)|
| Member                | [Phil Calder](/handbook/company/team/#pcalder)                              |
| Member                | [Chun Du](/handbook/company/team/#cdu1)                              |
| Member                | [John Cai](/handbook/company/team/#jcaigitlab)                              |
| Member                | [Vincy Wilson](/handbook/company/team/#vincywilson) |
| Member                | [Alan Richards](/handbook/company/team/#alanrichards) |
| Member                | [Darva Satcher](/handbook/company/team/#dsatcher) |
