---
title: "Engineering Internship"
description: "Establish an Engineering Internship to Hire program"
---

## Attributes

| Property        | Value                                                                                                           |
|-----------------|-----------------------------------------------------------------------------------------------------------------|
| Date Created    | March, 2022                                                                                                     |
| End Date        | March 28, 2023                                                                                                  |
| Slack           | [#wg_engineering_internship_program](https://gitlab.slack.com/archives/C03GW8WMVA9)                             |
| Google Doc      | [Working Group Agenda](https://docs.google.com/document/d/1hcuE6I6rvdISFk_zzYYdxFdJM4ONhRrGY499ydDUiWc/edit#)   |
| Docs            | [Handbook Page](/handbook/hiring/emerging-talent/)                                     |
| Meetings        | This working group meets bi-weekly (every other week) on Tuesday 21:00 UTC                                      |
| Documents       | [Working Group - Shared Folder](https://drive.google.com/drive/folders/1KUNilJ_WPwklFO1N5_oKiMmoCAlxtqRV)       |

Due to the high probability of discussing applicants, the recordings and documents are private and accessible by GitLab team members only.

## Business Goal

1. To run an inclusive engineering internship program to provide all qualifying candidates with a fair and equal opportunity. This program allows us to create opportunities for candidates, diversify the experience levels of our teams, and bring fresh perspectives to our initiatives.
1. To establish processes and support to give our successful internship applicants the best chance to successfully complete the internship and onboard in a full-time role at GitLab.

This working group aims to build on the previous work from the [internship-pilot program](../internship-pilot) from 2020.

## Exit Criteria

### Stage 1: Establish the internship `=> 100%`

- ✅ Form a team to re-establish the engineering internship
- ✅ Open an evergreen internship for applicants
- ✅ Identify and work with several hiring managers to review, screen, and interview candidates for specific roles

### Stage 2: Iterate on the process with a small number of teams  `=> 100%`

- ✅ Create role specific recruitment funnels
- ✅ Determine requirements and benchmarks for technical interviews
- ✅ Support managers, teams, and interns through the first round of internships
- ✅ Re-introduce the Junior level, renamed Associate, and add as a pathway from internship

### Stage 3: Plan for FY24 `=> 0%`

- ✅ Work through options to extend the internship in FY24

Options to extend the [internship program for Engineering](/handbook/hiring/emerging-talent/) in FY24 and beyond are being worked through as part of the recruitment team emerging talent program.

## Roles and Responsibilities

| Working Group Role | Person               | Title                                 |
|--------------------|----------------------|---------------------------------------|
| Executive Sponsor  | Christopher Lefelhocz | VP of Development                    |
| Facilitator        | Phil Calder          | Senior Engineering Manager            |
| Functional Lead    | Ursela Knezevic      | Director, R&D Recruiting              |
| Functional Lead    | Sherida McMullan     | VP, Diversity Inclusion, and Belonging |
| Functional Lead    | Giuliana Lucchesi    | Manager, People Business Partner      |
| Member             | Darva Satcher        | Director of Engineering               |
| Member             | Wayne Haber          | Director of Engineering               |
| Member             | Thomas Woodham       | Senior Engineering Manager            |
| Member             | Matt Allen           | Senior Technical Recruiter            |
| Member             | Mon Ray              | Engineering Manager                   |
| Member             | Kamil Niechajewicz   | Engineering Manager                   |
| Member             | Amar Patel           | Engineering Manager                   |
