---
title: "FedRAMP Execution Working Group"
description: "The charter of this working group is to drive execution of FedRAMP compliance."
status: active
---

## Attributes

| Property        | Value             |
|-----------------|-------------------|
| Date Created    | November 25, 2021 |
| End Date        | TBD               |
| Slack           | [#wg_fedramp](https://gitlab.slack.com/archives/C0110E0NMT9) (only accessible from within the company) |
| Google Doc      | [Working Group Agenda](https://docs.google.com/document/d/1WcpsW_XwS_te-yGXHaRyKH827e_jXHamlbJm5CEx0E4/edit?usp=sharing) (only accessible from within the company) |
| Epic            | [Main Project Epic](https://gitlab.com/groups/gitlab-org/-/epics/8455) (only accessible from within the company) |
| Public Handbook Page | [GitLab's FedRAMP Authorization Program](/handbook/security/security-assurance/dedicated-compliance/fedramp-compliance/) |
| Internal Handbook Page | [FedRAMP Compliance](https://internal.gitlab.com/handbook/engineering/fedramp-compliance/) |

### Exit Criteria

GitLab achieves FedRAMP Moderate Authorization (Authority to Operate - ATO) for a new SaaS offering.

## Roles and Responsibilities

| Team Member Name | Role                         | Working Group Role                       |
|------------------|------------------------------|------------------------------------------|
| Josh Lemos       | CISO                         | Executive Sponsor                        |
| Mike Flouton     | VP of Product                | FedRAMP DRI                              |
| Mek Stittri      | VP of Infrastructure         | Infrastructure DRI                       |
| Fabian Zimmer    | Dir, Product Management      | SaaS Platforms Product Leadership        |
| Chris Balane     | Sr. Product Manager          | PubSec PM / Product DRI                  |
| Marin Jankovski  | Sr. Dir Engineering          | SaaS Platforms Infrastructure Leadership |
| Corey Oas        | Compliance Manager           | FedRAMP SME                              |
| Will Szabo       | Sr. Sec. Program Manager     | Security Program Manager                 |
| Steve Manzuik    | Dir. Threat Management       | Vulnerability Remediation DRI            |
| Stephen Dumesnil | EM US Public Sector Services | USPS Team DRI                            |
| Cynthia Miller   | Sr. Dir. Security Assurance  | Security DRI                             |

## Direction

GitLab is pursuing FedRAMP authorization at the [Moderate Impact Level](https://www.fedramp.gov/understanding-baselines-and-impact-levels/#moderate-impact-level).
We will evaluate demand for High once we attain Moderate.

Further details of the FedRAMP plan, including anticipated or actual dates, cannot be shared publicly at this time.
Team members can view details [in the internal handbook](https://internal.gitlab.com/handbook/engineering/fedramp-compliance/). This [public handbook page](/handbook/security/security-assurance/dedicated-compliance/fedramp-compliance/) contains information about the FedRAMP Authorization process as it pertains to GitLab.
