---
title: "High Performing Teams and Product Division"
description: "Integrating High Performing Teams Framework into the Product Division career development processes to improve results"
---

## Attributes

| Property     | Value |
|--------------|-------|
| Date Created | June 13, 2024 |
| Estimated Date Ended   | August 31, 2024 |
| Slack        | [#wg_hpt_product](https://join.slack.com/share/enQtNzI3Mzk3NDg4MzAxMi0wNDAzYWU1MjgwOWQwNjgxMjExZjY1ZjNhNmU0ZmI4MmYwMjIxZmI4ZGExZjYwNmEyNzZjZjk2YzI3NjhiNzEw) (only accessible from within the company) |
| Google Doc   | [HPT Product Division Working Group Agenda](https://docs.google.com/document/d/1K0pekIpAwEsI1zJNkF7_bvS30ck4usBZqgeAN5haQnU/edit?usp=sharing) (only accessible from within the company) |

## Business Goal

Improve the consistency of results across the Product Division by implementing the HPT framework.

| Company-Wide:<br>HPT Principles + Indicators |  Product Division: <br>Indicators of success |
| --- | --- |
| Act with urgency to deliver key results.<br>Owned → team members take ownership and responsibility for their contributions <br><br>Quality → team acts with as much urgency as allows them to deliver high quality results<br><br>Proactive → team acts with a bias for action | Define MVCs and potential iterations while minimizing risks to value, usability, feasibility, and business viability with qualitative and quantitative analysis. Align milestone plans and deliverables to company strategy pillars. |
| Hold individuals and teams accountable for great work.<br>Clear → Responsibilities and expectations are clearly defined and aligned to GitLab's goal and mission.<br><br>Recognized → Managers speak up about great performance and underperformance early and often.<br><br>Inspired → Managers motivate their team to be part of transforming the DevSecOps industry. | GitLab's product mission is to consistently create products and experiences that users love and value. Every role has a part to play in the success of this: Product Managers, User Experience Researchers, Technical Writers, and Product Designers should work together as strategic counterparts both within the Product division and with stable counterparts in other parts of the organization to better understand the problem and discover user needs. |
| Trust each other.<br>Listen → Teams build inclusive environments by listening deeply and taking time to understand their teammates.<br><br>Consistent & Dependable → Managers follow through with the support they promise.<br><br>Modeled → Managers use continuous check-ins to role model vulnerability and create psychological safety. | Be someone who helps make GitLab a workplace of diversity, inclusion, and belonging, so that everyone can come to GitLab and do their best work. Embrace differences in our roles and reach across departments, stages, stable counterparts, and groups for many perspectives. Empower each role and function to perform their job to the fullest and execute to the highest level. |
| Deliver results on time.<br>Prioritized → Managers are realistic and ruthless in prioritizing what their team will deliver each quarter.<br><br>Documented → Timeframes and deliverables are documented in a place for the team to easily access.<br><br>Communicated & Delegated → Team members know their roles and responsibilities and are held accountable for when their deliverables are due. | Set ambitious, measurable goals within your product groups using OKRs and KPIs as guiding targets for delivering superior customer experiences. |
| Collaborate with open & effective communication.<br>Safe → Team members feel psychologically safe to admit they are wrong, make mistakes, and challenge each other to do their best.<br><br>Streamlined → Teams set and maintain clear expectations on where, when, and how they will communicate.<br><br>Filtered → Managers reduce noise and distractions by sharing context at the right time for relevant team members. | Both written and verbal communication are paramount for success in a remote and largely asynchronous work environment where our teams are globally distributed. Be a great teammate in accessible, open environments so your teammates can co-create with you. |

## Exit Criteria

1. Align the HPT definitions across artifacts for career development
1. Determine if artifacts for career development are meeting the needs of the team
1. Revamp the artifacts
1. Roll out updated artifacts and HPT framework for the Product Division

## Roles and Responsibilities

| Working Group Role    | Person                |
|-----------------------|-----------------------|
| Facilitators          | Jackie Porter, Giuliana Lucchesi         |
| Functional Lead(s)    | Angela Pesta (UX), Sarah Waldner (Product Management), TBA (Monetization/Fulfillment)   |
| Member                | Tre Ely (Talent Development) |
| Executive Stakeholder | David DeSanto |
