---
title: "Internship Pilot Working Group"
description: The business goal is to run a pilot internship program to determine feasibility for future programs.
---

## Attributes

| Property        | Value           |
|-----------------|-----------------|
| Date Created    | October 2, 2019 |
| Target End Date | January 31, 2020 |
| Slack           | [#wg_internship-pilot](https://gitlab.slack.com/archives/CNLLV1NEN/) (only accessible from within the company) |
| Google Doc      | [Internship Working Group Agenda](https://docs.google.com/document/d/1KsdRtkRcF4EOpL2s0JDC-th8SB7nHstw8cfceLrzG-o/edit#) (only accessible from within the company) |
| Issue Board     | [Issue board](https://gitlab.com/groups/gitlab-com/-/boards/1360344?&label_name[]=wg-internship-pilot)             |

## Business Goal

Run a pilot internship program to determine feasibility for future programs.

Overview:

1. Intention of hiring available candidates that perform well at the end of the internship
1. Limit duration (see exit criteria)
1. Open to anyone starting their career in tech (not just students)
1. Timeline:
    1. Design in Oct
    1. Recruiting in Nov
    1. Offers in Dec
    1. Internship start June 2020
1. We welcome applications from anyone. 100% of the active sourcing our talent acquisition department will do will be from groups under-represented in the technology industry. This is in order to make the candidate pool more reflective of society at large. Offers will be made purely based on merit.

## Phase 1 - Design program

Phase 1 focuses on designing and launching the internship program with the primary objective of designing the program and getting to the point of being able to recruit and interview candidates.

### Roles and Responsibilities

| Working Group Role    | Person                | Title                          |
|-----------------------|-----------------------|--------------------------------|
| Executive Sponsor     | Eric Johnson          | VP of Engineering              |
| Facilitator           | Jean du Plessis       | Engineering Manager, Static Site Editor   |
| Functional Lead       | Roos Takken           | People Business Partner, Engineering |
| Functional Lead       | Nick Nguyen           | Engineering Manager, Ecosystem |
| Member                | Tanya Pazitny         | Quality Engineering Manager    |
| Member                | Phil Calder           | Growth Engineering Manager     |
| Member                | Liam McNally          | Interim Talent Acquisition Manager      |
| Member                | John Hope             | Engineering Manager, Plan      |

### Exit Criteria

1. [Define budget](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5526) => `100%`
    1. Determine number of internship positions available ✅
    1. Determine compensation ✅
    1. Determine budget for co-location ✅
1. [Communication plan](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5527) => `100%`
    1. Choose the internship program name ✅️
        1. "GitLab All-Remote internship"
    1. Define branding opportunities for all-remote company culture ✅
        1. Connect with Universities, Meetup groups and Programming bootcamps
        1. LinkedIn, Instagram, FB ads
        1. Sourcing
        1. GitLabbers to contact their universities/Meetup groups/programming clubs
    1. Define communication milestones ✅
        1. 2019-11-05: Internal announcement of the program + handbook update
        1. 2019-11-15: Opening of jobs (Glassdoor, LinkedIn, Stack Overflow etc.)
        1. 2019-11-30 - 2019-12-15: Internship branding campaign
        1. 2020-01-01 - 2020-02-01: Announce who will be invited/join contribute.
        1. 2020-03-27: Contribute blog on interns
        1. 2020-06-06: Blog on kickoff + Personal stories
        1. 2020-09-14: Evaluation blog post.
        1. 2020-10/2020-11: Announce next internship (if pilot was successful)
1. [Recruitment plan](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5528) => `100%`
    1. Define candidate qualification criteria ✅
        1. Ruby on Rails and/or modern frontend JavaScript framework (React, VueJS, AngularJS, Ember etc.) programming experience.
        1. Contributor to open source projects
        1. Available full-time during the course of the internship
        1. Able and willing to travel to the United States of America and the Netherlands for 1 week each
        1. Interested in fulltime employment after the internship (either immediately, or "next semester") - no upfront commitment to GitLab required
    1. Create job family page ✅
    1. Identify sourcing targets and engagement plan ✅
        1. Advertising
            1. Advertise the roles across all traditional platforms
            1. Advertise on internship focussed job boards (e.g. Youtern, angel.co etc)
        1. University Recruitment
            1. Proactively reach out to and engage with universities/colleges to hold a Virtual Careers Talk to encourage students at those universities to apply.
            1. Proactively reach out too and engage with any associations within these universities that represent underrepresented groups and hold a Virtual Careers Talk, to encourage students to apply.
            1. Hold virtual talks at 5 universities in the following regions: North America, European, APAC, MENA
        1. Underrepresented groups
            1. All our active sourcing activities will exclusively be focused on candidates from underrepresented groups.
            1. We will be utilizing LinkedIn, meetup groups and online tech forums to identify potential candidates.
    1. Create Greenhouse vacancies ✅
1. [Internship program structure](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5529) => `100%`
    1. Determine duration of the internship ✅
        - 16 weeks
    1. Determine timing of the program ✅
        - Mon, June 15, 2020 until Friday 2, October 2020.
    1. Decide on all-remote vs timezone alignment vs co-located cohort ✅
        - Week 1: Co-located in Amsterdam
        - Week 2-15: All remote
        - Week 16: Co-located in San Francisco
    1. Define the criteria for teams to be able to request an intern slot ️️✅
        1. Mentorship
        - Does the team have a manager and at least 1-2 engineers who are willing to serve as mentors for the duration of the program?
        - Do the mentors have previous experience mentoring interns or junior engineers? Previous experience is a nice-to-have, but not a must-have.
        1. Workload
            - Does the team have a roadmap containing low weight issues with few dependencies that would be appropriate for an intern to work on?
        1. Team Size and Maturity
            - How established is this team? Will they be able to take on an intern without risking a decrease in velocity?
    1. Define expected day-to-day activities for interns (skeleton outline) ✅
        1. The activities during the co-located weeks (1 & 16) are still to be determined.
        1. For weeks 2-15 an intern's daily schedule will generally reflect how GitLab team members work, which is to say we will not impose a rigid schedule.
            - Interns will be encouraged to favor async communication and to set their own work schedule.
            - Mentors and program coordinators will provide coaching if an intern needs help adjusting to remote work.
        1. Interns will participate in the following pre-determined activities
            - Weekly 1:1 with their manager
            - Weekly 1:1 with a mentor
            - Weekly 1:1 with an internship program coordinator
            - Weekly intern coffee chat
            - 2-3 group meetings per week moderated by the program coordinator, rotating in timezone assuming we have people in more than one timezone.
            - Regular pair programming sessions with mentor and other team members.
1. [Interviewing](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5530) => `100%`
    1. Define interview process and technical assessments ️️✅
        1. Comprehensive Application form including
            - Technical assignment
            - Situational questions rather than STAR, as may not have any direct work/relatable experience.
            - Cover letter asking for candidates to specifically address defined areas.
        1. Automated online technical assessment
        1. Technical assessment interview (To be confirmed whether this step will be included)
        1. Behavioral/Values interview panel (Candidates must score a strong yes to move on to the panel interview stage.)
            - Hiring manager
            - Recruiter/HR
            - Misc Interviewer
1. [Measurements of success](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5532) => `100%`
    1. Determine criteria for considering the pilot a success ✅
        1. Feedback rating on the program experience as scored by the interns (questions and desired score TBD).
        1. Feedback rating on the value and overall experience working with the intern from the teams with interns (questions and desired score TBD).
        1. Throughput of at least 24 MRs over the period of the internship
            - Average of 2 MRs merged per week
            - This takes into consideration the 16 week internship with 1 week onboarding, 1 week offboarding
            - Handbook/Blog MRs will count towards throughput
        1. Making a job offer(s) to 50% of the interns in the program
1. Assignees for the program roles ️=> `100%`
    1. Program Lead (overall DRI) - Roos Takken
    1. Recruitement Lead - Liam McNally
    1. Program Coordinator - Jean du Plessis
    1. Program Coordinator - Nick Nguyen

 (✅ Done, ✏️ In-progress)

## Phase 2 - Kick-off program

Phase 2 starts with the launch of the internship applications and has the primary objective of overseeing the recruitment, interviewing and hiring of interns and ensuring all program details are fleshed out.

The working group will dissolve once the exit criteria for these objectives are met and the program lead and coordinators will then take over the running of the program and seeing it through to completion.

### Roles and Responsibilities

| Working Group Role    | Person                | Title                          |
|-----------------------|-----------------------|--------------------------------|
| Executive Sponsor     | Eric Johnson          | VP of Engineering              |
| Facilitator           | Roos Takken           | People Business Partner, Engineering |
| Functional Lead       | Jean du Plessis       | Engineering Manager, Static Site Editor   |
| Member                | Nick Nguyen           | Engineering Manager, Ecosystem |
| Member                | Liam McNally          | Diversity, Inclusion and Belonging Partner     |
| Member                | John Hope             | Engineering Manager, Plan      |

### Exit Criteria

1. Determine host teams => `100%`
    1. Facilitate Q&A session for interested teams  ✅
    1. Review and approve team applications ✅
1. [Onboarding/offboarding](https://gitlab.com/gitlab-com/www-gitlab-com/issues/5531) => `100%`
    1. Define onboarding process  ✅
    1. Define offboarding process  ✅
1. Measuring program success => `100%`
    1. [Create feedback questionnaire for interns](https://docs.google.com/document/d/1p0BodmKwHMZPwuq5DfbgqeA_vVf1QGMAReNIo_lgV_A/edit?ts=5e32f42b&pli=1) (internal) ✅
    1. [Create feedback questionnaire for teams](https://gitlab.com/gitlab-com/engineering-internships/blob/master/.gitlab/issue_templates/Retrospective.md) ✅
1. Promote the internship => `100%`
    1. Blog post ✅
1. [Flesh out program details](https://gitlab.com/gitlab-com/engineering-internships/issues/3) => `100%`
    1. [Define "Week 1: Intern Fast Boot" program details](https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/39198) ✅
    1. [Define "Week 16: Intern send-off" program details](https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/39588) ✅
    1. Logistical details to be handled by program coordinators after working group closes. ✅
1. Hire 4 interns => `100%`
    1. Job offers accepted  ✅
    1. Invite interns to Contribute - Prague  ✅
    1. Match interns to roles in teams  ✅
1. [Training for Mentors of hosting teams](https://docs.google.com/presentation/d/13bPEKH2PynkVL3GYBRoKGTFPvvM83XVJb9Gk2GsT4-c/edit?usp=sharing) => `100%`
    1. Include creating opportunities for interns to ask questions/ pair programming sessions ✅
    1. Provide guidelines on choosing the right project/ amount of work ✅

(✅ Done, ✏️ In-progress)
