---
title: "Isolation Working Group"
description: "GitLab's Isolation Working Group develop plans that limits disruption to customers when unexpected events occur. Learn more here!"
---

## Attributes

| Property        | Value            |
|-----------------|------------------|
| Date Created    | October 7, 2019  |
| Date Closed     | February 28, 2020|
| Slack           | [#wg_isolation](https://gitlab.slack.com/messages/CNTFF3RB5) (only accessible from within the company) |
| Google Doc      | [Isolation Working Group Agenda](https://docs.google.com/document/d/12PjNkkklBM3dIDXcDqlR6kXBanBbqbXu9LRmcjvuJgc/edit#) (only accessible from within the company) |

## Business Goal

To develop a plan that limits disruption to customers when there are "noisy neighbors" or when other unexpected events occur.

## Exit Criteria

1. Determine what is in-scope for the working group and select specific lines of enquiry
1. For each line of enquiry
    - determine the appropriate goal
    - define backlog of issues
    - provide estimated timeline
    - schedule issues for work with groups
1. [Create guidance on how to address isolation issues](https://gitlab.com/gitlab-org/gitlab/issues/196829)

**Group Closure Information:** All lines of inquiry were incorporated into the [Availability and Performance Weekly Meeting](https://docs.google.com/document/d/1SanPUz86cIyRQR5kRmXyCLLE8sZVpx0auu_W6jY94W4/edit#heading=h.mbjsiz6n6jlo).

## Specific Lines of Enquiry

- [Application Level Redis Sharding](https://gitlab.com/groups/gitlab-org/-/epics/2391) (Grzegorz Bizon)
- [File Storage Isolation](https://gitlab.com/groups/gitlab-org/-/epics/2307) (Marin Jankovski)
- [Database Partitioning](https://gitlab.com/groups/gitlab-org/-/epics/2023) (Craig Gomes)

[Decoupled Service](https://gitlab.com/gitlab-org/gitlab/issues/31121) (Craig Gomes) was removed from this working group
as this will be a future effort for the Memory group.

## Roles and Responsibilities

| Working Group Role                       | Person                          | Title                                    |
|------------------------------------------|---------------------------------|------------------------------------------|
| Executive Stakeholder                    | Christopher Lefelhocz           | Senior Director of Development           |
| Facilitator                              | Rachel Nienaber                 | Engineering Manager, Geo                 |
| DRI for Application Level Redis Sharding | Grzegorz Bizon                  | Staff Backend Engineer, Configure:System |
| DRI for File Storage Isolation           | Andrew Newdigate                | Distinguished Engineer, Infrastructure   |
| DRI for Database Partitioning            | Craig Gomes                     | Engineering Manager, Memory              |
| Functional Lead                          | Ramya Authappan                 | Quality Engineering Manager, Dev         |
| Functional Lead                          | Fabian Zimmer                   | Senior Product Manager, Geo              |
| Functional Lead                          | Gerardo "Gerir" Lopez-Fernandez | Engineering Fellow, Infrastructure       |
| Functional Lead                          | Stan Hu                         | Engineering Fellow, Development          |
| Member                                   | George Burdell                  | Campus Alumni Representative             |
| Member                                   | Chun Du                         | Director of Engineering, Enablement      |
| Member                                   | Wayne Haber                     | Director of Engineering, Protect          |
| Member                                   | Nicholas Klick                  | Engineering Manager, Configure:System    |
