---
title: "Major Releases Working Group"
description: "Working group to faciliate a smooth and boring Major release."
status: active
---

## Attributes

| Property       | Value                                                        |
| -------------- | ------------------------------------------------------------ |
| Date Created   | 2024-02-22                                                   |
| End Date       | 2025-07-01                                                   |
| Slack          | [#wg_major-releases](https://gitlab.enterprise.slack.com/archives/C073MV570F7) (only accessible from within the company) |
| Google Doc     | [Major Releases Working Group Agenda](https://docs.google.com/document/d/1jxl4SDDeoQgR9DOCZ63_D38OglE1OGkJBq_fC_z46BA/edit?usp=sharing)|
| Epic           | [Future Major Release Coordination & Improvements](https://gitlab.com/groups/gitlab-com/-/epics/2363) |
| Overview & Status | Closed |

## Closing update

This group is closed with the outcome of the group consolidating in and opinion on breaking changes that the org can adopt:

- [Migrations over breaking things 2024 Executive Brief (internal)](https://docs.google.com/document/d/1ByVZEhGJfjb6XTwiDeaSDRVwUiF6dsEQI01TW4BJA0k/edit?tab=t.0)
- [Migrations over breaking things 2024 SLides (internal)](https://docs.google.com/presentation/d/1VRywg9xQR7yHqlphL-jWyApPrNsSSvmydlmgU88vSJk/edit#slide=id.g31bf0854b0a_0_0)
- [Migrations over breaking things 2024 Recording (internal)](https://www.youtube.com/watch?v=GkhYD6QAy-4)

## Purpose

The `Major Releases Working Group aims to minimise any negative customer impact related to the major release and breaking change across SaaS and self manged GitLab users.

### Overview

The Major release working group will form from the point that all deprecations have been announced that are due for the major release according to the deprecation policy until we are at least one milestone past the major release and aware of any customer issues that have arisen as part of the major upgrade and have a plan of action. The rough schedule for this is outlined in the attributes table above.

### Goals

This is a non-comprehensive list of topics to be discussed.

- Minimise customer impact due to breaking change and major release.
- [Go through product deprecations and separate the high impact ones for further analysis](https://gitlab.com/groups/gitlab-com/-/epics/2293#specific-asks-for-pms).
- Prepare Support and CS for customer questions on deprecations & upgrade - [Internal Slides](https://docs.google.com/presentation/d/1YjEsBpemHC5eLfNbfSCFWQK5hA3z0iysdNx6SGBw8K4/edit#slide=id.g1ef4929c487_0_34).
- Release communications to prepare customers.
- Understand whether deprecation policy and GitLab's working interpretation are aligned / need to be changed.
- Put a plan in place to improve conditions for next major release and remove need for this working group next iteration.

### Exit Criteria

Exit Criteria are avaialable in the [Future Major Release Coordination & Improvements Epic](https://gitlab.com/groups/gitlab-com/-/epics/2363#exit-criteria).

## Roles and Responsibilities

| Working Group Role                       | Person                           | Title                                                          |
|------------------------------------------|----------------------------------|----------------------------------------------------------------|
| Executive Sponsor            | Sabrina Farmer (@sabrinafarmer)           | CTO |
| Executive Stakeholder        | Josh Lemos (@joshlemos)                   | CISO |
| Facilitator/DRI              | Sam Wiskow (@swiskow)                     | Sr. PM, Delivery & Scalability - Infra |
| Product Management           | Mike Flouton (@mflouton)                  | VP - Product |
| Member                       | Marin Jankovski (@marin)                  | Senior Director - Infrastructure, SaaS Platforms  |
| Member                       | Fabian Zimmer (@fzimmer)                  | Product Director - SaaS Platforms    |
| Member                       | Michele Bursi (@mbursi)                   | Engineering Manager, Delivery Group |
| Member                       | Steve Evangelista (@steve-evangelista)    | Senior Product Director - Dev & Analytics |
| Member                       | Martin Bruemmer (@mbruemmer)              | Staff Customer Success Manager |
| Member                       | Lyle Kozloff (@lyle)                      | Director of Support, Global Readiness |
| Member                       | Stephen Denham (@denhams)                 | Engineering Manager, Environment Automation, Dedicated |
| Member                       | Cheryl Li (@cheryl.li)                    | Senior Engineering Manager, Verify |
| Member                       | Conley Rogers (@conleyr)                  | Staff Customer Success Architect |
