---
title: "Modern Applications Go-To-Market"
description: "Define our modern applications got-to-market and create the necessary resources to support the motion."
status: active
---

## Attributes

| Property        | Value           |
|-----------------|-----------------|
| Date Created    | June 20, 2022  |
| Target End Date | Dec 30, 2022   |
| Slack           | [#wg_modern-applications-gtm](https://gitlab.slack.com/archives/C03KMQX21FG) (only accessible from within the company) |
| Google Doc      | [Working Group Agenda](https://docs.google.com/document/d/1ivUz4YZSGIp-x_eG2Mt3Hqv3vtRajzAAyDIxWhu9iWM/edit) (only accessible from within the company) |
| Docs            | [Modern Applications Message House](https://docs.google.com/document/d/17R_pZbVzYrv9bygL5QwGd_GC6oTKzbLfFfMBRKIVfug/edit#heading=h.5o81q1csv5xo)|
| Related Issue   |  |
| Associated OKRs | |

## Problem To Solve

- While GitLab provides the necessary capabilities to deliver modern applications effectively, the field lacks the artifacts and execution to deliver appropriate modern application messaging and guidance to our prospects and customers.
- Typically, we cannot identify application initiatives associated with our prospect's / customer's interest in GitLab, which limits our reach into the account and our ability to tie our value to a c-level initiative.
- GitLab ranks relatively low when searching for "microservices" and "modern applications," which could signify a lack of thought leadership in a domain we have immense value to provide.

## Business Goal

- Establish GitLab as a thought leader and go-to partner for modern applications to generate more leads.
- Enable the field to confidently and credibly position GitLab for modern application use cases leading to first-order wins.
- Attach to strategic initiatives in prospect/customer accounts to drive larger deal sizes.
Generate compelling customer stories by driving value for our customer's digital transformation and modern application initiatives.

### Exit Criteria

- Message House Completed and confirmed by Product Marketing
- Pitch Deck Created

#### Step 1

## Roles and Responsibilities

| Working Group Role    | Person                   | Title                          |
|-----------------------|--------------------------|--------------------------------|
| Executive Sponsor     | Nima Baidley          | Vice President, Alliances       |
| Facilitator           | Jonathan Fullam          | Senior Director, Solutions Architecture   |
| Functional Lead       |Kris Nelson (Ent sales)            | Area Sales Manager |
| Functional Lead       |Aathira Nair (Product Marketing)            | Product Marketing Manager |
| Functional Lead       | Lee Faus (Strategic Field Team)              | Field CTO |
| Member                |Reshmi Krishna           | Sr Manager, Solutions Architecture |

## Meetings

This working group meets bi-weekly (every other week.)

Meetings are recorded and available in the Google document for the meetings.
