---
title: "Upstream Diversity Working Group"
description: "This working group will design and launch a program to harness the technical talent of the GitLab team to teach technical skills to members of underrepresented groups."
---

## Attributes

| Property     | Value            |
|--------------|------------------|
| Date Created | August 1, 2020   |
| Target Date  | October 31, 2020 |
| Slack        | [#wg_upstream_diversity](https://gitlab.slack.com/archives/C017XNA4LDA) (internal only) |
| Google Doc   | [Upstream Diversity Working Group Agenda](https://docs.google.com/document/d/15m8If-AcX6DTnOHt89kzIetOeu8OhCzpC7Uk2OpP50E/edit) (internal only) |
| Epic.        | [WG: Upstream Diversity Epic](https://gitlab.com/groups/gitlab-com/-/epics/824) |

## Business Goal

GitLab has switched to an outbound-only talent acquisition model in an effort to enhance both the quality of our hiring efforts and the diversity of our team simultaneously. One problem left unsolved by this approach is that our technical hiring efforts are downstream from bottlenecks such as the talent pool of the technology industry in general and the university system, both of which do not reflect society at large. Our diversity value means we have an ethical imperative to try and create more opportunity in the technology industry for currently [underrepresented groups](/handbook/total-rewards/incentives/#add-on-bonus-for-select-underrepresented-groups). This is despite the fact that it may not benefit GitLab directly because of the timespans involved, and even if it does it may not be measurable.

**Knowledge sharing:** This working group will design and launch a program to harness the technical talent of the GitLab team to teach technical skills (programming, networking, security, etc) or other skills (remote working, management etc.) if the curriculum requires that to members of underrepresented groups. To do this we may partner with an existing program that already has students and curriculum.

**Infrastructure:** Secondarily, we may try to see if we can help solve infrastructure issues that are holding some people back (such as access to high-bandwidth connections or computers) through a monetary or equipment donation program.

## Exit Criteria

### Knowledge sharing => 75%

- Create a list of 25 GitLab team members who want to volunteer as GitLab coaches ✅
- Find 10 vendors to reach out to (based on our parameters: locality diverse/contributing to enlarging tech talent pool upstream etc.). And narrow down to 3 vendors to collaborate with ✅
- Establish a collaboration with 3 vendors and matching at least 15 GitLab coaches to the curriculum ✏️
Matching efforts will continue [here](/handbook/engineering/volunteer-coaches-for-urgs/)
- Align and contribute to our existing outreach programs, example: [GitLab for Startups](https://about.gitlab.com/solutions/startups/) and [GitLab Open Source](https://about.gitlab.com/solutions/open-source/) and make a proposal for an initiative that contributes to our knowledge sharing goal. For example free licenses for high school students interested in tech/ people switching careers. ✅

### Infrastructure => 100%

- Explore 10 global hardware initiatives facilitating the usage of tech for under represented groups ✅
- Write up a proposal for a donation program with one of the global initiatives with reaching 50 people and present to E-Group ✅

(✅ Done, ✏️ In-progress)

## Roles and Responsibilities

| Working Group Role    | Person                    | Title                                                         |
|-----------------------|---------------------------|-------------------------------------------------------------- |
| Facilitator           | Roos Takken               | Engineering People Business Partner                           |
| Member                | Candace Byrdsong Williams | Diversity, Inclusion and Belonging Manager                    |
| Member                | Mo Khan                   | Senior Backend Engineer, Secure:Composition Analysis          |
| Member                | Christian Couder          | Senior Backend Engineer Gitaly                                |
| Member                | Greg Myers                | Support Engineer                                              |
| Member                | Rebecca Spainhower        | Support Engineering Manager                                   |
| Member                | Edmond Chan               | Senior Solutions Architect                                    |
| Member                | Amy Phillips              | Engineering Manager, Delivery                                 |
| Member                | Melissa Ushakov           | Sr. Product Manager, Manage::Authentication and Authorization |
| Executive Stakeholder | Eric Johnson              | Chief Technology Officer                                      |
