---
title: "Yearlies"
description: "Yearlies are the annual goals for the company. Yearlies should have measurable deliverables."
---

## Yearlies

Yearlies are the annual goals for the company. Yearlies should have measurable deliverables. They can be found in the [internal handbook](https://internal.gitlab.com/handbook/company/yearlies).

## Alignment

Yearlies connect our [3 year strategy](/handbook/company/strategy/) to our shorter-term quarterly objectives (OKRs). Achieving our Yearlies creates progress towards achieving our [strategy](/handbook/company/strategy/), and as a result, moves us closer to achieving our [vision](/handbook/company/vision/).

### Three Year Strategy

Yearlies are informed by the [three-year strategy](/handbook/company/strategy/). We update them on an annual [cadence](/handbook/company/cadence/).

### Annual Plan and Yearlies

1. Yearlies come before the [Annual Plan](/handbook/finance/financial-planning-and-analysis/#plan).
1. Yearlies contain our priorities for the fiscal year while the Annual Plan contains our budgets and our financials.
1. We first determine our priorities for the upcoming year in the form of Yearlies, then we use these priorities to inform the budget in the Annual Plan process.

The Annual Plan process [finishes two quarters after](/handbook/company/offsite/#offsite-topic-calendar) Yearlies are finalized. As a result, Yearlies may become outdated since being established. In line with our value of [Iteration](/handbook/values/#iteration), Yearlies are [reviewed each E-Group offsite](/handbook/company/offsite/#recurring-discussion-topics) and updated as needed. Annual Plan and Yearlies should be synced when Annual Plan is finalized.

### Objectives and Key Results (OKRs)

1. [Objectives and Key Results (OKRs)](/handbook/company/okrs/) are our quarterly priorities that create progress for our yearly goals.
1. As a result, [OKRs](/handbook/company/okrs/) are aligned to one of the yearlies.
1. While [OKRs](/handbook/company/okrs/) are not directly aligned to one of the three pillars of the [three year strategy](/handbook/company/strategy/#three-year-strategy), since OKRs are aligned to one of the Yearlies, and the Yearlies are aligned to our strategic pillars, OKRs are indirectly aligned to GitLab's strategy.
1. [OKRs](/handbook/company/okrs/) have a duration of one quarter while Yearlies are annual goals with a duration of a year.
1. [OKRs](/handbook/company/okrs/) are composed of Objectives and Key Results. Yearlies have an annual goal and a few key supporting goals and initiatives. Top Cross-Functional Iniative exit outcomes will be listed among supporting goals.

## Cadence

1. The [three year strategy](/handbook/company/strategy/#three-year-strategy) is on a 3 year cadence and is inspiration for the Yearlies, which are on a 1 year [cadence](/handbook/company/cadence/#year). The three year strategy is reviewed as part of [E-Group offsite calendar](/handbook/company/offsite/#offsite-topic-calendar).
1. Yearlies are established during E-Group offsite as a once-a-year topic in the [offsite topic calendar](/handbook/company/offsite/#offsite-topic-calendar).
1. Yearlies are the company's goals for the next 12 months unless the Yearly is achieved sooner than 12 months or E-Group decides that a Yearly should be updated.
1. In line with our value of [Iteration](/handbook/values/#iteration), Yearlies are reviewed during each E-Group offsite as a [recurring discussion topic](/handbook/company/offsite/#recurring-discussion-topics) and updated or replaced if the Yearly needs to be changed sooner than 12 months after being established.

{{% include "includes/take-gitlab-for-a-spin.md" %}}
