---
title: "Account Team"
description: "The account team works together to drive value, success, and growth for a customer"
---

---

The account team works together to drive value, success, and growth for a customer.

## Sales Segments

### Enterprise

An Enterprise account team is comprised of the following people:

- [Strategic Account Executive (SAE)](/job-families/sales/strategic-account-executive/)
- [Solutions Architect (SA)](/job-families/sales/solutions-architect/)
- [Customer Success Manager (CSM)](/job-families/sales/customer-success-management/) for [qualifying accounts](/handbook/customer-success/csm/services/#csm-alignment)

### Commercial/Mid-Market

A Mid-Market account team is comprised of the following people:

- [Account Executive (AE)](/job-families/sales/account-executive/)
- [Customer Success Manager (CSM)](/job-families/sales/customer-success-management/) for [qualifying accounts](/handbook/customer-success/csm/services/#csm-alignment)

In Mid-Market, Solutions Architects are pooled so they are not aligned with specific account teams.

## Roles and Responsibilities

### Strategic Account Executive (SAE) / Account Executive (AE)

- Negotiates contracts and price on initial sale and renewals
- Should have a strategy for prospects and how to close
- Works with the Solutions Architect (SA) on pre-sales prospects and post-sale upgrades
- Works with the Customer Success Manager (CSM) on account planning and renewals

### Solutions Architect (SA)

- Should lead discovery calls to find out where and why the prospect is having issues in the SDLC
- Runs POVs and scopes out SOWs
- The technical advisor to the SAE for prospects and upgrades
- Handle all pre-sale technical activities to be handed off to the CSM after the technical win stage
- Owns the technical side for responding to RFP/RFIs

### Customer Success Manager (CSM)

- Trusted strategic advisor to the customer
- [Responsible](/handbook/customer-success/csm/#high-level-responsibilities-of-a-csm) for the post-sales customer journey
  - [Onboarding](/handbook/customer-success/csm/onboarding/)
  - [Success Planning](/handbook/customer-success/csm/success-plans/)
  - [Stage adoption & expansion](/handbook/customer-success/csm/stage-enablement-and-expansion/)
  - [Organizing Workshops and Enablement Sessions for Use-case Enablement & Expansion](/handbook/customer-success/csm/workshops/)
  - [Executive Business Reviews](/handbook/customer-success/csm/ebr/)
  - [Risk Mitigation](/handbook/customer-success/csm/risk-mitigation/)
  - [Renewal Discussions](/handbook/customer-success/csm/renewals/)
- Leads regular [cadence calls](/handbook/customer-success/csm/cadence-calls/) and keeps the [customer collaboration projects](/handbook/customer-success/csm/customer-collaboration-project/) up-to-date
- Maintains [Gainsight](/handbook/customer-success/csm/gainsight/) records of customer health and triaging as necessary
- Account escalation point of contact for [High or Critical Escalations](/handbook/customer-success/csm/escalations/)

The [Account Team Roles & Responsibilities Framework](/handbook/people-group/directly-responsible-individuals/#dri-consulted-informed-dci) provided below is designed to serve as a guiding framework to improve collaboration across teams. Please note that this is applicable only to accounts managed by a CSM or CSA. For accounts managed by a CSE, refer to the [CSE's Handbook](/handbook/customer-success/csm/segment/cse/) on Rules of Engagement. Typically, an account will be overseen by either a CSM or a CSA, and the responsibilities outlined in the Account Team Roles & Responsibilities Framework apply equally, unless otherwise specified in the 'Comments' section.

The following Account Team Roles & Responsibilities Framework is an outcome of the work of this [OKR](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/6329) and utilizes the [DCI Matrix](/handbook/people-group/directly-responsible-individuals/#dri-consulted-informed-dci).

#### Account Team Roles & Responsibilities Framework - CSM/A

<table>
<tr>
<td>

</td>
<td>

</td>
<td>

</td>
<td colspan="9" align="center">

**Stakeholders**
</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

**Journey Stage**
</td>
<td>

**Activities**
</td>
<td>

**Tasks**
</td>
<td>

**CSMA**
</td>
<td>

**CSA**
</td>
<td>

**AE**
</td>
<td>

**RM**
</td>
<td>

**SA**
</td>
<td>

**PS**
</td>
<td>

**Support**
</td>
<td>

**Executive Sponsor**
</td>
<td>

**Product and Engineering**
</td>
<td>

**Comments**
</td>
</tr>
<tr>
<td>

**Pre-Sales & Alignment**
</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Qualification</td>
<td>Leverage MEDDPPICC to ensure opportunity is qualified</td>
<td>I</td>
<td>

</td>
<td>DRI</td>
<td>

</td>
<td>C,I</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Technical Discovery</td>
<td>Continue the qualification of an opportunity coming from BDR/AE to understand whether there is a technical fit</td>
<td>I</td>
<td>

</td>
<td>C,I</td>
<td>

</td>
<td>DRI</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>

[Conduct a Day-in-the-Life of a Developer Session](/handbook/customer-success/pre-sales-post-sales-transition/#transition-quick-summary)
</td>
<td>Quick discovery to build recommendations for a developer's workflow</td>
<td>I</td>
<td>

</td>
<td>C,I</td>
<td>

</td>
<td>DRI</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Conduct a Reverse Demo Session</td>
<td>Quick customer-led demonstration of their development process or tools</td>
<td>C,I</td>
<td>

</td>
<td>C,I</td>
<td>

</td>
<td>DRI</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>CSM here is C,I when there is already an engagement following an existing closed deal</td>
</tr>
<tr>
<td>

</td>
<td>Run Custom Demo(s)</td>
<td>Series of tailored deep-dive demonstrations showcasing solutions to critical problems</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>DRI</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Deliver Hands-On Workshop/Labs</td>
<td>During the Tech Evaluation phase, we offer half-day pre-sales enablement workshops focused on GitLab use cases. These workshops are designed to accelerate user comfort and awareness for functionalities that have not yet been purchased, serving as an alternative to extensive Proof of Value (POV) exercises.</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>DRI</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Conduct a Value Stream Workshop</td>
<td>Deep discovery to understand an organization's software delivery process and performance build current-state and recommended future-state for a specific application's value stream</td>
<td>C,I</td>
<td>

</td>
<td>C</td>
<td>I</td>
<td>DRI</td>
<td>I</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>CSM here is C,I when there is already an engagement following an existing closed deal</td>
</tr>
<tr>
<td>

</td>
<td>Run a Lunch and Learn Session</td>
<td>A short hands-on session showcasing areas of interest, performed in conjunction with the field marketing team</td>
<td>C,I</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>DRI</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Oversee a Guided Trial</td>
<td>Customer-led trial that covers tactical features and implementation alongside guidance on how it aligns to assumed or known goals</td>
<td>I</td>
<td>C,I</td>
<td>C,I</td>
<td>

</td>
<td>DRI</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>CSM / CSA is only C or C,I respectively if the opportunity is for an existing customer</td>
</tr>
<tr>
<td>

</td>
<td>Oversee a Proof of Value</td>
<td>Timeboxed mutually agreed upon evaluation of key business value</td>
<td>I</td>
<td>C,I</td>
<td>

</td>
<td>

</td>
<td>DRI</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>CSM / CSA is only C or C,I respectively if the opportunity is for an existing customer</td>
</tr>
<tr>
<td>

</td>
<td>Conduct a Technical Deep Dive Session</td>
<td>This is a deeper dive session on a custom use case important to the prospect or customer.</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>DRI</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Create Technical Close Plan</td>
<td>A Technical Close Plan is an internal strategy that Solutions Architects can use to secure a technical win for a given opportunity. It is built off the information in the Command Plan and expands on it by including the customer's desired business outcomes, notional architectures of the current and proposed states, key stakeholders, and known risks. This strategy can also be a subset of the Opportunity Plan created by AEs or live on its own.</td>
<td>I</td>
<td>C, I</td>
<td>C, I</td>
<td>

</td>
<td>DRI</td>
<td>C, I</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Create ROI / Business Justification Plan</td>
<td>

GitLab's Business Value Services practice is supported by the Field CTO team, the SA org, and Field Enablement to support deal and account teams (Account Executives and Solutions Architect) in incorporating business value consulting into the customer engagement.<br><br>This includes documenting and training on positioning and tooling to map GitLab value drivers to customer outcomes using a Return on Investment (ROI) and Total Cost of Ownership (TCO) analysis.
</td>
<td>I</td>
<td>

</td>
<td>DRI</td>
<td>I</td>
<td>C,I</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Position Professional Services</td>
</td>
<td>
<td>C,I</td>

<td></td>

<td>DRI</td>

<td>I</td>

<td>C,I</td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Position Success Plan Services</td>
</td>
<td>
<td>C,I</td>

<td></td>

<td>DRI</td>

<td>I</td>

<td>C,I</td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Identify Tech Champion (s)</td>
<td>Define and engage key user personas for solution tailoring</td>
<td>C,I</td>
<td>

</td>
<td>C,I</td>
<td>

</td>
<td>DRI</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>CSM here is C,I when there is already an engagement following an existing closed deal</td>
</tr>
<tr>
<td>

</td>
<td>Sales to Customer Success (CS) Handoff</td>
<td>Ensure detailed information transfer from sales to CS for seamless transition</td>
<td>C,I</td>
<td>

</td>
<td>C,I</td>
<td>

</td>
<td>DRI</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Create Mutual Success Plan</td>
<td>Create joint success plan with the customer in order to document customer goals and primary use cases</td>
<td>C,I</td>
<td>

</td>
<td>C,I</td>
<td>

</td>
<td>DRI</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

**Onboard**
</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>CSM Kickoff & Intro</td>
<td>Introduce the customer to their CSM; outline the onboarding process and tools.</td>
<td>DRI</td>
<td>

</td>
<td>C</td>
<td>I</td>
<td>I</td>
<td>I</td>
<td>

</td>
<td>I</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Technical Integration and Setup Support</td>
<td>Provide best practices on setting up GitLab (for example, architecture and deployment strategies) to fit customers' needs in line with our Documentation</td>
<td>I</td>
<td>

</td>
<td>C</td>
<td>I</td>
<td>I</td>
<td>DRI</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>If PS was not attached, the CSM / CSA is the DRI and is responsible with providing customers best practices on setting up GitLab in line with customer's success objectives</td>
</tr>
<tr>
<td>

</td>
<td>Establish Cadence Calls</td>
<td>Schedule and conduct regular progress check-ins with the customer</td>
<td>DRI</td>
<td>

</td>
<td>I</td>
<td>I</td>
<td>I</td>
<td>I</td>
<td>

</td>
<td>I</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Maintain Mutual Success Plan</td>
<td>Maintain and update mutual success plans outlining customer goals and success metrics</td>
<td>DRI</td>
<td>

</td>
<td>C</td>
<td>I</td>
<td>C</td>
<td>I</td>
<td>

</td>
<td>C, I</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

**Enable**
</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Use Case Enablement Workshops & Hands-on Trainings</td>
<td>Host workshops to enable and deepen understanding of relevant use cases for functionalities that customers have already purchased or have licenses for. Standard content is provided; for customised content, customers should work with Professional Services (PS).</td>
<td>DRI</td>
<td>

</td>
<td>I</td>
<td>I</td>
<td>I</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Measure Primary Use Case Adoption</td>
<td>Track and analyze the adoption rate of primary use cases</td>
<td>DRI</td>
<td>

</td>
<td>I</td>
<td> I </td>
<td>I</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

**Expand**
</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Expansion Discovery</td>
<td>Identify and pursue upsell and cross-sell opportunities</td>
<td>C</td>
<td>

</td>
<td>C</td>
<td>I</td>
<td>DRI</td>
<td>I</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Account Health Checkups</td>
<td>Conduct regular assessments of account health to ensure ongoing customer success</td>
<td>DRI</td>
<td>

</td>
<td>C</td>
<td>I</td>
<td>C</td>
<td>I</td>
<td>

</td>
<td>I</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Stakeholder Mapping and Engagement</td>
<td>Update and engage key stakeholders to maintain alignment and uncover new opportunities</td>
<td>DRI</td>
<td>

</td>
<td>C</td>
<td>I</td>
<td>C</td>
<td>I</td>
<td>

</td>
<td>I</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

<td>Position co-create initiatives</td>
<td>
Introduce the customer to the initiative
</td>
<td>DRI</td>
<td>

</td>
<td>I</td>
<td>I</td>
<td>C,I</td>
<td>I</td>
<td>

</td>
<td>I</td>
<td>

<td>
</td>
</tr>
<tr>
<td>

<td>co-create Kickoff & Intro</td>
<td>Introduce the customer to the co-create team</td>
<td>DRI</td>
<td>

</td>
<td>C</td>
<td>I</td>
<td>I</td>
<td>I</td>
<td>

</td>
<td>I</td>
<td>

<td>
</td>

</tr>
<tr>
<td>

<td>Facilitating communication</td>
<td>Supporting communication between co-create team and the customer</td>
<td>DRI</td>
<td>

</td>
<td>C</td>
<td>I</td>
<td>I</td>
<td>I</td>
<td>

</td>
<td>I</td>
<td>

<td>CSM here is DRI until kick-off and will only step in to help if the co-create team need additionnal support after kick-off (initiative is at risk)</td>
</tr>
<tr>
<td>

**Optimize & Renew**
</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Executive Business Review (EBR)</td>
<td>Conduct EBRs to review successes, challenges, and future plans</td>
<td>DRI</td>
<td>

</td>
<td>C</td>
<td>I</td>
<td>C</td>
<td>I</td>
<td>

</td>
<td>C, I</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Renewal Discussions</td>
<td>Initiate early discussions about renewal, leveraging insights from the customer journey</td>
<td>C</td>
<td>

</td>
<td>C</td>
<td>DRI</td>
<td>C</td>
<td>I</td>
<td>

</td>
<td>I</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>

</td>
<td>Asking the "soft" renewal question</td>
<td>DRI</td>
<td>

</td>
<td>C</td>
<td>C</td>
<td>I</td>
<td>I</td>
<td>

</td>
<td>I</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Monitor Client Satisfaction</td>
<td>Implement a structured feedback process to capture and act on customer insights, driving continuous improvement</td>
<td>DRI</td>
<td>

</td>
<td>I</td>
<td>I</td>
<td>I</td>
<td>I</td>
<td>

</td>
<td>

</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Facilitate Product Collaboration</td>
<td>Clearly capture customer needs through feature requests to assist Product Managers with feature prioritisation and product enhancement</td>
<td>DRI</td>
<td>

</td>
<td>I</td>
<td>I</td>
<td>I</td>
<td>

</td>
<td>

</td>
<td>I</td>
<td>C, I</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Ongoing Risk Review</td>
<td>Active management of risk in a customer account, quickly turning a customer to red when there is any potential risk of contraction or churn and frequently updating the status</td>
<td>DRI</td>
<td>

</td>
<td>C</td>
<td>C</td>
<td>C</td>
<td>I</td>
<td>

</td>
<td>C</td>
<td>

</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>Risk and Escalation Management</td>
<td>Frequent communication to the account team about risk in their accounts and triggering/leading the escalation process (account escalation / STAR) where needed</td>
<td>DRI</td>
<td>

</td>
<td>C</td>
<td>C</td>
<td>C</td>
<td>I</td>
<td>C, I</td>
<td>C</td>
<td>C, I</td>
<td>

</td>
</tr>
<tr>
<td>

</td>
<td>

[SPS Accelerator]( handbook/customer-success/success-services/#accelerators ) </td>
<td>Conduct regular health checks to identify areas for improvement. Provide access to GitLab's Accelerators, helping them optimize their use of GitLab's products for their specific needs, and assist in implementing them effectively</td>
<td>C,I</td>
<td>DRI</td>
<td>C</td>
<td>I</td>
<td>I</td>
<td>C, I</td>
<td>

</td>
<td>I</td>
<td>

</td>
<td>

</td>
</tr>
</table>

## CSM interaction with Customers

- Understand and align on customer needs and goals; establish a mutually agreed success plan focusing on driving product adoption and growth.
- Act as a trusted advisor by reviewing adoption metrics, offering perspectives on beta features, and conducting presentations and demos to enhance customer product knowledge and interest in order to drive adoption.
- Serve as the main point of contact for customer inquiries, including feature requests and support [ticket escalations / STAR](/handbook/support/internal-support/support-ticket-attention-requests/).
- Facilitate communication between customers and the product team to translate requirements into feature requests; arrange meetings with [Product Managers (PMs](/handbook/product/)) when necessary.
- Regularly update customers on the status of their feature requests and any new feature updates.
- Maintain ongoing communication to manage customer expectations; provide regular updates and best practices to enhance product adoption.
Identify and flag risks to the appropriate teams while maintaining communication with GitLab support for issue resolution.
- Engage with PM and engineering teams to review releases and ensure they meet customer needs.
- Triage technical queries effectively, redirecting to [Professional Services (PS)](/handbook/customer-success/professional-services-engineering/) or [Support team](/handbook/support/) as necessary.
- Conduct regular calls and emails to maintain customer relations, and plan and deliver [Executive Business Reviews (EBRs)](/handbook/customer-success/csm/ebr/#overview) to realign on goals.
- Update and engage key stakeholders to maintain alignment and uncover new opportunities.

## CSM interaction with cross-functional teams

- **With [Account Executives](/handbook/sales/)**
  - Support on account planning
  - Surface opportunities and renewals
  - Regular touch points on customer health & assessing risk
  - Continuous alignment on strategic initiatives & objectives
  - Annual security and compliance questionnaires (part of renewal or procurement process)

- **With [Customer Advocacy / Events](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/customer-advocacy/)**
  - Volunteering customers for speaking engagements
  - Referral program
  - Case studies to boost engagement

- **With [Partners](/handbook/support/partnerships/)**
  - Align with partner on customer needs and success plan
  - Involve partner in all customer interactions
  - Discuss and agree with the partner on customer enablement
  - Update the partner on customer health

- **With [Product Team](/handbook/product/)**
  - Planning meeting for Feature Requests (FR), roadmaps, and SME sessions
  - Providing customer feedback when possible
  - Gathering first needs and use cases
  - Collaborate (advocating) with the Product team to shape the future of the GitLab platform

- **With [Professional Services Team](/handbook/customer-success/professional-services-engineering/)**
  - Understand when to engage with PS and how they can support
  - Initiate discussions with the customer on potential PS engagements
  - Understand customer expectations and relay them to the Engagement Manager
  - Keep up to date with progress and current actions
  - Offer additional follow-up options, such as  [Expert Services](https://about.gitlab.com/services/catalog/))

- **With [Renewal Managers](/job-families/sales/renewal-manager/)**
  - Engaging with renewal manager 4 months before the renewal
  - Prepare and support renewal discussion with renewal manager
  - Actively working with [AE](/handbook/sales/) and renewal manager in case of risk

- **With [Sales Development Representatives (SDRs)](/handbook/marketing/sales-development/) and [Business Development Representatives (BDRs)](/handbook/marketing/sales-development/)**
  - [AEs](/handbook/sales/) serve as facilitators, bridging CSM expertise and Sales/Business Development efforts into a unified strategy for account expansion, with CSMs providing support and insights as needed
    - Initiate early discussions about renewal, leveraging insights from the customer journey

- **With [Solutions Architects Team](/handbook/solutions-architects/)**
  - Solutions Architects own:
    1. Pre-sales technical evaluation and relationships prior to the initial sale
        - Document customer business value and product fit
        - Define and engage key user personas for solution tailoring
        - Create joint success plan with the customer in order to document customer goals and primary use cases
    2. Tier upgrades and new business units (i.e., connected new) within an existing customer:
        - Product demonstrations and workshops, particularly when linked to a new opportunity (such as a tier upgrade or GitLab Duo demos directly associated with a prospective opportunity)
        - Identify and pursue upsell and cross-sell opportunities
    3. Ensure detailed information transfer from sales to CS for seamless transition

  - Customer Success Managers own:
    1. Post-sales customer relationship:
        - Demos and other product workshops when not associated to a new opportunity
    2. License expansion within an existing customer
    3. Update and engage with SA to maintain alignment and uncover new opportunities
    4. Conduct regular assessments of account health to ensure ongoing customer success

  - Collaboration on Mutual Customer Success Plan - Merging of the Pre-Sales Customer Success Plan (owned by the SA - [criteria](/handbook/solutions-architects/sa-practices/customer-success-plan/#which-opportunities-should-have-a-mutual-customer-success-plan)) and the Post Sales CSM Customer Success Plan (owned by the CSM - [criteria](/handbook/solutions-architects/sa-practices/customer-success-plan/#which-opportunities-should-have-a-mutual-customer-success-plan))

- **With [Support Team](/handbook/support/):**
  - Maintaining communication in case of [high and critical](/handbook/customer-success/csm/escalations/) escalation
  - Effectively managing customer expectations for tickets that fall outside the scope of our usual support ([out-of-scope tickets](https://about.gitlab.com/support/statement-of-support/#out-of-scope))
  - Educating customers on the GitLab Support process, which includes guiding them on managing contacts, explaining various SLAs based on priorities, and offering a comprehensive overview of GitLab Support coverage
  - Clearly communicating urgency and dependencies for tickets that demand immediate attention ([STAR](/handbook/support/internal-support/support-ticket-attention-requests/))
  - CSMs should ensure organization notes are kept up to date

## Account Team Meetings

The account team should meet in order to drive strategic growth towards accounts. Some reasons to meet with a customer account team:

- Coordinated customer growth/expansion strategies, including renewals and upgrades
- Onboarding of new customers requiring additional attention
- Triage if they have a [health score other than Green](/handbook/customer-success/csm/health-score-triage/#health-assessment-guidelines)

As a recommendation to [make the most efficient use of everyone's time](/handbook/values/#be-respectful-of-others-time), these calls should not happen more than once a week, unless there is a specific and urgent need. There is no requirement to have recurring account team calls, but different regions and segments may approach account team alignments and engagement differently. For clarity on specific regions' or segments' approaches, reach out to the corresponding CSM Manager(s).

Account teams may choose to include the [Sales Development Representative (SDR)](/job-families/marketing/sales-development-representative/) in their account meetings for any targeted growth or wider account expansion.

### Who Leads the Meeting?

- *No specific person/role is the boss. You are a TEAM.*
- Tasks should be agreed upon during the SALSACSM meeting and fall into each person's area of responsibility.
- SAs and SAEs need to work together to ensure a smooth sales process, from discovery to demo to POV to final sale.
- SAs and CSMs need to work together to ensure a smooth transition for the customer.
- CSMs and SAEs need to work together to ensure a smooth onboarding, continued customer happiness, growing accounts, driving stage adoption, and to lock in the renewal for years to come.

### Tools to Use During the Meeting

- [Working Agreement](/handbook/solutions-architects/processes/#working-agreements)
- Salesforce
- Gainsight
- [Customer collaboration project](/handbook/customer-success/csm/customer-collaboration-project/)
- Customer meeting notes

## Leadership Alignment - Sales and CSM Management

The Area Sales Manager (ASM) and CSM Manager should also be meeting regularly (bi-weekly or monthly) to ensure cross functional alignment.

The CSM Manager is the DRI for the meeting, and topics to be covered at a management level include:

- Organizational updates: headcount changes, GTM strategy, process iterations, etc.
- Review red/at-risk accounts: current actions and help needed
- Renewal opportunities: forecasted churn rate for the current and next fiscal quarter, cross-check that projected ASM churn matches CSM projections
- Growth opportunities: accounts or opportunities where additional resources are needed, strategize on growth potential
- Feedback: individual team member wins and feedback

## Working Together throughout the Customer's Lifecycle

The SA owns all pre-sales technical relationships and activities. The SA coordinates conversations related to product, sales, business, and technical initiatives prior to the sale. CSM involvement during pre-sales models the expectations for the customer relationship after the sale, but should be limited to only after we achieve a technical win. CSM involvement should supplement, not displace, SA pre-sales ownership of the account.

When an account moves from pre-sales to post-sales, it is [handed off from the Account Executive/Solutions Architect to the Customer Success Manager](/handbook/customer-success/pre-sales-post-sales-transition/).

The CSM takes primary responsibility for the account once a customer becomes CSM-qualifying and focuses on ensuring customer success and driving adoption. SAs can be reintroduced in the following situations:

- A new POV for upgrade or additional team
- Transformative or dedicated professional services opportunities
- If a CSM is over-committed or unable to support a customer request, the SA *may* be requested to assist. However, the SA has discretion as to the level of involvement or assistance they provide post-sales.
