---
title: "APJ Customer Success"
---
The APJ Customer Success department is part of the [GitLab Sales](/handbook/sales/) function under the WW Customer Success organisation who partners with our large, mid-market and strategic customers to deliver value throughout their GitLab adoption in the code development lifecycle.

The team can be reached in WW Customer Success [Slack channel](https://gitlab.slack.com/archives/customer-success) (internal only).  Further to that, the APJ Customer Success team also communicates via our [Slack channel](https://gitlab.slack.com/archives/a-team_customer_success) (internal & private only) amongst themselves.

## Mission Statement

To deliver value to all customers by engaging in a consistent, repeatable, scalable way across defined segments so that customers see the value in their investment with GitLab, and we retain and drive growth within our enterprise customers.

- The mission of the Customer Success Department is to provide these customers with experience in order to:
  - Accelerate initial customer value
  - Maximize long-term, sustainable customer value
  - Improve overall customer satisfaction & referenceability
  - Maximize the total value of the customer to GitLab
  - To deliver value to all customers by engaging in a consistent, repeatable, scalable way across defined segments so that customers see the value in their investment with GitLab, and we retain and drive growth within our enterprise customers.

## Vision Page

The WW ["Customer Success Vision Page"](/handbook/customer-success/customer-success-vision/) provides the long-term vision which we also follow in the APJ Customer Success team.

## APJ Customer Success Team

Currently the local APJ CS team has Solutions Architects & Customer Success Managers in the team. The team reports to the Manager, Solutions Architects and the Manager, Customer Success Manager respectively.

- [Manager, Solutions Architects](/job-families/sales/solutions-architect/#manager-solutions-architects) responsibilities
- [Solutions Architect](/handbook/solutions-architects/) responsibilities
- [Manager, Customer Success Manager](/job-families/sales/customer-success-management/#manager-csm) responsibilities
- [Customer Success Manager](/handbook/customer-success/csm/) responsibilities

Starting from the GitLab [org chart](https://comp-calculator.gitlab.net/org_chart) the [Manager, Solutions Architects](/handbook/company/team/#adriansmolski) reports to the [WW Senior Director for Solutions Architecture](/handbook/company/team/#jfullam) who reports to the [Vice President, Customer Success](/handbook/company/team/#dsakamoto). The [Manager, Customer Success Manager](/handbook/company/team/#dthompson3) reports to the
[Senior Director, Technical Account Management](/handbook/company/team/#spatching) who reports the [Vice President, Customer Success](/handbook/company/team/#dsakamoto).

| Role | Name | Base location |
| ------ | ------ | ------ |
| Manager, Solutions Architects | [**Adrian Smolski**](https://gitlab.com/adriansmolski) | Sydney, Australia |
| Senior Solutions Architect | [**Naoharu Sasaki**](https://gitlab.com/naosasaki) | Tokyo, Japan |
| Senior Public Sector Solutions Architect | [**Shane Kelly**](https://gitlab.com/skelly-gitlab) | Canberra, Australia |
| Senior Solutions Architect | [**Tomasz Skora**](https://gitlab.com/tskora1) | Melbourne, Australia |
| Senior Solutions Architect | [**Toshitaka Ito**](https://gitlab.com/toshitakaito) | Tokyo, Japan |
| Senior Solutions Architect | [**Pedric Kng**](https://gitlab.com/pedrickng) | Singapore, Singapore |
| Solutions Architect | [**Inchul Yoo**](https://gitlab.com/iyoo) | Seoul, South Korea |
| Solutions Architect | [**Jonathan Lim**](https://gitlab.com/jonlimr) | Singapore, Singapore |
| Solutions Architect | [**Robert Williams**](https://gitlab.com/r_williams) | Sydney, Australia |
| Manager, Customer Success Manager | [**Dave Thompson**](https://gitlab.com/dthompson3) | Sydney, Australia |
| Senior Customer Success Manager | [**Benjamin Ma**](https://gitlab.com/bma) | Sydney, Australia |
| Customer Success Manager | [**Rohan Shah**](https://gitlab.com/rmsrohan) | Mumbai, India |
| Customer Success Manager | [**Zane J Chua**](https://gitlab.com/zchua-gtlb) | Singapore, Singapore |

The APJ CS team currently does not follow a strict territory alignment. The only exception is that customers in the home base location would have a preference for Customer Success team members to ensure GitLab adoption. The APJ Customer Success team supports the [Large](/handbook/sales/territories/) and [Mid-Market](/handbook/sales/territories/) APJ outlines territories.

## Engagement options with the APJ Customer Success team

Any customer, customer prospect, GitLab Business Partner and/or GitLab Sales representative requiring assistance with GitLab's technology should be directed to the Customer Experience Manager (CEM).

Options to engage with the Customer Experience Manager are:

- Phone call
- Slack message
- GitLab Email
- GitLab Issue
- and other accessible GitLab communication tool

In exchange, all APJ Customer Success team members will document, capture and share (internally) all customer relevant information. We refer to the overview as the APJ Team Board - given the customer sensitivity and Customer Data sovereignty across different APJ regions and countries, this APJ Team Board is available only to GitLab team members.

The main focus is to efficiently centralise customer related information in one location utilising GitLab Kanban boards and document our work in GitLab Issues. We also share it internally across the APJ CS team as well as utilise the APJ Team Board as a follow up tool to ensure our customers success.

The CS team has also been building out a web-application to visualise the information captured by the APJ Team Board. The current goal is to complete that internal project referred as "SA Insights" by the end of FY21-Q2.

## Who do we assist?

1. Our Enterprise and Mid-market customers
2. The Sales organisation (Large, Mid-Market & SMB)
3. The Channels organisation and our GitLab approved Business Partners
4. The local APJ Marketing organisation
5. The open-source community

## The APJ Customer Success service offerings

1. Propose GitLab specific architectural guidance and justification for customer solutions (Solutions Engineering)
2. Respond to customer requests coming through to individual CS team members via email, slack, and other communication means
3. Address initial customer prospect technical and architectural conversations (Prospecting with Sales)
4. Engage with customers or prospective customers in technical evaluations of GitLab's offerings (Proof-of-Value)
5. Proposal and Architectural Documentation services for our customers
6. Attend conferences, meetups, events (community or formal professional) and provide talks, keynotes, presentations and DevOps thought-leadership

## Returning back to GitLab and the Community

- Podcasts

## Meetings & Structure

Our open-door policy encourages any discussion point, concern, suggestion, proposal and/or idea to be brought forward in any APJ Customer Success meeting in a positive and open manner.

## Weekly Strategic meeting (all APJ CS team members)

**Objective of the meeting: This is the weekly main meeting where all technical Solutions Architects as well as Customer Success Managers discuss strategy, highlights and lowlights of GitLab Platform related findings. Everyone in APJ Customer Success is encourage to partake in the meeting.**

The APJ Customer Success team meets weekly to celebrate major customer achievements, reviews internal & external announcements related to GitLab, discusses company announcements, shares best customer success practises and acts as a tactical planning ground for success.

Duration: Between 60-90 minutes

Organiser: Customer Experience Manager

The meeting agenda is generally as follows:

- Prior to the start of the meeting, the Customer Experience Manager (CEM) activates and shares a songs which plays until around 1-2 mins past the hour to allow for team members to get ready and dial in
- The CEM shares their agenda (gdoc Doc) over the zoom session and presents the prioritized discussion topics
- The meeting generally kicks of with announcements, celebrations and updates from sales meetings, Customer Success meetings, and / or other company news
- Following the official part, the rest of the meeting is used for open discussions, presentations of key findings by individual team members and a open-door Q&A session
- Pro-activeness is encouraged within the team - interrupting and asking question is also encouraged
- Although the agenda priority is managed by the CEM - All team members are expected to bring forward topics for discussions

The meeting is scheduled regularly and on a weekly basis. The meeting is hosted via Zoom and the Meeting Agenda is shared via gdrive Docs and available internally.

## Bi-Weekly GitLab New Release meeting (all APJ CS team members)

**Objective of the meeting: Since GitLab Product is releasing new software [every month](/handbook/engineering/releases/), the APJ Customer Success team uses the opportunity to demonstrate main new GitLab functions and features to the entire team.**

The APJ Customer Success team meets bi-weekly to attend this hands-on technical session. Each week we demonstrate 2-3 main topics from the past GitLab releases. The format is casual and mostly tailored towards the usage within the GitLab platform, a customer value discussion of the topic and exchange of customers who could benefit of the new functions.

Duration: Between up to 60 minutes

Organiser: Customer Experience Manager

The meeting agenda is generally as follows:

- Introduce Topic of interest and provide background information
- Demonstrate in GitLab's platform where the topic fits in and announce the [GitLab Stage](https://about.gitlab.com/direction/#devops-stages) it belongs to
- Articulate the benefit of the Topic for our customers in APJ
- Clearly articulate which [GitLab Tier](/handbook/company/pricing/) the topic is benefited from
- Document your main finding in the internal bi-weekly GitLab New Release meeting document

The meeting is scheduled regularly and on a bi-weekly basis. The meeting is hosted via Zoom and the Meeting Agenda is shared via gdrive Docs and available internally.

## Bi-Weekly APJ Team Coffee chat (all APJ CS team members welcomed)

**Objective of the meeting: Bring any topic to the table in the APJ Team coffee chat. Following the [GitLab Coffee Chat](/handbook/company/culture/all-remote/informal-communication/#coffee-chats) guidance, this is a social call.**

The APJ Customer Success team meets bi-weekly to attend this optional coffee chat at the end of the week to discuss casual topics virtually. Topics of discussion can but do not have to be work-related. If a topic is work related, a retrospective overview and outcome can be discussed but the main interest should be the solution to the outcome versus asking for assistance.

Duration: Between up to 30 minutes

Organiser: All team members in APJ

No formal agenda is being utilised.

The meeting is scheduled regularly and on a bi-weekly basis. The meeting is hosted via Zoom and no Meeting Agenda is needed.
