---
title: "Commercial Sales - Customer Success"
description: "The Commercial Sales segment consists of two sales teams, Small Business (SMB) and Mid-Market (MM)"
---

GitLab defines Commercial Sales as worldwide sales for the mid-market and small/medium business segments. [Sales segmentation](/handbook/sales/field-operations/gtm-resources/) is defined by the total employee count of the global account. The Commercial Sales segment consists of two sales teams, Small Business (SMB) and Mid-Market (MM). The Commercial Sales segment is supported by a dedicated team of Solutions Architects (SA) and Customer Success Managers (CSM).

## Role & Responsibilities

### Solutions Architects

Solutions Architects are aligned to the Commercial Sales Account Executives by a pooled model. Requests for an SA will be pulled from the triage board by an SA based on multiple factors including availability, applicable subject matter expertise, and current workload.

- [Engage a Commercial Solutions Architect](/handbook/solutions-architects/processes/commercial/)
- [Solutions Architect role description](/job-families/sales/solutions-architect/)
- [Solutions Architect overview](/handbook/solutions-architects/)

### Customer Success Managers

Customer Success Managers are aligned to a book of business for their respective [segment](/handbook/customer-success/csm/segment/) (Scale, Growth, or Strategic) and region (AMER or EMEA).

- [Customer Success Manager role description](/job-families/sales/customer-success-management/)
- [Customer Success Manager overview and responsibilities](/handbook/customer-success/csm/)

## Sales Engagement Guidelines

Sales engagement for all Commercial Sales with SAs is documented in the [Commercial Process](/handbook/solutions-architects/processes/commercial/) page.

## Customer Engagement Guidelines

### Slack channels

For commercial accounts, we do not currently offer our customers Slack channels unless they meet specific criteria and it would be highly beneficial to both the customer and GitLab teams.

Prior to creating the channel and provisioning access for an existing account, the CSM for the account must approve its creation and use.

If the customer is evaluating GitLab or doing a POV for an upgrade, it may be worthwhile to create an ephemeral Slack channel, but the channel should be closed within 90 days and/or at project completion. The SA must approve the creation and use, with the expectation that it may be used only during the pre-sales process.

## Seamless Customer Journey

A seamless customer journey requires a continuous flow of relevant information between the roles at GitLab with customer outcomes in focus. Below are some examples of the transfer of information between roles that may be required.

### CSM Handoffs

- [CSM to CSM handoff](/handbook/customer-success/csm/account-handoff/)
- [Pre-Sales to CSM handoff](/handbook/customer-success/pre-sales-post-sales-transition/#commercial-csm-transition-process)

### SA to SA (new accounts)

- Update SA name on account team in Salesforce
- Ensure any account notes, [tech stack discoveries](https://docs.google.com/spreadsheets/d/1sOeluQhMO4W0wWIC6rbSE_E1NzTj7eTaR-FDKLYlLb4/edit#gid=912439232), [technical briefs](https://gitlab.com/gitlab-com/customer-success/tko/technical-followup-briefs/-/tree/master) or running call notes are linked to Salesforce and shared with the new SA
- Introduce new SA live on a client call
- If a [POV](/handbook/solutions-architects/tools-and-resources/pov) is pending or active, update the POV record in Salesforce as required
- Ensure any current action items are identified via an issue on the [Commercial SA Triage board](https://gitlab.com/gitlab-com/customer-success/sa-triage-boards/commercial-triage/-/boards/1006966)
