---
title: "CI Adoption Landing Zone"
description: "A page containing links to helpful CI resources for the CSM team and our customers"
---
![CI Adoption Journey Map](/csm/adoption-landing-zones/images/ci-adoption-journey-map.png)

<table>
<thead>
  <tr>
    <th>Journey Stage</th>
    <th>Solutions</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td>No agreement</td>
    <td><ul><li><a href="https://docs.google.com/presentation/d/1M5B4vFiNp967KI50UTCeg5FoYYTE4wNe8MGKZhG3WNw/edit#slide=id.g24901083280_0_7242">Next Generation DevOps Deck</a>(w/ <a href="https://drive.google.com/file/d/1WACCqn6YuACLLF4YdHqjTABs3ULzJE5s/view">talk track</a>)</li>
    <li><a href="https://internal.gitlab.com/handbook/sales/command-of-the-message/trap-setting-questions/">Trap setting questions</a></li>
    <li><a href="https://page.gitlab.com/2021_eBook_leadershipCICD.html">How to convince leadership to adopt CI/CD EBook</a></li></ul></td>
  </tr>
  <tr>
    <td>Kickoff/Planning</td>
    <td><ul><li><a href="https://docs.google.com/presentation/d/1s22clsML0CLFx9ex-7y4TaTbS1NFC11YygSsj6Uy9kU/edit#slide=id.g123a13deda8_0_405">CI Rollout Strategy</a></li>
    <li><a href="https://docs.gitlab.com/ee/ci/migration/plan_a_migration.html">Planning a migration documentation</a></li></ul></td>
  </tr>
  <tr>
    <td>Migration</td>
    <td><ul><li><a href="https://about.gitlab.com/services/catalog/">PS Offerings</a></li>
    <li><a href="https://about.gitlab.com/blog/2023/11/01/jenkins-gitlab-ultimate-guide-to-modernizing-cicd-environment/">Jenkins to GitLab: The ultimate guide to modernizing your CI/CD environment</a></li>
    <li><a href="https://about.gitlab.com/services/catalog/">PS Offerings</a></li>
    <li>Migration guidance from 4 different CI tools (<a href="https://docs.gitlab.com/ee/ci/migration/bamboo.html">Bamboo</a>, <a href="https://docs.gitlab.com/ee/ci/migration/github_actions.html">GitHub Actions</a>, <a href="https://docs.gitlab.com/ee/ci/migration/jenkins.html">Jenkins</a>, <a href="https://docs.gitlab.com/ee/ci/migration/circleci.html">CircleCI</a>)</li></ul></td>
  </tr>
  <tr>
    <td>Enablement</td>
    <td><ul><li><a href="https://docs.google.com/presentation/d/12nax3mmhh7Y9o1SMXKhWNxYH_n55G2Vj8--UQbX13yw/edit#slide=id.g2936d5da52a_0_0">Jenkins to GitLab CSM Enablement</a></li>
    <li>CSM led <a href="/handbook/customer-success/csm/workshops/#currently-available-sessions">enablement sessions</a></li>
    <li>Hands-On Technical <a href="/handbook/solutions-architects/tools-and-resources/workshop/">Workshops</a></li>
    <li><a href="/handbook/customer-success/csm/segment/scale/webinar-calendar/#upcoming-webinars">Scale Webinars</a></li></ul></td>
  </tr>
</tbody>
</table>

## Discovery Questions

1. Robust list of initial discovery questions to help better understand the customer use case: [Public Handbook Page](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/ci/#discovery-questions)

## Quickstart Guides

1. Supplemental Resource: CI/CD Quickstart - Premium: [Public-Facing Page](https://gitlab.highspot.com/viewer/63bf4994dc979c98f1d3e832?)
   - To [create personalized Highspot Pitches using Styles and Templates](/handbook/sales/field-communications/gitlab-highspot/#how-to-create-pitches-using-existing-pitch-style-and-pitch-template-combos), refer to the following components:
     - **Premium version:**
       - [Pitch Template](https://gitlab.highspot.com/items/63cb7a037d574a107f4e6001?lfrm=srp.2)
       - [Pitch Style](https://gitlab.highspot.com/items/6389983b85763c84b2ed3b8d?lfrm=srp.1)
     - **Ultimate version:**
       - [Pitch Template](https://gitlab.highspot.com/items/64d9afedc17499f9125f9ca3?lfrm=srp.1)
       - [Pitch Style](https://gitlab.highspot.com/items/63ca2a7a7d574a620e8b41e0?lfrm=srp.0)
2. DevOps Solution Resource: Continous Integration: [Public Handbook Page](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/ci/#sample-discovery-questions)
3. CI Workshop Planning Overview: [Public Handbook Page](/handbook/customer-success/workshops/ci-workshop/)

## Migrating to GitLab

GitHub to GitLab

1. Blog: [Github to GitLab Migration Made Easy](https://about.gitlab.com/blog/2023/07/11/github-to-gitlab-migration-made-easy/)
1. GitHub Actions to GitLab: [Video](https://youtu.be/0Id5oMl1Kqs)  [Highspot link](https://gitlab.highspot.com/items/648a0479e3c34e922e251bcd?lfrm=shp.0)

Jenkins to GitLab

1. Docs page: 'How To' Overview: [Docs Page: Migrating from Jenkins](https://docs.gitlab.com/ee/ci/migration/jenkins.html)
1. Jenkins Integration demo (CS-Led): [CSM Demo: Jenkins Integration](https://gitlab.com/gitlab-learn-labs/webinars/cicd/jenkins-integration-demo)
1. Jenkins Discovery Questions: [Technical Customer Deep Dive](https://docs.google.com/document/d/1g0ftF3kSQ0_OUpvuM4WUseFUjd_iSsPXQoIqKR7Ledg/edit)

## Adoption Enablement

1. Intro to CI/CD (CSM-Led):
   - Customer-facing: [Public-Facing Deck](https://content.gitlab.com/viewer/64cadaf3b956a3a8474c08c1)
   - Internal: [Internal Highspot Link](https://gitlab.highspot.com/items/62d048f841caa8d7a595da82?lfrm=srp.2)

1. Advanced CI/CD (CSM-Led):
    - Customer-facing: [Public-Facing Deck](https://content.gitlab.com/viewer/64cadbda812416966124e21b)
    - Internal: [Internal Highspot Link](https://gitlab.highspot.com/items/62d16ab8ea03e5a65d81971f?lfrm=ssrp.4)

1. Standardizing CI/CD (CSM-Led):
    - Customer-facing: [Public-Facing Deck](https://content.gitlab.com/viewer/64d65e3dad012a41b89955cf)
    - Internal: [Internal Highspot Link](https://gitlab.highspot.com/items/64cd36766410d07b2f63136d)

1. Runner Overview: [Link to Deck](https://gitlab.highspot.com/items/64cadeb868936bb54ac9ce2f#)

1. Webinars (Informational & Hands-On):
     - [Monthly Webinar Calendar](/handbook/customer-success/csm/segment/scale/webinar-calendar/)

## Product Features or Enhancements Coming Soon That Will Accelerate CI setup and adoption

 1. CI Component Catalog: https://docs.gitlab.com/ee/ci/components/
    - Quick demo on how the CI Component Catalog Works [VIDEO](https://youtu.be/nijvYhAPKsM)
    - Epic outlining the business need and cusotomer pain point this catalog will solve: https://gitlab.com/groups/gitlab-org/-/epics/7462
    - Epic housing future feature enhancements: https://gitlab.com/groups/gitlab-org/-/epics/9897
