---
title: "CSM Manager Handbook"
description: "Field guide for CSM Managers on standard and recurring practices."
---

View the [CSM Handbook homepage](/handbook/customer-success/csm/) for additional CSM-related handbook pages.

---

## Purpose

This page provides an overview on relevant CSM leadership processes.

## CS Leadership

| Name | Region | Level | Team |
|---|---|---|---|
| [Sherrod Patching](/handbook/company/team/#spatching) | Global | VP | CS |
| [Ally Frusciano](/handbook/company/team/#afrusciano) | Global | Director | CSE |
| [Erica Sivak](/handbook/company/team/#esivak) | AMER | Senior Manager | CSE |
| [Oliver Falk](/handbook/company/team/#ofalk) | EMEA | Manager | CSE |
| [Catherine Ballantyne](/handbook/company/team/#cballantyne) | APJ | Director | CSM/E |
| [Kent Georgeson](/handbook/company/team/#kgeorgeson) | Global | Director | Success Services |
| [Sophie Pouliquen](/handbook/company/team/#spouliquen1) | AMER East | Senior Manager | CSM |
| [Chloe Whitestone](/handbook/company/team/#chloe) | AMER East | Manager | CSM |
| [Tiffany McAtee](/handbook/company/team/#tiffanymcatee.gitlab) | AMER East | Senior Manager | CSM |
| [Jamie Reid](/handbook/company/team/#jrreid) | AMER West | Manager | CSM |
| [Cedric Stapleton](/company/team/#c.stapleton) | AMER West | Manager | CSM |
| [Michael Leutz](/handbook/company/team/#mrleutz) | EMEA | Director | CSM |
| [Christina Souleles](/handbook/company/team/#csouleles) | DACH | Senior Manager | CSM |
| [Robert Clark](/handbook/company/team/#robclark14) | PubSec | Manager | CSM & CSE |
| [Steven Terhar](/handbook/company/team/#steveterhar) | PubSec | Manager | CSM & CSE |

## CSM Manager Responsibilities & Requirements

<table>
<thead>
  <tr>
    <th>Responsibility</th>
    <th>Context</th>
    <th>How We Measure</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td>Account Reviews in 1:1s (weekly)</td>
    <td><ul><li>Review CSM responsibilities, provide coaching and guidance on overcoming objections and challenges where needed</li><li>The structure of 1:1s generally follows the <a href="/handbook/customer-success/csm/csm-manager/#gainsightcustomer-review-in-directorcsm-manager-11-cadence">documented 1:1 cadence</a>. The manager updates their manager one week later, ensuring that successes and challenges are shared in a programmatic way across the leadership team</li><li>It is recommended that 1:1s are 45-60 minutes to adequately cover all agenda items</li></ul></td>
    <td>CSM/Manager shows a knowledgeable understanding of their book of business, and competency in CSM motion</td>
  </tr>
  <tr>
    <td>Reviews &amp; Coaching</td>
    <td><ul><li>It is important that the CSM manager is actively coaching their CSMs on the above requirements</li><li>Managers are encouraged to set time aside to review upcoming Customer call agendas, success plans, workshops and account health for coaching opportunities - see below for more detail on these reviews</li></ul></td>
    <td>Managers follow the <a href="/handbook/customer-success/csm/csm-manager/#customer-onboarding-review">review guidelines documented</a>, review outside of the 1:1 </td>
  </tr>
  <tr>
    <td>Call Reviews</td>
    <td><ul><li>For coaching, a CSM manager is to review CSM calls</li><li>It is encouraged that the CSM suggests the call for review, highlighting a call that went very well, or one in which there was a challenge, and talking through coaching would be of value to the CSM</li></ul></td>
    <td>1-2 calls per week (total) from Chorus for their team.</td>
  </tr>
  <tr>
    <td>Team development (quarterly)</td>
    <td><ul><li>The manager schedules an additional 1-hour sync to discuss their IDP and progress/obstacles</li><li>The CSM is responsible for building and maintaining this document in partnership with their manager</li><li>When a CSM is working towards a promotion, the promotion doc is built and collaborated on in partnership between the CSM and CSM manager. It is the manager's role to ensure the areas the CSM needs to develop to move towards the promotion are clear and articulated</li></ul></td>
    <td>An active IDP in place for every team member, reviewed on a quarterly basis</td>
  </tr>
  <tr>
    <td><a href="/handbook/customer-success/csm/escalations/">Escalations</a></td>
    <td>It is the role of the manager to understand <a href="/handbook/customer-success/csm/escalations/">the escalation process</a>, coach their CSM through it, and step in to assist in managing when the CSM is not getting the progress needed.</td>
    <td>Active manager participation in an escalation, including ensuring the update cadence is met and the teams are aligned</td>
  </tr>
</tbody>
</table>

## Review Processes

Below are some of the top processes to be performed by CSM Managers on a recurring cadence. The overall goal is to ensure the CSM Manager has a strong grasp on their team's group of customers through various data points (health, Support tickets, Onboarding objects, renewals, etc.). Resources such as Dashboards and videos are included for easy reference.

### Review Checklist

For CSM Managers, here is a short checklist to assist in the review:

- [Account assignment:](#account-assignment) Accounts have been reviewed and are assigned or are in review
- [Customer Onboarding:](#customer-onboarding-review) Customers in the Onboarding phase have been reviewed and onboarding status and notes are complete
- [Success Plans:](#success-plan-review) Customers have a Success Plan, it is being communicated with the customer, and the CSM is using it as the guiding document
- [At-Risk Customers:](#health-review-and-at-risk-customers) Health for all CSM-assigned accounts have been updated within the last month, and any accounts at-risk (Red, Yellow trending down) are being evaluated
- [Renewal Review:](#renewal-review) Upcoming customer renewals have been reviewed — the CSM has updated customer health and communicated with the SAE and SA for the upcoming renewal

### Account Assignment

Accounts are assigned at point of sale by the CSM Manager when a new Account in their region fits the criteria in [CSM Responsibilities and Services](/handbook/customer-success/csm/services/#csm-alignment).

When an Account meets the criteria, the following will happen:

- The CSM Manager assigns the CSM by populating the `CSM Name` field on the C360 account page in Gainsight (only managers have the ability to edit this field)
- Once the field has been updated with the CSM name, Gainsight will fire the onboarding playbook
- **If** the account meets the above criteria and the CSM is not assigned, Gainsight will fire a CTA (call to action) for the CSM manager asking them to assign the account.  Gainsight will then 'listen' for the CSM field to be populated and will fire the onboarding playbook once the field has been updated with the CSM name

While the SAE owns the transition-to-CSM aspect, the CSM Manager will then ensure the new account is assigned to a CSM and Onboarding has commenced.

#### Assignment Resources

- [Onboarding Handbook](/handbook/customer-success/csm/onboarding/)
- Gainsight Dashboard - **CS Leadership**

### Customer Onboarding Review

On a regular basis, the CSM Manager should review their team's active Onboarding plays. The Onboarding plays can be reviewed with each individual in one-on-one meetings. Onboarding is measured by the [time to value metrics](/handbook/customer-success/customer-success-vision/#time-to-value-kpis). Consider:

1. How many and which accounts are in onboarding?
2. What do Time to Value metrics look like?
3. After looking at the detail, what are areas we want to improve and areas to celebrate?

#### Onboarding Resources

- [Account Onboarding Handbook](/handbook/customer-success/csm/onboarding/)
- Gainsight Dashboard - **CSM Portfolio** or **Customer Onboarding**

#### KPI Tracking in Gainsight

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/Vm32wtRqkK8" title="Onboarding Metrics - Why and Where/How They Are Tracked - Gainsight" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

- **Time to engagement** is calculated by the addition of a timeline entry or type Cadence Call or Meeting.
- **Time to first value** uses license utilisation as a proxy for users actively using the platform with a threshold of 10%
  - Automatically calculated when Cloud Licensing turned on (*Note:* If Cloud Licensing is not enabled from the outset, this automation can cause invalid outliers, in this scenario manually correct)
  - Manually collected by the CSM in collaboration with the customer when License data isn't available
- **Time to onboard** is calculated by onboarding enablement complete *not* infrastructure ready

### Success Plan Review

On a regular basis the CSM Manager should review their team's [Success Plans](/handbook/customer-success/csm/success-plans/). At a minimum, the review should include:

1. What is the customer's documented strategy and is that aligned to why they bought?
1. Are all parties (SAE/AE, SA, CSM, customer) aligned on the stated goals?
1. If the objectives are met, are they in the customer's best interest?
1. Are the outcomes measurable (either as a deliverable or quantifiable)?
1. Is the customer on track to meet or exceed their business outcomes?
1. Are the next steps for demonstrating value defined and in place?

The CSM Manager should then work with their team to help the CSM drive up and demonstrate value to the customer.

#### Success Plan Resources

- [Success Plan Handbook](/handbook/customer-success/csm/success-plans/)
- Gainsight Dashboard - **CSM Portfolio** or **CS Leadership**

### Health Review and At-Risk Customers

On at least a monthly basis, review accounts within your region in preparation for a biweekly **At-Risk** call. This includes reviewing:

1. Gainsight dashboards for unhealthy accounts
   1. SFDC Reports on red accounts
   1. Gainsight at-risk comments per account

Details for all at-risk account should be captured in Gainsight using an `At-Risk Update` timeline entry. These updates are synced to Salesforce, and reports used to review at-risk accounts draw on these updates.

#### At-Risk Review Meetings

At-risk customer meetings are conducted on a regular basis across regions and at a global level. The table below provides an overview of the different meetings conducted.

| Region/Territory | Cadence | Roles |
|---|---|---|
| Global CSM | Weekly; alternating biweekly for EMEA and APAC friendly times | VP of Customer Success, VP of CSMs, CSM Regional Directors and/or Managers, Director of Renewals |
| AMER ENT West | Biweekly | CSM: Director, Managers; Sales: AVP, ASMs; Renewals: RM Manager |
| AMER ENT East | Biweekly | CSM: Director, Managers; Sales: AVP, ASMs; Renewals: RM Manager |
| AMER COM  | Weekly | CSM: Director, Managers; Sales: AVP, ASMs |
| EMEA COM  | Weekly | CSM: Director, Managers; Sales: AVP, ASMs |
| APAC  | Bi-Weekly | CSM: Manager; Sales: AVP, ENT & COM ASMs |
| Public Sector | Biweekly | VP of Customer Success, VP of Public Sector, Director of Customer Success, ASMs, CSM and Renewals Team Managers |

##### Purpose and output of at-risk review meetings

Regional at-risk review meetings are to ensure cross-functional alignment on at-risk accounts. The purpose of the meeting is:

- Align on the cause(s) of risk
- Determine what needs to be accomplished to resolve risk
- Agree on next steps & ownership of those actions

CSM Managers align with their team members about any agreed-upon action items or updates for customers, and those details are captured in an [At-Risk Update](/handbook/customer-success/csm/health-score-triage/#at-risk-timeline-entries) by the CSM, who will manage and coordinate the defined next steps.

#### Regional Review Agenda

The regional at-risk meetings use a specified format, to ensure consistent action & alignment on at-risk customers globally:

> For each cohort listed below, we will discuss the following details:
>
> - What is the primary driver of risk?
> - What do we need to accomplish to mitigate the risk?
> - Next steps & ownership
>
> **Customer Cohorts**
>
> 1. At-risk renewals in current FQ
> 1. At-risk renewals in next FQ
> 1. All At-risk customers above $100k ARR (any FQ)
> 1. Any other customers that warrant discussion outside of those groups
>
> **Reports for review**
>
> 1. [FQ At-Risk Accounts $100k ARR and Above](https://gitlab.my.salesforce.com/00OPL0000001spZ) [*Update linked report to one for your region*]

Update the date range for `Close Date` at the top of the report to view the relevant fiscal quarter. Doing it this way allows us to work from a single report across all relevant customer cohorts. The priority in this meeting is current FQ and next FQ, but as time permits other at-risk customers should be reviewed.

The CSM Manager(s) within the region should drive the meeting, in collaboration with the Renewal Manager leadership and ASMs as appropriate for each customer. Discussion and action should be driven by the Salesforce report for the region, working from `At-Risk Update` details and Renewal Manager notes.

### Renewal Review

At least twice-monthly the CSM Manager should review their region's dashboard for upcoming renewals and review questions such as:

1. Which renewals are coming this quarter?
1. Which renewals are coming in the next 2-3 quarters?
1. What is the health of the accounts?
1. Is the health of each account up to date?
1. Based on this analysis, what are my next steps for the customer's success and our Gross and Net Retention goals?

The CSM Manager should then work with their CSM to ensure collaboration with the GitLab team (SAE/AE, SA, and CSM) for a successful renewal.

This review also leads into the [regional review meeting](#regional-review-agenda) to ensure the right information and plans are documented.

### Commission Exception Review Process

#### Current Exception Process

1. Chatter - CSM Managers chatter VP of CSMs *and* Sales-comp for Pooled CSM Team updates and when approved it is processed by the sales team and  there is a reply to the manager
2. Deal Exceptions Spreadsheet - [FY23 Deal Exceptions/Accounts Requiring Review CSM](https://docs.google.com/spreadsheets/d/1BsA2Sas7LwtR6r8OY1O3T8cfKius6k_DFuKEXJWoX7U/edit#gid=1297618482) (INTERNAL ONLY) managers would explain deal exceptions mainly for renewal rate exceptions on this spreadsheet and get approval and then it is processed by the comp team

#### Future Exception Process

Moving to one exception process through SFDC chatter. Sales-comp is tagged on chatter for the required exception with the required approval. If it is a CSM pooled field change request then the comp team will process it and reply back on chatter. If it is a Renewal Rate/Growth ARR opportunity exception then the applicable exception checkbox is checked on the opportunity by the comp team and replied to the team by tagging the requestor. System team can help create a chatter report for the teams to view and this helps to collate all requests in one place.

## Renewal Resources

- [Renewal Review Handbook](/handbook/customer-success/csm/renewals/)
- [CSM Regional Dashboard](https://gitlab.my.salesforce.com/01Z4M000000slMT)
- Gainsight Dashboard

## Quarterly Business Review (QBR)

The CSM Manager is responsible for developing and delivering a [Quarterly Business Review](/handbook/sales/qbrs/) for their team each quarter.

[CSM Manager QBR details](/handbook/customer-success/csm/csm-manager/qbr/)

## Gainsight/Customer Review in Director/CSM Manager 1:1 Cadence

This is a suggested cadence that can be used by regional CSM managers in their weekly 1:1s with the CSM VP, and additionally used for other CSM Manager 1:1 meetings

`1st week` is defined as the first **full** week of the month.

1st week:

1. KPIs: nARR, renewal rate (async)
1. Team: Hiring, Career Dev, Risk
1. Customers: Escalations & Risk. SFDC Report: **At-Risk Customers**

2nd week:

1. KPIs: nARR, renewal rate (async)
1. Top 50 customer reveiw. Tableau Report, OR Gainsight Dashboard - **Customer Health** sort by ARR
1. OKR / Big Rock initiatives progress

3rd week:

1. KPIs: nARR, renewal rate (async)
1. Team: Hiring, Career Dev, Risk
1. Customers: Escalations & Risk. SFDC Report - **At-Risk Customers**

4th week:

1. KPIs: nARR, renewal rate (async)
1. Ultimate Customers. Sisence dashboard OR Gainsight Dashboard - **Use Case Adoption**
   1. Purchased last Qtr
   1. By ARR
1. OKR / Big Rock initiatives progress

## Annual Processes

### President's Club Calculations

President's Club criteria and processes are documented in the [GitLab internal handbook](https://internal.gitlab.com/handbook/sales/presidents-club/).

## Team Member Performance

Managers have the responsibility of evaluating and providing feedback on team member performance. We have resources available to help with this:

- [Individual FY Plan](https://docs.google.com/document/d/1Etn2bCNewGYe6BLv4VmrjuGfEqtxqzUk14f0geTaVBM/edit?usp=sharing): One-sheet outline of the key metrics & criteria for a team member to achieve in a given fiscal year, tailored to the team member. This is best used at the beginning of the fiscal year, assembled by the manager and discussed with the team member. Categories and metrics should be agreed upon by manager and team member, and performance against these reviewed regularly throughout the year.

### Promotion planning

The CSM Manager should provide regular coaching and guidance on where a CSM stands and how to fill any gaps before they are eligible to be promoted. When a CSM is ready for promotion, the CSM Manager should collaborate with the CSM on the [promotion document](/handbook/people-group/promotions-transfers/#planning). When building the doc, it is important to lead with the results the CSM has achieved, supported with links to content, issues, MRs, etc.
