---
title: "CSM OKRs"
description: "Field guide for CSMs on team OKRs"
---

For more information visit GitLabs [Objective and Key Results (OKRs)](/handbook/company/okrs/) page.

---

## Purpose

This page provides an overview of CSM team OKRs and the OKR process. The CSM teams use OKRs to empower the team and unlock the power of the [scenius](https://en.wiktionary.org/wiki/scenius).

OKRs should provide continuous strategic alignment with the business. Our Big Rocks are our annual OKRs and our quarterly OKRs contribute to them.

## Terminology

- **Objective:** The Mission
- **Key Results:** Measures of movement and behaviour
- **Initiatives:** Activities that we theorise will move the key results in a direction that brings us closer to achieving the Objective.

## Principles

OKRs Should be Inclusive (Segments, regions etc) and lean in to heavily into our [bias towards asynchronous contributions](/handbook/values/#bias-towards-asynchronous-communication).

### Objectives

- Outcome over output
- Inspirational and aspirational
- Avoid overlapping objectives
- Business aligned

### Key Results

- Measurable
- Standard format: `<Verb> <measure> from <x> to <y>`
- Leading and lagging measures
- No more than 3 to 5 Key Results per OKR

## Process

### Issue Board

For an overview of the current CSM OKRs, please see [CSM OKR issue board](https://gitlab.com/gitlab-com/customer-success/okrs/-/boards/5194678?label_name[]=CSM&label_name[]=FY24-Q1)

### Proposing OKRs

For new OKRs, please open an issue using the [CSM OKR issue template](https://gitlab.com/gitlab-com/customer-success/okrs/-/blob/master/.gitlab/issue_templates/CSM%20OKR.md).

### Lifecycle

#### In Draft

#### Under Review

#### Active

#### Closed

## OKR Schedule

The CSM OKR timeline is as follows:

| Quarter Start | Task |
| ------------- | ---- |
| 4 weeks out | VP shares top goals with leadership team for feedback |
| 4 weeks out | Leadership team collaboratively draft goals for next quarter and agree DRIs |
| 4 weeks out | Leadership team review current OKR status |
| 2 weeks out | Leadership team 50 minute draft review meeting. After, OKRs are put into GitLab and links are shared in #csm-updates Slack channel  |
| 2 weeks out | Leadership team discusses with their respective teams and polishes OKRs |
| 1 week out | Closing ceremony and playback of previous OKRs |
| 0  | Update OKRs to be active |
