---
title: "Meeting Shadowing"
---

View the [CSM Handbook homepage](/handbook/customer-success/csm/) for additional CSM-related handbook pages.

---

To learn how GitLab CSMs approach customer engagement and planning conversations, a new team member shadows an established, more senior member of the team in a variety of meetings and actions taken related to those meetings.

Senior members of the team should proactively invite new CSMs for shadowing and include them on any prep or follow up that takes place for the call. New CSMs should also feel empowered to reach out to various members of the global CSM team (not just their regional team) to ask to shadow and learn from them. The goal is to get exposure to different types of calls, relationships, ways of working, topics, etc., without the pressure of owning the accounts.

A new hired CSM should (ideally) shadow 2-3 calls with different CSMs from the same region (per week) for the first 2 months, beginning with week 2, to build up experience and knowledge to run customer facing calls. This will also help new CSMs understand processes like how we handle feature requests, product questions, emergency tickets, communication with other GitLab teams etc. The new hire should contact the onboarding buddy in SLACK for guidance on how to best set up the shadow calls within the region. The onboarding buddy is responsible for actively supporting the new hire getting shadow calls scheduled.

## Cadence calls

The [cadence call](/handbook/customer-success/csm/cadence-calls/) is a core element of the CSM's engagement with a customer. There are several elements involved in a cadence call beyond the call itself.

### Pre-call prep

It's important to prep for any customer calls in advance to ensure everyone is getting full value out of the synchronous time. To shadow pre-call prep, it involves both shadowing internal calls and shadowing CSMs 1:1 while they prepare.

- SALSATAM call
  - CSMs [meet regularly with each of their SAE/AE and SA teams](/handbook/customer-success/account-team/#account-team-meeting) to ensure they are in sync on their efforts to turn prospects into customers, and engagement with existing customers. A new team member will shadow account team meetings to learn about how they should be conducted.
- Creating [meeting agenda](/handbook/customer-success/csm/cadence-calls/#cadence-call-notes)
- Gathering required information for call (issue follow-ups, creating demos, reviewing gaps in Gainsight entries, etc.)
- Creating calendar invite (if needed)

### Customer call

A new team member will shadow cadence calls to learn how we conduct them live.

- Walking through agenda items
- Taking notes
  - The new CSM should take their own notes during the call, paying particular attention to follow-up items, business outcomes and other customer-stated goals and problems to solve, and questions or topics they're unsure of how to address themselves
  - The new CSM should debrief with the established CSM afterward to compare notes
- Answering questions
- Discuss open issues
- Any other items to touch on

### Post-call work

After a customer call ends, there are a number of follow-up items that the CSM does to ensure any action items or unresolved questions are addressed. The new team member should shadow any internal calls and shadow CSMs 1:1 while they do this work. The established CSM should be sure to copy and/or tag the new CSM on any correspondence they have in email, issues, or Slack to ensure the new CSM sees the full lifecycle.

- SALSATAM call and/or ad-hoc debrief
- [Gainsight](/handbook/customer-success/csm/gainsight/) entries (logging the call, updating CTAs, etc.)
- Gather items on areas you could not answer on the call
  - Create issues (if needed)
  - Talk to PMs (if needed)
  - Ask questions in Slack (if needed)
- Follow up with the customer on outstanding items

The [cadence call](/handbook/customer-success/csm/cadence-calls/) is a core element of the CSM's engagement with a customer. A new team member will shadow cadence calls to learn how we conduct them, and will be involved in the pre-call planning and post-call actions.

## Account team meetings

CSMs [meet regularly with each of their SAE/AE and SA teams](/handbook/customer-success/account-team/#account-team-meeting) to ensure they are in sync on their efforts to turn prospects into customers, and engagement with existing customers. A new team member will shadow account team meetings to learn about how they should be conducted.
