---
title: "DevSecOps Adoption Tracking in Gainsight"
description: "CSM guidance on how to track and log progress on DevSecOps usecase adoption"
---

## On This Page

## Gainsight Process for Tracking DevSecOps Adoption

YouTube Video (private - GitLab internal only) guiding CSMs on the Gainsight process: [How to create & correctly populate a DevSecOps objective & playbook](https://youtu.be/lL1HQTUTdiQ)

1. Immediately upon a net-new customer purchasing Ultimate or an existing Premium customer upgrading, [open an Objective and apply the DevSecOps Enablement Playbook in the customer's ROI success plan](/handbook/customer-success/csm/stage-enablement-and-expansion/#where-do-i-track-the-use-case-enablement-and-expansion).
1. Document *when* the customer intends to start implementing the security and compliance features (Rough date is fine) in the field created (bottom of CTA) *once* the CTA is opened ([see video](https://youtu.be/lL1HQTUTdiQ?t=62)).
1. Document the customer's intended use cases and desired business outcomes and align on an adoption roadmap within the success plan (per the playbook). This roadmap needs to include:
   - Why they bought ultimate (in the strategy section)
   - Objectives focused on implementation, with tasks that have timelines
   - Customer DRI listed in task
1. Begin taking the customer through the steps within the DevSecOps playbook, offering both an enablement session on the [Get Started Guide](https://docs.gitlab.com/ee/user/application_security/get-started-security.html) and on our [DevSecOps & Compliance Features and Best Practices](/handbook/customer-success/workshops/secure/).
1. If a customer is not able to move forward with the implementation
   - Change the status of the enablement CTA to 'blocked'
   - Record the date and reason for being blocked in the comments section
   - Continue to update the comments section as new information pertaining to the blocked state is learned
