---
title: "Strategies for Non-Engaged Customers"
---

Gainsight contains a playbook for non-engaged customers that *will* trigger if:

- The customer has had no engagement (no logged calls or meetings) in over 60 days AND is a priority 1 or 2 customer
- The customer has an onboarding CTA that has been open for over 90 days

This playbook is also available to be manually opened with the 'Risk' CTA Type.

The playbook contains the following steps:

## Playbook

1. Sync with SAE/AE on a reach-out strategy
   - CSM to day to day contacts
   - SAE to buyers /influencers/ anyone else they have relationships with
   - SDR to any contacts outside of our relationship
1. Create a compelling message (s) : Review objectives of the customer and fashion messaging for 'why' the customer should engage with us.  Consider the following:
   1. We know they are migrating from another platform, so offer training & enablement
   1. We know they are interested in xxx so reach out offering to discuss new feature yyy
   1. Review support tickets and build on any conversation that is happening to offer value
1. Create Triage Issue If no engagement in step 2 **(Escalation must occur if PR 1 + no engagement >90 days)**
   1. [Escalate via the triage issue](/handbook/customer-success/csm/health-score-triage/#gitlab-account-triage-project): At this point the tracking of engagement strategies will live in the Triage Issue. In this issue, loop in a more senior GitLab resource (decide level based on size of customer with CSM Manager) to reach out to someone on the customer side if still no response after 1 month.  Craft the email and provide any context on business objectives available to the GitLab senior resource.

## Additional strategies to consider

### List of sources to review

- SFDC activity history -> find any email responses from the customer about their projects or technical needs, and reply to those contacts asking if they were able to implement, and if they have questions.
- Zendesk tickets
- LinkedIn prospecting (best w/ Sales Navigator). Need to describe this process, how to find the right roles, and best practices for contacting them.
- Any known GitLab usernames, check for activity on issues. Try to follow-up to see if they implemented or found workarounds.
- Google docs meeting notes - look for any Positive Business Outcomes (PBOs) or Required Capabilities, or tech stack mentions.
- Previous Chorus meetings, find people and reasons to inquire if they were successful, ask for a meeting to see how we can help.
- SDRs to help prospect, and alert SAE/AE/SA/CSM on meetings or responses. CSM to give SDR pointers on relevant topics.
- If different from who we normally work with, contact economic buyer from license app or SFDC
- If large enough, ask exec group and board for networking/introductions
- Perform a news search for any major events such as acquisitions, layoffs, product launches

### Executive Reachout

#### Email Templates

##### Sample Email 1

Hi [XXX],

I hope this finds you well. As an introduction, my name is [YYY], and I lead the global customer success management (CSM) team here at GitLab.

I wanted to get in touch to see how your experience with GitLab has been over the past year, and to connect on how we can partner to further enable your teams on GitLab. You have available to you a number of workshops and enablement sessions on DevOps best practices that your CSM can facilitate - we are finding our customers are reaching maturity and finding value faster as a result of engaging their broader teams in these sessions.

How would a 30-minute call over the next couple of weeks work to connect on progress to date and look at how we can support you and your team moving forward?

Best,

[YYY]

##### Sample Email 2

Hello [XXX],

My name is [YYY], and I am the director of global customer success management (CSM) team at GitLab.

I wanted to touch base to see how your usage of GitLab is going and what your experience has been over the past [ZZZ] months. I understand your primary business driver is {a} which will help you achieve {b}. Your CSM can help enable your teams to drive this successfully across your organization.

We would love to have a call with you to work together to plan your continued success, and discuss any questions or concerns you may have.

Thank you, and we look forward to building our partnership with you!

Best,

[YYY]

### Additional Items

- Reach out at different times of day and days of the week
- Continue to reach out in staggered manner every 1-2 weeks
- Highlight what benefit they'll get out of the call (make it focused on them, not me)
- Show the value of a CSM, e.g. share new GitLab functionalities that might interest them and that we can share more relevant features once we know more about how they use GitLab
- Have something actionable and specific so they don't have to do as much work (e.g. instead of "when are you free for a call?", ask "are you available Thursday at 2?")
- Just schedule a call and see if they show up (works more often than not 🤷)
