---
title: "Engaging with Partners"
---

## Process for Engaging with Partners in CSM-Assigned Customer Accounts

[CSM-Assigned](/handbook/customer-success/csm/segment/) Customer Accounts

### Pre-Customer Kick-Off or 1st Engagement

1. GitLab Partner team introduces CSM & SAE/AE to Partner - ideally before sale closes to not slow down post-sales implementation

1. CSM and SAE/AE connects with Partner to align on the role the Partner will play post-sale.

   - If the Partner has an ongoing engagement with the customer, CSM & Partner to align on post-sale Kick-Off call, collaborating on the Kick-Off deck content and ownership/roles for the call

   - Determine if the Partner has planned ongoing cadence calls with the customers and how the CSM can best be included without creating duplication

   - Determine who will invite the customer to the Kick-Off Call

   - Determine agreed next steps from the Kick-Off call including agreement with customer of ongoing cadence of engagement

### Customer Onboarding

1. [GitLab's process and metrics for successful onboarding can be found here](/handbook/customer-success/csm/onboarding/#time-to-first-value).

1. CSM and Partner are to work together to ensure the best possible experience for the customer, while not impacting key metrics such as Time to Engage and Time to 1st Value wherever possible.

### Ongoing Cadence Calls

1. The CSM team follows these [guidelines in holding cadence calls with customers](/handbook/customer-success/csm/cadence-calls/). The CSM is to work with the Partner to align on how they can collaborate in regard to touchpoints with the customer, creating a seamless customer experience

### Executive Business Reviews (EBR)

1. The CSM holds an EBR with their customer around month 6 of each contract year, [the process for the EBR can be found here](/handbook/customer-success/csm/ebr/)

1. Prior to setting up any EBR, the CSM is to sync with the partners to determine who will invite the customer, and collaborate on the content taking into account the GitLab template and the strategic initiatives of the partner.

### Measuring Customer Health

1. The CSM has a series of [health scorecards](/handbook/customer-success/csm/health-score-triage/#gainsight-scorecard-attributes-and-calculations) by which a CSM can manage of the key indicators of risk within a customer account.

1. The CSM and Partner are recommended to review the health of the account on an agreed cadence, with the least being quarterly and the most being monthly.
