---
title: CSM FY23 Big Rocks
---

View the [CSM Handbook homepage](/handbook/customer-success/csm/) for additional CSM-related handbook pages.

---

## FY23 Goals (Big Rocks)

**Objective:**  Define the 3 'big rocks' to take on in FY23 with the overall goal of moving our team forwards.  These rocks need to move us forwards as a team and as individuals, enabling us to scale, be impactful, and be inspired/fulfilled in our roles.

**What are 'big rocks'?**
As outlined in [this article](https://www.forbes.com/sites/hillennevins/2020/01/21/what-are-your-big-rocks/?sh=191f218fae34), they are our priorities, our mission-critical objectives that we need to solve for in the coming year. We arrived at this list through CSM leadership discussions and final input from individual contributors.

### Big Rock 1: (Re)Define the CSM Role

[Epic](https://gitlab.com/groups/gitlab-com/customer-success/-/epics/77) (GitLab Internal-Only)

The goal of the CSM is to drive growth. However, the role of the CSM has become increasingly broad over the past few years, deterring from the growth conversation with customers.  As we have added more to the role (migration & infrastructure guidance, cross-functional escalation ownership, consultative support), the ability to focus as a CSM on growth has become increasingly challenging.

To continue to build a scalable CSM team focused on excellent customer experience and driving customer growth, we need to refine the role of the CSM.  This initiative will include what a CSM is and what a CSM is not.

Key areas of exploration:

1. Definition by CSM segment: High-touch, Mid-touch, Scale
1. Reducing overlap: Looping in of support/timing
1. Infrastructure conversations and ownership
1. Escalation improvements; streamlining

### Big Rock 2: Expertise in driving CI and DevSecOps adoption & expansion

[Epic](https://gitlab.com/groups/gitlab-com/customer-success/-/epics/78) (GitLab Internal-Only)

In FY22 we put considerable focus into use case expansion.  The team have developed a well-rounded understanding of the use cases, but have not been given the space needed to become experts in driving any one use case.  In FY23 we will seek to become experts in driving CI and DevSecOps expansion and maturity, knowing these use cases are the key drivers for customer stickiness and growth.

Key areas of exploration:

1. Iteration on playbooks
1. Supporting materials
1. Webinars
1. Digital enablement/expansion strategies
1. Reporting & visualization
1. Maturity scoring (customer)

### Big Rock 3: Deepen our customer engagement

[Epic](https://gitlab.com/groups/gitlab-com/customer-success/-/epics/79) (GitLab Internal-Only)

The CSM relationship with the customer has been architected primarily on engagement with GitLab admins, who are not responsible for platform adoption or business case value.  Due to the CSM being pigeon-holed into these admin conversations, we are often not engaging with the right people in order to ensure excellent customer experience, use case adoption and growth.  In FY23 we will seek to engage the development team leads and key users of the GitLab platform early and often, to ensure consistent growth strategies with our customers.

Key areas of exploration:

1. Expectation setting: from presales
1. Defining engagement strategies for target personas
1. Supporting content creation and digital programs
1. Exec sponsor program
1. User groups/customer forums
