---
title: "Using Gainsight as a CSM"
description: "The key aspects of how Customer Success Managers use Gainsight to drive success for customers."
---

*For an overview of Gainsight, and information about how to login, please refer to the [Gainsight Overview Page](/handbook/sales/gainsight/).*

## Gainsight for Customer Success Managers

CSMs use Gainsight for a multitude of purposes, including logging their customer calls, updating their call-to-actions (CTAs), updating success plans, and gaining insights on their customer's product usage data.

One of our CSMs created an [8 minute video](https://youtu.be/yk95b6u26So) (internal-only) of her workflow and how she integrates Gainsight into her day to day tasks to reduce the lift and ensure her accounts stay up to date.

The table below represents the steps a CSM would typically take in Gainsight. Please reference each handbook page for further information.

### Overview

- [Using Gainsight at GitLab](/handbook/sales/gainsight/)
- [Gainsight Dashboards](/handbook/customer-success/csm/gainsight/dashboards-overview)
- [Customer Programs](/handbook/sales/field-operations/customer-success-operations/cs-ops-programs/)
- [Sally the Slackbot](/handbook/customer-success/csm/gainsight/#sally-the-slack-bot)
- [Email Assist](/handbook/customer-success/csm/gainsight/#emails)

#### C360

- [C360 overview](/handbook/customer-success/csm/gainsight/c360-overview)
- [Account Engagement - Customer Prioritization](/handbook/customer-success/csm/engagement/#customer-prioritization)
- [NPS/CSAT](/handbook/sales/field-operations/customer-success-operations/cs-ops-programs/nps-csat-scores)
- [Customer contacts](/handbook/customer-success/csm/gainsight/#customer-contacts)

#### Timeline

- [Using Timeline](/handbook/customer-success/csm/gainsight/timeline/)
- [Cadence Calls](/handbook/customer-success/csm/cadence-calls/)
- [Customer Renewal Tracking - At-Risk Process](/handbook/customer-success/csm/renewals/#at-risk-process)

#### Calls to Action

- [Calls to Action (CTAs)](/handbook/customer-success/csm/gainsight/ctas/)
- [Executive Business Reviews (EBRs)](/handbook/customer-success/csm/ebr/#ebrs-in-gainsight)
- [Account Handoff CSM-to-CSM Checklist](/handbook/customer-success/csm/account-handoff/#account-handoff-cta)
- [Customer Renewal Tracking](/handbook/customer-success/csm/renewals/#timeframe)
- [Customer Renewal Tracking - At-Risk Process](/handbook/customer-success/csm/renewals/#at-risk-process)

#### Renewals

- [Customer Renewal Tracking](/handbook/customer-success/csm/renewals/#timeframe)
- [Customer Renewal Tracking - At-Risk Process](/handbook/customer-success/csm/renewals/#at-risk-process)

#### Success Plans

- [Success Plans](/handbook/customer-success/csm/success-plans/)
- [Account Engagement - E-Group Customer Calls](/handbook/customer-success/csm/engagement/#e-group-customer-calls)

#### Health Score

- [Use Case Adoption (definitions)](/handbook/customer-success/product-usage-data/use-case-adoption/)
- [Customer Health Scoring](/handbook/customer-success/customer-health-scoring/)
- [Customer Health Assessment and Management](/handbook/customer-success/csm/health-score-triage/)
- [License Utilization](/handbook/customer-success/product-usage-data/use-case-adoption/)

#### Adoption Score

- [CI Adoption Scoring](/handbook/customer-success/product-usage-data/maturity-scoring/#ci-adoption-scoring)
- [DevSecOps Adoption Scoring](/handbook/customer-success/product-usage-data/maturity-scoring/#devsecops-adoption-scoring)

#### Product Usage Data

- [Operational Data Vision Page](/handbook/customer-success/product-usage-data/#customer)
- [Using Product Usage Data in Gainsight](/handbook/customer-success/product-usage-data/using-product-usage-data-in-gainsight)
- [Product Usage Data FAQs](/handbook/customer-success/product-usage-data/using-product-usage-data-in-gainsight/)
- [Use Case Adoption (definitions)](/handbook/customer-success/product-usage-data/use-case-adoption/)
- [Customer Health Scoring](/handbook/customer-success/customer-health-scoring/)
- [Product Usage Data - Data Team](/handbook/enterprise-data/data-catalog/product-usage-data/)
- [License Utilization](/handbook/customer-success/product-usage-data/use-case-adoption/)
- [Maturity Scoring](/handbook/customer-success/product-usage-data/maturity-scoring/)
- [Product usage playbooks with usage metrics](/handbook/customer-success/product-usage-data/metrics-based-playbooks/)

#### Dashboard Metrics

- [Time to Value Metrics](/handbook/customer-success/csm/onboarding/#time-to-value-metrics)

#### Digital Customer Success Programs

- [Customer Programs](/handbook/sales/field-operations/customer-success-operations/cs-ops-programs/)
- [NPS/CSAT](/handbook/sales/field-operations/customer-success-operations/cs-ops-programs/nps-csat-scores)

#### Technical Documentation

- [Gainsight Technical Documentation](/handbook/sales/field-operations/customer-success-operations/gainsight/gainsight-gtm/)
- [Gainsight Administration](/handbook/sales/field-operations/customer-success-operations/gainsight/)
- [SalesForce and Zendesk Sync](/handbook/customer-success/csm/gainsight/#salesforce-and-zendesk-syncing)

#### Gainsight University

- [Gainsight End Users Learning path - Gainsight University](https://education.gainsight.com/app/learning_paths/86c4a373-8d89-4865-aa13-c1174364e8e9)

#### Video enablement

The videos listed here are internal to GitLab only. You will need to be logged in to the "GitLab Unfiltered" YouTube channel to access them.

- [Gainsight Overview and Demo](https://youtu.be/6NuyNSNipgc)
- [Gainsight Foundations](https://education.gainsight.com/gainsight-foundations-nxt-fka-101)
- [Gainsight Enablement 1](https://youtu.be/PL9shBdCMmo): health score, call logging, and creating a success plan
- [Gainsight CTAs](https://www.youtube.com/watch?v=qkjmTh3Qad4&feature=youtu.be)
- [Gainsight CSM Dashboard and Customer 360](https://www.youtube.com/watch?v=01IhQpSN2us&feature=youtu.be)
- [Gainsight Assist Gmail Plugin](https://www.youtube.com/watch?v=7_gPQv-CHHA&feature=youtu.be)
- [Gainsight Account Triage](https://drive.google.com/file/d/1-jM7j-tpY3kC6kZR4xjXS8iUPrkoBrn9/view)
- [Executive Business Reviews with Gainsight](https://www.youtube.com/watch?v=LE1aNw4OiHw&feature=youtu.be)
- [How a Gainsight CSM Uses Gainsight](https://education.gainsight.com/app/courses/1a7c70d2-804f-44c6-b378-3bd7e536ae82)
- [Using Gainsight in Account Team Meetings](https://youtu.be/gT_pz9PoHHg)
- [License Usage in Gainsight](https://youtu.be/ZqpmxoUy6EE)
- [Product Usage Data - Overview](https://youtu.be/5_J9Kfbu5JA)
- [At Risk Customer Video](https://www.youtube.com/watch?v=MQqfL3WT1zo)

### Sally the Slack bot

Sally is an AI powered Slack bot that allows you to log customer calls, update customer data, provide information on health scoring, current risks, and opportunities.

While only Gainsight users can make inquiries with Sally, if she is in a channel and requested for information, her response will be visible to everyone in the channel. As a result, unless you want everyone in the channel to see the information, it's recommended to chat with Sally in a direct message.

To get started with Sally, send her a message that says "help" and she'll let you know what she can do. For more information, see Gainsight's [suggested queries](https://support.gainsight.com/Gainsight_NXT/Sally_AI_Bot/FAQ/Sally_FAQs#What_queries_can_I_ask_Sally_today.3F) and other Sally [user guides](https://support.gainsight.com/Gainsight_NXT/Sally_AI_Bot/User_Guides).

When updating account information, be sure that you select the correct account. Some larger organizations can have multiple entries in Salesforce. Requested updates should be available immediately in Gainsight.

### Emails

Gainsight offers a semi-automated email feature called Email Assist, which is accessible to CSMs using Calls to action in the Cockpit. We recommend using Email Assist tasks when CSMs need more control over the scheduling and content of the email. A CSM will select the individual contacts to send the email to, and the email contents can be customized as needed.

A full list of available emails can be found in a GitLab-only [Google Doc](https://docs.google.com/document/d/1NSxAH_CynFMeHUo05_N_bsh0ZRg1xyV69174l15zYaI/edit?usp=sharing). In the future, we'll move this information to a GitLab project.

CSMs can send these emails to customers in one of two ways:

**1. Directly in Gainsight**: To send an email directly from Gainsight, create a basic CTA for the customer with the email subject/purpose. Once it's opened, click on the CTA, click the three vertical dots at the top right, then click "Send Email". Then choose the appropriate email template from the dropdown and fill in the recipient's email address and send.

**2. In Gmail through a Chrome extension**: Add the [Gainsight extension](https://chrome.google.com/webstore/detail/gainsight-assist/kbiepllbcbandmpckhoejbgcaddcpbno?hl=en-US) to your Google Chrome browser. Once added, to apply a template, open a blank email and click the "G" icon on the right sidebar, choose the template, and click "Apply template". Complete the email as normal. If a recipient's email address is in Gainsight under their account, it will auto-link any emails and update the account's timeline. See Gainsight's support article on [Email Assist](https://support.gainsight.com/Gainsight_NXT/Email_Assist) for more details.

Please note we recommend [BCCing Salesforce](/handbook/customer-success/using-salesforce-within-customer-success/#tracking-emails-within-salesforce) on all emails rather than syncing every email to Gainsight, although it is also possible to [BCC Gainsight](/handbook/customer-success/csm/gainsight/timeline/#bccing-emails).

## Salesforce and Zendesk syncing

Gainsight is synched with Salesforce so that everything that happens in Gainsight is pulled into Salesforce, allowing Salesforce to remain our SSOT but also allowing us to not have to duplicate information. Gainsight is also integrated and syncs with Zendesk so CSMs can view customer support tickets within Gainsight.

**Salesforce** syncs are queued at 12AM Pacific Time (7AM UTC). The full sync typically is completed by 4AM PT (11AM UTC). Note that "Last Activity Date" field syncs every two hours (based on "Call" or "Meeting" [activity type](/handbook/customer-success/csm/gainsight/timeline/)).

**Zendesk** syncs are queued to run every day at 12AM Pacific Time (7AM UTC).

If you see a data issue (e.g. account hierarchy, ARR, etc.), check if this is the same information that's in Salesforce. If so, use Salesforce chatter and at-mention `sales-support` with the items that need to be updated and/or reviewed. If the issue is specifically Gainsight and not sourced from Salesforce, pull in CS Ops.

For information on how we manage the backend data for Gainsight, please see our [Go-To-Market technical documentation handbook page](/handbook/sales/field-operations/sales-systems/gtm-technical-documentation/#gainsight).

### Updating fields

The `CSM Name` field in Gainsight indicates which CSM owns a specific account, and determines which accounts will appear for a CSM on dashboards, etc. This field syncs to the `Customer Success Manager` field in Salesforce. It can only be edited in Gainsight, and any changes to the field in Gainsight will sync over to Salesforce within one minute. If you see any discrepancies between these two fields in the two systems, please report to the CS Ops team.

`Account Owner`, `Solutions Architect`, `Renewal Date`, `ARR`, subscription and opportunity info, etc. are all updated in Salesforce and synced to Gainsight on a daily basis.

### Customer contacts

To add customer contacts to an account, you can add them in either Salesforce or Gainsight, as we utilize a bi-directional sync. It is good practice is to check that any customer contacts we engage with are in Gainsight for the following reasons:

1. When scheduling a meeting, they can be [logged in the meeting](/handbook/customer-success/csm/gainsight/timeline/).
1. If any of these contacts open a Support Ticket, we want it assigned to the account. The contact must be in SFDC for that to work.
1. When we send emails to contacts (monthly release, marketing, etc.), the contact needs to be loaded into Gainsight.
1. To share a Success Plan, they need to be a contact in Gainsight.
1. Sponsor Tracking component requires the contact to be in Gainsight.
