---
title: "CSM Dashboard Overview"
description: "An overview of the key CSM dashboards."
---

*For an overview of Gainsight, and information about how to login, please refer to the [Gainsight Overview Page](/handbook/sales/gainsight/).*

For an overview of how CSMs use Gainsight, please refer to the [Gainsight CSM Overview Page](/handbook/customer-success/csm/gainsight)

## Gainsight dashboard

When logging in, CSMs will begin on their dashboard. Gainsight's homepage will show a "My Portfolio" Dashboard which is a full list and overview of each CSM's customers. This dashboard defaults to show the book of business for the current user but can be filtered and configured in a variety of ways to view the information for specific CSMs, teams, etc.

This view is likely to be a CSM's most-frequented page, as it shows a summary of their entire book of business, including last activity dates, health scores, at-risk customers, [upcoming renewals](/handbook/customer-success/csm/renewals/), stage adoption statistics, and more.

There are also other dashboards available to CSMs to look at, including the CS Leadership Dashboard which reviews aspects of all CSM-supported accounts.

When hovering on the far left of the screen, a sidebar will pop up that has a few options:

- Home - you're here!
- Timeline - this [Timeline](/handbook/customer-success/csm/gainsight/timeline/#timeline-view) view shows all customers, rather than an individual customer which can be found on a [Customer 360](/handbook/customer-success/csm/gainsight/#customer-360).
- Cockpit - the Cockpit is where [CTAs](/handbook/customer-success/csm/gainsight/ctas/) live; this Cockpit view shows all CTAs for all of your customers, including success plan objectives.

### Further detail on specific dashboards

1. [CSM Burn-Down Dashboard](/handbook/customer-success/csm/gainsight/dashboards/#csm-burn-down-dashboard)
1. [CSM Key Metrics Dashboard](/handbook/customer-success/csm/gainsight/dashboards/#csm-key-metrics-dashboard)
