---
title: "Using Issue Prioritization Dashboard as a CSM"
description: "The key aspects of how Customer Success Managers use Sisense Issue Prioritization Dashboard to drive success for customers."
---

The Customer Prioritization Framework is currently an MVC and in its initial pilot phase.** Work in progress can be seen on the [WG:Prioritization Framework issue board](https://gitlab.com/groups/gitlab-com/-/boards/2086332?label_name[]=wg%3Aprioritization%20framework). For any questions or to collaborate, feel reach out to DRI `@gweaver` or join the [ongoing bi-weekly sync](https://docs.google.com/document/d/1oBWNxBSOJKrh3ubHwN5pI8243vBjJ-Y_Cax17A5abII/)

---

## Dashboard

The [issue prioritization dashboard](https://app.periscopedata.com/app/gitlab:safe-intermediate-dashboard/970772/User-Request-Issue-Prioritization---CSM-Customer-View) is located in Sisense. The data is aggregated from the [feedback template](/handbook/product/product-management/#feedback-template) used when a customer or prospect has expressed interest in a feature.

## How CSMs use the dashboard

You can filter dashboard by Customer Success Manager. This will give you all customer requested issues for a CSMs book of business. You can also filter dashboard by a specific customer or prospect. This will give you a customer specific view of their requested issues.

### Cadence Calls

Utilize the `Recently Opened` and `Recently Closed` dashboard views during your customer cadence calls.

In the `Recently Opened` view, CSMs can confirm a customer requested issue has been prioritized by referencing the `Deliverable` column.

In the `Recently Closed` view, CSMs can share the recently released feature requests the customer has interest in. This can help drive frequency of GitLab upgrades.

### Executive Business Reviews

Utilize the `Customer Drill Down` section during Executive Business Reviews to highlight trends in a customers specific feature requests. The `Open User Requests` view shows trends of how many open and closed requests the customer has. The `Open User Requests by Issue/Epic Type` shows trends of feature requests and bug fixes.

### Top Issues/Epics

Customers will often ask "Are we the only customer interested in this feature?". To answer this, utilize the `Top Issues/Epics Product Groups For` section. This will give you a view of the most requested issues at GitLab.
