---
title: "CSM Paid Time Off"
---

View the [CSM Handbook homepage](/handbook/customer-success/csm/) for additional CSM-related handbook pages.

---

As part of GitLab's [paid time off policy](/handbook/people-group/paid-time-off/), team members are encouraged to take time off. However, as customer-facing team members this can feel difficult, so this page is intended to help guide CSMs to ensure they can regularly take time off, avoid burnout, and keep their customers successful.

## Before you go

To take PTO, please follow the guidelines in the [PTO policy](/handbook/people-group/paid-time-off/) and be sure to enter your time off in Time Off by Deel.

Before your PTO begins, please follow these additional guidelines:

1. [Establish coverage](#establish-coverage) for when you'll be out.
1. [Communicate](#communicate-your-time-off-plan-to-colleagues) your time off to colleagues.
1. [Notify customers](#notify-customers-and-make-necessary-changes) and adjust plans as necessary.
1. [Set up your email autoresponder](#email-templates).
1. Review our [PTO communication guidelines](/handbook/people-group/paid-time-off/#communicating-your-time-off).

## Establish Coverage

When a CSM is out of office, they can rely on their SAEs/AEs and/or SAs to lead customer meetings or respond to requests. Make sure your account teams know in advance that you'll be out and for how long so they can be prepared.

You can ask [another CSM](#backup-csms) to cover for you as well, but they likely don't have the same context as the account team, so you'll need to brief them on any important initiatives.

For any specific customer needs (escalating tickets, logging issues, etc.), the CSM should rely on either the SA or backup CSM, and higher-level or sales-related items should be handled by the SAE/AE.

Be sure to confirm with whoever will be covering for you the dates you'll be out to ensure they don't also have PTO scheduled or other conflicts. Then, add them and their coverage responsibilities into Time Off by Deel.

### Backup CSMs

Backup CSMs should not be expected to support the entire book of business of the vacationing CSM; however, they should stay abreast of what is going on with those accounts during the coverage period. For example, you should respond to any customers that reach out to you, but it's also recommended to spend 5 minutes each day of coverage checking if the CSM has been pinged in either Slack or in GitLab.com [collaboration projects](/handbook/customer-success/csm/engagement/). Here are some tips on how to do this quickly and easily:

Slack:

1. Use the search bar and search the person's name, then review any pings they may have gotten and answer appropriately.
1. Alternatively, to automatically be notified if the CSM is pinged, click on `GitLab` at the top left of your Slack, go to `Preferences`, and enter the CSM's Slack handle in the `My keywords` box. (Remember to remove this when they return!)

GitLab.com:

1. To see what pings the CSM has received, go to GitLab.com and in the search bar search the CSM's GitLab handle.
1. Then, filter by issues and sort by descending creation date and review any new issues.
1. If you're familiar with what accounts the CSM has, you can also go to the region's [collaboration project group](https://gitlab.com/gitlab-com/account-management), go to the issue list, sort by descending creation date, and review if any new issues have been opened in their customers' projects. This is useful to catch things if the customer does not tag the CSM but is not an expectation.

Please note that while any simple questions or requests should be answered when possible, if it's more complicated or will require more work than you are able to do, please still comment in response to the customer letting them know that their CSM is on PTO and will return on X date. This way, the customer has an update and an idea of when they might expect an answer. This is especially helpful on GitLab.com as there is no native out of office responder.

Time Off by Deel will ping you the day before the CSM returns. Be sure to let the CSM know about any requests or situations that occurred when they return so they can follow up, as well as any actions you took while they were out.

#### Americas East PTO Buddy Program

As of July 2021, the Americas East CSM team is trialing a program where each CSM is paired with another CSM to be each other's regular PTO backup. The goal of this program is to allow the CSM's customers to become familiar with the backup CSM so they feel like they can rely on them, as well as to allow the backup CSM to become familiar with the customers so they can better cover any ongoing or new initiatives.

Additionally, it removes the uncertainty of having to ask the wider team if anyone is available to cover for them. It will also allow SAs to focus on SA work, as they should typically only be involved in pre-sales motions, and as such they may not even have more background on current customer initiatives than a backup CSM would.

Hopefully as an additional benefit, CSMs will have more exposure to how other team members work and what challenges and initiatives customers have, which will improve our team's efficiency and diversity of thought.

As the East team continues to trial this program, they will share feedback and insights to the wider CSM organization.

## Communicate your time off plan to colleagues

In accordance with our ["no ask, must tell"](/handbook/people-group/paid-time-off/#a-gitlab-team-members-guide-to-time-off) policy, ensure that you are informing the relevant team members of your out-of-office plan. This includes:

- SAE/AE and SA for the accounts you cover
- [Backup CSM](#backup-csms)
- Your manager (via Time Off by Deel)

Please ensure that everyone knows about the following items during your scheduled PTO:

- Customer meetings
- Ongoing initiatives that will need attention
- Who will be responsible for different types of customer communication (e.g. technical issues, license concerns, etc.)

## Notify customers and make necessary changes

Reach out to all of your customers to inform them of your upcoming time off, and who will be covering their account while you are away. Preferably this should be done during the cadence call prior to your PTO starting and [reiterated with a follow-up email](#email-templates), but if that is not possible then [send an email with all of the relevant details](#email-templates).

If a cadence call falls during your PTO, you can decide to either cancel or reschedule. If there is an emergency or the call cannot be moved, the people covering for you should lead the call. It is the CSM's responsibility to prep in advance whomever will lead the call.

## Email templates

To simplify communicating out of office details to customers, [email templates are available](https://gitlab.com/gitlab-com/customer-success/csm/-/wikis/Out-of-Office-Email-Templates). These ensure that all of the relevant information is provided. Please use these as guidance for your customer communication when OOO.
