---
title: "Oliver Falk's README"
---

## Oliver Falk's README

**Oliver Falk, Manager, Customer Success Engineering, EMEA**

This page is intended to help others understand what it might be like to work with me, especially people who haven't worked with me before.

It's also a well-intentioned effort at building some trust by being intentionally vulnerable, and to share my ideas of a good working relationship to reduce the anxiety of people who might be on my team.

Please feel free to contribute to this page by opening a merge request.

## Related pages

- [https://about.me/ofalk](https://about.me/ofalk)

## About me

I started with Linux a very long time ago, somewhere in the 90ties. I've been in various roles in IT, including being a systems administrator, DevOps engineer (before the term was even coined), CTO. A few years ago I decided (again) to look into people management and I completely felt in love with the topic of Customer Success, modern work, remote work and leadership.

I'm a father of twins (born 2006), a boy, Paul and a girl, Marlene. I'm married the second time and my daughter lives with me, while my son decided to live with his mother.

I grew up in Vienna and even if I keep hearing from tourists how wonderful the city is, I'd never consider going back. I love nature and the (more) silent countryside.

## How you can help me

Some people call me *utopist* and I'm easily trapped sharing my vision of the future, please stop me and keep me to the point if necessary! I don't know if it's related, but I tend to kick off things; I even love getting projects and initiatives started and participate for a while, but in some cases I lack endurance to bring it over the finish line.

- Feedback is a gift!
  - Give feedback on my ideas/visions.
  - Openly share your feedback about positive and negative behavior.
- I su** at organizing events (even smaller rounds or reserving a table somewhere). I'm pretty sure this is something I *could* change, but I simply don't enjoy it.

I guess this isn't an exhaustive list and I'll try to enhance it in future. If you recognize anything that is missing here, I'm happy if you help me extending it!

## My working style

- Interaction in written form, asynchronously is definitely working best for me.
- If you're using abbreviations, please never assume others know what you mean. In my opinion (IMO), it works best if you write it out and add the abbreviation in parenthesis, so you can use it later in the text. But your mileage may vary (YMMV). Point is: Esp. TLAs (Three Letter Acronyms) are heavily overused these days and very often mean different things in different context. You want an example? Talk to me about a very confusing mail exchange I had about 'TAM'.
- Customer Success changed my life and I see the work different now, for me it became a passion that I'm very willing to keep pursuing and I'm not getting tired talking about it.
- I love numbers and statistics, but I'm maybe not the best in creating amazing graphs. Anyway, numbers and statistics always require context and explanation.

## What I assume about others

- I assume best/positive intend by everyone, unless proven otherwise.
- I believe in a growth mindset and people who are not willing to grow may find it difficult working with me.
- DIB (Diversity, Inclusion and Belonging) are important for me and I actively try to turn down any biases that I've learned in my life, I expect you hold these values up high as well!
- Open, honest, candid feedback is appreciated. Don't try to sugar coat the feedback or try to be diplomatic. Don't forget: Feedback should be about behavior, not about personal traits.

## What I want to earn

I'm always eager to learn about our customers, their challenges, their business goals, patterns across or in specific verticals. I'm pretty sure I haven't even seen the tip of the iceberg yet when it comes to different ways of using our DevSecOps platform, GitLab. I'm curious to see what works, what doesn't, what common (yes, I try to avoid best here) pr are.

Trust is built up over time, but I want to earn your trust. I do appreciate it if you extend trust and give a bit of trust in advance if possible.

## Communicating with me

- Quick text messages on Slack work best - I love async communication (avoid [naked pings](https://blogs.gnome.org/markmc/2014/02/20/naked-pings/))
- Longer dialogs are preferably carried out via a video conference (ie. Slack Huddle, Zoom, or Google Meet)
- I tend to answer rather quickly on Slack (as an instant messaging platform), but you get no SLA on mails.
- Phone is generally discouraged, but in case something is super-urgent and needs my immediate attention, phone is fine of course. I may not have your phone number saved; Giving a heads up via SMS is therefore appreciated.

- Be as precise as possible about the expectations when reaching out. Let me know if you're searching for advise, just want someone to listen, looking for feedback, go into a coaching session, etc. And stop me if we divert from the goal/objective set. Push on an additional call with me.
