---
title: "Customer Renewal Tracking"
description: "The Renewals team at GitLab is a part of the Customer Success department."
---

View the [CSM Handbook homepage](/handbook/customer-success/csm/) for additional CSM-related handbook pages.

Link to [Commercial Renewal Process](/handbook/customer-success/comm-sales/renewals/)

## Overview

A key part of the customer relationship lifecycle is the renewal phase. CSMs must proactively track the renewal dates of their customers and align with their Account Executive (AE) to ensure that a customer renewal takes place.

## Timeframe

4 months before the renewal date for a customer, a CTA will trigger in Gainsight to prompt the CSM to reach out to their aligned account team to discuss strategy and next steps for the renewal. The expectation is that the team will meet internally and speak with the customer regarding the renewal within the following 30 days. This leaves three months to execute any renewal strategy, such as an account triage.

## Renewal playbook steps

1. Confirm the renewal DRI
1. Renewal Review: Internal sync with SAE/AE and potentially SA as defined below
1. 'Soft' renewal question asked by CSM
1. Update `CSM Sentiment` as appropriate

Once the above tasks are complete, the playbook and CTA can be closed out as all actionable items have been performed.

## Confirm the renewal DRI

For tier 0, 1 and 2 renewals a renewals manager is involved.  For the level of ownership the renewals manager takes per tier, please see this [tiering section from the renewals manager handbook page](/handbook/customer-success/renewals-managers/how/#opportunity-tiering).

To determine what tier a renewal opportunity falls within, the CSM can reference the 'Renewal Ownership' field in the Opp, in the 'Opportunity Detail' section.

## Renewal review meeting - internal sync

A renewal review meeting should have the following attendees:

- Renewal DRI (AE or RM)
- Customer Success Manager
- Solutions Architect, if an upsell is being discussed

For CSMs with larger books of business, it is appropriate to update an AE or SAE async that they are going to ask the soft renewal question in their next sync, to ensure they are aligned with other conversations that are ensuing.

## `Soft` renewal question

The CSM will ask the initial renewal question, this should be a ['soft'](https://www.mbaskool.com/business-concepts/marketing-and-strategy-terms/7214-soft-fact-questions.html) question to see if there is any risk in the account and to provide time to mitigate any risk.  An example of this soft question is, "I know you have your renewal coming up in the next few months - how are you feeling about the renewal currently, and are there any changes you are considering that we can prepare for?"

Another good approach is to align this renewal conversation with the customer's budget rounds, typically happening mid-year (june/july). You can then ask the customer if they have foreseen in budget for GitLab Licenses in their next fiscal year.

If the customer indicates any risk of contraction or churn in this conversation, the [CSM sets the CSM Sentiment field to red](/handbook/customer-success/csm/health-score-triage/#red), which then overrides the 'Overall Health' field to red also.

It's important that the CSM asks this question no later than the 30-day window from when the CTA is automatically opened:

- If risk is indicated, 3 months can be enough time remaining to make a meaningful change to outcomes
- If a renewals manager is involved, they will be reaching out the customer about the renewal itself, 10 weeks before the renewal. Being informed, at this time, of renewal risk, will make our approach much more sensitive to the customer scenario.

If the status of the renewal is already known (renewal conversation with SAE or AE has happened, negotiations or contract is in-flight), the CSM can close the renewal CTA selecting the appropriate close reason.

## Renewal plan

The action items created from the "Renewal Review" meeting should be incorporated into the CSM customer cadence meetings and into any pending QBRs. The actual renewal plan will be documented by the renewal DRI in the opportunity within Salesforce.

## Tracking renewal risk

Please see [Customer Health Assessment and Management](/handbook/customer-success/csm/health-score-triage/)

## Related Processes

[Customer Success Escalations Process](/handbook/customer-success/csm/escalations/)
