---
title: "FY25 CS Retrospective Program"
---

## Retrospectives

## Program Objective

The objective of this retrospective program is to facilitate a structured and collaborative process for reflecting on accounts where significant churn or risk is present, identify areas for improvement, implementing actionable changes to enhance future performance and share learnings across the organization.

## Scope

As a part of our retrospective process, when there is significant churn or risk to a customer account, the Customer Success Manager should own the retrospective process and align with their sales (AE/ASM), Solutions Architect (SA), Professional Services (PS) or Renewals Manager (RM) partners throughout. The goal of the retrospective is to talk through what went well, what didn’t go well, and what can be improved for next time.

**Deals to Consider:**

1. Customer Ultimate Downgrade
2. GitHub Competitive Loss
3. Complex or Non-Standard Commercial Terms
4. Risk Intervention Wins/Losses
5. Account Management Challenges
6. Growth Market Wins/Losses
7. Technical Product Challenges or Gaps
8. New Process or Plays Wins/Losses

## Guiding Principles

In order to generate the best results from a retrospective we must embody GitLab's [CREDIT values](/handbook/values/#:~:text=values%20at%20GitLab-,CREDIT,they%20are%20made%20actionable%20below.) and the following elements must be present:

1. A safe environment for feedback
2. A plan for advancing discussion from facts to conclusions

Although this retrospective program is predominately performed async it's critical that all parties agree and acknowledge that no one person is at fault and that a successful outcome is tied to learning and taking action to better address challenges or opportunities in the future.

## Establishing a Safe Environment

Retrospectives are inherently conversations about what went well and what didn’t go well when discussing churn or risk. While it’s easy to talk about what went well, what didn’t go well can be a touchy subject. Without a safe environment, issues may go unmentioned, and the team won’t improve as rapidly as they otherwise could. To collect as much feedback as possible, we recommend that you observe the following:

1. **All retrospectives should have an impartial moderator.** This moderator actively attempts to remain objective and is focused on guiding the conversation forward throughout the meeting. If participants feel that the moderator has a stake in the conversation, they may feel as though it is not safe to voice dissent or share concerns.

    Normally a manager should act as this moderator. In some circumstances, the moderator may feel a strong need or desire to participate in the conversation. In that case, they should make it clear that their participation is as an individual participant, not as the moderator. If the moderator wants to take a very active role in the discussion, they should find a peer, Director, or other member of the group willing to moderate.

2. **Emotions are not only allowed in retrospectives, but they should also be encouraged.** Emotional language (“I was angry when…,” “It made me sad that…”) not only helps convey intensity, it also helps expose issues that may have been difficult to sort out otherwise. Make sure all participants know they are free to express their feelings, although we do expect them to stay consistent with our values.
3. **When possible, all parties should be present.** No one should have to worry about sharing concerns or experiences because another party isn’t there to represent their side of the story. This includes stakeholders from any team, where necessary - if someone’s role or contributions are going to be discussed, they should have the opportunity to contribute to the retrospective as well.

4. **Use an issue to collect feedback asynchronously.** Consider using the retro template to collect feedback asynchronously. This allows everyone involved to think about and record their feedback on their own time. Please tag the appropriate team members within the template to add their comments prior to the sync meeting.

5. **Schedule Sync meeting.** After a particularly difficult churn or risk situation, or when there’s a strong risk that emotions will be running high, it’s almost always worth the cost to have everyone in a video meeting to talk through the retrospective in real-time. The CSM should schedule the retro with their manager included as well as sales, PS, SA, RM, etc involved with the customer.

## Having a Plan

It’s easy for retrospectives to go off the rails if there isn’t a good plan for collecting actionable insights. If the moderator doesn’t guide the conversation successfully, the retrospective could be dominated by a few “loud voices” or could stay focused on the facts and feelings about the past iteration without drawing any conclusions. To make sure the conversation is productive, we recommend that **you have a clear agenda for the conversation**. The moderator for the retrospective is then responsible for ensuring the agenda is followed and completed. While the specific nature of this agenda will vary from group to group, we recommend something that follows this general pattern:

1. **Introduction** - Remind people of the purpose of the retrospective, and that the conversation should be scoped to the churn/risk situation under review. Ensure everyone understands the rest of the agenda.

2. **Gather data** - Don’t try to draw any conclusions up front, simply collect facts. This can be done via the [Restrospective Template](https://docs.google.com/presentation/d/1LWt6W3DeLHpyreP6BkZQDlh8VB0yim7Zz090V3mM1i0/edit#slide=id.g12b319f6181_0_0) by soliciting themes and adding context.

3. **Generate insights** - Now that you have all of the facts, try to work together to identify patterns or causal relationships (because we did x, y happened).

4. **Decide what to do** - With the insights firmly in hand, it should be fairly easy to identify action items for the team. This could be things to change with our process, it could be things to experiment with, or any other number of things. Coming out of a retro, it should be clear on next steps and who own those.

5. **Close the retrospective** - Make sure everyone who participated receives positive feedback about how they helped create these results. Observe any surprising or unexpected results from the retrospective, which confirms that the retrospective was valuable. Make sure all of the action items are appropriately assigned to one or more group members with clear expectations for when they should be completed.

### Learnings and Recommendations

Learnings from each retrospective will be reviewed and shared via the CS Key Reviews and QBRs along with recommendations to improve risk identification, mitigation or our products.
