---
title: "Roleplay Scenarios"
description: "This handbook page collects links to all roleplaying scenarios, for CSMs to utilize to improve their conversations and enable them to be audible-ready."
---

View the [CSM Handbook homepage](/handbook/customer-success/csm/) for additional CSM-related handbook pages.

---

## Roleplay Scenarios

- [Success planning](/handbook/customer-success/csm/success-plans/) and uncovering strategic goals
  - "Ticklish Licorice" scenario
    - [Customer info sheet](https://docs.google.com/document/d/19YWLSP6Kol5WwP83I01CSnbCwvdMUa6LXsiihOTNItI/edit#heading=h.qiwberg2gd4s)
    - [CSM info sheet](https://docs.google.com/document/d/1Jmkmz3cw4sFQdwfAw-hMd4HnhIjxW5pEumKstq0laiI/edit)
    - This scenario can be done 1:1 where the person acting as the customer can choose to be George or Alicia, but this scenario can be extra impactful in a group setting with multiple people acting as different customer personas.
  - "Green Grass Medical" scenario
    - [Background info](https://gitlab.edcast.com/pathways/tam-building-success-plans/cards/922704)
    - This roleplay is part of the "CSM Building Success Plans" EdCast course
- [Stage expansion](/handbook/customer-success/csm/stage-enablement-and-expansion/)
  - Secure
    - [Customer info sheet](https://docs.google.com/document/d/1F1nMI42KaYR_NRWvH2fodtIaPDgYdNBt4h0VQ35uO_8/edit#heading=h.fk9zhpvfaoqp)
    - [CSM info sheet](https://docs.google.com/document/d/1ol-AV5LyQui_Lnfmw-qK_MRER1IFxT8TQLL3EANxURk/edit)
  - Verify
    - [Customer info sheet](https://docs.google.com/document/d/1Fug5zPRWq7d4uI_LB9tbOpAlc6LyvFni8r1vso5v4zU/edit#heading=h.33lge147o998)
    - [CSM info sheet](https://docs.google.com/document/d/1qANBR2mO7SiGxfcT67QgR3R3TZ2R1kM5EOPgjCmaEFg/edit)
- Booking an [EBR](/handbook/customer-success/csm/ebr/)
  - [Customer info sheet](https://docs.google.com/document/d/1XLtbKE86DjrDizUhIn7PNgBrZ6YEtxyLHWqP8L7cVQg/edit#heading=h.xo4jqesngott)
  - [CSM info sheet](https://docs.google.com/document/d/1Mf1DoEDIZa7bq0eK02gPo3jy1YF0bEgbgbJYQlZf3Qc/edit#)
- [Onboarding](/handbook/customer-success/csm/onboarding/)/customer kickoffs
  - Kickoff
    - [Rubric](https://docs.google.com/forms/d/e/1FAIpQLSeZgqf6cU0rR0wvoOneGGh0jNaC0PXCzN5TEf_IBbBn80VxfQ/viewform)
      - Part of [Sales Quick Start](/handbook/sales/onboarding/)
    - TODO build scenario and roles
- Pre-sales
  - [Command of the Message](/handbook/sales/command-of-the-message/)
    - Part of [Sales Quick Start](/handbook/sales/onboarding/)
    - [Buyer info sheet](https://docs.google.com/document/d/1Zuy4z2YHZR0GXdQB_zexiknDKllgRab59wFWj3kpVnU/edit)
    - [Seller info sheet](https://docs.google.com/document/d/1jwLo3GYA81VNcXg7vHTRF7iMkF7YihV7a362yPtZx0o/edit)

### Customer Personas

These role-play scenarios are designed to practice identifying and gaining access to people in the listed [personas](/handbook/customer-success/csm/engagement#customer-personas).

#### Development Lead or Other Stakeholder

The defined persona for [somebody in a leadership role within the customer's development or engineering department](/handbook/customer-success/csm/engagement#development-lead).

- [CSM role](https://docs.google.com/document/d/14UFM4x6Q1QWymydyTWryokHhEXlOvqjyGEhqtXa6ZDA/edit?usp=sharing)
- [Customer role](https://docs.google.com/document/d/1o8IjSdwLe1ZVfI4bsUYrRdDgXGs7e56vz2vhJAYpI2A/edit?usp=sharing)
- [Post-scenario review](https://docs.google.com/document/d/1kzRyNXx-HyZxrjNY-pxCEkd5hUWd1O5ZwZCWRrbNkuI/edit?usp=sharing)

#### Software Security Lead

The defined persona for [somebody responsible for a customer's application security](/handbook/customer-success/csm/engagement#software-security-lead).

- [CSM role](https://docs.google.com/document/d/1SIgs3mDwmrotLl78WONF9SQhTzeFi9s8vhpUP0k3kzk/edit?usp=sharing)
- [Customer role](https://docs.google.com/document/d/1LAIIj-0HSXlxdhUWMdp78IcVqAIL88EwQwTd9BAoumw/edit?usp=sharing)
- [Post-scenario review](https://docs.google.com/document/d/1xUVhvuFTcS8v-jd6NN6IHAjg7Cd-caPFsci7eHfj4yY/edit?usp=sharing)

#### Development Lead Kickoff

Initial meeting between the CSM and an identified contact who is a [development lead persona](/handbook/customer-success/csm/engagement#development-lead).

- [CSM role](https://docs.google.com/document/d/1UwusZ7H254sjaodYp6xIJv_PfoJPA4CvCO2aSbtbiRs/edit?usp=sharing)
- [Customer role](https://docs.google.com/document/d/192Fmj18PduqwmCnwXYVKDJH1LnvQ0AclJ6OrnvM-oz0/edit?usp=sharing)
- [Post-scenario review](https://docs.google.com/document/d/1TVhyoX0HoDG3p101-AMLnYu7qHk8llc3mmOJ_caYKLg/edit?usp=sharing)
