---
title: "AMER CSMs"
---

View the [CSM Handbook homepage](/handbook/customer-success/csm/) for additional CSM-related handbook pages.

---

## Overview

CSMs aligned with AMER customers can use this handbook page to help define their processes and approaches that are unique to their segment. CSMs may have both Enterprise and Commercial accounts as defined by Sales segments.

Customer Lifecycle Journey:

<img src="/images/handbook/customer-success/ht-tam-customer-journey.png" alt="">

[Source](https://lucid.app/lucidchart/4fcdb329-8367-44e0-a1c4-d1c0fd1c2362/edit?invitationId=inv_ab8b15ca-1360-4f53-ab72-1da8e092b620&page=0_0#)

## CSM Activities

### Align & Onboard

Transitioning an account to a CSM during the pre-sales cycle helps the CSM set expectations early in the relationship and ensures a seamless experience as the prospect becomes a customer and enters onboarding. Aligning on a Success Plan and onboarding is critical to getting a customer started on a successful journey with GitLab. This is our opportunity to ensure the customer achieves value and success from the start of their GitLab usage. It also sets expectations on joint goals and  the collaboration between the customer and GitLab.

| Description | Metrics |
|---|---|
| [Account transition & introduction](/handbook/customer-success/pre-sales-post-sales-transition/), where the CSM is introduced to the prospect at the Negotiation stage of the Sales cycle. | Time to first engage = 14 days |
| A [Success Plan](/handbook/customer-success/csm/success-plans/) is a roadmap that connects a customer's desired business outcomes to GitLab. This focus ensures that we are spending time on ensuring customer success and growth while defending customer retention. | 100% management-qualified green Success Plans |
| [Onboarding](/handbook/customer-success/csm/onboarding/) in order to get the customer to first value as soon as possible, including setting expectations for the CSM and customer relationship and establish regular check-in calls. | - Time to first engage = 14 days <br> - Time to first value = 30 days <br> - Time to onboard = 45 days |

### Enable

The primary objective in enabling our customers is to get a customer to value quickly, ensuring any roadblocks to adoption are removed and the customer is at a state of maturity in their desired use cases to provide platform value early on. We continue to drive adoption on use cases beyond first value through workshops and webinars, explore opportunities to increase maturity in primary use cases through more advanced workshops and establish executive alignment through EBRs.

| Description | Metrics |
|---|---|
| Primary [use case enablement](/handbook/customer-success/csm/stage-enablement-and-expansion/) to ensure the customer gets value quickly and ROI for their reason for purchase. | - Stage Adoption playbooks opened & completed (QoQ) <br> - [Use case health scores](/handbook/customer-success/product-usage-data/use-case-adoption/) |
| [EBRs](/handbook/customer-success/csm/ebr/) are strategic touchpoints to ensure that progress against desired business outcomes is being made and communicated back to the team that we work with and key influencers/decision-makers. | EBRs completed within the last twelve months in 75% of all accounts |
| Use case maturity [workshops](/handbook/customer-success/csm/workshops/) & [enablement sessions](/handbook/customer-success/csm/stage-enablement-and-expansion/) to ensure continuous adoption and identifying areas of improvement. | - [CI and DevSecOps maturity scores](/handbook/customer-success/product-usage-data/maturity-scoring/)  <br> - [Use case health scores](/handbook/customer-success/product-usage-data/use-case-adoption/) |
| Customer roundtables are industry specific events organised and facilitated by the Customer Success Manager. Those events are meant to give customers the opportunity to exchange ideas and solutions around industry specific topics, such as regulatory requirements. Roundtables can also span industries if they share common use cases. | One roundtable per industry per quarter. |

### Expand & Renew

This phase is about going beyond a customer's primary use cases, into additional adoption/expansion and tier upgrades if applicable. Through ensuring a customer gets to value quickly, understanding a customer's desired business outcomes, and engaging strategically through touchpoints such as EBRs in addition to cadence calls, a CSM is a trusted advisor to introduce and advocate for the idea of growth. This phase also includes the preparation for upcoming renewals.

| Description | Metrics |
|---|---|
| Expansion Discovery | - Expansion playbooks opened (QoQ) |
| Expansion enablement & workshops | - Expansion playbooks completed (QoQ) <br> - Days per playbook completed per stage (QoQ) <br> - Win rate for expansion playbooks (QoQ) |
| [Renewals](/handbook/customer-success/csm/renewals/) and [health management](/handbook/customer-success/csm/health-score-triage/) | - Renewal rate <br> - Regular CSM Sentiment health score logged |

## Account Engagement Expectations

Beginning FY25, all customers aligned with a CSM are considered Priority 1 and should be reflected as such in Gainsight and in our engagement model. That model is described below.

### Cadence Frequency

CSMs should have weekly or biweekly calls with each of their customers, and should never go more than one month without a call. If a customer is unegaged, they should be marked as [non-engaged](/handbook/customer-success/csm/engagement/Non-engaged-customer-strategies/) and [triaged](/handbook/customer-success/csm/health-score-triage/) appropriately. Even if it ends up being a false positive, we want to act swiftly to ensure any risk is mitigated. CSMs should expect to have 5-7 cadence calls per week, in addition to adhoc calls such as workshops, EBRs, product discussions, etc.

### EBRs

All customers will have at least one [Executive Business Review](/handbook/customer-success/csm/ebr/) per year, and some customers may have EBRs twice a year or even quarterly. Each CSM should maintain an EBR roadmap for their book of business so they can plan in advance and begin working on scheduling and prep early on. CSMs are expected to report on their progress throughout the year on EBRs for each of their customers.

### Workshops

The goal of [workshops](/handbook/customer-success/csm/workshops/) is to intentionally drive adoption and usage with our customer base, to ensure they are getting full ROI out of GitLab. A general framework for CSMs to adopt is to have at least one workshop per quarter with each of their customers. Across their book of business, on average, a CSM should expect to lead at least 2 workshops per month.

For any customers who have low usage, we should aim to have regular workshops with them focused on areas of the product that they have not yet fully adopted, or where additional training would help adoption of other features. For customers that have healthy use case adoption, we should still be ensuring they remain enabled on GitLab, by providing workshops focused on one of the following: reinforce core GitLab capabilities, share new product capabilities and best practices, help them adopt one area of the product better, or to expand into a new group that hasn't adopted GitLab yet.

Targeting workshops based on customers' current adoption allows us to be more strategic in our efforts of deepening product adoption and our partnership with our customers as their trusted advisors.

### Success Plans

CSMs are expected to maintain [success plans](/handbook/customer-success/csm/success-plans/) for each of their customers and update them, at minimum, quarterly, to reflect progress made against objectives and the plans for the coming year. These success plans need to be validated by both the customer (via the mutual success plan deck) and the CSM's manager (via Gainsight), in order to ensure alignment.

#### Account Growth Plans

In the AMER CSM motion, CSMs are typically able to spend more time with their customers and work with multiple teams and stakeholders in the organization. The CSM is also able to work with multiple subsidiaries and build comprehensive account knowledge. This leads to valuable insights on the customers' strategic business goals and future roadmap. To accelerate a customer's adoption and growth with GitLab, the Account Growth Plan helps to consolidate the information and builds a baseline for multiple GitLab internal stakeholders, including product, sales, and executive sponsorship. To quantify an investable customer initiative with data, the Account Growth Plan builds the single source of truth and contains objectives and actionable next steps.

The account team and regional sales leadership regularly review the current state of adoption, success plan objectives, and account plan details. The purpose is to build a shared understanding of the customer roadmap, align actions within the team, reduce potential adoption risk early, and share best practices within the account teams and region.

In addition to success planning, where the focus is on building a shared plan between the customer and GitLab on how the customer achieves their desired business outcomes, the Account Growth Plan includes actions to achieve growth and expansion within an account. The joint plans are used to bridge the gap between enablement into a strategic growth motion for internal collaboration.

### Account Risk Management & Triage

CSMs are expected to regularly update Gainsight with health updates on the health of their customers. For red customers, a weekly update is expected, and for green customers a monthly update. Please see [Customer Health Assessment and Management](/handbook/customer-success/csm/health-score-triage/) for full details of how to manage risk.

If a CSM has a customer in an [escalated state](/handbook/customer-success/csm/escalations/), they are to follow the guidance based on escalation severity on how frequently to update the Slack channel.
