---
title: "Customer Success Architects (CSA)"
---

View the [CSM Handbook homepage](/handbook/customer-success/csm/) for additional CSM-related handbook pages.

At GitLab, we understand that our customers' success is our success. That's why we have introduced the Customer Success Architect (CSA) role, our highest-rated technical product experts within Customer Success designed to provide you with the top-tier level of support and guidance throughout your journey with GitLab.

## What can you expect from a Customer Success Architect?

1. **A Trusted Advisor and Product Mentor**: Your CSA is a CSM PLUS Product Coach; they are your trusted advisor and product mentor. With extensive tenure at GitLab and deep technical expertise, your CSA will provide you with the guidance and support you need to maximize the value of your investment in GitLab's products and services. They will work closely with you to understand your business objectives, challenges, and technical requirements, and provide tailored guidance on the adoption of GitLab best practices that achieve your desired outcomes.

1. **Proactive Adoption and Success Guidance**: Your CSA will leverage their in-depth knowledge of GitLab's products and Accelerators (prescriptive, best practices content) to proactively drive adoption and help you achieve success. They will conduct regular health checks and assessments to identify areas for improvement and opportunities for growth within your account. By staying ahead of potential challenges and proactively addressing your needs, your CSA will ensure that you are always on the path to success.

1. **Cross-Functional Collaboration and Advocacy**: Your CSA will collaborate with cross-functional teams at GitLab, including Product Engineering, your Assigned Support Engineer, and Sales, to advocate for your needs and influence the product roadmap and development. They will bring your feedback and insights to the table, ensuring that GitLab's products and services continue to evolve to meet your changing requirements. With your CSA as your champion, you can be confident that your voice is heard and your needs are met.

1. **Best Practices and Accelerators**: Your CSA will provide you with access to GitLab's extensive library of best practices content, which we call "Accelerators", designed to help you optimize your use of GitLab's products and achieve your goals faster. They will work with you to identify the most relevant and valuable resources for your specific needs and help you implement them effectively. With your CSA's guidance and the power of GitLab's best practices, you'll be able to accelerate your success and achieve your desired outcomes more efficiently.

1. **Continuous Support and Partnership**: Your CSA is your long-term partner, committed to your success and satisfaction throughout your entire journey with GitLab. They will be there to support you every step of the way, from onboarding and adoption to expansion and growth. With regular check-ins, proactive communication, and a deep understanding of your needs, your CSA will ensure that you always have the support and resources you need to succeed.

At GitLab, our Customer Success Architects are dedicated to helping you achieve your goals and maximize the value of your investment in our products and services. With their deep technical expertise, extensive GitLab tenure, and unwavering commitment to your success, your CSA will be your trusted partner, guiding you towards success and helping you unlock the full potential of GitLab's platform.

## How are you assigned a Customer Success Architect (CSA)?

A Customer Success Architect (CSA) is a premium Customer Success service available to customers who have purchased GitLab's Success Plan Services (SPS). SPS is a bundled service offering that combines the expertise of a CSA with an [Assigned Support Engineer (ASE)](/handbook/support/assigned-support-engineer) and comprehensive Education services, including an instructor-led course and 120 certification vouchers. This holistic approach ensures that you have access to the technical guidance, support, and training resources you need to achieve success with GitLab's products and services.

To be assigned a CSA, you must procure the Success Plan Services through the same sales channels as GitLab's licensing SKUs. Your GitLab sales representative will work with you to understand your specific needs and requirements and help you determine if the Success Plan Services are the right fit for your organization. Once you have purchased the SPS bundle, a dedicated CSA will be assigned to your account, ensuring that you have a consistent, knowledgeable, and experienced point of contact throughout your journey with GitLab. Your CSA will work closely with your Assigned Support Engineer (ASE) and Education services team to provide you with a comprehensive and coordinated support experience, helping you maximize the value of your investment in GitLab's products and services.
