---
title: "Customer Onboarding Best Practices"
---

View the [CSM Handbook homepage](/handbook/customer-success/csm/) for additional CSM/CSE-related handbook pages.

---

## Onboarding Best Practices Deck

During onboarding it's critical to ensure customers have confidence in foundational areas to ensure their continued success. The areas we've identified are:

- Best practices for setting up group/project hierarchy
- User authentication and authorization
- Early DevSecOps adoption

This should be covered in the initial technical onboarding call with the customer, for instance the 21 day check-in call for CSEs. The [deck](https://docs.google.com/presentation/d/1zb-0RdsnvyLhZW0ECppWJSUf0EaWNm20T78PDTCaWzM/edit#slide=id.g1287bf62b57_0_209) (internal link) provides open ended discovery questions to learn more about customers' plans, progress and most importantly confidence in these areas. By learning about their goals and how confident they are in their progress we can provide them with the best enablement resources (webinars, documentation, videos) to create a solid foundation they can build upon.

The deck covers both self-managed and SaaS.

Preparation for Onboarding call

1. Make a copy of the [deck](https://docs.google.com/presentation/d/1zb-0RdsnvyLhZW0ECppWJSUf0EaWNm20T78PDTCaWzM/edit#slide=id.g1287bf62b57_0_209) (internal link)
1. Add your name and role to the title slide
1. For Ultimate customers hide the Security and Auditing (GitLab Premium) slides
1. For Premium customers hide the Security and Compliance (GitLab Ultimate) slides

Resources

- [Deck](https://docs.google.com/presentation/d/1zb-0RdsnvyLhZW0ECppWJSUf0EaWNm20T78PDTCaWzM/edit#slide=id.g1287bf62b57_0_209) (internal link, make a copy)
- [GitLab Issue](https://gitlab.com/gitlab-com/customer-success/okrs/-/issues/331) with discussion on creation of the deck
- [Group and Subgroup hierarchy](https://docs.gitlab.com/ee/user/group/subgroups/#overview)
- [SAML SSO for GitLab Groups](https://docs.gitlab.com/ee/user/group/saml_sso/) (SaaS)
- [SAML SSO for Self-Managed GitLab Instances](https://docs.gitlab.com/ee/integration/saml.html)
- [Integrate LDAP with GitLab](https://docs.gitlab.com/ee/administration/auth/ldap/#integrate-ldap-with-gitlab) (Self-managed)
- [Get Started with GitLab Application Security](https://docs.gitlab.com/ee/user/application_security/get-started-security.html)
- [Holistic Approach to Securing the Development Lifecycle](https://www.youtube.com/watch?v=0O7Mpfu9Khg) (webinar recording)
