---
title: "EMEA CSMs"
---

View the [CSM Handbook homepage](/handbook/customer-success/csm/) for additional CSM-related handbook pages.

---

## Introduction

This handbook page defines processes and approaches that are unique to CSMs aligned with customers in EMEA. For further information about CSM activities, responsibilities and strategy, please have a look at the [AMER CSMs](/handbook/customer-success/csm/segment/amer/) handbook page and the [CSM Handbook homepage](/handbook/customer-success/csm/).

## Org Structure

CSM EMEA is further divided into different regions. There are four different teams:

* CSM SOUTH - responsible for customers in the south of Europe such as France, Italy and Spain
* CSM DACH - aligned with customers in Germany, Austria and Switzerland
* CSM NORTH - responsible for customers in northern Europe, for example in the UK and the Scandinavian countries
* CSM META - manages customers in the Middle East, Turkey and Africa
* CSA EMEA - responsible for Customer Success Architecture across the region

## Team Contacts and Responsibilities

[Michael Leutz](/handbook/company/team/#mrleutz) is the director of CSM EMEA. Additionally, he manages the SOUTH, NORTH and META teams. The DACH team is led by [Christina Souleles](/handbook/company/team/#csouleles).
The GitLab _SME collaboration requests_ project contains a list of the [Subject Matter Experts](https://gitlab.com/gitlab-com/customer-success/emea/sme-collaboration-requests/-/blob/main/emea_sme_map.yml?ref_type=heads) within CSM EMEA.

* **Staff team - Specific experts / DRIs for EMEA CSM**
  * [Manuel Kraft](/handbook/company/team/#mkraft)
  * [Sander Brienen](/handbook/company/team/#sbrienen)

## Regional Specific Details

Compared to AMER or APJ, the EMEA CSMs are further divided into four different regions within EMEA (SOUTH, DACH, NORTH and META). Due to the many different countries, cultures and languages within Europe, the Middle East and Africa it makes sense to have designated CSMs for each sub-region. This facilitates collaboration and cooperation with different customers and makes it easier to address the individual needs and expectations of each customer.

## Meetings

### Regular EMEA CSM Meetings

There are several meetings for all EMEA CSMs:

* EMEA CSM & CSE Sync - biweekly on Mondays. In this meeting, announcements, changes, issues and learnings that are relevant for all CSMs in EMEA are discussed.
* EMEA CSM Triage & CSE Office Hours - weekly on Tuesdays. CSMs can ask questions, discuss current problems and share insights.
* EMEA CSM Social - weekly on Fridays. This is an informal and optional meeting without an agenda to chat with your coworkers.

### Meeting Recordings and Summary

Zoom meetings can be [recorded](/handbook/tools-and-tips/zoom/#recording-in-zoom) or [summarized](/handbook/tools-and-tips/zoom/#zoom-ai-companion) using the AI Companion feature provided by Zoom. Meeting Summaries allow the people who could not attend a call to quickly catch up on discussions, decisions and action items. This makes it easier for everyone to stay informed and enhances productivity and efficiency. The feature is turned off by default and can be enabled by the meeting host. The meeting host should always ask all attendees if it is alright to record or summarize the call. Additionally, all attendees will see a notification banner when Zoom call recording or Zoom AI Companion get enabled. This is especially important for customer meetings. If the customer does not want Zoom call recording or Zoom AI Companion to be used, the host should turn it off. We also have a section about call recordings in our [Privacy Statement](https://about.gitlab.com/privacy/).

## Slack Channels

There are multiple Slack channels for EMEA CSMs and for anyone who has a question to the EMEA CSM team:

* #emea-customer-success - anyone can ask questions, get advice, ask for help or share insights regarding customers and events in EMEA
* #team-csm-emea - for EMEA CSMs to communicate announcements, ask questions and share information
* #social-csm-emea - informal communication channel within CSM EMEA to share pictures, memes, funny stories and other content that might be interesting for the rest of the team
