---
title: "Resources to get started with GitLab"
description: "A 5-day plan to get started with GitLab"
---
<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

## Get familiar with GitLab

We've laid out a 5-day plan you and your team can use to begin learning about and using GitLab successfully.

Want to make this into a template to share with others in your organization? [Create an issue template](https://docs.gitlab.com/ee/user/project/description_templates.html#create-an-issue-template) and build [this template](https://gitlab.com/gitlab-com/account-management/templates/customer-collaboration-project-template/-/blob/017ada32b15cd9fe0385d3e65a98c29c7b63a8b1/.gitlab/issue_templates/developer_onboarding.md) into your onboarding and training so your team can use GitLab to learn GitLab.

## Day 1

- Watch the [Intro to GitLab](https://www.youtube.com/watch?v=E1tKfOPKMA8) webinar - 1 hour.
- Complete the [GitLab with Git Essentials Certification](https://university.gitlab.com/courses/gitlab-with-git-essentials-s2). This course can be completed lesson by lesson.

## Day 2

- Check out [Getting Started with GitLab](https://university.gitlab.com/pages/getting-started) where you'll find a variety of comprehensive learning paths.

## Day 3

- Watch the [Intro GitLab CI/CD](https://www.youtube.com/watch?v=bE2YXhAVBeE) webinar - 1 hour.
- Read about [CI/CD concepts](https://docs.gitlab.com/ee/ci/quick_start/index.html#continuous-integration).
- Browse through some [GitLab CI/CD Examples](https://docs.gitlab.com/ee/ci/examples/). We recommend bookmarking this page so you can refer back to it, as there is a lot of information available.
- Review [CI/CD resources](https://university.gitlab.com/pages/ci-cd-content) - including the GitLab CI Fundamentals learning path.

## Day 4

- Watch the [Advanced CI/CD](https://www.youtube.com/watch?v=9VTGW1pCTC8) webinar - 1 hour.
- Work through the [CI/CD Quick Start](https://docs.gitlab.com/ee/ci/quick_start/).
- Bookmark the [CI/CD Keywords documentation](https://docs.gitlab.com/ee/ci/yaml/) for a list of all the configuration options for your `.gitlab-ci.yml` file.

## Day 5

- Watch the [DevSecOps](https://www.youtube.com/watch?v=PH9Z_znll40&list=PL05JrBw4t0Kpczt4pRtyF147Uvn2bGGvq&index=8) webinar - 30 minutes.
- Watch [Adding Security to your GitLab CI/CD Pipeline](https://www.youtube.com/watch?v=Fd5DhebtScg&list=PLFGfElNsQthYDx0A_FaNNfUm9NHsK6zED&index=12&t=2s) - 5 minutes.
- Read how to [secure your application](https://docs.gitlab.com/ee/user/application_security/).

## Additional resources

Once you're done with the steps above, take a look at:

- [GitLab University](https://university.gitlab.com/) and explore other trainings and resources.
- [Learn GitLab with tutorials](https://docs.gitlab.com/ee/tutorials/) for a variety of video and tutorials on a range of topics.

## Stay up to date with new features

GitLab releases a new version [every month](/handbook/engineering/releases/). Stay up to date on new features and capabilities by reading the [release posts](https://about.gitlab.com/releases/categories/releases/) on our blog.

## Want to learn more?

Consider the following [GitLab certificate courses](https://university.gitlab.com/pages/certifications):

- [GitLab Certified Git Associate](https://university.gitlab.com/courses/gitlab-with-git-essentials-certification-exam)
- [GitLab Certified Project Management Associate](https://university.gitlab.com/courses/gitlab-project-management-certification-exam)
- [GitLab Certified CI/CD Associate](https://university.gitlab.com/courses/gitlab-ci-cd-certification-exam)
- [GitLab Certified Security Specialist](https://university.gitlab.com/courses/gitlab-security-essentials-certification-exam)
