---
title: "Communities of Practice"
description: "Cross Functional team focusing on specific topics. Learn more!"
---

### What's a Community of Practice?

A Community of Practice (CoP) is a self-organized, cross-functional group of *Subject Matter Experts* (or aspiring to be!) within GitLab dedicated to a topic within GitLab or the broader DevSecOps space. The goal is to primarily to create thought leadership at GitLab, often in the form of content and other assets, with CoP members benefitting from sharing experiences with the topic. In turn, CoP's will build broader subject matter depth within our organization to advice our customers and our marketing and product teams.

The content and assets are [aggregated into a single group](https://gitlab.com/gitlab-com/customer-success/communities-of-practice) to maximize discoverability. Each Community of Practice has a project which contains a Readme of links and an issue board for discussion.

### Roles and Responsibilities

| Role                  | Responsibility                                                                                                                                                            |
|-----------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Facilitator           | Assembles the group, runs the meeting, and maintains the project. Ideally 2 per CoP                                                                                                          |
| Contributor           | Any Team member who engages with the CoP group SME should try to contribute back - such as providing a deck or recording where the information gathered was utilized.     |

#### Guidelines

- CoP should consist of three or more members to foster a culture of collaboration.
- Time commitment can vary depending on involvement, but the expectation is 3-5 hours a month for active members.
- CoP can be managed through asynchronous communication, but the core team should meet at least once a month to ensure content is maintained and updated.

### Participating in a Community of Practice

Anyone can establish or participate in an existing Community of Practice. Below you will find the active ones. If you are interested in starting a new one, please follow the process outlined below.

### 2023 Pilot

To improve active participation and engagement, a pilot will be launched. This was based on a survey and consultation with several members of the Solutions Architects (SA) team. Some of the findings include:

- People have indicated that they would like to see better relevance to day-to-day work, promotion of activities, and timings in CoP meetings and events.
- While SA's are keen on having broader impact at GitLab, they would be further encouraged by better recognition in participating, support from their manager, and links to their own individual professional development.

A set of recommendations were formulated that focused on:

- Defining stronger a CoP charter
- Promoting better across the organziation
- Encouraging active participation
- Recognizing people who participate
- Tailoring to GitLab's goals

The pilot will run for 8 weeks and will focus on "Defense against GitHub."

The rationale for the pilot topic selection was anchored on our [FY24 Yearlies](/handbook/company/yearlies/#fy24-yearlies):

- Continue to win against GitHub with AI in all we do
- Reduce churn and contraction by delivering predictable high value to customers

5-6 GitLab team members will be invited to participate in the pilot. Afterwhich, further improvements will me made to the CoP initiative.

Potential key performance indicators include:

- Alignment with charter
- Quality & delivery of output
- Participation & attendance
- CoP member experience

#### Current Communities of Practice

| Subject                             | Facilitator (members list in project)                                                                                                                                           |
|-------------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| [Advanced Pipelines](https://gitlab.com/gitlab-com/customer-success/communities-of-practice/advanced-pipeline-community-of-practice)                  | [@juliebyrne](https://gitlab.com/juliebyrne) |
| [Agile Architecture](https://gitlab.com/gitlab-com/customer-success/communities-of-practice/agile-architecture-cop)   | [Darwin Sanoy](https://gitlab.com/darwinjs), [Brian Wald](https://gitlab.com/brianwald) |
| [AWS](https://gitlab.com/gitlab-com/customer-success/communities-of-practice/aws-community-of-practice)                  | [Darwin Sanoy](https://gitlab.com/darwinjs) |
| Defending against GitHub]| [Regnard Raquedan](https://gitlab.com/rraquedan) |
| [Modern Applications](https://gitlab.com/gitlab-com/customer-success/communities-of-practice/modern-applications)                 | [@reshmikrishna](https://gitlab.com/reshmikrishna) (inactive) |
| [OpenShift](https://gitlab.com/gitlab-com/customer-success/communities-of-practice/redhat-openshift-community-of-practice)                  | TBD |
| [Trusted Advisor Skill Development](https://gitlab.com/gitlab-com/customer-success/communities-of-practice/trusted-advisor-skill-development)   | Lead: [Bart Zhang (@bzhang7)](https://gitlab.com/bzhang7), Co-Leads: [Chester Nwachukwu (@cnwachukwu)](https://gitlab.com/cnwachukwu), [Darwin Sanoy (@DarwinJS)](https://gitlab.com/darwinjs) |

### Process

1. Establish a focus topic.
2. Enlist GitLab team members to participate in your new CoP, utilize the #customer-success channel in Slack to reach a broad audience. Make sure to point them to the process outlined on this page, so they understand the commitment.
3. Create a project in the [Communities of Practice group](https://gitlab.com/gitlab-com/customer-success/communities-of-practice) by using this [project template](https://gitlab.com/gitlab-com/customer-success/communities-of-practice/project-template)
4. Setup a monthly Cadence call with the team members
5. Create and manage the [README.md](https://gitlab.com/gitlab-com/customer-success/communities-of-practice/project-template/-/blob/master/README.md)
6. Update this handbook page under the table "Active Communities of Practice."
7. Setup a slack channel using the `#cp_` prefix, so team members know where to go for help.
