---
title: "Partner Capabilities Journey"
description: "Suggest a partner journey maturity model for Channel and Systems Integrator partner"
---

## Objective

Create a partner success approach, providing a framework for partners to integrate their DevSecOps practice with the GitLab DevSecOps Platform and our go to market strategy.

## Goals

- help partners to get up and running with GitLab capabilities
- drive joint customer success with GitLab partners
- provide a mechanism to record learned best practices for a partner's journey with GitLab

## High-Level Visual of Partner Capabilities Journey

![Partner Capabilities Journey](../images/partner-capabilities-journey_v4.png)

## Partner Capabilities Journey

The following capabilities roadmap shows the high-level view of the capabilities that our partners should develop to mature their GitLab practices organized into four (4) stages of maturity.

### 01 - Onboarding

New partners to GitLab ramping up their capabilities and achieving first-customer orders as quickly as possible.

- Teams are engaged with GitLab Partner Portal and familiar with content
- Plan to and Learn how to register deals, work through quoting & transaction processes, and accept leads
- Get sales ready
  - Understand GitLab licensing and pricing model
  - Understand how to get Channel Partner support
  - Understand how to qualify opportunities within existing customer base
  - Get certified
    - Select Partners
      - Sales Core (4)
      - Sales Pro (1)
      - SA Core (2)
      - PSE (1)
    - Open Partners
      - Sales Core (2)
      - SA Core (1)

### 02 - Established

Established GitLab partners working with GitLab field account teams to close resale business, deliver GitLab Professional Services projects, and/or GitLab branded training.

- Marketing foundation
  - GitLab incorporated into brand presence
  - Complete Partner Profile for Locator
    - Capability overviews
    - Solutions page (incl solutions below)
- Pre-sales discovery capable
  - Demo ready (GitLab.com based)
  - DevSecOps Value Stream discovery lead generation
- Prof. Service delivery capable
  - Professional Services Partner (PSP) Accreditation
    - Open / Select + PSE (3)
  - Implementation solution
  - Migration solution
- Architect GitLab into customer DevSecOps workflows

### 03 - Leading

Mature GitLab partners sourcing their own customer opportunities, registering new deals, and collaborating with GitLab field sales teams as needed.

- Marketing integration
  - Include GitLab sales and benefits collateral into Partner sales, presales, education tools and processes
  - Joint webinar marketing lead generation activities
- Pre-sales solutioning capable
  - Address more advanced use cases with GitLab Ultimate
  - Can deliver a GitLab demo using a partner provisioned self hosted GitLab instance
  - Can deliver a GitLab ROI report
  - Can deliver a GitLab Proof of Value (PoV)
  - Competitive differentiation solutions inclusive of unique GitLab based services catalog
- Advanced PS Services offerings
  - Deep integration with enterprise workflows
  - Deliver advanced migration solutions
  - Offer Managed Services

### 04 - Strategic

Developing advanced solutions to meet complex customer challenges leveraging the GitLab Platform.

- Creating branded offerings in the market leveraging GitLab solutions
- Joint development of whitepapers, blog posts, reference architectures
- Co-marketing / branding campaigns
- Make consulting recommendations for GitLab Platform within customer new application development, digital transformation, strategic business initiatives
- Contribute to GitLab Open Source Core
- GitLab Field promote partner strategic services offerings to our customers

## Partner Channel Solutions Architect Activities

To achieve our [Goals](https://gitlab.com/-/ide/project/gitlab-com/www-gitlab-com/tree/partner-journey-maturity-model/-/sites/handbook/source/handbook/customer-success/partners/vision/index.html#goals), the Partner Channel Solutions Architect (CSA) ensures that partners get the most value possible out of their relationship with GitLab through their sales and delivery of GitLab's products and services. CSA's organize their activities to mature GitLab partners quickly in their ability to deliver customer value. See the [Channel SA Engagement Model](/handbook/solutions-architects/processes/channel/) for more details on the role of the Channel SA enabling partners to succeed.
