---
title: "Platform Adoption Scoring"
description: "How Platform Adoption Scoring works and ways to use it "
---

## Platform Adoption Score

### Vision

In alignment with our mission to be deliver business outcomes with GitLab's DevSecOps platform, Platform Adoption is meant to measure our customer's deployment and usage of the application. We believe that as we help our customer's to help customers with their digital transformation, helping them accelerate secure product development and associated business outcomes.

### Definition

Platform Adoption Score shows a customer's Product adoption depth achieved with GitLab.

A customer's score is the level of use cases adopted to a green health level as defined by the corresponding thresholding. Platform Adoption measures the customers usage of use cases with successful platform adoption being defined as 3+ use cases. Platform Adoption Scoring depends heavily on the [Use Case Adoption measures](/handbook/customer-success/product-usage-data/maturity-scoring/) that we calculated using metrics generated through our customer's product usage data. A customer's score is simply the number of Use Cases that they have adopted to a green level as defined by the corresponding thresholding.

### How we use Platform Adoption Scores

Customer Success conversations: - First and foremost, we want our customers to be successful. We believe that most of their goals will align with the value that using GitLab as a platform can provide. As such, our CSMs use the scores as an input into how they prioritize their time with customers as well as to inform the conversations that they're having.
Internal Key Performance Indicator: - Internally we aggregate the Platform Adoption Scores by reporting on the % of our ARR that falls within certain levels of Platform Adoption (i.e. 0, 1, 2, and 3+ Use Cases adopted).
Sales Feedback Loop: Sellers need to know how their customers are using GitLab, and how they can assist customers realize more value and provide recommendations.
Product Feedback Loop: These metrics are shared with Product to better understand the adoption of GitLab across all customers.

### How do different teams use and drive platform adoption

The following shows how different teams use and measures they apply to increase platform adoption:

1. Marketing leverages use case terms as part of top-level and marketed value drivers for the GitLab platform. Customer Marketing would leverage use cases to promote existing customers to expand usage and value realization. **Measurement**: Consumption and usage of case studies, competitive analysis, demos and use case videos.
2. Sales, Solution Architects and Renewals teams position GitLab marketed value drivers, use cases, and customer journey to deliver to customer's desired business outcomes. Expectations are set to ensure the customer has a roadmap (new and growth opportunities) for successful adoption of use cases, including skill sets, resourcing, timelines, and services (as needed) to realize business value as quickly as possible. **Measurement**: Success roadmaps completed, service attach, Ultimate sales.
3. Professional Services, Customer Success Managers, and Support drive adoption of features supporting use cases and ultimately platform value realization defined by adoption of 3+ use cases. **Measurement**: service attach, development of services to deliver to all customer use cases, time-to-value, use case and platform adoption, support case measures and feedback by use case, gross retention by subscription tier
4. Product and Engineering leverage use case and platform adoption as an input into investments and prioritization. Those metrics can inform decisions about prioritization and resourcing of feature development in order to drive greater adoption and retention of usage. In addition, Product and Engineering will work towards including use case adoption metrics in the product so customers have the same visibility GitLab team members do. **Measurement**: time-to-value, use case and platform adoption, and retained usage by customers.
5. Finance, People Ops and Operations would prioritize efforts in alignment with use case priorities (i.e., funding, data and analytics, etc.).
6. Data and Analytics: Deliver and maintain data products that support / increase use case adoption. **Measurement**: On-time delivery, data quality, and predictive models and analytics (e.g., PtC, PtE).

### References

- [Account Health Scoring](/handbook/customer-success/customer-health-scoring/#scoring-methodologies) for a list of the main measures we measure customer value
- [Use Case Adoption Methodology](/handbook/customer-success/product-usage-data/use-case-adoption/)
