---
title: "Professional Services Team Handbook"
description: "The Professional Services team at GitLab is a part of the Customer Success department helping customers achieve value faster."
---

The Professional Services team at GitLab is a part of the [Customer Success](/handbook/customer-success/) department.

## Quick links

Here are links to the most popular Professional Services topics.

* [Marketed Offerings](https://about.gitlab.com/services/)
* [Offerings Framework & Delivery Kits](framework/)
* [Positioning](positioning/)
* [Professional Services Methodology](processes/)
* [Selling](selling/)
* [Working with PS](working-with/)
* [SKUs](SKUs/)
* [Education Services](education-services/)
* [GitLab Technical Certifications](gitlab-technical-certifications/)
* [Partner Collaboration](partner-collaboration/)
* [Sales enablement](sales-enablement/)
* [Professional Services Operations](professional-services-operations/)
* [Escalation Process](/handbook/customer-success/csm/escalations/)

## Team functions

The Professional Services team is organized according to specialized functions and responsibilities. Click a Function link below to access details for specific team workflows and responsibilities.

| Function | Responsibilities |
|---|---|
| [Delivery](processes/) | Service delivery planning and execution through specialized engineering team members |
| [Engagement Management](engagement-mgmt/) | Opportunity and SOW scoping and closing in collaboration with GitLab Sales team members |
| [Instructional Design and Development](instruct-dev/) | Educational content creation, deployment, and maintenance |
| [Practice Management](practice-mgmt/) | Definition, planning, go-to-market, and performance for specific categories of professional services offerings |
| [Project Management](project-mgmt/) | Project planning and execution |
| [Professional Services Operations](professional-services-operations/) | Project Coordination, scheduling, and backend processes |
| [Professional Services Technical Architect](technical-architect/) | Team technical leadership, project quality and technical escalations |

## Direction

### Mission

GitLab Professional Services enables customers and partners to realize the full value of GitLab solutions to increase operational efficiencies, deliver better products faster, and reduce security and compliance risks.

### Goals

1. Measure benefits of Professional Services' contributions to product growth, adoption, retention, and time-to-value to drive internal stakeholders (Sales, Product, CS), external customers and partner success
1. Predictably meet or exceed company financial performance goals for Professional Services through services delivery by overachieving project goals while maintaining project profitability targets
1. Increase market opportunities and delivery elasticity by expanding to a partner-leveraged delivery model in order to reach more customers
1. Ensure high-quality service delivery for GitLab direct and partner delivered services

## Value of Professional Services

1. With PS engagement, customers start leveraging the full capabilities of GitLab earlier with improved proficiency, reduced risk, and increased competitive advantage.
1. When engaging with Professional Services, customers adopt at higher rates in both stage expansion and active user growth.
1. Partners benefit from GitLab PS expertise, advocacy and credibility to help grow their business practice while helping improve customer success, and increase ARR.

## GitLab Professional Services Methodology

GitLab Professional Services offerings sold and scoped by the PS Engagement Management team in partnership with the GitLab Account teams. Services are delivered directly by GitLab team members or by partners. We are building out the partner selling and delivery process to:

* Ensure we have local coverage globally
* Scale professional services in alignment with GitLab business growth
* Create a partner revenue stream

## Team Members

Check out the [professional services team page](/handbook/company/team/?department=professional-services)

## Team metrics

GitLab Professional Services measures success through tracking business profitability and resource utilization. The targets for FY21 are as follows.

* **Long term profitability target**: 30% gross margin
* **Project Manager, Program Manager and Engineer Utilization targets**: 70% billable hours
* **Technical Architect Utilization target**: 55% billable hours
* **Trainers**: FY25Q1 & FY25Q2- 60% billable hours, FY25Q3- 65% billable hours and FY25Q4- 70% billable hours

* **Billable utilization** is time worked on defined scope that will be charged to a customer according to a contractual SOW.

We use the following definitions to determine and track utilization.

| Metric | Formula/Description | Value |
| :--- | :--- | :--- |
| Utilization | (Working Hours ÷ Available Hours) × 100% | varies |
| Billable Utilization | (Billable Working Hours ÷ Utilization) × 100% | varies |
| Holiday Hours | 11 holidays × 8 hrs/day | 88 hrs |
| PTO + F&F Hours | 28 PTO days + 4 F&F × 8 hrs/day | 256 hrs |
| Summit | 5 Summit - SKO days × 8 hrs/day | 40 hrs |
| Non-Working Hours | (Holiday Hours + PTO Hours + Training Hours) | 384 hrs |
| Total Weekday Hours | (8 Hours × 5 days × 52 weeks) | 2080 hrs |
| Available Hours | Total Weekday Hours － Non-Working Hours | 1696 hrs |
| Quarterly Hour Total | Total Available Hours / 4 | 424 hrs |
| Program/Project Manager, Engineer Quarterly Target | Quarterly  Hour Total * .7 | 296.8 hrs|
| Technical Architect | Quarterly  Hour Total * .55 | 233.2 hrs|

### What is a billable hour?

In simplest terms, any work done on behalf of advancing the customer engagement is considered "billable time". This includes white board time, research into features or tools, and discussion with other internal GitLab engineering teams.

When in doubt, consult with the Program/Project Manager assigned or a Delivery Manager for guidance. For specific tools enablement, engineers should log time against the engagement, uncheck the "Billable" box for the time entry (in Kantata), and add a note to explain the work.

**Customer Satisfaction (CSAT)**
This performance indicator measures how satisfied our customers are with their interaction with the GitLab PS team. This is based on survey responses from customers sent at the end of each engagement.  On a scale of 1-5, if the customer submits a 4 or 5, we consider this Customer to be `Satisfied` with the services delivered.

## Professional Services offerings

GitLab offers a full catalog of professional services including implementation, migration, and education delivered by GitLab experts. Click the links to learn more about our framework and for a detailed listing of our standard SKU offerings.

* [PS Offerings Framework](framework)
* [PS Standard SKUs](SKUs)
* [PS Full Catalog](https://about.gitlab.com/services/catalog/)

## Working with Professional Services

Follow [these guidelines](working-with) for contacting us and ordering Professional Services.
