---
title: "GitLab Professional Education Services"
description: "Technical Learning and Certification from GitLab Professional Services"
---

## Professional Education Services Overview

Professional Education Services are part of the GitLab Professional Services (PS) Team within GitLab Customer Success.

### Mission

The primary mission is to plan and implement effective and scalable educational offerings to accelerate customer time to value and drive expanding product adoption.

### Approach

The Professional Education Services [job task analysis](https://docs.google.com/spreadsheets/d/114yAXzzUi3bKoOcN6zG4tOZ5I_-SmPU9luO8Ylp5XRI/edit?usp=sharing) is a blueprint that guides and defines courses and certifications through learning objectives aligned with the relevant industry job roles and jobs to be done.

## Current Offerings

The GitLab Professional Education Services team currently provides the following offerings:

- [Live Instructor-led training (ILT)](https://about.gitlab.com/services/education/)
- [GitLab Technical Certifications](/handbook/customer-success/professional-services-engineering/gitlab-technical-certifications/) as Professional Service offerings.
- [Train-the-Trainer](https://about.gitlab.com/services/education/train-the-trainer/)

### Immediate Priorities

- Standardize ILT deliveries to enable training delivery at scale
- Offer self-paced certification preparation and assessment at scale on a per-learner basis
- Establish a certified learning partner program to enable scalable delivery of content worldwide

### Long Term Goals

- Develop and maintain additional ILT, eLearning, and certification offerings for advanced learners
- Automate manual operational tasks to become more efficient and deliver consistent education services at scale
- Continue to innovate and expand the SSOT model for content development at scale

### Related Project and Issues

- [Professional Education Services Project Issues List](https://gitlab.com/gitlab-com/customer-success/professional-services-group/education-services/-/issues)
- EdCast LXP/Marketplace User Instructions
- [Thought Industries LMS Tech Stack Guide](/handbook/customer-success/professional-services-engineering/education-services/lms/)

### GitLab Training Service Partner Requirements

<table>
  <tr>
     <td>
     <h3>Program Entry Requirements</h3>
     </td>
     <td> Each TSP must:

- Be a GitLab Open or Select GitLab Partners or a GitLab Distribution Partner
- Design, build and operate a training services practice
- Complete the TSP contract Master Service Agreement and legal exhibit
- Hire team members who have completed the competency requirements and/or sponsor the appropriate number of team members through completion of the competency requirements
- Get setup on Edcast and participate in onboarding to access the course catalog

Note that participation in this program is limited and requires GitLab program team approval before proceeding with the certification process.
     </td>
  </tr>
  <tr>
     <td>
     <h3>Competency Requirements</h3>
     </td>
     <td>

- Each TSP must remain compliant with the either the Open, Select, or Distribution programs, and perpetually employ at least two (2) [GitLab Certified Trainers](/handbook/customer-success/professional-services-engineering/gitlab-certified-trainer-process/)
- Each TSP organization must be able to deliver at least four (4) GitLab courses
- Each TSP organization must complete the competency requirements prior to 6 months after the last day of the quarter in which they enrolled in the certification process.
     </td>
  </tr>
  <tr>
      <td>
      <h3>Service Offerings</h3>
      </td>
      <td>

TSP can provide [GitLab Education Services](https://about.gitlab.com/services/education) by purchasing GitLab student kits and then delivering instructor-led training courses in GitLab LevelUp.
      </td>
  </tr>
  <tr>
     <td>
     <h3>Compliance Requirements</h3>
     </td>
     <td>
Each TSP must:

- Hire and continually employ team members who achieve and maintain the competency requirements
- Ensure that GitLab licensed courses can only be delivered by a GitLab Certified Trainer who is certified for that specific course
- Maintain Customer Satisfaction (CSAT) score for training deliveries of at least 80%

1. CSAT = (Number of satisfied customers - 4s and 5s) ÷ (Number of survey responses) x 100
1. Customer Satisfaction Surveys must be supplied prior to 30 days after the course delivery completion date
   - Submit service attach registration for each GitLab licensed training engagement within 30 days of the delivery completion date
     </td>

  </tr>

</table>
