---
title: "GitLab Duo Principles - Hands-On Lab: Getting Started with GitLab Duo"
description: "This Hands-On Guide walks you through using GitLab Duo to answer technical questions."
---

> Estimated time to complete: 10 minutes

## Objectives

GitLab Duo allows you to use AI-assisted features across GitLab. To get started with GitLab Duo, you will need to first generate a lab environment to work in. This lab environment will provide you with all the GitLab Duo features demonstrated in this course.

## Task A. Access your Training Group

1. Navigate to [**https://gitlabdemo.com/invite**](https://gitlabdemo.com/invite) in a web browser.

1. In the **Invitation Code** field, enter the invitation code provided by your instructor or in the GitLab University LMS.

1. Select **Provision Training Environment**.

1. The system will prompt you for your **GitLab.com** username. Enter your GitLab.com username (excluding the leading @ sign) in the field provided. Select **Provision Training Environment**.

1. On the confirmation page, locate the `Your GitLab Credentials` section. Read this section carefully, noting the expiration date. Your access to this group and all of the projects that you create is ephemeral and will be deleted after the expiration date.

1. Select **My Group** at the bottom of the page.

1. Sign in with your GitLab.com credentials.

1. You will be redirected to a **My Test Group** group that provides a sandbox for you to perform training lab steps in.

    > This group has a GitLab Ultimate license to see all of the features while your personal username namespace requires a paid subscription or a free trial to access all of the features.

1. From your **My Test Group** training subgroup, navigate to the **GitLab Duo Principles** project.

    > This project has been pre-populated with a `go.mod` file that will be used in upcoming labs. It also contains an `examples` folder that holds additional examples and activities per lab.

## Task B. Working with GitLab Duo Chat

1. From your project, click the **GitLab Duo Chat** button in the top right corner.

1. A new chat window will appear on the right side of the screen. Try asking some questions and see how the GitLab Duo responds!

Here are a few demo questions you can ask Duo:

- `How do I move an issue from one project to another?`
- `What is a merged results pipeline?`
- `What is an example of a simple Python function?`

## Lab Guide Complete

You have completed this lab exercise. You can view the other [lab guides for this course](/handbook/customer-success/professional-services-engineering/education-services/devsecopswithduo).

## Suggestions?

If you'd like to suggest changes to the lab, please submit them via merge request.
