---
title: "GitLab Agile Portfolio Management - Hands-On Lab: Access The GitLab Training Environment"
description: "This Hands-On Guide walks you through accessing the GitLab training environment."
---

> Estimated time to complete: 5 to 10 minutes

## Objectives

In this lab, you will access the training lab environment. This environment will allow you to try all of the GitLab Ultimate features, providing you with an environment to follow along with all of the lab steps.

## Task A. Access your Training Group and Lab Environment

1. Navigate to [**https://gitlabdemo.com/invite**](https://gitlabdemo.com/invite) in a web browser.

1. In the **Invitation Code** field, enter the invitation code provided by your instructor or in the LevelUp LMS.

1. Select **Provision Training Environment**.

   > The login details for accessing the environment are slightly different between self-paced training and instructor-led training. Please follow the instructions that suit your needs.

### Self-Paced Training

1. For self-paced courses, you will need your **GitLab.com** username. To find your username, navigate to [Gitlab](https://gitlab.com).

1. In the left sidebar, select your profile image.

1. In the resulting dropdown, you will see a value starting with `@`. This is your GitLab username.

1. After inputting your invitation code, the portal prompts you for your **GitLab.com** username. Enter your GitLab.com user (excluding the leading `@` sign) in the field provided.

1. Select **Provision Training Environment**.

1. Select **My Group** at the bottom of the page.

1. Sign in with your GitLab.com credentials.

1. You will be redirected to a **My Test Group** group that provides a sandbox for you to perform training lab steps in.

   > This group has a GitLab Ultimate license to see all of the features while your personal username namespace requires a paid subscription or a free trial to access all of the features.
   >
   > If you receive a 404 error when accessing your group, it is likely due to the username input during the lab provisioning. Double check your GitLab username to make sure it is entered correctly.

1. From your **My Test Group** training subgroup, click the **New project** button.

1. Continue to Task B.

### Instructor-led Training

1. On the confirmation page, locate the `Your GitLab Credentials` section. Read this section carefully, noting the credential information provided and the expiration date. Your access to this group and all of the projects that you create is ephemeral and will be deleted after the expiration date.

1. Click the **Download Credentials** button to download your temporary GitLab credentials.

1. Click on **GitLab Dashboard** or the GitLab URL.

1. Login with your temporary GitLab Credentials.

   > This group your temporary account has been created in has a GitLab Ultimate license to see all of the features available.

## Suggestions?

If you'd like to suggest changes to this lab, please submit them via merge request.
