---
title: "Professional Services Engagement Management"
description: "Describes the workflow and responsibilities of the GitLab Professional Services Engagement Manager."
---

## Role of the Engagement Manager

The [Professional Services (PS) Engagement Manager](/job-families/sales/job-professional-services-engagement-manager/) is responsible for helping Solution Architects (SAs) and the sales team develop and gain approval for custom Statement of Works (SoWs). The process typically includes the following activities.

- An initial meeting with the SA or Customer to understand the objective and/or specific requirements
- Develop an initial Estimate based upon the Services Calculator
- Update the Estimate based upon initial feedback from the Customer and/or Sales team
- Once agreed, generate a supporting Statement of Work (SoW)
- Create a cost estimate (COGS)
- Providing clarification to the PS Director in order to obtain approval for the SoW
- Present the SoW to the account team to gain signature
- Track progress of the SoW through to signature
- Provide soft hand-off of the SOW to the Delivery team upon signature to ensure a smooth transition.

[Detailed Job Responsibility Priortization](task-prioritization)

## Meet the Team

Check out our team of Engagement Managers on our [team page](/handbook/company/team/?department=practice-management)

## How to contact or collaborate with us

- AEs can create a `professional services only` opportunity in SFDC. This triggers the automatic creation of a [scoping issue](https://gitlab.com/gitlab-com/customer-success/professional-services-group/ww-consulting/ps-plan/-/boards/5968112?label_name[]=Services%20Calculator) used for collaboration during PS discovery, scoping and proposal presentation.
- [Slack](/handbook/customer-success/professional-services-engineering/working-with/#slack) for informal and general questions, coordination
- Salesforce Chatter for approvals, discussion of opportunity status, or collaboration with sales leadership and legal.

## Useful Resources

- [Services to Accelerate Customer Adoption](/handbook/customer-success/professional-services-engineering/sales-enablement/)
- [Selling Professional Services](/handbook/customer-success/professional-services-engineering/selling/)
- [Professional Services Offering Framework](/handbook/customer-success/professional-services-engineering/framework/)
- [Services Calculator](https://services-calculator.gitlab.io)
- [Certified GitLab Engagement Manager Learning Journey](gitlab-certified-engagement-manager)
- [Main Customer Slide Template](https://gitlab.highspot.com/items/629a6d7cf089bbaa9e0d4fa7?lfrm=srp.0)
- [Services data sheets](https://gitlab.highspot.com/search?q=data+sheet)

## Engagement Manager - Processes

- [Tracking Professional Services Opportunities](tracking-opps/)
- [Engagement Scoping Information](scoping-information/)
- [SOW Creation](sow-processing/)
- [Quote Creation process for opportunities with both Custom Services and Fixed Price Training on a single SOW](/handbook/sales/field-operations/sales-operations/deal-desk/#creating-a-professional-services-quote-for-scopedcustom-education-or-services)
- [Transacting ProServ business through AWS Marketplace](aws-marketplace/)
