---
title: "Professional Services EM Scoping - Transformational Services"
description: "Describes the discovery questions to ask to uncover transformational services opportunities."
---

## General discovery questions

It's helpful to understand the customer's goals and current pain points. The following questions can be asked of the account team prior to meeting with the customer, or with the customer directly (just make sure to minimize asking the customer to repeat themselves). It's important to uncover these because switching to a new development platform alone will not enable the customer to achieve their goals. Understanding the context of the investment in GitLab is helpful to tailor services to help them meet their needs.

1. What are some of your goals in investing in GitLab? Is this tied to a large initiative like a cloud migration, app modernization or DevOps transformation?
2. What challenges do you have with your current way of working? Are you concerned with how quickly you can deploy changes to production? Do you know where your bottlenecks are?
3. Do you have challenges with functional silos? - is it challenging for developers, IT Ops, QA, and Security to collaborate on a single end to end value stream? Help me understand those challenges a bit better.
4. How do you manage compliance today in your software development lifecycle? What are the biggest challenges you see enforcing compliance?
5. How do you manage your software supply chain (knowing what software is running on all compute resources in your environment). What happens if a vulnerability is detected like log4j? What are the steps to understand how widespread the problem is?
6. Who is responsible for authoring and maintaining the CI/CD pipelines of applications? If it's each application team, do you think there are efficiencies to be gained in standardization of pipelines rather than each team developing a slightly different solution to the same problem?
7. Are there any legacy platform decommission dates (usually driven by license renewals) that are driving your timelines?
