---
title: "Task Prioritization"
description: "Describes the various EM job duties in order of prioritization."

---

## Prioritization of Job Responsibilities

The list of job responsibilities is in ranked order with the highest priority task at the top.

### SOW Processing for current opportunities including

- Creating a draft SOW from an estimate and providing to the customer for review
- Working through SOW redlines with a customer in conjunction with legal and the account team
- Submitting final SOW for approvals and legal stamp
- Sending SOW to Dale Brown (Principal Accounting Officer) and customer for signature. Alternatively sending SOW to Brian Robins (Chief Financial Officer) if Dale is unavailable.
- Creating a COGS and uploading to salesforce

**Note: SOW processing activities are a collaboration between the EM and the account team; who the "DRI" is will vary based on the circumstances.  For smaller, tactical opportunities, the EM might own the entire process with little or no SAE involvement.  For larger, strategic opportunities, especially when there are licenses and services being sold together, the SAE might handle all of the communication with the customer themselves.  It's important to have a conversation with the SAE for each opportunity to gain agreement on how that opportunity will be worked.  It's also important to keep a collaborative mindset when working with the SAEs.**

**Suggested SLAs:**

- 48 hours from confirmation of customer intent to move forward with an SOW to SOW draft in their hands.
- 72 hours from confirmation of final SOW content to stamped SOW in customer's hands for signature (Revenue and PS approval -> Legal stamp -> Dale signature-> Customer)

### Scoping of Early Stage PS Opportunities

- Working with SA to get the appropriate information ahead of a scoping call, including reminding them to provide the information in the scoping issue
- Scheduling internal sync meetings as needed prior to scoping calls
- Leading customer scoping meetings
- Work with Technical Architect as needed to drive technical discussions that lead to the appropriate scope, and to review estimates over $50k
- Providing estimate to account team and customer for feedback

**Suggested SLAs:**

- 24 hours from initial scoping issue creation to EM interaction/reminder to SA or CSM to provide information about customer need
- 72 hours from customer scoping call to estimate in customer's hands for review

### Territory Opportunity Management

- Updating sfdc EM status regularly
- Following up with account teams to have them update opportunity stage, close date, and quote when they are out of alignment with current state
- Providing regular input to current quarter forecast updates
- Regular communication with account teams to understand current state and next steps for current quarter opportunities

### Scoping Issue Management

- Ensuring that scoping issues have appropriate Segment, and workflow labels
- Marking closed opportunities with closeqtr and proposal::closed_won or proposal::closed_lost labels
- Updating scoping issues with all relevant information from customer calls and internal collaboration

### Account Handoff and Delivery Collaboration

- Asking customer readiness questions and documenting them
- Providing information about PS scope, skillset needed for delivery, customer timing expectations for delivery, and customer readiness to PC and PM
- Participating in PM-led internal hand off meetings
- Participating in delivery escalation meetings, as needed
- Collaborating with PM on change orders

### Sales/PS Collaboration

- Participating in regular ASM led team calls
- Participating in other Sales leadership calls as warranted
- Helping to enable sales on PS offerings and process
- Working with ASMs to mature sales team PS selling motions, i.e. ensuring that sales teams can articulate the value of PS, understand our offerings, are employing strong sfdc opportunity hygiene practices, and are following our documented PS and deal desk processes

### EM Standardization and Enablement Contributions

- Quoting/SOW gen tool evals
- Updating scoping questions, slides, PS Engagement Estimate Templates, web page materials for our services offerings as we refine them
- Reviewing MR's for updates and providing feedback
- Creating and refining SOW activities in Quilt (or PSQuote if we move to that)
- Collaborating with new EM's as they onboard to help them learn the role
- Providing feedback about customer conversations regarding PS needs to Practice Managers so that they can consider new offerings

### Channel Team Relationship Management

### Skills Development

- Learning about GitLab offerings and how to position them
- Learning about new GitLab features
- Professional Development

### Patch-specific responsibilities

- Commercial - improving the automated sales motion
- Pub Sec - working with the Channel and PS teams to understand partners and contracting vehicles available to transact business
- APAC, EMEA - Working with PS leadership, sales leadership, and Channels to sstablish fair market rates to sell services at competitive prices

## General Responsibilities Not Captured Above

- Act in a collaborative manner with account teams, Professional Services team members, and others within GitLab
- Maintain a current understanding of the forecast and risk for each opportunity in the current quarter
- Escalate any blockers and communicate any needs for help via the #ps-engagement-mgrs channel
