---
title: "GitLab Certified Migration Services Engineer"
description: "How GitLab Professional Services validates engineering readiness to deliver Migration Services"

---

## GitLab Certified Migration Services Engineer

To be able to scale the availaility of GitLab Migration Services, [GitLab Professional Services](https://about.gitlab.com/services/migration/) offers a certification process for engineers who want to deliver this service to customers. The program is currently available to GitLab team members as well as selected [GitLab Certified Services Partners](/handbook/resellers/services/).

The program provides a systematic approach to developing and validating the skills and knowledge needed to successfully migrate a customer's data from their legacy systems to GitLab.

## Skills and Knowledge Validated

The certified migration engineer is able to successfully complete the following objectives:

- Use GitLab capabilities available within the GitLab UI or through API to import/export data to/from common source code management (SCM) data sources such as GitLab, GitHub, and Bitbucket.
- Trouebleshoot common migration issues related to data stored in the git envelope vs data elements stored in a GitLab (or other SCM) project.
- Interpret the contents of a given project Statement of Work (SOW) or similar scoping documentation to identify tasks that are in scope or out of scope.
- Given a migration project scoping document, validate and refine the scope by conducting a discovery meeting with a customer.
- Use Congregate, the Professional Services (PS) migration automation tool, to complete an automated SCM migration.
- Follow the correct guidelines and processes to request support from the PS migration team to troubleshoot problems or review an approach to a customer migration.

### Candidate Process

Here are the steps required to earn the GitLab Certified Migration Services Engineer certification.

**Step 1**: Reach out to your manager if you are a GitLab team member, or GitLab representative if you are a partner, to discuss your interest in pursuing this certification.

**Step 2**: Create a new issue in the namespace provided to you by your GitLab representative using the [migration-onboarding.md issue template](https://gitlab.com/-/ide/project/gitlab-com/www-gitlab-com/tree/master/-/sites/handbook/source/handbook/customer-success/professional-services-engineering/gitlab-certified-migration-services-engineer/). If you are a partner, contact your GitLab representative to gain access to the namespace or if you need assistance with creating the issue.

**Step 3**: Complete each item listed in the Candidate Tasks section of the issue description. As you work through the tasks, reach out to the GitLab project coordinator listed in the issue to schedule your shadowing and first lead engagements. Here are the key tasks you will need to complete.

- Review migration services resources, including documentation and delivery kits
- Pass a graded migration assessment
- Complete a congregate-onboarding workshop
- Shadow a migration that is lead by a PSE Migration Engineer
- Lead a migration with a PSE Migration Engineer observing and providing feedback

**Step 4**: When you earn the certification, you will receive a digital verification badge - add this to your LinkedIn profile!
