---
title: "GitLab Certified Trainer Program"
description: "Explore how GitLab Professional Services certifies trainers to validate their readiness to deliver Education Services offerings."
---

To be able to scale the availability of GitLab learning offerings, [GitLab Professional Education Services](/handbook/customer-success/professional-services-engineering/education-services/) offers certification pathways for individuals who want to deliver GitLab standard instructor-led training (ILT) courses. The program is currently available to GitLab team members as well as selected [GitLab Certified Services Partners](/handbook/resellers/services/). Customers who order the GitLab Train the Trainer option for a standard ILT course can request participation in the program.

The program provides a systematic approach to developing and validating the skills and knowledge needed to successfully deliver each course offered by GitLab Professional Education Services.

## GitLab Certified Trainer

### Candidate Process for Internal Trainers, Subcontractors, and Train the Trainer Customers

GitLab Professional Education Services manages the certification process for all trainers to validate their readiness to deliver [Education Services offerings](https://about.gitlab.com/services/education/). Here are the steps required to earn the GitLab Certified Trainer certification for a given course.

**Step 1**: Reach out to your manager if you are a GitLab team member, or GitLab representative if you are a partner or customer, to discuss the courses you would like to be certified by GitLab to deliver.

**Step 2**: Create a new issue in the namespace provided to you by your GitLab representative using the `certified_subcontractor_candidate` issue template. If you are a partner or customer, contact your GitLab representative to gain access to the namespace or if you need assistance with creating the issue.

**Step 3**: Complete each item listed in the Candidate Tasks section of the issue description. As you work through the tasks, reach out to the training coordinator listed in the issue to schedule your shadowing and evaluation sessions. Here are the key tasks you will need to complete:

- Review the train-the-trainer (T3) resources.
- Shadow a certified trainer delivering the course to customers.
- Attend a live session and/or review T3 materials asynchronously.
- Pass the end-user certification assessments for the course.
- Schedule and deliver a one-hour live "dry-run" of the course
- Deliver a subset of the course to a customer with a certified trainer observing, and receive an average rating of at least 4 out of 5 on the Candidate Observation Form.
- Deliver the entire course to a customer with a certified trainer observing or reviewing the recording, and receive an average rating of at least 4 out of 5 on the customer Training Survey.

**Step 4**: As you earn each certification, add the digital verification badge to your LinkedIn profile!

### Footnotes

\+ GitLab will rely on the customer satisfaction scores to verify that certified trainer applicants who deliver courses in non-English languages are performing to expectations.

\* Surveys from students employed by the trainer's organization will not be included in the calculation of this rating.

++ Proof of professional trainer credentials can be one of the following: a resume with at least 1 year of professional training experience, certification/diploma from an external professional educator organization, and/or certified trainer certification from another IT vendor education services organization.
