---
title: "Professional Services Instructional Design and Development"
description: "Discover how the GitLab Instructional Design and Development team works together."
---

## Current Offerings

The GitLab Professional Education Services team currently provides the following offerings:

- [Live Instructor-led training (ILT)](https://about.gitlab.com/services/education/)
- [Self Paced training](https://about.gitlab.com/learn/)
- [GitLab Technical Certifications](/handbook/customer-success/professional-services-engineering/gitlab-technical-certifications/) as Professional Service offerings.
- [Train-the-Trainer](https://about.gitlab.com/services/education/train-the-trainer/)

## What's in Progress?

If you want to see what is currently being developed or planned out, check out the [Education Services Activity Board](https://gitlab.com/gitlab-com/customer-success/professional-services-group/education-services/activity)

- GitLab System Administration Specialist
- GitLab System Administration Professional
- GitLab CI/CD Professional

## WorkFlow Labels for Education Services Issues

Here are the main labels used for PS instructional development projects.

- `ProServ-practice::Education`- used for all education service items.
- `PS_Content::Backlog` - The content item has not been scoped or added to the Roadmap for PS Education Services yet.
- `PS_Content::To Do` - The content item is currently in the initial phase of development and have not been started yet.
- `PS_Content::Storyboarding` - The content item is in the initial outline phase of course development before the actual design work begins.
- `PS_Content::In Development` - The content item is in the process of being developed by the assigned Instructional Designer.
- `PS_Content::In Review` - The content item is currently in the review process with our SMEs and stakeholders.
- `PS_Content::Completed` - The content item has been completed and are published in the handbook/GitLab Learn.

### Have an Idea for a New Training?

To submit a New Content Request, create a new issue and select the [new-content-request template](https://gitlab.com/gitlab-com/customer-success/professional-services-group/education-services/-/issues/new?issue%5Bmilestone_id%5D=) and fill out the necessary details.

### Have Feedback on Existing Training?

To submit feedback on an existing course such as dead links, edits, additions and more, create a new issue and select the [content-update-request template](https://gitlab.com/gitlab-com/customer-success/professional-services-group/education-services/-/issues/new?issue%5Bmilestone_id%5D=#) and fill out the necessary details.
