---
title: "Professional Services Offerings"
description: "Find information about GitLab Professional services Offerings."
---

## Discovery Engagement

During a Discovery Engagement, the Professional Services Engineering group will engage with a customer for a set period - typically one week - for a set price.  The Professional Services Engineering group will consult with the customer and provide advice such as:

- Onsite discovery of short, mid and long-term goals for successful deployment of GitLab in High-Availability mode.
- Technical deep-dive into existing infrastructure (network topology, VM environment, inter-datacenter connectivity, security constraints).
- Scope planning for short and mid-term goals to deliver GitLab to their internal customers relative to their enterprise SLAs.

## Education Services

GitLab Education Services offers instructor-led courses designed to give participants a hands-on, engaging learning experience. A variety of options are available and more are being actively planned and built through out FY21. [View a list of current offerings](https://about.gitlab.com/services/education/).

### Standard Courses

- Private Instructor-led: These courses are currently available for purchase through your GitLab Sales Representative. A GitLab instructor delivers a course to your team live at your organization's facilities, or remotely using video conferencing.

- Open Online Instructor-led (availability target June 2020): These courses are open to anyone. Attendees can choose to audit the class free by viewing the livestream on YouTube, or can pay individually to reserve a dedicated seat in the class which includes access to the remote classroom and labs as well as certification assessments. These courses are delivered by a GitLab instructor using Zoom Webinars.

- GitLab Certifications (availability target June 2020): GitLab certifications will include required assessments as well as access to study and preparation resources.

### Custom Courses

GitLab will work with you to identify and scope the training needs for your team and deliver a custom learning experience either at your facilities or remotely.

## Migration Services

As part of services engagement, we offer migration services from a customer's current systems.  These services include consulting with the customer's technical staff about the best way to migrate not only the customer's source code but also their entire SDLC to the GitLab platform.  We may implement the migration in a phased approach or a replacement approach depending on the customer's comfort level and desires around adoption.

This can include:

- Importing your projects from GitHub, Bitbucket, GitLab.com, FogBugz and SVN into GitLab
- Migrating from SVN: Convert a SVN repository to Git and GitLab

In all cases, a GitLab Adoption Plan will be created with the customer to outline the goals of the migration and adoption, as well as any plans that involve customer or GitLab Professional Services actions.

## Integration Services

The GitLab Professional Services Engineering group will also work with a customer's technical team to come up with an Integration Plan for the GitLab implementation.  Typically part of the overall Professional Service Plan, this Integration Plan will consider a customer's existing systems and corporate policies in regards to:

- Integration with LDAP/AD or other OAuth services for authentication
- Integration to Jira, Jenkins, Redmine, Mattermost
- Custom Integrations
  - Automation
  - API: Automate GitLab via a simple and powerful API.
  - GitLab Webhooks: Let GitLab notify another system when new code is pushed
