---
title: "Delivery Checklists"
description: "Instructor Pre-Training and Post-Training Checklists"
---

## Overview

To alleviate potential last-minute issues concerning instructor preparation, the following pre-training checklist is provided below as a reference guide to ensure that the instructor is fully prepared.  Additionally, a post-training checklist can be useful for ensuring that the instructor has provided feedback to the appropriate GitLab team members and to triage any parking lot questions or items that arise during the training class.

## Pre-Training Checklist

The pre-training checklist below provides a list of tasks and reminders to help you fully prepare for your upcoming training.  The activities should be completed prior to the first day of class.

- Ensure that you have training logistics information, such as training dates, times, and main customer point of contact.
- For onsite training, make sure that you have the training venue address, point of contact information, sign-in procedures and required documentation, if applicable.
- Make sure to review all of the trainer materials, such as the slide deck, hands-on guide, facilitator guide, train-the-trainer video, and [GitLab documentation](https://docs.gitlab.com/ee/index.html) for the course you are delivering.
- Please ensure that you use the latest version of the slide deck for your upcoming class.
- Ensure that the lab environment and lab exercises are working properly by reviewing ahead of the first day of class.
- Ensure that you can access and have full functionality of the teleconferencing system.
- Review the [Remote Training Facilitation Best Practices Tips](/handbook/customer-success/professional-services-engineering/remote-training-tips/).
- Declutter by closing unneeded tabs in the browser you will use to show the course slides.
- Silence or quit Slack and email to prevent notifications during your class.
- Set up your laptop's environment in whatever ways are necessary for the class. For example, if you're going to install a GitLab Runner as part of a CI/CD class, make sure you've uninstalled the GitLab Runner binary from your laptop.

## Post-Training Checklist

The checklist below provides a list of tasks and reminders to help you post-training delivery.  The activities should be completed upon training delivery.

- The Education Services team is available via your respective GitLab Slack channel for any immediate concerns during your training.
- Research and answer any parking lot questions that came up during the training.
- Complete the [Post Course Instructor Feedback Form](https://gitlab.com/gitlab-com/customer-success/professional-services-group/ps-leadership-team/ps-operations/-/wikis/GitLab-Post-Course-Instructor-Feedback) for GitLab's review.
- For course slide deck or lab instructions feedback, concrete suggestions are best, but all suggestions are welcome.
- Provide any follow up information or feedback to the Education Services team to be forwarded to the GitLab Account Team.
