---
title: "Agile to GitLab Terminology Mapping"
description: "Learn about how Agile terms map to GitLab terms."
---

The following table and blog link show the agile to GitLab terminology mapping.

<table>
<tr>
<td>

**Agile artifact**
</td>
<td>

**GitLab feature**
</td>
</tr>
<tr>
<td>User story</td>
<td>

[Issues](https://docs.gitlab.com/ee/user/project/issues/)
</td>
</tr>
<tr>
<td>Task</td>
<td>

[Task lists](https://docs.gitlab.com/ee/user/markdown.html#task-lists)
</td>
</tr>
<tr>
<td>Epic</td>
<td>

[Epics](https://docs.gitlab.com/ee/user/group/epics/)
</td>
</tr>
<tr>
<td>Points and estimation</td>
<td>

[Weights](https://docs.gitlab.com/ee/user/project/issues/issue_weight.html)
</td>
</tr>
<tr>
<td>Product backlog</td>
<td>

[Issue lists](https://docs.gitlab.com/ee/user/project/issues/#issues-per-project) and [prioritized labels](https://docs.gitlab.com/ee/user/project/labels.html#prioritize-labels)
</td>
</tr>
<tr>
<td>Sprint/iteration</td>
<td>

[Milestones](https://docs.gitlab.com/ee/user/project/milestones/)
</td>
</tr>
<tr>
<td>Burndown chart</td>
<td>

[Burndown charts](https://docs.gitlab.com/ee/user/project/milestones/burndown_and_burnup_charts.html)
</td>
</tr>
<tr>
<td>Agile board</td>
<td>

[Issue boards](https://docs.gitlab.com/ee/user/project/issue_board.html)
</td>
</tr>
</table>

Blog: [How to use GitLab for Agile Software Development](https://about.gitlab.com/blog/2018/03/05/gitlab-for-agile-software-development/)
