---
title: "Iteration 0 Fundamentals"
description: "Learn about the core pieces to iteration 0 of a GitLab PS engagement with a customer."
---

## Team Mobilization

1. Align on team norms and working agreements.
2. Orient the team on roles and responsibilities.
3. Agree on working cadences.
4. Align on vision, scope, and goals for your specific team.

[Iteration 0 Fundamentals](iteration-0-fund.png)

[Iteration Execution](iterative-exec-delivery.png)

## Engagement Planning

Starts at the EM>PS Delivery Transition and continues through the Stakeholder Planning Meeting & Customer Kickoff. Throughout Iteration 0, work to continuously...

1. Refine and prioritize project backlog (user stories and acceptance criteria - two iterations).
2. Slot issues into an initial release plan (inital planning & design).
3. Define [Definition of Done (DoD)](../definition-of-done/_index.md) and, if needed, the [Definition of Ready (DoR)](../definition-of-ready/_index.md).
4. Understand constraints, impediments and risks for your specific team.

[Team Norms](align-team-norms.png)

[Orient Team](orient-roles-responsibilities.png)

## Setup of Technical and Business Foundation

1. Identify key risks and dependencies based on initial backlog and tools.
2. Design data and business architectures and CI/CD pipeline to support desired functionality.
3. Define and implement engineering best practices to enable DevSecOps.

## Prep for Production Readiness

1. Identify key risks and dependencies based on initial backlog and tools.
2. Design data and business architectures and CI/CD pipeline to support desired functionality.
