---
title: "Managing Risk, Project Wins, and Business Development"
description: "Learn about managing reports around project wins, Business Development Items, and Customer Stories."
---

## Mitigating Risk via RAID Board

* The RAID, Risks, Actions, Issues, and Decisions is our way to ensure a single source of truth for project risk & resolution
* It is where our internal project stakeholders and leadership can reference the latest project information when the project is trending or sitting in a Y/R health status
* The RAID is automatically created when the PM creates the CP template. First step is to rename template “RAID - Customer - SOW/PO#
* While the RAID is created, managed, and reported by the PM, **the internal & Customer team is encouraged to be updated the RAID as we work through Project challenges and mitigations**
* [Example](https://gitlab.com/gitlab-com/customer-success/professional-services-group/professional-services-delivery/gitlab-professional-services/autozone/SOW-2464/-/boards/7689705?label_name[]=PS%20RAID%20Log "RAID Log")

Reporting on Risk via RAID

* When creating a Risk, the following labels will be applied: "PS RAID Log" "PS Risk" "PSD Workflow::Not Started"
* Severity should be defined and added as a label "PS:: Priority High" "PS:: Priority Medium" "PS:: Priority Low"
* Impact will be quantified through impacts to Timeline, Scope, Quality, or Budget
* An Owner will be assigned as a person responsible for accepting, mitigating, or resolving the Risk.
* Mitigation plan will be detailed to lessen or eliminate the Risk.
* Use the label “Escalated” to create immediate attention as it impacts the progress of the project. For internal visibility, the RAID link is included in the Top Customer Report when a project is Y/R
* [Escalated items can be found here.](https://gitlab.com/groups/gitlab-com/customer-success/professional-services-group/-/issues/?sort=updated_desc&state=opened&label_name%5B%5D=Escalated&first_page_size=20)

## Tracking Project Wins, Business Development Items, and Customer Stories

The process of a internal project retrospective is started when the project starts. It is a collection of team celebration, lessons learned, what could be improved, questions, comments, assets create. This in an internal-only issue and the GitLab team is encouraged to gather learnings and celebrations throughout the Project.

* The Internal retro issue lives within the internal Customer EPIC and is created when the Epic is created, the latest template can be found at the issue level, [and here](https://gitlab.com/gitlab-com/customer-success/professional-services-group/ww-consulting/ps-plan/-/blob/master/.gitlab/issue_templates/project_retrospective.md?ref_type=heads)
* PMs to make sure this issue is linked in the internal Project slack channel

Reporting on Customer Wins, Lessons Learned, and Delivery Kit Updates

* Customer Stories, Project Wins, and Completed Internal Retro report can be found [here.](https://gitlab.com/groups/gitlab-com/customer-success/professional-services-group/-/issues/?sort=updated_desc&state=opened&or%5Blabel_name%5D%5B%5D=RetroComplete&or%5Blabel_name%5D%5B%5D=CustomerStory&or%5Blabel_name%5D%5B%5D=ProjectWin&first_page_size=20)
* Needed Delivery Kit Updates can be found [here.](https://gitlab.com/groups/gitlab-com/customer-success/professional-services-group/-/issues/?sort=updated_desc&state=opened&label_name%5B%5D=Delivery%20Kit%20Update&first_page_size=20)
* For tracking lessons learned around scoping, PS process, PS Product, Support, or misaligned expectations, reference [here.](https://gitlab.com/groups/gitlab-com/customer-success/professional-services-group/-/issues/?sort=updated_desc&state=opened&or%5Blabel_name%5D%5B%5D=llProduct&or%5Blabel_name%5D%5B%5D=llPsProcess&or%5Blabel_name%5D%5B%5D=llFinanceDelays&or%5Blabel_name%5D%5B%5D=WE-scoping&or%5Blabel_name%5D%5B%5D=llSupport&or%5Blabel_name%5D%5B%5D=llExpectation&first_page_size=20)
