---
title: "PS Standard SKUs"
description: "Discover GitLab's Professional Services Standard SKUs"
---

Some Professional Services Offerings, such as non-customized Education Services courses, Rapid Results implementations, and other out-of-the-box implementation packages can be sold as a standard SKU. Professional Services SKUs can be easily added to an order within Zuora and do not require creation of a custom SOW.

**Important Note:** The GitLab System Administration Basics and GitLab Advanced System Administration courses should always be ordered using the custom SOW process so that we can review the customer's deployment variables and create a custom list of topics for them with the appropriate pricing depending on the scope of the topics needed. Once the trainings are scoped, they can be ordered using the new hourly rate Training SKU for ProServ Education Services in Zuora/SFDC.

Below are the current SKUs broken out by services category. For a detailed list including pricing see the [Full Catalog](https://about.gitlab.com/services/catalog/) page.

### Implementation and Integration Services Standard SKUs

{{% sku-tables categories="Implementation,Integration" maturities="Viable,Lovable,Minimal" %}}

### Education Services Standard SKUs

Currently, the following Education Services course SKUs are available within Zuora and can be added to any quote without using the Services Calculator or a SOW. Most courses have both an on-site and a remote delivery SKU. In the case of onsite delivery, travel and expenses (T&E) is billed separately to the customer based on our [Professional Services terms](https://about.gitlab.com/terms/#consultancy) and [sponsored travel policy](/handbook/finance/travel/sponsored/). Customization of any of these standard courses will require use of the Services Calculator and further project scoping as well as the custom SOW approval process and signature by customers.

#### Update: Per-Seat Training SKU

**Now Available: Training seat add-ons!** Customers who want to add on to the 12-person limit for training sessions can now do so by ordering the new **[ProServ Training Per-Seat Add-on](https://about.gitlab.com/services/education/ILT-Seat-Add-On/)** SKU. Priced at $500 per added seat, this is an easy way to accommodate additional attendees and avoid the need to order a full additional training delivery for customers with more than 12 trainees.

Here are answers to anticipated frequently-asked questions.

1. **Why are seats limited to 12 per class for standard training?** A class size of 12 is optimal for the best learning experience given the amount of hands-on activities covered during the training sessions. There are also additional resources required by GitLab to provide lab infrastructure, support, and certification assessments as the number of attendees in the class increases.

2. **What is the process for making an exception?** If you have a quote in flight we will honor the number of students you may have already requested an exception for from us. For all new quotes you should create an order that includes the per-seat SKU quantities and request a discount as needed using the standard discount approval process.

{{% sku-tables categories="Education" maturities="Viable,Lovable,Minimal" stages=true %}}

#### Planned SKUs

We are planning to release additional Education Services SKUs designed to increase our scale and reach to GitLab customers. For details review the issues in the [Education Services Project](https://gitlab.com/gitlab-com/customer-success/professional-services-group/education-services).

##### Have an idea for a new SKU?

To submit an Education Request, [create a new issue](https://gitlab.com/gitlab-com/customer-success/professional-services-group/education-services/-/issues/new?issue%5Bassignee_id%5D=&issue%5Bmilestone_id%5D=) and select the **education-request** template and fill out the necessary details.
