---
title: Renewals Managers
---

![Global Renewals Organiztion](images/GitLab_GR_BLK.gif)

Global Renewals Organization

---

View the Renewals Manager handbook pages:

- [How We Do It](/handbook/customer-success/renewals-managers/how) - Information about how renewals managers execute on the mission.
- [What we do](/handbook/customer-success/renewals-managers/what) - Information about what tasks and activities renewals managers perform.

Renewals Managers (more resources)

- Visit the internal handbook [page](https://internal.gitlab.com/handbook/sales/go-to-market/renewals/)
- Contribute to the Global Renewals Organization issue [board](https://gitlab.com/gitlab-com/customer-success/global-renewals-organization/-/boards/5465302?label_name[]=Global%20Renewals)

---

The Global Renewals Organization is part of the [GitLab Customer Success](/handbook/customer-success/) function. We partner with Customer Success, field sales, our ecosystem of partners, support and marketing organizations to deliver maximum value to GitLab customers throughout their subscription lifecycle.

The Global Renewals Organization is made up of *renewals managers*. A renewals manager looks after a customers entire existing book of renewable business and manages those renewal opportuntities in Salesforce from inception (day one after a new sale) to renewal booking. A renewals manager is aligned to a territory and supports customers within that territory by working in coordination with an account team (typically made up of a Customer Success Manager/Engineer, a Solutions Architect, and an Account Executive).

The Global Renewals Organization is divided into four geographic areas of coverage:

- **APAC**: Slack channel --> [#apac-renewals-mgr] (private, internal only)
- **EMEA**: Slack channel --> [#emea-renewals-mgr] (private, internal only)
- **Public Sector (USA only)**: Slack channel --> [#pubsec-renewals-mgr] (private, internal only)
- **Americas**: Slack channel --> [#amer-renewals-mgr] (private, internal only)

Other ways to reach members of the Global Renewals Organization include:

- Global renewals manager slack channel --> [#global-renewals-managers] (public, world-wide team channel used for best practices, questions, updates)
- Global renewals leadership slack channel: [#global-renewals-leadership] (private, managers wide channel used for updates, questions, best practices)
- Global renewals organization feedback channel: [#renewals-org-ideas-and-feedback] (public, world-wide feedback channel)

## Mission Statement

To maintain the highest renewal rate in the DevSecOps industry.

## Vision

To be the defining subscription renewals organization among peers in the SaaS industry.

## Values

- ### Customer first

  The renewals team exists to service the needs of our customers. We prioritize what's best for the customer before what's best for GitLab.

- ### Collaboration always

   As much as possible, we emphasize **team** goals over individual achievement.

- ### Continuous improvement

   The renewals organization is dedicated to developing a community of renewals **scientists** that seek to identify process waste and poor customer experience to develop practices for improvement.

## Strategy

Our strategy defines how we win in the market we have chosen to compete. It is not timebound - simply a series of declartive statements about the competitive advantages we seek and the systems that will deliver those advantages.

### Market

 Enterprise and Growth sales segments, with a focus on customers that are under full renewals lifecycle management.

### How we win

1. More impactful customer engagement via a thoughtfully architected and executed subscription lifecycle
2. More efficient and effective renewal operations
3. A better customer renewal experience driven by a culture of small, incremental continuous improvements
4. An empowering team culture

### RM New Team Member Onboarding

As a [Renewals Manager (RM), your onboarding](/handbook/customer-success/renewals-managers/rm-onboarding) experience will be a blended learning experience that includes virtual synchronous meetings, a self-paced role-based learning path on GitLab University, and a hands-on virtual workshop called Sales Quick Start (SQS). Your role based learning path is highlighted in this [role-specific onboarding guide](https://docs.google.com/document/d/1kc5tVFZxQLT5EcworXmeMzVYsXp-6hg6dthFQI8wNcM/edit#heading=h.5sepq0d8u5az). Please make a copy of this document and check off items as you complete them.
