---
title: Renewals Managers - How we do it
---

View the Renewals Manager handbook pages:

- [Home](/handbook/customer-success/renewals-managers/home) - Information about the organization.
- [What we do](/handbook/customer-success/renewals-managers/what) - Information about what tasks and activities renewals managers perform.

Renewals Managers --> visit the internal handbook [page](https://internal.gitlab.com/handbook/sales/go-to-market/renewals/) and [Highspot](https://gitlab.highspot.com/items/65831c38686f413428300ccd?lfrm=isd.9) for more information.

---

## Execution: Establishing fundamental excellence

Renewals managers (RMs) execute a series of activities across a specifically defined customer renewal lifecycle. These activities are both internal and customer facing. We seek excellence in performing the fundamental tasks of renewals management.

## Renewals lifecycle

The renewals team organizes it's coverage of a customer subscriptions around particular key stages during a customers journey through the renewal process. During each stage we prescribe specific activities that encourage renewals managers to deliver distinct, stage relevant customer outcomes.

| Time Frame | Renewals Stage | Customer Outcomes (Qualitative)                                          |
|-------|--------|-------------------------------------------------------------------------------------|
| Month 1    | 1. Deploy      | Customer welcomed/back, environment set-up/affirmed, startup issues identified/triaged, licenses utilized |
| Month 2    | 2. Activate    | The majority of licenses are being utilized, customer is enabled to enter the adopt stage |
| Month 3,4,5,6 | 3. Adopt | Customers encouraged to optimize platform, early risk signals identified/mitigated, subscriptions show high utilization |
| Month 7    | 4. Advocate    | Customers identifying expansion opportunities, verbalizing advocacy        |
| Month 8,9 | 5. Expand      | Customers have evaluated needs for more subs, up-tiering                     |
| Month 9,10| 6. Prepare     | Comfortable and starting the commercial portion of the renewal lifecycle     |
| Month 11   | 7. Quoted      | Timely access to an accurate quote                                          |
| Month 12   | 8. Signing     | Signatures on quote, PO raised/sent (when necessary)                         |
| Month 12   | 9. Closed Won  | Entitled, shown gratitude, and equipped for day zero success                  |

## Renewals policies

To build and maintain an efficient, fair, and high impact renewals organization, we have adopted the following policies and processes to describe our engagement with field sales, partners and customers.

## Rules of engagement

- **Growth opportunities**
  - First order business is handled by Account Executives
  - Customer add-ons are identified by Renewals Managers, and primarily managed by Account Executives (exceptions made for timing risk to customers environment; risk to experience)
  - Connected-new opportunities are handled by Account Executive
- **Renewal opportunities**
  - Customer true-ups are handled by Renewal Manager
  - Renewals Managers do not waive true-ups
- **Channel opportunities**
  - We respect the incumbency of partners unless a lack of action by the partner puts a customers environment at risk
- **Opportunity Coverage**
  - Renewals managers primary focus is managing renewal `ATR` ; coverage for new business and add-on's `growth NetARR` should default to the account executives team

## Late renewals management

Our management philosophy regarding the expectations of booking renewals is simple - always timely and always accurate.

- **Timely**:
  - It is expected that a renewal opportunity be closed-won or closed-lost by the `subscription renewal date`.
  - We close-lost opportunities when we have full confidence that the customers will not renew (we don't use sales automation to close opportunities)
- **Accurate**:
  - *No pushing*: We do not manipulate the close date to influence personal performance metrics (i.e. pushing churning opportunities into the next quarter/year)
  - *No detrimental pulling*: We do not pull opportunities forward into quarters for the purpose of personal performance metric effect if it results in compression (i.e. offering a discount for an early contract reset to improve a quarters performance)
  - *Corresponding subscriptions*: We book opportunities that correspond, together (aka SaaS and Self-Managed migrations are booked at the same time)

## Compensation

## Churn Exceptions

- Churn exceptions are possible, but not guaranteed. Each circumstance will be considered independetly. Some common scenarios considered for churn exceptions are:
  1. Misrepresented or temporary Churn/Contraction
  - a. Near-term add-on contraction (true up negotiations, budget optimizations)
  - b. Subscription migration and consolidations - where we can prove that users simply moved to another subscription (not-merged) on another opportunity, or to another account
  - c. System errors (non-standard contract resets that may net incorrectly, incorrectly merged opps)
  1. Strategic Churn/Contraction
  - a. Change in GTM (direct to indirect) and the associated margin event that results in contraction
  - b. Change in term length (must pass approvals)
  1. Protected Churn/Contraction
  - a. Large/Influential Tier 3 deals where a churn event encompasses more than 10% of a Renewals Managers overall quarterly target may be considered
  - b. Recent account transition churn/contraction - opps that have been recently acquired as a result of account transition

- Timing: Have all exceptions submitted by the first two days of the new quarter.
- Threshold: Consider the amount of churn/contraction - small renewals in these scenarios should be balanced with the amount of effort to find/submit them (i.e. submitting a 200 dollar opp may take more time than it's worth)

- Submission
  - When submitting a churn exception, you must follow our most up to date [churn exception process found here](https://internal.gitlab.com/handbook/sales/sales-commission/#request-for-splits-additional-credits-new-logo-exception-lam-dev-count-override-or-churn-exception)

## Metrics

The renewals organization puts a focus on execution through a balanced series of metrics.

## Primary Metrics

- Renewal Rate (% of dollar)
   `[Won ARR Basis (for Clari)]` / `[ARR Basis (for Clari)]`
- On-time renewal rate (% of dollar) (# of opps)
  `Close date` >= `subscription renewal date`
- Lifecycle Activity Completion Rate
  `Completion Rate` >= `Lifecycle Tasks Completed/Number of Lifecycle Tasks Assigned`  

## Secondary Metrics

- Growth NetARR (%)  - everything but first-order business
`[Comp] Net ARR (growth)`

## Tertiary Metrics

- Opportunity health: Next steps completion, stage progression, activity execution
- Under management: $ and # opps in each tier (0,1,2,3)
- Compression: Average discount
- Scaling: % of business executed through partners
- Closing Velocity: Average quote to close time (measured by stage progression)
- Customer Satisifacation: NPS, CSat scores
