---
title: RM Onboarding
---


![Global Renewals Organization](images/GitLab_GR_BLK.gif)

---
**Renewals Manager (RM) Onboarding Journey**

Welcome to GitLab! We are happy to have you join as a Renewals Manager (RM). This handbook page will provide you with an overview of what you can expect during onboarding journey including learning objectives, milestones, and ways in which your manager and onboarding buddy will be supporting you during this time.

**Overview of Role-Based RM Onboarding**

As a RM, your onboarding experience will be a blended learning experience that includes virtual synchronous meetings, a [self paced role-based learning path on GitLab University](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://university.gitlab.com/learn/learning-path/renewals-manager-onboarding-journey), and a hands-on virtual workshop called [Sales Quick Start](/handbook/sales/onboarding/) (SQS).

Your role-based learning path is highlighted in this [role-specific onboarding guide](https://docs.google.com/document/d/1zAKuWnUUyy4oB741hX2jBL5OZM2Dk5pqA8EwEe0TYLI/edit). Please make a copy of this document and check off items as you complete them.

**Learning Objectives for RM Onboarding**

As a RM, in addition to the [SQS learning objectives](/handbook/sales/onboarding/sqs-learning-objectives/), your onboarding is intended to fulfill the following learning objectives:

*Module 1 - Renewals Manager Basics*

- Demonstrate understanding of GitLab Basics
- Understand the mission and vision of the Global Renewals Organization
- Express understanding of the Global Renewals Organization
- Schedule calls to shadow fellow RM team members

*Module 2 - Renewals Manager at GitLab*

- Demonstrate understanding of roles and responsibilities of RMs at GitLab

*Module 3 - Rules of Engagement*

- Demonstrate understanding of renewals policies including rules of engagement and late renewals management
- Demonstrate ability to create and manage opportunities

*Module 4 - Deep Dive*

- Demonstrate understanding of how to utilize tool stack for your role
- Identify which tools to use in different stages
- Understand how a RM collaborates with other account team members
- Understanding the Renewals lifecycle

*Module 5 - RM Onboarding Conclusion*

- Complete Sales Quick Start (SQS) prework
- Discuss customer readiness with your manager
- Complete role-based onboarding learning path

**Milestones and Onboarding Roadmap**

[RM Onboarding Journey Roadmap](/handbook/customer-success/renewals-managers/RM-Onboarding-Journey-Roadmap.png)

**Expectations for Manager support during onboarding**

Your manager will be there to support you during your onboarding journey. Beyond the expectations laid out for your manager in your onboarding issue, they will be providing you with the following support:  

*Month 1*

- Schedule recurring 1:1 calls
- Provide guidance on who the new hire should schedule coffee chats with during their onboarding journey
- Review and discuss company policies such as the PTO policy, family and friends first culture, and GitLab's CREDIT values
- Discuss any team specific expectations
- Review organizational structure
- Ensure your new team member has access to all role-specific tools and appropriate Slack channels
- Align on a general plan to get customer ready and schedule role play activities
- Ensure your new team member is meeting appropriate milestones and expectations from week to week
- Identify skills to be mastered and resources available to accomplish learning objectives

*Month 2*

- Discuss any general concerns or challenges your new team member might be experiencing
- Discuss any challenges your new team member is experiencing with asynchronous culture
- Share constructive feedback on role plays that should have been completed as part of their onboarding experience
- Ensure onboarding milestones are met and that new team member is completing all the requirements
- Align on whether your new team member is on track to be customer ready (if not already meeting with customers) and provide them with additional support as needed
- Discuss best practices for RMs

*Month 3*

- Decide on a regular cadence for 1:1 calls
- Consider shadowing some customer calls and provide feedback as needed
- Confirm that new team member has completed all mandatory and necessary onboarding activities including SQS and role-based learning path
- Discuss how their performance will be formally evaluated in the future

*Beyond 3 Months*

- Provide regular feedback on performance
- Encourage your new team member to develop an individual growth plan for their long term goals

**Expectations for Buddy support during onboarding**

*Month 1*

- Nurture a welcoming environment for the new team member  
- Establish a recurring 1:1 meeting to check in on the new team member's progress on onboarding activities
- Provide assistance or support with any barriers or difficulty understanding concepts covered in the onboarding learning path and SQS
- Connect the new team members with the broader team to build a network
- Share helpful tips and resources that are beneficial during their onboarding and beyond

*Month 2*

- Provide opportunities for the new team member to shadow you on calls; debrief on calls and discuss any feedback
- Align with new team member's manager on other ways you can provide support

*Month 3*

- Provide support and feedback as it relates to different customer situations and discuss mitigation strategies for renewals
- Inform new team member on how you can support them beyond their onboarding journey

**Graduation from RM onboarding**

In order to be considered as having "graduated" from onboarding as a RM, you need to have completed the following:

- Completed items capture in the checklist of your GitLab onboarding issue (it is recommended that you have this completed in 5 working days from your start date)
- Completed Sales Quick Start (SQS) prework on GitLab University
- Attended the SQS workshop and completed all relevant activities
- Completed your role based learning path on GitLab University (it is recommended that you have this completed in 10 working days from your start date)
- Completed role play activities and discussed feedback with your manager /  onboarding buddy
- Shadowed at least 5 - 10+ calls as determined by your hiring manager
- Be proficient in all SFDC operations as it relates to your role as a RM which includes preparing accurate renewal quotes to customers or resellers
- Be proficient in sales order processes
- Demonstrated a clear understanding of how to effectively use the GitLab handbook as a resource
- Demonstrated an understanding of forecasting

It is expected that by your 20th working day, you will be assigned to your territory.

**Continuous Enablement**

In addition to onboarding enablement, continuous enablement will be available to you via micro-learning, job aids, just-in-time learning, and webinars.

- [Customer Success Skills Exchange](/handbook/sales/training/customer-success-skills-exchange/) is a biweekly webinar for the Customer Success and Solutions Architect teams on various topics
- [Field Enablement Spotlight](/handbook/sales/training/sales-enablement-sessions/#field-enablement-spotlight-sessions) sessions take place weekly and cover topics relevant to the field
- [RM Highspot Page](https://gitlab.highspot.com/items/65831c38686f413428300ccd) serves as a single source of truth for RM content

**Feedback**

Your feedback on the onboarding process is important to us and we welcome your thoughts and ideas about how we can improve in the future. Please share your feedback in the following issue: [RM Onboarding Feedback](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/2407).

**Resources and Links**

- [RM - New Hire - Onboarding Guide](https://docs.google.com/document/d/1zAKuWnUUyy4oB741hX2jBL5OZM2Dk5pqA8EwEe0TYLI/edit)
- [Renewals Manager (RM) Onboarding Learning Path](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://university.gitlab.com/learn/learning-path/renewals-manager-onboarding-journey)
- [Sales Quick Start (SQS) Handbook Page](/handbook/sales/onboarding/)
- [#global-renewals-managers Slack Channel](https://gitlab.enterprise.slack.com/archives/C04JT9WCGUF)
- [RM Onboarding Feedback](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/2407)
- [RM Highspot Page](https://gitlab.highspot.com/items/65831c38686f413428300ccd)
