---
title: "CI Workshop"
Description: "Guidance for CSMs on leading continuous integration deep-dive workshops"
---

- [CI Workshop Overview](#ci-workshop-overview)
- [Workshop Materials](#workshop-materials)
- [Discovery Questions](#discovery-questions)
- [Workshop Planning Checklist](https://docs.google.com/document/d/1MQuIq8_QWvZJi_zKMzwkIf9Ewps4nezmcvQ6YuzomSA/edit) (Google Doc - Make a copy)

## CI Workshop Overview

This workshop is intended to provide enablement for new or existing customers such that a CSM or SA could:

- Select either the "Basic" or "Advanced" CI Workshop deck that's best suited to the customer's level of experience and areas of interest
- Pitch to a customer using our [Collaboration Project Issue Template](#collaboration-project-issue-template)
- Create a [zoom meeting](#how-to-get-started) complete with customer registration to facilitate follow-up contact with interested parties (potentially broadening or deepening the relationship)
- Ask appropriate [discovery questions](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/ci/#discovery-questions)
- Drive followup actions

This workshop is *not* intended to provide a "hands-on-keyboard" demo experience.

*Typical time*: 60-120 minutes is a good guideline. The Advanced CI Workshop with pre-recorded video includes approximately 80 minutes of pre-recorded video plus approximately 5-15 minutes of "`rules:` examples". Don't forget to allot time for questions.

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/bF53StwhMUc" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

## How to Get Started

1. Create an Issue in the customer's Collaboration Project using the [CI Sell Sheet issue template](https://gitlab.com/gitlab-com/customer-success/tam/-/blob/master/.gitlab/issue_templates/CICDv2WorshopTopics.md) and discuss with your customer whether the Basic or Advanced workshop is appropriate.
1. Agree on an appropriate amount of time for your session with your customer (90-120 minutes recommended)
1. [Create a signup page via Zoom](https://support.zoom.us/hc/en-us/articles/211579443-Setting-up-registration-for-a-meeting) for the workshop for your customer to share internally. The benefit of a signup page is that:
    1. You can understand in advance the number of expected attendees, and prepare accordingly (ie. by engaging volunteer resources to handle async Q&A).
    1. You will know who is coming and can tailor content to specific levels/titles of attendees (Don't forget to add a `title` question to your signup page!).
    1. You will have a list of attendees to follow up with.  This part is incredibly significant as this workshop becomes a means to engage with dev leads and end users, that we often do not have otherwise.
1. **Make a copy** of the [Intro to CI/CD Lunch and Learn slides](https://docs.google.com/presentation/d/1AO4z6Q8lQE10zCzjNRT5fGcYbYdMZf4AXUAAIodib3E/edit#slide=id.g719d32106a_0_0) or the [Advanced CI Workshop Slides](https://docs.google.com/presentation/d/1CBcpyFqmfG99JyzNS2CexRLAhQ4IziMDINFXoKuy9_w/edit) as the starting point for Basic or Advanced workshops, respectively.
1. Customize the slide deck as agreed with the customer.
1. Find a partner to present with... another CSM, the SA for the customer or one of the creators of this workshop. It's always better to have someone to take notes or bounce questions off of. It's recommended to have one co-facilitator for every 20 attendees.

## Workshop Materials

- **Basic Workshop** [Intro to CI/CD Lunch and Learn slides](https://docs.google.com/presentation/d/16NUm6b8EwhGg3BdoI7dKsIY2aI2MIOCS8HtO7wRW2Dg/edit)
- **Advanced Workshop** [Advanced CI Workshop Slides](https://docs.google.com/presentation/d/1cqysPx_93xnzZ853HwIlRd63oA1Ni9MY8kclYv-JMBw/edit)
- For any auxiliary material, feel free to draw from other decks in the [Lunch and Learns Google Drive Folder](https://drive.google.com/drive/folders/1NnDsqoc-KRdy7hF1jbo6H_59FwzpiKUc?ths=true)

If you'd rather leverage pre-recorded content for an advanced workshop, you could consider using the below:

- (Deprecated) [Advanced CI Configuration Slides with pre-recorded video](https://docs.google.com/presentation/d/1GI-QdzYJY3ccVtELZr-5uLBcsaGbP2Ioliw5XMZJc9Q/edit)
- (Deprecated) [Advanced CI Configuration Slides without video](https://docs.google.com/presentation/d/1lEF-8XBBn5kKdK5h9HNvQPvrQB8n1Jw-PYDIxO4ngT0/edit)

Please use [this issue](https://gitlab.com/gitlab-com/customer-success/tam/-/issues/372) for feedback on any of the above, as well as learnings from this workshop process so that we can continue to iterate.

## Collaboration Project Issue Template

Reference: [CI Sell Sheet issue template](https://gitlab.com/gitlab-com/customer-success/tam/-/blob/master/.gitlab/issue_templates/CICDv2WorshopTopics.md)

## Discovery Questions

It's highly recommended to review Strategic Marketing's list of usecase-centric [discovery questions](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/ci/#discovery-questions) ahead of the session.
When you introduce yourself and the workshop, it can be helpful to ask discovery questions about the team(s) in attendance, the roles individuals hold, and invite commentary on their current goals or challenges.
