---
title: "CSM Secure Workshop Discovery Questionnaire"
---

Use this questionnaire to determine what information to cover in the workshop you are conducting with your customer. Copy the information below into an issue in your customer collaboration project, and fill in the details either by asking the questions during your initial planning session (recommended), or asynchronously by asking the customer to answer the questions in the issue.

A few things to keep in mind about this questionnaire:

- The capabilities listed are based on what the [Secure Workshop materials](/handbook/customer-success/workshops/secure/#workshop-materials) currently support. As additional materials are added, this list will be expanded.
- Tailor the questions to your customer and your understanding of their objectives. As appropriate, add [discovery questions provided by the Marketing team](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/#discovery-questions).

```markdown
## Product Capabilities

Please indicate which [areas of the Secure stage](https://about.gitlab.com/stages-devops-lifecycle/secure/) you would like covered in the session:

- [ ] [SAST](https://docs.gitlab.com/ee/user/application_security/sast/)
- [ ] [DAST](https://docs.gitlab.com/ee/user/application_security/dast/)

## Objectives & Scoping

**What tool(s) are you currently using for `[Secure capability (SAST/DAST, etc.)]`?**



**What is your biggest concern regarding application security and scanning?**



**What would you like to change about your current security scanning process?**



**What is the outcome you're looking to achieve with this workshop?**



## Attendees

**Who will be the primary audience for this session (e.g. developers, security team members, etc.)?**



**Have we invited members of your organization's application security team?**


```
