---
title: "Executive Business Administrators"
---

## Intro

This page details processes and general guidelines specific to the Executive Business Administrators (EBAs) at GitLab. The page is intended to be helpful, feel free to deviate from it and update this page if you think it makes sense.

## Executive Business Administrator Team

| ORG |  EBA / SR EBA  | EXECUTIVE  |
| --- | --- | --- |
| [CEO](/job-families/chief-executive-officer/) | **Jeanne Rotenberry**<br>Staff EBA<br>**Carla Sylva**<br>Sr EBA  | Sid Sijbrandij (CEO) |
| [Chief of Staff](/job-families/chief-executive-officer/chief-of-staff/) | **Carla Sylva**<br>Sr EBA  | Stella Treas (Chief of Staff) |
| [Engineering](/handbook/engineering/) | **Vange Ingan**<br>Sr EBA  | Sabrina Farmer (CTO) |
| [Engineering](/handbook/engineering/) | **Liki Simonot**<br>Sr EBA | Mek Stittri (VP of Infrastructure & Quality)<br>Tim Zallmann (Sr. Director of Engineering, Core Development) |
| [Finance](/handbook/finance/) | **Darci Tadich**<br>Staff EBA |  Brian Robins (CFO) |
| [Finance](/handbook/finance/) | **Sarah Hobbs**<br>EBA | Simon Mundy (VP Controller)<br>Julie Malloy (VP Accounting Operations)<br>Jim Gladen (VP of Tax)<br>Brijen Joshi (VP of Internal Audit) |
| [Finance](/handbook/finance/) | **Anita Mall**<br>Sr EBA | James Shen (VP of Finance )<br>Nabitha Rao (VP of IT/EntApps)<br>Kelsey Turcotte (VP of Investor Relations)<br>Wendy Barnes (CPO) - interim support |
| [Legal & Corporate Affairs](/handbook/legal/) | **Sharlene Seemungal**<br>Staff EBA  | Robin Schulman (CLO and Head of Corporate Affairs) |
| [Legal & Corporate Affairs](/handbook/legal/)  | **Lauren Lopez**<br>EBA  |Craig Patrick (Chief of Staff, CLO & Head of Corporate Affairs)<br> Eliran Mesika (VP of Corporate Development)<br>Emily Plotkin (Sr. Director of Legal, Employment)<br>Lynsey Sayers (VP of Legal, Privacy & IP)<br>Matt Taylor (VP of Legal, Commercial)<br>Rashmi Chachra (VP of Legal - Corporate & Compliance)<br>Stacy Cline (Sr. Director of ESG)<br>Dan Hodes (Sr. Director of Legal, Risk Management and Dispute Resolution) |
| [Marketing](/handbook/marketing/)| **Kato Faylor**<br> Staff EBA | Ashley Kramer (CMSO) |
| [Marketing](/handbook/marketing/)| **Linsea O'Shea**<br>Sr EBA | Dave Steer (VP of Brand & Product Marketing)<br>Billy Stallings (Sr. Director Digital Marketing)<br> Jean-Baptiste Larramendy (VP of Sales Development)<br>Laura Fagan (Sr. Chief of Staff, CMSO) |
| [Marketing](/handbook/marketing/)| **Erin Talanda**<br>EBA | Emilio Salvador (VP of Developer Relations & Growth)<br>Lisa Boughner (VP of Corporate Communications)<br>Christine Lee (VP of Marketing Ops & Analytics)<br> Amie Bright (VP of Data & Insights) |
| [People](/handbook/people-group/) | **Annette Ramirez**<br> Sr EBA  | Wendy Barnes (CPO)<br>Pattie Egan (VP of People Operations, Technology and Analytics)<br> Rob Allen (VP of Talent Acquisition)<br>Sherida McMullan (VP of Diversity, Inclusion and Belonging) |
| [Product](/handbook/product/) | **Gena Schwam**<br>Sr EBA|  David DeSanto (CProdO) |
| [Product](/handbook/product/) | **Jennifer Garcia**<br>EBA | Justin Farris (VP of Product Management)<br>Angela Pesta (VP UX)|
| [Product](/handbook/product/) | **Lindsey Beyl**<br>EBA | Mike Flouton (VP of Product Management)<br>Hillary Benson (VP of Product Management)<br>Steve Evangelista (Sr. Dir of Product, Dev & Analytics) |
| [Sales](/handbook/sales/) | TBC | Ashley Kramer (Interim CRO) <br> (temporary support) Brian Wald (Sr. Director, Global Field CRO Org) |
| [Sales](/handbook/sales/) | **Becky Piccone**<br>Sr EBA | Sherrod Patching (VP of CSMS)<br>Jonathan Fullam (VP of Global Solutions Architecture) <br> Kevin Lake (VP of Professional Services & Education) |
| [Sales](/handbook/sales/) | **Janice Parker**<br> EBA | Craig Nielsen (VP of APJ Sales) |
| [Sales](/handbook/sales/) | **Kiran Gill**<br>Sr EBA | Jake Bielecki (VP of Field Operations) <br> Nick Cayou (VP of WW Channels & Alliances) |
| [Sales](/handbook/sales/) | **Victoria Reinhardt**<br>Sr EBA | Bob Stevens (VP of Public Sector Sales) <br> Darren Moffett (VP of AMER Sales) |
| [Sales](/handbook/sales/) | **Oana Migeon**<br>EBA | Michel Isnard (VP of EMEA Sales) |
| [Security](/handbook/security/) | **Marisa Carlson**<br>Sr EBA  | Josh Lemos (CISO) <br> Julie Davila (VP of Product Security)  |

## Contact us

Please feel free to ping/hang out with us in slack at #eba-team. If you need to quickly communicate with the entire team please @ mention exec-admins in slack. For requests for Sid, please tag @ceoeba.

## Meeting request requirements

If you would like to schedule a meeting with a Leader at GitLab, please slack the appropriate EBA in #eba-team with the following information (or DM if confidential):

1. Must have/optional attendees
1. Meeting type: internal prep, client facing/customer, prospective customer, etc
1. Urgency/ Desired timeframe: in the next two days, in the next week or two, etc
1. Duration: 25 mins, 50 mins, etc.
1. Subject of the meeting
1. Desired outcome of the meeting
1. Provide context: include a link to the [agenda doc](https://docs.google.com/document/d/1eH-adpjfyo_RnlfbPvJ3i0e1Qb-aVoNc4yajnkZgJcU/edit?usp=sharing) and provide context in the document so that the EBA can adequately understand and prioritize your meeting with E-Group. The google doc is required to be included in the calendar invite. If you're requesting the meeting, it is your responsibility to prepare the agenda document.
1. For meetings with the CEO, please tag @ceoeba in your slack message to reach the CEO EBA team.
1. When scheduling an internal call with the CEO, confirm that there are attendees in non-United States time zones before requesting meetings before 10am PST.

### Agenda Document Templates

1. [Agenda Document Template](https://docs.google.com/document/d/1eH-adpjfyo_RnlfbPvJ3i0e1Qb-aVoNc4yajnkZgJcU/edit?usp=sharing) should be used for all meetings with members of our E-Group and provided at the time of the meeting request. Select file > make a copy to use this template. If relevant to your meeting request, the agenda document should include links relevant MRs, issues, slides, or helpful background material and information. This document is sufficient for most internal meetings.

### Customer, Prospect and Partner Meetings with an E-Group Member

Please follow the instructions above for scheduling a call with your customer, prospect or partner and an E-Group member at GitLab. Instead of using the Agenda Document template, meetings with customers, partners and prospects require the following documents in order to schedule:

1. [Executive Customer/Partner Briefing Document](https://docs.google.com/document/d/1eTFV_U16mmKkeI_GcXeFl1eHc5KsN6nI8Kf64UTxFmM/edit?usp=sharing) should be used for all meetings with Customers or Prospects and provided to the EA at the time of the meeting request. This is the internal document that you will use to brief the Executive in a pre-meeting. Select file > make a copy to use this template and please make sure it is editable by everyone at GitLab. Watch Nico Ochoa in [this 6.5-minute video](https://youtu.be/Wdg9YGQvs20) share his best practices for completing this template ([click here](https://docs.google.com/document/d/1rITvwVvv9Vn89qAgRX2Pf69zzoRp2AcqjtYBVUAria8/edit?usp=sharing) for Nico's template). If you have any questions related to this document, please ping the Executive Business Administrator Team in #eba-team in slack.

### E-Group / VP In-Person Customer Visit Requests

If you would like to request that an E-Group member / VP travel to visit a customer, please review [this template](https://docs.google.com/spreadsheets/d/1HxjfvOSRkZ61s6MGLINCjdgsjlz5AouwIQSPDM4ODrY/edit?usp=sharing) in its entirety to understand expectations.

- Please coordinate with [respective EBAs](https://docs.google.com/presentation/d/1_tRO-5bDjcwUfqsLazfy4AcqeCLe8jOvDl04BHYlhEE/edit?usp=sharing) on aligning all visit details. If the requested GitLab Executive does not have an EBA, please work with them directly. Please tag applicable EBAs in the #eba-team Slack channel to get the process started.
- Note: It is encouraged that an [Internal Briefing Document](https://docs.google.com/document/d/1eTFV_U16mmKkeI_GcXeFl1eHc5KsN6nI8Kf64UTxFmM/edit?usp=sharing) has been completed prior to requesting. Executive attendance to ensure proper background and prioritization.

### Requesting Customer Meetings for your Executive

If your Executive is requesting customer meetings while onsite on virtually, please refer to the following contacts as a helpful starting point. These contacts will assist in engaging the proper Sales representatives:

- **AMER**: Darren Moffett, VP AMER Sales
- **APJ - APACJ/Japan**: Craig Nielsen, VP Sales APAC
- **EMEA**: Michel Isnard, VP of Enterprise Sales
- **Public Sector**: Bob Stevens, VP Public Sector Sales

Please contact the @sales-eba-team with any questions.

### External Events & Speaking Engagement

1. If you have a request for a member of E-Group to attend and speak at an event (keynote, panel, fireside chat, etc.), please fill out the [Executive External Event Brief](https://docs.google.com/document/d/1qMCw9gGTAdk3YW-AW2W_eCYXMGcNYyaq_wN0giSf-yk/edit) with the key information and email to the EBA supporting the Executive with your request. The EBA will review, provide feedback, and gain approval accordingly and confirm directly with you. If the request involves the CEO, please follow the process outlined here. The EBA to the CEO will gain approval from the function head of the requestor on whether the CEO will attend or not. Whether a new talk needs to be prepared or an existing one can be adjusted to the audience should be a part of the decision whether or not to participate in the event.
1. [In-Person Event Meeting Template](https://docs.google.com/spreadsheets/d/1IKUD9rYgqyiZ8QLYgKurzgwAljI-U9YunvQdPk--wIo/edit#gid=643328991)

### Interview Requests with Executives

The process outlined below should be followed for requesting interviews with any executives. The Candidate Experience team and Executive Business Administrator team will adhere to a 24 hour working day SLA response time for scheduling interviews. Hiring is a top priority at GitLab and the team should prioritize interview requests.

1. The CES team will tag the [appropriate EBA](/handbook/eba/#executive-business-administrator-team) in the private `#eba-team-interview-requests` slack channel with all the required details for the interview
   - Executive needing to be scheduled
   - Length of Interview
   - Any special timeframes
   - Candidate Greenhouse link
1. Within the thread of the message, the CES team will include a copy and pasted view of the candidates availability with the timezone specified
1. The EBA can either:
   - Provide the time and zoom link (if applicable) to the CES in the thread of the message to have the CES schedule within Greenhouse and send the confirmation email
   - Navigate to Greenhouse to schedule the interview and then notify the CES team in the thread that the interview has been scheduled and the confirmation is ready to be sent. CEO and CRO scheduling is the exception and handled by the EBA to the CEO and CRO. Confirmations are sent directly from the EBA.
1. The CES team will follow up, as necessary if no response has been received from the EBA within the 24 working day business hours

## EBA Team Best Practices

### Suggested formats for calendar invites within Executive Group (E-Group)

- MTG for meetings in person, either at Mission Control or another location
- INTERVIEW for media interviews (make sure to loop in our PR partner)
- CALL for phone calls or conference call
- LIVESTREAM for livestreams
  - When a meeting is being live-streamed to YouTube add Public Stream or Private Stream in the subject and body of the calendar invite to indicate which live stream
- 1:1 for one-on-ones with direct reports
  - Example: "1:1 Jane Doe & Sid"
- "Skip Level" should be in the title of skip level meetings
- Flight travel should include "flight" in the title
- Ground transportation is indicated by "Uber", "Ground Transportation", or "Car service" in the title
- Executive time should be labeled "Exec Time" or "Executive Time"
- Please utilize the [Zoom plugin for Google Calendar](/handbook/communication/#video-calls) to schedule Zoom meetings on behalf of E-Group
- Please add the subject of the call in the description, for internal and external calls.
- All external meetings RSVP should be confirmed with the guests at least 24hrs in advance
- When meetings are being rescheduled please add RESCHEDULING in the subject line of the calendar invite to indicate the reschedule and change the RSVP to "No"

When sending a calendar invite for an in-person meeting at Mission Control, please make sure to include the following items in the calendar invite:

1. Calendar blurb
1. Cell numbers (in case of an in-person meeting)
1. Mission Control Access Instructions (when meeting at Mission Control)

### General scheduling guidelines

- For meetings spanning across multiple time zones and with external parties, [Time & Date Calculator](https://www.timeanddate.com/worldclock/meeting.html) can help determine the best time to schedule
- When scheduling internally with multiple attendee's, please utilize Google [calendars](https://calendar.google.com)[Find a Time feature](https://support.google.com/calendar/answer/6294878) to see when GitLab team-members are free to schedule a meeting with. Please be cognizant of people time zones. If in doubt, please reach out to the team member directly in slack
- When researching flights, consider using a tool like [Skyscanner](https://www.skyscanner.com) or [Google Flights](https://www.google.com/flights?hl=en) to explore options for flights
- Schedule calls in European timezones in the morning (am) Pacific (Daylight) Time and US time zones in the afternoon (pm) Pacific (Daylight) Time
- Holds on the schedule should be removed at least 60 minutes before the preceding meeting starts. Preferably 24hr in advance of the meeting when possible
- Meetings should be scheduled for 25 minutes or 50 minutes.  As a general guideline meetings should not be scheduled to the full 30/60 minute mark
- If the call is with any Google company, use Hangouts instead of Zoom.
- For meetings at Mission Control and another guest joining via video call: The EBA will schedule an additional ten minutes before the appointment to test the zoom room system.
- For meetings or lunch/dinner appointments, always make sure to add the address in the invite of the location where it's scheduled.
- Make sure to plan travel time (in a separate calendar item, just for the exec) before and after the meeting in case another meeting or call should follow.
- After each meeting with a potential investor, make sure to update Airtable with the information on these meetings.

## Scheduling with the Executive Team

Please remember to reach out to the EBA of the executive you need to schedule for with an agenda, any time preferences, and length of the meeting.

<p class="h4"><a href="/handbook/eba/ceo-scheduling/">Scheduling with the CEO</a></p>

<p class="h4"><a href="/handbook/eba/e-group-scheduling/">Scheduling with the E-Group</a></p>

<p class="h4"><a href="/handbook/eba/vp-scheduling/">Scheduling with VPs or Directors</a></p>

## What to expect when joining a meeting with E-Group

### Before the meeting

1. Ask yourself or the requestor of the meeting: can this be done async?
   - If not, schedule the meeting. Please consider that synchronous meetings consume valuable time and resources, please consider conducting your meeting asynchronously whenever possible
1. Calendar event for the meeting must include:
   - Link to the [Agenda Document](https://docs.google.com/document/d/1qj4MRlIXXGs4Jni0ITYp1uaHDQr53IvOqmpN-47RD-k/edit). Please avoid hyperlinking and paste the full URL in the invite. Consider utilizing the Share button at the top right hand corner of the Google doc and use the copy link function to make sure you get just the link to the doc itself unless you really need to link to a specific section of the document. The agenda doc should be editable by everyone in the meeting and whenever possible be editable or viewable by GitLab team members. It should also be editable for the EBA's scheduling the meeting or supporting members of E-Group involved in the meeting.
   - Link to the Zoom meeting in the location field and body of the invite
   - If the meeting is in person, include the address and any pertinent details (like how to access the building or security requirements) in the location and body of the invite. Please include the cell phone numbers of key contacts.
1. Must be a speedy meeting
1. Agenda for the meeting must be complete 24hrs or 1 business day before the meeting and include any links to materials and pre-recorded presentations
   - [Live doc meetings](/handbook/company/culture/all-remote/live-doc-meetings/) provides a great overview of how we use live docs in our meetings.
   - We do not present in any of our meetings. If you wish to present your material, you can record a presentation in advance and link it in the agenda document. We use synchronous meetings for Q&A. More detail at https://handbook.gitlab.com/handbook/communication/#few-meetings-with-presentations
1. Plan to join the meeting on time. We start on time and do not wait for folks to join.
   - As most of our meetings are conducted over zoom, please join with your camera on and with a headset or dedicated microphone whenever possible
1. The meeting may be recorded or live streamed to GitLab Unfiltered on YouTube, please determine in advance if the meeting should be live streamed or recorded
1. [Hybrid calls are horrible](/handbook/communication/#hybrid-calls-are-horrible) - remote meetings should have participants taking the meeting from their own equipment versus a shared conference room, shared device, etc.
1. If you need to reschedule, contact the EBA team in #eba-team in slack versus contacting the E-Group directly

### During the meeting

1. The Host should start the meeting on time, if the Host is late, the participants should feel empowered to start the meeting on time
1. We start in order of the agenda, with the person who has the first point in the numbered list
   - Unless it is a 1-1 meeting or some working group meetings, then we'd start at the bottom and work our way up
1. If you're not actively speaking please help take notes. We prefer to [document everything live.](/handbook/company/culture/all-remote/meetings/#document-everything-live-yes-everything)]
1. If something is not on the agenda, we do not discuss it. However, participants can add topics during the meeting if time permits
1. If you're not benefitting or contributing to the meeting, it is okay to leave the meeting
1. Speak up if something is not working, i.e. a webcam is causing issues, a speakers volume is too low, there is latency.
1. We end meetings on time. It is also okay to end meetings before time but not after time.

### After the meeting

1. Update and review the notes, if necessary.
1. Add a link to the recording or live stream at the top of the doc
1. Assign any action (TODO) items to stakeholders

## Travel

EBAs research the best option for a flight and book it according to their executive's schedule. If the Executive requires approving the flights beforehand, please follow that process before booking.
Make sure to add a calendar item for 2 hours before take off for check in and add a separate one for travel time before that in the exec's calendar.
If a flight was changed or not taken due to delays or other circumstances, make sure to check with the airline for the current flight status.

## Navan

EBAs research the best option for a flight and book it according to their executive's schedule. If the Executive requires approving the flights beforehand, please follow that process before booking.  Make sure to add a calendar item for 2 hours before take off for check in and add a separate one for travel time before that in the exec's calendar.
If a flight was changed or not taken due to delays or other circumstances, make sure to check with the airline for the current flight status.  Navan is the new corporate travel & expense management platform, formerly known as TripActions and Expensify, respectively. EBAs will need delegation access from the managers they support in order to book travel and file expenses on their managers behalf.  Travel itineraries are added to the traveling managers calendar as well as any updates necessary.  Navan requires that all expenses are submitted with receipts.  Any missing receipts or information will cause a delay in the reimbursement process, so please refer to the end-user guide for additional information.  [Navan end-users guide](/handbook/business-technology/enterprise-applications/guides/navan-expense-guide/)

## Zoom

- Request Schedule Privilege for executives by having the executive go to their Zoom profile settings and scrolling down to the **Schedule Privilege** section. The executive will need to  click the plus button icon to add the EBA's email address to the **Assign Scheduling Privilege** pop-up box.
  - This setting will allow EBAs to create meetings using the user's One-time Meeting ID.
- To add yourself as an alternative host to a meeting, click on your profile and select **Meetings** from the header. Find the meeting you'd like to be an alternative host for, and click on the meeting title. Scroll to the bottom and select, **Edit this Meeting**. Scroll to the bottom and add yourself and/or others as **Alternative Hosts**.
  - This will allow you access to additional meeting settings such as Mute All, Unmute All, Play Enter/Exit Chime, Mute Participants on Entry, Record, End Meeting, and more.

## Google Groups

To view members of Google Groups, reference the [Google Workspace group member repo](https://gitlab.com/gitlab-com/security-tools/report-gsuite-group-members/-/tree/master). A sync is run on the repository every hour, as noted in the README.md file.

## Company Mail

- GitLab uses a domestic enterprise mail service called Stable to retrieve mail from our UPS box to then be scanned and routed to the appropriate recipients.
- Routing rules and distribution guidelines can be found [here](https://docs.google.com/document/d/1-41U8Fhqpjb6bAn6tutWHWZgZsz41tklfs7E1kjSLOo/edit?usp=sharing).
- Address: 268 Bush St. #350 San Francisco, CA 94104

## OKRs

- EBA to the CEO to assist in maintaining and scheduling meetings revolving around the [OKR updating process](/handbook/company/okrs/#updating).

## Performance Indicators (PI)

More information can be found [here](/job-families/people-group/executive-business-administrator/#performance-indicator)

## Signature Request procedure

### Requesting a wet signature

When requesting a wet signature for a document(s) please have the following questions answered in advance

1. Is there an issue? If there is more than two documents you may want to consider creating an issue to track progress
1. What is this for?
1. Electronic signature or physical wet signature?
1. Who needs to sign? See [Authorization Matrix](/handbook/finance/authorization-matrix/)
1. Why is this person's signature required?
1. If a wet signature is required,  is there a specific ink color that should be use?
1. Is there a specific paper size that is required? For example, Ireland requires A4.
1. Is Legal required to review and/or stamp approved?
1. Is a notary required?
1. Is an apostille required?
1. When is this due?
1. Where should the originals be sent? Include the recipient's name, company name, address and phone number.

### Specific directions for signature request

- Indicate page numbers of document where signature is required, per document. For example Jane Doe is required to sign pages 3, 5 in two places and 8.
- If there is more than one signature line on the signature page without details (name / company name) please indicate where to sign.
- Should the document be dated? If yes, are we using the date the document is actually signed or different date? If we are using a different date please explain why.

### Directions for executed documents

- Scan and upload to Google drive?
- Scan and email?
- Send originals where?
