---
title: "CEO Scheduling & Preferences"
---

## The CEO Support Team

1. **Chief of Staff to the CEO**
    1. Cross-functional and multi-functional projects
1. **EBA to the CEO**
    1. Board Meetings
    1. Board Member AMAs
    1. CEO e-mail management
    1. Preparing agendas and content for CEO's meetings
    1. Triage #ceo slack channel
    1. Coordinates the quarterly E-Group offsite and other social/team bonding events for the Executive team
    1. Schedules internal and external meetings with CEO
    1. Triage meeting requests in #eba-team
    1. Expense Reports for the CEO
    1. Total travel coordination for the CEO
    1. Live-streaming meetings on behalf of the CEO. For instance: CEO AMA
    1. Ad-hoc requests from the CEO
1. **Sr. Executive Communications Manager, CEO**
   1. Vetting, preparing content, briefing and supporting the CEO for external speaking enagements

### How to request a meeting with CEO?

Reach out to the EBA to the CEO by tagging @ceoeba in #eba-team with the [required details](/handbook/eba/#meeting-request-requirements) to book a meeting with the CEO.

All meetings on Sid's calendar should be scheduled and vetted by the EBA to the CEO. Please do not directly schedule a meeting onto Sid's calendar without confirming with the EBA to the CEO in advance. The CEO requires meetings to originate from his calendar and on his Zoom account.

## Scheduling preferences for Sid Sijbrandij, Co-founder and CEO

1. Meetings before 7:30am and after 6pm Pacific require Sid's approval before scheduling. Please reach out to the EBA to the CEO with your rationale for an exception. If Sid agrees to a meeting at 7am or earlier, please schedule a block on his calendar at 8:00pm PT on the previous day reminding him that he has a meeting before 7:30am PT the following day.
1. If all meeting attendees are located in United States timezones, the meeting should not be scheduled before 10am PST. Morning times should be held for team members and external folks whose timezones make it harder for them to meet later in the day.
1. The EBA to the CEO will confirm that recipients have accepted invites. If a recipient has not accepted, the EBA to the CEO will reach out to confirm attendance at least 24 hours before the meeting is scheduled to begin.
1. Don't schedule over the Weekly E-group call unless approved by Sid.
1. When our CLO requests a meeting it will always override other meetings that are scheduled if urgent and important (unless there is a Board conflict)
1. Mark the events listed in [Google Calendar section](/handbook/communication/#google-calendar) of the handbook as 'Private'
1. The [agenda](https://docs.google.com/document/d/187Q355Q4IvrJ-uayVamoQmh0aXZ6eixAOE90jZspAY4/edit?ts=574610db&pli=1) of items to be handled by Sid's EBA
1. Use 'and' or '&' instead of '<>' in meeting invites because of the transfer to YouTube titles when streaming
1. **All** holds on Sid's calendar need a reason so he can judge when the hold might no longer apply.
1. Monthly reoccurring 1:1 video calls are 25 minutes while quarterly calls/dinners are scheduled for 90 minutes plus any necessary travel time.
1. In the event of a 10-minute meeting, meeting times to start at 0:00, 0:15, 0:30, 0:45
1. Follow up on introductions from certain recipients (board, investors) immediately without asking for approval.
1. If Sid is meeting with a candidate, partner with talent acquisition to send the calendar invite through Greenhouse.
1. If Sid has an external meeting and the location is less than 25 minutes away on foot, he would prefer to walk. Please ensure the calendar reflects that he is walking versus driving/uber/lyft.
1. If Sid has a **ride or walks** to an appointment, make sure to **add 5 minutes extra** to find the address and sign in at reception.
1. If Sid is **driving himself**, make sure to **add 15 minutes extra** for random occurrences such as traffic, stopping for gas or parking.
1. If Sid is **driving himself** to a meeting, he likes to plan phone calls to catch up with the team. Check with him who he'd like to talk with during his commute and schedule accordingly or post in #ceo channel in slack offering a call with Sid our team members.
1. Meeting agendas should be added to the calendar invite by copying and pasting the link in the top of the calendar invite description.
1. Due to a busy schedule Sid has a preference of meeting setup: First try for a video call. If the other party presses to meet at their location, confirm if that is OK before accepting.
1. Sales meetings are important. If the CEO can help the process, feel free to include him in the meeting by working with the EBA to CEO on this. Please include the sales rep and solutions architect in this meeting. The person requesting the meeting should provide a meeting brief document to the EBA at the time of their request to schedule.
1. Meetings should be set up on Sid's Zoom account. Customer/Prospect meetings are an exception and Sid is happy to join on another platform of the customers choosing like WebEx or Google Meet.
    1. If Sid is invited to a meeting on WebEx add a reminder to his calendar 5 minutes before the meeting to `disable shush` in advance of the next meeting.
1. The default Zoom meeting should have no waiting room.
1. Zoom links are to be tested for validity daily for the following day's meetings.
1. Office hours hosted by the CEO ([example](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A/search?query=%22Iteration+Office+Hours%22)) should be live streamed publicly by default and the live stream should be hosted by a member of the EBA team or a CEO Shadow.
1. Sid will attend one of the Monthly Diversity, Inclusion and Belonging calls (typically scheduled at 8am or 4pm PT). Please accept one and decline the other.
1. After an E-Group offsite, block at least 50 minutes to handle slack, emails, etc
1. Last minute changes or cancellations should be communicated to Sid via DM rather than public Slack messages or messages in a thread. If there is additional context to share, you can cross-post another Slack message as part of your DM.

### Prep Calls for Customer/Prospect Meetings

1. Prep calls for Sales meeting should be scheduled for 10 minutes by default. An [Internal Customer Briefing Document](https://docs.google.com/document/d/122w2WK3wqC87Ul4VjkP290Lkj34xAUwv8hy9r1EEqio/edit?usp=sharing) and an [External Collaboration Doc](https://docs.google.com/document/d/18Ds04BicQCZ5J7gKU0K4AA-iq0l9YMRTLLsPBjlUJto/edit#heading=h.1cyxs0j01dk1) is preferably provided by the Sales team member at the time of requesting the meeting with the CEO, however is not required until the prep call if the meeting logistics require it be booked quickly with the customer.
1. The account team including a Solutions Architect or Product Manager should always be included on the invite for both the prep meeting and the external meeting with the customer or prospect.
1. A draft email for the CEO to send should be made available in advance of the call. Any updates to it should be made immediately after, so the EBA to the CEO can quickly stage to send (within one business day of the meeting occurring).

### Calendar blurb for External Meetings with the CEO

For all external parties meeting with CEO (both video call and in-person), the EBA should include the following verbiage and links in the calendar invite:

```text
GitLab is a very transparent company and materials that are normally confidential can be found online, please consider looking at the following Handbook links prior to your meeting with GitLab:

Company strategy: https://about.gitlab.com/company/strategy/
Our Objectives and Key Results per quarter: https://about.gitlab.com/company/okrs/
All team members and numbers per department: https://about.gitlab.com/company/team/
Handbook with all our processes in: /handbook/
Pricing plans: https://about.gitlab.com/pricing/
Pricing strategy: /company/pricing/
History: https://about.gitlab.com/company/history/
About: https://about.gitlab.com/company/
All Remote: https://about.gitlab.com/company/culture/all-remote/
GitLab Unfiltered on YouTube https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A/videos
```

Depending on the subject of the interview (e.g. [events](https://about.gitlab.com/events/), [all-remote](/handbook/company/culture/all-remote/), etc.), the arranger should consider adding other relevant links beyond the baseline below.

Contact details for external meetings should be collected in advance by the EBA to the CEO and listed in the calendar invite as:

Executive cell:

Guest cell:

### CEO Evangelism and External Speaking Engagements

### Process

- An issue is created in the Corporate Marketing project [using the label of `ceo-evangelism`](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues?label_name%5B%5D=ceo-evangelism) and assigned to the Sr. Corporate Communications Manager, Executive Communications and EBA to the CEO.
- Where there is content alignment, the Corporate Communications team provides the thesis of the talk along with an outline in slide deck form
- The DRI collaborates on this thesis and outline and then presents it to the Exec for approval
- The DRI takes over slide deck creation with design support from our Design team or PR firm as necessary (one week lead time needed to acquire their resources)

### Example talks

- Open Core Business Models
- Multicloud Maturity Model
- Remote Work/ The Future of Work

### Content Review

- The EBA to the Exec is responsible for scheduling an initial set of practice sessions with the content DRI, the Exec, and a Developer Advocate. It is the EBA's discretion based on experience with the Exec and their speaking engagements in the past to decide how many times to set up.
- The call attendees are responsible to communicate with the EBA if they need more or less sessions ASAP

As a rule of thumb, there should be 1 slide per minute of expected speech delivery.

The initial content review for the CEO should be in bullet points only.
Then the CEO can talk through the slides and a team member can capture the CEO's tone of voice as he talks through the talk.
This helps ensure the talk track is in the CEO's voice.

The Chief of Staff to the CEO is responsible for making sure that all of the CEO's Evangelism engagements are on our events page by updating the [events.yml](https://gitlab.com/gitlab-com/marketing/digital-experience/buyer-experience/-/blob/main/content/events/index.yml) file.

### Pick Your Brain meetings

If people want advice on open source, remote work, or other things related to GitLab we'll consider that. If Sid approves of the request we suggest the following since we want to make sure the content is radiated as widely as possible. To start, we send an email as shown below.

> Thanks for being interested in GitLab. If we schedule a meeting it will follow GitLab's [Pick Your Brain format](/handbook/ceo/#pick-your-brain-interviews). Are you able to submit a draft post with us within 48 hours of interview?
>
> GitLab is a very transparent company and many things that are normally confidential can be found in our handbook, available online. Please consider looking at the following pages prior to our meeting.
>
> - [Company strategy](/handbook/company/strategy/)
> - [Our Objectives and Key Results per quarter](/handbook/company/okrs/)
> - [All team members and numbers per department](/handbook/company/team/)
> - [Handbook with all our processes](/handbook/)
> - [Pricing plans](https://about.gitlab.com/pricing/)
> - [Pricing strategy](/handbook/company/pricing/)
> - [History](/handbook/company/history/)
> - [About](/handbook/company/)
> - [All Remote](/handbook/company/culture/all-remote/)

1. If we receive a positive answer we schedule a 50 minute YouTube public livestream. For an example of an interview, see [this one about stress in remote work](https://www.youtube.com/watch?v=23XIx6n9SsQ).
1. Within 48 hours you share a draft post with us in a Google Doc with suggestion or edit rights for anyone that knows the URL.
1. You can redact anything you don't want to publish.
1. Our executive administrator will work with you to publish the post if we agree that it fits with our current marketing plan and would be a good fit for our audience. The EBA-team will follow up to make sure the draft post is submitted and coordinate with Content Marketing to cross-post on our blog.
1. Read and watch [past Pick Your Brain interviews](/handbook/company/culture/all-remote/interviews/#pick-your-brain-interviews), including [one hosted by Slab co-founder Jason Chen](https://about.gitlab.com/blog/2016/07/14/building-an-open-source-company-interview-with-gitlabs-ceo/) that reached [the top spot on Hacker News](https://news.ycombinator.com/item?id=12615723).

Reply to emails: Thanks for wanting to chat. I propose we meet in the format proposed in GitLab's [Handbook](#pick-your-brain-meetings) so that other people benefit from our conversation too. If you're up for that please work with my EBA, XYZ (cc:) to schedule.

Please note, requests for meeting about remote work, all-remote efforts, distributed workforces, etc should be scheduled with the Head of Remote versus Sid when possible.

### Scheduling Pick Your Brain meetings

1. Once Pick Your Brain meetings are confirmed, schedule a Zoom Webinar and send out a calendar invite to all guests and make sure to add a separate calendar invite for Sid with preparation time. [Scheduling a Zoom webinar](https://support.zoom.us/hc/en-us/articles/115000350446-Streaming-a-Webinar-on-YouTube-Live)
1. Link the document that the external guest has provided to the calendar invite and ensure it also includes:
    - Who the PYB Meeting is with, Name, Title, Company and their LinkedIn Profile (if applicable)
    - Context: Where did the request originate from (email, text, twitter), what's the source?
    - Subject: One Sentence for the PYB Meeting

## CEO Preferences

### CEO Email Management

- Labels: `/archive`, `/read-respond`, `/chief of staff`, `/personal`, `/investor relations to handle`, `ea`
- Emails that need the CEO's attention should be "starred" versus labeled
- EBA to CEO should prepare draft responses
- EBA to CEO should proactively schedule meetings requested via e-mail
- Requests for introductions should follow "[The Double Opt-in Introduction](https://avc.com/2009/11/the-double-optin-introduction/))" guide: when introducing two people who don't know each other, ask each of them to opt-in to the introduction before making it.
- Standard reply for recruiters:
  - "We do not accept solicitations by recruiters, recruiting agencies, headhunters, and outsourcing organizations. Please find all info [on our jobs page](/handbook/hiring/candidate-faq/)."

### Travel preferences

Current preferences for flights are:

- Aisle seat
- Check a bag for all trips longer than one night
- Frequent Flyer details of all (previously flown) airlines are in EA vault of 1Password as well as important passport/visa info

### Visiting Mission Control in San Francisco, CA

The EBA to the CEO will coordinate all meetings at Mission Control. If a group would like to visit GitLab's offices, please ping the EBA to the CEO in slack to discuss the opportunity. Due to limitations in size, we cannot host large groups but are willing to meet remotely and publicly. GitLab is an [all-remote and distributed organization](/handbook/company/culture/all-remote/) and we do not have a head office.

Access to Mission Control: In case of a meeting in San Francisco at Mission Control please copy-paste building access instructions into the calendar invite from the "GitLab Mission Control Access Instructions" Google Doc.

- If the PYB meeting is about all-remote work, please invite the Head of Remote to the meeting
