---
title: "E-Group Scheduling"
description: "Find out how to schedule with E-Group members with Executive Business Administrators"
---

Before scheduling with an E-Group member, please be sure to reach out to their perspective EBA with meeting details.

## Scheduling for Brian Robins, Chief Financial Officer

- All meeting requests should go through the CFO's Staff EBA, Darci Tadich.
- Daily office hours are 9am-5pm ET, with meetings scheduled between 11a and 5p ET. Please do not book meetings outside of working hours unless arranged with the Staff EBA.
- All meeting requests should include an agenda and any relevant reference material. Ensure that all participants on the invite have access to the agenda and materials. If the Staff EBA does not have access to the agenda to confirm access, it is the responsibility of the meeting/agenda owner to ensure proper access is shared in advance of the meeting.
- It should be made a priority for agendas to be populated 24 hours in advance. If that is not possible, at a minimum they should be populated by EOD prior to meeting. The CFO reviews all materials for the day during the hours of 7-9a ET in order to prepare for the day.
- Do not schedule over DNB (Do Not Book).
- Prefers "appropriate length" conversations, so short meetings are okay on the calendar. If a topic only needs 10 mins, book 10 mins instead of 25, etc.
- Schedule two 30 minute blocks a day for work time - title "DNB". This is time for email/Slack follow-up and general work time. If the time has to move to accommodate another meeting, ensure another time is found and that daily workflow is still achieved.
- Schedule one 60 minute block a day for lunch - title "DNB / lunch". This is time for a lunch break, follow-up and general work time. If the time has to move to accommodate another meeting ensure another time is found and that daily lunch break is still achieved.
- If you add any meetings to the calendar directly, tick the box "Attendees can modify" so the Staff EBA can change if necessary.
- Please do not @ Brian for scheduling questions or requests in Slack, please reach out to his Staff EBA.
- Please do cc: @ Brian and his Staff EBA with last minute scheduling changes in Slack.
- During Zoom meetings please do not post information or questions in the chat, add it to the meeting doc or in Slack.
- Priority to candidate interviews, E-Group, GitLab BoD, Investor Relations and 1:1's.
- When in-person meetings are being requested, please check with the CFO's Staff EBA prior to scheduling the meeting.
- For candidate interviews: CES should tag the Staff EBA in #eba-team-interview-requests to review times submitted by the candidate, or to provide alternate times for the CFO. CFO prefers 25 minute candidate interviews.
- A calendar key is available for viewing in the CFO's daily schedule.

## Scheduling for Stella Treas, Chief of Staff to the CEO

- All meeting requests should go through Sr. EBA, Carla Sylva.
- Priority given to candidate interviews, CEO, E-Group, GitLab BoD, and direct reports to the CoS to the CEO
- Limited availability due to personal commitments from 7-9am PT Mon.-Fri. Can often make meetings during these blocks, if given advance notice, but strong preference for meeting outside of these times
- If meetings need to happen before 9am PT or after 5pm PT check with the Sr. EBA
- Do not schedule over DNB (Do Not Book) without reaching out for approval from CoS to the CEO or the Sr. EBA
- For meetings outside of set business hours contact the CoS to the CEO's Sr. EBA
- During Zoom meetings please do not post information in the chat, add it to the meeting doc or in slack
- Sr. EBA to add reminders at 1 month, 2 weeks, 1 week and 2 days on the calendar for the following events: OKR How to Achieve, Group Conversations and Board of Director meetings
- All meeting requests should include an agenda or some sort of reference material
- A calendar key is available for viewing in the CoS to the CEO's daily schedule

## Scheduling for Robin Schulman, Chief Legal Officer and Head of Corporate Affairs

- All meeting requests should go through the CLO's Staff EBA, Sharlene Seemungal
- Priority to candidate interviews, CEO, E-Group and GitLab BoD
- Unavailable due to Group Conversations, Company Calls and personal commitments from 7-9am PT
- During Zoom meetings please do not post information in the chat, add it to the meeting doc or in slack
- Calendar key is available for viewing in the CLO's daily schedule
- All meeting requests should include an agenda or doc for reference unless it is a Coffee Chat
- Keep meetings to 25 or 50 minutes unless otherwise specified
- Working blocks on the calendar are OK and can be moved to prioritize other meeting requests, team members should check in with the CLO's Staff EBA to request a meeting using the meeting request requirements as a guideline

## Scheduling for Wendy Barnes, Chief People Officer

- Please schedule all meetings through the People Function's EBA, Julia Nishioki
- All meeting requests should include an agenda or doc for reference unless it is a Coffee Chat
- Keep meetings to 25 or 50 minutes unless otherwise specified
- Direct Report 1:1's occur weekly, Skip Level 1:1's Monthly
- Calendar color coding: 1:1s - dark green, Coffee Chat - light green, Sid or E-group meetings -red (Important meetings NOT to be moved are in red).
- Do not schedule over DNB/Focus Time blocks without consulting the EBA of the People Group.
- Scheduling should ideally be kept between 9:00 am and 5:30 pm Pacific Time

## Scheduling for David DeSanto, Chief Product Officer

- Daily office hours are 9am-5pm ET, please Do Not Book meetings outside of working hours unless arranged with Sr. EBA, Gena Schwam
- All meeting requests should go through the Sr. EBA for Product, Gena, and should include an agenda doc
- If you add any meetings to calendar directly, tick the box "Attendees can modify" so EBA can change if necessary
- 1:1's with direct reports should occur weekly unless scheduling conflicts
- Biweekly Product Meeting and Weekly Product Leadership meetings cannot be scheduled over
- David will allocate "Focus Time" blocks for work time based on upcoming priorities, please check with EBA before scheduling over these blocks
- Reminders at -2 weeks, -1 week and -2 days should be put on the calendar for the following events: OKR, Group Conversations (Product), Board of Director meetings, Monthly Key Reviews, Monthly Top ARR Drivers Reviews, and Performance Indicator Reviws.
- 1:1's should always be rescheduled instead of cancelled unless unavoidable due to OOO/PTO schedules
- Meetings will be declined if no agenda is added or shared 48 hour priors to the meeting time

## Scheduling for Ashley Kramer, Interim Chief Revenue Officer, and Chief Marketing & Strategy Officer

- To schedule Marketing/Strategy-related meetings, please coordinate with Kato Faylor, Staff EBA. (Please tag #cmso-cro-ebas in all requests)
- To schedule CRO/Sales-related meetings, please coordinate with Alexa Schrauth, Staff EBA. (Please tag #cmso-cro-ebas in all requests)
- Priority will be given to customer & E-Group meetings - even last minute.
- Flexible for early/late calls to support EMEA & APAC, but please check with Staff EBAs first.
- Prefers "appropriate length" conversations, so short meetings are okay on the calendar (e.g. if a topic only needs 10 mins, book 10 mins instead of 30, etc.).
- For scheduling questions, please do not tag @Ashley, reach out/tag #cmso-cro-ebas.
- Include meeting agendas in invites and/or briefing docs (excluding coffee chats) at least 24 hours in advance.

## Scheduling for Sabrina Farmer, Chief Technology Officer

- All meeting requests should go through Sr. EBA, Vange Ingan.
- Priority given to candidate interviews, CEO, E-Group, GitLab BoD, and direct reports to the CTO.
- Sabrina will allocate "Focus Time" blocks for work time based on upcoming priorities, please check with the Sr. EBA before scheduling over these blocks
- Daily office hours are 8am-5pm PT, please Do Not Book meetings outside of working hours unless arranged with the Sr. EBA.
- If meetings need to happen before 8am PT or after 5pm PT check with the Sr. EBA
- Can often make meetings during these blocks, if given advance notice, but strong preference for meeting outside of these times
- Do not schedule over DNB (Do Not Book) without reaching out for approval from the Sr. EBA
- For meetings outside of set business hours contact the Sr. EBA
- Sr. EBA to add reminders at 1 month, 2 weeks, 1 week and 2 days on the calendar for the following events: OKRs, All Hands, Offsites, and Board of Director meetings
- All meeting requests should include an agenda or some sort of reference material. For meetings with customers, please include a briefing doc and information about any current executive sponsors.

## Scheduling for Josh Lemos, CISO

- All meeting requests should go through Sr. EBA, Marisa Carlson.
- Priority given to candidate interviews, CEO, E-Group, GitLab BoD, and direct reports to the CISO.
- Limited availability due to personal commitments from 8-9am PT and 3-4pm PT Mon.-Fri. due personal commitments
- Can often make meetings during these blocks, if given advance notice, but strong preference for meeting outside of these times
- If meetings need to happen before 8am PT or after 5pm PT check with Sr. EBA
- Do not schedule over DNB (Do Not Book) without reaching out for approval from Sr. EBA
- For meetings outside of set business hours contact Sr. EBA
- Sr. EBA to add reminders at 1 month, 2 weeks, 1 week and 2 days on the calendar for the following events: OKRs, Key Reviews, Offsites, and Board of Director meetings
- All meeting requests should include an agenda or some sort of reference material. For meetings with customers, please include a briefing doc and information about any current executive sponsors.
