---
title: "VP Scheduling"
description: "Discover how to schedule meetings with VPs at GitLab"
---

When scheduling for VPs or Directors at GitLab, please check the scheduling preferences below.

## Scheduling for Pattie Egan, VP of People Operations, Technology, and Analytics

- Please schedule all meetings through the People Function's EBA, Julia Nishioki
- Keep meetings to 25 or 50 minutes unless otherwise specified
- Direct Report 1:1's occur weekly
- Skip level 1:1's occur every other month
- Calendar color coding: Confirmed meetings- Dark green, Manager meetings- light green, Important meetings NOT to be moved are in red, Personal meetings- Blue
- Do not schedule over DNB: Focus Time blocks without consulting the EBA of the People Group.
- Scheduling should ideally be kept between 9:00 am and 5:00 pm PT

## Scheduling for Rob Allen, VP, Talent Acquisition

- Please schedule all meetings through the People Function's EBA, Julia Nishioki
- Keep meetings to 25 or 50 minutes unless otherwise specified
- Direct Report 1:1's occur weekly
- Skip level 1:1's occur every other month
- Calendar color coding: Confirmed meetings- Dark green, Manager meetings- light green, Important meetings NOT to be moved are in red, Personal meetings- Orange
- Do not schedule over DNB: Focus Time blocks without consulting the EBA of the People Group.
- Scheduling should ideally be kept between 8:00 am and 4:00 pm PT

## Scheduling for Sherida McMullan VP, Diversity, Inclusion and Belonging

- Please schedule all meetings through the People Function's EBA, Julia Nishioki
- Keep meetings to 25 or 50 minutes unless otherwise specified
- Direct Report 1:1's occur weekly
- Calendar color coding: Confirmed meetings- Dark green, Manager meetings- light green, Important meetings NOT to be moved are in red, Personal meetings- Brown or Purple
- Do not schedule over DNB: Focus Time blocks without consulting the EBA of the People Group.
- Scheduling should ideally be kept between 8:00 am and 4:00 pm PT

## Scheduling for Sales VPs

**David Sakamoto, Mike Pyle, Ryan O'Nell, & Nima Badiey**

- Please reach out to Victoria Reinhardt (Sr. EBA) to schedule or reschedule any meetings for Ryan O'Nell and Mike Pyle
- Please reach out to Becky Piccone (Sr. EBA) to schedule or reschedule any meetings for David Sakamoto and Nima Badiey
- Don't schedule over DNB or any CRO calls without reaching out for approval from VP and EBA
- For interviews: CES should tag EBA on Greenhouse to review times submitted by the candidate, or to provide times for the VP
- If you add any meetings to calendar directly, tick the box "Attendees can modify" so EBA can change if necessary
- External meeting requests (with those outside of GitLab): email EBA and VP and loop them in with external parties. EBA will then schedule directly with external parties.
- Internal meeting requests (with other GitLab Team Members)
  - Please slack EBA in #sales-vp channel
  - If the meeting is confidential (ex: interviews), please slack EBA directly
- Please include the following in your slack/email
  - Must have/optional attendees
  - Meeting type: internal prep, client facing/customer, prospective customer, etc
  - Urgency/ Desired timeframe: in the next two days, in the next week or two, etc
  - Duration: 25 mins, 50 mins, etc.
  - Subject of the meeting
  - Provide context: include agenda to be covered. Share google doc if available to be included in invite or link relevant issues, slides, etc.

## Scheduling for Finance VPs and Sr. Leadership

**Craig Mestel, VP of FP&A - Dale Brown, PAO**

- Please reach out to Anita Mall (EBA) to schedule or reschedule any meetings with Craig Mestel
- Please reach out to Cindy King (Sr. EBA) to schedule or reschedule any meetings with Dale Brown
- Don't schedule over DNB blocks
- For interviews: CES should tag EBA on Greenhouse to review times submitted by the candidate, or to provide times for the VP
- If you add any meetings to calendar directly, tick the box "Attendees can modify" so EBA can change if necessary
- Working blocks on the calendar are OK and can be moved to prioritize other meeting requests, team members should check in with the EBA to request a meeting using the meeting request requirements as a guideline
- A calendar key is available for viewing in their daily schedule
- External meeting requests (with those outside of GitLab): email EBA and VP / Sr. Leadership and loop them in with external parties. EBA will then schedule directly with external parties.
- For internal meeting requesting please contact EBA, include the following in your slack/email:
  - Must have/optional attendees
  - Urgency/ Desired timeframe: in the next two days, in the next week or two, etc
  - Duration: 25 mins, 50 mins, etc.
  - Subject of the meeting
  - Provide context: include agenda to be covered, share google doc if available, include a link to any relevant issues, slides, etc.

## Scheduling for Product Leadership

**Mike Flouton, VP of Product Management - Justin Farris, VP Product Management - Angela Pesta, VP UX - Hillary Benson, Sr Director of Product Management - Steve Evangelista, Sr Director of Product Management**

- Please reach out to Jennifer Garcia (EBA) to schedule or reschedule any meetings for Justin Farris, and Angela Pesta
- Please reach out to Lindsey Beyl (EBA) to schedule or reschedule any meetings for Mike Flouton, Hillary Benson and Steve Evangelista
- Don't schedule over DNB and Work Block's without reaching out to Jennifer and Lindsey (EBA)
- For internal and external (with those outside of GitLab) meeting requesting please contact Product EBAs in #eba-team, including the following in your slack:
  - Must have/optional attendees
  - Urgency/ Desired timeframe: in the next two days, in the next week or two, etc
  - Duration: 25 mins, 50 mins, etc.
  - Subject of the meeting
  - Provide context: include agenda to be covered, share google doc if available, include a link to any relevant issues, slides, etc.
    - Please ensure the leader and EBA have access to view the materials
  - For customer meetings please create an issue request using [this template](https://gitlab.com/gitlab-com/Product/-/blob/main/.gitlab/issue_templates/product-leader-customer-meeting-request-template.md) and tag Jennifer Garcia (Product EBA) and Lindsey Beyl (Product EBA) for review and availability
- If you add any meetings to calendar directly, tick the box "Attendees can modify" so EBA can change if necessary
