---
title: "Architecture Design Documents"
no_list: true
---

Design documents are the primary artifact that the [architecture design workflow](../workflow/)
revolves around. A design document describes a technical vision and a set of principles
that will guide feature implementation, as we move forward. It acts as guardrails
to keep team aligned.

They are version controlled documents that are constantly updated with new insights and knowledge,
after every iteration, to become even more useful with time.

## Contributing

At GitLab, everyone can contribute, including to our design documents. If you would like to contribute to any of these documents, feel free to:

1. Go to the [source files in the repository](https://gitlab.com/gitlab-com/content-sites/handbook/-/tree/main/content/handbook/engineering/architecture/design-documents) and select the design document you wish to contribute to.
1. [Create a merge request](https://docs.gitlab.com/ee/development/contributing/merge_request_workflow.html).
1. `@` message both an author and a coach assigned to the design document, as listed below.

{{< design-documents-list folder="handbook/engineering/architecture/design-documents" >}}
