---
title: "Associate - Infrastructure Department Career Framework"
description: "The expected team member competencies in the Infrastructure department at GitLab for the Associate job level."
---

{{% include "includes/engineering-careers/career-matrix-nav.md" %}}

## Associate

Associate-level engineers in Infrastructure are primarily focused on completing tasks and growing their skills in order to contribute to their team's success.

## Accountability

1. Reliably follows established processes and runbooks, and submits updates to improve them for others.
1. Pairs with teammates to plan and make changes in production safely by following runbooks and the Change Management process.

## Credibility

1. Consistently contributes to team goals by owning assigned work and driving it through to completion.
1. Keeps work visible, and clearly communicates progress and any delays to tasks.
1. Demonstrates consistent growth in best practices and technologies required for their work.
1. Openly shares information about recent tasks to allow for collaboration and support incident investigations.

## Autonomy

1. Proactively reaches out to team members or their manager when they need help.
1. Is an effective Manager of One, setting up workflows and workspace to enable effective work.
1. Knows how to find and use the GitLab team tools for various production interactions without necessarily knowing the inner workings of those tools.
1. Seeks to understand how to gain awareness of key aspects of their projects (e.g. impact, communication of the change, required collaboration with other stakeholders, and similar).

## Team building

1. Actively participates in team and ad-hoc merge requests to share workload and to grow skills.
1. Contributes to the team culture by actively participating in team-led initiatives, such as: retros, team syncs and demos, discussions and similar.
1. Recognizes interrupts affecting the team throughput, and exposes them regularly to their manager.
1. Supports colleagues who are currently on-call by assisting with investigations or making simple improvements to on-call tooling.

## Engineering alignment

### Associate Leadership Competencies

{{% include "includes/engineering-careers/associate-leadership-competency.md" %}}
  
### Associate Technical Competencies

{{% include "includes/engineering-careers/associate-technical-competency.md" %}}

### Associate Values Alignment

{{% include "includes/engineering-careers/values-competency.md" %}}
