---
title: "Intermediate - Infrastructure Department Career Framework"
description: "The expected team member competencies in the Infrastructure department at GitLab for the Intermediate job level."
---

{{% include "includes/engineering-careers/career-matrix-nav.md" %}}

## Intermediate

Intermediate-level engineers in Infrastructure are primarily focused on completing tasks and growing their skills in order to contribute to their team's success.

## Accountability

1. Participates in the on-call rotations, as defined by their domain requirements.
1. Reliably follows established processes and runbooks, and submits updates to improve them for others.
1. Makes changes in production safely by following runbooks and the Change Management process. Asks for support from teammates as necessary given the task complexity.
1. Understands how their work impacts the availability, performance, and operational overhead for GitLab.com.

## Credibility

1. Consistently contributes to team goals by picking up issues and owning them through to completion.
1. Keeps work visible, and clearly communicates how interrupt-driven tasks will affect timelines.
1. Demonstrates consistent growth in best practices and technologies required for their work.
1. Openly shares information about recent tasks to allow for collaboration and support incident investigations.

## Autonomy

1. Proactively reaches out to team members or their manager when they need help.
1. Is an effective Manager of One, setting up workflows and workspace to enable effective work.
1. Independently provides well-reasoned design options, and works with team members to assess and select the best option. Advocates for [dogfooding](/handbook/engineering/infrastructure/#dogfooding) whenever possible.
1. Regularly makes decisions and takes action to improve the team and self.
1. Knows how to find and use the GitLab team tools for various production interactions without necessarily knowing the inner workings of those tools.
1. Demonstrates awareness of key aspects of their projects (e.g. impact, communication of the change, required collaboration with other stakeholders, and similar). Works with team members to effectively plan and estimate timelines.

## Team building

1. Actively participates in team requests and ad-hoc tasks such as merge, readiness, incident and change request reviews to share workload and to grow skills.
1. Contributes to the team culture by actively participating in team-led initiatives, such as: retros, team syncs and demos, discussions and similar.
1. Completes required interview training and learns how to provide support to hiring managers for hiring and onboarding processes.
1. Recognizes interrupts affecting the team throughput, and exposes them regularly to their manager.
1. Supports colleagues who are currently on-call by assisting with investigations or making simple improvements to on-call tooling.

## Engineering alignment

### Intermediate Leadership Competencies

{{% include "includes/engineering-careers/intermediate-leadership-competency.md" %}}
  
### Intermediate Technical Competencies

{{% include "includes/engineering-careers/intermediate-technical-competency.md" %}}

### Intermediate Values Alignment

{{% include "includes/engineering-careers/values-competency.md" %}}
