---
title: "Principal - Infrastructure Department Career Framework"
description: "The expected team member competencies in the Infrastructure department at GitLab for the Principal job level."
---

{{% include "includes/engineering-careers/career-matrix-nav.md" %}}

## Principal

Principal-level engineers in infrastructure are significantly driving the department's results and culture by supporting teams at the same time as helping set and align on future group direction.  Principal engineers are seen as a partner of their group's Senior Engineering Manager or Director. Together, they are expected to balance the day-to-day details needed to guide and unblock individual teams with a longer term view needed to set the group of teams up for future success. Principal engineers are primarily focused on making an impact on a group of teams but work across the entire company to maintain relationships and share information.

We recognize the [four staff engineer archetypes](https://staffeng.com/guides/staff-archetypes/) and believe that each of these types can grow into a Principal-level engineer. They will index more highly on certain activities than others, but the intention for the Principal engineer to act at the group level with a strategic focus remains the same.

## Accountability

1. Takes responsibility for the group's standards and processes and actively leads cross-team improvements.
1. Keeps up to date on the direction of the department and connects the group to this direction. Works closely with EMs and PMs to ensure individual team technical direction is connected to the department direction.
1. Maintains awareness of company, department and group goals and uses them to decide when to go deep on a topic and when to stay shallow.
1. Represents the group across the company through their own behaviour, and by connecting group direction to other relevant teams. Actively looks for opportunities to connect engineers and engineering goals to their group's teams and goals.
1. Recognises, surfaces, and actively seeks to resolve team friction or misalignments and removes blockers that could impact the group or department.
1. Takes responsibility for the group's impact on availability, performance, and operational overhead.
1. Helps maintain awareness and health of department performance indicators and helps team's connect their team metrics to the department targets.

## Credibility

1. Collaboratively leads the group's technical direction, making use of GitLab features and the team's technical experience to maintain a visible path that connects teams to the department direction. Actively invites feedback to generate the best possible solution.
1. Significantly contributes to company success by proposing practical group objectives that are pragmatic and move towards the company direction. Works with teams, EMs and Directors to gain buy-in and agree on effective implementation plans.
1. Uses hands-on tasks to help improve the department's processes around async communication and documentation to continually drive department efficiency.
1. Recognises and maintains high engineering standards within the department by using their own work to demonstrate what "good" looks like, setting review standards and contributing to wider technical discussions and decisions.
1. Helps teams to understand the current application, tools, and processes, and pragmatically leads the group towards the department's strategic goals with useful iterations of work. Creates [dogfooding](/handbook/values/#dogfooding) opportunities where possible, documents the gaps and engages with Engineering and Product DRI's where not.
1. Continues to grow technical skills and looks outside of GitLab to understand and contribute to industry best practices and common challenges.
1. Embraces the [leadership aspect of this role](#principal-leadership-competencies) and actively focuses on learning and development to support this skill.
1. Delivers on commitments by recognizing the different types of work needed in order for the group to succeed. Balances time and energy to stay connected to individual team goals and progress, and also makes time to drive mid to long term group direction.
1. Applies technical and leadership abilities to identify and resolve complex, and business-critical situations affecting the group. Ensures the work remains visible to others, and actively looks for knowledge-sharing or collaborative opportunities.

## Autonomy

1. Manages time and workflow to identify and prioritize the most important tasks to help the group and department achieve their goals. Prioritization is done in collaboration with the EM and PM. Delegates work, and proactively shares priority changes to manage expectations both within and outside the teams.
1. Takes an active role in project management activities to ensure that the issues and epics correctly communicate impact, timelines, and dependencies. Mentors others to assess and communicate the same.
1. Works to understand the department and GitLab's current and upcoming priorities and works with teams within the group to prioritize suitable projects according to wider priorities. Converts strategic direction to practical outcomes.
1. Proactively looks for ways to improve individual and team workflows and capabilities across the department.
1. Recognizes when projects or tasks need stakeholders or other teams to be involved and fosters collaborative decision making and problem solving across the departments.
1. Plans around predictable events such as OKR setting, holidays, and team changes to make sure that technical information and metrics are available when needed.

## Team building

1. Creates and maintains department culture by following the CREDIT values and helping other teams to do the same. Proposes improvements to our values and company culture where possible.
1. Works closely with Engineers, EMs, PMs (where available), and TPMs across the group and company. Helps to bridge the gap between technical and less-technical people for a shared understanding of the groups work and goals.
1. Contributes to the growth of others through championing, mentoring, and providing timely, kind feedback directly, and into promotion processes.
1. Owns the group's technical interview process and works closely with the hiring managers and interviewers to make sure that every candidate receives a standardised, positive interview experience.
1. Maintains connections across the company to stay connected to events outside of the group, and to help keep teams unblocked.

## Engineering alignment

### Principal Leadership Competencies

{{% include "includes/engineering-careers/principal-leadership-competency.md" %}}
  
### Principal Technical Competencies

{{% include "includes/engineering-careers/principal-technical-competency.md" %}}

### Principal Values Alignment

{{% include "includes/engineering-careers/values-competency.md" %}}
