---
title: "Senior - Infrastructure Department Career Framework"
description: "The expected team member competencies in the Infrastructure department at GitLab for the Senior job level."
---

{{% include "includes/engineering-careers/career-matrix-nav.md" %}}

## Senior

Senior-level engineers in infrastructure are significantly contributing to their team's results and culture through personal results as well as through mentoring and setting team culture. Beyond this level, engineers can choose to progress into technical leadership (via the Staff Engineer level), or move onto the management track (via the Engineering Manager level).

## Accountability

1. Sets the standard for handling on-call rotations, and supports and enables others to learn from their example.
1. Creates, follows, and improves processes and runbooks to enable themselves, and others to solve problems and make changes in production safely.
1. Bias for action when it comes to proposing and engaging improvements, discovery and addressing problems and inefficiencies, to document work, and provides sufficient information to help prioritize these according to the team's workload.
1. Uses existing data, or looks to, create useful data to improve team decisions.
1. Always considers how their work will impact availability, performance, and operational overhead for production systems including GitLab.com and GitLab Dedicated systems. Assists others in doing the same.

## Credibility

1. Significantly contributes to team success by delivering on team goals, acting as DRI for projects and leading team OKR discussions.
1. Creates and maintains epics and issues for all work to document decisions, track progress and allow others to contribute. Mentors other team members to do the same.
1. Continues to grow technical skills and looks outside of GitLab to understand industry best practices and common challenges.
1. Recognises and maintains high engineering standards within the team through their own work as well as by setting review standards and contributing to technical decisions.
1. Actively looks to gain a deeper understanding of how the current application, tool, or process works, why it works this way, and then brings a pragmatic view to improving it.
1. Represents the team and the team goals in interactions across the company. Is proactive about working with other team members and their manager to prepare for these interactions.

## Autonomy

1. Manages time and workflow to identify and prioritize the most important tasks to achieve team goals.
1. Effective as a project DRI; sets up and maintains the project epic and issues for visibility and takes care to assess and communicate impact, timelines, and dependencies.
1. Works with their manager to identify and effectively collaborate with the stakeholders who will be impacted or interested in their work.
1. Understands the team's current and upcoming challenges, and works with their manager to prioritize projects and tech-debt to meet team goals.
1. Writes technical proposals comparing existing and desired state, defining a path to pragmatic and feasible solutions to team problems. Recognizes the pros and cons of the proposal and looks to adopt [boring solutions](/handbook/values/#boring-solutions) wherever possible.
1. Actively works to understand GitLab tools and features and looks to create dogfooding opportunities for the team.

## Team building

1. Creates and maintains team culture by following the CREDIT values and helps other team members to do the same. Contributes to the overall GitLab culture.
1. Mentors others to help them grow their technical skills.
1. Plays an integral role in team hiring through leading interviews, training others, and iterating on the hiring process to improve the candidate experience. Works closely with the hiring manager to understand the role requirements and support the hiring effort.
1. Recognizes and actively works to track and reduce interruptions affecting team throughput.
1. Acts as a multiplier for others through mentoring and pairing, as well as by leading effective projects that allow others to contribute.
1. Is aware of what a [high-performing team](/handbook/leadership/#strategies-to-build-high-performing-teams) is and works with their manager to identify and initiate improvements.

## Engineering alignment

### Senior Leadership Competencies

{{% include "includes/engineering-careers/senior-leadership-competency.md" %}}
  
### Senior Technical Competencies

{{% include "includes/engineering-careers/senior-technical-competency.md" %}}

### Senior Values Alignment

{{% include "includes/engineering-careers/values-competency.md" %}}
