---
title: "Staff - Infrastructure Department Career Framework"
description: "The expected team member competencies in the Infrastructure department at GitLab for the Staff job level."
---

{{% include "includes/engineering-careers/career-matrix-nav.md" %}}

## Staff

Staff-level engineers in infrastructure significantly drive the department's results and culture by enabling teams to succeed. Staff engineers are [seen as a partner](/handbook/engineering/ic-leadership/#the-four-archetypes-at-gitlab) of their Engineering Manager and are expected to balance the day-to-day details needed to keep their team unblocked with a longer-term view to anticipate changes needed for future success. Achieving this balance will often mean doing less of the hands-on work compared to previous levels, instead finding ways to enhance the results of the entire team.  Staff engineers primarily focus on a team but work across the entire department to maintain relationships and share information.

## Accountability

1. Upholds standards for on-call through their own behavior, mentoring of others, and improving the process to remove inefficiencies and learn from experiences.
1. Leads the technical direction with input from the team. Making sure that tech debt and future engineering needs are visible and being considered in OKR and prioritization discussions.
1. Represents the team across the company through behavior and sharing team direction to relevant groups. Actively looks for opportunities to connect engineers and engineering goals to their team goals.
1. Recognizes, surfaces, and actively works to resolve team friction or misalignments, and remove blockers that could impact the team or department.
1. Takes responsibility for the team's impact on availability, performance, and operational overhead. Builds good practices within the team to enable everyone to contribute their experience.
1. Maintains awareness of metrics to keep the team's progress visible at a department level. Creates or extends available metrics where needed and works with EM and PM to define team KPIs.

## Credibility

1. Significantly contributes to department success by proposing practical team objectives that are pragmatic and move towards the department direction. Works with the team and EM to gain buy-in and agree on effective implementation plans.
1. Uses hands-on tasks to set the standard and help improve the team's processes around async communication and documentation to continually drive team efficiency.
1. Recognizes and maintains high engineering standards within the department through their own work as well as by setting review standards and contributing to technical discussions and decisions.
1. As part of their daily work, they continue to grow technical skills and look outside of GitLab to understand and contribute to industry best practices and common challenges.
1. Leads the team's technical direction by making sure designs and implementation are considering what the current application, tools, and processes do, and why, and pragmatically leads the team towards the department's strategic goals. Chooses [dogfooding](/handbook/values/#dogfooding) opportunities where possible, documents the gaps and engages with Engineering and Product DRI's where not. Works with Product and Development to ensure features serve the needs and scale of all users, including GitLab SaaS offerings.
1. Delivers on commitments by recognizing the different types of work needed in order for the team to succeed. Balances time and energy to stay connected to the team's day-to-day goals for knowledge sharing and mentoring and also makes time to drive mid to long-term team direction.

## Autonomy

1. Manages time and workflow to identify and prioritize the most important tasks to help the team and department achieve their goals. Proactively shares changing priorities to manage expectations both within and outside the team.
1. Sets and upholds the standards for project DRIs, making sure that the team is maintaining epics and issues for current visibility and historical understanding. Mentors others to assess and communicate impact, timelines, and dependencies.
1. Works with the team's EM and PM (where applicable) to identify stakeholders who will be impacted or interested in the team's work and proactively shares information and establishes collaborative communication.
1. Works to understand the department's current and upcoming challenges and works with their manager to prioritize suitable projects
1. Enables the team to produce technical proposals to identify feasible solutions to team problems. Provides effective input to help propose a suitable solution to the problem, making sure the team considers pros and cons of the proposal and looks to adopt [boring solutions](/handbook/values/#boring-solutions) wherever possible.
1. Proactively looks for ways to improve individual and team workflows and capabilities.

## Team building

1. Creates and maintains team culture by exhibiting the [CREDIT](/handbook/values/#credit) values in their behavior and helping other teams to do the same. Proposes improvements to our values and company culture where possible.
1. Proactively builds relationships and partners with EMs providing in-depth technical opinion where [necessary](/handbook/values/#disagree-and-commit).
1. Works closely with the team's EM and PM (where available) to bring a technical lens to team and product discussions. Helps to bridge the gap between technical and less-technical people for a shared understanding of the team's work and goals.
1. Helps others to grow through championing, mentoring, and providing timely feedback directly, and into promotion processes.
1. Builds and maintains relationships with teams across the department and beyond to identify potential future opportunities and to keep current work unblocked.
1. Proactively shares relevant information with their own team, EM, PM, and other engineers to help share context and build a shared understanding of how their team fits into GitLab as a whole.
1. Owns the technical interview process and works closely with the hiring manager to make sure that current and known future technical needs are being met by hiring processes. Takes responsibility for documenting and training interviewers to make sure every candidate receives a standardized, positive interview experience.
1. Champions the [GitLab misson](/handbook/company/mission/) by enabling and encouraging others to contribute to the Infrastructure code base.

## Engineering alignment

### Staff Leadership Competencies

{{% include "includes/engineering-careers/staff-leadership-competency.md" %}}
  
### Staff Technical Competencies

{{% include "includes/engineering-careers/staff-technical-competency.md" %}}

### Staff Values Alignment

{{% include "includes/engineering-careers/values-competency.md" %}}
