---
title: "Mentoring"
---

## Mentoring

Mentoring can be an effective tool in boosting a team member's development.  At GitLab we practice formal and informal mentoring and this page will serve as a guide for both.  This page includes information regarding the roles and responsibilities of both Mentors and Mentees as well as tips for developing a successful Mentoring relationship.

## Mentees

For Mentoring to be successful, Mentees must be prepared to invest time in their own employee development.

**Step 1: Evaluate yourself**

- Identify your strengths
- Identify your weaknesses
- Reach out to team members and gather feedback regarding what your team members think are your strengths and weakness
- Review previous performance reviews or 360 results
- Reach out to your management and ask for feedback
- Identify future roles you might be interested in
  - For those roles, identify the skills required that you don't currently possess

After performing this activity, decide whether you want to improve upon your strengths, weaknesses or both.

**Step 2: Document your goals**

Create a list of SMART (**S**pecific, **M**easurable, **A**ttainable, **R**elevant, and **T**ime-Bound) goals which will serve as the foundation of the Mentor / Mentee relationship. Create short term goals that can be achieved within a two to three month period.  If the goals identified, will take longer, reduce the scope of the goals.  It is very important to take an MVC approach to this exercise to make quick and impactful changes.  This MVC is now your short term plan that will be used as a guide for your Mentor / Mentee relationship.

**Step 3: Execute Your Plan**

During this step, your Mentor begins getting more involved. You are the DRI for preparing the Bi-Weekly Meeting Agenda.  Your Mentor will support you in identifying actions for you to take to meet your SMART goals.  During bi-weekly mentoring sessions the two of you will discuss the best actions for you to take to support your plan.  These actions should be specific and measurable and follow the format of SMART goals.

**Step 4: Measure and Review**

During the bi-weekly mentoring sessions, the Mentor will continue supporting the Mentee by assisting with identifying metrics for your SMART Goals.  Discussions regarding the outcomes and results will also occur during these sessions. The Mentor will continue to review the Mentees progress and share experiences and provide anecdotes as the Mentee progresses.

## Mentors

Mentors serve as tour guides for the Mentee on their Employee Development journey. They will share their own experiences and provide suggestions and activities that will support the Mentee in meeting their goals.  The Mentors will meet bi-weekly for 30 minutes to work with the Mentee giving them advice and consultation to help the Mentee meet their SMART Goals.

## Communication

The frequency and method of communication should be agreed upon by both the Mentor and Mentee.  The most important form of communication is Google Documents.  These two methods of communication are persistent and can often be referred to after the mentoring session or mentoring relationship has ended.  Texting, Slack and email are also very useful for planning logistics or for having informal conversations.

## Meeting Agenda

The DRI for all Meeting Agendas should be the Mentee. The Mentee should pre-populate the agenda with as much information as possible.  Mentors have a very limited amount of time to devote to this relationship and if the time spent on this effort is predictable and consistent, they will be more likely to engage in future mentoring relationships.

### Sample First Meeting Agenda

Agenda

1. Introduction
   - Share personal and professional backgrounds
1. Communications Preferences
   - Identify methods and frequency of Communication
1. Questions
   - Prepared list of questions for your mentor to break the ice
1. SMART Goals
   - Prepared list of SMART Goals

### Sample Standard Meeting Agenda

Agenda

1. Last Week's Action Items
   - Review Action Items from the Previous Meeting
1. Discuss new challenges that have arisen unexpectedly
   - Review Mentee progress on
1. SMART Goals
   - Review Mentee progress on
1. Action Items
   - Document Mentee Action Items
