---
title: CTO Leadership Team
---

The CTO Leadership Team is composed of the CTO's direct reports and the Office of the CTO (OCTO).

## Office of the CTO (OCTO)

The OCTO is composed of the CTO, the Engineering EBAs, the CTO's People Business Partners, and the CTO's Director of Strategy and Operations. This team works to amplify the CTO's reach, vision, and mission. They work together to deliver programs and results across the entire Engineering Division.

## Engineering All-Hands

The Engineering All-Hands meeting takes place every 6 weeks, typically on the same day, with time slots to accommodate both EMEA/AMER and APAC/AMER-friendly time zones. Additionally, [CTO Office Hours](/handbook/engineering/engineering-comms/) occur weekly, alternating between EMEA/AMER and APAC/AMER time zones each week.

The purpose is to share company updates, stay connected, and receive feedback.

The entire Engineering group is invited, though anyone at GitLab is welcome to attend and contribute to [the All-Hands agenda](https://drive.google.com/drive/search?q=engineering%20all%20hands%20agenda) (internal). As with all general meetings at GitLab, attendance is optional though encouraged, and will be recorded.

## CTO Leadership Offsite

The quarterly CTO Leadership Offsite provides a forum for longer-form discussion among the CTO's Leadership Team. This offsite is planned by the OCTO Team and rotates between in-person and virtual.

### Schedule

The CTO Leadership Offsite schedule is currently being determined. We will update the handbook with the cadence once confirmed.

The offsite working days are scheduled from Tuesday to Thursday with travel days planned to accomomodate arrivals in time for a Monday evening get together and departures on Thursday later afternoon.

### Goals

Some of the goals for the offsite are documented below, but each offsite may have additional goals which would be covered.

1. Review and align on technical vision for the Engineering Division
1. DIB Overview & Goal Setting
1. Discussing cross-functional topics (e.g. communication, prioritization, etc.)
1. Reviewing organization design
1. Reviewing technical topics of interest

### Agenda

The specific agenda for each offsite depends on active projects and the goals of the offsite. Typical items may include:

1. People
    1. Succession planning
       1. Did anything change in the succession plan compared to six months ago?
       1. Did anything change in the [Talent Assessment](/handbook/people-group/talent-assessment/) for all VP's directs?
    1. Director+ promotion planning
    1. Hiring plan
    1. Relevant People projects around performance, engagement, and retention
1. [Big rocks](https://www.franklincovey.com/the-5-choices/choice-3/) (large initiatives) presentation and discussion
1. Direction updates (**annual in Q4**)
1. Department-to-department feedback

In general, we prefer to have more items than we can fit into the agenda, and then push some items out, rather than have too little.
