---
title: Data Science
description: "The Data Science section is focused on leveraging ML and AI in the GitLab product and preventing abuse in the application."
---

## Vision

Build a diverse and global development team to support and drive results across the section,
while maintaining [our values](/handbook/values/) and [unique way of working](/handbook/company/culture/all-remote/guide/).

## Mission

Drive results through iterative development as we add AI, ModelOps and Anti-abuse features into the product.
Our teams are data-driven, support [dogfooding](https://about.gitlab.com/direction/dogfooding/), and [collaboration](/handbook/values/#collaboration) within GitLab and the wider community.

## Stages

* [AI-Powered](ai-powered/)
* [ModelOps](modelops/)

## Career Development

{{% include "includes/engineering/foundations-data-science-shared/career-development.md" %}}

## Team Days

{{% include "includes/engineering/foundations-data-science-shared/team-day.md" %}}

## Say/Do Ratio

{{% include "includes/engineering/foundations-data-science-shared/say-do-ratio.md" %}}

## Meetings

Although we have a bias for asynchronous communication, synchronous meetings are necessary and should adhere to our [communication guidelines](/handbook/communication/#video-calls). Some regular meetings that take place in Manage are:

| Frequency | Meeting                              | DRI         | Possible topics                                                                                        |
|-----------|--------------------------------------|-------------|--------------------------------------------------------------------------------------------------------|
| Every other Thursday | Engineering managers discussion | @m_gill | Ideas, help or resources needed from others, concerns, questions, etc.                                 |

## Links and resources

{{% include "includes/engineering/foundations-data-science-shared/shared-links.md" %}}
