---
title: AI-Powered Stage
description: "The AI-Powered Stage in the Data Science section is focused on providing applied AI capabilties to the GitLab product."
---

## Vision

Build diverse and global development teams in the Data Science section to support GitLab's vision on the application of AI in the DevOps cycle,
while maintaining [our values](/handbook/values/) and [unique way of working](/handbook/company/culture/all-remote/guide/).

## Mission

Drive results through iterative development as we add AI features with flexible ML Models capabilities into the product.
Our teams are data-driven, support [dogfooding](https://about.gitlab.com/direction/dogfooding/), and [collaboration](/handbook/values/#collaboration) within GitLab and the wider community.

## Features

| Feature | Team Ownership | Project Location | Standalone or consideration for Chat Framework |
|---|---|---|---|
| [Code Suggestions](https://docs.gitlab.com/ee/user/project/repository/code_suggestions) | [Create:Code Creation Group](/handbook/engineering/development/dev/create/code-creation/) | [GitLab](https://gitlab.com/gitlab-org/gitlab), [GitLab VSCode Extension](https://gitlab.com/gitlab-org/gitlab-vscode-extension), [GitLab Web IDE](https://gitlab.com/gitlab-org/gitlab-web-ide), [GitLab JetBrains Plugin](https://gitlab.com/gitlab-org/editor-extensions/gitlab-jetbrains-plugin), [GitLab Vim](https://gitlab.com/gitlab-org/editor-extensions/gitlab.vim), [GitLab Visual Studio Extension](https://gitlab.com/gitlab-org/editor-extensions/gitlab-visual-studio-extension) | Standalone |
| [Chat](https://docs.gitlab.com/ee/user/gitlab_duo_chat) | [GitLab Duo Chat Group](/handbook/engineering/development/data-science/ai-powered/duo-chat/) | [GitLab](https://gitlab.com/gitlab-org/gitlab), [GitLab VSCode Extension](https://gitlab.com/gitlab-org/gitlab-vscode-extension), [GitLab Web IDE](https://gitlab.com/gitlab-org/gitlab-web-ide), [GitLab JetBrains Plugin](https://gitlab.com/gitlab-org/editor-extensions/gitlab-jetbrains-plugin), [GitLab Vim](https://gitlab.com/gitlab-org/editor-extensions/gitlab.vim), [GitLab Visual Studio Extension](https://gitlab.com/gitlab-org/editor-extensions/gitlab-visual-studio-extension) | Chat Framework |
| [Git suggestions](https://docs.gitlab.com/ee/editor_extensions/gitlab_cli#gitlab-duo-commands) | [Create:Source Code](/handbook/engineering/development/dev/create/source-code-be/) | [CLI](https://gitlab.com/gitlab-org/cli#usage) | Standalone |
| [Discussion summary](https://docs.gitlab.com/ee/user/gitlab_duo/experiments.html#summarize-issue-discussions-with-discussion-summary) | [Plan:Project Management Team](/handbook/engineering/development/dev/plan/project-management/) | [GitLab](https://gitlab.com/gitlab-org/gitlab) | Chat Framework |
| [Issue description generation](https://docs.gitlab.com/ee/user/gitlab_duo/experiments.html#summarize-an-issue-with-issue-description-generation) | [Plan:Project Management Team](/handbook/engineering/development/dev/plan/project-management/) | [GitLab](https://gitlab.com/gitlab-org/gitlab) | Standalone |
| [Test generation](https://docs.gitlab.com/ee/user/gitlab_duo_chat#write-tests-in-the-ide) | [Create:Editor Extensions Group](/handbook/engineering/development/dev/create/editor-extensions/) | [GitLab Web IDE](https://gitlab.com/gitlab-org/gitlab-web-ide) | Chat Framework |
| [Merge request template population](https://docs.gitlab.com/ee/user/project/merge_requests/ai_in_merge_requests#fill-in-merge-request-templates) | [Create:Code Review Group](/handbook/engineering/development/dev/create/code-review/) | [GitLab](https://gitlab.com/gitlab-org/gitlab) | Standalone |
| [Suggested Reviewers](https://docs.gitlab.com/ee/user/project/merge_requests/reviews#gitlab-duo-suggested-reviewers) | [Create:Code Review Group](/handbook/engineering/development/dev/create/code-review/) | [GitLab](https://gitlab.com/gitlab-org/gitlab) | Standalone |
| [Merge request summary](https://docs.gitlab.com/ee/user/project/merge_requests/ai_in_merge_requests#summarize-merge-request-changes) | [Create:Code Review Group](/handbook/engineering/development/dev/create/code-review/) | [GitLab](https://gitlab.com/gitlab-org/gitlab) | Standalone |
| [Code review summary](https://docs.gitlab.com/ee/user/project/merge_requests/ai_in_merge_requests#summarize-my-merge-request-review) | [Create:Code Review Group](/handbook/engineering/development/dev/create/code-review/) | [GitLab](https://gitlab.com/gitlab-org/gitlab) | Standalone |
| [Vulnerability summary](https://docs.gitlab.com/ee/user/application_security/vulnerabilities#explaining-a-vulnerability) | [Software Supply Chain Security, Threat Insights](/handbook/engineering/development/sec/software-supply-chain-security/threat-insights/) | [GitLab](https://gitlab.com/gitlab-org/gitlab) | Standalone |
| [Vulnerability resolution](https://docs.gitlab.com/ee/user/application_security/vulnerabilities#vulnerability-resolution) | [Software Supply Chain Security, Threat Insights](/handbook/engineering/development/sec/software-supply-chain-security/threat-insights/) | [GitLab](https://gitlab.com/gitlab-org/gitlab) | Standalone |
| [Code explanation](https://docs.gitlab.com/ee/user/gitlab_duo_chat/examples.html#explain-code-in-the-ide) | [Create:Source Code](/handbook/engineering/development/dev/create/source-code-be/) | [GitLab](https://gitlab.com/gitlab-org/gitlab) | Chat Framework |
| [Root cause analysis](https://docs.gitlab.com/ee/user/gitlab_duo/index.html#root-cause-analysis) | [Verify:Pipeline Execution Group](/handbook/engineering/development/ops/verify/pipeline-execution/) | [GitLab](https://gitlab.com/gitlab-org/gitlab) | Standalone |
| [Value stream forecasting](https://docs.gitlab.com/ee/user/gitlab_duo/experiments.html#forecast-deployment-frequency-with-value-stream-forecasting) | [Optimize Group](/handbook/engineering/development/analytics/monitor/optimize/) | [GitLab](https://gitlab.com/gitlab-org/gitlab) | Standalone |

### AI Powered Operational Agreements

- **Sustainable way of working**: Getting all of our teams back to a sustainable way of working as a first priority. The ambiguity in work schedules, uncertainty around who has license to make decisions, and changes in priority lead to a lack of predictability for people's work, which creates stress and a reduced sense of psychological safety.
- **Collaboration**: Addressing collaboration problems thoroughly and in real time as they arise so we can reduce the their negative impact on business outcomes and encourage more psychological safety.
- **Roadmap review and revision**: Each team keeps an executable, epic-level 30-60 day roadmap [here](https://docs.google.com/spreadsheets/d/1dez0e28Y3k11T79D3C2CsW_H8qHso2SYtObXKVG9kY8/edit#gid=0) (internal only.) Our cross-functional team meeting involving the quad++ can be found on the stage calendar (Calendar ID: `c_n5pdr2i2i5bjhs8aopahcjtn84@group.calendar.google.com`). These roadmaps are shared with engineering and product leadership on a monthly basis for feedback to adapt plans, and shared with e-group. For these reasons, we try to limit changes within a 30-day timeframe.
- **Communication cascade**: We want to capture details in issues to avoid reliance, build trust, provide additional context, align everyone on priorities, and prevent communication surprises.
  - Always assign a DRI to create an issue (Ideally, whoever is communicating is the person creating the issue)
  - Make sure the DRI is included especially when things change quickly!
  - Leadership should set explicit expectations. There should be space and time for questions and discussions. Ask for this if you are not getting it, because we will then be responsible for communication moving forward.
  - There are weekly AI Exec meetings where non-MNPI read outs will be shared. Read outs and feedback from leadership will be included in the AI Monthly.
  - For senior leaders, EMs and PMs across the primary AI teams to make sure they have a place to align with each other, we use `#ai-leads`.
  - To include the quads, engineers, designers, testers, infra, our key Marketing stakeholders, etc that are working on AI, we use `#ai-portfolio`. This will help us provide a SSoT avenue for communication so we don't confuse groups or disseminate information separately.
  - In this way, we will avoid multiple downward communications or conflicting messages,  keep discussions inside issues, and be able to retain autonomy on the roadmap according to Roadmap Review & Revision.
- **Blocking work**:
  - Our teams respond to inquiries with ETA to resolve within the designated time frame below:
    - High priority - within 1 business day
    - Medium priority - <= 5 business days
  - For all inquiries, impact of no/delayed decision needs to be communicated to ensure that team members understand the "why" and context behind the importance (i.e slipped timelines, confidence reduction)
  - If there are delays, AI Leads should escalate in the `#ai-leads` channel or `#ai-lt` channels, as appropriate
  - If time frames are missed, then a few sentence [S-B-I reflection statement](/handbook/people-group/guidance-on-feedback/#s-b-i-model) should be shared with your manager to provide context and learning to see if we need to change/optimize the process
- **Strategy for success**: Communicate clearly our strategy for AI in the DevSecOps space so we can share a sense of urgency to compete and be a leader in the market. We will execute against this strategy in 4 ways:
  - **Rapid Delivery**: Our stage is compromised of groups meant to facilitate rapid and efficient creation of AI-driven features. The groups that we support are focused on [platform efficiencies](/handbook/company/vision/#vision), and for them - we are that same platform! In all that we do, we keep this mind, in order to help facilitate speed to market.
  - **DevSecOps Platform**:  Our advantage is our **DevSecOps platform**, and the ability to apply AI more holistically within our existing ecosystem. Our [long-term goal](/handbook/company/strategy/#current-strategy) is to take advantage of our platform differentiation, and fill in the gaps that exist today between each the features we offer.
  - **Everyone Can Contribute**: We strive for simplicity, and want to create low barriers of entry for folks outside of the stage, from the open-source community, or those impacted by the many lay-offs who need to gain experience in an emerging industry. [Especially in the developer community](/handbook/company/strategy/#current-strategy), we have a future opportunity for presence.
  - **Give Back**: We don't want to be the SSoT. We are temporary experts, and where we haven't simplified our processes, we lean heavily into Transparency to share our knowledge broadly with the organization. With our different personas, backgrounds, skill sets, pressures, and jobs to be done - we are our greatest source of [dogfooding](/handbook/engineering/development/principles/#dogfooding) and want to empower more of this in others.
- **Quad connection**: Ensure that all key team members of the quad are connected and informed (Infra, Quality, Dev, PM, UX) to expand transparency and collaboration as groups.
  - The AI leads have started making weekly team announcements for developments across the groups. These are found [here](https://gitlab.com/gitlab-org/ai-powered/ai-weekly/-/issues/?sort=created_date&state=all&label_name%5B%5D=AI%20Powered%20Weekly%20Updates&first_page_size=20).

## Stage Meetings

Although we have a bias for asynchronous communication, synchronous meetings are necessary and should adhere to our [communication guidelines](/handbook/communication/#video-calls).

Some regular meetings that take place for all AI teams on the shared AI-Powered Stage Calendar (Calendar ID: c_n5pdr2i2i5bjhs8aopahcjtn84@group.calendar.google.com) are:

| Frequency | Meeting               | DRI         | Possible topics                 |
|-----------|-----------------------|-------------|---------------------------------|
| Monthly   | AI Monthly            | Michelle Gill & Taylor McCaslin     | Roadmap review, leadership feedback, stage-wide direction & strategy |

## Stage Groups
