---
title: MLOps
description: "The MLOps team aims to empower GitLab customers to build and integrate data science workloads within GitLab."
---

## Vision

Our product [vision](https://about.gitlab.com/direction/modelops/mlops/#vision) is to augment GitLab such that Data Scientist and ML Engineers work together in GitLab to build, experiment, deploy, monitor and keep models secure and up-to-date. Their processes are governable, reproducible, automated, collaborative, scalable, and monitored.

## Team

### Mission

We exist to bring Data Scientist and ML Engineers into GitLab to collaborate and contribute!

There is a huge market opportunity, as more and more companies and organizations lean into building machine learning models to power their decision making and to ntegrate the models directly into their products. For many, data science workflows had previously existed in black box silos, we are building the tools that enable the data science teams to join the rest of the org on GitLab to collaborate, build, test, and bring security and governance to the entire software stack.

### Team members

The following people are members of the MLOps Group:

| Who                                               | Role                     |
|---------------------------------------------------|--------------------------|
| [Sean Carroll](https://gitlab.com/sean_carroll)      | Engineering Manager      |
| [Alper Akgun](/handbook/company/team/#alperakgun) | Staff Fullstack Engineer |
| [Kevin Chu](/handbook/company/team/#kevinchu) | Product Manager |
| [Fred de Gier](/handbook/company/team/#fdegier) | Staff Backend Engineer |

### How to contact us

- Tag a team member in a merge request or issue
- Post a message in the [#g_mlops](https://gitlab.enterprise.slack.com/archives/C01ESHPNHS9) Slack channel (internal only)

### How we work together

We are a small team and as we ramp up in a greenfield space favor tight connections and coordinations over rigid prescribed processes.

To keep others informed, we aim to:

1. Publish our plans for the upcoming milestone
1. Update our ever-green [MLOps Direction page](https://about.gitlab.com/direction/modelops/mlops/)
1. Include any shipped features in the [GitLab Release Post](/handbook/marketing/blog/release-posts/)
