---
title: Fulfillment Platform Team
description: "The Fulfillment Platform Team of the Fulfillment Sub-department at GitLab"
---

## Vision

More details about the product vision for Fulfillment Platform, can be found on one of the [Fulfillment Platform direction pages](/handbook/product/categories/#fulfillment-platform-group).

For a wider picture of the product vision for the Fulfillment section, please see the [Fulfillment direction](https://about.gitlab.com/direction/fulfillment/) page.

The Platform group manages the [Platform category](/handbook/product/categories/#fulfillment-section).

## Team members

{{< team-by-manager-role role="Manager, Fulfillment:Fulfillment Platform" team="[,&] Fulfillment:Fulfillment Platform" >}}

## Stable counterparts

{{< stable-counterparts manager="Manager, Fulfillment:Fulfillment Platform" role="(?i)Fulfillment Platform|(?i)Fulfillment section" >}}

## Performance indicators

{{< tableau height="600px" toolbar="hidden" src="https://us-west-2b.online.tableau.com/t/gitlabpublic/views/TopEngineeringMetrics/TopEngineeringMetricsDashboard" >}}
  {{< tableau/filters "GROUP_LABEL"="fulfillment platform" >}}
{{< /tableau >}}

{{< tableau height="600px" src="https://us-west-2b.online.tableau.com/t/gitlabpublic/views/MergeRequestMetrics/OverallMRsbyType_1" >}}
  {{< tableau/filters "GROUP_LABEL"="fulfillment platform" >}}
{{< /tableau >}}

{{< tableau height="600px" src="https://us-west-2b.online.tableau.com/t/gitlabpublic/views/Flakytestissues/FlakyTestIssues" >}}
  {{< tableau/filters "GROUP_NAME"="fulfillment platform" >}}
{{< /tableau >}}

{{< tableau height="600px" src="https://us-west-2b.online.tableau.com/t/gitlabpublic/views/SlowRSpecTestsIssues/SlowRSpecTestsIssuesDashboard" >}}
  {{< tableau/filters "GROUP_LABEL"="fulfillment platform" >}}
{{< /tableau >}}

You can find the centralized engineering metrics at [this page](/handbook/product/groups/product-analysis/engineering/dashboards/dashboards/).

For Product Performance Indicators please visit the [internal handbook](https://internal.gitlab.com/handbook/company/performance-indicators/product/fulfillment-section/).

## OKRs

The Engineering Manager will report on the progress of projects rolling up to CEO [OKRs](/handbook/company/okrs/) every week. Current OKRs: [FY25-Q1](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/5573)

## Architecture review sync meeting

We want to use our Architecture Review meeting to invite other people from the [Fulfillment Section](https://about.gitlab.com/direction/fulfillment/). We aim to increase transparency, collaboration and knowledge sharing in the Fulfillment Section. Further we can use it as internal user research for the group.

### Meeting focus

- Upcoming projects that need cross-group collaboration (e.g. [CustomersDot BillingAccount can have multiple CustomersDot Users](https://gitlab.com/groups/gitlab-org/-/epics/8951)).
- Intake and proposals to enable other Fulfillment groups to be more efficient.
- Architectural reviews and suggestions (e.g. spikes from other teams) that impact the CDot architecture.
- Topics related to our Zuora integration.
- Topics related to any [Fulfillment product category](https://gitlab.com/gitlab-com/www-gitlab-com/blob/master/data/categories.yml#L2219).

### Meeting routine and agenda

The weekly meeting can be seen on the [Fulfillment calendar](https://calendar.google.com/calendar/u/0/embed?src=gitlab.com_7199q584haas4tgeuk9qnd48nc@group.calendar.google.com&ctz=Europe/Madrid). Everyone is welcome to attend.

Every meeting has one or more discussion topics. To be inclusive and mindful of team members in all timezones, please consider the following:

- Topics should be added to the agenda well in advance, and at least one day before the meeting.
- Agenda with discussion topics will be shared in #s_fulfillment_fyi slack channel one day before the meeting.
- Topics can be reviewed async before the meeting, so questions and answers can be added to the agenda document.
- If there are no discussion topics in the agenda one day before the meeting, it will be canceled.

### Upcoming topics

Upcoming and past topics are documented in the [internal Architecture review meeting topics agenda doc](https://docs.google.com/document/d/1_YbxNCo3KXK1-KdIZTgSvmU9kIslYjQnFZAmmu1DSqQ/edit#heading=h.jfvrioc0vg6).

### How to bring a topic to the meeting

We want everybody to contribute to the meeting. If you have a topic that you want to bring up in the Architecture Review meetings, add it to [this list of topics in the internal agenda doc](https://docs.google.com/document/d/1_YbxNCo3KXK1-KdIZTgSvmU9kIslYjQnFZAmmu1DSqQ/edit#heading=h.jfvrioc0vg6) and we will schedule it.

We ask you to submit the agenda topic at least one day in advance of the meeting.
