---
title: Growth:Acquisition Group
description: "The Growth:Acquisition group works on feature enhancements and growth experiments across GitLab projects"
---

## Vision

The Acquisition Group is part of the [Growth Stage]. We work on [connecting our users with our product value](/handbook/marketing/growth/).

- I have a question. Who do I ask?

Questions should start by @ mentioning the Product Manager for the [Acquisition group](/handbook/product/categories/#acquisition-group)
or creating a new issue in the Growth Product [Acquisition issues] list.

## Mission

The Growth:Acquisition Group works on product priorities and [growth deliverables](/handbook/product/groups/growth/#growth-deliverables)
with our [Growth product managers](/handbook/marketing/growth/)
and contributes to Growth initiatives including the [Registration Flow](https://gitlab.com/groups/gitlab-org/-/epics/4745)
and [Continuous onboarding](https://gitlab.com/groups/gitlab-org/-/epics/4817).

## Team Members

The following people are permanent members of the Growth:Acquisition team:

{{< team-by-manager-role role="Engineering Manager(.*)Growth and Govern:Threat Insights" team="Acquisition" >}}

### Stable Counterparts

We work directly with the following team members in the Growth:Acquisition group:

{{< stable-counterparts role="Growth(.*)|Growth:Acquisition" manager-role="Engineering Manager(.*)Growth and Govern:Threat Insights" other-manager-roles="Director(.*)Growth(.*)|Engineering Manager(.*)Govern, and Growth|Sales|Activation" >}}

## How We Work

- We're data savvy
- In accordance with our [GitLab values](/handbook/values)
- Transparently: nearly everything is public
- We get a chance to work on the things we want to work on
- Everyone can contribute; no silos

### Prioritization

Prioritization is a collaboration between Product, UX, Engineering, and Quality.

- We use the [ICE framework](/handbook/marketing/growth/) for experiments
- We use [Priority](https://docs.gitlab.com/ee/development/labels/index.html#priority-labels)
  and [Severity](https://docs.gitlab.com/ee/development/labels/index.html#severity-labels) labels for bugs

{{< tableau height="600px" toolbar="hidden" src="https://us-west-2b.online.tableau.com/t/gitlabpublic/views/TopEngineeringMetrics/TopEngineeringMetricsDashboard" >}}
  {{< tableau/filters "GROUP_LABEL"="acquisition" >}}
{{< /tableau >}}

{{< tableau height="600px" src="https://us-west-2b.online.tableau.com/t/gitlabpublic/views/MergeRequestMetrics/OverallMRsbyType_1" >}}
  {{< tableau/filters "GROUP_LABEL"="acquisition" >}}
{{< /tableau >}}

{{< tableau height="600px" src="https://us-west-2b.online.tableau.com/t/gitlabpublic/views/Flakytestissues/FlakyTestIssues" >}}
  {{< tableau/filters "GROUP_NAME"="acquisition" >}}
{{< /tableau >}}

{{< tableau height="600px" src="https://us-west-2b.online.tableau.com/t/gitlabpublic/views/SlowRSpecTestsIssues/SlowRSpecTestsIssuesDashboard" >}}
  {{< tableau/filters "GROUP_LABEL"="acquisition" >}}
{{< /tableau >}}

### Workflow

- We use the [Product Development workflow](/handbook/product-development-flow/) when working on issues and
merge requests across multiple projects.

- We use a shared [Kanban workflow board](https://gitlab.com/groups/gitlab-org/-/boards/4152639) for both groups - Acquisition and Activation
for work in the [build phase](/handbook/product-development-flow/#build-track) of the product development flow.

- We use [refinement threads](https://gitlab.com/gitlab-org/gitlab/-/issues/383859#note_1231645373) on issues to discuss our approach and estimate weight of upcoming work.

## Common Links

- [Growth Stage](/handbook/engineering/development/growth/)
- [Acquisition issues](https://gitlab.com/gitlab-org/growth/product/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=group%3A%3Aacquisition)
- `#g_acquisition` in [Slack](https://gitlab.slack.com/archives/g_acquisition) (GitLab internal)
