---
title: MLOps Incubation Engineering
---

NOTE: The MLOps Incubation Engineering project has become the MLOps team. These pages are left fir historical purposes, but are not actively maintained. Please refer to the [MLOps team page](/handbook/engineering/development/data-science/modelops/mlops) for updated information.

## MLOps Single-Engineer Group

DRI: [@eduardobonet](https://gitlab.com/eduardobonet)

MLOps is a [Single-Engineer Group](/handbook/company/structure/#single-engineer-groups) within our [Incubation Engineering Department](/handbook/engineering/development/incubation/). This group works on early feature exploration and validation related to the [MLOps group](https://about.gitlab.com/direction/modelops/mlops) within the [ModelOps stage](https://about.gitlab.com/direction/modelops/).

## Vision & Mission

**Mission**: Make GitLab a tool Data Scientists and Machine Learning Engineers love to use.

**Vision**: Identify opportunities in our portfolio to explore ways where GitLab can provide a better user experience for Data Science and Machine Learning across the entire Machine Learning life cycle (model creation, testing, deployment, monitoring, and iteration).

## Updates

May 1st 2023: Model 15.11 Overview

<figure class="video_container">
    <iframe width="600" height="340" src="https://www.youtube.com/embed/U3Bc5T29R4M" frameborder="0" allowfullscreen></iframe>
</figure>

## Current Project

Model Registry & Model Experiments

Mission: Make it dead simple for Data Scientists to manage their model lifecycle within GitLab, from testing different candidates to,
packaging a new model version.

[More on ML Experiment Tracking](/handbook/engineering/development/incubation/mlops/ml_experiment_tracking/)

[More on ML Model Registry](/handbook/engineering/development/incubation/mlops/ml_model_registry/)

## Usage

* [Model Experiments Usage](https://gitlab.com/gitlab-data/tableau/-/issues/323) (internal)

## Jobs to Be Done

MLops is a large and young field. We used Jobs to be Done to make it explicit what are the problems users expect MLOps to solve:

[MLOps Jobs To Be Done](/handbook/engineering/development/incubation/mlops/jtbd/)

## Backlog

We are keeping a backlog for potential exploration areas. Anyone is welcomed to pitch in new ideas using the [Backlog Epic](https://gitlab.com/groups/gitlab-org/incubation-engineering/mlops/-/epics/8)

|                                                                                                                                   | Reach | Impact | Confidence | Effort | Colab | MLOps Branding* | RICE+ |
|-----------------------------------------------------------------------------------------------------------------------------------|-------|--------|------------|--------|-------|-----------------|-------|
| [JupyterLab-GitLab Plugin](https://gitlab.com/gitlab-org/incubation-engineering/mlops/meta/-/issues/50)                           | 2     | 2      | 2          | 2      | 1     | 3               | 24    |
| [Enable GitLab Runners for ML Use cases](https://gitlab.com/gitlab-org/gitlab/-/issues/328489)                                    | 3     | 3      | 3          | 2      | 2     | 1.5             | 13.5  |
| [Analysis Repository, GitLab Pages for Data Science](https://gitlab.com/groups/gitlab-org/incubation-engineering/mlops/-/epics/7) | 1     | 2      | 1          | 2      | 1     | 3               | 6     |
| [Improve pipeline usage for ML Use cases](https://gitlab.com/groups/gitlab-org/-/epics/7681)                                      | 3     | 1      | 3          | 3      | 3     | 1               | 2     |
| [DVC Integration/Data Registry](https://gitlab.com/gitlab-org/gitlab/-/issues/413612)                                             | -     | -      | -          | -      | -     | -               | -     |
