---
title: MLOps Incubation Engineering - 20230206 Update
---

## Recording

<figure class="video_container">
    <iframe width="600" height="340" src="https://www.youtube.com/embed/dz7soyNKGPo" frameborder="0" allowfullscreen></iframe>
</figure>

## What Was Done

### Model Experiment Tracking

- [Implemented Usage Metrics](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/110642): The value proposition of this feature is harder to measure in quantitative terms, we will rely on qualitative metrics early on.
- Working on UX Review feedback:
  - [Experiment list improvement points](https://gitlab.com/gitlab-org/gitlab/-/issues/387509)
  - [Candidates list improvement points](https://gitlab.com/gitlab-org/gitlab/-/issues/388207)

### Incubation Foundations: Invested time into Incubation components

Incubation Engineers face similar challenges when creating new areas, so we took a bit of time
to extract a few common patterns and develop some foundations to speed up bootstrapping. Making
it easier to deploy new pages reduce time to decision.

MRs:

- [Bootstrapping new pages](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/110775)
- [Pagination](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/110049)
- [Alert](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/110544)

### Showcase

We recorded a showcase as a snapshot of the state of Model Experiment Tracking as of January 2023

<figure class="video_container">
    <iframe width="600" height="340" src="https://www.youtube.com/embed/qC8yssVEh8A" frameborder="0" allowfullscreen></iframe>
</figure>

## Up Next

- Wrap up UX review before enabling the feature flag for general availability

- Get the closed test rolling. My goal is to recruit 3 of interest customers to test Ml Experiment Tracking, and act on
their feedback as fast as possible.
