---
title: OKR Management Single-Engineer Group
---

## OKR Management Single-Engineer Group

The OKR Management SEG is a [Single-Engineer Group](/handbook/company/structure/#single-engineer-groups) within our [Incubation Engineering Department](/handbook/engineering/development/incubation/).

## Goal

To develop Objectives & Key Results(OKR) functionality within GitLab.

## Philosophy

To create an MVP that is:

* Very loose and un-opinionated to accommodate different styles of OKRs across companies, or departments within the same company
* Separate from planning and project management features, but optional linkage
* Accommodating of non-product development persona use from customer/user organizations

Specific areas that we aim to address within Incubation Engineering are:

* Ability to manually enter KR scoring and calculate rollups.
* Ability to automatically track the scoring of an objective by linked issues (linear attribution based on open/closed for linked issues).
* Reporting.

## Updates

<figure class="video_container">
    <iframe width="600" height="340" src="https://www.youtube.com/embed?max-results=1&controls=0&showinfo=0&rel=0&listType=playlist&list=PL05JrBw4t0KpwNFX39BislgPAjal0qoyU" frameborder="0" allowfullscreen></iframe>
</figure>

See the ["Weekly Update" Issue](https://gitlab.com/gitlab-org/incubation-engineering/okr/meta/-/issues/1) for a list of all prior updates.

## Resources

### Product Development Group affinity

The OKR Management SEG is primarily aligned with the [PLAN](/handbook/product/categories/#plan-stage) STAGE and more specifically with [PLANNING GROUP](/handbook/product/categories/#product-planning-group)

### Requirement Spec

Requirements are captured in this EPIC  [https://gitlab.com/groups/gitlab-org/-/epics/7864](https://gitlab.com/groups/gitlab-org/-/epics/7864).

### Issue Tracker

All issues related to work can be found in this EPIC [https://gitlab.com/groups/gitlab-org/-/epics/7864](https://gitlab.com/groups/gitlab-org/-/epics/7864)
