---
title: Manager Notes
---

This page is for any development manager notes we want to share more broadly.  A directory was created in case we need to archive or break out content.

## FY21 Compensation Review

The following is a brief for engineering managers to help in their conversations with team members about compensation.  This document is to give additional context on the FY'21 compensation plan and how GitLab views compensation. It should be viewed as complementary to the [handbook information](/handbook/total-rewards/compensation/compensation-review-cycle/#annual-compensation-review).

### Background

As of FY'21 GitLab evaluates total compensation when determining team members's compensation package.  Total compensation is defined as Salary pay + Stock Equity + Benefits and is guided by the principles defined [here](/handbook/total-rewards/). Salary pay is determined by local markets and cost of market.  Stock Equity (if available for a team member's position) is determined by role and seniority.  Equity is uniform across the world.  Increases to budget for FY'21 are determined across two factors.  A 6% increase in Salary review and a 1.2%(12% headcount * 10% salary bump)  increase for promotions. Please note the budget for promotions is a budgetary consideration, promotion % increases may vary. The Salary review is done twice a year with the budget being increased 5.28% effective February 1st and 0.72% effective August 1st. The promotion review is currently continuous. The approximate amount spent on location factor to bring people in band this year for development was 0.89%.

For SSOT on these calculations and full detail, please refer to [this page](/handbook/total-rewards/compensation/compensation-review-cycle/#fy-2022-annual-compensation-review-budget).

### Goals of FY'21 Compensation Review

The goals for FY'21 compensation for the development department in priority order are as follows:

1. NOT reduce anyone's salary
1. Stay within the prescribed budgetary constraints listed above, or ask for additional funding if our goals are not achievable.
1. Ensure everyone is within their compensation range (as defined in the compensation calculator available to all GitLab team members).
1. Give increases based on current [performance factor](/handbook/total-rewards/compensation/compensation-review-cycle/#performance-factor) as evaluated during the FY21 end of year review.
1. Give managers flexibility to consider location factor, performance, recent promotions and recent compensation adjustments in rewarding employees.
1. Conduct a comprehensive at the VP/PBP/Total Rewards level so that pay increases eliminate unfairness where possible across the organization

### FAQ

1. Question: Due to the removal of contractor factor some [exceeding](/handbook/people-group/talent-assessment/) team members are above the top of their range.  Did we limit performance-based increases for these team members?  Will it be more difficult for these individuals to get performance-based increases in future cycles?
   1. Answer: While being at the top of the band does indicate that these team members are paid fairly against the market, we are open to reviewing business justification cases for these team members as applicable. There are a variety of factors that contribute to increases (benchmark, location factor, performance, last promotion/raise, etc.) so these situations were managed on a case-by-case basis. In terms of future increases, it would be hard to predict the future here as we iterate on the inputs at least once a year meaning if an over range team member doesn't receive a promotion, depending on future inputs they may move back into the range (no guarantees of course).
1. Question: Why is the increased budget lower than before?
   1. Answer: The budget for the annual compensation review was the same as it has been in past years. [This handbook page](/handbook/total-rewards/compensation/compensation-review-cycle/#fy-2022-annual-compensation-review-budget) helps explain the overall annual review budgetary calculation. Total Budget = 6% x 88% x [October OTE USD]. Companies typically allocate 3% to annual comp review, while GitLab allocates 6%.
   1. Budgetary discretion this year should have felt better than last year due to the deprecation of compa groups. Last year, Engineering Managers did not get the opportunity to go into Compaas because the budget was more or less depleted getting everyone into their compa group with benchmark and location factor increases. This year is different because there was a skew to higher location factor increases in lower location factor areas, where last year it was more across the board as we added in a new data source.
1. Question: Location factor saw a huge increase in my area but I only see 4% more, why?
   1. Answer: Not all location factors increase at the same rate. Total Rewards performs a thorough analysis of all location factors in October/November just ahead of annual comp. If you have questions or feedback about your location factor, please reach out to `total-rewards@gitlab.com`.
   1. Note that in general, "Everywhere else" saw larger increases. For example, if a metro was (purely hypothetical numbers) 0.65 and the "everywhere else" was 0.5, but the geo zone was made 0.6 based on the entire geographical zone, the "everywhere else" may have seen a huge increase in the implementation of geo zones while the metro may have only seen a more 'typical' location factor increase.
1. Question: Is the fact that I'm lower in the band reflective of my performance?
   1. Answer: It is important to note that where someone falls within the compensation range is not an indicator of performance, nor is it a sign of promotional readiness. For more information on how performance is linked to compensation please review the following [handbook section](/handbook/total-rewards/compensation/compensation-review-cycle/#performance-factor).
