---
title: Runner Group - JTBD
---

## Overview

The goal of this page is to create, share and iterate on the [Jobs to be Done (JTBD)](/handbook/product/ux/jobs-to-be-done/) and their corresponding job statements for the Runner group. Our goal is to utilize the JTBD framework to better understand our buyers' and users' needs.

## Goals

Utilize JTBD and job statements to:

- Understand our users' motivations.
- Validate identified use cases and solutions.
- Continuously test and iterate features to ensure we are meeting our customers' and users' needs.
- Create a transparent view for our stakeholders into the current and future state of the product.

## Challenges

- DevOps teams may be managing hundreds of Runners, which may also mean offering different virtual machine configurations and sizes, which adds operational complexity. JTBDs will help us hone in the complex tasks these users need to successfully use our tools.
- Runner's strategy must consider and balance the needs of both self-managed and GitLab.com product offerings.
- Configuring and managining runners are crucial steps in the continuous integration path, but today first-class enterprise management of runners experience is not easily accessible to users. Bringing this capability to a higher level can increase our reach and growth.

## JTBD

{{% jtbd "Runner" %}}
