---
title: Development Department Learning and Development - Reliability
---

## Goal of this training

As we have a renewed focus on reliability in engineering to reduce outages, we have made many changes to the handbook, production documentation, and our processes. While we have announced them via multimodal communication (EWIR, slack, email, meetings), not everyone has likely seen and internalized all of the important changes.

We want to gather all the crucial changes, explain why we made them, discuss a summary, and link to where you can find more information.

This material is available as a [learning pathway on GitLab's Level Up](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/course/development-reliability).

## Introduction

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/Evhtsds-I-Q" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

[Amplifying SaaS Reliability Focus](https://gitlab.com/gitlab-com/Product/-/issues/2881)

[Reliability & Security Standup](https://docs.google.com/document/d/1vww0BfRzHtrGhMppTEw5Q27KSzD1e72dmJ3XoppxC-A/edit# )

## The business impact of reliability

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/XJ7Q771lzvY" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

[Importance of reliability to the business](https://gitlab.com/gitlab-com/Product/-/issues/3171)

## Impact of reliability on users

[Video (not public)](https://drive.google.com/file/d/1-nuLKwpkkMJnd5ceoYfX23gKh85V3zUy/view?usp=sharing)

[Improving SUS](https://docs.google.com/presentation/d/1kMZcRnOjuQ0K3TtT1YxedhFb5-Ej_cr2mXxeeJ9sbZ0/edit#slide=id.g98418cf290_0_29) - slides 9 through 14 in particular

## Updates to values

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/IBpGgl3lEz4" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

[MR to change quality and reliability](https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/88933/)

[MR around things that don't scale](https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/87977)

## Blameless Culture

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/WMkchw5hzlc" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

[Google SRE Book: Blameless culture](https://sre.google/sre-book/postmortem-culture/)

## Limiting the impact of far reaching work

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/bHukJTipMJk" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

[Limiting the impact of far-reaching work](/handbook/engineering/development/#reducing-the-impact-of-far-reaching-work)

## Overview of Risk Mapping

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/-i0bFAznPGI" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

[Quality Risk Mapping](/handbook/engineering/infrastructure/test-platform/risk-mapping/)

[Development ops risk mapping](/handbook/engineering/development/ops/package/risk-map/)

## MR acceptance checklist

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/yrOrueDn1es" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

[MR acceptance checklist](https://docs.gitlab.com/ee/development/code_review.html#acceptance-checklist)

## Updates to the definition of done

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/cQVPjW-wakQ" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

[Definition of Done](https://docs.gitlab.com/ee/development/contributing/merge_request_workflow.html#definition-of-done)

## Backwards Compatibility

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/6OQWyc1M_8Q" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

[Course on backwards compatibility](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/course/backwards-compatibility-training)

## How to use the stage group dashboards to understand how a feature category performs

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/WGctFcKjGsY" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

[Stage group dashboard documentation](https://docs.gitlab.com/ee/development/stage_group_observability/dashboards/)

## Error budgets
<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/wmOSPGBo3rs" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

[Error budgets](/handbook/engineering/error-budgets/)

## Feature Change Locks (FCL)

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/jO-_hucp2yg" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

[Feature change locks](/handbook/engineering/#feature-change-locks)

## Added past due infradev as a KPI

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/cZVOCIftsl8" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

[Past due infradev issues](/handbook/engineering/development/performance-indicators/#past-due-infradev-issues)

## Overview of Engineering Metrics Dashboards

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/vOsyw473M1M" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

[Engineering metric dashboards](/handbook/product/groups/product-analysis/engineering/dashboards/#engineering-metrics-dashboards)

## Feedback on the training

* What did you like about the training?
* What did you not like that we should improve?

Add your comments in this [feedback issue](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/12507).
