---
title: "Resources for Staff+ roles"
---

## Overview

This page provides resources for Staff+ engineers and aspiring Staff engineers.

## How to stay up to date

As Staff+ engineer it's important to stay up to date with what's happening in engineering.
By staying up to date you can better understand where problems and inefficiencies can be and
what we could do or explore to make things better.

Here are various activities that can be useful for this purpose:

* See the [Engineering Communications](/handbook/engineering/engineering-comms/) page.
* Read the release posts every month. It helps understand what other team have worked on. What features we have added.
* Keep an eye on slack channels (`#architecture`, `#backend`, `#development`, `#staff_plus_engineers`, etc.).
  It is important have a basic understanding of what problems a particular technology, pattern, process is meant to solve.
  This way we can better understand if it can be applicable to other scenarios.
* Take opportunity during maintainer reviews to understand new features, patterns, tools and to scan for interesting aspects.
  There is a surprising amount of knowledge we can gain doing just that, which often allows us to discover opportunity for reuse between MRs.
* Keep an eye on new and existing [architectural design docs](https://docs.gitlab.com/ee/architecture). Pay closer attention to docs around your areas of expertise while acknowledging
  the existence of other ones.
* Use some of your time for deliberate learning.
  Keep a list of things you want to learn more and where you feel there can be potential impact.
  It could be a technology (e.g. Clickhouse), a tool (e.g. Packwerk), a feature (e.g. Audit Events).

## Book club

We hosted a book club: [The Staff Engineer's Path](https://gitlab.com/gitlab-com/books-clubs/combined-book-clubs/-/issues/45) (internal link), where you can find more resources.
