---
title: Engineering Poster Boards
---

## Background

At the FY25 [GitLab Summit](/handbook/company/culture/summit/) the Engineering Division held a [poster session](https://gitlab.com/gitlab-com/marketing/corporate_marketing/contribute/las-vegas-2024/-/issues/284). This session was well received and several folks recorded videos going over the posters after the Summit, which can be viewed on the GitLab Unfiltered [Summit Poster Session Playlist](https://www.youtube.com/watch?v=toI3F0MIn4M&list=PL05JrBw4t0KqSMAoWxxcq0yWmh4SEzz6g&index=1). The team would like to continue doing this in a virtual manner, so that team members and their work are showcased on a regular basis.

## Process

The goal is to be a low lift for participating team members. The process to follow is:

1. [Create an issue](https://gitlab.com/gitlab-com/engineering-division/engineering/-/issues/new?issuable_template=Engineering%20Poster%20Boards) to track the overall work using this template.
1. Create a virtual poster board using [Virutal Poster Session template - CHANGE FILENAME](https://docs.google.com/presentation/d/1rC3d12ohaoRPKCMx1DInOhJfauf0-y_lH3ioDCOekSg) and an [async agenda](https://docs.google.com/document/d/1eH-adpjfyo_RnlfbPvJ3i0e1Qb-aVoNc4yajnkZgJcU) for the Q&A session
   1. Both can be copied by clicking on `File` -> `Make a copy`.
   1. Store these in a new folder in the [Engineering Poster Boards](https://drive.google.com/drive/folders/1yux5rDMw4OmVLnFdwyswE_sOXkA0v3xy) folder in the [Engineering Shared Drive](https://drive.google.com/drive/folders/0AJSteUQBahEEUk9PVA)
   1. Ensure the Q&A agenda is editable by anyone at GitLab.
1. Record a 2-minute overview of the poster - actual time can vary, but we wouldn't expect to have a long recording/presentation. Add this to the `Engineering Poster Boards` GitLab Unfiltered playlist (to be created).
1. Host a single Q&A session. The agenda can be pre-populated by people who cannot attend. These would be recorded and shared with the team.
   - Reach out in [#eba-team](https://gitlab.enterprise.slack.com/archives/C61RXLLDR) and tag the [Engineering EBAs](/handbook/eba/) so they can find a suitable time. Please include the links to the agenda, poster board, video, issue, and any other relevant assets when reaching out. The EBAs will work to find a one week period where we can do multiple poster sessions, one per day, to create engagement. The EBAs will share the week with the presenters and slot in a time that works for them and the team and send an invite from the CTOs calendar including `engineering@gitlab.com`. The EBAs will ensure to include the shared links for the relevant agenda, poster board, video, and issue in the invite.
