---
title: Fast Boot
---

A Fast Boot is an event that gathers the members of a team or group in one
physical location to work together and bond in order to accelerate the
formation of the team or group so that they reach maximum productivity as
early as possible.

## History of the Fast Boot

* The first Fast Boot took place in December 2018. The 13 members of Monitor
Group gathered for 3 days to work and bond in Berlin. You can learn more
by reading the [original planning issue](https://gitlab.com/gitlab-com/organization/issues/185).
* The second Fast Boot took place in April 2019. The 5 members of Delivery team
gathered in Utrecht to bond but also work on finalising auto-deployment process.
[Planning issue](https://gitlab.com/gitlab-com/organization/issues/192) contains
the proposal for Fast boot, and
[the Delivery Fast boot epic](https://gitlab.com/groups/gitlab-org/release/-/epics/17)
contains issues and links to recordings created during the Fast Boot.
* The third Fast Boot took place in Vancouver in September 2019. It included 18 people from Product, Engineering, UX and Data from the Acquisition, Conversion, Expansion and Retention teams.  [The planning issue](https://gitlab.com/gitlab-org/growth/product/issues/1) contains the proposal for Fast Boot, and outcomes are available in the [Growth Fast Boot Page](/handbook/engineering/development/growth/fast-boot/).

## Why should you have a Fast Boot?

Right now, the fast boot is intended for new teams or for teams with a majority
of new members who need to build their culture of shipping work. If your team
fits this description, you can propose holding a Fast Boot to reduce ramp up
time and establish and strengthen relationships between team members.

## How should you get approval?

First raise the idea with your manager to determine if there's a good case
for a Fast Boot. Ultimately, the executive team will approve these on a case
by case basis.

### Development approval process

1. Create an issue outlining the proposed Fast Boot. Here is an [example proposal from the Delivery Team Fast Boot.](https://gitlab.com/gitlab-com/organization/-/issues/192)
1. Proposal is reviewed and approved by the Department head.
1. Proposal is reviewed and approved by the CTO.

## How should you measure success?

When building the case for your Fast Boot, you should determine what
metrics you will use to measure success. For example, after the Fast Boot
you may expect your engineering team's throughput to increase or you may
expect your support teams mean time to ticket resolution to decrease. You
may also want to measure the sentiment of the team members after the Fast Boot
with followup surveys.

## What artifacts should you produce?

During the Fast Boot the priority is building a culture of shipping work.
Ideally the group can work together to ship one large, high-impact item to
production. Failing that it could be a backlog of smaller items. Secondarily you
should record and livestream videos that give people insight into what your team
is working on. Kickoff meetings, working sessions, and demos are all great
candidates for being livestreamed.

## Pros & Cons

### Pros

* Team members really enjoyed meeting each-other in person and got to spend
a lot more time together than at the Summit/Contribute.
* Team members now feel more comfortable asking for help, especially across
teams (FE, BE, UX).
* Team members understood each other's workflows better, allowing them to
organise better and work more efficiently in the future.

### Cons

* It takes time to create a proposal and get the approval.
* It takes a fair amount of planning: hotels, flights, meals, content,
follow-up.
* It can be expensive.
* It is antithetical to the way we usually work at GitLab.
* It can be mentally and physically exhausting spending a lot of time with team
members outside of personal comforts.

## Tips & Tricks

* Hold the Fast Boot in a location where at least one of your team members
resides. In addition to reducing the cost of flights and hotels, your team
member can act as a guide to the city and help choose and book locations.
* Set clear expectations about how your time will be spent. Will there be
down time? Will the team eat dinner together every night?
* If at all possible, select one day for non-work related activities on the tail
end of the Fast Boot. Doing a fun activity will allow team members to get to know
different aspects of ones personality.
* Agree and plan in advance what events should be recorded and stick to the plan
for the rest of the event.
* Prepare any equipment for recording (or streaming) the events while getting
approvals for Fast boot. Basic cameras might not be sufficient and additional
equipment might need to be rented.
* When booking accommodation, ensure that everyone gets enough personal space.
Consider that everyone will spend most of the day working together, so personal
downtime might be needed.
