---
title: "Engineering Fellow Shadow"
description: "GitLab engineers: work with an Engineering Fellow for a week"
---

## Introduction

The Engineering Fellow Shadow Program (formerly known as Engineering Fellow Pairing) allows any GitLab engineer to work together with a Engineering Fellow. Its current iteration is modeled after the [CEO Shadow Program](/handbook/ceo/shadow/), with some exceptions to account for the differences in daily duties of these two roles. The program supports both remote and in-person rotations. Participants will spend a week working with the Engineering Fellows.

## Goal

The goal of the program is to give GitLab engineers and eligible individuals an overview of and insights into the work of the Engineering Fellows while heping them with their daily work. Engineers will learn how Engineering Fellows think about and see the product, the organization, and how they operate across the company. It should be especially useful for senior technical leaders in Engineering, and allows Engineering Fellows to build rapport with each other.

### What it is not

The Engineering Fellow Shadow Program is not a performance evaluation or the next step to a promotion. Being an Engineering Fellow shadow is not needed to get a promotion or a raise, and should not be a consideration factor for a promotion or raise, as applicants have different eligibilities.

## Participating in the program

### Things to know

* The Engineering Fellow Shadow Program is temporarily fully remote because of COVID-19 [travel restrictions](/handbook/ceo/shadow/#travel-guidance-covid-19). The shadows will participate in all meetings from their usual work environment
* The duration is one week per person.
* Don't plan to do any of your usual work. Tell your team you're on paid time off.
* The company will pay for travel and hotel when the programs returns to in-person.
* While the rotations are weekly, they do not occur every week.
* Engineering Fellows reside in U.S. Pacific Time and Central European Time zones. Ideally, select a rotation with a Fellow close to your time zone.

### Eligibility

[Senior or higher](/handbook/engineering/careers/#senior-engineers) engineers at GitLab are eligible to apply for the Engineering Fellow Shadow Program.

### How to apply

1. Create a merge request to add yourself to the [rotation schedule](#rotation-schedule).
1. Ask your manager to approve (but not merge) your merge request.
1. Assign the merge request to the Engineering Fellow of your choice.

If you have questions, please join and post in the [#ef-shadow](https://gitlab.slack.com/archives/C0342KZSUER) channel on Slack.

### Rotation schedule

(Table is in reverse order by date: newer first).

| Start date | End date | Who | Engineering Fellow | Location | Results |
|---|---|---|---|---|--- |
| 2020-04-13 | 2020-04-16 | [Illya Klymov](https://gitlab.com/xanf) | @dzaporozhets | REMOTE | [Document](https://docs.google.com/document/d/1oysQJNX_hms8Fq6rCmLT9ob7UTHd3RWOJ9ldwcrCnCU/edit) |
| 2020-03-09 | 2020-03-13 | [Natalia Tepluhina](https://gitlab.com/ntepluhina) | @dzaporozhets | Kharkiv, Ukraine | [Document](https://docs.google.com/document/d/1LjwDjRFfYgCOIu_VgZoonoU3EtM1_zGfVDGhx4pcWiU/edit?usp=sharing) |
| 2020-02-24 | 2020-02-28 | [Christian Couder](https://gitlab.com/chriscool) |  @dzaporozhets | Kharkiv, Ukraine | [Document](https://docs.google.com/document/d/1b-z1awjdqkh7s_cvdMbuXxd-U8jwdGYyGxSfhCTLDwM/edit?usp=sharing) |
| 2020-02-03 | 2020-02-07 | [Jason Plum](https://gitlab.com/warheadsse) | @dzaporozhets | Kharkiv, Ukraine | [Document](https://docs.google.com/document/d/1yR0oGiPXsQYUNlW4F5SKy8co1oOwCSBzHiMsuBovRF4/edit) |
| 2020-01-27 | 2020-01-31 | [Imre Farkas](https://gitlab.com/ifarkas) | @dzaporozhets | Kharkiv, Ukraine | [Document](https://docs.google.com/document/d/1LGtf6W1ESzr8U_DDzgvh7AoFfu3yBVTWVo9gNQcvx10/edit) |
| 2019-12-09 | 2019-12-13 | [Sam Beckham](https://gitlab.com/samdbeckham)  | @dzaporozhets | Limassol, Cyprus | [Video Interview](https://www.youtube.com/watch?v=lVKqsB2gePU&feature=youtu.be), [Document](https://docs.google.com/document/d/1CnlwGIGvlzXmLq4Fy1iLNvFedEC1EQI2y0t_AARDfMU/edit) |
| 2019-11-04 | 2019-11-08 | [Tetiana Chupryna](https://gitlab.com/brytannia) | @dzaporozhets | Kharkiv, Ukraine | [Document](https://docs.google.com/document/d/1crPEyjISN03zqV0HTjCCjI419SNGRH1sU0xxkglGHFM/edit?usp=sharing) |
