---
title: "Frontend Group"
---

## Teams

- [Configure](/handbook/engineering/development/ops/configure/)
- [Create](/handbook/engineering/frontend/create/)
- [Manage](/handbook/engineering/frontend/manage/)
- [Monitor](/handbook/engineering/frontend/monitor/)
- [Plan](/handbook/engineering/development/dev/plan/)
- [Secure](/handbook/engineering/development/sec/secure/)
- [Verify and Release](/handbook/engineering/frontend/verify-release/)

### Frontend domain experts

You can find engineers with expertise in various frontend domains on the engineering
projects page under the following sections:

- [GitLab maintainers with domain expertise](/handbook/engineering/projects/#gitlab_maintainers_frontend)
- [GitLab reviewers with domain expertise](/handbook/engineering/projects/#gitlab_reviewers_frontend)

You can reach out to these experts to get help on:

- discussing and defining the architecture of complex frontend features.
- frontend technical topics like Vue, GraphQL, CSS, testing, tooling, etc.
- proposing changes to the cross-domain frontend architecture via an RFC.
- Questions about the frontend for a product area like design management, merge requests, pipelines, etc.

### Frontend group calls

The frontend group has scheduled weekly calls every Tuesday. Since 2021-06-01, these occur at three staggered, time zone friendly times, repeating every three weeks. During these calls, team members are encouraged to share
information that may be relevant to share with other members synchronously (Eg. new documentation change, new breaking changes added to `master`).

To help identify possible conflict areas in a release we encourage members to post a link to a comment in an issue that you're working on that crosses the borders of the domain of your stage group that you feel has the potential of colliding with the work of others.

#### Frontend themed call

Each call may include a themed competition at the end, run by the designated [DRI](/handbook/people-group/directly-responsible-individuals/).

The purpose of these themes is to add some fun and quirkiness to our team calls
(so that we can learn more about each other) but it shouldn't distract or derail into too much off-topic conversation.

##### Process

The [DRI](/handbook/people-group/directly-responsible-individuals/) drives the themed portion of the call, and assigns
the winner as the next DRI for that time zone.

1. The DRI decides the theme for the next call for the same time zone, i.e., in three weeks' time.
1. The DRI announces the theme in the `#frontend` Slack channel at least one day in advance.
1. On the next call, at the end of the agenda, the DRI announces the theme and invites participants to share/vocalize their entries.
1. After all entries have been shared, the DRI asks everyone to write which person they liked the answer the most on the meeting's zoom chat _**without sending**_.
1. After everyone has written down their vote, the DRI counts down from 3, and on 0 everyone hits enter, sharing their answer at the same time (to prevent voting bias).
1. The entry with the most votes becomes the winner. In the case of a tie, the winners decide which of them becomes the DRI. In case they didn't decide, the DRI can chime in on the decision.
1. The DRI creates an MR to update the table of history below.
1. The DRI replaces their own name with the winner's as the next DRI in the [agenda document (internal)](https://drive.google.com/open?id=116RqF100v-vRra87ckYIWAa3-F3kDvSseRSvEziJnbQ).
1. `goto 1`

| Date | Theme | Winner |
|---|---|---|
| 2018-01-09 | Most interesting hat | Jose Ivan Vargas |
| 2018-02-13 | Most interesting shirt/t-shirt (No GitLab swag) | Winnie |
| 2018-03-06 | Most interesting sunglasses | André |
| 2018-04-03 | Most peculiar trip souvenir | Eric Eastwood |
| 2018-05-08 | Grow the best grass or plant (preferably grass) | Lukas |
| 2018-06-04 | Most interesting sculpture from one piece of paper (maximum size Letter/A4) | Sam |
| 2018-07-10 | Ornament/Trinket/Thing-that-you-have, that says the most about you | Sam |
| 2018-08-07 | Most creative Tanuki in any medium | Eric Eastwood |
| 2018-09-04 | Best animal sketch/drawing | Winnie's wife |
| 2018-10-02 | Favorite mythical creature of your home country | Tim / Lukas |
| 2018-11-06 | Convince us that your favorite dish (that you can prepare yourself) is the best! [Preferably you share the recipe](https://gitlab.com/leipert-projects/gitlab-recipes) | Mike |
| 2018-12-04 | Favorite multi-player game (board game, card game, video game, etc). Describe the rules, how many players, background, and why you like it | Winnie |
| 2019-01-08 | Favorite children's book | [Nathan](https://gitlab.com/nfriend) |
| 2019-02-05 | Best feature of your house/office/co-working space.  If possible, show it! <br /><br /> Some examples:<br /> - The ocean view from your living room window<br /> - Your room exclusively dedicated to Star Wars memorabilia<br /> - The secret passage you built behind a bookcase | [André](https://i.imgur.com/9PUJ4oL.jpg) |
| 2019-03-05 | Favourite music album of all time? | Fatih |
| 2019-04-02 | Best picture you took (Feel free to post-edit) | [André](https://imgur.com/a/9fpJvt4) |
| 2019-05-07 | _skipped due to GitLab Contribute_ | |
| 2019-06-04 | What's your favourite movie? | [Sam](https://i.imgur.com/OjYQglp.jpg) |
| 2019-07-02 | Show us your pets | Sarah |
| 2019-08-06 | Share your favorite piece of art: painting, photograph, sculpture, installation, etc. | [Himanshu](https://www.behance.net/gallery/60331507/The-Book-of-Dragons-Illustrations) |
| 2019-09-03 | What is your favourite "What is your favourite?" question? What would you ask? How would you answer it yourself? | Sarah |
| 2019-10-01 | What is your favorite thing to complain about? | Lukas |
| 2019-11-12 | What is the best dish you have ever eaten at a restaurant? | Dennis |
| 2019-12-10 | What is your favorite thing about your hometown? It can be a little-known secret, awesome restaurant, famous story | André, Eipi, Coung and Jiaan |
| 2020-01-07 | If you could time travel, when would you go and why? | [Sam](https://i.imgur.com/XxPVLk9.png) |
| 2020-02-04 | What (un)usual hobby do you have? | Andrew |
| 2020-03-03 | What is your favourite food to make? | Chris B |
| 2020-04-06 | What do you listen to while you are working? | Coung |
| 2020-05-05 | What skill would you like to master? | Andrew |
| 2020-06-02 | [Describe your perfect date](https://www.youtube.com/watch?v=-BNwiqDGz5g) | Sam |
| 2020-07-07 | Which historical figure would you most like to go for a drink with? | ? |
| 2020-08-04 | Favorite Pizza Toppings (Wrong Answers Only)| [Angelo](https://gitlab.com/agulina) |
| 2020-09-01 | [Movie / TV Series line](https://gph.is/1GFhxC9) you would use in a Merge Request | ? |
| 2020-10-20 | Spooktacular (Special Halloween edition) | [Alexander Turinske](https://gitlab.com/aturinske) |
| 2021-03-02 | What's your favourite childhood movie? Or the one you've watched the most times? | Frédéric C. |
| 2021-04-06 | If you could have a super power, what would it be? (No matter what anyone says, being rich is not a superpower, sorry Batman)? | Lena H-K. |
| 2021-05-11 | If you were not a software engineer, what would you do? | Lukas Eipert |
| 2021-06-01 | What was the worst haircut you ever had? | Sheldon |
| 2021-06-22 | What's the piece of tech you miss the most? | Paul S |
| 2021-08-17 | A kilobyte of fun | Mark |
| 2021-10-05 | What's the most mind-blowing fact you've ever learned? | Miguel |
| 2022-07-26 | What's the best swag (from any company) you've ever gotten or seen, and why? | Kushal |
| 2022-08-16 | If you got a chance to watch (re-watch) a movie in theater (a movie that released before year 2000), which one would you pick? | No winners, we are all made equal and deserve love |

### Frontend calendar

The frontend Google Calendar was created as a means of unifying and including team members on frontend related discussions.
Frontend meetings should be listed on the calendar unless there is a good reason not to.
Frontend engineers have the calendar permissions to create events on this calendar while GitLab team-members have the permissions to add the frontend calendar to their calendar.

> Note: Due to a bug on Google Calendar, team members are unable to find the calendar by searching.
Team members are recommended to go to the [frontend calendar link](https://calendar.google.com/calendar/b/1?cid=Z2l0bGFiLmNvbV83dHQ0bDA1NWg1MGRndWNpZDBidGg1ZGZsOEBncm91cC5jYWxlbmRhci5nb29nbGUuY29t)
on their browser to add this calendar to their calendar. This calendar is currently only available within GitLab and is not publicly accessible.

### RFCs for changes to GitLab Frontend

If you would like to propose a new, or a change to an existing, frontend pattern in our codebase, please create an issue in [https://gitlab.com/gitlab-org/frontend/rfcs](https://gitlab.com/gitlab-org/frontend/rfcs) so that we can discuss it.

### Videos

#### Frontend Skillsharing Initiative

A good way to learn from the collective wisdom of our Frontend team is by checking out the videos available on [the Skillsharing Initiative page](/handbook/engineering/frontend/skillsharing/).

#### Frontend Onboarding

Here are some helpful resources that might help your onboarding.

- [GitLab: Frontend architecture at GitLab](https://youtu.be/LnyeMjTauxQ)
- [GitLab: From Legacy to Vue.js](https://youtu.be/qJFrjiQ7nr0)
- [How We Do Vue At GitLab](https://youtu.be/EsUS4JX0BBw)

### Technical Interview Metrics

Learn more about how we measure our technical interview metrics in [the interview metrics page](/handbook/engineering/frontend/interview-metrics/)
