---
title: FY25 Engineering get-together subsidy
---

## Background

As part of the FY25-Q2 Engagement Survey Results & Action Planning, we identified Team Member Development & Engagement as being an area to focus on. One of the actions we took was to identify a way to provide [Engineering get-togethers for increased sense of belonging](https://gitlab.com/gitlab-com/engineering-division/cto-leadership/-/issues/9)

After looking at different possibilities based on budget we were able to provide a subsidy in FY25 to facilitate these get-togethers, both in an in-person format as well as virtually.

## Details

- Subsidy for supporting in person and remote get-togethers:
  - **$75 USD for in person**
  - **$25 USD for remote get togethers**
- An organiser needs to [create an issue](https://gitlab.com/gitlab-com/engineering-division/engineering/-/issues/new/?issuable_template=FY25%20Engineering%20get-together%20subsidy) for the get-together outlining the plan and listing all Engineering attendees, ask for approval from one of Sabrina's directs (`@timzallmann` `@jeromezng` `@jscarborough` `@marin`) on an issue in the [Engineering issue tracker](https://gitlab.com/gitlab-com/engineering-division/engineering/-/issues/?sort=created_date&state=opened&first_page_size=100).
  - All open proposals can be seen using the [{{< label name="FY25 Engineering get-together subsidy" color="#dc143c" >}} label](https://gitlab.com/gitlab-com/engineering-division/engineering/-/issues/?label_name%5B%5D=FY25%20Engineering%20get-together%20subsidy)
- Allowable reimbursable expenses related to travel, food, co-working spaces with receipts submitted through Navan up to the specific per person budget. **Instructions on how to properly code your expense within Navan can be found [below](#how-to-properly-code-your-expense-within-navan)**
- If team members would like to expense anything outside of those areas they should outline in the issues and allow finance review to ensure that expense would be within policy prior to approval
- Purchase order (PO)/virtual card for any expenses that will be centrally purchased for an event by one person. Ask for help in the issue on how to get that granted
- This subsidy can be used once per team member for the remainder of FY25 and we will revisit in FY26

### Eligibility

Engineering only, all team members regardless of their position/level.

### How to properly code your expense within Navan

1. Select `Add Transaction` in the expense portion of the tool
   ![Add Transaction](/images/engineering/add_transaction.png "Add Transaction")
1. Select `Type in Details` or `Upload Receipt`
   ![New Transaction](/images/engineering/new_transaction.png "New Transaction")
1. Set `Expense Type` to `Other`
1. Set `GL Code` to `Business Meals & Entertainment`
   ![Set Expense Type and GL Code](/images/engineering/expense_type_gl_code.png "Set Expense Type and GL Code")
1. Set `Classification` to `FY25 Team Building Budget`
1. In the `Description` field add a brief description noting the expense is for a team building activity
   ![Set Classification and Description](/images/engineering/classification_description.png "Set Classification and Description")

After the Expense has been submitted it will be routed for approvals and reviewed by our accounts payable team.  

### How to notify your team members you'll be at a get-together

Please follow the guidance in the [Workday Time Off Absence Module Information Guide](https://docs.google.com/document/d/17cwh97hPRKbmeCMpspxy_LwuTKXbbgFiom39SaJPW1c) under the section `What happened to the other time-off labels like Conference, Customer Visit, Volunteering, etc?`
