---
title: Engineering Hiring
---

## Overview

Hiring is a cornerstone of success for our engineering organization, contributing to our growth and our ability to drive results for our customers. As such, it's not just a responsibility but fundamental to every engineer's contribution to GitLab. It should be deeply ingrained in every engineer's role at GitLab, regardless of their seniority.

By actively participating in recruitment efforts, engineers help shape their team culture, elevate technical standards, and ensure a continuous influx of diverse perspectives and skillsets. Contributing to hiring efforts allows GitLab to grow responsibly and affects our collective success within Engineering.

Interviewing is a skill, and takes up a significant amount of time and effort to facilitate and improve upon. We should recognize and appreciate the efforts we take to contribute to scaling the engineering organization.

For more context, please review [a Engineering All-Hands recording (internal)](https://drive.google.com/drive/search?q=title:%222024-04-17%20Sabrina%20on%20hiring%20in%20engineering%22) emphasizing the importance of contributing to hiring efforts within Engineering.

## Hiring Practices

Please reference our [internal hiring repository](https://gitlab.com/gitlab-com/people-group/hiring-processes/-/tree/master/Engineering) for internal best practices and guidelines.

### R&D New Headcount GHPID Request, Backfill & Transfer Process

#### New Headcount and Backfill Processes

Budgeted new headcount review occurs on a regular basis across Engineering Leadership, Talent Acquisition, Finance Business Partners (FPB), and People Business Partners (PBP). The process to open a new headcount is Talent Acquisition and Finance-driven, with a focus on ensuring communication, consistency and collaboration between the Engineering and People teams.

The process for both new headcount and backfill processes can be found in the [Talent Acquisition handbook section](/handbook/hiring/talent-acquisition-framework/req-creation/#requisition-release). Please note that we no longer require a Backfill Issue to be created and approved before we can start recruiting. Backfills are first reviewed on a weekly basis by the CTO and Engineering Leadership and a business decision is made to either open, close or repurpose the position. Your assigned recruiter will be in touch to Kickoff the role once a decision has been made. All backfills default to an Intermediate/Grade 6 level unless there is a business need to re-level, more information can be found in the [Engineering Mobility Principles](/handbook/engineering/careers/#mobility-principles) handbook page.

#### Headcount Transfer Process

1. **Department Heads and PBPs**: If two Department Heads agree to move a new headcount between their teams each leader should reach out to their respective PBPs to discuss org structure and/or org planning considerations. PBPs will share relevant information (org design/level/placement) with Finance and Talent Acquisition through the [Triad process](/handbook/hiring/talent-acquisition-framework/triadprocess/#:~:text=The%20Triad%20process%20exists%20to,collaboration%2C%20reporting%20and%20metrics%20tracking).
1. **Talent Acquisition**: TA will own the process of creating an Approved Needing Swap issue in the Headcount Project to confirm that both departments are in agreement with the move.
1. **Finance Business Partner**: The FBP will create a GHPID for the forecasted role in Adaptive, add the GHPID to the Issue and mark the step as complete, signaling the forecast has been updated. If more information is required, the FPB will reach out to the department leader or PBP before providing a GHPID.
1. **People Business Partner**: After a GHPID has been allocated, the PBP will ensure that both the "Cost Center" and "Supervisory Org" dimensions in Workday are updated and accurate.
