---
title: "Tech Lead at GitLab"
---

## Tech Lead at GitLab

At GitLab, Tech Lead is an [archetype](/handbook/engineering/ic-leadership) and a role. When we think
about "Tech Lead" as an archetype we mean that Staff+ Engineers at GitLab are
supposed to exhibit patterns of behavior that make them act as technical
leaders, who partner with Engineering Managers and Product Managers to support
milestone planning, coordination, sequencing and then help teammates address
complexities with their deliverables.

"Tech Lead as an archetype" is an expectation, especially for Staff+ Engineers,
but "Tech Lead as a role" can be assigned to any Engineer, regardless of their
seniority. The primary factor taken into the account when assigning a Tech Lead
role is efficiency, and optionally domain knowledge and/or expertise that might stem from
assigning this role to a given individual contributor.

### The Tech Lead Role

At GitLab, a Tech Lead might be an individual contributor with additional
responsibilities. Every engineer regardless of their seniority can be a Tech
Lead. This is a temporary role that is tied to a specific topic / project. We
allow teams to have multiple Tech Leads at the same time for different
projects. They may be overseeing the work of additional engineers on the project,
and remain aware of the moving pieces across them.

An engineer who is acting as a Tech Lead is **not** a manager, and the role
itself is **not** an additional seniority level.

### Responsibilities of a Tech Lead

Tech leads wear many hats. Their responsibilities may differ from project to
project but may include:

1. Providing technical vision and architecture, defining and evolving the
   overall technical specification for a given project.
1. Providing technical guidance and mentoring to other engineers on the team.
1. Planning and prioritizing work, organizing the engineering effort by
   breaking down bigger tasks into smaller actionable items.
1. Tracking progress on commitments and reporting status updates.
1. Risk management, identifying, assessing and managing technical risks that
   may impact deliverables.
1. Coordination, overseeing the work of others and helping remove blockers.

The Engineering Manager (EM) can also help provide support in project management, but it is up to the tech lead and EM to decide on who owns what to ensure these responsibilities are covered.

### Slack channel

There is Slack channel available
[#tech_leads](https://gitlab.enterprise.slack.com/archives/C06ALUU5NKS)
(internal) where Tech Leads can collaborate together, and ask questions about
the role or an archetype of a Tech Lead. Everyone else is welcome too!
