---
title: Database Group Stable Counterparts
---

## Overview

A central tenet of the Core Platform department is to enable other teams to be more self-sufficient in areas such as, in this case, the database. The Database Group is here to provide a helping hand in areas such as database design, query efficiency, database tooling and more. In order to be more efficient and to avoid [diffusion of responsibility](https://en.wikipedia.org/wiki/Diffusion_of_responsibility) when providing database expertise to other groups, we are providing a list of database stable counterparts and which area of expertise is owned by each team member.

### Stable Counterparts

If you have a need for database assistance please review the table below for the stable counterpart for your area. If one is not listed please feel free to reach out directly to the [#g_database](https://gitlab.slack.com/archives/CNZ8E900G) slack channel.

#### Responsibilities of the stable counterpart

1. Following the topic, knowing the latest updates (which makes us more efficient since we don't all have to keep track of everything)
1. Actively work with the respective group, e.g. to implement a database design
1. Translate work from the topic into our group and involve other folks from our group to contribute as needed

| Feature (alpha order) | Stable Counterpart | GitLab Handle |
| --- | --- | --- |
| [AI Tanuki Bot](https://gitlab.com/groups/gitlab-org/-/epics/10234) | Matt Kasa | @mattkasa |
| [Background Migrations](https://gitlab.com/groups/gitlab-org/-/epics/6751) | Diogo Frazão | @dfrazao-gitlab |
| [CI Partitioning](https://gitlab.com/groups/gitlab-org/-/epics/7522) | Simon Tomlinson | @stomlinson |
| [Consumables Management (storage, compute, seats, usage, etc)](https://about.gitlab.com/direction/fulfillment/#fulfillment-sections-current-focus-fy22-q3) | Kras Angelov | @krasio |
| [Container Registry](https://docs.gitlab.com/ee/user/packages/container_registry/) | Simon Tomlinson | @stomlinson |
| [Database Testing Framework](https://docs.gitlab.com/ee/architecture/blueprints/database_testing/) | Matt Kasa | @mattkasa |
| [Database query intercepter](https://gitlab.com/gitlab-org/database-team/query-intercepter) | Jon Jenkins | @jon_jenkins |
| [Embeddings Database](https://gitlab.com/groups/gitlab-org/-/epics/10240) | Matt Kasa | @mattkasa |
| [Primary Key Migrations](https://gitlab.com/groups/gitlab-org/-/epics/4785) | Kras Angelov | @krasio |
| [Table Size Reduction](https://gitlab.com/groups/gitlab-org/-/epics/6211) | Simon Tomlinson | @stomlinson |
| [Vulnerability Management](https://about.gitlab.com/direction/govern/threat_insights/vulnerability_management/) | Simon Tomlinson | @stomlinson |
| [Work Items](https://docs.gitlab.com/ee/architecture/blueprints/work_items/) | Matt Kasa | @mattkasa |
