---
title: "Distribution Team Demo"
---

## Weekly Demo ##

Distribution team members present demos related to work they've accomplished (or are developing) and share context. Special guests from outside the team also occasionally present to raise awareness and answer questions on specific subjects.

[Demo recordings](https://www.youtube.com/playlist?list=PL05JrBw4t0KrPasGZcEUoHHIYdUtzpfA4) are publicly available on YouTube to spread knowledge, technologies and solutions the team creates.

### Goals ###

The goals of our demos are to:

1. Spread awareness of current issues impacting our customers and team
1. Solicit feedback from the team to improve our solutions and related documentation
1. Identify gaps in our collective understanding of environments, components, processes and dependencies
1. Improve visibility of the work our team does

### Presenter ###

The team collaboratively selects the demo presenter during the weekly team
meeting from a pool of:

1. Issues labeled [Demo-worthy label](https://gitlab.com/groups/gitlab-org/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=demo-worthy)
1. Suggestions during the weekly team meeting
1. Volunteers from either team or non-team members

The demo presenter is responsible for making sure the demo meeting invite is
rescheduled to the proper time.

The presenter is expected to:

1. Prepare any required environmental and related dependencies ahead of the demo
1. Include a demo synopsis in the meeting notes with key component/environment versions, etc. for reproducibility
1. Record the demo *locally* and upload to YouTube [Distribution Team Demos](https://www.youtube.com/playlist?list=PL05JrBw4t0KrPasGZcEUoHHIYdUtzpfA4)
1. Limit distractions and keep professionalism high by muting slack and presenting in a demo conducive location
1. Follow up on concerns raised during the demo and/or provide links to known issues identified

### Attendees ###

Attendess are expected to:

1. Ask questions - attendee participatation is encouraged, but not required
1. Document questions/problems that arise in the meeting notes document
1. Mute yourself while not actively participating to avoid distractions
1. Be internal attendees from Distribution with other teams always welcome

Demo sessions are recorded and uploaded to YouTube GitLab Unfiltered [Distribution Demos](https://www.youtube.com/playlist?list=PL05JrBw4t0KrPasGZcEUoHHIYdUtzpfA4) and are publicly available.
