---
title: "Distribution Team Training"
description: "Distribution Team training overview and videos"
---

## Common links

* [Distribution Team Handbook](/handbook/engineering/infrastructure/core-platform/systems/distribution/)

## Purpose

The purpose of team training is to introduce the work done to the rest of the team.
It also allows the rest of the team to easily transition into new features and projects
and prepare them for maintenance. Training is public and available for everyone
wanting to get familiar with the topics.

Training should be:

* Providing a high level overview of the invested work
* Describing the main challenges encountered during development
* Explaining the possible pit-falls and specificities

Training *should not* be:

* Replacement for documentation
* Replacement for writing down progress in issues
* Replacement for follow up issues

Simply put, the training is a summation of: notes taken in issues during development,
programming challenges, high level overview of written documentation. Your team
member should be able to take over the maintenance or build on top of your feature
with less effort after they have been part of the training.

*Note* Do not shy away from being technical in your training. You can ask yourself:
What would have been useful for me when I started working on this task? What
would have helped me be more efficient?

## Efficiency of the training

In order to see whether the training is efficient, Distribution lead will rotate team
members on projects where training was done. For example, if the feature
requires regular releases, the person who gave the training will be considered
a tutor. Different team member will follow the training and documentation and
will ask the original maintainer for help. The new person responsible is now
also responsible for improving the feature. They are now also responsible of
training other team members.

## Training Listings

* DIS001 [GitLab Pivotal Cloud Foundry Tile](https://youtu.be/oo2p6WtHhG4)
* DIS002 [GitLab Terraform Module](https://youtu.be/JbbKq0UrDec)
* DIS003 [Kubernetes](https://youtu.be/Po8vUvoiMYU)
* DIS004 [Omnibus](https://youtu.be/m89NHLhTMj4)
* DIS005 [PG HA](https://youtu.be/2Uz2piFLp7k)
* DIS006 [GitLab QA project](https://youtu.be/Ym159ATYN_g)
* DIS007 [Let's Encrypt with the omnibus-gitlab package](https://youtu.be/Ac7uAED1Qzk)
* DIS008 [GitLab Helm Chart Operator](https://youtu.be/suP5vnhBYf8)
* [Contributor introduction to Omnibus-GitLab](https://www.youtube.com/watch?v=mCec7g6Ml70)

### FAQ

Q: Isn't this double work?
A: No. The training should be prepared while documenting the task.

Q: Won't this slow me down?
A: At the beginning, possibly. However, every hour of the training given will
multiple the value of it by the amount of team members.

Q: Isn't it more useful to let the team check out the docs and ask questions?
A: In an ideal world, possibly. However, everyone has a lot of tasks assigned
and they might not be able to go through the docs until they need to do something.
This might be months later and you, as a person who would give the training, might not
be able help efficiently anymore.
