---
title: "Infrastructure OKRs"
description: "Infrastructure OKRs"
canonical_path: "/handbook/engineering/infrastructure/okrs/"
---

Infrastructure & Quality objectives and KRs are captured on this page.

- KRs at the department level can be captured as OKRs for underlying sub-department or team OKRs.
- Scoring at the department level is captured on this page
- The source of truth for KRs objects is in [GitLab](https://gitlab.com/gitlab-com/gitlab-OKRs/-/issues/?sort=due_date&state=opened&label_name%5B%5D=Department%3A%3AInfrastructure%20%26%20Quality&label_name%5B%5D=OKR&label_name%5B%5D=division%3A%3AEngineering&first_page_size=20).

### FY24Q3

#### 1. **Objective:** GitLab.com Availability and all GA services at or above target SLOs => 60.5%

1. KR: [GitLab.com Availability Consistently >99.95%](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/3408) => 63%
1. KR: [Maintain & Secure critical infrastructure](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/3413) => 73%
1. KR: [Improve On-Call Engineer Experience](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/3414) => 62%
1. KR: [Proactively address causes of instability](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/3415) => 44%

#### 2. **Objective:** Improve efficiency, scalability & resiliency of GitLab.com Infrastructure => 94%

1. KR: [Implement RTO & RPO goals for GitLab.com](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/3701) => 9% `Needs attention`
1. KR: [GitLab.com hosting costs reduced by 5% from FY24-Q2](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/3400) => 144%
1. KR: [Increase accuracy of GitLab SaaS availability metrics](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/3491) => 55%
1. KR: [Ensure sufficient capacity at the cache layer to protect GitLab.com availability](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/3492) => 92%
1. KR: [Reduce the risk of downtime and deployment related incidents via Blue/Green deployments](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/3546) => 76%

#### 3. **Objective:** Deliver performant and reliable AI Infrastructure => 67.5%

1. KR: [Runway operates production services](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/3494) => 100%
1. KR: [Performance validation of AI Model Gateway for GitLab.com and GitLab plus](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/4119) => 35% `Needs attention`

#### 4. **Objective:** Increase maturity of GitLab products & expand on strategic offerings => 57%

1. KR: [Mature GitLab Dedicated](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/3495) => 65%
1. KR: [Update release process to address customer current needs](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/3497) => 75%
1. KR: [Prepare for FedRamp Security Assessment Report (SAR)](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/3498) => 25% `At risk`
1. KR: [Reduce the number of open customer bugs and check the validity of bugs older than 2 years](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/4061) => 55%
1. KR: [Improve self-managed customer experience by enhancing Reference Architecture toolkit requirements and documentation](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/3948) => 65%

#### 5. **Objective:** Improve GitLab Internal Developer Experience => 39.5%

1. KR: [Internal productivity at or above target, monolith CI stability >95% and CI duration < 40mins](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/3911) => 43%
1. KR: [VueJS3 in production and lay a foundation to update critical Frontend and Backend libraries](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/3912) => 29% `Needs attention`
1. KR: [Increase GDK maintainers and enable remote development for internal canonical projects](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/3913) => 83%
1. KR: [Enable engineers to contribute to the end-to-end test framework, capture bugs due to reliable test failures, and plan lower-level test coverage](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/4116) => 70%

#### 6. **Objective:** Great team => 45%

1. KR: Incorporate learnings from promotions process into the handbook and get ready for next round => 50%
1. KR: Nominate department team members for the Engineering Quarterly Achievers recognition program => 50%
1. KR: Unify Infrastructure & Quality department handbook and project management tools => 35% `Needs attention`

### FY24Q2

1. OKR [Support joint product goals](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/1798?iid_path=true) => 75%
   1. KR: [Switchboard in Production](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2427) => 43%
   1. KR: [Support new navigation & remote development launch](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2293) => 91%
   1. KR: [Material progress to enable remote development in monorepo](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2428) => 65% `Needs attention`
   1. KR: [Critical Infrastructure changes to support product goals](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2462) => 100%
1. OKR [Deliver competitive product offerings with AI in all we do](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/1799) => 84%
   1. KR: [Dedicated in General Availability](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2426) => 79%
   1. KR: [Create a foundation in support of rapid experimentation](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2425) => 83%
   1. KR: [Production deployment plan for AI features](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2186) => 90%
1. OKR [Reducing churn and contraction](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/1800?iid_path=true) => 84%
   1. KR: [Achieve >99.95% availability consistently in Q2 for all GA services (primary, sidekiq, CI runners and git access)](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2458) => 99% - `Needs attention`
   1. KR: [Create process to triage small fixes from Support, Quality, Sales, UX, Infra for every sprint](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2460) => 70%
   1. KR: [Implement changes to gitlab.com infrastructure to allow us to manage to RTO (2 hrs) and RPO (1 hr) in Q3](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2459) => 80%
   1. KR: [Improve GitLab.com resilience to planned and unplanned growth](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2461) => 88%
1. OKR [Make GitLab easier to do business with](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/1801?iid_path=true) => 77%
   1. KR: [Support the launch of Premium First Order renewals discounting approach and Customers with multiple billing accounts](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2463) => 80%
   1. KR: [Increase reliability of upgrade process](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2464) => 75%
   1. KR: [Define release schedule to support customer needs](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2465) => 78%
1. OKR [Continue to build a diverse team of top talent that we retain and grow](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/1802?iid_path=true) => 95%
   1. KR: [Meet FY24Q2 hiring targets](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2315) => 100%
   1. KR: [Refine the Engineering promotion process for IC levels (Staff+) to include structured cross functional feedback and allow us to remove gearing ratios without sacrificing rigor](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2466) => 80%
   1. KR: [Team member check-ins completed with a growth plan in place with a focus on ensuring business continuity throughout FY24](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2467) => 100%
   1. KR: [100% of Managers and above in Infra & Quality complete the Neurodiversity short course in LevelUp](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2468) => 100%
1. OKR [Engineering efficiency and foundations](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/1803?iid_path=true) => 71%
   1. KR: [Overall hosting costs reduced by 5% from FY24Q1 (Reliability)](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2318) => 60%
   1. KR: [Master pipeline stability > 95% and Merge Request pipeline duration < 60 mins (EngProd)](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2471) => 82%
   1. KR: [Tableau migration plan defined and KPIs migrated for Engineering](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2732) => 71%
