---
title: "The Infrastructure SaaS Platforms Hiring Process"
description: "The Infrastructure SaaS Platforms group hiring process and resources"
---

## Hiring in SaaS Platforms

Every eligible SaaS Platforms engineering team member should be qualified to conduct interviews:

* All ICs should be qualified to conduct technical interviews up to and including their level
* All ICs at senior level or above should be qualified to conduct peer interviews
* Managers at EM level or above should be qualified to conduct hiring manager interviews
* Senior Managers should be qualified to conduct Senior Leadership interviews

### Interviewer Training Process

1. An interview training issue is created for the GitLab team member by their manager using this [template](https://gitlab.com/gitlab-com/people-group/Training/-/blob/master/.gitlab/issue_templates/interview_training.md)
1. The team member completes the mandatory training identified in the training issue
1. The team member follows the steps in the `Infrastructure Platforms Team Members` [section](https://gitlab.com/gitlab-com/people-group/Training/-/blob/master/.gitlab/issue_templates/interview_training.md#infrastructure-platform-team-members) to add their details to the [Infrastructure Platforms Shadowing Page](https://gitlab.com/gitlab-com/people-group/hiring-processes/-/blob/master/Engineering/Infrastructure/Shadowing.md)
1. Hiring managers check the [Infrastructure Platforms Shadowing Page](https://gitlab.com/gitlab-com/people-group/hiring-processes/-/blob/master/Engineering/Infrastructure/Shadowing.md)  when a new kick off issue is created to ensure shadowers are included in the interview panel
1. When shadowing is complete the team member adds their details to the relevant [interviewer panel](https://gitlab.com/gitlab-com/people-group/hiring-processes/-/tree/master/Engineering/Infrastructure/Platforms) and assigns this MR to their manager to be merged.
    1. The manager should update the relevant kickoff issues.
1. The team member closes their training issue

### Hiring Manager Resources

* [Interviewer Panel](https://gitlab.com/gitlab-com/people-group/hiring-processes/-/tree/master/Engineering/Infrastructure/Platforms) is used to identify interviewers for new roles
* [Infrastructure Platforms Shadowing Page](https://gitlab.com/gitlab-com/people-group/hiring-processes/-/blob/master/Engineering/Infrastructure/Shadowing.md) is referenced when a new kick off issue is created to ensure shadowers are included in the interview panel
* [Hiring Documentation & Resources](https://gitlab.com/gitlab-com/people-group/hiring-processes/-/tree/master/Engineering/Infrastructure/Platforms) is the SSOT for Platforms hiring resources including interview templates
