---
title: "The Infrastructure SaaS Platforms OKRs"
---

## OKRs in SaaS Platforms

### Creating OKRs

 [OKRs](/handbook/company/okrs/) (or other items outside of projects) that require progress tracking should be updated **every Wednesday**.

When writing OKRs, the guidance is that:

* Objective is defined as "**What** do you want to achieve?"
* Key Results is defined as "How will you know **when** you've achieved the objective?"
* As part of a KR, you can also have a sub point - which will likely tie to an epic. This would be an "Initiative", defined as "**How** are you going to achieve your key result?"

#### Objectives

The description for an Objective should have the following format:

```markdown
### Context

<context about the Objective and the problem it is trying to solve>

### Linked Epics and Issues

<numbered list of relevant epics or issues>
```

If the description also needs other sections, these can be added after the block above.

#### Key Results

The description for an Key Result should have the following format:

```markdown
### Context

<context about how this Key Result contributes to meeting the goal of the Objective>

### Scoring Criteria

<numbered list of epics or issues with the percentage contribution>
```

### Keeping OKRs up to date

Objectives and Key Results should be updated every Wednesday.

For key results, the DRI must update the progress and the health of the key result.

For objectives, the DRI must update the health and provide a short status update.
The status update should be a one-line summary for each key result that belongs to the objective.
The progress of objectives should not be updated as this is achieved by automation.

The reason we do not have larger status updates is because we rely on the status information that is already present on the linked issues and epics.
We strive to keep the OKR process as lightweight as possible.

### OKR Retrospective

At the end of the quarter, each team should perform a retrospective on the objectives.
There is no set format for the retrospective - it can be performed in a separate issue or on the objective itself.

The result of the retrospective is to update the description field of the objective using the format below:

```markdown
### Retro

#### Good

<2-3 bullet points summarising what went well during this OKR>

#### Bad

<2-3 bullet points summarising what didn't go well during this OKR>

#### Try

<2-3 bullet points summarising what we should try to do differently next time>

```

After the Retro section is finalized, the OKR can be closed.
