---
title: "Delivery Team Training"
---

## Common links

* [Delivery Team Handbook](/handbook/engineering/infrastructure/team/delivery/)

## Purpose

The purpose of the team training is to share the work done with the rest of the team, company and public.
It also allows the rest of the team to easily transition into new features and projects
and prepare them for maintenance. Training is public and available for everyone
wanting to get familiar with the topics.

Training should either be a dedicated training session, or pairing on a task that is currently being worked on. In both cases the session should be recorded and shared on our [Youtube playlist](https://www.youtube.com/playlist?list=PL05JrBw4t0KqQh7yud-u2NSt7V4isH_vg), or at minimum learnings should be used to improve and expand our documentation.

Training should be:

* Providing a high level overview of the invested work
* Describing the main challenges encountered during development
* Explaining the possible pit-falls and specificities

Training *should not* be:

* Replacement for documentation
* Replacement for writing down progress in issues
* Replacement for follow up issues

Simply put, the training is a summation of: notes taken in issues during development,
programming challenges, high level overview of written documentation. Your team
member should be able to take over the maintenance or build on top of your feature
with less effort after they have been a part of the training.

*Note* Do not shy away from being technical in your training. You can ask yourself:
What would have been useful for me when I started working on this task? What
would have helped me be more efficient?

## Efficiency of the training

In order to see whether the training is efficient, Delivery lead will rotate team
members on projects where training was done. For example, if the feature
requires regular releases, the person who gave the training will be considered
a tutor. Different team member will follow the training and documentation and
will ask the original maintainer for help. The new person responsible is now
also responsible for improving the feature. They are now also responsible of
training other team members.

## Release Manager discussions and fire drills

Delivery team members organize monthly practice runs to share knowledge and
skills about release management topics. These sessions are focused on release processes,
fire drills and any other topic that could ramp-up the release manager knowledge between
Delivery team members.

The topics and scenarios discussed in the meeting are brought up in [Release Manager agenda](https://docs.google.com/document/d/1ttz3uNRaL5Ihp373Xgl459Fqu7wZMX4h9ROKeq_CaSY/edit)
(internal only) ahead of the meeting time and the videos are posted on the
[Release Manager discussions and fire drills playlist].

## Training Listings

* [Youtube playlist](https://www.youtube.com/playlist?list=PL05JrBw4t0KqQh7yud-u2NSt7V4isH_vg)
* [Release Manager discussions and fire drills playlist](https://www.youtube.com/playlist?list=PL05JrBw4t0KrxYqLycfvyiWpgtNApTfzx)

### FAQ

Q: Isn't this double work?
A: No. The training should be prepared while documenting the task or shortly after.

Q: Won't this slow me down?
A: At the beginning, possibly. However, every hour of the training given will
multiple the value of it by the amount of team members and people involved related projects.

Q: Isn't it more useful to let the team check out the docs and ask questions?
A: In an ideal world, possibly. However, everyone has a lot of tasks assigned
and they might not be able to go through the docs until they need to do something.
This might be months later and you, as a person who would give the training, might not
be able help efficiently anymore.
