---
title: "Runway Team"
---

## Mission

The Runway team builds and supports the Runway product, which aims to enable teams to deploy their code to staging & production quickly, safely and efficiently.

### Ownership

The team has ownership over the following areas:

#### Services

The Runway team handles issues labeled `Service::Runway`

For [services deployed to Runway](/handbook/engineering/infrastructure/platforms/tools/runway/#services-deployed-on-runway), the Runway team is responsible for building functionality for the platform, operating the platform, and maintaining the platform for service owners.

#### Production Readiness Review

The Runway team is responsible for [Production Readiness Review](/handbook/engineering/infrastructure/production/readiness/) process in collaboration with various subject matter experts. The purpose of the Runway team owning PRR is to ultimately build production-readiness criteria directly into the platform.

#### CustomersDot

The Runway team is responsible for [CustomersDot](/handbook/support/license-and-renewals/workflows/customersdot/) infrastructure support. The purpose of the Runway team owning operational support is to ultimately migrate CustomersDot into the platform ([epic](https://gitlab.com/groups/gitlab-com/gl-infra/-/epics/1207)).

## Getting Assistance

Should you require assistance from the Runway team, please reference [getting assistance in Infrastructure](/handbook/engineering/infrastructure/getting-assistance/#runway).

## Team Members

{{< team-by-manager-slug "devin" >}}

## Common Links

- [Runway Top Level Epic](https://gitlab.com/groups/gitlab-com/gl-infra/platform/runway/-/epics/14)
- [#g_runway](https://gitlab.enterprise.slack.com/archives/C07UED5CGR2) - work related discussions, external requests, etc

## How We Work

### Project Management

The Reliability team [has a single top level Epic](https://gitlab.com/groups/gitlab-com/gl-infra/platform/runway/-/epics/14) that links sub-epics for all projects the team is working on.
Every sub-epic has a completion date and a DRI for providing a weekly status update.
We follow Platforms Project Management practices as outlined in the [Handbook](/handbook/engineering/infrastructure/platforms/project-management/).

### Issues

Issues for work performed by the Runway team is located in the [Runway team issue tracker](https://gitlab.com/gitlab-com/gl-infra/platform/runway/team/-/issues/).
The exception to this is work that is part of the Rails Application, these issues should be opened in the [GitLab Rails issue tracker](https://gitlab.com/gitlab-org/gitlab/-/issues).
