---
title: "Infrastructure Technical Program Management Team"
description: "Infrastructure Technical Program Management Team drives the planning, execution, and delivery of complex infrastructure projects across Engineering and Product."
---

## Vision

Enable the delivery of quality products and Programs on time by driving team alignment, accountability, accelerating execution, and providing unbiased guidance.

## Mission

- Drive cross-functional directions and strategies.
- Identify risks, opportunities and dependencies in the engineering initiatives and organizations.
- Work cross-functionally to build solutions.
- Enable teams to make decisions via objective and sustainable frameworks.

## Roles and Responsibilities

- Infrastructure Technical Program Managers are end-to-end problem solvers.
- Infrastructure Technical Program Managers are product managers for Infrastructure internal products/platforms, in the absence of dedicated product managers. For example, GDK, Triage Ops, Dependency Management.
- Infrastructure Technical Program Managers are enablers for engineers.

### What do we do?

- Develop viable plans for complex programs and align stakeholders.
- Orchestrate the execution of projects across cross-functional teams by managing dependencies and collaboration across projects/teams and creating a framework for teams to work together.
- Plan and implement communication plans to provide unbiased regular program updates to all stakeholders, surface risks, and drive course correction.
- Align priorities and timelines for ownership areas with Company/Department goals.
- Create self-serve tools and processes to scale program planning, execution, and reporting.
- Manage cross-functional partnerships (e.g., PM, Eng, SRE) cross Infrastructure and GitLab.
- Manage the internal infrastructure roadmap and interaction with internal customers.
- Provide temporary leadership for Engineering teams - in times of transition.
- Drive operations: process improvements, OKR planning, program reviews, compliance, bug SLO, etc.
- Hold regular retrospectives on what processes work well across the organization and look to normalize and support adoption across groups to increase productivity and decrease cognitive overhead.

### What do we NOT do?

- Take over EM's role and responsibilities in managing engineering resources and engineering deliveries
- Facilitate team's execution without influence
- Be a "catch-all" - TPMs are not the default owners for everything the Team is not going to do

### What are some of the guidelines to work with us?

- Get us involved as early as possible: strategy discussions, summits, PRD and Design reviews.  The more we know, the more we can help.
- We can provide guidance on programs, processes and team structure.  Beyond numbers and status reports, we have a good idea of what is happening on the ground.  We also have a wealth of experience running diverse programs and have seen many success/failure patterns.
- We have limited bandwidth and therefore can take on a limited number of programs.  We will work with you to make sure we tackle the highest business priorities.  Tradeoffs may be required.
- Don't pull us in too late.  It is not reasonable to ask your TPM to make the launch happen when they have not been part of the planning process.
- Self-serve is a good option in some cases.  When we cannot provide TPM support, we will offer suggestions for how you can take the initiative forward on yourself - with some oversight from us.

## Team

### Members

{{< team-by-manager-role "Director, Infrastructure Technical Program Management" >}}

## Projects

The TPM team drives complex cross functional programs at GitLab. The list below contains programs run by Infrastructure TPM team, ordered based on aligned priorities.

 | Program  | TPM |
| -------  | ----- |
| [Cells](https://docs.gitlab.com/ee/architecture/blueprints/cells/) | Ethan Guo |
| [Engineering Productivity](/handbook/engineering/infrastructure/engineering-productivity/#projects) | Ethan Guo |
| [Disaster Recovery](https://gitlab-com.gitlab.io/-/content-sites/internal-handbook/-/jobs/6193598265/artifacts/public/handbook/engineering/disaster-recovery.html) | Ethan Guo|
