---
title: "Engineering Management Career Development"
description: "Career development information and process to follow for Engineering Managers at GitLab."
---

Outside of [hiring](/handbook/engineering/management/hiring/), the best way to improve the strengths of your team
is to practice career development coaching with your developers. Not all team members will want to become Staff Developers or Managers. Instead, identifying their individual career goals and proactively working towards those goal is the most effective way to help team members improve and have ownership over their careers. In addition to the company-wide notes on [career mapping and development](/handbook/people-group/learning-and-development/career-development/#career-mapping-and-development),
here are some important considerations for the Engineering team:

- **Technical or Professional Leadership?** This is the first section on our
  [career development page](/handbook/engineering/careers/#individual-contribution-vs-management)
  for a reason. For Senior Developers, this is the most important question to
  ask about their career goals, as it will determine where they go next. For
  anyone who hasn't yet made Senior, this is less important - they need to
  make Senior first - but it's always a good idea to start talking about this
  fork in our career paths.
- **Assess together.** Once you know where your Developer wants to go with their
  careers, it's time to assess their strengths and weaknesses for the position.
  This is best done by reviewing the [responsibilities and requirements](/job-families/engineering/backend-engineer/) of the job they're
  interested in. If you both assess it separately, you can compare and contrast
  your results.
- **Create a behavior-based plan.** Once you understand the Developer's
  strengths and weaknesses, help them understand how they can improve by
  focusing on behaviors they can change. Be careful to avoid tasks like "run
  this meeting" or "complete this project," and be careful to avoid personality
  traits like "be less angry" or "be more assertive." "When you realize you're
  in an argument, take a breath and figure out how to move forward
  constructively" is an example of a good behavioral action.
- **Delegate and give feedback.** When you are in agreement about the behavioral
  action plan, start looking for opportunities to delegate appropriate tasks to
  the Developer. A Senior looking to move to Staff may benefit from taking some
  architectural conversations off of your plate, while one looking for a Manager
  job will learn a lot from tackling some project management initiatives.
- **Keep the plan updated.** It's important to remember that this is a coaching
  plan, _not_ a promotion plan. There is never any guarantee that the plan you
  created will result in a promotion if the Developer "checks all the boxes,"
  and you should feel free to add to or remove from the plan as they grow and
  you learn more about them. If and when you feel that they are ready for
  promotion, please follow the [normal promotion process](/handbook/people-group/promotions-transfers/).
