---
title: "Engineering Management Project Management"
description: "Project Management information and process to follow for Engineering Managers at GitLab."
---

[Product](/handbook/product/) is responsible for guiding the direction of our
product, and [technical leaders](../#how-engineering-management-works-at-gitlab)
are responsible for guiding the technical architecture to meet those
requirements. Engineering Managers [should participate in both of those conversations](/handbook/product-development-flow/#build-phase-1-plan).
In concert with those conversations,  Engineering Managers primary responsibility lies in project management:
making sure their team is best positioned to meet both goals as effectively and
efficiently as possible.

- **Capacity tracking/planning** - while heavy methods of estimation don't fit
  well with our approach to work, it's your responsibility to keep an eye on the
  capacity of your team. This allows you to predict capacity, which helps with
  product planning, and also detect problems earlier if an important schedule is
  likely to slip.
- **Collaboration with stakeholders** - in addition to Product Managers and
  members of your team, you are the primary point of contact for any other
  stakeholders for the work your team is doing. You should expect to spend time
  communicating clearly and thoroughly about the state of your ongoing projects.
- **Be aware of your team's status.** Change can happen quickly - the more you
  know about what your team is working on and how it's going, the better you'll
  be able to make the best decisions.
- **Balance engineering initiatives** - make time for [engineering-led initiatives](/handbook/engineering/#engineering-led-initiatives) balanced
  against product's needs for your team. You should also consider your team
  members' extra responsibilities such as project maintainerships or their
  involvements in other company wide projects.
