---
title: Engineering Mentorship
---

## Mentorship, Coaching and Engineering Programs

### Line Managers and Senior Individual Contributors

The [PlatoHQ Program](/handbook/engineering/plato/) has a total of 10 Engineering Managers/Senior IC's participating. The program exists of both self-learning via an online portal and 1-1 sessions with a mentor.

### Senior Leaders in Engineering

The 7CTOs Program is run with 4 Senior leaders in Engineering. The program exists of peer mentoring sessions (forums) and effective network building.

### CTO customer executive sponsor shadow

The CTO is an [executive sponsor](/handbook/sales/field-operations/gtm-resources/#executive-account-sponsorship-program) for selected customers.

A shadow program is available to everyone in engineering (especially senior leaders) in order to have an opportunity to observe and participate in one of the executive sponsor meetings. Doing so can be a great way to hear directly from customers about what they like about GitLab and about what we can improve. (This program is similar in some ways to the [CEO Shadow Program](/handbook/ceo/shadow/).

If you choose to be a shadow, your responsibilities will be:

- Read the notes for the meeting in advance
- Load the conferencing program in advance that will be used in the meeting (as not all customers use Zoom)
- Research topics that may of interest to the customer, as requested by the CTO in advance of the meeting
- Introduce yourself in the meeting as the shadow for the CTO
- Help to take notes during the meeting
- Answer any questions that you may get during the meeting (based on your experiences)
- Help to follow-up on some of the action items resulting from the meeting (as requested by the CTO)
- After the meeting, provide feedback to the CTO
- Note that there can be a maximum of two shadows in one meeting

To request to be a shadow: Post a message in the #cto Slack channel, indicate your timezone, and CC the CTO's EBA Kristie Thomas.

### How to find a mentor or become a mentor at GitLab

There is a program to find a mentor or to become a mentor at GitLab described on [this handbook page](/handbook/people-group/learning-and-development/mentor/).

### Learning the customer experience

Engineers can gain significant insight from observing customers while they use the portions of the product that those engineers develop. Engineers interested in doing this should contact their team's [assigned UX Researcher](/handbook/product/categories/) to get involved with upcoming customer sessions and access previously recorded sessions.

If a team does not have a UX Researcher assigned, they should reach out on the `#research` Slack channel to express interest. A UX Researcher can jump in and set them up to observe a participant session.

If there is a specific request to shadow a customer as they use the product, this should be coordinated through the team's [assigned Product Manager](/handbook/product/categories/).
