---
title: "Amy Shiel README"
description: "Personal readme page for Amy Shiel, Engineering Manager, GitLab"
job: "Engineering Manager"
---

## Why create a README?

This page is intended to help others understand what it might be like to work with me, especially people who haven't worked with me before.

It's also a well-intentioned effort at building some trust by being intentionally vulnerable, and to share my ideas of a good working relationship to reduce the anxiety of people who might be on my team.

Please feel free to contribute to this page by opening a merge request.

## About me

Hi there. My current role is Engineering Manager on the Switchboard Team. We are part of the Dedicated Group in Infrastructure. I am based in [Wexford](https://www.google.com/maps/place/Rathrolan,+Coddstown,+Co.+Wexford/@52.1746812,-6.5276051,11.55z/data=!4m15!1m8!3m7!1s0x486818d03f73ed71:0xe152163313858141!2sRathrolan,+Coddstown,+Co.+Wexford!3b1!8m2!3d52.21915!4d-6.43845!16s%2Fg%2F119vqzwnh!3m5!1s0x486818d03f73ed71:0xe152163313858141!8m2!3d52.21915!4d-6.43845!16s%2Fg%2F119vqzwnh), Ireland. I studied Computer Science & Software Engineering at Maynooth University and spent the next decade as a back-end developer. I then moved into Engineering Management and enjoy empowering engineers to solve difficult problems in a sustainable way. I joined GitLab and the Switchboard team in March 2023. My hobbies include pottery, hanging out with my dog, beekeeping, looking after my chickens, visiting new places and generally being outdoors.

## How you can help me

- **Feedback**
  - I love receiving feedback using the [Situation - Behavior - Impact Model (SBI)](/handbook/people-group/guidance-on-feedback/#s-b-i-model) but all feedback is greatly appreciated particularly in relation to async working style. GitLab is my first experience of working in an async fashion and feedback will accelerate my learning
- **Inclusion**
  - I appreciate context sharing and inclusion so please cc me / invite me / @ me where you think I should be included particularly when it involves Switchboard, Dedicated or Infrastructure

## My working style

- **Direct Communication**
  - I value direct communication and feedback. I adopt the principle of [Short Toes](/teamops/everyone-contributes/#short-toes) and expect others to provide feedback where appropriate.
- **Relator**
  - My prominent Gallup Strength is [Relator](https://www.gallup.com/cliftonstrengths/en/252311/relator-theme.aspx). I enjoy building genuine relationships and working closely with others to achieve outcomes. I am most productive when I understand team members' strengths and can set them up for success.
- **Assume Good Intent**
  - We are all working together to achieve outcomes and I assume that each team member does the best they can with the skills and information they have at the time.
- **Technical Knowledge & Understanding**
  - As an engineer that moved into Engineering Management I constantly try to identify how much technical knowledge and understanding is necessary for me to empower the team to solve problems. Sometimes I struggle with this balance. My goal is always to empower the team to grow and solve problems while simultaneously providing guide-rails to keep them on the right track.

## Related pages

[LinkedIn](https://www.linkedin.com/in/amyshiel/)

[GitLab](https://gitlab.com/ashiel)
