---
title: "Angela Piotrowski's README"
job: "Support Engineering Manager"
description: Personal readme page for Angela Piotrowski, Support Engineering Manager, GitLab"
---

Combo of Support Engineering Handbook "[Getting to know you](/handbook/support/managers/getting-to-know-you/)" and Manager README (strongly inspired by "https://handbook.gitlab.com/handbook/engineering/readmes/mike-dunninger/")

### **My Role and Responsibilities**

**As your manager, I will do all I can to make it possible for you to succeed professionally. That means I will strive to do at least the following…**

- Provide you with the tools to do your job
- Coach and mentor you in career development and goal setting
- Bring you information from the rest of GitLab
- Shield you from outside pressures
- Set clear expectations for you & give clear feedback
- Be available for you to lean on me
- Give you many opportunities to stand on your own two feet

### **I Expect…**

- honesty, integrity and professionalism
- that you share and will act in accordance with [GitLab's Values](/handbook/values/)
- understanding of GitLab's business and goals
- ownership – of your career, of your actions
- teamwork – support each other
- Do your fair share of work
- Ask for help, and be available to help
- Be reliable and timely
- creative thinking
- adherence to team and company policies & processes
- respect for each other, our company, and our customers

### **I Believe…**

- in the individual
- in the team
- in the customer
- in doing what's right
- that communication is key
- in work-life balance
- that a manager or leader only succeeds, when those on their team succeed. I will strive to assist you in achieving your definition of success.
- that customer support and service are extremely advanced engineering practices due to the blend of technical and soft skill requirements, and that achieving this balance is what makes Support Engineering so special

### **Working with Me**

- Need something from me? Just contact me on Slack, email, or put some time on my calendar.
- I appreciate when people get to the point quickly instead of working around to it slowly. It's not that I'm in a hurry; I just like to get to the heart of the matter.
- I appreciate direct communication and feedback, even when it's negative or potentially difficult. If I don't know what is wrong (with our relationship, with a customer, with a process, etc) I cannot assist in correcting it.
- Similarly, I tend to be pretty direct and straightforward. If it's too much for you, please just let me know and I'll do my best to adjust.
- I seek useful, beneficial change - pretty much never change for the sake of change, and encourage thinking outside of the box. Just because something was always done some way, doesn't mean it needs to continue to be so.
- I want to be the most helpful, useful, supportive manager I can be for each person on my team. So please tell me:
- what I'm doing well, and should therefore keep doing
- what I can do better
- what I should start doing
- what I should stop doing
- I try very hard to write or say exactly what I mean, with no hidden agenda or secrets. If there's information you want but that I can't give you, I'll let you know. I won't make stuff up, and I won't make you guess. So you shouldn't need to read between the lines.

### **Personal Background & Interests**

#### Childhood

**Where did you grow up?**

I grew up in a very small dairy farming town (population 2000) in Minnesota, US.

 **Please tell me about growing up with your siblings, parents, and others**

I have one younger sister, and lived with her and my parents until moving away from home at 18 for school.

#### Education

**Where did you go? What did you study?**

I started college at the age of 16 at Rochester Community and Technical College in Minnesota, just getting my general education (A.A. in Liberal Arts) concurrently with finishing high school.

I completed a B.S. in Biomedical Science with a focus in Nutrition from the National University of Health Science in Lombard, IL.

I completed a M.S. in Biotechnology and Chemical Science with a focus in Biochemistry from Roosevelt University in Chicago IL (Schaumburg campus)

#### Current Situation

**Where (actual location) are you now and how did you get there?**

I live in Lockhart TX, in a small house with 10 acres of countryside around us. We knew after I finished grad school that we wanted to leave IL, so we continued moving South and found ourselves very happy in central Texas.

**Do you have family of your own? Tell me about them.**

I have been happily married to my husband since 2012, and we are looking to welcome our first child into the world in Dec 2022. Otherwise we live with our super geriatric (18 as of writing this) cat that has been with me since high school.

#### Fun

**Hobbies? Interests? Activities? Passions?**

- I love to make things:
  - Knitting, Crochet, Weaving, Spinning Yarn, Dying
  - Cross Stitch, Embroidery, Sewing, Quilting
  - Woodworking, Whittling
  - 3D printing
  - Baking, Cooking, Gardening
- And video games (in no particular order):
  - Red Dead Redemption 2, Skyrim, Fallout 4, Stardew Valley, Graveyard Keeper, Rimworld, Don't Starve, Portal

#### **Professional Background & Interests**

**What did you do before GitLab?**

Immediately prior to GitLab I was a Support Engineering Manager at Canonical (Ubuntu). Prior to that I was an editor for Biochemistry textbooks, and a molecular biology researcher.

**What brought you here?**

A well timed recruiter. In addition to loving the transparent and detailed handbook and hiring process.

**What is your dream career?**

Not certain that I have one any more. I enjoy roles where I am continuously learning, and I enjoy problem solving and organization challenges.

**What do you love to do at work?**

I have a love of spreadsheets and organizational tools. If I can clarify and optimize processes then I'm a happy camper.

**What do you "prefer not to do?"**

I prefer not to spend my days in meetings. The occasional or required meeting is wonderful, efficient, and a great use of time, and can be great to break up the day, coffee chats are fun, but having 6-8 hour blocks of meetings every day is not my definition of a good time.
