---
title: "Ben King's README"
description: "README for Ben King (Support Engineer (APAC))"
job: "Support Engineer (APAC)"
---

## Ben's README

This README is designed to give you a bit of background information on me.

## Related links

- [GitLab profile](https://gitlab.com/benjaminking)

## About me

Hi! I started with GitLab in December, 2021 as a [Support Engineer](/job-families/engineering/support-engineer/) for the APAC region.
I live near [Sydney, Australia](https://en.wikipedia.org/wiki/Sydney) 🇦🇺  and my primary operating hours are [8 AM to 4 PM (Australian Eastern)](https://www.timeanddate.com/worldclock/australia/sydney).

## Coffee Chat topics

If you're reading this, you might be trying to find things we can talk about for a [coffee chat](/handbook/company/culture/all-remote/informal-communication/#coffee-chats) or 1:1.

Here's a bunch of topics I'll be happy to talk about:

### Games

- 🎲 Board Games. My favourites at the moment are [Catan](https://boardgamegeek.com/boardgame/13/catan), [Ticket to Ride](https://boardgamegeek.com/boardgame/9209/ticket-ride) and [Pandemic](https://boardgamegeek.com/boardgame/30549/pandemic).
- 🎮 Video Games. I'm a fan of RPG and/or Strategy games, like  [Surviving Mars](https://store.steampowered.com/app/464920/Surviving_Mars/), the [Fallout series](https://en.wikipedia.org/wiki/Fallout_(series)), and usually anything made by [Obsidian Entertainment](https://en.wikipedia.org/wiki/Obsidian_Entertainment).
- 🏰 Tabletop Games. I have an ever-expanding collection of TTRPG books, including [GURPS](https://www.sjgames.com/gurps/), [Traveller (Mongoose 2nd Edition)](https://www.mongoosepublishing.com/rpgs/new-traveller.html), [D&D 5th Edition](https://www.dndbeyond.com/), [Cyberpunk 2020 & Red](https://rtalsoriangames.com/cyberpunk/), [Shadowrun](https://www.shadowruntabletop.com/) and the [Fallout TTRPG](https://modiphius.net/pages/fallout-the-roleplaying-game).

### Books

Favourites include:

- [Foundation Trilogy](https://www.goodreads.com/book/show/46654.The_Foundation_Trilogy) by Isaac Asimov, and the entire *Robot* series.
- [Mars Trilogy](https://en.wikipedia.org/wiki/Mars_trilogy) by Kim Stanley Robinson
- [Hyperion Cantos](https://en.wikipedia.org/wiki/Hyperion_Cantos) by Dan Simmons.

### Places

These are some places I've visited that I am always keen to talk about:

- [Pittsburgh, Pennsylvania, USA](https://en.wikipedia.org/wiki/Pittsburgh)
- [Shanghai, China](https://en.wikipedia.org/wiki/Shanghai)
- [Blue Mountains, NSW, Australia](https://en.wikipedia.org/wiki/Blue_Mountains_(New_South_Wales))

## My working style

I like to work from the early A.M. (my time) which overlaps with part of the AMER region. If you are in AMER, we should chat in your afternoon!

I have a tendency to "dive-in" head first into a ticket, even if I am not sure how it will be resolved. I like to learn as I go as hands-on is the best way for me to develop skills. If you want to pair, we should aim for tickets that we might both be unfamiliar with.

## How to communicate

I keep Slack and Email open all-day, so I encourage you to reach out to me with whatever suits you for async communication. If we have too much back-and-forth via messaging we should switch to a Zoom call to speed things up.

## Weaknesses

I come from a bare-metal, server hosting industry. This means a lot of my experience comes from investigating physical hardware and networking faults. With this, my application-layer knowledge is still developing, especially when it comes to high-availability, kubernetes, databases, and external cloud providers.

## Strengths

I have experience with a variety of networking concepts, particularly lower levels of the OSI model. When in doubt, remember: [It was DNS](https://www.reddit.com/r/sysadmin/comments/4oj7pv/network_solutions_haiku/d4czk91/?context=3). I enjoy the idea of "Self-Hosting" so I use docker to run a variety of services at home, running things like NextCloud, Pi-Hole and of course GitLab!

## WFH Setup

| Item | Brand |
| ------ | ------ |
| Web Camera | [Logitech C920 HD PRO WEBCAM](https://www.logitech.com/en-au/products/webcams/c920-pro-hd-webcam.960-000770.html) |
| Microphone | [Audio-Technica AT2005USB](https://www.audio-technica.com/en-us/at2005usb) |
| Chair | [AK Racing K7](https://ak-racing.com.au/products/akracing-k7012-gaming-chair-black-blue) |
| Monitor | [Kogan 34" 144Hz Ultrawide](https://www.kogan.com/au/buy/kogan-34-wqhd-curved-219-ultrawide-144hz-hdr-gaming-monitor-3440-x-1440/) |
| Headphones | [Sony Noise Cancelling WH1000XM4](https://www.sony.com.au/electronics/headband-headphones/wh-1000xm4) |
