---
title: "Emily Chang's README"
description: "Personal README page for Emily Chang - Support Engineer (APAC)"
job: "Support Engineer (APAC)"
---

## Emily Chang's README

**Emily Chang - Support Engineer (APAC)** This page is intended to help others understand what it might be like to work with me, especially people who haven't worked with me before.

It's also a well-intentioned effort at building some trust by being intentionally vulnerable, and to share my ideas of a good working relationship to reduce the anxiety of people who might be on my team.

Please feel free to contribute to this page by opening a merge request.

## 👤 Related pages

- [My GitLab profile: @emchang](https://gitlab.com/emchang)
- Slack handle: `@emchang`
- [My Curriculum Vitae](https://emchang.gitlab.io/)
- Feel free to schedule a ☕ chat with me via [Calendly](https://calendly.com/emchang/coffeechat)

## 💜 About me

I go by the name "Em" or "Emily" and I live 20 minutes away from the bustling city of Kuala Lumpur, Malaysia. I'm very fond of travelling, I love subway maps and I take pride in using public transportation as much as possible. Lately, I'm trying to pick up drawing with brush pens and am learning the Korean language.

The [GitLab value](/handbook/values/) that resonates with me the most is [🤝 Collaboration](/handbook/values/#collaboration) - although [it's impossible to know everything](/handbook/values/#its-impossible-to-know-everything), I believe we can always learn from each other!

## 🤝 How you can help me

- English is not my first language, sometimes I have trouble finding the equivalent English word, so please bear with me, and seek clarifications if needed. In Malaysia, we follow the British English, so the spelling of some words may differ.
- I agree with [Negative feedback is 1-1](/handbook/values/#negative-feedback-is-1-1), my DM is always open to any corrections, please do not feel shy to [provide feedfback](/handbook/values/#give-feedback-effectively) - good or bad. I'm always eager to learn and improve myself.
- I prefer to have a meeting agenda/outline prior to the call so I know roughly what to expect. Not knowing what to expect may sometimes give me stress.

## 💼 My working style

- I love asking "Why?" because I prefer to understand the goal and expectations before taking on a task, it's a huge motivation for me if I am aware of the impact.
- I work well with clear instructions and due dates, as it helps me to prioritise my tasks.
- I have an eye for detail, I'm not exactly a perfectionist, but I like to double-check before sending. It bugs me when there is a spelling error/grammatical mistake.

## 🤔 What I assume about others

- We both want the best, I'm a huge believer in win-win situations, and I'm willing to compromise.
- If something is wrong, you are comfortable to let me know. If no one says anything, I will assume you are okay with it.

## 💬 Communicating with me

- My typical working hours is around [9AM GMT+8](https://www.timeanddate.com/worldclock/converter.html?iso=20210729T010000&p1=122) (1AM UTC) to [5PM GMT+8](https://www.timeanddate.com/worldclock/converter.html?iso=20210729T090000&p1=122) (9AM UTC). I'm okay with meeting outside my working hours but I prefer having late meeting rather than waking up early for one.
- I prefer having meetings on Tuesdays, Wednesdays and Thursdays either in the morning or afternoon, I tend to get a bit sleepy right after lunch so please avoid arranging meetings right after my lunch (I have set lunch times in my Google Calendar).
- I practise [Focus Fridays](/handbook/communication/#focus-fridays) where I typically spend the morning replying to my assigned tickets and work on non-ticket work like learning and writing my [Weekly Logs](https://gitlab.com/emchang/open-notebook/-/issues?scope=all&state=all&label_name[]=Weekly%20Log%20%F0%9F%93%9D) in the afternoon.
- I use GitLab To-Do regularly, feel free to ping me on merge requests (MR) or issues.
- I check my Slack and e-mail throughout my working day. Please note that I have desktop notifications turned off when I'm in a meeting. I have phone notifications turn on for the days I am on-call.
- Slack Channels I visit very often: `#support_gitlab-com`, `#support_self-managed`, `#support_team-chat`, `#support_watercooler`, `#apac`, `#women`, `#allcaps`, `#diversity_inclusion_and_belonging`

## 💪 Strengths

- I consider myself as a creative person, I am not afraid to think out of the box.
- I am friendly and am always happy to lend a pair of listening ears. Please drop me a message if you need someone to talk to or there is anything I can assist with.

## 👎 Weaknesses

- Sometimes, I can be overly optimistic, thus unrealistic. I tend to look for the bright side of things, but I know that it is also good to be prepared for the worst. Please remind me if you've noticed this and is affecting my work!

## 🏡 My Remote Work Setup

| Item | Brand |
| ------ | ------ |
| [Height-adjustable Desk](/handbook/company/culture/all-remote/workspace/#desks) | [Flexispot Electric Height Adjustable Standing Desk](https://www.igreen.my/products/Flexispot-ergonomic-sit-stand-standing-desk-malaysia/malaysia-3-stage-dual-motor-height-adjustable-standing-desk-table) |
| [Ergonomic Chair](/handbook/company/culture/all-remote/workspace/#chairs) | [Leap Chair](https://store.steelcase.com/seating/office-chairs/leap) |
| [Headphones](/handbook/company/culture/all-remote/workspace/#headphones) | [HyperX Cloud Alpha headset](https://www.soundguys.com/hyperx-cloud-alpha-gaming-headset-review-23223/) |
| [External Monitors](/handbook/company/culture/all-remote/workspace/#monitors) | Two [24" Samsung CF390 Curved LED Monitor](https://www.samsung.com/us/computing/monitors/led/samsung-24-curved-led-monitor-lc24f390fhnxza/) |
| Dual Monitor Arm | [North Bayou F160](https://shopee.com.my/-New-Version-9KG-NB-North-Bayou-F160-17-to-27-Inch-Gas-Strut-Dual-Monitor-Desktop-Arm-Desk-Mount-i.79342221.2408869965) |
| [Keyboard](/handbook/company/culture/all-remote/workspace/#external-keyboard-and-mouse) | [Keychron K2v2](https://www.keychron.com/products/keychron-k2-wireless-mechanical-keyboard) |
| [Mouse](/handbook/company/culture/all-remote/workspace/#external-keyboard-and-mouse) | [Logitech MX Master 3](https://www.logitech.com/en-my/products/mice/mx-master-3.910-005698.html) |
| Laptop Stand | [Olmaster Laptop Stand](https://www.amazon.com/Muti-Angle-Adjustable-Heat-Vent-Ergonomic-Compatible/dp/B081YHNXZ5) |
| [Webcam](/handbook/company/culture/all-remote/workspace/#webcams) | [Logitech C920](https://support.logi.com/hc/en-us/articles/360024326953-Getting-started-HD-Pro-Webcam-C920) |
| USB C Hub | [Ugreen 10 in 1 USB C Hub](https://www.ugreen.com/products/10-in-1-usb-c-hub) |
