---
title: "Jane Gianoutsos' README"
description: "Personal readme page for Jane Gianoutsos, Support Engineering Manager, GitLab"
job: "Manager, Support Engineering (APAC)"
---

## Jane G's README

 👣 [Everything is in draft](/handbook/values/#everything-is-in-draft) - that includes this!  I welcome all feedback! You are very welcome to contribute to this page by opening a merge request.*

**Jane Gianoutsos - Manager, Support Engineering (APAC)** This page is intended to help others understand what it might be like to work with me, especially people who haven't worked with me before.

You'll find as you read this I've made a clear decision to be very intentionally vulnerable.  Trust is earned, and I hope to offer you in this a basis for why you might trust me, and to share my ideas of a good working relationship to reduce the anxiety of people who might be on my team.  Come as you are, I take you as you come and hope you will do the same for me.

## About me

I live in Auckland, New Zealand, with my husband, and the pleasure of myriad native New Zealand birds in our neighbourhood.

As a kid I dreamt of working at NASA and as a teenager decided this meant becoming an astrophysicist. An uninspiring physics teacher and a revelation about how many years of study that would take put me off. An inspiring lecturer at university set me on the path of IT, and it feels like home. I love people and their stories and how they've journeyed to where they are and where they'll find themselves in their future.  I sometimes ponder doing an anthropology degree.

I'm a serial hobby-ist who loves learning new skills, but once it starts getting expensive (either financially or time-wise) to continue to learn, I tend to move to the next hobby.  See the [final section](#more-about-hobbies) if you want to know more!

## About transparency

I wear my heart on my sleeve, I'm very honest about what I struggle with, and I struggle to be generous with myself about what I'm good (or great!) at.  Meanwhile, I love to encourage others - I'm passionate about the power of words and their impact on us. It's often in encouraging others that I notice I need to pause and take my own advise - thank you for any opportunity for that!

Sometimes people think my face says things that I'm not intending! If I look focused and overly serious in a concerning way, and you're wondering why, please ask, it's most likely that I'm trying (and failing) to multitask, or I'm wrestling with some insistent thought going through my mind.

## About things I'm passionate about

Honoring my opening statement, this is a rough start at expressing my passion for creating and holding space where all people can thrive.  I have a disregulated nervous system and a disability. I am incredibly passionate about neurodiversity and identity and accessibility and belonging.  I welcome chatting and learning together.

## About working together

- What's going on in your life doesn't stop just because you're at work. Please don't feel you can't talk about something because it's 'not work related'. Life is messy, let's work together to make it a little easier.
- I deeply respect your dignity and I count it a privilege that I get to do a little bit of life with you.
- I'm very at ease with emotion, I don't attach shame to tears, some things just need that release, it's incredibly healthy and part of being fully human.
- I'm here to help - I won't always have the answers and I don't expect myself to (just as I don't expect that of you), but even if it feels off-topic, please reach out.

## What I assume about others

- honesty - I'll take you at your word
- a desire to contribute
- [positive intent](/handbook/values/#assume-positive-intent)
- you've got more going on than I know about or than you perhaps realise yourself

You can assume the same about me in all instances.

## About Communicating with me

- I'm usually online around 9:30am NZT, but I tend to avoid meetings for the first 30 minutes to give me time to be a bit more human and clear out overnight messages. I am still available at this time.
- For my mental well-being, I seek to finish work by 6pm local time (NZT) to give myself time for family and relaxation. Sometimes this isn't possible due to on-call responsibilities which finish at 8pm or 9pm depending on time of year, but I limit my work activity to those oncall needs after 6pm on those days.
- I don't like being expected to read between the lines, and I don't expect you to either. Please be as open and direct as you feel comfortable being and if you're struggling with that, let me know and we can work it out together.

---

As promised above!

## More about hobbies

Recent hobbies have included:

- [speedpuzzling!](https://themissingpiecepuzzle.com/blogs/jigsaw-puzzle-talk/unleashing-the-thrill-of-speed-puzzling-a-puzzle-revolution) I had no idea how much I'd enjoy this.  I'm actually not very fast but I love it anyway.
- needlefelting fanciful forest critters (no photos yet)
- [calligraphy](https://www.instagram.com/p/BkNIQCjlXBc/),
- book-binding,
- [zentangle](https://www.instagram.com/p/BwBNKd3hidH/).
- boardgames!
- Dr Who
- Star Trek
- Reading - fairly eclectic taste, but for escapism: sci-fi and a bit of fantasy

Further back hobbies included [crochet](https://www.flickr.com/photos/unplain-jane/albums/72157608410004917), [sewing](https://www.flickr.com/photos/unplain-jane/albums/72157622880198139), [New Zealand Sign Language](https://www.nzsl.nz/) (sadly I've forgotten most of what I learnt),  [photography](https://www.flickr.com/photos/unplain-jane/albums/72157616370056642), fermented foods ([sauerkraut](https://www.instagram.com/p/B4EjBRdhSFc/), [sourdough](https://www.instagram.com/p/B8ahzBZpihR/) bread, kombucha, kefir water, [pickles](https://www.instagram.com/p/B4JopFphgmm/)), [water color painting](https://www.instagram.com/p/BkZySmClad2/), acrylic painting,

A long while ago I did a [series of blog posts](https://nztebs.blogspot.com/search/label/Open%20Office%20Writer) on getting comfortable with using Open Office Write and a bit of OO Calc.

Way back hobbies included horse-riding, singing, playing guitar, Hamilton Community Gospel Choir, softball, Girl Guides (yep, that far back!)
