---
title: "Juan Silva's README"
description: "Personal readme page for Juan Silva, Fullstack Engineering Manager - Geo, GitLab"
job: "Fullstack Engineering Manager - Geo"
---

## Juan Silva @ GitLab

(a.k.a my Manager README Doc)

I am looking forward to meeting you in person or virtually, but in the meantime, here is me in a nutshell. I hope this introduction helps to give you a sense of where I come from, how I think and what it is like to work with me.

I hope direct reports, peers and managers will find this content equally useful. But since everyone can contribute, feel free to submit a MR if you find anything to be inaccurate or [ping me](mailto:jsilva@gitlab.com) if there is something else you would like me to add here.

## A bit about me

I am originally from Mexico. I came to Canada in 2007 with my family to study at OttawaU, and we decided to stay.  I know what you are thinking, a bit of a weird migration pattern for me going north weather-wise, but we genuinely love Canada, and we are delighted raising our daughters here.

You can read about my professional career history [here](https://www.linkedin.com/in/silvajuan/).

I am an introvert, and I have been told by long time friends that they thought I was angry when they met me for the first time. I can have a stern expression, but I am friendly, I promise!. I would be happy to hear about your life if you want to share it with me, but I don't expect anyone to do so.

I am also a very analytical person. I love to explore ideas and listen to other people's opinions. Still, I will also constantly challenge assumptions seeking for a better outcome (even my own thoughts). If this happens, please don't think it is personal; I was raised by a father that always encouraged critical thinking and debate between my siblings and me.

I value commitment and pride in doing good work. I am driven by constant learning and have an affinity for others who are too. I always have a positive can-do attitude until I am proven wrong. I always encourage team effort, constructive criticism and open-mindedness in my team.

### Learn more

- [LinkedIn](https://www.linkedin.com/in/silvajuan/)
- [GitLab Team Profile](/handbook/company/team/#juan-silva)
- [GitLab User](https://gitlab.com/juan-silva)
- [Twitter](https://twitter.com/mexicoder)

## My role

I joined the GitLab team as **Fullstack Engineering Manager, Geo**. In this capacity, I am primarily responsible for the well-being and performance of the Geo Team members. For this, I draw from my strong technical background and my previous experience managing high performance teams to provide an environment of psychological safety where best ideas win and everyone can contribute.

I firmly believe that the best way to lead is to help people do their jobs in the best way they can. No one knows better how to do your job than you do. I am here for you whether you need to bounce off ideas, get advice, remove blockers or just chat about technology trends. I want you to advance and develop professionally as well, so you can be in a better position to help GitLab and the Geo product move forward too.

## Communication

To me, communication is vital. I will make it a priority to keep team members informed about strategic plans and objectives, so they can do their job with the necessary context. I will also spread the word about what my team is working on and engage in collaboration with other teams to make sure we feed on each other's progress.

**Chat Anytime**

I am also open to talking at any time. You can ping me any time, either through synchronous tools like Slack or asynchronously via email or commenting in issues and MRs. I am always happy to start a Zoom call when we need to expedite our conversation and make decisions quicker.

**Meetings**

In terms of meetings, I like blocking time in my calendar to do my own tasks, so feel free to book me anywhere you see a spot open.

My preference is to have back to back meetings and not have small slots of times in-between. I always provide an agenda for the meeting, and I encourage you to always do the same.

**1-1**

If you are a member of my team, we will have plenty of opportunities to discuss work and anything else. I like to have semi-structured 1-1's regularly (probably as often as weekly at the beginning). This is your time, and we can discuss any matters that are important to you. We keep a standing shared agenda doc where you can add your topics in advanced. The structured part will include filling out a simple [PPP template](https://en.wikipedia.org/wiki/Progress,_plans,_problems), which can be done asynchronously before coming to the meeting.

During 1-1's you are more than welcome to share with me about your personal life if you choose to do so. I will share too from time to time. I think it is important to have a sense of what is going on with each other's lives as context for how we conduct ourselves and make decisions at work. Of course, this is optional and it will be up to each individual to decide if and when they want to share. I am good either way :)

**Email / Slack**

I am on Slack online throughout my work day. I am usually pretty responsive or let you know if I need to get back to you later. If topics are relevant to the rest of the team, I rather chat in public channels to provide that context for others.

In terms of email communications, I usually have two times where I read and reply. First, early in the morning before I start my day, and then in the mid-afternoon.

You can send me Emails or Slack messages any time (day or night), I will get back to you as soon as possible. You may also receive some messages from me off-hours (in your time zone), but I don't expect you to reply at those times.

## Collaboration

Whether you are my peer, my manager or a member of my team, you should know that I really enjoy working with others. I think collaboration almost always leads to better outcomes, and I have found this to be specially true when solving interdisciplinary problems or those that have a high degree of technical uncertainty.

I always welcome requests for me to provide feedback and I am ready to offer my opinion. As my own workload permits, I will also be happy to participate more hands-on on your project or task.

## Coaching and Mentoring

I love learning, and I also love to teach. I find something gratifying in helping someone else to acquire a new skill or advance their professional development.

I generally try to adapt to your learning style. Some people only require general advice and minimal direction. Others would prefer a formal learning path that includes specific learning milestones and materials (i.e. books, tutorials, courses, etc.). I am happy to do either.

> "Train people well enough so they can leave, treat them well enough, so they don't want to" - *Richard Branson*

My objective is to help you grow so you can advance in your job and have a bigger impact at GitLab and beyond.

## Work / Life Balance

This is to give you a sense of how I manage my personal work/life balance and not convey any expectations from you.

I am a morning person, and I like to get a head start before the 'regular' business hours. I typically keep an eye on Slack and emails throughout the rest of the evening after the end of day and may reply right away if I am not watching Netflix ;)

I often do some work on weekends. Sometimes because I have to, and some times because I am working on something fun and I can't wait until Monday to pick it up again. If not doing something directly work-related, I at least spend some time with a toy project teaching myself something new.

Sometimes I lose track of how long it's been since I took a day-off, and I have to remind myself to do so. However, I do enjoy vacation time, mostly when travelling, and disconnect from work and come back with recharged energy. I do expect you to take sufficient time off, and I will remind you from time to time if I see you have not done so.

## My expectations

I expect to spend a great deal of time observing and learning before offering my opinions unless directly asked sooner. Please don't mistake my initial silence with a lack of interest or attention.

I expect to learn a lot from team members who have more subject matter knowledge or context than me.

I expect my team members to work with autonomy and with my trust (no micro-management) while keeping me informed of progress and any possible risks and/or blockers.

I expect my team to communicates openly and collaborate closely in order to achieve goals and overcome the challenges ahead of us.

## Some trivia facts about me

- Learned scuba diving when I was 5 years old
- Started programming in Basic at the same age
- Hardly ever eat fruit even though I do like it
- Played for Mexico's National Waterpolo Team (yes such team exists)
- I thought myself how to juggle watching youtube videos
- Travelled to 22 countries within a single year
- Lost count of how many times I have watched all episodes of Friends
