---
title: "Mario Mora's README"
description: "Personal readme page for Mario Mora, Support Engineer, GitLab"
job: "Support Engineer"
---

<!-- This template will help you build out your very own GitLab README, a great tool for transparently letting others know what it's like to work with you, and how you prefer to be communicated with. Each section is optional. You can remove those you aren't comfortable filling out, and add sections that are germane to you. -->

## Mario's - README

Hello, I'm Mario and I am a Support Engineer at GitLab.

This page is intended to help others understand what it might be like to work with me, especially people who haven't worked with me before.

## Related pages

[LinkedIn](https://www.linkedin.com/in/mario-mora-41ba9361/)
[About Mario](/handbook/company/team/#mmora)
[GitLab handle](https://gitlab.com/mmora)

## About me

I was born in Costa Rica, a beautiful tropical country in Central America, with 3% percent of all the biodiversity of the world you can definitively find a lot of things to do and enjoy over here; I love to do outdoor activities like hiking or running while listening to audiobooks, or going outside and take pictures with my camera. When at home I love to do cooking and really enjoy doing BBQs, and playing ping pong, I also enjoy doing Raspberry Pi projects.

I come from a background of IT companies in which I had worked for about 15 years, yet I can certainly say that working at GitLab has been a life-changing experience and I'm very thankful for it since in GitLab our values are truly lived every day and this is reflected in the quality of relationships between our peers and our methodologies to make things happen.

## How you can help me

When working on a difficult issue I had found it better for me to split it into different sections so that I can know:

* *what/why is not working?*
* *what had been tried to fix it?*
* *how does it look when is working properly?*

If you have any feedback please share it with me since I enjoy enhancing my labor and it's always welcomed because it helps me identify blind spots that I need to correct.

Feel comfortable asking me for help with any tasks you need and please expect me to do the same as well.

## My working style

I prefer to work intensively on one task at a time and focus until it is completed. Because of this usually, I split my day into "blocks of hours" on which I set apart some hours for training and complementary tasks to my role and focus the rest of the day at fulfilling my production tasks.

## What I assume about others

* That you will provide constructive feedback for me to grow.
* That you are also learning and getting better every day.

## What I want to earn

The confidence of my peers and the GitLab community that I will always serve them at the best of my capacity with their needs.

## Communicating with me

* By the time I sit in front of my desk, you can DM me at @mmora on Slack or through any channel, I'll gladly reply back as soon as I can.
* I love to chat and will enjoy talking to you through messaging or a call whenever is required. Feel free to set up a coffee chat or just ping so that we can talk or just say "hello".

## Strengths/Weaknesses

I try to be methodic in every area of my life which I believe it to be a good thing since it helps me to be organized and gives me a perception of the progress that I had made through the day, sometimes however this could create certain "stiffness" which could make me overlook special details in a particular situation.
