---
title: "Matt Nohr's README"
description: "Personal readme page forMatt Nohr, Engineering Manager, Code Review, GitLab"
job: "Engineering Manager, Code Review"
---

## Matt Nohr's README

I'm a Backend Engineering Manager at GitLab for the [Code Review Backend](/handbook/engineering/development/dev/create/code-review/backend/) team.

I've previously worked on these teams at GitLab:

- Ecosystem
- Create:Editor
- Create:Knowledge
- Monitor:APM and Monitor:Health

My Links:

- [GitLab](https://gitlab.com/mnohr)
- [LinkedIn](https://www.linkedin.com/in/matthewnohr/)

This document is a living breathing thing and likely incomplete. I update it frequently and would appreciate your feedback.

### Work Style

- I believe in the [servant leadership](https://wheniwork.com/blog/the-ultimate-guide-to-the-servant-leadership-model/) model
- I tend to follow a mindset like: "If you are running, I'll let you run. If you trip, I'll be there to help you back up."
- I have a [Defender](https://www.16personalities.com/isfjs-at-work) personality
- I prefer a [bias towards action](/handbook/values/#sts=bias%20for%20action).
- I respond well to being asked for help ("Can you help with X?"). I don't respond well to being told what to do ("Do X!")
- I have worked for Fortune 100 companies and small startups. They each have advantages and disadvantages.
- I look for small, incremental deliveables and a willingness to work on any task.
- I prefer to automate repetitive tasks.
- I believe managers are not the only [leaders](/handbook/leadership/).

### Work Patterns

- I live and work in the [Central Time Zone](https://www.timeanddate.com/time/zones/ct).
  - Central Standard Time (UTC-6) in the winter
  - Central Daylight Time (UTC-5) in the summer.
- I spend time with my family before school in the mornings and in the evenings, and I am typically not available during these times. I will sometimes break this rule, especially if I have advanced warning.
- Fridays are reserved for focused aschyrnous work, not meetings in alignment with [GitLab's Focus Fridays](/handbook/communication/#focus-fridays)
- Even if I am working a bit on weekends, I never expect anyone else to work outside of regular work hours.
- I take vacations where I do my best to disconnect (or travel places where there is [no access to internet](https://en.wikipedia.org/wiki/Burntside_Lake#/media/File:Burntside_Lake_BWCAW.jpg)).

### Communication Preferences

- You can slack or email me at any time, but I likely will only respond during my working hours. My devices are on "do not disturb" mode overnight.
- I may slack or email you during non-working hours, but I do not expect a response until your next work day. I sometimes just need to write something down so I don't forget.
- If you need a response in a certain time, please let me know. For example, "Can you review this before our meeting?" or "Can you let me know before the end of the day?"
- In GitLab, I only get notified of mentions of `@mnohr`

### Feedback

- I welcome feedback from everyone and I see it as a way for me to learn and improve.
- Please provide feedback to me, in private, and specifically indicate it is feedback. It will work best if you are clear and specific.

### Book Recommendations

- [Drive: The Surprising Truth About What Motivates Us](https://www.amazon.com/Drive-Surprising-Truth-About-Motivates/dp/1594484805) - Also watch this [video overview](https://www.youtube.com/watch?v=u6XAPnuFjJc)
- [Turn the Ship Around!: A True Story of Turning Followers into Leaders](https://www.amazon.com/Turn-Ship-Around-Turning-Followers/dp/1591846404) - This also has a [corresponding video](https://www.youtube.com/watch?v=OqmdLcyES_Q)
- [The First 90 Days: Proven Strategies for Getting Up to Speed Faster and Smarter](https://www.amazon.com/First-90-Days-Strategies-Expanded/dp/1422188612)
- [Creativity, Inc.: Overcoming the Unseen Forces That Stand in the Way of True Inspiration](https://www.amazon.com/Creativity-Inc-Overcoming-Unseen-Inspiration/dp/0812993012)

There is also a [good book list in our handbook](/handbook/leadership/#books) if you are looking for more suggestions.

### Personal

- I enjoy spending as much time as possible with my wife and 3 kids.
- I have a [dog](https://gitlab.com/gitlab-com/www-gitlab-com/-/blob/master/sites/marketing/source/images/team/pets/chaco.jpg).
- In the summer I like to run, hike, camp, and spend time on one of Minnesota's [10,000 lakes](https://en.wikipedia.org/wiki/List_of_lakes_of_Minnesota).
- In the winter you can often find me on the ice [curling](https://www.youtube.com/watch?v=IOk9SVzqHsk).

---

[We all do better when we all do better](https://www.youtube.com/watch?v=v0CU83VrduU) - [Paul Wellstone](https://en.wikipedia.org/wiki/Paul_Wellstone)
