---
title: "MikeL's README"
description: "Personal readme page for Mike Lockhart, Support Engineer, GitLab"
job: "Support Engineer - APAC"
---

<!-- This template will help you build out your very own GitLab README, a great tool for transparently letting others know what it's like to work with you, and how you prefer to be communicated with. Each section is optional. You can remove those you aren't comfortable filling out, and add sections that are germane to you. -->

## MikeL's README

**Mike Lockhart - Support Engineer**

This page aims to help others who haven't worked with me before, understand what that might be like.

It's also a well-intentioned effort at building some trust by being vulnerable, and to share my ideas of a good working relationship, to reduce your anxiety when starting to work with me.

Please feel free to contribute to this page by opening a merge request, particularly if you've worked with me before and know something which should be added or improved.

## Related pages

* [@mlockhart](https://gitlab.com/mlockhart) GitLab, Inc company profile
* [GitLabbook](https://gitlab.com/mlockhart/lab) general field notes, code, snippets, issues and work log
* [Milosophical Me](https://milosophical.me) personal web
* [List of Preferences](https://milosophical.me/pg/preferences.html) for text editor, OS, food and so on
* [MILOHAX.NET](https://milohax.net) public [memex](https://en.wikipedia.org/wiki/Memex) [TiddlyWiki](https://en.wikipedia.org/wiki/TiddlyWiki)
* [@milohax](https://gitlab.com/milohax) personal GitLab
* [sinewalker@github](https://github.com/sinewalker) personal GitHub
* [sinewalker@keybase](https://keybase.io/sinewalker) secure messaging and file sharing

## About me

<!-- Consider embedding a video of you working or being interviewed, along with 5-10 bullet points outlining interesting tidbits about you and your interests. Focus these on non-work attributes. Also, add detail on what GitLab values and sub-values resonate most with you. This enables ice-breakers to occur ahead of meetings. -->

G'day, I'm Mike! Computer generalist, percussionist, humanist, and dad. Sometimes _also_ a computer-percussionist.

I enjoy meeting and engaging with people, and solving customers' technical problems by being their trusted ambassador to experienced technologists within the company. With my Support role I'm sure to be asking for help from all parts of GitLab. Hit me up for a coffee chat!

### TL;DR

* More than twenty years as a support sysadmin
* I like computers, tinkering and programming many kinds from 1980s onward
* Grew up and live in Tasmania, the island to the south of Australia's mainland
* Married since 1998, father of 3 boys
* Animals: dog, cat, chickens
* Hobbies: taiko drumming, walking, technical blogging, hacking (software and hardware)
* Interests: electronics, code, maps, musicology, multimedia

#### Background

I grew up in [Northern Tasmania](https://www.google.com/maps/@-40.6667943,146.3199683,6z) in the 1980s, cutting my teeth on 8-bit British micro's, eagerly typing in codes from computer magazines and library books. After graduating from Uni of Tasmania I moved to Sydney, then the Blue Mountains, and spent 15 years cat-hurding at major IT corporations on all sorts of computers from mainframes to mobiles. My family and I returned to Tassie in 2013, where since I have been working as a support sysop for Linux-based web systems. My wife Jenny and I juggle three boys and various animals, in a little house South of Hobart.

When not computing, I like to read, walk our dog while listening to music, or audio books, podcasts and _Support Week In Review_. I also cycle (casually) and play music. I play percussion, keyboards, a little bit of blues harp, and code. I also play trombone since I was ten, but not since our first child. With the family I like to play card- or board-games, and I regularly get involved in the boys' Scouting activities.

## How you can help me

<!-- Add 5-10 bullet points on what others can do to make your life easier when working with you. Strive to include elements that are nonobvious, or that people would not typically think to ask or consult you about. This enables others to be more efficient in helping you in a way that feels like help. -->

It matters to me that I can say your name properly, even though I'm terrible at it. So do tell me if I say it wrong =)

The same goes for unconcious biases: if I do or say something to upset you, please tell me about it, if you feel able. I want to un-learn biases and be as inclusive as I can be.

## My working style

<!-- Add 5-10 bullets on how you prefer to work, interact with others, and learn. You may optionally include intel from Strength Deployment Inventory, Myers—Briggs, etc. This is most effective when you are precise and specific about your norms, assumptions, and expectations. If you are unsure what would be helpful here, ask your colleagues for their input. You may learn something from listening to outside perspective! -->

* I live and work in the [Australian Eastern Time Zone](https://www.timeanddate.com/worldclock/converter.html?iso=20200726T120000&p1=396)
  * Australian Eastern Standard Time (UTC+10) in late Autumn/Winter/early Spring (Southern hemisphere)
  * Australian Eastern Daylight Time (UTC+11) in late Spring/Summer/early Autumn
* I'm more of a morning person than a night owl, usually do my best work before 12:00 (local), and not very useful after about 16:00
* I have a [four-bit list of rules](https://milosophical.me/pg/4-bit-rules.html) that I work by in computing. You'll probably see a lot of overlap with GitLab's core Values&hellip;
* I strive to write down new learnings and observations as soon as possible. I keep a [digital lab book](https://gitlab.com/mlockhart/lab) for this purpose
* Also I keep a [public wiki](https://milohax.net) for more general notes. Dumping things in there gets them out of my brain, so that I can focuss better
* New things excite me: be they technology, methods, people, language, ideas&hellip;
* Start with "Why?"
* Find a way
* Stay calm and be kind
* Fight for better-er

## What I assume about others

<!-- Add 5-10 bullets on the assumptions you typically hold when working with others. Strive to be as open with these as possible, so others understand your perspective when engaging with you on projects. Remember, the honesty put forth in these answers enables others to be more understanding and empathetic. -->

If you're doing something in a way that's different to how I do it, then I'm super interested &mdash; I assume there are good reasons for how people work.

## What I want to earn

<!-- Consider 3-5 bullets on your goals for earning things like trust and respect, or a broader understanding of new topics. This enables others to understand what motivates you. -->

I want to earn your trust and gain a better understanding of how you work.

## Communicating with me

<!-- Consider 5-10 bullets on your communication preferences. This includes traditional styles such as verbal, textual, and visual, but you are encouraged to be precise. You can mention things like routine, availability, your travel habits, etc. This helps others understand why you communicate in the manner than you do, and it enables them to tailor their communication in a way that resonates most with you. -->

* This "asynchronous" idea is new to me, and I love it. You are welcome to @-mention me in GitLab and Slack
* If we're both online then I'll probably `/zoom` you after a couple of back-and-forth, if it seems we're talking at cross purposes
* I check email maybe once or twice a day, so use Slack to get my attention
* If I gave you my mobile number, then that means you're welcome to call it. It goes silent between 22:00 and 07:00 (UTC+10/11)
* Pairing is awesome! I always come away feeling great about what I learnt and who I learnt it from. Sometimes I might even show you something new, too
* I'm comfortable with long silences in pairing video calls. Just having the virtual company is nice as well

## Weaknesses

<!-- These may be covered in the above sections. If you prefer a section devoted to strengths and weaknesses, this will enable others to lean on your areas of published expertise and offer support in weak areas without passing judgment. -->

* Responding quickly on Slack. I may not even _see_ things for a few hours or days, unless I'm mentioned or DM'd
* Prone to overthink things, branch off-topic down curious rabbit holes, or ruminate on unresolved conflict
* My quick witt is hobbled by my tendency toward dad jokes
* Sometimes I say perfectly innocent things, but with accidental innuendo. I've been told I'd make a good straight-man in a comedy duo
* I prefer to think in 24-hour times; AM/PM confuses me no end

## Strengths

* People ask me strange technical questions, because I know obscure things about computers and internets
* I've worked in the customer-facing support role all my career, and understand the sub-value "assume good intent" as well as keeping timely updates for customers
* Not affraid to admit when I don't know something, but I will find it out or ask for help from someone who does know
* Approach difficult conversations with humility and empathy
* I will have your back, even if I don't have the skills. At the very least, I make a good "rubber duck"/"sounding board". No idea is too crazy, though we may both laugh about it afterwards
