---
title: "Nick Veenhof's README"
description: "README for Nick Veenhof"
job: "Director of Contributor Success"
---

## Related links

- [GitLab profile](https://gitlab.com/nick_vh)
- [LinkedIn profile](https://www.linkedin.com/in/nickveenhof/)
- [Twitter](https://twitter.com/Nick_vh)
- [Function profile](/job-families/marketing/developer-relations/contributor-success/management/#director-contributor-success)

## About me

Hi! I started with GitLab in April, 2022 as a [Servant leader](/job-families/engineering/development/management/#requirements) (Director of Contributor Success) in the area of
[Contributor Success](/handbook/marketing/developer-relations/contributor-success/).
I live in [Ghent, Belgium](https://en.wikipedia.org/wiki/Ghent)  and my primary
operating hours are [9 AM to 5:30 PM (CEST)](https://www.timeanddate.com/worldclock/belgium/ghent).

## Coffee Chat topics

If you're reading this, you might be trying to find things we can talk about
for a [coffee chat](/handbook/company/culture/all-remote/informal-communication/#coffee-chats) or 1:1.

Here's a bunch of topics I'll be happy to talk about:

### Tech-stacks / Open Source communities

- Drupal
- Mautic
- PHP
- Apache Solr / Lucene
- Google Cloud Platform
- Large scale linux deployments/production cloud systems
- GitLab
- Google Sheet scripting
- OSX little tools to make life easier
- Gmail tips & tricks

### Travel

These are some places I've lived in for a while, or live in that I am always
keen to talk about:

- [Boston, USA](https://en.wikipedia.org/wiki/Boston)
- [Barcelona, Spain](https://en.wikipedia.org/wiki/Barcelona)
- [Lisbon, Portugal](https://en.wikipedia.org/wiki/Lisbon)
- [Ghent, Belgium](https://en.wikipedia.org/wiki/Ghent)

### Conferences I adore

- Fosdem
- Drupal Developer Days
- Drupalcon

### Parenting & Kids

It's a challenge. Always in for tips!

## My working style

I'm here for you. You in my role is a really wide interpretation. This means

- You, as an employee of GitLab
- You, as a contributor to GitLab
- You, as a member of our team
- You, as a customer

I prefer to deep-dive into an issue so I can get a great understanding of the
topic at hand. I don't function very well without a deep understanding of the
technicalities behind the conversation, so please do not withhold any information
because of the words in my title!

Next to that I like to brainstorm and have direct conversations to dig deeper
into the why and the semantics of the words. Words mean something different to
everybody, so finding a common understanding is key. I prefer to do this
syncronous, and once we found that common ground, we can continue async.

## How to communicate

I generally keep Slack & Email open, but it is possible I don't reply instantly.
For your information, I work with 3 types of todo classifications. So it is
possible you will receive communication from me a month later asking for a reply
or your insights to a specific issue.

- To Reply
- Expect a reply
- Longer term follow-up

In terms of communication style, I like direct communication but I don't fear
the hallway-track/coffee chat style conversations. You can schedule a
coffee chat any time that fits in my working-hours.

## Weaknesses

I have a tendency to be impatient. Please push back, and don't worry about me
being offended by it, I hardly ever am. I prefer a good discussion compared to a
walk through the china cabinet :).

## Strengths

I have a lot of experience with Open Source communities, mainly the Drupal
ecosystem, but some others as well. Next to that I am a social person, which
comes from my background as a youth-organization leader. I love public speaking,
so I am not shy to take the stage to talk about topics that I am passionate
about. I also love working towards big goals, and will always cheer for you, as
I can't get there on my own!

## Book Recommendations

- [The First 90 Days: Proven Strategies for Getting Up to Speed Faster and Smarter](https://www.amazon.com/First-90-Days-Strategies-Expanded/dp/1422188612)
- [Behind the Cloud](https://www.amazon.nl/Behind-Cloud-Salesforce-com-Billion-Dollar-Company/dp/0470521163/)
- [The Innovator's Dilemma](https://www.amazon.com/Innovators-Dilemma-Revolutionary-Change-Business/dp/0062060244)
- [Crossing the Chasm](https://www.amazon.com/Crossing-Chasm-3rd-Disruptive-Mainstream/dp/0062292986)
- [The practice of Cloud System Administration](https://www.amazon.com/Practice-Cloud-System-Administration-Practices/dp/032194318X)
- [What got you here, won't get you there](https://www.amazon.com/What-Got-Here-Wont-There-ebook/dp/B000Q9J128)
- [The art of doing twice the work in half the time](https://www.amazon.com/Scrum-Doing-Twice-Work-Half/dp/038534645X)

There is also a [good book list in our handbook](/handbook/leadership/#books) if you are looking for more suggestions.

## Where do I work

I work in a coworking office in the city centre of Ghent. [Come say hi!](https://www.google.com/maps/place/Co.Station+Gent/@51.057506,3.7394017,15z/data=!4m2!3m1!1s0x0:0x757b25148564f37c?sa=X&ved=2ahUKEwj5rs7yzsr3AhWDGuwKHejgBlMQ_BJ6BAhREAU)
