---
title: "Ronnie Alfaro's Readme"
description: "Personal readme page for Ronnie Alfaro, Support Engineering Manager, GitLab"
job: "Support Engineering Manager"
---
## Ronnie's - README

Hi, I am Ronnie, I am proud to be one of the GitLab Support Engineering Managers.

This page is intended to help others understand what it might be like to work with me, especially people who haven't worked with me before.

It's also a well-intentioned effort at building some trust by being intentionally vulnerable, and to share my ideas of a good working relationship to reduce the anxiety of people who might be on my team.

Please feel free to contribute to this page by opening a merge request.

## Related pages

* [My LinkedIn profile](https://www.linkedin.com/in/ronnie-a-4a4a6b31/)
* [GitLab Team page](/handbook/company/team/#ronniealfaro)
* [GitLab Profile](https://gitlab.com/ronniealfaro)

## About me

* **Travel** is my favorite thing, thanks to it I've had experiences like
  * Having a cup of butter tea @ Mt. Everest base camp.
  * Trying salteñas from a street vendor in la Paz Bolvia
  * Seeing the sunset in the desert in Chile
  * Pointing at the only Chinese menu in a very small restaurant in rural China with the hope to get something good.
* I like cooking and collecting recipes books from all the places I visit
  * My wife's most requested meals are Bánh mì and the russian borscht.
* One time I was asked what was my secret to have a team doing so good, I said there is no secret, it is easy actually: ***Happy people work better***
* I love spicy food, even completed the [Phaal Challenge](https://newyork.seriouseats.com/2008/06/brick-lane-curry-house-east-village-nyc-phaal-spiciest-indian-curry.html)
* Most of the time you'll see me carrying my camera, and you can see some of my photos on my personal website.
* I have 2 beautiful daughters, a lovely wife and we have a pet rabbit

I believe in our values, and how by following them GitLab has been able to create this unique culture.

## How you can help me

* If I start talking too fast, it is always ok to tell me to slow down or repeat.
* If you're part of my team , don't think twice if you need to talk, I am here for you, we're a team.
* Don't keep your ideas, comments or suggestions always share them, they are welcome anytime.
* Do your best but also remember all the good people you have ready to help when needed.
* Be there for our customers in the same way you'll expect to be helped when you have a problem with any service you hire.

## My working style

As a manager I believe a team will work better when happy, empowered,  trusted and recognized.

In my experience getting there is always a different path for everyone,  that's why I like to have open conversations, ask for opinions, give people challenges they can do and ask them what is something new they would like to do or learn.

## What I assume about others

* We will talk when something is preventing you from doing your best work.
* You have more going on than the one thing we're discussing.
* You'll ask for help from anyone at GitLab if needed.
* You'll provide feedback.
* You'll document any new shiny piece of new knowledge which is not documented already

## What I want to earn

* Trust from my team to be better at enable them to reach their goals.
* Knowledge  about GitLab products, the more i know the more we can help our customers.
* Opportunities to be outside of my comfort zone and be challenged.

## Communicating with me

* Slack is awesome let's talk there.

  * #support_team-chat for any question / comment which may help our team.
  * **private channel** for any conversation which you prefer private and require me and others.
  * You can always just DM me at @ralfaro for anything else.

* I am a bit of an introvert, so if i stay quiet in a big group conversation, just push me out of the comfort zone with a question or comment. Eventually I would probably just talk too much

* Try to be specific:

  > Instead of: Ronnie, Git is too difficult
  >
  > Maybe something like : Ronnie, I have problems understanding the rebase in git.

## Strengths/Weaknesses

* I put too much attention to detail on  what I do, for example when I take a photo most of the time I would say: **Oh it is skew** , and maybe it is but just 2 degrees. I need to improve on that

* Sometimes I think too much, so something small my brain will make a n-ary tree with a deep of N+K. I am working on improving that

* I don't give up easily, I try, try, try until i learn it, until i can do it.

* I never stop learning, i always believe there is a bit more to know, to learn and to improve.
