---
title: "Sean Carroll's Readme"
description: "Personal readme page for Sean Carroll, Senior Engineering Manager, ModelOps and Custom Models, GitLab"
job: "Senior Engineering Manager, ModelOps and Custom Models"
---

## Sean Carroll's - README

I'm [Sean Carroll](https://gitlab.com/sean_carroll), Senior Engineering Manager for [Custom Models Group](/handbook/engineering/development/data-science/ai-powered/custom-models/) and the [ModelsOps Stage](/handbook/engineering/development/data-science/modelops/). I've been fortunate enough to have travelled to 24 countries and have been living in Geneva, Switzerland for a while now. I've also lived in the US, Turkey, Scotland and of course Australia, where I'm from. These experiences have given me a strong understanding of different cultures and work styles.

I studied [Computer Science](https://www.monash.edu/) and later [Business Systems](https://www.vu.edu.au/), and the first half of my career was in [ERP systems](https://en.wikipedia.org/wiki/Enterprise_resource_planning), mostly in a consulting capacity. Since then I have worked at startups and in innovation environments. I have a personal love for Ruby, and am excited to be working at GitLab, on what is probably one of the largest Ruby codebases in the world.

At several times during my career I have moved between IC and managerial roles.

## How I work

I am rated as a [Campaigner on 16 Personalities](https://www.16personalities.com/enfp-personality).

### I work daily on building and maintaining trust

GitLab has amazing engineers and among the best in the industry. Trusting people and being able to be trusted is crucial to a happy and productive work environment for everyone and it takes continuous work. I am an open person and the GitLab value of [Transparency](/handbook/values/#transparency) comes naturally to me.

GitLab is at the forefront of addressing the huge diversity issues in IT. Building a [diverse and inclusive](/handbook/values/#diversity-inclusion) workplace is a critical part of trust-building that all employees can and should participate in.

### Engineers are the technology experts

When moving from engineering to management, it is invaluable to have an intimate understanding of the product and technologies used to create it. At the same time, the _engineers_ are the experts and have the best capacity to make the right technology decisions. Sometimes the scope of work is not known until code has been written:
if a piece of scheduled work can no longer fit into a milestone, call it out.

### Keeping an eye on the ball

- The role of the IC is deep focus on difficult technical tasks.
- My role as a Engineering Leader is to focus on the big picture, filter the noise, to work with Product and help prepare the work as achievable pieces, then remove any roadblocks so scheduled work can be merged.
- Together, we deliver Business Results.

## 1:1s

1:1s with my team are the most important part of my day.

Team 1:1s are a meeting where I listen to your concerns and ideas, and strive to take immediate follow-up actions. I am happy for you to completely drive this meeting, including deciding when and how frequent it will be.

To keep notes, we have an ongoing Google document and for topic inspiration we have an _optional_ template.

## Coffee chats

I'm a huge fan of Coffee Chats, they are an important part of culture when a company is all remote. I'm always happy to have Coffee Chats with my team members in addition to regular 1:1s, as it's just a great opportunity to get to know each other outside the direct context of work.

I have a personal target of 1 Coffee Chat a week with someone not who is not on my direct team.

Please don't hesitate to schedule one with me!

## My Remote Work Setup

- [MacBook Pro](/handbook/it/end-user-services/onboarding-access-requests/#apple-hardware)
- Paper notebook, I like [Moleskins](https://www.amazon.com/Moleskine-Classic-Cover-Notebook-Ruled/dp/8883701127)
- [Fully Standing Desk](https://www.fully.com/en-eu/standing-desks/jarvis/jarvis-hardwood-standing-desk.html)
- Office chair
- [Bose 700](https://www.bose.com/c/headphones/noise-cancelling) Noise canceling headphones, essential for deep focus.

I strive to meditate daily for 20 minutes, which has a positive effect on my productivity and general wellness. When working at home it's easy to stay inside all day, so I usually take a short walk around the neighbourhood before starting work.

I like to spend 1 day a week at a co-working space. It's a great way to have an office environment without the politics, as everyone is working on their own projects, but we can still have coffee and croissants together.

## How to reach me

In order of my own preferences, but please use whatever channel suits you best:

- GitLab TODOs `@sean_carroll`
- Slack `Sean Carroll`
- Email `scarroll@gitlab.com`
