---
title: "Simon Street's README"
description: "Personal readme page for Simon Street, Senior Support Engineer, GitLab"
job: "Senior Support Engineer (EMEA)"
---

## Simon's README

## About me

### A short history of me

Hello! This page is intended to give you a little bit of information about me.

I started at GitLab in March 2022 as a [Support Engineer](/job-families/engineering/support-engineer/). I live in Bedfordshire, England, UK. In Feburary 2024 I was promoted to Senior Support Enginner.

All of my working life has been in tech having started out replacing computers on lease cycles in a primally [Novell NetWare](https://en.wikipedia.org/wiki/NetWare) environment before moving on to a desktop support role at a small stage/projection equipment hire company.

Throughout this period I was dabbling with FreeBSD/Linux and generally tinkering with computers as a hobby.

This lead to an all encompassing role at a small company that started out renting game servers which involved building out a very low latency network to keep gamers happy. This evolved in to co location, dedicated, and other data centre services due to the position our network put us in. After a period of time we wrapped up the gaming side of things to concentrate more on the data centre side and added manged services/support to our line up.

For mostly geographic reasons I moved to a similar role at another more local company who offered web hosting/data centre services. This could be quite an intense environment at times due to some of the high revenue customers but this is something I enjoy. The role exposed me to maintaining and designing scalable services for customers and helped me grow my Linux knowledge a lot.

I have been aware of GitLab for quite a while having set it up on and off over the years for personal reasons, including back when [MySQL was an option](https://about.gitlab.com/blog/2019/06/27/removing-mysql-support/)! Feeling it was time for a change, particularly during the pandemic and realising the perks of working from home I started looking for a new position and jumped to apply to GitLab when I could. The rest, as they say, is history!

### Some links

- [Team Page](/handbook/company/team/#simonstreet)
- [Team Pet Page](/handbook/company/team-pets/#304-rosie)
- [GitLab Profile](https://gitlab.com/simonstreet)
- [Personal GitLab Profile](https://gitlab.com/simonsshed)

### Hobbies

- Gaming (World of Warcraft, Zelda (The classic eras), HITMAN, Factorio) - Recommendations always welcome in or out of those genres
- 3D Printing
- TV/Movies
- Walking (Although not as much as I would like at the moment!)
- Home automation
- Home networking/labbing

## Working with me

I am most active in the morning (Europe/London), spending that time on tickets and helping out where I can on Slack. Later on in the day I'm often working on other projects depending on ticket load.

Feel free to reach out to me on Slack or pop a pairing session in my calendar if you have a ticket you think I can help with, or a coffee chat if you just want a chat!

## Strengths

My history in support and system administration puts me in a strong position with self managed tickets and helps me take a full stack view when approaching tickets looking beyond GitLab itself take the environment as a whole in to account.

My experience means I start a ticket ensuring I have as much information and detail as possible to be able to properly investigate what's going on to hopefully arrive at a solution as quickly as possible.

## Weaknesses

Sometimes my personal experiences will bias my thoughts on the root cause of an issue to the detriment of solution, this is something I am improving at but there are some hard habits to break particularly when you have been involved large outages from certain technologies in the past.
