---
title: "Thong Kuah's README"
description: "Personal readme page for Thong Kuah, Staff Backend Engineer, GitLab"
job: "Staff Backend Engineer"
---

## Introduction

Hello, my name is Thong Kuah. I am a Staff Backend Engineer with the [Tenant Scale group](/handbook/engineering/infrastructure/core-platform/tenant-scale/). I currently reside in Wellington, New Zealand.

I joined GitLab in 2018, starting with the Configure group.

## Links

* [Team page](/handbook/company/team/#tkuah)
* [GitLab.com account](https://gitlab.com/tkuah)
* [LinkedIn](https://www.linkedin.com/in/thong-kuah/)

## My day

As my timezone is UTC +12 or UTC +13, Mondays are relatively quiet. There is some overlap with AMER in my mornings. As some in my team are in EMEA, I have some evening meetings with them.

After droping my children off at school, I start work shortly after 9 AM. The morning will then be either reviewing merge requests, replying to mentions to unblock others. Sometimes I elect to focus on a particular issue instead.

I mostly work from home, so lunch is mostly leftover dinners. After lunch, there's usually more work to continue though I tend to slow down. I stop work to pick up kids from school at 3 PM.

In the evenings (Mon-Thurs) after the kids have gone to bed, I resume work as this is my most productive time. Friday evenings is a no-work time slot as it is reserved for movie nights with my partner.

I am always open to coffee chats, whether or not we have met before. Simply schedule it within my working hours in Google Calendar.

## Work style

I am motivated by feedback, and a sense of accomplishment. I welcome direct, actionable feedback from customers, co-workers, code review comments, and even RSpec telling me the tests are failing.

I work mainly off the GitLab To-Do List, mostly on a First-in-First-out basis. I tend to operate best when I am working on one or two "things" at a time.

When reviewing merge requests (MRs), I tend to look for:

1. Why we are making this change - usually an issue link will suffice.
1. Any glaring security issues.
1. If I can understand the code at first read. If not, then there is some chance others will not understand the code in the future.
1. If the MR is not obvious, how can I try this out myself locally ? Sometimes this means running the unit tests and manipulating the tests, sometimes this requires trying out the MR in development.
1. All code added, or changed has corresponding tests.

## Setup

Here is my office setup:

* Standing desk from a local office supplier
* Samsung WQHD 24 inch external monitor (S24H850)
* Goldtouch [adjustable keyboard](https://www.goldtouch.com/v2-adjustable-keyboard/)
* Logitech mouse
* Logitech wired headset

## Trivia

* I joined GitLab because of the transparent handbook, and that each job page had the amazing phrase "Avoid the confidence gap; you do not have to match all the listed requirements exactly to apply".
* Prior to GitLab, I have been a manager of developers. I went back to being an individual contributor because of the [engineer/manager pendulum](https://charity.wtf/2017/05/11/the-engineer-manager-pendulum/), and also I much prefer shorter feedback loops.
* I have read War and Peace, translated. Vanity Fair, or the Wheel of Time is much better.
* I have JavaScript disabled globally in my browsers.
