---
title: Recognition in Engineering
---

## Engineering Quarterly Achievers

Quarterly, CTO Leadership will recognize Engineering team members who have excelled in a given quarter. Recognition includes:

- an invitation to the [Engineering Quarterly Achievers Chat](#engineering-quarterly-achievers-chat)
- participation in the [Engineering Quarterly Achiever's Recognition Dinner](#engineering-quarterly-achievers-recognition-dinner) - an expensed meal for yourself, friends and family to celebrate your work, the meal must occur before the last day of the quarter following the announcement.
Winners each quarter have until the last day of the quarter to submit for reimbursement.
Winners may submit their receipt for the meal for reimbursement via Navan.
Please see the instructions below.

In Navan, click Add Transaction Select Upload receipt (or select Type in details)
Under Expense Type field, please select "Team events & meals"
Under Classification, please select "FY25 Team Building"
Under Description field, please include this link: https://handbook.gitlab.com/handbook/engineering/recognition/#engineering-quarterly-achievers-recognition-dinner
Click Submit (or Save & close if you need to come back to add more information).

### Engineering Quarterly Achiever's Chat

The Quarterly Achiever's Chat recognizes Engineering team members who have excelled in a given quarter by inviting them to join the Chief Technology Officer and 2 members of E-Group in a congratulatory chat. The benefit is three-fold:

1. Top performers receive facetime and recognition directly at the executive level
1. Knowledge sharing of best practices that can be replicated by other Engineering team members
1. Leaders/teams outside of the Engineering organization gain visibility into successes

Key features of this call include:

- 30-minute call
- Held within first two months of new quarter
- CTO and 2 E-Group Members attendance required
- Not recorded

### Engineering Quarterly Achiever's Recognition Dinner

As part of this initiative, Engineering Quarterly Achievers are able to expense a meal up to $250.00 USD within the same quarter they were selected in. For example, if a team member is selected as a Quarterly Achiever in November, they must expense their meal before the end of Q4 (the last day in January). Please submit your meal expense in Navan and in the description field link to this section of the handbook for approval.

The $250.00 USD is reimbursable for a meal only, other items do not qualify.

### Categories

In total, 14 team members from across the Engineering organization will be recognized. The categories by segment for FY24-Q4 include:

#### Engineering Efficiency

1. **Best Design Proposal Award** - awarded to individuals who submit well thought-out, technically-sound [architecture design document](/handbook/engineering/architecture/workflow/#design-documents) proposals on items that require cross-functional communication and influence
1. **Cost Savings Award** - awarded to individuals who significantly contribute towards reducing costs
1. **Software Efficiency Award** - awarded to individuals who implement an abstraction, pattern, or library that makes future development efforts much more efficient
1. **Proactive Avoidance Award** - awarded to individuals who raise concerns about things *before* they become disastrous incidents
1. **Security Improvement Award** - awarded to individuals who implement security features or defense in depth pattern to provide a more secure DevSecOps enviornment for everyone
1. **Hiring Efficiency Award** - awarded to individuals who made a significant contribution to hiring efforts

#### Engineering Excellence

1. **Engineering Excellence Award** - awarded to individuals who develop an innovative idea/approach to an existing problem, and successfully gather wider support within the organization
1. **Excellence Under Pressure Award** - awarded to individuals who keep a cool head while methodically solving high-impact incidents
1. **Testing Excellence Award** - awarded to individuals whose efforts allow us to release with confidence and high quality
1. **Most Impactful MR or Doc Update Award** - recognition for a contribution with a far reaching effect
1. **Everyone-can-contribute Award** - awarded to individuals who step across department lines to make things better than they were before

#### Customer Results

1. **Customer-centered Individual Award** - awarded to individuals who take ownership of high-impact customer escalations, coordinate stakeholders and build trusting relationships with our customers as they walk the path to a satisfactory resolution
1. **Customer Kudos Award** - awarded to an individual who a customer recognized as an extraordinary contributor in their feedback
1. **Performance and Scalability Award** - awarded to individuals who contribute significantly towards a performance or scalability improvement that benefits our customers.
1. **Contribution to Sales or Renewal Award** - awarded to an individual who assisted in quarterly revenue generating activity - *nominated by a member of Sales, CS or Renewals*

Categories are reevaluated by CTO leadership and changed as necessary.

### Selection Criteria

Considerations include:

1. The team member operates within GitLab and in their particular area of achievement in concordance with [GitLab Values](/handbook/values/)
1. The team member has not won a Quarterly Achiever award within the current fiscal year

### Engineering Quarterly Achievers Timeline

1. 2 Weeks prior to quarter start, a call for nominations goes out in the Engineering Week in Review, and Slack. See [Communicating](#communicating) for the list of channels.
1. Engineering Quarterly Achievers finalized within the first week of the new quarter by CTO leadership
1. Engineering Quarterly Achievers announced and recognized in the first Engineering All-Hands of the quarter
1. Engineering Quarterly Achievers Chat held within the quarter
1. CTO and 2 E-Group Members congratulate and inquire about key learnings from achievers on call
1. CTO and 2 E-Group Members to pull out 2-3 of the most impactful key learnings and share with the larger team in a Slack post (either `#ceo` or `#cto`) after the call

#### Engineering Quarterly Achievers Nominations

Prior to the start of the quarter, a call for nominations will go out. You may nominate as many people as you wish, provided they meet the [selection criteria](#selection-criteria). Add all relevant information to the text of your nomination – adding a link as SSOT is great, but ideally a nomination shouldn't require clicking through to anything to be understood and evaluated. Be aware that the text (but not your name!) may be shared with the nominee.

## Engineering Quarterly Achievers Past Winners

These are the past award winners. The quarter indicated is the quarter the award was announced. The award itself covers work completed the *previous* quarter.

### FY24-Q4

| Quarter | Category | Award | Winner |
| --- | --- | --- | --- |
| FY24-Q4 | Efficiency | Best Blueprint Proposal | Samil Hiltunen |
| FY24-Q4 | Efficiency | Cost Savings | Rehab Hassanein |
| FY24-Q4 | Efficiency | Software Efficiency | Adam Hegyi |
| FY24-Q4 | Efficiency | Proactive Avoidance | Marius Bobin |
| FY24-Q4 | Excellence | Engineering Excellence | Jason Plum |
| FY24-Q4 | Excellence | Excellence Under Pressure | Corinna Gogolok |
| FY24-Q4 | Excellence | Testing Excellence | **Not Awarded** |
| FY24-Q4 | Excellence | Most Impactful MR or Doc Update | Simon Street |
| FY24-Q4 | Excellence | Everyone-can-contribute | John Lyttle |
| FY24-Q4 | Customer Results | Customer Centered Individual | Daphne Kua |
| FY24-Q4 | Customer Results | Customer Kudos | Suleimi Ahmed |
| FY24-Q4 | Customer Results | Performance and Scalability | Brie Carranza & Matthew Badeau |
| FY24-Q4 | Customer Results | Contribution to Sales or Renewal | Gerardo Gutierrez |

### FY25-Q1

| Quarter | Category | Award | Winner |
| --- | --- | --- | --- |
| FY25-Q1 | Efficiency | Best Blueprint Proposal | **Not Awarded** |
| FY25-Q1 | Efficiency | Cost Savings | Tomasz Maczukin |
| FY25-Q1 | Efficiency | Software Efficiency | **Not Awarded** |
| FY25-Q1 | Efficiency | Proactive Avoidance | Andreas Brandl |
| FY25-Q1 | Efficiency | Security Improvement | David Fernandez |
| FY25-Q1 | Excellence | Engineering Excellence | **Not Awarded** |
| FY25-Q1 | Excellence | Excellence Under Pressure | Matt Smiley |
| FY25-Q1 | Excellence | Testing Excellence | Mark Lapierre |
| FY25-Q1 | Excellence | Most Impactful MR or Doc Update | **Not Awarded** |
| FY25-Q1 | Excellence | Everyone-can-contribute | John Skarbek |
| FY25-Q1 | Customer Results | Customer Centered Individual | Samir Hafez |
| FY25-Q1 | Customer Results | Customer Kudos | Jio Castillo |
| FY25-Q1 | Customer Results | Performance and Scalability | Sylvester Chin |
| FY25-Q1 | Customer Results | Contribution to Sales or Renewal | Cameron Swords |

### FY25-Q2

| Quarter | Category | Award | Winner |
| --- | --- | --- | --- |
| FY25-Q2 | Efficiency | Best Blueprint Proposal | Alessio Caiazza |
| FY25-Q2 | Efficiency | Cost Savings | **Not Awarded** |
| FY25-Q2 | Efficiency | Software Efficiency | Dylan Griffith |
| FY25-Q2 | Efficiency | Proactive Avoidance |  Matt Smiley |
| FY25-Q2 | Efficiency | Security Improvement | **Not Awarded** |
| FY25-Q2 | Excellence | Engineering Excellence | Anton Smith |
| FY25-Q2 | Excellence | Excellence Under Pressure | Craig Miskell |
| FY25-Q2 | Excellence | Testing Excellence | Jay McCure |
| FY25-Q2 | Excellence | Most Impactful MR or Doc Update | **Not Awarded** |
| FY25-Q2 | Excellence | Everyone-can-contribute | Manoj Memana Jayakumar |
| FY25-Q2 | Excellence | Interviewing Excellence | Peter Hegman |
| FY25-Q2 | Customer Results | Customer Centered Individual | Patrick Bajao |
| FY25-Q2 | Customer Results | Customer Kudos | Kaitlyn Chappell |
| FY25-Q2 | Customer Results | Performance and Scalability | Chance Feick |
| FY25-Q2 | Customer Results | Contribution to Sales or Renewal | Erika Miklós |

### FY25-Q3

| Quarter | Category | Award | Winner |
| --- | --- | --- | --- |
| FY25-Q3 | Efficiency | Best Design Proposal | Bob Van Landuyt |
| FY25-Q3 | Efficiency | Cost Savings | **Not Awarded** |
| FY25-Q3 | Efficiency | Software Efficiency | Dmitry Gruzd |
| FY25-Q3 | Efficiency | Proactive Avoidance |  **Not Awarded** |
| FY25-Q3 | Efficiency | Security Improvement | Brett Walker |
| FY25-Q3 | Excellence | Engineering Excellence | Angelo Rivera |
| FY25-Q3 | Excellence | Excellence Under Pressure | **Not Awarded** |
| FY25-Q3 | Excellence | Testing Excellence | **Not Awarded** |
| FY25-Q3 | Excellence | Most Impactful MR or Doc Update | **Not Awarded** |
| FY25-Q3 | Excellence | Everyone-can-contribute | **Not Awarded** |
| FY25-Q3 | Customer Results | Customer Centered Individual | Terri Chu |
| FY25-Q3 | Customer Results | Customer Kudos | Sam Bernal-Damasco|
| FY25-Q3 | Customer Results | Performance and Scalability | **Not Awarded**|
| FY25-Q3 | Customer Results | Contribution to Sales or Renewal | Fabian Zimmer |

---

## Engineering Quarterly Achievers Process

This process is followed by a delegate of the CTO Leads team at least 2 weeks before the end of the quarter, and is completed before the first all hands of the quarter.

### Accepting Nominations

1. Create a copy of the `Engineering Quarterly Achievers Nomination Form - Template` in the [`Awards [Quarterly]` folder](https://drive.google.com/drive/search?q=type:folder%20%22achievers%20quarterly%22) on Drive. If you do not have access, ask the CTO's EBA for access.
1. Make sure to add any new categories.
1. In the "Responses" tab, click "Link to Sheets" to collect responses in a Google Sheet rather than in the form itself.
1. In the "Responsess" tab, toggle "Accepting responses" on, and toggle it off when nominations close.

#### Communicating

1. Create a Field Operations - Enablement issue ([example](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/2394)) to get permission to post in `#field-fyi` for the "Contribution to Sales or Renewal" Award. This should be completed at least 2 weeks prior to launching the nomination period.
   - Consider posting a pre-filled link that selects that specific award.
1. In the Engineering Week in Review, add a note that nominations are open with a link to the form.
1. Make a Slack post in `#engineering-fyi`. Cross-post in `#cto`, and `#eng-managers`.
1. Consider posting reminders 1 week, and 1 day before due date.

### Selecting Winners

1. Pull the raw data from the nominations sheet and put it in a copy of `Engineering Quarterly Achievers Nominees Selection - TEMPLATE`. It's easier to collaborate on a Google Doc than a Google Sheet.
   - You can consider using `process-quarterly-achievers.rb` to process the data.
1. Make a copy of the `Engineering Quarterly Achievers All Hands Deck - TEMPLATE`
1. Follow the instructions in the template:
   - Choose DRIs for each area from among CTO Leads
   - Empower CTO Leads to make decisions
   - Direct CTO Leads to update the deck with names, photos and speaker notes that highlight the nomination.

### Announce Winners

For the next All-Hands, incorporate the final slides into primary deck! After All-hands, update this page with names of winners. Wooo! You're done until next quarter.

#### Inform Nominees

After winners have been announced, inform everyone who was nominated to spread awareness and happiness. Nominees should be informed privately, and without mentioning who nominated them.
