---
title: "Engineering Secondments"
description: "Learn about GitLab's secondment program for external engineers."
---

<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

## What is a secondment?

Secondment is the assignment of a member of one organisation to another organisation for a temporary period.

## Secondments at GitLab

In 2022, GitLab started a pilot program to have engineers from outside GitLab join us on a temporary basis to work alongside team members on various projects.

This program complements our values of transparency and [supports our goal of increasing our](/handbook/engineering/open-source/growth-strategy/) community contributors.

**The Benefits:**

The secondment program provides GitLab with talented engineers contributing to the GitLab product and mission. The secondee, the engineer on secondment from outside the company, gets an opportunity to learn more about GitLab, how we operate and gain new insights from their time working within the GitLab virtual walls. At the end of the secondment, the secondee returns to their regular employer bringing with them new ideas and understanding about software development and GitLab.

### Process

During a secondment, the secondee remains employed by their regular employer, however, on a day-to-day basis they work with GitLab team members on GitLab projects.

Currently, this program is still in a pilot phase but the general steps are as follows:

1. An interested engineer reaches out to GitLab to express their interest in the program.
2. A relevant team at GitLab speaks to the engineer and conducts interviews with the engineer. If a mutual fit is found, GitLab works with the engineer's employer to formalize a secondment agreement.
3. The secondee is onboarded to GitLab and begins work on GitLab projects.
4. At the end of the secondment, the secondee is offboarded and returns to their regular employer.

## FAQ

### How is this different from an internship?

An internship is typically for [early career professionals](/handbook/hiring/emerging-talent/#duration-and-timing) where GitLab is the employer of record with an objective that the professional can move into a full-time role. On the other hand, secondments are for slightly more experienced professionals that are already employed at a company but seeking an external learning opportunity.

### How long is a secondment?

In order to make the most of the secondment, the secondment should be a minimum of three months and last up to twelve months.

### Are the contributions open source and can we as company ABC get recognition and other GitLab benefits?

Yes, all contributions from the seconded employee will be seen as `community contributions`. When successful, the entire organization could qualify for the [Leading Organization](/handbook/engineering/workflow/code-review/#leading-organizations) status, leveling up the entire organization and gaining access to exclusive GitLab benefits.

### Who manages the secondee?

The secondee works as part of an engineering team and reports to an Engineering Manager at GitLab.

### I'm working at company ABC and interested in a secondment at GitLab, how do I get started?

The first step would be to discuss a secondment with your current employer and see if they would support you taking a secondment. If they are supportive, the next step would be to connect with GitLab to express your interest. Please note, this program is still in a pilot phase.

### How is a secondment compensated?

During a secondment, the secondee would remain employed by their regular employer. The terms of that compensation are between the secondee and their employer.

### Why would a company want their employees to be seconded to GitLab?

When you can help build the software you use on a day-to-day basis you will be up to twice as efficient afterwards, as proven by [a study at Harvard](https://www.hbs.edu/faculty/Pages/item.aspx?num=54809).

This program allows companies to have their employees learn about software development at GitLab and gain rich in-depth experience using GitLab.
Today, many employers hire employees that have experience at certain companies or with certain products, but what options exist if your current employee lacks the kind of experience? A secondment at GitLab is a way to grow their career and increase your company's capabilities.
