---
title: "Volunteer Coaches for URGs"
---

## Pilot Program Overview

This program allows team members at GitLab to volunteer and donate their time and technical skills (such as programming or Linux administration) to provide knowledge, support, and coaching to members of underrepresented groups (URGs) in the technology industry. The hope is we can help people who have been denied opportunity for whatever reason, and desire to get their first job in the technology industry.

*This program is in pilot as of November 1, 2020. Please reach out to the contacts below if you are interested in taking part.*

## Volunteer Coaches

Team members at GitLab interested in helping out through the program should reach out to the individual listed as the "GitLab Contact" in the list of partners below. There's also a Slack channel named [#volunteer-coaches-urgs (internal only)](https://gitlab.slack.com/archives/C017XNA4LDA) if you want more information prior to signing up.

## Individuals Receiving Coaching

We're open to any skill level but the individuals receiving coaching would typically be preparing for something like our [GitLab Engineering Internship Program](/handbook/hiring/emerging-talent/), which might subsequently turn into full-time employment. If you are someone interested in entering this program to receive coaching, please contact the vendors below and follow their admission process. Feel free to communicate that you would like to work with a coach from GitLab if it can be arranged.

```mermaid
graph LR
    stu --> int --> ftm;

    stu[/Free Coaching/];
    int[/GitLab Engineering Internship/];
    ftm[/Fulltime Team Member/];

    click int "/handbook/engineering/internships/"
    click ftm "/jobs/"
```

## Partners

To make this program as scalable as possible we partner with other organizations that run their own education, training, coaching, or mentorship programs. They already have processes, curriculum, students, and coaches. GitLab supplies additional coaches through this program. If you run such an organization and would like to tap into our pool of coaches, please contact [Roos Takken](https://gitlab.com/rtakken) or [Giuliana Lucchesi](https://gitlab.com/glucchesi), People Business Partners who work with GitLab Engineering.

### Latinitas

Here is a little bit about **[Latinitas](https://latinitasmagazine.org/)** in [their own words](https://latinitasmagazine.org/about-us/):

> Latinas are underestimated and underrepresented. It's time for Latinas to know that they are important; they deserve to see their experiences reflected honestly and accurately.
> Through after-school clubs, camps, events and publications, and channels, we provide a space, both in the physical and online, for girls to express themselves, develop their skills, learn about their culture and discover their unique voice.

GitLab Contact: [Melissa Ushakov](https://gitlab.com/mushakov)

| Volunteer   | Start  | End |
|-------------|--------|-----|
| [Melissa Ushakov](/handbook/company/team/#mushakov)      |   February 2021     |   TBD  |
| [Chad Woolley](/handbook/company/team/#cwoolley-gitlab)     |    February 2021     |   TBD  |

### FreeCodeCamp

Here is a little bit about **[FreeCodeCamp](https://www.freecodecamp.org/)** in [their own words](https://www.freecodecamp.org/learn):

> Our mission: to help people learn to code for free. We accomplish this by creating thousands of videos, articles, and interactive coding lessons - all freely available to the public. We also have thousands of freeCodeCamp study groups around the world.

GitLab Contact: [Greg Myers](https://gitlab.com/greg)

| Volunteer                                      | Start      | End | Topic                                                                   |
| ---------------------------------------------- | ---------- | --- | ----------------------------------------------------------------------- |
| [Greg Myers](/handbook/company/team/#greg)              | March 2021 | TBD | HTML/CSS, Project feedback, Technical career advice, Tutorials & Guides |
| [Gerardo Gutierrez](/handbook/company/team/#ggutierrez5) | March 2021 | TBD | HTML/CSS, Python, Español, Javascript                                   |
| [Daniel Parker](/handbook/company/team/#dparker)       | March 2021 | TBD | Javascript, Python, HTML/CSS, Project feedback, Technical career advice |
| [Imre Farkas](/handbook/company/team/#ifarkas)          | March 2021 | TBD | Python, Technical career advice, Tutorials & Guides                     |

Coaches interested in helping others in the freeCodeCamp community are encouraged to join the [freeCodeCamp Forum](https://forum.freecodecamp.org/) to help provide guidance and answer questions.

### re:learn

Here is a little bit about **[re:learn](https://relearn.ng/)** in [their own words](https://relearn.ng/):

> At re:learn, our goal is to help schools use technology in a smart way to enhance learning. Through content curation and capacity development - with a wide network of trained facilitators, our aim is to improve the learning experience in and out of the classroom.

The possibilities for volunteering at re:learn will initially start with Fireside chats for the teachers and/or students as part of the program. Hereafter we will look into 1 to 1 coaching for teachers and any assistance with regards to building curriculum for the students.

GitLab Contact: [Roos Takken](https://gitlab.com/rtakken)

| Volunteer                                 | Start        | End   |
|-------------------------------------------|--------------|-------|
| [Christina Hupy](/handbook/company/team/#c_hupy)   | January 2021 |TBD    |
| [Daniel Parker](/handbook/company/team/#dparker)  | January 2021 |TBD    |
| [Lindsay Kerr](/handbook/company/team/#lkerr)      | January 2021 |TBD    |
| [Tom Quirk](/handbook/company/team/#tomquirk)      | January 2021 |TBD    |
| [Roos Takken](/handbook/company/team/#rtakken)     | January 2021 |TBD    |

### Free top-tier GitLab for qualifying partners

Partners of this program likely qualify for free top-tier features though one of our Community programs.

For partners to obtain the free top-tier GitLab license or subscibtion, have a representative from the organization fill out the appropriate application form:

- [GitLab for Education Program](https://about.gitlab.com/solutions/education/join/)
- [GitLab for Open Source Program](https://about.gitlab.com/solutions/open-source/join/)

Be sure that the application indicates how many user seats the partner organization is requesting.
