---
title: "Data Team Calendar - Meetings"
description: "GitLab Data Team Calendar"
---

---

## Meetings

The [Data Team's Google Calendar](https://calendar.google.com/calendar?cid=Z2l0bGFiLmNvbV9kN2RsNDU3ZnJyOHA1OHBuM2s2M2VidW84b0Bncm91cC5jYWxlbmRhci5nb29nbGUuY29t) is the SSOT for team meetings.
It also includes relevant events in the data space.
Anyone can add events to it.
Many of the events on this calendar, including Monthly Key Reviews, do not require attendance and are FYI events.
When creating an event for the entire Data Team, it might be helpful to check their working hours in Google Calendar and discuss out of working hour meetings ahead of scheduling. Please consider alternating who is meeting after working hours when such meetings are necessary.

### No-Meetings Fridays

While we can't promise we'll never have meetings on Fridays, the team has adopted *[No Meetings Fridays](/handbook/communication/)*.

### Bias For The Maker's Schedule

Most Data Team members identify more strongly with the [Maker's Schedule over the Manager's Schedule](https://www.paulgraham.com/makersschedule.html) and we support this by:

- limiting individual contributor meeting exposure to no more than 20% of their time
- grouping our meetings into contiguous chunks instead of sprinkling them throughout the day or week
- holding most of our required recurring meetings on Tuesdays and Thursdays

### Meeting Protocol

The team follows *[GitLab meeting practices and standards](/handbook/company/culture/all-remote/meetings/)*.

- Every meeting has an agenda.
- Meeting topics are listed in priority order.
- Notes are added to the agenda inline with topics and questions.
- All agendas are stored in the *Data Team Meetings* [shared drive](https://drive.google.com/drive/folders/1qXrwhZZWnFTl4GSQwv3H4hwCFD-V7LE9).

### Recurring Meetings

**Daily Standup**

Members of the data team use Geekbot for daily or weekly standups.
These standup notes are posted in [#data-daily](https://gitlab.slack.com/archives/CGG0VRJJ0/p1553619142000700) and/or [#data-weekly](https://gitlab.slack.com/archives/C03CDU924KA).
When Geekbot asks, "What are you planning on working on today? Any blockers?" try answering with specific details, so that teammates can proactively unblock you.
Instead of "working on Salesforce stuff", consider "Adding Opportunity Owners for the `sfdc_opportunity_xf` model."
There is no pressure to respond to Geekbot as soon as it messages you.
Give responses to Geekbot that truly communicate to your team what you're working on that day, so that your team can help you understand if some priority has shifted or there is additional context you may need.

**Tuesday Planning and Results Meetings**

During weekly or twice-weekly meetings on Tuesdays (cadence depends on the team), we focus on results delivery within the business-focused Fusion Teams and Platform Enhancements Team.
Data Team Leadership are expected to regularly attend most sessions and review all meeting agendas.
Because we work in [2-week iteration intervals](/handbook/enterprise-data/how-we-work/#quarterly-and-iteration-planning), the focus of these *Tuesday* meetings will change from week-to-week.

**DEMO Meetings**

Every Thursday we spend time focusing on our data stack and demonstrating solutions under development.

- Demo Meetings: Demonstrating working software and related content is a great way to align on the solution, build awareness, and increase knowledge. Demos can include SQL examples, handbook pages, dbt flows, ERDs, Dashboards, and any other relevant content. Screen sharing and walk-throughs are encouraged. Business stakeholders will be invited to demos when appropriate.

| Time (CET/UTC/ET/PT) | Meeting                                                                                                               |
| :------------------- | :-------------------------------------------------------------------------------------------------------------------- |
| 1700/1500/1100/800  | [Data Team Demos](https://docs.google.com/document/d/1XBAj5x0WziLpqTyGRRu3CsMTDyYx5vDYuBOqqjONbSQ/edit?usp=sharing)   |

**Monthly Meetings**

| Time (CET/UTC/ET/PT) | Day           | Meeting                                                                                                                       |
| :------------------- | :------------ | :---------------------------------------------------------------------------------------------------------------------------- |
| Varies | First Full Week | [All-Hands & Retrospective](https://docs.google.com/document/d/1tAx1K6wt2ufZglzBdJsiIAuYD4B0pKZK9ABckwHD6u8/edit?usp=sharing) |
| Varies | Last Friday | [Handbook Jamboree](https://gitlab.com/groups/gitlab-data/-/epics/248) |
| Varies | Varies | Monthly Pizza Party |
