---
title: "Contributing to the Data Team Project"
description: "This handbook page serves as a practical guide for contributing to the Data Team project"
---
## Practical Guide

Our goal is to empower every team member to contribute to and benefit from our data ecosystem. This guide is designed to break down barriers and enable everyone, regardless of their role or technical background, to actively participate in our data projects.

By providing practical, step-by-step instructions, we aim to demystify the process of contributing to the Data Team's projects. Whether you're a seasoned data professional or someone from another department looking to leverage data for your work, this guide will help you navigate the technical aspects of making changes, resolving issues, and collaborating effectively.

We're committed to enabling teams to self-serve their data needs. This guide complements our [dbt change workflow](/handbook/enterprise-data/how-we-work/dbt-change-workflow/), [dbt guide](/handbook/enterprise-data/platform/dbt-guide/), [sql guide](/handbook/enterprise-data/platform/sql-style-guide/) and [ci jobs](/handbook/enterprise-data/platform/ci-jobs/) pages by focusing on the hands-on aspects of contribution.

Remember, every contribution, no matter how small, helps to enrich our collective knowledge and improve our data capabilities. We encourage you to dive in, experiment, and don't hesitate to ask questions in #data. Together, we can build a more data-driven GitLab.

To make this guide more manageable and easier to navigate, we've broken it down into several focused pages, which you can find linked below:

- [Working with the GitLab Web IDE](/handbook/enterprise-data/how-we-work/practical-guide/web-ide/)
