---
title: "Data Team Programs"
---

<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

## <i id="biz-tech-icons" class="far fa-paper-plane"></i>Introduction

Welcome to the **Data Programs** page. Here you'll find information about the various Data Programs around GitLab and those the Data Team supports, ranging from onboarding to day-to-day operations.

- **[Data Slack Channels](/handbook/enterprise-data/#data-slack-channels)**
- **Primary Data Slack Channel**: `#data`
- **Data Lounge Channel**: `#data-lounge`

## <i class="far fa-newspaper" id="biz-tech-icons"></i> Show-n-Tell and Demos

Recordings of previous demos are posted to the [GitLab Unfiltered Data Team playlist](https://www.youtube.com/playlist?list=PL05JrBw4t0KrRVTZY33WEHv8SjlA_-keI).

## <i class="far fa-newspaper" id="biz-tech-icons"></i> Data Onboarding

If you are onboarding to GitLab and will be working in the Data Program as an Engineer, Analyst, or Developer, follow these steps:

1. Open a new issue in [GitLab Data Analytics](https://gitlab.com/gitlab-data/analytics/-/issues) with the `Data Onboarding` template.
1. Give the issue a descriptive name: `Your Name - Data Onboarding`
1. Assign the issue to your Manager to add/remove relevant content

## <i class="far fa-newspaper" id="biz-tech-icons"></i> Data Proof of Value Guide

The Data Team performs Proof of Value Evaluations (PoVs) for all new technologies we are considering adding to the [Data Platform](/handbook/enterprise-data/platform) or the broader [Technology stack](/handbook/business-technology/tech-stack-applications/). This Guide is intended to help you perform a PoV efficiently and with great results.

### Phase 1: Calculate Value and Define Requirements

1. Establish the Value the technology can provide GitLab. Value can be measured in a variety of ways, ranging from efficiency to increased Sales to reduced compute.
1. Create a Requirements document to define the business and technical requirements the technology must meet to be successful. Indicate whether each requirement is `Must Have` or `Nice to Have`.  Here is a template we have used for [Data Visualization PoV](https://docs.google.com/spreadsheets/d/19YGQHXb35juGRvJn-p2Xe4nNfctOJ7Ga38B0HcP2no8/edit#gid=361948716) and another we have used for [Product Analytics PoV](https://docs.google.com/spreadsheets/d/1_IQbyRbde-U29v8amTv50nLe23BcUr83v0JYQpuRfP8/edit#gid=1640029289).

### Phase 2: Scoping & Policy Awareness

1. Review the [Procurement New Software Guide](/handbook/finance/procurement/new-software/) to ensure you understand the latest procurement process to follow.
1. Execute an [NDA](/handbook/legal/nda/) with each Vendor included in the Evaluation.
1. Obtain preliminary pricing to help validate established budget. If no existing budget is established, work with the Department lead to determine if the project is feasible. Let's not waste time or energy for projects we can't fund.

### Phase 3: Evaluation Design

Evaluation Design is the most complex part of the PoV.

1. Decide how to test the technology versus defined requirements. Often, successfully testing data technologies requires simulating production workloads and constructing a 'Production Level SAFE Workload' is a key challenge in a Data PoV Project.
     - No [Red Data](/handbook/security/data-classification-standard/#red) or [Orange Data](/handbook/security/data-classification-standard/#orange) is ever suitable for inclusion in a PoV.

### Phase 4: Procurement

1. Using the Requirements design as a guide, collaborate with the Vendor to create a Statement of Work (SoW).
     - The Statement of Work should include Success Criteria, Expectations, and a Project Timeline
     - We do not pay for PoVs and all should be $0 Cost
1. Along with the SoW, ask the vendor to send you their Master Services Agreement (MSA).
1. Because request with an amount of $0 is not supported in Coupa, you need to submit the SoW and MSA to Procurement via GitLab in the Procurement [project](https://gitlab.com/gitlab-com/Finance-Division/procurement-team/procurement/-/issues).
   - Submit the SoW and MSA to Procurement via Coupa if the PoV amount is not $0, following this [How Do I Submit a Request to Purchase New Software?](/handbook/finance/procurement/new-software/#how-do-i-submit-a-request-to-purchase-new-software) guide.
      - The process to obtain security approvals is supported in Coupa.

### Phase 5: Assessment

1. Create a shared Slack Channel to coordinate the PoV with the Vendor.
1. Reach out to the vendor for references to schedule a reference Calculate. In a reference call you can:
    - ask about the experience with the technology.
    - ask about their lessons learned.
    - ask how we can setup for success.

### Phase 6: Wrap-Up

`To Be Defined`

## <i class="far fa-newspaper" id="biz-tech-icons"></i> Data Guides and Related Resources

| Program Name | Purpose |
| :--- | :--- |
| [Data Catalog](/handbook/enterprise-data/data-catalog/) | Catalog of dashboards, data sets, and analytics projects |
| [Data for Product Managers](/handbook/enterprise-data/programs/data-for-product-managers/) | Information to help Product Managers |
| [Data for Product Analysis](/handbook/product/groups/product-analysis/) | Information to help Product Analysts |
| [Analytics Instrumentation Group](/handbook/engineering//development/analytics/monitor/analytics-instrumentation/) | Information covering the Analytics Instrumentation team |
| [Data for Marketing Analysts](/handbook/marketing/inbound-marketing/search-marketing/analytics/) | Information to help Marketing Analysts |
| [Data for Sales Analysts](/handbook/sales/field-operations/sales-strategy/) | Information to help Sales Analysts |
| [Data Triage](/handbook/enterprise-data/how-we-work/triage/) | Daily process to ensure the data platform remains available for analytics. |
