---
title: GitLab GmbH (Germany) information & benefits
description: GitLab GmbH (Germany) benefits and information specific to Germany-based team members.
---

{{% panel header="**This is a Secure Document**" header-bg="orange" %}}
Per the stated [Roles & Responsibilities](/handbook/entity/gmbh-germany/#roles--responsibilities), changes to this page must be approved or merged by a code owner. All contributions are welcome and encouraged.
{{% /panel %}}

### Scope

These standards apply to all GitLab team members hired through GitLab GmbH, which has a registered address at Elsenheimerstraße 7, München 80687, Germany.

### Roles & Responsibilities

| Role  | Responsibility |
|-----------|-----------|
| GitLab Team Members | Responsible for understanding and following the requirements in this document |
| People, Legal, Payroll, Total Rewards, Absence | Responsible for implementing and executing this document |
| People, Legal, Payroll, Total Rewards, Absence (Code owners) | Responsible for approving changes to this document |

## Works council

GitLab GmbH has a works council (Betriebsrat). The works council serves the primary functions of balancing the fundamental rights of employer and employees, and ensuring participation and co-determination, as works councils must be consulted about specific issues and have the right to make proposals to management.

For any questions, please contact `DE-workscouncil@gitlab.com`. Please refer to our
[internal handbook](https://internal.gitlab.com/handbook/legal-and-corporate-affairs/legal-and-compliance/germany/)
for more information on how the works council operates.

## Germany-Specific Team Member Benefits

Currently, GitLab provides the below additional benefits, in addition to mandatory state requirements. [General GitLab benefits](/handbook/total-rewards/benefits/general-and-entity-benefits/) still apply. As part of the [guiding principles](/handbook/total-rewards/benefits/#guiding-principles), we will continuously review our benefits design and offerings available through GitLab in Germany.

Join the [#gitlab-germany channel](https://gitlab.slack.com/archives/CCLBN72TW) in Slack for questions.

### Eye Exam and Glasses Reimbursement

Under The Occupational Health and Saftey Act, employers must provide computer glasses when medically necessary to perform the job. If an eye exam determines that a team member needs glasses solely and exclusively for VDU (visual display unit i.e. computer screen) use, GitLab will reimburse towards the cost of a basic pair of frames and lenses (i.e. not designer frames) up to 150 Euro.

The team member needs to provide documentation (a prescription) from the optician that confirms if the lenses are specifically required for reading a display screen only and not required for general day to day use.

Please submit your prescription to Total Rewards for approval. Once approved, please send your receipts to Navan for reimbursement.

### German Supplemental Pension Plans

GitLab has introduced two supplemental Pension Plans for our Germany Team Members.
GitLab offers a **Support fund** (*effective 2023-04*, GitLab contributions only) and a **Direct Insurance Pension Plan** (*effective 2023-05*, Team Member contributions with GitLab matching up to 1% via [Allianz](https://www.allianz.de/?gclid=Cj0KCQiA-oqdBhDfARIsAO0TrGFOXdVxBxDl1GdNzweGsEGxNyDBojrXXa_aita6JwWV_fudgFJOhyAaAhspEALw_wcB&AZMEDID=SEM_SE-GG_VT-g_TH-Brand.Gold_KA-perma%7Copen%7CBrandGold_AG-Brand.Gold.Brand_KW-allianz_MT-p_AZ-334946579704_SL-keinSL_EG-Multiple&ef_id=Cj0KCQiA-oqdBhDfARIsAO0TrGFOXdVxBxDl1GdNzweGsEGxNyDBojrXXa_aita6JwWV_fudgFJOhyAaAhspEALw_wcB:G:s&s_kwcid=AL!8161!3!334946579704!p!!g!!allianz&gclsrc=aw.ds)). Please see the below "Plan Design" section for additional plan details.

For an overview of the Pension Plan please see the [GitLab German Pension Plan Deck](https://drive.google.com/file/d/1fdZBxhIxE0UJrrxFrIwuaL8AY5miHVRl/view?usp=sharing).

The plans are administered by our German Brokers at WTW.  Please see below and the attached [flier](https://drive.google.com/file/d/10MKwET93ZVO6cgAS2LYmE1EfM60LpaOg/view?usp=sharing) for additional details on the plan.

Team members can also email this form directly to WTW  to obtain further support for the insurance tariff for salary sacrifice or request a consultation appointment with a WTW expert if needed:
    Dagmar Hirner
    T +49 611 794 4462
    E meinebAV@wtwco.com

1. **Effective 2023-04 Support Fund Enrollment: Current full-time eligible Team Members will automatically be enrolled into the Support Fund as of 2023-04. Eligible full-time New Team Members will automatically be enrolled in the Support Fund, with their effective date being the following month their start date** (new team members in 2023-05, will be enrolled starting in 2023-06). If for any reason a Team Member wishes to opt out of the Support Fund, please notify Total-Rewards@gitlab.com.
1. **Starting 2023-05 Direct Insurance Enrollment: Team Members who wish to enroll in the Direct Insurance Plan starting on 2023-05 or on a future month will need to**:
    - (1) **Complete the [Direct Insurance agreement](https://drive.google.com/file/d/1xHrUyRKjb9vISSdIBRha7pqOqmSLbInR/view?usp=sharing) with your desired contribution**
    - (2) **Send it to Total-Rewards@gitlab.com and meinebAV@wtwco.com before the 5th of the month**. Following receipt, the Benefits Team will countersign and send to WTW to confirm your enrollment.

- **Please note: you can choose to update your elections or enroll in the Direct Insurance Plan at any time throughout the year.** If a team member notifies Total Rewards before the 5th of the month that they want to join or change their Direct Insurance Plan election - their enrollment/changes will be reflected on the 1st of the current month. If they notify TR after the 5th of the month, enrollment/changes will be reflected the 1st of the following month.

- If there are any questions regarding the Direct Insurance plan or specific inquiries on your enrollment - please reach out our Pension Plan designated expert, meinebAV@wtwco.com, who will be able to further support via email or schedule a call/meeting/consultation, cc'ing total-rewards@gitlab.com
- Team members can also email this [form](https://drive.google.com/file/d/1YFWOK4Wsh3g8bU4EMVwYvZyfyHqvES1V/view?usp=sharing) directly to WTW (meinebAV@wtwco.com) to obtain a quote for the salary sacrifice on the direct insurance plan.
- Team Members should expect a contract (for their reference/records) from Allianz via post mail within 8 weeks of enrollment. If a team member does not receive a contract within the first 2 months of enrollment, please contact meinebAV@wtwco.com.

### Plan Design

**Direct Insurance**: GitLab will match up to 1% of pensionable income, max 1% of SSCC towards team member's salary sacrifice contributions.

- Employee contributions: The team member can elect an amount up to ~7% of the SCC maximum
- Employer :Contributions GitLab Employer contributions will match only 1%. **Please note: team members must elect at least 1% to receive the Employer Match.**

**Support Fund**: GitLab will also contribute 1% of pensionable income up to SSCC, plus 6% of pensionable salary above the SSCC.

- Employer contributions only

**Fixed Adjustments**: Salary is based on Annual Base salary; it is a fixed Salary and does not change throughout the year. Contributions are paid out monthly, but calculations are based on annual salary.

New Joiners to the plan will always be automatically enrolled effective the following month.

### Support Fund Enrollment

**Support Fund Enrollment: Current Team Members will automatically be enrolled into the Support Fund as of April 2023. New Team Members will automatically be enrolled in the Support Fund, with their effective date being the following month after their start.** If for any reason a Team Member wishes to opt out of the Support Fund, please notify Total-Rewards@gitlab.com.

Total Rewards will notify the Non-US Payroll Team, who will start deductions from your paycheck and WTW will notify Allianz to enroll you into the plan. Team Members should expect a contract from Allianz via post mail within 8 weeks of enrollment.
If a team member does not receive a contract within the first 2 months of enrollment, please contact .meinebAV@wtwco.com

### Enrolling or Changing Your Contributions into Direct Insurance

Team members interested in enrolled into the Direct Insurance Plan will need to **complete the [Direct Insurance agreement](https://drive.google.com/file/d/1xHrUyRKjb9vISSdIBRha7pqOqmSLbInR/view?usp=sharing) with your desired contribution** and send it to Total-Rewards@gitlab.com and meinebAV@wtwco.com before the 5th of the month.
Following receipt, the Benefits Team will countersign and confirm with WTW on your updated contribution change. **As a reminder team members must elect at least 1% to receive the Employer Match.**

If a Team member notifies Total Rewards before the 5th of the month that they want to change their Direct Insurance Plan contributions, changes will be reflected on the 1st of the current month. If they notify Total Rewards after the 5th of the month enrollment/changes will be reflected the 1st of the following  month. Total Rewards will inform WTW and Non-US Payroll of the change and when to update the change.
The team member will receive a new version of the contract (may take up to 8 weeks to receive the new contract), however in the meantime Payroll will update the contribution amount.

#### Options for existing direct insurance contracts with prior employer

There are two different options on how to handle existng direct insurance contracts:

- There is a legal claim to the transfer of the value of the existing insurance (transfer of actuarial reserve) if, for example, it is a direct insurance that was concluded as a new commitment as of 01.01.2005. However, the transfer is only possible within 15 months of leaving the previous employer In this case, a new insurance policy is taken out on the basis of current legal principles. This may change the existing insurance cover. The value of the existing insurance will be included in the new insurance to be taken out
- Optionally, the existing contract can be continued privately contributory or non-contributory (in this case, GitLab will not take over the existing contract) and the employee takes out a new contract within the group contract with GitLab.

### Team Members On Leave

For the Direct Insurance plan, Team Members on Leave, including unpaid, maternity, and paternity and extended Long Term Sickness (42 continuous calendar days of sick leave- 6 weeks) are not eligible to contribute on the plans while on leave.

For the Support Fund, during times the team members is not paid pensionable salary, support fund contributions will stop, with the exception of paid maternity and paternity leave.

Contributions will cease the month after the team member goes on leave.  – For example if the team member goes on leave on May 2nd (i.e. they are active on the 1st of the month) they can continue the contribution for that month, the next month (June 1st) we will stop contribution. Contributions will start again the following month after the team member returns from leave.

### Team Member Leaving the Company

When a team member leaves the company, Total-Rewards will notify Allianz of the GitLab alumni's leave date. The alumni can then expect a letter from Allianz with instructions on how to update the insurer of the pension plan from GitLab to the Team Member. Please contact meinebAV@wtwco.com, if you have any questions or may not have received your letter from Allianz.

## German Social Security System

GitLab and team members contributions to pension, health insurance, care in old age insurance and unemployment insurance are mandatory, as required by the state system. The payments are calculated each month by payroll and are shown on the employee pay-slips.

Further information can also be found on the [Germany Trade & Invest Website](https://www.gtai.de/en/invest/investment-guide/employees-social-security-659058).

## Personal Accident Insurance

Effective July 1, 2022 GitLab provides team members in Germany Personal Accident Insurance Coverage with Allianz Versicherungs-AG. All team members are automatically enrolled.

Direct Entitlement is excluded from the plan, meaning the premiums are only taxed in the event of a claim payment. Insured value for death due to an accident is 1x annual salary- limited to 500,000 Euros, the insured value for dismemberment due to an accident is 2x annual salary for a 100% claim - limited to 1,000,000 Euros. For additional details please find the [Fact Sheet in English](https://drive.google.com/file/d/1k0DhHjTjEIpharDYeXuM-HPVnTn2iY5J/view?usp=sharing) and the [Fact Sheet in German](https://drive.google.com/file/d/19bK96bs9L1fXJORqjeFQNZ5I2sTmIQG_/view?usp=sharing).

In the unfortunate event of an accident, please find the Group Personal Accident Flier in [German](https://drive.google.com/file/d/1AbBRSZ1-mkUyITCU0eLhltfRvu3Z3ppy/view?usp=sharing) & in [English](https://drive.google.com/file/d/1GFMTLLgMeyj1EZQ8K0axu8zxhV7jM4QT/view?usp=sharing) with information on how to report an accident and start a claim.

Accidents at work that are fatal or lead to an inability to work for more than 3 days must be reported within three days of the accident to our Berufsgenossenschaft VBG.

1. If you had an accident, please review the criteria by reviewing the [Information panel](https://service.vbg.de/unfaelle-und-berufskrankheiten/unfall-anzeigen) to clarify if the accident is insured as a work accident
1. If it meets the criteria for a work accident, please fill in [this form](https://drive.google.com/file/d/1oIum7DOjuRBdJPGOzv07cIEEdGHVVEcp/view?usp=sharing) and report your accident to the Absence Management Team by emailing the form to leaves@gitlab.com. Fields 2 and 28 will get completed by the Absence Management Team.
1. The Absence Management Team will [notify the VBG](https://service.vbg.de/unfaelle-und-berufskrankheiten/unfall-anzeigen) about the accident report and inform the specialist for occupational safety.

Further things to note:
The injured team member has the right to a copy of the accident report and can request the final document by emailing leaves@gitlab.com.

## Life Insurance

GitLab does not plan to offer different Life Insurance Benefits because team members can access employer insurance and government pension schemes to help with payments in the event of a death of a family member. The [GitLab Life Insurance plan](/handbook/total-rewards/benefits/general-and-entity-benefits/#life-insurance) still applies.

## GitLab GmbH Germany Leave Policy

### GitLab GmbH Germany Parental Leave

To initiate your Parental Leave, submit the dates in Workday by selecting `Parental Leave` under the `Leaves` dropdown menu. This will prompt the Absence Management team to process your leave. You can find out more information about our Parental Leave policy [here](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave).

#### Statutory Leave Entitlement

**Maternity Protection**

**Maternity Leave**

Regardless of the length of service, under the Maternity Protection Act, pregnant team members are entitled to 6 weeks of leave prior to their estimated due date with full pay ([Maternity pay](https://www.tk.de/en/service-faqs/life-change/maternity-pay-2079400)). If a birthing parent does not give birth on the expected day, the period of protection before childbirth is shortened or extended accordingly. Team members may choose to opt-out of the six-week maternity protection period before their due date. This declaration can be revoked at any time with effect for the future.

The Maternity Protection period after the delivery is 8 weeks following the birth (or 12 weeks in case of multiple or premature birth and if the child is medically diagnosed with a disability within the meaning of sec. 2 para. 1 sentence 1 of Book 9 of the Social Code (Neuntes Buch Sozialgesetzbuch) before the end of eight weeks after delivery). Team members may not opt-out of the maternity protection period following childbirth. In case of premature delivery, the period of protection after delivery is extended by the period of reduction of the period of protection before delivery; if the child has been diagnosed with a disability in the sense described above, the period of protection after delivery is extended only if the birthing parent applies for it. The team member will receive full payment during this period. GitLab may receive reimbursement of these payments from the team member's health insurance carrier. Please notify the Absence Management team at `leaves@domain` of your health insurance carrier name and your insurance number.

Under the Maternity Protection Act, a breastfeeding birthing parent may request time off during the first 12 months after delivery for the time necessary for breastfeeding, but at least twice a day for half an hour or once a day for one hour; the birthing parent retains the wage claim against the employer during the period of breastfeeding.

**Parental Leave**

All team members who are or become parents are entitled to take up to three years of Parental Leave.

Regardless of the length of service, under German law employees may take up to three years of Parental Leave following the child's birth, adoption or foster care placement. The entitlement is valid until a child reaches the age of three years. A period of up to 24 months may be taken between the child's third birthday and the completion of his or her eighth year of life. The Parental Leave can be distributed over three time periods, without approval of the employer. Distribution over further periods is possible only with the employer's consent.

In case a birthing parent takes Parental Leave subsequently to the child's birth, the period of Maternity Leave is not credited for the Parental Leave. For expecting birthing parents, they may take the Maternity Protection period followed by Parental Leave. GitLab will provide full Parental Leave pay (provided the team member meets the [eligibility criteria](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave)) for up to 16 weeks of the total leave (not including the Maternity Protection period). The team member may apply for state benefits for the remainder of their Parental Leave.

**Maternity Leave Payment**

- If you are a member of the statutory health insurance, you are entitled to a maximum maternity allowance of 13 euros per day during the Maternity Protection Period. GitLab will supplement your pay so that you receive 100% of your salary for the duration of the Maternity Protection Period.
- If you are privately insured and receive a daily sickness allowance during the Maternity Protection Period, GitLab will supplement your pay so that you receive 100% of your salary for the duration of the Maternity Protection Period.
- If you are privately insured and will not receive a daily sickness allowance, you may qualify for a one-time payment of up to 210 euros from the [Federal Social Security Office](https://www.bundesamtsozialesicherung.de/de/mutterschaftsgeld/ueberblick/). GitLab will supplement your pay so that you receive 100% of your salary for the duration of the Maternity Protection Period.
  - GitLab may receive reimbursement of these payments from the team member's health insurance carrier. Please provide the Absence Management team at `leaves@domain` with the name of your insurance provider and Versichertennummer (insurance number).
  - The Absence Management team will then send payroll the team member's insurance details.
- If you wish to take Parental Leave directly after your Maternity Protection Period ends, you may do so. If eligible, GitLab will pay up to 16 weeks of your total leave (not including the Maternity Protection period), the rest will be unpaid.

**Table for birthing person**

<table style="width: 100%; border-collapse: collapse; text-align: center; font-size: 14px;">
  <thead>
    <tr>
      <th style="border: 1px solid #ddd; padding: 8px;">Period / Point in Time</th>
      <th style="border: 1px solid #ddd; padding: 8px;">Beginning of Pregnancy</th>
      <th style="border: 1px solid #ddd; padding: 8px;">Notification to Employer</th>
      <th style="border: 1px solid #ddd; padding: 8px;">Remaining Pregnancy Time</th>
      <th style="border: 1px solid #ddd; padding: 8px;">6 Weeks Before Due Date</th>
      <th style="border: 1px solid #ddd; padding: 8px;">Day of Birth</th>
      <th style="border: 1px solid #ddd; padding: 8px;">8 Weeks After Birth</th>
      <th style="border: 1px solid #ddd; padding: 8px;">After Maternity Protection Ends</th>
      <th style="border: 1px solid #ddd; padding: 8px;">Up to 12 Months After Birth</th>
      <th style="border: 1px solid #ddd; padding: 8px;">Max. Until Child's 3rd Birthday</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td style="border: 1px solid #ddd; padding: 8px;">Salary (As per German Law)</td>
      <td colspan="3" style="border: 1px solid #ddd; padding: 8px; background-color: #e6f3ff;">Regular salary</td>
      <td colspan="3" style="border: 1px solid #ddd; padding: 8px; background-color: #ccebff;">Maternity pay</td>
      <td colspan="3" style="border: 1px solid #ddd; padding: 8px; background-color: #ffe6e6;">Parental Leave Pay</td>
    </tr>
    <tr>
      <td style="border: 1px solid #ddd; padding: 8px;">GitLab Parental Leave</td>
      <td colspan="6" style="border: 1px solid #ddd; padding: 8px; background-color: #e6f3ff;">not applicable</td>
      <td colspan="2" style="border: 1px solid #ddd; padding: 8px; background-color: #ccffcc;">16 weeks of fully paid Parental Leave(can be taken flexibly within 12 months after birth)</td>
      <td style="border: 1px solid #ddd; padding: 8px; background-color: #ffe6e6;">not applicable</td>
    </tr>
  </tbody>
</table>

**Parental Leave Payment**

- Eligible team members may choose to receive government-funded Parental Leave Pay (Basiselterngeld, ElterngeldPlus or Partnerschaftsbonus). Please note:  Any benefits received will be reduced due to the payments received by GitLab.  If a team member chooses to apply for ElterngeldPlus they should notify leaves@domain, otherwise GitLab will provide 100% of their wages for up to 16 weeks.
  - Parents are generally entitled to a monthly parental allowance paid by the German state for the maximum of in total 14 months. The allowance is granted for the time between the child's birth and completion of the 14th month of life.
  - The total amount of parental allowance months can be split up between the parents or taken by only one parent. The allowance's amount is 67% of the income from employment before childbirth, but at least EUR 300 and a maximum of EUR 1,800. There is no entitlement to parental allowance in the case of foster children. Team members can find further information on Parental Leave benefits via the [Federal Ministry for Family Affairs, Senior Citizens, Women and Youth](https://www.elterngeld-digital.de/ams/Elterngeld).

**Table for partner of birthing person**

<table style="width: 100%; border-collapse: collapse; text-align: center; font-size: 14px;">
  <thead>
    <tr>
      <th style="border: 1px solid #ddd; padding: 8px;">Period / Point in Time</th>
      <th style="border: 1px solid #ddd; padding: 8px;">During Pregnancy</th>
      <th style="border: 1px solid #ddd; padding: 8px;">Day of Birth</th>
      <th style="border: 1px solid #ddd; padding: 8px;">Up to 12 Months After Birth</th>
      <th style="border: 1px solid #ddd; padding: 8px;">Max. Until Child's 3rd Birthday</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td style="border: 1px solid #ddd; padding: 8px;">Salary (As per German Law)</td>
      <td colspan="2" style="border: 1px solid #ddd; padding: 8px; background-color: #e6f3ff;">Regular salary</td>
      <td colspan="2" style="border: 1px solid #ddd; padding: 8px; background-color: #ffe6e6;">Parental Allowance (if taking Elternzeit) or Regular Salary</td>
    </tr>
    <tr>
      <td style="border: 1px solid #ddd; padding: 8px;">GitLab Parental Leave</td>
      <td colspan="2" style="border: 1px solid #ddd; padding: 8px; background-color: #e6f3ff;">Regular salary</td>
      <td style="border: 1px solid #ddd; padding: 8px; background-color: #ccffcc;">16 weeks of fully paid Parental Leave (can be taken flexibly within 12 months after birth)</td>
      <td style="border: 1px solid #ddd; padding: 8px; background-color: #e6f3ff;">Return to work -> or Unpaid by GitLab</td>
    </tr>
  </tbody>
</table>

**Table for adopting persons**

<table style="width: 100%; border-collapse: collapse; text-align: center; font-size: 14px;">
  <thead>
    <tr>
      <th style="border: 1px solid #ddd; padding: 8px;">Period / Point in Time</th>
      <th style="border: 1px solid #ddd; padding: 8px;">Day of Adoption</th>
      <th style="border: 1px solid #ddd; padding: 8px;">Up to 12 Months After Adoption</th>
      <th style="border: 1px solid #ddd; padding: 8px;">Max. Until Child's 3rd Birthday</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td style="border: 1px solid #ddd; padding: 8px;">Salary (As per German Law)</td>
      <td style="border: 1px solid #ddd; padding: 8px; background-color: #e6f3ff;">Regular salary</td>
      <td colspan="2" style="border: 1px solid #ddd; padding: 8px; background-color: #ffe6e6;">Parental Allowance (if taking Elternzeit) or Regular Salary</td>
    </tr>
    <tr>
      <td style="border: 1px solid #ddd; padding: 8px;">GitLab Parental Leave</td>
      <td style="border: 1px solid #ddd; padding: 8px; background-color: #e6f3ff;">Regular salary</td>
      <td style="border: 1px solid #ddd; padding: 8px; background-color: #ccffcc;">16 weeks of fully paid Parental Leave (can be taken flexibly within 12 months after adoption)</td>
      <td style="border: 1px solid #ddd; padding: 8px; background-color: #e6f3ff;">Return to work -> or Unpaid by GitLab</td>
    </tr>
  </tbody>
</table>

**Parental Leave and GitLab's Global Parental Leave Policy**

GitLab GmbH employees in Germany are entitled to both the statutory German parental and Maternity Leave as well as [GitLab's global 16-week paid Parental Leave policy](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave). Here's how these policies interact:

- Maternity Leave: The statutory Maternity Leave period (minimum 14 weeks for single births) is separate from and precedes both statutory German Parental Leave and GitLab's paid Parental Leave.
- Parental Leave: When overlapping with statutory paternity leave, GitLab's paid Parental Leave will substitute for the gaps in payment.
- No statutory paternity/Maternity Leave: If the GitLab team member does not apply for any statutory leave regarding the birth of their offspring, they are still eligible for [GitLab's global 16-week paid Parental Leave policy](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave).

**Applying for Parental Leave in Germany**

- Team members must register their Parental Leave, in writing (wet signature), 7 weeks before the desired start date if your child is under 3 years old, and 13 weeks prior to the desired start date if your child is between 3 and 8 years old. At the same time it must be declared for which periods within two years Parental Leave is to be taken.
- A request for Parental Leave by facsimile or email does not comply with the written form requirement and is therefore void.
- Please register your leave, in addition to the written application, by emailing leaves@domain.
- Submit your Parental Leave in Workday by selecting the `Parental Leave` option.
- Please familiarize yourself with [GitLab's Parental Leave policy](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave).

**Part-time work during Parental Leave**

During Parental Leave, employees are statutorily entitled to part-time work (15 to 30 hours per week) if:

- The employer usually employs more than 15 employees, the employment relationship exists for at least six months,
- The reduction is not opposed by urgent operational reasons, and
- The employee has submitted the request in writing (wet signature, see above) seven weeks for the period up to the child's third birthday and 13 weeks for the period between the child's third birthday and the completion of his or her eighth year of life before the start of the part-time work.

The request must include the start and scope of the reduced working hours.

For expecting non-birthing parents, team members can apply for a state benefit (Basiselterngeld, ElterngeldPlus or Partnerschaftsbonus). If a team member is [eligible for Parental Leave](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave), GitLab will supplement Parental Leave pay for up to 16 weeks of Parental Leave or pay the team member's full salary for the 16-week Parental Leave, when used prior to the child’s first birthday. Please notify the Absence Management team at `leaves@domain` which state benefit you are applying for and how much you will be receiving so that payroll can process the appropriate supplementary amount. Team members can find further information on Parental Leave benefits via the [Federal Ministry for Family Affairs, Senior Citizens, Women and Youth](https://www.elterngeld-digital.de/ams/Elterngeld).

https://handbook.gitlab.com/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave

**Vacation Leave**

Team members are entitled to at least 20 vacation days which run concurrently with GitLab's PTO policy. The days will accrue from the team member's start date. In general, team members must take their annual vacation days during the calendar year, otherwise it is forfeited. However, unused vacation days can be carried forward until the 31st of March of the next calendar year if the team member was unable to take the holiday due to operational or personal reasons. Team members must designate all vacation time taken as `Paid Time Off` in Workday to ensure that vacation entitlement is properly tracked.

## Long-term Care Insurance (Pflegeversicherung)

[Long-term care insurance](https://www.bundesgesundheitsministerium.de/themen/pflege/online-ratgeber-pflege/die-pflegeversicherung.html) was introduced on January 1, 1995 as an independent branch of social insurance. Comprehensive compulsory insurance applies to all those who are legally or privately insured. Everyone who has statutory health insurance is automatically covered by social long-term care insurance. Anyone who is insured in the statutory health insurance automatically belongs to the social long-term care insurance scheme.

**Family Care Leave and Nursing Leave**

Per the [Family Care Leave Act and the Care Leave Act](https://www.bundesgesundheitsministerium.de/themen/pflege/online-ratgeber-pflege/leistungen-der-pflegeversicherung/leistungen-im-ueberblick/wie-wird-die-vereinbarkeit-von-pflege-und-beruf-gefoerdert.html), in certain cases team members are able to receive partial or full care allowance as a wage replacement benefit. This is granted on request by the long-term care insurance (Pflegeversicherung) of the team member in need of care. Please contact the German citizen hotline for health insurance at (030) 340 60 66-01 or the German Federal Ministry of Health at poststelle (at) bmg.bund.de for more information. Please also review the [Care Guide](https://www.bundesgesundheitsministerium.de/fileadmin/Dateien/5_Publikationen/Pflege/Broschueren/BMG_RG_Pflege_barr.pdf)

*Eligibility:*

- Team members who need time to organize or ensure the care of a close relative in need of care in an acute care situation leave for up to ten days;
- Team members who care for a close relative or a close relative at home can also, under certain conditions, take full or partial leave of work for up to six months.
  - GitLab must be informed at least ten working days before the leave commences.
- Team members who accompany a close relative in the last phase of life can claim full or partial leave from work for up to three months;
- Team members who care for a close relative in need of care in a home environment are entitled to family care leave, i.e. to a partial leave of absence for one continuous period of up to 24 months with a minimum of 15 working hours per week;
- If the relative is underage, there is an entitlement to leave even if care takes place outside the home environment.

This leave runs concurrently with GitLab's Sick Time policy. When partial paid leave is claimed, GitLab will supplement the team member's benefit so that they receive 100% of their pay for the first 25 days of leave. Please contact the Absence Management team at `leaves@domain` to ensure your eligibility and provide awareness of your proposed leave.

How to Apply:

- Team members must email leaves@domain proof of the relevant illness of the close relative by means of a medical certificate.

## Sick Leave

### Statutory Sick Leave

Team members are entitled to 100% of their salary, to be paid by GitLab, for up to the first six weeks if they are unable to work due to an illness. This runs concurrently with GitLab's [Sick Time](/handbook/people-group/paid-time-off/#sick-time-procedures---all-team-members) policy.

- If a team member is sick for more than six weeks, they can apply for "Krankengeld" from their health insurer. The benefit amount will be less than the team member's salary.

Beginning January 1, 2023 team members with statutory health insurance are not required to provide GitLab with a hard copy of their certificate of incapacity to work (AU certificate). Instead, the health insurance company will provide corresponding incapacity data electronically and GitLab will then "call up" this data.

- Team Members with private health insurance will still be required to email leaves@domain a hard copy of their certificate no later than the 4th day of illness.

#### Reporting Guidelines

Team members are still required to report their absence(s) to GitLab, but AU certificates are not required until after the 3rd day of an absence.  Beginning the first day, team members should notify their Manager first, and then enter the time away into Workday by selecting the label `Out Sick` under the `Time Offs` dropdown menu.  After 3 days of continuous absences, team members should first notify the Absence Management team (leaves@domain) of their sick leave (including the start and anticipated end date) and then enter the time away into Workday using the label `Out Sick` under the `Leave Types` dropdown menu.  The Absence Management Team will then "call up" the AU certificate on behalf of the team member.

- Team Members with private health insurance will still be required to email leaves@domain a hard copy of their certificate no later than the 4th day of illness.

### During COVID-19

We encourage all team members to meet with a *virtual doctor* for the certificate to avoid the need to leave home.

**Infection Protection Act**

The [Infection Protection Act](https://www.gesetze-im-internet.de/ifsg/index.html) was recently updated with a few [amendments](https://www.bundesregierung.de/breg-de/themen/coronavirus/kinderkrankengeld-1836090) related to entitlement to expanded children's sickness benefits related to the Coronavirus. Please review the current law of the Infection Protection Act (IfSG)and contact your doctor to see how it applies to your situation and family.

## Administrative Details for Benefits Team

### Personal Accident Administration

**Key Date Reporting:**

1. Approx 3 Months prior to the renewal date, July 1st, the Total Rewards team will send the number of team members and the annual salaries covered in the plan to the Broker, WTW, to share with the insurer  `nicole.smole@willistowerswatson.com`
    - Annual Salary definition: gross monthly remuneration of the last 12 months before the day of the accident. For persons who have not yet been employed for 12 months on the day of the accident, the remuneration paid up to that point is extrapolated to 12 months. Salary means the total monetary remuneration of a person including all allowances, not including bonuses or one-off payments.
    - The insurance cover of the team member shall commence as soon as he/she starts an employment relationship. The insurance cover of the team member shall lapse if he/she leaves the employment relationship with your existing employment relationship or resigns from the association.

**Claims Reporting**

1. Once a Team Member files a claim, the compensation paymnet is transferred to the employer. In addition the insurer will inform the Total Rewards team that a payment has been made.
1. Total Rewards will notify non-US Payroll and Payroll will payout the claim accordingly and withhold taxes as applicable.

## Pay slip provider

[Cloudpay](https://self-service.cloudpay.net/) is the current pay slip provider. It is recommended to regularly download the pay slip pdf documents (German / English) and store them in a safe place. The provider also allows to access important tax documents:

- Meldebescheinigung zur Sozialversicherung (this is an important document to keep because in this is proof that you paid into the pension funds).
- Ausdruck der elektronischen Lohnsteuerbescheinigung (yearly tax certificate)

## Post

Any post sent to our German entity address is forwarded to RPI based in Germany and then scans are sent to payroll, RPI payroll and Vistra.

## Company stamp

Our legal council has the German company stamp and can stamp government forms for us. Please see 'Entity & Co-Employer HR Contacts' in the People Connect 1password folder for contact details.

## Email Signature

During onboarding you may have been asked to set up your GitLab Gmail and your email signature using the following [example as a guideline](/handbook/tools-and-tips/#email-signature). If you are a employed by our German entity, you will need to add some company related details to the end of your email signature as [set out here]({{< ref "tools-and-tips#email-signature-if-employed-by-our-german-entity" >}}) (accessible internally to GitLab only).

## Company details/Signature on Company Communications

Some company related details are required to be added as a signature to certain forms of communication, where that communication is going from a team member employed by our German entity GitLab GmbH to outside of the company, *and* relates to GitLab's business activities. There are further details listed [here]({{< ref "tools-and-tips#add-company-details-to-certain-company-communications-if-employed-by-our-german-entity" >}}) (accessible internally to GitLab only).

## Useful links

- [Payroll calendar for GitLab GmbH](https://internal.gitlab.com/handbook/finance/payroll/?search=payroll#pay-dates) (internal)
- [Payroll-related information for GitLab GmbH](https://internal.gitlab.com/handbook/finance/payroll/?search=payroll#germany) (internal)
