---
title: "GitLab Iberia s.r.l. (Spain) Information and Benefits"
description: "Entity Information for GitLab Iberia s.r.l. Spain Team Members"
---

{{% panel header="**This is a Secure Document**" header-bg="orange" %}}
Per the stated [Roles & Responsibilities](/handbook/entity/iberia-srl-spain/#roles--responsibilities), changes to this page must be approved or merged by a code owner. All contributions are welcome and encouraged.
{{% /panel %}}

Bienvenido! This Handbook is for team members employed by GitLab Iberia s.r.l and includes (we hope!), all the information you might want or need. If there's anything we don't have here, that you think should be included, please feel free to make a suggestion.

### Scope

These standards apply to all GitLab team members hired through GitLab Iberia s.r.l., which has a registered address at Avenida Concha Espina 39B, 28016 Madrid.

### Roles & Responsibilities

| Role  | Responsibility |
|-----------|-----------|
| GitLab Team Members | Responsible for understanding and following the requirements in this document |
| People, Legal, Payroll, Total Rewards, Absence | Responsible for implementing and executing this document |
| People, Legal, Payroll, Total Rewards, Absence (Code owners) | Responsible for approving changes to this document |

## Employment Contracts

GitLab's Team Member contract templates, including for Spain, [will be listed here in due course](https://internal.gitlab.com/handbook/people-group/people-operations/people-connect/employment_contracts/#spain) (for reference only), viewable by **anyone in GitLab** (internal only). The DRI for all GitLab Team Member contracts is the People Connect Team. Any changes to any contracts should be requested through People Connect and will require approval from our Senior Director of Legal, Employment.

Contract copies are lodged with the Spanish Labour Inspectorate by the payroll provider (Papaya) as required. Contact nonuspayroll@gitlab.com if you have any queries.

### Applicable Collective Bargaining Agreement (the "CBA")

The XVIII Convenio colectivo estatal de empresas de consultoría, tecnologías de la información y estudios de mercado y de la opinión pública [the XVIII state collective agreement for consulting companies, information technologies and market and public opinion studies] applies at GitLab and the July 2023 version can be found [here](https://www.boe.es/boe/dias/2023/07/26/pdfs/BOE-A-2023-17238.pdf).

### Professional Groups under the Applicable CBA

Team members ought to be classified under a professional group and level (by area of activity) as required by the CBA. The CBA sets minimum salary levels per area and group and it also sets the required trial/probation period length (if applicable).

## Employment Policies

In addition to the [People Policies](/handbook/people-policies/) page of the Handbook, which serves as a directory of relevant policies and also lists entity specific employment policies where they are applicable, there are Spanish language versions of many of the policies available for reference and they can be accessed from [here](/handbook/people-policies/#translations).

## Legal Policies

In addition to the [Legal Policies](/handbook/legal/#gitlab-policies) page of the Handbook, there are Spanish language versions of many of the policies available for reference and they are accessible [here](/handbook/people-policies/#translations).

## Payroll Details

### Pay Dates

The [pay date](https://internal.gitlab.com/handbook/finance/payroll/#pay-dates) is on the 28th of each month. If the 28th falls on a weekend or public holiday, payment will be made on the prior working day. For the December salary payment date, payroll team will make an announcement notifying team members of the precise date.

### Payslip Access

All team members can access their payslips though Papaya SSO available as a tile in OKTA. Access will be activated with the first payslip. For any payslip access or general payroll issues please contact payroll in HelpLab by following the [HelpLab](/handbook/business-technology/enterprise-applications/guides/helplab-guide/) guide.

## Timekeeping Policies

It is mandatory for every Spanish company to register the working day of its employees and these timekeeping records must be kept for four years.

Trust-based working time generally refers to a GitLab's way of working, a flexible working time model in which team members can independently decide on the location and timing (i.e. beginning and end) of their work day. GitLab trusts that team members will fulfill their work obligations. A documentation of working hours does not stand in the way of such an agreement. This documentation does serve to protect the safety and health of employees and ensure rest is taken.

### Timekeeping Record

As of May 1, 2024 each team member employed by GitLab Iberia will be required to log the start and end of their daily work time. We have provided a Google spreadsheet template, in English or Spanish. This record will be kept by Payroll and can be audited at any time.

### Daily Work Time

Team members will render their services on a full-time basis and the annual working hours at GitLab will be in accordance with applicable legislation and the applicable CBA.

### Rest Policy

Between work days, team members are entitled to an uninterrupted rest period of 12 hours. Additionally team members are entitled to a weekly rest period of 1.5 uninterrupted days (usually taken on weekends).

### Overtime

Overtime, if appropriate, _must be expressly and previously authorized in writing by GitLab_. If GitLab has _not_ required or authorized overtime work, then team members should not exceed the normal daily working hours and such time worked in excess will not be considered overtime for any purposes.

## Timesheets

Team members will be expected to fill out a monthly timesheet at the end of each month. The timesheet template can be found [here](https://drive.google.com/drive/folders/1KFUjpX1T2EBLqsi2c6jauI7odIiu9WXF) and either the English or Spanish version can be used.

### Submitting Timesheets

1. Completed timesheets must be submitted before the 2nd of the following month.
1. Completed timesheets must be saved as a PDF file.
1. Go to your Okta account and click on the HelpLab SSO tile.
1. Click on the Payroll dropdown, and select Timecards.

![HelpLab Payroll dropdown](/handbook/entity/images/timecards.png "HelpLab Payroll dropdown")

1. Click on the Timecards request tile.

![Timecards request tile](/handbook/entity/images/timecards-request.png "HelpLab Timecards Request")

1. Enter the Entity (GitLab Iberia srl)
1. Enter that No, you do not require your manager's approval
1. In the How can we help box, state that you are submitting your timesheet for MONTH YEAR, for GitLab Iberia srl.
1. Upload your timesheet pdf file, and ensure that it contains your Name, the Month and Year of the timesheet in the file title.
1. Click Submit.

![Timecards submission](/handbook/entity/images/timecards-submission.png "HelpLab Timecard Submission")

For any questions relating to this process please reach out to the Non US Payroll team via HelpLab. For new hires or any relocations, this information will be in the relevant onboarding/relocation issue/channel.

Timesheets contain 4 columns for logging worked time: **Time In, Time Out, Breaks, and OOO**. Only enter “OOO” in the OOO column for any half or full days that you are Out of Office, whether it is paid or unpaid. **Team members must also accurately log all OOO time into Workday and provide sick notes per statutory sick leave guidelines.**

## Spain-Specific Team Member Benefits

### Medical Plans

For Spain based team members, GitLab provides 100% paid membership of medical insurance with AXA VIP  (network+Reimbursement). Family members can be added to the insurance and GitLab will pay 50% of the cost to include them. If you would like to add your family member to the plan, please fill out the attached form.

You can view the [2024 plan premiums here](https://docs.google.com/document/d/1ZzQQgDr-11Zw8FHzozPyn6kalo1Y5J0-Fd1uRDXXn9E/edit).

Further information can also be found in the [AXA VIP Summary](https://drive.google.com/file/d/13GpHxj6s4UHwPygdWiqSLbzhw8ppFplr/view?usp=sharing) and [VIP User Guide](https://drive.google.com/file/d/102bUKV0_zsJ8voRWmvcdpWQDr91gY1_k/view?usp=sharing)

Temporary Medical Allowance: To make up for the transition period and pivot in our proposal, the TR team will be offering a monthly gross allowance of 140 Euros until December 31, 2024. After this period the allowance will cease. This will apply to any team member that started on the entity prior to July 1, 2023.

<details markdown="1">
<summary>Taxability of Medical Plans</summary>

Please note that Group Medical plan premiums are tax exempt up to €500 per year/per individual (employee and dependents). Any excess on premium must be reported as benefit in kind and subject to withholding tax.

</details>

<details markdown="1">
<summary>Medical Plan Enrollment</summary>

Team Members must enroll in to the plan upon hire.
The Total Rewards team will share your enrollment details with our brokers at WTW within the first week of their start date. Team Members can expect their AXA welcome package via email within 3 weeks of their start date.

New Hires can add Family members by filling out the Survey Link included in their onboarding document.

Please note you will have 25 days to enroll your family with effective date as the same as the employee enrollment date to access the same medical insurance conditions as the employee, which are:

No waiting periods except for the following procedures:

12 months:

- Urinary incontinence´s rehabilitation
- Telemedicine Program: Children's Cognitive
- Telerehabilitation (Guttmann)
24 months:
- BRCA Plus Determination
- Prophylactic mastectomy/oophorectomy
- Musculoskeletal physiotherapy in case of cerebrovascular accident
- Assisted reproduction.
60 months:
- Bariatric surgery

No medical questionnaire required (pre existing illness will be accepted, except serious illness).

</details>

<details markdown="1">
<summary>Life Event Enrollment</summary>

Other than during enrollment, Team Members can add dependents during certain life events such as birth or marriage, with an effective date of the life event. Please fill out the [Life Event Form](https://docs.google.com/forms/d/e/1FAIpQLSd8YRqlEqfvlZgqUFm2fZ8A6JC5hKrm2JlZKInkUl_nQD3nww/viewform?usp=sf_link) to enroll your dependent.

The Team Member portion of the dependent cost will be deducted from their paycheck on a monthly basis. The Benefit in Kind amount will be reported on a monthly basis and team members will be taxed on the value of the benefit.

</details>

<details markdown="1">
<summary>Offboarding GitLab</summary>

Your benefits will cease on the date of termination. You may be able to transfer your coverage to a personal plan through our brokers Willis Towers Watson (WTW). Reach out to WTW to Soportehb@wtwco.com and cc Fernanda.Dallagnese@wtwco.com to receive the guidelines for the plan.

</details>

### Life and Disability Insurance

Life Insurance provides peace of mind for you and your loved ones in the event of your untimely death, helping to relieve financial concern during a time of grief. GitLab offers Life Insurance via Generali.

Team Members are automatically enrolled into the benefit with an insured lump sum of 200% Gross Base Salary. This includes cover for the following:

- Death by any cause,
- Accidental Death (additional lump sum),
- Total and Permanent Disability for the own occupation by any cause,
- Accidental Total and Permanent Disability for the own occupation (additional lump sum to TPD)

The Free cover Limit is 500,000 EUR. If your cover is over the Free Cover Limit, you will be asked to fill out a form by the Total Rewards team.

<details markdown="1">
<summary>Taxability of Life and Disability Insurance Plans</summary>

 Group Life insurance premiums are benefit in kind and taxable on the employee's income tax. The premiums are subject to withholding tax. See the [2024 premium rates](https://docs.google.com/spreadsheets/d/1GD79QjfMkIEMxukH0t8vTE949oup_Hco/edit?usp=sharing&ouid=115600862362829120699&rtpof=true&sd=true), which are based on age and salary.

</details>

<details markdown="1">
<summary>Beneficiary Assignment</summary>

In case of Disability: The beneficiary is the insured herself/himself.
In case of Death of the insured, the beneficiaries will be those expressly appointed as beneficiaries by the insured or, in case there is no express appointment, as determined in the beneficiary's general clause settled in the policy:

Spouse not legally separated or divorce under final judgment or legal partner
Children of the insured in equal shares or their descendants in case of death
Parents of the insured in equal shares
Legal heirs of the Insured

To Update your Beneficiary please fill out the [beneficiary designation form](https://drive.google.com/file/d/1g15Kj36z4y0iGxoeSPw8X-ihVnq-kI9w/view?usp=sharing) and send to Fernanda.dallagnese@wtwco.com and total-rewards@gitlab.com along with a copy of the National Identity Card of the employee.

</details>

### Administrative Details for Benefits Team

<details markdown="1">
<summary>Joiners, Leavers, and Payroll Details</summary>

Total Rewards Team will notify WTW whenever there is new hire, leaver, or salary change
When a change in the life or medical premiums occur WTW will send total-rewards@gitlab.com and nonuspayroll@gitlab.com the updated report during the last week of the prior month (for example the June pay period will be sent the last week of May). Please note that the premiums are not prorated for the month.

Team Members are on leave whose salary is paid directly via the Spanish government, will remain on the medical and life insurance plans during leave. Any deductions missed while on leave will be deducted once the team member comes back from leave.

</details>

### Spain-Specific Expenses

Team members will receive the monthly remote working allowance established under the CBA, which will be paid monthly, processed by payroll and will be listed on your payslip as **PLUS TELETRABAJO**.

Any additional expenses will be reimbursed under the [GitLab Global Travel and Expense Policy](/handbook/finance/expenses/), up to any limits set by GitLab.

### Spain-Specific Leave

Below is the information related to Spain's statutory leave policies. Team members may also be eligible for GitLab company leave policies as well, which will run concurrently with statutory policies whenever allowed by law.

**Team Members must enter all scheduled time off at least 30 days prior to the start date to prevent delays or discrepancies in their pay. Any unplanned time away must be entered as soon as possible.**

### Holiday Leave

All full-time workers are legally entitled to 23 working days of paid holiday (PTO) leave a year. In addition, full-time workers are eligible for up to 14 days of paid public holidays a year.

### Sick Leave

Team members are entitled to paid sick leave from the fourth day up to 365 days (extendable by an additional 180 days) if they have provided medical certification.  **Team Members must submit sick leave confirmation reports, if any, within three days after they are signed off work by a doctor.  All reports or medical notes can be sent to the Absence Management Team (leaves@gitlab).**

If an occupational accident is involved, sick leave (including the first three days) is paid by the Safety Service of the Mutual Insurance Company for six months (extendable by another six months).

#### Reporting Sick Leave

Team members must first notify their manager of their need for sick leave and then enter all sick time into Workday by selecting the `Out Sick` label.  Then, team members must contact the Absence Management Team and provide a medical certificate in order to take sick leave and claim sick pay.

### Sick Pay

If a team member has made at least 180 days of social security contributions throughout the previous five years, and has a sickness or injury lasting more than 20 days, they may be declared temporarily disabled by the National Social Security Institute. In that case, the contract of employment is suspended with the position reserved (i.e. without mutual obligations of work and payment) during the period of disability, and the team member is entitled to a partial wage replacement benefits.

Sick Pay is calculated as follows:

- The first three days are unpaid, unless otherwise agreed.
- The fourth to the fifteenth days are paid by the employer at the rate of 60% of the contribution base.
- The sixteenth to the twentieth days are paid by the National Social Security Institute at the rate of 60% of the contribution base.
- Thereafter, the National Social Security Institute pays the team member at the rate of 75% of the contribution base for up to 365 days (extendable  by an additional 180 days).

In the case of an occupational temporary disability, the team member subsidy is paid as follows:

- The first day is unpaid, unless otherwise agreed.
- The second to the fifteenth days are paid by the employer at the rate of 75% of the contribution base.
- Thereafter, the National Social Security Institute pays the team member at the rate of 75% of the contribution base for up to six months (extendable by an additional six months).

### Paid Maternity leave

team members in Spain are eligible for up to 16 weeks of Maternity leave. This rises to 18 weeks for twins and 20 weeks in the case of triplets. For children with disabilities there is an additional two weeks.

Four out of the 16 weeks may be taken prior to the birth of the child.  At least six uninterrupted weeks must be taken immediately following the birth. Also, if you have to take time off whilst pregnant for medical reasons, you are still entitled to the 16 weeks maternity leave after your child is born.

It is also possible to use the 16 weeks in combination with a part-time working timetable or even add holiday time that you are due in order to extend your leave.

For mothers of premature babies or where a baby has to remain in hospital for more than seven days following the birth, standard maternity leave can be extended for up to 13 weeks.

During the maternity period, team members are not paid a salary, but instead a maternity benefit. This contribution is paid directly from the [Social Security Administration](https://www.seg-social.es/wps/portal/wss/internet/Conocenos/QuienesSomos/29413?changeLanguage=es) to the team member.

Same-sex couples: both parents are entitled to paid leave. One will have to apply for paternity benefits, and the other for maternity benefits. However, in order to qualify for paid paternity (or maternity) benefits, it is essential that each parent has a legal link with the child. This means that paid leave will only be granted either:

- If you are a biological parent; or
- If you have legally adopted the child.
- **Being married to the biological or adoptive parent of a child does not qualify for paid leave.**

#### Applying for Maternity Leave

In order to be eligible for paid maternity leave, you must make sure to meet the following requirements:

- You must be working for a company, or as a self-employed worker.
- If you are below 21 years old, you won't be required to have made contributions to social security before.
- If you are 21 to 26 years old, then you must be making contributions to social security for at least 90 days during the past 7 years, or 180 days during your entire working life.
- If you are over 26 years old, 180 days during the past 7 years or at least 360 days during your working life.

If you don't meet this requirement, you can still get your maternity leave and get paid during those 16 weeks. Under certain conditions, you will get a non-contributory pension, which pays approximately 530€ per month. Team Members will need to request your [work-life certificate](https://balcellsgroup.com/employment-history-report/) at the "Tesorería de la Seguridad Social", which can be requested online.

To help plan your leave click: [How Much Exactly Will You Get Paid On Leave](https://balcellsgroup.com/maternity-leave-spain/#How_much_exactly_will_you_get_paid_during_maternity_leave).

Please enter the dates of your leave in Workday by selecting the `Parental leave` label about 30 days prior to the start of your leave.  The Absence Management team will contact you with more information.

### Unpaid Maternity Leave

Excedencia sin sueldo offers the right to take extended leave from work for up to a maximum of three years in total for a mother to care for her children and still return to the same employer. You can request that your exact post be held for a maximum of one year, after which you may be offered a similar post for up to 2 years.

During this absence you will still be recognized as contributing to the social security system. You do not need to agree the time period with your employer beforehand and legally you are required to give two weeks notice before returning to your post.

### Paternity Leave

Team Members in Spain are eligible for 16 weeks of Paternity leave.  The first six weeks must be taken immediately and consecutively after the child's birth, whereas the other 10 weeks can be taken non-consecutively during the first 12 months of the baby's life, which can be extended by one week per child in the case of a multiple birth. An extra week's leave can also be applied for if the baby is born with a disability or health problems. If the baby is premature or has to be hospitalized for longer than seven days, leave can be extended for up to an additional 13 weeks.

This leave must be taken in batches of one week as a minimum, but the weeks can be split over time if desired. The father is also entitled to take unpaid childcare leave until the child is three years old.

Please enter the dates of your leave in Workday by selecting the `Parental Leave` label.  The Absence Management team will contact you with more information.

### Paternity Leave Payments

As long as the father has correctly paid his social security contributions—for a minimum of 180 working days within the past seven years or 360 total days in his entire professional life — 100% of his salary will be covered (as long as payment does not exceed 4070.10 EUR).

This money comes from the Spanish government, not his employer, though employers are liable for certain taxes that pertain to the salary, such as withholding.

### Applying for Parental Leave in Spain

To initiate your parental leave, submit your time off by selecting the `Parental Leave` label in Workday at least 30 days before your leave starts.

### Breastfeeding leave

Parents can take an additional breastfeeding leave after parental leave. This breastfeeding leave can be enjoyed in two ways:

- Take one hour off during the day, until the child is nine months old (it can either be one hour, or half an hour at the beginning and at the end of the working day)
- Take 15 consecutive days after the parental leave

The breastfeeding leave is considered as working time, meaning that the team member doesn't receive anything from Social Security and is paid by the company at 100%.

### Other leave policies

- **Adoption leave:** upon adoption of a child or have taken in a foster child, team members are entitled to the same entitles apply as for maternity and paternity rights. Applies to both parents.  When adopting or fostering a child, each parent is eligible for the same 16 weeks as is the biological parent if the child is under six years old. If the child is older, both adoptive parents are eligible for the remaining optional 10 weeks that a biological parent would have after the first obligatory six weeks after birth.
- **Emergency and short absense leave:** intended for unforeseen personal circumstances for which an team member has to take time off immediately. Examples include making arrangements for the care of a sick family member or in the event of a death in the family. Up to two calendar days or four if travel is required.
- **Long-term care leave:** when a child, partner or parent of the team member is seriously (i.e. life threateningly) ill and requires care, the team member can request long-term care leave.
- **Unpaid leave:** the team member may take unpaid leave in consultation with the employer on a full-time or part-time basis. Granted at the discretion of the employer, but must always be set in an individual or collective agreement. Unpaid leave periods are not regulated by law.
- **Menstrual Leave:** team members are entitled to three days of menstrual leave, with the possibility of extending it to five days.  Team members must send their medical certificate to the Absence Management Team. Social security will pay the sickness benefit from the day of the sick leave during the menstrual leave. No minimum contribution period is required to be entitled to menstrual leave.

## Health and Safety

These details will be added in due course - hold tight please.

## On the Roadmap for Spain

What's next in Spain? Any planned policy additions will be put on a roadmap here.

## Transparency/Version control

If/when country specific policies are added or updated, and where it is possible, previous versions of those policies will remain accessible internally and will be linked from current versions.
