---
title: GitLab Israel Ltd. information & benefits
description: GitLab Israel Ltd. benefits and information specific to Israel-based team members
---

{{% panel header="**This is a Secure Document**" header-bg="orange" %}}
Per the stated [Roles & Responsibilities](/handbook/entity/israel-ltd/#roles--responsibilities), changes to this page must be approved or merged by a code owner. All contributions are welcome and encouraged.
{{% /panel %}}

This Handbook page is for team members employed by GitLab Israel Ltd. and includes (we hope!), all the information you might want or need. If there's anything we don't have here, that you think should be included, please feel free to make a suggestion.

### Scope

These standards apply to all GitLab team members hired through GitLab Israel Ltd..

### Roles & Responsibilities

| Role  | Responsibility |
|-----------|-----------|
| GitLab Team Members | Responsible for understanding and following the requirements in this document |
| People, Legal, Payroll, Total Rewards, Absence | Responsible for implementing and executing this document |
| People, Legal, Payroll, Total Rewards, Absence (Code Owners) | Responsible for approving changes to this document |

## Employment Contracts

GitLab's Team Member contract templates, including for Israel, (which will be listed in due course) are [here](https://internal.gitlab.com/handbook/people-group/people-operations/people-connect/employment_contracts/#israel) for reference purposes, viewable by **anyone in GitLab** (internal only). The DRI for all GitLab Team Member contracts is the People Connect Team. Any changes to any contracts should be requested through People Connect and will require approval from our Senior Director of Legal, Employment.
Can't find what you're looking for? Try the main [People Operations page](/handbook/people-group/).

## Employment Policies

The [People Policies](/handbook/people-policies/) page of the Handbook serves as a directory of relevant policies and also lists entity specific employment policies where they are applicable.

## Legal Policies

The [Legal Policies](/handbook/legal/#gitlab-policies) page of the Handbook serves as a directory of relevant policies.

## Timekeeping

It is mandatory to record the working day of team members employed in Israel and team members undertake to report their actual working hours, as may be required by the company.

Trust-based working time generally refers to a GitLab's way of working, a flexible working time model in which team members can independently decide on the location and timing (i.e. beginning and end) of their work days. GitLab trusts that team members will fulfill their work obligations and documentation of working hours does not stand in the way of such an agreement. This documentation does serve to protect the safety and health of employees and ensure rest is taken.

### Timekeeping Record

Each team member employed by GitLab Israel Ltd. will be required to report their actual working hours using the methods prescribed (the details of which will be shared in due course, please hold tight!). These records will be kept by Payroll and can be audited at any time.

### Daily Work Time

Team members will generally render their services on a full-time basis, noting that the standard working days and hours will be in accordance with applicable legislation and team member's employment contracts. Currently they are 5 days a week between Sunday and Thursday, four days of 9 gross hours (including lunch and rest breaks) per day and one shorter day of 8 gross hours including breaks.

### Rest Periods

Each team member is entitled to a rest period of at least 8 hours between work days and to 36 continuous off-hours per week, including their rest day. The regular weekly rest day is Saturday.

### Overtime

The fact that team members may work beyond the regular work hours, overtime hours and/or on irregular days is reflected in a monthly consideration, payable as salary, and team members should not work hours or days beyond this quota (60 hours) without prior written approval. If GitLab has _not_ required or authorized overtime work, then any such time worked in excess will not be considered overtime for any purposes.

## Payroll Details

Payroll information will be linked in due course - please hold tight!

## Israel-Specific Team Member Benefits

Currently, GitLab provides the below additional benefits, in addition to mandatory state requirements. [General GitLab benefits](/handbook/total-rewards/benefits/general-and-entity-benefits/) still apply. As part of the [guiding principles](/handbook/total-rewards/benefits/#guiding-principles), we will continuously review our benefits design and offerings available through GitLab in Israel.

### Pension

All team members in Israel are enrolled in the Pension Arrangement. In general the Pension Plan contributions are outlined below, however please refer to your employment agreement for specific details.

- Team Members contribute 6% through payroll deductions. Team Members have the option to increase their payroll deductions if they choose, up to 7% max.
- GitLab contributes up to 6.5% (includes disability) and 8.33% (severance pay).There are special cases where this may vary, please refer to your employee contract for specifics.
- You can elect and personalize your plan via Shaldan or your private insurance agency.
- Employer contributions are based on your eligible earnings, the definition of eligible earning is Base salary and overtime.

Pension contributions continue while on leave, with the exception of unpaid leave.

#### Enrollment & Administration of the Pension Plan

During onboarding Total Rewards team will connect team members with our broker, Shaldan, to set up their pension arrangement. Shaldan will work with the Payroll accountant who will deduct the employee contributions and fund the pensions appropriately.

Shaldan is the operating agent who is responsible for ensuring funds are received by the pension accounts.
When team members leave GitLab, they will need to connect with Shaldan to assist payroll in generating a form that will contain the amount of Severance pay, to fill out form 161.

### Study Fund

A Study Fund (Keren Hishtalmut) is a savings instrument in Israel with special tax benefits. Team Members can use the fund to save for education expenses, and other financial goals beyond education.

Team Member contribution to the study fund is 2.5% of their determined salary, which is deducted on a monthly basis. GitLab contributes 7.5% of determined salary to the study fund.

Study Fund contributions continue while on leave, with the exception of unpaid leave.

### Meal Card

Israel Team Members are granted a meal allowance of up to NIS 900 per month. Vouchers are managed through Cibus. Team members will receive a debit card to use the benefit.

Team Members do not recieve the meal allowance while on unpaid leave.

### Transportation Allowance

This policy applies to all Israel-based GitLab team members who choose to work from a co-working space regularly and meet the requirements outlined in the [Global Expense Co-Working Space Policy](/handbook/finance/expenses/#co-working-space)
 This allowance is intended to cover travel expenses from the team member's residence to the co-working space.

Note: This allowance will be paid through payroll rather than reimbursed through Navan. While the Global Expense Policy generally excludes transportation to and from co-working spaces from reimbursement, the Israel transportation allowance will still be processed as outlined here. If a team member works from a co-working space on a one-off basis while traveling for business, travel expenses should be reimbursed via Navan in line with the Global Expense Policy.

<details markdown="1">

<summary>Eligibility Criteria</summary>

- The co-working space must  in line with the [Global Expense Co-Working Space Policy](/handbook/finance/expenses/#co-working-space)
- The co-working space must be used regularly (i.e., on a monthly basis).
- Team members must submit required documentation as outlined below.

</details>

<details markdown="1">

<summary>Application Process</summary>

To receive the transportation allowance, team members must:

- Complete and submit the [Israel Transportation Allowance Form on HelpLab](https://helplab.gitlab.systems/esc?id=sc_cat_item&sys_id=0f8a3eefff991e103691fe34fc4fd9be)
- Information required for the form:
  - A copy of the lease agreement for the co-working space.
  - The address of the co-working space.
  - The number of days per week that the team member intends to travel to the co-working space.
- The allowance is provided for the duration of the lease agreement. Once the lease agreement lapses, team members must resubmit the form and HelpLab ticket to continue receiving the allowance.
- It is the team member’s responsibility to submit a new request upon lease expiration.

Submit your form and supporting documents by the 4th of each month to be included in the upcoming payroll cycle. Submitted details will be reviewed by the Non-US Payroll and Total Rewards Team, who will calculate and process the allowance through payroll.

</details>

### Accrued Recuperation

Accrued Recuperation is an Israel entitlement meant to help fund expenses that encourage recuperation and recovery. GitLab will pay the Accrued Recuperation payment in July, in accordance with applicable law. The pay is subject to completion of one year of employment.

### Gifts

As customary, Gifts are offered for major holidays such as Passover and Rosh Hashanah at the company's discretion. These gifts are provided through a gross payment in payroll. Please note that the gift amount will be subject to taxation.

### Medical

GitLab does not plan to offer Private Health Insurance at this time because all the Israel team members will be covered by a statutory benefit through Kupat Holim. This health insurance scheme covers all the team members and their family members.

## Leave Policy

### Annual Leave

Team members in Israel may make use of [GitLab's Flexible PTO Policy](/handbook/paid-time-off/), as may be amended from time to time, in addition to their statutory vacation entitlements, which will accrue in accordance with local laws. Team members should check their individual employment contracts for the minimum number of vacation days to which they are entitled and note that team members are required to take at least five consecutive vacation days each year.

The accrual and use period for statutory vacation days is the calendar year, from 1 January 1 to 31 December, and any unused statutory vacation leave will be forfeited if not used within the balance period.

Team members with a full-time, 5-day working week are entitled to the following number of statutory vacation days:

- 16 days during their first five years of service
- 18 days from the sixth year
- 21 days from their seventh year, and
- from the eighth year onward, 1 additional day per year of service up to a maximum of 28 days.

Annual leave payment is calculated at the regular salary pay rate.

### Sick Leave

Under the applicable Israeli law, team members are entitled to 1.5 days of sick leave per month, up to a maximum of 90 days. From the first day of sick leave, the team member is not entitled to statutory pay, but on the second and third day of sickness, the team member is entitled to 50% of their regular pay. The team member is entitled to 100% of their regular pay from the fourth day onward.  Upon return, team members must provide a medical certificate from a medical professional.  All medical certificates should be sent to the Absence Management Team (leaves@domain.com).

Under the Sick Pay Law amendment a team member suffering from a malignant disease (i.e. cancer) or a condition that requires regular dialysis treatments, or who recovered from such a disease, is eligible for full sick pay (100%) from the first day of absence, if on leave from work to receive care or undergo periodic examinations for that condition (up to a maximum of 90 days). Team members must provide a medical certificate from a medical professional confirming the necessity of treatment or examination because of the condition.

Team members may be eligible for [GitLab's Sick Time Policy](../people-group/paid-time-off/#sick-time---taking-and-reporting), which runs concurrently with the statutory process, and will supplement a team member’s pay up to 100% of their regular salary for up to 25 working days of continuous absences. Eligibility is calculated on a rolling 12-month period and only pertains to absences when team members need to be away from work for 5 or more continuous days or non-continuous if related to the same illness. Team members must notify their manager first, and then enter the time away into 'Workday' by selecting the label `Out Sick`.  If a team member is out sick for more than 5 working days, they must contact the Absence Management Team (leaves@domain.com).

### Maternity Leave

Team members with one year or more of service are entitled to 26 weeks of maternity leave. The team member may take up to seven weeks of leave before the predicted due date of the child and the remainder after the birth. Israel's social security system compensates the maternity leave if the team member is eligible which generally equals 15 weeks of fully paid leave and 11 weeks of unpaid leave.

Team members who have worked for the company for less than one year are entitled to 15 weeks of maternity leave.

- A team member may extend their maternity leave entitlement by three weeks in the case of multiple or complicated births.

- In the unfortunate circumstance that a mother loses her child after the birth or after the 22nd week of pregnancy, she is still eligible for maternity leave.

Team members must take at least 7 weeks of maternity leave after the child is born.  After the 7th week of leave, the mother can choose to return to work and transfer the remaining maternity leave period to her spouse.

Maternity leave runs concurrently with [GitLab's Parental Leave](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave).  About 30 days before the expected due date, team members should enter their time away into 'Workday' by selecting the label `Parental Leave`.

### Adoption Leave

Team members shall be entitled to an adoption leave similar in terms to a maternity leave as described above as well as to nursing benefits if the child is aged under 10 at the beginning of the adoption leave. The difference in terms regarding adoptive parent is that the commencement date of leave is the date the child came into the custody of the adoptive parent.

### Surrogacy Leave

Team members who are intended parents in a surrogacy process are also qualified for maternity leave as described above. The difference in terms regarding intended parents is that the commencement date of leave is the date the child came into the custody of the intended parent.

### Paternity Leave

Paternity leave begins immediately following a partner going into labor and up to 24 hours following the birth, a team member is allowed to be absent from work for up to 5 days as paternity leave. The first three days of this leave will be paid from their accrued annual vacation and the remaining two days will be deducted from their accrued sick leave.

Paternity leave runs concurrently with [GitLab's Parental Leave](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave) and provides team members with up to 16 weeks of paid leave.  About 30 days before the expected due date, team members should enter their time away into 'Workday' by selecting the label `Parental Leave`.

### Statutory Parental Leave

If maternity leave is being shared, fathers can take days off after the birth of a child, but these days will be subtracted from the maternity leave. If maternity leave is not being shared, team members are still eligible for up to 16 weeks of GitLab Parental Leave.

Any statutory Parental leave taken will run concurrently with [GitLab's Parental Leave](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave).  About 30 days before the expected due date, team members should enter their time away into 'Workday' by selecting the label `Parental Leave`.

### Parenting Hour

Full-time team members returning to work after the end of maternity leave are entitled to a shorter working day by one hour each day, for a period of 4 months. Both parents can share this entitlement, subject to a prior written acknowledgment to their respective employers regarding their intention to do so, 21 days before the end of maternity leave.

### Fertility Treatment Leave

Team members undergoing fertility treatment may be entitled to a leave from work (similar in nature to sick leave) during the term of the treatment, if they have received their doctor's approval that the treatment requires so, and subject to notifying GitLab in advance.

### Bereavement Leave

In Israel, in the event of a death of an immediate family member, team members are entitled to up to seven calendar days of paid leave to grieve for their loss.

Team members should enter the time away into 'Workday' by selecting the label `Bereavement`.

### Service Duty Leave

Military service is mandatory in Israel and an employee serving on reserve duty must still be paid by their employer.

In Israel, team members serving on reserve duty will still be paid by GitLab and [GitLab will then apply for a refund of reservist’s benefit](https://www.btl.gov.il/English%20Homepage/About/Frequent_questions/HarvotBarzelOuestions/Reserve%20service/MasikimMilQ/Pages/default.aspx).

If requesting military service leave, a team member should contact leaves@gitlab.com with the details and team members should enter the time away into 'Workday' by selecting the label `Military Service` under the `Leaves` dropdown menu.

In order to enable GitLab to apply for a refund of reservist’s benefit, the team member should provide confirmation of the reserve duty period (by a form 3010 unless exempt from doing so). Where a differential is received by GitLab for a benefit of a higher amount than a team member's wage, this differential will be paid to the team member.

Note that a 40% supplement on reserve benefit will be paid proactively by the National Insurance, without the need to file a claim once the exact period of service of each reservist can be determined.
