---
title: Navan Physical Card
decription: >-
  This page contains GitLab's Navan Physical Card guidelines and procedures.
---

## 1. POLICY

- The purpose of this Navan Physical Card policy is to facilitate purchases necessary for the company operations and expedite the process in an efficient manner.
- The introduction of this mode of payment is not to override the procedures set forth in the Company's Procurement Policy, but to provide an alternative method of purchase for lower cost necessary goods and services.
- This policy intends to ensure that Navan Physical Cards are used for appropriate business purposes and that adequate controls are installed for regular use.

**This policy applies to**:

- Ad hoc Vendor's & less than $5,000 USD for the transaction.
- In case of transactions where the vendor only accepts credit card payments.

**Please note that the policy restricts the use of the card**:

- To bypass the GitLab Procurement process.
- For any charges above 5,000 USD; as they must submit through Zip for procurement processing.
- For any items already noted as not permissible per the Expense policy (ie. software).
- For the additional items noted as "non-permissible" and should be personally expensed that are listed  below in section 4.

To ensure good financial management and sound corporate governance, cards are only provided to team members under their name, and with the request/approval of the Direct Manager, and Chief Accounting Officer's final approval. These approvals are documented in an issue for tracking purposes.

## 2. General Guidelines

- All card charges require a receipt, with exception of US team members in which receipts are required for
anything over $50.   You can add the receipt once the charge reflects in Navan Cards, and in any event within 30 days.
- If a card holder is missing a receipt, a Missing Receipt Affidavit will need to be completed and attached to the expense.  Note: Missing Receipt Affidavit should be attached as a PDF.
- Ensure to use the appropriate Expense type for proper allocation. If the expense type is not on the list, you may use the "Other" category and add any supporting details in the description field.
- If applicable, add expense tags under "Classifications" to the related purchase. Common expense tag examples include company Contributes, marketing campaigns and professional service engagements.
- Non-Permissible items will be flagged upon charge. Please ensure to only use the card for items under permissible items only.
- Purchases on your card should not exceed $5,000 USD for each transaction.
- If your purchase will be over $5,000 USD, you will need to enter a Purchase Requisition in Zip. AP prefers to pay vendors by ACH whenever possible. To get started with Zip for a vendor who can be paid by normal invoicing and payment methods, see [Zip End Users Guide](/handbook/business-technology/enterprise-applications/guides/zip-guide/).
- If a charge is made in error, please reach out to the Expense admin team by raising a HelpLab ticket. We ask to avoid making charges in error at all cost.
- Any reports with continuous violations to our policy will be subject to management review and could be taken away for non-compliance.

## 3. Permissible Items

**Team Building Activities/Off Site/Event costs are permitted**

- Examples of permissible costs under $5,000 USD include fees related to the registration of team building and off site event activities, dinners, deposits for team building activities, and room rentals.
- An individual purchase cannot exceed $5,000 USD.
- Any individual purchase for over $5,000 USD must be paid by [Coupa Virtual Card](/handbook/business-technology/enterprise-applications/guides/coupa-virtual-cards/).
- Team meals of up to 20 people which should not exceed $100 per person
- Examples of permissible costs under $5,000 USD include fees related for registration, dinners, deposits, and room rentals.

**Gifts for Significant Life Events**

- Gifts can be purchased for significant life events up to $125 USD.
- Managers are able to send Gifts and Flowers on behalf of their team members in acknowledgment of significant life events such as well wishes ahead of surgery, or the loss of a loved one. Baby gifts are not reimbursable as GitLab already sends them a gift.
- Managers can facilitate the ordering of Flowers or Gifts for delivery.
- Executive Business Assistant's are permitted to purchase gifts for team member significant life events on behalf of their managers.  An email or Slack pre-approval from their manager must be attached to the expense to be reimbursed.
- Gift cards for Team members are not allowed for these gifts.
- Please reference the [Gift Handbook Page](/handbook/people-group/celebrations).
- Note that these Expenses are tracked by department, thus whoever submits these expenses must be in the same department as the team member the gift pertains to.

**Shipping & Postage Fees**

- Shipping for items related to events, prizes, gifts for significant life events.
- Details for SWAG shipping can be found in the [merchandise workflow](/handbook/marketing/brand-and-product-marketing/brand/merchandise-handling/#swag-shop).

## 4. Non- Permissible Items

Along with any charges that are over $5,000 USD (or equivalent local currency) that are not permissible, and items that are already not permissible per the expense policy,  listed below are the other items that are not permissible for Physical Cards usage.  These items must be expensed personally by the team member and put through the normal reimbursement or procurement process:

### Airfare and related costs

- Airfare for an individual team member should be purchased through Navan.
- This includes in flight purchases, seat upgrades, wifi, baggage costs and meals.
- All personal expenses will follow the normal expense policy

### Hotels & Transportation & Related Travel Expenses

- Are not permitted for individual team members.
- Examples of individual related travel items not permitted include all meals, wifi costs, and global entry/passport charges, car rental, mileage & transportation fees (Uber,Lyft, etc) for personal use.
- These should be expensed as per employee reimbursement process.

### Co-working Space

- For individual team members is not permitted and must run through the normal expense reimbursement process.
- It is only permitted if the space is used for an event.

### Computer equipment and hardware

- Are not permitted.
- These purchases must go through the normal employee expense reimbursement process.
- This includes equipment for new hires and replacements.
- See [Global Travel and Expense Policy Handbook page](/handbook/finance/expenses/) regarding "Office Equipment and Supplies" and "Laptops, insurance and repairs".

### Conferences Training/Tuition and Membership fees for individual team members

- These purchases must follow the Growth and Development Benefit process.
- All Costs should be expensed via the Employee reimbursement process.

### Gift Card Purchases to Non-GitLab employees

- Will need to notify their manager and employers per IRS rules, as well as obtaining approval from the Chief Accounting Officer or the VP Corporate Controller approval before purchasing.
- These must be purchased by Coupa Virtual Card.

### Internal Team Member event prizes/contests/awards

- Should follow the quarterly budget under Team Building for the related department.
- As gift cards are taxable for all employees, they are excluded from this benefit.

### Marketing Events - Prizes and Gifts for external customers

- All purchases related to Event Prizes and Gifts are not permitted and must be done on Coupa Virtual Cards.
- If gift cards would like to be purchased, it must have approval from Finance prior to purchase as well.

### Meals relating to customer/partner dinners

- Are not permitted.
- These must be expensed via the Employee reimbursement process.

### Monthly recurring charges for vendors under $5,000 USD for an individual charge

- Is not permitted and needs to be purchased by Coupa Virtual Card.

### Personal expenses as listed in the Expense Policy

- Must be run through the employee reimbursement process for proper management approvals.
- This includes, mobile phone, internet, home office equipment, Office Supplies, etc.

### Other Professional dues, Subscription and Membership fees (outside of G&D)

- Related to individual team members must be expensed via the employee reimbursement process.

### Software subscriptions

- Of any kind are not permitted (i.e. Amazon, Dropbox, Adobe etc)
- For individual subscriptions, please follow the process regarding [Individual Use Software](/handbook/finance/procurement/personal-use-software/).
- For group subscriptions, please submit a Purchase Requisition in Zip.

### Team member Gifts that are not for a Significant Life Event

- (i.e Anniversaries, promotions, birthdays, electronic cards, wellness, thank you's).
- These purchases must go through the normal employee expense reimbursement process.
- Please reference the [Gift Handbook Page](/handbook/people-group/celebrations/).

### Prizes

- Of any kind need to run through the virtual card procurement process.
- For Swag related prizes please see the [merchandise workflow page](/handbook/marketing/brand-and-product-marketing/brand/merchandise-handling/#swag-shop).

## 5. Out of Policy Transactions

- Expenses flagged as "Out of Policy" does not necessarily mean it is "out of policy"- it can also mean that certain expenses require additional review due to requiring certain attachments (ie an approved issue) and approvals.
Upon review, if more clarification is needed for a certain expense, the AP team will contact the team member in the Navan tool to ask for justification of the transaction before approving or rejecting the expense.
- If the claim is over the advised guidance, an approval will be required from the VP Corporate Controller.
- Where the team member has already received approval from the manager, that approval should be attached as a receipt on the claim transaction.
- If an expense is out of policy, the cardholder will be requested to process a reversal or dispute. The cardholder can also be requested to mark the expense as Personal if found to be so a repayment can be processed. This will then be reviewed by the Expense team Admin and could need further approval from VP, Corporate Controller.
- If any charges/expenses are rejected, the cardholder is responsible to reimburse GitLab.

## 6. Manager Expectations

- Managers are expected to review their team's expenses in their entirety every month, and must flag any concerns immediately to the Accounts Payable team.
- Managers will be required to sign off on a quarterly issue that they have reviewed their team's expenses
- Managers will be held accountable for any unreported abuse of their team members.
- Managers must be aware of the policy guidance and advise the team members as such when requests for purchase are made.
- AP will flag Managers if further information is required for their direct reports.
- Please see the [Manager Policy](https://docs.google.com/document/d/1HQF-_fDIkjsmq-ExsFQwwTW-x8rocGKSDRZVdMYQudA/edit) for more details.

## 7.  Exceptions to the Policy

- Any exceptions to the policy must be approved via issue or email by the VP or higher in the Accounting Organization.
- Card members can be granted a higher limit than the allotted monthly $10K USD (or local currency) limit with an approved issue.

## 8. PROCEDURES

- The authorized team members assigned to make purchases use the Navan Physical card to purchase such goods and services. Navan Physical Cards are limited to team members in certain positions that require a card. These cards are not for company wide use. Cards must be requested via an issue and approved by the Finance leadership team.

### 8.1 Card Holder Responsibility

- Card Holders are responsible for all supporting documents.
- Receipts for all purchases by the card holder must be fully legible and indicate the description of goods or services, total purchase amount, and taxes.
- All transactions made through Navan Physical Card should have a receipt attached and coded with the appropriate expense type, classification and description.
- The Card Holder should complete and submit all transactions on or before the last day of the current month.
- If a team member is missing a receipt, a Missing Receipt Affidavit will need to be completed and attached to the expense when submitted. Missing Receipt Affidavit located [here](https://docs.google.com/spreadsheets/d/179q0Wos-CemLCe1uxgMpZ80JukSC4KYx8JICFgHzN0I/edit?usp=sharing) (please ensure to make a copy). When attaching the receipt affidavit, the team member should attach the document as a PDF.

### 8.2 Payment

- Navan will send invoices for these transactions (included with the normal expense transactions) on the 15th of each month for each entity.
- Navan is set up as direct debit through our bank accounts and will be debiting the amount on the 25th of each month.
- Monthly main account statements will be provided through the Navan portal.
- The GL team will perform a full reconciliation of the statement ensuring to tie all transactions from Navan to Netsuite.
- The Expense reconciliation will be uploaded into Floqast for final approval by the General Ledger team.

### 8.3 Credit Card Misuse

- An authorized user must follow GitLab's Code of Business Conduct and Ethics as these cards are considered GitLab Property.
- Any reports with continuous violations to our policy will be subject to management review and could be taken away for non-compliance.
- A cardholder must detail any disputed transaction on the ticket opened in HelpLab, with a copy to the issuing bank to resolve any disputes. The cardholder must ensure that a refund, if processed, should be in favor of GitLab.

### 8.4 Card Lost or Stolen

- It is the cardholder's responsibility to always safeguard the Navan Physical card and Navan Physical card account number and/or security number.
- Cards that are lost or stolen must be reported immediately by the cardholder to the AP Analyst who will take appropriate steps to cancel it.
- At the earliest opportunity, a written notification must also be given to the expense Admin team by opening a HelpLab Ticket and Card administrator so that the cancellation of the card may be confirmed and a reconciliation of the card account from the date the card was lost or stolen may be performed.

### 8.5 Cancellation of Card

- Navan Physical Cards will be automatically deactivated by the system once the cardholder leaves GitLab (as it is integrated with Workday).
- They can also be canceled by manager's direct request, in which the Accounts Payable team will manually perform this action.
