---
title: "Committee Composition"
---

## Disclosure Committee Composition

- **Chairperson**: Chief Executive Officer, Chief Financial Officer, Chief Legal Officer and Principal Accounting Officer
- **Members**: Chief Revenue Officer, Chief People Officer, Chief Technology Officer, Chief Marketing Officer, VP, Corporate Controller, VP of Internal Audit, VP of Finance, Senior Director of Legal- Corporate, Director of R2R, Chief Product Officer, Chief Information Security Officer
- **Management DRI**: Chief Financial Officer

## Disclosure Committee Charter

GitLab has established the disclosure committee (the "Committee") to help satisfy its obligation under the Securities Exchange Act of 1934 (Exchange Act) to maintain effective disclosure controls and procedures.
GitLab's CEO and CFO adopted the Committee charter to outline the company's Committee's governance and disclosure procedures.  Please click here to read the Disclosure Committee Charter.

## Identification and consideration of disclosure issues

The members of the Committee will continue to follow the internal processes set forth in the disclosure controls and procedures documented by the company pertaining to the preparation of periodic reports required by the federal securities laws and the preparation of quarterly earnings releases.

## Functions

In order to achieve its purpose, the Committee will perform two functions.

1. *Identification and consideration of disclosure issues*
The members of the Committee will continue to follow the internal processes set forth in the disclosure controls and procedures documented by the company pertaining to the preparation of periodic reports required by the federal securities laws and the preparation of quarterly earnings releases. As part of this process, the Committee shall:
   - Review the company's periodic reports, with a particular focus on "Management's Discussion and Analysis of Financial Conditions and Results of Operations" and the "Financial Statements and Footnotes to the Financial Statements";
   - Review and discuss with the controller's group whether the company's periodic reports and earning releases provide a fair presentation of the company's financial condition, results of operation and cash flows;
   - Assess the materiality of specific events, developments or risks to the company; and
   - Review financial reporting issues that are significant to the company and other material reporting matters where the person primarily responsible for such matters made significant judgments (either independently or in consultation with others).
1. *Evaluation of disclosure controls and procedures*
Each quarter, the Committee shall review and evaluate the effectiveness of the company's procedures for recording, processing, summarizing and reporting information required to be disclosed by the company in its Exchange Act filings. As part of this review and evaluation, in connection with the preparation of the company's annual report, the Committee will assess the effectiveness of the company's internal control structure and procedures for financial reporting.

The Internal Audit shall submit a written report documenting its quarterly conclusions about the effectiveness of the disclosure controls and procedures and annual assessment of the internal control structure and procedures for financial reporting to the company's CEO and CFO. Such reports shall be submitted as soon as practicable after the respective reporting period.

## Meeting

Committee related matters will be  managed through confidential GitLab issues or GitLab private Slack channel #disclosure-comm where all Committee members have access to the information, discussion, conclusions, and action plans.

The Committee shall meet at the discretion of the chair, but not less than once per quarter. This will coincide with public filings of GitLab Inc. Any of the chairs may call a meeting by providing a minimum of 24 hours advance notice of the time of the meeting to all Committee members.

## Disclosure Committee Meeting Calendar

Accounting and Reporting of Earnings Release and 10-Q /10-K

| # | Topics | FY Q1 | FY Q2 | FY Q3 | FY Q4 |
|:---:|:------- | :---: | :---: | :---: | :---: |
| 1 | Earnings Release                    |   X   |    X   |   X   |   X  |
| 2 | 10-Q/10-K          |   X   |    X   |   X   |   X  |
| 2 | Non-routine Transactions |   X   |    X   |   X   |   X  |
| 3 | Other Topics                           |   |   |  |  |

## Disclosure Committee Meeting Preparation Guidelines

**Responsibility**: VP, Corporate Controller (Principal draft personnel)

- All Committee related files shall be saved in the Disclosure Committee folder.
- The Committee meets before the Audit Committee. Refer to the Board Calendar and identify the Audit Committee meeting date.
- VP, Corporate Controller to set up meetings with all the DRI's (department heads: Legal, People Group, Engineering, etc.) to review any unusual and significant items that occurred during the quarter and document significant transactions in the agenda to ensure the completeness of SEC disclosures.
- Once the agenda above is finalized, the VP, Corporate Controller shall create the non-routine transaction file for each agenda item and assign such items to respective internal DRI's with a due date for a final sign-off; final sign-offs shall be obtained at least 10 days before the Disclosure Committee meeting.
- The VP, Corporate Controller shall tag all the DRI's on #non-routine-quarterly-check or #disclosure-comm slack channel, linking the transactions and communicating the due date for completion of non-routine transaction items.
- The VP, Corporate Controller shall follow up with all the DRI's at least a week before the due date for sign-offs.
SEC team to set up a call with the VP, Corporate Controller on the due date of the final sign-off to discuss the final non-routine transaction file. The SEC team shall make necessary changes to the proposed filing based on the review.
- On the Disclosure Committee meeting day:
  - The Committee members shall discuss the results of Sales certification and Finance certifications along with any disclosures that need to be discussed and resolved.
  - The Committee members shall discuss any significant transactions that occurred during the quarter and impact of each transaction on the financial statements and the disclosures in the 10Q/10K.
  - The VP, Corporate Controller shall make note of the follow-up items, add them to the agenda under ask from the Committee along with the due date.
  - The VP, Corporate Controller shall schedule a call the day after the Audit Committee meeting with the Principal Accounting Officer and CFO to review the agenda for the next meeting.

## Timetable for the Preparation of Annual and Quarterly Reports

Appendix A hereto sets forth a suggested timetable for the preparation of annual and quarterly reports by the company.

| Days Prior Filing Date | Task | DRIs |
|:---:| :---: | :---: |
| More than 30 days | Draft 0 of 10-Q to external auditors, outside legal counsel, internal reviewers | Director, Record to Report |
| 30 days | Draft 0 of 10-Q comments back | External auditors |
| 25 days | Draft 1 of 8-K to certifying officers and Disclosure Committee members | Director, Record to Report |
| 23 days | Non-routine transactions meetings | Business partners, senior accounting staff, certifying officers  and VP, Corporate Controller |
| 21 days | Draft 1 of 8-K comments back | Certifying officers, Disclosure Committee |
| 20 days | Draft 1 of 10-Q to external auditors, internal reviewers | SEC & SOX Director |
| 19 days | Draft 2 of 8-K to all | SEC & SOX Director |
| 18 days | Draft 1 of 10-Q comments back | KPMG, internal reviewers |
| 16 days | Draft 2 of 10-Q to outside legal counsel, certifying officers and Disclosure Committee members | SEC & SOX Director |
| 14 days | Draft 2 of 8-K comments back | All parties |
| 13 days | Draft 2 of 10-Q comments back | Certifying officers, Disclosure Committee, internal business partners, outside legal counsel |
| 12 days | Draft of 8-K and 10-Q to Audit Committee | SEC & SOX Director |
| 8 days | Disclosure Committee meeting | Disclosure Committee and certifying officers |
| 5 days | Audit Committee meeting | Audit Committee & CFO |
| 4 days | Final draft of 8-K/10-Q to all parties | SEC & SOX Director |
| 2 - 4 days | Provide final comments | All parties |
| 1 - 2 days | Finalize and EDGARize 8-K/10-Q | SEC & SOX Director |
| Filing Date | File 8-K/10-Q reports with Workiva | SEC & SOX Director |
