---
title: Finance Growth and Development
---

Welcome to the GitLab Finance Growth and Development Page
{.h2}

The GitLab Finance Department is dedicated to the growth and development of our team members. To ensure that this is a focus area, we have come up with five programs for FY22.

**On-Boarding Growth and Development**

Finance Team Member on-boarding will include specific tasks and information to foster a culture of continued development. This will include:

- a list of "Must Meet" for onboarding coffee chats, to be provided by the team member's manager
- a working style assessment using Simpli5
- a view into the Finance Career Ladders and a view of the [Org Chart](https://comp-calculator.gitlab.net/org_chart)
- a link to read GitLab's take on [Career Development]({{< ref "career-development#what-is-career-development" >}})
- an overview of the mentorship programs, shadowing opportunities and [internship programs]({{< ref "internship-for-learning" >}})
- links to the GitLab training tools available from the People group :[External Resources (with no cost)]({{< ref "career-development#external-resources-some-with-no-cost" >}}) &  [Internal Resources]({{< ref "career-development#internal-resources-1" >}})

**Work Style Assessment**

We will use [Simpli5](https://www.simpli5.com/) assessments to help us develop a standardized set of terms for us to all communicate more efficiently. Simpli5 gives you the power to understand YOUR natural tendencies as well as the natural tendencies of your co-workers. This awareness will help you gain a new perspective of yourself and your teammates.

**Career Plans and Growth Ladders**

Every individual is ultimately responsible for their career plan and managers are responsible for providing an environment to develop a plan. We will work on a structure that clearly lays out a career plan progression and tools to communicate a plan by aligning to the GitLab Career Development [handbook page]({{< ref "career-development" >}}).

**Cross Training, Mentorship and Shadow Programs**

To align with career development plans, we will create opportunities for cross training with other team members. This will not only allow for knowledge transfer for growth, it will also allow leadership opportunities for team members that wish to train.

With the success of several mentorship programs at GitLab, we will create a [similar program for the Finance Org](mentorship/). An example for us to align to is the [Women in Sales Mentorship Program]({{< ref "women-in-sales-mentorship-pilot-program#women-in-sales-mentorship-program-pilot" >}}).

We will create opportunities to shadow finance leaders for team members to gain perspective and business acumen.

**CFO Shadow Program**

In FY23Q1, we are implementing a CFO Shadow Program which will initially by available to Finance Division team members. The CFO Shadow Program will be modeled off of the [CEO Shadow Program](/handbook/ceo/shadow#eligibility) which has proven to be a differentiated and impactful development opportunity for GitLab team members. The goal of the CFO Shadow Program is to extend that opportunity to team members with an interest and background in Business and/or Finance who are interested in learning more about what it means to be a CFO at a publicly traded company. The exposure from this experience is intended to support both the long and short term career development of the shadow.

The CFO Shadow Program is a rotation that runs over the course of 2 weeks, with the shadow attending meetings with the CFO for 3 days per week (Tuesday - Thursday) during each week (aligned with EST). More information about the program logistics can be found in our [CFO Shadow Program page]({{< ref "cfo-shadow-program" >}})

**Training Aligned to GitLab L&D**

Together with GitLab L&D, we created the [Finance Learning Hub](https://levelup.gitlab.com/pages/finance-hub), a curated learning channel in Level Up.

To align and support the broader GitLab L&D efforts, we will promote the training made available by the People team. This will allow us to give back and contribute in a way that makes this program even stronger. We will continue to look for ways to create a curriculum that fits the different areas of the finance org.
