---
title: Under Construction - FinBT Mentorship Program
---

FinBT Mentorship at GitLab
{.h1}

Mentorship is an opportunity to learn from personal experience, background, and perspective. Mentorship builds trust, provides a safe space to make mistakes, and encourages growth for both the mentor and mentee.

Starting in Q1FY24 the FinBT Department will pilot a limited mentorship program for FinBT Team Members. The purpose in having a specific mentorship program for FinBT is to provide opportunities for Team Members to get mentorship to develop the specific skills that are important for members of this team and will provide opportunities for career development and networking.

## Why consider Department Level Mentorship?

Both department-level and company-wide mentorship programs have their own unique benefits.

### Department Level Mentorship program

1. Targeted support: Mentees receive targeted support and guidance from a mentor who is familiar with the specific challenges and opportunities within their department or team.
1. Building team cohesion: A department-level mentorship program can foster a sense of team cohesion and collaboration, as mentees and mentors work together to achieve departmental goals.
1. Promoting best practices: A department-level mentorship program can promote the sharing of best practices within a department, improving overall performance and productivity.
1. Developing departmental leadership: Mentees can develop leadership skills within their specific department, which can help drive growth and development within the team.

### Company-wide Mentorship program

1. Exposure to different perspectives: A company-wide mentorship program can expose mentees to different perspectives and experiences from mentors in different departments or areas of the company.
1. Networking opportunities: A company-wide mentorship program can provide mentees with opportunities to expand their professional network beyond their own department.
1. Cross-functional collaboration: A company-wide mentorship program can facilitate cross-functional collaboration and innovation by promoting communication and sharing of ideas across different parts of the company.
1. Talent development: A company-wide mentorship program can help develop a pipeline of talent across the organization, identifying and developing potential leaders and high-performers.

## Benefits and Expectations

### Benefits for the mentee

1. Be encouraged to prioritize, and be held accountable for, your [career development]({{< ref "career-development" >}})
1. Learn new skills related to your current role, your future career goals, or an area that you're passionate about
1. Set and reach clearly outlined [goals](/handbook/company/okrs).

### Benefits for the mentor

1. Serve as a [leader in the organization](/handbook/leadership) by enabling growth for other team members
1. Practice leadership, [effective communication]({{< ref "communication" >}}), and [coaching](/handbook/leadership/coaching) skills
1. Establish yourself as an expert in a field or specialty
1. [Build trust](/handbook/leadership/building-trust) with team members

### Expectations

| Expectation | Description |
| ----- | --------------- |
| **Mentees lead conversations** | Mentorship is led by the mentee, similar to how [1:1's at GitLab]({{< ref "1-1" >}}) are driven by direct reports. |
| **Maintain Boundaries** | Maintain clear and appropriate boundaries. Be clear on your responsibilities and those of their manager. |
| **Set Goals** | Mentees should create goals, put them in writing, and frequently revisit goals to measure progress. |
| **Build Trust** | Colleague first, expert second. Spend time [getting to know one another](/handbook/values/#diversity-inclusion). [Be open, honest, and fully authentic](/handbook/values/#transparency). |
| **Set Expectations** | Be realistic and uphold your commitment. Share access to resources and people, but make it clear you do not wield your influence over others.|
| **Listen** | Establish [trust](/handbook/leadership/building-trust) and openness in communication. Give your full, undivided attention. Hear concerns before offering advice and guidance.|
| **Acknowledge Independence** | Recognize mentee goals and autonomy. Your role as a mentor is to guide; it's up to the mentee to decide what to implement in their own career. |
| **Respect Diverse Experiences** | Recognise that underrepresented groups might face additional barriers to advancement. Educate yourself and ask for advice and support via the [appropriate DIB channels]({{< ref "erg-guide#how-to-join-current-tmrgs-and-their-slack-channels" >}}). |
| **Practice Self-Awareness** | Identify your strengths, weaknesses, and [biases](/handbook/values/#unconscious-bias). Be aware of and respect other's experiences, ideas, and goals. |
| **Advocate** | Mentor others on being effective managers or colleagues to those who might have different experiences to them. Teach your mentee how to become a mentor themselves – by example and by encouragement.|
| **Express Gratitude** | Share openly about your experience. Express gratitude for the skills or experiences developed over time. |
| **Maintain a Growth Mindset** | Practice a [growth mindset](/handbook/values/#growth-mindset). Both parties can learn and grow from mentorship |
| **Iterate** | [Iterate](/handbook/values/#iteration) on goals throughout the mentorship. Focus on quick wins that the mentee can reach, then keep growing. |
| **Confidentiality** | Respect the trust built between mentor and mentee. Challenges and conversations shared in mentorship sessions should be kept confidential unless the mentor and mentee are okay with them being shared. |

*Adapted from the [NCWIT Mentoring-in-a-Box Mentoring Basics - A Mentor's Guide to Success](https://ncwit.org/resource/imentor/), section What Are the "Dos" of Mentoring and [People Grove resources](https://support.peoplegrove.com/hc/en-us/articles/360001265792-Structure-Goals-and-Agendas)*

## Participating in the Pilot Program

TBD

## Resources

Resources below are designed to guide mentor/mentee relationships in both synchronous and asynchronous formats. Adopt what fits and leave what doesn't.

### Mentor and Mentee training

Take the LinkedIn Learning training called [How to be a Good Mentor and Mentee](https://www.linkedin.com/learning/how-to-be-a-good-mentee-and-mentor/the-power-of-mentoring?u=2255073). It covers strategies for finding a mentor, setting clear expectations, and achieving goals through mentorship. Content from this training has been adapted in the following [Google Slides presentation](https://docs.google.com/presentation/d/1QPx9ZGa051Jhwwfb78cKW1LD0uVTUdKxRdElBk4Ku9I/edit?usp=sharing) for learners who prefer to read the material at their own pace.

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vS3cZJcCIv_s44OfN9QLjje2wRqS7EwnrK3HCS_ZeT-ZGwk58hPq17L-c_DvCdvu0jxjR3r6yY8xY79/embed?start=false&loop=false&delayms=60000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

### Mentee: What to do before your mentorship begins

1. Set up a coffee chat with your mentor. Take time to get to know them and [build trust](/handbook/leadership/building-trust). Discuss communication styles and preferences.
1. Set a specific goal for your mentorship. It's OK if you don't reach 100% of your goal during the mentorship.
1. Join the [#mentoring](https://app.slack.com/client/T02592416/C01QKNDJ76J/thread/C5P8T9VQX-1587584276.009700) Slack channel

### Mentee: Set your goal and purpose

In their book [Burnout: the secret to unlocking the stress cycle](https://www.burnoutbook.net/), authors Emily and Amelia Nagoski explain the difference between goals and purpose:

| Idea | Definition |
| ---- | --------------- |
| Goal | the `what` - outcome driven |
| Purpose | the `why` - value driven |

Mentees should set a foundational goal and purpose for their mentorship. **Mentee goals should drive the relationship.**. Mentors might also set a goal around their own growth objectives as a mentor. Both mentors and mentees bring their own original purpose to mentorship.

#### What is your goal?

| Criteria | Description |
| -------- | ----------- |
| Time-bound | When will the goal be complete? |
| Certain | Is achievement of the goal within your control? |
| Specific | What is the desired outcome? |
| Positive | What positive impact will the outcome create? |
| Measurable | How will success be measured? |
| Personal | Why does achieving the goal matter? Tie goal to purpose. |

Using the matrix below, fill in each empty space based on the descriptions above to draft your goal:

| Time-bound | Certain | Specific | Positive | Measurable | Personal |
| ---------- | ------- | -------- | -------- | ---------- | -------- |
| | | | | | |

*This structure is adapted from [Burnout: the secret to unlocking the stress cycle](https://www.burnoutbook.net/) and the [SMART goal framework](https://support.peoplegrove.com/hc/en-us/articles/360001265792-Structure-Goals-and-Agendas). Learn more about goal setting by taking the [Setting Team and Employee Goals using SMART Methodology LinkedIn Learning course](https://www.linkedin.com/learning/setting-team-and-employee-goals-using-smart-methodology/how-to-use-smart-goals-2?u=2255073)*

##### Setting tool-specific goals

Goals that are specific to learning a tool, like increasing confidence with GitLab, might be challenging to fit in the SMART model. Consider asking yourself these two questions to help clarify your goal.

1. What will you do to improve your understanding of the GitLab product?
1. How will you show that you have improved your understanding of the GitLab product / what do you expect to be able to do?

Then, try breaking down your goal into clear actions as shown in the examples below:

> Example 1: Improve my understanding of GitLab product by X date
>
> 1. Move all personal projects to GitLab
> 1. Configure CI/CD tools to automate 1 manual task
> 1. Track career development in a personal project

<p>&nbsp;</p>

> Example 2: Learn about Ruby by X date
>
> 1. Take X course
> 1. Resolve 3 ruby bugs in the product
> 1. Create 1 blog post with learnings

#### What is your purpose?

Purpose is value-driven and based on your values. Determine what values drive you to be part of a mentorship and complete the following statement:

**I'm a `mentor/mentee` because I care about `value`. `Value` drives me to be a `mentor/mentee` because `your why`.**

#### Communicate your goal and purpose

Discussions about goals and purpose should be part of your first mentorship meeting. Progress and iterations on goals should be revisited often.

### Mentee: Set a Meeting Schedule

Set clear expectations with your mentor/mentee about when, how often, and for how long you will formally meet. Below is a suggested format for this meeting cadence:

1. Establish a timeframe: 3-6 month is suggested
1. Set a meeting cadence every other week for 30-45 minutes or agree to spend 30-45 minutes every other week communicating asynchronously

#### Sample sync meeting agendas

Mentorship agendas are important for resources documentation and future planning. The mentee should be the DRI for each session and use the agenda to set meeting goals and ask questions. Use and customize the following meeting agenda templates as a baseline for each session. Please make a copy of these templates and save to your own Google Drive.

1. [Initial Meeting Agenda Template](https://docs.google.com/document/d/1p1jVyE6S2qvCiNwjdwhREj4ge1AGneb0pFxfC3T2rPY/edit?usp=sharing)
1. [Regular Meeting Agenda Template](https://docs.google.com/document/d/1ufU9Hjcuf2-psASdXS_B7zX64C-5eBuvOR-P7pbSULM/edit?usp=sharing)
1. [Final Meeting Agenda Template](https://docs.google.com/document/d/1IVwilfvUN-XE6FE1kjKLLmou4YUQYDD8ba57kM7dyGY/edit?usp=sharing)

*Sample agendas below are inspired by resources from [Arizona State University](https://wms.arizona.edu/sites/default/files/Sample%20Meeting%20Agendas%20and%20Emails%20for%20Mentors.pdf) and [People Grove](https://support.peoplegrove.com/hc/en-us/articles/360001265792-Structure-Goals-and-Agendas).*

#### Sample async meeting formats

You can explore the issue shown in this video in our [GitLab L&D project](https://gitlab.com/gitlab-com/people-group/learning-development/mentorship/-/issues/8). There is also a [issue template](https://gitlab.com/gitlab-com/people-group/learning-development/mentorship/-/blob/main/.gitlab/issue_templates/async-mentorship.md) you can copy and use in your own mentorship project.

#### Other tools for async mentorship

1. [Template for using Google Docs](https://docs.google.com/document/d/1isANsPewF44w9cLP6JHZJEX4n4cyXHjqpfVvhqQKnOk/edit?usp=sharing)
1. Slack voice memos
1. Slack recording
1. Loom recording

### Track your progress

Use [this issue template](https://gitlab.com/gitlab-com/people-group/learning-development/mentorship/-/blob/main/.gitlab/issue_templates/progress.md) to track progress on goals set for both mentor and mentee.

### Ending your mentorship

Mentorships end or change over time. Review these guidelines for how to end your mentorship with grace and some suggested actions to take as your mentorship ends.

1. It's OK for a mentorship to end if the mentor and mentor and mentee feel they've accomplished a goal or if the pair isn't a good fit. Consider having a coffee chat with your mentor/mentee to discuss what was accomplished or what didn't work. Thank each other for dedicating time for the mentorship.
1. Mentorship doesn't have to end, either! Establish a meeting cadence to stay connected with your mentor. You might meet 1x per month for a coffee chat, connect async via Slack, or continue with your 2x monthly sessions.
1. Share your mentorship results with your manager or your direct reports. Take time in your 1:1s to share why and how the mentorship helped you reach your goals, either professionally or personally. This is also a great time to connect your mentorship with the accomplishment of your OKRs, if it helped you achieve results.
1. Add your mentorship to your resume or to your LinkedIn profile. For mentors, this might look like a separate entry to demonstrate leadership. For mentees, you might mention the mentorship in relation to the goals you achieved.
1. Write a blog or LinkedIn post with a shout out to your mentor/mentee, highlighting what you learned and what surprised you.

### Additional Resources

These resources are meant to provide both mentors and mentees with additional personal and professional development. Consider reviewing these resources asynchronously and discuss/debrief them during a session with your mentor/mentee.

***Why the Power of Mentoring can Change the World***

{{< youtube "u4kTlK5mUHc" >}}

1. The [Engineering department](/handbook/engineering/) outlines [strategies for mentors and mentees](/handbook/engineering/careers/mentoring/) with suggestions on how to host meetings and set and evaluate goals.
1. The [Support team](/handbook/support) has outlined expectations and examples on [Mentorship in Support Engineering](/handbook/support/engineering/mentorship).
1. [Career growth resources at GitLab]({{< ref "career-development" >}})
1. [Harvard Business Review: What efficient mentorship looks like](https://hbr.org/2020/08/what-efficient-mentorship-looks-like)
1. [Harvard Business Review: What great mentorship looks like in a hybrid workplace](https://hbr.org/2021/05/what-great-mentorship-looks-like-in-a-hybrid-workplace)
1. [Harvard Business Review: The best mentorship help both people grow](https://hbr.org/2022/01/the-best-mentorships-help-both-people-grow)
