---
title: Finance Learning and Development
---

Welcome to Learning and Development for the Finance Department at GitLab! The resources in this page are meant to support team members to expand their knowledge and skills. This page compiles content that spans soft and hard skills in different formats. Everybody is welcome to contribute to this page with content they have found useful/interesting that might benefit other team members.

The content can be mostly accessed through GitLab Learn but any content requiring payment [can be reimbursed following the GitLab reimbursement policies]({{< ref "../expenses#work-related-online-courses-and-professional-development-certifications" >}}).

GitLab is [committed to providing the time]({{< ref "learning-initiatives#take-time-out-to-learn-campaign" >}}) needed for in-depth learning too as part of your working time. You are encouraged to ask your manager to help you carve out time for Learning and Development.

## Content by skill

### Communication

#### Online courses

- [Develop Your Communication Skills and Interpersonal Influence](https://www.linkedin.com/learning/paths/develop-your-communication-skills-and-interpersonal-influence)
- [Executive Presence on Video Calls](https://www.linkedin.com/learning/executive-presence-on-video-conference-calls?u=0)

### Project Management

#### Online courses

- [Project Management Foundations](https://www.linkedin.com/learning/project-management-foundations-15528659)

### Negotiation

#### Videos

- [Chris Voss: Win Any Exchange with Lewis Howes](https://www.youtube.com/watch?v=_UaH98O7ku8)

### Team management

#### Stakeholder management

##### Online courses

- [Rosemary King: Stakeholders, let 'em in](https://www.mindtheproduct.com/stakeholders-building-an-open-door-culture/) (20 min video)
- [Managing Project Stakeholders](https://www.linkedin.com/learning/managing-project-stakeholders-2?u=2255073) (LinkedIn Learning course)

### Cross-functional team management

#### Quick reads and videos

- [HBR: What cross functional teams need to succeed](https://hbr.org/tip/2015/10/what-cross-functional-teams-need-to-succeed)

#### Online courses

- [LinkedIn Learning: Cross Functional Team Management](https://www.linkedin.com/learning/managing-a-cross-functional-team/welcome)

#### Books

- [Dare to Lead](https://www.amazon.com/Dare-Lead-Brave-Conversations-Hearts/dp/0399592520)
- [Radical Candor](https://www.amazon.com/dp/1529038340/)

### Direct team management

#### Quick reads and videos

- [The New Manager Death Spiral](https://randsinrepose.com/archives/the-new-manager-death-spiral/)
- [How to Improve Your Emotional Intelligence to Become a Better Leader](https://getlighthouse.com/blog/how-to-improve-emotional-intelligence/)

#### Deeper dive

- [The New Manager Death Spiral](https://www.youtube.com/watch?v=pAbU3WJ-NBw) (30 min video)

#### Online courses

- [LinkedIn Learning: Building High Performing Teams](https://www.linkedin.com/learning/building-high-performance-teams/building-a-high-performing-team)

#### Books

- [Kim Scott: Radical Candor](https://www.amazon.com/Radical-Candor-Kim-Scott/dp/B01KTIEFEE)
- [Michael Lopp: Managing Humans](https://www.amazon.com/Managing-Humans-Humorous-Software-Engineering-ebook/dp/B01J53IE1O/)
- [Julie Zhuo: The Making of a Manager: What to Do When Everyone Looks to You](https://www.amazon.com/Making-Manager-What-Everyone-Looks-ebook/dp/B079WNPRL2/)
- [First Round Essentials: Management](https://books.firstround.com/management/) (free ebook download)

### Leadership and influence

#### Quick reads and videos

- [Start with why -- how great leaders inspire action](https://www.youtube.com/watch?v=u4ZoJKF_VuA) (18 min video)
- [Leadership Biz Cafe Podcast](https://www.tanveernaseer.com/lbc/)

#### Online courses

- [LinkedIn Learning: Executive Leadership](https://www.linkedin.com/learning/executive-leadership/take-action-to-lead) (1h 19m total)
- [Develop Your Strategic Planning Skills](https://www.linkedin.com/learning/paths/develop-your-strategic-planning-skills)
- [Mastering Self-Leadership](https://www.linkedin.com/learning/mastering-self-leadership/step-up-to-self-leadership)
- [Leadership: Practical Skills](https://www.linkedin.com/learning/leadership-practical-skills/welcome)
- [Executive Leadership - LinkedIn](https://www.linkedin.com/learning/executive-leadership)

#### Books

- [Start with Why: How Great Leaders Inspire Everyone to Take Action](https://www.amazon.com/Start-Why-Leaders-Inspire-Everyone/dp/1591846447)
- [High Output Management](https://www.goodreads.com/book/show/324750.High_Output_Management)
- [Influence Redefined: Be the Leader You Were Meant to Be, Monday to Monday](https://www.goodreads.com/book/show/31193383-influence-redefined)

### Decision Making

#### Books

- [The Great Mental Models: General Thinking Concepts](https://www.goodreads.com/en/book/show/44245196-the-great-mental-models)
