---
title: "Investor Relations"
---

We have an externally facing [investor relation website](https://ir.gitlab.com/).
The page you are on now the handbook that describes internal processes around investor relations.

## Quarterly Earnings Process

As a public company we share financial results publicly after the close of each fiscal quarter or fiscal year. The key deliverables for each earnings cycle are:

- Earnings press release summarizing business & financial results, providing guidance
- Earnings call with prepared remarks by CEO and CFO followed by Q&A with sellside analysts
- Updated investor presentation , webcast, transcript, posted to ir.gitlab.com
- File required forms with the SEC, e.g. 10-Q, 10-K, 8-K

A cross-functional working group collaborates on the earnings cycle each quarter. Key contributors are the e-Group, IR, FP&A, Accounting, PR, Exec Comms, and Legal teams. The DRI for this project is the CFO; each work-stream has functional DRIs.

The timeline for each quarter is as follows. A detailed calendar with DRIs and precise date/times will be published each quarter for planning and scheduling purposes.

### One week before quarter end

1. CEO, CFO, CRO, CMO, CLO, Investor Relations, Corp FP&A discuss the top business & industry themes from the quarter
1. Based on messaging themes, IR to draft an outline of the script to be reviewed by CMO and CFO

### First and second week after quarter end

1. v1 of earnings call script and Q&A are drafted.
1. Preliminary reviews are done with the CFO and CMO, followed by final reviews with the CEO to finalize the script before earnings call
    1. the script should be drafted in short concise sentences.
    1. The Google Doc should be in pageless format for ease of readability.

1. Blocks of time are set aside on the CEO and CFO calendars for earnings callbacks

- CEO, CFO, and IR will participate in the sell side research analyst callbacks, starting shortly after the regular earnings webcast concludes.  These will be 15 minutes in duration with a 5 minute break
- CEO, CFO, and IR will also participate in buy side callbacks the following day with the largest institutional shareholders.  These will be 25 minutes in duration
- CFO will schedule blocks of time over the next several weeks to allow for at least 80 additional buy side callbacks.  After the 15th day of the third month of the quarter, GitLab will not be conducting individual meetings with investors until the next public earnings release.
- Each callback will have an internal document that captures the questions and the prior dialogue with the investor

### Two weeks after quarter end

1. Financials and metrics close
1. Accounting and FP&A provide summaries of quarterly results for inclusion into all deliverables
1. CFO, IR, FP&A, and Accounting discuss key financial & metrics trends for inclusion into the script and Q&A. FP&A ships CFO metrics briefing pack
1. Corporate Communications team issues the press release announcing the earnings date and webcast information
1. Once this press release is published, IR will contact sell side research analysts to schedule callbacks following the conclusion of the earnings webcast
1. After the sell side callbacks are scheduled, IR will contact the largest institutional shareholders to schedule buy side callbacks.  The objective will be to speak with as many of the top 20 shareholders as possible on the day immediately following the earnings release
1. IR will continue contacting the remaining top 50 shareholders to offer callback opportunities with the CFO.  Between the CFO and IR, the objective will be to conduct at least 100 meetings with current and prospective institutional shareholders each quarter

### Three weeks after quarter end

1. FP&A locks the quarterly bottoms-up forecast (early this week or late the week prior, depending on calendar dates)
1. Corp FP&A completes analysis for forward guidance on revenue, non-GAAP operating income, and non-GAAP earnings per share for CFO sign-off

### Four weeks after quarter-end

1. Final draft of each earnings deliverable is shared with the Audit Committee for review & approval. The "Audit Committee - Financial Results & Guidance" meeting should happen at least one week before the earnings call date

### Week leading up to the earnings call

1. Series of sequential working sessions with CEO, CFO, CLO to discuss script refinements and conduct practice Q&A. A recording of the prepared remarks will be made for playback at the beginning of the earnings call.

### Morning of earnings call (Monday)

1. Final practice Q&A and dry-run with CEO, CFO, CLO

### On the day of the earnings call & release

1. Final Q&A prep the morning of earnings: CEO, CFO, CLO
1. Earnings release: issued by wires and posted to ir.gitlab.com immediately prior to earnings call: GitLab PR team
1. 8-K: filing with SEC immediately before earnings call: GitLab SEC team
1. 10-Q, 10-K, other supporting documents as needed: filing with SEC in afternoon after earnings call: GitLab SEC team
1. IR Website: post webcast, investor presentation, prepared remarks: IR/Marketing
1. Sell side research analyst callbacks after earnings webcast:  CEO, CFO, IR

### On the day after the earnings release

1. Buy side callbacks with large institutional shareholders:  CEO, CFO, IR
1. Media interviews:  CEO, CFO

## Trading Window

We anticipate that our quarterly trading window will open the third trading day after the
announcement of our quarterly results and that it will close again immediately prior to the last
four weeks of the fiscal quarter, as indicated by an announcement made by the CLO. However, it is
important to note that any quarterly trading window may be cut short if the CLO determines that
material nonpublic information exists in such a fashion that it would make trades by directors,
team members, and consultants inappropriate. Historical financial result release dates can be
located on our [Investor Relations page](https://ir.gitlab.com/financial-information/quarterly-results).

## Investor Meetings

We conduct investor relations meetings and attend investor conferences in the time period between our earnings release and close of business on the Friday 2 weeks before the end of the quarter.
