---
title: Coupa FAQ
---

## General FAQ

### What is Coupa?

- Coupa is a cloud-based purchasing and payment platform that will be used by GitLab as of 2021-06-01 for US and Netherlands entities and as of 2021-12-13 for remaining entities. It has an easy-to-use interface that will improve the way suppliers connect with GitLab. All new purchase orders, invoices and communications will be managed through the Coupa Supplier Portal.

## Supplier FAQ

### How will Coupa impact the way GitLab works with suppliers?

- To take full advantage of the platform and enable electronic transactions to flow to and from suppliers, selected suppliers will be enabled in Coupa in time for go-live at no cost to them. The Coupa Supplier Portal is a free tool for our suppliers to use and easily do business with GitLab.

### Are suppliers required to sign up with Coupa?

- Yes. Coupa will be the only platform for transacting with GitLab, with Purchase Orders and associated invoices flowing through Coupa. For suppliers who choose to use the Coupa Supplier Portal (CSP), it is a free tool that allows to easily do business with GitLab.

### How will suppliers be notified when a PO has been raised for them?

- Depending on the preferred method of transacting:
  - SAN supplier will receive a PO emailed to their inbox
  - CSP suppliers will receive notifications via the CSP platform (supplier has multiple options on how to set up notifications: email, SMS)
  - cXML supplier will be notified in their own system as per their setup and they will receive notification in CSP.

## CSP/SAN FAQ

### What is the Coupa Supplier Portal (CSP)?

- The Coupa Supplier Portal (CSP) is a portal which enables GitLab's suppliers to receive purchase orders and create invoices electronically. Suppliers can also create and update catalogues through the CSP.

### What are the key benefits of joining the CSP?

- CSP makes managing customers and transactions easy.
- Roll out world class processes and best-in-class content management.
- Manage settings on a customer-by-customer basis, including viewing purchase orders, setting up delivery methods, creating catalogs etc.
- Tracking the real time status of transactions.

### How long does it take to register for the CSP?

- The registration process takes less than 5 minutes upon receiving the emailed invitation email.

### Do suppliers need additional software to use the CSP?

- No, additional software is **not** required. As Coupa is a cloud-based technology, all they will need is an active email account and web browser to access the portal and transact with GitLab.

### How much does it cost to transact with GitLab via the CSP?

- There is no cost for suppliers to use Coupa.

### How do suppliers register for the CSP?

- The supplier will receive an email invitation to join the CSP and GitLab will partner with them to ensure a smooth transition to Coupa.

### If the supplier already have a Coupa Supplier Portal account, what do they need to do to enable GitLab?

- We still need the supplier to reply to our initial email so we can set their company up properly in our Coupa system. Once setup, they will be able to easily link GitLab to their Coupa Supplier Portal account.

### Where can I find more information on the Coupa Supplier Portal?

- Here are some useful links with information on the Coupa Supplier Portal:
  - <https://compass.coupa.com/en-us/products/product-documentation/supplier-resources/for-suppliers>
  - <https://supplier.coupa.com/help/>
  - <https://supplier.coupa.com/help/creating-an-account-with-coupa/>
- Chat with Coupa Support
  - You can chat with Coupa Support to get a quick response or resolution to your question/issue. Click on the "Chat with Coupa Support" button located in the lower right corner of any screen (see below screenshot).
  - If there's no Support Agent available, you can submit a case by providing the subject of your question/issue and a detailed description. You will receive confirmation that your case was submitted and logged. A Support Agent will respond when available.

   ![coupa-image-1](../CoupaSupportChat.png)
- Suppliers can also email Coupa Support Team (supplier@coupa.com).

### Do suppliers need to set-up a CSP account, or will this be done for them?

- GitLab will email the supplier links on how to register on the Coupa Supplier Portal and they will be provided with an invitation to join CSP. Suppliers must set up an CSP account and linking with GitLab Coupa system will be done automatically.

### Does SAN option connect to the CSP and can suppliers have both?

- Yes, suppliers can have both SAN and CSP set up. CSP suppliers will have SAN by default. Please note, suppliers who have initially chosen SAN will have an option to join CSP through the PO email sent.

## cXML Option FAQ

### Do suppliers receive purchase orders via e-mail if they select cXML as the transmission method?

- If they select cXML as your transmission method, they will not receive purchase orders via e-mail. The cXML links directly between the supplier's system and GitLab's system.

## Coupa Pay

### What is Coupa Pay?

- Coupa Pay is a digital payments program to pay your invoices. You will be able to track and manage all your accounts receivable in one place and obtain instant access to every payment and associated remittance advice.
- Below is a useful link providing more information regarding Coupa Pay:
  - [https://supplier.coupa.com/gitlab-payment](https://supplier.coupa.com/gitlab-payment)

### How do suppliers register for Coupa Pay?

- Suppliers will need to set up their Remit-To account in Coupa. It can be done during the initial onboarding process or via the Coupa Supplier Portal (CSP).
- Below are some useful Coupa links providing more information regarding setting up Remit-To accounts:
  - [https://compass.coupa.com/en-us/products/product-documentation/supplier-resources/for-suppliers/Administer_the_CSP/06_View_and_Manage_Remit-to_Information](https://compass.coupa.com/en-us/products/product-documentation/supplier-resources/for-suppliers/Administer_the_CSP/06_View_and_Manage_Remit-to_Information)
  - [https://supplier.coupa.com/coupa-pay-help/getting-set-up-for-online-payments](https://supplier.coupa.com/coupa-pay-help/getting-set-up-for-online-payments)
  - [https://supplier.coupa.com/help/remit-to-improvements](https://supplier.coupa.com/help/remit-to-improvements)

{{% panel header="**Important Notes**" header-bg="warning" %}}

- Avoid using any special characters when entering Remit-To Address.
- The currency of your bank account has to match the currency of your invoices.
{{% /panel %}}

If there are any issues with setting up a Remit-To account, please email Coupa Support Team (supplier@coupa.com) for assistance.
