---
title: Individual Use Software
---

## Individual Use Software Overview

Individual use software is characterized as software essential for executing job responsibilities and that is distinct from the existing tools and platforms already owned or accessible to your team.

An individual's annual expenditure on Individual Use software should not surpass $5,000. Should the cost of your software exceed this threshold, or if multiple people on your team need access, please follow the [Procurement process](/handbook/finance/procurement/#how-to-start-the-procurement-process) for submitting a new purchase request. Note that **all software purchases charged to either personal or corporate credit cards will be DENIED for reimbursement.** You must follow the process below to cover your software purchases, which will be paid via Navan virtual card once all necessary approvals are obtained and documented.

*Please refer to our [Internal Acceptable Use Policy](/handbook/people-group/acceptable-use-policy/) for questions regarding freeware, or to GitLab's [Mobile Device Policy](https://internal.gitlab.com/handbook/it/okta-device-trust/#mobile-devices) for information on accessing GitLab resources via Okta on your Mobile Device.*

## I Need Individual Use Software- Where Do I Start?

If you require an individual use software subscription, please first check the list of [Tech Stack applications](https://gitlab.com/gitlab-com/www-gitlab-com/-/blob/master/data/tech_stack.yml) and the [Pre-Approved Individual Use Software listing](https://internal.gitlab.com/handbook/finance/procurement/pre-approved-individual-use-software/).

- If your vendor is listed in the tech stack, please submit an [access request](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/new?issuable_template=Individual_Bulk_Access_Request) using the Individual Bulk Access Request template.
- If your vendor does not appear in the tech stack, requests must be submitted via [this Google Form](https://docs.google.com/forms/d/e/1FAIpQLSfWp2lnSKp0gTKBfZxol-YEkTst4gtOYpRJQvnVvDzhcGuxwg/viewform) to ensure appropriate routing.
  - **Note** that commonly requested Individual Use Software is documented within the [Pre-Approved Individual Use Software and Freeware](https://internal.gitlab.com/handbook/finance/procurement/pre-approved-individual-use-software/) listing and is subject to expedited Security approval. This should be requested using the above-linked Google form.

Please consider whether one of our existing vendors may be able to service your needs before pursuing the usage of a new vendor. Where possible it is preferable to add users to existing agreements that have already been screened and approved as this can save GitLab money, decrease GitLab's threat landscape, and expedite access to the tools you need.

## What Happens When I Request Individual Use Software?

- Upon receipt, the Procurement team will open a GitLab Issue based on your responses and will route for the necessary approvals, including your manager, Security, and Privacy. Once the Issue is opened, please attach any relevant contracts, backups, or documents.
- Reviews may take several weeks, depending on the level of risk involved with your software of choice, the depth of review needed, and vendor responsiveness.
- Once all necessary parties have approved your software request, the Procurement team will issue you a virtual one-time use credit card via email to purchase the approved software license at the approved price.
- After you have purchased your software with the virtual credit card, please forward a copy of your receipt to ap@gitlab.com as confirmation if there are no other contracts or backup documents.
*If you have any questions, please reach out to the Procurement team via the #Procurement Slack channel.*
