---
title: Tips for Submitting a Zip Request
---

If purchasing Home Office Equipment and/or Software for your individual work use that is <$5K USD, see [Other Services](/handbook/finance/procurement/#other-services) since a Zip Purchase Request is not required in these instances.

Getting started with Zip:

1. Login to Zip via your [Okta home page](https://gitlab.okta.com/app/UserHome#).
1. If you need Zip access, [submit an access request here](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/new?issuable_template=Individual_Bulk_Access_Request&_gl=1*bsfkbc*_ga*MzkwMDUyMjg5LjE2MzU3NzYxMDA.*_ga_ENFH3X7M5Y*MTY3NzYyMDEwMi4xMzkuMS4xNjc3NjIwOTc3LjAuMC4w).
1. Review Zip training materials:
   - [Zip End Users Guide](/handbook/business-technology/enterprise-applications/guides/zip-guide/) - Provides a step-by-step guide on how to submit different types of requests, how to review and approve requests for approver groups, how to check the status of your request, etc.

## Tips for Request Types

Depending on the commodity type of your request, specific conditional questions will populate in the Zip request intake form to include the required approval groups in the workflow and provide them with the needed information to review your request. To help ensure your request is completed within the [SLAs](/handbook/finance/procurement/#review-steps-timeline-and-considerations), follow these tips:

### Description and Category

Provide a brief description of your purchase and be sure to select the correct category, subcategories, and type of purchase

- **New** purchase would be any product or service that is brand new.
- **Renewal** would be any renewals or add-ons with an existing vendor.

#### Submitting a request for a Contractor

A Contractor or an Independent Contractor (IC) **is an individual** (not an entity / business) who provides goods, labor, or services to an organization but is not employed by the business. Instead, they work with the business as or part of a third party. Instead of being hired through the talent acquisition process, a Contractor communicates directly with the manager for the project and submits a competitive bid to be hired.

- For GitLab purposes, a Contractor will likely communicate directly with the Procurement Team initially for onboarding and regarding the terms of the contract and the statement of work. Contractors set their own schedules and are responsible for arranging their own training and covering the costs of training. The specific test of whether someone is an "employee" or truly meets the definition of a "Contractor" depends on the law of the jurisdiction where the Contractor is located. For example, in California, a worker is by default considered an employee, unless the hiring entity meets all three conditions of the ABC Test:
  - The person is independent of the hiring organization in connection with the performance of the work, both under the contract for the performance of the work and in fact.
  - The person performs work that is outside the hiring entity's business
  - The person is routinely doing work in an independently established trade, occupation, or business that is the same as the work being requested and performed.
- **NOTE:** All requests for an Independent Contractor should include the requestor and/or Procurement asking if the potential Independent Contractor has a company under which they will, (i) receive payment(s), or (ii) enter into terms and conditions with GitLab for the delivery of services. GitLab's preference is to enter into a business-to-business relationship with all vendors.
- For GitLab procurement process purposes, the term Independent Contractor (IC) is used when the ICSA form is required for completion and the IC is separate (independent) from a Third Party Professional Services vendor. If you have any questions on the definition or when to use the applicable contracts/terms, please reach out to Procurement in the Procurement slack channel.

##### How to Submit a Zip Request for a Contractor

1. Before submitting a Zip request for a Contractor:
   - Confirm you have internal approval from FP&A and your management to hire a Contractor and that this role is (i) not currently being performed by a GitLab Employee or (ii) there is not an open headcount position for this role.
   - Confirm the potential Independent Contractor does not own / operate a business or entity which should be used to enter into applicable terms and conditions
   - If the Contractor requires access to GitLab [Orange or Red data](https://internal.gitlab.com/handbook/security/data_classification/), [a background screening](/handbook/people-policies/#background-screenings) and subsequent Zip approval must be obtained from PeopleOps. Additionally, access to Orange or Red data requires [appropriate security measures](/handbook/security/security-assurance/security-risk/third-party-risk-management/#independent-contractors) are in place. As such, a GitLab laptop must be issued followed by a Zip approval from IT Ops validating laptop issuance.
   - If the Contractor requires [GitLab equipment](https://gitlab.com/gitlab-com/www-gitlab-com/-/blob/a97ab3e71d08b55aea70f119caf5d41689ae9549/sites/handbook/source/handbook/finance/procurement/index.html.md#security-approval-requirements-for-contractors-consultants) (i.e. has access to Orange or Red data), the Zip purchase requisition will need to be submitted 10 days in advance of the normal approval [timeline](/handbook/finance/procurement/#-review-steps-timeline-and-considerations) to account for ordering and shipping of the equipment. [Certain locations](https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/127746#note_1497241068) will require IT Approval before providing the equipment. If you are unsure if the IC will require GitLab equipment, please reach out to the #it_help channel in slack.
      - Lead times start once the purchase requisition has been fully approved and the PO is released. Please account for this time and the [Zip approval times](/handbook/finance/procurement/#-review-steps-timeline-and-considerations) to determine how far in advance your Zip Request needs to be submitted prior to the IC's start date.
1. Open Zip to submit your request for a contractor by selecting "Request a Purchase"
   - You must select the following to receive the required approvals:
      - Category = Consulting, Professional Services & Training
      - Subcategory = Consulting fees
      - Commodity = Consulting fees
   - In the Professional Services section, the type of contract required is determined by the "How is this contractor being hired?" question
      - For Contractors hired through a Third Party Professional Services Vendor, for example: Upwork, select "Contractor hired through a 3rd Party Professional Services Vendor". These types of requests will require a governing Agreement and Statement of Work
      - For Independent Contractors, as defined above, select "Contractor hired directly and independent of a 3rd Party (requires ICSA completion)". These types of requests require the [ICSA template](https://docs.google.com/document/d/1KDkv6oWv6V-6k9v5GhjF7WPMoQJOV5iubCZzLGn7xfY/edit?usp=sharing) to be completed.
         - Once this template is complete, you can download it and attach it to your Zip request.
1. The Zip Request will be reviewed by the applicable stakeholders
1. Once the Zip Request is approved, open and complete the [Individual Contributor Onboarding Issue](https://gitlab.com/gitlab-com/temporary-service-providers/lifecycle/-/issues/new?issuable_template=orientation-issue)
1. If you need to extend the contract term of an IC, submit a [Zip Change Request](/handbook/finance/procurement/#step-2-submit-your-zip-request)
1. If you need to cancel / terminate the Contractor's agreement earlier than the specified term, review the [Cancellation process](/handbook/finance/procurement/#6-cancellation) and reach out to the Procurement Team in the #procurement slack channel

*Contractors / Consultants that require Orange and Red Data access, that will be processed or stored outside GitLab's systems, are considered "Professional Services" and are subject to a full security review. Please see the [Security Third Party Risk Management Handbook](/handbook/security/security-assurance/security-risk/third-party-risk-management/) for more details.

#### Submitting a request for New Software

1. All new software purchases also need reviewed by [IT](/handbook/finance/procurement/#it-review-if-purchasing-new-software)
1. New software vendors will need to complete the [IT Questionnaire tab](https://docs.google.com/spreadsheets/d/17-NdZF0SeOS_b59XE9lLg9cuCD9iKKlO/edit#gid=392482466).
   - IT requests this information to perform a comprehensive assessment of applications against GitLab technology requirements.
   - Please make a copy of this tab (if not filled out during a formal RFP), have the vendor complete, and attach in the documents section of your Zip Request for IT review.
1. If you have any questions regarding the IT Questionnaire, please contact the Enterprise Applications team in the #enterprise-apps slack channel.

#### Other tips for submitting requests

1. Will a virtual card be used to pay this vendor?
   - This applies to instances where the supplier only accepts online credit card payments or for one-time vendor use such as events. More info on allowed uses [here](/handbook/business-technology/enterprise-applications/guides/coupa-virtual-cards/)
   - More information in the [Zip End Users Guide](/handbook/business-technology/enterprise-applications/guides/zip-guide/) on how to submit a request using for a virtual card
1. Vendor Name and Primary Contact
   - If an existing vendor or you are unsure, start typing the vendor name in Zip. If vendor exists, Zip will populate it in the dropdown. You can then select the existing Primary Vendor Contact or select 'Add new contact' and complete the contact information
   - If New Vendor:
      - Review the [Vendor Selection Process](/handbook/finance/procurement/#1-rfp-and-vendor-selection) and the [RFP guidelines](https://internal.gitlab.com/handbook/finance/procurement/) or reach out to your Procurement Category Manager if you have questions or need support
      - If this supplier is not already in our system, you will need to click the "add new" option once you type in the supplier name. Please be sure to fill in all details so that the Procurement team can complete the [New Vendor Onboarding step](/handbook/finance/procurement/#4-vendor-onboarding). While we use Zip internally now, Coupa will still be the tool used to pay our suppliers.
1. Spend Information
   - Provide all of the spend details including required budget amount, contract term, and line item details.
   - The Line Item Breakdown should match the line items on the Order Form/Contract and should be entered separately for each year of the contract if a multi-year term.
   - The sum of the Line Items must equal the amount entered for budget.
   - Check the boxes of the supporting documentation received. You will upload these in the Documents section at the end of the request process
1. IT & Security Information:
   - Complete the Data Information section. Depending on your selection(s), additional required questions will appear.
   - If any data will be shared, a Vendor Security Review will be completed. The vendor will receive an email communication from GitLab's Security Risk Team requesting information regarding their security protocols.
   - If any personal data will be shared or accessed, a Privacy Review may be required. The vendor will receive communication from Zip requesting information regarding their data privacy practices.
   - Be as specific as you can about the type of data the vendor and/or system will have access to, and specifics about how they will receive that data. Failure to complete this section accurately will delay the review and approval of your request.
   - If any personal data will be shared, the Vendor will need to sign our DPA and SCC's as directed by state and/or country statutory requirements.
   - **TIP:** To increase speed of approval, send your supplier contact GitLab's [DPA/SCCs](https://docs.google.com/document/d/1MXluQhBlLtRqD854SdsbjtLMnqVwCcqx/edit) for review right away. For the DPA, please inform the supplier contact that Schedule 1 and Schedule 3 must be completed by the supplier. Also alert them to the request from GitLab's Security Risk Team for security completion and Zip for privacy review completion. Let them know review and approval can't begin without these pieces.
1. Documents & Surveys:
   - For any software renewal/add-on that is based on usage (e.g. user quantities), a usage report is required for Procurement's review. This can be uploaded in the Documents section under 'Please attach any additional files for reference' at the end of the request process.
      - Based on the usage report, Procurement will review the request to increase, decrease, or hold quantities flat.
   - Upload any contracts and/or quotes you've received.
      - Draft contracts are okay. Make note of any terms and/or pricing still being finalized- this can be done in the Comments section once you submit your request.

### Zip Change Requests

If you have a PO with an existing supplier and the costs have increased, end date has changed, and/or the scope or terms and conditions need to be amended, a [Zip Change Request](/handbook/business-technology/enterprise-applications/guides/zip-guide/#how-to-do-a-request-change) can be submitted.

By submitting a Zip Change Request, the applicable approvers will be added to the Zip workflow for review, and the Procurement team will amend the PO in Coupa on your behalf. Note, changes to an existing PO also must be approved by Finance, Functional, and Executive (if applicable) team members in Coupa like a new Purchase Request.

## Once your Purchase Request is approved

1. Once the Purchase Request in Zip and Coupa is approved, a PO is generated, and GitLab has officially placed an order for your purchase! You may now begin work and/or obtaining the products/services.
1. The supplier will receive a copy of the PO order and number at the email address they supplied for Accounts Payable.
1. The supplier will receive communication from Coupa indicating how to make payment one of two ways:
   - Directly in their Coupa portal
   - Send invoice to ap@gitlab.com with PO number included on the invoice
   - Failure to follow these instructions will delay payment
   - Invoices uploaded to Coupa by a GitLab team member are not routed for payment.
1. If your request was new software, update the [tech stack](/handbook/business-technology/tech-stack-applications/#add-new-system-to-the-tech-stack) after the Zip Request is fully approved and the contract signed.

## Procurement Office Hours

If you have any questions or concerns that may not be addressed in the Handbook, we invite you to join us for Procurement Office Hours every Wednesday. During this dedicated time, our Procurement Team will be readily available to assist you and provide answers to your inquiries. If you're unable to join a call, please feel free to submit your questions in our [Agenda](https://docs.google.com/document/d/1jm_LMJn_y4aNEO1eREz5Va0I1btuk65FPaXVy8oJpfQ/edit), and we'll ensure a prompt response.
