---
title: "Legacy Vendor Terms and Conditions v1"
description: "Learn more about the Legacy Vendor Terms and Conditions v1"
---

### 1. DEFINITIONS

1.1  "Accepted" means GitLab's written confirmation of receipt of Deliverables having been provided in a manner deemed appropriate by GitLab. "Acceptance" shall be deemed to occur on the date when, in the reasonable opinion of GitLab, the Deliverable(s) conform to the requirements set forth in the Transaction Document and/or SOW.

1.2  "Affiliates" means any entity(ies) controlling, controlled by, and/or under common control with a party hereto, where "control" means the ownership of more than 50% of the voting securities in such entity.

1.3  "Agreement" means these Vendor Terms and Conditions.

1.4  "Applicable Data Protection Laws" means any applicable laws, statutes or regulations as may be amended, extended or re-enacted from time to time which relate to personal data including without limitation: (i) from and after 25 May 2018, GDPR and any EU Member State laws implementing the GDPR; and (ii) the e-Privacy Directive 2002/58/EC, as amended and as transposed into EU Member State law and any legislation replacing the e-Privacy Directive.

1.5  "Confidential Information" means any proprietary information that was previously, is currently, or is subsequently disclosed by the Disclosing Party (defined herein) to the Receiving Party (defined herein) and (i) is or was identified as confidential or proprietary at the time of disclosure, or, if disclosed orally, which is or was identified as confidential or proprietary at the time of disclosure and such designation is confirmed orally or in writing no later than thirty (30) days after such disclosure, or (ii) the nature of such proprietary information and the manner of disclosure are such that a reasonable person would understand it to be confidential.  Confidential Information includes, without limitation, all proprietary information which relates to GitLab's business including, without limitation, business plans, financial data, customer information, marketing plans, technology, technical drawings, designs, schematics, algorithms, technical data, product plans, research plans, software, products, services, trade secrets, know-how, formulas, processes, ideas, and inventions (whether or not patentable).

1.6  "Deliverables" means the specific solution, end-product, or item to be created by Vendor, for GitLab, as documented in a SOW (defined herein) as part of a Transaction Document.

1.7  "Disclosing Party" means a party which discloses Confidential Information.

1.8  "Fees" means the amount(s) stated in an executed Transactional Document between the parties.

1.9  "Force Majeure" means events beyond the reasonable control of either party, including, but not limited to, acts of God, labor disputes or disturbances, material shortages or rationing, pandemics, riots, acts of war, governmental regulations, communication or utility failures, or casualties.

1.10  "GDPR" means the Regulation (EU) 2016/679 of the European Parliament and of the Council of 27 April 2016 on the protection of natural persons with regard to the processing of personal data and on the free movement of such data (General Data Protection Regulation).

1.11  "GitLab" means GitLab Inc. and any GitLab Affiliate identified in a Transaction Document.

1.12  "GitLab Code of Conduct" means the published document titled Code of Business Conduct and Ethics, updated from time to time, found at https://ir.gitlab.com/static-files/7d8c7eb3-cb17-4d68-a607-1b7a1fa1c95d.

1.13  "GitLab Data" means all GitLab information or data, including without limitation, personal data, used by Vendor in connection with the Agreement.

1.14  "Invoice" means Vendor's document which outlines the Fees owed by GitLab pursuant to an executed Transaction Document. Invoices must include: (i) Vendor's legal entity name, (ii) GitLab's legal entity name (as stated on the Transaction Document), (iii) GitLab's PO Number for the applicable purchase, (iv) the start date and/or end date of the Products and/or Professional Services (as defined below), (v) quantity, unit price, total price, applicable taxes, and identification of the Products and/or Professional Services.

1.15  "Vendor" means the entity, or an Affiliate of such entity, supplying Products and/or Professional Services to GitLab.

1.16  "PO" means the purchase order, or similar document, provided by GitLab to Vendor. Each PO shall include a unique identification number (hereinafter referred to as "PO Number").

1.17  "Products" means Vendor's solution(s) which are identified in the Transaction Document, this includes support, maintenance and other elements which create the Product.

1.18  "Receiving Party" means the party receiving Confidential Information.

1.19  "Professional Services" means services identified in a Transaction Document and accompanying SOW.

1.20  "Security Breach" means Vendor becoming aware of or notified of a breach of the Applicable Data Protection Laws.

1.21  "SOW" means the task list, Deliverables (if applicable) outlining the items to be delivered under the Professional Services.

1.22  "Transaction Document" means the ordering agreement which states the purchase of Products and/or Professional Services by GitLab from Vendor. Such Transactional Document shall not be enforceable unless executed by GitLab.

### 2. APPLICABILITY

2.1  All sales of Products and/or Professional Services by Vendor to GitLab are subject to this Agreement and the applicable Transaction Document. Terms and conditions of the Vendor (whether contained in an invoice, confirmation or otherwise) which in any way conflict, are inconsistent with, different than or in addition to this Agreement shall not be binding on GitLab. Such terms and conditions are expressly rejected and shall not be considered applicable unless expressly agreed to in writing by GitLab. The supply of Products and/or Professional Services to GitLab pursuant to any PO shall be conclusive evidence of Vendor's approval of and consent to the terms and conditions herein contained in this Agreement.

### 3. TERMS OF PAYMENT

3.1  Unless otherwise agreed to between the parties in a Transaction Document, or similar agreement executed by GitLab, payment(s) shall be made in U.S. Dollars in accordance with the remittance instructions furnished by Vendor in an Invoice. Payment terms are net sixty (60) days from the date of the Invoice.

3.2  GitLab shall have no obligation for payment of any amounts which are, (i) not agreed to in writing by GitLab, (ii) Deliverables that are not Accepted by GitLab, and/or (ii) in excess of the Fees stated in a Transaction Document.

3.3 Vendor shall supply invoices to ap@gitlab.com

### 4. CONFIDENTIALITY

4.1 The Receiving Party agrees: (i) not to divulge to any third person any such Confidential Information, (ii) to give access to such Confidential Information solely to those employees with a need to have access thereto for purposes of this Agreement, and (iii) to take the same security precautions to protect against disclosure or unauthorized use of such Confidential Information that it takes with its own Confidential Information, but in no event will Receiving Party apply less than reasonable precautions to protect such Confidential Information. The Disclosing Party agrees that the foregoing shall not apply with respect to any information that the Receiving Party can document: (a) is or becomes generally available to the public without any action by, or involvement of, the Receiving Party, (b) was in its possession or known by Receiving Party prior to receipt from the Disclosing Party, (c) was rightfully disclosed to it without restriction by a third party, or (d) was independently developed without use of any Confidential Information of the Disclosing Party.  Nothing in this Agreement will prevent the Receiving Party from disclosing Confidential Information pursuant to any judicial or governmental order, provided that the Receiving Party gives the Disclosing Party reasonable prior written notice of such disclosure to allow Disclosing Party to contest such order.

4.2  Each party acknowledges and agrees that the other may suffer irreparable damage in the event of a breach of Section 4 of this Agreement and that such party will be entitled to seek injunctive relief (without the necessity of posting a bond) in the event of any such breach.

### 5. WARRANTIES

5.1  Vendor represents, warrants and covenants that: (a) the Products and Deliverables are free from defects in material and workmanship, (b) Professional Services will be provided in a professional and workman-like manner, (c) Products and Deliverables shall conform to the specifications represented by Vendor, (d) the Products and Deliverables will not infringe a third party's intellectual property rights, (e) it will comply with the GitLab Code of Conduct, and (f) its performance under this Agreement will comply with all applicable laws, rules and regulations.

### 6. TERMINATION

6.1  Termination for Convenience.  GitLab may terminate this Agreement, any SOW or Order, or all at any time, for no reason or for any reason, upon notice to Vendor.  Upon receipt of notice of such termination, Vendor shall inform GitLab of the extent to which it has completed performance as of the date of the notice, and Vendor will collect and deliver to GitLab whatever Work Product then exists, if applicable.  GitLab will pay Vendor for all Work acceptably performed through the date of notice of termination, provided that GitLab will not be obligated to pay any more than the payment that would have become due had Vendor completed and GitLab had accepted the Work.  GitLab will have no further payment obligation in connection with any termination.

6.2  Upon termination or expiration of this Agreement, Vendor shall return or destroy any GitLab Confidential Information and provide confirmation thereof.

### 7. FORCE MAJEURE

7.1  Neither party shall be liable to the other for delays or failures in performance resulting from causes beyond the reasonable control of that party, including, but not limited to, acts of God, labor disputes or disturbances, material shortages or rationing, pandemics, riots, acts of war, governmental regulations, communication or utility failures, or casualties ("Force Majeure").  In the event of a Force Majeure impact on the performance of either party, then the parties are immediately relieved of obligation to perform.  From notice to vendor, GitLab is relieved of the payment obligation.  As soon as is practical, but not more than sixty (60) days from GitLab's notice to supplier, GitLab shall receive from supplier a pro-rata refund of, any fees previously paid, from the date of notice to vendor to the end of the term.

### 8. INTELLECTUAL PROPERTY

8.1  Any inventions, products, designs, specification, drawings, technical information, data, tools, processes, techniques, computer programs, databases, user interfaces, know-how, notes, works of authorship software, or any other material furnished, or paid for, by GitLab shall: (i) remain or become GitLab's property, (ii) be used by Vendor exclusively to provide the Products and/or Professional Services, (iii) be destroyed or returned, at GitLab's sole option, to GitLab upon written request. Vendor hereby assigns and agrees to assign GitLab all right, title, and interest in and to the Deliverables. For the avoidance of doubt, the assignment of right, title and interest shall not apply to Vendor Product(s) which are "off-the-shelf" and do not include any GitLab Confidential Information.

### 9. INSURANCE

9.1 Vendor shall be solely responsible for maintaining for itself and requiring its subcontractors and agents to maintain adequate insurance coverage. Upon request, Vendor shall supply GitLab with certificates of insurance.

### 10. INDEMNIFICATION

10.1  Vendor shall defend, indemnify, and hold GitLab harmless from claims demands, causes of action and liability for damages, losses, costs and expenses, including legal fees and disbursements and other amounts paid or payable to unaffiliated third parties resulting from: (i) the infringement or violation of any intellectual property rights by the Products and/or Deliverables, or (ii) the violation of applicable law or regulation by Vendor in performance of its obligations hereunder. GitLab shall notify Vendor of any such claim or demand and Vendor shall defend any suits based thereon. If an injunction is issued as a result of any such claim, Vendor agrees, at its expense, and at GitLab's option, to: (a) procure for GitLab the right to continue using items purchased hereunder, (b) replace such Products and/or Deliverables with non-infringing items, (c) modify the Products and/or Deliverables so they are no longer infringing, or (d) refund to GitLab the amount paid for the Products and/or Deliverables.

### 11. LIMITATION OF LIABILITY

11.1  IN NO EVENT WILL GITLAB BE LIABLE FOR ANY SPECIAL, INCIDENTAL, PUNITIVE OR CONSEQUENTIAL DAMAGES OF ANY KIND IN CONNECTION WITH THIS AGREEMENT, OR EXECUTED TRANSACTION DOCUMENT, EVEN IF GITLAB HAS BEEN INFORMED IN ADVANCE OF THE POSSIBILITY OF SUCH DAMAGES. GITLAB'S AGGREGATE LIABILITY UNDER THIS AGREEMENT AND/OR ANY TRANSACTION DOCUMENT WILL NOT EXCEED THE FEES STATED ON THE APPLICABLE TRANSACTION DOCUMENT FOR THE PROVISION OF THE PRODUCTS AND /OR DELIVERABLES STATED THEREIN.

### 12. INDEPENDENT CONTRACTOR

12.1 The relationship between GitLab and Vendor is one of an independent contractor, and neither party will represent itself as a dealer, agent or other representative of the other party or as having authority to assume or create obligations or otherwise act on behalf of the other party.

### 13. REMEDIES

13.1  The rights and remedies to GitLab herein shall be cumulative and in addition to any other rights and remedies provided by law or equity or those provided under the Uniform Commercial Code.

### 14. PUBLICITY

14.1  Vendor will not, without first obtaining GitLab's prior written consent from the GitLab legal team, advertise or otherwise disclose that Vendor has furnished or agreed to furnish Products and/or Professional Services to GitLab under this Agreement.

### 15. DATA PRIVACY

15.1  Vendor shall ensure that any and all GitLab Data is collected, processed, transferred and used in full compliance with the Applicable Data Protection Laws. Vendor shall adopt and maintain appropriate organization, technical and security measure prior to any such collection, processing or transfer in order to protect against any unauthorized access to or use of GitLab Data. Vendor shall immediately information GitLab of any Security Breach and cooperate with GitLab in any investigation thereof and in the implementation of any measures reasonably required to be taken in response thereto. If required by Applicable Data Protection Laws, the parties will enter into a Data Processing Agreement for the transfer of any GitLab Data outside of the European Union.

### 16. SEVERABILITY

16.1  If any provision contained in this Agreement is held to be invalid or unenforceable under the laws of any jurisdiction where enforcement is sought, such invalidity or unenforceability will not affect any other provisions of this Agreement, and this Agreement will be construed as if such invalid or unenforceable provision had not been contained herein in that jurisdiction.

### 17. GOVERNING LAW

17.1  This Agreement shall be construed and enforced in accordance with the laws of California, U.S.A., and the parties submit to the jurisdiction of the State and Federal courts in San Francisco, California, without giving effect to any conflicts of laws principles.

### 18. ENTIRE AGREEMENT

18.1  This Agreement contains the entire understanding of the parties hereto in respect of transactions contemplated hereby and supersedes any prior agreements and understandings between the parties with respect to such subject matter.  The parties agree that all such prior agreements and understandings shall have no further force and effect.
