---
title: "Spending Company Money"
---

**All team members and contractors must protect our Company assets, such as equipment, supplies, cash, and information. Treat Company assets with the same care you would if they were your own. No team member or contractor may commit theft, fraud or embezzlement, or misuse Company property.**

## Guidelines

1. As a public company, GitLab has an obligation to act in the best interests of the corporation and its shareholders. This obligation is shared by all team members and is the basis of our global travel and expense policy as a public company; team members must be thoughtful in spending the Company's money.
1. Spending Company money includes travel and expenses.
1. You may privately use GitLab property, a MacBook for example, to check your private e-mails or watch a movie as long as it does not violate the law, harm GitLab, or interfere with Intellectual Property. More details can be found in the [Internal Acceptable Use Policy](/handbook/people-group/acceptable-use-policy).
1. File your expense report in a timely manner, as expense claims over 90 days from purchase date will not be reimbursed unless approved by your Manager.  The sooner it is submitted, the sooner you will get reimbursement.
1. If team members knowingly submit expenses for reimbursement for personal purchases that are not covered in the expense policy, this is a violation of our [Code of Business Conduct & Ethics](https://s204.q4cdn.com/984476563/files/doc_downloads/govdoc/GitLab-Code-of-Business-Conduct-Ethics-2024-06-25.pdf).

## Policy Links and Resources

This table captures all of the links for different policies that are documented around using Company money. This includes information of when to use our expense tool Navan, when to use a virtual credit card and when to get a PO from Zip.

| Policy Name | Owner | Description |
| --------------- | ----- | ----- |
| [Global Travel and Expense Policy](/handbook/finance/expenses/) | CFO | Policy and procedures by which reimbursable expenses are reimbursed |
| [Procurement Process (PO)](/handbook/finance/procurement/) | VP Finance | Process to engage the procurement team |
| [Spending Company Money]({{< ref "spending-company-money" >}}) | CFO | Our policy on spending Company money; Links to resources |
| [GitLab Internal Acceptable Use Policy](/handbook/people-group/acceptable-use-policy) | CPO, CLO | Requirements related to the use of GitLab computing resources and data assets by GitLab team members |
| [Growth and Development Benefit](/handbook/people-group/learning-and-development/growth-and-development/) | CPO | Access external resources to develop their career |
| [Navan Physical Card Policy](/handbook/finance/accounts-payable/corp-credit-cards/) | CFO | Guidelines for acceptable use of physical corporate cards |
| [GitLab Related Party Transactions](/handbook/legal/gitlab-related-party-transactions-policy/) | CLO | Related Party Transactions Policy |

## Ways to spend company money

1. Individual expenses that meet the expense policy on your personal credit card: Please see our [Global Travel and Expense Policy](/handbook/finance/expenses/) to see what we will reimburse and how to get reimbursement.
1. Individual expenses using a virtual card: Please see our [Global Travel and Expense Policy](/handbook/finance/expenses/).
1. Individual expenses using a Navan physical card. Please see our [Navan Physical Card Policy](/handbook/finance/accounts-payable/corp-credit-cards/).
1. Company expenses using a Coupa virtual card: [Coupa Virtual Card](/handbook/business-technology/enterprise-applications/guides/coupa-virtual-cards/).
1. Company expenses using a purchase order: Please see our [Procurement Process (PO)](/handbook/finance/procurement/).
