---
title: "Sponsored Travel"
description: "Sponsored travel is travel usually to a customer site that is sponsored by the customer or entity usually though contractual services such as statements of work."
---

Related [Travel](/handbook/finance/travel/)
{.h3}

Sponsored travel is travel usually to a customer site that is sponsored by the customer or entity usually though contractual services such as statements of work.  Sponsored travel is billable to the customer or entity for paid services.

## Booking Sponsored Travel

### Lodging

Travelers are expected to choose lodging that meets the traveler's schedule and business needs. Receipts are required for all lodging.

**Domestic or International Lodging**
Departments will reimburse travelers for actual expenses up to 100% of the lodging rate for the destination city, as referenced on the [US Government General Services Administration (GSA) website](https://www.gsa.gov/travel/plan-book/per-diem-rates?gsaredirect=portalcategory) for domestic lodging and the [U.S. Department of State website](https://aoprals.state.gov/web920/per_diem.asp) for international lodging.

GitLab recognizes there could be some situations where a lodging rate falls outside of GitLab's guidelines. The traveler must obtain pre-approval from the appropriate authorized approver through a [NexTravel](https://www.travelperk.com/) account.  Out of policy lodging must be booked and approved through NexTravel. If the traveler does not obtain prior approval, the department may limit the reimbursement to the GSA per diem rate.

### Meals and Incidental Expenses (M&IE)

Unless specifically requested by the customer in the SoW, travelers on billable travel are reimbursed the per diem rate for travel-related meal expenses for their travel destination. Receipts are not required (under any circumstances) for reimbursement of travel meals using per diem rates.

The M&IE rates include:

- Meals, drinks, tax & tip
- Incidentals – e.g., baggage carriers, bellhops and hotel staff

Travelers may put in a separate expense request for meals that are not billable such as a GitLab-sponsored customer lunch or dinner.

**First & Last Day of Travel**

First and last day of travel will be reimbursed.
Departure day – the day you leave your home or office.
Return day – the day you return to your home or office.

**Incidentals**

Travelers may include the daily incidental amount when determining the maximum M&IE rates. Gratuities for baggage carriers, porters, hotel staff (bellhops and house cleaners), and staff on ships, as well as ATM fees, bank fees, and check cashing fees are included in the daily incidental amount. Laundry expenses are included in the daily incidental amount for international travelers. Travelers should not request reimbursement for any of these items.

Travelers may request reimbursement for laundry for domestic travel lasting seven (7) or more consecutive days.

**Meal breakdown for International M&IE rates**

Rates can be found on the [U.S. Department of State M&IE Rates web page](https://aoprals.state.gov/content.asp?content_id=114&menu_id&menu_id=81&menu_id=81).

### Flights and Transportation (Uber or Car Rental)

Planning flights far in advance can help you get cheaper fares when booking. For example, you can set alerts when there is a significant drop in price for your travel destination.

- [Google Flights](https://www.google.com/travel/flights/) - Great for comparing flights
- [Kayak](https://www.kayak.com/) - Great for comparing car rentals

### Other Travel Recommendations and Policies

1. The company can accommodate custom requests. It is OK to stay longer on your trip. However, the extra days will not be covered by the company or customer.
1. Understand that the guidelines of [Spending Company Money](/handbook/finance/spending-company-money/), especially the part about spending it like it is your own money, still applies for all expenses.
1. Always bring a credit card with you when traveling for company business if you have one.
1. Hotels will generally expect you to have a physical credit card to present upon check-in. This credit card will be kept on file for the duration of your stay. Even if your lodging was pre-paid by the company, the hotel may still require a card to be on file for "incidentals".
1. If you incur any work-travel related expenses (on your personal card or a GitLab company card), please make sure to save the original receipt.
1. When your trip is complete, please file an expense report via Navan Expense or include the receipts on your next monthly invoice.

## Pricing Sponsored Travel

This is the policy for estimating pricing on sponsored travel for contracts.

## Lodging and M&IE Per Diem Rates

Use the per diem rates multiplied by the days on site, as well as your two travel days.

## Airfare and Transportation

Estimate the airfare and car rental prices by using the search sites and choosing a mid cost flight/rental.  Consider the starting location of the employee projected to go.

## Other Billable Expenses

If it is required to have a fixed contract price for sponsored travel, estimate the cost of other billable expenses such as parking, tolls, transportation to and from airport, internet services in hotel or flights, and other expenses that might be necessary to complete the contract successfully.

For any policy not covered in this policy please refer to [Travel](/handbook/finance/travel/)
{.h3}
