---
title: "MERGE: Ongoing Development for Associate Engineers"
---

Congratulations and welcome to the GitLab team! We're excited to have you on board as you start this exciting new chapter in your engineering career. Our comprehensive ongoing development program is designed to support you every step of the way - from your first day, to your first merge request, and beyond. You'll have support from your manager, onboarding buddy, and the Talent Development team; don't ever hesitate to reach out.

Get ready to explore new technologies and skills, collaborate with GitLab team members around the globe, and grow in an environment where your success and results are our priority. Let's dive in and make great things happen together!

## Building your GitLab Community

Working from your GitLab home office, with team members spread across the globe, might feel a bit daunting or lonely. It's important to invest time and energy into building your community here so that you have support and guidance. All Associate Engineers will be included in a private Slack channel, made specifically for Associates. This space can serve as a support network for you to learn from each other's experiences and problem solve when challenging projects come up. We encourage you to lean on and learn from each other!

Don't forget about the wider GitLab team member community, too. There are lots of places to meet and connect with team members across the organization. Here are some examples:

| Slack Channel | Description |
| ----- | ----- |
| Social Slack Channels | A [HUGE list](/handbook/communication/chat/#social-groups) of social channels to join based on your interests - try #cooking, #gaming, #dog, #cats, #travel, or #music. Can't find a channel for your favorite hobby? Start one and post about it in #whats-happening-at-gitalb so others know to join! |
| Team Member Resource Groups | TMRGs are voluntary, team member-led groups focused on fostering diversity, inclusion and belonging within GitLab. These groups help team members build stronger internal and external connections; offer social, educational, and outreach activities; create development opportunities for future leaders; and increase engagement among team members. Find a list of TMRGs [here](/handbook/communication/team-member-resource-groups/). |

## Priotizing your Development

Skill development and career growth are important for all team members at GitLab. We've designed a custom and ongoing development plan for our associate engineers that is built to provide struture and resources for you to thrive at GitLab. Below, you'll find more about what you can expect.

### Your First Week at GitLab

Our GitLab team starts using the product on Day 1 for onboarding with our [onboarding issue](https://gitlab.com/gitlab-com/people-group/people-operations/employment-templates/-/blob/main/.gitlab/issue_templates/onboarding.md). You'lll start here, too.

The first week at GitLab can feel like a lot - getting used to your new at home workspace, meeting your manager and colleagues, and working through values and compliance trainings. It's a great week to have a few coffee chats with your onboarding buddy, get to know your manager, and introduce yourself in the [#new-team-members Slack channel](https://app.slack.com/client/E03N1RJJX7C/C4XCPSVB8).

In your first week, expect to get connected with other associate engineers at GitLab. You'll also be paired with your onboarding buddy, a go-to resource for you for all questions you have throughout your first few weeks at GitLab.

### Week 2: Getting Familiar with the GitLab Engineering Team

Don't worry if you've not finished your Week 1 onboarding issue yet - keep working through the assignments there! In Week 2, you'll also get assinged your department-specific, engineering onboarding issue, which will guide you through the basics of your department and role. Here's what you can expect:

- Dive deeper into the GitLab product architecture and engineering workflows to understand the technical landscape
- Meet with key members of the engineering departments and learn about their teams, projects, and responsibilities
- Begin working on initial assignments to apply your skills and contribute to the codebase
- Shadow other teams or participate in pair programming sessions with experienced engineers
- Attend customer or client meetings to gain a better understanding of user needs and business objectives
  
### Training and Workshops

The Talent Development team curates a robust schedule of training sessions, workshops, and lunch-and-learns to help you expand your technical skills and knowledge. These cover a wide range of topics, from new programming languages to agile methodologies.

In your first month at GitLab, you'll be assigned a custom learning path from O'Reilly learning. O'Reilly's self paced courses are some of the best in the industry for learning skills like

- Ruby on Rails
- Vue.js
- Docker
- Kubernetes

Along with this self paced work, you'll start exploring opportunties to advance your technical skills in the flow of work at GitLab in spaces like:

- Internal hackathons and innovation days
- Reviewing Community Contributions (and owning stagnant contributions)
- Specialized tech tracks for areas like Machine Learning, Security, or Performance Optimization
- Contribution to open-source projects, fostering practical skills and community involvement
- Peer-led sessions and reverse mentoring to foster a learning culture.
- Technology rotation program to broaden exposure to different aspects of the product.
- And more!

Expect to hear from the Talent Development team during your first week at GitLab, and then again after about 2 or 3 weeks to see how you're doing. From there, you'll hear from Talent Development every quarter with news on workshops, trainings, and other resources to support your skill development.

### Career Pathing

Together with your manager, you'll create a personalized Individual Growth Plan (IGP) to identify your strengths, areas for growth, and the steps needed to reach your professional aspirations. We'll work with you to unlock new opportunities and help you progress in your career.

### Feedback and Performance Reviews

You'll receive regular feedback and coaching from your manager to help you understand your progress and areas for improvement. Formal performance reviews will provide a structured opportunity to discuss your achievements, growth, and future goals.

The GitLab team is committed to supporting your development and helping you reach your full potential. Embrace the opportunities ahead, and don't hesitate to reach out for guidance and support along the way.

### Technical Assessments

You'll participate in techncial assessments to review your learning and performance with your manager and mentors. These assessments could include:

1. Coding challenges
1. Project review
1. Peer feedback
1. Simulation exercises

## Questions and Support

Don't hesitate to reach out. If you need support with your development, or have ideas about how to grow faster and stronger in your engineering role, speak direclty to your manager or reach out in the #learninganddevelopment Slack channel.
