---
title: "GitLab talent ambassador"
description: "Keeping with our mission that everyone can contribute, we want all GitLab team members to feel encouraged and equipped to take part in helping us find great talent and act as ambassadors for the company and our talent brand."
---

## Become a GitLab talent ambassador

It's an exciting time to be part of the GitLab team. As we continue to grow, our goal is to create and foster a culture where our team members are comfortable and excited about the opportunity of being a GitLab talent ambassador.

Whether you're a hiring manager or an individual contributor, you play an important role in this.
Keeping in line with [our mission]({{< ref "mission#mission" >}}) that everyone can contribute, we want all GitLab team members to feel encouraged and equipped to take part in helping us find great talent and act as ambassadors for the company and our talent brand.

Here are a few key things you can do to become a **talent ambassador for GitLab.**

## How to get started

### 1. Optimize your social media profiles (especially LinkedIn)

Whether they're just interested in GitLab or have already been sourced or interviewed for a role, most candidates have done their homework on their prospective manager and team.

If you're a hiring manager or part of the hiring team, you'll want your LinkedIn profile (and any other sites you use for work, like Twitter) to represent you and GitLab in the best way.

Here are some steps you can take to get started optimizing your profile.

**1. Name, photo, and headline**

- Use your real name.
- Include a headshot that represents you professionally.
- Write a headline that creatively explains your role or passion.

**2. Use a banner image**

- Your banner image is a great way to visually associate yourself with GitLab or a subject matter area you're passionate about. You can find several GitLab-branded banners in the [talent brand & engagement repository](https://gitlab.com/gitlab-com/people-group/talent-brand-and-engagement/-/tree/master/Social%20Media%20banners).

**3. Write a summary**

- Your summary should mirror your personal elevator pitch. It should tell people who you are and what you're passionate about.
- It's also a great place to talk about your team and GitLab, and why a candidate would want to work with you.
- Feel free to use and build from this boilerplate summary about working at GitLab:

> Joining GitLab means you'll contribute to the most comprehensive DevSecOps platform, empowering development, security, and ops teams to build better software, faster. As one of the largest all-remote companies in the world with globally distributed team members, this is a place where you can contribute from almost anywhere. You'll be part of an ambitious, productive team that embraces a set of shared values in everything we do. As part of GitLab's (YOUR TEAM) team, my role is to (ADD CONTEXT HERE ABOUT YOUR ROLE AND TEAM).

**4. Your current role**

- This is an important one people often miss: Make sure you've listed your current role and connected it to the GitLab page. You'll know this worked when you see the GitLab logo next to your current role.

**5. Follow [GitLab's company page](https://www.linkedin.com/company/gitlab-com/)**

- You'll be able to stay up to date on what our social media team is sharing about GitLab.

**6. Add media**

- Videos about your team or life at GitLab
- Blog posts
- Your [README file]({{< ref "leadership#your-individual-readme" >}})

#### More training for rocking your profile on LinkedIn

- [How to optimize your LinkedIn presence (and why it matters)](https://docs.google.com/presentation/d/12APD_Ov1bCufRAyQEGGAnPHUq1PzHhR1U_57avtmP9g/edit#slide=id.g12b319f6181_0_0)

### 2. Share what life is like as part of the GitLab team

Candidates will do their research in places far beyond our jobs site to find out more about whether GitLab is the right fit for them.

We want to be sure we're telling an authentic story about life at GitLab, and one of the best ways to do that is through our team members.

Once you've reviewed the [team member social media policy](/handbook/marketing/team-member-social-media-policy/), you'll find a library of suggested posts to share using our social media advocacy platform, [Bambu by Sprout](/handbook/marketing/integrated-marketing/digital-strategy/social-marketing/team-member-social-advocacy/#suggesting-content-for-team-members-to-share-on-bambu).

#### Being an advocate for our talent brand on social media

There are several important things to keep in mind when sharing your opinions about working at GitLab on social media. Please keep these things in mind as you create public-facing posts:

1. Be as specific as possible when sharing examples about your experience.
    - With more and more team members joining GitLab there's likely to be more variation in the team member experience. Making statements like, "At GitLab, we all..." or, "At GitLab, everyone..." may create unrealistic expectations if the detail being shared only applies to particular teams or functions within the company.
    - As GitLab grows, there will be more variation in the experience of working here. If you're sharing a specific practice or ritual that happens on your team it would be more appropriate to say something like "On GitLab's Marketing team, we..." versus "At GitLab, we...". It's often the case that teams within GitLab will develop their own unique practices and being as specific as possible will better set expectations with candidates.
1. Speak to your personal experience.
    - The more you're able to add color to a social post by adding details from your personal experience the more effective it will be in illustrating the experience of working here. A good example of this would be to talk about how you took advantage of a particular benefit rather than simply highlighting a particular benefit that GitLab offers.
1. Actively invite people to help us on our journey.
    - Future candidates will be more interested in hearing about what we're building toward rather than where we have already arrived. Think about ways in which your messaging can invite others to "help us build a special company" rather than "joining a special company".
1. Be considerate of tone and how your message may be perceived by the audience reading it.
    - As a general guideline, we [don't bash our competitors](/handbook/marketing/team-member-social-media-policy/#its-your-job-to-protect-gitlab-our-customers-and-our-team-members) on social media
    - For our talent brand, this extends to the employment practices of our competitors. Especially given there have been a number of tech companies lay off staff in 2023, it's important that any messaging to those who may have been impacted by a lay off clearly convey sympathy and compassion.
    - An example of a compassionate tone: "With many layoffs in the tech industry, please know that GitLab is currently hiring."
    - It is ok to mention companies by name if it is relevant to the post, and the employees losing their jobs and the company doing the layoffs are treated with empathy and respect.
    - An example of what we want to avoid: "Lost your job? Come work at GitLab!"
1. If you're unsure how to communicate something, you can always reach out to the #talent-brand channel on slack.

#### On LinkedIn

- As you're sharing content on LinkedIn, use the hashtags `#LifeAtGitLab` and `#AllRemote` as you deem suitable. This will connect your post to a curated feed of content from our team members on [GitLab's "life" tab](https://www.linkedin.com/company/gitlab-com/life) on LinkedIn, and promote our remote culture.
- If you're sharing a GitLab job on LinkedIn, we require team members to use only the provided templates to ensure we have consistent messaging when sharing jobs. Messaging options include:
  - > It's an exciting time to join @gitlab. We're hiring for a [INSERT ROLE NAME]! [INSERT JOB LINK] #AllRemote #LifeAtGitLab
  - > Interested in joining one of the world's largest #AllRemote companies? @gitlab is hiring a [INSERT ROLE NAME]! [INSERT JOB LINK] #LifeAtGitLab
  - > Do your best work from wherever works for you. @gitlab is one of the world's largest #AllRemote company and we're hiring a [INSERT ROLE NAME]. Interested? Learn more: [INSERT JOB LINK] #LifeAtGitLab
  - > Join @gitlab and put yourself at the intersection of #AI and #DevSecOps. We're hiring a/an [INSERT ROLE NAME] to contribute to cutting-edge projects that will help organizations around the world deliver software faster. Ready to lead the way? Apply now: [INSERT JOB LINK] #AllRemote #LifeAtGitLab
  - > Join @gitlab and help organizations around the world deliver software faster with our AI-powered DevSecOps platform. We're hiring a [INSERT ROLE NAME]. Apply now: [INSERT JOB LINK] #AllRemote #LifeAtGitLab
  - > Join @gitlab and help build a company that enables over 50% of Fortune 100 organizations to deliver software faster with our AI-powered DevSecOps platform. We're hiring a [INSERT ROLE NAME]. Apply now: [INSERT JOB LINK] #AllRemote #LifeAtGitLab
  - > Join @gitlab and help build a product that enables over 50% of Fortune 100 organizations to deliver software faster with our AI-powered DevSecOps platform. We're hiring a [INSERT ROLE NAME]. Apply now: [INSERT JOB LINK] #AllRemote #LifeAtGitLab
  - > Join a company that values transparency, collaboration, and iteration. @gitlab is hiring a [INSERT ROLE NAME]. Discover how our 6 CREDIT values drive our culture and learn more about this role: [INSERT JOB LINK] #AllRemote #LifeAtGitLab
  - > Unlock a world of opportunities at @gitlab. We're looking for a [INSERT ROLE NAME] to join our diverse and passionate team. Explore your potential with us: [INSERT JOB LINK] #AllRemote #LifeAtGitLab

#### On X (formerly Twitter)

- Be sure to follow the [@gitlab X (formerly Twitter) account](https://twitter.com/gitlab) and reshare content our [social media team](/handbook/marketing/integrated-marketing/digital-strategy/social-marketing/) is posting.
- Consider tweeting some of the content ideas above, and tag the GitLab account for potential retweets.
- Just like on LinkedIn, use the hashtags `#LifeAtGitLab` and `#AllRemote` as you deem suitable in your tweets.
- If you're sharing a job opening on X (formerly Twitter), we require team members to use only the provided templates to ensure we have consistent messaging when sharing jobs.Messaging options include:
  - > It's an exciting time to join @gitlab. We're hiring for a [INSERT ROLE NAME]! [INSERT JOB LINK] #AllRemote #LifeAtGitLab
  - > Interested in joining one of the world's largest #AllRemote companies? @gitlab is hiring a [INSERT ROLE NAME]! [INSERT JOB LINK] #LifeAtGitLab
  - > Do your best work from wherever works for you. @gitlab is one of the world's largest #AllRemote company and we're hiring a [INSERT ROLE NAME]. Interested? Learn more: [INSERT JOB LINK] #LifeAtGitLab
  - > Join @gitlab and put yourself at the intersection of #AI and #DevSecOps. We're hiring a/an [INSERT ROLE NAME] to contribute to cutting-edge projects that will help organizations around the world deliver software faster. Ready to lead the way? Apply now: [INSERT JOB LINK] #AllRemote #LifeAtGitLab
  - > Join @gitlab and help organizations around the world deliver software faster with our AI-powered DevSecOps platform. We're hiring a [INSERT ROLE NAME]. Apply now: [INSERT JOB LINK] #AllRemote #LifeAtGitLab
  - > Join @gitlab and help build a company that enables over 50% of Fortune 100 organizations to deliver software faster with our AI-powered DevSecOps platform. We're hiring a [INSERT ROLE NAME]. Apply now: [INSERT JOB LINK] #AllRemote #LifeAtGitLab
  - > Join @gitlab and help build a product that enables over 50% of Fortune 100 organizations to deliver software faster with our AI-powered DevSecOps platform. We're hiring a [INSERT ROLE NAME]. Apply now: [INSERT JOB LINK] #AllRemote #LifeAtGitLab
  - > Join a company that values transparency, collaboration, and iteration. @gitlab is hiring a [INSERT ROLE NAME]. Discover how our 6 CREDIT values drive our culture and learn more about this role: [INSERT JOB LINK] #AllRemote #LifeAtGitLab
  - > Unlock a world of opportunities at @gitlab. We're looking for a [INSERT ROLE NAME] to join our diverse and passionate team. Explore your potential with us: [INSERT JOB LINK] #AllRemote #LifeAtGitLab

#### Glassdoor & Comparably

There are a number of platforms and touchpoints where candiates interact with our talent brand or our jobs prior to ever applying or talking with us.

Beyond helping us to identify top candidates for our team and making referrals, you can also help us attract great candidates by sharing why GitLab is a great place to work on our Glassdoor & Comparably pages. Taking 3-5 minutes to post a review will help future joiners understand our culture and company!
Here are a couple of ways you can help tell GitLab's story on these sites.

- Leave a [Glassdoor review](https://www.glassdoor.com/mz-survey/start_input.htm?cr=&c=&showSurvey=Reviews)
- Rate GitLab [on Comparably](https://www.comparably.com/companies/gitlab/survey?s=hc5x4)

Know of another site where GitLab should have a talent acquisition or talent brand profile? Send us a message in the `#talent-brand` channel on Slack.

#### Responding to potential candidates

As you share more about life at GitLab, you'll likely start to get more direct outreach from people interested in working here.

If you do not know someone who messages you on social media and you do not have a shared connection in common, then it is up to your discretion if you want to engage with them.

Here's a suggestion for how to respond to these messages, particularly if you don't know the potential candidate.
Feel free to make this your own and personalize it based on the specific message or questions you received:

> Hi, {NAME}, thank you for your interest in GitLab! It's an exciting time to be part of our team.
>
> The best way to share your information with our talent acquisition team is to apply to a relevant role on our [careers page](https://about.gitlab.com/jobs/). I'd also encourage you to take a look through our [company handbook](/handbook/) and our [Life at GitLab Content Library](/handbook/people-group/employment-branding/content-library) to learn a bit more about our culture.
>
> GitLab is an incredibly unique place to work.
>
> Thanks for reaching out,
>
> {YOUR NAME}

### 3. Refer great people to GitLab

One of the best ways to help GitLab grow is by referring talented people in your network.

As you think about who would be a good fit for GitLab, don't limit yourself to only the people you know are actively searching for a job. You never know when someone is ready for their next career journey.
We want to hire the best candidate for the role and make sure that person will be a ["values add"](/handbook/values/#culture-fit-is-a-bad-excuse) to GitLab's unique [culture](/handbook/company/culture/).

Here's a [fact sheet](https://gitlab.com/gitlab-com/people-group/talent-acquisition/-/blob/master/Hiring_fact_sheet_-_2020-03.pdf) that can be used as a reference guide as you're having conversations with potential candidates.

**Ready to make your first referral?** Check out [this guide.]({{< ref "referral-process" >}})

### 4. Get Involved

**Contribute your perspectives on a video**
> Using video is a highly valuable means of offering a glimpse into the inner workings of our company and what life is like at GitLab. It presents an excellent chance to showcase your genuine self and portray GitLab as an outstanding workplace for prospective candidates. Here's what you can expect during the video collection process:
>
1. You'll be asked to record and submit your video via [Cinebody](https://www.cinebody.com/), a powerful tool used to collect and review team member video sentiment before editing into a final video.
1. You'll receive a PDF from the team member leading the video project describing how to collect the video and prompts to assist your candor in the video.
1. Cinebody is integrated with GitLab's Okta SSO system, so once you receive the PDF, click the link either on your phone or computer, sign in, and record away!
1. As soon as you submit your video, Cinebody will receive and store it where it will be reviewed by a member of the Talent Brand team before being sent for final editing.
1. The video may be used in candidate outreach, in job advertisements, on GitLab social media, or on external talent platforms such as our careers site.
>
>Please Slack @cchiodo if you're interested in getting involved.
>
**Provide your viewpoints in a piece of written content**
> Written content in the form of perspectives, articles, blogs, and/or roundups offer powerful opportunities for our team members to share their thoughts and beliefs about working at GitLab. If you're participating in a piece of written content for the Talent Brand team, here's what you can expect during the collection process:
>
1. The team member managing the written project will provide you with an overview of the project and what is expected of you.
1. The collecion of your written perspectives is typically completed in Google Docs, unless otherwise directed.
1. Once the piece is finalized, a final review will be conducted by all necessary teams before publication.
1. The written piece may be used in candidate outreach, in job advertisements, on GitLab social media, or on external talent platforms such as our careers site.
>
>Please Slack @cchiodo if you're interested in getting involved.
