---
title: "Greenhouse"
description: "Greenhouse is GitLab's ATS (Applicant Tracking System). All Hiring Managers and Interviewers will use Greenhouse to review resumes, provide feedback, communicate with candidates, and more."
---

### How to join Greenhouse

[Greenhouse](https://www.greenhouse.com/) is GitLab's ATS (Applicant Tracking System). All Hiring Managers and Interviewers will use Greenhouse to review resumes, provide feedback, communicate with candidates, and more.

You can log into Greenhouse in your Okta homepage. All GitLab team-members are granted *Basic* access, which will allow you to track *Referral* submissions, interview candidates (if assigned to a requisition), and share requisition postings on social media. Until your access is changed by an Admin, you will only have access to the Greenhouse [dashboard](https://app2.greenhouse.io/dashboard).

During onboarding, all new team members are assigned permissions based on their role in the hiring process. If a current team member needs to change their access level, they'll need to submit a [new access request issue](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/new?issuable_template=New_Access_Request) in the GitLab `access-requests` project. Their Manager and the Talent Acquisition Team will be pinged to approve and action that request.

### Your dashboard

The Greenhouse [dashboard](https://app2.greenhouse.io/dashboard) will be your primary page for activities in Greenhouse. All team members have access to this page. However, depending on your role in the hiring process, you may have more dashboard widgets than others. All team members can see the `Add a Referral`, `My Referrals`, and `Share Jobs with your Social Network` sections (all of which are described in more detail below). On the righthand panel, there is a section called `Helpful Links`, which is home to several self-help resources, as well as the Greenhouse Support Team.

Members of a Hiring Team may have additional sections, such as `My Interviews`, which contains a preview of your next three scheduled interviews. That section will link to the candidate's profile and interview kit; click `See All Interviews` to view the full list of upcoming interviews and `See Past Interviews` to view completed interviews. You may also see `My Reminders`, which houses reminders that you set for yourself.

A Recruiter will see an additional section called, `Applications to Review`, which will list their requisitions and link to the *Application Review* workflow. There, they can review applications and advance, decline, or submit feedback. This panel only shows the five requisitions with the **most** pending applications. To see all requisitions, click `See All` and select yourself as the responsible user. To note, Hiring Managers do **not** have this section on their dashboard. However, they can view the `Application Review` section by going to a specific requisition and clicking `Application Review` in the righthand panel.

On the righthand panel, members of the Hiring Team can see a list of `My Tasks` and `All Tasks`, which shows how many candidates you have pending action items on. For example, *"Needs Decision"*, *"Candidates to Schedule"*, *"Take Home Tests to Send"*, or *"Offers"*. You can view all pending tasks by clicking `All Tasks`.

Members of the approval process (i.e. Executives, Finance Business Partners, and Total Rewards) will have an additional section titled `My Approvals`, which contains a list of any requisitions and candidates that require their approval.

The next section is called, `Helpful Links`, which includes a link to our [internal job board](https://app2.greenhouse.io/internal_job_board), a link to a list of our "in-house contacts" (which are GitLab team-members who are our Greenhouse account owners) with their names and emails, and a link to the Greenhouse [Help Center](https://support.greenhouse.io/hc/en-us).

The last button of note is the `Personalize Dashboard` button at the bottom of the righthand panel. You can use this to adjust your settings on your dashboard. For example, to hide or rearrange sections to your liking.

## For all Interviewers

### Feedback and Interview Kits

When you have an interview, you have two ways to get to your Interview Kit to leave feedback for a candidate. The first is by clicking the link in the calendar invitation for the interview. The second is by going to your Greenhouse [dashboard](https://app2.greenhouse.io/dashboard) where you will see a list of your upcoming interviews and can click `See Interview Kit`.

The Interview Kit consists of a few tabs:

- **Interview Prep**
  - Quick overview of what you'll want to look for in the interview, as well as any notes that previous Interviewers left to look into further.
- **Job Details**
  - The full requisition description posted on Greenhouse.
- **Resume**
  - This tab will only show up if the candidate provided a resume.
- **LinkedIn**
  - This tab will only show up if the candidate provided their LinkedIn profile.
- **Scorecard**
  - This is where you will enter all of your notes, score various attributes, and make a decision. (More detail below!)

Additionally, the Interview Kit shows the candidate's name, contact details, pop-out links to their resume, cover letter, and other details, as well as the details for the interview (location, time, etc.) on the lefthand side. It also includes the requisition that the candidate is interviewing for at the top of the page.

#### Scorecards

The scorecard consists of a few elements. In general, they feature text boxes for adding notes and text boxes for addressing specific questions. To note, if a text box is required, there will be a red asterisk by the question.

All the meeting notes should live in Greenhouse, and not in links to Google Docs or other external sources. Doing so we allow Greenhouse to be the single source of truth (SSOT) for information from the candidate for GDPR and compliance reasons.

Underneath the first text box, `Key Take-Aways`, there are two additional links, `Private Note` and `Note for Other Interviewers`, which will open additional text boxes. A `Private Note` is typically used by the Talent Acquisition Team when collecting compensation information and it's only viewable by the Talent Acquisition Team and Hiring Managers for the requisition. The `Note for Other Interviewers` text box is extremely useful to all Interviewers, as it's where you can include information that you think would be relevant to future Interviewers. For example, specifying areas to dig into, further evaluate, or look out for. Any notes in this field will appear in the next Interviewer's Interview Kit on the `Interview Prep` tab.

We want to highlight the strengths and weaknesses of the candidate in an easy to absorb, standardized way. Every scorecard must include  `Pros` and `Cons`. This helps the talent acquisition team gather data that will be presented to the candidate in the form of feedback.

Below the text boxes for notes, each role has a list of desired attributes. Each stage has certain attributes highlighted that are recommended points of evaluation. However, **no** attributes are required, so you're welcome to rate any attributes you've gained insight into. All stages include attributes for values-alignment, which all Interviewers are heavily encouraged to complete, so we can assess values-alignment for each candidate.

You'll see a selection of symbols aligned with each attribute. You should use the `neutral` symbol sparingly
. Do not use the `neutral` symbol to indicate you skipped the assessment of this attribute or didn't meet with the candidate.

Below the attributes is the final piece where you will make your decision. Greenhouse says *"Overall Recommendation: Did the candidate pass the interview?"*.  The final score is not required by Greenhouse, but it must be completed by the Interviewer. If the Interviewer does **not** add their vote, the Talent Acquisition Team will follow-up to fetch their vote. If you are on the fence about a candidate, that's typically an indication that you would not recommend hiring this candidate based on the competency you are assessing. Though, if you're really unsure, feel free to reach out to the Recruiter to discuss further. Your Recruiter may agree with your hesitations and decline or you may agree that there is an element that should be explored in an additional interview.

Your scorecard will automatically save as you enter information. If there is an error and Greenhouse is **not** able to save the scorecard, it will say so at the top righthand corner and you'll be unable to submit your scorecard. You can either wait until it does save or open the Interview Kit again and copy/paste the information over. If you have further issues, please reach out to the Talent Acquisition Team.

Finally, click `Submit Scorecard` and you're done! From there, you may go back to review and edit your scorecard, view the candidate profile, or return to your dashboard.  Shadowers should not submit their scorecard, but can keep the draft to discuss during their debrief with the interviewer they are shadowing. In order to ensure a timely response for each candidate and to reduce the possibility of forgetting important details and impressions of the candidate, all scorecards should be submitted within 24 hours of the interview. Please note that unless in interview training or interview calibration, interviewers should not discuss nor debrief on candidate interview performance prior to submitting scorecards in Greenhouse.

In order to help remove bias, Interviewers (unlike Hiring Managers) are **not** able to see another Interviewer's scorecard. If there are certain specific flags, concerns, or notes that should be highlighted to the rest of the Interview Team, the Interviewer should add a note in their scorecard by clicking the `Note for Other Interviewers` section right underneath the `Key Take-Aways` text box. This box can also be used to communicate *what* topics you were expected to cover and were unable to make time for so they can be covered in later interviews. You are also able to add notes outside of your scorecard that will be visible to future Interviewers by going to the candidate profile and to the text box on the right side under `Make a Note`, adding your note, and checking off the radio button to make it `Visible to Interviewers`.

#### Interview notifications

You can set up reminders in Greenhouse by going to your [account settings](https://app2.greenhouse.io/myinfo) and turning on `Daily interview reminder email` which will email you each morning with a list of your interviews for the day. You can also [connect your Slack account](https://support.greenhouse.io/hc/en-us/articles/207344866-I-use-Slack-How-do-I-set-up-the-integration-to-receive-notifications-directly-in-Slack-) to your Greenhouse account and receive reminders after the interview is over if your scorecard is still due, as well as other notifications depending on your settings.

You can also set up notifications to be delivered to your Slack by clicking on your name > `account settings`. From there, connect your Slack account and set @mentions as well as any job-specific notifications.

### Searching candidates

Since we have a great pool of talent within our ATS, Greenhouse enables the Hiring Teams to search for specific attributes of candidates. To search for keywords, go to the candidates tab at the top of the Greenhouse website, use the search bar on the lefthand sidebar to input your keywords, and enable to option `Full Text Search`.

A popular method of searching is [with boolean queries](https://support.greenhouse.io/hc/en-us/articles/202360199-Search-Candidates-Using-Boolean-Queries-), which allow you to combine keywords or phrases to get more relevant results. For example, `engineer AND "ruby on rails"`. All fields in a candidate resume, application, forms are searchable. You're also able to sort candidates via defined filters in the sidebar.

### Email syncing

All email communication with candidates must be kept in Greenhouse. Only Job Admins (Hiring Managers, Executives, and People Success) are able to email candidates from Greenhouse. If you are **not** a Job Admin and want to email your candidate, please reach out to your Recruiter. In order to ensure that the candidate's responses are also kept in Greenhouse, you have two options (there is no automatic sync). The first option is to use a [Google Add-on "Greenhouse for Gmail"](https://support.greenhouse.io/hc/en-us/articles/360003111031-Greenhouse-for-Gmail-Google-Add-on-) which will allow you to sync any emails you receive from within your gmail inbox. The second option is to either bcc your outgoing email or forward your received email to `maildrop@ivy.greenhouse.io`.

### Leaving notes

It's always recommended to leave notes in a candidate profile to maintain communication between the Hiring Managers, Interviewers, and Talent Acquisition Team. To leave a note, go to a candidate's profile, and, on the right side under `Make a Note`, type your note and tag anyone you like to see the note. If you do **not** tag anyone, **no** one will receive a notification. Once you're done with your note, click `Save` and it will notify anyone tagged and be logged in the candidate's profile in the `Activity Feed`. Anyone who has access to the requisition will be able to view it there.

Again, `Private Notes` should only be used to discuss compensation or other confidential items related to the candidate. To leave such a note, go to the candidate's profile, click `Private`, scroll to the bottom, and click `Add Private Note`. Be sure to tag anyone that should be notified. Please note that only Job Admins (i.e. **not** Interviewers) are able to view these notes. All Job Admins, including Hiring Managers, are able to see private notes whether or not they are tagged.

### Access to roles

If you need access to review or interview candidates for a requisition, please reach out to the Talent Acquisition Team through Slack or email. The Talent Acquisition Team will verify with the Hiring Manager and provision access accordingly.

## For Hiring Managers

### What access do I have?

Hiring Managers and Executives have access to view all candidates for any requisition where they're listed as a `Hiring Manager`. Additionally, they can view `Private Notes` for those candidates. To note, a Hiring Manager is **not** able to view candidates once they are hired or any candidates outside of a requisition where they're a Hiring Manager.

### How do I view my roles and candidates?

When you log in to Greenhouse, you will see your dashboard; however, this will not paint the full picture for all of your roles. In order to view the status of your current vacancies, click `All Jobs` at the top of the page, then choose whichever job you want to review. There will be an indicator if you are the Hiring Manager for a role or not below the job name, and you will only be able to view the jobs you have access to as a member of the Hiring Team for that role; please note the below details are only accessible to Job Admins, and Interviewers have less functionality available to them.

After you click on a requisition, you will be brought to the job dashboard for that specific requisition, which contains all of the information you should need. At the top of the page, there is a quick snapshot of application trends, showing you how many applications have been received, how many have been rejected, and how many are active. Below that you can see a snapshot of the sources where you are getting your applicants as well as the average quality of the applicants from each source. Next, you'll see a list of any candidates you're following in this role. The last section on this page is `Pipeline Tasks` where any pending tasks for candidates in this role will be shown. You can also view a less detailed version of this task list at the top right sidebar on this page, where you can easily click `Review Applications` (which is the quickest and easiest way to bulk review applications) or click on the number next to each stage to view the candidates in each stage. If you wanted to view all candidates regardless of stage, simply click `Candidates` right above the `Application Trends` section (**not** the `All Candidates` at the very top of the page). Below the snapshot pipeline at the right sidebar, you can view any prospects for this role, Greenhouse predictions of when the role will be filled, and finally job setup links that enable you to adjust the settings for the requisition. It's recommended for only the Talent Acquisition Team to edit the requisition setup, but please reach out to them if you have any questions.

If you want to review the candidates for multiple jobs at the same time, click `All Candidates` instead, and then use the filter on the left sidebar, `Jobs` > `Filter by Job` > select the appropriate jobs. You can use the filters to further narrow down candidates.

### How do I review candidates in the Talent Community prospect pool?

As a non-talent acquisition team member, you would need to be added as a `Pool Admin` in a specific prospect pool within Greenhouse. You can reach out to your recruiter or [create an issue](https://gitlab.com/gl-talent-acquisition/operations/-/issues/new?issue%5Bassignee_id%5D=&issue%5Bmilestone_id%5D=) to request access.

### Configuring notifications

Notifications are configured as part of the [requisition creation process](/handbook/hiring/talent-acquisition-framework/req-creation/#requisition-creation-process) but can be adjusted at any time. To set up notifications, go to the requisition's job dashboard and click on `Job Setup` at the top, then `Notifications` at the left. Under each section, you can then click `Edit` to add or remove yourself for that section.

### Reporting

Hiring Managers have the ability to quickly view and pull reports for their vacancies. To do so, go to the job dashboard of the requisition you want to report on, then click `Reports`. From there, it will show you a variety of different reports you can pull depending on what you're looking for, and each one will dynamically show you the report which you are able to use some filters on. You're also able to [save reports](https://support.greenhouse.io/hc/en-us/articles/115003218066-Saved-Reports) to come back to them later, [share a report via email](https://support.greenhouse.io/hc/en-us/articles/115003338503-Email-a-Report) to [set up recurring reports](https://support.greenhouse.io/hc/en-us/articles/115003711906-Schedule-Recurring-Reports) to have reports emailed to you or someone else on a weekly basis, and to download the report as an excel file for easy sharing through Google Sheets.

### Setting Up Interview Questions

Greenhouse includes the ability to [include specific questions within the interview kits](https://support.greenhouse.io/hc/en-us/articles/115002276366-Add-an-interview-question-to-an-interview-kit) made available to interviewers. Setting interview questions in advance makes the interviewing process more consistent. Having a consistent interviewing process [improves the efficiency and fairness of the hiring process](https://www.linkedin.com/pulse/why-consistency-matters-hiring-george-oehlert/).

To add interview questions to a position from the `Job Dashboard` click the `Interview Plan` link on the right sidebar. In the `Team Interview` section select the interviewer you would like to assign the question to and click the edit link for them. In the `Interview Questions` section press the add button to bring up a modal form for adding your specific question. A video walkthrough of using this feature can be found on the GitLab unfiltered YouTube channel [here](https://youtu.be/CpShUn7kjI8).

## For Talent Acquisition

### Access levels and permissions

This can be done by Enablement only. For instructions, see the [internal handbook](https://internal.gitlab.com/handbook/people-group/talent-acquisition/enablement-team/#greenhouse-admin-instructions) for more information.

#### How to upgrade or change access levels

Only Admins can upgrade another team member's access level. During onboarding, all new team members are added to Greenhouse at the appropriate level listed above. If a current team member needs to change their access level, they will need to create a [new access request issue](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/new?issuable_template=New_Access_Request) in the GitLab `access-requests` project.

The default access level is *Basic*, which also sufficient for team members who will interview candidates. To upgrade access levels:

 1. Go to [settings](https://app2.greenhouse.io/configure) and click on [users](https://app2.greenhouse.io/account/users?status=active)
 1. Search for the team member in the search bar; if their name appears, click on their name
 1. Click `Edit` in the permissions section and choose the `Job Admin` option
 1. Click `Add` under `Job-Based Permissions`
 1. Search for the job they should have access to and click `Add` next to it

For any team members who are Hiring Managers (or above), choose `Job Admin: Hiring Manager` for the specific roles they should have access to; if they are a Hiring Manager for an entire department, they should also be added as `Job Admin: Hiring Manager` for future roles within that department. The Executive for a division (e.g. CRO, CMO, VPE, etc.) should receive `Job Admin: Job Approver` for all of their division's current and future roles in order to give them the same permissions as `Job Admin: Hiring Manager` as well as the ability to approve new vacancies.

Similarly, Talent Acquisition receives `Job Admin: Talent Acquisition` for all current and future roles; People Success receives `Job Admin: People Success` for all current and future roles.

There are additional "User-Specific Permissions" listed beneath the job-based permissions.

1. For the People Success Team, check off `Can invite new users to Greenhouse and reactive disabled users`, `Can manage unattached prospects`, and `Can invite and deactivate agency recruiters`.
1. For the Talent Acquisition Team, check off each additional option.
1. Site Admins should typically have access to all of the additional options, but *always* be sure to check off `Can see EEOC and demographic reports`, `Can create and view private candidates`, and `Can see private notes, salary info, manage offers, and approve jobs/offers`.

#### Adding an Agency Recruiter to Greenhouse

To add an agency recruiter to Greenhouse and their agency doesn't exist, then a [new agency](https://support.greenhouse.io/hc/en-us/articles/201078255-Add-a-New-Agency) will need to be created. If the agency does exist, this is how to add a [new recruiter](https://support.greenhouse.io/hc/en-us/articles/200666389). Please contact Enablement to add the Recruiter to Greenhouse.

#### Linking users to their profiles

All hired candidates are marked as private when they are hired. Meanwhile, all Site Admins, Job Admins: Talent Acquisition, and Job Admins: People Success have access to view private candidates. As a result, any new team members who fall into one of those permission levels needs to have their Greenhouse user account linked to their candidate profile. Please note **only** Site Admins can link a user to a candidate profile. To do so, go to [settings](https://app2.greenhouse.io/configure), click on [users](https://app2.greenhouse.io/account/users?status=active), search for the team member in the search bar, click on their name, click `Link to Candidate`, then search for the team member's name again, and click `Link` on the appropriate profile, then scroll to the bottom and click `Save`. You can also follow [the instructions](https://support.greenhouse.io/hc/en-us/articles/360020922752-Link-User-Account-to-Candidate-Profile-) which include screenshots on Greenhouse's website.

Any internal candidate who applies to a requisition via the internal job board will automatically have their user profile and candidate profile linked.

#### Enabling LinkedIn Recruiter System Connect

Assuming that you've already been assigned a LinkedIn seat, here's how to enable the LinkedIn *Recruiter System Connect* integration in Greenhouse. There are **two** steps to the process.

**Step 1:**

1. Click `Hi [NAME]` in the top-right corner of Greenhouse > `Account Settings`
1. Scroll down to the **LinkedIn Recruiter System Connect** section in the right column and click `Connect`
    - If you have `Basic` permissions in Greenhouse, you will **not** be able to access this integration.
1. Click `Allow` and you'll be set-up to access information seamlessly between both systems

**Step 2**

1. Click `•••` > `Integrations` from any page in Greenhouse
1. Search *"LinkedIn Recruiter System Connect"* and select the result of the same name
1. Enable the integration

If you have **not** been assigned a seat and would like one, please add your GitLab email to your LinkedIn profile and submit an [Access Request](https://gitlab.com/gl-talent-acquisition/operations/issues/new?issue%5Bassignee_id%5D=&issue%5Bmilestone_id%5D=#) issue using the `LinkedIn Access Request` template.

To add your email to your LinkedIn profile, click `Me` > `Settings & Privacy` > `Sign in & security` > `Email addresses` > add your GitLab email address and verify it.

### Configuring notifications

Notifications are configured as part of the [requisition creation process]({{< ref "req-creation#requisition-creation-process" >}}) but can be adjusted at any time. To set up notifications, go to the requisition's job dashboard and click on `Job Setup` at the top, then `Notifications` at the left. Under each section, you can then click `Edit` to add or remove people for that section.

It is recommended for the Recruiter of a requisition to set up notifications for themselves regarding new internal applicants, new referrals, new agency submissions, approved to start talent acquisition, offer fully approved, stage transitions, and new scorecards. Best practice is to use the name of the person to be notified rather than `Candidate's Recruiter` or `Candidate's Coordinator`.

### Configuring email permissions

Greenhouse allows Job Admins to grant other Job Admins the permissions to send out emails on their behalf. This is helpful, for example, when a recruiter is sending out an availability request email but wants the responding email with the times to go to the coordinator so they can schedule next interviews, they could send the email from the coordinator's email address to ensure that happens. In Greenhouse, the activity feed on the candidate's profile shows who actually sent it and who it came from, so that it is clear.

In order to set up these permissions, the person allowing another person to send emails on their behalf should log in to Greenhouse, hover over their name in the top right corner, and click `Account Settings`. Then scroll down to the section called `Email Permissions`. You can select the first option to allow any Job Admin or Site Admin to send emails on your behalf, or you can select the second option and choose specific people (who are Job Admins or Site Admins) only who are able to send emails on your behalf. You can remove these users or this functionality at any time.

Once you have the permissions to send emails on someone else's behalf, when you are sending an email to a candidate, you can click the "From" button at the top of the email pop up and choose from the list of available email addresses. If you are using an email template, remember to choose the template and then change the sender, or the template will override any changes you've made.

### Changing jobs

If a candidate applies for a job but is a better fit for another job, they will need to be added to a new job. There are a few options to do this. To start, go to the candidate profile and click `Add or Transfer Candidate's Jobs` at the bottom right. From there, you can either add a new job to the candidate profile, which will keep all data within the original job and start a clean slate for the new job. You should choose this option when you will be taking the candidate through a brand new hiring process from start to finish, and do not want previous interview details to appear on the new job.
Alternatively, you can also transfer the candidate data to the new job, which should be used when a the positions are the same or they will be continuing their current interview process and scorecards into the new role. It should also be used in the case of Evergreen positions. Please exercise caution during this process, because while scorecards will transfer, scheduled interviews will not. If a scorecard has not been submitted, it will also not transfer and will be lost. Transferring will remove the candidate from any reports about the original job. Admins are also able to remove a job and its history from a candidate profile, which should be done only when absolutely necessary.

### Auto-tags

It is possible to add tags that automatically link to applicants when they apply based on their answers to certain application questions. To add an auto-tag to a requisition, go to the requisition's `Job Setup` page, then `Job Post`. To the right of the requisition name, there will be a link called `Manage Rules`. Click that, then `Add a Rule`. You can then select which application question on this requisition and what answer you want to create the auto-tag for. (Please note: only application questions that are yes/no, single select, or multi-select supports auto-tags.) For example, you could choose the question, *"Do you have experience with Ruby on Rails?"* If an applicant answers *"No"*, they'd be auto-tagged or auto-rejected based on the given rule. Once you've selected any and all tags you want to be associated with this question and answer, click `Save`. If you want to create auto-tags for multiple questions and/or multiple answers, you will need to repeat this process.

Going forward, all new applicants whose answers in their application questions correlate to the rule you set up will automatically also have the tags you chose. To quickly find candidates, go to either `All Candidates` or the candidates for a specific requisition, open the `Profile Details` section on the left sidebar, and under `Candidate Tag` select the appropriate tag. You can add additional filters as desired, and you can then perform bulk actions on these candidates by using the bulk function on the top right.

### EEOC Questionnaire

All candidates that are evaluated for a requisition **must** be sent the **EEOC Questionnaire**. For requisitions that are posted externally, where a candidate would apply, the candidate will automatically be presented with the *optional* survey in the application. If a candidate comes from a source where they **wouldn't** have necessarily applied (e.g. via an *Agency* or were *Sourced* or *Referred*), then the candidate will receive an automated email from Greenhouse when they reach the `Assessment` milestone. In the case of the requisition **not** being posted externally, then the **EEOC Questionnaire** will need to be sent **manually**.

The DRI for manually sending the **EEOC Questionnaire** would be whoever sends the `Screening` invite (e.g. the *Recruiter* or *Sourcer*).

Here's how to see if it's been sent and, if applicable, how to send it:

#### Checking or Sending the EEOC Questionnaire

1. From Candidate profile, navigate to `Application` (on left hand side)
1. Navigate to `Job Post` > `Job Post Questions`
1. Reference the **EEOC** row to view its status; it'll either read, `Not yet sent` or `Submitted by [CANDIDATE NAME] on [DATE]`
    - If the survey has **not** been sent, please click `Send` and you're done.

### Scheduling interviews with Greenhouse

The [Candidate Experience Specialist team]({{< ref "coordinator#framework-coord" >}}) handles all interview scheduling once a candidate has passed the "screening" stage.

#### Important scheduling and interview notes

- Please be sure to go to your [Google Calendar settings](https://calendar.google.com/calendar/r/settings?tab=mc) and input your current timezone.
- Make sure that a candidate is in the proper stage to schedule when scheduling.
- If you cannot attend the interview, please let the Talent Acquisition Team know so they can reschedule. **Simply declining the interview does not effectively notify the Talent Acquisition Team.** The Talent Acquisition Team should first cancel the currently scheduled interview through either Greenhouse or Google Calendar (specifically the `Interview Calendar`) before creating the new one to avoid any confusion.
- All outgoing emails and scheduling must be done through Greenhouse. Scheduling details, emails, and communication between team members can be viewed in the activity feed of a candidate.

#### Scheduling Timed Assessments

In some cases, some positions require a timed assessment to be sent to the candidate. These timed assessments can be sent by following the steps below:

1. Obtain availability from the candidate to agree on a specific time to administer the test.
1. Enter it as an interview appointment on their schedule.
1. Schedule an Email with the assessment for the agreed time.

   - Click `Email Candidate`
   - Select Assessment template or write body and attach Assessment
   - Select the agreed upon time using `Send Email when` option

1. The time stamp when the candidate sends the assessment back will determine if they sent it back within the agreed timeframe.

### Rejecting candidates

To remove a candidate from the active pipeline, they need to be rejected in Greenhouse, which is typically done only by talent acquisition.

The candidate should always be notified if they've been rejected. The talent acquisition team is primarily responsible for declining the candidate, but the hiring manager should be prepared to let the candidate know why they were declined if they had progressed to the team or manager interviews. The hiring manager can also share this feedback with the talent acquisition team, who will relay it to the candidate.

|Stage|Timing|Medium|Type|
| ------ | ------ | ------ |------ |
| Application Review | At application review or when the role is hired | Email | Standard Template by default, may provide specific feedback, but not required|
|Screening Interview with Recruiter|Within 5 days of Screening Interview|Email OR Verbally during the Screening Interview |Standard Template by default, may provide specific feedback, but not required|
|Assessment|Within 5 days of Asessment Submission|Email |Standard Template by default, may provide specific feedback, but not required|
|Team Interview|Within 5 days of Team Interview|Email or via Zoom Call |Must provide feedback that is personalized and customized.  Only offer frank feedback. This is hard, but it is part of our [company values](/handbook/values/). All feedback should be constructive and said in a positive manner. Keep it short and sweet.  Feedback should always be applicable to the skill set and job requirements of the position the candidate applied and interviewed for.|

Any time a candidate is rejected, the Talent Acquisition Team will notify them, as they will not automatically be notified if we reject them. When clicking the reject button on a candidate, Greenhouse will open a pop up where you can choose the appropriate rejection reason, as well as a rejection email template. Feel free to adjust the template per the [guidelines in the handbook]({{< ref "interviewing#rejecting-candidates" >}}). You can also select a time delay to send out the rejection email. Finally, you are also able to start a new prospect process for a candidate when rejecting them, in the event you want to reach out to them again in the future.

In Greenhouse, we have compiled a list of reasons for candidate declines or rejections that will allow us to continuously iterate on and improve our hiring process.  Please choose your reasons thoughtfully with this goal in mind, and provide as much detail as possible in the notes--particularly when candidates have reached the offer stage.

If you want to consider a candidate for the future, the best practice is to utilize candidate tags; however, you can also start a prospect process when rejecting them so they are including in a pool of future interest candidates for the role, or you can simply add a follow-up reminder for yourself, the recruiter, and/or the coordinator to reach out to the candidate in a certain amount of time.

Please ensure that if candidates are rejected or remove themselves from the process that all further scheduled interviews are cancelled either through Greenhouse or through the Google Calendar "Interview Calendar" in order to remove the calendar event from Interviewers' calendars. Rejecting a candidate will not automatically remove the calendar event from an Interviewer's calendar.

You can also reject candidates in bulk by going to the [candidates page](https://app2.greenhouse.io/people), filtering accordingly, clicking `Bulk Actions` at the top right, selecting the appropriate candidates or by clicking "Select All", clicking "Edit Selected", clicking "Reject" in the pop up, and following the same procedure as above to reject and email. Note: you can only choose one reason when archiving in bulk.

To unarchive a candidate, click "Unreject" on the candidate profile under the appropriate role.

### Consideration of previously rejected candidates

Rejected candidates will stay in our talent community and we may revisit them for future roles.

Generally, we will leave a minimum gap of 6-months before reconsidering someone. We will only reconsider candidates who were rejected because they lacked skills or experience.

We will not reconsider candidates who were mismatched with our [values competencies](/handbook/people-group/competencies/#values-competencies) and/or our [remote work competencies](/handbook/people-group/competencies/#remote-work-competencies).

#### Single-vetos

We do not operate under a single-veto basis. This means that even if a candidate receives a "No," they still may be moved on in the interview process depending on the feedback submitted by the Interviewer. The Hiring Manager is responsible for reviewing all scorecards and making the decision to move the candidate forward or not. As a good heuristic, two "No" votes will result in the candidate's rejection. A "Definitely not" vote should be carefully looked at, and in most cases this would result in the candidate's rejection.

In situations where scorecards greatly differ, it is helpful to meet with everyone who interviewed the candidate to better understand each Interviewer's experience. The Hiring Manager can then evaluate each experience and make a collective decision.

While Hiring Managers are the directly responsible individual (DRI) for hiring decisions and are allowed to override Interviewers, making great hiring decisions is part of their own individual performance and they will be held accountable for them.

### Updating candidate information

To update a candidate source, go to the candidate's profile and, underneath the name of the job they're being considered for, click the pencil button. Where it says "Source", search for the correct source; some common examples are "Referral", "LinkedIn (Ad Posting)", "LinkedIn (Prospecting)", "Internal Applicant", and "Jobs page on your website". If you need a source that is not listed and you're not able to add a new source, reach out to the Talent Acquisition Team. If you select the referral option or one of the outbound sourcing (also called prospecting) options (such as "LinkedIn (Prospecting)"), be sure to then select "who gets credit" by searching for the referrer or sourcer who found the candidate. Then click "Update Source". If they were referred or are an internal applicant, their profile will now have a highlighted field next to their name indicating this.

To update a candidate's personal details, go to the candidate's profile and click "Edit Profile" on the top right. You'll be able to change the candidate's name, current company, current title, tags, phone numbers, email addresses, social media accounts, websites, address, and education details. You can also go to the "Details" tab of their profile and click "Edit" next to "Info" as these fields are connected.

To add a candidate's pronouns in a visible location, navigate to the Headline section under the candidate's name and email on their Greenhouse profile. Click the pencil next to "Add a Headline", enter the pronouns and click save. This allows any interviewer to see the pronouns.

To update a candidate's assigned recruiter and coordinator, go to the candidate's profile and go to the "Details" tab, then scroll down to where it says "Source & Responsibility". Click the pencil icon that will appear when hovering over either the recruiter or coordinator, then update accordingly. (This can also be done in bulk if needed using the bulk actions button on the candidates page.) You can update their source in the "Source & Responsibility" section as well.

To add attachments or documents to a candidate's profile, go to their profile and to the "Details" tab, then scroll to the bottom where it says "All Attachments". Next to the appropriate job they are being considered for, click "Add file" and choose if it is a resume, cover letter, or other document, then click "Choose File" and upload the document from your computer. You can change the visibility of a document by clicking the three dots (...) above the document so that only Super Admins and Talent Acquisition can view it. Please note that cover letters and resumes are by default public to the hiring team for that requisition and cannot be made private.

### Updating and creating email templates

The Greenhouse Site Admins are able to add and adjust email templates. To access the email templates if you are a Greenhouse Site Admin, go to the [configure](https://app2.greenhouse.io/configure) section by clicking the gear at the top right corner, then click "[Email Templates](https://app2.greenhouse.io/account/email_templates)".

To ensure a best-in-class candidate experience with up-to-date branding and communication, the Talent Brand team and Greenhouse Site Admins have reviewed, updated, and published email templates with the word "REVIEWED" included at the end for all stages of recruitment. We strongly recommend leveraging these templates as your primary sources of communication to candidates to create consistency and to foster an amazing candidate experience. While we recognize that you may need to leverage other templates for specific roles that have not received the "REVIEWED" label, please ensure you read over all email templates you plan on sending and confirm that all numbers are up to date, links are accurate and relevant, and that your language is clear and positive.

If you have specific roles, regions, or processes that you would like to create personalized templates for that are only visible and accessible by you, click "+ New" to the right of "My Templates" and follow the below steps:

- Add a name for your template that will allow you and your team to recognize what the template is for. Try to keep the name as consistent as possible with other templates (e.g. rejection emails all begin with `Reject` and then the reason why, such as `Reject after no show`).
- You will need to select an email type, which categorizes the emails so that they appear as options when they are relevant (e.g. so that a interview availability request does not populate when you are trying to reject a candidate). Please review the [available email types and when each appears on Greenhouse's support page](https://support.greenhouse.io/hc/en-us/articles/115002573326-Email-Template-Types).
- You can add an optional description, but it is typically not needed due to the descriptive template name.
- You can choose to have the email sent from the sender's email address, the talent acquisition distribution email address, or the no-reply email address, depending on the nature of the email.
- You can opt to cc specific GitLab team-members and/or the specific recruiter/coordinator for the role that the candidate you are communicating with is in process for.
- Next, create a subject for the email. You can include tokens (elaborated below) in the subject line in order to customize the subject with the candidate's name, requisition, etc.
- You can also include attachments to the email.
- Next, you will see in a blue box the various tokens that are able to be included in your email template. These will vary based on the email type and the available tokens will show up as options when you are creating/editing a template. You can also review the [token glossary](https://support.greenhouse.io/hc/en-us/articles/360007039771-Token-Glossary) to understand what each token means.
- Finally, you will type out the body of your email template, including tokens and formatting as needed.
- Click save, and your template is ready to be used!

If you have a suggestion for a new or existing REVIEWED email template for the Recruitment team, please submit an [issue](https://gitlab.com/gl-talent-acquisition/operations/-/issues/new) describing the email template you wish to create with the title "Greenhouse Email Template Suggestion" and tag @cchiodo. For reference, all REVIEWED templates are linked [here](https://docs.google.com/document/d/1tAoi3PgqAB-0EouWSqKYB0-dNzAYpvLIO0NRCgFcyqc/edit?usp=sharing).

### Creating and updating offer templates

To create a new offer template or update an existing one in Greenhouse, follow these steps:

- Download the template as a Word document from the [internal handbook](https://internal.gitlab.com/handbook/people-group/people-operations/people-connect/employment_contracts/)
- In Greenhouse, navigate to Settings > Offer Templates > Upload New Template.
- Enter the name of the Offer template, and include any additional instructions for CES (add initials, checkbox, textbox etc),  then upload the Word document. Click "Save Template".
- Test the new template by clicking the "Test" button. This will check if all tokens in the document are functioning correctly. If the test is successful, click "OK."
- If the test fails, indicating one or more tokens are incorrect:
  - Return to the document to identify and correct the faulty token.
  - Re-upload the corrected document to Greenhouse.
  - Notify the Legal team about the incorrect token so they can update their master template.
- If replacing an existing template, remove the old template in Greenhouse by clicking the three dots next to it and selecting "Delete."

### Updating requisition and offer approval flows

This can be done by Enablement only. For instructions, see the [internal handbook](https://internal.gitlab.com/handbook/people-group/talent-acquisition/enablement-team/#greenhouse-admin-instructions) for more information.

#### Approval flows

For **requisition "Job" Approvals**, the approval chain is as follows:

- Step 1: Finance Business Partner of the Division/Department (1 of 2-4 required)
- Step 2: Executive or VP of Division/Department (1 required if multiple people are listed)

For **Offer Approvals**, the approval chain is as follows:

- Step 1: Total Rewards (1 of 3 required)
- Step 2: Finance Business Partner of the Division/Department (1 of 2-4 required)
- Step 3: Executive of Division/Department (1 required if multiple people are listed)

It is recommended that no stage has only 1 possible approver to eliminate bottlenecks.

Delays at the **Offer Approval** stage can negatively impact our time to hire metric. To keep delays to a minimum, we ask for approvals to be completed within 24 hours of reaching the reviewer.

*Please note* that the approval order should always be `In Order` and **not** `All at once` (located at the top of each section).

### Updating or adding new departments

Occasionally, the Finance team updates our organization's divisions and departments. We try to keep Greenhouse as aligned as possible to Finance's structure so that we can maintain accurate alignment and headcount planning.

Please note that only Site Admins are able to update or add new departments in Greenhouse. In order to update or add divisions or departments, log in to Greenhouse and go to the [configure](https://app2.greenhouse.io/configure) section by clicking the gear at the top right corner. Then click ["Organization"](https://app2.greenhouse.io/account/organization) and scroll down the "Departments" section. You will see each current division listed and, when clicking on the expand button, each department that falls under that division.

To change the name of a division or department, click the pencil button next to it. Please note you are unable to have a division and department with the same name. To add a new division or department, click "New Department" and type in the name; if it is a new division, simply click create, but if it is a new department click the "Subordinate to" dropdown and choose the division it is associated to (for example, the "Security" department is a subordinate to the "Engineering" division).

## Additional resources

### Greenhouse CRM

The Greenhouse CRM is the entry point for prospective candidates (a.k.a. *Prospects*). There, they have the option to join our **Talent Community**. Below is an overview of system resources and its general workflow.

**UPDATE:** As of `2021-02-24`, *Prospect Posts* for the CRM were **disabled**. The following resources and workflows still apply in the event a *Prospect* is sourced from the **Talent Community**.

#### CRM Resources

- [CRM Overview](https://support.greenhouse.io/hc/en-us/articles/360022793612-CRM-Overview)
- [CRM License Functionality](https://support.greenhouse.io/hc/en-us/articles/360014882832-Greenhouse-CRM-License-Functionality-Grid)
- [Leveraging Greenhouse CRM (Webinar)](https://support.greenhouse.io/hc/en-us/articles/360027741072)
- [Greenhouse Recruiting Chrome Extension](https://chrome.google.com/webstore/detail/greenhouse-recruiting-chr/naooopefdfeangnkgmjpklgblnfmbaea)

#### High-Level Workflow

- When a *Prospect* signs-up for the **Talent Community**, their default source will be `Talent Community`.
- **Prospect Pool Stages** are as follows:
  - No Stage Specified
  - Not Contacted
  - Nurture
  - In Discussion
  - Not Interested
- `Tags` can be used to keep track of *Prospects* just as they are with *Candidates*.
  - If additional `tags` are needed, please contact [Talent Acquisition Ops])(https://gitlab.com/gl-talent acquisition/operations/-/issues/new).
- All *Prospect* communications are tracked in Greenhouse just as they are with *Candidates*.
- When a Team Member identifies a *Prospect* for a requisition, they'll need to click the `Convert to Candidate` button on the *Prospect's* profile in order to move them to the requisition's active candidate pool.
  - Doing this will **remove** the *Prospect* from the **Prospect Pool**.
- To claim credit for a CRM-sourced *Candidate*, the Team Member will need to **manually** update the *Candidate's* source and add their name in the `Who Gets Credit` field.
  - `Details` > `Source & Responsibility` > Source (`Pencil` icon) > `Who Gets Credit` > `Update Source`
- If there are duplicate *Prospect* profiles, they can be merged by an `Admin`. Please tag @Talent Acquisition Operations and Insights within the Greenhouse candidate profile.
  - `Name` and `Email` are the two fields Greenhouse looks at when suggesting a potential duplicate profile.

### Greenhouse Inclusion

We use Greenhouse Inclusion to mitigate unconscious bias, ensure consistent candidate evaluations, and to measure the impact of these practices in our [Diversity, Inclusion & Belonging](/handbook/company/culture/inclusion/) efforts.

Enabled features include:

- Nudges, or reminders, to all users when creating a requisition description, adding a referral, and/or filling out a scorecard.
- Anonymous take-home test grading.
- Hiding a candidate's source to Interviewers.
- Hiding specific sections of a candidate's resume in various workflow stages.
