---
title: "Panel Interviews"
description: "When a candidate gets the opportunity to interview with more than one member of
the hiring team at once, this is called a panel interview."
---

## Panel Interviews {#panel-interviews}

When a candidate gets the opportunity to interview with more than one member of
the hiring team at once, this is called a *panel* interview (as they speak with
a panel of interviewers). For candidates, this can be a benefit as they get to
meet with more members of the team in a shorter time frame, which means they
spend less time scheduling and attending interviews. For interviewers, this
means that they get to work together to learn more about a candidate and can
benefit from each other's viewpoints and experience.

In order to maximize the effectiveness of our panel interviews, we observe the
following guidelines:

1. **Panel interviews are best done by video call.** In-person panel interviews
   can be intimidating because you sit across from a group of people. Video
   calls are easier to keep conversational.
1. **Start with an explanation and introductions.** Walk the candidate through
   the interview, roughly how long each stage will take. Introduce yourselves
   briefly, then ask the candidate to do the same.
1. **No difficult or "trick" questions.** Panel interviews are conversations,
   not tests. If the candidate needs to prepare for the interview or will be put
   on the spot with a question designed to test their knowledge, they should
   have the opportunity to do that with a smaller audience. Panel interviews
   work best when they are oriented around questions about a candidate's
   experience, history, and opinions.
1. **Interviewers, be prepared.** Have a list of sample questions ready to draw
   from to keep the conversation moving. Know when it is your turn to ask
   questions. Communicate in Slack or similar if you need to make adjustments.
   Turn off notifications or any other distractions so you can stay focused.
   Taking turns asking questions is not an excuse to multi-task.
1. **The goal is to get to know the candidate.** Because panel interviews are so
   conversational, it's really easy for interviewers to spend time talking to
   each other instead of the candidate. Be diligent about keeping the focus on
   the candidate and give them the space to be the star in the interview.
