---
title: "Technical Interviews"
---

**Technical Interview Guide**

For some positions, the hiring process includes a technical interview.

This technical interview revolves around a merge request to a small application created for the interview, tailored to the position you've applied for.

You will receive a link to the merge request at least 72 hours before your scheduled call. We encourage you to dedicate up to an hour to review it, approaching it much like you would any contribution to a project. The merge request is self-contained, eliminating the need to search for additional context within the project. To ensure your interviewer has sufficient time to evaluate your progress before the interview, please complete your review at least 24 hours prior to the scheduled time. Additionally, kindly leave a note on the platform indicating when you have completed your asynchronous contributions.

This technical interview is a 90-minute video call and screen-sharing session with the interviewer(s), where they will ask you to walk them through your review and where you will also write some code to improve the merge request. The purpose of this interview is to see how you communicate [asynchronously](/handbook/company/culture/all-remote/asynchronous/), your knowledge of the technology, and how well you [collaborate](/handbook/values/#collaboration) with a member of the team. You can expect questions to center around the qualifications listed for the role, whether it is a [backend role](/job-families/engineering/development/backend/) or a [frontend role](/job-families/engineering/development/frontend/#:~:text=Senior%20Frontend%20Engineer-,Frontend%20Engineers%20at%20GitLab%20work%20on%20our%20product.,engineers%20to%20solve%20common%20goals.).

We know [live coding can be stressful](https://about.gitlab.com/blog/2019/03/28/what-its-like-to-interview-at-gitlab/#stage-3-technical-interview), so it is recommended that you review [code review guidelines](https://docs.gitlab.com/ee/development/code_review.html) and contact your recruiter or CES team member with any questions you have ahead of your scheduled interview.

**Alternative Assignment Considerations**

If a candidate desires an alternative assignment or test to the one detailed above, or if they object to what they perceive as unpaid work, [we should be open-minded](https://twitter.com/sytses/status/1003789797662474240). Seek to understand their discomfort with the assignment and respond appropriately. Most of our candidates respond positively to the test and feedback, and this is **not** a way to get free contributions. In fact, the technical interview can be quite costly for us.

It's also worth noting and making the candidate aware that we no longer request that they work on live or "real" issues as part of the technical interview. As described above, the merge request we send is self-contained and drawn from a curated bank of technical exercises.

## Becoming qualified to conduct technical interviews

If GitLab team-members are interested in becoming qualified to conduct technical interviews, they can read more about the process in the [interviewing best practices]({{< ref "conducting-a-gitlab-interview" >}}) page.
