---
title: "Prelude"
description: "Prelude (formerly Interview Schedule) is a program GitLab uses to increase efficiency in scheduling interviews."
---

Prelude is the scheduling tool that the Candidate Experience Team uses to book
interviews. Prelude is integrated with Greenhouse via API. DRI: Candidate
Experience Team

## Logging in to Prelude

To log in, visit [Prelude.co](https://Prelude.co), click "Sign In", click "Sign in with Google", and then use your GitLab email address.

## How to schedule 1:1 via Prelude

1. In Greenhouse click on "schedule loop" located on the top of the screen when you're in a candidate profile
1. Under "Interview Name", choose the specific interview you'd like to schedule (ie Hiring Manager Interview)
1. Under "Interviewers" type the name of the person who you need to schedule the interview with
    - If there is an alternative (i.e. Nancy OR Brittany), click on the interviewer's name
    - the dropdown will prompt `Add Alternates`
    - Add the alternative interviewer's name
    - Click `Done`
1. Set the duration of the interview, Click "next",
1. This will take you to the candidate's availability which is auto-populated from Greenhouse. Click "next"
1. Find the interview time that works best and hit "select"
1. Click "Add Zoom to meeting" under each interview
1. Ensure the Interview Calendar is selected on the bottom of the page so the interview gets put on the appropriate calendar
1. Once you see the confirmation message at the top of the screen that the interview invites have been successfully sent, you can close the Prelude tab and go back to Greenhouse
1. Once you refresh Greenhouse, you should see the interviews populated
1. Lastly, you'll send candidate confirmations via Guide

## How to schedule technical or behavioral interviews using pools and attributes

1. In Greenhouse click on "schedule loop" located on the top left hand side of the screen
1. Under "Interviewers" type the name of the pool who you need to schedule the interview with (e.g. ruby on rails, golang, support technical, support behavioral)
    - Note: You can add 2 pools to this field
    - i.e. `Support Technical` AND `Support Technical Shadow`
    - You can also add a specific interviewer AND someone from a pool
    - i.e. `Nancy Thomas` AND `Support Technical`
1. Ensure the duration of the interview is correct, click `next`
1. Adding the appropriate Attribute filters at the bottom for 2nd attribute (e.g. americas, apac, non-male)
1. Click `Next`
1. This will take you to the candidate's availability. Click "next"
1. Find the interview time that works best and hit "select"
1. Click "Add Zoom to meeting" under each interview
1. Ensure the Interview Calendar is selected on the bottom so the interview gets put on the appropriate calendar
1. Lastly, you'll send candidate confirmations via Guide

## How to update a pool in Prelude

1. Click on the `Settings` tab at the top of the screen
1. Go down to the Attributes section in the left hand panel and select
1. Hit `View All Attributes`
1. Select the attribute you need to add/remove someone from
1. In this screen, you can add or remove any person from a specific attribute.
1. Make sure to hit `Save` when you're done

## How to update an interviewer's preferences

1. Click on the `Settings` tab at the top of the screen
1. Go down to the Attributes section on the left hand panel and select `Interviewer Preferences`
1. Add availability preferences, ensure the time zone is accurate, and consider interview limits.

Read about how to organize your calendar on the [Interviewer Prep Requirements]({{< ref "interviewing" >}}) page.
