---
title: "Evergreen Requisitions"
description: "This page discusses Evergreen Requisitions"
---

An Evergreen Requisition is a requisition used to pipeline candidates on a continual basis. This is done by keeping the Evergreen req posted for internal, external and passive candidates. It is important that no candidate is hired to an Evergreen req, and instead is moved to an approved headcount req (as mentioned below).

## When should an Evergreen req be used?

- When there are multiple openings of the same role and hiring needs to be completed in a volume basis (for example, Sales Development Representative)
- When there are multiple openings of roles that have very similar technical qualifications  that are expected to be hired on a regular basis (for example, intermediate backend engineer). These roles can sometimes span multiple teams (for example, Ops, Growth and Fulfillment)

## How do you request an Evergreen req?

Contact the [Recruiting Manager]({{< ref "recruiting-alignment#talent-acquisition-leader-alignment" >}}) aligned with your function to discuss whether it's appropriate to open an Evergreen req for your needs.

## Creating an Evergreen Requisition

- Follow the Req Creation process found [here]({{< ref "req-creation#requisition-creation-process" >}}). In addition, please be aware of these added steps:
  - Start the Req title with "Evergreen" followed by the name of the req (example Evergreen - Sales Development Representative)
  - Select "Evergreen" when selecting opening Type

## Hiring a Candidate from an Evergreen Requisition

- It is important that before a candidate can be hired, there must be a separate, team-specific req that is tied to the approved headcount and lists the appropriate GHP ID required to hire a candidate. This approved, team-specific headcount req is not posted for applications.
- Once a candidate is identified in the Evergreen req and you have an approved, team-specific headcount req to move the candidate to, proceed with the following steps:
  - Once interviews are completed, BEFORE you move the candidate to the offer stage, click "Add, transfer, or remove candidates jobs."
(NOTE: It is important that all interviews and scorecards are completed before you take any action to move a candidate from an Evergreen req. Interviews and open scorecards will not transfer once the candidate is moved.)
  - Select "Transfer to a Different Job"
(NOTE: Please be sure to select "Transfer" as opposed to "Add")
  - Once a candidate is Transferred to the approved headcount req, you can move to offer in that req.
  - If you run into any issues with this process, please contact the Enablement team.

## Sourcing Candidates for an Evergreen Req

When sourcing passive candidates for an Evergreen Req, it is important that you add the prospect to the Evergreen req, as opposed to the approved, team-specific headcount req associated with the Evergreen req. Adding prospects to the Evergreen req will ensure that the prospect follows the appropriate interview process and that the appropriate data will be captured.
