---
title: "Talent Acquisition Process - Hiring Manager Tasks"
description: "This page is an overview of the processes the hiring manager is responsible for as a part of the requisition lifecycle."
---

## Step 1/HM: Identifying hiring need

1. [Add Vacancy to the Hiring Plan]({{< ref "req-creation#adding-vacancies-to-the-hiring-plan" >}})
Determine the purpose of this role
1. [Create or Review the Job Family]({{< ref "req-creation#create-or-review-the-job-family" >}})
1. [Work with the Recruiting Manager/Lead to open the vacancy in Greenhouse](req-creation/#opening-vacancies-in-greenhouse)

## Step 2/HM: Complete Kick-off

[Complete Kick-off]({{< ref "req-overview#step-3-complete-kick-off-session-agree-on-priority-level--complete-a-sourcing-session" >}})

## Step 3/HM: Setup Scorecard and Prepare Interview Team

Interviewers will submit feedback via the designated scorecard in Greenhouse. The hiring manager will designate areas of focus for each member of the interview team. These will be defined during the kick-off and setup in Greenhouse by the recruiter or the CES.

You can review [sample interview questions for the interview team](https://docs.google.com/document/d/1Eb7GUUH0b9wzf1WxuyKUYhpjP774VbO5sQWtiDZX-PM/edit) based around specific focus areas.

As a best practice the Hiring Manager should reach out to each individual on the interview plan.

**Example Reachout**

> Thank you for making yourself available to be part of the interview team to fill the [TITLE]. A few things you need to know before interviewing candidates.
>
> Key things we are looking for specific to the role:
> > a. Example 1
> >
> > b. Example 2
> >
> > c. Example 3
>
> Individual focus areas during your interview (attached reference if needed):
> > a. [insert name of Interviewer 1] - [focus area]
> >
> > b. [insert name of Interviewer 2] - [focus area]
> >
> > c. [insert name of Interviewer 3] - [focus area]

## Step 4/HM (Optional): Create and upload a video describing the role and team for the application

One way a Hiring Manager can help create more engagement in the open role is to create a short (1 minute) video discussing what the role will entail for a successful candidate.

1. [Create a video, upload it to GitLab's unfiltered YouTube channel, and in the description link to the job listing in question](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A).
1. If you're active on Twitter, post the YouTube link to Twitter and include the job listing in the body of the tweet.
1. Upload the video to LinkedIn and create a post with a link to the job listing. It is better to upload the video directly to LinkedIn than use the YouTube link as this will help generate more traffic.
1. Embed the YouTube video into the Job listing itself via Greenhouse under the `work for this role` sub-heading.
1. Ask the [sourcing team](/handbook/hiring/sourcing) to embed the video in the initial message they send to new candidates for the role.
1. If you have questions, please reach out to the #talent-brand channel on slack. Please also share newly created videos in the #talent-brand channel so these can be captured in our content library.

## Step 5/HM (Optional): Source candidates and/or review inbound applications

Our hybrid recruiting model means that candidates enter the pipeline through an inbound application or via direct sourcing. Depending on capacity, Hiring Managers can contribute to the hiring process by reviewing inbound applications or helping identify and source candidates to ensure we have a robust pipeline.

You can work with your Recruiter and Sourcer to understand whether your time will be better spent on sourcing outreach or on reviewing inbound applications.

## Step 6/HM: Hiring team to complete feedback in Greenhouse

Once each step in the interview plan is completed, the interview team will submit feedback via the designated scorecard in Greenhouse within 1 business day of their interviews. Each scorecard will include the following required sections:

- Key Take-aways: This is an area to summarize your overall experience.
- Pros: This is an area to capture alignment on role responsibilities, competency alignments and much more!
- Cons: This is an area to capture opportunities, areas of improvement and/or specific feedback that would be useful to provide the candidate if a decision was made to not move forward with that candidate.

If you have any questions or experience any issues accessing your scorecard, please contract your Recruiter of the CES team.

## Step 7/HM: Complete references

Once the recruiter/CES has notified the hiring manager of the references sent by the candidate, the hiring manager will complete references to establish the candidate's strengths and opportunities, to set them up for success once joining GitLab.

These reference checks will be performed in accordance with the applicable law of the jurisdiction. Where applicable, a reference check can also be used in the final decision for making an offer. The reference check is not the sole factor for a decision to hire or not hire a candidate. However, in conjunction with the interview scores and the interview team feedback, all of these factors go into the hiring manager decision.

At least 2 references must be completed and documented in Greenhouse (one of them must be a manager or supervisor unless this reference only exists at their current company), before moving to offer with the candidate, unless requirements set out by local law differ. If a manager receives conflicting or inconsistent feedback from the 2 references, the manager should complete a 3rd reference to determine if there is any validity to the feedback received.

Hiring managers are expected to contact references by call or by email. Some managers [send the reference a brief email](https://gitlab.com/gitlab-com/people-group/hiring-processes/snippets/1933704) stating the purpose of the call and including a Calendly link so that the reference can select a convenient time. You can add a template to your Greenhouse account for quick use. Some managers also ask the candidate to reach out to their references to expect the email from the manager (as sometimes the email is ignored if the recipient is not expecting it).

In Greenhouse: Configure (the gear on the top right) - Email Templates - My Templates - New. Be sure to create the template as a Team Email under the Type field. If you create the email template with tokens please check the tokens were added correctly upon the first use.

After creating the email template you can send to the references. Because there is not a bcc option you should send individual emails to each reference. From the Candidate's profile: Tools (bottom right on the page view) - Email the Team - Choose a template (drop-down) - (select the name of the template you created) - **Uncheck "Add a link to the candidate's profile"** - Send Email.

### Why Hiring Managers Should Check References

Hiring managers check references:

- To ensure we are hiring the right candidate.
- To understand under what circumstances this candidate thrives vs. what circumstances frustrates them.
  - As the hiring manager, you will be the closest to the GitLab team-member and benefit most from learning about them.
- To build your network.
  - As a hiring manager, you need to build a network for great talent.  Each reference you talk to can be a part of that network.
- To use the opportunity to spread the GitLab story.  We could spark new customers and new GitLab team-members.

All GitLab hiring managers should be making the best effort to complete and conduct the reference checks for their candidate.

### Reference Check Questions

When a candidate passes the initial screening and first rounds of interviews, but before they advance to meet with senior leadership, the talent acquisition team will reach out to the candidate to collect their references' details. Once the talent acquisition team receives the references' details, they will inform the hiring manager, who should reach out and contact the references provided. If it is not possible to schedule a call via phone, a Hangouts or Zoom meeting can also be arranged if it's convenient. If that is not possible, an email can be sent with the following questions:

- Can you briefly describe your working relationship with them?
- What are they like to work with?
- What can they improve upon?
- What advice would you give their next hiring manager?
- Would you rehire this person?
- If we hired this person, would that make you more likely to work at GitLab, even if you don't know what we do?

You can also elaborate further and ask follow up questions if the opportunity arises. The hiring team will be adding engineering questions into Greenhouse so that all engineering hiring managers have access to the same ones. Additionally, the hiring team will work with each function to identify any other specific questions hiring managers would like to add to Greenhouse for their team.

You should not ask any questions about the person's race, gender, sexual preference, disabilities or health, political affiliations, religion, or family (children). Example questions not to ask:

- Who watches their children while they are at work?
- What types of groups does the candidate belong to that are not work related?

[Use our guide to scoring]({{< ref "conducting-a-gitlab-interview#all-divisions-but-engineering" >}}) to help select the vote you choose when submitting a scorecard for each reference check.

### Reference Check Review

All reference check feedback should be entered into Greenhouse using the Reference Checks scorecard. To add this information, go to the candidate's profile, make sure they are in the "Reference Checks" stage, and click "Collect Feedback".

It is the hiring manager's responsibility to do the reference checks, but the hiring team may also provide assistance and guidance. You can also refer to [these guidelines](https://bothsidesofthetable.com/how-to-make-better-reference-calls-d493a12714f0).

### If References Don't Provide Full References

Increasingly, organizations have a company policy that prevents their employees from providing references; instead, they are only able to verify employment, including dates of employment and title. Do not judge a candidate because his or her former employer has this policy: it does not mean the candidate was not successful. Instead, go back to the candidate to get the name and contact information for an alternative reference.

### Internal References

The talent acquisition team may also ask candidates if they've worked with anyone in the past who currently works at GitLab or knows someone at GitLab that we could talk to.

If a GitLab team member provides a positive or negative feedback on a candidate, they should provide specific details of their experience and relationship with the candidate to enable the hiring manager to make an informed decision.

### Backchannel References

At no time should a backchannel reference be completed. A backchannel reference is defined as reaching out to someone in a candidates network (professional or personal), to gather feedback about the candidate without their consent or knowledge. Doing backchannel reference checks is counter to GitLab's value of [transparency](/handbook/values/#transparency). It may also have unintended, negative consequences for the person being backchanneled.
