---
title: "Triad Process"
description: "An overview on what the Triad Process is and who is involved."
---

The Triad process exists to connect the various functional representatives from the PBP group, Finance and Talent Acquisition together to ensure seamless collaboration, reporting and metrics tracking.

#### Roles and Responsibilities

This group meets once a week to audit the centralized headcount report for their area. This centralized report captures a weekly download from both Adaptive and Greenhouse. Separate sheets should be avoided in order to drive towards a single source of truth so that we can ensure transparency and predictable financial planning.

**DRI**: The relevant TA leader is the DRI in the meeting based on the fact that they are ultimately responsible for TA metrics and reporting for their group. TA leaders will drive the conversation to ensure three key outcomes (1) our planning and recruiting tools are aligned (2) our hiring forecasts are current and (3) all requisition changes are communicated and updated in Adaptive through sharing the **Triad Interlock Weekly Audit Report**.

**Contributors**: The remaining triad members (inclusive of both People Business Partners and Finance Business Partners) will be key contributors for the interlock meeting. Finance Business Partners are responsible for providing context where needed and ensuring Adaptive reflects all influenced inputs (ie: target start month, requisition changes, etc.). People Business Partners are responsible for collaborating with FP+A and TA to help enable the partnership with business leaders.

1. **Finance Buisness Partners** are responsible for providing context where needed and ensuring Adaptive reflects all influenced inputs (ie: target start dates, requisition changes, etc.).
1. **People Business Partners (PBPs**) are responsible for collaborating with FP&A and TA to help enable the partnership with business leaders. PBPs should be leading disucssions around organizational design with their client groups, leveraging relevant inputs from TA and FP&A. Discussions around organizational design include the correct job level for roles given the job responsibilities and skills required. If a discussion around organizational design happens without a PBP present, TA and FP&A team members should collaborate with the PBP to ensure alignment with the outcome and the business strategy. PBPs should bring insights on changes or trends in the organization to the triad relevant to accurate reporting and headcount planning.

#### Outcomes and Goals

1. **Collaborative Partnership throughout Quarter**: A successful outcome of the Triad meeting is aligned reporting, and data hygiene between systems and G&A parties. We will continue to have one source of truth for requisition status, hiring plan and hire data information enabled by this collaborative effort between TA, FP&A and PBPs.
1. **Headcount Validation Support**: We will work together to ensure incremental improvement in how we support business readiness to hire as according to financial forecasts and planning. See Quarterly Headcount Validation below for more information on this process.

#### Timeline

**Mondays - 12pm PT**: FP&A and TA delegates refresh inputs to weekly report

- Weekly - Triad Reviews live hiring plan and makes any updates needed for Adaptive/GH in shared Interlock sheets by cost center - [Sales/CRO](https://docs.google.com/spreadsheets/u/0/d/1DkrAGp4lfYJ-mQGKbTEb8uNmxvIwUHWpak2Zaz8zO7U/edit), [Marketing](https://docs.google.com/spreadsheets/u/0/d/1Ok3-lqAyhjvK5mDeenxfIyl0DYFsCwRT2jsdp-Zql_g/edit), [G&A](https://docs.google.com/spreadsheets/u/0/d/1y0aPc9d_XxWqiIWpYnbQ4jBZ7kWfpAqKWISsnAuyAKE/edit) and [R&D](https://docs.google.com/spreadsheets/u/0/d/19xRXa23hQP6Tkfodz8R18RD2lhO0WufFtg9HIXy0AI0/edit). Weekly snapshot is shared to Finance and People Senior Leadership.

TA Leadership Enablement for these sheets can be found [here](https://internal.gitlab.com/handbook/people-group/talent-acquisition/talent-acquisition-reporting-+-tools/).

**Wednesdays - 5pm PT**: TA Directors (DRIs) run audit and surface inconsistencies. Action where available and drive conversation at interlock meeting when needed.

**Thursday - 5pm PT**: FP&A Partners update Adaptive as needed for aligned division.

**Friday**: Weekly Snapshot sent to Senior Leadership.

**Headcount Releases**: All net new headcount is released in annual fiscal year plan. Backfill headcount will remain fluid throughout the quarter and all incremental net new headcount will be released through the RLoA Process that runs each quarter as according to [financial quarterly and monthly cycles](/handbook/finance/financial-planning-and-analysis/#quarterly--monthly-cycle-incl-close-variance-forecast-guidance).

### Quarterly Headcount Validation Exercise

Our headcount management is a fluid process through the fiscal year. Starting with our annual plan, we will have changes throughout the quarter based on backfill activity, top down incremental releases, and our quarterly [RLoA process](/handbook/finance/financial-planning-and-analysis/#rolling-list-of-asks-rloa).

Once roles are released, FP&A partners collaborate with Talent Acquisition leadership to set a forecasted start month. We use these forecasted start month to project our bottom line headcount projections through the course of the quarter, set hiring goals and manage headcount spend. Our goal is to come up with the most accurate forecast possible, and essential to doing that is business readiness to recruit on roles as we progress through our hiring plan.

To support business readiness, we are introducing a Quarterly Headcount Validation exercise in our G&A, Marketing and R&D teams. The goal of this exercise is two-fold: (1) provide a structured point in time review of open headcount for the next quarter ahead of recruiting kick-offs, (2) reallocate resources as business needs change with the understanding of financial impact and (3) to collect all the necessary information needed for Talent Acquisition to drive efficiency and kick off roles in a timely fashion.

**Process Outline**

| DRI | Process | Timing |
| --- | ----------- | ----------- |
|TA Directors | VALIDATION: Create point-in-time data pull of all upcoming quarter headcount for business review [VP level audience] to share asynchronously with leaders. Data source for the pull should be the working Interlock sheet by cost center that we work through with FP+A, PBPs and the business each week. PBPs to advise and partner with leaders to work through exercise of reviewing and validating: All details on open requisitions - hiring manager, title, grade, location and start date. Provide information on likelihood of internal vs. external placement | Month 2 of Quarter |
| TA Directors | STARTS REVIEW: Any start month adjustments rolled up to reviewed by TA and Finance | Month 2 of Quarter |
| FP&A Partners | ADJUSTMENT APPROVAL: Approve all requested updates to start dates for following quarter and upload into Adaptive/Interlock sheets. | Month 2 of Quarter |
| Hiring Managers | Hiring Managers with upcoming headcount needing new job families creation begin the process early to create necessary documentation ahead of recruiters being allocated to requisitions. | Month 2 of Quarter |
| TA Manager+ | ROLE ALLOCATION: Allocate roles to recruiters for all net new roles. Recruiters to kick-off with hiring managers| Last Month of Quarter|
| Recruiters | OPEN ROLES: All roles to be opened in Greenhouse | No later than First week of Quarter |
