---
title: "How To Use Google Calendar Delegate"
---

## Introduction

The purpose of this handbook page is to describe how to utilize [Google Calendar Delegation](https://support.google.com/a/users/answer/168126?hl=en#:~:text=When%20you%20set%20up%20mail,parts%20of%20your%20account%E2%80%8B.). Google Calendar delegation gives the ability to for a team member to access
another team member's Google Calendar.

There are different [Levels of Permissions](https://support.google.com/a/users/answer/37082#Delegate_Calendar&zippy=%2Cunderstand-permission-settings-for-shared-calendars) that can be assigned to Google Calendar Delegation.

## How to Add A Google Calendar Delegate

### Using `calendar.google.com`

1. Log into `calendar.google.com` with your GitLab email address

1. In the top right click on the `Gear` icon to go into the [Google Calendar Settings](https://support.google.com/calendar/answer/6084644?hl=en&co=GENIE.Platform%3DAndroid)

1. Select your calendar under the `Settings for my calendars`

1. Under your calendar settings drop down menu select `Share with specific people`<br>
   <img src="/handbook/business-technology/end-user-services/how-to-articles/google-workspace/google-calendar-delegation/google_calendar_settings.png" alt="Google Calendar Settings" width="200"/><br>

1. Select `+ Add People`

1. Add the email addresses of the individual to share your calendar with.<br>
   <img src="/handbook/business-technology/end-user-services/how-to-articles/google-workspace/google-calendar-delegation/google_calendar_settings_share.png" alt="Google Calendar Settings Share" width="400"/><br>

1. Select the `Permissions` drop down menu and give the individual the appropriate access. Please refer to [Calendar Permission Levels](#calendar-permission-levels)<br>
   <img src="/handbook/business-technology/end-user-services/how-to-articles/google-workspace/google-calendar-delegation/google_calendar_settings_share_permissions.png" alt="Google Calendar Settings Share Permissions" width="400"/><br>

1. Select `Send`

### Calendar Permission Levels

- `See only free/busy (hide details)` - The team member will only be able to see if you are free or busy on the calendar

- `See all event details` - The team member will be able to see all of your calendar events, but will not be able to edit them

- `Make changes to events` - The team member will be able to edit your calendar events. They will also gain the ability to edit the event details.

- `Make changes and manage sharing` - The team member will be able to edit your calendar events. They will also gain the ability to edit the event details. They will also gain the ability to change your calendar sharing settings.

## How To Access Google Calendar Delegation

### Using `calendar.google.com`

1. Log into `calendar.google.com` with your GitLab email address

1. On the left-hand side menu bar navigate to `Other calendars` and click on the `+` symbol to `Subscribe to calendar`<br>
   <img src="/handbook/business-technology/end-user-services/how-to-articles/google-workspace/google-calendar-delegation/google_calendar_add_other_calendars.png" alt="Google Calendar Add Other Calendars" width="300"/>

1. Search for the team member whose calendar you want to subscribe to<br>
   <img src="/handbook/business-technology/end-user-services/how-to-articles/google-workspace/google-calendar-delegation/google_calendar_add_calendar.png" alt="Google Calendar Add Calendar" width="300"/>

1. Now when you go back to your calendar you will see the team members calendar under `My calendars`

1. Depending on the permissions the team member has given you, you will be able to either `view` or `view and edit` their calendar events
