---
title: "How To Use Google Drive Sharing"
---

## Introduction

The purpose of this handbook page is to describe how to utilize [Google Drive Sharing](https://support.google.com/drive/answer/2494822?hl=en&ref_topic=7000947). Google Drive sharing gives the ability to access another team members [Google Drive File](https://support.google.com/drive/answer/2494822?hl=en&ref_topic=7000947) or [Google Drive Folder](https://support.google.com/drive/answer/7166529?hl=en&co=GENIE.Platform%3DDesktop) that is stored in their `My Drive`.

There are different [Levels of Permissions](https://support.google.com/drive/answer/2494822?hl=en&co=GENIE.Platform%3DDesktop#zippy=%2Cchoose-if-people-can-view-comment-or-edit) that can be assigned to Google Drive Sharing.

## How to Share Google Drive Files

{{% panel header="**Note**" header-bg="info" %}}
There are multiple ways to share Google Drive files and folders.
{{% /panel %}}

### Using `drive.google.com`

1. Log into [drive.google.com](https://drive.google.com) with your GitLab email address

1. Navigate to the file or folder you wish to share

1. `Right Click` on the file or folder

1. Select `Share`<br>
   <img src="/handbook/business-technology/end-user-services/how-to-articles/google-workspace/google-drive-sharing/google_drive_file_share.png" alt="Google Drive File Share" width="800"/><br>

1. Add the email address of the individual(s) you wish to share the file or folder with<br>
   <img src="/handbook/business-technology/end-user-services/how-to-articles/google-workspace/google-drive-sharing/google_drive_file_assign_email.png" alt="Google Drive File Assign Email" width="500"/><br>

1. Utilize the dropdown menu to the right of the email address to select the permission level to grant the individual(s)
    - Please refer to the [Google Drive Permission Levels](#google-drive-permission-levels) for more information on each permission level<br>
      <img src="/handbook/business-technology/end-user-services/how-to-articles/google-workspace/google-drive-sharing/google_drive_file_assign_permission.png" alt="Google Drive File Assign Permission" width="500"/><br>

1. Select the `Notify people` if you wish for the individual(s) to receive an email informing them of their new access to the file or folder.

1. Select the `Send` Button

1. You will now see the ![Google Drive File Shared Icon](/handbook/it/end-user-services/how-to-articles/google-workspace/google-drive-sharing/google_drive_file_shared_icon.png) next to the shared file or folder

## How to Access Shared Google Drive Files

{{% panel header="**Note**" header-bg="info" %}}
There are multiple ways to access shared Google Drive files and folders.
{{% /panel %}}

### Using `drive.google.com`

1. Log into [drive.google.com](https://drive.google.com) with your GitLab email address

1. In the left-hand side menu bar select `Shared with me`
    - This will show you all documents that are shared with you including documents from `Shared Drives`
    - By default, the documents are listed in descending order of when the document was shared with you.<br>
      <img src="/handbook/business-technology/end-user-services/how-to-articles/google-workspace/google-drive-sharing/google_share_drive_access_menu.png" alt="Google Shared Drive Access Menu" width="300"/><br>

1. Utilizing the `Search in Drive` search bar at the top center of `drive.google.com` search for the team member whose files you wish to find that are shared with you.
    - When you click in the search bar it will populate a list of users who have recently shared documents with you. If the team member appears in this list you can select them here or continue to type in their email in the search bar<br>
      <img src="/handbook/business-technology/end-user-services/how-to-articles/google-workspace/google-drive-sharing/google_shared_drive_access_auto_population.png" alt="Google Shared Drive Access Auto Population" width="600"/><br>

1. Type in the email address of the team member whose files you wish to find<br>
   <img src="/handbook/business-technology/end-user-services/how-to-articles/google-workspace/google-drive-sharing/google_shared_drive_access_email.png" alt="Google Shared Drive Access Email" width="600"/><br>

1. Select the team member when it populates.
    - This will prepend `owner:` to the search result.
    - If the email address does not show you will have to manually add `owner:` in the search bar. i.e. `owner:alibby@example.com`<br>
      <img src="/handbook/business-technology/end-user-services/how-to-articles/google-workspace/google-drive-sharing/google_shared_drive_access_final.png" alt="Google Shared Drive Access Final" width="500"/><br>

1. All documents that are shared with you by the team member will now populate in the `Search results`
    - You can add filters as needed to search for a specific file.

## Google Drive Permission Levels

There are three levels of permissions when sharing a file from `My Drive`

- `Viewer` - People can view, but can't change or share the file with others

- `Commenter` - People can make comments and suggestions, but can't change or share the file with others

- `Editor` - People can make changes, accept or reject suggestions, and share the file with others
