---
title: "GitLab IT 101"
---

## Welcome To GitLab

Congratulations on joining GitLab! This page is dedicated to the IT onboarding experience, here at GitLab we use many applications and the latest hardware to enable you to complete your work to the best of your ability! While it may seen a little bit overwhelming at the start the Team member enablement team is here to make the process as easy as possible!

## Getting Started

### Laptop Setup: MacBook

The first time your MacBook Pro starts up, Setup Assistant walks you through the simple steps needed to start using your new Mac.

#### Initial Setup

![ALT](https://help.apple.com/assets/5F46CA8B094622AD463B4A64/5F46CA9D094622AD463B4A8A/en_US/cd2f81cf603fecfcc05525948f6f84fb.png)

- Choose a country or region to set the language and time zone for your Mac. You can respond to all the prompts, or skip some and choose "Set up later" when you see that option.

- Connect to a Wi-Fi network: Choose the network and enter a password, if necessary. (If you're using Ethernet, you can also choose Other Network Options.) To change the network later, click the Wi-Fi status icon  in the menu bar or in Control Center, click Other Networks, then choose a Wi-Fi network and enter the password. You can also choose to turn Wi-Fi on or off here.

Tip: After setup, if you don't see the Wi-Fi status icon in the menu bar, you can add it. Open System Preferences, then click Network. Click Wi-Fi in the list on the left, then select "Show Wi-Fi status in menu bar."

- Transfer information: If you're setting up a new computer and you haven't previously set up a Mac, click "Don't transfer any information now."

#### Apple ID

- Please create a new Apple ID for GitLab using your @gitLab.com email address to keep your personal and work data separate. You can also reimburse apps using an Apple ID created with your GitLab account. Your Apple ID consists of an email address and a password. It's the account you use for everything you do with Apple—including using the App Store, Apple TV app, Apple Book Store, iCloud, Messages, and more.

#### Initial Setup Part 2

- **Screen Time:** Monitor and get reports on the use of your computer. For options and details, see Screen Time on Mac.

- **Enable Siri and "Hey Siri"**: You can turn on Siri and "Hey Siri" (so you can speak your Siri requests) during setup. To enable "Hey Siri," speak several Siri commands when prompted. To learn how to turn on Siri and "Hey Siri" later and for information about using Siri on your Mac, see Siri on your Mac.

- **Store files in iCloud**: iCloud has the ability to store desktop and documents in iCloud. As our Cloud Storage option is Google Drive, please make sure this feature is disabled. Anything of importance for work should be stored in Google Drive, a GitLab Issue, or the Handbook based on the type and [data classification](/handbook/security/data-classification-standard/) of the information.

- **Choose an appearance**: Select Light, Dark, or Auto for your desktop appearance. If you want to change the choice you make during setup, open System Preferences, click General, then select an appearance option. You can also set other preferences here.

- **Set up Touch ID**: You can add a fingerprint to Touch ID during setup. To set up Touch ID later, or to add additional fingerprints, open System Preferences, then click Touch ID. To add a fingerprint, click the Add button and follow the onscreen instructions.

- You can also set options for how you want to use Touch ID on your MacBook Pro: to unlock your Mac, use Apple Pay (see Use Apple Pay on your Mac), purchase items on the App Store, Apple TV app, Apple Book Store, and websites, and auto-fill your password.

Tip: If two or more users use the same MacBook Pro, each user can add a fingerprint to Touch ID to quickly unlock, authenticate, and log in to the MacBook Pro. You can add up to three fingerprints per user account, and a total of five fingerprints for all your MacBook Pro user accounts.

## MacBook Cheat Sheet

If you are new to using a MacBook or switched from another OS such as windows check out these useful shortcuts and options!

![mactips2.png](mactips2.png)

![mactips1.png](mactips1.png)

### Official Apple Training

Apple has official training sessions available every week! These training sessions are great if you are new to using a MacBook or want some tips and insider knowledge on using a MacBook! Please check it out [here](https://events.apple.com/content/events/pst/us/en/default.html?token=xww6uj7woR0X9A3Y9qIMRkNVdH60MurN7MAvJSY75sHQxWqaTEhMjEmalXqC7MMJuZhb5dzJ1P9mLUXaAAfCMipX6qVTaNqFY_njjpamZQfrSbMYEpe-edwBN1r5nI4t-GCxEY8&a=1&l=e).

## Laptop Setup: Linux

Check out [this detailed page](/handbook/tools-and-tips/linux/) on setting up your Linux laptop. Also feel free to reach out in #Linux slack channel or #it_help for assistance!

## Extra Setup

### Endpoint Management

MacBook: You are required to install Jamf on your MacBook for security and compliance reasons. Please check [this guide](https://internal.gitlab.com/handbook/it/endpoint-tools/jamf/#enrolling-in-jamf) for assistance!

Linux: Currently we do not have an endpoint management tool for Linux. However we do have [a tool](/handbook/it/end-user-services/onboarding-access-requests/#fleet-intelligence--remote-lockwipe) that we use to wipe and lock them if needed.

### Laptop Encryption

It is essential to encrypt your laptops hard drive using Mac's FileVault or Linux's built in encryption. This will prevent unauthorised access of the contents in your hard drive. Please refer to our security pages to complete this.

- [MacBook Encryption](/handbook/security/corporate/systems/#laptop-or-desktop-system-configuration)
- [Linux Encryption](/handbook/tools-and-tips/linux/#initial-installation)

## Need Help?

If you need further assistance with setting up your MacBook please join our weekly onboarding call scheduled every Tuesday (Check your Calendar!) or reach out to us in slack in the #it_help channel.
