---
title: "Labor and Employment Notices"
---

## Introduction

Since GitLab is an [all remote](/handbook/company/culture/all-remote/) company we don't have a physical worksite or breakroom wall upon which to post important labor and employment notices, so this page is our version of that.

{{% details summary="GitLab, Inc. & GitLab Federal LLC" %}}

### Alabama

- [Child Labor Law](https://labor.alabama.gov/docs/posters/childlaborlawposter_english.pdf)
- [Your Job Insurance - Unemployment Insurance](https://www.labor.alabama.gov/docs/posters/uc_jobinsurance.pdf)
- [Workers' Compensation  Poster - Inc.](https://drive.google.com/file/d/1gbvAvBqu_SgLsQfil4mvD5IXhLyn87I-/view?usp=sharing)

### Alaska

- [Safety and Health Protection on the Job](https://labor.alaska.gov/lss/forms/right-to-know.pdf)
- [Emergency Information](https://labor.alaska.gov/lss/forms/EmergInfo.pdf)
- [Human Rights Law - Sexual Harassment](https://humanrights.alaska.gov/wp-content/uploads/2019/09/sexual-harassment-poster.pdf)
- [Unemployment Insurance](https://labor.alaska.gov/lss/forms/1012.pdf)
- [Summary of Alaska Child Labor Law](https://labor.alaska.gov/lss/forms/child-labor-law-summary.pdf)
- [Summary of Alaska Wage and Hour Act](https://labor.alaska.gov/lss/forms/Summary_of_Alaska_Wage_and_Hour_Act__Rev_1-23.pdf)
- [Alaska - Americans with Disabilities Act](https://doa.alaska.gov/ada/policy/DLWDColor.pdf)
- [Alaska - Alcohol and Drug-free Workplace Policy](https://doa.alaska.gov/dop/fileadmin/Employee_Orientation/pdf/DrugFreeWorkplacePoster.pdf)
- [State of Alaska Whistleblower Act](https://doa.alaska.gov/dop/fileadmin/StatewidePlanning/pdf/WhistleblowerActPoster.pdf)

### Arizona

- [Constructive Discharge Notice](https://drive.google.com/file/d/1bAb20djNfDNuojt0QPm8Q24Pa64l5ORM/view)
- [Discrimination is Prohibited in Employment](https://www.azag.gov/sites/default/files/publications/2018-07/Discrimination_Brochure.pdf)
- [Earned Paid Sick Time](https://www.azica.gov/sites/default/files/AZ%20Earned%20Paid%20Sick%20Time%20Poster%202017.pdf)
- [Employee Safety and Health Protection](https://www.azica.gov/sites/default/files/ADOSH_Poster_WorkplaceSafetyBilingual.pdf)
- [2024 Minimum Wage](https://www.azica.gov/sites/default/files/2023-12/2024%20THE%20FAIR%20WAGES%20AND%20HEALTHY%20FAMILIES%20ACT%20English.pdf)
- [Unemployment Insurance](https://des.az.gov/sites/default/files/legacy/dl/POU-003.pdf)
- [Workers' Compensation - Inc.](https://drive.google.com/file/d/1ve97o6Rlln4gnh4wvgvVi399HCYuj9Vi/view?usp=sharing)
- [Bodily Fluids Work Exposure](https://www.azica.gov/forms/bodily-fluids-work-exposure-form) and [Work Exposure to MRSA, Spinal Meningitis, or Tuberculosis](https://www.azica.gov/sites/default/files/migrated_pdf/Claims_Poster_WorkExpToMRSA_SpMen_TB.pdf)

### Arkansas

- [Minimum Wage, Overtime, Child Labor, Wage Collection Notice](https://www.labor.arkansas.gov/wp-content/uploads/Poster2023-Notice-to-EmployerEmployee.pdf)
- [How to Claim Unemployment Insurance](https://dws.arkansas.gov/wp-content/uploads/Employer_poster_on_how_to_file_UI_v09142021_LPS.pdf)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1UyrBwZhl9vlTgL-FwuzWGVaLAUQh3PTp/view?usp=sharing)

### California

- [California Law Prohibits Workplace Discrimination and Harassment](https://calcivilrights.ca.gov/wp-content/uploads/sites/32/2023/01/Workplace-Discrimination-Poster_ENG.pdf)
- [Transgender Rights in the Workplace](https://calcivilrights.ca.gov/wp-content/uploads/sites/32/2022/11/The-Rights-of-Employees-who-are-Transgender-or-Gender-Nonconforming-Poster_ENG.pdf)
- [Your Rights and Obligations as a Pregnant Employee](https://calcivilrights.ca.gov/wp-content/uploads/sites/32/2023/01/Your-Rights-and-Obligations-as-a-Pregnant-Employee_ENG.pdf)
- [Family Care & Medical Leave & Pregnancy Disability Leave](https://calcivilrights.ca.gov/wp-content/uploads/sites/32/2023/01/CFRA-and-Pregnancy-Leave_ENG.pdf)
- [Industrial Welfare Commission Wage Order](https://www.dir.ca.gov/IWC/IWCArticle04.pdf)
- [California Minimum Wage](https://www.dir.ca.gov/iwc/MW-2022.pdf)
- [Paid Sick Leave](https://www.dir.ca.gov/DLSE/Publications/Paid_Sick_Days_Poster_Template_(11_2014).pdf)
- [Safety and Health Protection on the Job](https://www.dir.ca.gov/dosh/dosh_publications/shpstreng012000.pdf)
- [Notice to Employees - Injuries Caused by Work](https://www.dir.ca.gov/dwc/NoticePoster.pdf)
- [Whistleblower Protections](https://www.dir.ca.gov/dlse/WhistleblowersNotice.pdf)
- [Notice to Employees - Unemployment, Disability, and Paid Family Leave insurance](https://edd.ca.gov/siteassets/files/pdf_pub_ctr/de1857a.pdf)
- [Notice to Employees - Unemployment Insurance Benefits](https://edd.ca.gov/siteassets/files/pdf_pub_ctr/de1857d.pdf)
- [Sexual Harassment Fact Sheet](https://calcivilrights.ca.gov/wp-content/uploads/sites/32/2020/03/Sexual-Harassment-Fact-Sheet_ENG.pdf)
- [Supplemental Paid Sick Leave - COVID-19](https://www.dir.ca.gov/dlse/COVID19resources/2022-COVID-19-SPSL-Poster.pdf)
- [Payday Notice](https://drive.google.com/file/d/1eIhDxbf42Jfvy9DjuYiLyuLQFHqMcx9I/view?usp=sharing)
- [Right to Vote Notice](https://elections.cdn.sos.ca.gov/pdfs/tov-english.pdf)
- [Victims of Domestic Violence Leave Notice](https://www.dir.ca.gov/dlse/Victims_of_Domestic_Violence_Leave_Notice.pdf)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1i8FBqSHL2yrt7VZMKGhDwPT59cVbqsGS/view?usp=sharing)
- [Employee Polygraph Protection Act](https://www.dol.gov/sites/dolgov/files/WHD/legacy/files/eppabw.pdf)
- **City of Berkeley**
  - [Minimum Wage Poster](https://berkeleyca.gov/sites/default/files/documents/MWO-and-Labor-Notice-Multi-Year-English%20FY24%20%28002%29.pdf)
- **City of Daly City**
  - [Minimum Wage Poster](https://www.dalycity.org/DocumentCenter/View/6658/2023-Minimum-Wage-Notice)
- **City of Emeryville**
  - [Minimum Wage and Paid Sick Leave](https://www.ci.emeryville.ca.us/DocumentCenter/View/15057/2023-Business-Official-Notice-Englishfinal?bidId=)
  - [COVID-19 Paid Sick Leave](https://www.ci.emeryville.ca.us/DocumentCenter/View/13695/2021-COVID-19-Supplemental-Paid-Sick-Leave)
- **City of Los Angeles**
  - [Fair Chance Initiative for Hiring Ordinance to Applicants and Employees](https://bca.lacity.org/Uploads/fciho/Ban%20the%20Box%20Poster%20-%20Private%20Employers%2C%20as%20of%208.23.18.pdf)
  - [Minimum Wage and Paid Sick Leave](https://wagesla.lacity.org/sites/g/files/wph1941/files/2023-02/2023-MWO-Poster-EN-11_0.pdf)
- **Los Angeles County**
  - [Fair Chance Notice for Employers](https://dcba.lacounty.gov/wp-content/uploads/2024/08/FCOE-Official-Notice-Eng-Final-8.30.2024.pdf)
  - [Minimum Wage Ordinance](https://file.lacounty.gov/SDSInter/dca/245570_FinalMinimumWageOrdinancePosterEnglishStandardSize8.5x14.pdf)
- **City of Oakland**
  - [Minimum Wage/Paid Sick Leave/Service Charge](https://cao-94612.s3.us-west-2.amazonaws.com/documents/Measure_FF_English_Poster_Set_2024.pdf)
- **City of San Diego**
  - [Earned Sick Leave](https://www.sandiego.gov/sites/default/files/esl_notice_english.pdf)
  - [Minimum Wage](https://www.sandiego.gov/sites/default/files/mwo-notice-english-2023_0.pdf)
  - [Combination Poster](https://www.sandiego.gov/sites/default/files/cal-osha-labor-law-poster.pdf)
- **City of San Jose**
  - [Minimum Wage Bulletin](https://www.sanjoseca.gov/home/showpublisheddocument/80936/637768050476030000)
  - [Opportunity to Work Notice](https://www.sanjoseca.gov/home/showdocument?id=20073)
- **City of San Francisco**
  - [Minimum Wage Poster](https://sfgov.org/olse/sites/default/files/minimum%20wage%20poster%202022_2.pdf)
  - [Paid Sick Leave](https://sf.gov/sites/default/files/2022-09/Paid%20Sick%20Leave%20Poster.pdf)
  - [Fair Chance Ordinance](https://sfgov.org/olse/sites/default/files/FCO%20poster2020_0.pdf)
  - [Health Care Security Ordinance](https://sfgov.org/olse/sites/default/files/Document/HCSO%20Files/2022%20HCSO%20poster.pdf)
  - [Family Friendly Workplace Ordinance](https://sfgov.org/olse/sites/default/files/FileCenter/Documents/11256-FFWO%20Official%20Notice.pdf)
  - [Paid Parental Leave Ordinance](https://sf.gov/sites/default/files/2022-11/Parental%20Leave%20Poster%202022.pdf)
  - [Salary History Ordinance](https://sfgov.org/olse/sites/default/files/Document/Consideration%20of%20Salary%20History%20Poster%20upload.pdf)
  - [COVID-Related Employment Protections](https://sfgov.org/olse/sites/default/files/CEPO%20Poster%20-%20March%202021.pdf)
  - [Public Health Emergency Leave](https://sfgov.org/olse/sites/default/files/Public%20Health%20Emergency%20Leave%20Poster%207.2022.pdf)
- **City of Santa Monica**
  - [Minimum Wage, Paid Sick Leave and Service Charge Law](https://santamonica.gov/media/Minimum_Wage/Notifications/23-24%20Notices/2023-24_Notification_English.pdf)
- **City of West Hollywood**
  - [Minimum Wage - English](hhttps://www.weho.org/home/showpublisheddocument/56165/638488638315030000)
  - [Minimum Wage - Spanish](https://www.weho.org/home/showpublisheddocument/56213/638488634394800000)

### Colorado

- [Employment Anti-Discrimination Poster](https://drive.google.com/file/d/1oa9S3N_G7XhbPx4bELinO_6QoRuqIK1C/view)
- [Housing Anti-Discrimination Poster](https://drive.google.com/file/d/1louFE4g1WZuXwgLLJEr1sz--soofr_ZZ/view)
- [Public Accommodations Anti-Discrimination Poster](https://drive.google.com/file/d/1cmoKGVB6hi8QfVdtqBQ_KeenPGvkgijA/view)
- [Employment Security Act](https://cdle.colorado.gov/sites/cdle/files/Notice_to_Workers_English_0.pdf)
- [Overtime & Minimum Pay Standards](https://cdle.colorado.gov/sites/cdle/files/2024%20COMPS%20Order%20%2339%20Poster%20English%20%5Baccessible%5D.pdf)
- [Notice to Employer of Injury](https://codwc.app.box.com/v/WC50-Injury-Poster)
- [Notice of Paydays](https://drive.google.com/file/d/1B9NG0eCOvxGD_KE_R9Zxtw58lTi4fkje/view?usp=sharing)
- [Workers' Compensation Act](https://drive.google.com/file/d/1OkdN7QSD23d5-etB7awiU4C_JjM9KXHM/view?usp=sharing)
- [Paid Family and Medical Leave Insurance](https://drive.google.com/file/d/1Sc8TRmb544kdb016DrSkTYql9Zbzn38u/view)
- [Paid Leave, Whistleblowing, and Personal Protective Equipment](https://cdle.colorado.gov/sites/cdle/files/Poster%2C%20Paid%20Leave%20%26%20Whistleblower.pdf)

### Connecticut

- [Sexual Harassment is Illegal](https://portal.ct.gov/-/media/CHRO/SexualHarassmentPreventionPosterpdf.pdf)
- [Paid Sick Leave](https://portal.ct.gov/dol/-/media/dol/2022-new-design-system/divisions/wage-and-workplace-standards/noticesickleaveposter2023.pdf)
- [Paid Leave poster](https://portal.ct.gov/-/media/dolui/new-53122-prototype-of-employers-written-notice-to-employees-of-rights-under-ctfmla-and-ctpl.pdf)
- [Discrimination is Illegal](https://portal.ct.gov/-/media/CHRO/DiscriminationFlyerpdf.pdf)
- [Minimum Wage](https://www1.ctdol.state.ct.us/lmi/ctminimumwage.asp)
- [Worker's Compensation Notice](https://drive.google.com/file/d/1QudFkpV7haIaUzUpIYccD9slAiDrAnHd/view?usp=sharing)
- [Electronic Monitoring Notice](https://portal.ct.gov/-/media/das/statewide-hr/a---z-listing-task-pdfs/electronic-monitoring-of-state-employees-policy.pdf)
- [Office of the Healthcare Advocate](https://portal.ct.gov/-/media/OHA/OHA-Poster---English.pdf)
- [Pregnancy Discrimination and Accommodation in the Workplace](https://www.ctdol.state.ct.us/gendocs/SS46a%20Pregnancy%20Disability%20Poster.pdf)

### Delaware

- [Labor Law Poster](https://laborfiles.delaware.gov/main/dia/olle/Labor_Law_Poster.pdf)
- [Sexual Harasment Notice](https://bahprdpplsrvcs.blob.core.windows.net/pplsrvcs/Delaware/Delaware_Sexual_Harassment_Notice.pdf)
- [Respectful Workplace and Anti-Discrimination Policy](https://dhr.delaware.gov/policies/documents/respectful-workplace-policy.pdf)

### District of Columbia

- [Paid Family Leave Employee Notice](https://dcpaidfamilyleave.dc.gov/employer-forms/)
- [COVID-19 Leave Notice](https://ohr.dc.gov/sites/default/files/dc/sites/ohr/publication/attachments/COVID-19%20Leave_EmployerPoster_011422.pdf)
- [Equal Employment Opportunity](https://ohr.dc.gov/sites/default/files/dc/sites/ohr/publication/attachments/EEO_Poster_2015.pdf)
- [DC Family and Medical Leave Act](https://ohr.dc.gov/sites/default/files/dc/sites/ohr/publication/attachments/DCFMLA%20updated%20poster%20-%20Oct2022.pdf)
- [Right to Breastfeed](https://ohr.dc.gov/sites/default/files/dc/sites/ohr/publication/attachments/Breastfeeding%20DCHOR%20Work%20PlacePosters.pdf)
- [Protecting Pregnant Workers Fairness Act](https://ohr.dc.gov/sites/default/files/dc/sites/ohr/publication/attachments/PregnantWorkers_WorkplacePoster_rev010319.pdf)
- [Parental Leave Act](https://ohr.dc.gov/sites/default/files/dc/sites/ohr/publication/attachments/ParentalLeave_Poster_2015_1.pdf)
- [Minimum Wage and Overtime](https://does.dc.gov/sites/default/files/dc/sites/does/publication/attachments/Minimum%20Wage%20Poster_2022.pdf)
- [Unemployment Compensation](https://does.dc.gov/sites/default/files/dc/sites/does/service_content/attachments/UI_eeo_poster_0.pdf)
- [Accrued Sick and Safe Leave Act of 2008](https://does.dc.gov/sites/default/files/dc/sites/does/page_content/attachments/OWH%20-%20ASSLA%20POSTER-%20Bilingual.pdf)
- [Living Wage Act](https://does.dc.gov/sites/default/files/dc/sites/does/publication/attachments/2023%20Living%20Wage%20Poster.pdf)

### Florida

- [Minimum Wage](https://floridajobs.org/docs/default-source/business-growth-and-partnerships/for-employers/posters-and-required-notices/2022-minimum-wage/2022-florida-minimum-wage-poster-english.pdf?sfvrsn=921754b0_2)
- [Florida Law Prohibits Discrimination](https://static1.squarespace.com/static/588649581b10e370157a9395/t/5a747f81c8302552ab8a99a4/1517584258080/Florida+Law+Discrimination+Poster.pdf)
- [Equal Opportunity is the Law](https://www.floridajobs.org/docs/default-source/office-for-civil-rights/moa/tabs/2-a-english33.pdf?sfvrsn=2)
- [Unemployment Compensation Benefits](https://floridarevenue.com/forms_library/current/rt83.pdf)
- [Workers' Compensation](https://www.floridajobs.org/PDG/PostersforEmployers/BrokenArmPoster.pdf)

### Georgia

- [Unemployment Insurance](https://drive.google.com/file/d/1Vd53xxQph7ETr9R22PZS7cujgjoDPvI7/view)
- [Vacation - Unemployment Insurance](https://doas.ga.gov/assets/Human%20Resources%20Administration/Workplace%20Posters/UI%20not%20payable%20during%20vacation.pdf)
- [Workers' Compensation](https://doas.ga.gov/sites/default/files/assets/Risk%20Management/Workers%20Compensation%20Publications%20and%20Forms/01-30-06_employee_brochure.pdf)
- [Bill of Rights for the Injured Worker](https://doas.ga.gov/sites/default/files/assets/Human%20Resources%20Administration/Workplace%20Posters/workers%20comp%20bill%20of%20rights%20July%202022.pdf)
- [Workers' Compensation Fraud](https://doas.ga.gov/assets/Human%20Resources%20Administration/Workplace%20Posters/Georgia%20Workers%20Compensation%20Fraud_Notice.pdf)
- [Human Trafficking](https://doas.ga.gov/sites/default/files/2024-09/Human%20Trafficking%20Notice.pdf)
- [Equal Pay for Equal Work Act](https://doas.ga.gov/assets/Human%20Resources%20Administration/Workplace%20Posters/Equal%20Pay%20for%20Equal%20Work%20Act%20notice.pdf)

### Hawaii

- [Labor Law Poster](https://labor.hawaii.gov/wp-content/uploads/2022/06/20220624Labor-Laws-Poster.pdf)
- [Disability Compensation Law](https://labor.hawaii.gov/wp-content/uploads/2020/09/20200921-Disability-Compensation-Law-Poster.pdf)
- [Laws Prohibiting Employment Discrimination](https://labor.hawaii.gov/wp-content/uploads/2020/09/20200921-Employment-Discrimination-Poster.pdf)
- [Occupational Health and Safety Laws](https://labor.hawaii.gov/wp-content/uploads/2020/09/20200921-HIOSH-Poster-1.pdf)
- [Unemployment Insurance Law](https://labor.hawaii.gov/wp-content/uploads/2020/09/20200921-Labor-Law-Poster-UI-1.pdf)
- [Required Notice to Dislocated Workers/Plant Closings](https://labor.hawaii.gov/wp-content/uploads/2020/09/20200921-Dislocated-Workers-Plant-Closing.pdf)

### Idaho

- [Equal Opportunity is the Law](https://drive.google.com/file/d/1yNYO9sWpLDuuO4h4xVvrNeFspz8XoPXG/view)
- [Idaho Law Prohibits Discrimination in Employment](https://drive.google.com/file/d/14R5TFdFgJIvC15EtNeO4XfInpJMY1fd1/view)
- [Minimum Wage](https://drive.google.com/file/d/1sXrjtNgNPTM00DDeOLA-mY2uSbjMzrKA/view)
- [Unemployment Insurance Benefits](https://drive.google.com/file/d/1EE20CBOsaC8mXCh7U0jdaIcO-RXSmD9u/view)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1uTPp6YGBlrV_N5eCwRsVsw-C_67-e_KQ/view?usp=sharing)

### Illinois

- [Your Rights Under Illinois Employment Laws](https://labor.illinois.gov/content/dam/soi/en/web/idol/employers/posters/your-rights/2024/IDOL%202024%20YOUR%20RIGHTS%20POSTER.pdf)
- [Victims' Economic Security and Safety Act (VESSA)](https://labor.illinois.gov/content/dam/soi/en/web/idol/employers/posters/vessa/2024/VESSA.pdf)
- [Pregnancy Rights Notice](https://dhr.illinois.gov/content/dam/soi/en/web/dhr/publications/documents/pregnancy-posting-idhr-eng-2023.pdf)
- [Your Rights Under the Illinois Service Member Employment and Reemployment Rights Act](https://illinoisattorneygeneral.gov/Page-Attachments/ISERRAnotice.pdf)
- [Right to Employment Free from Discrimination and Sexual Harassment](https://dhr.illinois.gov/content/dam/soi/en/web/dhr/documents/idhr-employer-notice-poster-v9.22.pdf)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1PjPrd9_YG_5YumpJxaqDG-KDaUj4sLAD/view?usp=sharing)
- **City of Chicago**
  - [Minimum Wage, Paid Sick Leave, Wage Theft and Human Trafficking](https://www.chicago.gov/content/dam/city/depts/bacp/OSL/07012024mwplenglish.pdf)
- **Cook County**
  - [Earned Sick Leave Ordinance](https://www.cookcountyil.gov/sites/g/files/ywwepo161/files/service/model-earned-sick-leave-notice-employees-workplace-poster.pdf)

### Indiana

- [Unemployment Insurance Claimant Handbook](https://www.in.gov/dwd/files/Claimant_Handbook.pdf)
- [Job Safety and Health](https://www.in.gov/dol/files/English_IOSHA_Poster.pdf)
- [Minimum Wage](https://www.in.gov/dol/files/Minimum-Wage-Law.pdf)
- [Equal Employment Opportunity is the Law](https://www.in.gov/icrc/files/Equal_Employment_Poster_New1.pdf)
- [Workers' Compensation Notice - Federal](https://drive.google.com/file/d/1jnkDJmYbE8xY9qMMKHsS83egeJUJ7khP/view?usp=sharing)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1MWCSl3dOJQcVTS1pbDLpuKukG-kW2q9j/view?usp=sharing)

### Iowa

- [All in One](https://workforce.iowa.gov/media/229/download?inline=)
- [Unemployment Insurance](https://workforce.iowa.gov/media/1389/download?inline=)
- [Safety and Health Protection on the Job](https://workforce.iowa.gov/media/232/download?inline)
- [Your Rights Under Iowa's Minimum Wage](https://workforce.iowa.gov/media/234/download?inline=)
- [Equal Employment Opportunity](https://workforce.iowa.gov/media/316/download?inline=)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1X2jlSjVqY06iLnd55pxZMNoYHkoo1j2u/view?usp=sharing)
- [Summary of Work-Related Injuries and Illnesses](https://workforce.iowa.gov/media/231/download?inline)

### Kansas

- [Unemployment Insurance](https://www.dol.ks.gov/home/showpublisheddocument/100/638363383565870000)
- [Kansas Law Provides Equal Opportunity](https://web.archive.org/web/20240730082943/https://www.khrc.net/pdf/ksemployposter.pdf)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1wfEtSjJ7O_MDx4eIg9-5rebCLkDyrkgL/view?usp=sharing)

### Kentucky

- [Safety and Health on the Job](https://elc.ky.gov/workplace-standards/Documents/KY%20OSH%20Poster%20English.pdf)
- [Wage and Hour Laws](https://elc.ky.gov/workplace-standards/Pages/Wages-and-Hours.aspx)
- [Wage Discrimination Because of Sex](https://elc.ky.gov/workplace-standards/Documents/KY%20Wage%20Discrimination%20Poster%20English.pdf)
- [Equal Employment Opportunity](https://kchr.ky.gov/Resources/Brochures%20and%20Posters/FINALEqualEmploymentOpportunityPoster2024.pdf)
- [Unemployment Compensation Benefits](https://kcc.ky.gov/Documents/Forms%20and%20Posters/ui_ben5_1_0108.pdf)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1VB2kPE0C8uzf8sNwZf-Kf2dE1AxpLHmD/view?usp=sharing)

### Louisiana

- [Age Discrimination](https://www2.laworks.net/Downloads/Posters/PRPosters/Age_Discrimination_ltr_color.pdf)
- [Genetic Discrimination](https://www2.laworks.net/Downloads/Posters/PRPosters/Genetic_Discrimination_ltr_color.pdf)
- [Minor Labor Law Placard](https://www2.laworks.net/Downloads/Posters/PRPosters/Minor_Labor_Law_color.pdf)
- [Out-of-State Motor Vehicles](https://www2.laworks.net/Downloads/Posters/PRPosters/motor_vehicles_ltr_color.pdf)
- [National Guard (ESGR) State Poster](https://www2.laworks.net/Downloads/Posters/PRPosters/National_Guard_ESGR_ltr_color.pdf)
- [Pregnancy Rights of Employees](https://www2.laworks.net/Downloads/Posters/Pregnancy_Rights_ltr_color.pdf)
- [Sickle Cell Trait Discrimination](https://www2.laworks.net/Downloads/Posters/PRPosters/sickle_cell_ltr_color.pdf)
- [Timely Payment of Wages](https://www2.laworks.net/Downloads/Posters/PRPosters/Timely_Payment_of_Wages_ltr_color.pdf)
- [Unemployment Insurance](https://www2.laworks.net/Downloads/Posters/Unemployment_Ins_ltr_color.pdf)
- [Earned Income Credit](https://www2.laworks.net/Downloads/Posters/2021_Earned_Income_Credit.pdf)
- [Equal Opportunity of All](https://www2.laworks.net/Downloads/Posters/PRPosters/Equal_Opportunity_ltr_color.pdf)
- [Independent Contractor or Employee](https://www2.laworks.net/Downloads/Posters/Ind_Contractor_or_Emp_color.pdf)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1_-Vs6AZfErd4Eo-wtcoh63rS1hugl-bH/view?usp=sharing)

### Maine

- [Minimum Wage](hhttps://www.maine.gov/labor/docs/2024/posters/minwage/minimumwage2024_English.pdf)
- [Sexual Harassment](https://www.maine.gov/labor/docs/2022/posters/mhra/Maine%20Human%20Act_poster_English.pdf)
- [Whistleblower's Protection Act](https://www.maine.gov/labor/docs/2022/posters/whistleblower/whistleblowerprotection_English.pdf)
- [Workers' Compensation](https://www.maine.gov/wcb/forms/WCB-90_rev_1-1-20.pdf)
- [Video Display Terminals](https://www.maine.gov/labor/docs/2022/posters/vdt/vdtposter_English.pdf)
- [Child Labor Laws](https://www.maine.gov/labor/docs/2022/posters/childlabor/childlabor_English.pdf)
- [Regulation of Employment](https://www.maine.gov/labor/docs/2024/posters/regofemployment/regulationofemployment_English.pdf)
- [Maine Employment Security Law](https://www.maine.gov/labor/docs/2022/posters/mesl/Maine%20Employment%20Security%20Law_11-19_English.pdf)

### Maryland

- [Employment Discrimination is Unlawful](https://mccr.maryland.gov/Documents/publications/Publications_2edb.Discrimination%20Overview%20-%20Employment%20(Poster%20Color).pdf)
- [Maryland Job Safety and Health](https://www.dllr.state.md.us/labor/mosh/pdf/moshprivatesectorposter.pdf)
- [Minimum Wage and Overtime Law](https://www.dllr.state.md.us/labor/wages/minimumwagelaw.pdf)
- [Equal Pay for Equal Work](https://www.dllr.state.md.us/forms/equalpay.pdf)
- [Earned Sick and Safe Leave](https://www.dllr.state.md.us/paidleave/paidleaveposter.pdf)
- [Unemployment Insurance Law](https://www.dllr.state.md.us/employment/empguide/uibenefitposter.pdf)
- [Health Insurance Coverage](https://www.dllr.state.md.us/employment/empguide/healthinsposter.pdf)
- [Pregnancy Rights](https://mccr.maryland.gov/Documents/publications/Publications_2edb.Pregnancy%20Disability%20-%20Employment%20(Poster%20Color).pdf)
- [Employment of Minors](https://www.dllr.state.md.us/labor/wages/minorfactsheet.pdf)
- **Montgomery County**
  - [Minimum Wage and Overtime Law](https://www.dllr.state.md.us/labor/wages/minimumwagelawmont.pdf)
  - [Earned Sick and Safe Leave](https://www.montgomerycountymd.gov/humanrights/Resources/Files/EarnedSickandSavedLeave_Poster.pdf)

### Massachusetts

- [Paid Family and Medical Leave](https://www.mass.gov/files/documents/2023/11/20/2024%20pfml%20mandatory%20workplace%20poster%20english.pdf)
- [Earned Sick Time](https://www.mass.gov/doc/earned-sick-time-notice-of-employee-rights-english/download)
- [Massachusetts Wage and Hours Laws](https://www.mass.gov/doc/massachusetts-wage-hour-laws-poster/download)
- [Fair Employment Law](https://www.mass.gov/doc/mcad-fair-employment-law-poster/download)
- [Sexual Harassment](https://www.mass.gov/doc/sexual-harassment-poster/download)
- [Workers' Compensation Notice - Federal](https://drive.google.com/file/d/1D4R0Iu7gnoyiWK97TUI41FoW1wbGWyRJ/view?usp=sharing)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/15l8Fea45OKPQhfPlwsJ_2IqLtF6lP7GQ/view?usp=sharing)

### Michigan

- [Unemployment Benefits](https://www.michigan.gov/leo/-/media/Project/Websites/leo/Documents/UIA/Employer-Forms/UIA-1710-Notice-to-All-Employees-Poster.pdf?rev=64350b409902441fad42d6f043deb684&hash=46C3031A7CD0458CF8FE709BE3FBF4B6)
- [Michigan Law Prohibits Discrimination](https://www.michigan.gov/leo/-/media/Project/Websites/mdcr/posters/discrimination/english.pdf?rev=0a7a2652d32b450dbc0b94ac315ba0d1&hash=03355A15D8B598CF8907EA8064793701)
- [Minimum Wage and Overtime](https://www.michigan.gov/leo/-/media/Project/Websites/leo/Documents/WAGE-HOUR/WHD-99xx-Information-Sheets/WHD-9904-MW-optional-posting/WHD-9904-Minimum_Wage_Poster.pdf?rev=1e820b8507ec46f3bb53fb751822a437&hash=91CFA286EA0400C5A873B2F0DCB83CEF)
- [Paid Medical Leave](https://www.michigan.gov/leo/-/media/Project/Websites/leo/Documents/WAGE-HOUR/WHD-99xx-Information-Sheets/WHD-9911-PMLA-Poster/Paid_Medical_Leave_Act_Poster_9911_English.pdf?rev=764ee47c1ed442bd9ac1d904eb042ea7&hash=31AC205C4341736BEF941A0FCF09DF51)
- [Child Labor](https://www.michigan.gov/leo/-/media/Project/Websites/leo/Documents/WAGE-HOUR/WHD-99xx-Information-Sheets/WHD-9919-YESA-posting/whd_9919_yesa_Posting_Requirements.pdf?rev=2435b57df1bc40c68c243bded6a08531&hash=E44E9D575AD351568C7A298146C2C807)
- [Safety and Health Protection on the Job](https://www.michigan.gov/leo/-/media/Project/Websites/leo/Documents/MIOSHA25/wsh_cet2010.pdf?rev=7fd4d179824a48a4bcc9a310d981706c&hash=9110BF80A0C77653CB99243152100565)
- [Whistleblower Protection](https://www.michigan.gov/leo/-/media/Project/Websites/leo/Documents/MIOSHA31/wsh_whistleblowers.pdf?rev=e193981ba58a476f97e34f20019acdf2&hash=88B04C57AA898F2254A14DB2D1ED819A)

### Minnesota

- [Age Discrimination](https://www.dli.mn.gov/sites/default/files/pdf/agediscr_poster.pdf)
- [Minimum Wage](https://www.dli.mn.gov/minwage)
- [Safety and Health Protection on the Job](https://www.dli.mn.gov/sites/default/files/pdf/mnosha_poster.pdf)
- [Unemployment Insurance](https://www.uimn.org/assets/109_tcm1068-192562.pdf)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1TiucUJJeuRL_P9KRhGMVEvyXe12Qik5w/view?usp=sharing)
- [Labor and Employment Rights](https://sicktimeinfo.minneapolismn.gov/uploads/9/6/3/1/96313024/mpls_required_employee_notice_poster.pdf)
- [Earned Sick and Safe Time](https://drive.google.com/file/d/1fspfrI5g8GmszlaphjEGcH63ILbqMiAL/view?usp=drive_link)
- [Nursing Mothers, Lactating Employees, and Pregnancy Accommodations Notice](https://www.dli.mn.gov/sites/default/files/pdf/WESA_employee_notice.pdf)
- **City of Duluth**
  - [Earned Sick and Safe Time](https://duluthmn.gov/media/8332/esst-poster.pdf)
- **City of Minneapolis**
  - [Labor and Employment Rights](https://sicktimeinfo.minneapolismn.gov/uploads/9/6/3/1/96313024/2024_mpls_employee_notice_poster.pdf)
- **City of Saint Paul**
  - [Earned Sick and Safe Time and Minimum Wage](https://www.stpaul.gov/sites/default/files/2023-08/2023-08-21%20Notice%20to%20Employees%20about%20ESST%20and%20Minimum%20Wage.pdf)
  **City of Bloomington**
  - [Earned Sick and Safe Time](https://www.bloomingtonmn.gov/sites/default/files/2024-02/ESST-Poster-en-0224.pdf)

### Mississippi

- [Unemployment Insurance](https://mdes.ms.gov/media/190875/ui_insuranceforemployerltrsizesign033120update_rev4.pdf)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1NVDOezdW_AHFfY5gnS918bZ9KfFYI3F3/view?usp=sharing)

### Missouri

- [Discrimination in Employment](https://labor.mo.gov/sites/labor/files/pubs_forms/MCHR-9-AI.pdf)
- [Notice to Victims of Domestic and Sexual Violence - Leave Time Allowed](https://labor.mo.gov/media/pdf/ls-112-ai)
- [Missouri Minimum Wage Law](https://labor.mo.gov/sites/labor/files/pubs_forms/LS-52-AI.pdf)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1uROeLu4pwe3DmwEEVJRJ_a8rySgucy-b/view?usp=sharing)

### Montana

- [Montana Wage & Hour - English](https://erd.dli.mt.gov/_docs/labor-standards/2024-MINIMUM-WAGE-POSTER.pdf)
- [Montana Wage & Hour - Spanish](https://erd.dli.mt.gov/_docs/labor-standards/2024-CARTEL-DE-SALARIO-MINIMO-ES-ESPANOL.pdf)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1ga6NehPQ65LbaZl06PdFq1QqXlQy56Iv/view?usp=sharing)

### Nebraska

- [Nebraska Minimum Wage](https://drive.google.com/file/d/1BvPZ_fGm38kHgzqrCSpOHHOGbmra3rW-/view?usp=sharing)
- [Discrimination in Employment](https://neoc.nebraska.gov/sites/default/files/2024-08/NEOC%20Poster%20%281%29.pdf)
- [Unemployment Insurance Advisement of Benefit Rights](https://drive.google.com/file/d/1rs9FXv38OQNtSUJKjzyeR6mub9HAtQT7/view?usp=sharing)
- [Job Safety and Health](https://www.mathy.com/wp-content/uploads/2018/01/Job-Safety-and-Health-saf39812-03-1.pdf)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1F8NGLQMfWEN_ktxbmo2wuKDXXiIgK-r1/view?usp=sharing)

### Nevada

- [Rules to be Observed by Employers - English](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/Rules%20to%20be%20Observed%20by%20Employers%2007.18.2024.pdf)
- [Reglas para ser Observadas por Los Empleadores](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/Rules%20to%20be%20Observed%20by%20Employers%2007.18.2024_SPANISH.pdff)
- [AB 190 - English](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/AB%20190%20Required%20Posting.pdf)
- [AB 190 - Spanish](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/Spanish%20Version-%20AB%20190%20Required%20Posting.pdf)
- [AB 307 - English](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/AB%20307%20Required%20Posting.pdf)
- [AB 307 - Spanish](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/AB%20307%20Required%20Posting%20DETR-Spanish-Revised%20on%2003.29.2022(1).pdf)
- [SB 209 - English](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/SB%20209%20Required%20Posting.pdf)
- [SB 209 - Spanish](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/Spanish%20Version-%20SB%20209%20Required%20Posting.pdf)
- [Notice of Limitations Affecting the Application of Lie Detector Tests](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/Liedetector%202019.pdf)
- [Aviso de Limitaciones que Afectan La Aplicacion de Pruebas de Deteccion de Mentiras](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/Lie%20detector%202019%20-Spanish.pdf)
- [Domestic Violence Bulletin](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/Domestic%20Violence%20Bulletin%20June%202019.pdf)
- [Boletín de Víctimas de Violencia Doméstica](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/Domestic%20Violence%20Bulletin%20ESP%20June%202019.pdf)
- [SB 312 Paid Leave - English](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/SB%20312%20Paid%20Leave%20English%2011.2023(1).pdf)
- [SB 312 Permiso Remunerado](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/SB%20312%20Paid%20Leave%20Spanish.pdf)
- [Annual Minimum Wage Bulletin](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/2022%20Annual%20Bulletin%20-%20Minimum%20Wage%203.11.22(2).pdf)
- [Boletín Anual Salario Minimo](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/2022%20Annual%20Bulletin%20-%20Minimum%20Wage-Spanish%203.11.22(1).pdf)
- [Annual Bulletin - Daily Overtime](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/2022%20Annual%20Bulletin%20-%20Daily%20Overtime%20-%203.11.22.pdf)
- [Boletín Anual Tiempo Extra Diario](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/2022%20Annual%20Bulletin%20-%20Daily%20Overtime-Spanish%203.11.22.pdf)
- [Information for the Unemployed Worker](https://ui.nv.gov/PDFS/Notice_To_Employees_ENG.pdf)
- [Nevada Law Prohibits Discrimnation](https://drive.google.com/file/d/1QqwnRfsGTeE1N_3pY3acT2dZ9dRQEpM-/view?usp=sharing)
- [La Ley de Nevada Prohibe La Discriminación](https://drive.google.com/file/d/1bdKQsqF1MmZ1fYZ1dgXMOp-u9jYVm2mU/view?usp=sharing)
- [Notice to Employer that Employee is Sick or Sustained Injury](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/Notice%20of%20Sick%20or%20Injury%20613.pdf)
- [Aviso al empleador de enfermeadad o lesión del empleado](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/Notice%20of%20Sick%20or%20Injury%20613%20Spanish(1).pdf)
- [Nursing Mothers Accommodation Act](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/Nursing%20Mother's%20Accomodation%20Act%202019.pdf)
- [Ley de Acomodamiento para Madres que Amamantan](https://labor.nv.gov/uploadedFiles/labornvgov/content/Employer/Nursing%20Mothers%20ESP(1).pdf)
- [Pregnant Workers Fairness Act](https://cms.detr.nv.gov/Content/Media/Nevada_Pregnant_Workers_Fairness_Act.pdf)
- [Ley de Equidad de Trabajadoras Embarazadas](https://drive.google.com/file/d/18yqXOXsZR8aJkd3tjrL8S-x8AB_3dw9N/view?usp=sharing)
- [Workers' Compensation](https://drive.google.com/file/d/18Mqw5ni0LFE_-p9QE0_0a_Xt9cyDC1mz/view?usp=sharing)

### New Hampshire

- [Protective Legislation Law](https://drive.google.com/drive/u/0/folders/1_g0ctboLQ6BSOlI2fA0JPv7OYtuJTsU8)
- [Criteria to Establish an Employee or Independent Contractor](https://www.nh.gov/labor/documents/employee-contractor-poster.pdf)
- [Minimum Wage Law](https://www.nh.gov/labor/documents/minimum-wage-poster.pdf)
- [Whistleblowers Protection Act](https://www.nh.gov/labor/documents/whistleblower-poster.pdf)
- [Workers' Right to Know](https://www.nh.gov/labor/documents/right-to-know-poster.pdf)
- [Equal Pay Law](https://www.nh.gov/labor/documents/equal-pay-poster.pdf)
- [Unemployment Notice](https://www.nhes.nh.gov/forms/documents/unemployment-notice.pdf)
- [Employment Discrimination is Against the Law](https://www.nh.gov/hrc/documents/employment_poster.pdf)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/14mEVQW_6sVJZhAcdU5aGd8v5NCEpXKNr/view?usp=sharing)
- [Optional Paid Family and Medical Leave Insurance](https://www.paidfamilymedicalleave.nh.gov/sites/g/files/ehbemt781/files/documents/nh-pfml-notice-of-benefits-poster-optional.pdf)

### New Jersey

- [New Jersey Earned Sick Leave](https://www.nj.gov/labor/wageandhour/assets/PDFs/Forms%20and%20Publications/MW-565%20(12-21)%20BLUE%2011x17%20Sick%20Leave%20poster-English.pdf)
  -Employers benefit year is Jan 1 - Dec 31
- [Wage and Hour Law Abstract](https://www.nj.gov/labor/wageandhour/assets/PDFs/Employer%20Poster%20Packet/MW-220%20(1-22)%20Wage%20Hour%20Abstract%20Poster.pdf)
- [Child Labor Law](https://www.nj.gov/labor/wageandhour/assets/PDFs/Employer%20Poster%20Packet/mw-129-1.pdf)
- [Employer Obligation to Maintain and Report Records](https://www.nj.gov/labor/wageandhour/assets/PDFs/Employer%20Poster%20Packet/MW-400_11x17.pdf)
- [Payment of Wages](https://www.nj.gov/labor/wageandhour/assets/PDFs/Employer%20Poster%20Packet/MW-17_17S%20(4-22).pdf)
- [Family Leave Insurance](https://www.nj.gov/labor/wageandhour/assets/PDFs/Employer%20Poster%20Packet/fli_poster.pdf)
- [Unemployment & Temporary Disability Insurance](https://www.nj.gov/labor/wageandhour/assets/PDFs/Employer%20Poster%20Packet/pr-1_6-19_uitdiemployerposter.pdf)
- [CEPA Whistleblower Act](https://drive.google.com/file/d/1nS2spQkMM5z2p-qQHufOpckeH3Szx2hP/view?usp=sharing)
- [New Jersey Safe Act](https://www.nj.gov/labor/wageandhour/assets/PDFs/Employer%20Poster%20Packet/AD-289_9-13.pdf)
- [Gender Equity Notice](https://www.nj.gov/labor/wageandhour/assets/PDFs/Employer%20Poster%20Packet/genderequityposterenglish.pdf)
[Public Employees Occuptional Safety and Health](https://www.nj.gov/labor/wageandhour/assets/PDFs/Employer%20Poster%20Packet/wps35.pdf)
- [New Jersey Misclassifiation Notice](https://www.nj.gov/labor/wageandhour/assets/PDFs/Employer%20Poster%20Packet/mw-899b_%20520_missclassification%208x11.pdf)
- [The Law Against Discrimination (LAD) Prohibits Discrimination and Harassment](https://www.njoag.gov/wp-content/uploads/2022/07/Employment.pdf)
- [The New Jersey Family Leave Act (NJFLA)](https://www.njoag.gov/wp-content/uploads/2022/07/Family-Leave-Act.pdf)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1cMriBMp42Fo1fYupPZ1RHYhSUgLCayhI/view?usp=sharing)
- [Workers' Compensation Notice - Federal](https://drive.google.com/file/d/1dJQp2KRgx_fFqRpbj91eMY6fJffPjstX/view?usp=sharing)

### New Mexico

- [Minimum Wage](https://www.dws.state.nm.us/Portals/0/DM/LaborRelations/MWA_Summary_ENGL_2023.pdf)
- [Human Rights Act](https://www.dws.state.nm.us/Portals/0/DM/LaborRelations/Human_Rights_poster-letter_size_7.12.2023_UPDATE.pdf?ver=KdwYlrNqS_o_fuGp-q5ygg%3d%3d)
- [Human Trafficking Poster](https://web.archive.org/web/20240907064307/https://www.dws.state.nm.us/Portals/0/DM/Business/Human_Trafficking_Poster.pdf)
- [Job Safety and Health Poster](https://www.env.nm.gov/occupational_health_safety/wp-content/uploads/sites/12/2021/10/OSHA_Poster.pdf)
- Notice of Accident or Occupational Disease Disablement
- [Paid Sick Leave](https://www.dws.state.nm.us/Portals/0/DM/LaborRelations/Paid_Sick_Leave_poster_letter_size.pdf?ver=2022-03-29-000528-147)
**Bernalillo County**
- [Employee Wellness Act](https://www.bernco.gov/planning/wp-content/uploads/sites/58/2022/09/2022-BC-Employee-Wellness-Act-Poster.FINAL.pdf)

### New York

- [New York Correction Law, Article 23-A](https://dol.ny.gov/system/files/documents/2024/02/correction-law-article-23a_0.pdf)
- [New York State Human Rights Law](https://dhr.ny.gov/system/files/documents/2022/05/poster.pdf)
- [Equal Pay Provision](https://dol.ny.gov/system/files/documents/2021/03/ls603_equity_provision.pdf)
- [Minimum Wage](https://dol.ny.gov/system/files/documents/2021/12/ls207.pdf)
- [Wage Theft Prevention](https://dol.ny.gov/system/files/documents/2021/03/p715.pdf)
- [New York State Disability Statement of Rights (DB217S)](https://www.newyorklife.com/assets/gbs/pdf/pfl271s-2024.pdf?rid=112365101&cid=nylDM57160&bid=290028294)
- [Rights of Nursing Mothers to Express Breast Milk in the Work Place](https://dol.ny.gov/system/files/documents/2023/06/p705-policy-on-the-rights-of-employees-to-express-breast-milk-in-the-workplace-single.pdf)
- [Child Labor Law - permitted working hours](https://dol.ny.gov/system/files/documents/2021/03/ls171.pdf)
- [Prohibition of Employer Retaliation](https://dol.ny.gov/system/files/documents/2022/02/ls740_1.pdf)
- [Time Off and Work Hours Notice](https://dol.ny.gov/system/files/documents/2021/03/ls606.pdf)
- [Time Off to Vote Poster](https://www.elections.ny.gov/NYSBOE/elections/TimeOffToVoteNotice.pdf)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/13W9mUkiRUi8msZG2kXemM6fwxLdysNcS/view?usp=sharing)
- [Workers' Compensation Notice - Federal](https://drive.google.com/file/d/1nYMzCdHjkRQXrwkkY-8C0vmUdRDgLuS9/view?usp=sharing)
- **City of New York City**
  - [Workers' Bill of Rights](https://www.nyc.gov/site/dca/workers/workersrights/know-your-worker-rights.page)
  - [Safe and Sick Leave](https://www.nyc.gov/site/dca/workers/workersrights/paid-sick-leave-law-for-workers.page) and Notice(https://www.nyc.gov/assets/dca/downloads/pdf/about/PaidSafeSickLeave-MandatoryNotice-English.pdf)
  - Employers calendar year is Jan 1 - Dec 31st.

### North Carolina

- [Certificate of Coverage and Notice to Workers as to Benefit Rights](https://files.nc.gov/des/documents/Downloads/ncdes524_rev_1_21.pdf)
- [Wage and Hour Notice to Employees](https://www.labor.nc.gov/media/1183/open)

### North Dakota

- [Minimum Wage Work Conditions Summary](https://www.nd.gov/labor/sites/www/files/documents/Min%20Wage%20Poster%20-%20Aug%202015.pdf)

### Ohio

- [Child Labor Poster](https://drive.google.com/file/d/1dF8mWBRZsW_a1Vb-YTzR83EJNDCvQf9X/view?usp=sharing)
- [Equal Employment Opportunity Poster](https://drive.google.com/file/d/1uLgvyuYpO1KghE1ignPPUmMIthCbIq6o/view?usp=sharing)
- [Minimum Wage](https://dam.assets.ohio.gov/image/upload/com.ohio.gov/documents/2024_MW_Poster.pdf)
- [Unemployment Compensation - Notice to Employees](https://drive.google.com/file/d/1TmrcpGiVtdu0YadZ4PTqAyClRtH7vuC3/view?usp=sharing)
- [Workers'Compensation Rebuttal Presumption of Drug/Alcohol Use](https://drive.google.com/file/d/1qQ4W_TZosZSXwslr4NKljW0D5xC9Rz35/view?usp=sharing)

### Oklahoma

- [Child Labor Law](https://drive.google.com/file/d/13qJsy0SUAJqLH_fV3WoEg7PgrM9XWrxC/view?usp=sharing)
- [Oklahoma Law Prohibits Discrimination in Employment](https://drive.google.com/file/d/1RDM2DXNnrev-_MUKW-CR5KdWQzIkq8g9/view?usp=sharing)
- [Minimum Wage Act](https://oklahoma.gov/content/dam/ok/en/omes/documents/WHMWPosterPlainLanguage--A.pdf)
- [Unemployment Insurance Benefits](https://drive.google.com/file/d/1DTvC7OLyGJBsmma08GEH2T7z7_85M8w9/view?usp=sharing)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1QIRqJ8s1_5Hh5kE0tS-6mqkcBrARI_hI/view?usp=sharing)

### Oregon

- [Breaks and Overtime](https://www.oregon.gov/boli/employers/Documents/BOLI_Printable_Break_Pay.pdf)
- [Equal Pay](https://www.oregon.gov/boli/employers/Documents/BOLI_Printable_Equal_Pay.pdf)
- [Family Leave Act](https://www.oregon.gov/boli/employers/Documents/BOLI_Printable_FamilyMedLv.pdf)
- [Minimum Wage](https://www.oregon.gov/boli/employers/Documents/BOLI_Printable_MinWage.pdf)
- [Oregon Occupational Safety and Health Administration](https://osha.oregon.gov/OSHAPubs/1507.pdf)
- [Protections for Victims of Domestic Violence, Harassment, Sexual Assault and Stalking](https://www.oregon.gov/boli/employers/Documents/BOLI_Printable_SHDVP.pdf)
- [Sick Time](https://www.oregon.gov/boli/employers/Documents/BOLI_Printable_SickLeave.pdf)
- [Oregon OSHA's COVID-19 Standard for all Workplaces](https://osha.oregon.gov/OSHAPubs/1507.pdf)
- [Workplace Accommodations Notice](https://docs.google.com/document/d/1xKeuKD-tOjhtYv-wryZH-91fzrNB3p9SKTbs-aR1gZw/edit?usp=sharing)
- [Paid Leave Notice Poster](https://d1o0i0v5q5lp8h.cloudfront.net/paidleave/live/assets/resources/Paid-Leave-ModelNotice-Poster-EN.pdf)

### Pennsylvania

- [Minimum Wage Law](https://www.pa.gov/content/dam/copapwp-pagov/en/dli/documents/individuals/labor-management-relations/documents/llc-1.pdf)
- [Abstract of Equal Pay Law](https://www.pa.gov/content/dam/copapwp-pagov/en/dli/documents/individuals/labor-management-relations/llc/documents/llc-8.pdf)
- [Employment Provisions of the PA Human Relations Act](https://www.pa.gov/content/dam/copapwp-pagov/en/phrc/documents/employment/Fair%20Employment.pdf)
- [Abstract of the PA Child Labor Act](https://www.pa.gov/content/dam/copapwp-pagov/en/dli/documents/individuals/labor-management-relations/documents/llc-5.pdf)
- [Know Your Rights](https://www.phila.gov/media/20210423162905/Know-your-rights-flyer.pdf)
- [Worker's Compensation Poster](https://www.pa.gov/content/dam/copapwp-pagov/en/dli/documents/businesses/compensation/wc/claims/wcais/documents/wcais-forms/libc-500%20print.pdf)
- [Workers' Compensation Notice - Federal](https://drive.google.com/file/d/1SKo7zi1Q9rkrR03gVIor1exbz1tPxlB2/view?usp=sharing)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1exd3Hy9ODgexMuAZtza-PmvGsqzHZAIZ/view?usp=sharing)
- **Allegheny County, PA**
  - [Paid Sick Leave Ordinance](https://www.alleghenycounty.us/files/assets/county/v/1/government/health/documents/paid-sick-leave/paid-sick-leave-ordinance-notice.pdf)
- **City of Philadelphia**
  - [Promoting Healthy Families and Workplaces](https://www.phila.gov/media/20191218103833/Paid-Sick-Leave-Poster-Translations.pdf)
  - [Fair Chance Hiring Law](https://www.phila.gov/media/20210423160847/Fair-Chance-Hiring-law-poster.pdf)
  - [Paid or Unpaid Sick Leave](https://www.phila.gov/media/20231023150723/Notice-Poster-for-Employees-Sick-Leave-English.pdf)
  - [Paid or Unpaid Sick Leave in Various Languagues](https://www.phila.gov/media/20231023150745/Notice-Poster-for-Employees-Sick-Leave-Misc-Languages.pdf)
- **City of Pittsburgh**
  - [Paid Sick Days Act](https://apps.pittsburghpa.gov/redtail/images/9692_Notice-Paid-Sick-Days-Act_06-2020.pdf)

### Puerto Rico

- ["SINOT"](https://www.trabajo.pr.gov/docs/Afiches/Afiche%20SINOT_B.pdf)
- [El Discrimen es Ilegal](https://www.trabajo.pr.gov/docs/Afiches/Antidiscrimen.pdf)
- [Carta de Derecgis de ka Mujer Trabajadora](https://www.trabajo.pr.gov/docs/Afiches/Carta_de_Derechos_de_la_Mujer_Trabajadora.pdf)
- [Normas del Trabajo](https://www.trabajo.pr.gov/docs/Afiches/Normas_del_Trabajo.pdf)
- [Seguro Social](https://www.trabajo.pr.gov/docs/Afiches/Seguro_Social.pdf)
- [Ley de Seguridad y Salud en el Trabajo en Puerto Rico](https://www.trabajo.pr.gov/docs/Afiches/PR_OSHA.pdf)

### Rhode Island

- [Rhode Island Combination Poster](https://drive.google.com/file/d/1nAclob8ZR9WXMI8vCCUeHuAdRMZT6Glz/view?usp=drive_link)
- [Discrimination is Illegal](https://dlt.ri.gov/sites/g/files/xkgbur571/files/documents/requiredposters/DiscriminationPoster.pdf)
- [Notice of Right to be Free From Discrimination Because of Pregnancy, Childbirth and Related Conditions](https://dlt.ri.gov/sites/g/files/xkgbur571/files/documents/requiredposters/PregDiscrimNoticeJuly2015.pdf)
- [Sexual Harassment](https://dlt.ri.gov/sites/g/files/xkgbur571/files/documents/requiredposters/sexharassment.pdf)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1A2ZCzEr_WJaKp0dXS-DbOnbOAfQbtc8v/view?usp=sharing)
- [Sick and Safe Leave](https://dlt.ri.gov/sites/g/files/xkgbur571/files/documents/pdf/ls/HSFWfactsheet.pdf)

### South Carolina

- [SC Labor Law Abstract](https://llr.sc.gov/AboutUs/MediaCenter/pidocs/WorkplacePosters/LLR%20Work%20Place%20Poster%20Legal%20Size.pdf)
- [SC Workplace Laws: Notice to Employees](https://llr.sc.gov/wage/pdf/2018laws.pdf)
- [Workers' Compensation Notice - Federal](https://drive.google.com/file/d/1ZDC902AGhx2RFziW4-_hS9UIKMb3MAnl/view?usp=sharing)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/14FxiM0Nk4p6HLbUQdjFf1Mj_9jIUAoJa/view?usp=sharing)

### South Dakota

- [South Dakota](https://drive.google.com/file/d/1oN7q7-CWHPCNdIvt_eK77KIA6kI28eav/view?usp=sharing)

### Tennessee

- [TOSHA Safety and Health Poster](https://www.tn.gov/content/dam/tn/workforce/documents/majorpublications/requiredposters/TOSHA_Poster_Legal_Size.pdf)
  - [Spanish](https://www.tn.gov/content/dam/tn/workforce/documents/majorpublications/requiredposters/TOSHA_Poster_Spanish.pdf)
- [Unemployment Insurance Poster](https://www.tn.gov/content/dam/tn/workforce/documents/majorpublications/requiredposters/UI_Poster_for_Employees.pdf)
  - [Spanish](https://www.tn.gov/content/dam/tn/workforce/documents/majorpublications/requiredposters/UIPoster_Spanish.pdf)
- [Wage Regulation/Child Labor Poster](https://drive.google.com/file/d/1g6461oPfSTlUMeWOXdaESv1METTCCefy/view?usp=sharing)
  - [Spanish](https://www.tn.gov/content/dam/tn/workforce/documents/majorpublications/requiredposters/WageRegPoster_Spanish.pdf)
- [Discrimination in Employment is Illegal](https://www.tn.gov/content/dam/tn/workforce/documents/majorpublications/requiredposters/Website_-_Employment_Poster_-_2014_-_Final.pdf)
- [Human Trafficking Poster](https://www.tn.gov/content/dam/tn/workforce/documents/majorpublications/requiredposters/TBI_Poster_English.pdf)
- [Right to Work Poster](https://www.tn.gov/content/dam/tn/workforce/documents/majorpublications/requiredposters/Right-to-Work-Poster.pdf)
- [Fraud Free Workplace](https://www.tn.gov/content/dam/tn/workforce/documents/majorpublications/requiredposters/Fraud-Free-Workplace-Poster.pdf)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1PaVMb6B3H9ljaN8Ax5VyP4llTs0kajSP/view?usp=sharing)
- [Workers' Compensation Notice - Federal](https://drive.google.com/file/d/1gCH4Y9dFJ-qtCpjWLYs5f3CJ9xvxTNPb/view?usp=sharing)

### Texas

- [Payday Law Poster](https://drive.google.com/file/d/1wRMvfxmZmvdMMGyPKNfemXUeX3nTetvQ/view?usp=sharing)
- [Unemployment Compensation Act](https://drive.google.com/file/d/1f3fTOsJ6u_aszC20_MIBtmCgvxLtA7gM/view?usp=sharing)
- [Equal Employment Opportunity](https://www.twc.texas.gov/files/businesses/employee-rights-poster-twc.pdf)
- [Child Labor Laws](hhttps://www.twc.texas.gov/sites/default/files/fdcm/docs/whcl-70-child-labor-poster-eng-twc.pdf)
- [Wage Claims](https://www.twc.texas.gov/sites/default/files/fdcm/docs/wh-52-eng-are-you-owed-wages-twc.pdf)
- [Workers' Compensation Notice - Federal](https://drive.google.com/file/d/1zIXQAK8RM_zO8tJyo1R5WclYLmILQpjZ/view?usp=sharing)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1LvjoMrQP0tj3mjKd4RhOz02fA9gmMflO/view?usp=sharing)

### Utah

- [Pregnancy and Related Conditions Poster](https://laborcommission.utah.gov/wp-content/uploads/2024/06/PregnancyandRelatedConditionsPoster-New.pdf)
- [Workplace Safety and Health](https://laborcommission.utah.gov/wp-content/uploads/2019/11/uoshaPoster.pdf)
- [Unemployment Notice](https://jobs.utah.gov/ui/employer/Public/UINoticePosterEnglish.pdf)
- [Workers' Compensation Notice - Federal](https://drive.google.com/file/d/1QSH4q1MHcoebne_ye_6YDMApnjWCPm_2/view?usp=sharing)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1ukuRlq1pIDarAeyV2t-ESuEKcYaz6ZCZ/view?usp=sharing)

### Vermont

- [Unemployment Benefits](https://labor.vermont.gov/sites/labor/files/doc_library/A-24%20Unemployment%20Poster.pdf)
- [Accommodations for Pregnant Employees](https://labor.vermont.gov/sites/labor/files/doc_library/Accomodations%20for%20Pregnant%20Employees%20Poster.pdf)
- [Child Labor Poster](https://labor.vermont.gov/sites/labor/files/doc_library/Child%20Labor%20Information%20Poster.pdf)
- [Earned Sick Time](https://labor.vermont.gov/sites/labor/files/doc_library/Earned%20Sick%20Time%20%5BEnglish%5D%20Poster.pdf)
- [Healthcare Whistleblower Poster](https://labor.vermont.gov/sites/labor/files/doc_library/Healtcare%20Whistleblower%20Poster.pdf)
- [Minimum Wage](https://labor.vermont.gov/sites/labor/files/doc_library/Minimum%20Wage%20Post%20-%202022_v2.pdf)
- [Parental and Family Leave](https://labor.vermont.gov/sites/labor/files/doc_library/Parental%20and%20Family%20Leave%20Poster.pdf)
- [Sexual Harassment Poster](https://drive.google.com/file/d/1cuwlVBW8CbAkt-HIf2XpEneHVHG7sWEk/view?usp=sharing)
- [Workers Compensation Reinstatement Rights](https://labor.vermont.gov/sites/labor/files/doc_library/Notice%20to%20Employers%20Employers%20Liability%20and%20WC%20Poster%20%5BEnglish%5D.pdf)
  - GitLab has complied with the provisions of Title 21 of the Vermont Statutes, Annotated §687, by obtaining Workers' Compensation Insurance coverage through The Hartford.
- [Employment Protections for Victims of Crime](https://labor.vermont.gov/sites/labor/files/doc_library/Crime%20Victim%20Poster_2022.pdf)

### Virginia

- [Virginia Unemployment Compensation Act](https://web.archive.org/web/20240724090602/https://www.vec.virginia.gov/pdf/vecb29eng.pdf)
- [Virginia Occupational Safety and Health Act](https://www.doli.virginia.gov/wp-content/uploads/2021/10/Job-Safety-Posters-English-August-2021.pdf)
- [Earned Income Tax Credit](https://www.irs.gov/pub/irs-pdf/p962esp.pdf)
- [Virginia CLI](https://www.dss.virginia.gov/files/division/cvs/pi/eitc/employer_info/cli_flyer2021.pdf)
- [Workers' Compensation Notice](https://workcomp.virginia.gov/sites/default/files/documents/Employers-Workplace-Notice-Form-1.pdf)
- [Seizure First Aid Poster](https://www.doli.virginia.gov/wp-content/uploads/2022/06/SFA-Flier_VALabor_8.5x11.pdf)
- [Workers' Compensation Notice - Federal](https://drive.google.com/file/d/19smvJnxn4976IBBl5y6W9tVtE_ABLmB2/view?usp=sharing)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/1alZ7Ev9AVRT91gmEFgNBie62GvhlDGfY/view?usp=sharing)

### Washington

- [Paid Family and Medical Leave](https://drive.google.com/file/d/1FnaPyYIGBovgZBiGgPqCZaKiAMeqGhWL/view?usp=drive_link)
- [Job Safety and Health Law](https://lni.wa.gov/forms-publications/F416-081-909.pdf)
- [Your Rights as a Worker](https://lni.wa.gov/forms-publications/F700-074-000.pdf)
- [Notice to Employees if a Job Injury Occurs](https://lni.wa.gov/forms-publications/f242-191-909.pdf)
- [Unemployment notice](https://drive.google.com/file/d/1jaVizNyU7Aew5ykSAP8fQZi4eu4mWivK/view?usp=sharing)
- **City of Seattle**
  - [Seattle Labor Standard Ordinances](https://www.seattle.gov/documents/Departments/LaborStandards/2024_OLS_MW_WorkplacePoster_web.pdf)
- **City of Tacoma**
  - [Paid Sick Leave](https://cms.cityoftacoma.org/finance/paid-leave/notices/2018-Paid-Leave-Workplace-Notice-English.pdf)

### Washington D.C

- [Accrued Sick and Safe Leave Act of 2008](https://does.dc.gov/sites/default/files/dc/sites/does/page_content/attachments/OWH%20-%20ASSLA%20POSTER-%20Bilingual.pdf)
- [Paid Family Leave](https://drive.google.com/drive/u/0/folders/1AagHxsGmtMZdda-hSGQ051D6gRHpvJFc)
- [Minimum Wage](https://does.dc.gov/sites/default/files/dc/sites/does/publication/attachments/Minimum%20Wage%20Poster_2023.pdf)
- [Living Wages Act](https://does.dc.gov/sites/default/files/dc/sites/does/publication/attachments/2023%20Living%20Wage%20Poster.pdf)
- [Building Services Act](https://does.dc.gov/sites/default/files/dc/sites/does/publication/attachments/Building%20Services%20Act%20Poster%202020.pdf)
- [Universal Wage Law](https://does.dc.gov/sites/default/files/dc/sites/does/publication/attachments/2023%20Universal%20Wage%20Law%20Poster.pdf)

### West Virginia

- [Minimum Wage Requirements](https://labor.wv.gov/Wage-Hour/Minimum_Wage/Documents/MINIMUM%20WAGE%20POSTER%20012018.pdf)
- [Wage Payment and Collection Act](https://labor.wv.gov/Wage-Hour/Wage_Collection/Documents/WPC%20Poster.pdf)
- [WV Human Rights Act](https://hrc.wv.gov/about/Documents/NEW%20Notice%20HRA%20FHA%20PWFA.pdf)
- [Unemployment Benefits Claimant Handbook](https://workforcewv.org/wp-content/uploads/2024/05/WFWV-Claimant-Handbook-08.23-2.pdf)

### Wisconsin

- [Employee Rights Under Wisconsin's Business Closing/Mass Layoff Notification Law](https://dwd.wisconsin.gov/dwd/publications/erd/pdf/erd-9006-p.pdf)
- [Hours and Times of Day Minors May Work in Wisconsin](https://dwd.wisconsin.gov/dwd/publications/erd/pdf/erd-9212-p.pdf)
- [Employee Protections Against Use of Honesty Testing Devices](https://dwd.wisconsin.gov/dwd/publications/erd/pdf/erd-10861-p.pdf)
- [Fair Employment Law](https://dwd.wisconsin.gov/dwd/publications/erd/pdf/erd-4531-p.pdf)
- [Family and Medical Leave Act](https://dwd.wisconsin.gov/dwd/publications/erd/pdf/erd-7983-p.pdf)
- [Bone Marrow and Organ Donation Leave Act](https://dwd.wisconsin.gov/dwd/publications/erd/pdf/erd-7983-p.pdf)
- [Minimum Wage Rates](https://dwd.wisconsin.gov/dwd/publications/erd/pdf/erd-9247-p.pdf)
- [Notification Required for Cessation of Health Care Benefits](https://dwd.wisconsin.gov/dwd/publications/erd/pdf/erd-11054-p.pdf)
- [Notice to Employees about Applying for Unemployment Benefits](https://dwd.wisconsin.gov/dwd/publications/ui/ucb-7-p.pdf)
- [Workers' Compensation Notice - Inc.](https://drive.google.com/file/d/11gTzkSQfn48adQls9mys8_hB52fhTwZU/view?usp=sharing)

### Wyoming

- [Consolidated Labor Law Posters](https://drive.google.com/file/d/12gCg1UGo8XFwAd_WMb0RK8w5VBsC4rhB/view)

### EEOC (U.S. Equal Employment Opportunity Commission) Notices

- ["EEO is the Law - Know Your Rights: Workplace Discrimination is Illegal" English poster for screen readers](https://www.eeoc.gov/sites/default/files/2023-06/22-088_EEOC_KnowYourRights6.12ScreenRdr.pdf)
- ["EEO is the Law - Know Your Rights: Workplace Discrimination is Illegal" English poster for printing](https://www.eeoc.gov/sites/default/files/2023-06/22-088_EEOC_KnowYourRights6.12.pdf)
- ["EEO is the Law - Know Your Rights: Workplace Discrimination is Illegal" Spanish poster for printing](https://www.eeoc.gov/sites/default/files/2023-06/22-088_EEOC_KnowYourRightsSp6.12.pdf)
- ["EEO is the Law" English Poster Supplement](https://www.dol.gov/sites/dolgov/files/ofccp/regs/compliance/posters/pdf/OFCCP_EEO_Supplement_Final_JRF_QA_508c.pdf)
- ["EEO is the Law" Spanish Poster Supplement](https://www.dol.gov/sites/dolgov/files/ofccp/regs/compliance/posters/pdf/OFCCP_EEO_Supplement_SP_JRFQA508c.pdf)
- All ["EEO is the Law - Know Your Rights: Workplace Discrimination is Illegal" poster links](https://www.eeoc.gov/poster) poster links.

### E-Verify

- [Notice of E-Verify Participation Poster](https://www.e-verify.gov/sites/default/files/everify/posters/EVerifyParticipationPoster.pdf)
- [Right to Work Poster](https://www.e-verify.gov/sites/default/files/everify/posters/IER_RighttoWorkPoster.pdf)

### Employee Polygraph Protection Act

- [EPPA Poster](https://www.dol.gov/sites/dolgov/files/WHD/legacy/files/eppac.pdf)

### Employee Rights on Government Contracts

- [Employee Rights on Government Contracts (SCA, PCA, CWHSSA, Walsh- Healey)](https://www.dol.gov/sites/dolgov/files/WHD/legacy/files/govc.pdf)

### Employee Rights under NLRA

- [Employee Rights Under the National Labor Relations Act (one-page Poster)](https://www.dol.gov/sites/dolgov/files/olms/regs/compliance/eo_posters/employeerightsposter11x17_2019final.pdf)
- [Employee Rights Under the National Labor Relations Act (two-page Poster)](https://www.dol.gov/sites/dolgov/files/olms/regs/compliance/eo_posters/employeerightsposter2page_19final.pdf)

### Fair Labor Standards Act (FLSA) Minimum Wage

- [Fair Labor Standards Act Poster](https://www.dol.gov/sites/dolgov/files/WHD/legacy/files/minwagep.pdf)
- [Employee Rights for Workers with Disabilities Paid at Special Minimum Wages](https://www.dol.gov/sites/dolgov/files/WHD/legacy/files/disabc.pdf)
- [Lactation Accommodation Policy](https://drive.google.com/file/d/1davxfjYkXYNzChFXyRTgfmK90pNP3f7a/view?usp=sharing)

### Family First Coronavirus Act (FFCRA)

- [Employee Rights: Paid Sick Leave and Expanded Family and Medical Leave under the Family First Coronavirus Act](https://www.dol.gov/sites/dolgov/files/WHD/posters/FFCRA_Poster_WH1422_Non-Federal.pdf)
- [Essential Protections During the COVID-19 Pandemic](https://www.dol.gov/agencies/whd/pandemic)

### Family and Medical Leave Act

- [Family and Medical Leave Act (FMLA) Poster](https://www.dol.gov/sites/dolgov/files/WHD/legacy/files/fmlaen.pdf)

### Federal Minimum Wage for Contractors Poster

- [Worker Rights Under Executive Order 13658: Federal Minimum Wage for Contractors Poster](https://www.dol.gov/sites/dolgov/files/WHD/legacy/files/mw-contractors.pdf)

### OSHA Job Safety and Health

- [Job Safety and Health: It's the Law Poster](https://www.osha.gov/sites/default/files/publications/osha3165.pdf)

### Pay Transparency Nondiscrimination Provision

- [Pay Transparency Nondiscrimination Provision](https://www.dol.gov/sites/dolgov/files/OFCCP/pdf/pay-transp_%20English_formattedESQA508c.pdf)

### Paid Sick Leave for Federal Contractors

- [Worker Rights Under Executive Order 13706: Paid Sick Leave for Federal Contractors](https://www.dol.gov/sites/dolgov/files/WHD/legacy/files/wh1090.pdf)

### Service Contract Act

- [Service Contract Act](https://www.dol.gov/sites/dolgov/files/WHD/legacy/files/govc.pdf)

### Your Rights Under USERRA

- [Your Rights Under the Uniformed Services Employment and Reemployment Rights Act](https://www.dol.gov/sites/dolgov/files/VETS/files/USERRA-Poster.pdf)
{{% /details %}}

{{% details summary="GitLab Canada Corp." %}}

### Ontario

- [Employment Standards in Ontario](https://files.ontario.ca/mltsd-employment-standards-poster-en-2020-09-08.pdf)
- [Occupational Health & Safety Poster](https://files.ontario.ca/mltsd_2/mltsd-prevention-poster-en-2020-07-22.pdf)
- [Occupational Health & Safety Act](https://www.ontario.ca/laws/statute/90o01)

### British Columbia

- [Working in B.C.](https://www2.gov.bc.ca/assets/gov/employment-business-and-economic-development/employment-standards-workplace-safety/employment-standards/factsheets-pdfs/working_in_bc_infosheet.pdf)
- [Occupational Health and Safety Regulation](https://www.worksafebc.com/en/law-policy/occupational-health-safety/searchable-ohs-regulation/ohs-regulation)
- [Workers Compensation Act](https://www.worksafebc.com/en/law-policy/occupational-health-safety/searchable-ohs-regulation/ohs-guidelines/guidelines-for-workers-compensation-act)

### Alberta

- [Workers Compensation Act](https://www.wcb.ab.ca/assets/pdfs/employers/123_english.pdf)
- [Employment Standards Code](https://open.alberta.ca/dataset/4ce53d11-040d-400e-834c-12ae33fbe3e4/resource/6975615e-5a45-4355-8f91-249947c8b89b/download/es-general-online-poster.pdf)

### Manitoba

- [Safe Work Manitoba](https://www.safemanitoba.com/Page%20Related%20Documents/resources/Poster_Everyones%20Responsibility%20Triangle%20Poster_SWMB15.pdf)
{{% /details %}}

{{% details summary="GitLab BV" %}}

### Netherlands

- [European Agency for Safety and Health at Work - Netherlands](https://osha.europa.eu/en/about-eu-osha/national-focal-points/netherlands)
- [OSH - Netherlands](https://www.arboineuropa.nl/en/osh-in-the-netherlands/)
- [Health and Safety at Work - Netherlands](https://business.gov.nl/regulation/health-safety-work/)

### Finland

- [Mehiläinen Occupational Health Service Provider](https://drive.google.com/file/d/19_K1NZHqXXrYrY0Nt5LDWxTKBT3iA7o7/view?usp=sharing)
- [OmaMehiläinen mobile application and online service.](https://drive.google.com/file/d/1Uev0iTR-gDHpFYgYdBr6PH-UWvcCyJkh/view?usp=sharing)
{{% /details %}}

{{% details summary="GitLab GmbH" %}}

### Germany

- [European Agency for Safety and Health at Work](https://osha.europa.eu/en)
- [Working Hours Act](https://www.gesetze-im-internet.de/arbzg/index.html)
{{% /details %}}
