---
title: "Offboarding Documents & Notices"
description: "Information on required offboarding documents & notices"
---

## GitLab, Inc. & GitLab Federal LLC

Pointing you to this handbook page serves as our mechanism to provide the required notice(s) to you. Please find your specific State (if applicable) to access these notices. For any questions, please contact `people-connect@gitlab.com`.

{{% details summary="GitLab, Inc. & GitLab Federal LLC" %}}

### Alabama

- [Unemployment Compensation Documents](https://labor.alabama.gov/docs/dept_type.aspx)

### Alaska

- [Unemployment Notice of Separation](https://labor.alaska.gov/estax/forms/Separation_Notice.pdf)
- [Unemployment Insurance Poster](https://labor.alaska.gov/lss/forms/1012.pdf)

### Arizona

- [Take Care of Unemployment Business UIB-1241A](https://des.az.gov/sites/default/files/dl/UIB-1241A.pdf?time=1686171887271)
- [Unemployment Insurance Poster](https://des.az.gov/sites/default/files/legacy/dl/POU-003.pdf)

### Arkansas

- [Unemployment Insurance Information Handbook](https://dws.arkansas.gov/wp-content/uploads/UI-Handbook-2024-Final.pdf)

### California

- [Notice to Employees as to Change in Relationship](https://docs.google.com/document/d/1lp14K0Q-UVAaHCeAAsGZpYhk2d7JzWBfVXmH7J03jEo/edit)
- [For Your Benefit: CA's Programs for the Unemployed DE 2320](https://edd.ca.gov/siteassets/files/pdf_pub_ctr/de2320.pdf)
- [DHCS Notice to Terminating Employee](https://drive.google.com/drive/folders/1Sf_vp1Rt10fP0pQ9wA9zw0YucTN43o3-)

### Colorado

- [Notice of Potential Availability of Unemployment Insurance Benefits](https://cdle.colorado.gov/sites/cdle/files/documents/Employer-Separation-Form-22-234-fillable.pdf)
- [Unemployment Insurance Poster](https://cdle.colorado.gov/sites/cdle/files/Notice_to_Workers_English.pdf)

### Connecticut

- [Termination Notice](https://docs.google.com/document/d/1rg_9Pwf50CZ9P5ocKvlPtk9NkOjrRxM3dipwrCMyJfI/edit)
- [Unemployment Notice UC-61](https://www.ctdol.state.ct.us/HP/UC-61Fillable.pdf)

### Georgia

- [Separation Notice DOL-800](https://dol.georgia.gov/document/separation-notices/separation-notice-individual-interactive-dol-800/)

### Illinois

- [What Every Worker Should Know About Unemployment Insurance CLI-111L](https://ides.illinois.gov/content/dam/soi/en/web/ides/ides_forms_and_publications/CLI111L.pdf)
- [Unemployment Insurance Poster](https://ides.illinois.gov/content/dam/soi/en/web/ides/ides_forms_and_publications/notice.pdf)

### Indiana

- [Unemployment Insurance Poster](https://www.in.gov/dwd/files/Employer-Poster.pdf)

### Iowa

- [Notice of Separation 60-0154](https://uiclaims.iwd.iowa.gov/EmployerSeparation/)
- [Important Resources on Unemployment](https://workforce.iowa.gov/unemployment/resources)

### Kansas

- Service Letter (if requested): Contact `people-connect@gitlab.com`

### Louisiana

- [Notification to Employees of the Availability of Unemployment Compensation](https://www.laworks.net/Downloads/UI/WTS/UI_AvailabilityNoticeToSeparatingEmployees.pdf)
- [Separation Notice LWC 77](https://drive.google.com/file/d/1rN67f5CHCJ4pD2Ysni_VzpTgTmwd4f9J/view?usp=sharing)

### Maine

- [Employment Security Law Poster](https://www.maine.gov/labor/docs/2022/posters/mesl/Maine%20Employment%20Security%20Law_11-19_English.pdf)
- Reason for Termination Letter (if requested): Contact `people-connect@gitlab.com`

### Maryland

- [Unemployment Compensation Availability Letter](https://www.dllr.state.md.us/forms/uiavailnotice.pdf)

### Massachusetts

- [Unemployment Insurance Benefits Claims Notice 0590-A](https://www.mass.gov/doc/how-to-apply-for-unemployment-insurance-benefits-form-0590a/download)
- [Unemployment Insurance Poster](https://www.mass.gov/doc/information-on-employees-unemployment-insurance-coverage-form-2553a/download)

### Michigan

- [Unemployment Compensation Notice to Employee UIA 1711](https://www.michigan.gov/-/media/Project/Websites/leo/Documents/UIA/Employer-Forms/UIA-1711.pdf?rev=60a8445f438f4a9f9462d15f10790f7f)

### Minnesota

- Reason for Termination Letter (if requested): Contact `people-connect@gitlab.com`.

### Missouri

- Service Letter (if requested): Contact `people-connect@gitlab.com`
- [Unemployment Insurance Benefits M-INF-288-5](https://labor.mo.gov/media/pdf/m-inf-288-5-ai)

### Nebraska

- [Unemployment Insurance Poster](https://dol.nebraska.gov/webdocs/Resources/Items/UI%20Advisement%20of%20Benefit%20Rights%2011-15-2022.pdf)

### Nevada

- [Employer Notification to Employees of the Availability of Unemployment Compensation DETR-ESD](https://cms.detr.nv.gov/Content/Media/Employer_notification_of_UI_to_employees_4-24-20.pdf)
- [Unemployment Insurance Poster](https://ui.nv.gov/PDFS/NEK_Notice_to_Employees_ENG.pdf)

### New Jersey

- [Unemployment Benefits Claim BC-10](https://nj.gov/labor/forms_pdfs/ui/BC10.pdf)

### New York

- [Unemployment Insurance Record of Employment IA 12.3](https://dol.ny.gov/system/files/documents/2021/02/ia12_3.pdf)
- [Unemployment Assistance NY State site](https://www.ny.gov/services/unemployment-0)

### Pennsylvania

- [Unemployment Compensation UC-1609](https://www.pa.gov/content/dam/copapwp-pagov/en/hrmoa/documents/hire-sep/separating/documents/uc-1609-benefits-employer-form.pdf)

### Rhode Island

- [Unemployment Insurance Notice](https://dlt.ri.gov/sites/g/files/xkgbur571/files/emergencyui/Employer-Notice-Requirement-Memo.pdf)

### South Carolina

- [Notification of the Availability of Unemploymnet Insurance Benefits](https://dew.sc.gov/sites/dew/files/Documents/families-first-required-notice_uie646d9b195084b58bcfaf2b06f0ca5ff%20(1).pdf)

### South Dakota

- [Reemployment Assistance (formerly Unemployment Insurance) Poster](https://dlr.sd.gov/ra/publications/posting_notice_to_employees_print.pdf)

### Tennessee

- [Employer Notification to Employees of the Availability of Unemployment Compensation LB-0489](https://www.tn.gov/content/dam/tn/workforce/documents/Forms/LB-0489.pdf)

### Vermont

- [Unemployment Insurance Poster](https://labor.vermont.gov/sites/labor/files/doc_library/A-24%20Unemployment%20Poster.pdf)

### Washington

- [Unemployment Benefits Poster](https://esd.wa.gov/media/315/download?inline)

### West Virginia

- [Unemployment Claimant Handbook](https://workforcewv.org/wp-content/uploads/2024/05/WFWV-Claimant-Handbook-08.23-2.pdf)
{{% /details %}}
