---
title: "Suggested 1:1 Agenda and Daily Standup Format"
---

This page describes the recommended 1:1 agenda format, and is based on how [Sid](/handbook/ceo) formats his 1:1 agendas. It also captures how this format is modified for daily standup agendas.
If you are new to [1:1s](/handbook/leadership/1-1/) or not sure how to make your previous experience with 1:1s work in
GitLab's culture, this can be a great starting place for you to learn.

Remember that 1:1s are private meetings between a manager and their report, so consistency is secondary to effectiveness -
please make sure to find a format that works for you and your team.

## Daily standups agenda

The "hallway" section of the 1:1 agenda is the recommended agenda format for daily standups. At GitLab, daily standups exist to quickly align and accelerate an initiative. They are scheduled for a limited duration. We use a modified meeting agenda with the [1:1 hallway](#hallway), because it helps to keep track of progress on key open items. There is less risk of important information being lost from week to week, as a net new agenda is not created.

Consider using this [Daily standup / Working group example meeting template](https://docs.google.com/document/d/1QjcZWLZFs7vbrJxfeFcG2EKf2-WMYVVSVaFFwChGOsQ/edit). For meetings that aren't a daily standup or 1:1 it's recommended to follow the guidance as noted in [GitLab Meeting Best Practices](/handbook/company/culture/all-remote/live-doc-meetings/#gitlab-meeting-best-practices).

## Agenda headers

Give your agenda document these headers:

1. Performance Management (Optional)
1. Career development
1. Vision
1. Hallway

## Performance management (Optional)

1. List reports with high or exceptional performance. Team members with high performance [should be recognized and praised]({{< ref "structure#management-group" >}}).
1. List reports who might be [underperforming]({{< ref "underperformance" >}}). Err on the side of putting people on too early and taking them off when it turns out there was no underperformance. It is important to bring people [up with your manager immediately]({{< ref "underperformance#immediately-discuss-with-the-managers-manager" >}}) and not have your manager have to tell you about concerns.

## Career development

An important part of career development is feedback, but that's not all. It also involves training.
Please see [our guide on giving career development](/handbook/people-group/guidance-on-feedback/).

## Vision

1. Paint a picture of how things could look in a couple of years.
1. Share best practices you've noticed.

## Hallway

1. Every item in the hallway section starts with exactly one tag, the tag can come from one of three categories:
    1. Timing
        - `ISO DATE` (example: 2017-05-21 or 2017-05) - indicating when this item will be discussed next
        - `RELEASE NUMBER` (example: 9.4 or 9.5) - alternative to `ISO DATE` to indicate when this item will be discussed next
    1. Action
        - `TODO` - report needs to set date of when this will be completed or just do the task, if we should discuss them report changes them to `DISCUSS`
        - `DOTO` - manager needs to do something, with this a (case sensitive) search for '`DO`' finds all `DOTO`'s and `DONE`'s
        - `DISCUSS` - cover in the next 1:1 meeting
        - `REVIEW` - there is a Merge Request (MR) or document that can be approved, the MR should not be a Work In Progress (WIP)
        - `HELP` - if you need help with anything.
        - `THINK` - if the person who did not put it on the agenda wants time to think about it and discuss it next meeting.
        - `SING` - if added, the person who added it leads a singalong with all willing participants in the meeting.
    1. Ready to remove
        - `FYI` - informational, can be removed outside of the meeting by the person who did not put it on the agenda (the audience for the FYI).
        - `DONE` - to be removed by the person who put it on the agenda, only set after any related MR has been merged
        - `MOVE` - if you want to move it outside of the agenda, for example an issue tracker, removal by the person who put it on the agenda
        - `DUPLICATE` - An item that is an outdated duplicate of another item on the agenda, removal by the person who put it on the agenda.
        - `WONT` - if you think this is no longer something that should be done.
        - `WHY` - if you get the suggestion but wonder why this is important and what the problem is.
        - `IDEA` - if the person who put it on the agenda is offering a suggestion for consideration and possible dismissal rather than as a directive.
        - `THANKS` - mostly used by the manager to praise the report, these should not require a follow-up action. There is a tendency to focus on issues and challenges. Do not forget to recognize accomplishments and success.
        - `SORRY` - if you want to say sorry for something.
        - `FEEDBACK` - this is feedback about your performance (also means that all the other items are not performance feedback)
1. It is recommended to provide a section listing frequently used & useful tags that help facilitate ideas and perception triggers when a direct report (or their manager) fills out the 1:1 agenda.
    - This helps reassure that all these topic tags are readily available and encouraged to be used. This is especially important for `THANKS`, `SORRY` and `HELP` tags.
1. As specified above, items are removed after being set to `DONE`. The 1:1 is one list that is continually modified. It is not a meeting agenda that is duplicated every week under a new date.
1. Add items to the end of the agenda. This is easier to do when using a numbered list.
1. The order going through the agenda is last-to-first, this way things that are still top of mind get handled first.
1. Prefix a new item with your name. Do the same for all responses/follow-ups.
1. Use `=>` to indicate a response/followup to an agenda item and prefix with your name. For example: `DISCUSS` Sid: Should we look into a collaboration with Walmart? => Kate: I think so, I created https://gitlab.com/gitlab-org/gitlab-ce/issues/101
1. Use sub-bullets (a, b, c) if there sub topics.
1. Include a link to the agenda in the calendar invite of the 1:1 meeting.
1. Use comments with +mentions in Google Docs only to signal urgency, don't write content down that way since it tends to get lost. Example: +person@example.com urgent because xyz.
1. Link relevant issues, chats, screenshots, and Google Docs liberally.
1. When you link to items, don't use Google Doc links but just paste the full URL in the document. This makes it easier to quickly see what the link points to and makes it easy to copy/paste.
1. When you make a change, link to the diff or merge request instead of the new content itself, this makes it easier to see what the change was.

## Order

We move through the agenda top to bottom by header but bottom to top within those headers.
For example, the very first discussion item in the call should be the last item under "Performance management".

## Example Agenda

Consider this [example agenda](https://docs.google.com/document/d/1Wi8zCIQishXuPZBTsjw3lmjGTWLDwqQBe0n9jmgbTyU/edit#heading=h.je87mj6quia2) between a manager (Martina) and her direct report (Andre).
