---
title: "Book clubs"
---

From time to time, we run internal book clubs on a book from one of our resource lists. All are welcome! However,
each club has a suggested audience to indicate roles to which the content is tailored.

- [Leadership]({{< ref "_index.md#books" >}})
- [Development](/handbook/engineering/development/#books)

To propose a new book club, [create an issue](https://gitlab.com/gitlab-com/books-clubs/combined-book-clubs/-/issues/new) in the [book clubs project](https://gitlab.com/gitlab-com/books-clubs/combined-book-clubs/). Individual book clubs which need a dedicated project can create on in the [book-clubs group](https://gitlab.com/gitlab-com/books-clubs) ([example](https://gitlab.com/gitlab-com/books-clubs/bookclub-hands-on-machine-learning)).

## Better Onboarding

- Dates: 2021-07-08 and 2021-07-15
- Time: 02:00 PM UTC
- [Zoom](https://gitlab.zoom.us/j/99228304969) (password is in the calendar event info)
- [Meeting agenda](https://docs.google.com/document/d/1BlNlGZb6kJPxUKNmJrJtQLvQxHsQx3WSpxSLUyc56FA/edit#)
- [Discussion issue](https://gitlab.com/gitlab-com/book-clubs/combined-book-clubs/-/issues/27)
- [Recording Session 1](https://drive.google.com/drive/folders/1Evt0ex97k8ZJMqH10WSMb6z1LqNTDPFE?usp=sharing)
- [Recording Session 2](https://drive.google.com/drive/folders/1cbtczvk30BDSzdbrByqdB8ETAz3avKOs?usp=sharing)
- Suggested audience: Growth, Product, Product Design and Development

## Trustworthy Online Controlled Experiments (A Practical Guide to A/B Testing)

- Dates: 2021-03-11 to 2021-06-10 (every week)
- Time: 08:00 PT / 15:00 UTC
- [Zoom](https://gitlab.zoom.us/j/99228304969) (password is in the calendar event info)
- [Meeting agenda](https://docs.google.com/document/d/16-vWAEdQoV7pizQuErgBovEAqFlPq0pv3-fhfmPk5ec/edit#heading=h.50o15qg15kc0)
- [Discussion issue](https://gitlab.com/gitlab-com/book-clubs/-/issues/23)
- Suggested audience: growth, product & engineering

## Ruby under a Microscope

- Dates: 2020-11-24 to 2021-03-03 (every week)
- Time: EMEA 14:00 UTC, AMER/APAC 23:00 UTC
- [Zoom EMEA](https://gitlab.zoom.us/j/99123637556), [Zoom AMER/APAC](https://gitlab.zoom.us/j/91894125368) (password is in the calendar event info)
- [Meeting agenda](https://docs.google.com/document/d/18Ekce5kFaEdAvY9OMRETmp8ukCmhhQqRjpbN9N0ssmk/)
- [Discussion issue](https://gitlab.com/gitlab-com/book-clubs/combined-book-clubs/-/issues/15)
- Suggested audience: engineering

## Software Engineering at Google

- Dates: 2020-05-20 to 2020-07-29 (every 2 weeks)
- Time: 21:30 UTC
- [Zoom](https://gitlab.zoom.us/j/93189804434)
- [Meeting agenda](https://docs.google.com/document/d/1zh4YCCTs-g_gUYPC8Wv9x-dyBS9_vgEZY222bTgR-8E/)
- [Discussion issue](https://gitlab.com/gitlab-com/book-clubs/combined-book-clubs/-/issues/10)
- Suggested audience: engineering management

## The Principles of Product Development Flow

- Dates: 2019-09-05 to 2019-10-31 (every week)
- Time: 11:30 Pacific Time
- [Zoom](https://gitlab.zoom.us/j/677129986)
- [Meeting agenda](https://docs.google.com/document/d/167NRxaU0n-d0zybSeXuuNBC4Zz8wVksaw8isUiPwhHQ/edit?usp=sharing)
- [Discussion issue](https://gitlab.com/gitlab-com/book-clubs/combined-book-clubs/issues/5)
- Suggested audience: engineering management

## High Output Management

- Dates: 2019-06-03 to 2019-07-15 (every two weeks)
- Time: 7:30 Pacific Time (one hour before the company call)
- [Zoom](https://gitlab.zoom.us/j/544984602)
- [Meeting agenda](https://docs.google.com/document/d/1gQZahLk2LYDbYAb4TeYqNOQbF8f6MrCaATLyPTzRONY/edit)
- [Discussion issue](https://gitlab.com/gitlab-com/book-clubs/combined-book-clubs/issues/3)
- [Recordings](https://www.youtube.com/playlist?list=PL05JrBw4t0Kp_xR7vrRiGu7URKiUmN8m3)
- Suggested audience: people managers

<iframe width="560" height="315" src="https://www.youtube.com/embed/videoseries?list=PL05JrBw4t0Kp_xR7vrRiGu7URKiUmN8m3" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>

## Crucial Conversations

This book club was internal-only.

- Dates: 2018-10-01 to 2018-11-05
- [Notes](https://docs.google.com/document/d/1lY-v9zRdSxtVKu-yh3U7oz5kNen2YZE_m5OeNF0QNHM/edit)
- [Recordings](https://drive.google.com/drive/u/0/folders/1lqtdN4eWLG0RxqV8KSsnp8__P__Bff-2)
- Suggested audience: engineering managers

## Suggestions on running a book club

1. If possible, find a partner. Having two people run the book club has
   a number of advantages:
    1. Reduced pressure and workload.
    1. Lower chance of needing to reschedule due to illness or other
       emergency.
    1. Meetings start as a conversation, not a monologue.
    1. Add your buddy as a co-host in Zoom so that meetings can be recorded in your absence
1. Add the book's title to the handbook if it isn't already listed.
    1. Books that are also available as audiobooks increase the
       potential audience. The more ways people can experience the book,
       the more people can attend.
1. [Set up the meeting schedule.]({{< ref "tools-and-tips#gitlab-team-meetings-calendar" >}})
    1. Record the meetings and [post them to YouTube](/handbook/marketing/marketing-operations/youtube/). If the participants
       agree, make the videos public.
    1. Consider having the same section of the book covered in different
       meeting slots, to allow people in different time zones to attend.
1. Set the expected reading schedule for the entire book before
   starting, so people know what level of reading is required.
1. Create an agenda for each session seeded with interesting quotes and
   concepts from the relevant section of the book.
     1. If possible, prepare topics for all of the sessions before the starting,
        too - although this requires the hosts to read the whole book up front.
1. Once the book club is done, seek feedback and update this handbook
   page!
