---
title: Understanding SOCIAL STYLES
---

## Introducing SOCIAL STYLES

On this page, we will detail a unique approach developed by the [TRACOM Corporation](https://tracom.com/social-style-training/model#) called SOCIAL STYLES&reg; that can be used by Managers and Individual Contributors. It is a framework to improve interpersonal effectiveness and [emotional intelligence]({{< ref "emotional-intelligence" >}}). As a Manager, you can be more effective in your relationships with team members if you learn to focus on their behavior in an objective fashion. SOCIAL STYLES is a structured approach for observing, understanding, and anticipating an individual's behavior. Managing in an all-remote company comes down to trust, communication, and [company-wide support of shared goals](/handbook/company/culture/all-remote/management/). Use this page as a frame of reference to help [build trust]({{< ref "building-trust" >}}) within your teams.

## Drawbacks of Using Personality & Behavioral Assessments

Personality assessments are one of many tools to help team members build trust. They are not intended to type-cast team members into boxes based on their results. It is important to remember that it is up to all of us to get to know one another on a personal and professional level instead of using the results of an assessment to make assumptions. Please use this page as a frame of reference when interacting with team members based on their assessed style. The results of an assessment should not put anyone in a box as we all have qualities that make us unique. The assessment does not take the place of Managers getting to know team members, appreciate their unique strengths and full personhood, and explore the ups-and-downs within the relationship. SOCIAL STYLEs is only a tool and we should not resort to type-casting team members based on their results.

## SOCIAL STYLES Overview

As a Manager and team members at GitLab, SOCIAL STYLEs can help strengthen relationships, improve communication, and to predict behavior. As a people leader, you can develop a customized approach to each one of your team members based on their assessed style. This will enable personalization for Managers and Individual Contributors. It is an excellent tool for improving emotional intelligence and building relationships with your team.

> "The more I learn about myself, the more I am able to understand others, the more I am able to bridge the gap between us."

**Benefits of SOCIAL STYLES:**

- Strengthens relationships
- Improves communication
- Helps predict behavior
- Enables a personalized management approach for direct reports
- Gives insight into how teammates operate

## Managing with style

What separates great managers from good ones is the ability to treat each team member as individuals while focusing on their unique strengths and areas of improvement. People who have different styles have different preferences and ways of working. When managed ineffectively, these differences can be the source of dissatisfaction, conflict, and a breakdown in team effectiveness. However, when managed with skill, team members style differences can lead to creativity, focus, energy, and better performance. A manager can assess team interpersonal interactions by applying the SOCIAL STYLES framework so that the performance of the team can be enhanced.

## Scales of behavior and the four styles

In the SOCIAL STYLE Model their are two scales of behavior: Assertiveness & Responsiveness.

### Assertiveness

Dimension of behavior that measures the degree to which others perceive a person as tending to ask or tell in interactions with others. (Ask versus Tell)

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vQjmHDBLOvUkiKUWyIbs8LuaHSFSHOqmHSZqTwxdY9SuScWWrxgtfPRWhi8aRyMAUrw33Nt5YDv2Oma/embed?start=false&loop=false&delayms=60000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure>

### Responsiveness

Dimension of behavior that measures the degree to which others perceive a person as tending to control or display their feelings and emotions when interacting. (Control versus Emotes)

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vSaAoNlsDCmdHRdfcmsgdW2v6FNiiI9Bf1FGc4q3EgoUbAuY4qW0Xw68J29rSIF0bsLsrL7Hhk4bEXc/embed?start=false&loop=false&delayms=60000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure>

### Personality vs Behavior

**Behavior:** What you say (verbal) and do (non-verbal)

**Personality:**  The combination of ideas, values, hopes, dreams, attitudes, abilities, as well as the behavior that others can observe that encompasses everything a person is.

**SOCIAL STYLES:** Pattern of actions that others can observe and agree upon for describing one's behavior

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vSGVmCDCF2hFfy7810AY0mMPeaBfsfYvOWYTp37roeBBRxCwAZdiqpdHXfV69tYRjuFfy2yk2CDAUS6/embed?start=false&loop=false&delayms=60000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure>

### The four styles

There are four styles related to the SOCIAL STYLE model. Each style represents a particular pattern of actions that others can potentially observe and agree upon for describing one's behavior.

- Driving: strong willed and more emotionally controlled
- Expressive: outgoing and energizing
- Amiable: easy going and supportive
- Analytical: serious and more exacting

**The SOCIAL STYLES Model&trade;** below categorizes the four unique styles: **Analytical**, **Driver**, **Expressive**, and **Amiable**. Team members can identify what style they may be classified as and adapt their approaches and communication style accordingly to their team.

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vSs8mxLteOjZq5_DfZgSum4R138_GzW5XPXi7lqZlxiUyrHpNMxl_FFIgKBRCWpEFsVtaV8R-2z2ogk/embed?start=false&loop=false&delayms=60000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure>

## The four styles and how to apply the model

{{% details summary="The Driving Style" %}}
Team members that may be classified as Drivers may be action oriented that prefer fast-paced and structured environments.

**Characteristics of a Driver:**

- Focus on the immediate timeframe
- Know what they want
- Be swift, efficent and to the point
- Be impatient with delays
- Interested in results and speed
- Tomorrow timeframe

**Orientation of a Driver:**

- Want to Win!
- Action
- Fast paced
- Structured
- Tomorrow timeframe
- Results & speed

**Strategies to potentially apply when working with a Driver:**

- Work hard & fast for goals
- Keep meetings short
- Provide leadership & challenges
- Expect competition
- Gain respect
- Expect critical reviews
- Be precise but quick - provide material/details to decide on

**Sample Driver Quote**

> I trust in myself and my skills, results is what counts for me.

{{% /details %}}

{{% details summary="The Analytical Style" %}}
Team members that may be classified as Analytical may be oriented towards thinking and prefer to live life according to facts, principles, logic, and consistency.

**Characteristics of an Analytical:**

- Risk-adverse and cautious
- Structured and want to see the detail
- Historic timeframe
- Want to see the how
- Can be reluctant to declare a point of view
- Focus on processes and procedures
- Slow to change

**Strategies to potentially apply when working with an Analytical:**

- Don't expect to see emotions
- Avoid chaos
- Provide tasks with detail, patience, and analysis
- Lead back from detail to result
- For decisions provide details, alternatives, and precedent
- Keep meetings short
- Provide actions with conviction

**Sample Analytical Quote**

> I trust in figures, data, facts, and my own knowledge. I believe in thought-out decisions and actions.
{{% /details %}}

{{% details summary="The Amiable Style" %}}
Team members that may be classified as Amiable may be oriented towards relationships and tend to interpret the world on a personal basis and get involved in the feelings and relationships between people.

**Characteristics of an Amiable:**

- Prefer to get things done with and through others
- Risk-adverse and slower paced
- Very relationship oriented and harmony/consensus seeking
- Look for personal motives in the actions of others
- Sensitive to others and good team players
- Slow or reluctant to change
- Add joy, warmth, and freshness to social situations
- Easy for others to communicate and share with

**Orientation of an Amiable:**

- Want to be liked!
- Relationships
- Risk-averse
- Slower-paced
- Harmony
- Consensus
- Present time-frame

**Strategies to potentially apply when working with an Amiable:**

- Provide routines and structure
- Avoid neccessity to decide instantly
- Provide pleasurable and secure feeling with matters at hand
- Provide clear instructions
- Avoid risks and ambiguous situations
- Make clear you are not going to flee

**Sample Amiable Quote**

> I lean towards the power of collaboration. I trust in the skills of others and the good in every person.
{{% /details %}}

{{% details summary="The Expressive Style" %}}
Team members that may be classified as Expressive may be oriented towards spontaneity. They tend to focus their attention on the future with intuitive visions and they may want to be appreciated.

**Characteristics of an Expressive:**

- Imaginative and creative
- Make decisions quickly based on feelings
- Warm and approachable yet seeks recognition
- Generate enthusiasm
- Behave in stimulating, exciting, and fun ways
- Can make mistakes and have frequent changes in direction and focus due to their desire to act on opinions, hunches, and intuitions versus facts and data
- Prefers faster-paced and unstructured environments
- Focused on innovation and vision with a future timeframe

**Orientation of an Expressive:**

- Want to be appreciated!
- Faster-paced
- Unstructured
- Impulsive
- Future timeframe
- Innovative & vision

**Strategies to potentially apply when working with an Expressive:**

- Be open-minded
- Give feedback and show appreciation
- Avoid skeptical statements
- Avoid tasks with too much detail and implementation
- Foster a team atmosphere
- Expect/provide distractions
- Provide opportunities to be talented and resourceful

**Sample Expressive Quote**

> I lean on the power of visions, I trust in my persuasive power.
{{% /details %}}

## Working with other styles

Below are some additional strategies for Managers to adapt and personalize their management style for your teams individual SOCIAL STYLE. Once you know the styles of your team you can tailor interactions and communications with them to strengthen relationships.

The left hand side represents your style while the top represents your counterparts. Alter your style when interacting with your team members and leading others.

|     | **Driving** | **Expressive** | **Amiable** | **Analytical** |
| ------ | ------ | ------ | ------ | ------ |
| **Driving** | Maintain peer status, share the resonsibilities of leadership | Shift your focus to a more general outlook, be less formal | Slow your pace and focus more on the relationships | Focus on some detail in relation to the goals |
| **Expressive** | Shift focus more toward the goal, less generalities. Be a little less casual | Listen more, take notes, don't try to outtalk each other | Slow your pace and focus more on the relationship | Focus on some detail in relation to the goals |
| **Amiable** | Shift Focus more toward the goal, less generalities | Pick up the pace, focus less on the relationship | Focus more on the issues at hand and less on popularity and networking | Focus less on the relationship and more on details |
| **Analytical** | Pick up the pace and focus less on details and more on the goal | Focus a little less on detail. Be a little more causal | Focus a little more on the relationship. Be more casual | Try to look at ideas more objectively. You both need to be right. |

## Discover Your SOCIAL STYLE

Interested in learning about your own SOCIAL STYLE and those of your team? Below are five steps you can take as an individual contributor or a people manager to better understand your people.

1. Teams can inquire about the SOCIAL STYLEs comprehensive assessment from [TRACOM](https://tracom.com/) for a fee, that provides a comprehensive styles profile for each team member. GitLab L&D has been trained and certified on SOCIAL STLYEs, please contact them to learn more about the assessment.
1. **Reflection** - Reflect briefly on your result. What is your Social Style?
1. **Feedback** - Invite your colleagues to give feedback on your style.
1. **Share** - Share the assessment with teammates who have not taken the assessment.
1. **Aggregate Results** - Maintain a centralized location where existing and new team members can view individual SOCIAL STYLEs.

Once you know your team's SOCIAL STYLE, what do you do next?

- Talk to your team members about their style
- Give them opportunities to apply their styles in their day-to-day work
- Consider style based partnering opportunities
- Reference the language of SOCIAL STYLEs when working together
- Develop and invest in your team members individual style

## SOCIAL STYLES and crucial conversations

There are three factors that distinguish a [crucial conversation](https://www.amazon.com/Crucial-Conversations-Talking-Stakes-Second/dp/1469266822) from a normal conversation:

- Stakes are high
- Opinions vary
- Emotions run strong

[Managing Underperformance]({{< ref "underperformance" >}}) is an example of having a crucial conversation. Team members and managers can apply the social styles framework to managing underperformance. Managers can break down barriers by getting to know their people on personal level. Different team members (different styles) have different cues when addressing a difficult conversation. Let's take Underperformance, for example, a Manager (Expressive) style has a direct report with an Analytical style. During a meeting to address the underperformance, the Manager shares data on the underperformance while providing tasks with details on how to resolve. The direct report can seem withdrawn and detached. Since the Manager knows this is an attribute of the Analytical style, they can be more likely to resolve the underperformance in a crucial conversation.

There are many applications of the SOCIAL STYLES model for working with teams. From managing conflict to coaching & mentoring, to managing up, to having crucial conversations. The applications are endless.

## Example of putting styles into practice

Below is an example of Persona that is used to show how SOCIAL STYLEs can be put into practice as a Manager within GitLab. **Personas's are a tool to show a representation of the target audience**. In this example, we've applied the SOCIAL STYLES framework to a ficitious manager at GitLab and how they could use the assessment within their team to personalize a management approach. Personas are archetypical users whose goals and characteristics represent the needs of a larger group. In this example, Managers. However, we can use personas for any audience at GitLab and beyond.

Use the persona as a roadmap to implementing the SOCIAL STYLEs assessment within your team.

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vR6HxchUNNbwIYpZY2feMs8GFY080DaZZgxTZrZlCyo3QYgCPGD6oH68myqUFExrjta350ZVORwBG5E/embed?start=true&loop=false&delayms=3000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure>

## Additional Resources on SOCIAL STYLES

Below are additional resources on social styles for review

- [TRACOM SOCIAL STYLE Model](https://tracom.com/social-style-training/model)
- [Managerial Success Stories](https://tracom.com/wp-content/uploads/2019/01/Managerial-Success-Story-TRACOM_ss2018.pdf)
- [Communicating with Style](https://www.wilsonlearning.com/wlw/articles/w/hidden-cost-comm/en-gb)

The SSOT for the slides on this page can be found in [this folder](https://drive.google.com/drive/search?q=title:%22social%20styles%20page%22%20parent:1XoBBNYQ810mWXi-fCg_6BTxh3yFJaUjZ).
