---
title: Leading through Adversity
---

## Leading team through adversity and challenging times

One of the more challenging things managers and leaders will have to do in their careers is to lead team members through adversity or challenging times.  These could be related to many different things, economic downturns, pandemics, team member deaths or illnesses, change in company leadership, changing of priorities and focus for the team and any thing else that was not expected that is causing stress or churn for the organization.

At some point all managers will have to face challenging times and make hard decisions.  Your team members will turn to you to help lead the way through the difficult times. If you do research you will find most articles and strategies have a consistent message or theme.  They are be credible, consistent, caring, have a plan, having clarity with your plan, manage expectations and set realistic objectives and goals.  Below are some of those strategies, tips and resources for your review to help provide you guidance on how to navigate your teams through challenging times.

### 5 C's of adversity

In the article [5 C's of adversity](https://www.cbsnews.com/news/the-five-cs-of-leading-in-adversity/)  by Stuart Cross he reviews what a leader can focus on during times of adversity:

1. **Credibility**: Competency and credibility are the bedrock of leadership
1. **Clarity**: Ambiguity is the enemy of leadership
1. **Consistency**: Communication or request that are clear and consistent
1. **Confidence**: Exuding confidence
1. **(over)Communication**: Repeatedly pushing out the message to team members

### Tips for weathering storms

In article [Leadership during adversity - 5 tips to help weather the storm](https://web.archive.org/web/20210514014535/https://www.michaelpage.com.au/advice/management-advice/leadership/leadership-during-adversity-%E2%80%93-5-tips-help-weather-storm)  by the Michael Page team they list the following as a guide for leaders to be successful:

1. **Encourage transparent, open and honest communication**: Transparency is one of our core values. Leaders should share what they can with team members at the appropriate time.
1. **Communicate a realistic strategy and keep moving forward**: Iteration is even more important at this time. Keep your teams focused and moving toward the department, division or organizational goals.
1. **Focus on what you can control**: Keep focusing your teams on the producing Results.
1. **Create small wins and motivating environment**: Efficiency and boring solutions should still be a focus for the team.
1. **Take care of your team**: [Family first](/handbook/values/#family-and-friends-first-work-second) is part of our Diversity, Inclusion & Belonging  values and as a manager making sure your team members are taken care of as well as yourself is even more important during difficult times.

## Additional resources

As managers please make sure you familiarize yourself with the options available for team members and your self in regards to taking care of your mental health. If you have not done so yet, please review the [Mental Health Awareness](/handbook/people-policies/#mental-health-awareness) section in our handbook.

If you are facing challenges within your team and are looking for help and guidance please reach out to your leader as well as your PBP ([People Business Partner](/handbook/people-group/#how-to-reach-the-right-member-of-the-people-group)).  Your PBP is here to help you talk through the challenges and work through different plans of success.

**Additional resources for your review**

- [John Addison: The 5 A's of leading Through Adversity](https://www.success.com/john-addison-the-5-as-of-leading-through-adversity/)
- [15 Trust-Building Practices for Leaders](https://www.success.com/15-trust-building-practices-for-leaders/)
- [The Five "C's" of a Trusted Leader](https://www.smartdraw.com/management/five-cs-of-a-trusted-leader.htm)
- [Leading Effectively in Chaos and Uncertainty](https://hbr.org/2009/02/leading-effectively-in-chaos-a)
- [Five Cs of Leadership](https://sixth.ucsd.edu/_files/_home/student-life/five-cs-of-leadership.pdf)
- [10 Quotes About Overcoming Adversity From Leaders Who've Done It](https://www.growwire.com/quotes-about-overcoming-adversity)
