---
title: "No Matrix Organization"
---

## No matrix organization introduction

On this page, we will give an overview of how GitLab operates as a no matrix
organization.

"No matrix organization" means that everyone reports to exactly one person. At
GitLab we have a simple functional management hierarchy. Technical leadership at
GitLab is leadership without a formal reporting line, based on project roles and
experience.

## No matrix organization overview

1. We believe everyone deserves to report to exactly one person that knows and understands what you do day to day. [The benefit of having a technically competent manager is easily the largest positive influence on a typical worker's level of job satisfaction.](https://hbr.org/2016/12/if-your-boss-could-do-your-job-youre-more-likely-to-be-happy-at-work) We have a simple functional hierarchy, everyone has one manager that is experienced in their subject matter that allows them to meaningfully engage with the work being done within their individual function. Matrix organizations or [dotted lines](https://www.global-integration.com/glossary/dotted-line-reporting/) are too hard to get right.
1. The advantage of a functional structure is that you get better feedback and training since your manager understands your work better than a general manager.
1. For the organization, forgoing a separate class of managers ensures a simple structure with clear responsibilities.
1. A functional organization structure mimics the top structure of our organizations (Finance, Sales, Engineering, etc.).
1. It reduces compensation costs, coordination costs, and office politics.
1. The disadvantage is that your manager has a limited amount of time for you and probably has less experience managing people.
1. To mitigate these disadvantages we should offer ample training, coaching, support structures, and processes to ensure our managers can handle these tasks correctly and in a limited amount of time. "It's easier to train an expert to manage well than to train a manager to be an expert" from [How Apple is organized for Innovation](https://hbr.org/2020/11/how-apple-is-organized-for-innovation).
1. Everyone deserves a great manager that helps them with their career. A manager should hire a great team, should let you know when to improve, motivate and coach you to get the best out of you.
1. "Nuke all matrices. Nuke all dual reporting structures. And nuke as many shared services functions as you possibly can." from the great [guide to big companies from Marc Andreessen](https://pmarchive.com/guide_to_big_companies_part2.html) (the other guides are awesome too).
1. We recommend reading [High Output Management]({{< ref "leadership#books" >}}), and its author coined Grove's law: All large organizations with a common business purpose end up in a hybrid organizational form. We believe a dual reporting structure is inevitable, we just want to delay it as long as possible.
1. We do make features with a [DevOps stage group]({{< ref "structure#groups" >}}) that is a collection of teams and [stable counterparts]({{< ref "leadership#stable-counterparts" >}}).
1. Whenever there is need to work on a specific, high-level, cross functional business problem, we can assemble a [working group](/handbook/company/working-groups).
1. Functional companies are easier when you focus on one product. Apple focuses on the iPhone and can have a [unitary/functional/integrated organizational form](https://stratechery.com/2016/apples-organizational-crossroads/). The advantage is that you can make one strong integrated product. We can also maintain a functional organization as long as we keep offering new functionality as features of GitLab instead of different products. The fact that we're in touch with the market because we use our own product helps as well.
1. Leaders should know the details of their organization three levels down for efficient and effective cross-functional decision-making.
1. Having functional managers means that they are rarely spending 100% of their time managing. They always get their hands dirty. Apart from giving them relevant experience, it also focuses them on the output function more than the process. Hopefully both the focus and not having a lot of time for process reduces the amount of politics.
1. Functional managers spend their time between owning, learning, delegating or teaching styles. Managers will decide what activities demand their full attention and fall within their core area of expertise which they will *own* and what activities require them to *learn* new areas of expertise. Some activities require less attention from the leader and can be pushed down to others by either *delegating* or *teaching* someone on the team.

## E-Group Conversation on No-Matrix Organization

Who better to learn how GitLab enables a functional organization structure than our leadership. As part of the [CEO Handbook Learning Sessions](/handbook/people-group/learning-and-development/learning-initiatives/#ceo-handbook-learning-sessions), the L&D team facilitated a discussion with executives during a [E-Group offsite]({{< ref "offsite" >}}), to discuss no-matrix organization and GitLab organization design.

{{< youtube "E_wegGRv4mA" >}}
