---
title: "Skip Level Meetings - Overview"
---

## Purpose and Benefits of Skip-Levels

A skip-level meeting is a meeting during which a manager's manager meets directly with team members without the direct manager present. While [1-1s](/handbook/leadership/1-1) facilitate communication between a team
member and their manager, skip levels should facilitate communication between the leader's whole team, not just their direct
reports.

The CEO conducts quarterly skip-level meetings with all indirect reports. The goal of this meeting is to help the CEO be a better manager of him/herself, of the report of their function, and the rest of the executive team. What is going well, what needs improvement, how can the CEO help, and what should the CEO focus on when coaching the report?

It also gives the skips and senior leaders an opportunity to:

- Get to know each other and build rapport
- Provide an opportunity to have contributions [recognized](/handbook/people-group/guidance-on-feedback/#recognition) by a senior leader
- Ask questions
- Clarify their understanding of company or functional objectives

## What Skip-Levels Are Not

It's important to note that the following are **not** purposes for the
skip level meetings:

- To check in on the performance of a manager by "going around them."
- To manage priorities, career management, or perform any duties typically
  handled by a team member's direct manager.

## Conducting skip level meetings

1. If your reports have multiple reports, a skip level meeting is required.
1. The skip level meeting is never recorded as it is a way to build trust with the team members.
1. Skip level meetings should be held at least quarterly. Whether or not you
   choose to organize them more frequently is at your discretion, and likely
   impacted by the number of skips you have.
1. Skip level meetings can be conducted one-on-one or in groups of no more than
   10-15 (to encourage participation). You may prefer one approach over the
   other, or if you have too many skips one-on-one meetings may not be feasible.
1. If you're able to do one-on-one skip levels, we recommend the first meeting
   with each skip be similar to a coffee chat - a free-form discussion with the
   intent to get to know each other.
1. Aside from any of these free-form initial skip levels, subsequent meetings
   should have a clear agenda. The first portion of the agenda should include
   anything you want to update or reinforce with your skips - review strategy,
   remind the team about areas of focus, etc. After that, there should be ample
   time for questions from the skips.
1. In order to recognize team members and highlight the visibility of their work, consider preparing for a skip by reviewing accomplishments of the attendees ahead of time and documenting those at the beginning of the agenda.
1. Don't worry about repeating information in skip level meetings. One of the
   most common reactions managers have after they conduct skip levels is to say
   "I thought everybody knew that!" Remember that messages often have to be
   shared several times in several ways before they are communicated
   effectively.
1. Skip level meetings can also be a great place to solicit feedback from your
   skips. [SKS questions](https://en.wikipedia.org/wiki/SKS_process), among
   other feedback mechanisms, make solid agenda items.

*Having a large organization is not a reason to not conduct skip-level meetings. Senior leaders with a large organizations can opt to conduct skip-levels in a rotational fashion. If meeting with everyone is not scalable, instead meet with a new group of skip-level team members each quarter (or more frequently).*

### Learning From the CEO on Skip Level Meetings

{{< youtube "kAxp0Mam-Rw" >}}

## Other Resources

- [Skip Levels](https://www.manager-tools.com/2006/04/skip-levels) podcasts on Manager-Tools
- [The Art of the Skip Level Meeting](https://www.linkedin.com/pulse/art-skip-level-meeting-scott-boulton%2C-chrp-5948801065834024960/)
- [Skip Level Meetings](/handbook/engineering/development/dev/create/engineers/skip-level/)
