---
title: Underperformance
description: We want team members to be successful and should offer every opportunity for them to work effectively.
---

## Introduction

We want all our team members to be successful! We continuously strive  to maintain a high standard of performance across the entire company and we are here to support our people leaders and team members along the way. We encourage regular and transparent communication across all areas of the business. We also fully recognize and accept that team members who do not meet the sustained performance expectations may be more successful at another company and we fully support those difficult conversations and decisions.

In all cases, we want a manager who asks the question "Is this the best person I could hire today?" to respond with a "Yes".

## Managing Underperformance Handbook Learning Session

Managing and identifying underperformance can be one of the most difficult responsibilities of a manager, but it's also one of the most important. As a people leader, fairness and transparency is essential with all team members, as is addressing performance or conduct concerns  in a timely and structured way. During a [CEO Handbook Learning Session](/handbook/people-group/learning-and-development/learning-initiatives/#ceo-handbook-learning-sessions), GitLab CEO, Sid, and the Learning and Development team discuss what underperformance is, how managing it aligns to our values, and the impact it can have on teams. You will be introduced to the signs to look for to identify underperformance, and we cover tips team members and managers can implement along the way.

<figure class="video_container"><iframe src="https://www.youtube.com/embed/-mLpytnQtlY"></iframe></figure>

> If someone is still not performing at an adequate level after going through the underperformance process, recognize that it's not only better for the company for the team member to move on, it's frequently also better for the team member. Making a decision to move the team member out of the role allows them to find a role where they can be successful, whether in or outside of GitLab. The longer you wait, the harder it will be to make a change. If it's not going to work out, take action as soon as possible. - GitLab co-founder and CEO [Sid Sijbrandij](/handbook/ceo)

### Managing Performance at GitLab

GitLab strives to treat all team members with dignity and respect at all times. You can review GitLab's [Team Member Relation Philosophy](/handbook/people-group/team-member-relations#team-member-relations-philosophy) which outlines how we treat all team members and provides guidelines for how we address issues within GitLab. The kindest thing we can do for our team members is to address any issue early and to provide a supportive environment where they can improve their performance. Failure to act early can greatly affect the performance of the team as a whole. Effective teams require cohesion, collaboration, and actively engaging and performing team members to be successful in reaching their goals. Without this cohesiveness, there is a risk to the overall team and GitLab's success.

Managing a team member who is underperforming is one of the more challenging aspects of the manager role. Though challenging, it is expected that all people leaders manage performance  and provide team members with clear actionable feedback and guidance fairly and in a timely manner.  Failure to appropriately address performance concerns in a timely manner is a reflection on the manager's performance, and has a negative impact on the manager, team member, other team members and the business.
GitLab uses the skill-based and will-based performance model to identify the root cause of the team members' underperformance and to determine the suitable remediation plan. The remediation plan  will be based on the type of performance issue.
The Team Member Relations team is here to assist you in identifying the cause of the performance issue and can walk you through the performance management process that applies best to the situation. Below are definitions of skills-based and will-based concerns as well as the typical remediation plans. As with all situations, there may be unique circumstances that require unique remediation plans.

### Inform the Team Member Relations Team

Looping in [Team Member Relations](/handbook/people-group/) early is essential. Team Member Relations can offer support, guidance, coaching, and partner with Legal to ensure compliance throughout all stages of the performance management process.  Reaching out to the TMR team is critical to managing underperformance, and not doing so within a reasonable timeframe ultimately impacts the manager's performance. Connecting with the TMR team ensures that feedback is being delivered in accordance with our [guidance for giving feedback](/handbook/people-group/guidance-on-feedback/) and within applicable local labor laws and regulations.

## Warning Signs/Patterns of Underperformance

How do you know if a team member isn't reaching their goals? Below are some common warning signs and patterns of underperformance as it relates to not meeting the expectations of the role.

1. Lack of results
1. Response time delayed
1. Unclear status of work
1. Frustration toward the team
1. Regular disagreements or confusion about individual / team the goals
1. Extended team frustration- Frustration from other team members
1. Team dynamic - teamwork, communication, delivery being affected
1. Other team members start working around them
1. Missed goals and timelines

These are all signs of a performance issue, however, are these performance issues skill-based or will-based? Knowing the root cause of the performance issue enables the manager and team member to have open and transparent conversations to implement a plan to improve performance.

### Skills-based performance

Team members may have the motivation to be successful but performance is impacted due to the possible following reasons:

- A lack of  technical capability to be successful in their current role
- A lack of soft skills/emotional intelligence to be effective in their current role
- Inability to prioritize work effectively
- Lack of  understanding of how to complete tasks required for role

People Leaders continuosly  review skill-based performance and can identify where issues may arise. They can then determine if the team member requires additional support in the form of coaching (verbal / written), specific training, additional tools/resources, guidance or assigning the team member a mentor or buddy for an agreed period of time.

### Will-based performance

Team members who have the skills necessary to succeed in their current role but they lack the will to perform which can be evident in the following ways:

- Lack of motivation or not fully engaged
- Unprofessional behavior, actions or communication towards fellow team members
- Undesirable behavior that impedes the success of another Team member, Team or GitLab as a whole

If a manager or any team member witnesses or is made aware of any team member behavior that violates our [Code of Conduct](https://ir.gitlab.com/static-files/7d8c7eb3-cb17-4d68-a607-1b7a1fa1c95d) they should immediately reach out to Team Member Relations at `teammemberrelations@gitlab.com`.

### Team Member: Discuss Circumstances Immediately With Your Manager

Tell your manager immediately if there are circumstances in your life that cause you to be less effective. It isn't required to give details if you prefer not to. Tell your manager when it started, to what extent it hinders your work, and what your forecast is for your circumstances to improve. When you delay this conversation until your manager identifies underperformance you've lost trust that would be helpful during this period.  Team Member Relations can also be a resource for team members experiencing circumstances that are affecting their performance.

### Manager: Identify And Take Action As Early As Possible

The important thing to remember as a manager is to immediately address signs of underperformance. Taking action sooner allows more time for coaching to be effective and successful.  In the early stage of the process it is important to identify the reasons why team members might not be meeting expectations for their role. We do this by reviewing previous performance history, ensuring the team member has been taking sufficient PTO (Paid Time Off) and also checking in to ensure all is well in their personal life and providing appropriate support when needed.

As you begin to coach, refer to resources in the handbook and from Elevate for support.

1. [The GROW coaching model](/handbook/leadership/coaching/#grow-model) (As managers begin to coach, refer to important coaching resources in the handbook, also taught in Elevate:)
2. [Managing your Inner Fixer](/handbook/leadership/coaching/#managing-your-inner-fixer)
3. [The Trust Equation](/handbook/leadership/coaching/#the-trust-equation)
4. [Essential Coaching Skills](/handbook/leadership/coaching/#essential-coaching-skills)

### Immediately Discuss With The Manager's Manager

Taking early action to address underperformance is an essential manager skill and one of the most important ways to improve results. As a people leader, it is best practice to inform your manager as a priority when you've identified possible underperformance and [always tell us the bad news promptly]({{< ref "structure#management-group" >}}). When a manager informs their leader, they can work together to ensure that underperformance is identified and that appropriate and agreed action is taken to address it.

## Frequency and Metrics

We expect at least 5% of our team members to experience explicit performance management on an annual basis, and we expect more than 50% to be successful. We track this in meetings like the People Group Key Review and [People Group Metrics](/handbook/people-group/people-success-performance-indicators/#performance-management) to make sure we're managing performance consistently and fairly across all divisions, and in all circumstances. However, we don't enforce any hard thresholds.

This results in a lower rate of involuntary attrition than comparable companies, which range from 5 to 15% annually. We justify this based on the up-front effort we put into the hiring process. Divisions have various quantitative and qualitative processes for ensuring new hires can be successful at GitLab. This includes, but is not limited to:

- Requiring two "strong yes" votes from the interview team to make an offer
- Requiring that candidates demonstrate all documented must-have criteria for the role
- Requiring that candidates demonstrate a simple majority of all nice-to-have criteria for the role
- Requiring that hiring managers write a "justification" scorecard that outlines the candidate's strengths, outlines their weaknesses, and articulates a plan for making them successful
- Requiring that hiring managers fill out a retrospection document for all unsuccessful hires

## Options For Remediation

Remediation options will vary based on whether the identified underperformance is due to a skill-based or will-based issue (and also in line with local applicable laws and regulations).
The expectation is that all team members are provided coaching and feedback prior to the decision to exit the team member.  However, it is important to note that in many cases we will not offer formal performance remediation or PIPs and will move to a separation with the team member if performance has not improved after documented coaching and feedback sessions.  This is due to the critical impact of underperformance on the team and on the organization and allows us to maintain our results focused and high performing culture.

## Coaching

[Coaching]({{< ref "coaching" >}}) is the preferred option to deal with underperformance and is the first step in addressing performance issues.

Managers are expected to address performance concerns (skill-based or will-based) in a timely manner. Managers should address concerns verbally during one-on-one meetings or in impromptu private coaching sessions with their team members. These conversations must be documented by the manager and shared with the team member so that both have access  to the record of the discussion and are in alignment on where improvements need to be made and within a specified timeframe. Documentation should be brief (a few key bullet points or a paragraph), and will normally be sent via email to the team member following the verbal discussion. See the example coaching email below:

---

Dear (Team member name)

Thank you for meeting with me today to discuss (insert topics of concern or issues discussed and any agreed-upon actions).

Please know that I am fully committed to working with you in addressing these issues. If there is anything I can do to assist you in meeting these expectations, please do not hesitate to let me know. My goal in bringing this matter to your attention is to partner together in improving these areas to be successful at GitLab.

Thanks,
(Manager name)

---

Underperformance feedback should be included on your [1-1 agenda]({{< ref "suggested-agenda-format" >}}). Helping GitLab team members understand clearly how their performance is below the expected standard expected quickly is very important to foster immediate improvement and continued success.  Managers should be as specific as possible and provide clear examples of where the team member is falling short. Make sure the team member has the opportunity to respond to your concerns  and give them the time to explain their performance.  Keep an open mind, listen actively, and ask open questions when you want to find out more.  When discussing performance, it's important that the manager and team member are aligned on the expectations moving forward.  It is best practice for the manager to meet with their team member at least once a week to monitor and discuss their performance.be critical.

There may be extenuating circumstances that need to be taken into consideration during the performance management process.  This is an area where the Team Member Relations Team can provide a sounding board or a needed perspective.

## Written Performance Letters and Performance Improvement Plans

In some cases, a Written Performance Letter or Performance Improvement Plan may be considered as an option for performance remediation (and could be a requirement depending on local legislation).  Managers should work with Team Member Relations to understand the use of these tools and any statutory requirements based on the location.

### Compensation Impact

It is important to note that the team member may not be eligible for compensation increases from the [annual compensation review](/handbook/total-rewards/compensation/compensation-review-cycle/) or the [annual refresh grant program](/handbook/total-rewards/stock-options/#refresh-grants) if they are being actively performance managed.

### Internal Applications and Transfers during underperformance remediation

When in the process of underperformance remediation you are generally not eligible for transfer to other roles within GitLab. If the underperformance is exclusively a result of a skills mismatch (not of lack of motivation, commitment, delivery etc. or misalignment to our values) other roles within GitLab may be considered, however, a determination regarding your eligibility is at the discretion of your manager and People Business Partner.

When the underperformance is resolved and you want to transfer to another role, please review [the Internal Application Process](/handbook/people-group/promotions-transfers/#for-internal-applicants---different-job-family) for transfer. Please note that an internal reference will be conducted before the transfer is final, with this the documented underperformance may be discussed.

### Talent Assessment and managing underperformance

Managers need to be aware and take into consideration both skill-based and will-based performance issues when they are participating in the [Talent Assessment Performance/Potential Matrix](/handbook/people-group/talent-assessment/) process as listed in the handbook. It is critical that a manager consider these performance issues when evaluating a team member. If a team member is technically performing in their role but there are will-based performance issues that are impacting their ability or the team's ability to succeed, these need to be taken into consideration.

### Letting Someone Go

This should be discussed with Team Member Relations before any action is taken to ensure the process is compliant with local laws and regulations. As soon as it becomes apparent that a Team Member will be off-boarded from the company, we recommend that this is addressed immediately. The team member is entitled to know where they stand. Delaying the conversation causes problems with confidentiality (the Team Member may realize in another way, that they will be exiting the company) and can potentially escalate the issues for the team member, the manager and the wider team (working relationships could  be greatly affected).
