---
title: Workforce Planning
description: Workforce planning and SWOT analysis
---

Workforce planning is the strategic alignment of a division/deparments team members with its strategic goals.  It is a methodical process of analyzing the current team member role alignments, determining future team member needs, identifying the gap between the present and future, and implementing solutions so the division/departments can accomplish its mission, goals, and objectives. Simply stated it is a way to align the right team members and skills at the right place and time for the right business outcomes.

## For Workforce planning to be strategic the efforts should

- Align with GitLab business strategy
- Differentiate roles by their contribution to the overall achievement of the GitLab and Divison strategy
- Focus first on the roles that have the most significant impact to GitLab and Division business strategy
- Leverages both qualitative and quantitative metrics of the workforce in both its current state and the future state perspectives

## Steps for organizational alignment

There are four steps to working through organizational alignment.  Leaders should work through these steps in order to help build and drive an action plan for the future.

1. Scan of the Environment - As you scan the enviroment in which your division/department functions, you will gather data needed for team member planning.  Later, you will apply this data with your planning efforts.  Environmental scanning examines internal and external Strengths, Weaknesses, Opportunities and Threats (SWOT).  Budget will also be a major factor in the review.
1. Supply and Demand Analysis - The supply and demand analysis is based on the scan of your environment (SWOT) strategies, and operational direction.  Supply and demand analysis will allow you to assess whether there is balance in the division/department.  You will be able to determine whether there are imbalances among the workloads, team members and compentencies that may exist now or in the future.
1. Gap Analysis - Gap analysis compares information from the supply and demand analysis to identify the differences between the current and the future division/department workloads, team members and skills/compentencies.
1. Action Plan - Action plans should be developed to address the most critical gaps facing your divisions/department workforce and division/department strategy.  Each division/department should determine its own action plan based on the relationship between GitLab strategy and the gaps identified.  Depending on the gaps, the action plan may address some or all aspects for team members including, recruitment, compensation, training, performance management, succession planning, diversity, inclusion and belonging, quality of work life, retention, etc.

## SWOT

The SWOT analysis helps divisions/department assess issues within and outside of GitLab.  The SWOT anaylsis is made up of an assessment of strengths, weaknesses, external opportunities and threats from competition and provides an outline for strategic decision making.

### Strengths

- Characteristics that give GitLab an advantage over others
- What is GitLabs value proposition, how does it differentiate with our competitors?
- What do others perceive as GitLabs strenghts?

### Weaknesses

- Characteristics that place GitLab at a disadvantage relative to others
- What do our competitors do better than GitLab?
- What do others perceive as GitLabs weakness?

### Opportunities

- What are the elements GitLab or (department/division) could use to its advantage?
- What trends or conditions exist that may positively impact GitLab?

### Threats

- What are the elements in the environment that could cause trouble for GitLab or (department/division)?
- What trends or conditions may negatively impact GitLab?

A template has been provided here for reference [SWOT slides](https://docs.google.com/presentation/d/1C-TJZ73pQaPiNzvJmn29iG8Rz0pSkWxVNZ-J_7HkPVg/edit#slide=id.g7cfc573816_1_22)

## Supply and Demand Analysis

This is the step to evaluate the future needs of the division/departments.  Future needs will be assed and determined on the answers to the following questions:

- How essential is each role?
- What job functions, if any, could be consolidated?
- How many team members are needed in the future to perform each job/role?
- What knowledge, skills, compentencies and abilities are needed to perform the anticipated job/roles?
- What processes could be done more efficiently or effectively?
- What technology changes will or should be made?
- Are there opportunities to realign resources?
- What are the division/departments strategic objectives?
- What are the division/departments diversity objectives?

## Workforce Gaps, Risk Analysis and Action Planning

### Workforce Gaps

A gap analysis is a review an assessment of your current department/divisions performance to help identify the differences between your current state and where you'd like to be.  A gap analysis can help improve the division/department efficiencies, the product and potentially profitability by allowing leaders to pinpoint "gaps" currently present.  Once the review is completed it will allow leaders to better focus the division/department resources and energy on those identified areas for improvement.  This exercise is to identify the current and projected needs of the division/department.  Here are four areas to think about while completing the Workforce Gap exercise:

- Retention Gaps - Identify retention gaps from current team members challenges and trends
- Recruitment Gaps - Identify recruitment gaps resulting from current team member challenges and trends
- Succession Planning Gaps - Identify succession planning gaps resulting from current team member challenges and trends
- Implications - Describe the implications if the gaps that currently exist are not sucessefully addressed by the workforce plan

### Risk Anaylsis

This exercise is to identify immediate and future risks based on the current team member gaps.  There are three questions to the Risk exercise:

- Retention Risk- Identify retention risks resulting from current team member challenges and trends
- Recruitment Risks - Identify recruitment risks resulting from current team member challenges and trends
- Succession Planning Risks - Identify succession planning risks resulting from current team member challenges and trends

### Action Planning and KPIs

The last step in the SWOT, Supply and Demand, Workforce Gaps and Risk Analysis is where you will formulate a specific Action Plan with KPIs to address the gaps that have been identified.  This will be done by identifying 1-2 year initiatives as well as 3-5 year initiatives.  A sample template has been created [here](https://docs.google.com/presentation/d/1qg5UJXscGeGpj_iaSCRSaRvDKzIso7A-gSb_No9Ashs/edit#slide=id.g7cfc573816_6_61)

The above steps are just a recommendation and a starting point for leaders.  There are many great resources and templates on the web regarding how to conduct a SWOT, workforce gap analysis and create an action plan.  This is meant as a guide and to start the conversations.  Workforce planning has many benefits to a division/department, including team member retention, career development, top talent identification and can make budgeting and forecasting for the division/department a more data driven exercise.  It also allows division/departments to respond quickly and more strategically to changes or emerging challenges in the market, workforce and overall business.  Please reach out to your assigned PBP if you would like to partner on this exercise or have additional questions.
