---
title: "Agile Planning Terms"
---

(Additional Terms)

These Agile Planning Terms (“Terms’’) are between GitLab Inc. with offices at 268 Bush Street, Suite 350, San Francisco, CA 94104 (or, if a different GitLab Affiliate as listed as “GitLab” on an Order Form) (“GitLab”), and the entity accepting these Terms (“Customer”). These Terms are effective as of the earlier of (a) Customer’s acceptance of these Terms within the GitLab Software or via an Order Form; or (b) Customer’s use of any Agile Planning Features (as defined below) (“Effective Date”). Capitalized terms not otherwise defined herein shall have the meaning set forth in the Agreement (as defined below).

## 1. DEFINITIONS

1.1. “Agile Planning Software” means GitLab’s Software offering, referenced in an Order Form with a limited license to use Agile Planning Features.

1.2 “Agile Planning Features” means features within GitLab’s Software, that enable Customer to define, track and measure progress of work to be done by its DevSecOps team including Epics, Issues, Tasks, Milestones, Roadmaps, Boards and as more as fully described at <https://about.gitlab.com/solutions/agile-delivery/> and <https://docs.gitlab.com/ee/topics/plan_and_track.html>.  Agile Planning Features are currently only available within the Ultimate tier of the Software (“Ultimate Software”).

1.3. “Agreement” means the GitLab Subscription Agreement available at <https://about.gitlab.com/terms/#current-terms-of-use>, or such other written agreement between the parties governing Customer’s use of Software.

## 2. SCOPE OF USE

2.1. These Terms, along with the Agreement, govern Customer’s access to, and use of, GitLab’s Agile Planning Software. These Terms are incorporated into and form a part of the Agreement.

2.2 Subject to the terms and conditions of the Terms herein, as well as those in the Agreement, GitLab hereby grants to Customer a limited, non-exclusive, non-transferable, non-sublicensable license to the Agile Planning Software for the limited purpose of accessing and using the Agile Planning Features during the Subscription Term.

## 3. RESTRICTIONS; UPGRADES

3.1. Customer’s Users designated as Agile Planning Users only (“Plan Users”), may not use, or otherwise access, any other features within GitLab’s Ultimate Software offering during the Subscription Term. If Customer desires for any of its Plan Users to gain access to additional Ultimate Software features, the parties may enter into a mutually agreeable Order Form for the purchase of full featured Ultimate licenses at the applicable List Price (“Upgrade Price”), prorated for the balance of the applicable Subscription Term.

3.2 Customer’s use of Agile Planning Software shall comply with the Acceptable Use Policy available at <https://about.gitlab.com/terms/#current-terms-of-use>.

3.3 In addition, Customer agrees that during the Subscription Term, it shall: (i) enable the usage-ping data within the Software known as “Optional Data” as set forth here: <https://metrics.gitlab.com/?q=optional>, and ensure that it remains on during the entirety of the Subscription Term; and (ii) implement reasonable technical controls as provided by GitLab from time to time. Customer’s failure to reasonably comply with the foregoing shall constitute a breach of these Terms.

3.4 GitLab shall have the right to verify Customer’s compliance with these Terms. Customer shall, upon GitLab’s reasonable request, provide screenshots, run scripts or take other reasonable actions to verify compliance with these Terms. To the extent the foregoing verification process confirms Customer’s Plan Users are using Ultimate Software features beyond the Agile Planning Features, GitLab will be entitled to invoice Customer for the Upgrade Price, multiplied by the applicable number of Plan Users, prorated through the remainder of the Subscription Term. For purposes of clarity, Customer will be required to pay the Upgrade Price for the use by Plan Users beyond the Agile Planning Features regardless of whether an Order Form has been signed by Customer.

## 4. INDEMNIFICATION; LIMITATION OF LIABILITY

The applicable provisions of the Agreement will govern each party’s indemnification obligations and limitation of liability with regard to Customer’s use of Agile Planning Software.

## 5. TERM AND TERMINATION

These Terms will commence upon the Effective Date and will automatically expire upon: (a) expiration or termination of the Agreement; or (b) expiration or termination of the underlying Subscription to the Agile Planning Software. The parties may terminate these Terms as provided in the Agreement. Upon expiration or termination of these Terms, Customer shall immediately discontinue all use of the Agile Planning Software. The rights and obligations of these Terms which by their nature are intended to survive termination or expiration of these Terms will survive.

## 6. MISCELLANEOUS

Capitalized terms used but not defined in these Terms will have the meaning in the Agreement. Except as provided in these Terms, the Agreement remains in full force and effect and governs Customer’s access to and use of GitLab’s Software. To the extent of any conflict or inconsistency between these Terms and the Agreement, these Terms will control.
