---
title: "AI Functionality Terms V2"
---
<!-- vale off -->
*Deprecated 2024-08-29*

(Additional Terms)

These AI Functionality Terms ("Terms'') are between GitLab Inc. with offices at 268 Bush Street, Suite 350, San Francisco, CA 94104 (or, if a different GitLab Affiliate is listed as "GitLab" on an Order Form) ("GitLab"), and the entity accepting these Terms ("Customer"). These Terms are effective as of the earlier of (a) Customer's acceptance of these Terms within the (i) GitLab Software or (ii) via an Order Form or (b) Customer's use of any AI Functionality ("Effective Date").

### 1. DEFINITIONS

1.1. "AI Functionality" means features in the GitLab Software, or Supplemental Services purchased separately, based on artificial intelligence (including machine learning) technologies.

1.2. "Data Processing Addendum" means the GitLab Data Processing Addendum and Standard Contractual Clauses available at <https://about.gitlab.com/handbook/legal/data-processing-agreement/>, or such other written data processing addendum between the parties.

1.3. "Subscription Agreement" means the GitLab subscription agreement available at <https://about.gitlab.com/terms/#current-terms-of-use>, or such other written agreement between the parties governing Customer's use of Software.

### 2. SCOPE OF USE

2.1. These Terms, along with the Subscription Agreement and the Data Processing Addendum, govern Customer's access to and use of AI Functionality. These Terms are incorporated into and form part of the Subscription Agreement.

2.2. In its use of AI Functionality, Customer may transmit Personal Data to GitLab as part of Input (defined below). To the extent Customer's use of AI Functionality involves the processing of Personal Data, Customer's obligations as a Controller under the Data Processing Addendum will apply. Any sub-processors used to provide AI Functionality will be listed at <https://about.gitlab.com/privacy/subprocessors/> and all notifications of updates to that list will be done in accordance with Section 14 of the Data Processing Addendum.

2.3. Customer may provide input to be processed by AI Functionality ("Input"), and receive output, including code and natural language, generated and returned by AI Functionality based on such Input ("Output"). Customer represents and warrants that it has obtained all necessary rights, approvals, and consents for its use of Input. For purposes of these Terms, both Input and Output constitute additional Customer Content as that term is defined in the Subscription Agreement. Customer shall retain all ownership of Customer Content, as permitted under applicable law.

### 3. RESTRICTIONS

3.1 Customer's use of AI Functionality will comply with the Acceptable Use Policy available at <https://about.gitlab.com/terms/#current-terms-of-use>.

3.2 Notwithstanding anything to the contrary in these Terms, Customer acknowledges and agrees that (a) AI Functionality may generate the same, or similar, output for GitLab or other third-party end users (e.g., customers, partners) and (b) Customer has no claim of right, title, or interest against GitLab or third-party end users arising from or related to any output generated by AI Functionality for GitLab or third-party end users.

3.3 Some AI Functionality is powered by third-party services identified and described in the documentation available at docs.gitlab.com (in each case an "AI Service Provider"). Customer represents and warrants that it will not use AI Functionality to create, train, or improve (directly or indirectly) a similar or competing foundational or large language model or other generative artificial intelligence service that competes with the applicable AI Service Providers.

3.4 Customer represents and warrants that it will not reverse engineer, extract, or discover the AI Functionality's data, models, model weights, algorithms, safety features, or operation.

### 4. ADDITIONAL DISCLAIMERS

4.1 AI Functionality may generate unreliable, insecure, inaccurate, or offensive Output. Customer acknowledges and agrees that (a) it will evaluate all Output before relying on or otherwise using Output; (b) Customer is responsible for ensuring any Output incorporated into Customer intellectual property complies with third-party intellectual property rights; and (c) AI Functionality is not designed for or intended to be used for meeting Customer's compliance with applicable laws or regulatory obligations.

4.2 GitLab is not responsible for any act or omission of any AI Service Provider or the availability, accuracy, products, or services of any AI Service Provider.

4.3 To the extent AI Functionality is powered by or distributed with any open source or permissively-licensed artificial intelligence models, such models shall constitute Community Edition Software.

### 5. INDEMNIFICATION; LIMITATION OF LIABILITY

5.1 **AI Indemnification**. Except as otherwise provided in this Section 5, the applicable provisions of the Subscription Agreement will govern each party's indemnification obligations and limitation of liability with regard to Customer's use of AI Functionality. GitLab's obligations under Section 10.1 of the Subscription Agreement will also apply to Customer Claims related to Output generated by AI Functionality ("Output Claim"). GitLab will not have any obligations under Section 10.1 of the Subscription Agreement with regard to an Output Claim if (a) AI Functionality is provided as Free Software or (b) the Output is (i) modified by Customer; (ii) generated in response to Input that Customer does not have a valid right to use; (iii) combined with other products, processes, or materials; or (iv) known, or should have been known, by Customer to infringe or otherwise misappropriate a third party's intellectual property rights. Customer's obligations under Section 10.2 of the Subscription Agreement will only apply to modified Output.

5.2 **Defense of an Output Claim**. Subject to Section 5.1 above, GitLab will be responsible for the costs and fees associated with the defense obligations of an Output Claim. GitLab will retain sole control over the defense and settlement of an Output Claim, including the selection of counsel, except that Customer may participate in and observe the proceedings at its own cost and expense with counsel of its own choosing. GitLab will not settle any Output Claim that results in a finding of liability or fault with regard to Customer.

### 6. TERM AND TERMINATION

These Terms will commence upon the Effective Date and will automatically expire upon (a) expiration or termination of the Subscription Agreement; or (b) expiration or termination of the underlying Subscription to AI Functionality. The parties may terminate these Terms as provided in the Subscription Agreement. Upon expiration or termination of these Terms, Customer shall immediately discontinue all use of the AI Functionality. The rights and obligations of these Terms which by their nature are intended to survive termination or expiration of these Terms will survive.

### 7. MISCELLANEOUS

Capitalized terms used but not defined in these Terms will have the meaning in the Subscription Agreement or Data Processing Addendum. Except as provided in these Terms, the Subscription Agreement remains in full force and effect and governs Customer's access to and use of GitLab's Software. To the extent of any conflict or inconsistency between these Terms and the Subscription Agreement, these Terms will control.
