---
title: Anti-Retaliation Policy
description: "GitLab's Anti-Retaliation Policy to establish guidance for reporting ethics or compliance concerns or other inappropriate behavior while providing protection against retaliation for reporting in good faith."
---

GITLAB INC.
{.h1}

ANTI-RETALIATION POLICY
{.h1}

- **Effective Date:** 21 April 2023
- **Approved By:** Robin Schulman, Chief Legal Officer, Head of Corporate Affairs, and Corporate Secretary

## Objective

The purpose of this Anti-Retaliation Policy is to establish guidance for reporting ethics or compliance concerns or other inappropriate behavior while providing protection against retaliation for reporting in good faith. This Anti-Retaliation Policy is in addition to, and does not replace or supersede the anti-retaliation provisions set out in any policies that include anti-retaliation provisions.

## Introduction

Choosing to speak up about workplace concerns helps build a healthy, ethical, and compliant company, meets our company values of collaboration and transparency, and is part of our culture of compliance. GitLab Inc. (collectively with its subsidiaries, "**GitLab**", "**we**", "**our**") does not tolerate retaliation against anyone who, in good faith, reports suspected misconduct, or anyone who provides assistance in an investigation. Coming forward with questions or concerns may sometimes feel like a difficult decision, but GitLab is committed to fostering an environment that does not deter individuals from engaging in frank, honest communication. In furtherance of those standards, this Anti-Retaliation Policy (this "**Policy**") applies to all officers, employees, and direct and indirect contractors of GitLab and of its direct and indirect subsidiaries (each a "**Team Member**"). Compliance with this Policy is mandatory for every Team Member and member of GitLab's Board of Directors ("**Director**"). In addition to this Policy, Team Members and Directors are subject to and must comply with other policies (including GitLab's Code of Business Conduct and Ethics for Directors, Officers, Employees and Contractors (the "**Code of Business Conduct and Ethics**")) and programs of GitLab, as applicable. We expect each Team Member and Director to read and become familiar with this Policy.

## Zero Tolerance for Retaliation

GitLab strictly prohibits any form of retaliatory action against any Team Member who in good faith raises issues, asks questions, makes reports, participates in an investigation, refuses to participate in suspected improper or wrongful activity, or exercises workplace rights protected by law (in each case, "**Protected Activity**"). Situations or behaviors that could lead to a Team Member engaging in a Protected Activity include, but are not limited to:

- raising concerns in good faith regarding fraud, unethical or unprofessional business conduct, or noncompliance with GitLab policies/procedures;
- lodging a good faith internal complaint (written or oral) specifically opposing unlawful discrimination or harassment or any alleged violations of local law;
- participating in an internal investigation into allegations of discrimination or harassment;
- filing a good faith complaint of unlawful discrimination or harassment with the relevant regulatory, law enforcement, or administrative body in a Team Member's jurisdiction;
- supporting another Team Member's internal or administrative complaint of unlawful discrimination (by, for example, testifying or providing an affidavit in support of a coworker who has filed a discrimination complaint);
- participating in an investigation or audit conducted by any regulatory, administrative or law enforcement body;
- requesting an accommodation under relevant statutes;
- requesting or taking any statutory/required leave; or
- making a disclosure protected by relevant local laws.

All forms of unlawful retaliation or penalization are prohibited. A non-exhaustive list of examples includes:

- suspension, lay-off/redundancy or dismissal;
- demotion or loss of opportunity for promotion;
- transfer of duties;
- reduction in wages or change in working hours;
- imposition or administering of any discipline or reprimand;
- unfair treatment;
- coercion, intimidation or harassment;
- discrimination or disadvantage;
- injury, damage or loss;
- threat of reprisal; or
- other unfavorable treatment connected with raising a concern.

Any Team Member who participates, directly or indirectly, in any such retaliation will be subject to disciplinary action, up to and including termination.
GitLab prohibits retaliation even if the concerns raised in good faith are not confirmed or substantiated following an investigation. However, a Team Member may be subject to disciplinary action, up to and including termination, if the Team Member knowingly made a false allegation, provided false or misleading information in the course of an investigation, or otherwise acted in bad faith.

This Policy does not exempt Team Members from the consequences of their own misconduct, and self-reporting such issues is not Protected Activity. This Policy also does not prevent GitLab from managing Team Member performance and/or addressing conduct issues after a Team Member has engaged in Protected Activity, so long as Protected Activity is not the reason for the performance management or disciplinary action.

## Reporting Procedure

If you believe you have been retaliated against, you should report it immediately. Complaints can be raised verbally or in writing. A report should be as detailed as possible, including the names of all individuals involved and any witnesses. The following are ways you can report retaliation:

- Report it to your immediate manager; and/or
- Report it to GitLab's Chief Legal Officer if you have reason to believe your immediate manager is involved; and/or
- Report it to the next level of management; and/or
- Report it to a People Business Partner or Team Member Relations; and/or
- Anonymously through [Lighthouse Services](/handbook/people-group/#how-to-report-violations)

GitLab will follow up on your report within the time period as required by local jurisdiction, which, depending on local requirements, could include an assessment to determine whether there is evidence that retaliatory conduct has taken place, appropriate action to address any wrongdoing (having due regard to the nature and seriousness of the matter concerned), or, where there is no evidence that retaliatory conduct has occurred, communication of the decision to the reporting Team Member.

## The Role of Managers

If managers become aware of misconduct, they must address it as soon as they become aware and manage it seriously, confidentially, and fairly, whether or not there has been a written or formal complaint made.

Informed managers are expected to:

- take all complaints or concerns of alleged misconduct seriously no matter how minor or who is involved;
- ensure that any form of misconduct is immediately reported to a People Business Partner  or Team Member Relations; and
- take appropriate action to prevent retaliation, or the alleged misconduct from recurring, during and after an investigation.
- Managers who knowingly allow or tolerate any form of misconduct or retaliation, including the failure to immediately report such misconduct or retaliation, are in violation of this Policy, and may also be subject to disciplinary action, up to and including termination.

## Administration of this Policy

Team Member Relations is responsible for the administration of this Policy. If you have any questions regarding this Policy or questions about retaliation that are not addressed in this Policy, please contact [teammemberrelations@gitlab.com](teammemberrelations@gitlab.com).

## Violations of this Policy

Any Team Member, regardless of position or title, who has been determined, after investigation, to have engaged in retaliation in violation of this Policy, will be subject to discipline, up to and including termination of employment.

## Team Members Covered Under a Collective Bargaining Agreement

The employment terms set out in this Policy work in conjunction with, and do not replace, amend, or supplement any terms or conditions of employment stated in any collective bargaining agreement.

## Conduct Not Prohibited by this Policy

This Policy is not intended to restrict communications or actions protected or required by any applicable laws.

## Scope of this Policy

This Policy is in addition to, and does not replace or supersede the anti-retaliation provisions set out in any policies that include anti-retaliation provisions including, without limitation:

- [Code of Business Conduct and Ethics](https://ir.gitlab.com/static-files/7d8c7eb3-cb17-4d68-a607-1b7a1fa1c95d)
- [Anti-Fraud Policy](/handbook/legal/anti-fraud-policy/)
- [Whistleblower Policy](https://drive.google.com/drive/folders/1kB3k5FRnR3OUBP0Eyo3SxxyPKeiRFfUk)
- [Leave of Absence Policies](/handbook/people-policies/leave-of-absence/)
- [Protected Disclosures Policy](https://docs.google.com/document/d/1cIRHYLBCKJy2doHcpL4Yg-A4PWaw16IgjWLUCb34OyE/edit?usp=sharing)
- [Anti-Harassment Policy](/handbook/people-group/anti-harassment/)

## Current and Past Versions

A PDF of the current version of the policy is available [here](https://drive.google.com/drive/folders/11P6OpKHk2Yspll6Wh7MhR25zSWpQzB51). If/when the policy is updated, PDFs of previous versions will be made available here for transparency.
