---
title: Guidelines on public discussion of, and reference to, competitor product features
description: "Guidelines applicable to discussion of, and reference to, competitor product features and sharing of screenshots of competitor products in public issues, GitLab documentation (https://docs.gitlab.com/), and other public-facing media."
---

## Scope

These Guidelines apply to all discussion of, and reference to, competitor product features and sharing of screenshots of competitor products in public issues, in GitLab documentation, and other public-facing forums, whether initiated, or shared, by team members or members of the GitLab community.

These Guidelines do not apply to discussions of, reference to, competitor product features, nor sharing of competitor screenshots, in confidential issues, materials for internal use, or on platforms only accessible to GitLab team members like [MURAL](/handbook/product/ux/ux-resources#tools). For clarification on what constitutes external vs internal use, see the [External vs Internal use](/handbook/legal/materials-legal-review-process/#external-vs-internal-use) section of the [Materials Legal Review Process](/handbook/legal/materials-legal-review-process/#self-serve-materials-compliance-resources).

"**Screenshots**" when used in these Guidelines means screenshots and screen recordings, wherever obtained, including those taken from publicly-available sources like YouTube videos and competitor or third-party websites, and directly from competitor products themselves.

## Dos and don'ts

Do:

- Initiate, and engage in, general discussions about competitor product features. For example, a discussion about the advantages and disadvantages of collaborate.ly's new implementation of merge commit messages, which includes screenshots of collaborate.ly's product obtained from publicly-available sources, is permissible.
- Share screenshots of competitor products for the purpose of illustration and commentary when initiating or engaging in general discussions about competitor product features, provided screenshots are obtained from a publicly-available source and not from products accessed via a free trial, or via a free or paid account.
- Engage in general discussions about competitor product features in response to screenshots shared by community members.
- Include screenshots of competitor products in GitLab's documentation (https://docs.gitlab.com/) for reference purposes, for example, in instructions on migrating from a third-party platform to GitLab, integration with another platform, or use of GitLab CI/CD in a third-party repository.
- Reach out to [#legal](https://app.slack.com/client/T02592416/C78E74A6L) with any questions.

Do not:

- Publicly share screenshots of competitor products without commentary or critical analysis.
- Initiate, or engage in, discussions proposing plans or suggesting that there are plans to directly copy competitor product features verbatim, whether or not such discussions include screenshots of competitor products. For example, discussion of a proposal to copy verbatim collaborate.ly's implementation of merge commit messages is not permissible.
- Publicly share screenshots of competitor products taken directly from products via a free trial, or a free or paid account for competitive analysis.
- Publicly share screenshots of competitor products that include the competitor's logo or any other third-party logos, other than logos that are included as part of the product user interface.

For additional guidelines related to competitive intelligence, see  Guidelines for leveraging third-party SaaS free trials to gain competitive intelligence on the [Legal Product Guidance page](https://internal.gitlab.com/handbook/legal-and-corporate-affairs/legal-and-compliance/productguidance/#guidelines-for-leveraging-third-party-saas-free-trials-to-gain-competitive-intelligence) accessible to team members only.
