---
title: "Corporate Communications Policy"
description: "Overview of the Corporate Communication Policy at GitLab."
---

 ***THIS POLICY WAS APPROVED BY THE BOARD ON SEPTEMBER 14, 2021***

### PURPOSE

We encourage Team Members to be champions on behalf of GitLab Inc. (the "***Company***"), especially as you communicate with the outside world. The opportunities for the Company to communicate information to the world are evolving - and each Team Member is viewed by our customers, partners, stockholders and other outside parties as a potential representative of the Company. Whether or not you specifically reference or discuss your work, the things you say publicly are a reflection on the Company.

As a public company, we are committed to providing all legally required disclosures on a timely basis to our stockholders, the public and regulatory agencies, and, at our discretion, may provide other meaningful and relevant information to our stockholders, potential investors and securities market professionals (such as investment analysts), as well as to the press and the general public. As part of this commitment, and in order to comply with applicable laws, the rules of the U.S. Securities and Exchange Commission ("***SEC***") and the rules, regulations and listing requirements of the stock exchange upon which our securities are listed for trading, we have adopted this Corporate Communications Policy ("***Policy***").

If you need help understanding this Policy, or how it applies in any given situation, please contact your supervisor or our Legal and Compliance Team, at #compliance-legal.

### PERSONS COVERED BY THIS POLICY

All employees, officers, contractors, consultants and members of the Company's board of directors (the "***Board***" and collectively "***Team Members***") are required to read and comply with this Policy.

### ONLY OUR KEY SPOKESPERSONS MAY SPEAK FOR THE COMPANY

One of the ways we can ensure that we are abiding by the rules and regulations for communicating information about the Company to the public is to designate certain key people to speak publicly on behalf of the Company.  Our key spokespersons will be our Chief Executive Officer, members of the Company's Board, our Chief Financial Officer and the head of the investor relations team. If needed, our key spokespersons may designate others within our Company to provide information on behalf of the Company or to respond to specific inquiries.

Only these key spokespersons, and any spokespersons explicitly designated as such, are authorized to make public disclosures of "*material non-public information*" about the Company that are reasonably expected to reach current or potential investors, the investment community, securities market professionals such as financial analysts, or the financial press - whether in the form of press releases, letters to stockholders, speeches, interviews, website posts, blogs, social media or other forms of communications.

#### WHAT IS MATERIAL NON-PUBLIC INFORMATION?

For a definition of "material non-public information," please see the Company's [Insider Trading Policy](https://drive.google.com/drive/folders/1kB3k5FRnR3OUBP0Eyo3SxxyPKeiRFfUk).

#### YOUR COMMUNICATIONS ABOUT THE COMPANY

As part of your position at the Company, you may communicate with our customers, vendors, suppliers, partners or other third parties.  It is important for you to understand your responsibility to avoid commenting on sensitive business matters and to avoid making any unauthorized disclosure of material non-public information. Please also review our [Insider Trading Policy](https://drive.google.com/drive/folders/1kB3k5FRnR3OUBP0Eyo3SxxyPKeiRFfUk) for additional information.

**Press**

Interviews with the press on behalf of the Company may be conducted only by a key spokesperson or by a person specifically authorized by a key spokesperson. If you are contacted by a reporter or feel that a member of the press is attempting to obtain information from you, you should not respond and, instead, forward the question to the Director, Corporate Communications via the #external-comms Slack channel. Questions may come in ways that are not obvious, and a reporter may use different methods to reach out, such as email, phone, Facebook, LinkedIn, Instagram, Twitter, etc. Reporters also may not be transparent about their topic. Please be extremely cautious and contact our public relations team immediately if a reporter reaches out to you. As a general rule, if you feel that someone is attempting to obtain information from you improperly, please contact our Legal Team immediately via the #legal Slack channel.

**Inadvertent Disclosures**

In accordance with SEC rules, our policy is to promptly disclose through a press release or filing with the SEC any material non-public information inadvertently disclosed.

***Accordingly, if you believe that you have inadvertently disclosed material non-public information, contact our Chief Legal Officer and the GitLab Legal and Compliance team immediately via the #safe Slack channel because public disclosure of the material non-public information may be required within 24 hours.***

**Mass Internal Communications**

Because communications sent to all or a large number of Team Members frequently can leak outside of the Company, disclosure of material non-public information in "blast" emails, Slacks, GitLab Issues, or presentations is prohibited unless (i) the communication is approved by a member of our Legal Team prior to distribution or (ii) the recipients of such disclosure have a bona fide need to know the related disclosure.

**Attending Conferences and Similar Events**

Presentations to forums such as industry trade shows and other marketing and business events are generally not the focus of SEC communication rules. However, if material non-public information is disclosed without a pre-announced webcast or accompanying press release, the disclosure may not comply with SEC rules. If an event is expected to result in the disclosure of material non-public information, the person responsible for the event must consult our Legal Team in advance to determine if a public announcement or SEC filing should be made in conjunction with the event and whether any portion of the event should be webcast.

**Online Forums**

Except as approved by our Legal Team, or as specifically required by your job description, you may not respond to comments, rumors or discussions or otherwise participate in Internet "chat" rooms, blogs, message boards, social media sites or other similar online forums on behalf of the Company.   You may not participate, in any manner other than passive observation, in any investment or stock-related online forums relating to the Company without the prior written approval of our Legal Team.

### HOW WE COMMUNICATE WITH INVESTORS

**We Cannot Selectively Disclose Information**

Selective disclosure of material non-public information to current or potential investors, financial analysts, brokers, dealers, investment advisors and investment companies is against Company policy and is prohibited under SEC rules. That means we cannot provide information to these individuals or groups without making the same information available to the public. If we intentionally disclose material non-public information, we will strive to do so in a manner designed to result in simultaneous, widespread distribution to the public.

***If you believe that you have inadvertently disclosed material non-public information, contact our Chief Legal Officer and the Director of Legal, Corporate immediately via the #safe Slack channel because public disclosure of the material non-public information may be required within 24 hours.***

**Announcing Financial Results**

Our Disclosure Committee will review and approve the Company's quarterly and annual announcements of its operating results.  Our Legal Team will review all other documents disseminating material information about the Company prior to release.

**Be Aware of the Closed Period**

To help us ensure compliance with SEC rules, the Company will maintain a "***Closed Window***" beginning at the close of trading on the first calendar day of the third month of the then-current quarter and ending at the close of trading on the second full trading day following our widespread public release of quarterly or year-end operating results.  During a Closed Window, we will not provide non-public comment, confirm public financial guidance or provide new financial guidance or other material information relevant to our current or expected financial results, unless previously approved in advance by the Disclosure Committee.  During a Closed Window, we have discretion, with the approval of the Disclosure Committee, to attend investor-related conferences.

**Use of Scripts**

Company spokespersons will endeavor to use an approved script for all public presentations designed or intended to disclose new material information about our financial performance, results of operations and our current or expected financial results.  Such scripts will be reviewed and approved by the Disclosure Committee.

**Earnings and Other Analyst Calls**

In connection with every financial results conference call, investment conference or other investment analyst conference call, we will endeavor to make the same available to the public via a webcast or other similar means.  We will publicize the webcast address, instructions on how to access the webcast and the subject matter of the call (including that we will discuss our prospects for the future, if that is expected to be part of the call) in a press release issued several days prior to the call.  Acquisitions and similar transactions where substantial advance notice is not practicable may require shorter notice periods.  If a replay of the conference call will be available after the call has occurred, we will indicate in the notice how, and for how long, this replay will be accessible.

**Guidance**

The Company may, in its discretion, provide information to the public about its expectations for future financial results.  The Company's policy or decisions regarding providing such information will be determined by the Chief Financial Officer.  In the event that the Company provides guidance or any updates to guidance, it will do so only in conformance with SEC rules. The Company will not comment on any third party's forecasts or expectations of the Company's financial performance.

**Investment Analyst Reports**

The Company will not review investment analyst reports except, in its discretion, to correct factual errors pertaining to historical information.  Any such review will be the responsibility of the investor relations team.  Whenever it reviews an investment analyst report, investor relations will inform the analyst in writing that the report has been reviewed for factual errors pertaining to historical information only and that the Company does not accept, adopt or in any way comment on the premises, assumptions, analysis, financial models or conclusions contained in such report. The Company will not distribute investment analyst reports to third parties without the prior approval of the Company's Legal Team and Investor Relations Team nor will the Company provide hyperlinks to investment analyst reports.

**Investor Conferences**

We will endeavor to make presentations given by the Company at investor or other financial conferences public through a widely-disseminated notice to attend the conference or hear the presentation through a dial-in number or webcast.  A member of the Company's Investor Relations Team must be invited to attend any conferences where such presentations are made. The Company will not give new material information at such conferences unless the public has been provided access.

**Analyst/Investor Meetings**

Our Investor Relations Team must be copied on all email correspondence with investment analysts or investors.  Additionally, if possible, we should include a member of the Investor Relations Team or Legal Team in all in-person and telephonic meetings with analysts or investors.

**Commenting on Rumors**

Generally, we will not confirm or deny rumors or market speculation about the Company or our business. If asked about a rumor or market speculation, spokespersons must state that our policy is not to comment on rumors or market speculation.

### VIOLATIONS OF THIS POLICY HAVE MEANINGFUL CONSEQUENCES: DON'T HESITATE TO REPORT

Any violations of this Policy must be brought to the attention of our Chief Legal Officer as quickly as possible. If you want to submit a concern or complaint regarding a possible violation of this Policy anonymously, you should follow the procedures outlined in our Whistleblower Policy. If necessary, our Chief Legal Officer will bring such reports to the attention of our Audit Committee. Anyone who violates this Policy may be subject to disciplinary measures, which may include termination of employment.

### CHANGES TO THIS POLICY

Our Board reserves the right in its sole discretion to modify or grant waivers to this Policy.  Any amendments or waiver may be publicly disclosed if required by applicable laws, rules and regulations.
