---
title: DMCA Policy
---

## DMCA (Digital Millennium Copyright Act) takedown request requirements

We take the intellectual property rights of others seriously and require that our Users do the same. The Digital Millennium Copyright Act (DMCA) established a process for addressing claims of copyright infringement. If you own a copyright or have authority to act on behalf of a copyright owner and want to report a claim that a third party is infringing that material on or through GitLab's services, please send a notice that meets the minimum requirements of the DMCA, to `dmca@gitlab.com`, and we will take appropriate action.

## DMCA notice requirements

You must include:

1. A description of the copyrighted work that you claim is being infringed;
1. A description of the material you claim is infringing and that you want removed or access to which you want disabled and the URL or other location of that material;
1. Your name, title (if acting as an agent), address, telephone number, and email address;
1. The following statement: "I have a good faith belief that the use of the copyrighted material I am complaining of is not authorized by the copyright owner, its agent, or the law (e.g., as a fair use)";
1. The following statement: "The information in this notice is accurate and, under penalty of perjury, I am the owner, or authorized to act on behalf of the owner, of the copyright or of an exclusive right that is allegedly infringed"; and
1. An electronic or physical signature of the owner of the copyright or a person authorized to act on the owner's behalf.

Submissions under this DMCA Policy should be sent to dmca@gitlab.com

We will review your submission and take whatever action we deem appropriate under the DMCA, including the removal of the challenged content from the website. Further more, we may, in appropriate circumstances, disable access or terminate the account(s) of the reported user(s).

## DMCA Counter Notice requirements

The owner of the allegedly-infringing content may submit a DMCA Counter-Notice to dmca@gitlab.com. The Counter-Notice must comply with the requirements of the DMCA, and must include the following:

1. **Contact Information:** Your name, title (if acting as an agent), physical address, email address, and phone number;
1. **Content Identification:** A reasonable identification of the material that has been removed or to which access has been blocked;
1. **Statement under Perjury:** The following statement: "I swear, under penalty of perjury, that I have a good faith belief that the material was removed or disabled as a result of mistake or misidentification of the material to be removed or disabled";
1. **Consent to Jurisdiction:** One of following statements (as appropriate):
   - If based in the United States:  "I consent to the jurisdiction of the Federal District Court for the judicial district in which my provided address is located"
   - If based outside of the United States: "I consent to the jurisdiction of any United States Federal District Court in which GitLab may be found"
1. **Consent to service of process:** The following statement: "I will accept service of process from the person who provided the original notification or an agent of such person"; and
1. **Signature:** An electronic or physical signature of the owner of the copyright or the person authorized to act on the owner's behalf.

We will review the counter-notice, and:

- if the counter-notice doesn't satisfy the DMCA requirements, we'll request a revised submission; or
- if the counter-notice is complete and valid, we'll forward the counter notice to the person who filed the original takedown notice, advising that the challenged content will be reinstated within 10-14 business days, unless we receive a notification that the copyright owner is seeking a court order regarding this matter.

## Trademark takedown request requirements

If you're sure you want to report content on GitLab that you believe infringes your trademark, please provide the following information:

1. Details of the original trademark (and a description if it's a logo).
1. A list of the countries in which the trademark is registered.
1. The registration number(s) of the trademark.
1. A scanned copy of the trademark registration certificate(s) or screenshot of the registration on the website or database of the applicable national intellectual property office(s).
1. A declaration of the following statement: "By submitting this notice, I state that I have a good-faith belief that the reported use, in the manner that I have complained of, is not authorised by the intellectual property rights owner, its agent or the law; that the information contained in this notice is accurate; and, under penalty of perjury, that I am authorised to act on behalf of the owner of the intellectual property rights at issue".

You can send this information to dmca@gitlab.com, you should receive an automated confirmation of receipt.

## Namespaces and other disputes

Disputes regarding namespaces, ownership and trademarks are not governed by DMCA. These disputes must be resolved by the parties involved. GitLab will never act as arbitrators or intermediaries in these disputes and will not take any action without the appropriate legal orders.

For more information, see our [Namespace and Trademark Policy](https://about.gitlab.com/support/gitlab-com-policies/#namespace--trademarks) and [Ownership Dispute Policy](https://about.gitlab.com/support/gitlab-com-policies/#ownership-disputes)
