---
title: GitLab for Education Program Agreement
---
<!-- vale off -->
## Education Program Agreement

Date of last revision: 2022/11/16

This Education Program Agreement ("Agreement") is between GitLab Inc. with offices at 268 Bush Street, Suite 350, San Francisco, CA 94104  ("GitLab"), and the Educational Institution (as defined below) electronically accepting this Agreement ("Member"). This Agreement is entered into on the earlier of, (a) Member clicking "Agree" or "Yes" to the terms of this Agreement to gain initial access to, or use of, the Software or (b) Member is given access to the Software pursuant to the requirements of the GitLab for Education Program ("Effective Date").GitLab and Member each shall be referred to as a "Party" and collectively as the "Parties".

### 1. DEFINITIONS

"Affiliate" means any entity(ies) controlling, controlled by, and/or under common control with a party hereto, where "control" means the ownership of more than 50% of the voting securities in such entity.

"Commercial Terms" means the GitLab Subscription Agreement located at https://about.gitlab.com/terms/, which shall only be applicable in the event: (i) Member wishes to purchase the Software, or (ii) Member uses the Software in any manner other than the Acceptable Purpose (as set forth in Section 2 below).

"Community Edition Software" means the publicly available, community-developed open-source software and components which may be provided with the Software.

"Educational Institution" means a degree-granting academic facility that: (i) has been accredited by an authorized governmental agency within its applicable local, state, provincial, federal or national government and has the primary purpose of teaching its enrolled students, (ii) is a non-for-profit institution.

"GitLab for Education Program" means the program guidelines and overview as found at <https://about.gitlab.com/solutions/education/join/> as updated from time to time, which include directions, rules and requirements for participation.

"Software" means software, and other branded offerings made available by GitLab or its Affiliate(s), including but not limited to, GitLab's DevOps Lifecycle Application Platform.

"Instructional Use" means activities directly related to learning, training, or development including academic instruction that are part of the instructional functions of the Educational Institution.

"Intellectual Property Rights" means all intellectual property rights throughout the world, including, without limitation, patents, copyrights, Trademarks, trade secrets and contractual or other rights in confidential information, moral rights, rights of privacy and publicity, and any other intellectual and industrial property and proprietary rights including registrations, applications, renewals and extensions of such rights worldwide.

"Non-Commercial Academic Research" means not-for-profit research projects, which are not intended to, or do not in fact, produce results, works, services, or data for commercial use or the sole benefit of the Educational Institution or any third-party.

"Member Content" is all software, information, content and data provided by or on behalf of Member or made available or otherwise distributed through the use of the Software.

### 2. PURPOSE

2.1 Subject to the terms of this Agreement and the GitLab for Education Program, GitLab grants Member a non-exclusive, limited, revocable, worldwide, non-sublicensable and non-transferable right for Member to use the Software solely for: (a) Instructional Use, and/or (b) Non-Commercial Academic Research ("Acceptable Purpose").

2.2 Member is not obligated to pay for use of the Software under the GitLab for Education Program. However, if Member uses the GitLab Software for any purpose other than the Acceptable Purpose, Member shall be obligated to pay for such use of the GitLab Software, including payment for any periods of misuse prior to the discovery of such misuse in accordance with the Commercial Terms.

2.3 The GitLab Software shall be provided without support and GitLab shall have no obligation to render any "Support" as such term is defined in the Commercial Terms.

### 3. REGISTRATION & USE RIGHTS

3.1 Member shall follow the registration or credentialing requirements (if any) established by GitLab within this Agreement and the GitLab for Education Program.

3.2 Member shall only be entitled to participate in the GitLab for Education Program provided that it (1) uses the Software only for the Acceptable Purpose, and (2) that it remains an Educational Institution. If at any time, at GitLab's sole discretion, Member no longer meets the requirements to participate in the GitLab for Education Program, or violates the terms of this Agreement , GitLab shall provide thirty (30) days written notice to Member of its finding(s), and this Agreement and Member's ability to participate in the GitLab for Education Program shall terminate.

3.3 In accessing and using the Software and GitLab for Education Program materials, Member  agrees not to (and not to authorize any third party to): (a) use the Software and GitLab for Education Program materials except for the Acceptable Purpose; (b) modify or create any derivative works of the Software and GitLab for Education Program materials; (c) take any action that would subject the Software and GitLab for Education Program materials to any third party terms; (d) copy, distribute, sell, sublicense, rent or lease the Software and GitLab for Education Program materials, including any access key provided by GitLab, or use such items for hosting, service provider or similar purposes;  (e) access the Software and GitLab for Education Program materials for competitive analysis or disseminate performance information (including uptime, response time and/or benchmarks) relating to the Software; or (f) violate the terms of this Agreement or the GitLab for Education Program.

3.4 Portions of the Software are governed by underlying open source licenses as described at https://docs.gitlab.com/ee/development/licensing.html, including but not limited to the Community Edition Software. This Agreement establishes the rights and obligations associated with the Software pursuant to the GitLab for Education Program and is not intended to limit Member's right to software code under the terms of an open source license.

### 4. OWNERSHIP RIGHTS & TRADEMARKS

4.1 Except as expressly set forth herein, GitLab (and its licensors, where applicable) will retain all Intellectual Property Rights relating to the GitLab for Education Program, Software and any suggestions, ideas, enhancement requests, feedback, or other recommendations provided by Member, its Affiliates, students, users or any third party relating to the GitLab for Education Program and Software (herein referred to as "Feedback Materials"), which are hereby assigned to GitLab. For the avoidance of doubt, Feedback Materials shall not include Member Confidential Information (as defined in Section 6. Confidentiality) or Intellectual Property Rights owned by Member. This Agreement does not constitute a sale of the GitLab for Education Program and/or the Software and does not convey to Member any rights of ownership in or related to the GitLab for Education Program and/or to the Software or any other Intellectual Property Rights.

4.2 Member shall not remove, alter or obscure any of GitLab's (or its licensors') copyright notices, proprietary legends, trademark or service mark attributions, patent markings or other indicia of GitLab's (or its licensors') ownership or contribution from the  Software.

### 5. TERM & TERMINATION

5.1 The initial term of this Agreement shall commence on the Effective Date and shall expire one (1) year later (the "Initial Term"). Subject to Section 3.1., this Agreement may renew for successive one (1) year periods upon GitLab confirming reacceptance of Member into the GitLab for Education Program (each a "Renewal Term"), unless terminated as described below . The Initial Term and any Renewal Terms shall be the "Term."

5.2 Following the Initial Term, either Party may terminate this Agreement upon sixty (60) days' prior written notice to the other Party. Either Party may immediately terminate this Agreement upon written notice if the other Party breaches its obligations under this Agreement and fails to cure such breach within thirty (30) days following receipt of notice from the non-breaching Party. A Party that provides notice of breach must include in the notice a description of the alleged breach in reasonable detail. In addition, either Party may immediately terminate this Agreement upon written notice to the other Party in the event that the other Party becomes the subject of a petition in bankruptcy or any proceeding related to its insolvency or any assignment for the benefit of creditors.

5.3 GitLab may also suspend Member's use of the Software and GitLab for Education Program materials or terminate this Agreement immediately if GitLab is: (a) required to do so by law; (b) if Member is no longer deemed an Education Institution; or (c) if GitLab determines that continuing under this Agreement could result in legal or business liability or cause harm to its products, services, reputation or users.

5.4 Upon any termination of this Agreement, Member's rights to use the Software and GitLab for Education Program materials (including related access keys and credentials) will immediately terminate and Member will cease all such use, but all other provisions of this Agreement will survive. GitLab will have no obligation or liability resulting from termination or suspension of this Agreement, as permitted herein.

### 6. CONFIDENTIALITY

6.1 "Confidential Information" means the terms and conditions of this Agreement, and any other non-public technical or business information of a Party, whether provided orally or in writing, that is designated in writing as "Confidential" or "Proprietary" at the time of disclosure or that due to the nature of the information the receiving Party would reasonably understand it to be confidential information of the disclosing Party, including information relating to a Party's techniques, ideas, concepts, algorithms, source code, methodologies, workflows, implementation processes, current and future products and services, research, engineering, designs, financial information, procurement requirements, customer lists, business forecasts, roadmaps, marketing plans, pricing, discounts and proposals.

6.2 Confidential Information shall not include any information that: (a) is or becomes generally available to the public through no fault of or breach of this Agreement by the receiving Party; (b) was rightfully in the receiving Party's possession at the time of disclosure without an obligation of confidentiality on the receiving Party; (c) is independently developed by the receiving Party without use of the disclosing Party's Confidential Information; (d) is rightfully obtained by the receiving Party from a third party not under a duty of confidentiality to the disclosing Party and without restriction on use or disclosure; or (e) the receiving Party is permitted to publicly disclose under another provision of this Agreement.

6.3 Neither Party shall disclose Confidential Information of the other Party to anyone or shall use Confidential Information of the other Party for any purpose, except in either case as necessary to exercise its rights or obligations under this Agreement ("Permitted Purposes"). Each Party shall use at least the same degree of care (but no less than reasonable care) to prevent the unauthorized use, dissemination and copying of the other party's Confidential Information as it uses to protect its own Confidential Information of a like nature. Each Party shall limit the disclosure of such Confidential Information to those of its employees, consultants, Affiliates, advisors and contractors with a bona fide need to access such Confidential Information solely for the Permitted Purposes, and all such employees and contractors must be subject to binding disclosure and use restrictions at least as protective as those set forth herein. Each Party shall be responsible for any breach of this Section 6 by its employees, consultants, Affiliates' employees, advisors and contractors, as if they were that Party's own employees.

6.4 The obligations of confidentiality under this Section 6 shall expire three (3) years after that Confidential Information is disclosed hereunder. The receiving Party shall promptly return or destroy (or in the case of electronic data, use commercially reasonable efforts to delete or render practicably inaccessible by receiving Party) Confidential Information disclosed by the other Party upon its written request.

6.5 This Agreement shall not be construed to prevent the receiving Party from disclosing the disclosing Party's Confidential Information to a court or governmental body pursuant to a valid court order, law, subpoena or regulation, provided that the receiving Party: (a) gives reasonable notice (or such shorter period as is the maximum notice permitted under applicable law) before making the disclosure, unless prohibited by law; (b) provides reasonable assistance to the disclosing Party, at disclosing Party's expense, in any lawful efforts by the disclosing Party to resist or limit the disclosure of such Confidential Information; and (c) discloses only that portion of the disclosing Party's Confidential Information which is legally required to be disclosed.

6.6 The Parties agree that the receiving Party's disclosure of Confidential Information, except as provided herein, may result in irreparable injury for which a remedy in money damages would be inadequate. The Parties further agree that in the event of such disclosure or threatened disclosure: (a) the disclosing Party shall be entitled to seek an injunction to prevent the breach or threatened breach in addition to any other remedies available to the disclosing Party at law or in equity; and (b) each Party hereby acknowledges that such an injunction is appropriate and warranted in such case. All Confidential Information disclosed under this Agreement will remain the property of the disclosing Party. No license or right under any intellectual property right is granted under this Agreement or by any disclosure of Confidential Information except as expressly stated in this Agreement.

### 7. WARRANTY & INDEMNIFICATION

7.1 Both Parties hereby represent and warrant that they are legally entitled to enter into this Agreement.

7.2 EXCEPT AS EXPRESSLY STATED HEREIN, ANYTHING PROVIDED IN CONNECTION WITH THIS AGREEMENT IS PROVIDED "AS-IS", WITHOUT ANY WARRANTIES OF ANY KIND. EACH PARTY DISCLAIMS ANY IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

7.3 Member will indemnify, defend (at GitLab's request) and hold harmless GitLab and its Affiliates and their respective directors, officers, employees, agents, contractors, end users and licensees from and against any claims, losses, costs, expenses (including reasonable attorneys' fees), damages or liabilities based on or arising from: (a) the Member's use of the  Software and/or GitLab for Education Program materials, and/or (b) Member's relationships or interactions with any end users / students.  GitLab may at its own expense participate in the defense and settlement of any claim with its own counsel, and the Member may not settle a claim without GitLab's prior written consent (not to be unreasonably withheld).

### 8. LIMITATIONS OF LIABILITY

8.1 WITH THE EXCEPTION OF MEMBER'S: (A) INDEMNIFICATION OBLIGATIONS UNDER SECTION 7.3, OR (B) OBLIGATIONS UNDER SECTION 9 (EXPORT), TO THE EXTENT PERMITTED BY LAW, IN NO EVENT SHALL EITHER PARTY BE LIABLE TO THE OTHER FOR LOST PROFITS OR REVENUE OR LOSS OF USE OR DATA, COSTS OF COVER OR SUBSTITUTE GOODS OR SERVICES, OR FOR INCIDENTAL, CONSEQUENTIAL, PUNITIVE, SPECIAL OR EXEMPLARY DAMAGES, OR INDIRECT DAMAGES OF ANY TYPE OR KIND, HOWEVER CAUSED, RELATED TO OR ARISING OUT OF THIS AGREEMENT OR THE RIGHTS, LICENSES, PRODUCTS OR SERVICES PROVIDED UNDER THIS AGREEMENT, WHETHER BY BREACH OF WARRANTY, BREACH OF CONTRACT, NEGLIGENCE, TORT, OR ANY OTHER LEGAL THEORY, AND WHETHER OR NOT THE PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

8.2 WITH THE EXCEPTION OF MEMBER'S: (A) INDEMNIFICATION OBLIGATIONS UNDER SECTION 7.3, OR (B) OBLIGATIONS UNDER SECTION 9 (EXPORT), TO THE EXTENT PERMITTED BY LAW, THE TOTAL, CUMULATIVE LIABILITY OF EACH PARTY ARISING OUT OF OR RELATED TO THIS AGREEMENT OR THE RIGHTS, LICENSES, PRODUCTS OR SERVICES PROVIDED UNDER THIS AGREEMENT, WHETHER BASED ON CONTRACT, TORT (INCLUDING NEGLIGENCE), OR ANY OTHER LEGAL THEORY, SHALL BE LIMITED TO FIVE HUNDRED U.S. DOLLARS ($500.00).

### 9. EXPORT

9.1 The Software is subject to export restrictions by the United States government and import restrictions by certain foreign governments. Member agrees to comply with all applicable export and import laws and regulations in its use of the Software and/or GitLab for Education Program materials. Member shall not (and shall not allow any third-party to) remove or export from the United States or allow the export or re-export of any part of the Software and/or GitLab for Education Program materials: (a) into (or to a national or resident of) any embargoed or terrorist-supporting country; (b) to anyone on the U.S. Commerce Department's Table of Denial Orders or U.S. Treasury Department's list of Specially Designated Nationals; (c) to any country to which such export or re-export is restricted or prohibited, or as to which the United States government or any agency thereof requires an export license or other governmental approval at the time of export or re-export without first obtaining such license or approval; or (d) otherwise in violation of any export or import restrictions, laws or regulations of any United States or foreign agency or authority. Member represents and warrants that it is not located in, under the control of, or a national or resident of any such prohibited country or on any such prohibited party list.

### 10. SECURITY AND DATA PROTECTION

10.1 With respect to Member's use of the Software provided as "Software-as-a-Service", GitLab shall be responsible for establishing and maintaining a commercially reasonable information security program that is designed to: (i) ensure the security and confidentiality of the Member Content; (ii) protect against any anticipated threats or hazards to the security or integrity of the Member Content; (iii) protect against unauthorized access to, or use of, the Member Content; and (iv) ensure that all subcontractors of GitLab, if any, comply with all of the foregoing. In no case shall the safeguards of GitLab's information security program be less stringent than the information security safeguards used by GitLab to protect its own commercially sensitive data. Member shall use commercially reasonable security and anti-virus measures when accessing and using the Software and/or the GitLab for Education Program materials and to prevent unauthorized access to, or use of the Software and/or the GitLab for Education Program materials, and notify GitLab promptly of any such unauthorized access or use of which it becomes aware.

10.2 The terms of the data processing addendum located at https://about.gitlab.com/handbook/legal/data-processing-agreement/ ("DPA") are hereby incorporated by reference and shall apply to the extent Member Content includes Personal Data, as defined in the DPA. To the extent Personal Data from the European Economic Area (EEA), the United Kingdom and Switzerland are processed by GitLab, the Standard Contractual Clauses shall apply, as further set forth in the DPA. For the purposes of the Standard Contractual Clauses, Member and its applicable Affiliates are each the data exporter, and Member's acceptance of this Agreement shall be treated as its execution of the Standard Contractual Clauses.

10.3 The Parties acknowledge and agree that: (i) the  Software is not designed for the purpose(s) of storing, processing, compiling or transmitting Sensitive Data (as defined herein), and (ii) Member shall not use the  Software, or otherwise provide to GitLab without prior written consent, Sensitive Data under this Agreement. "Sensitive Data" means: (i) special categories of data enumerated in European Union Regulation 2016/679, Article 9(1) or any successor legislation; (ii) patient, medical, or other protected health information regulated by the Health Insurance Portability and Accountability Act (as amended and supplemented) ("HIPAA"); (iii) credit, debit, or other payment card data or financial account information, including bank account numbers or other personally identifiable financial information; (iv) social security numbers, driver's license numbers, or other government identification numbers; (v) other information subject to regulation or protection under specific laws such as the Children's Online Privacy Protection Act or Gramm-Leach-Bliley Act ("GLBA") (or related rules or regulations); or (vi) any data similar to the above protected under foreign or domestic laws. Member further acknowledges that the Software and related features are not intended to meet any legal obligations for these uses, including HIPAA and GLBA requirements, and that GitLab is not a Business Associate as defined under HIPAA. Therefore, notwithstanding anything else in this Agreement, GitLab has no liability for Sensitive Data processed in connection with Member's use of the Software.

10.4 Member shall also maintain and handle all Member Content with reasonably adequate privacy and security measures and in compliance with all applicable privacy laws and regulations.

### 11. GENERAL PROVISIONS

11.1 Each Party shall comply with all laws and regulations applicable to its performance of its obligations under this Agreement, including without limitation data privacy laws and export control laws and regulations.

11.2 Neither Party shall assign, delegate, subcontract or otherwise transfer, directly or by operation of law, any of the rights or obligations of this Agreement nor any part or all of this Agreement without the prior written consent of the other Party.  Any attempt to transfer, assign, delegate or subcontract rights or obligations under this Agreement except as set forth in this Section 11.2 shall be void. Subject to the foregoing limitation, this Agreement shall be binding upon, inure to the benefit of and be enforceable by the parties and their respective successors and permitted assigns.

11.3 A waiver of any right under this Agreement is effective only if it is in writing and signed by the Party against whom the waiver is sought. Any such waiver shall apply only to the circumstances for which it is given. Unless specifically provided otherwise in this Agreement, remedies arising under this Agreement are cumulative and do not exclude any other remedies available at law or in equity.

11.4 This Agreement is not intended to benefit any person or party other than the Parties to this Agreement and, where applicable, the Parties' successors and permitted assigns. The Parties are independent contractors. Nothing in this Agreement shall be construed to create a Membership, joint venture, agency, employment, or fiduciary relationship between the Parties. Neither Party shall have any right or authority to assume or create any obligation of any kind, express or implied, in the name of or on behalf of the other Party, or represent that it has any such authority. Each Party will be responsible for the costs incurred by it in performance of its obligations under this Agreement.

11.5 Except as expressly otherwise provided herein, all notices shall be in writing and deemed delivered the earlier of: (a) actual receipt; (b) upon delivery by a nationally recognized overnight courier (receipt requested) to the receiving party's address as specified herein or updated by written notice; or (c) when received via electronic communications as evidenced by either Party's contemporaneously created computer records.

11.6 Both Parties agree that this Agreement is the complete and exclusive statement of the mutual understanding of the Parties and supersedes and cancels all previous written and oral agreement, communications, and other understandings related to the subject matter of this Agreement.

11.7 This Agreement and all relations, disputes, claims and other matters arising hereunder (including non- contractual disputes or claims) shall be governed exclusively by, and construed exclusively in accordance with, the laws of the State of California, without regard to conflicts of laws provisions. To the extent permitted by law, choice of laws rules and the United Nations Convention on Contracts for the International Sale of Goods shall not apply. For the purposes of adjudicating any action or proceeding to enforce the terms of this Agreement, the Parties hereby irrevocably consent to the exclusive jurisdiction of, and venue in, the courts of San Francisco county, California.

11.8 If any provision of this Agreement is judicially declared to be invalid, unenforceable or void, such decision shall not have the effect of invalidating or voiding any portion of the remainder of this Agreement, it being the intent and agreement of the Parties that this Agreement shall be deemed amended by modifying such provision to the extent necessary to render it valid, legal and enforceable while preserving its intent or, if such modification is not possible, by substituting therefor another provision that is valid, legal and enforceable and that achieves the same objective.
