---
title: "Legal Issue Tracker Workflows"
description: "These internal instructions will help GitLab Team Members engage with Legal in the Legal and Compliance issue tracker"
---

## Submitting an Issue

### Templates

*Note: all issues should use a template as the templates are designed to assist with intake and will allow your requests to be addressed in a timely manner.*

Choose the appropriate template from the drop-down list. If your request does not fit into a specialized template, use the [general Legal template](https://gitlab.com/gitlab-com/legal-and-compliance/-/issues/new?issuable_template=general-legal-template). Please follow **all** the instructions in the template to assure that you have applied the correct labels and that due dates, if any, are designated. Labels and due dates should appear on the right-hand side bar, not solely within the issue description.

### Urgent Issues

If your issue has less than a 48-hour turn around window, please post a link of it in the #legal Slack channel and request review. If your issue has more than 48 hours until the due date, it will be processed in the normal workflow and there is no need to post it in Slack.

## Triaging Issues

Legal staff will triage issues several times a week using the [Legal and Compliance Intake Board](https://gitlab.com/gitlab-com/legal-and-compliance/-/boards/1914311). This board separates all issues labeled as `New` from other issues. The person performing triage will apply any additional relevant labels and will remove the `New` label from the issue. Triaging involves taking a first read over the request to ensure all relevant information is included. The person performing triage will assist requestor in finding previously answered questions by directing them to the Handbook or by directing them to the department responsible for the question, if Legal is not the appropriate department.  After any follow up questions have been satisfactorily answered by the requestor, the issue will be assigned to the team member who is able to work on the request.

### Labels

Current labels are marked as priority labels in the [Legal and Compliance Labels list](https://gitlab.com/gitlab-com/legal-and-compliance/-/labels). Legal uses two types of labels:

1. Category labels are used to designate the type of Legal request. These labels should be applied by the individual creating the issue. If the Category is uncertain, use the `Triage` label and Legal staff will designate it appropriately.
1. Scoped labels are used by the Legal team for tasks that are longer term and have various stages. These labels will be applied by Legal staff as they move through the workflows.
