---
title: "GitLab Professional Services Agreement V2"
---
<!-- vale off -->
*Deprecated 2024-08-29*

This Professional Services Agreement, including any exhibits, schedules, appendices and addenda (collectively, the "Agreement") is between GitLab Inc. with offices at 268 Bush Street, Suite 350, San Francisco, CA 94104, or a different GitLab Affiliate listed as "GitLab" on an Order Form, (in each case, "GitLab"), and the individual or entity signing any SOW, or any Order Form, that references this Agreement ("Customer"). This Agreement is entered into (the "Effective Date") on the earlier of (a) GitLab's acceptance of an Order Form referencing this Agreement, or (b) GitLab and Customer executing an SOW referencing this Agreement.

Individual Signing on Behalf of Company. IF THE INDIVIDUAL ACCEPTING THIS AGREEMENT IS ACCEPTING ON BEHALF OF A LEGAL ENTITY, SUCH INDIVIDUAL REPRESENTS THAT THEY HAVE THE AUTHORITY TO BIND SUCH ENTERPRISE AND ITS AFFILIATES TO THESE TERMS AND CONDITIONS, IN WHICH CASE THE TERM "CUSTOMER" SHALL REFER TO SUCH ENTERPRISE AND ITS AFFILIATES.

Individual Not Authorized to Sign on Behalf of Company. IF THE INDIVIDUAL ACCEPTING THIS AGREEMENT DOES NOT HAVE SUCH AUTHORITY, OR DOES NOT AGREE WITH THESE TERMS AND CONDITIONS, SUCH INDIVIDUAL MUST NOT ACCEPT THIS AGREEMENT AND MAY NOT USE OR RECEIVE THE PROFESSIONAL SERVICES.

### 1. DEFINITIONS

"Affiliate" means any entity(ies) controlling, controlled by, and/or under common control with a party hereto, where "control" means the ownership of more than 50% of the voting securities in such entity.

"Authorized Partner" is a reseller or distributor that is enabled and authorized by GitLab to sell Professional Services to be delivered by GitLab subject to supplemental terms, conditions and partner program requirements.

"Change Order" means any change to an SOW or Order Form, as applicable, as described in Section 2.2 below.  Upon the parties' mutual execution of a Change Order, it will be deemed incorporated by reference in the applicable SOW or in the absence of an SOW, within the Order Form, as applicable.

"Customer Content" is all information, content and data provided by or on behalf of Customer or made available or otherwise utilized in the provisioning of the Professional Services.

"Developments" means Improvements to GitLab's Pre-Existing Work, new technology, written materials, or other deliverables under this Agreement but excluding any Pre-Existing Work.

"Fees" are those rates and fees set forth within the Order Form or SOW as applicable.

"Improvements" means all modifications and derivative works to Pre-Existing Works resulting from the Professional Services contemplated by this Agreement.

"Order Form" is a transactional document that includes a description of the Professional Services being purchased, the applicable Fees, payment terms and other transaction details, and where no SOW is contemplated, the Order Form will include a predefined scope, level of effort and deliverables as set forth at <https://about.gitlab.com/services/catalog/> and sold on either a time and materials basis for specified rates or for a fixed fee as applicable.

"Pre-Existing Work" means all rights, title and interest in and to a party's technology and Confidential Information, including all intellectual property rights imbued to a party as of the Effective Date of this Agreement, or as applicable, the effective date of any SOW or Order Form.

"Professional Services" means the GitLab services offerings including, without limitation, implementation, configuration, consulting, or training services to be provided to Customer under any applicable SOW or Order Form.

"SOW" means a written statement of work executed by GitLab and Customer describing Professional Services to be provided hereunder setting forth the time and materials-based objectives (unless otherwise stated as a fixed-fee) including, without limitation, project-specific activities and estimated level of effort.  An SOW may be entered into, or incorporated within an Order Form, by and between Customer and GitLab, any GitLab Affiliate, or an Authorized Partner.

"Subscription Agreement" means the separate agreement available here: <https://about.gitlab.com/terms/> as between GitLab and Customer governing the parties' rights and obligations with respect to the Subscription Products.

"Subscription Products" means software, and other branded offerings made available by GitLab or its Affiliate(s), including but not limited to, GitLab's "DevOps Lifecycle Application Platform" offered as self-managed Software or as hosted SaaS Software and as more fully described and defined in GitLab's Subscription Agreement. Notwithstanding the foregoing, all Professional Services purchased under an Order Form as referenced herein are purchased separately from the Subscription Products and all references to "Order Form" herein shall not apply in any way to any Subscription Products, including without limitation, with respect to payment obligations and termination rights.

### 2. PROFESSIONAL SERVICES

2.1 The Professional Services will be provided on a time and materials basis unless otherwise mutually agreed by the parties in writing such as in a mutually executed Order Form or SOW as applicable.  Customer shall reimburse GitLab for approved expenses reasonably incurred in the performance of Professional Services, provided GitLab shall provide valid receipts and other reasonable substantiation to Customer upon request.  GitLab may provide the Professional Services through its third-party contractors but, in all such cases, GitLab will remain responsible for such contractor's performance pursuant to the terms hereunder.

2.2 If the parties desire to make changes to an Order Form or SOW during the engagement to address changes in scope or cost, the parties will complete and execute a Change Order.  Customer acknowledges that it may need to purchase additional Professional Services if not completed within any estimated time frames as presented within an Order or SOW.

2.3 This Agreement is limited to Professional Services and does not convey any right to use Subscription Products.  Any use of Subscription Products by Customer will be governed by GitLab's Subscription Agreement or other separate agreement entered into by the parties explicitly governing such rights and obligations.  Customer agrees that its purchase of Professional Services is not contingent on: (i) the delivery of any future Subscription Products functionality or features, other than any deliverables as set forth and subject to the terms of the applicable SOW or Order Form; or (ii) on any oral or written public comments by GitLab regarding future Subscription Products' functionality or features.

### 3. CUSTOMER COOPERATION

3.1 Customer will reasonably cooperate and use good faith efforts with GitLab to facilitate the performance of the Professional Services which shall include, but not be limited, to the following: (i) assigning a project manager with the requisite skills and training to serve as Customer's primary point of contact; (ii) allocating sufficient resources to ensure Customer's ability to meet its obligations; (iii) establishing the overall project direction, including assigning and managing the Customer's project personnel team; and (iv) providing GitLab with, or access to, such facilities (if applicable), equipment and support as are reasonably necessary for GitLab to provide Professional Services, including remote access to the hardware and systems software configuration on which GitLab supports use of the Subscription Products licensed by GitLab to Customer.

### 4. ORDERING PROCESS

4.1 This Agreement applies to Professional Services that Customer purchases directly from GitLab, a GitLab Affiliate, or from an Authorized Partner.  GitLab will provide to Customer the Professional Services for the Fees specified in an executed Order Form or SOW, or otherwise transaction document acceptable to GitLab such as a purchase order or similar document referencing a current GitLab quote number or upon GitLab's election to begin delivery of the applicable Professional Services.  For the avoidance of doubt, in the event Customer purchases Professional Services from an Authorized Partner: (i) GitLab shall have no obligations to Customer with respect to any terms and conditions outside of this Agreement unless otherwise explicitly agreed to in writing between Customer and GitLab; and (ii) the provisions of Section 6 (Payment of Fees) shall not apply as all terms of payment shall be directly as between Customer and the Authorized Partner.

### 5. TERM AND TERMINATION

5.1 The Agreement commences on the Effective Date and continues until it is terminated in accordance with this Section 5.

5.2 Either party may terminate this Agreement upon fifteen (15) days' prior written notice to the other party hereto.  Unless otherwise stated herein, termination of this Agreement shall not affect any Professional Services currently being delivered under an SOW or Order Form, and this Agreement shall remain in full force and effect until the completion thereof.

5.3 Either party may terminate this Agreement and/or any SOW or Order Form executed between the parties if: (i) the other party materially breaches this Agreement and does not cure the breach within thirty (30) days after written notice; or (ii) the other party becomes the subject of a petition in bankruptcy or any other proceeding relating to insolvency, receivership, liquidation or assignment for the benefit of creditors.

5.4 GitLab may (at its sole discretion) suspend delivering Professional Service if Customer breaches the terms of Section 6 (Payment of Fees) until such breach is remedied.

5.5 In the event this Agreement is terminated by Customer in accordance with Section 5.3, GitLab will refund to Customer a prorated amount equal to pre-paid Fees for the unused portion of Professional Services as of the termination date, if any. If this Agreement is terminated by GitLab in accordance with this Section 5, Customer will pay (if applicable) any and all unpaid Fees due and payable as of the date of termination, to the extent permitted by applicable law. For the avoidance of doubt, in no event will termination relieve Customer of its obligation to pay any Fees payable to GitLab for the Professional Services performed in the period prior to the effective date of termination

5.6 Except as explicitly provided for herein, upon termination of this Agreement (or any SOW or Order Form as applicable) Customer shall not be entitled to any refund or credit.

### 6. PAYMENT OF FEES

6.1 Unless otherwise stated in the applicable SOW or Order Form, GitLab will invoice Customer for Professional Services as rendered on a time and materials basis, provided any fixed fee Professional Services shall be paid upfront in full and shall be non-cancellable. Customer will pay GitLab the applicable Fees without any right of set-off or deduction. All payments will be made in accordance with the payment details stated within the applicable Order Form or SOW.  If not otherwise specified, all Fees will be due and payable within thirty (30) days of Customer's receipt of an invoice. Except as expressly set forth in this Agreement, all Fees paid or due hereunder (including prepaid amounts) are non-refundable.

6.2 Any unpaid late Fees are subject to a finance charge of one percent (1.0%) per month, or the maximum permitted by law, whichever is lower, plus all expenses of collection, including reasonable attorneys' fees.  Fees under this Agreement are exclusive of any and all taxes or duties, now or hereafter imposed by any governmental authority, including, but not limited to any national, state or provincial tax, sales tax, value-added tax, property and similar taxes, if any. Fees under this Agreement shall be paid without any withholding or deduction. In the case of any deduction or withholding requirements, Customer will pay any required withholding itself and will not reduce the amount to be paid to GitLab on account thereof.

### 7. CONFIDENTIALITY

7.1 Each party (the "Receiving Party") understands that the other party (the "Disclosing Party") has disclosed or may disclose information relating to the Disclosing Party's technology or business (hereinafter referred to as "Confidential Information"). Such Confidential Information shall be either: (i) identified as confidential at the time of disclosure; or (ii) the nature of such information and/or the manner of disclosure are such that a reasonable person would understand it to be confidential.

7.2 The Receiving Party agrees: (i) not to divulge to any third person any such Confidential Information; (ii) to give access to such Confidential Information solely to those employees with a need to have access thereto for purposes of this Agreement; and (iii) to take the same security precautions to protect against disclosure or unauthorized use of such Confidential Information that the party takes with its own confidential information, but in no event will a party apply less than reasonable precautions to protect such Confidential Information.

7.3 The Disclosing Party agrees that Section 7.2 will not apply with respect to any information for which the Receiving Party can document: (i) is or becomes generally available to the public without any action by, or involvement of, the Receiving Party; or (ii) was in its possession or known by it prior to receipt from the Disclosing Party; or (iii) was rightfully disclosed to it without restriction by a third party; or (iv) was independently developed without use of any Confidential Information of the Disclosing Party.

7.4 The parties' obligations with respect to the protection of Confidential Information shall remain in force for a period three (3) years following the receipt of such Confidential Information and shall survive any termination or expiration of this Agreement.

7.5 Nothing in this Agreement will prevent the Receiving Party from disclosing Confidential Information pursuant to any judicial or governmental order, provided that the Receiving Party gives the Disclosing Party, when legally possible, reasonable prior notice of such disclosure to allow the Disclosing Party to contest such order.

7.6 Each party acknowledges and agrees that the other may suffer irreparable damage in the event of a breach of the terms of this Section 7 and that such party will be entitled to seek injunctive relief (without the necessity of posting a bond) in the event of any such breach.

7.7 Both parties will have the right to disclose Confidential Information in connection with: (i) a required filing to a governmental authority (provided such party will use reasonable efforts to obtain confidential treatment or a protective order); or (ii) disclosures made to potential investors or acquirers, provided that at all times the Confidential Information shall be protected in a manner no less stringent as set forth in this Section 7.

### 8. PROPRIETARY RIGHTS

8.1 Each party will retain all rights, title and interest in their Pre-Existing Works.  Except as explicitly set forth herein each party reserves all intellectual property rights not expressly granted to the other party, and no right, title or interest in a party's Pre-Existing Works are transferred to the other party.  Further, this Agreement does not contemplate Professional Services for the provision of any Improvements to Customer's Pre-Existing Works, and any such deliverable will be subject to separate terms and conditions as to be mutually and explicitly identified and agreed between the parties in a fully executed SOW, or other form of written agreement.

8.2 To the extent applicable, Customer hereby grants GitLab a non-transferable, non-exclusive, world-wide and royalty free license to use Customer's Pre-Existing Works necessary to provide the Professional Services under this Agreement.  To the extent GitLab Pre-Existing Works or Developments are incorporated into the Professional Services or deliverables provided under this Agreement, such GitLab Pre-Existing Works and Developments are provided to Customer in a non-transferable, non-exclusive, world-wide and royalty free license to use solely for Customer's internal business purposes subject to the applicable license agreement(s) governing Customer's use of GitLab's Subscription Products, and expressly conditioned on Customer's compliance with the terms of such agreement(s).  Notwithstanding the foregoing, Customer will own the portion of any deliverable provided to Customer in tangible form consisting of written reports, analyses, architecture diagrams, project plans and similar working documents.

8.3 For the avoidance of doubt, GitLab is not restricted from developing, implementing, marketing or selling services or deliverables for other customers or projects that are similar to the Professional Services or deliverables provided under this Agreement.  Further, any Developments resulting from the provision of the Professional Servicers hereunder will be owned by GitLab and Customer will execute and deliver to GitLab any documents reasonably necessary to vest in GitLab all right, title and interest therein subject always to the terms of any applicable open source license.

### 9. LIMITED WARRANTY

9.1 GitLab represents and warrants that its provision of Professional Services under an SOW or Order Form, as applicable, will be rendered in a professional and workmanlike manner.  If GitLab fails to meet the foregoing warranty, upon Customer's written notice within ninety (90) days after completion of the applicable Professional Services, GitLab will at its option and expense either: (i) re-perform and correct of the nonconforming Professional Services within thirty (30) days; or (ii) provide a plan for correcting the nonconforming Professional Services within such thirty (30) day period.  If the nonconforming Professional Services are not corrected, or if a reasonably acceptable plan for correcting them is not established during such period, Customer may terminate this Agreement, or the respective SOW, and receive a pro-rata refund for any pre-paid, unused portion of the Professional Services.  The foregoing represents Customer's sole and exclusive remedy for a breach of this Section 9.1

9.2 The warranties in this Agreement are void to the extent caused by Customer's: (i) alteration or modification of the Professional Services not otherwise directed by GitLab or its authorized representatives in writing; (ii)  failure to meet: (a) the minimum system requirements as made available by GitLab including those set forth here: https://docs.gitlab.com/ee/install/requirements.html; or (b) its obligations set forth in this Agreement or an SOW including, without limitation, those set forth in Section 3 (Customer Cooperation) above, to enable the provision of the Professional Services.

9.3 WARRANTY DISCLAIMER.  SECTION 9.1 SET FORTH GITLAB'S EXCLUSIVE WARRANTY WITH REGARD TO THE PROFESSIONAL SERVICES, AND IS IN LIEU OF ALL OTHER WARRANTIES. GITLAB DOES NOT MAKE ANY OTHER WARRANTY OF ANY KIND, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, AND TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, GITLAB SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES, INCLUDING ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT.

### 10. LIMITATION OF LIABILITY

10.1 TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL EITHER PARTY BE LIABLE FOR ANY INDIRECT, PUNITIVE, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR IN ANY WAY CONNECTED WITH THE PROFESSIONAL SERVICES PROVIDED HEREUNDER, INCLUDING WITHOUT LIMITATION, LOSS OF REVENUE, ANTICIPATED PROFITS, LOST BUSINESS OR LOST SALES, WHETHER BASED IN CONTRACT, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY, OR OTHERWISE, EVEN IF SUCH PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF DAMAGES.

10.2 TO THE EXTENT PERMITTED BY APPLICABLE LAW THE TOTAL LIABILITY OF EACH PARTY, WHETHER BASED IN CONTRACT, TORT (INCLUDING NEGLIGENCE OR STRICT LIABILITY), OR OTHERWISE, WILL NOT EXCEED, IN THE AGGREGATE THE FEES PAID OR PAYABLE TO GITLAB HEREUNDER IN ONE YEAR PERIOD PRECEDING THE FIRST INCIDENT OUT OF WHICH THE LIABILITY AROSE.  THE FOREGOING LIMITATIONS WILL APPLY NOTWITHSTANDING ANY FAILURE OF ESSENTIAL PURPOSE OF ANY LIMITED REMEDY.  THIS LIMITATION OF LIABILITY IS CUMULATIVE AND NOT PER INCIDENT.

### 11. SECURITY / DATA PROTECTION

11.1 Without limiting GitLab's obligations as stated in Section 7 (Confidentiality), GitLab shall be responsible for establishing and maintaining a commercially reasonable information security program with regard to the delivery of Professional Services that is designed to: (i) ensure the security and confidentiality of the Customer Content; (ii) protect against any anticipated threats or hazards to the security or integrity of the Customer Content; (iii) protect against unauthorized access to, or use of, the Customer Content; and (iv) ensure that all subcontractors of GitLab, if any, comply with all of the foregoing. In no case shall the safeguards of GitLab's information security program be less stringent than the information security safeguards used by GitLab to protect its own commercially sensitive data.

11.2 With respect to the protection of information, the GitLab Privacy Statement located here https://about.gitlab.com/privacy/, shall apply. If this Agreement is entered into on behalf of an Enterprise, the terms of the data processing addendum at https://about.gitlab.com/handbook/legal/data-processing-agreement/ ("DPA") are hereby incorporated by reference and shall apply to the extent Customer Content includes Personal Data, as defined in the DPA. To the extent Personal Data from the European Economic Area (EEA), the United Kingdom and Switzerland are processed by GitLab, the Standard Contractual Clauses shall apply, as further set forth in the DPA. For the purposes of the Standard Contractual Clauses, Customer and its applicable Affiliates are each the data exporter, and Customer's acceptance of this Agreement, and an applicable Affiliate's execution of an Order Form, shall be treated as its execution of the Standard Contractual Clauses.

### 12. FORCE MAJEURE

12.1 GitLab and Customer will not be liable for any default or delay in the performance of the Professional Services contemplated hereunder, excluding any payments obligations, to the extent that such default or delay is caused, directly or indirectly, by fire, flood, earthquake, explosions, elements of nature, acts of God, acts or regulations of government bodies, nuclear, chemical or biological contamination, court orders arising out of circumstances other than a breach of this Agreement by the Non-performing Party (as defined below), acts of war, terrorism, riots, civil disorders, rebellions or revolutions, strikes, lockouts or labor difficulties, epidemics or by any other event or circumstance that is beyond the reasonable control of GitLab or Customer. The party that is unable to perform shall be referred to as the "Non-performing Party."  Such an event or circumstance giving rise to the default or delay is hereby referred to as a "Force Majeure Event."  The Non-performing Party will be excused from any further performance obligations affected by such Force Majeure Event, other than any payment obligations due hereunder, for as long as such Force Majeure Event continues and the Non-performing Party continues to use commercially reasonable efforts to resume performance.  Except as expressly excused in this Section 12, each party will continue to perform its respective obligations under this Agreement during a Force Majeure Event.

### 13. MISCELLANEOUS

13.1 Each party will comply with all laws and regulations with regard to meeting its obligations, and the exercise of its rights, under this Agreement.  The Professional Services and any deliverables provided hereunder may be subject to export laws of the United States or other jurisdictions and as such each party represents that it is not named on any U.S. government denied-party list.   Customer further acknowledges and agrees it shall not permit the export or re-export of any deliverables provided as a result of such Professional Services to a U.S. embargoed country or region, Designated National or in violation of any other U.S. export law or regulation.  "Designated National" shall mean any person or entity on the U.S. Department of Treasury's List of Specially Designated nationals or the U.S. Department of Commerce's Table of Denial Orders.

13.2 If any provision of this Agreement is found to be unenforceable or invalid, that provision will be limited or eliminated to the minimum extent necessary so that this Agreement will otherwise remain in full force and effect and enforceable.

13.3 All provisions of this Agreement that by their nature should survive termination will survive termination including, without limitation, the sections titled " Term and Termination," "Payment of Fees," "Confidentiality," "Warranty Disclaimer," "Limitations of Liability," and "Miscellaneous."

13.4 This Agreement is not assignable, transferable or sublicensable by either party without the other party's prior written consent, not to be unreasonably withheld or delayed; provided that either party may transfer and/or assign this Agreement to a successor in the event of a sale of all, or substantially all, of its business or assets to which this Agreement relates.

13.5 This Agreement, along with any Order Form or SOW that incorporates this Agreement by reference, is the complete and exclusive statement of the mutual understanding of the parties and supersedes and cancels all previous written and oral agreements, communications and other understandings relating to the subject matter of this Agreement. Notwithstanding any language to the contrary therein, no terms or conditions stated in Customer's purchase order or other document will be incorporated into or form any part of this Agreement, and all such terms are void and rejected by GitLab. To the extent of a conflict as between the following documents, such conflict shall be resolved in the following order of precedence: (i) an SOW; (ii) an Order Form; (iii) this Agreement unless the parties explicitly agree otherwise as evidenced in a writing executed by the parties' authorized representatives.

13.6 No failure or delay by either party in exercising any right under this Agreement will constitute a waiver of that right.  All waivers and modifications must be in a writing signed or otherwise agreed to by each party, except as otherwise provided herein.

13.7 The relationship of GitLab and Customer is that of independent contractors.  There is no relationship of agency, partnership, joint venture, or employment is created as a result of this Agreement and neither party has any authority of any kind to bind the other in any respect whatsoever.

13.8 In any action or proceeding to enforce rights under this Agreement, the prevailing party will be entitled to recover costs and reasonable attorneys' fees.

13.9 All notices under this Agreement will be in writing and will be deemed to have been duly given when received, if personally delivered; when receipt is electronically confirmed, if transmitted by facsimile or e-mail; and upon receipt, if sent by certified or registered mail (return receipt requested), postage prepaid.

13.10 This Agreement will be governed by the laws of the State of California, U.S.A. without regard to its conflict of laws provisions. The federal and state courts sitting in San Francisco County, California, U.S.A. will have proper and exclusive jurisdiction and venue with respect to any disputes arising from or related to the subject matter of this Agreement. The United Nations Convention on Contracts for the International Sale of Goods is expressly disclaimed by the Parties with respect to this Agreement and the transactions contemplated hereby.
