---
title: "LEGACY: GitLab Subscription Agreement V4"
---
<!-- vale off -->
## Subscription Agreement

This Subscription Agreement ("Agreement") is between GitLab Inc. with offices at 268 Bush Street, Suite 350, San Francisco, CA 94104 (or, if a different corporate entity is listed as "GitLab" on an Order Form [as defined below], ("GitLab"), and the individual or entity signing or electronically accepting this Agreement, or any Order Form that references this Agreement ("Customer"). This Agreement is entered into on the earlier of, (a) Customer clicking "Agree" or "Yes" to the terms of this Agreement to gain initial access to, or use of, the Software, (b) GitLab and Customer agreeing to an Order Form referencing this Agreement, or (c) Customer is given access to the Software ("Effective Date").

- Individual Signing on Behalf of Company. IF THE INDIVIDUAL ACCEPTING THIS AGREEMENT IS ACCEPTING ON BEHALF OF AN ENTERPRISE OR OTHER LEGAL ENTITY, SUCH INDIVIDUAL REPRESENTS THAT THEY HAVE THE AUTHORITY TO BIND SUCH ENTERPRISE AND ITS AFFILIATES TO THESE TERMS AND CONDITIONS, IN WHICH CASE THE TERM "CUSTOMER" SHALL REFER TO SUCH ENTERPRISE AND ITS AFFILIATES.

- Individual Not Authorized to Sign on Behalf of Company. IF THE INDIVIDUAL ACCEPTING THIS AGREEMENT DOES NOT HAVE SUCH AUTHORITY, OR DOES NOT AGREE WITH THESE TERMS AND CONDITIONS, SUCH INDIVIDUAL MUST NOT ACCEPT THIS AGREEMENT AND MAY NOT USE THE SERVICES OR SOFTWARE.

- Individual Signing on Behalf of Individual But Using Company Email. IF THE INDIVIDUAL ACCEPTING THIS AGREEMENT IS ACCEPTING THIS AGREEMENT ON HIS OR HER OWN BEHALF BUT USING AN ENTERPRISE EMAIL ADDRESS TO DO SO, SUCH INDIVIDUAL ACKNOWLEDGES AND AGREES THAT USE OF SUCH ENTERPRISE EMAIL ADDRESS WILL ESTABLISH A GITLAB ACCOUNT THAT WILL BE ASSOCIATED WITH THE APPLICABLE ENTERPRISE, AND CAN AND WILL BE TRANSFERRED ENTIRELY (BOTH CONTROL AND DATA/INFORMATION WITHIN THE ACCOUNT) TO SUCH ENTERPRISE UPON SUCH COMPANY'S REQUEST WITHOUT NOTICE OR LIABILITY TO THE INDIVIDUAL. AS SUCH, TO ENSURE NO LOSS OF PERSONAL CONTENT, GITLAB STRONGLY RECOMMENDS ESTABLISHING A GITLAB ACCOUNT TIED TO A PERSONAL EMAIL ADDRESS.

### 1. DEFINITIONS

"Acceptance" of an Order Form shall occur at the earliest of the following: (a) execution of an Order Form, (b) reference to an Order Form Quote No. within a purchase order or similar document, or (c) the use of Software.

"Add-On User(s)" are additional Users in excess of those that have been purchased under a Subscription via an executed Order Form or web-portal purchase.

"Affiliate" means any entity(ies) controlling, controlled by, and/or under common control with a party hereto, where "control" means the ownership of more than 50% of the voting securities in such entity.

"Appendix" are inclusions in this Agreement that state the terms by which Software is offered to Customer. The Appendices shall be considered part of the Agreement.

"Authorized Partner" is a reseller or distributor that is enabled and authorized to sell Software.

"Community Edition Software" means the publicly available, community-developed open-source software and components which may be provided with the Software. Community Edition Software is provided as Free Software (as defined herein).

"Contractors" are defined as third parties that Customer has engaged to manage, or otherwise use the Software, solely on behalf of Customer.

"Controlled Subject Matter" is the Software or any software or anything related thereto or any direct product thereof, collectively.

"Customer Content" is all software, information, content and data provided by or on behalf of Customer or made available or otherwise distributed through the use of the Software.

"Customer Records" collectively means books, records, contracts and accounts relating to the payments due to GitLab under this Agreement.

"Customer Success Services" means adoption services which are provided as part of the Subscription, as set forth in Appendix 1. Customer Success Services include the collection of Operational Data (as further stated in Appendix 1).  Customer Success Services are only available to Customers who are purchasing Software, and are not available for Free Software.

"Customer Support" means technical support of the Software provided by GitLab.

"Designated National" is any person or entity on the U.S. Department of Treasury's List of Specially Designated Nationals or the U.S. Department of Commerce's Table of Denial Orders.

"Effective Price" means the actual price paid by Customer (List Price minus any applicable discount(s)) as set forth on an Order Form or as purchased via the Website.

"Embargoed Countries" refers collectively to countries to which the United States maintains an embargo.

"Enterprise" means the organization, company, corporation and/or other type of entity which procures the Software to be used on its behalf pursuant to the terms of this Agreement.

"Fees" are those fees set forth within the Order Form, or, fees due immediately when purchasing via the web-portal.

"Free Software" means a feature-limited version of Software provided to a Customer, User, end user, partner, or any other third party at no (or a greatly reduced cost) including but not limited to, the lowest tier offering of Software as made available by GitLab.

"Individual" means a person who uses the Software on their own behalf, and not an Enterprise. An Individual must be over the age of thirteen (13) years old.

"List Price" means the list price of the GitLab Software excluding (if applicable) any discount(s) set forth in an Order Form or as purchased via the Website.

"Order Form" is a transactional document agreed to between the parties which states the Software and/or Supplemental Services being purchased, term of use, price, and other applicable transaction details. For the avoidance of doubt, the parties acknowledge and agree the terms and conditions stated within this Agreement and an executed Order Form shall govern with respect to all matters contemplated herein.

"Purchase Order" is a Customer's processing document, or similar record, which is used by Customer to demonstrate internal approval and /or record of a purchase. Any terms stated within a Purchase Order shall be null and void and are expressly rejected by the parties.

"Software" means software, and other branded offerings made available by GitLab or its Affiliate(s), including but not limited to, GitLab's DevOps Lifecycle Application Platform.

"Subscription" refers to the applicable services, support and function(s) of the Software as provided. Subscriptions are provided in tiers / levels as described in Appendix 1 and are based on the number of Users.

"Subscription Start Date" is, unless otherwise agreed to in writing, the start date, (i) stated on an Order Form, or, the date in which Customer is given access to the Software (whichever is later), or (ii) as indicated via a Website transaction, regardless if such purchase is direct with GitLab or via an Authorized Partner.

"Subscription Term" shall begin on the Subscription Start Date and continue for twelve (12) months, unless the term length is otherwise agreed to in an Order Form or web-portal purchase.

"Supplemental Services" means additional capacity, functionality, storage and/or other elements that Customer may procure in addition to the Software. Such Supplemental Services may be purchased by Order Form or web-portal. Supplemental Services purchased will be: (i) provided as a separate line item in an Order Form or web-portal purchase, and (ii) co-termed to the underlying Subscription Term if not purchased on the Subscription Start Date.  For the avoidance of doubt, Supplemental Services are not part of the Software, but rather, are provided in addition to the Software and Supplemental Services shall be subject to the terms and conditions of this Agreement.

"User(s)" is defined as the unique and single Individual, employee, Contractor, or other third party individual or machine authorized by Customer (in accordance with this Agreement) that requires the provision of a seat within the admin platform, who are able to access the Software purchased under a Subscription, regardless of whether the User actually accesses or the frequency with which they access the Software. A User must be over the age of thirteen (13)  years old.

"Website" means GitLab's website located at www.gitlab.com and all subdomains, and all content, services, documentation provided on the Website.

### 2. SCOPE OF AGREEMENT

2.1 This Agreement establishes a framework that will enable GitLab to provide Customer with the Software. Software is provided as part of a Subscription, as described in Appendix 1. Software provided as a hosted solution, or Software-as-a-Service ("SaaS Software"), shall be subject to the attached Appendix 2 entitled "Software as a Service (SaaS) Offering".

### 3. ORDERING PROCESS

3.1 This Agreement applies to Software that Customer licenses directly from GitLab, a GitLab Affiliate, or from an Authorized Partner. For the avoidance of doubt, in the event Customer purchases from an Authorized Partner, GitLab shall have no obligations to Customer with respect to any terms and conditions outside of this Agreement unless otherwise agreed to in writing between Customer and GitLab.

3.2 Unless otherwise agreed to between Customer and GitLab in writing, the terms of this Agreement shall govern any and all use of the Software. Purchases of Software may take place by either:

(i) purchasing via the GitLab Website;

(ii) executing an Order Form with GitLab or an Affiliate of GitLab; or

(iii) purchase from an Authorized Partner.

3.3 GitLab and Customer acknowledge and agree that Free Software may be: (i) modified and/or updated, without notice, and (ii) limited in functionality, features, maintenance, support and contain other limitations not present in Software purchased. NOTWITHSTANDING THE "WARRANTY" AND "INDEMNIFICATION" SECTIONS BELOW, FREE SOFTWARE AND SOFTWARE OFFERED ON A TRIAL BASIS (AS STATED IN AN ORDER FORM OR WEB-PORTAL PURCHASE) ARE PROVIDED "AS-IS" WITHOUT ANY WARRANTY AND GITLAB SHALL HAVE NO INDEMNIFICATION OBLIGATIONS NOR LIABILITY OF ANY TYPE WITH RESPECT TO SUCH FREE SOFTWARE UNLESS SUCH EXCLUSION OF LIABILITY IS NOT ENFORCEABLE UNDER APPLICABLE LAW, IN WHICH CASE GITLAB'S LIABILITY WITH RESPECT TO SUCH FREE SOFTWARE SHALL NOT EXCEED $1,000.00USD.

### 4. TERM AND TERMINATION

4.1 The Agreement commences on the Effective Date and continues until it is terminated in accordance with this Section 4.

4.2 A Subscription Term shall begin as of the Subscription Start Date and remain in effect for the term length indicated on the Order Form (the "Initial Term") and automatically renew for successive twelve (12) month terms (each a "Renewal Term") unless either party gives notice of its intention not to renew thirty (30) days prior to the expiration of the current Subscription Term. Customer shall have the right to opt-out of such renewal, from within the Software, commencing upon the Subscription Start Date until thirty (30) days prior to the expiration of the Subscription Term.  Subscriptions must be used during the Subscription Term and any unused Subscriptions will expire.

4.3 Either party may terminate this Agreement and any Order Form executed between the parties if:

(a) the other party materially breaches this Agreement and does not cure the breach within thirty (30) days after written notice; or

(b) the other party becomes the subject of a petition in bankruptcy or any other proceeding relating to insolvency, receivership, liquidation or assignment for the benefit of creditors.

4.4 GitLab may (at its sole discretion) suspend delivering Subscriptions if Customer breaches the terms of Section 6 (Payment of Fees) until the breach is remedied.

4.5 Unless otherwise stated herein, termination of this Agreement shall not affect any Subscriptions currently being delivered and this Agreement shall remain in full force and effect until the expiration of the then-current Subscription Term. In the event this Agreement is terminated by Customer in accordance with Section 4.3, GitLab will refund Customer any prepaid Fees for the prorated portion of unused Subscription Term. If this Agreement is terminated by GitLab in accordance with this Section 4, Customer will pay (if applicable) any unpaid Fees covering the remainder of the Subscription Term of all Order Forms, to the extent permitted by applicable law. For the avoidance of doubt, in no event will termination relieve Customer of its obligation to pay any Fees payable to GitLab for the period prior to the effective date of termination. The terms and conditions of this Agreement will apply to any Renewal Term(s) provided that, absent an Effective Price as set forth in an Order Form, Website purchase or other written agreement between the Parties, GitLab's then-current List Price will apply with regard to any such Renewal Term(s). GitLab reserves the right to increase fees for any Renewal Term(s) with respect to its products and services, including the Software and Supplemental Services.

### 5. RESTRICTIONS AND RESPONSIBILITIES

5.1 Customer will not, and will not permit any third party to (not otherwise defined as a User):

(i) use the Software for any purpose other than as specifically authorized in this Agreement;

(ii) use the Software in such a manner that would enable any third party to access the Software;

(iii) use the Software for time sharing or service bureau purposes (including without limitation, sublicensing, distributing, selling, reselling any Software);

(iv) for any purpose other than its and its Affiliates' own internal use;

(v) use the Software other than in compliance with all applicable laws and regulations;

(vi) use the Software in any manner that: (a) is harmful, fraudulent, deceptive, threatening, abusive, harassing, tortious, defamatory, vulgar, obscene, or libelous (including without limitation, accessing any computer, computer system, network, software, or data without authorization, breaching the security of another user or system, and/or attempting to circumvent any User authentication or security process); (b) impersonates any person or entity, including without limitation any employee or representative of GitLab; (c) includes content, with respect to the use of SaaS Software, which is illegal or violates the GitLab Community Code of Conduct found here https://about.gitlab.com/community/contribute/code-of-conduct/, or (d) contains a virus, trojan horse, worm, time bomb, unsolicited bulk, commercial, or "spam" message, or other harmful computer code, file, or program (including without limitation, password guessing programs, decoders, password gatherers, keystroke loggers, cracking tools, packet sniffers, and/or encryption circumvention programs); and

(vii) except to the extent permitted by applicable law, disassemble, reverse engineer, or decompile the Software or access it to: (a) build a competitive product or service, (b) build a product or service using similar ideas, features, functions or graphics of the Software, (c) copy any ideas, features, functions or graphics of the Software, or (d) determine whether the Software are within the scope of any patent.

5.2 Nothing in this Agreement shall prohibit Customer from using the Software for benchmark testing or comparative analysis. Customer will comply with all applicable data privacy and security laws and shall have appropriate technological, administrative, and physical controls in place to ensure such compliance.

5.3 In addition to the obligations set forth in Section 5.4, and subject to the rights set forth in Section 5.7,  Customer shall ensure the collection of data as required in order to use the Software ("Subscription Data") shall remain unchanged. An overview of the Subscription Data can be found at https://metrics.gitlab.com/?q=subscription.

5.4 In accordance with this Agreement, GitLab has the right to verify electronically (or otherwise), and generate reports related to Customer's installation of, access to, and use of the Software to ensure compliance with the terms of this Agreement. Customer shall maintain Customer Records during the term of this Agreement and for two (2) years thereafter.  GitLab may, upon thirty (30) days' prior written notice to Customer and during Customer's normal business hours and subject to industry-standard confidentiality obligations, hire an independent third-party auditor to audit the Customer Records only to verify the amounts payable under this Agreement with respect to Customer usage of the Software.  If an audit reveals underpayment, Customer shall promptly pay the deficiency to GitLab plus late fees pursuant to Section 6.  GitLab shall bear the cost of an audit unless the audit reveals underpayment by more than 5% for the audited period, in which case Customer shall promptly pay GitLab for the reasonable costs of the audit.

5.5 Customer will be responsible for the following:

(i) maintaining the security of Customer's account, passwords (including, but not limited to, administrative and User passwords) and files, and for all uses of Customer account with or without Customer's knowledge or consent; and

(ii) any acts or omissions carried out by Contractors on Customer's behalf. Customer shall ensure that Contractors are subject to terms no less stringent than those stated herein.

5.6 Subject to this Agreement and the applicable Order Form, GitLab will provide Customer Support to Customer for the Subscriptions, during the Subscription Term, at no additional cost. Details regarding Customer Support can be found in Appendix 1, as well as at https://about.gitlab.com/support, as updated from time to time.

5.7 Portions of the Software are governed by underlying open source licenses as described at https://docs.gitlab.com/ee/development/licensing.html. This Agreement and applicable Appendix(eces) establish the rights and obligations associated with Subscriptions and Software and are not intended to limit Customer's right to software code under the terms of an open source license.

5.8 Customer acknowledges and agrees that:

(i)  Account names are administered by GitLab on a "first come, first serve" basis;

(ii) Intentional name squatting, or purchasing, soliciting, or selling  of an account name is prohibited; and

(iii) GitLab reserves the right to remove, rename, or close inactive accounts at its discretion.

### 6. PAYMENT OF FEES

6.1  With respect to purchases direct from GitLab, all web-portal purchase Fees shall be due and payable immediately.

6.2 With respect to purchases direct from GitLab, the Order Form shall: (i) reference this Agreement; (ii) state the Subscription Term(s) and Subscription(s) that are being purchased; and (iii) state the Fees due for the applicable Subscription(s).

6.3 With respect to purchases direct from GitLab, such Order Form is hereby incorporated into this Agreement by reference. The parties hereby agree to the terms and conditions stated within this Agreement and those found within an Order Form to the exclusion of all other terms. The parties agree that all terms stated within a Purchase Order, or other similar document, shall be null and void and are expressly rejected.

6.4 With respect to purchases direct from GitLab, Customer will pay GitLab the applicable Fees, including those for Supplemental Services, without any right of set-off or deduction. All payments will be made in accordance with the payment details stated within the applicable Order Form. If not otherwise specified: (i) GitLab (or applicable GitLab Affiliate) will invoice Customer for the Fees upon the Acceptance of an Order Form; and (ii) all Fees will be due and payable within thirty (30) days of Customer's receipt of an invoice. Except as expressly set forth in this Agreement, all Fees paid or due hereunder (including prepaid amounts) are non-refundable, and no credit will be due, including without limitation if this Agreement is terminated in accordance with Section 4 herein.

6.5 During the Subscription Term, Customer may, subject to this Agreement, activate and use Add-On Users. For the avoidance of doubt, Customer shall not have the right to report less than the number of Users originally purchased under the Subscription, and all Add-On Users shall be co-termed to the underlying Subscription Term.

6.6 With respect to purchases direct from GitLab, at the end of each three (3) month period, commencing up on the Subscription Start Date, (referred to herein as "Quarter" or "Quarterly") during the Subscription Term, GitLab will: (i) per Section 5.3, generate a report of Add-On User(s) deployed during the Quarter ("Quarterly Usage Report"), and (ii) invoice Customer on a prorated basis for the remaining portion of the Subscription Term, with respect to the Add-On User(s) activated and/or used during the Quarter as captured by the Quarterly Usage Report. For the avoidance of doubt, Add-On User(s) will not be invoiced for the Quarter in which they were activated and/or used. A Quarterly Usage Report will be generated during the first three (3) Quarters of a Subscription Term. Upon expiration of the Subscription Term, Customer's renewal of the Software shall be for either: (x) the amount agreed to between Customer and GitLab in an Order Form; or (y) the number of active Users present in the GitLab Subscription as of the day of Customer's renewal. Add-On User(s) that have been identified within the Quarterly Usage Report, shall be considered due and payable in accordance with this Section 6. In the event a Quarterly Usage Report cannot be generated, Customer shall report and pay for such Overage Users (as defined below) in compliance with Section 6.7. Unless the parties agree to an Effective Price which is less than the List Price, as set forth in an Order Form or Website purchase, Add-On Users will be invoiced at the List Price in the most recent Order Form or Website purchase.

6.7 In the event a Customer procures Software from an Authorized Partner, or,  GitLab is unable to, (i) verify and generate a Quarterly Usage Report, and/or (ii) collect payment(s) with respect to Quarterly Add-Ons as provided in the Quarterly Usage Report, Customer shall be obligated to, (a) provide a report no later than twelve (12) months following the Subscription Effective Date ("Annual Report") of all Users from said Subscription Term ("Overage Users"), and (b) be obligated to pay for such Overage Users, for the previous twelve (12) months, at the then current List Price for the GitLab Software. Overage Users subject to the Annual Report shall not include any pro-ration, set-off and/or deduction to account for term of use, or otherwise. Overage Users that have been identified in an Annual Report shall be considered due and payable in accordance with Section 6. In the event Overage Users are outstanding upon the expiration of a Subscription Term, Customer shall be obligated to pay for such Overage Users in order to renew the Software.

6.8 Any unpaid Fees are subject to a finance charge of one percent (1.0%) per month, or the maximum permitted by law, whichever is lower, plus all expenses of collection, including reasonable attorneys' fees. Fees under this Agreement are exclusive of any and all taxes or duties, now or hereafter imposed by any governmental authority, including, but not limited to any national, state or provincial tax, sales tax, value-added tax, property and similar taxes, if any. Fees under this Agreement shall be paid without any withholding or deduction. In the case of any deduction or withholding requirements, Customer will pay any required withholding itself and will not reduce the amount to be paid to GitLab on account thereof.

### 7. CONFIDENTIALITY

7.1 Each party (the "Receiving Party") understands that the other party (the "Disclosing Party") has disclosed or may disclose information relating to the Disclosing Party's technology or business (hereinafter referred to as "Confidential Information"). Such Confidential Information shall be either: (i) identified as confidential at the time of disclosure; or (ii) the nature of such information and/or the manner of disclosure are such that a reasonable person would understand it to be confidential. Without limiting the foregoing, and subject to applicable open source license(s), the Software is considered GitLab Confidential Information.

7.2 The Receiving Party agrees:
(i) not to divulge to any third person any such Confidential Information;
(ii) to give access to such Confidential Information solely to those employees with a need to have access thereto for purposes of this Agreement; and
(iii) to take the same security precautions to protect against disclosure or unauthorized use of such Confidential Information that the party takes with its own confidential information, but in no event will a party apply less than reasonable precautions to protect such Confidential Information.

7.3 The Disclosing Party agrees that Section 7.2 will not apply with respect to any information for  which the Receiving Party can document:
(i) is or becomes generally available to the public without any action by, or involvement of, the Receiving Party; or
(ii) was in its possession or known by it prior to receipt from the Disclosing Party; or
(iii) was rightfully disclosed to it without restriction by a third party, or
(iv) was independently developed without use of any Confidential Information of the Disclosing Party.

7.4 The parties' obligations with respect to the protection of Confidential Information shall remain in force for a period three (3) years following the receipt of such Confidential Information and shall survive any termination or expiration of this Agreement.

7.5 Nothing in this Agreement will prevent the Receiving Party from disclosing Confidential Information pursuant to any judicial or governmental order, provided that the Receiving Party gives the Disclosing Party, when legally possible, reasonable prior notice of such disclosure to allow the Disclosing Party to contest such order.

7.6 Each party acknowledges and agrees that the other may suffer irreparable damage in the event of a breach of the terms of this Section 7 and that such party will be entitled to seek injunctive relief (without the necessity of posting a bond) in the event of any such breach.

7.7 Both parties will have the right to disclose Confidential Information in connection with: (i) a required filing to a governmental authority (provided such party will use reasonable efforts to obtain confidential treatment or a protective order), or (ii) disclosures made to potential investors or acquirers, provided that at all times the Confidential Information shall be protected in a manner no less stringent as set forth in this Section 7.

7.8 GitLab may collect data with respect to, and report on the aggregate response rate and other aggregate measures of, the Software performance and Customer's usage of the Software. Notwithstanding the foregoing, GitLab will not identify Customer to any third party as the source of any such data without Customer's prior written consent.

### 8. INTELLECTUAL PROPERTY RIGHTS

8.1 Subject to the terms and conditions of this Agreement, GitLab hereby grants to Customer and its Affiliates a limited, non-exclusive, non-transferable, non-sublicensable license for Customer's and its Affiliates' Users to use, reproduce, modify, prepare derivative works based upon, and display the code of Software at the tier level selected by Customer, or as set forth in an Order Form, solely for: (i) its internal use in connection with the development of Customer's and/or its Affiliates' own software; and (ii) the number of Users for which Customer has paid GitLab. Notwithstanding anything to the contrary, Customer agrees that GitLab and/or its licensors (as applicable) retain all right, title and interest in and to all Software incorporated in such modifications and/or patches, and all such Software may only be used, copied, modified, displayed, distributed, or otherwise exploited in full compliance with this Agreement, and with a valid Subscription for the correct number of Users.

8.2 Except as expressly set forth herein, GitLab (and its licensors, where applicable) will retain all intellectual property rights relating to the Software and any suggestions, ideas, enhancement requests, feedback, or other recommendations provided by Customer, its Affiliates, Users or any third party relating to the Software (herein referred to as "Feedback Materials"), which are hereby assigned to GitLab. For the avoidance of doubt, Feedback Materials shall not include Customer Confidential Information or intellectual property owned by Customer.  This Agreement does not constitute a sale of the Software and does not convey to Customer any rights of ownership in or related to the Software or any other intellectual property rights.

8.3 Customer shall not remove, alter or obscure any of GitLab's (or its licensors') copyright notices, proprietary legends, trademark or service mark attributions, patent markings or other indicia of GitLab's (or its licensors') ownership or contribution from the Software.

8.4 Customer represents it shall be responsible for, and retain all right, title, and interest in and to, Customer Content, subject to a limited license to GitLab necessary for GitLab's provision of the Software as contemplated hereunder.

8.5 Customer grants to GitLab the right to use Customer's company name and logo in marketing and promotional materials, including earnings releases and calls, subject to Customer's brand and trademark guidelines as provided to GitLab from time to time.

### 9. WARRANTY

9.1 During the Subscription Term, GitLab represents and warrants that: (i) it has the authority to enter into this Agreement, (ii) the Software shall be provided in a professional and workmanlike manner by qualified personnel; and (iii) it will use commercial industry standard methods designed to ensure the Software provided to Customer does not include any computer code or other computer instructions, devices or techniques, including without limitation those known as disabling devices, trojans, or time bombs, that are intentionally designed to disrupt, disable, harm, infect, defraud, damage, or otherwise impede in any manner, the operation of a network, computer program or computer system or any component thereof, including its security or User data.

9.2  If at any time GitLab fails to comply with the warranties in this Section 9, Customer may promptly notify GitLab in writing of any such noncompliance.  GitLab will, within thirty (30) days of receipt of such written notification, either correct the noncompliance or provide Customer with a plan for correcting the noncompliance.  If the noncompliance is not corrected or if a reasonably acceptable plan for correcting the non-compliance is not established during such period, Customer may terminate this Agreement and receive a prorated refund for the unused portion of the Subscription Term as its sole and exclusive remedy for such noncompliance.

9.3 EXCEPT AS SPECIFICALLY SET FORTH IN THIS AGREEMENT, THE SOFTWARE, SUPPLEMENTAL SERVICES AND CONFIDENTIAL INFORMATION AND ANYTHING PROVIDED IN CONNECTION WITH THIS AGREEMENT ARE PROVIDED "AS-IS," WITHOUT ANY WARRANTIES OF ANY KIND.  GITLAB AND ITS LICENSORS HEREBY DISCLAIM ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND NON-INFRINGEMENT.

### 10. INDEMNIFICATION

10.1 GitLab will defend Customer from any claim, demand, suit or proceeding made or brought against Customer by a third party alleging the Software (excluding Free Software as set forth in Section 3.3) provided by GitLab infringes or misappropriates such third party's patent or copyright (a "Customer Claim").  GitLab will indemnify and hold Customer harmless from any damages, reasonable attorneys' fees and costs finally awarded against Customer as a result of a Customer Claim, or for amounts paid by Customer under a settlement approved (in writing) by GitLab, provided Customer: (i) promptly notifies GitLab in writing of the Customer Claim; (ii) gives GitLab all reasonable assistance at GitLab's expense; and (iii) gives GitLab sole control over defense and settlement thereof except that GitLab may not settle any Customer Claim unless it unconditionally releases Customer of all liability. The foregoing obligations do not apply if: (v) the Customer Claim arises from Software or any part thereof that is modified by Customer, or at Customer's direction, after delivery by GitLab; (w) the Customer Claim arises from the use or combination of the Software or any part thereof with other products, processes or materials not provided by GitLab where the alleged infringement relates to such combination; (x) Customer continues allegedly infringing activity after being notified thereof or after being informed of modifications that would have avoided the alleged infringement; (y) the Customer Claim arises from software not created by GitLab, or (z) the Customer Claim results from Customer's breach of this Agreement and/or applicable Order Forms. Notwithstanding the foregoing, in the event of a Customer Claim, GitLab, at its discretion, option and expense, reserves the rights to: (a) modify the Software to make it non-infringing provided there is no material loss of functionality; (b) settle such claim by procuring the right for Customer to continue using the Software; or (c) if in GitLab's reasonable opinion neither (a) or (b) are commercially feasible, terminate the license to the Software and refund a pro-rata portion of the amount paid by Customer for such Software for the unused portion of the Subscription Term.

10.2 Customer will defend GitLab and its Affiliates against any claim, demand, suit or proceeding made or brought against GitLab by a third party alleging: (i) that any Customer Content or Customer's use of Customer Content with the Software or any software (or combination of software) provided by Customer and used with the Software, infringes or misappropriates such third party's intellectual property rights, or (ii) arising from Customer's use of the Software in an unlawful manner or in violation of the Agreement, the applicable documentation, or Order Form (each a "GitLab Claim"). Customer will indemnify GitLab from any damages, reasonable attorneys' fees and costs finally awarded against GitLab as a result of, or for any amounts paid by GitLab under a settlement approved (in writing) by Customer of a GitLab Claim, provided GitLab: (x) promptly gives Customer written notice of the GitLab Claim, (y) gives Customer sole control of the defense and settlement of the GitLab Claim (except that Customer may not settle any GitLab Claim unless it unconditionally releases GitLab of all liability), and (z) gives Customer all reasonable assistance, at Customer's expense. The above defense and indemnification obligations do not apply if a GitLab Claim arises from GitLab's breach of this Agreement and/or applicable Order Form.

10.3 This Section 10 (Indemnification) states the indemnifying party's sole liability to, and the indemnified party's exclusive remedy against the other party for any third-party claim described in this section.

### 11. LIMITATION OF LIABILITY

11.1 TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL EITHER PARTY OR THEIR LICENSORS BE LIABLE FOR ANY INDIRECT, PUNITIVE, INCIDENTAL, SPECIAL, CONSEQUENTIAL DAMAGES, LOSS OF REVENUE, ANTICIPATED PROFITS, LOST BUSINESS OR LOST SALES, WHETHER BASED IN CONTRACT, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY, OR OTHERWISE, EVEN IF SUCH PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF DAMAGES.

11.2 TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, THE TOTAL LIABILITY OF EACH PARTY AND ITS AFFILIATES AND LICENSORS ARISING OUT OF OR RELATED TO THIS AGREEMENT, WHETHER BASED IN CONTRACT, TORT (INCLUDING NEGLIGENCE OR STRICT LIABILITY), OR OTHERWISE, WILL NOT EXCEED, IN THE AGGREGATE, THE TOTAL AMOUNT PAID BY CUSTOMER OR ITS AFFILIATES HEREUNDER IN THE ONE YEAR PERIOD PRECEDING THE FIRST INCIDENT OUT OF WHICH THE LIABILITY AROSE.  THE FOREGOING LIMITATIONS WILL APPLY NOTWITHSTANDING ANY FAILURE OF ESSENTIAL PURPOSE OF ANY LIMITED REMEDY, BUT WILL NOT LIMIT CUSTOMER'S OR ITS AFFILIATES' PAYMENT OBLIGATIONS UNDER THE "PAYMENT OF FEES" SECTION ABOVE.

### 12. U.S. GOVERNMENT MATTERS

12.1 Notwithstanding anything else, Customer may not provide to any person or export or re-export or allow the export or re-export of Controlled Subject Matter, in violation of any restrictions, laws or regulations of the United States Department of Commerce, the United States Department of Treasury Office of Foreign Assets Control, or any other United States or foreign agency or authority.

12.2 Without limiting the foregoing, Customer acknowledges and agrees that the Controlled Subject Matter will not be used or transferred or otherwise exported or re-exported to Embargoed Countries, or to or by a national or resident thereof, or to or by Designated Nationals.  The lists of Embargoed Countries and Designated Nationals are subject to change without notice.  Use of the Software is representation and warranty that the Customer, Customer personnel, or Contractors are not located in, under the control of, or a national or resident of an Embargoed Country or a Designated National.

12.3 The Controlled Subject Matter may use or include encryption technology that is subject to licensing requirements under the U.S. Export Administration Regulations.

12.4 As defined in FAR section 2.101, any software and documentation provided by GitLab are "commercial items" and according to DFAR section 252.2277014(a)(1) and (5) are deemed to be "commercial computer software" and "commercial computer software documentation."  Consistent with DFAR section 227.7202 and FAR section 12.212, any use modification, reproduction, release, performance, display, or disclosure of such commercial software or commercial software documentation by the U.S. Government will be governed solely by the terms of this Agreement and will be prohibited except to the extent expressly permitted by the terms of this Agreement.

### 13. FORCE MAJEURE

13.1 GitLab and Customer will not be liable for any default or delay in the performance of their respective non-monetary obligations, to the extent that such default or delay is caused, directly or indirectly, by fire, flood, earthquake, explosions, elements of nature, acts of God, acts or regulations of government bodies, nuclear, chemical or biological contamination, court orders arising out of circumstances other than a breach of this Agreement by the Non-performing Party (as defined below), acts of war, terrorism, riots, civil disorders, rebellions or revolutions, strikes, lockouts or labor difficulties, epidemics or by any other event or circumstance that is beyond the reasonable control of GitLab or Customer. The party that is unable to perform shall be referred to as the "Non-performing Party". Such an event or circumstance giving rise to the default or delay is hereby referred to as a "Force Majeure Event".

13.2 The Non-performing Party will be excused from any further performance of the non-monetary obligations affected by such Force Majeure Event for as long as such Force Majeure Event continues and the Non-performing Party continues to use commercially reasonable efforts to resume performance.

13.3 Except as expressly excused in this Section 13, each party will continue to perform its respective obligations under this Agreement during a Force Majeure Event.

### 14. SECURITY / DATA PROTECTION

14.1 Without limiting GitLab's obligations as stated in Section 7 (Confidentiality), GitLab shall be responsible for establishing and maintaining a commercially reasonable information security program that is designed to: (i) ensure the security and confidentiality of the Customer Content; (ii) protect against any anticipated threats or hazards to the security or integrity of the Customer Content; (iii) protect against unauthorized access to, or use of, the Customer Content; and (iv) ensure that all subcontractors of GitLab, if any, comply with all of the foregoing. In no case shall the safeguards of GitLab's information security program be less stringent than the information security safeguards used by GitLab to protect its own commercially sensitive data. Customer shall use commercially reasonable security and anti-virus measures when accessing and using the Software and to prevent unauthorized access to, or use of the Software, and notify GitLab promptly of any such unauthorized access or use of which it becomes aware.

14.2 With respect to the protection of information, the GitLab Privacy Statement located here https://about.gitlab.com/privacy/, shall apply. If this Agreement is entered into on behalf of an Enterprise, the terms of the data processing addendum at https://about.gitlab.com/handbook/legal/data-processing-agreement/ ("DPA") are hereby incorporated by reference and shall apply to the extent Customer Content includes Personal Data, as defined in the DPA. To the extent Personal Data from the European Economic Area (EEA), the United Kingdom and Switzerland are processed by GitLab, the Standard Contractual Clauses shall apply, as further set forth in the DPA. For the purposes of the Standard Contractual Clauses, Customer and its applicable Affiliates are each the data exporter, and Customer's acceptance of this Agreement, and an applicable Affiliate's execution of an Order Form, shall be treated as its execution of the Standard Contractual Clauses.

14.3 The parties acknowledge and agree that, (i) the Software is not designed for the purpose(s) of storing, processing, compiling or transmitting Sensitive Data (as defined herein), and (ii) Customer shall not use the Software, or otherwise provide to GitLab without prior written consent, Sensitive Data under this Agreement. "Sensitive Data" means: (a) special categories of data enumerated in European Union Regulation 2016/679, Article 9(1) or any successor legislation; (b) patient, medical, or other protected health information regulated by the Health Insurance Portability and Accountability Act (as amended and supplemented) ("HIPAA"); (c) credit, debit, or other payment card data or financial account information, including bank account numbers or other personally identifiable financial information; (d) social security numbers, driver's license numbers, or other government identification numbers; (e) other information subject to regulation or protection under specific laws such as the Children's Online Privacy Protection Act or Gramm-Leach-Bliley Act ("GLBA") (or related rules or regulations); or (f) any data similar to the above protected under foreign or domestic laws. Customer further acknowledges that the Software and related features are not intended to meet any legal obligations for these uses, including HIPAA and GLBA requirements, and that GitLab is not a Business Associate as defined under HIPAA. Therefore, notwithstanding anything else in this Agreement, GitLab has no liability for Sensitive Data processed in connection with Customer's use of  the Software.

14.4 To the extent Customer has Users of the SaaS Software located in the People's Republic of China, Customer represents and warrants that it has complied with all requirements of a "personal information processor," as that term is defined under the Personal Information and Protection Law of the People's Republic of China ("PIPL"). This includes the requirement to provide adequate notice and obtain all necessary consents from relevant Users prior to the overseas transfer and processing of Personal Data by GitLab, as well as onward transfers and processing by GitLab's third-party subprocessors. In addition, Customer warrants, where required, that it will not transfer Personal Data without a security assessment, as described in PIPL, from the Cyberspace Administration of China. Nothing in this section limits GitLab or Customer's obligations under the DPA.

### 15. MISCELLANEOUS

15.1 If any provision of this Agreement is found to be unenforceable or invalid, that provision will be limited or eliminated to the minimum extent necessary so that this Agreement will otherwise remain in full force and effect and enforceable.

15.2 This Agreement is not assignable, transferable or sublicensable by either party without the other party's prior written consent, not to be unreasonably withheld or delayed; provided that either party may transfer and/or assign this Agreement to a successor in the event of a sale of all, or substantially all, of its business or assets to which this Agreement relates.

15.3 This Agreement is the complete and exclusive statement of the mutual understanding of the parties and supersedes and cancels all previous written and oral agreements, communications and other understandings relating to the subject matter of this Agreement. All waivers and modifications must be in a writing signed or otherwise agreed to by each party, except as otherwise provided herein.

15.4 No agency, partnership, joint venture, or employment is created as a result of this Agreement and neither party has any authority of any kind to bind the other in any respect whatsoever.

15.5 In any action or proceeding to enforce rights under this Agreement, the prevailing party will be entitled to recover costs and attorneys' fees.

15.6 All notices under this Agreement will be in writing and will be deemed to have been duly given when received, if personally delivered; when receipt is electronically confirmed, if transmitted by facsimile or e-mail; and upon receipt, if sent by certified or registered mail (return receipt requested), postage prepaid. Any notices to GitLab shall also include a copy to legal@gitlab.com.

15.7 In addition to any rights that accrued prior to termination, the provisions of Sections 3.3, and 5 through 15 shall survive any termination of this Agreement.

15.8 This Agreement will be governed by the laws of the State of California, U.S.A. without regard to its conflict of laws provisions.  The federal and state courts sitting in San Francisco County, California, U.S.A. will have proper and exclusive jurisdiction and venue with respect to any disputes arising from or related to the subject matter of this Agreement. The United Nations Convention on Contracts for the International Sale of Goods is expressly disclaimed by the Parties with respect to this Agreement and the transactions contemplated hereby.

## APPENDIX 1: GitLab Subscriptions

Fees for the Subscriptions are based upon the number of Users and the applicable level of support and/or functionality of the Software, as set forth in the table below. In the event Customer does not reasonably comply with written specifications or instructions from GitLab's service engineers, regarding any support issue or request (including without limitation, failure to make backups of Customer Content or versions of Software) (each, a "Support Issue"), GitLab may cease its support obligations to Customer with respect to such Support Issue upon fifteen (15) days written notice and Customer's inability to cure such noncompliance within the notice period.

### SUBSCRIPTIONS AND LEVELS OF SUPPORT

| Subscription*                          | Level of Support (*First Response Time*)            | Support Details                                                                                        |
|----------------------------------------|-----------------------------------------------------|--------------------------------------------------------------------------------------------------------|
| Free *(Formerly "Core" or "Free")*     | GitLab Community Forum                              |                                                                                                        |
| Starter *(F.K.A "Basic" or "Bronze")*  | GitLab Standard Support                             | 24 x 5 Support Next business day response (24 hour SLA) Submit Tickets at https://support.gitlab.com |
| Premium *(Formerly Premium or Silver)* | Priority Support (Based upon Support Impact ******) | See Priority Support Overview https://support.gitlab.com                                               |
| Ultimate *(Formerly Gold or Ultimate)* | Priority Support (Based upon Support Impact**)      | See Priority Support Overview https://support.gitlab.com                                               |

*Note: Subscription names are subject to change, however, the applicable Subscription for that Tier shall remain the same during a Subscription Term.

**Support Impact categories are defined at: https://about.gitlab.com/support/definitions/#definitions-of-support-impact

**PRIORITY SUPPORT OVERVIEW:** https://about.gitlab.com/support/#priority-support

**CUSTOMER SUCCESS SERVICES**

- Customer Success Services include additional assistance with respect to Customer's use of the GitLab Software. Customer Success Services are provided at no charge, an overview of the Customer Success Services can be found at https://about.gitlab.com/services/customer-success-services/. In order to receive Customer Success Service(s), Customer understands that additional data and information ("Operational Data") will be collected. An overview of Operational Data can be found at: https://gitlab-org.gitlab.io/growth/product-intelligence/metric-dictionary/?data_category=operational.

## APPENDIX 2: Software as a Service (SaaS) Offering

With respect to Customer's purchase and/or use of the SaaS Software , the following additional terms shall apply.

### AVAILABILITY

Availability to the SaaS Software will be measured, and reported on, by GitLab using instrumentation and observation tools specifically designed to provide a representative measure of service availability. Recent status, references to availability measurement definition, and historical reporting will be available at or linked from the GitLab system status site located at https://about.gitlab.com/handbook/engineering/monitoring/#gitlabcom-service-level-availability.

### RESILIENCY

GitLab will architect and maintain an underlying cloud infrastructure with commercially reasonable resiliency for all data, compute, and network services. At a minimum, GitLab will maintain the highest documented level of "GitLab Reference Architecture" as detailed at https://docs.gitlab.com.

### BACKUPS

GitLab will maintain a commercially reasonable system of data backup process and technology to ensure that primary data sources remain recoverable in the event of various system failures.

### MONITORING AND INCIDENT RESPONSE

GitLab will employ a system of instrumentation and observation tools to ensure that system behavior which may limit use of the SaaS Software is detected and announced. GitLab will also employ industry reasonable practices to maintain appropriate engineering personnel availability for the purposes of incident response(s).

### UPDATES AND UPGRADES

GitLab will update the SaaS Software as updates are available and when reasonably practical to implement said updates. Update timing and process will remain at GitLab's discretion.

### SCHEDULED SYSTEM MAINTENANCE

GitLab will occasionally perform scheduled system maintenance which requires limits to the use of part or all of the SaaS Software features, or significantly reduces features and functions during the scheduled system maintenance period. GitLab will provide ten (10) business days notice for all scheduled system maintenance activities. GitLab will take a proactive approach to minimizing the need for such maintenance and will limit scheduled system maintenance to less than four (4) hours per calendar month. Notwithstanding the foregoing, in the event of emergency or urgent issue which may negatively impact GitLab's customers, GitLab has the right to carry out unscheduled maintenance to remedy such instance(s). For the avoidance of doubt, such unscheduled maintenance shall: (i) be limited to only those issues which may negatively impact customers; and (ii) will be carried out in such a manner to provide for the least amount of disruption to customers.

### SUSPENSION OF SERVICE

GitLab reserves the right to suspend service to the SaaS Software if: (i) Customer fails to comply with the Agreement and this Appendix, (ii) Customer exceeds set application limits, or (iii) requests or usage deemed malicious in nature is identified to be sourced from Customer accounts, personnel, or systems.
