---
title: "LEGACY: Privacy Statement"
---
<!-- vale off -->
## LEGACY: Privacy Statement (Effective Dates June 10, 2022 - March 18, 2024)

### Introduction

At GitLab, we take the privacy and security of your information seriously. This privacy statement ("Privacy Statement") will explain how GitLab B.V. and GitLab, Inc. ("GitLab", "we", "our", "us") handle your personal data. "Personal Data," as used in this Privacy Statement, is information that identifies or can reasonably be linked directly or indirectly to an identifiable person. The privacy practices and standards detailed in this Privacy Statement apply to all data subjects globally, unless specifically noted otherwise. In particular, this Privacy Statement will touch on the following sections:

What Personal Data does GitLab collect about me?
What Personal Data is Not Collected by GitLab?
How does GitLab use my Personal Data?
With Whom does GitLab share my Personal Data?
How does GitLab Secure my Personal Data?
What are my rights and choices regarding Personal Data?
U.S. State Privacy Rights
Other important privacy information

This Privacy Statement applies to the GitLab websites ("Websites"), GitLab.com ("SaaS"), Self-managed ("Self-managed"), and additional software products and services; collectively "Services.

## What Personal Data does GitLab collect about me?

The categories of Personal Data collected by GitLab change depending on the Services you use and whether those Services are free or paid. We have described below which Services correlate with the processing in each Personal Data category.

### Information You Provide Directly

We collect the Personal Data you provide to us, for example:

*Account Information:* When you register for an account with GitLab, we collect information that identifies you such as your name, username, email address and password. This is collected for free and paid users of the SaaS product.

*Profile Information:* We collect information that you voluntarily provide in your user profile; this may include your public avatar (which may be a photo), additional email addresses, company/organization name, job title, country, social media handles, and biography. Please note this information may be visible to other users of the Services and to the public depending on the privacy setting you apply. This is collected for free and paid users of the SaaS product.

*Payment Information:* If you purchase a paid subscription from GitLab, we will collect payment information from you that may include your name, billing address and credit card or bank information. We may also use your credit card information to verify your identity and prevent abuse of our pipelines. Please note that GitLab does not directly process or store your entire credit card number, but we do direct that information to our third-party payment processors for processing. This is collected for paid users of the Self-managed and SaaS products.

*Marketing Contact Information:* If you request GitLab to contact you, or sign up for marketing materials or events, GitLab may collect information such as name, address, email address, telephone number, company name, and size of company. This may be collected through the Websites as well as through the use of the Self-managed or SaaS products.

*Licensee Information:* We collect licensee name, email address, and similar information associated with the individual that receives a license key for the paid users of the Self-managed product.

*Content you provide through the use of the Services:* Examples of content we collect and store include but are not limited to: the summary and description added to an issue, your repositories, commits, project contributions, profile metadata, activity data, and comments. Content also includes any code, files and links you upload to the Services. This is collected for the free and paid users of the SaaS product.

*Customer Support and Professional Services:* If you contact GitLab customer support or receive professional services, we will collect information about you related to your account and to the requests you are making or the services being provided. Customer Support information is collected through the Websites, such as the [GitLab Community Forum](https://forum.gitlab.com/) and the [GitLab Support Portal](https://support.gitlab.com/hc/en-us).

*Call Recordings:* We may record and transcribe sales calls hosted on various videoconferencing technologies to enable our sales and support teams to share conversational insights, create training and presentations, and improve their internal processes.

*Other Content You Submit:* We may also collect other content that you submit to our Services. For example: feedback, comments and blog posts, or when you participate in any interactive features, surveys, contests, promotions, prize draws, activities or events. When you participate in interactive channels, we may collect and process information for demographic analysis. Such collection is not tied to any specific products, but may be collected through the Websites.

### Information About Your Use of the Services We Collect Automatically

We may collect certain Personal Data automatically through your use of the Services, for example:

*Device Information and Identifiers:* When you access and use our Services, we automatically collect information about your device, which may include: device type, your device operating system, browser type and version, language preference, IP address, hardware identifiers, and mobile IDs. This information may be collected through any use of the Services.

*Subscription Data:* We may automatically collect information about the number of active users, licensing timetables, historical user count, and IP address. This is collected for paid Self-managed and SaaS instances. Subscription Data details can be found in the [Metrics Dictionary](https://metrics.gitlab.com/?q=subscription).

*Services Usage Data:* Services Usage Data is broken into two categories: Optional Data and Operational Data. Optional Data is aggregated metrics regarding activity and feature usage that provide insights into the success of stages and features. Operational Data is aggregated metrics that track how value is delivered through the use of the Services and provide insights into optimal customer implementation. Both categories of Services Usage Data can be tied to the instance hostname, but the information does not contain any other individual user data. This is collected for the free and paid users of the Self-managed and SaaS products. For more information about the data collected and how to set your preferences, please visit [Services Usage Data](/handbook/legal/privacy/customer-product-usage-information/).

*Events Data:* In addition to Services Usage Data, GitLab also uses event analytics, such as browsing duration, page clicks and page views, in a pseudonymized form to gain insights into end-to-end user behavior. This is collected for SaaS and Self-managed products.

*Website Usage Data:* When you visit our Websites, we automatically log information about how you interact with the sites, such as the referring site, date and time of visit, and the pages you have viewed or links you have clicked.

*Cookies and Similar Tracking Technologies:* GitLab uses cookies and similar technologies to provide functionality, such as storing your settings, and to recognize you as you use our Services. In addition, we use cookies to gather information to provide interest-based advertising which is tailored to you based on your online activity. Please review our [Cookie Policy](https://about.gitlab.com/privacy/cookies/) to learn about our practices and the controls we provide you.

*Email marketing:* When we send you emails, they may include technology such as a web beacon, that tells us your device type, email client, and whether you have received and opened an email, or clicked on any links contained in the email.

*Buttons, tools, and content from other companies:* The Services may include links or buttons to third-party services such as Facebook and Twitter. We may collect information about your use of these features. In addition, when you see or interact with these buttons, tools, or content, some information from your browser may automatically be sent to the other company. Please read that company's privacy statement for more information.

### Information from Third-Parties and Partners

We may collect Personal Data from other parties in the following ways:

*Vendors and Partners:* We may receive information about you from third-parties such as vendors, resellers, partners, or affiliates. For example, we receive information from our resellers about you and your orders, or we may supplement the data we collect with demographic information licensed from third-parties in order to personalize the Services and our offers to you. Likewise, our sales, marketing, and recruiting teams may receive access to third-party databases containing information to enrich business contacts and other corporate data, or we may receive social listening data from companies that monitor public posts.

*Third-Party sign-in services:* GitLab allows you to sign up for/in to our Services using third-party accounts, such as Facebook or Google. When you give permission for this to happen, GitLab will receive information about you from your third-party account, such as name, email address, location and demographic information.

*Other users of the Services:* Other users of the Services may provide information about you when they submit issues and comments, or we may receive information when you are designated as a representative or administrator on your company's account.

When you are asked to provide personal data, you may decline. And you may use web browser or operating system controls to prevent certain types of automatic data collection. But if you choose not to provide or allow information that is necessary for certain products or features, those products or features may not be available or function correctly.

## What Personal Data is Not Collected by GitLab?

GitLab does not intentionally collect sensitive Personal Data, such as social security numbers, genetic data, health information, or religious information. Although GitLab does not request or intentionally collect any sensitive Personal Data, we realize that users might store this kind of information in a GitLab repository.

GitLab does not intentionally collect the Personal Data of individuals that are stored in users' repositories or other free-form content inputs. If Personal Data is stored in a user repository then the repository owner is responsible for its processing.

If you are a child under the age of 13, you may not have an account. With the exception of Educational Licenses, GitLab does not knowingly collect information from, or direct any of our Services to, children under 13. If we learn or have reason to suspect that a user is under the age of 13, we will close the child's account.

### How does GitLab use my Personal Data?

GitLab uses your Personal Data for the following purposes:

- To create your account, identify and authenticate your access to the Services and provide you with the Services you have requested;
- To process your payment for the Services you have purchased;
- To understand how our Services are used and to improve our Services;
- To provide personalized experiences;
- To conduct user research and development;
- To send you important information about the Services;
- To send you information you have requested;
- To create digital productions and manage events;
- To provide trainings and learning opportunities;
- To enable partners to register and track deals;
- To provide workload and code review recommendations through machine-learning;
- To respond to your requests for customer support; - To improve the security of and troubleshoot our Services, as necessary to perform the contract governing your use of our applications or to communicate with you;
- To detect, prevent, or otherwise address fraud and abuse to protect you, GitLab, and third-parties;
- To enforce the legal terms that govern our Services;
- To comply with our legal obligations;
- To protect the rights, safety and property of GitLab, you, or any third-party; and
- For other purposes, for which we obtain your consent.

### Legal Basis for the Processing of your Personal Data

When our processing is subject to international laws, including but not limited to the General Data Protection Regulation ("GDPR") that governs individuals located in the European Economic Area ("EEA"), we collect and process your Personal Data using one or more of the following legal bases set out by applicable law:

*Performance of a contract:* We use your Personal Data to provide the Services you have subscribed to, and to complete and administer the contract you have entered into with GitLab, which includes the [Subscription Agreement](/handbook/legal/subscription-agreement/), the [Website Terms of Use](/handbook/legal/policies/website-terms-of-use/), and any agreement to process payment information.

*Legitimate Interests:* We use your Personal Data for our legitimate interests, such as to provide you with relevant content, communicate with business leads, improve our products and services, and for administrative, security, fraud prevention and legal purposes. You may object to the processing of your Personal Data for these purposes at any time.

*Consent:* We may use your Personal Data, with your consent, for specific purposes such as marketing, surveys, call recordings, and research. You may withdraw your consent for the specific purpose or object to the processing of your Personal Data at any time.

*Compliance with a Legal Obligation:* We may use your Personal Data in connection with legal claims, regulatory compliance, and audits.

### With Whom does GitLab share my Personal Data?

*Sharing with Users and the Public:* We may share your Personal Data with other users of the Services and with the public if you choose to make your SaaS Profile public. You have control over what information is public. To change your settings, go to [User Settings](https://gitlab.com/-/profile) in your profile. You should also be aware that any information you share as part of a project, blog, website etc. may be publicly available and you should consider this carefully when interacting with the Services.

*Sharing with Managed Accounts and Administrators:* If you have created a GitLab account with your corporate email address, we may share your Personal Data with your Company if your Company enters into a commercial relationship with GitLab. If this happens, then your use of the software and your account is subject to the terms and any data protection agreement between your Company and GitLab.

In the event you change the email address on your account from a corporate email address to a personal email address and, thereafter, your Company enters into a commercial relationship with GitLab, your Personal Data related to that account will not be shared with your Company. GitLab will not link an account to a Company based on retroactive use of a corporate email.

In addition, if you choose to become a member of a project, your username, email address, IP address, the date when access was granted, the date when access expires, and your access role will be shared with the group owners of that project.

*Sharing with Service Providers:* We share your Personal Data with our service providers. These are companies who provide services on our behalf, such as hosting our Services, marketing, advertising, social, analytics, support ticketing, credit card processing, security and other such similar services. These companies are subject to contractual requirements that govern the security and confidentiality of your information.

For example, we use analytics providers, such as Google Analytics, to help us understand the operation and performance of our Services. To learn about how Google uses and shares data it collects through its services, please visit <https://www.google.com/policies/privacy/partners/>. In addition, please visit our [Sub-Processors page](https://about.gitlab.com/privacy/subprocessors/#third-party-sub-processors) to see the list of our Sub-Processors that we use in order to provide customer support and host the Services.

*Sharing with Partners and Resellers:* GitLab works with third-parties who provide sales, consulting, support and technical services for our Services. Where permitted and with your consent (if required), we may share your data with these partners and resellers.

*Sharing with Affiliated Companies:* GitLab will share information collected with [companies owned and operated by us](https://about.gitlab.com/company/visiting/).

*Sharing for Fraud and Prevention Abuse:* We may share your information when we have a good faith belief that the disclosure is necessary to prevent fraud, abuse of our services, defend against attacks, and to protect the safety of GitLab and our users.

*Law Enforcement:* GitLab may disclose Personal Data or other information we collect about you to law enforcement if required in response to a valid subpoena, court order, search warrant, a similar government order, or when we believe in good faith that disclosure is necessary to comply with our legal obligations, to protect our property or rights, or those of third-parties or the public at large.

*Merger or Acquisition:* We may share your Personal Data if we are involved in a merger, sale, or acquisition of corporate entities or business units. If any such change of ownership happens, we will ensure that it is under terms that preserve the confidentiality of your Personal Data, and we will notify you on our website or by email before any transfer of your Personal Data.

### Sharing Personal Data across national borders

Our Services are hosted in the United States and information we collect will be stored and processed on our servers in the United States. Our employees, contractors, affiliated organizations, service providers, and sub-processors that process Personal Data may be located in the United States or other countries outside of your home country. If you reside in the EEA, United Kingdom, or Switzerland, and we transfer information about you to a jurisdiction that has not been found by the European Commission to have adequate data protections, we will use available safeguards and legal mechanisms to help ensure your rights and protections, including using Standard Contractual Clauses or obtaining your consent.

## How does GitLab Secure my Personal Data?

We work hard to protect your Personal Data. We employ administrative, technical, and physical security controls where appropriate, to protect your information. For more information on our security practices please see: [Technical and Organizational Security Measures for GitLab.com](/handbook/security/security-assurance/technical-and-organizational-measures/).

### Data Retention

In order to protect your Personal Data, GitLab will only retain your Personal Data for as long as your account is active or as needed to perform our contractual obligations, provide you the Services, comply with legal obligations, resolve disputes, preserve legal rights, or enforce our agreements.

GitLab reserves the right to delete inactive accounts, projects, namespaces, and associated content. GitLab may deem an account, project, or namespace inactive based on various criteria, including, but not limited to, the account creation date, the last time there was a valid log-in, and the date of the last contribution. If we plan to delete your account or projects, we will provide advance notice by sending a message to the email address registered to your account. GitLab encourages you to utilize your account on occasion to avoid the risk of being deemed inactive.

## What are my rights and choices regarding Personal Data?

You have the right to access, correct, restrict or delete your Personal Data, and to port your Personal Data to another company. While these rights may vary by jurisdiction, GitLab provides you with the same rights and choices, no matter where you live. We provide these rights free of charge unless your requests are manifestly unfounded and excessive.

You may exercise your choices and rights as follows:

*To opt out of email marketing:* You may opt-out of email marketing by clicking the "unsubscribe" link located at the bottom of any marketing email you receive or by visiting our [preference center](https://about.gitlab.com/company/preference-center/) and unsubscribing. You may continue to receive transactional email messages about your account and the Service after you have unsubscribed.

*To opt-out of Interest-based advertising:* If you wish to opt-out of interest-based advertising, please visit the Cookie Policy to see your options.

*Request a copy of your information:* You may [request a copy of the Personal Data](/handbook/legal/privacy/gdpr/) that GitLab has about you.

*Update your Information:*  If you already have an account, you may access, update, or alter your user profile information by logging into your account and updating profile settings.

*To delete your Account:* If you only want to delete your SaaS account, you may do so by logging into your account and going to the "Delete my Account" option in your profile settings. If your intention is to delete your Personal Data across all systems, including your account, you need to fill out a [Personal Data Request Form](https://support.gitlab.io/personal-data-request/) and select "Account Deletion (full)" in the "Request Type" dropdown menu. If your account is tied to a Company that has entered into a commercial relationship with GitLab, you will have to ask your Company administrator to remove your account from that corporate namespace before we can delete it. Once your account is no longer associated with that corporate namespace, GitLab will process your deletion request according to the process stated herein.

Please note that due to the open source nature of our Services, we may retain limited Personal Data indefinitely in order to provide a transactional history. For example, if you provide your information in connection with a blog post or comment, we may display that information even if you have deleted your account as we do not automatically delete community posts. Also, if you contribute to a public project (not owned by GitLab), and you provide your Personal Data in connection with that contribution, your Personal Data will be embedded and publicly displayed with your contribution, and we will not be able to delete or erase it because doing so would break the project.

One exception to embedded information in a public project occurs when your Personal Data is added by you or someone else to the comments section of a public project. In such a case, your Personal Data will be redacted since removing this information from only the comments section will not break the project.

If you contribute to a GitLab owned project by commenting in, or creating an issue or merge request and you provide your Personal Data in connection with that contribution, your Personal Data associated with your contribution will be deleted and attributed to a ghost user. However, please note that if the content of the contribution contains Personal Data, this information would remain and you will need to submit a specific request to have this information deleted.

*To port your projects:* You may port your projects by either using the [Export functionality](https://docs.gitlab.com/ee/user/project/settings/import_export.html) provided within the SaaS product which will also include all metadata, or by cloning your repositories. To port your profile information, you may use the [API](https://docs.gitlab.com/ee/api/users.html#for-user).

*To inform your Supervisory Authority:* In the unlikely event you disagree with our handling of your request, you have the right to file a complaint with the competent supervisory authority in your jurisdiction.

## US State Privacy Rights

If you are a California or Virigina resident, please visit the [U.S. State Privacy Rights Disclosures](/handbook/legal/privacy/us-state-privacy-disclosure/) for a specific description of your privacy rights and collection practices.

## Other important privacy information

### Statement Changes

GitLab may change its Privacy Statement from time to time. When we do, we will update the date at the top of this Statement. If we decide to make a significant change to our Privacy Statement, we will post a notice of the update on the homepage of our Website. We may also provide notification via email of any material changes to our Privacy Statement.

### Contact Us

Your information is controlled by GitLab B.V. and GitLab Inc. If you have questions or concerns about the way we are handling your Personal Data, please email us with the subject line "Privacy Concern" at [DPO@gitlab.com](mailto:dpo@gitlab.com).
