---
title: "Legal Operations"
description: "Information and processes related to Legal Operations"
---

The Legal Operations Team is responsible for supporting Legal Team processes with a focus on defining and driving initiatives that improve the team's efficiency and effectiveness.

Check out the [Legal Operations Portfolio](https://gitlab.com/groups/gitlab-com/-/epics/1641) to learn more about our active projects.

## Legal Tech Stack

The Legal Operations Team manages the [Legal Tech Stack](https://docs.google.com/spreadsheets/d/1nLtWVx6mebR7_y2Qv_CcScbVW-ryLVzvcFVgGk2yeRs/edit#gid=686289913) – the tools used by the rest of the GitLab Legal Team. (Note that the tech stack document is accessible to GitLab Legal Team Members only.)

## Procurement

For information on GitLab's Procurement Team, policies, and processes, visit the [GitLab Procurement Team handbook](/handbook/finance/procurement/).

Use the [Procurement Guide: Collaborating with GitLab Legal](/handbook/legal/procurement-guide-collaborating-with-gitlab-legal/) to learn about how Legal assists and interacts with the procurement of products and services.

**Processes:**

- [Uploading executed contracts to ContractWorks](/handbook/legal/vendor-contract-filing-process/)

## Legal & Corporate Affairs Billing Process

The purpose of this process is to streamline receiving and tracking invoices and accruals for outside counsel vendors. For more information about invoicing and payment, see the [Accounts Payable handbook](/handbook/finance/accounts-payable/).

### Invoices

- All outside counsel invoices should be sent to <legalbilling@gitlab.com>.
- Upon receipt, Legal Operations updates the LACA Counsel Budget Tracker.
- DRIs review their invoices weekly, and approve or reject.
- Approved invoices are sent to ap@gitlab.com by Legal Operations.
  - DRIs engage with outside counsel to discuss any rejected invoices. Upon resubmission, Legal Operations will update the tracker and submit to AP.

### Accruals

- Legal Operations sends a blanket request to all vendors on the 15th of the month requesting accruals be submitted by the 1st day of the following month.
  - For example, for accruals of August 2023, the latest accruals should be provided to GitLab is 2023-09-01.
- Once accruals are received, Legal Operations logs and submits to FP&A.
  - DRIs can review for accuracy as needed/desired.

### Legal & Corporate Affairs Expenditure Request Process

This process is designed to enable LACA team members to submit requests related to attending events/conferences, furthering development, or purchasing tools/software funded by LACA. This process does not apply to [equipment](/handbook/finance/expenses/#equipment), [Individual Use Software](/handbook/finance/procurement/personal-use-software/) or other personal reimbursement requests.

- All expenses / reimbursements must be in accordance with [GitLab's Travel & Expense Policy](/handbook/finance/expenses/).
- Regardless of the type of expenditure, all requests for use of LACA funds require approval from applicable stakeholders within the LACA Expenditure Request Issue Template.
- Requests must be submitted, (i) no less than ninety (90) days prior to the event/purchase request date, and (ii) no more than once per year.
- For conferences or development requests, team members are expected to share materials and insight with others within LACA (and GitLab).

#### Types of Expenditures

- Growth & Development: Team members can review the [Growth & Development Program](/handbook/people-group/learning-and-development/growth-and-development/#growth-and-development-fund-eligibility) and  various options available to GitLab team members._Note: The program would not cover costs associated with travel & expenses, which would be allocated to the LACA budget._
- Event / Conferences: Team members may wish to attend applicable events / conferences where they can learn more about a specific subject. Team members must complete the LACA Expenditure Request Issue Template and supply the necessary information.
- Tools / Software: For requests related to new tools / software, a LACA Expenditure Request Issue Template is required.

#### Expenditure Process Overview

- LACA team members must first communicate their intended request with their manager.
- If supported by the manager, the team member will complete the [LACA Expenditure Request Issue Template](https://gitlab.com/gitlab-com/legal-and-compliance/-/issues/new) (under _Description_, select the "laca-travel-and-expense-request" template).
- Included within the LACA Expenditure Request Issue Template are details that the team member must complete.
- Upon being submitted, the request will be reviewed internally by LACA leadership.
- If approved, the request will then be assigned to Finance to ensure applicable funds are available.
- Requests are considered fully approved only when all stakeholder checkboxes have been completed. Please note, all expenses tied to the request must be submitted in accordance with [GitLab's Travel & Expense Policy](/handbook/finance/expenses/).
