---
title: "NAVEX Compliance Courses"
description: "Information about NAVEX compliance training, including processes, course info, and FAQ"
---

## Access

Navex is GitLab's online ethics and compliance training solution. All new team members have a task during their onboarding to set up their NAVEX account and complete the assigned courses within 30 days of starting. NAVEX accounts are provisioned automatically on a new hire's start date via a Workday integration and can only be accessed through Okta.

## Courses

Team members are enrolled in the following courses on their start date:

- Code of Conduct
- Insider Trading
- Global Data Privacy
- Anti-Bribery and Corruption (note, this course is currently only assigned to team members on the Finance, Legal, Sales, and Marketing teams)
- Government Contracting: Gifts, Gratuities, and Bribery (note, this course is currently only assigned to team members who are employed by or work with our public sector entity).

Each of these courses should take around 30 minutes or less to complete.

Additionally, team members will also be enrolled in the following anti-harassment-related course(s):

- Individual Contributors located outside the US will be enrolled in the *Global Workplace Harassment* course, which will take approximately 30 minutes to complete.
- Individual Contributors located in the US will be enrolled in a *Workplace Harassment 10* course, which has various editions designed to meet the requirements of various local requirements. This course will take approximately 60 minutes to complete; however, the exact length will vary depending on each team member's location.
- Managers located outside the US (with the exception of any having direct reports located in Cook County, Illinois) will be enrolled in the *Global Workplace Harassment for Managers* course, which should take approximately 30-60 minutes to complete.
- Managers located within the US and managers outside the US but having direct reports located in Cook County, Illinois will be enrolled in the *Workplace Harassment 10 for Managers* course, which is designed to meet the heightened training requirements that apply to GitLab due to its business operations in various states and the City of Chicago, Illinois. This course should take approximately 2 hours to complete. If you complete the course in under 2 hours, you will be prompted to spend the remaining time reviewing the course material to meet the state-specific jurisdictional requirements.
- All team members located in Cook County, Illinois and/or having direct reports located in Cook County, Illinois will be enrolled in a Bystander Intervention course, which should take approximately 1 hour to complete. If you complete the course in under an hour, you will be prompted to spend the remaining time reviewing the course material to meet the state-specific jurisdictional requirements.

### Refresher Training and Recertification

Team members will be enrolled in refresher training on a regular basis and will, for certain courses, including the Code of Conduct course, will be asked to complete a certification.

## Best Practices for Using Navex

For the best user experience, we recommend using Google Chrome and disabling your pop-up blocker, as Navex courses will launch in a separate window. If your course freezes or becomes stuck, follow these best practices:

- Save and close the course.
- Expand the course player to the full screen size.
- Toggle the zoom, making sure it is set to no greater than 100%.
- Clear your cache.
- Make sure you have logged into Navex in only one tab/window.
- Restart your computer.

If you are experiencing course completion issues, follow these best practices:

- Ensure your internet connection is stable.
- Don't leave the course unattended without input (i.e., running in the background).
- Close out of the course prior to changing networks, docking/undocking computers, locking your computer, stepping away from your computer, or completing other work (use the internal course 'x' as opposed to the main window 'x').

If you continue to experience difficulties or have questions, ask for help in the`#compliance-training` Slack channel.
