---
title: "Non-Disclosure Agreement Process"
description: "How to send or request an NDA"
---

- **Only team members with signature authority can execute agreements on behalf of GitLab, including Non-Disclosure Agreements (NDAs).**
  - Please visit the [Signatory Matrix](https://internal.gitlab.com/handbook/company/authorization-matrix/expenses-and-signatures/#signature-authority---sales-and-vendor-contracts) to identify individuals that may sign. If you have any questions, contact [#legal](https://gitlab.enterprise.slack.com/archives/C78E74A6L) in Slack.
- The NDA in the standard processes below is pre-signed. For NDAs that require negotiation or third-party templates, follow the [non-standard process](#non-standard-nda-requests).

## How To Send an NDA via DocuSign

Team members with DocuSign access can use the pre-signed GitLab NDA template to send an NDA for signature (note: all sales team members have DocuSign access). A video demonstrating the process can be found [here](https://youtu.be/DaOggzBcb0).

1. Log into DocuSign and select `Use a Template` from the dropdown menu under `Start`.
1. On the left, select `Shared with Me` and locate the `Non-Disclosure Agreement Pre-Signed Template`.
1. Click the template and `Add Selected`.
1. Under `Recipient`, enter the signer's name and email address.
1. Under `GitLab Team Member`, add anyone else who needs to be cc'd on the signed copy, or click the trash icon to delete this row if not needed.
1. Do **NOT**  delete or make any changes to the `GitLab NDA Tracker` fields (this is for the LACA team to track copies of NDAs).
1. Click Send.

**Please note:** You will be notified by email when the recipient has signed the requested NDA.

- **Sales team members:** Upload the fully executed copy of the NDA to Salesforce in the Customer Account.
- **Procurement team members:** Upload the fully executed NDA to the applicable folder in ContractWorks.

## How To Send an NDA if You Don't Have DocuSign Access

- Use this [PowerForm](https://powerforms.docusign.net/80bc75e5-eb0d-4129-ae15-64344338200c?env=na3&acct=73ae4c15-b494-4462-a00c-e9c781c222a9&accountId=73ae4c15-b494-4462-a00c-e9c781c222a9).
  - Your name and email are required to start the process and receive the executed copy, but you do not need to sign the document.
  - Be sure to enter the NDA recipient's name and email in the appropriate fields in order to send them an invitation to sign the NDA.
- If the recipient requests an editable version or any changes to the standard NDA, follow the [non-standard process](#non-standard-nda-requests).

## Non-Standard NDA Requests

The processes above are only for standard GitLab NDAs. In the event a non-standard NDA is needed, please follow the applicable step below:

- Requests involving customers and/or partners: open a [Legal Request](/handbook/legal/customer-negotiations/#how-to-reach-the-legal-commercial-team) in Salesforce.

- Requests involving vendors or other third-parties: create a [Legal and Compliance issue](https://gitlab.com/gitlab-com/legal-and-compliance) and label it NDA Request.
