---
title: "GitLab Inc. Philanthropy Policy"
description: "View GitLab's Philanthropy Policy"
---

## GitLab Inc. Philanthropy Policy

**Effective March 31, 2023**

### Overview and Purpose

The purpose of the GitLab Inc. ("GitLab") Philanthropy Policy ("Policy") is to provide guidance for GitLab's philanthropic giving and activities to Registered Nonprofit Organizations (as defined below) that align with GitLab's [Values](/handbook/values/), environmental, social, and governance [(ESG) strategy](/handbook/legal/esg/), and help advance GitLab's [mission](/handbook/company/mission/) to make it so that everyone can contribute.

### Oversight Responsibility

GitLab's [ESG Team](/job-families/legal-and-corporate-affairs/environmental-social-governance/) is responsible for all the ESG activities outlined below. Decisions to support Registered Nonprofit Organizations will be vetted by the ESG Team and will follow the approval matrix below:

- In-kind product donations: vetted by the ESG Team and approved by GitLab's Chief Legal Officer
- The aggregate annual amount of contributions made pursuant to this Policy will be established as part of GitLab's annual operating plan subject to approval by GitLab's Board of Directors (the "Board")
- Registered Nonprofit Organizations for team member volunteering and/or matching donations: vetted by the ESG Team and approved by GitLab's Chief Legal Officer
- Monetary: monetary contributions will be vetted by the ESG Team and approved by the Chief Legal Officer in accordance with the GitLab Inc. Authorization Matrix, as approved by the Board

Any budget request outside of the amount approved under GitLab's annual operating plan will require GitLab's Nominating and Corporate Governance Committee approval.

### Who we support

GitLab supports Registered 501c3 (or jurisdictional equivalent) Nonprofit Organizations in good standing that align with our [Values](/handbook/values/). A "Registered Nonprofit Organization" is one that has been registered with the local government or authorized agency within its applicable local, state, provincial, federal or national government.

GitLab prioritizes Registered Nonprofit Organizations that help advance GitLab's social and environmental key topics that were defined in GitLab's [2022 materiality assessment](/handbook/legal/esg/). GitLab's current social and environmental key topics are:

- Diversity, Inclusion, and Belonging
- Talent Management & Engagement
- Climate Action and Greenhouse Gas Emissions

Please note that the decision and criteria to support Registered Nonprofit Organizations is at the discretion of GitLab.

### How we support

#### 1. Monetary

GitLab anticipates contributing financially to Registered Nonprofit Organizations. GitLab endeavors to build long-term partnerships with community organizations and avoid a transactional approach to its corporate giving.

#### 2. In-kind product donation

GitLab anticipates donating up to 5,000 seats annually to Registered Nonprofit Organizations. Interested Registered Nonprofit Organizations will be required to apply and will be vetted for registration and standing status. Licenses will be donated on a first come first serve basis in this first iteration. The number of seats to be donated within a fiscal year will be reviewed annually by the ESG Team,  the FP&A Business Partner, and Chief Legal Officer.

Please see GitLab's [Trade Compliance Policy Handbook](/handbook/legal/trade-compliance/) for a list of embargoed countries. Registered Nonprofit Organizations in embargoed countries are not eligible for the in-kind donation program.

#### 3. Volunteerism and team member engagement

GitLab encourages team members to get involved in the causes they care about. From time to time GitLab's ESG or [Diversity, Inclusion and Belonging](/handbook/company/culture/inclusion/) (DIB) Teams may organize company-wide volunteer events and may include a volunteer component at GitLab-sponsored events, where applicable. GitLab team members and [team member resource groups](/handbook/company/culture/inclusion/erg-guide/) (TMRGs) can suggest organizations to support through volunteerism.

### Exclusions

Philanthropic donations approved by the Board prior to March 30, 2023, are excluded from this Policy.

GitLab does not issue licenses to Registered Nonprofit Organizations located in China as that market is provided for by GitLab's joint venture in the region.

As [GitLab generally avoids discussing politics or religion in public forums](/handbook/values/#religion-and-politics-at-work) because it is easy to alienate people with a minority opinion, we also generally avoid partnering with political or religious-oriented Registered Nonprofit Organizations.

### Delegations

The Chief Legal Officer may delegate their approval authority provided in this Policy.  In order for the delegation to be effective, it may not exceed 90 days in duration and written notice of delegation.

### Changes to this Policy

The Board reserves the right in its sole discretion to amend or grant waivers to this Policy.  Any amendment of this Policy must be approved by the Board. Any amendments or waivers may be publicly disclosed if required by applicable laws, rules and regulations.
