---
title: "Policies related to Gifts and Contributions"
description: "This set of policies relates to GitLab's stance and process for giving and accepting gifts and contributions"
---

## Gifts and Entertainment Policy

**Overview**

The purpose of the GitLab Inc. Gifts and Entertainment Policy is to provide our team members with information and guidelines to empower them to make educated decisions and avoid violating GitLab Inc.'s [Code of Business Conduct and Ethics Policy](https://s204.q4cdn.com/984476563/files/doc_downloads/govdoc/GitLab-Code-of-Business-Conduct-Ethics-2024-06-25.pdf) and the [Anti-Corruption Policy](/handbook/legal/anti-corruption-policy/). Whenever giving or receiving business gifts, team members are required to follow the GitLab Inc. Gifts and Entertainment Policy, our [Code of Business Conduct and Ethics Policy](https://s204.q4cdn.com/984476563/files/doc_downloads/govdoc/GitLab-Code-of-Business-Conduct-Ethics-2024-06-25.pdf) and our [Anti-Corruption Policy](/handbook/legal/anti-corruption-policy/). In addition, team members are required to follow the local laws of the country that may apply.

As a reminder, the GitLab Inc. Code of Business Conduct and Ethics (a) prohibits gifts or favors to or from any third party, except for promotional material of nominal value and gifts of modest value that are related to commonly recognized events or occasions; and (b) limits marketing and client entertainment expenditures to those that are necessary, prudent, job related and consistent with our  policies.

In the ordinary course of business, team members may offer and receive customary business gifts to promote GitLab Inc., build goodwill and strengthen working relationships. If in doubt about the appropriateness of accepting an unsolicited gift or entertainment, the team member should consult their manager before giving or receiving business gifts.

In general, team members shall not seek or accept for themselves (or any member of their family), or provide or offer to any company or individual external to GitLab Inc. (i.e., a "third party"), any gifts, entertainment, or other favors of a character that go beyond common courtesies consistent with ethical and accepted business practices.

**What is a "gift"? What is "entertainment"?**

Anything of value that is accepted from or provided to another individual or organization outside of GitLab Inc. This can include merchandise or promotional logo items, gift baskets, discounts on services, loans, cash, gift certificates, gift cards or any form of compensation. Tickets to cultural events or sporting events, the use of another's  plane or accommodations, and personal use of a condominium or vacation home when the recipient is not accompanied by the third party are also considered "gifts." One example of a gift would be where a vendor sends a team member two tickets to a cultural event for the team to use with the guest of their choice. In this instance, the vendor is not hosting the event or in attendance.

"Entertainment" is any meal, refreshment, paid attendance to events (ex. cultural or sporting events) or other type of business courtesy that team members attend with the third party who is providing the entertainment. One example of this is attending a sporting event with a vendor who is also in attendance and hosting the event.

**Giving Gifts and Entertainment General Guidelines**

Gifts or entertainment may be given only where appropriate and where there is no risk of creating the perception of influencing the recipient in their decision. Please keep in mind that recipients can be fellow team members or external third parties.

Gifts must be of nominal value - so items such as mugs, t-shirts, hats or other promotional/"swag" type items. Entertainment must be reasonable. Excessive or uncommon gifts or entertainment are strictly prohibited. Event prizes, raffles, and giveaways at business conferences or events are generally allowed as long as the giveaway is random, done in a public forum, and the item is not excessive.

Team members should not give gifts or entertainment on a regular or routine basis to the same third party.

As a reminder, team members are required to follow the local laws of the country that may apply and if in doubt, they should consult with their manager prior to giving the potential gift.

**Accepting Gifts and Entertainment General Guidelines**

Unsolicited gifts or entertainment may only be accepted if they do not go beyond common courtesy and are customary and appropriate under local customs. Offers of entertainment may only be accepted by team members  if they cannot be seen as excessive or uncommon and take place in settings that are appropriate.

Under no circumstances may team members accept a bribe, kickback, favor, gratuity, gift, entertainment or anything of value, either directly or indirectly, in order to obtain or retain business or otherwise gain favorable treatment or an improper advantage from GitLab Inc.

Acceptable gifts must be of nominal value - so items such as mugs, t-shirts, hats or other promotional/"swag" type items. Entertainment must be reasonable. Excessive or uncommon gifts or entertainment are strictly prohibited. Event prizes, raffles, and giveaways at business conferences or events are generally allowed as long as the giveaway is random, done in a public forum, and the item is not excessive. Gift baskets and flowers that are not excessive are generally acceptable.

Team members should not receive gifts or entertainment on a regular or routine basis from the same third party. As always, team members are required to follow the local laws of the country that may apply and if in doubt, they should consult with their manager.

In certain instances, a team member may be offered free software and/or hardware from companies  for testing purposes. If a team member is offered software and/or hardware, they may accept it on behalf of GitLab Inc., provided (a) the software and/or hardware is necessary to perform the team member's job or contribute to an open source project on behalf of GitLab Inc.; (b) the team member reports the software and/or hardware to the Company's Security Team; and (c) the team member notifies their manager of the hardware and/or software that was donated. All such donated software and/or  hardware shall be the property of GitLab Inc. and if requested, subject to immediate return to the Company.

**Unacceptable Gifts**

It is never acceptable to give or receive gifts or entertainment that are requested or offered in exchange for personal gain or unfair business advantage or that influence or give the appearance of influencing business judgments. It is also never acceptable to give or receive  gifts or entertainment that are illegal or that would violate the GitLab Values .

Under no circumstances should gifts or entertainment be requested or offered in situations involving government contracting or subcontracting.

The giving or receiving of gifts of cash, stock, bonds, stock options, or loans are not allowed under any circumstances.

In the event that a team member receives a gift that is inappropriate or "unacceptable", the team member  should report it to their manager and  politely return the gift with an explanation that GitLab Inc. policy does not permit them to accept such gifts. If returning the gift is not practical, the team member should reach out to the #compliance-legal Slack channel for next steps.

**Gifts to Government Officials**

Any conduct that could appear improper should be avoided when dealing with government officials and employees or contractors. Payments, gifts, or other favors given to a government official or employee are strictly prohibited as it may appear to be a means of influence or a bribe. Failure to avoid these activities may lead to violations of the Foreign Corrupt Practices Act (among other anti-bribery laws and regulations) and expose the government agency, the government employee, our company, and our  team members to substantial fines and penalties.  For additional information on dealing with government officials please see GitLab Inc.'s [Anti-Corruption Policy](/handbook/legal/anti-corruption-policy/).

Team members should review the [Public Sector Rules of Engagement](/handbook/sales/public-sector/#federal-government-rules-of-engagement://handbook.gitlab.com/handbook/sales/public-sector/#federal-government-rules-of-engagement) section of the handbook for additional information on dealing with U.S. State and local government, as well as Federal Government Rules of Engagement.

## Political Activities and Contributions

You may support the political process through personal contributions or by volunteering your personal time to the candidates or organizations of your choice. These activities, however, must not be conducted on company time or involve the use of any company resources. You may not make or commit to political contributions on behalf of GitLab.

## Charitable Contributions

We support community development throughout the world. GitLab team members may contribute to these efforts, or may choose to contribute to organizations of their own choice. However, as with political activities, you may not use company resources to personally support charitable or other non-profit institutions not specifically sanctioned or supported by the company. Please review the [Philanthropy Policy](/handbook/legal/philanthropy-policy/#gitlab-inc-philanthropy-policy) for guidelines and instructions to request support.
