---
title: "GitLab Website Terms of Use"
---

Last updated: 28 April 2022

## Website Terms of Use

**PLEASE READ THIS AGREEMENT CAREFULLY BEFORE ACCESSING OR USING THE WEBSITE. BY ACCESSING OR USING ANY PART OF THE WEBSITE, YOU AGREE TO BE BOUND BY THE TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS AND CONDITIONS OF THIS AGREEMENT, THEN YOU MAY NOT ACCESS THE WEBSITE. THE WEBSITE IS AVAILABLE ONLY TO INDIVIDUALS WHO ARE AT LEAST 13 YEARS OLD.**

These Website Terms of Use (the "Agreement") govern all use of the GitLab.com website, or other website(s) owned and operated by GitLab (the "Website"). The Website is offered subject to your acceptance, without modification, to the terms and conditions contained herein as updated subject to this Agreement. For the avoidance of doubt, this Agreement does not control or govern your use of the GitLab products and services. Please visit the [GitLab Terms Page](https://about.gitlab.com/terms/) to see the applicable agreement(s) related to your use of GitLab products and services.

### 1. Website Eligibility

**1.1.** The Website, and Content (as defined herein) provided on the Website by GitLab, is provided only to entities and persons over the age of 13.

### 2. License and Ownership

**2.1.** GitLab grants to you a limited, personal, non-transferable, non-sublicensable, revocable license to access and use the Website, including Content provided within the Website, in the manner presented by GitLab.

**2.2.** Ownership, right and title of all Content provided on the Website shall remain with GitLab (as applicable) at all times. This Agreement does not transfer any GitLab, or third party intellectual property, to you.

**2.3.** GIT is a trademark of Software Freedom Conservancy and our use of "GitLab" is under license. Other trademarks, service marks, graphics and logos used in connection with the Website may be the trademarks of other third parties. Your use of the Website grants you no right or license to reproduce or otherwise use any GitLab or third-party trademarks.

### 3. Responsibility of Website Visitors

**3.1.** GitLab has not reviewed, and cannot review, all of the materials, website links (including to third party websites) and content posted on the Website (collectively referred to as the "Content"). Therefore, GitLab cannot and will not be responsible for the Content or their effect(s). By operating the Website, GitLab does not represent or imply that it endorses the Content provided or that it believes such Content to be accurate, useful or non-harmful. You are responsible for taking precautions as necessary to protect yourself and your computer systems from viruses, worms, Trojan horses, and other harmful or destructive Content. GitLab disclaims any responsibility for any harm resulting from the use by visitors of the Website, or from any downloading by those visitors of Content posted on the Website. The Website is provided "AS IS" and GitLab and its affiliates, suppliers and licensors hereby disclaim all warranties of any kind, express or implied, including, without limitation, the warranties of merchantability, fitness for a particular purpose and non-infringement. Neither GitLab nor its suppliers or licensors, makes any warranty that the Website will be error free or that access thereto will be continuous or uninterrupted.

**3.2.** By accepting this Agreement, you agree not to use, or facilitate others to use, the Website in a way that is harmful to others or overburdens or otherwise impairs the Website. Examples of such use include, without limitation:

- Engaging in illegal or fraudulent activities;
- Infringing a third party's intellectual property rights;
- Distributing harmful or offensive Content that is defamatory, obscene, abusive, an invasion of privacy or harassing;
- The distribution of malicious/commercial spam;
- Violating the security or integrity of any computer, network or communications system;
- Using the Website to mine or demonstrate proof-of-work for a cryptocurrency or blockchain; or
- Using any process or device (automated or otherwise) to retrieve, index, "data mine", "scrape", or in any way reproduce the presentation of this website or its Content, unless otherwise permitted under applicable content licensing permissions.

### 4. DMCA and Privacy Policies

**4.1.** As GitLab asks others to respect its intellectual property rights, it respects the intellectual property rights of others. If you believe that Content located on or linked to the Website violates your copyright, you are encouraged to notify GitLab in accordance with our [DMCA policy](/handbook/dmca/).

**4.2.** Your use of the Website  is subject to the [GitLab Privacy Policy](https://about.gitlab.com/privacy/), which is incorporated herein by reference.

### 5. Modifications / Updates

**5.1.** GitLab has the right to update all or any part of the Content, Website, and terms of this Agreement at any time without notice. Your continued use of the Website shall constitute agreement to any and all such updates.

**5.2.** GitLab reserves the right at any time, and from time to time, to modify or discontinue, temporarily or permanently, the Website (or any part of it) with or without notice.

### 6. General Representation

**6.1.** You represent and warrant that: (i) your use of the Website will be in strict accordance with this Agreement and with all applicable laws and regulations (including without limitation any local laws or regulations in your country, state, city, or other governmental area, regarding online conduct and acceptable content, and including all applicable laws regarding the transmission of technical data exported from the United States or the country in which you reside); and (ii) your use of the Website will not infringe or misappropriate the intellectual property rights of any third party.

### 7. Termination

**7.1.** GitLab may terminate your access to all or any part of the Website at any time, with or without cause, with or without notice, effective immediately.

### 8. Limitation of Liability

**8.1.** In no event will GitLab or any of its affiliates, suppliers or licensors, be liable with respect to any subject matter of this Agreement under any contract, negligence, strict liability or other legal or equitable theory for: (i) any special, incidental or consequential damages; (ii) the cost of procurement for substitute products or services; (iii) for interruption of use or loss or corruption of data; or (iv) for any damages whatsoever.  GitLab shall have no liability for any failure or delay due to matters beyond their reasonable control. The foregoing shall not apply to the extent prohibited by applicable law.

### 9. Indemnification

**9.1.** You agree to indemnify and hold harmless GitLab, its affiliates, contractors, licensors, and their respective directors, officers, employees and agents from and against any and all claims and expenses, including attorneys' fees, arising out of your use of this Website, including, but not limited to, your violation of this Agreement.

### 10. Miscellaneous

**10.1.** If any provision of this Agreement is held by a court of competent jurisdiction to be invalid, void, or unenforceable, the remaining provisions shall nevertheless continue in full force without being impaired or invalidated in any way.

**10.2.** The failure of either party to enforce at any time, or for any period of time, the provisions of this Agreement shall not be construed to be a waiver of such provisions or of the right of such party to enforce each and every such provision.

**10.3.** All provisions of this Agreement which by their nature should survive termination shall survive termination, including, without limitation, ownership provisions, warranty disclaimers, indemnity and limitations of liability.

**10.4.** This Agreement shall be construed and enforced in accordance with the laws of California, U.S.A., and the parties submit to the jurisdiction of the State and Federal courts in San Francisco, California, without giving effect to any conflicts of laws principles.
