---
title: "Procurement Guide: Collaborating with GitLab Legal"
---

Thank you for visiting! The purpose of this resource is to provide GitLab team members with information on how legal assists and interacts with the procurement of products and services at GitLab.

For information on the Procurement Team, policies and process, visit [The Procurement Page](/handbook/finance/procurement/)

For general questions that ***do not*** require legal advice, deliverables, or any discussion of confidential information, you can reach out to the GitLab Legal Team at *[`#legal`](https://gitlab.slack.com/archives/legal)*.

## Contacting Legal

You don't need to reach out to GitLab Legal directly. Instead, the GitLab Legal Team will be engaged directly by the Procurement Team, as applicable.

## When is Legal involved

GitLab Legal will review any and all purchases made to ensure adequate terms are present for GitLab. Examples of types of purchases include:

- Software Agreements;
- Professional Services Agreements;
- Sponsorship Agreements;
- Event Contract;
- Subcontracting Agreements (staff augmentation or providing services/resources to GitLab and/or GitLab customers)

## Signing Contracts

**DO NOT SIGN ANY CONTRACTS**

- Only authorized individuals can execute contracts on behalf of GitLab. Please view the [Signatory Matrix](/handbook/finance/authorization-matrix/#authorization-matrix) for who may sign.
- In order to be executed, all Contracts must include the GitLab Legal stamp. This stamp confirms that the Contract has been reviewed and approved by a Legal Team Member. If you do not receive a GitLab Legal stamped version of the Contract, please ask the Procurement Team Member for assistance.

## Vendor Requirements

- All vendors must agree to comply and act in accordance with:
  - [GitLab Code of Business Conduct and Ethics](https://ir.gitlab.com/static-files/7d8c7eb3-cb17-4d68-a607-1b7a1fa1c95d)
  - [GitLab Modern Slavery Act Transparency Statement](/handbook/legal/modern-slavery-act-transparency-statement/)
  - In order to use GitLab Name and Logo [Brand Guidelines Page](/handbook/marketing/brand-and-product-marketing/brand/brand-activation/trademark-guidelines/)

## Additional Requests & Information

NDA Request(s): [NDA Process](/handbook/legal/procurement-guide-collaborating-with-gitlab-legal/#nda-process)

Negotiating Terms and Conditions: [Negotiating Terms](/handbook/legal/procurement-guide-collaborating-with-gitlab-legal/#negotiating-terms)

Use of competitors' services: [Guidelines](https://internal.gitlab.com/handbook/legal-and-corporate-affairs/legal-and-compliance/productguidance/) (Internal only)

## NDA Process

- Prior to exchanging any confidential information, GitLab and a potential Vendor should execute a Mutual Non-Disclosure Agreement. This will ensure the adequate protection of any / all information shared.
- Follow the [Non-Disclosure Agreement process](/handbook/legal/nda/) to send an NDA via DocuSign or request one if you do not have DocuSign access.
- NOTE: If a potential vendor requires the use of their NDA template, please follow the process located on the [Procurement Page](/handbook/finance/procurement/) which will initiate the legal review process.

## Negotiating Terms

- For any purchases made by GitLab, there must be applicable terms and conditions.
- GitLab may use the [Standard Terms and Conditions](/handbook/finance/procurement/vendor-guidelines/#standard-vendor-terms-and-conditions), which includes terms related to purchasing both software and/or professional services.
- In the event a vendor is providing services which include accessing, processing or controlling GitLab data, the GitLab Legal team may require the vendor to provide the list of sub-processors relevant to the services provided to GitLab. In addition, based on the data made available to the vendor, a DPA may be required, which will be engaged by the Privacy team.
- For information regarding purchase requests and negotiation thresholds, please visit the [Procurement handbook](/handbook/finance/procurement/).

## GitLab Legal Procurement Process

- Within the GitLab Procurement tool, the Legal Procurement team is an approval group called "Legal".
- When a req is submitted, a Legal Procurement Team Member will carry out the following actions:
    1. When the status is set to "Ready to Start" (by Procurement) it will be transitioned into the "Legal" queue;
    1. A Legal Team Member will be assigned to the request, and change the status to "In Progress";
    1. Red-lines (if applicable) will be saved under the original version of the document(s) provided, in the Request;
    1. Legal Team Members will notify the requestor(s) (via chat) to highlight when red-lines are ready to be sent to the vendor;
    1. Once agreeable terms are achieved, the Legal Team Member will attach a clean PDF version (named "Executable" to start) with the GitLab Legal stamp of approval.
- By completing the above steps, reqs are added to the applicable team member's queue, which ensures the team is not carrying out duplicative work.
- Contact the Legal Team Member by tagging them directly in the GitLab Procurement Tool. *Note* Please do not contact team members in Slack unless an urgent matter arises.

## Requesting a Certificate of Insurance

- To request a COI, open an issue in the Legal and Compliance project using the [general legal template](https://gitlab.com/gitlab-com/legal-and-compliance/-/issues/new?issuable_template=general-legal-template&_gl=1*1aumr6r*_ga*MTc1Mjg0Mzg3NS4xNjc1NzE0NjA5*_ga_ENFH3X7M5Y*MTY3NjQ4OTU3Ny4xMC4xLjE2NzY0ODk2ODkuMC4wLjA). Be sure to apply the `legal-procurement::to do` label and tag `@rnalen`, `@chilling32`, and `@ddowney` in your request.
- For requests related to a customer or partner, open a [Legal Request](/handbook/legal/customer-negotiations/#how-to-reach-legal) in SFDC.

## Helpful Resources

- Many Vendors require basic information about GitLab to be setup as a Customer, visit [Company Information](https://gitlab.com/gitlab-com/finance/wikis/company-information) for general information about each GitLab legal entity
- GitLab's W9 can be found on the [Finance Page](/handbook/finance/#forms)
