---
title: "GitLab Professional Services Terms"
---

(Additional Terms)

These Professional Services Terms (“Terms’’) are between GitLab Inc. with offices at 268 Bush Street, Suite 350, San Francisco, CA 94104 (or, if a different GitLab Affiliate as listed as “GitLab” on an Order Form) (“GitLab”), and the entity accepting these Terms (“Customer”). These Terms are effective as of the earlier of (a) Customer’s acceptance of these Terms within (i) via an Order Form or (b) via a SOW (“Effective Date”). Capitalized terms not otherwise defined herein will have the meaning set forth in the Subscription Agreement (defined below).

## 1. DEFINITIONS

“Change Order" means any change to an SOW or Order Form, as applicable, as described in Section 2.3 below.

“Developments” means Improvements to GitLab’s Pre-Existing Work, new technology, written materials, or other deliverables under this Agreement, but excluding any Pre-Existing Work.

“Enhanced Technical Support Catalog” means the predefined scope, level of effort, and deliverables for certain Enhanced Support Services, as set forth at <https://about.gitlab.com/support/enhanced-support-offerings/>.

“Improvements” means all modifications and derivative works to Pre-Existing Works resulting from the Professional Services contemplated by  these Terms.

“Order Form” as defined in the Agreement will be updated to include an ordering document which contains (i) the description of the Professional Services being purchased, as may be further defined in a SOW, from the (a) the Enhanced Technical Support Catalog, (b) the Professional Services Catalog, or (c) such other service catalogs as made available by GitLab from time to time,  and, the applicable Fees, payment terms, and other transaction details, sold on either a time and materials basis for specified rates, or for a fixed fee as applicable.

“Pre-Existing Work” means all rights, title and interest in and to a party’s technology and Confidential Information, including all intellectual property rights imbued to a party as of the Effective Date of these Terms, or as applicable, the effective date of any SOW or Order Form.

“Professional Services” means the GitLab services offerings including, without limitation, Success Services implementation, configuration, consulting, dedicated engineering services or training services to be provided to Customer under any applicable SOW or Order Form.

“Professional Services Catalog”  means the predefined scope, level of effort and deliverables for certain Professional Services, as set forth in the corresponding service name found at <https://about.gitlab.com/services/catalog/>.

“SOW” means a written statement of work executed by GitLab and Customer describing Professional Services to be provided hereunder setting forth the time and materials-based objectives (unless otherwise stated as a fixed-fee) including, without limitation, project-specific activities and estimated level of effort.  A SOW may be entered into, or incorporated within an Order Form, by and between Customer and GitLab, any GitLab Affiliate, or an Authorized Partner.

“Subscription Agreement” or “Agreement” means the GitLab subscription agreement available at <https://about.gitlab.com/terms/#current-terms-of-use>, or such other written agreement between the parties governing Customer’s use of Software.

“Success Services” means additional GitLab service offerings, including, without limitation, enhanced technical support or enhanced customer success services, purchased separately by Customer to supplement and improve its use of Subscription Products, as set forth in an applicable SOW or Order Form.

## 2. PROFESSIONAL SERVICES; PAYMENT OF FEES

2.1 These Terms, along with the Subscription Agreement, govern GitLab’s provision of Professional Services to Customer. These Terms are incorporated into and form a part of the Subscription Agreement.

2.2 GitLab will provide to Customer the Professional Services for the Fees specified in an executed Order Form or SOW.  For the avoidance of doubt, in the event Customer purchases Professional Services from an Authorized Partner: (i) GitLab’s obligations to Customer with regard to any Professional Services hereunder will be limited to these Terms unless otherwise explicitly agreed to in writing between Customer and GitLab; and (ii) the provisions of Section 6 (Payment of Fees) of the Agreement will not apply as all terms of payment will be directly as between Customer and the Authorized Partner.

2.3 Fees for the Professional Services will be calculated  on a time and materials or fixed fee basis, as set forth in a mutually agreed Order Form or SOW.  In addition to the Fees, Customer will reimburse GitLab for Customer approved expenses reasonably incurred in the performance of Professional Services including meals, transportation, overnight accommodations, and any materials purchased for Customer’s benefit (charged at cost) (collectively, “Expenses”), if applicable. GitLab will provide valid receipts and other reasonable documentation of such Expenses  to Customer upon request and will invoice directly for any such Expenses in addition to the Fees... All Professional Services purchased are purchased separately from the Software and all references to “Order Form” or “SOW” herein will not apply in any way to any Software.  GitLab will invoice Customer for Professional Services as rendered on a time and materials basis, unless provided under a fixed fee arrangement, in which case any fixed fee Professional Services, as applicable, will be paid up-front in full and will be non-cancellable.

2.4 Customer acknowledges that it may need to purchase additional Professional Services, or approve additional Expenses, if such Professional Services are not completed within any estimated time frames as presented within an Order Form or SOW. If this event occurs or if the parties desire to make changes to an Order Form or SOW during the engagement to address changes in scope or cost, the parties will complete and execute a Change Order. Upon the parties' mutual execution of a Change Order, it will be deemed incorporated by reference in the applicable SOW or in the absence of an SOW, within the Order Form.

2.5 GitLab may provide Professional Services through its third-party contractors. GitLab will remain responsible for such contractor’s performance pursuant to this Agreement or as otherwise agreed with Customer in writing.

## 3. CUSTOMER COOPERATION

Customer will cooperate with GitLab to facilitate the performance of the Professional Services, which will include, but not be limited, to the following: (i) assigning a project manager with the requisite skills and training to serve as Customer’s primary point of contact; (ii) allocating sufficient resources to ensure Customer’s ability to meet its obligations; (iii) establishing the overall project direction, including assigning and managing the Customer’s project personnel team; and (iv) providing GitLab with, or access to, such facilities (if applicable), equipment and support as are reasonably necessary for GitLab to provide Professional Services, including remote access to the hardware and systems software configuration on which GitLab supports use of the Software licensed by GitLab to Customer.

## 4. TERM AND TERMINATION

These Terms commence on the Effective Date and continue until the Agreement is terminated in accordance with Section 4 of the Agreement or as otherwise set forth in these Terms. Subject to Section 4.3 of the Agreement, any termination of the Agreement, these Terms or any SOW, Order Form or Change Order will not entitle Customer to any credit or refund for amounts due and payable as of the date of termination.  Notwithstanding the foregoing, either Party may terminate an SOW upon fifteen (15) days prior written notice, provided that Customer will remain responsible for all Fees due and owing for Professional Services delivered prior to the effective date of termination, and further provided, Customer will not be entitled to any credit or refund as the result of said termination.  GitLab may (at its sole discretion) suspend delivering Professional Service if Customer breaches the terms of Section 2 (Professional Services; Payment of Fees) until such breach is remedied.

## 5. PROPRIETARY RIGHTS

5.1 Each party will retain all rights, title and interest in their Pre-Existing Works. Except as explicitly set forth herein, each party reserves all intellectual property rights not expressly granted to the other party, and no right, title or interest in a party’s Pre-Existing Works are transferred to the other party. Further, these Terms do not contemplate Professional Services for the provision of any Improvements to Customer’s Pre-Existing Works, and any such deliverable will be subject to separate terms and conditions as to be mutually and explicitly identified and agreed between the parties in a fully executed SOW or other form of written agreement.

5.2 To the extent applicable, Customer hereby grants GitLab a non-transferable, non-exclusive, world-wide and royalty free license to use Customer’s Pre-Existing Works necessary to provide the Professional Services under these Terms. To the extent GitLab Pre-Existing Works or Developments are incorporated into the Professional Services, such GitLab Pre-Existing Works and Developments are provided to Customer in a non-transferable, non-exclusive, world-wide and royalty free license to use solely for Customer’s internal business purposes subject to the Agreement, and expressly conditioned on Customer’s compliance with the terms of the Agreement.  Notwithstanding the foregoing, Customer will own the portion of any deliverable(s) provided to Customer in tangible form consisting of written reports, analyses, architecture diagrams, project plans and similar working documents.

5.3 For the avoidance of doubt, GitLab is not restricted from developing, implementing, marketing or selling services or deliverables for other customers or projects that are similar to the Professional Services or deliverables provided under these Terms. Further, any Developments and/or Feedback Materials resulting from the provision of the Professional Services hereunder will be owned by GitLab and Customer will execute and deliver to GitLab any documents reasonably necessary to vest in GitLab all right, title and interest therein subject always to the terms of any applicable open source license.

5.4 Any use of Software by Customer will be governed by the Agreement.  Customer agrees that its purchase of Professional Services is not contingent on: (i) the delivery of any future Software functionality or features, other than any deliverables as set forth in the applicable SOW; or (ii) on any oral or written public comments by GitLab regarding future Software functionality or features.

## 6. LIMITED WARRANTY

6.1 GitLab represents and warrants that its provision of Professional Services under an SOW or Order Form will be rendered in a professional and workmanlike manner. If GitLab fails to meet the foregoing warranty, upon Customer’s written notice, within ninety (90) days after completion of the applicable Professional Services, GitLab will, at its sole option and expense either: (i) re-perform and correct the nonconforming Professional Services within thirty (30) days; or (ii) provide a plan for correcting the nonconforming Professional Services within such thirty (30) day period. If the nonconforming Professional Services are not corrected, or if a reasonably acceptable plan for correcting them is not established during such period, Customer may terminate these Terms, or the respective SOW or Order Form, and receive a pro-rata refund for any pre-paid, unused portion of the Professional Services. The foregoing represents Customer’s sole and exclusive remedy for a breach of this Section 6.1.

6.2 The warranty in this Section 6 is void to the extent caused by Customer's: (i) alteration or modification of the Professional Services not otherwise directed by GitLab, or its authorized representatives, in writing; (ii)  failure to meet: (a) the minimum system requirements as made available by GitLab including those set forth here: <https://docs.gitlab.com/ee/install/requirements.html>; or (b) its obligations set forth in these Terms, or an Order From or SOW, including, without limitation, those set forth in Section 3 (Customer Cooperation) above, to enable the provision of the Professional Services.

6.3 WARRANTY DISCLAIMER. SECTION 6.1 SETS FORTH GITLAB'S EXCLUSIVE WARRANTY WITH REGARD TO THE PROFESSIONAL SERVICES, AND IS IN LIEU OF ALL OTHER WARRANTIES. GITLAB DOES NOT MAKE ANY OTHER WARRANTY OF ANY KIND, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, AND TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, GITLAB SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES, INCLUDING ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT.

## 7. MISCELLANEOUS

Capitalized terms used but not defined in these Terms will have the meaning in the Subscription Agreement. Except as provided in these Terms, the Subscription Agreement remains in full force and effect and governs Customer’s access to and use of Software. To the extent of any conflict or inconsistency between these Terms and the Subscription Agreement, these Terms will control.
