---
title: "Joel Fluss' README"
---

## About Me

Born in Pleasanton, CA, I am the fifth of five boys. In high school and college I swam and played water polo. I attended UC Santa Cruz for undergrad and The University of Texas for my masters in business. I love to surf, swim, ski and go for long hikes in nature and around cities. Reading is such a joy to me, and I try and mix fiction and non-fiction in equal parts across all subjects and genres. If I had all the money in the world I would be a perpetual student, attending universities all over the world and taking classes on everything from architecture to zoology.

## Current Role

I am currently on the Corporate Development M&A team. Our job is to source, evaluate and acquire companies that accelerate GitLab's product roadmap and vision. We partner closely with product, finance, legal and several other cross-functional teams to ensure a successful deal outcome. M&A is tough to get right, and most times building is a better option than buying. For that reason, we lean heavily on our product team to be a partner with us throughout the process to ensure we can properly assess the benefits of building vs. buying.

## My Working Style

My general approach, but applicable to Corporate Development, is always to first just listen. At the beginning of each potential deal I go in with the mindset that everyone involved knows more about the subject matter and company being evaluated than I do. After being initially introduced to the subject I read up on journal articles, analyst research, company filings and any other research I can find. I then come back to the subject matter experts (usually the PM and engineering teams) and ask more informed questions tailored towards answering questions such as (but not limited to)...

- Why is this product or feature important to GitLab?
- What are customers using instead of GitLab to get the job done?
- Why is this company important to GitLab more so than any of its competitors that we could possible acquire instead?
- What alternatives do we have if we choose not to buy?
- Is this the absolute best use of resources for this particular product team?

## How I communicate / the best ways to communicate with me

I am based in the Central U.S. time zone and like to be online a little before 8:00 am Cst. I have no hard-set hours where I am unreachable, however I maintain that working late in the evening has diminishing returns; I would rather get up early than stay up late to meet a deadline. Each day I make sure to get some exercise, I find that exercise is the best way for me to stay mentally sharp. To exercise I usually swim or jog, disconnected from everything. I enjoy building rapport and meeting my colleagues for a coffee chat, don't be surprised if I send you a coffee chat invite after the first time we interact.

## Strengths & Areas of Improvement

I am quick to admit when I do not understand a subject, however I love to learn. Being curious and knowing how to find answers has always been one of my strengths that I am proud of. I learned to learn by going through the CFA program curriculum, a self-taught exam-based certification. I have also become comfortable admitting when I am wrong; willing to have my mind changed if there is data or evidence to support a counter-claim to an entrenched belief.

I am always working to improve my ability to confront. I realize I am sometimes too passive or quiet. I am always trying to force myself out of my comfort zone to say something if I see something incorrect, unjust or questionable.

## The Legal Team's World Famous "Two Truths & a Lie" Segment

- Our family owns a villa in Palermo
- My dad is a nuclear weapons specialist engineer
- My eyes are two different colors

## Favorite Sports Teams

- Crystal Palace
- Golden State Warriors
- NY Jets
- Oakland Athletics

## Favorite Books

- Business Adventures
- For Whom the Bell Tolls
- Jitterbug Perfume
- P.G. Wodehouse (anything)
- The Portriat of Dorian Gray

## Places I have lived

- Atlanta, GA
- Austin, TX
- Boston, MA
- Santa Cruz, CA
- San Francisco, CA
- Seattle, WA
- Tempe, AZ

## Places I'd like to live

- Denver, CO
- Paris
- Porto, Portugal
- San Diego, CA
- Santa Fe, NM
- Sevilla, Spain
- Tel Aviv, Israel
- Vancouver, Canada
