---
title: "Reseller Agreement"
---
<!-- vale off -->
**Before submitting a Deal Registration, please review the Master Partner Agreement.**

**PLEASE READ THIS AGREEMENT CAREFULLY BEFORE ACCESSING GITLAB'S PARTNER PORTAL OR OTHERWISE, USING, ACCESSING, CONSUMING, PURCHASING, RESELLING OR OTHERWISE DISTRIBUTING THE SOFTWARE OR SERVICES FROM GITLAB. BY CLICKING YOUR ASSENT BELOW OR USING, ACCESSING OR CONSUMING THE GITLAB SOFTWARE OR SERVICES, YOU SIGNIFY YOUR ASSENT TO AND ACCEPTANCE OF THIS AGREEMENT AND ACKNOWLEDGE YOU HAVE READ AND UNDERSTAND THE TERMS. AN INDIVIDUAL ACTING ON BEHALF OF AN ENTITY REPRESENTS AND WARRANTS THAT HE OR SHE HAS THE AUTHORITY TO ENTER INTO THIS AGREEMENT ON BEHALF OF THAT ENTITY. IF YOU DO NOT ACCEPT THE TERMS OF THIS AGREEMENT, THEN YOU MUST NOT USE, ACCESS, CONSUME, PURCHASE, RESELL OR OTHERWISE DISTRIBUTE THE GITLAB SOFTWARE OR SERVICES.**

## Master Partner Agreement

**This Master Partner Agreement (the "Agreement") is made as of the date in which the Partner accepts the terms of this Agreement by clicking "agree" or "accept" (the "Effective Date") by and between GitLab and Partner (referred to herein as "Party", or collectively as the "Parties") and authorizes Partner to participate in one (1) or more of GitLab's Partner Programs in the Territory (EMEA, North America, LATAM, or APAC) in the region aligning to the Partner's principal place of business address. Notwithstanding the foregoing, (i) the APAC Territory excludes China, Hong Kong, and Macau; and (ii) authorization to participate in GitLab's U.S. Public Sector Territory requires separate review and is excluded from the North America Territory, please contact a GitLab channel manager for further details.**

In consideration of the mutual agreements contained herein and intending to be legally bound hereby, the Parties agree as follows:

### 1. DEFINITIONS

Capitalized terms used in this Agreement shall be defined where first used or as follows:

1.1 "**Affiliate(s)**" means any entity(ies) controlling, controlled by, and/or under common control with a Party hereto, where "control" means the ownership of more than 50% of the voting securities in such entity.

1.2 "**Community Edition Software**" means the publicly available, community-developed open-source software and components which may be provided with the Software. Community Edition Software is provided as Free Software (as defined herein)

1.3 "**Confidential Information**" means the terms and conditions of this Agreement, and any other non-public technical or business information of a Party, whether provided orally or in writing, that is designated in writing as "Confidential" or "Proprietary" at the time of disclosure or that due to the nature of the information the Receiving Party would reasonably understand it to be confidential information of the Disclosing Party, including information relating to a Party's techniques, ideas, concepts, algorithms, source code, methodologies, workflows, implementation processes, current and future products and services, research, engineering, designs, financial information, procurement requirements, customer lists, business forecasts, roadmaps, marketing plans, pricing, discounts and proposals. For the avoidance of doubt, Confidential Information shall not include electronic data and information submitted by or for End User to and/or through the Products and Services (referred to herein as "**End User Data**").

1.4 "**Disclosing Party**" means the Party disclosing its Confidential Information.

1.5 "**End User**" means Partner's customer and/or the ultimate user of the Products and Services.

1.6 "**Exhibit(s)**" means the addenda attached to this Agreement as selected on the Cover Page, which establishes the applicable Partnership type(s) and scope contemplated between the Parties.  GitLab shall have no obligation(s), and Partner shall have no right(s), with respect to any Exhibit not otherwise selected above and executed between the Parties.

1.7 "**Free Software**" means Software provided by GitLab to an End User, Partner, or any other third party: (i) at no, or a greatly reduced, cost, and (ii) for the sole purpose(s) of evaluation, demonstration, piloting, testing, NFR (Not-For-Resale), and/or other elements non "commercial related". "Commercial related" shall include, but not be limited to, internal use, resale, and/or distribution of the Software.

1.8 "**Order Form**" means a transactional document agreed to between the Parties which states the Products and Services being purchased, term of use, price, and other applicable transaction details.

1.9 "**Partner Portal**" means GitLab Partner website located at <https://partners.gitlab.com/>, which contains relevant Partner Program information, documents, guidelines and terms.

1.10 "**Partner Program**" means the program guidelines and overview as provided by GitLab on the Partner Portal. The Partner Program may be modified by GitLab from time to time through updates posted to the Partner Portal,  or as otherwise communicated by GitLab to Partner, as determined by GitLab in its sole discretion. Modifications to the Partner Program shall be considered accepted by Partner, upon thirty (30) days prior notice to Partner.

1.11 "**Partnership(s)**" means the established business relationship as agreed to between the Parties in an Exhibit or Exhibits.

1.12 "**Products and Services**" means GitLab's Software and Professional Services.

1.13 "**Professional Services**" means professional services, including but not limited to, training, enablement, best practices, and consulting which are provided by GitLab to an End User.

1.14 "**Receiving Party**" means the Party receiving the Confidential Information.

1.15 "**Software**" means software, and other branded offerings sold by GitLab as agreed to between the Parties in an Order Form, including but not limited to, the self-managed and/or SaaS version of GitLab's DevOps Lifecycle Application Platform.

1.16 "**Terms and Conditions**" means GitLab's standard terms and conditions applicable to the Products and Services, including GitLab's Subscription Agreement and Professional Services Agreement located at <https://about.gitlab.com/terms> as may be updated in GitLab's sole discretion from time to time.

1.17 "**Trademarks**" means a Party's corporate name, logo, and "button" or "icon" for use within third party software to indicate an available integration or partnership, and any other logos, slogan(s), service marks, trademarks, trade names and certification marks.

### 2. PARTNERSHIP

2.1 GitLab and Partner hereby establish the Partnership(s) described in one or more Exhibits as selected by the Parties in the Cover Page. Except as may be expressly set forth in an Exhibit, this Agreement and all Exhibits describe a non-exclusive relationship between the Parties and nothing in this Agreement or an Exhibit is meant to prevent either Party from dealing with any party or from distributing any third-party products or services in any manner. Subject only to the express terms of this Agreement and any Exhibit, each Party is free to communicate and deal with any customer or potential customer at any time and in any manner. For the avoidance of doubt, the Parties acknowledge and agree the terms and conditions stated within this Agreement, an Exhibit, and an executed Order Form shall govern with respect to all matters contemplated herein.

2.2 Partner shall not purchase, use, or deploy Software under this Agreement for Partner's internal purposes ("**Internal Use**"). In the event Partner desires to purchase, use, or deploy Software for Internal Use, Partner will enter into an Order Form with GitLab or an authorized partner of GitLab and such Internal Use shall be subject to GitLab's standard Terms and Conditions, unless the Parties enter into a separate definitive agreement specifically contemplating Partner's Internal Use.

2.3 Partner and GitLab acknowledge and agree that Free Software may be limited in functions, features, maintenance, support and contain other limitations not present in Software purchased. Unless otherwise agreed to between the Parties in writing, provisions in this Agreement regarding Software, shall not be applicable for Free Software with respect to: (i) fees (Section 3), (ii) warranties (Section 9), (iii) indemnification (Section 10). Free Software is provided "AS IS" without any representations or warranties of any kind, or otherwise. Notwithstanding anything to the contrary in the Agreement, GitLab shall have no liability of any kind for Free Software unless such exclusion of liability is not enforceable under applicable law, in which case GitLab's liability with respect to such Free Software shall not exceed one thousand U.S. Dollars ($1,000.00USD). Free Software shall be subject to all other terms and conditions in this Agreement.

2.4 Partner shall comply with the GitLab Partner Code of Ethics as found at: <https://about.gitlab.com/handbook/people-policies/#partner-code-of-ethics> as updated from time to time in GitLab's sole discretion subject to any notice requirement set forth in Section 1.10 above.

### 3. FEES, PAYMENT, DISPUTES AND INVOICING

3.1 Unless otherwise agreed to between the Parties in an executed Order Form, the Parties each agree to pay the fees due to the other Party under this Agreement as set forth in the Exhibit(s) and in accordance with the payment terms of this Section 3. Unless otherwise detailed in the Exhibit, all fees are due net thirty (30) calendar days after the date of invoice. GitLab must receive written notice of any disputed charges from Partner within ten (10) calendar days after the invoice date or Partner will be deemed to have accepted such invoice. All invoices shall be expressed and paid in US Dollars. Partner shall pay interest on all amounts not paid when due at a rate of one and one-half percent (1.5%) per month or partial month, or the highest rate allowed by law (whichever is less) compounded, during which time any sums were owed and unpaid. If Partner fails to make payments when due, then in addition to its other rights and remedies, GitLab will have the right to suspend or terminate this Agreement and to recover its reasonable costs and expenses, including reasonable attorneys' fees, expended in collection of such payments.

3.2 All fees are exclusive of, and Partner is responsible for paying, any tax, VAT, right, tariff, fee, duty, levy or similar governmental charge that may be assessed by any jurisdiction, whether based on the delivery, possession or use of the Products and Services, the execution or performance of this Agreement or otherwise, and including without limitation all sales, use, excise, import or export, value-added, governmental permit fees, license fees, registration fees, and custom fees; provided, however, that Partner shall not have any liability for the income of GitLab. If, as a result of any such tax or levy, Partner is required to withhold any amount on any payment to GitLab, then the amount of the payment will be automatically increased to totally offset such tax or levy, so that the amount actually remitted to GitLab, net of all taxes or levy, equals the amount invoiced. If applicable, Partner shall provide GitLab with the proper legal certificate of the withheld taxes, as well as the proof of its payment to the correspondent authorities. Partner will pay all other taxes, rights, tariffs, fees, duties, levies or similar government charges.

### 4. TERM, TERMINATION AND EFFECT OF TERMINATION

4.1 This Agreement shall commence on the Effective Date and remain in effect for a period of one (1) year ("**Initial Term**"). Upon the conclusion of the Initial Term, this Agreement will automatically renew for consecutive periods of one (1) year ("**Renewal Term(s)**") unless either Party notifies the other in writing of its desire that this Agreement not renew at least thirty (30) days' prior to the end of the then-current term. The Initial Term along with any Renewal Terms is referred to herein as the "**Term**."

4.2 Either Party may terminate this Agreement or any Partnership for convenience upon the delivery of sixty (60) days' prior written notice of such termination to the other Party. Notwithstanding the foregoing, termination of this Agreement in accordance with this Section 4.2 shall not impact any Products and Services currently deployed and/or sold by Partner, pursuant to an executed Order Form. Such Products and Services shall continue to be governed by the terms of this Agreement and the applicable Order Form until the end of the current term at which point the Products and Services provided will terminate in accordance with this Agreement. In the event of termination of this Agreement, Partner shall use commercially reasonable efforts to ensure a positive transfer of the End User relationship to GitLab, including, but not limited to, providing GitLab with reasonable assistance and information related to the End User.

4.3 Either Party may terminate this Agreement or any Partnership immediately upon written notice to the other Party due to a material breach by such Party which has remained uncured for a period of thirty (30) days from the date of delivery of written notice. GitLab may terminate this Agreement or any Partnership immediately due to a breach by Partner of Sections 5 (CONFIDENTIALITY), 7 (INTELLECTUAL PROPERTY RIGHTS), 8 (RESTRICTIONS), and/or 10 (INDEMNIFICATION).

4.4 Termination of this Agreement, in accordance with this Section 4, shall terminate all Partnerships hereunder. The termination of one Partnership hereunder will not in and of itself impact any other Partnership in existence at the time of such termination. In the event of any termination of one or more of the Partnerships, all licenses granted by each Party to the other Party relating to such Partnership(s) shall immediately terminate, and Partner shall immediately destroy or return to GitLab all material belonging to GitLab, its Affiliates or its licensors, including without limitation all copies of GitLab's Confidential Information related to such Partnership, and shall promptly certify to GitLab in writing that Partner has done so. Sections 3 (Fees), 5 (Confidentiality), 8 (Restrictions), 10 (Indemnification), 11 (Limitation of Liability) and 14 (Miscellaneous) shall survive the termination or expiration of this Agreement.

4.5 Unless otherwise set forth within this Agreement, neither Party will be liable to the other for damages of any kind, including special, indirect, incidental, consequential or punitive damages, on account of the termination of this Agreement or any Exhibit/Partnership as permitted herein. Each party waives any right it may have to receive any compensation or reparations on termination of this Agreement other than as expressly provided in this Agreement. Neither Party will be liable to the other on account of termination of this Agreement or an Exhibit/Partnership for reimbursement or damages for the loss of goodwill, prospective profits or anticipated income, or on account of any expenditures, investments, leases or commitments made by either Party or for any other reason whatsoever based upon or arising out of such termination.

### 5. CONFIDENTIALITY

5.1 Confidential Information shall not include any information that: (a) is, or becomes, generally available to the public through no fault of, or breach of, this Agreement by the Receiving Party; (b) was rightfully in the Receiving Party's possession at the time of disclosure without an obligation of confidentiality; (c) is independently developed by the Receiving Party without reliance on, or use of, the Disclosing Party's Confidential Information; or (d) is rightfully obtained by the Receiving Party from a third party not under a duty of confidentiality and without restriction on use or disclosure.

5.2 Neither Party shall disclose Confidential Information of the other Party to anyone or use Confidential Information of the other Party for any purpose except as necessary to exercise their rights or obligations under this Agreement as set forth herein ("**Permitted Purposes**"). Each Party shall use at least the same degree of care (but no less than reasonable care) to prevent the unauthorized use, dissemination, and copying of the other Party's Confidential Information as it uses to protect its own confidential information of a like nature. Each Party shall limit the disclosure of such Confidential Information to those of its employees, consultants, Affiliates, advisors and contractors ("**Representatives**") with a need to know such Confidential Information solely for the Permitted Purposes, and all such Representatives must be subject to confidentiality obligations no less restrictive as those set forth herein. Each Party shall be responsible for any breach of this Section 5.2 by its Representatives.

5.3 The obligations of confidentiality under this Section 5 shall expire three (3) years after that Confidential Information is disclosed hereunder. Receiving Party shall promptly return or destroy (or in the case of electronic data, use commercially reasonable efforts to delete or render  inaccessible) Confidential Information disclosed upon the Disclosing Party's written request and certify in writing to the Disclosing Party of the same.

5.4 This Agreement shall not be construed to prevent the Receiving Party from disclosing the Confidential Information to a court or governmental body pursuant to a valid court order, law, subpoena or regulation, provided that the Receiving Party: (a) gives reasonable notice (or such shorter period as is the maximum notice permitted under applicable law) before making the disclosure, unless prohibited by law; (b) provides reasonable assistance to the Disclosing Party in any lawful efforts by the Disclosing Party to resist or limit the disclosure of such Confidential Information at the Disclosing Party's cost; and (c) discloses only that portion of the Confidential Information which is legally required to be disclosed.

5.5 All Confidential Information disclosed under this Agreement will remain the property of the Disclosing Party. No license or right under any intellectual property right is granted under this Agreement or by any disclosure of Confidential Information except as expressly stated in this Agreement.

### 6. JOINT MARKETING

6.1 The Parties agree to make commercially reasonable efforts to engage in joint marketing activities.

6.2 Subject to the provisions of the Partner Program, each Party grants to the other a revocable, nonexclusive, non-transferable, royalty-free right to display such Party's respective Trademarks for the sole purpose of identifying the other as a partner, subject to the terms of this Agreement and such Party's standard trademark usage guidelines. In addition, Partner and GitLab agree that the Parties execution of this Agreement shall constitute Partner's written consent to GitLab's use of Partner's Trademarks in marketing and promotional materials, including earnings releases and calls, subject to Partner's brand and trademark usage guidelines as provided to GitLab in writing from time to time. Except as otherwise set forth in this Section 6.2, the use of all Trademarks will be subject to the approval of the other Party, which approval will not be unreasonably withheld or delayed. Partner shall supply requests to use GitLab Trademarks via the GitLab Partner Program. Neither Party shall acquire any rights of ownership to any copyrights, patents, trade secrets, Trademarks or other intellectual property of the other Party. If a Party has any concerns with respect to the other Party's use of its Trademarks, it shall notify the other Party and, if requested, the other Party shall promptly make any requested changes or cease all use of such Trademarks.  Upon termination of this Agreement, each Party will cease use of the Trademarks of the other Party.

6.3 Subject to the provisions of the Partner Program, including compliance with GitLab's Brand and/or Trademark Guidelines, GitLab grants to Partner a revocable, nonexclusive, non-transferable, royalty-free right to use marketing materials expressly provided by GitLab to Partner (including such materials provided to Partner via the Partner Portal ("Marketing Materials") solely for the purposes of the marketing and sale of the Products and Services in accordance with the terms of this Agreement. Partner shall not acquire any rights of ownership to any copyrights, patents, trade secrets, trademarks or other intellectual property of the GitLab in respect of the Marketing Materials. If GitLab has any concerns with respect to Partner's use of the Marketing Materials, GitLab shall notify Partner and if requested, Partner shall promptly make any requested changes or cease use of the Marketing Materials. On termination of this Agreement, Partner shall promptly cease use of the Marketing Materials.

6.4 Neither Party shall engage in any deceptive, misleading, illegal or unethical practices, including but not limited to the use of the other Party's Trademarks that may be detrimental to the other (or such other Party's services).

### 7. INTELLECTUAL PROPERTY RIGHTS

7.1 The Parties acknowledge and agree that, as between the Parties, GitLab exclusively owns all right, title and interest in and to the Products and Services (including without limitation any code or deliverables provided as part of the Products and Services or otherwise), trade name, Trademarks, service marks, logos, advertising slogans, icons, copyrights, patents, technologies, trade secrets, know how, intellectual property, information and system data (whether pre-existing, or created after the Effective Date), including any modifications, enhancements and derivatives thereof (including, but not limited to, metrics, data and information generated by such Products and Services) and related Software thereof. Partner does not acquire any rights, express or implied to any Products and Services, except as expressly granted herein and within the Exhibit(s). Partner acknowledges and agrees that its rights in and to GitLab's technology and the Products and Services are limited to the license rights set forth in this Section 7.1 and the applicable Exhibit(s).  Partner will not claim ownership or proprietary rights in GitLab's technology or the Products and Services. Partner shall not take any action that jeopardizes GitLab or its Affiliates' and/or licensors' proprietary rights or acquire any right in the Products and Services or Confidential Information of GitLab, except the limited rights specified in this Agreement or the Exhibits. GitLab and its Affiliates (as applicable) will own all rights in any copy, translation, modification, adaptation, or derivation of the Products and Services or other GitLab Confidential Information, including any improvement or development thereof. Any rights not expressly granted herein are hereby reserved by GitLab. At GitLab's request, Partner shall execute and deliver to GitLab any instrument that may be appropriate to assign these rights to GitLab or its Affiliates or perfect these rights in GitLab or its Affiliates names.

### 8. RESTRICTIONS

8.1 Partner shall not, and shall not permit, engage, or assist others to:

8.1.1 use the Products and Services for any purposes other than those expressly set forth in this Agreement and the Exhibits;

8.1.2 modify the Products and Services except as may be expressly set forth in the Exhibits;

8.1.3 use, distribute, copy, duplicate, or otherwise reproduce all or any part of the Products and Services other than as permitted, and in strict accordance with, the terms of this Agreement and the Exhibits; and/or

8.1.4 use any GitLab Confidential Information or GitLab intellectual property to create, distribute, sell, license, market or promote any Partner technology or service or any third-party technology without the prior written approval from GitLab.

8.2 Partner represents, warrants and covenants that it shall not, nor will it permit others to, take any action that is intended, or would reasonably be expected, to harm GitLab or its reputation or which would reasonably be expected to lead to unwanted or unfavorable publicity to GitLab.

8.3 Partner shall keep proper, accurate, and up to date records and data relating to the performance of its obligations under the Agreement, and all payments made and received by Partner in connection with this Agreement. Partner shall retain such records from the Effective Date until at least four (4) years after the termination of the Agreement.

8.4 Partner shall permit GitLab and its third party representatives (provided such representatives are subject to written confidentiality obligations in respect of any information obtained), on reasonable notice during normal business hours, to: (i) access and receive copies of Partner's records, books of account and any other information held by or on behalf of Partner that are solely related to Partner's obligations under this Agreement; and (ii) meet with Partner's personnel in order to audit Partner's compliance with its obligations under this Agreement.  Such audit rights shall continue for four (4) years after termination of this Agreement.  Partner shall give all necessary assistance to the conduct of any such audits.

8.5 If upon examination of the records, GitLab reasonably determines that any monies are due from Partner to GitLab pursuant to the Agreement, Partner shall promptly pay such sums to GitLab together with any accrued interest thereon.

### 9. WARRANTIES

9.1 Each Party represents and warrants to the other that: (i) it has the right to enter into this Agreement and the Exhibits and perform its obligations in the manner contemplated by this Agreement and the Exhibits and (ii) this Agreement and the Exhibits do not and shall not conflict with any other agreement entered into by it.

9.2 EXCEPT FOR THE FOREGOING WARRANTIES AND ANY WARRANTIES CONTAINED IN THIS AGREEMENT AND THE EXHIBITS, IF ANY, AND TO THE FULLEST EXTENT PERMISSIBLE UNDER APPLICABLE LAW, THE PARTIES DISCLAIM ALL REPRESENTATIONS AND WARRANTIES, EXPRESS AND IMPLIED, CONCERNING OR RELATED TO THIS AGREEMENT AND THE EXHIBITS, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, NON-INFRINGEMENT AND WHETHER OR NOT ARISING THROUGH A COURSE OF DEALING.

### 10. INDEMNIFICATION

10.1 Partner will indemnify, hold harmless and defend GitLab and its Affiliates from and against any claim, loss, cost, liability or damage, including reasonable attorneys' fees, for which GitLab becomes liable arising from or relating to: (a) Partner's actions or activities under this Agreement which infringes or violates a third parties intellectual property rights, (b) any breach by Partner of applicable laws rules and regulations, or (c) the issuance by Partner of any warranty or representation to an End User regarding GitLab Products and Services not specified in this Agreement.

10.2 GitLab will indemnify, hold harmless and defend Partner and its Affiliates from and against any third party claim, loss, cost, liability or damage, including reasonable attorneys' fees, for which Partner becomes liable arising from or relating to GitLab's infringement of a third party's U.S. patent or copyright by the GitLab Software. The foregoing obligations do not apply with respect to portions or components of the GitLab Software: (i) not created by GitLab, (ii) that are modified by Partner, End User, or any third party, or at Partner's or End User's direction, after delivery by GitLab, (iii) combined with other products, processes or materials where the alleged infringement relates to such combination, (iv) where Partner and/or End User continues the allegedly infringing activity after being notified thereof or after being informed of modifications that would have avoided the alleged infringement, or (v) where Partner's or End User's use of the Software is not strictly in accordance with this Agreement and all related documentation.

10.3 The indemnified Party shall notify the indemnifying Party in writing promptly upon learning of any claim or suit for which indemnification may be sought; provided that failure to do so shall not affect the indemnity except to the extent the indemnifying Party is prejudiced thereby. The indemnifying Party shall have control of the defense or settlement, provided that no settlement that: (i) does not provide for the full release of indemnified Party (and its respective successors and permitted assigns), or (ii) requires indemnified Party to take or refrain from taking any action, shall be entered into without indemnified Party's prior written approval. The indemnified Party shall have the right to participate in such defense or settlement with counsel of its own selection and at its sole expense. Notwithstanding the foregoing, if legal counsel for the indemnified Party notifies the indemnifying Party that (i) there are or may be legal defenses available to the indemnified Party which are different from or additional to those available to the indemnifying Party, and (ii) if the Parties were to be represented by the same counsel, it would constitute a conflict of interest for such counsel and/or prejudice the prosecution of the defenses available to the indemnified Party, then the reasonable costs of the indemnified Party's independent legal counsel shall be at the indemnifying Party's expense. The indemnified Party shall reasonably cooperate with the defense, at the indemnifying Party's expense.

### 11. LIMITATION OF LIABILITY

11.1 To the maximum extent permitted by applicable law, neither Party will be liable for any indirect, incidental, special, consequential or exemplary damages, including but not limited to damages for: (i) loss of profits, goodwill, use, data or other intangible losses (even if the Party has been advised of the possibility of such damages), including any such damages resulting from the use or the inability to use the Products and Services; (ii) the cost of procurement of substitute goods and services resulting from any failure of goods, data, information or services purchased or obtained or messages received or transactions entered into through or from the Products and Services; (iii) unauthorized access to or alteration of transmissions or data; (iv) statements or conduct of any third party on the Products and Services; (v) termination or suspension of an account; or (vi) any other matter relating to the Products and Services.

11.2 TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, THE AGGREGATE LIABILITY OF EITHER PARTY FOR ANY DAMAGES ARISING FROM OR RELATING TO THIS AGREEMENT, EXHIBITS, PRODUCTS OR SERVICES OR RELATED DOCUMENTATION, INFORMATION OR MATERIALS (FOR ANY CAUSE WHATSOEVER AND REGARDLESS OF THE FORM OF ACTION) SHALL BE SET FORTH IN THE EXHIBIT.

### 12. COMPLIANCE WITH LAWS

12.1 The Parties shall comply with applicable laws, regulations and other legal requirements as may be applicable to each Party, including, without limitation, tax, import or export restrictions, data privacy and security, foreign exchange and consumer protection legislation. Partner will promptly notify GitLab of any change that Partner knows or should reasonably be aware of in these laws, regulations or other legal requirements that may affect Partner's performance under this Agreement or the Exhibits. Partner agrees that it will not access, download, use or export the Products and Services into any country, or license, market or promote the Products and Services in any manner prohibited by the United States Export Administration Act or any other import or export laws, restrictions, or regulations (collectively the "**Export Laws**") or target any current or prospective  End User in any territory restricted by such Export Laws. In addition, the Products and Services may constitute as export controlled items under the Export Laws, therefore, Partner represents and warrants that it is not a citizen, or otherwise located within, an embargoed nation (including without limitation Iran, Syria, Sudan, Cuba, and North Korea) and that Partner is not otherwise prohibited under the Export Laws from partnering with GitLab hereunder. Partner will at all times conduct itself according to the highest standard of business ethics. Partner will not offer or provide money or anything else of value to any agent or representative of any government or government agency in order to obtain or retain business, as prohibited under any and all anti-corruption law, rule or regulation, including, but not limited to the Foreign Corrupt Practices Act of 1977 as amended. No payments between Partner and its End Users will be made in cash or via third parties (excluding Partner or End User's financial institutions). All such payments will be made directly by check or wire transfer. Partner represents and warrants that none of its principals or staff are agents or representatives of governments (as defined or identified by local law, regulation or custom) or government agencies in the Territory or Territories identified on the Cover Page. Partner will provide true, accurate, and complete information in all product orders, reimbursement requests, and other communications relating thereto.

### 13. GOVERNING LAW

13.1 This Agreement and any disputes arising out of or related to this Agreement will be governed by and construed in accordance with the laws of the State of California, without giving effect to its conflicts of laws rules or the United Nations Convention on the International Sale of Goods. With respect to all disputes arising out of or related to this Agreement, the Parties consent to exclusive jurisdiction and venue in the courts located in San Francisco (if state court) or the Northern District of California (if federal court). Either Party may seek injunctive or other emergency relief in any competent court.

13.2 Each Party understands and agrees that, notwithstanding any other provision of this Agreement or Exhibits, any breach of Sections 5 (CONFIDENTIALITY) or 7 (INTELLECTUAL PROPERTY RIGHTS) of this Agreement by a Party may cause the other Party irreparable damage for which recovery of money damages may be inadequate, and that the non-breaching Party shall therefore be entitled to seek injunctive relief to protect its rights under this Agreement or Exhibit(s) in addition to any and all remedies available at law.

### 14. MISCELLANEOUS

14.1 Partner represents and warrants that Partner has obtained the necessary consent from any Referral Client or End User prior to providing to GitLab the name, contact information, End User Data, or any other data that identifies an individual. Partner represents and warrants that Partner uses adequate privacy and security measures and handles data, including but not limited to personal data,  in compliance with all applicable privacy laws and regulations.

14.2 Neither Party will be responsible for any failure to perform or delay in performing any of its obligations under this Agreement to the extent such failure or delay results directly or indirectly from an event beyond such Party's reasonable control.

14.3 Except as otherwise specified in this Agreement, the Parties are independent contractors and neither this Agreement nor any of the Exhibits shall create an association, partnership, joint venture, or relationship of principal and agent, or employer and employee, between the Parties. Neither Party will have the right, power or authority (whether expressed or implied) to enter into, incur  or assume any duty or obligation on behalf of the other Party. Partner personnel are not, nor shall at any time be deemed to be, personnel, employees, agents and/or contractors of GitLab. Partner shall indemnify, defend and hold GitLab and its Affiliates harmless from any claims related to Partner's violation of this Section 14.3. Neither Party will be, or purport to be, authorized to legally represent the other Party or to conduct negotiations on behalf of the other Party.  Except as specified in this Agreement, neither Party will be liable for any acts, omissions, contracts, commitments, promises or representations made by the other Party.

14.4 This Agreement and the applicable Exhibits contain the entire agreement of the Parties, and supersedes any and all previous agreements with respect to the subject matter hereof, whether oral or written.

14.5 If a conflict occurs between this Agreement, any Exhibit(s) and/or Order Form(s), unless otherwise specifically stated in the Exhibit(s) or Order Form(s), the order of precedence shall be: (i) Order Form, (ii) the Exhibit(s) and (iii) this Agreement.

14.6 No term or provision hereof shall be deemed waived and no breach consented to or excused, unless such waiver, consent or excuse shall be in writing and signed by the Party claimed to have waived or consented.  Should either Party consent, waive or excuse a breach by the other Party, such shall not constitute a consent to, waiver of, or excuse of any other different or subsequent breach whether or not of the same kind as the original breach.

14.7 Neither this Agreement nor any rights or obligations hereunder may be assigned or subcontracted by Partner, whether by operation of law (including by way of sale of assets, merger, consolidation, or otherwise) or voluntarily, without the prior written consent of GitLab, such consent not to be unreasonably withheld. Any such assignment or subcontracted arrangement in violation of the foregoing shall be null and void. GitLab may assign this Agreement at its sole discretion, upon written notice to Partner. This Agreement binds, and inures to the benefit of, the Parties and their respective successors and permitted assigns.

14.8 The titles and headings of the various sections and paragraphs in this Agreement are intended solely for convenience and are not intended to explain, modify, or place any construction or limitation upon any of the provisions of this Agreement.

14.9 If any provision of this Agreement is held to be invalid or unenforceable, the remaining provisions of this Agreement will remain in full force and the unenforceable provision shall be interpreted so as to render it enforceable while approximating the Parties' intent as closely as possible.

14.10 All notices and consents required or permitted to be given under this Agreement shall be in writing to the Parties at the addresses designated herein or to such other address as either Party may designate to the other by written notice and shall be effective upon receipt. Written notice shall be made in the form of a certified letter, confirmed facsimile transmission, or acknowledged receipt of electronic mail. In the case of notices provided to GitLab, a copy is required to be sent via email to legal@gitlab.com.

14.11 Nothing in this Agreement is intended to, nor shall, create any third-party beneficiaries, whether intended or incidental, and neither party shall make any representations to the contrary.

14.12 This Agreement has been negotiated by the Parties in consultation with their respective counsel and will be fairly interpreted in accordance with its terms and provisions without any strict construction in favor of, or against, either Party. This Agreement is in the English language only, which language shall be the governing language and controlling in all respects, and all versions hereof in any other language shall be for the sake of convenience only and shall not be binding upon the Parties.

14.13 This Agreement may be executed in two or more counterparts, each of which shall be deemed an original but all of which together shall constitute one and the same Agreement. The counterparts of this Agreement and all ancillary documents may be executed and delivered by facsimile or other electronic signature by one Party to the other Party and the receiving Party may rely on the receipt of such document so executed and delivered by facsimile or other electronic means as if the original had been received.

## REFERRAL PARTNERSHIP EXHIBIT

Pursuant to the terms of the Agreement, this Referral Partnership Exhibit ("Referral Exhibit") describes the terms and conditions under which Partner will provide Referral(s) (as defined below) to GitLab for Products and Services.

### 1. DEFINITIONS

Unless otherwise specifically set forth herein, capitalized terms used in this Referral Exhibit shall have the meaning defined within the Agreement.

1.1 "**Client Referral Form**" means the form made available by GitLab to Partner within the Partner Portal which shall be used by Partner for submitting Referrals to GitLab.

1.2 "**Customer**" means an existing customer of Products and Services, or, a known potential customer to GitLab as evidenced by inclusion in GitLab's internal customer relationship management system or such other tools as may be used by GitLab to track such information.

1.3 "**Gross Sale**" means the annual fees paid by a Referral Client to GitLab for the Products and Services as agreed to in an executed Order Form, or other transaction document, between Referral Client and GitLab. If Partner is paid a Referral Fee, it will not be eligible for any other payments, discounts, or other fees pursuant to any other Exhibit for the same sales transaction related to the Products and Services.

1.4 "**Partner Program Resources**" means the materials provided by GitLab as part of the Partner Program for Partner to use in marketing, reselling, or introducing Referral Clients to GitLab for such Referral Client's purchase of Products and Services, including but not limited to, any provided access keys, developer credentials, evaluation instances, or other materials provided by GitLab to Partner.

1.5 "**Referral**" means a notification made by a Partner to GitLab, as provided in accordance with the Partner Program, of its desire to introduce a Referral Client to GitLab for such Referral Client's purchase of Products and Services.

1.6 "**Referral Client**" means an End User that a Partner has introduced or wishes to introduce to GitLab.

1.7 "**Referral Fee**" means the amount GitLab will pay Partner upon Approval (defined below) of a Referral. Applicable Referral Fees are set forth in the Referral Payment Table located within the Partner Program.

### 2. REFERRALS

2.1 If Partner wishes to submit a Referral to GitLab, Partner shall do so by completing and submitting a Client Referral Form. If GitLab desires an introduction to a Referral Client, GitLab will respond to the Client Referral Form and provide written confirmation that it wishes to be introduced to such Referral Client ("**Approval**"). GitLab will use commercially reasonable efforts to provide Partner notice of its Approval or rejection. GitLab may approve or reject a Referral Client submitted by Partner for any reason, as determined by GitLab in its sole discretion.  Rejection of a Referral Client may be caused by, but not limited to: (i) the Referral Client already being a Customer, or (ii) an entity that GitLab does not wish to be associated for any reason, including but not limited to, entities located in proscribed countries or which may represent a potential export, trade or legal risk to GitLab.

2.2 Upon receipt of an Approval, Partner will facilitate an introduction to the applicable Referral Client ("**Introduction**") to explore a sale by GitLab of Products and Services. For the avoidance of doubt, failure to send an Approval or rejection notice to Partner shall in no way be construed by Partner as Approval to facilitate an introduction or otherwise proceed under the assumption that any Referral Fee will be owed to Partner. Furthermore, Partner understands and agrees that GitLab: (a) responds to Client Referral Forms in the order in which they are received; and (b) will never pay more than one (1) Referral Fee for a single transaction related to Products and Services.

### 3. REFERRAL COMPENSATION

3.1 If a Referral Client purchases Products and Services after an Approval, GitLab will pay Partner the applicable Referral Fee as set forth in the Partner Program. The Referral Fee may be based upon a series of criteria, including but not limited to: (i) Partner status (e.g., Open or Select), (ii) the Products and Services sold to the Referral Client, and the Gross Sale value of the Products and Services, as determined by GitLab in its reasonable discretion.

### 4. INVOICING

4.1 Referral Fees are payable upon the later of (i) net forty-five (45) days following the conclusion of each GitLab fiscal quarter  or (ii) ten (10) days following GitLab's receipt of payment from the Referral Client. GitLab will provide a summary detailing the Referral Fees owed and paid by GitLab with all payments made to Partner under this Referral Exhibit. For purposes of this Section 4.1, the end of each of GitLab's fiscal quarters are currently April 30, July 31, October 31 and January 31 of each calendar year and may be updated by GitLab in its sole discretion.

4.2 In the event that a Referral Fee is due, GitLab will issue payment of such fee based on the Partner banking information provided to GitLab by Partner as part of the Partner registration process. Partner is solely responsible for ensuring the banking information provided to GitLab as part of the Partner registration process is complete, accurate and up to date and hereby releases GitLab from any liability related to such Referral Fees being issued by GitLab based on the banking information provided by Partner to GitLab.

### 5. RESTRICTION

5.1 Partner shall conduct all of its business in its own name, in the Territory agreed to between the Parties, and in accordance with the highest business standards. Partner will not, and shall not permit others to, make any agreements, promises, covenants, representations, warranties or guarantees concerning GitLab or its Product and Services.

5.2 Partner may only provide materials and information regarding GitLab or its Product and Services to a Referral Client upon GitLab's prior written approval, or as stated in the Partner Program Resources. Partner shall not describe the Products and Services functionality to the general public, a Referral Client or to its End Users in a way that implies or states that the GitLab Products and Services are owned or have been developed by Partner.

### 6. LIMITATION OF LIABILITY

6.1 TO THE EXTENT PERMITTED BY APPLICABLE LAW, THE AGGREGATE LIABILITY OF GITLAB FOR ANY DAMAGES ARISING FROM OR RELATING TO THE OBLIGATIONS UNDER THIS REFERRAL EXHIBIT AND THE APPLICABLE TERMS OF THE AGREEMENT, INCLUDING THE PRODUCTS AND SERVICES OR RELATED DOCUMENTATION, INFORMATION OR MATERIALS PROVIDED HEREUNDER (FOR ANY CAUSE WHATSOEVER AND REGARDLESS OF THE FORM OF ACTION) WILL AT ALL TIMES BE LIMITED TO THE GREATER OF (I) ONE THOUSAND UNITED STATES DOLLARS (USD$1,000) OR (II) THE REFERRAL FEES PAID OR PAYABLE TO PARTNER IN THE  TWELVE (12) MONTHS IMMEDIATELY PRECEDING THE INCIDENT CREATING LIABILITY.

## RESELLER PARTNERSHIP EXHIBIT

Pursuant to the terms of the Agreement, this Reseller Partnership Exhibit ("Reseller Exhibit") describes the terms and conditions under which Partner will Resell (as defined herein) Products and Services.

### **1. DEFINITIONS**

Unless otherwise specifically set forth herein, capitalized terms used in this Reseller Exhibit shall have the meaning defined within the Agreement.

1.1 "**Authorized Distributor**" means an entity with a binding agreement with GitLab under which it is authorized to distribute Products and Services to Authorized Resellers directly or through an Authorized Marketplace, within the Authorized Distributor's Territory. For the avoidance of doubt, without GitLab's prior written consent, Authorized Distributors are not entitled to promote, sell, and/or distribute the Products and Services on any unauthorized marketplaces or any third-party service.

1.2 "**Authorized Marketplace**" means an electronic marketplace operated by an Authorized Distributor or other GitLab partner under which it is authorized to distribute Products and Services to Authorized Resellers through such electronic marketplace as set forth in a written agreement between GitLab and such Authorized Distributor and/or GitLab partner.

1.3 "**Authorized Reseller**" means an entity with a binding agreement with GitLab under which it is authorized to Resell Products and Services to End Users, within the Authorized Reseller's Territory. For the avoidance of doubt, Authorized Resellers do not have the right to Resell Products and Services to, (i) other Authorized Resellers or third parties other than an End User, and/or (ii) on any unauthorized marketplace or any third-party service.

1.4 "**GitLab Customer**" means an existing customer of GitLab's Products and Services, or a known potential customer of GitLab, as evidenced by inclusion in GitLab's internal customer relationship management system or such other tools as may be used by GitLab to track such information.

1.5 "**Partner Program Resources**" means the materials provided by GitLab as part of the Partner Program for Partner to use in marketing, reselling, or providing referral(s) to GitLab for the purchase of Products and Services, including but not limited to, any provided access keys, developer credentials, evaluation instances, or other materials provided by GitLab to Partner.

1.6 "**Partner Sourced**" means an opportunity for the sale of Products and Services to: (a) net-new GitLab End User, or (b) a net-new opportunity for a GitLab Customer, that Partner submits via deal registration in the Partner Portal.

1.7 "**Partner Co-Sell Opportunity**" means an opportunity previously identified by GitLab for the sale of Products and Services to a GitLab Customer, in which the Partner plays an active role in the engagement, demonstration, fulfillment, and/or sale of Products and Services. A Partner Co-Sell Opportunity shall not include a Partner Sourced Opportunity, and shall be determined at the sole discretion of GitLab.

1.8 "**Resale"," Resell" or "Resold**"****means Authorized Reseller's purchase and resale of Products and Services to End Users.

1.9 "**Resell Opportunity**" means a potential Resale of Products and Services to an End User by an Authorized Reseller.

1.10 "**Subscription Renewal(s)**" means an opportunity for the Resale of Software which is for: (i) an existing End User, and (ii) for the same quantity and type of Software that such existing End User has previously purchased. For the avoidance of doubt, additional Software sold at the time of a Subscription Renewal ("**Upsell**") shall be treated as a net-new opportunity, pursuant to the Resale Discount Table as publish on the Partner Portal or otherwise provided to Partner, as updated from time to time by GitLab in its sole discretion.

### 2. RIGHTS & OBLIGATIONS

2.1 In accordance with the Agreement, this Reseller Exhibit and the Partner Program, GitLab appoints Partner as a non-exclusive partner to Resell the Products and Services for the applicable Territory. Unless otherwise set forth in this Reseller Exhibit or agreed to by the Parties in an amendment to this Agreement, Partner is not entitled to Resell Products and Services on any marketplace or any third-party service.

2.2 Partner shall not make any representations, warranties, guarantees or other commitments with respect to the specifications, features or capabilities of the Products and Services other than, or which are consistent with those contained in the documentation supplied by GitLab or the Terms and Conditions.

2.3 GitLab shall have no obligations with respect to any terms or conditions agreed to between Partner and any third party, including but not limited to: (a) Authorized Distributors, and (b) End Users. Any such terms and conditions are solely between Partner and such other third party.

2.4 Partner shall require each End User to sign or otherwise assent (in a manner acceptable to GitLab) to the Terms and Conditions for the applicable Products and Services. Partner shall not amend or grant any waiver under the Terms and Conditions.

2.5 If Partner becomes aware of any violation of the Terms and Conditions, Partner will notify GitLab immediately and will reasonably assist GitLab in its efforts to enforce the applicable Terms and Conditions.

2.6 During the Term, Partner shall:

2.6.1 use its best endeavors to advertise and promote the Resale of the Products and Services throughout the Territory;

2.6.2 at all times conduct its business in a manner that will reflect favorably on the Products and Services and on the good name and reputation of GitLab;

2.6.3 not by itself, or with others, participate in any illegal, deceptive, misleading or unethical practices including, but not limited to, disparagement of the Products and Services or GitLab or other practices which may be detrimental to the Products and Services, GitLab or the public interest;

2.6.4 not actively market the Products and Services outside the Territory without the prior written consent of GitLab;

2.6.5 supply to GitLab such reports, returns and other information relating to orders and projected orders for the Products and Services as GitLab may reasonably requestfrom time to time;

2.6.6 use GitLab's trademarks and trade names relating to the Products and Services only in the registered or agreed style in connection with the Resale of the Products and Services as set forth in the Partner Program and shall not use such trademarks or trade names in connection with any other products or services or as part of the corporate or any trade name of Partner;

2.6.7 not alter, obscure, remove, interfere with or add to any of the trademarks, trade names, markings or notices affixed to or contained in the Products and Services; and

2.6.8 comply with all of the guidelines and conditions of the Partner Program.

2.7 GitLab shall:

2.7.1 Provide Partner with marketing and technical assistance reasonably necessary to enable Partner to Resell Products and Services; and

2.7.2 Provide Partner with the information and assistance set forth in the Partner Program, to enable Partner to perform its obligation under the Agreement and this Reseller Exhibit.

### 3. RESELL PROCESS & PROCEDURE

3.1 Partner may notify GitLab through a submission on the Partner Portal of the Resell Opportunity within the Territory ("**Deal Registration Form**"). GitLab will respond to the Deal Registration Form and provide written confirmation that it wishes to authorize the Resale of Products and Services (at its sole discretion) ("**Approval**"). GitLab will use commercially reasonable efforts to provide rejection or Approval. In the event of Approval, GitLab shall provide information regarding whether the opportunity will be treated as a Partner Sourced Opportunity or Partner Co-Sell Opportunity. Rejection of a Resell Opportunity may be caused by, but not limited to: (i) the Resell Opportunity already being actively pursued by GitLab, (ii) an End User that GitLab does not wish to be associated, including but not limited to, entities located in proscribed countries or which may represent a potential export, trade or legal risk to GitLab; or (iii) written Approval is not communicated by GitLab.

3.2 Upon receipt of an Approval, GitLab will enter into either: (i) an Order Form with an Authorized Distributor for the applicable Products and Services to be provided to Partner, or (ii) an Order Form with Partner for the applicable Products and Services if being purchased directly from GitLab. The Order Form between GitLab and Partner will include reference to: (i) the Agreement and Reseller Exhibit, (ii) the name and address of the End User, (iii) the Products and Services to be Resold by Partner including: (a) quantity, (b) price, and (c) term of the Products and Services. In addition, the Order Form will state any other specific terms and conditions to be entered into between the Parties. Any terms stated by Partner in a purchase order (or similar document) provided by Partner in connection with the Resale of any Products and Services shall be null and void, and are expressly rejected by the Parties.

3.3 Once an Order Form has been entered into, GitLab will issue the applicable Products and Services, including applicable software license key, to the End User.

3.4 Partner shall maintain reasonable records to substantiate and verify compliance with this Section 3, as well as the obligations set forth in Section 2.4.

### 4. PRICING AND PAYMENT

4.1 Subject to the terms of this Agreement and an Order Form entered into between the Parties, Partner will pay GitLab for each order of the Products and Services. For the avoidance of doubt, Partner shall at all times be in control of the pricing of Products and Services to its End Users.

4.2 Upon the execution of the Order Form between GitLab and Partner, all fees outlined in an Order Form shall be considered due and payable. Partner shall be responsible for obtaining any necessary import licenses, certificates of origin or other requisite document and paying all applicable customs, duties and taxes (both present and future) in respect of the Products and Services. All payment under this Agreement, Reseller Exhibit, and Order Form shall be paid free and clear of all deductions or withholdings whatsoever.

4.3 Notwithstanding anything to the contrary in the Agreement or this Reseller Exhibit, the terms of Section 4.1 and 4.2 shall only apply to Products and Services purchased directly from GitLab.  The Parties acknowledge and agree that all terms and conditions related to Partner's purchase of Products and Services through an Authorized Distributor related to fees, taxes and payments and disputes related thereto, shall be solely between Partner and Authorized Distributor pursuant to the agreement or other terms and conditions between Partner and such Authorized Distributor.

4.4 Pursuant to the "**Resale Discount Table**", as set forth within the Partner Program, the amount of discount Partner is to receive may be based upon a series of criteria, including but not limited to: (i) whether, or not, the Resell Opportunity was either: (a) Partner Sourced Opportunity, (b) Co-Sell Opportunity; (ii) Partner's status (e.g., Open or Select); (iii) Gross Sale (as defined herein); and (iv) the Products and Services sold to the End User. "**Gross Sale**" shall mean the annual fees paid by an Authorized Reseller, or Authorized Distributor, to GitLab for the Products and Services as agreed to in an executed Order Form.

### 5. REBATE COMPENSATION

5.1 In addition to up-front product discounts, GitLab may offer partners additional incentives paid as end of quarter rebates ("Rebates"), as determined by GitLab in its sole discretion.  These Rebates, including terms related to eligibility, applicability, payment and the amount of such Rebates, will be set forth in the Partner Program. The incentives may be based upon a series of criteria, including but not limited to: (i) Partner status (e.g., Open or Select), (ii) the Products and Services sold, and the Gross Sale value of the Products and Services, as determined by GitLab in its reasonable discretion. In the event that a Rebate is due, GitLab will issue payment of such Rebate based on the Partner banking information provided to GitLab by Partner as part of the Partner registration process. Partner is solely responsible for ensuring the banking information provided to GitLab as part of the Partner registration process is complete, accurate and up to date and hereby releases GitLab from any liability related to such Rebates being issued by GitLab based on the banking information provided by Partner to GitLab.

### 6. LIMITATION OF LIABILITY

6.1 TO THE EXTENT PERMITTED BY APPLICABLE LAW, WITH THE EXCEPTION OF PARTNER'S OBLIGATIONS UNDER, OR BREACH OF: (I) SECTION 5 (CONFIDENTIALITY), (II) SECTION 7 (INTELLECTUAL PROPERTY RIGHTS), (III) INDEMNIFICATION OBLIGATIONS (INCLUDING SECTION 10), (IV) SECTION 12 (COMPLIANCE WITH LAW), THE AGGREGATE LIABILITY OF EITHER PARTY FOR ANY DAMAGES ARISING FROM OR RELATING TO THE AGREEMENT, AND APPLICABLE PARTNERSHIP EXHIBITS (EXCLUDING THE REFERRAL PARTNERSHIP EXHIBIT), INCLUDING ANY PRODUCTS OR SERVICES OR RELATED DOCUMENTATION, INFORMATION OR MATERIALS PROVIDED HEREUNDER (FOR ANY CAUSE WHATSOEVER AND REGARDLESS OF THE FORM OF ACTION) WILL AT ALL TIMES BE LIMITED TO THE GREATER OF TWO HUNDRED AND FIFTY THOUSAND UNITED STATES DOLLARS (USD$250,000), OR, THE AMOUNTS PAID OR PAYABLE TO GITLAB DIRECTLY OR THROUGH AN AUTHORIZED DISTRIBUTOR IN THE 12 MONTHS IMMEDIATELY PRECEDING THE INCIDENT CREATING LIABILITY.
