---
title: "Fulfillment Reseller Flow-Through Terms"
noindex: true
---
<!-- vale off -->
These Fulfillment Reseller Flow-Through Terms (the "Agreement") are made as of the date agreed to between the Authorized Partner (as defined below) and the Fulfillment Reseller (as defined below) (the "Effective Date"). Each shall be referred to herein as "Party", or collectively as the "Parties". For the avoidance of doubt, as further set forth in Section 10 (MISCELLANEOUS), GitLab Inc. or the applicable GitLab entity which has executed terms with the Authorized Partner ("GitLab") shall be a third-party beneficiary to this Agreement between the Parties, and shall have the right to enforce any terms and conditions onto the Fulfillment Reseller.  In consideration of the mutual agreements contained herein and intending to be legally bound hereby, the Parties agree as follows.

### 1. DEFINITIONS

"Affiliate(s)" means any entity(ies) controlling, controlled by, and/or under common control with a Party hereto, where "control" means the ownership of more than 50% of the voting securities in such entity.

"Authorized Partner" means either:

- "Authorized Distributor" an entity with a binding agreement with GitLab and is therefore authorized to distribute GitLab Products and Services to Authorized Resellers or Fulfillment Resellers (pursuant to the terms stated herein), under the Authorized Distributor's own domain and/or locations. For the avoidance of doubt, without GitLab's prior written consent, Authorized Distributors are not entitled to promote, sell, and/or distribute the GitLab Products and Services on a marketplace or any third-party service; or

- "Authorized Reseller" an entity with a binding agreement with GitLab and is therefore authorized to resell GitLab Products and Services to End Users, or Fulfillment Resellers (pursuant to the terms stated herein), under the Authorized Reseller's own domain and/or locations. For the avoidance of doubt, Authorized Resellers do not have the right to Resell GitLab Products and Services on any marketplace or third-party service.

"Confidential Information" means the terms and conditions of this Agreement, and any other non-public technical or business information of GitLab, whether provided orally or in writing, that is designated in writing as "Confidential" or "Proprietary" at the time of disclosure or that due to the nature of the information the Receiving Party would reasonably understand it to be confidential information of the Disclosing Party, including information relating to a GitLab's techniques, ideas, concepts, algorithms, source code, methodologies, workflows, implementation processes, current and future products and services, research, engineering, designs, financial information, procurement requirements, customer lists, business forecasts, roadmaps, marketing plans, pricing, discounts and proposals. For the avoidance of doubt, Confidential Information shall not include electronic data and information submitted by or for End User to and/or through the GitLab Products and Services (referred to herein as "End User Data").

"Disclosing Party" means the Party disclosing their Confidential Information to the Receiving Party.

"End User" means Fulfillment Reseller's customer and/or user of the GitLab Products and Services.

"Fulfillment Reseller" means a Party which is entitled to resell the GitLab Products and Services subject to the terms of this Agreement. For the avoidance of doubt, (i) this Agreement shall be agreed to between the Authorized Partner and Fulfillment Reseller as an obligation in order for Fulfillment Reseller to offer / sell GitLab Products and Services, and (ii) GitLab shall have the right to enforce the terms and conditions of this Agreement.

"GitLab Free Software" means GitLab Software provided to an End User, Partner, customer or any other third party: (i) at no, or a greatly reduced, cost, and (ii) for the sole purpose(s) of evaluation, demonstration, piloting, testing, NFR (Not-For-Resale), and/or other elements non "commercial related". "Commercial related" shall include, but not be limited to, internal use, resale, and/or distribution of the GitLab Software as set forth in a binding purchase with GitLab.

"GitLab Products and Services" means GitLab Software (as defined herein) and GitLab Professional Services (as defined herein).

"GitLab Professional Services" means professional services, including but not limited to, training, enablement, best practices, and consulting which are provided by GitLab to an End User.

"GitLab Software" means software, and other branded offerings sold by GitLab as agreed to between the Parties in an Order Form, including but not limited to, the self-managed and/or SaaS version of GitLab's "DevOps Lifecycle Application Platform. For the avoidance of doubt, GitLab Software does not include, and applicable terms shall not apply to GitLab Free Software (as defined herein).

"GitLab Terms and Conditions" means the applicable terms and conditions for GitLab Products and Services. With respect to GitLab Software the applicable terms and conditions are located at https://about.gitlab.com/terms/#subscription.

"Master Partner Agreement" means the legally binding agreement between GitLab and Authorized Partner which provides the rights and obligations related to the distribution and/or sale or resale of GitLab Products and Services.

"Receiving Party" means the Party receiving the Disclosing Party's Confidential Information.

"Trademarks" means GitLab's corporate name, logo, and "button" or "icon" for use within others' software to indicate an available integration or partnership, and any other logos, slogan(s), service marks, trademarks and certification marks.

### 2. AUTHORIZED PARTNER RIGHTS & OBLIGATIONS

2.1 Authorized Partner shall be solely liable for ensuring the Fulfillment Reseller assents and agrees to the terms of this Agreement. Such assent and agreement shall ensure that this Agreement be enforceable upon Fulfillment Reseller by both Authorized Partner and GitLab.

### 3. FULFILLMENT RESELLER RIGHTS & OBLIGATIONS

3.1 In accordance with this Agreement, Authorized Partner appoints Fulfillment Reseller as a non-exclusive partner to resell the GitLab Products and Services to End Users.

3.2 Fulfillment Reseller shall not represent or give any condition or warranty or make any representation on GitLab's behalf or commit GitLab to any contracts. The Fulfillment Reseller shall not make any representations, warranties, guarantees or other commitments with respect to the specifications, features or capabilities of the GitLab Products and Services other than, or which are consistent with those contained in the documentation supplied by GitLab or the GitLab Terms and Conditions.

3.3 GitLab shall have no obligations with respect to any terms or conditions agreed to between Fulfillment Reseller and any third party, including but not limited to End Users.

3.4 Fulfillment Reseller shall require each End User to sign or otherwise assent to the GitLab Terms and Conditions for the applicable GitLab Products and Services. Fulfillment Reseller shall not amend or grant any waiver under the GitLab Terms and Conditions.

3.5 If Fulfillment Reseller becomes aware of any violation of the GitLab Terms and Conditions, Fulfillment Reseller will notify GitLab and Authorized Partner immediately and will reasonably assist GitLab and Authorized Partner in its efforts to enforce the applicable terms.

3.6 The Fulfillment Reseller shall:

- at all times conduct its business in a manner that will reflect favorably on the GitLab Products and Services and on the good name and reputation of GitLab;
- not by itself or with others participate in any illegal, deceptive, misleading or unethical practices including, but not limited to, disparagement of the GitLab Products and Services or GitLab or other practices which may be detrimental to the GitLab Products and Services, GitLab or the public interest;
- not make any misrepresentations in relation to the GitLab Products and Services;
- use GitLab's trademarks and trade names relating to the GitLab Products and Services only in the registered or agreed style in connection with the resale of the GitLab Products and Services and shall not use such trademarks or trade names in connection with any other products or services or as part of the corporate or any trade name of Partner;
- not alter, obscure, remove, interfere with or add to any of the trademarks, trade names, markings or notices affixed to or contained in the GitLab Products and Services; and
- Comply with the GitLab Partner Code of Ethics as found athttps://about.gitlab.com/handbook/legal/gitlab-code-of-business-conduct-and-ethics/.

3.7 Fulfillment Reseller shall not purchase, use, or deploy GitLab Products under this Agreement for Fulfillment Reseller's internal purposes ("Internal Use"). In the event Fulfillment Reseller desires to purchase, use, or deploy GitLab Products for Internal Use, the Parties shall enter into an Order Form and such Internal Use shall be subject to either: (i) the GitLab Terms and Conditions, or, (ii) (if applicable) a definitive agreement executed between GitLab and Fulfillment Reseller which specifically contemplates Fulfillment Reseller Internal Use.

3.8 Fulfillment Reseller and GitLab acknowledge and agree that GitLab Free Software may be limited in functions, features, maintenance, support and contain other limitations not present in GitLab Software purchased. Unless otherwise agreed to in writing by GitLab, provisions in this Agreement regarding GitLab Software, shall not be applicable for GitLab Free Software with respect to: (i) warranties (as stated in Section 9.1), and (ii) indemnification (as stated in Section 10). GitLab Free Software is provided "AS IS" without any representations or warranties of any kind, otherwise, GitLab Free Software shall be subject to all other terms and conditions in this Agreement.

3.9 Fulfillment Reseller shall not engage in any deceptive, misleading, illegal or unethical practices, including but not limited to the use of the GitLab's Trademarks, that may be detrimental to GitLab.

3.10 Fulfillment Reseller shall not, and shall not permit, engage or assist others to:

- use the GitLab Products and Services for any purposes other than those expressly set forth in this Agreement;
- use, distribute, copy, duplicate, or otherwise reproduce all or any part of the GitLab Products and Services other than as permitted, and in strict accordance with, the terms of this Agreement ; and/or
- use any GitLab Confidential Information or GitLab intellectual property to create, distribute, sell, license, market or promote any Fulfillment Reseller technology or service or any third-party technology without the prior written approval from GitLab.

3.11 Fulfillment Reseller represents, warrants and covenants that it shall not, nor will it permit others to, take any action that is intended, or would reasonably be expected, to harm GitLab or its reputation or which would reasonably be expected to lead to unwanted or unfavorable publicity to GitLab.

3.12 The Fulfillment Reseller shall permit Authorized Partner and/or GitLab and its third party representatives (provided such representatives are subject to written confidentiality obligations in respect of any information obtained), on reasonable notice during normal business hours, to access and receive copies of the Fulfillment Reseller's records, books of account and any other information held by or on behalf of the Fulfillment Reseller that are solely related to Fulfillment Reseller's obligations under this Agreement and to meet with the Fulfillment Reseller's personnel in order to audit the Fulfillment Reseller's compliance with its obligations under this Agreement.  Such audit rights shall continue for four (4) years after termination or expiry of this Agreement.  The Fulfillment Reseller shall give all necessary assistance to the conduct of any such audits.

### 4. Term, Termination and Effect of Termination

4.1 This Agreement shall commence on the Effective Date and remain in effect for a period of one (1) year thereafter ("Term"). This Agreement may be terminated upon thirty (30) days written notice as requested by GitLab and/or Authorized Partner, provided that any Order Forms with active GitLab Products and Services shall remain subject to the terms of this Agreement until their expiration.

4.2 GitLab will not be liable to Fulfillment Reseller for damages of any kind, including special, indirect, incidental, consequential or punitive damages, on account of the termination or expiration of this Agreement or any exhibit as permitted herein.

### 5. CONFIDENTIALITY

5.1 Confidential Information shall not include any information that: (a) is or becomes generally available to the public through no fault of or breach of this Agreement by the Receiving Party; (b) was rightfully in the Receiving Party's possession at the time of disclosure without an obligation of confidentiality on the Receiving Party; (c) is independently developed by the Receiving Party without use of the Disclosing Party's Confidential Information; (d) is rightfully obtained by the Receiving Party from a third party not under a duty of confidentiality to the Disclosing Party and without restriction on use or disclosure; or (e) the Receiving Party is permitted to publicly disclose under another provision of this Agreement.

5.2 Neither Party shall disclose Confidential Information of the other Party to anyone or shall use Confidential Information of the other Party for any purpose, except in either case as necessary to exercise its rights or obligations under this Agreement ("Permitted Purposes"). Each Party shall use at least the same degree of care (but no less than reasonable care) to prevent the unauthorized use, dissemination and copying of the other Party's Confidential Information as it uses to protect its own confidential information of a like nature. Each Party shall limit the disclosure of such Confidential Information to those of its employees, consultants, Affiliates, advisors and contractors with a bona fide need to access such Confidential Information solely for the Permitted Purposes, and all such employees and contractors must be subject to binding disclosure and use restrictions at least as protective as those set forth herein. Each Party shall be responsible for any breach of this Section 5.2 by its individual employees, consultants, Affiliates' employees, advisors and contractors, as if they were that Party's own employees.

5.3 The obligations of confidentiality under this Section 5 shall expire three (3) years after that Confidential Information is disclosed hereunder. A Receiving Party shall promptly return or destroy (or in the case of electronic data, use commercially reasonable efforts to delete or render practicably inaccessible by Receiving Party) Confidential Information disclosed by the Disclosing Party upon its written request.

5.4 This Agreement shall not be construed to prevent the Receiving Party from disclosing the Disclosing Party's Confidential Information to a court or governmental body pursuant to a valid court order, law, subpoena or regulation, provided that the Receiving Party: (a) gives reasonable notice (or such shorter period as is the maximum notice permitted under applicable law) before making the disclosure, unless prohibited by law; (b) provides reasonable assistance to the Disclosing Party in any lawful efforts by the Disclosing Party to resist or limit the disclosure of such Confidential Information; and (c) discloses only that portion of the Disclosing Party's Confidential Information which is legally required to be disclosed.

5.5 The Parties agree that the Receiving Party's disclosure of Confidential Information except as provided herein would result in irreparable injury for which a remedy in money damages would be inadequate. The Parties further agree that in the event of such disclosure or threatened disclosure: (a) the Disclosing Party shall be entitled to seek an injunction to prevent the breach or threatened breach, in addition to any other remedies available to the Disclosing Party at law or in equity; and (b) each Party hereby acknowledges that such an injunction is appropriate and warranted in such case. Unless specifically provided otherwise in this Agreement, remedies arising under this Agreement are cumulative and do not exclude any other remedies available at law or in equity. All Confidential Information disclosed under this Agreement will remain the property of the Disclosing Party. No license or right under any intellectual property right is granted under this Agreement or by any disclosure of Confidential Information except as expressly stated in this Agreement.

### 6. INTELLECTUAL PROPERTY RIGHTS

6.1 Fulfillment Reseller acknowledges and agrees that GitLab exclusively owns all right, title and interest in and to the GitLab Products, Services and Software (including without limitation any code or deliverables provided as part of the GitLab Products and Services or otherwise), trade name, Trademarks, service marks, logos, advertising slogans, icons, copyrights, patents, technologies, trade secrets, know how, intellectual property, information and system data (whether pre-existing, or created after the Effective Date), including any modifications, enhancements and derivatives thereof (including, but not limited to, metrics, data and information generated by such GitLab Products and Services) and related software thereof.

6.2 Fulfillment Reseller does not acquire any rights, express or implied to any GitLab Products and Services, except as expressly granted herein.

6.3 Fulfillment Reseller will not claim ownership or proprietary rights in GitLab's technology or the GitLab Products and Services. Fulfillment Reseller shall not take any action that jeopardizes GitLab or its Affiliates, and/or licensors' proprietary rights or acquire any right in the GitLab Products and Services or Confidential Information of GitLab, except the limited rights specified in this Agreement. GitLab and its Affiliates (as applicable) will own all rights in any copy, translation, modification, adaptation, or derivation of the GitLab Products and Services or other items of Confidential Information, including any improvement or development thereof. Any rights not expressly granted herein are hereby reserved by GitLab.

6.4 At GitLab request, Fulfillment Reseller shall execute and deliver to GitLab any instrument that may be appropriate to assign these rights to GitLab or its Affiliates or perfect these rights in GitLab or its Affiliates names.

### 7. INDEMNIFICATION

7.1 Fulfillment Reseller will indemnify, hold harmless and (at Authorized Partner's option) defend Authorized Partner and its licensors (which includes GitLab) and their Affiliates ("Indemnified Parties") from and against any claim, loss, cost, liability or damage, including attorneys' fees, for which Indemnified Parties become liable arising from or relating to: (a) Fulfillment Reseller's actions or activities under this Agreement which infringes or violates a third parties intellectual property rights, (b) any breach by Fulfillment Reseller of applicable laws rules and regulations, or (c) the issuance by Fulfillment Reseller of any warranty or representation regarding GitLab Products and Services not specified in this Agreement.

### 8. COMPLIANCE WITH LAWS

8.1 Fulfillment Reseller shall comply with applicable laws, regulations and other legal requirements as may be applicable, including without limitation tax, import or export restrictions, data privacy and security, foreign exchange and consumer protection legislation.

### 9. Governing Law

9.1 This Agreement and any disputes arising out of or related hereto will be governed by and construed in accordance with the laws of California, United States of America. In the event the Authorized Partner's headquarters are located outside of the United States of America, this Agreement shall be governed by the laws of England and Wales.

### 10.MISCELLANEOUS

10.1 If any provision of this Agreement is held to be invalid or unenforceable, the remaining provisions of this Agreement will remain in full force and the unenforceable provision shall be interpreted so as to render it enforceable while approximating the intent as closely as possible.

10.2 A person who is not a party to this Agreement shall not have any rights under the Contracts (Rights of Third Parties) Act 1999 to enforce any term of this Agreement, except that GitLab may enforce clauses of Section 3 (FULFILLMENT RESELLER RIGHTS & OBLIGATIONS), Section 4 (TERM, TERMINATION AND EFFECT OF TERMINATION), Section 5 (CONFIDENTIALITY), Section 6 (INTELLECTUAL PROPERTY RIGHTS), Section 7 (INDEMNIFICATION), Section 8 (COMPLIANCE WITH LAWS) and Section 9 (GOVERNING LAW) of this agreement.
