---
title: "Technology Partner Agreement"
---
<!-- vale off -->
**PLEASE READ THIS AGREEMENT CAREFULLY BEFORE USING ACCESSING OR CONSUMING THE SOFTWARE OR SERVICES FROM GITLAB. BY CLICKING YOUR ASSENT BELOW OR USING, ACCESSING OR CONSUMING THE GITLAB SOFTWARE OR SERVICES, YOU SIGNIFY YOUR ASSENT TO AND ACCEPTANCE OF THIS AGREEMENT AND ACKNOWLEDGE YOU HAVE READ AND UNDERSTAND THE TERMS. AN INDIVIDUAL ACTING ON BEHALF OF AN ENTITY REPRESENTS THAT HE OR SHE HAS THE AUTHORITY TO ENTER INTO THIS AGREEMENT ON BEHALF OF THAT ENTITY. IF YOU DO NOT ACCEPT THE TERMS OF THIS AGREEMENT, THEN YOU MUST NOT USE, ACCESS OR CONSUME THE GITLAB SOFTWARE OR SERVICES**

## Technology Partner Agreement

This Technology Partner Agreement (the "**Agreement**") is made as of the date in which the Partner accepts the terms of this Agreement by clicking "agree" or "accept" (the "**Effective Date**") by and between GitLab and Partner (referred to herein as "**Party**", or collectively as the "**Parties**"). In consideration of the mutual agreements contained herein and intending to be legally bound hereby, the Parties agree as follows:

### 1. **DEFINITIONS**

Capitalized terms used in this Agreement shall be defined where first used or as follows

1.1 **"Affiliates"** means, with respect to a Party, any entity that directly or indirectly controls, is controlled by, or is under common control with such Party, where "control" means at least fifty percent (50%) ownership of the outstanding shares of the entity or the ability to direct the management of the entity by contract or otherwise.

1.2 **"API"** means any documented or otherwise disclosed application programming interface for GitLab's Software (as defined herein) that enables utilizing, modifying, displaying instances of, and accessing, the software (e.g., via SOAP- or REST-based interfaces), including subsequent revisions and modifications.

1.3 **"Collateral"** means a Party's sales, marketing and advertising materials made available or otherwise provided by a Party to the other for use in connection with this Agreement, in printed or electronic format.

1.4 **"Confidential Information"** shall have the meaning ascribed in Section 7 (Confidentiality).

1.5 **"Customer Data"** means any data stored in a GitLab customer repository within the GitLab Software.

1.6 **"GitLab Developer Resources"** means certain API and other development materials provided by GitLab for Partner to use in developing a Partner Integration with GitLab Products. This shall also include any provided access keys, developer credentials, evaluation instances, or other materials provided by GitLab to Partner.

1.7 **"GitLab Free Software"** means GitLab Software provided to an End User, Partner, customer or any other third party: (i) at no, or a greatly reduced, cost, and (ii) for the sole purpose(s) of evaluation, demonstration, piloting, testing, NFR (Not-For-Resale), and/or other elements non "commercial related". "Commercial related" shall include, but not be limited to, internal use, resale, and/or distribution of the GitLab Software as set forth in a binding purchase with GitLab.

1.8 **"GitLab Alliance Partner Program"** means the program guidelines and overview as found at <https://about.gitlab.com/partners/integrate/> as updated from time to in GitLab's sole discretion, which includes directions, eligibility and qualification requirements as well as  rules for use of GitLab provided materials for use with GitLab Products. Included within the GitLab Alliance Partner Program may be GitLab Developer Resources as may be made available by GitLab in its sole discretion (e.g. NFR licenses).

1.9 **"GitLab Software"** means software, and other branded offerings sold by GitLab, including but not limited to, the self-managed and/or SaaS version of GitLab's "DevOps Lifecycle Application Platform".

1.10 **"Intellectual Property Rights"** means all intellectual property rights throughout the world, including, without limitation, patents, copyrights, trademarks, trade secrets and contractual or other rights in confidential information, moral rights, rights of privacy and publicity, and any other intellectual and industrial property and proprietary rights including registrations, applications, renewals and extensions of such rights worldwide.

1.11 **"Trademarks"** means a Party's corporate name, primary logo, and primary "button" or "icon" for use within others' software to indicate an available integration, and any other logos, service marks, trademarks and certification marks that one Party expressly authorizes the other Party to use under this Agreement in writing.

### 2. **PURPOSE**

2.1 Subject to the terms of this Agreement, as well as any eligibility or other prerequisites for participation as set forth in the GitLab Alliance Partner Program as determined in GitLab's sole discretion, Partner may create an integration ("**Partner Integration**") on and/ or within Partner platform, software, and/or solution ("**Partner Product(s)**") which may enable GitLab customers to request information, or enable activity, from GitLab Software and/or GitLab branded products or services ("**GitLab Product(s)**").

2.2 Upon Partner meeting full participation requirements as set forth in the GitLab Alliance Partner Program, and subject to Section 4 below, the Parties wish to exchange certain limited license rights to their respective company trademarks and marketing collateral so that each Party may advertise the Partner Integration and corresponding value for GitLab Product(s).

### 3. **REGISTRATION & USE RIGHTS**

3.1 Partner shall follow the registration or credentialing requirements (if any) established by GitLab within this Agreement, as well as, the GitLab Alliance Partner Program, which includes Partner's use of, and GitLab's discretion to provide GitLab Developer Resources.

3.2 Subject to the terms of this Agreement and the GitLab Alliance Partner Program, Partner shall be entitled to create Partner Integration(s) which access or interface with GitLab Products.   All of Partner's rights under this Agreement and the GitLab Alliance Partner Program are limited, non-exclusive, non-sublicensable and non-transferable.

3.3 In accessing and using the GitLab Developer Resources, Partner agrees to comply with the terms of this Agreement and the program guideline(s) found in the GitLab Alliance Partner Program ("**Program Guidelines**"). Partner agrees not to (and not to authorize any third party to): (a) use the GitLab Developer Resources except with the related GitLab Products, and in accordance with the GitLab Alliance Partner Program; (b) modify or create any derivative works of the GitLab Developer Resources ; (c) take any action that would subject the GitLab Developer Resources to any third party terms; (d) copy, frame or display any elements of the GitLab Products through the Partner Integration or use the GitLab Developer Resources with Partner Integration(s) that substantially replicate any features or functionality of GitLab Products, except as expressly authorized by GitLab in writing; (e) copy, distribute, sell, sublicense, rent or lease the GitLab Developer Resources, including any access key provided by GitLab or use such items for hosting, service provider or similar purposes; or (f) access the GitLab Developer Resources for competitive analysis or disseminate performance information (including uptime, response time and/or benchmarks) relating to the GitLab Products.

3.4 Partner and GitLab acknowledge and agree that GitLab Free Software may be limited in functions, features, maintenance, support and contain other limitations not present in GitLab Software purchased. For more information on GitLab's Alliance Program and NFR license eligibility, please visit: https://handbook.gitlab.com/handbook/alliances/. Should Partner meet the eligibility requirements of the Alliance Program, as determined in GitLab's sole discretion, the grant and use of the GitLab Free Software shall be subject to the applicable terms within GitLab's Subscription Agreement, which can be found at: https://about.gitlab.com/handbook/legal/subscription-agreement/.

### 4. **OWNERSHIP RIGHTS & TRADEMARKS**

4.1 Subject  to Partner compliance with this Agreement and satisfying the GitLab Alliance Partner Program requirements, including the certification of a Partner Integration,  the Parties may elect to enter into a separate agreement  or form of amendment hereto for the promotion of, and joint sales of, the GitLab Products and Partner Products, as to be mutually agreed between the Parties in writing including the use of any Collateral or Trademarks designated for such use pursuant to this Agreement as contemplated under Section 4.2 and any other use by a Party approved in writing by the other Party.

4.2 Use of each Party's Trademarks shall be subject to the Trademark owner's trademark usage guidelines and logo usage guidelines, as provided to the other Party, and each Party will cooperate with the other to maintain that Party's goodwill associated with its Trademarks. Partner shall be subject to the GitLab trademark usage guidelines available at  https://about.gitlab.com/handbook/marketing/brand-and-digital-design/#brand-guidelines (as updated from time to time) including GitLab's prior written consent (email sufficient).

4.3 Other than as set forth in this Section 4, neither Party or its respective Affiliate(s) shall issue or release any announcement, statement, press release, or other publicity or marketing materials relating to this Agreement, or the existence of a relationship between the Parties, or otherwise use the other Party's Trademarks, service marks, trade names, logos, domain names, or other indicia of source, affiliation or sponsorship, in each case, without the prior written consent of the other Party.

4.4 Partner and its third-party licensors (as applicable) shall retain all ownership and other rights in the Partner Integrations, Partner Products, and Partner Trademarks. GitLab and its third-party licensors (as applicable) shall retain all ownership and other rights in the GitLab Developer Resources, GitLab Products and GitLab Trademarks, including all intellectual property rights. Providing feedback, comments, or suggestions about the GitLab Developer Resources or GitLab Products ("**Feedback**") to GitLab is wholly voluntary. By providing Feedback, Partner grants GitLab a worldwide, royalty-free, non-exclusive, perpetual and irrevocable license to use, copy, modify, sublicense and otherwise exploit the Feedback (including any ideas, concepts, methods, know-how or techniques embodied in Feedback) for any purpose, without any restriction or obligation to Partner based on intellectual property rights or otherwise.

### 5. **SUPPORT & GITLAB PRODUCTS**

5.1 GitLab, at its own cost and expense, shall be responsible for providing support (if any) to end users for GitLab Products and services.

5.2 Partner, at its own cost and expense, shall be responsible for providing support (if any) to end users for any Partner Products and Partner Integrations.

5.3 If either Party receives an end user support inquiry that pertains to the other Party's product(s) and/or integration(s), such Party shall redirect the inquiry to the owning Party. The Parties agree to cooperate with one another in good faith to troubleshoot which Party's product or service is responsible for a given support issue related to the Partner Integration. Furthermore, both Parties will use commercially reasonable efforts to address and resolve technical issues raised by the other Party.

5.4 GitLab has no obligation to provide any maintenance or support for the GitLab Developer Resources or to any end users of the Partner Products or Partner Integrations, which includes the obligation to fix any errors or defects.

5.5 Use of GitLab Products requires each end user to have a valid license or subscription with GitLab subject to the then-current GitLab subscription terms and conditions, or a definitive Agreement negotiated and executed between GitLab and an end user ("**GitLab Terms and Conditions**"). Partner shall not facilitate or encourage any end user to violate the GitLab Terms and Conditions or interfere with any end user's review or acceptance of the GitLab Terms and Conditions.

5.6 This Agreement does not, and Partner shall not resell GitLab Products or create any binding commitment on behalf of GitLab. In addition, Partner may not directly or indirectly charge end users for use of, or access to, the functionality of the GitLab Products or GitLab Developer Resources.

### 6. **TERM & TERMINATION**

6.1 The initial term of this Agreement shall commence on the Effective Date and shall expire one (1) year later (the "Initial Term"). The Initial Term of this Agreement shall automatically renew for successive one (1) year renewal periods unless terminated as described below. The period of time from the Effective Date until the termination of this Agreement, including the Initial Term, is the "Term."

6.2 Following the Initial Term, either Party may terminate this Agreement upon sixty (60) days' prior written notice to the other Party. Either Party may immediately terminate this Agreement upon written notice if the other Party breaches its obligations under this Agreement and fails to cure such breach within thirty (30) days following receipt of notice from the non-breaching Party. A Party that provides notice of breach must include in the notice a description of the alleged breach in reasonable detail. In addition, either Party may immediately terminate this Agreement upon written notice to the other Party in the event that the other Party becomes the subject of a petition in bankruptcy or any proceeding related to its insolvency or any assignment for the benefit of creditors.

6.3 GitLab may also suspend Partner's use of GitLab Developer Resources or terminate this Agreement immediately if GitLab is, (a) required to do so by Law; (b) if GitLab ceases to offer the GitLab Developer Resources, GitLab Products or its GitLab Alliance Partner Program; or (c) if GitLab determines that continuing under this Agreement could result in legal or business liability or cause harm to its products, services, reputation or users.

6.4 Upon any termination of this Agreement, Partner's rights to use GitLab Developer Resources (including related access keys and credentials) and GitLab Trademarks will immediately terminate and Partner will cease all such use, but all other provisions of this Agreement will survive. GitLab will have no obligation or liability resulting from termination or suspension of this Agreement, as permitted herein.

### 7. **CONFIDENTIALITY**

7.1 "**Confidential Information**" means the terms and conditions of this Agreement, and any other non-public technical or business information of a Party, whether provided orally or in writing, that is designated in writing as "Confidential" or "Proprietary" at the time of disclosure or that due to the nature of the information the receiving Party would reasonably understand it to be confidential information of the disclosing Party, including information relating to a Party's techniques, ideas, concepts, algorithms, source code, methodologies, workflows, implementation processes, current and future products and services, research, engineering, designs, financial information, procurement requirements, customer lists, business forecasts, roadmaps, marketing plans, pricing, discounts and proposals. Notwithstanding the foregoing, Confidential Information shall not include information or data which is captured in either Parties products and services.

7.2 Confidential Information shall not include any information that: (a) is or becomes generally available to the public through no fault of or breach of this Agreement by the receiving Party;(b) was rightfully in the receiving Party's possession at the time of disclosure without an obligation of confidentiality on the receiving Party; (c) is independently developed by the receiving Party without use of the disclosing Party's Confidential Information; (d) is rightfully obtained by the receiving Party from a third party not under a duty of confidentiality to the disclosing Party and without restriction on use or disclosure; or (e) the receiving Party is permitted to publicly disclose under another provision of this Agreement.

7.3 Neither party shall disclose Confidential Information of the other Party to anyone or shall use Confidential Information of the other Party for any purpose, except in either case as necessary to exercise its rights or obligations under this Agreement ("**Permitted Purposes**"). Each Party shall use at least the same degree of care (but no less than reasonable care) to prevent the unauthorized use, dissemination and copying of the other party's Confidential Information as it uses to protect its own confidential information of a like nature. Each Party shall limit the disclosure of such Confidential Information to those of its employees, consultants, Affiliates, advisors and contractors with a bona fide need to access such Confidential Information solely for the Permitted Purposes, and all such employees and contractors must be subject to binding disclosure and use restrictions at least as protective as those set forth herein. Each Party shall be responsible for any breach of this Section 7 by its employees, consultants, Affiliates' employees, advisors and contractors, as if they were that Party's own employees.

7.4 The obligations of confidentiality under this Section 7 shall expire three (3) years after that Confidential Information is disclosed hereunder. A recipient shall promptly return or destroy (or in the case of electronic data, use commercially reasonable efforts to delete or render practicably inaccessible by recipient) Confidential Information disclosed by the other Party upon its written request.

7.5 This Agreement shall not be construed to prevent the receiving Party from disclosing the disclosing Party's Confidential Information to a court or governmental body pursuant to a valid court order, law, subpoena or regulation, provided that the receiving Party: (a) gives reasonable notice (or such shorter period as is the maximum notice permitted under applicable law) before making the disclosure, unless prohibited by law; (b) provides reasonable assistance to the disclosing Party, at disclosing Party's expense, in any lawful efforts by the disclosing Party to resist or limit the disclosure of such Confidential Information; and (c) discloses only that portion of the disclosing Party's Confidential Information which is legally required to be disclosed.

7.6 The Parties agree that the receiving Party's disclosure of Confidential Information, except as provided herein, would result in irreparable injury for which a remedy in money damages would be inadequate. The Parties further agree that in the event of such disclosure or threatened disclosure: (a) the disclosing Party shall be entitled to seek an injunction to prevent the breach or threatened breach in addition to any other remedies available to the disclosing Party at law or in equity; and (b) each Party hereby acknowledges that such an injunction is appropriate and warranted in such case. Unless specifically provided otherwise in this Agreement, remedies arising under this Agreement are cumulative and do not exclude any other remedies available at law or in equity. All Confidential Information disclosed under this Agreement will remain the property of the disclosing Party. No license or right under any intellectual property right is granted under this Agreement or by any disclosure of Confidential Information except as expressly stated in this Agreement.

### 8. **WARRANTY & INDEMNIFICATION**

8.1 Both Parties hereby represent and warrant that they are legally entitled to enter into this Agreement.

8.2 EXCEPT AS EXPRESSLY STATED HEREIN, ANYTHING PROVIDED IN CONNECTION WITH THIS AGREEMENT, INCLUDING, WITHOUT LIMITATION, GITLAB FREE SOFTWARE, IS PROVIDED "AS-IS", WITHOUT ANY WARRANTIES OF ANY KIND. EACH PARTY DISCLAIMS ANY IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

8.3 Partner will indemnify, defend (at GitLab's request) and hold harmless GitLab and its Affiliates and their respective directors, officers, employees, agents, contractors, end users and licensees from and against any claims, losses, costs, expenses (including reasonable attorneys' fees), damages or liabilities based on or arising from (a) the Partner Integration and any derivatives / combination of the Partner Integration with GitLab Products and/or GitLab Developer Resources, (b) Partner's relationships or interactions with any end users or third party distributors of the Partner Integration. GitLab may at its own expense participate in the defense and settlement of any claim with its own counsel, and the Partner may not settle a claim without GitLab's prior written consent (not to be unreasonably withheld).

### 9. **LIMITATIONS OF LIABILITY**

9.1 WITH THE EXCEPTION OF PARTNER'S, (A) INDEMNIFICATION OBLIGATIONS UNDER SECTION 8.3, (B) OBLIGATIONS UNDER SECTION 10 (EXPORT) AND SECTION 11 (GITLAB CUSTOMER DATA), TO THE EXTENT PERMITTED BY LAW, IN NO EVENT SHALL EITHER PARTY BE LIABLE TO THE OTHER FOR LOST PROFITS OR REVENUE OR LOSS OF USE OR DATA, COSTS OF COVER OR SUBSTITUTE GOODS OR SERVICES, OR FOR INCIDENTAL, CONSEQUENTIAL, PUNITIVE, SPECIAL OR EXEMPLARY DAMAGES, OR INDIRECT DAMAGES OF ANY TYPE OR KIND, HOWEVER CAUSED, RELATED TO OR ARISING OUT OF THIS AGREEMENT OR THE RIGHTS, LICENSES, PRODUCTS OR SERVICES PROVIDED UNDER THIS AGREEMENT, WHETHER BY BREACH OF WARRANTY, BREACH OF CONTRACT, NEGLIGENCE, TORT, OR ANY OTHER LEGAL THEORY, AND WHETHER OR NOT THE PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

9.2 WITH THE EXCEPTION OF PARTNER'S, (A) INDEMNIFICATION OBLIGATIONS UNDER SECTION 8.3, (B) OBLIGATIONS UNDER SECTION 10 (EXPORT), SECTION 11 (GITLAB CUSTOMER DATA), AND SECTION 12 (GENERAL PROVISIONS),TO THE EXTENT PERMITTED BY LAW, THE TOTAL, CUMULATIVE LIABILITY OF EACH PARTY ARISING OUT OF OR RELATED TO THIS AGREEMENT OR THE RIGHTS, LICENSES, PRODUCTS OR SERVICES PROVIDED UNDER THIS AGREEMENT, WHETHER BASED ON CONTRACT, TORT (INCLUDING NEGLIGENCE), OR ANY OTHER LEGAL THEORY, SHALL BE LIMITED TO FIVE HUNDRED U.S. DOLLARS ($500.00).

### 10. **EXPORT**

10.1 The GitLab Developer Resources and GitLab Products are subject to export restrictions by the United States government and import restrictions by certain foreign governments. Partner agrees to comply with all applicable export and import laws and regulations in its use of the GitLab Developer Resources and/or GitLab Products. Partner shall not (and shall not allow any third-party to) remove or export from the United States or allow the export or re-export of any part of the GitLab Developer Resources or GitLab Products: (a) into (or to a national or resident of) any embargoed or terrorist-supporting country; (b) to anyone on the U.S. Commerce Department's Table of Denial Orders or U.S. Treasury Department's list of Specially Designated Nationals; (c) to any country to which such export or re-export is restricted or prohibited, or as to which the United States government or any agency thereof requires an export license or other governmental approval at the time of export or re-export without first obtaining such license or approval; or (d) otherwise in violation of any export or import restrictions, laws or regulations of any United States or foreign agency or authority. Partner represents and warrants that it is not located in, under the control of, or a national or resident of any such prohibited country or on any such prohibited party list.

### 11. **GITLAB CUSTOMER DATA**

11.1 If Partner transmits Customer Data to a system outside the GitLab Software, Partner shall notify users with access to Customer Data that their Customer Data will be transmitted to a system outside GitLab and that GitLab is not responsible for the privacy, security or integrity of such data.

11.2 Partner represents and warrants that when a Partner stores, processes or transmits Customer Data, Partner shall first obtain GitLab customer consent before taking action to (i) modify the content of Customer Data in any way that may adversely affect the integrity of Customer Data, (ii) disclose Customer Data to any third party, or (iii) use Customer Data for purposes other than for providing the Partner functionality to the applicable Git Lab Customer's users. A modification or disclosure of Customer Data does not violate the terms of this Section if it results from the Customer using the applicable Partner functionality and a reasonable Customer would expect modification or disclosure of its Customer Data to occur by using the functionality.

11.3 Partner shall also maintain and handle all Customer Data with reasonably adequate privacy and security measures and in compliance with all applicable privacy laws and regulations.

### 12. **GENERAL PROVISIONS**

12.1 Each Party shall comply with all laws and regulations applicable to its performance of its obligations under this Agreement, including without limitation data privacy laws and export control laws and regulations.

12.2Neither Party shall assign, delegate, subcontract or otherwise transfer, directly or by operation of law, any of the rights or obligations of this Agreement nor any part or all of this Agreement without the prior written consent of the other Party. Any attempt to transfer, assign, delegate or subcontract rights or obligations under this Agreement except as set forth in this Section 10.2 shall be void. Subject to the foregoing limitation, this Agreement shall be binding upon, inure to the benefit of and be enforceable by the parties and their respective successors and permitted assigns.

12.3 A waiver of any right under this Agreement is effective only if it is in writing and signed by the Party against whom the waiver is sought. Any such waiver shall apply only to the circumstances for which it is given. Unless specifically provided otherwise in this Agreement, remedies arising under this Agreement are cumulative and do not exclude any other remedies available at law or in equity.

12.4 This Agreement is not intended to benefit any person or party other than the Parties to this Agreement and, where applicable, the Parties' successors and permitted assigns. The Parties are independent contractors. Nothing in this Agreement shall be construed to create a partnership, joint venture, agency, employment, or fiduciary relationship between the Parties. Neither Party shall have any right or authority to assume or create any obligation of any kind, express or implied, in the name of or on behalf of the other Party, or represent that it has any such authority. Each Party will be responsible for the costs incurred by it in performance of its obligations under this Agreement.

12.5 Except as expressly otherwise provided herein, all notices shall be in writing and deemed delivered the earlier of: (a) actual receipt; (b) upon delivery by a nationally recognized overnight courier (receipt requested) to the receiving party's address as specified herein or updated by written notice; or (c) when received via electronic communications as evidenced by either Party's contemporaneously created computer records.

12.6 Both Parties agree that this Agreement is the complete and exclusive statement of the mutual understanding of the Parties and supersedes and cancels all previous written and oral agreement, communications, and other understandings related to the subject matter of this Agreement.

12.7 This Agreement and all relations, disputes, claims and other matters arising hereunder (including non- contractual disputes or claims) shall be governed exclusively by, and construed exclusively in accordance with, the laws of the State of California, without regard to conflicts of laws provisions. To the extent permitted by law, choice of laws rules and the United Nations Convention on Contracts for the International Sale of Goods shall not apply. For the purposes of adjudicating any action or proceeding to enforce the terms of this Agreement, the Parties hereby irrevocably consent to the exclusive jurisdiction of, and venue in, the courts of San Francisco county, California.

12.8 If any provision of this Agreement is judicially declared to be invalid, unenforceable or void, such decision shall not have the effect of invalidating or voiding any portion of the remainder of this Agreement, it being the intent and agreement of the Parties that this Agreement shall be deemed amended by modifying such provision to the extent necessary to render it valid, legal and enforceable while preserving its intent or, if such modification is not possible, by substituting therefor another provision that is valid, legal and enforceable and that achieves the same objective.

v2.1 (February 2022)
