---
title: "GitLab Testing Agreement"
---
<!-- vale off -->
(Additional Terms)

This Testing Agreement (“Agreement”) is between GitLab Inc. with offices at 268 Bush Street, Suite 350, San Francisco, CA 94104 (“GitLab”), and either: (i) the entity electronically accepting this Agreement; or (ii) the entity on behalf of which the Testing Features are enabled, as applicable and in either case, “Customer”. This Agreement is effective as of the earlier date on which: (i) Customer clicks to accept this Agreement within the GitLab Software; or (ii) an individual acting on behalf of Customer opts to enable the Testing Features (“Effective Date”). The parties agree to the following terms and conditions related to Customer’s use of the applicable Testing Feature (as defined below).

An individual opting to enable the Testing Features represents that they have the authority to bind Customer to the terms of this Agreement. If the individual does not have such authority, they must not opt to enable the Testing Features or otherwise disable such Testing Features.

## 1. DEFINITIONS

1.1. “Testing Feature(s)” are experimental, alpha, or beta features that are not ready for production use. Testing Features are provided without, or with limited, support, as determined in GitLab’s discretion.  Additional details and applicable use terms incorporated herein by reference are further described here: <https://docs.gitlab.com/ee/policy/experiment-beta-support.html>.

1.2. “AI Assisted” means the use of, or development of, work product with the assistance of artificial intelligence (including machine learning).

1.3. “Generally Available Features” are Software features that are ready for production use at any scale, are fully documented and supported, and have passed the Production Readiness Review.

1.4. “Personal Data” means all information defined in the definition of “personal data” under General Data Protection Regulation (EU) 2016/679.

1.5. “Production Readiness Review” is a process that helps identify the reliability needs of a service, feature, or significant change to infrastructure for GitLab.com.

1.6. “Testing Period” is the period of time Customer has access to the Testing Feature, as determined at GitLab’s discretion, for testing, evaluation, and Feedback (as defined below).

## 2. LICENSE, SCOPE, AND USE OF THE TESTING FEATURES

2.1. Subject to the terms of this Agreement, GitLab grants Customer a non-exclusive,
non-transferable license to use the applicable Testing Feature(s) for internal use. Testing Features constitutes Free Software (as defined in the GitLab Subscription Agreement (“GLSA”) available at <https://about.gitlab.com/handbook/legal/subscription-agreement/> and incorporated herein), subject to the applicable provisions of the GLSA (including, but not limited to, GLSA §§ 5, 7, 10.2, 14.2). Capitalized terms not defined herein will have the meaning in the GLSA.

2.2. Customer acknowledges that the applicable Testing Feature: (i) has not been made commercially available, (ii) may be unstable and could cause performance and stability issues, (iii) may not operate properly, and (iv) may contain errors, design flaws or other problems. GitLab is under no obligation to release a Testing Feature as a Generally Available Feature.

2.3. To the extent a Testing Feature involves the processing of Customer's Personal Data, Customer agrees and represents that it has provided all required notices to, and obtained all necessary consents from, the data subjects whose Personal Data is processed under a Testing Feature. GitLab will process Customer’s Personal Data on the basis of performing this Agreement with Customer. Any sub-processors used to provide a Testing Feature will be listed at <https://about.gitlab.com/privacy/subprocessors/> and all notifications of updates to that list will be done in accordance with Section 14 of the data processing addendum as set forth in the GLSA.

2.4. Customer’s use of and access to the applicable Testing Feature is solely at its own risk. Customer acknowledges that: (i) it is responsible for any AI Assisted work product (including source code) generated using the applicable Testing Feature, including: (a) verifying the suitability and accuracy of any AI Assisted work product for the desired purpose, and (b) any suggestions Customer may incorporate from AI Assisted Testing Features or any suggestions to Customer’s work product; and (ii) the Testing Feature(s) may cause unexpected results, corruption or loss of data, or other forms of loss or damage. Customer will not copy, alter, modify, reverse engineer, or attempt to derive the source code of the Testing Features.

2.5. The Testing Period shall commence upon the Effective Date and will automatically expire upon the earlier of (i) the conclusion of the Testing Period, or (ii) GitLab providing the applicable Testing Feature as a Generally Available Feature. If GitLab transitions a Testing Feature to a Generally Available Feature, Customer’s continued use will be subject to  applicable fees and commercial terms as governed by the GLSA available at <https://about.gitlab.com/terms/>, or such other separate written agreement between the parties governing use of GitLab Software, inclusive of a Generally Available Feature.

2.6. GitLab will retain all ownership and intellectual property rights related to GitLab Software, the Testing Feature(s), and any Feedback related thereto. If the Testing Feature includes AI Functionality, Customer may provide input to be processed by the Testing Features (“Input”), and receive output generated and returned by the Testing Features based on the Input (“Output”). To the extent permitted by applicable law, both Input and Output shall constitute Customer Content as that term is defined in the GLSA.

## 3. FEEDBACK

As part of Customer's use, testing, and evaluation of the applicable Testing Feature, Customer will provide suggestions, ideas, enhancement requests, or other recommendations (“Feedback”) regarding its use of the Testing Feature and hereby irrevocably assigns all rights in such Feedback to GitLab. The parties will mutually agree (email is sufficient) on an appropriate cadence, process, and method of exchanging Feedback during the Testing Period, including use of public GitLab issues. GitLab may use any Feedback without restriction and without obligation to Customer.

## 4. NO WARRANTIES

CUSTOMER EXPRESSLY ACKNOWLEDGES AND AGREES THAT THE APPLICABLE TESTING FEATURE LICENSED HEREUNDER IS STILL IN THE TESTING PHASE, MAY CONTAIN DEFECTS, AND IS PROVIDED ON AN “AS IS” AND “AS AVAILABLE” BASIS. THE PRIMARY PURPOSE OF THIS AGREEMENT IS TO OBTAIN FEEDBACK ON PERFORMANCE AND THE IDENTIFICATION OF ANY DEFECTS OF THE TESTING FEATURE. CUSTOMER MUST SAFEGUARD IMPORTANT DATA, USE CAUTION, AND NOT RELY IN ANY WAY ON THE CORRECT FUNCTIONING AND PERFORMANCE OF THE TESTING FEATURE. GITLAB AND ITS LICENSORS DISCLAIM ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND NON-INFRINGEMENT. NO INFORMATION OR ADVICE, WHETHER ORAL OR WRITTEN, PROVIDED BY GITLAB DURING THE TESTING PERIOD SHALL CREATE ANY WARRANTY NOT EXPRESSLY MADE HEREIN.

## 5. LIMITATION OF LIABILITY

TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, (I) IN NO EVENT WILL GITLAB BE LIABLE TO CUSTOMER FOR ANY INDIRECT, PUNITIVE, INCIDENTAL, SPECIAL, CONSEQUENTIAL DAMAGES, LOSS OF REVENUE, LOSS OF DATA, ANTICIPATED PROFITS, LOST BUSINESS OR LOST SALES, WHETHER BASED IN CONTRACT, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY, OR OTHERWISE, EVEN IF CUSTOMER HAS BEEN ADVISED OF THE POSSIBILITY OF DAMAGES; (II) THE TOTAL LIABILITY OF GITLAB ARISING OUT OF OR RELATED TO THIS AGREEMENT, WHETHER BASED IN CONTRACT, TORT (INCLUDING NEGLIGENCE OR STRICT LIABILITY), OR OTHERWISE, WILL NOT EXCEED, IN THE AGGREGATE, USD $1,000.00. THE FOREGOING LIMITATIONS WILL APPLY NOTWITHSTANDING ANY FAILURE OF ESSENTIAL PURPOSE OF ANY LIMITED REMEDY. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL GITLAB BE LIABLE TO CUSTOMER (OR ANY THIRD PARTY INCLUDING CUSTOMER’S USERS OR LICENSEES) FOR ANY MISAPPROPRIATION, INFRINGEMENT, DILUTION OR OTHER VIOLATION OF THIRD-PARTY INTELLECTUAL PROPERTY RIGHTS ARISING OUT OF, OR IN CONNECTION WITH, CUSTOMER’S OR ITS USERS: (A) USE OF THE TESTING FEATURE, OR (B) USE, COMMERCIALIZATION, COPYING, MODIFICATION, PUBLICATION, DISTRIBUTION, LICENSING, SUBLICENSING, OR, AS APPLICABLE, SALE OF AI ASSISTED WORK PRODUCT GENERATED BY THE TESTING FEATURE.

## 6. TERMINATION

Upon written notice to the other party (email is sufficient), either party may terminate this Agreement immediately for convenience. In the event the Testing Period has concluded or the Testing Feature becomes a Generally Available Feature, Customer acknowledges that continued use of the Testing Feature will be subject to additional fees and  the GLSA, or separate  written agreement between the parties, governing use of GitLab Software. Upon expiration or termination of this Agreement, all licenses granted herein shall automatically terminate and Customer shall immediately discontinue all use of the Testing Features. Sections 2.5, 4, 5, and 6, shall survive any termination or expiration of this Agreement.

## 7. MISCELLANEOUS

7.1. Except as otherwise provided in Section 2, this Agreement and the references incorporated herein comprise the complete statement of understanding of the parties and supersede and cancel all previous written or oral agreements, communications, and other understandings relating to the subject matter herein. Any conflict of terms with the GLSA shall be resolved in favor of this Agreement. This Agreement does not provide Customer a commercial license to use the Testing Feature once transitioned to a Generally Available Feature. GitLab may revise this Agreement from time to time in its discretion, with the most current version available at: <https://about.gitlab.com/terms/#current-terms-of-use>. By continuing to access or use the applicable Testing Feature (including upon a change in designation from “experimental” to “alpha” to “beta” during the Testing Period) Customer agrees to the terms of the revised Agreement. If Customer does not agree to the terms of the revised Agreement, Customer may terminate this Agreement for convenience as provided under Section 6.

7.2. This Agreement is governed by the laws of the State of California, without regard to its conflict of laws provisions. The federal and state courts sitting in San Francisco County, California, will have proper and exclusive jurisdiction and venue with respect to any disputes arising from or related to this Agreement. The United Nations Convention of Contracts for the International Sale of Goods is expressly disclaimed by the parties with respect to this Agreement. The parties represent, warrant and covenant to adhere to all applicable laws and regulations including all export and trade compliance requirements. This Agreement is not assignable, transferable or sublicensable by either party without the other party’s prior written consent.
