---
title: "Trade Compliance"
---

## What are trade control laws?

Trade control laws, which often consist of sanctions, export controls, and import laws, govern how and under what circumstances technology, software, and technical assistance may be exported. Trade control laws vary from country to country but usually exist to protect national security and further foreign policy and economic interests.

Under United States law, exports, re-exports, and transfers, can take many forms, including oral, written, and visual disclosure, physical shipment, and electronic transfer or transmission. An export can also occur when technology, software, or technical assistance is transmitted to U.S. nationals abroad, or to non-U.S. nationals located within the United States. The export of certain software, technology, or technical assistance to certain countries, certain end users, or for certain end uses, may require authorization from the United States government prior to export, re-export, or transfer.

## How do trade control laws apply to GitLab Software?

GitLab Enterprise Edition, related technology, and services (collectively, "GitLab Software"), are subject to the Export Administration Regulations ("EAR"), administered by the U.S. Department of Commerce, Bureau of Industry and Security ("BIS"), and various sanctions programs administered by the U.S Treasury Department's Office of Foreign Assets Control ("OFAC"). The GitLab Community Edition is freely available to the public and is not subject to the EAR. GitLab continuosly monitors developments to these regulations to maintain compliance and to leverage any opportunity to broaden access to GitLab in a compliant manner that allows everyone to contribute.

The GitLab Software has been classified via CCATS G178430 as a 5D992.c mass market encryption product with eligibility for export to most destinations under 15 CFR 740.17(b)(1) of license exception ENC. GitLab users may not export, re-export, or transfer GitLab Software, without first obtaining authorization from the U.S. government, to (a) any U.S. embargoed country including but not limited to Cuba, Iran, North Korea, Syria, Russia, Belarus, and the Crimea, Donetsk, and Luhansk regions of Ukraine, (b) any party identified on OFAC's Specially Designated Nationals and Blocked Person list or the Department of Commerce Denied Persons, Entity, or Unverified lists, or (c) for end use involving sensitive nuclear, rocket systems, unmanned aerial vehicles, missiles, chemical or biological weapons, or for any other end use prohibited by 15 CFR 744.

GitLab provides this information, which is subject to change without notice, to facilitate GitLab users' compliance with applicable trade control law. GitLab users remain solely responsible for exporting, re-exporting, and transferring GitLab Software and any user-developed content in accordance with those regulations and should seek legal counsel as necessary.

## Resources

- [OFAC Sanctions Programs and Country Information](https://ofac.treasury.gov/sanctions-programs-and-country-information)
- [Commerce Control List](https://www.bis.doc.gov/index.php/regulations/commerce-control-list-ccl)
- [15 CFR 740.17 Encryption Commodities, Software, and Technology "ENC"](https://www.ecfr.gov/current/title-15/subtitle-B/chapter-VII/subchapter-C/part-740/section-740.17)
