---
title: "Trademarks Training Materials"
description: "Trademarks training materials for GitLab team members"
---

## Trademarks at GitLab

GitLab's brand is one of its most valuable assets. As part of this, GitLab's trademarks (the name GitLab, and the GitLab <a href="https://about.gitlab.com/images/press/logo/png/gitlab-icon-rgb.png" target="_blank">Tanuki logo</a>) distinguish GitLab's product from those of its competitors. They also signify to our customers and prospects the high quality of our product, which people associate with GitLab.

This series of three training sessions, covering *An Introduction to Trademarks*, *Using Third-party Trademarks*, and *Using the GitLab Trademark*, serves to introduce team members to key trademarks concepts relevant to their role at GitLab.

All training materials featured on this page are **internal only** - to access the videos, ensure you are **logged in to <a href="https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A" target="_blank">GitLab Unfiltered</a>**; the slides, transcripts and audio files are accessible via the GitLab Google Drive.

### An Introduction to Trademarks

🎥 <a href="https://youtu.be/aXb6AsWtKy0" target="_blank">Video</a> 🎞️ <a href="https://docs.google.com/presentation/d/10iMEUqsLvmbD2gR5IAlvEy04hVCWnep-3lNOXeg3PW0/edit?usp=sharing" target="_blank">Slides</a> 📃 <a href="https://docs.google.com/document/d/1G8Nkp9ywPtrpOPsqBaY4ivW6a69l2m17EEqAiKTdRWQ/edit?usp=sharing" target="_blank">Transcript</a> 🔈 <a href="https://drive.google.com/file/d/1VNI8KZ3T7wYMdlnhUqxWYI3pR52O0t0Y/view?usp=sharing" target="_blank">Audio</a>

This introductory session covers the following topics:

- What is a trademark?
- Trademarks as distinct from other intellectual property rights
- The requirement of distinctiveness
- Trademark infringement

### Using Third-party Trademarks

🎥 <a href="https://youtu.be/KbVOenojbUU" target="_blank">Video</a> 🎞️ <a href="https://docs.google.com/presentation/d/1rsBNMFnGTk-NNGKotCQxWy0kmcumU_MQXKncTkX6_tE/edit?usp=sharing" target="_blank">Slides</a> 📃 <a href="https://docs.google.com/document/d/13Qd7FGvUH907lkRWYtQy357PqSbxYyNIM6QSSiaryRs/edit?usp=sharing" target="_blank">Transcript</a> 🔈 <a href="https://drive.google.com/file/d/1YoR1_Zhmt4YtV_aERWdoaVoQWMRC3KXB/view?usp=sharing" target="_blank">Audio</a>

This session covers the following topics:

- An explanation of the defence of fair use with respect to trademarks
- The definition of nominative fair use, the fair use defense most relevant to our work at GitLab
- The elements which establish nominative fair use
- Practical tips for using third-party trademarks in such a way that is likely to constitute fair use

### Using the GitLab Trademarks

🎥 <a href="https://youtu.be/McGuMLzzWOM" target="_blank">Video</a> 🎞️ <a href="https://docs.google.com/presentation/d/1D-p0U4RfbV8f5Fwpv71CqDrS9bKJuq6NLt6kV-ZFTDg/edit?usp=sharing" target="_blank">Slides</a> 📃 <a href="https://docs.google.com/document/d/1eb8EO9FIsrvuZD2CQ3G1C117ESUdlkaKLsK57k3QUIQ/edit?usp=sharing" target="_blank">Transcript</a> 🔈 <a href="https://drive.google.com/file/d/1ZgKXjC6Nnnpw04J53O0s3mFDSb4esulK/view?usp=sharing" target="_blank">Audio</a>

This session covers the following topics:

- The importance of GitLab's trademarks, and why all team members are responsible for their maintenance and protection
- Resources maintained by the GitLab Marketing Team which assist in ensuring the correct use of the GitLab trademarks
- Tips for using the GitLab trademarks correctly
- Tips for permitting third-parties to use the GitLab trademarks
- Protecting the GitLab trademarks from infringement and misuse by others
