---
title: "Whistleblowing at GitLab"
description: "GitLab's Whistleblowing Handbook page, with links to whistleblowing policies."
---

{{% alert title="This is a Controlled Handbook Page" color="danger" %}}
Inline with GitLab's compliance obligations, changes must be approved or merged by a code owner. All contributions are welcome and encouraged.
{{% /alert %}}

## Whistleblowing at GitLab

GitLab Inc. (collectively with its subsidiaries, "GitLab", "we", "our") is committed to the highest standards of ethics, integrity, and accountability and to complying with applicable laws, rules, and regulations. You are required to perform your duties and responsibilities with honesty and integrity and to comply with all applicable laws, rules, and regulations, as well as GitLab's policies. If you become aware of an actual or suspected violation of our policies or of any laws or regulations, it is your responsibility and obligation to report it and you should do so without fear of reprisal or retaliation of any kind.
GitLab has established whistleblower reporting channels and policies (internally accessible only)* to enable the reporting of any known or suspected improper activities that are unlawful or otherwise violate our policies so that we can investigate and resolve potential violations as quickly and efficiently as possible. You are encouraged to use the reporting channels provided, the details of which are set out in each policy and are also [set out in the Handbook](/handbook/people-group/#how-to-report-violations), to report all known or suspected improper activities, noting that each is designed to facilitate confidential, or in some cases anonymous, options for reporting any improper activities.
In addition to our [GitLab Inc. policy](https://drive.google.com/drive/folders/1kB3k5FRnR3OUBP0Eyo3SxxyPKeiRFfUk), additional policies for certain EU countries are accessible below. The GitLab Inc. policy will apply, unless a country-specific policy applies to an individual (because they are employed by the GitLab entity in that country). If the protections are greater than what is offered in the GitLab Inc. policy, then the country-specific policy will apply.

### Country-specific Whistleblower Policies

- [Germany Whistleblower Policy](https://drive.google.com/drive/folders/1fPDwVJUaUZwLqW7ov_WJ0mbK9Tcncyy2?usp=drive_link)
- [Ireland Protected Disclosure Policy](https://drive.google.com/drive/folders/1e3EisOUPDKGh4XgjpwOOkrnvW2X8WdAK?usp=drive_link)
- [Netherlands Whistleblower Policy](https://drive.google.com/drive/folders/15rhFpbxK2nxvgSpv99E4jhfEMCF7J8EQ?usp=drive_link)

**GitLab's whistleblower reporting channels and policies should not be used for complaints relating to a team member's own personal circumstances, or arising out of their employment contract. In those cases you should use the applicable grievance procedure in the Anti-harassment Policy, or contact Team Member Relations as appropriate. As a reminder, GitLab has engaged a separate hotline vendor, known as Lighthouse Services, to provide an anonymous reporting hotline for all team members to submit reports regarding team member relations. Reports may cover but are not limited to the following topics: wrongful discharge or disciplinary action, sexual harassment, discrimination, conduct violations, alcohol and substance abuse, threats, improper conduct, violation of company policy. This separate hotline is available for these calls in order to reserve EthicsPoint for specific complaints that would fall under the GitLab Inc. Whistleblower Policy or applicable country policy, as defined in the applicable policy.*

**Lighthouse has a toll free number and other methods of reporting are available 24 hours a day, 7 days a week for use by team members.*
*Website: <https://www.lighthouse-services.com/gitlab>*
*USA Telephone:*
*English speaking USA and Canada: 833-480-0010*
*Spanish speaking USA and Canada: 800-216-1288*
*French speaking Canada: 855-725-0002*
*Spanish speaking Mexico: 01-800-681-5340*
*All other countries telephone: +1-800-603-2869*
*E-mail: reports@lighthouse-services.com (must include company name with report)*
*Fax: (215) 689-3885 (must include company name with report)*
