---
title: Account Based Marketing
description: Account Based Marketing Handbook
twitter_image: /images/tweets/handbook-marketing.png
twitter_site: '@gitlab'
twitter_creator: '@gitlab'
---

## Overview

<!-- DO NOT CHANGE THIS ANCHOR -->

ABM is a marketing strategy that concentrates resources on a set of target accounts. We create personalized campaigns designed to engage small cohorts of accounts based on specific attributes and needs of the accounts (ex. industry, competitive take out, etc.). The ultimate goal is for ABM to align with teams across Marketing and Sales to work in tandem to create personalized buying experiences for a mutually-identified set of high-value accounts — the goal for which is increased deal velocity and pipeline. Attainment of our KPIs and goals is a collaborative effort across [interlocking teams](/handbook/marketing/account-based-marketing/#fy24-interlocking-teams).

## Team Structure

<!-- DO NOT CHANGE THIS ANCHOR -->

- Marci Geisler - Senior Account Based Marketing Manager, ENT & MM for APAC and EMEA
- Megan O'Dowd - Senior Account Based Markeitng Manager, ENT & MM for AMER and US Public Sector

## ABM Platform: 6sense

<!-- DO NOT CHANGE THIS ANCHOR -->

We are the owners of the ABM platform, [6sense](/handbook/marketing/marketing-operations/6sense/) at GitLab. 6sense is an Account Based Marketing platform that uses a predictive model to identify the right customers at the ideal time. We use 6sense to build our target account lists, launch display advertising, and measure account progression through the sales funnel over time. 6sense also provides account intelligence on things like intent, engagement, and keyword search. There is a 6sense data section on the account in Salesforce that is available for our XDR org and coming soon to the Sales org. If you have any questions about the tool or access to it, please drop a slack in #6sense_help.

## FY25 Strategy

<!-- DO NOT CHANGE THIS ANCHOR -->
Epic link coming soon..

## ABM Key Account List

<!-- DO NOT CHANGE THIS ANCHOR -->
Our key account list consists of Mid-Market and Enterprise accounts that the sales/XDR org are also heavily focusing on as denoted by the Account Rank field on accounts in Salesforce. Specifically, Rank 1-2.

## ABM Tactics

<!-- DO NOT CHANGE THIS ANCHOR -->
- LinkedIn Sponsored Content
  - Sponsored ads: Sponsored Content allows us to publish ads in the LinkedIn newsfeed across both desktop and mobile. We can target a specific audience of people which helps us raise awareness and drive quality leads.
- Display Advertising: Mobile and desktop advertisements served to a specific audience on a specific list of websites. These are launched through our ABM platform, 6sense.
- [Qualified](/handbook/marketing/marketing-operations/qualified/): a chat platform to engage visitors on our webpages
- [Reachdesk](/handbook/marketing/marketing-operations/): a global gifting platform
- [Terminus Email Signature Banners](/handbook/marketing/marketing-operations/terminus-email-experiences/): Ads within an email signature that are targeted based on email address domain.
- [Pathfactory](/handbook/marketing/marketing-operations/pathfactory/):
  - Content tracks: Allow us to bundle assets together (around 5-7) in a "content track" and shared as one link. Instead of sharing multiple links to individual assets, one link provides a curated content experience.
  - Microsites: PathFactory's Microsite Builder enables us to display multiple types of Content Tracks within a custom-designed landing page that aligns to our Tier 1 accounts or a Tier 2 cohort of accounts.
- [Outreach](/handbook/marketing/marketing-operations/outreach/): The core tool for BDR outbound efforts, ABM will write custom sequences for 1:1 and cohort plays as needed.

## Communication

<!-- DO NOT CHANGE THIS ANCHOR -->
Our slack channel [#abmteam](https://gitlab.slack.com/archives/CFBT2HSEB) is used for team updated and quick questions.

For questions about 6sense, our ABM platform, use the slack channel #6sense_help

## Project Management

<!-- DO NOT CHANGE THIS ANCHOR -->

ABM works out of the GitLab project: Account Based Marketing within the larger Marketing project.

### Team labels
<!-- DO NOT CHANGE THIS ANCHOR -->

- `ABM`: DRI is in ABM team. Alerts the ABM team that an issue has been opened for triage.
- `6sense`: any issues that are related to Demandbase ABM campaigns
