---
title: "Brand and Product Marketing"
description: "GitLab Brand and Product Marketing Handbook"
twitter_image: '/images/tweets/handbook-marketing.png'
---

<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

## <i class="fas fa-bullhorn fa-fw"></i> Welcome to the GitLab Brand and Product Marketing Handbook

**The Brand and Product Marketing** team's goal is to accelerate GitLab's path to market.

- We tell the GitLab story at the brand, corporate, solution, and product levels.
- We develop market insights, leadership positioning, messaging, and narratives that elevate our brand, show value in our solutions, and fuel demand for our platform.
- We activate brand ambassadors and customer advocates to show GitLab's momentum and trust in the market.

## Team Disciplines – What We Do, Why We Do It

### Brand

[Brand](/handbook/marketing/brand-and-product-marketing/brand/): We create awareness, trust, and affinity for the GitLab brand.

We develop umbrella, corporate-level messaging to establish GitLab as market and category leader. We conduct research to define, evolve, and measure the health of the GitLab brand. We provide brand stewardship and governance, empowering internal and external advocates to become brand champions.

### Product and Solution Marketing

[Product and Solution Marketing](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/): We develop insights, positioning, and messaging that communicate the value of our platforms and solutions.

Product and Solution Marketing consists of several specialities including [core product marketing](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/core-product-marketing/),  [customer advocacy](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/customer-advocacy/), [market insights](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/market-insights/), [analyst relations](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/analyst-relations/), and [competitive intelligence](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/competitive-intelligence/).

We create positioning and messaging to fuel demand and adoption of GitLab's solutions and products. We develop market and competitive intelligence in order to develop actionable insights on market trends, customer needs, and competitive insights that guide go-to-market and product strategy. We identify, recruit, and activate customer advocates to demonstrate momentum and trust in the market.

### Design

[Design](/handbook/marketing/brand-and-product-marketing/design/) - Deliver creative designs and experiences that elevate our brand and fuel demand.

We develop our brand visual identity design to ensure it stays relevant in the market and reflects the benefits and quality of our product. We are the creative partners for GitLab marketing. We create, conceptualize, and design high quality brand experiences.

### Content

[Content](/handbook/marketing/brand-and-product-marketing/content/) - Showcase our leadership through easy-to-find content that is educational, thought-provoking, and market-defining.

We create, review, and improve content to establish GitLab as the leader in modern software development and DevOps, while also sharing the company's vision for the future. We create content that maintains and improves our search rankings around key terms. We create content for go-to-market campaigns that drive awareness, growth, engagement, and conversion.

## Our core capabilities

The Brand & Product Marketing team operates at the intersection of marketing, sales, customer success, and product management. As a team, we measure our impact through the following capabilities:

![Brand and Product Marketing measurement](/images/handbook/marketing/brand-and-product-marketing/brand_and_product_marketing_measurement.png)
