---
title: "The GitLab Brand Strategy team"
twitter_image: '/images/tweets/handbook-marketing.png'
---

The Brand Strategy team is responsible for accelerating GitLab's path to market by creating awareness, trust, and affinity for the GitLab brand.

## Meet the team

- Rebecca Clayman: Director of Brand Strategy - `@rclayman`
- Matthew Jordan: Senior Brand Manager - `@jmatthewj`
- Betsy Bula: Senior Brand Manager - `@bbula`

We're part of the broader [Brand and Product Marketing team](/handbook/marketing/brand-and-product-marketing/) at GitLab, and we're close counterparts of the Brand Creative team. Looking for design-related resources? Check out the [Brand Creative handbook](/handbook/marketing/brand-and-product-marketing/design/).

## What we do

Our team's work falls into four pillars:

- **Brand research:** Measuring the health of our brand—including awareness, consideration, competitive positioning, and more—with surveys and research studies.
- **Brand messaging**: Umbrella-level messaging that defines our brand and positions GitLab as an industry leader.
- **Brand marketing:** Building awareness via always-on marketing campaigns.
- **Brand governance:** Empowering internal and external advocates to become brand champions.

In FY24, our goal is to establish a global, always-on digital presence with breakthrough awareness-building and thought leadership campaigns that position GitLab as the leading DevSecOps platform.

## Objectives and Key Results (OKRs)

Want to learn more about our current projects, objectives, and key results? GitLab team members can find the Brand Strategy team's OKRs [here](https://gitlab.com/gitlab-com/gitlab-OKRs/-/issues/?sort=created_date&state=opened&label_name%5B%5D=group%3A%3Abrandstrategy&first_page_size=100).

## How to work with us

## Requesting support

If you have a question or request that isn't outlined on this page, you can reach our team in the #brand Slack channel.

### Creative requests

Have a creative request for the Brand team? Please [open an issue](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=request-design-general) to get started.

### Swag requests

Check out the GitLab [swag handbook page](/handbook/marketing/brand-and-product-marketing/brand/merchandise-handling/) for more details on the swag process. You can also ask questions in the #swag Slack channel.

### Outdated logo or messaging requests

If you see an instance (internal or external) where GitLab's old logo or brand messaging is being used, please [open an issue](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-strategy/-/issues/new?issuable_template=logoupdate) in the Brand Strategy project using the "logo update" issue template. Our team will triage it from there.

If the outdated logo is something you have access or permission to update, you can make the update using [these logo files](https://about.gitlab.com/press/press-kit/).

Please reach out in the #brand Slack channel if you have questions.

### Vendor reference requests

If you receive a vendor request for GitLab to act as a reference (case study, blog post or GitLab logo on their website, etc.) for the product, service, or technology that your GitLab team is using, please refer to these guidelines and check to see if the request meets the criteria. If it does, you can move through the approval process to notify the Brand team of your request.

For Public Relations requests, please reference the [Corporate Communications handbook page](/handbook/marketing/corporate-communications/#partner-requests-for-press-release-support).

#### Vendor reference criteria

Please ensure that the vendor meets this criteria before proceeding with the approval process. If you have any questions on the below criteria or need clarification please reach out to us via the #brand Slack channel.

- GitLab team and/or team member(s) need to have been using the product, service and/or technology for at LEAST 6 months prior to the reference request.
- The product, service, and/or technology has met or exceeded your expectations.
- E-group member approval for all reference requests except logo use. (E-group member will be for the specific organization using the vendor. For example, if it is a tool the Product team uses, David DeSanto will be the approver for e-group.)
- If the request involves GitLab logo/brand use, please ensure the vendor follows the below:
    1. [Trademark Guidelines](/handbook/marketing/brand-and-product-marketing/brand/brand-activation/trademark-guidelines/)
    1. [Brand Standards](https://design.gitlab.com/brand-overview/resources)

#### Approval process

If the vendor has met the above criteria, please [submit an issue](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=vendor-reference-request) for review. Once the request has been submitted, please allow for 7-10 days for review and approval of the request. The team will review all content and relevant info to ensure it follows the SAFE framework and route through the approval process.

**Approver List:**

- [ ] Vendor DRI
- [ ] Brand
- [ ] Corporate Communications
- [ ] E-group member for organization using the vendor (all reference requests except logo use)
- [ ] Legal ([Legal Materials Review Process](/handbook/legal/materials-legal-review-process/))

## Additional brand resources

## Brand guidelines

GitLab's official brand guidelines can be found at [design.gitlab.com](https://design.gitlab.com/?_gl=1%2ajgpg6f%2a_ga%2aMjA5OTczOTQuMTY3MDM0NzQwMg..%2a_ga_ENFH3X7M5Y%2aMTY3NTI4MTI2NS4zMC4xLjE2NzUyODE4MDMuMC4wLjA.) under the `Brand` tab. These guidelines should be applied to all marketing materials, including digital ads, events, publications, merchandise, etc.

## Logo and trademark usage

GitLab's official logo files can be found and downloaded in the [press kit](https://about.gitlab.com/press/press-kit/).

Refer to GitLab's [trademark guidelines](/handbook/marketing/brand-and-product-marketing/brand/brand-activation/trademark-guidelines/) for details on how our trademarks can and can't be used.
