---
title: "GitLab swag program"
---

## Welcome to the swag handbook

This page outlines everything you need to know about the swag program at GitLab. Whether you're ordering swag for yourself or others, follow the processes below to get started.

### Swag shop

✨ **Browse the latest GitLab merch in [our swag shop](https://shop.gitlab.com)!** ✨

If you’re buying something for yourself or a friend, you can order directly through the store.

📦 Don’t forget to use our team member shipping code at checkout (you can find it in the `#swag` Slack channel) for free shipping on behalf of the Brand Strategy team! 📦

If you’re buying something on behalf of GitLab (e.g. for a customer), see the [“how to order swag” section](/handbook/marketing/brand-and-product-marketing/brand/merchandise-handling/#how-to-order-swag).

Don't see an item you're looking for? Submit requests for future items you'd like to see in the swag shop in [this issue](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-strategy/-/issues/432).

_Note: [Brilliant](https://www.brilliantmade.com/) is our approved vendor for all swag orders. **Please do not work with other vendors outside of our approval process to print your own swag.** It's important that we all protect our brand integrity and avoid creating items that violate [brand standards](https://design.gitlab.com/)._

### How to order swag  

Purchasing or sending swag on behalf of GitLab? Follow the steps below if you want to:

- Send swag items or a gift card to a customer
- Order swag items to take with you to a customer visit or event
- Order swag items or gift card for internal team members

🖐  _**Important note before you proceed:**_ Each team is responsible for their own swag orders. Please ensure that your team or program has the budget to purchase this swag. If you’re unsure, confirm with your manager, ASM, or [Finance Business Partner](/handbook/marketing/brand-and-product-marketing/brand/merchandise-handling/#finance-business-partner-list).

1. **Check out [the swag shop](https://shop.gitlab.com)** to browse the latest GitLab merch and determine which items you’d like to order or send to someone.
1. If you’d prefer to send someone a gift card to shop for themselves, continue to follow this same process.
1. The first step is to get internal approval for the order. Open an issue using our [swag order issue template](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-strategy/-/issues/new?issuable_template=swag-order). Follow all instructions in the issue template.
1. Submit the issue and be sure you’ve tagged in your manager for the first approval.
1. Once your manager has approved, they will tag in your team’s Finance Business Partner (FBP) to review the order next. The FBP will review and respond within 2 business days. If your order is urgent, please note this in the title of the issue so they can try to expedite approvals.
1. When the FBP approves, they will share an **order code** with you in the issue comment. _These are unique to each order and cannot be reused._
1. Now it’s time to submit your order information to our swag vendor, Brilliant. Enter the order code from your FBP as you fill out the Google Form linked in the issue.
1. The Brilliant team will process your request by the following business day.
1. If you’re sending a gift card to someone, the Brilliant team will send the gift card to the recipient’s email the following business day after you submit the form.
1. If you’re ordering or sending a physical item from the swag shop, you’ll receive a store credit from Brilliant. **You will use this credit to self-serve and complete your order from the swag shop.** Don’t forget to use our team member free shipping code (you can find it in the #swag Slack channel)!

#### ❔  FAQs about team member swag orders

**Q: Who should I contact if I have questions about this ordering process?**

If you’ve already opened an issue for the order, reach out there. If you have questions before that step, you can tag @bbula in the #swag channel in Slack.  

**Q: Who should I contact if I have questions about the budget for an order?**

Please contact your manager, ASM, or Finance Business Partner. If you have already opened an issue for the order, it's best to tag them there.  

**Q: Who should I contact with questions about an order I’ve already placed?**

Email support@brilliantmade.com for any questions surrounding the swag shop functionality, order status, etc. Include your order number if possible.

**Q: How long will it take for my order to arrive?**

Swag shop orders are fulfilled within 24-48 hours of submitting the order at checkout. Shipping times vary by country: typically 2-5 business days within the US, and 7-21 days outside the US. If you need to send something more urgently, you can send the recipient a gift card (follow the ["how to order swag"](/handbook/marketing/brand-and-product-marketing/brand/merchandise-handling/#how-to-order-swag) process above).  

**Q: What if I need to exchange or return my items?**

Reply to your order confirmation email (or email support@brilliantmade.com) and we will arrange a return or exchange.

### Custom order requests

Are you in need of something custom for a **TMRG or other internal group at GitLab**? Follow this process to get started.

_**Note:**_ We do not offer custom items for customers. To send something to a customer, please follow the ["how to order swag"](/handbook/marketing/brand-and-product-marketing/brand/merchandise-handling/#how-to-order-swag) process. If you have ideas for items you’d like to see added to the swag shop in the future, please add them to [this issue](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-strategy/-/issues/432).

1. Before opening a swag creative request issue, ensure that your team (or TMRG or other internal group) has approved budget to place this order by confirming with your [Finance Business Partner](/handbook/marketing/brand-and-product-marketing/brand/merchandise-handling/#finance-business-partner-list).
1. Open an issue using [this template](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/brand-design/-/issues/new?issuable_template=swag-request). Please be sure to follow all instructions in the template.
1. When you submit the issue, tag in our Creative Partner from Brilliant, `@Alyssa_Brilliant`, to share what items you’re interested in and your overall budget. Within ~4-6 business days, the Brilliant team will create a “lookbook” of options for you and share the link (note: this will take you to the Brilliant tool, which you can sign into using Okta SSO) in the issue thread. You can review products, ask questions, and select your product(s).
1. Once you’ve determined the products and quantities, Brilliant will share a link (in the issue thread) to a pricing estimate for your order. You will not be able to approve this estimate without a PO number.
1. If you do not already have a PO opened, use that estimate to [request a PO in Zip](/handbook/business-technology/enterprise-applications/guides/zip-guide/#zip---getting-started) for the order total.  
1. Once your PO is created, add the PO number and approve the order estimate.  
1. In your issue, add the label `swag: ready for design` so that the Brand Creative team knows it’s ready.
1. A designer from the Brand Creative team will be assigned to this project. They will discuss timelines, next steps, and other details in the issue.
1. Once the designs are complete, you (team member placing the order) are responsible for tagging `@Alyssa_Brilliant` back into the issue to let her know the designs are ready.
1. The Brilliant team will create official artwork and share a link in the issue. **ONLY members of the Brand Creative team can approve this final artwork.** The designer who worked on the project will review the artwork (or request any needed changes) in the Brilliant tool.
1. Once approved, the order will move to production.
1. After the items arrive at the Brilliant warehouse:
    - If your team manages a storefront with Brilliant, your items will be added to your storefront once they arrive at the Brilliant warehouse.
    - If you do not manage a storefront with Brilliant, be sure you work with the Brilliant team to determine a plan for distributing these items within a few weeks (i.e. long-term storage is not available).

### Swag program owners

If you manage a swag program at GitLab (you hold a budget and storefront with Brilliant), here’s the process for requesting new custom designs:

1. Open a swag creative request issue using [this template](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/brand-design/-/issues/new?issuable_template=swag-request).
1. Tag @Alyssa_Brilliant from the Brilliant account team in the issue comments to discuss the project, any products you have in mind, and timeline.
1. The Brilliant team will create a lookbook and share the link to that lookbook in the issue thread for you to review, ask questions, and select items.
1. Once the items have been selected, the Brilliant team will share an estimate for you to approve via a link in the issue thread.
1. The link will take you to the Brilliant tool to review/approve.
1. You will need to add a PO number for the order at this point.
1. Once you’ve approved the estimate, please add the `swag: ready for design` label to the issue so that the Brand Creative team can see that it’s ready for review.
1. Our Senior Creative Operations Manager, `@michnovosel`, will assign a designer from the Creative team.  
1. For most custom designs, the GitLab Creative team member will start on designs and work with you via the issue for revisions, etc. until the artwork is finalized.  
1. Once the designs are final and ready to be sent to Brilliant, you will tag @Alyssa_Brilliant from the Brilliant team back into the issue thread. She will create a mockup/artwork and share a link in the issue for final review.
1. When the Brilliant mockup/artwork is ready for approval, @Alyssa_Brilliant will share the link in the issue so that the designer and program owner can view it in the Brilliant tool.  
1. **ONLY members of the Brand Creative team can approve this final artwork.** The designer who worked on the project will review the artwork (or request any needed changes) in the Brilliant tool.
1. The order will be produced, sent to the Brilliant warehouse, and stocked in your program's storefront.

### Have questions?

Here’s how to reach out if you have questions that aren’t answered on this page. Please note, our swag vendor will not be active in the `#swag` Slack channel.

- **If you have questions about budget for swag orders:** Contact your manager (ASM if in Sales) or Finance Business Partner.
- **If you have questions about an order you’ve already placed:** Contact the Brilliant team via email: support@brilliantmade.com. Include your order number if possible.
- **If you have other questions:** Tag the appropriate person from [this DRI list](/handbook/marketing/brand-and-product-marketing/brand/merchandise-handling/#dris-for-the-swag-program) in the `#swag` channel in Slack.
  
### Suggesting new items or designs

Have feedback or suggestions for items you'd like to see in the swag shop? Please add them to [this issue](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-strategy/-/issues/432). We’ll be adding new items to the shop on a rolling basis, so we want to hear from you! The Brand Strategy team will review this issue monthly.

### Sustainability

Our swag vendor, Brilliant, offers a number of [initiatives](https://www.brilliantmade.com/company/sustainability) to incorporate sustainable practices and thoughtful sourcing into our swag program. Throughout Q3 FY25, the Brand team will be partnering with the [GitLab Environmental, Social and Governance (ESG) team](https://about.gitlab.com/environmental-social-governance/) to iterate on our processes and the products we offer in the swag shop.

### Finance business partner list

Your Finance Business Partner will provide budget guidance and approval for all GitLab-funded swag orders. Here's who supports each team:  

| Team | Finance Business Partner |
| ------ | ------ |
|    Digital Marketing, Regional Marketing, Enterprise Data and Marketing Ops    |    Luke Holcomb `@lukeholcomb`    |
|    Brand & Product Marketing, Sales Development, Developer Relations & Strategy    |    Riley OHara `@rohara2`    |
|    Direct Sales    |    Kaitlyn Sarmento `@KSarmento`    |
|    Alliances & Channel    |    Kaitlyn Sarmento `@KSarmento`    |
|    CS, Pro Serv, and SA    |    Olivia Alexander `@oalexander`    |
|    RS&A    |    Robert Callam `@rcallam`    |
|    Engineering    |    Jessica Smith `@JessSmith`    |
|    Product & UX    |    Jessica Smith `@JessSmith`    |
|    Security    |    Petra Foget `@pfoget`    |
|    G&A (CFO, People, Legal)    |    Nyasha Tarinda `@ntarinda`    |

#### Team-specific budget considerations

For guidance on how much budget to request per order, please refer to these spend limits based on your team. If you'd like to request an order above these limits, reach out to your VP and FBP for approval.

| Team | Spend limit (per order) |
| ------ | ------ |
|    Customer Success    |    $250    |
|   Renewals    |    $250    |

### DRIs for the swag program

| Topic | DRI |
| ------ | ------ |
| Swag shop and orders | Brilliant Customer Support:  `email support@brilliantmade.com, include order number` |
| Swag program strategy, vendor relationships | Brand Strategy team: `@bbula` |
| Swag design | Brand Creative team: `@amittner` |
| Swag design - project management | Brand Creative team: `@mnovosel` |
| New hire swag | Talent Brand team: `@cchiodo` |
| Anniversary swag | People Connect team: `@ameeks` |
| New parent swag | Absence Management team: `@lyndemeiers` |
