---
title: GitLab Content Strategy & Ops
description: >-
 An overview of the strategy and processes for the Content Strategy & Ops team.
twitter_image: '/images/tweets/handbook-marketing.png'
---

<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

## <i class="fas fa-bullhorn fa-fw\"></i>  Welcome to the GitLab Content Strategy & Ops Handbook

### Meet the GitLab Content Strategy & Ops team. 👋

[**Grace Madlinger**](https://gitlab.com/gmadlinger)

* **Title**: Director, Global Content

* **GitLab handle**: @gmadlinger

* **Slack handle**: @gmadlinger

[**Chandler Gibbons**](https://gitlab.com/chandlergibb)

* **Title**: Sr. Manager, Content Marketing

* **GitLab handle**: @chandlergibb

* **Slack handle**: @Chandler Gibbons

[**Sharon Gaudin**](https://gitlab.com/sgaudin)

* **Title**: Sr. Content Marketing Manager

* **GitLab handle**: @sgaudin

* **Slack handle**: @Sharon Gaudin

[**Kristina Weis**](https://gitlab.com/KristinaWeis)

* **Title**: Sr. Content Marketing Manager

* **GitLab handle**: @KristinaWeis

* **Slack handle**: @Kristina Weis

[**Sandra Gittlen**](https://gitlab.com/Sgittlen)

* **Title**: Managing Editor, GitLab blog

* **GitLab handle**: @sgittlen

* **Slack handle**: @Sandra Gittlen

**Our team mandate:** Create _world-class_ content that expands our audience, drives conversions, and tells GitLab's story—while enabling everyone in the organization to contribute.

**How we achieve this:**

* Bring to life a differentiated POV via content for our audiences on key themes that drives activation, engagement, and revenue throughout all funnel stages

  * _Themes:_ DevSecOps, AI, security & compliance, developer experience, workflow & Agile planning

* Produce bar-raising, world-class content and become a _**bookmark-able**_ resource for our customers and market to learn from—focused on acquisition, upsell, enablement, and deeper adoption

* Increase distribution to our ideal customers through targeted efforts with Demand, SEO, Sales, DevRel, Field, and Customer Success

* Create and manage contributor guidelines, operational rigor, and content best practices

### Slack Channels

* **#content**: A general discussion channel for all things content, including blog posts, case studies, videos, webcasts, newsletter content, interesting articles, etc.

* **#content-updates**: A rolling log of new, published blog content.

* **#marketing**: The main channel for the entire marketing group.

### Quick links

* [GitLab blog handbook](/handbook/marketing/blog/)

* [Gated content process](/handbook/marketing/demand-generation/campaigns/content-in-campaigns/)

* [GitLab Content Style Guide](/handbook/marketing/brand-and-product-marketing/brand/content-style-guide/#brand-voice)

* [How to work with us](/handbook/marketing/brand-and-product-marketing/content/#requesting-support)

### What is Content Strategy & Ops?

In Content Strategy & Ops, we work on all things content—aka, digital collateral that informs and educates our audience, and motivates them to take action. Most importantly, content has a purpose and measurable impact on GitLab goals and/or OKRs.

Our work is all about the words, translating GitLab's message into external collateral like…

* Blog posts

* Feature and solution pages, conversion pages, and SEO topic pages on about.gitlab.com

* Best practices guides

* How-to tutorials

* Customer stories

* Ebooks

* Whitepapers

* Digital ads (social, display)

* Video scripts

* One pagers and infographics

* Industry/GitLab reports (Global DevSecOps Survey)

* Buyer enablement

* Nurture, onboarding, and promotional (newsletter/announcements) emails

* And more

To create this content, **our team operates as both an editorial newsroom and internal agency.** As a **newsroom**, we create content around regular "beats" or topics, and independently lead our own projects. As an **internal agency**, we support everyone at GitLab in mainly external-facing content projects. Those projects might look like:

* Writing content for GTM campaigns (mostly awareness- and consideration-level ebooks, landing pages, nurture emails, related blog posts and/or articles)

* Writing blog posts to support strategic needs

* Writing [topic pages and subtopic pages](/topics/)

* Writing and reviewing [customer case studies](/customers/), in collaboration with the [Customer Advocacy team](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/customer-advocacy/)

* Reviewing content for web pages, emails, or other marketing assets

* Reviewing customer-facing emails and other communications

[Learn more about requesting support](/handbook/marketing/brand-and-product-marketing/content/#requesting-support)

While the Content Strategy & Ops team produces a large amount of content, we are by no means the only content creators at GitLab. If you would like to collaborate with us on a content project, read more below!

**We organize our work into two key focus areas: Content Strategy and Content Operations (Ops).** Think about the projects in your current role: some tasks you can complete quickly, or are a regular, expected part of your day-to-day. But other tasks might require detailed planning, longer timelines, multiple stakeholders, and further collaboration. That's the difference between Content Strategy and Content Ops.

### Content Strategy

[**Content Strategy** projects](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/content-strategy-and-ops/content-strategy) include bespoke or high impact/high visibility content work, requiring planning, multiple stakeholders, and often VP-level or above engagement.

* _Examples:_ Creating a net-new landing page, content for newly established campaign pillars, GTM content, DevSecOps Survey, customer change comms

### Content Ops

[**Content Ops**](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/content-strategy-and-ops/content-ops) includes content that's either part of already-established programs—like current campaigns, customer stories, or optimization of existing content—or "velocity content", content asks that can be accomplished quickly, with little input or few to no stakeholder reviews. It also includes content benchmarking, measurement, and reporting.

* Velocity Requests

  * Examples: Quick-turn requests with minimal effort and few to no additional reviewers—updated wording on a landing page, email copy, small tweaks or repackaging of existing content

  * If you have an immediate request that requires review by multiple stakeholders, [follow the VP-level request workflow](/handbook/marketing/brand-and-product-marketing/content/#what-is-content-strategy--ops).

* Always-on Programs

  * Ongoing/existing campaign content, customer stories, solutions page refreshes

  * Page content updates and optimization, benchmarking, measurement

### The GitLab Blog

The Content Strategy & Ops team is also responsible for the GitLab Blog. [Check out the blog handbook to learn more.](/handbook/marketing/blog/)

### Requesting support

Whether you have a Content Strategy or Content Ops request, work begins with a conversation as the default. Collaboration ensures your projects have the best outcome and largest positive impact on GitLab's goals.

If you know your request falls into either Content Strategy or Content Ops, open a new request in the [Content Strategy project](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/content-strategy-and-ops/content-strategy)  or the [Content Ops project](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/content-strategy-and-ops/content-ops) and fill out the corresponding template.

Not sure which bucket your request falls into? [Open a general request in Content Ops and we'll advise.](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/content-strategy-and-ops/content-ops/-/blob/master/.gitlab/issue_templates/new-content-request.md)

The team will then review all incoming requests in the Content Strategy & Ops project and will schedule accordingly based on the request type, current workload, and priorities.

NOTE: If you have an immediate **Content Strategy** request that needs to be escalated and requires multiple stakeholder reviews, please add a VP-approved label to your request, and tag the VP-level stakeholder.

_Need help finding relevant content to use in an email or to send to a customer? Ask for help in the #content channel._

### Sample content creation process: Campaign ebook or whitepaper

| Task                                                                                                                                                                  | DRI                             |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------- |
| Define general campaign theme and target audience/segment for asset in collaboration with Product Marketing, campaign leads, and Global Content                       | Campaign manager                |
| Provide input on search keywords and topic/angle                                                                                                                      | Search marketer                 |
| Write first draft                                                                                                                                                     | Writer (Content Strategy & Ops) |
| Complete peer review (looking at flow, clarity, consistency, story)                                                                                                   | Editor (Content Strategy & Ops) |
| Complete campaign review (checking for alignment with campaign objectives)                                                                                            | Campaign manager                |
| Complete SME review (looking at messaging and positioning)                                                                                                            | Product marketing manager       |
| Proofread/prepare for Design (cleaning up and resolving edits)                                                                                                        | Writer (Content Strategy & Ops) |
| Put content into layout                                                                                                                                               | Brand designer                  |
| Design review (checking for typos, errors, broken/incorrect links, the look of the design, proof infographics, double check that index links lead to the right pages) | Writer (Content Strategy & Ops) |
| Implement final edits                                                                                                                                                 | Brand designer                  |
| Final proofread (checking that all edits are implemented, confirming links)                                                                                           | Writer (Content Strategy & Ops) |
| Publish                                                                                                                                                               | Campaigns team                  |

### Content types: Definitions and workflows

#### Blog post

A post on the GitLab blog can educate, entertain, tell a story, take an opinionated stance, etc. A blog post is dated, so it only reflects thoughts, ideas, and processes from a specific period of time. For communicating long-term/evergreen ideas or processes, consider using a topic page or SEO page instead. A blog also can and should be repurposed as a web article/cluster page

Visit the blog handbook to learn more about the [blog publishing process](/handbook/marketing/blog/).

#### Whitepaper

A whitepaper is a technical and focused topic study intended to educate a prospective buyer during the Consideration or Purchase stages of a campaign. The whitepaper offers a problem and solution instance in a granular, technical tone. The content team member should collaborate closely with their product marketing counterpart when researching and writing the asset so that the content reaches appropriate technical standards for the intended audience.

Any technical GitLab team member is welcome to write a whitepaper and collaborate with the content team. If you're interested in writing a whitepaper, open an issue in the [Content Strategy project](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/content-strategy-and-ops/content-strategy) and describe your idea, or post in the [#content](https://gitlab.slack.com/archives/C2R1NED61) Slack channel. Whitepapers should be related to specific use cases and support campaigns, when possible.

**Examples:**

1. [A seismic shift in application security](/resources/whitepaper-seismic-shift-application-security/)

2. [How to deploy on AWS from GitLab](/resources/whitepaper-deploy-aws-gitlab/)

#### Ebook

An ebook tends to be broader in scope than a whitepaper and provides a clear definition of the topic, along with various industry standard best practices. Ebooks typically provide awareness-level content, but can dive deeper into GitLab if it's intended for late-stage consumption. Ebooks should be related to specific use cases and support campaigns, when possible.

**Content Writer/Strategist workflow**: A Content Strategy & Ops team member develops ebook content with input and review from their product marketing counterpart. More technical or instructive ebooks may require more collaboration with product marketing. Ebooks follow the [internal gated content](/handbook/marketing/demand-generation/campaigns/content-in-campaigns/) asset workflow.

**For other GitLab team members:** To request an ebook from the content team, feel free to open a [Content Strategy issue.](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/content-strategy-and-ops/content-strategy)

**Examples:**

1. [Guide to a DevOps platform migration](https://page.gitlab.com/migrate-to-devops-guide.html)

2. [How to drive business success with DevSecOps](https://page.gitlab.com/resources-ebook-devsecops-success.html)

#### One pager

An infographic is an illustrated overview of a topic or process, and is typically an ungated asset. Infographics should tell a story using data, diagrams, and text. It can be used to discuss industry trends, relate insights, or explain different stages of a project. [Open a Content Ops issue to get started.](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/content-strategy-and-ops/content-ops)

**Example:**

1. [DevSecOps platform 1-pager](https://gitlab.highspot.com/items/637c610e7fdd49cb264924ea?lfrm=srp.8)

2. [Forrester TEI infographic](https://gitlab.highspot.com/items/63728bd5d5e577b476270022?lfrm=srp.2)

#### Topic page

A topic page is a high-level explanatory "pillar" page dedicated to a specific topic, such as [version control](/topics/version-control/), [DevSecOps](/topics/devsecops/), or [continuous integration](/topics/ci-cd/). Topic pages should explain what the subject is, why it is important, and explain the basic concepts of the subject. Topic pages should include links to additional related resources, such as blogs, web articles, videos, and case studies, as well as at least one CTA to a gated asset. Other SEO pages also include educational, informational content, designed to support topic pages using keywords and search terms. They are similar to blogs in length, but differ in that they are not dated and the content is evergreen (see [more about blog posts](/handbook/marketing/blog/)).

**Examples:**

1. [What is CI/CD?](https://about.gitlab.com/topics/ci-cd/)

2. [What is developer-first security?](/topics/devsecops/what-is-developer-first-security/)

#### Case study

Case studies are in-depth customer stories that provide insight as to how GitLab has resolved significant software workflow problems for a company. The case study tells the story using quotes from customer interviews and straightforward metrics that broadly show the impact of adopting GitLab.

[Case studies](/customers/) are created in partnership with the customer reference team. The customer reference team has a process in place for how they add new references and provide a list of [customer value drivers](/handbook/marketing/product-marketing/customer-reference-program/customer-insight/#command-of-message-questions). Customer case studies are typically written by the Content Strategy & Ops team, but the case study development process is managed by the Customer Advocacy team. If you have an idea for a new case study, please contact the [Customer Advocacy team](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/customer-advocacy/).

**Examples:**

1. [CARFAX improves security, cuts pipeline management and costs with GitLab](https://about.gitlab.com/customers/carfax/)

2. [Lockheed Martin saves time, money, and tech muscle with GitLab](https://about.gitlab.com/customers/lockheed-martin/)

3. [Online travel giant Agoda boosts developer productivity with GitLab](https://about.gitlab.com/customers/agoda/)
