---
title: "Digital Production Editing Software and Equipment List"
description: GitLab Digital Production list of software and equipment for remote digital production.
twitter_image: '/images/tweets/handbook-marketing.png'
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
---

## Editing Software

### iMovie

  This is Digital Production's first recommendation. iMovie is free editing software from Apple. It is simple and straightforward to use versus other programs, and it is included with almost all MacBooks in the Applications list. As most GitLab employees use MacBooks, it should be an option for almost everyone. If you do not have a MacOS device, please see below.

### Adobe Premiere Rush

  [Adobe Premiere Rush](https://www.adobe.com/ca/products/premiere-rush.html) is a subscription-based editing software that, like iMovie, attempts to strip down the features and complexity of other programs to make itself more accessible to the average user. It is available for Mac, PC, and other devices. As there is a fee, this option should only be used if the above iMovie software is not available to you.

---

## Equipment

[The Digital Production department](/handbook/marketing/brand-and-product-marketing/content/digital-production/) has organized several options for GitLab employees who need to record quality video content. Links have been provided to give a reference of the specifications of each item (i.e. what it looks like). However, these are offered as examples only. Before you make your purchase, **[review GitLab's policy on spending company money](/handbook/finance/spending-company-money/)**. If you are unable to locate a suitable option for an item you wish to order, contact the Digital Production department about substitutions.

## Standard Desk Package

 Most GitLab employees will find everything they need in this package. It contains all the fundamentals to record video at an elevated quality while at your desk.

### Camera Options (Choose One)

- Logitech C920S - [Example](https://www.amazon.com/Logitech-Webcam-Calling-Recording-Stereo/dp/B08DRQ66WP/).
**OR**
- Razer Kiyo (slightly lower performance camera but includes ringlight) - [Example](https://www.amazon.com/Razer-Streaming-Adjustable-Brightness-Microphone/dp/B076QK6489/)

### Audio

- Rode NT USB - [Example](https://www.bhphotovideo.com/c/product/1540109-REG/rode_nt_usb_mini_usb_microphone.html)
- Optional Boom Arm - [Example](https://www.bhphotovideo.com/c/product/484972-REG/Rode_PSA1_PSA_1_Studio_Boom_Arm.html)

### Lighting Option

- Elgato Key Light - [Example](https://www.amazon.com/Elgato-Key-Light-Professional-App-Enabled/dp/B07L755X9G)

## Advanced Desk Packages

---

 These packages are for GitLab Employees in need of higher level production equipment for elevated content such as conferences and video packages. Select only one of the packages below, based on your needs.

### Advanced Camera Package

---

#### Camera

- Camera:
  - The Digital Production team is awaiting the release of the [Sony a6400](https://www.bhphotovideo.com/c/product/1453770-REG/sony_ilce_6400l_b_alpha_a6400_mirrorless_digital.html), which is set to debut at the end of March 2021.

   If you are in need of a camera before the Sony a6400 release, we recommend considering the [Sony A7C](https://www.bhphotovideo.com/c/product/1592776-REG/sony_alpha_a7c_mirrorless_digital.html) as listed in the packages below.
- Camera Lens: TBD - Coming Soon!
- Mount for Microphone - [Example](https://docs.google.com/spreadsheets/d/1rKwZwP7hvYSqm3BL4wPmVNDQtYkXPSX3SfUElBIhX38/edit#gid=1367060180)

#### Audio

- Shotgun Microphone (for camera) - [Example](https://www.bhphotovideo.com/c/product/1183909-REG/rode_videomicro_compact_on_camera.html?sts=pi&pim=Y)
- Rode NT USB (desktop microphone) - [Example](https://www.bhphotovideo.com/c/product/1540109-REG/rode_nt_usb_mini_usb_microphone.html)
- Optional Boom Arm for Desktop Microphone - [Example](https://www.bhphotovideo.com/c/product/484972-REG/Rode_PSA1_PSA_1_Studio_Boom_Arm.html)

#### Lighting

- Elgato Key Light - [Example](https://www.amazon.com/Elgato-Key-Light-Professional-App-Enabled/dp/B07L755X9G)
- Panel Light Kit with Stands - [Example](https://www.bhphotovideo.com/c/product/1492249-REG/gvm_800d_rgb_3l_800d_rgb_led_video_studio.html)

#### Teleprompter

- Teleprompter - [Example](https://www.amazon.com/Glide-Gear-TMP100-Adjustable-Teleprompter/dp/B019AJOLEM)

#### Camera Desk Mount

- Camera Desk Mount - [Example](https://www.elgato.com/ca/en/p/master-mount-l)

#### Adapter for Using Camera With Mac

- Elgato Game Capture HD60 S - [Example](https://www.amazon.com/Elgato-Standalone-Recording-Zero-Lag-Passthrough/dp/B07XB6VNLJ/)

#### Miscellaneous

- Rosco Diffusion Filter Kit (12 x 12") - [Example](https://www.bhphotovideo.com/c/product/1100312-REG/rosco_110120120001_diffusion_filter_kit_12.html).
 *This a plastic-like material that is placed over panel lights to create a softer and more flattering look.*

- Mini Clamps - [Example](https://www.bhphotovideo.com/c/product/1428232-REG/impact_abs_3_75_small_spring.html).
 *These are used to secure the diffusion filters over the light panels.*

- Gaffer Tape - [Example](https://www.bhphotovideo.com/c/product/812203-REG/General_Brand_001UPCG255MBLA_General_Brands_Pro_Gaffer_s.html).
  *This is specialized tape for securing cords against tripping (safety first!). It has a light grip and will not leave marks when pulled up.*

- HDMI Cable - [Example](https://www.bhphotovideo.com/c/product/751037-REG/Pearstone_hda_115_Standard_Series_HDMI_to.html)

- Green screen (optional for use only while seated at a desk) - [Example](https://www.bhphotovideo.com/c/product/844696-REG/Westcott_579K_X_Drop_Kit_5_x.html/overview)

### Webcam Package

---

#### Camera

- Logitech C920S - [Example](https://www.amazon.com/Logitech-Webcam-Calling-Recording-Stereo/dp/B08DRQ66WP/).

#### Audio

- Rode NT USB (desktop microphone) - [Example](https://www.bhphotovideo.com/c/product/1540109-REG/rode_nt_usb_mini_usb_microphone.html)
- Optional Boom Arm for Desktop Microphone - [Example](https://www.bhphotovideo.com/c/product/484972-REG/Rode_PSA1_PSA_1_Studio_Boom_Arm.html)

#### Lighting

- Elgato Key Light - [Example](https://www.amazon.com/Elgato-Key-Light-Professional-App-Enabled/dp/B07L755X9G)
- *Optional if additional lighting is needed:* Panel Light With Stands - [Example](https://www.bhphotovideo.com/c/product/1492249-REG/gvm_800d_rgb_3l_800d_rgb_led_video_studio.html).

#### Prompter

- Teleprompter for Laptops - [Example](https://www.amazon.com/Glide-Gear-Laptop-Smartphone-Teleprompter/dp/B07X9VSZMM/)

#### Miscellaneous

- Rosco Diffusion Filter Kit (12 x 12") - [Example](https://www.bhphotovideo.com/c/product/1100312-REG/rosco_110120120001_diffusion_filter_kit_12.html).
 *This a plastic-like material that is placed over panel lights to create a softer and more flattering look.*

- Mini Clamps - [Example](https://www.bhphotovideo.com/c/product/1428232-REG/impact_abs_3_75_small_spring.html).
 *These are used to secure the diffusion filters over the light panels.*

- Gaffer Tape - [Example](https://www.bhphotovideo.com/c/product/812203-REG/General_Brand_001UPCG255MBLA_General_Brands_Pro_Gaffer_s.html).
  *This is specialized tape for securing cords against tripping (saftey first!). It has a light grip and will not leave marks when pulled up.*

- Green screen (optional for use only while seated at a desk) - [Example](https://www.bhphotovideo.com/c/product/844696-REG/Westcott_579K_X_Drop_Kit_5_x.html/overview)

### Press Package

---

This package is very advanced and intended for those with a high need of professional flexibility, including recording footage away from their desk and media interviews.

#### Camera

- Sony A7C - [Example](https://www.bhphotovideo.com/c/product/1592776-REG/sony_alpha_a7c_mirrorless_digital.html)
- Camera Lens - [Example](https://www.bhphotovideo.com/c/product/1540746-REG/olympus_v314090bu000_m_zuiko_digital_ed_12_45mm.html)
- Mount for Microphone - [Example](https://docs.google.com/spreadsheets/d/1rKwZwP7hvYSqm3BL4wPmVNDQtYkXPSX3SfUElBIhX38/edit#gid=1367060180)

#### Audio

- Lavalier microphone kit - [Example](https://www.bhphotovideo.com/c/product/1385594-REG/sennheiser_ew_112p_g4_a1_ew_112p_g4_camera.html?gclid=CjwKCAiAkan9BRAqEiwAP9X6UcPXPNWTfrUHoz9YxiCTsjaXN0MTO3lKNQGHjHAO9Ys68UAY2aOA2xoC3jkQAvD_BwE&pcur=CAD)
- Adapter to connect Lavalier microphone to Camera - [Example](https://www.bhphotovideo.com/c/product/1537930-REG/kondor_blue_kb_mxlr_16_bk_mini_xlr_male_to.html).
- Shotgun Microphone (for camera) - [Example](https://www.bhphotovideo.com/c/product/1183909-REG/rode_videomicro_compact_on_camera.html?sts=pi&pim=Y)

#### Green Screen

- Free Standing Green Screen - [Example](https://www.bhphotovideo.com/c/product/910676-REG/lastolite_ll_lb7622_panoramic_background_13_chromakey.html)

#### Lighting

- Elgato Key Light - [Example](https://www.amazon.com/Elgato-Key-Light-Professional-App-Enabled/dp/B07L755X9G)
- Panel Light Kit with Stands - [Example](https://www.bhphotovideo.com/c/product/1492249-REG/gvm_800d_rgb_3l_800d_rgb_led_video_studio.html)

#### Teleprompter

- Teleprompter - [Example](https://www.amazon.com/Glide-Gear-TMP100-Adjustable-Teleprompter/dp/B019AJOLEM).
*This device attaches to the camera to allow a script to be read while speaking directly to camera.*

#### Camera Support

- Tripod - [Example](https://www.bhphotovideo.com/c/product/1527795-REG/manfrotto_mkelmii4bk_bh_element_mii_aluminum_tripod.html)
- Camera Desk Mount - [Example](https://www.elgato.com/ca/en/p/master-mount-l)
- Optional clamp to attach camera to a lightstand, or support the lavalier - [Example](https://www.bhphotovideo.com/c/product/1422139-REG/smallrig_2164_multi_functional_crab_shaped_clamp.html)

#### Production Switcher

- Blackmagic Design ATEM Mini Pro HDMI Live Stream Switcher [Example](https://www.bhphotovideo.com/c/product/1557461-REG/blackmagic_design_atem_mini_pro_hdmi.html/overview).
*This is a production switcher that will allow you to mix multiple feeds into your webcam output, as well as provide industry grade green screen effects and outputs for media.*

#### Optional Outdoor Light Management

- Reflector Kit [Example](https://www.bhphotovideo.com/c/product/1378889-REG/impact_5_in_1_collapsible_circular_reflector.html).
*This kit will allow you to create shade for yourself wherever you're shooting (to prevent unflattering shadows), or possibly reflect light into your face in order to smooth out lighting.*

#### Miscellaneous

- Rosco Diffusion Filter Kit (12 x 12") - [Example](https://www.bhphotovideo.com/c/product/1100312-REG/rosco_110120120001_diffusion_filter_kit_12.html).
 *This a plastic-like material that is placed over panel lights to create a softer and more flattering look.*

- Mini Clamps - [Example](https://www.bhphotovideo.com/c/product/1428232-REG/impact_abs_3_75_small_spring.html).
 *These are used to secure the diffusion filters over the light panels.*

- Gaffer Tape - [Example](https://www.bhphotovideo.com/c/product/812203-REG/General_Brand_001UPCG255MBLA_General_Brands_Pro_Gaffer_s.html).
  *This is specialized tape for securing cords against tripping (safety first!). It has a light grip and will not leave marks when pulled up.*

- HDMI Cable - [Example](https://www.bhphotovideo.com/c/product/751037-REG/Pearstone_hda_115_Standard_Series_HDMI_to.html)

- AA Batteries with Charger (For Lav microphone) - [Example](https://www.bhphotovideo.com/c/product/1047699-REG/panasonic_k_kj17khca4a_eneloop_xx_4_place.html)
