---
title: "Digital Production Equipment List: Equipment Use and Operation"
description: A guide for use of the Digital Production Equipment.
twitter_image: '/images/tweets/handbook-marketing.png'
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
---

## Blackmagic Pocket Cinema

The Blackmagic Pocket Cinema is a camera designed for professional quality video recording. It is used by GitLab employees who require expanded features for recording video or making higher end calls.

### External Resource

**[Blackmagic Pocket Cinema Manual](https://www.bhphotovideo.com/lit_files/452872.pdf)**

## Camera Prep

### Power the Camera

1. Insert the battery into the compartment located at the bottom of the camera.
1. Connect the included AC Power cable to the left side of the camera. Once connected, the cable is designed to lock in place to avoid accidentially disconnecting.
1. The camera will power itself from the connected power cable, while also charging the battery should you wish to record using battery power.

### Attach a Lens

1. Uncover the **lens mount** on the camera. Be careful not to allow debris or dust to contaminate the sensor.
1. **Uncover the rear cap** of the camera lens, leaving the front cap on.
1. **Attach the lens to the camera** by lining up the indicator on the edge of the lens with the red dot on the camera. The indicator is either a red or white dot.
1. Once you've aligned the dots and inserted the lens, **rotate the lens clockwise** until you feel a click.
1. The lens is now attached to the camera, **remove the cap** on the front of the lens to allow for viewing.
1. On the side of the lens, ensure that the **autofocus (AF)** feature is turned on.
1. To remove a lens, hold the **release button** immediately beside the lens mount and twist the lens to the left until it comes free.

### Prepare Your SD Card

This proccess will **permanently delete the contents of your SD Card** to prepare it for use with your Black Magic camera. If you have already recorded footage, please double check that you have moved the content to your computer prior to formatting the card. Deleted footage cannot be recovered.

1. With the camera powered off, insert an SD Card by opening the side door on the right side of the camera. The SD Card label should face the LCD Screen.
1. Power on the camera with the power switch located on the top of the camera.
1. At the bottom of the LCD Touch Screen, **press the storage indicator** (marked with 1 or 2, depending on the slot) to manage your card.
1. Select **Format SD Card**.
1. Select **OS X Extended** to prepare your card for use with Apple Products.
1. Select **Format Sd Card**.
1. Repeat this process for the other card slot, if necessary.

Your card is now cleared of footage and ready to use!

### Select recording format

This process will ensure you are recording in the correct format. You will be selecting a standard HD format that is very popular for editing and uploading videos for the web.

1. Power on the camera with the power switch located on the top of the camera.
2. Press the Menu button on the right side of the LCD Touch screen, directly above the Play button. It displays a traditional hamburger menu symbol.
3. The camera will open on the Record tab by default. Under *Codec and Quality*, select **ProRes** and **422**.
4. Under *Resolution* select **HD (1920x1080)**.
5. Press the MENU button again to exit.
6. On the LCD Touch Screen, press the **FPS indicator** on the top left of the screen.
7. Select **23.98**

### Select LUT

This will help you add enchanced color to have a nice look in your webcam presentations. This will only affect how your camera looks when connecting with the HDMI cable (generally for calls). **This will not affect footage recorded to the SD Card** (but that's a good thing!).

1. Power on the camera with the power switch located on the top of the camera.
2. Press the Menu button on the right side of the LCD Touch screen, directly above the Play button. It displays a traditional hamburger menu symbol.
3. At the top right hand side of the screen, select **LUT**.
4. Use the right hand arrow to cycle the options until you are able to select **Pocket 4k Film to Video**
5. At the top left hand side of the screen select **Monitor**.
6. Under **HDMI**, adjust **Display 3D Lut** to **ON**.

*Your camera will now display enchanced color when outputting via the HDMI cable (for example, to your computer).*

## Connecting Microphones

### Connecting a 'Shotgun' Microphone

1. Connect the provided microphone mount to the top of the camera using the thread.
1. Slide the Rode Video Microphone into the mount and secure.
1. Connect the cable to the microphone port located on the left side of the camera.

### Connecting a Lavalier Microphone

The wireless lavalier kit contains a transmittor and a receiver. The transmittor can by identified by the mute switch located on the top.

1. Attach the microphone to the transmittor and the three pronged XLR cable to the receiver.
1. Turn on both the microphone and the transmittor by opening the front facing panel and holding the **ON/OFF button** until the screen turns on.
1. Connect Mini XLR cable to the left side of the BlackMagic Camera. 1. Connect the receiver XLR cable to the Blackmagic Camera XLR cable. Connecting in this manner will allow you to use both the Rode Mic and the Lavalier mic simultaneously.
1. Connect the transmittor to your person (belt, pocket, boot).
1. Use the clip to place the microphone near the center of your chest, as clothing allows. You should be able to easily see it when you look down.

### Select Audio Settings

1. Power on the camera with the power switch located on the top of the camera.
1. Press the Menu button on the right side of the LCD Touch screen, directly above the Play button. It displays a traditional hamburger menu symbol.
1. Select AUDIO at the top of the LCD Touch Screen.
1. Use the LCD Touch Screen to adjust the channel sources.
1. For a lavalier microphone: set one channel to **XLR - Mic**.
1. For a 'shotgun' microphone, set one channel to **3.5mm Mono - Mic**.
1. If you are only using one microphone, set the other channel to **Camera Mono**.

## Setting Your Image

 The following settings are best completed when the camera is placed where you intend to record and your subject is in frame, with any lighting or adjustments already in place. The settings can all be easily reached on the LCD Touch Screen. Revise these steps every time you move your camera or adjust your light.

### 1. Adjust Lens Zoom

1. Rotate the middle of the lens to zoom in or out as you frame your subject.

### 2. Adjust Focus

1. Using the LCD Touch Screen, touch the face of the subject to set the camera focus.

*Note: If the focus does not adjust, check that the auto focus switch, located on the lens, is set to ON.*

### 3. Adjust Shutter Angle

1. On the LCD Touch Screen, select **Shutter** near the top left of the screen.
1. Use the touch screen controls to select a shutter angle of **180**.
1. Check the LCD screen to see the camera image. If you see flickering light, which can be the case with fluorescent lights, slightly modifying this value up or down is the best way to compensate.

*Note: If your camera has been adjusted to display shutter speed instead, adjust the setting to **1/50**.*

### 4. Adjust Iris

 The f-stop adjusts how much light is allowed into the lens.

#### At your Desk

1. On the LCD Touch Screen, select **Iris* near the top left of the screen.
1. Select the **Auto Exposure** slider.
1. Select **Shutter + Iris**

#### Away from your Desk

1. On the LCD Touch Screen, select **Iris** near the top left of the screen.
1. Use the touch screen controls to select an iris of **4.0.**.

### 5. Adjust ISO

1. With your camera in place and pointed at your subject, look at the Histogram at the bottom left of the LCD Screen. It looks like a horizontal bar with rolling white data. The left represents the darkest parts of your image and the right represents the brightest.
1. On the LCD Touch Screen, select **ISO** near the top right of the screen.
1. Adjust the **ISO** while referring to the Histogram. The contents of the histogram will shift right or left. Lower ISO values result in a better image, but require more light.
1. Continue to adjust the **ISO** until the Histogram shows a decreasing slope on both ends, avoiding a vertical drop off.

### 6. Adjust White Balance

The White Balance settings removes color cast from your image and helps white appear purely, without other hues.

1. On the LCD Touch Screen, select **White Balance** in the top right corner of the screen.
1. The camera will display a number of presets, selecting one will change the color of your image.
1. If you are working with lights you can control, such as the GMV Panel lights, adjust the value at the bottom left to match the setting on the lights. In most cases this will be around 5000.
1. If you are working with lights you can't control, choose the preset that seems to give you the most authentic image.

### 7. Adjust Audio Levels

1. Connect headphones to the camera using the port located on the left side of the camera, towards the top.
2. Using the LCD Touch Screen, select the audio meters on the lower right side.
3. Use the headphones to listen for any unwelcome noise in your audio. Common examples are clicking jewelry or watches against a desk or table, fans and vents, kitchen appliances turning on, or outside traffic.
4. While your subject is speaking confidently, adjust the levels until they very gently enter the yellow portion of the meter. This will record at an appropriate level, while allowing room for futher noise should your subject laugh or exclaim something loudly.

## Recording with your Blackmagic

### To an SD Card

1. After following the steps above. Press the red button on the back or front of the camera to record.
1. Press the button again to end the recording.
1. With the camera turned off, remove the SD card and use a card reader to connect it to your computer.
1. The file will appear as a mounted disk, but ensure the file is transferred to your computer before returning the card to your camera.

### Reference Slides with Zoom when Recording for a Presentation

1. Connect your Blackmagic camera with an HDMI cable to your computer using the Elgato Capture Card. It is plug and play.
1. While using your Blackmagic Camera as a webcam, you can share your deck and record normally as you would during a Zoom presentation.
1. You may then **ALSO** record by pressing the red button on the Blackmagic camera itself.
1. When you are finished, end both recordings.
1. You may provide both the zoom recording, along with the high quality recording on your SD card, to the digital production team, if the content is to be submitted for editing. The production team will use the Zoom recording to track where the slide should appear when editing the presentation.

***Be sure to keep your eye fixed on the Blackmagic lens only, as that is where you will be looking in the final video. Refrain from looking at your slides or computer as much as possible.***

## Webcams

The operation of webcams is plug and play. Connect the webcam to your computer via USB and use the clamp to position the camera on your laptop or monitor. Logitech and Razr webcams include a thread that will allow you to attach it to a tripod, if necessary.

### Recording Video with a Webcam

The simplest way to record with your Webcam is with the QuickTime application.

1. Open the Finder.
1. Applications -> QuickTime Player
1. File -> New Movie Recording
1. A window will open showing your camera.
1. Next to the record button, select the small arrow.
1. Select your webcam.
1. Select your desktop mic (if necessary).
1. Set record quality to Maximum.
1. When you've finished recording, the clip will open in QuickTime Player for your review.
1. Select File -> Save in order to save the clip.

## Audio

If you are looking for the Rode Camera Microphone, or the lavalier microphone, please see the instructions for setting up the Blackmagic Pocket Cinema above.

## Rode Desktop Microphone

The Rode Desktop microphone connects to your computer via the supplied USB cable.

### Basic Operation

1. The microphone features a headphone connection to allow you to monitor your audio levels. The dials are for monitoring purposes only and will not affect the record.
1. The top dial adjusts the mix between your own voice and the computer audio.
1. The bottom dial adjusts the overall volume.
1. Place the microphone about six inches away from your face. It does not need to be directly in front of you.
1. To adjust the recording level, go to System Preferences -> Sound -> Input
     1. Select the microphone.
     1. Adjust the input volume until you have eliminated excessive background noise.

## Lighting

## Elgato Lights

Elgato lights are packaged with easy-to-follow directions on a cardboard sheet. Please do not throw these out.

### Setup Instructions

1. Attach clamp to mounting pole.
1. Attach Elgato light to the other end. This can be done vertically or horizontally depending on what suits your workspace.
1. Connect the Power Cable and plug it in.
1. Secure the power cable using supplied fasteners to keep the cable tidy and prevent snags.
1. Download and install the Elgato Control Center application on your laptop or phone.
1. Power on the light and look for it to appear in your Wifi options.
1. Connect to the light and use the Control Center to input.

After setup, Elgato brand lights are controlled entirely via your computer or phone using the Elgato Control Center Software.

*Please note: On MacBooks, the Elgato Control Software appears only at the top right corner of the screen. This will occasionally make it appear as if attempting to open the control center via the applications menu did nothing. Click on the icon in the upper right corner to open the controls for the light.*

### External Resources

Elgato has a guide to their desk lights [available here](https://help.elgato.com/hc/en-us/articles/360028244011-Key-Light-Quick-Start-Guide).

## GVM Lights

### Operation

GVM Panel lights should be operated in CCT mode only. In most cases, it will not be necessary to use any other features.

1. Unfold the light stand and place it where you desire your light to be. Secure by twisting the appropriate knob.
1. Place the light on top of the stand while it is in its lowest position and secure.
1. Power the light by pressing the power switch to the right.
1. Raise the light to thhe desired height and secure.
1. **Press the right knob** to cycle modes until the LED display shows **CCT** on the second line.
1. Use the left knob to adjust brightness.
1. Use the right knob to adjust the color temperature (CCT). A lower value represents warm light, such as candlelight. A higher value represents cool light, such as sunlight. In almost every case, the desired color temperature is 5000k or higher because it will compliment the natural light from your windows.
1. Ensure that each GVM light displays an identical CCT value.

## Teleprompters

## GlideGear TMP100 Teleprompter

1. Attach the tripod to the bottom of the unit using one of the available mounting threads.
1. Using the thumb screws on both sides of the mirror, rotate the mirror forward to an angle of about 45 degrees.
1. Attach the hood over the mirror using the velcro on the side of the mirror to secure. The hood should extend back over the "plate" where you attached the tripod.
1. Attach your camera to the teleprompter using the thumbscrew. All cameras have a thread on the bottom that will accept the screw.
1. Slide the camera forward until you are able to pull the hood around the lens, but don't secure just yet.
1. Check on the camera that you have an image that you are happy with. When you are content with the image, pull the hood around the lens and pull the threads to gently close it.
1. Extend the shelf in front of the mirror and place the device you will use to display your script.
1. Close the shelf to secure.

### External Resources

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/PuV1ethLPMI" frameborder="0" allowfullscreen></iframe>
</figure>

**[User Manual](https://cdn.shopify.com/s/files/1/2489/1934/files/TMP100_-_User_Manual-_Dec_20.pdf?v=1608143109)**
