---
title: "Digital Production Setup: Desk"
description: A guide for setting up equipment for recording or calls at your desk.
twitter_image: '/images/tweets/handbook-marketing.png'
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
---

## Setting Up to Record Video at your Desk

The instructions will reference specific gear, but you might decide to substitute or add different items based on your needs. This should be read as a framework and not a rulebook.

## Equipment Checklist

### Camera (Choose One)

#### Professional Camera

- Blackmagic Pocket Cinema (High Level Camera) - [Example: Blackmagic Design Pocket Cinema Camera 4K](https://www.bhphotovideo.com/c/product/1401512-REG/blackmagic_design_pocket_cinema_camera_4k.html)
- Camera Lens - [Example: Olympus M.Zuiko Digital ED 12-45mm f/4 PRO Lens](https://www.bhphotovideo.com/c/product/1540746-REG/olympus_v314090bu000_m_zuiko_digital_ed_12_45mm.html)
- Mount for Microphone - [Example](https://docs.google.com/spreadsheets/d/1rKwZwP7hvYSqm3BL4wPmVNDQtYkXPSX3SfUElBIhX38/edit#gid=1367060180) (internal)
- HDMI Cable - [Example: Pearstone High-Speed HDMI Cable with Ethernet](https://www.bhphotovideo.com/c/product/751037-REG/Pearstone_hda_115_Standard_Series_HDMI_to.html) *(To connect your camera to your capture card or monitor, to allow you to see your image while you're standing in position.)*

OR

#### Webcam

- Logitech C920S - [Example](https://www.amazon.com/Logitech-Webcam-Calling-Recording-Stereo/dp/B08DRQ66WP/).

### Audio

- Shotgun Microphone (for camera) - [Example](https://www.bhphotovideo.com/c/product/1183909-REG/rode_videomicro_compact_on_camera.html?sts=pi&pim=Y)
- Rode NT USB - [Example](https://www.bhphotovideo.com/c/product/1540109-REG/rode_nt_usb_mini_usb_microphone.html)
- Optional Boom Arm - [Example](https://www.bhphotovideo.com/c/product/484972-REG/Rode_PSA1_PSA_1_Studio_Boom_Arm.html)

### Lights

- Elgato Key Light - [Example](https://www.amazon.com/Elgato-Key-Light-Professional-App-Enabled/dp/B07L755X9G)
- Optional 3 Panel Light Kit with Stands - [Example](https://www.bhphotovideo.com/c/product/1492249-REG/gvm_800d_rgb_3l_800d_rgb_led_video_studio.html)

### Camera Support (Choose One)

- Camera Desk Mount - [Example](https://www.elgato.com/ca/en/p/master-mount-l#)

OR

- Mounting Clamp - [Example](https://www.bhphotovideo.com/c/product/1422139-REG/smallrig_2164_multi_functional_crab_shaped_clamp.html).
*This clamp can be used to mount the camera to a light stand.*

### Teleprompter (Optional)

- Teleprompter - [Example](https://www.amazon.com/Glide-Gear-TMP100-Adjustable-Teleprompter/dp/B019AJOLEM).
*To assist in reading your script to camera*

### Miscellanous (Optional)

- Gaffer Tape - [Example](https://www.bhphotovideo.com/c/product/812203-REG/General_Brand_001UPCG255MBLA_General_Brands_Pro_Gaffer_s.html).
*This is specialized tape for securing cords against tripping (saftey first!). It has a light grip and will not leave marks when pulled up. It could also be used to temporarily secure the lav receiver to the tripod if a support such as the clamp is not used*
- Elgato Game Capture HD60 S - [Example](https://www.amazon.com/Elgato-Standalone-Recording-Zero-Lag-Passthrough/dp/B07XB6VNLJ/).
*A capture card that allows you to connect your camera via HDMI to your computer for use as a webcam. Can be used for calls and/or self monitoring.*

## Setup

- Mount the Elgato Keylight, desk mic boom arm (if present), and camera mounting arm to your desk. Face the light towards the wall.

- **PROFESSIONAL CAMERA ONLY:** [follow the instructions](/handbook/marketing/brand-and-product-marketing/content/digital-production/digital-production-equipment-list/black-magic-pocket-cinema-camera/) for setting up your camera.
  - Mount the camera desk mount to your desk and position it roughly where you would like the camera. A good place is at eye level when your thighs and chin are paraellel to the floor. Your eyes should be placed the upper 1/3rd of the frame.
  - Connect the HDMI cable to a monitor or capture card so you can see the image as you position the camera.

- **WEBCAM ONLY:** Mount the webcam to your monitor. Aditionally, you can use the camera desk mount if you'd like to place the webcam in a specific place. A good place is at eye level when your thighs and chin are paraellel to the floor. Your eyes should be placed the upper 1/3rd of the frame.

1. [Follow the instructions](/handbook/marketing/brand-and-product-marketing/content/digital-production/digital-production-equipment-list/black-magic-pocket-cinema-camera/) to turn on your Elgato Key Light.
1. Place the desk mic within 6"-12" (~30cm) from your mouth. It should be in a place where it will not interfere with your work. Ideally, it should sit out of view of the camera.
1. Optional: If you have GMV light panels, you can place one out of view of the camera, raised high and facing the ceiling, turned on full power. This will significantly brighten your entire space and appear better on camera.
