---
title: "Digital Production Setup: Greenscreen"
description: A guide for setting up equipment for recording with a greenscreen.
twitter_image: '/images/tweets/handbook-marketing.png'
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
---

## Setting Up For Greenscreen

Creating a nice look when recording with a green screen requires soft, even light over the entire greenscreen to avoid sharp shadows or variances in light.

### Equipment Checklist

#### Camera

- Blackmagic Pocket Cinema (High Level Camera) - [Example](https://www.bhphotovideo.com/c/product/1560510-REG/blackmagic_design_pocket_cinema_camera_4k.html)
- Camera Lens - [Example](https://www.bhphotovideo.com/c/product/1540746-REG/olympus_v314090bu000_m_zuiko_digital_ed_12_45mm.html)
- Mount for Microphone - [Example](https://docs.google.com/spreadsheets/d/1rKwZwP7hvYSqm3BL4wPmVNDQtYkXPSX3SfUElBIhX38/edit#gid=1367060180)
- HDMI Cable - [Example](https://www.bhphotovideo.com/c/product/751037-REG/Pearstone_hda_115_Standard_Series_HDMI_to.html) *(To connect your camera to your capture card or monitor, to allow you to see your image while you're standing in position.)*

#### Audio

- Shotgun Microphone (for camera) - [Example](https://www.bhphotovideo.com/c/product/1183909-REG/rode_videomicro_compact_on_camera.html?sts=pi&pim=Y)
- Lav Microphone Kit - [Example](https://www.bhphotovideo.com/c/product/1385594-REG/sennheiser_ew_112p_g4_a1_ew_112p_g4_camera.html?gclid=CjwKCAiAkan9BRAqEiwAP9X6UcPXPNWTfrUHoz9YxiCTsjaXN0MTO3lKNQGHjHAO9Ys68UAY2aOA2xoC3jkQAvD_BwE&pcur=CAD)
- Adapter to connect Lav receiver to Camera - [Example](https://www.bhphotovideo.com/c/product/1537930-REG/kondor_blue_kb_mxlr_16_bk_mini_xlr_male_to.html).

#### Green Screen

- Free Standing Green Screen - [Example](https://www.bhphotovideo.com/c/product/910676-REG/lastolite_ll_lb7622_panoramic_background_13_chromakey.html)

#### Lights

- 3 Panel Light Kit with Stands - [Example](https://www.bhphotovideo.com/c/product/1492249-REG/gvm_800d_rgb_3l_800d_rgb_led_video_studio.html)

#### Camera Support

- Tripod - [Example](https://www.bhphotovideo.com/c/product/1527795-REG/manfrotto_mkelmii4bk_bh_element_mii_aluminum_tripod.html)
- Optional clamp to support Lav receiver - [Example](https://www.bhphotovideo.com/c/product/1422139-REG/smallrig_2164_multi_functional_crab_shaped_clamp.html)
  - Thread Adapter for above clamp - [Example](https://www.bhphotovideo.com/c/product/838895-REG/impact_ca_109_short_1_4_20_female_to.html)

#### Teleprompter (Optional)

- Teleprompter - [Example](https://www.amazon.com/Glide-Gear-TMP100-Adjustable-Teleprompter/dp/B019AJOLEM).
*To assist in reading your script to camera*

#### Miscellanous (Optional)

- Gaffer Tape - [Example](https://www.bhphotovideo.com/c/product/812203-REG/General_Brand_001UPCG255MBLA_General_Brands_Pro_Gaffer_s.html).
*This is specialized tape for securing cords against tripping (saftey first!). It has a light grip and will not leave marks when pulled up. It could also be used to temporarily secure the lav receiver to the tripod if a support such as the clamp is not used*
- Elgato Game Capture HD60 S - [Example](https://www.amazon.com/Elgato-Standalone-Recording-Zero-Lag-Passthrough/dp/B07XB6VNLJ/).
*A capture card that allows you to connect your camera via HDMI to your computer for use as a webcam. Can be used for calls and/or self monitoring.*

### Setup

1. Set up the **standing green screen** in an open space with room ahead for the rest of your gear.
      - Check your light: all house lights should be turned off. Windows are welcome so long as direct sunlight will not contact your green screen or yourself. Windows should also not be directly behind the green screen.
      - Check your sound: Avoid or turn off objects such as fans or appliances that might create excessive noise.
1. Set up your **camera** using the [provided directions](/handbook/marketing/brand-and-product-marketing/content/digital-production/digital-production-equipment-list/black-magic-pocket-cinema-camera/) and place it on the tripod ahead of the green screen.
      - You can connect the HDMI cable to your camera and use a monitor to verify the image when you are standing in place. Remember, you can also use an HDMI cable with the capture card to connect your camera to Zoom if you need to show the view to someone else.
1. Check the camera LCD screen (viewfinder). You might want to use a monitor to assist.
      - The camera lens should be approximately the height of your eyes. You should not appear to be tilting your head down or up.
      - Rotate the centre ring on the lens to zoom in and out so that the green covers the entire frame behind you. You may need to adjust the distance of the camera.
      - You can use the viewfinder as a reference as you establish your lighting.
1. Set up your lights using the below diagram as a reference.
      - Place two panel lights on stands on either side of the green screen, facing inward, to light the green screen evenly without being obstructed by the speaker.
          - Look for shadow lines or areas that are significantly brighter or darker and adjust your lights  as usual.
          - It is highly recommended to use diffusion sheets with pins as an excellent way to soften the light and create a more even look. You can use the pins to clip the diffusion sheet to the doors of the panel light.
      - To light your subject, place the final panel light behind your camera, raised nearly to the ceiling. It can be directed at your subject (using diffusion) or, in some cases, simply faced towards the ceiling and turned to full intensity.

![Green Screen set up diagram](/images/digital-production/green-screen-setup_mvc1.png)

<sub>
1. Subject
2. Camera
3. Panel Lights
4. Green Screen
</sub>

#### What To Look For

- SIDE PANELS: Soft, evenly distributed light on the green screen, with no significant difference in brightness over the portion that will be viewable on camera.
- FRONT PANEL: Even light on your subject without casting a shadow behind onto the green screen (keeping the light raised high will help). Diffusion is highly recommended, or the light could be directed at the ceiling without diffusion.

---

TO AD: Remaining instructions
