---
title: "GitLab.tv Events Channel Playbook"
description: GitLab.tv Events Channel Playbook
twitter_image: '/images/tweets/handbook-marketing.png'
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
---

## Introduction

The GitLab.tv Events Channel will act as an educational platform that highlights and supports GitLab's [live and virtual events](https://about.gitlab.com/events/). Our audience of tech managers and leaders from a variety of industries will find informative content including demos, keynotes, and interviews on the GitLab events channel.

Ultimately, the GitLab.tv Events Channel will promote brand awareness and thought leadership as well as offer educational opportunities for our audience of developers, engineers and those looking to get started with DevOps and/or GitLab.

## Success Metrics

- Increase traffic from YouTube to key event web pages to 300+ per month
- Increase overall views of Events Channel videos by 10% per month
- Increase in traffic from YouTube to event web page/s by 5% each month
- Two community contributed videos per event

These goals are measured as traffic from YouTube to key Event pages, as outlined below in the `Content Types and Guidelines` section.

## Audience

GitLab.tv Events Channel allows the wider GitLab community as well as individuals and companies from all industries interested in DevOps and/or GitLab to engage with the company's outward-facing virtual and live events, webinars as well as thought leadership content in the area of DevOps. The audience for this channel consists of a wide range of individuals from individual developers and full-time engineers to managers and tech stakeholders. For the purposes of this channel, we split the audience into two main groups:

 **Regular GitLab users:** This segment of the audience is the most likely to binge on this channel's event and thought leadership content because they are already engaged and locked into the GitLab community.

 **People who are looking to get started with DevOps and/or GitLab:** This segment of the audience is either interested in GitLab as a corporate or individual user, but may not have interfaced with the tool just yet. They may also be doing research on DevOps, and found GitLab along the way. Webinars and instructional event content may be of most interest to these folks as the channel will likely be more of an educational outlet for this segment of the audience.

## Content Types and Guidelines

To keep the Events Channel focused on its intended audience, please adhere to the following content guidelines and content types. Specifically, we are looking for content that highlights:

1. GitLab-hosted virtual and live events
1. GitLab team members that want to host a virtual event, i.e. Go Live
1. The content should be targeted to the audience described above. We are looking for customer or community-focused content.

If you have a suggestion for a video type not listed or you are not sure if your video meets the criteria above, please contact events@gitlab.com. **PLEASE NOTE: We do not publish videos that include disparaging information about other brands and products or that infringes on intellectual property.**

### Video assets

Supplementary video assets, such as logos, bumpers, photos, graphics, animations, etc. can be found [here](https://drive.google.com/drive/folders/0B6i7Xg1yiB8tZWhKbzlsOFpfVDg?usp=sharing).

### Go Live

Start with the [Go Live decision tree](/handbook/marketing/virtual-events/#decision-tree) to determine what sort of video, i.e. lightweight virtual event or webcast, you can contribute to the Events channel.

- The event must have some level of marketing support as outlined in the decision tree above to qualify for on the Events channel posting.
- Going Live does not mean your video will get automatic marketing support and visibility on the channel.

Uploading criteria:

- **Title:** The title of your video should describe exactly what you are showing in the video. For example, "GitLab Commit 2020 Product Roadmap"
- **Description:** Repeat the title of the video followed by 3-5 sentences explaining what the viewer is going to experience or learn from the video. If the video is longer than 10 minutes, please include timestamps. If the video is referencing a previously approved sharable contribution, please link to the merge request.
- **Call to action (CTA):** Event videos should include a link to an event and/or campaign associated with the video that is being posted.
- **UTM codes:** Please be sure to add a UTM code to your CTA in the video description when uploading your videos to YouTube. This **required** action is needed to track your video's performance. For event-related videos, the UTM code should follow this sequence: `?&utm_medium=social&utm_source=youtube&utm_campaign=events&utm_content={{video}}`

1. Right before the question mark at the start of the UTM code, please put the URL to the campaign/landing page to which your CTA is driving, i,e. if this is a video for Commit, the URL added before the question mark should take you to the Commit landing page. For example: `https://about.gitlab.com/events/commit/?&utm_medium=social&utm_source=youtube&utm_campaign=events&utm_content={{video}}`
2. Please use a URL shortener, like [bit.ly](https://bitly.com/), once you add the campaign URL to the top of the UTM code sequence in order to avoid posting a clunky web address for your CTA.

- **Meta Tags:** Tag your video with the appropriate meta tags, including the keyword of the video. Other tags you might include on a how-to video are: open source, beginner, coding, DevOps, GitLab, events, (whatever event name it is, i.e. Commit, Contribute, etc. both the singular name as well as GitLab Contribute GitLab Commit, etc).

PLEASE NOTE: **We cannot post videos or presentations that we do not have written consent to share. This applies to content from other companies and individuals as well as presentations done by GitLab.** Please contact events@gitlab.com to confirm permissions.

## Distribution

Video contributions that meet the playbook criteria will be uploaded to the GitLab Brand Channel and added to the Events Channel playlist. Selected videos will also be distributed on relevant `about.gitlab.com/events` web pages.

## Promotion

These are the possible ways you can have your event video promoted through internal and external channels:

1. Featured in GitLab event follow up email/s (DRI must create issue to enable this step)
1. Consideration for featuring in GitLab Events video band
1. Submit to GitLab social team for consideration (DRI must create issue to enable this step)
1. Submit to GitLab editorial team for consideration on the blog and/or bi-weekly newsletter (DRI must create issue to enable this step)
1. Third-party content platforms (e.g. like ITPro.tv, industry blogs, etc.)
1. Highlighted on GitLab's weekly "This Week at GitLab" video series (Based on viewership numbers, topic and speaker)

---

Return to the main [Growth Marketing Handbook](/handbook/marketing/inbound-marketing/).
