---
title: "GitLab.tv All-Remote Channel Playbook"
description: All Remote Channel Playbook
twitter_image: "/images/opengraph/all-remote.jpg"
twitter_image_alt: "GitLab remote team graphic"
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
---

## Introduction

![GitLab collaboration illustration](/images/all-remote/gitlab-collaboration.jpg)

The [GitLab.tv All-Remote Channel](https://www.youtube.com/playlist?list=PLFGfElNsQthY6t1i0UXYr0wFW3DuvWww6) provides guidance and information to business owners, executives and managers on the ways in which they can transition to a remote workforce. Our audience of founders, CROs, CXOs, HR leaders, and managers work in all industries, particularly in tech and enterprise to midsize companies. For additional context, visit the GitLab [All-Remote Marketing Handbook](/handbook/ceo/office-of-the-ceo/workplace/).

Ultimately, the GitLab.tv All-Remote Channel will help enable viewers to create a remote strategy and establish basic remote management processes. They will also find engaging, actionable information that will help them identify the priorities necessary to successfully go remote and get back to a normal flow of business with a hybrid remote or fully remote team.

## GitLab.tv Playlist on YouTube

The GitLab.tv playlist is listed on GitLab's [official YouTube channel](https://www.youtube.com/playlist?list=PLFGfElNsQthY6t1i0UXYr0wFW3DuvWww6).

## Success Metrics

- Increase traffic from YouTube to key `/all-remote/` web pages to 200 monthly visits
- Increase overall views of All-Remote Channel videos 20% monthly
- One or more cross-promoted videos per month (e.g. a video created in collaboration with another organization which they share to their audience)

These goals are measured as traffic from YouTube to key All-Remote pages, outlined below in the `Content Types and Guidelines` section.

## Who Can Contribute?

Everyone can contribute content to the All-Remote Channel provided it follows the playbook guidelines. Common contributor scenarios include:

1. GitLab's Content team
1. GitLab's All-Remote team
1. GitLab Team Members

## Audience

![GitLab customer illustration](/images/all-remote/gitlab-customer-path.jpg)

The [GitLab.tv All-Remote Channel](https://www.youtube.com/playlist?list=PLFGfElNsQthY6t1i0UXYr0wFW3DuvWww6) informs business leaders and stakeholders about the various aspects of implementing and managing remote teams. For the purposes of this channel, we split the audience into two groups:

1. **People interested in remote work:** These viewers are looking for information on how to get started with remote work. This video content should aim to lower the barrier of entry to remote work by providing actionable guidelines and instructions. Case studies and anecdotal stories will also be of interest to these viewers. This audience is the most likely to binge on various types of content within the channel as they learn more about remote work.
1. **Experienced remote workers and leaders:** These viewers are looking for innovative tips and stories as well as case studies around remote work. The channel is more of an informative and idea-inspiring outlet for this audience.

## Content Types and Guidelines

![GitLab values illustration](/images/all-remote/gitlab-values-tanukis.jpg)

To keep the All-Remote Channel focused on its intended [audience](/handbook/ceo/office-of-the-ceo/workplace/#our-audience), please adhere to the following content guidelines and content types. Specifically, we are looking for content that spotlights:

1. Remote work, with a focus on management and processes.
1. Remote culture stories from GitLab team members and external remote advocates.
1. GitLab CEO Sid Sijbrandji as a thought leader in the remote work space.
1. GitLab, the product, as a [key enabler of remote work](/handbook/company/culture/all-remote/gitlab-for-remote/).
1. Opportunities at GitLab and attracts geographically diverse candidates that value our all-remote culture.

If you have a suggestion for a video type not listed, please contact `remote@gitlab.com`. **We do not publish videos that include disparaging information about other brands and products or that infringes on intellectual property.**

### Video assets

Supplementary video assets, such as logos, bumpers, photos, graphics, animations, etc. can be found [here](https://drive.google.com/drive/folders/0B6i7Xg1yiB8tZWhKbzlsOFpfVDg?usp=sharing).

### Interviews & Panel Discussions

Interview videos can feature a 1-on-1 discussion or small group chat with GitLab executives, remote team, people managers, and external remote advocates and partners. Panel discussions can be done virtually or as part of a live event.

Uploading criteria:

- **Title:** Unless the interviewee(s) are very well known, don't lead with their names. Lead with the title of the discussion. For example, "Common stumbling blocks to going remote: A panel discussion." This will help the audience find your video based on their interests and let them know what style of video to expect.
- **Description:** Repeat the title of the video followed by the names and titles of the interviewee or panel members and 3-5 sentences explaining the key points of the discussion. Include timestamps if the video is over 10 minutes long.
- **Call to action (CTA):** Interview/panel style videos should include a link to `https://about.gitlab.com/company/culture/all-remote/` in the video description. Creators may choose to include the verbal CTA to **"Download GitLab's complete Remote Playbook"** at the end of their video.
- **UTM codes:** Please be sure to add a UTM code to your CTA in the video description when uploading your videos to YouTube. This **required** action is needed to track your video's performance. For videos related to All-Remote, the UTM code should follow this sequence: `?&utm_medium=social&utm_source=youtube&utm_campaign=allremote&utm_content={{video}}`

1. Right before the question mark at the start of the UTM code, please put the URL to the campaign/landing page to which your CTA is driving, i,e. if this is a video that drives to the top-level All-Remote page, the URL added before the question mark should take you to the All-Remote landing page. For example: `https://about.gitlab.com/company/culture/all-remote/?&utm_medium=social&utm_source=youtube&utm_campaign=allremote&utm_content={{video}}`
2. Please use a URL shortener, like [bit.ly](https://bitly.com/), once you add the campaign URL to the top of the UTM code sequence in order to avoid posting a clunky web address for your CTA.

- **Meta Tags:** Tag your video with the appropriate meta tags, including the keyword of the video. There may be multiple keywords associated with this style of video, depending on the topics covered. Tag the video with all relevant keywords. Other tags you might include on an interview/panel discussion video are: remote, all remote, GitLab, culture.

### How-To Videos

![GitLab journey illustration](/images/all-remote/gitlab-journey-and-navigation.jpg)

All-remote how-to videos will provide viewers with quick, actionable tips on remote work. When creating a how-to video, remember to keep the video focused on a single action and outcome. The [all-remote audience](/handbook/ceo/office-of-the-ceo/workplace/#our-audience) tends to prefer presentation-style videos, so keep this in mind as you prepare your content. If you find yourself explaining how to do multiple things, consider breaking up the video down into smaller videos, with each video covering one aspect. As a general rule of thumb, try to keep how-to videos to under 10 minutes.

Uploading criteria:

- **Title:** The title of your video should describe exactly what you are showing in the video. For example, "How to submit a merge request on gitlab.com."
- **Description:** Repeat the title of the video followed by 3-5 sentences explaining what the viewer is going to learn from the video. If the video is longer than 10 minutes, include timestamps. If the video is referencing a contribution, link to the merge request.
- **Call to action (CTA):** How-to videos should include a link to `https://about.gitlab.com/company/culture/all-remote/` in the video description. Creators may choose to include the verbal CTA to **Download GitLab's complete Remote Playbook** at the end of their video.
- **UTM codes:** Please be sure to add a UTM code to your CTA in the video description when uploading your videos to YouTube. This **required** action is needed to track your video's performance. For All Remote-related videos, the UTM code should follow this sequence: `?&utm_medium=social&utm_source=youtube&utm_campaign=allremote&utm_content={{video}}`

1. Right before the question mark at the start of the UTM code, please put the URL to the campaign/landing page to which your CTA is driving, i,e. if this is a video that drives to the top-level All Remote page, the URL added before the question mark should take you to the All Remote landing page. For example: `https://about.gitlab.com/company/culture/all-remote/?&utm_medium=social&utm_source=youtube&utm_campaign=allremote&utm_content={{video}}`
2. Please use a URL shortener, like [bit.ly](https://bitly.com/), once you add the campaign URL to the top of the UTM code sequence in order to avoid posting a clunky web address for your CTA.

- **Meta Tags:** Tag your video with the appropriate meta tags, including the keyword of the video. Other tags you might include on a how-to video are: remote, all remote, GitLab, culture.

## Distribution

Video contributions that meet the playbook criteria will be uploaded to the GitLab Brand Channel and added to the All-Remote Channel Playlist. Selected videos will also be distributed on relevant `/all-remote/` and `allremote.info` web pages.

## Promotion

1. Submit to [GitLab social team](/handbook/marketing/integrated-marketing/digital-strategy/social-marketing/) for consideration ([DRI](/handbook/people-group/directly-responsible-individuals/) must create issue to enable this step)
1. Submit to GitLab editorial team for consideration on the blog and/or bi-weekly newsletter (DRI must create issue to enable this step)
1. Third-party content platforms (e.g. like ITPro.tv, industry blogs, etc.)
1. Highlighted on GitLab's weekly "This Week at GitLab" video series
1. Consideration for featuring in GitLab All-Remote video band
1. Featured in GitLab event follow up email/s (DRI must create issue to enable this step)

## Related links and material

1. [GitLab All-Remote Marketing Handbook](/handbook/ceo/office-of-the-ceo/workplace/)
1. [GitLab Guide to All-Remote](/handbook/company/culture/all-remote/guide/)
1. [GitLab Remote Playbook](https://learn.gitlab.com/all-remote/remote-playbook)

---

Return to the main [Growth Marketing Handbook](/handbook/marketing/inbound-marketing/).
