---
title: "GitLab.tv Community Video Playbook"
description: GitLab.tv Community Video Playbook
twitter_image: '/images/tweets/handbook-marketing.png'
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
---

## Introduction

The GitLab.tv Community Channel is focused on providing information to the wider GitLab community, including community contributors and GitLab Heros. The channel aims to demonstrate GitLab's commitment to "Everyone Can Contribute" and should encourage viewers to take that action.

Ultimately, the GitLab.tv Community Channel should aid the Developer Relations team's overall goals to increase the number of first-contributors, monthly code contributions, monthly meetups, community-driven blog posts, and community-led presentations at events.

## Success Metrics

- Increase traffic from YouTube to key community web pages to 100 visits per month by `2021-01-01`.
- Increase views of Community Channel videos by 20%
- Grow total views for Community Channel videos to 30,000 annually
- Increase the number of wider community contributed videos to two per quarter.

These goals are measured as traffic from YouTube to key Community pages, outlined below in the `Content Types and Guidelines` section.

## Who Can Contribute?

Everyone can contribute content to the Community Channel provided it follows the playbook guidelines. Common contributor scenarios include:

- Developer Relations team members and other community members sharing how-tos, best practices, and other starter guide type content (finding issues to work on, getting help, writing a good MR).
- GitLab Heros sharing tutorials, interviews, and presentations.
- Meetup organizers sharing meeting recordings.
- Frequent contributors sharing technical knowledge, tutorials on how to use/take advantage of GitLab features.

## Audience

The GitLab.tv Community Channel enables and encourages the wider GitLab community to contribute, regardless of whether it's their first or hundredth time contributing. Contributors can get involved as code contributors, blog post authors, educators, meetup organizers, and/or translators. For the purposes of this channel, we split the audience into two groups:

**First-time contributors:** First-time contributors are looking for information on how to get started. Video content should aim to lower the barrier of entry by providing clear guidelines, instructions, and answer specific questions. This audience is the most likely to binge on a lot of different types of content within the channel as they learn more about the GitLab Community.
**Experienced contributors:**  Experienced contributors are looking for updates, recordings, and watching demos uploaded by other community contributors. The channel is more of an informative and social outlet for this audience rather than educational.

## Content Types and Guidelines

To keep the Community Channel focused on its intended audience, please adhere to the following content guidelines and content types. Specifically, we are looking for content that spotlights:

- Different areas/types of contribution (not just code).
- Learnings/examples from wider community members.
- What contributors can gain from contributing to GitLab.

If you have a suggestion for a video type not listed, please contact contributors@gitlab.com. **We do not publish videos that include disparaging information about other brands and products or that infringes on intellectual property.**

### Video assets

Supplementary video assets, such as logos, bumpers, photos, graphics, animations, etc. can be found [here](https://drive.google.com/drive/folders/0B6i7Xg1yiB8tZWhKbzlsOFpfVDg?usp=sharing).

### How-To Videos

How-to videos are tutorial style videos that show the viewer how to do something specific. For example, a how-to video might walk the viewer through how to submit a merge request, or how to set up their own meet-up. A how-to video can also function like a demo, showing the viewer all the steps that were taken to arrive at a specific solution.

When creating a how-to video, remember to keep the video focused on a single action and outcome. If you find yourself explaining how to do multiple things, consider breaking the video up into smaller videos, with each video covering one aspect. As a general rule of thumb, try to keep tutorial videos to under 30 minutes.

Uploading criteria:

- **Title:** The title of your video should describe exactly what you are showing in the video. For example, "How to submit a merge request on gitlab.com."
- **Description:** Repeat the title of the video followed by 3-5 sentences explaining what the viewer is going to learn from the video. If the video is longer than 10 minutes, include timestamps. If the video is referencing a contribution, link to the merge request.
- **Call to action (CTA):** How-to videos should include a link to <https://about.gitlab.com/community/contribute/> in the video description. Creators may choose to include the verbal CTA **"Contribute to GitLab"** at the end of their video.
- **UTM codes:** Please be sure to add a UTM code to your CTA in the video description when uploading your videos to YouTube. This **required** action is needed to track your video's performance. For community-related videos, the UTM code should follow this sequence: `?&utm_medium=social&utm_source=youtube&utm_campaign=community&utm_content={{video}}`

1. Right before the question mark at the start of the UTM code, please put the URL to the campaign/landing page to which your CTA is driving, i,e. if this is a video that drives to the top-level community channel, the URL added before the question mark should take you to the Community landing page. For example: `https://about.gitlab.com/community/?&utm_medium=social&utm_source=youtube&utm_campaign=community&utm_content={{video}}` (Here, `{{video}}` should be a short description/title of the video such as `how_to_contribute_meetup`).
2. Please use a URL shortener, like [bit.ly](https://bitly.com/), once you add the campaign URL to the top of the UTM code sequence in order to avoid posting a clunky web address for your CTA.

- **Meta Tags:** Tag your video with the appropriate meta tags, including the keyword of the video. Other tags you might include on a how-to video are: open source, beginner, coding, tutorial, community, open soure community, and GitLab.

### Interviews & Panel Discussions

Interview videos can feature a 1 on 1 discussion or small group chat with folks in the GItLab community. Panel discussions can be done virtually or as part of a live event.

Uploading criteria:

- **Title:** Unless the interviewee(s) are very well known, don't lead with their names. Lead with the title of the discussion. For example, "Common problems with Git: A Panel Discussion." This will help your audience find your video based on their interests and let them know what style of video to expect.
- **Description:** Repeat the title of the video followed by the names and titles of the interviewee or panel members and 3-5 sentences explaining the key points of the discussion. Include timestamps if the video is over 10 minutes long.
- **Call to action:** Interview/panel style videos should include a link to <https://about.gitlab.com/community/heroes/> in the video description. Creators may choose to include the verbal CTA **"Become a GitLab Hero"** at the end of their video.
- **UTM codes:** Please be sure to add a UTM code to your CTA in the video description when uploading your videos to YouTube. This **required** action is needed to track your video's performance. For community-related videos, the UTM code should follow this sequence: `?&utm_medium=social&utm_source=youtube&utm_campaign=community&utm_content={{video}}`

1. Right before the question mark at the start of the UTM code, please put the URL to the campaign/landing page to which your CTA is driving, i,e. if this is a video that drives to the top-level community channel, the URL added before the question mark should take you to the Community landing page. For example: `https://about.gitlab.com/community/?&utm_medium=social&utm_source=youtube&utm_campaign=community&utm_content={{video}}` (Here, `{{video}}` should be a short description/title of the video such as `how_to_contribute_meetup`).
2. Please use a URL shortener, like [bit.ly](https://bitly.com/), once you add the campaign URL to the top of the UTM code sequence in order to avoid posting a clunky web address for your CTA.

- **Meta Tags:** Tag your video with the appropriate meta tags, including the keyword of the video. There may be multiple keywords associated with this style of video, depending on the topics covered. Tag the video with all relevant keywords. Other tags you might include on an interview/panel discussion video are: open source, GitLab, how-to, how to, Q&A, conversational, and DevOps.

### Recordings from Hackathons

Hackathon recordings are most often un-edited recordings of live sessions held during a GitLab Hackathon. Community members who missed the Hackathon or first-time contributors who are curious to know what happens during a GitLab Hackathon watch these videos to catch up on a live event.

- **Title:** Hackathon videos should be descriptive. Avoid beginning the video with the date as this will not help it show up in a search. If specific topics were covered during the event, list the top 3. For example: "GitLab Package team explains product roadmap"
- **Description:** Repeat the title of the video followed by 3-5 sentences explaining what is covered in the video. For Hackathon videos, include the date of the Hackathon. If there was an agenda for the meeting, include it in the description. If merge requests are mentioned in the video, link to them in the issue description.
- **Call to action (CTA):** Hackathon recordings should include a link to <https://about.gitlab.com/community/hackathon/> in the issue description. Creators may choose to include the verbal CTA "Join our next Hackathon" at the end of their video.
- **UTM codes:** Please be sure to add a UTM code to your CTA in the video description when uploading your videos to YouTube. This **required** action is needed to track your video's performance. For community-related videos, the UTM code should follow this sequence: `?&utm_medium=social&utm_source=youtube&utm_campaign=community&utm_content={{video}}`

1. Right before the question mark at the start of the UTM code, please put the URL to the campaign/landing page to which your CTA is driving, i,e. if this is a video that drives to the top-level community channel, the URL added before the question mark should take you to the Community landing page. For example: `https://about.gitlab.com/community/?&utm_medium=social&utm_source=youtube&utm_campaign=community&utm_content={{video}}` (Here, `{{video}}` should be a short description/title of the video such as `how_to_contribute_meetup`).
2. Please use a URL shortener, like [bit.ly](https://bitly.com/), once you add the campaign URL to the top of the UTM code sequence in order to avoid posting a clunky web address for your CTA.

- **Meta Tags:** Tag your video with the appropriate meta tags, including the keyword of the video. There may be multiple keywords associated with this style of video, depending on the topics covered. Tag the video with all relevant keywords. Other tags you might include on a Hackathon video are: tutorial, office hourse, and hackathon.

### Meetups

Meetups are events that are organized by the GitLab community.

- **Title:** Meetup video titles should be descriptive and the date should not be in the title, but instead in the video description. Be sure to highlight an interesting topic or two that was discussed during the event so the video will perform better in searches.
- **Description:** Repeat the title of the video followed by 3-5 sentences explaining what is covered in the video and include the event date. If merge requests, documentation or a meeting agenda or deck are available, please link to that information in the video description.
- **Call to action (CTA):** Meetup recordings should include a link to <https://about.gitlab.com/community/meetups/> in the issue description. Creators may choose to include the verbal CTA "Become a meet-up host" at the end of their video.
- **UTM codes:** Please be sure to add a UTM code to your CTA in the video description when uploading your videos to YouTube. This **required** action is needed to track your video's performance. For community-related videos, the UTM code should follow this sequence: `?&utm_medium=social&utm_source=youtube&utm_campaign=community&utm_content={{video}}`

1. Right before the question mark at the start of the UTM code, please put the URL to the campaign/landing page to which your CTA is driving, i,e. if this is a video that drives to the top-level community channel, the URL added before the question mark should take you to the Community landing page. For example: `https://about.gitlab.com/community/?&utm_medium=social&utm_source=youtube&utm_campaign=community&utm_content={{video}}` (Here, `{{video}}` should be a short description/title of the video such as `how_to_contribute_meetup`).
2. Please use a URL shortener, like [bit.ly](https://bitly.com/), once you add the campaign URL to the top of the UTM code sequence in order to avoid posting a clunky web address for your CTA.

- **Meta tags:** Tag your video with the appropriate meta tags, including the keyword of the video. There may be multiple keywords associated with this style of video, depending on the topics covered. Tag the video with all relevant keywords. Other tags you might include on a meetup video are: meetup, DevOps, and open source.

## Distribution

Video contributions that meet the playbook criteria will be uploaded to the GitLab Branded Channel and added to the Community Channel Playlists. Selected videos will also be distributed on relevant `about.gitlab.com/communtity` web pages`(/contribute/, /heros/, /meetups/, and /hackathon/)`.

## Promotion

Here are some possible avenues of promotion for your video:

1. Submit to GitLab social team for consideration (DRI must create issue to enable this step)
1. Submit to GitLab editorial team for consideration on the blog and/or bi-weekly newsletter (DRI must create issue to enable this step)
1. Third-party content platforms (e.g. like ITPro.tv, industry blogs, etc.)
1. Highlighted on GitLab's weekly "This Week at GitLab" video series
1. Featured in GitLab event follow up email/s (DRI must create issue to enable this step)
1. Consideration for featuring in GitLab Community video band

---

Return to the main [Inbound Marketing Handbook](/handbook/marketing/inbound-marketing/).
