---
title: "Brand Creative Handbook"
description: "GitLab Brand Creative Handbook: "
twitter_image: '/images/tweets/handbook-marketing.png'
---

<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

## <i class="fas fa-bullhorn fa-fw"></i> Welcome to the GitLab Brand Creative Handbook

We develop our brand visual identity design to ensure it stays relevant in the market and reflects the benefits and quality of our product. We are the creative partners for GitLab marketing. We create, conceptualize, and design high quality brand experiences.

## Overview

### Purpose

*Why we exist*

As stewards of the [GitLab brand](https://design.gitlab.com/brand-overview/resources), our goal is to educate and enable the wider organization with resources to effectively and honestly communicate what the company does to our internal and external audiences.

### Vision

*Where we're going*

The GitLab Brand Design team will elevate the brand beyond the logo and visuals - positioning ourselves as experts in brand strategy and behavior (how the brand presents itself, how it's perceived, and what makes it authentic)

### Mission

*What we do*

Create simple, effective, and intentional brand experiences by solving complex problems; defining the what, why, and how, resulting in a message that's easy to understand.

## Requesting Support

Please fill out one of these issue templates to request support. Please note, if these are not filled out we won't have the proper information for us to support your request.

### Brand Design & Video Issue Templates

#### 1. Brand Review Request

Need a brand review? Please use [this template to request a brand or design review](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/brand-design/-/issues/new?issuable_template=brand-review-request) of multiple or single assets.

- For brand review only - do NOT use this template for requesting new assets or designs*.
- Do NOT use any of the below issues for brand review*.

#### 2. Brand Review Request of Localized Assets

Need a brand review of a localized asset? Please use [this template to request a brand or design review of multiple or single localized assets](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/brand-design/-/issues/new?issuable_template=brand-review-request-localized-asset).

- For brand review only - do NOT use this template for requesting new assets or designs*.
- For non-English design or video assets only
- Do NOT use any of the below issues for brand review*.

#### 3. Content Design Request

Please use [this issue request template for net new creative or refreshes](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/brand-design/-/issues/new?issuable_template=content-design-request) needed for the following asset types:

- eBook / Solution Briefs
- Infographic / Diagrams
- One-Pager / Two-Pager
- Quarterly Update of Executive Candidate Info Packet
- Surveys
- Whitepaper
- Other but within the same category of assets

#### 4. Event Asset Request

Please use [this issue template when requesting net new or refreshing](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/brand-design/-/issues/new?issuable_template=event-asset-request) any of the following event-related assets:

- Event Booth
- Event Signage
- Event Social Posts

Do NOT use this template for For Event Swag + Giveaways. INSTEAD, please use the [Swag Request](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/brand-design/-/issues/new?issuable_template=social-media-request) issue template.

#### 5. Illustration + Iconography Requests

Please use [this issue template for any illustration and iconography needs](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/brand-design/-/issues/new?issuable_template=illustration-and-iconography-request).

#### 6. Presentation Request

Please use [this issue request template for updating existing presentation decks or when requesting design for net new decks](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/brand-design/-/issues/new?issuable_template=presentation-request).

#### 7. Social Asset Request

Please use [this issue template for net new or refreshing organic and/or paid social requests](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/brand-design/-/issues/new?issuable_template=social-media-request).

#### 8. Swag Request

This [issue template should be used for all custom swag requests](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/brand-design/-/issues/new?issuable_template=swag-request) including swag for TMRG programs, event swag + giveaways, etc.

#### 9. Tanuki Tab Request for Team Expressions

Please use [this issue template for custom badge or assets](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/brand-design/-/issues/new?issuable_template=tanuki-tab-for-team-expressions-request) for your TMRG, Department or special project. Be sure to review the [GitLab Team Expressions Style Guide](https://design.gitlab.com/brand-overview/brand-applications/#team-expressions), as this will be the system used for your Tanuki Tab request.

#### 10. General Design Request

Does your design request not fall within one of the above categories? Please use [this issue template to request a new design of multiple or a single asset](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/brand-design/-/issues/new?issuable_template=general-design-request).

- Do NOT use this template for brand reviews.*

#### 11. New Brand Video Request

Please use [this issue when requesting a net new video](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/brand-video/-/issues/new?issuable_template=new-video-request).

#### 12. Upload Video Request

Please us [this issue template when requesting to have a video uploaded](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/brand-video/-/issues/new?issuable_template=upload-request) to Vimeo, YouTube, or another similar platform.

#### 13. Video Edit Request

Please use [this issue when requesting an update to an existing video or edits to video footage](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/brand-video/-/issues/new?issuable_template=video-editing-request) such as adding lower thirds, bumpers or slides to a zoom recording.

#### **Not sure if you need a brand refresh?** Here's what has changed with our branding

1. [Logomark](https://design.gitlab.com/brand-logo/logomark) and [Core Logo](https://design.gitlab.com/brand-logo/core-logo) the rules around how to use it properly
1. [Font and typography guidelines](https://design.gitlab.com/brand-design/typography)
1. [Colors and color usage](https://design.gitlab.com/brand-design/color)
1. [Marketing icons and illustration style](https://design.gitlab.com/brand-design/marketing-illustrations)
1. Added [photography guidelines](https://design.gitlab.com/brand-design/photography) for our brand
1. Small adjustments to [Tone of voice](https://design.gitlab.com/brand/overview) and [co-branding guidelines](https://design.gitlab.com/brand-logo/branded-lockups)

#### **Request Instructions and Tips:**

- When submitting your request, please title the request "CREATIVE REQUEST: [Descriptive name]"
- Please complete the issue form to the best of your ability. The more information our team can receive upfront, the quicker we can get started on your request.
- **Please note, all requests need a minimum of a two-week turnaround.**
- **If the deadline for your request is under a two-week window,** please ping our Senior Creative Operations Manager in Slack and include a link to your request, the deadline date, and why this is a quick-turn ask.
- When inputting your project deadline, **please be mindful of time zone differences**. For example, if you're operating a day ahead of our Brand Design Team (PT / GMT-8 time zone) and need deliverables completed by Tuesday, Feb 20, please select Monday, Feb 19 as your deadline to accommodate for the time difference.
- If you have any questions, comments, or concerns regarding your creative request, please reach out to our Senior Creative Operations Manager.

#### Contacting the team

The best way to get in contact with the Brand design team is to fill out one of the above issue templates with your request, or to:

- Use the @gl-design tag in GitLab issues and epics for visibility.
- @-mention individuals from the team in GitLab issues and epics.
- Ask your question in the #marketing-design Slack channel.
- For video specific questions or assistance, please reach out in the #brand_video Slack channel.

### Working with the brand

To learn more about our [Brand Guidelines](https://design.gitlab.com/brand/overview?_gl=1%2a19y18w7%2a_ga%2aNzk5NDI4OTg0LjE2ODA4MDA5Nzk.%2a_ga_ENFH3X7M5Y%2aMTY4MjAyMjM3Ni4xMS4xLjE2ODIwMjI5MDUuMC4wLjA.), self-service resources and assets, and training materials, check out the [Brand Resources](https://design.gitlab.com/brand-overview/resources) handbook. Below you will find more details about working with our brand and creative materials.

#### Providing feedback

The Brand Creative team is comprised of team members who all bring a variety of visual skills, knowledge, and brand expertise to each project. **Brand awareness**, **visual consistency**, and **business value** are the key factors we use to make creative decisions - all while we adhere to and build upon the systems outlined in our [brand guidelines](https://design.gitlab.com/brand-overview/introduction). When working with our team, it is important to provide [constructive feedback](/handbook/people-group/guidance-on-feedback/) by keeping these same factors in mind.

Constructive feedback takes into consideration our [values](/handbook/values/) of collaboration, efficiency, and results. The following tools can help keep feedback focused, all while allowing a project to move along in a timely manner:

- When requesting edits, please use objective feedback that keeps **brand awareness**, **visual consistency**, and **business value** in mind. Here are some examples of objective ✅ vs. subjective ❌ feedback.
  - ✅ Industry data shows that ads with darker backgrounds garner more traffic; can we please update the color to our Purple 02p?
  - ❌ The background color is throwing off the design for me. I saw an ad with magenta colors and liked that, can we do that instead?
- Final approvals and feedback should be communicated by one [DRI](/handbook/people-group/directly-responsible-individuals/) throughout the lifespan of the project.
  - Note: It is most helpful if the DRI can consolidate feedback amongst any other involved team members before sharing back in the issue.
- To keep projects on track, there will be up to 3 rounds of creative drafts for review.
  - Note: Anytime a draft is shared, it has already gone through a number of iterations and reviews internally within the Brand Creative team, ensuring the best possible version is being presented with stakeholders.
- While outside examples and inspiration are encouraged to help with concepting, it is important to acknowledge that we cannot replicate others’ designs - especially at the expense of our own brand identity.
- When reviewing work, it is the stakeholder(s)’ responsibility to review for content, including grammar, punctuation, and spelling.

#### Stock photography

When it comes to our brand, photography is a powerful medium that can better contextualize and humanize the complex stories we tell. Our team has gathered approved images in our [photo library](https://drive.google.com/drive/folders/1VHErs-KSNX1FIIVgXJR3OmIzwU7M4E1M?usp=sharing) that are ready-to-use. If you need images beyond what are in that library (this will be common until the library becomes larger over time), the Brand Design team has a license to download unlimited images from [Adobe Stock](https://stock.adobe.com/) (Note: Premium images are not included in our license).

Review our [photography guidelines](https://design.gitlab.com/brand-design/photography) before searching for new images. For approval, download, and questions, [contact our team](/handbook/marketing/brand-and-product-marketing/design/#contacting-the-team) in Slack or the relevant issue.

#### Partnership with third parties

In certain cases, the help of a third party agency or design partner may be brought in for a project. The following serves as criteria for when to outsource design:

- Smaller-scale projects, such as stickers or requests that do not meet our current business prioritization, where the brand guidelines provide sufficient creative direction and parameters for the third party to work with.
- Larger-scale projects where the Brand and Digital team need additional support given the timeline and/or scale of the request.

Whenever a third party is brought in to support design, the work must be shared with the Brand Design team to ensure brand integrity and that we are [working transparently](/handbook/values/#transparency) with one another.

#### Fanart

The GitLab brand has been a source of creative inspiration for team members and the wider community since its inception. In many cases, team members may find themselves creating spinoff art inspired by our [values](/handbook/values/), [software](https://about.gitlab.com/stages-devops-lifecycle/), and [tanuki](https://design.gitlab.com/brand-logo/logomark) logo.

Artwork that draws inspiration from or is based on GitLab's intellectual property ("Fanart") is not always an accurate representation of our brand, product, and company, and may dilute our brand or infringe on our intellectual property rights. To protect our brand, GitLab team members must adhere to the following guidelines:

**Do's:**

- Add an "unofficial fanart" label to the Fanart to clarify that the content is not official GitLab content. The text can be small, but make sure it's conspicuous enough that anyone seeing the Fanart will also notice the label.
- Only share Fanart you are authorized to share, e.g. Fanart that you yourself have created. If in doubt, please reach out to the Legal team in the #legal Slack channel.
- Share only on the following approved platforms:

  - Internal GitLab Slack channels and private messages to friends.
  - You can share publicly to broader audiences from your personal social media accounts on Facebook, Twitter, Instagram, TikTok, or Reddit.
- For "public" shares:
  - LinkedIn sharing is prohibited due to the close association between one's personal LinkedIn profile and their workplace.
  - If you want to share Fanart publicly on any other platform not mentioned above, reach out in the `#brand` Slack channel to discuss.

**Don'ts:**

- Do not create or share Fanart that uses the GitLab logo or wordmark.
  - If your Fanart incorporates any other GitLab IP (such as screenshots, likenesses, or imagery taken directly from GitLab materials), reach out to #brand for review.
- Do not imply that the Fanart is official GitLab content. For example:
  - Do not use Fanart in any GitLab materials, such as slide decks, printed collateral, or swag.
  - Don't use or distribute Fanart to GitLab customers, or at events that you attend on GitLab's behalf.
- Do not sell or otherwise use Fanart for commercial purposes. For example:
  - Do not sell Fanart stickers or T-shirts.
  - Don't use Fanart to advertise any businesses, services, or products.
- Do not create or share any Fanart that is potentially offensive or otherwise detrimental to GitLab's brand or any other brand.
- Do not combine Fanart with other companies' materials or anything else unrelated to GitLab.

If you have questions, reach out to the Brand Design and Brand Strategy teams in the `#brand` Slack channel.

## Canva best practices

Canva enables team members to self-service their design needs and create on-brand assets. Canva is a great tool for items that need a quick-turnaround or that have ever-changing content (like A/B ad testing). Canva supports print and digital designs, as well as video and animation; team members most frequently use it for digital ads and promotional items. For larger projects that require greater detail or concepting, we recommend you [submit a design request](/handbook/marketing/brand-and-product-marketing/design/#requesting-support) to the Brand Design team instead.

**To get started in Canva, please complete the checklist below:**

1. [Request access](/handbook/marketing/brand-and-product-marketing/design/#gitlab-enterprise-access) to the GitLab Enterprise account.
1. Explore Canva's [help center](https://www.canva.com/help/) and [YouTube channel](https://www.youtube.com/c/canva) for detailed tutorials (their [Canva Pro playlist](https://www.youtube.com/watch?v=50x1QczKuB4&list=PLATYfhN6gQz9kEbAk2d1--dY9ca8vZy1b) is a good place to start).
1. Read the best practices outlined below.
1. Watch our [demo](https://www.youtube.com/watch?v=SUlaEWej_SI&ab_channel=GitLabUnfiltered) to orient yourself to the GitLab Enterprise account (must be logged into GitLab Unfiltered on YouTube to view).

### GitLab Enterprise access

If you regularly create designs in Canva, we ask that you work in the `GitLab Enterprise` Canva Pro account instead of using a free or personal account. To gain access, please submit an [access request](/handbook/it/end-user-services/onboarding-access-requests/access-requests/) issue. Once this is completed, someone from the Brand Design team will grant you access.

We have a limited number of seats available, so we encourage teams to consolidate the number of people on their team who need access. *Note: Shared logins are prohibited*.

**Benefits of working in the GitLab Enterprise account:**

- **Full-functionality:** working within our account gives you access to all of Canva's Pro features.
- **Visibility:** having all our assets organized in one account offers greater transparency and iteration.
- **Workflow:** collaborating is made easy with quick access to our brand assets, templates, and design team approvals.

**Extra tips:**

- Make sure you are logged in to your GitLab Enterprise account when in Canva, as it is easy to be logged into the wrong one if you have pre-existing logins.
- You can toggle between your designs (`Projects`) and the team's designs (`GitLab Enterprise`) on the left navigation menu.
- [Contact the Brand Design team](/handbook/marketing/brand-and-product-marketing/design/#contacting-the-team) if you need to change your [permissions](https://www.canva.com/help/roles-and-permissions/) in Canva. Team members who join the account are automatically set to `member` status, which allows editing and sharing of files.

### Files and folders

Folders can contain Canva design files, sub-folders, and assets you upload from your device. Once you create a folder, it will default to your folders under `Projects`. You must manually share the folder with GitLab Enterprise in order for it to be seen and/or edited by the rest of our organization.

- Select `Projects` from the navigation menu on the left > Hover over your `Folder` > Click the `three dots` > `Share` > Select the `eye icon` (view access) or `pencil icon` (edit access) from the GitLab Enterprise drop down

### Designing in Canva

**Templates**

- Canva has a multitude of its own templates, but it is best to refrain from using these. They require more work to re-design, and they introduce branding that doesn't follow our [guidelines](https://design.gitlab.com/brand/overview).
- The templates in our GitLab Enterprise account are a great starting point for creating on-brand designs. We have templates in [all ad sizes](https://www.canva.com/folder/FAEitL4a4no), in addition to other [promo and resources](https://www.canva.com/folder/FAEaQRRT5Qw).
  - *Note: Our templates are located in the `Folders` tab in the GitLab Enterprise account; this is so we can organize the templates in folders instead of the Templates tab, which lacks that structure.*
- If you click on a template file, `Use this template` is shown in a purple button. Selecting this option will automatically create a copy that you can start designing in.
  - *Note: Do not select `Edit Original` unless you have prior approval from the Brand Design team. This alters the template for everyone.*
- Remember to rename your new design, remove any unused pages or instructions in the file, and move it to a relevant folder in the GitLab Enterprise account.

**New files**

- You can create new designs with custom sizes, move, and rename files.
- File names should be lowercase and use hyphens in place of spaces. Include the file dimensions in the file name. [Avoid acronyms](/handbook/communication/#writing-style-guidelines).

**Pages**

- A single Canva file can contain up to 200 pages, which is helpful if you are creating multiple assets that have the same size and are related.
- You can duplicate, delete, and name each page within a Canva file.
- Copy and paste keyboard shortcuts work for duplicating elements from one page to another, or even from one file to another.
- Easily resize your file if you are replicating the design in different dimensions. Resize the elements on your design accordingly, as they get shifted when the file is resized.

**Brand kit**

- The `Styles` tab on the left navigation menu will pull up our color palette and font (Inter) from the GitLab brand kit.
- The `Logos` tab will show our logo, which you can drag and drop into your design.

**Typography**

- Add text from either the `Text` or `Styles` tab; this will automatically populate text boxes for you with Inter and the appropriate font weight. These text boxes will still need to be formatted according to our [typography guidelines](https://design.gitlab.com/brand-design/typography), though:
  - Left-align all text.
  - Use GitLab Sans Bold for headlines and calls-to-action and use Regular for subheads and body copy.
  - Set the line spacing to 1.1 for headlines and 1.2 for all other text; keep the letter spacing at 0 for all copy.
  - For call-to-action styling, copy from an existing [templates](https://www.canva.com/design/DAEn7PYZ4qk/sPB7Q15nJttFdb3UVPnW1Q/view?utm_content=DAEn7PYZ4qk&utm_campaign=designshare&utm_medium=link&utm_source=sharebutton&mode=preview) or reference the guidelines.
  - Make sure the background behind the text provides sufficient contrast for readability.
  - Use either White or Charcoal text for [accessibility](https://design.gitlab.com/brand-design/color#contrast-and-accessibility) purposes.

**Graphics**

- You can search and add graphics from the `Elements` tab, but please use with discretion. This tab is great for finding basic shapes, lines, and image frames; beyond that, use graphics from the GitLab [icon library](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/tree/master/design/_resources/_designer-resources/assets/icon-library/marketing-icons) to keep your design on-brand.
- All elements can be dragged and dropped into your design. Upload branded assets in the `Uploads` tab. The .png file format with a transparent background works best.
- For most Canva elements, you can adjust the color of the graphic to make sure you're using GitLab's color palette. Refer to the [color guidelines](https://design.gitlab.com/brand-design/color) and use the accent colors sparingly.
- You can also change the line weight of some Canva elements. To keep consistent with our [illustration guidelines](https://design.gitlab.com/brand-design/marketing-illustrations), a line weight of 1-2 works best.

**Photography**

- If you need to add photos into your design, it is best to use our approved images from our [photo library](https://drive.google.com/drive/folders/1VHErs-KSNX1FIIVgXJR3OmIzwU7M4E1M?usp=sharing) instead of Canva's photography shown in the Elements tab.
- Reference our [photography guidelines](https://design.gitlab.com/brand-design/photography) when selecting and placing imagery.
  - You can request for the Brand Design team to source images from [Adobe Stock](https://stock.adobe.com/) for you, if you need additional options.

**Layout and alignment**

- Use Canva's recommended margin spacing for your file; these display as magenta lines when you move elements around in your design.
- Dashed magenta lines will highlight if elements are aligned to one another.
- Items can be locked in place, grouped, aligned, flipped, rotated, scaled, and layered, using the tools in the tool bar.

**Exporting**

To export your design, select `Share` in the upper right corner > `Download` > select your file type > and click `Download` to have the assets downloaded to your device.
From the `Share` menu, you can also invite others to collaborate in the file with you.
Depending on your Canva permissions, you may be able to share the file as a template by selecting `Template` > `Publish Template`.

### Requesting design approval

Always share your work for review. If you are working from an existing Canva template, you will see the option to request [design approval](https://www.canva.com/help/get-approval/) in the top right of the file. If you are creating your own design, you can open a [brand review issue](/handbook/marketing/brand-and-product-marketing/design/#requesting-support) and link your file. For expedited requests, please reach out in the `#marketing-design` channel on Slack with a link to the issue or file.

## How we work

### Brand Design team structure

We are all brand designers, brand champions, critically thinking problem solvers, strategists, and teammates – leveraging each others' strengths while growing our collective knowledge and expertise. We work by following GitLab's [values](/handbook/values/) and using issues and epics to track our work.

#### Responsibilities

- **Be lean and efficient:** leverage everyone's strengths and expertise and trust one another to make the best decisions for the team and our brand.
- **Wear many hats:** have the flexibility to tackle a variety of tasks demanded by the role - all for the greater good of the team and company.
- **Develop creative concepts:** drive the creative direction of your individual projects. For large-scale projects, Adam and Luke are responsible for core concept development, which is then presented to the wider team for discussion, feedback, and refinement.
- **Carry out the creative:** bring a creative direction to life with touch-point collateral informed by the creative direction, all while [managing your time accordingly](/handbook/leadership/#managers-of-one).
- **Advocate for the GitLab Brand:** know, contribute to, and uphold our [Brand Guidelines](https://design.gitlab.com/brand/overview), and review materials from within and outside our team to preserve our brand's integrity.
- **Know the tools:** be proficient in the Adobe Suite and Figma (for designing), Mural and
FigJam (for brainstorming), Canva (for creating self-service assets), and the Google Suite
(for company-wide materials).

#### Design approvals

The team should feel empowered to make the best decisions possible for the GitLab brand while seeking both structured and direct feedback from the team as often as possible. Adam and Luke are here to make final decisions as needed, but do not need to be the bottleneck of progress.

### Team workflow

- **Team check-ins:** We have two recurring team syncs: (1) Monday [Brand Creative hours](https://docs.google.com/document/d/1SOxh6UPZ7n0oGUdxc1p4CggCXbz-uLzQN8DL-_AUEMg/edit?usp=sharing) call where we catch up and talk about work for the upcoming week. (2) Wednesday Brand Creative hours call where we get feedback on projects and collaborate on topics that need to be addressed.
- **Working in issues:** All design requests should use our [issue templates](/design/#brand--marketing-design-issue-templates) and include the `mktg-status::triage`, `corporate-marketing`, and `design` issue labels to show up on our [team’s triage board](https://gitlab.com/groups/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/-/boards/7300835?label_name&label_name&label_name). Michelle, the Senior Creative Operations Manager on the team, triages work at the beginning of the week, and team members are able to assign work to themselves, too.
  - Note: Everyone can see their personalized board by selecting the drop-down option where it currently says "Brand Design TRIAGE Board" on the left of the search bar.
  - Note: Epics can be viewed on the [Epic board](https://gitlab.com/groups/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/-/epic_boards).
- **Collaborating together:** We work together as a team by playing to each of our strengths. Work is usually triaged out to team members whose design skills fit the request, or we collaborate together on a project using our combined talents.
- **Small projects:** Smaller projects are typically assigned to one designer and completed within 2 weeks. Given the quick turnaround at GitLab, we work in small iterations, referred to as the MVC ([minimal valuable change](/handbook/product/product-principles/#the-minimal-valuable-change-mvc)) approach.
- **Medium and large projects:** For larger projects, we assess the request and then propose a timeline. For campaigns or projects with a unique concept, we kick off a brainstorming session either async or on a cross-functional call with the larger team, or whoever has been assigned, and then we pitch the concept(s) to the stakeholders.
- **Sharing work:** Work should be shared early and often, either in our team calls or async in our private `#brand-design-team` slack channel. Drafts are typically shared async with the stakeholder using the [design tab](https://docs.gitlab.com/ee/user/project/issues/design_management.html) in issues or as a screenshot in comments.

#### Saving work

We upload and pull work locally from the [Brand Design repository](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/brand-product-marketing/brand-design). Confidential projects and large print files are stored in the team [Google Drive](https://drive.google.com/drive/u/0/folders/0AG8nDFLsOkOvUk9PVA), which is organized the same way as the repository. We also have a team [Figma](https://www.figma.com/files/972612628770206748/team/997176040728593838/GitLab-Brand-Design?fuid=816750625196599153) for collaborative work.

- The top-level folders of the repository are organized by project type; from there, they are broken down by category, and in some cases fiscal year.
- By default, all source files should be stored in the repository, along with smaller exported files (such as digital ads). For larger exports (ie: print-ready files), please store and share them in the team Drive.
- For folder names, use lowercase, dashes instead of space, and do not include any special characters.
  - *Example:* field-marketing-events

#### File naming conventions

- Files should be named with the following convention: [[project-type](https://docs.google.com/document/d/10RVi2eyU4Nbl2no3RdoqhdTzHoasHwDdXvebY4OZDGg/edit#heading=h.lxkdoedvr3lk)]-[project-name]-[asset-type]-[issue-number]-[asset-dimensions]-[fiscal-year]
  - *Example:* display-ad-banner-0842-160x600-fy25
- Please do not add character symbols in file name: % , _ / (periods are okay, only if necessary)
- If the vendor specs or project requires you to follow a specific naming convention, then that convention overrides ours. No need to rename files once delivered.
- File names should be lowercase and use hyphens in place of spaces. Include the file dimensions in the file name. [Avoid acronyms](/handbook/communication/#writing-style-guidelines).
- Both the Google Drive and repository save version history; for that reason, files can be saved over as edits to the file are made.

#### Using git and terminal

- [Push and pull](https://docs.gitlab.com/ee/gitlab-basics/start-using-git.html#pull-and-push) work frequently, at least once a day, to keep our work up-to-date. If you are working on a file that others may be in as well, communicate it with the team so that no one saves over someone else's work.
- To get started, [set up](https://docs.google.com/document/d/1u7iNFnbD4Nj4aeLRFpmnzHewgKBjCwdyjvTuOND0rfA/edit?usp=sharing) a local clone of the `brand-design` repository to your machine. For your day-to-day work, here are the typical git commands for pulling and pushing work, in the order of which they should be used:
  - `cd brand-design` - this command only needs to be used once upon opening the [Terminal app](https://support.apple.com/guide/terminal/open-or-quit-terminal-apd5265185d-f365-44cb-8b09-71a064a42125/mac). Depending on where you've stored the repository on your machine, the `cd` [parent folder name] command may need to be done multiple times, until you get into the `brand-design` folder
  - `git pull` - this updates your local repository to mirror any changes made by the rest of the team; do this command before starting work or pushing any new work
  - `git status` - optional command; this provides a summary of all the changes you've made locally that need to be pushed back the repository
  - `git checkout [`insert file path`]` - optional command; this can be used to remove any files you do not want to push to repository
  - `git add .` - use this command before pushing your work; it will add all the files you have made changes to
  - `git commit -m “`[insert description of changes]`”` - include a message with a summary of your changes; this is viewable to everyone and provides context
  - `git push origin main` - this will push all your changes back to the repository, including the commit message to describe the changes
  - `git pull --rebase`, followed by, `git push origin main` - use these two commands to reset if you receive an error when pushing

#### eBooks, whitepapers, and one-pagers

- Design templates for each publication are located [here](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/tree/master/design/_resources/_designer-resources/templates).
- Our publications are often sent to Smartling for translation; save out a .zip file of the packaged artwork for easy download.
- Most one-pagers can be self-serviced using one of our [Google Doc templates](https://drive.google.com/drive/folders/1U97a05txXI29pGxjOtLiG4DW-zBMHAU5?usp=sharing).

#### Digital ads

- Digital ads often need to be customized after creation, and for that reason we encourage Canva for easier self-service. Some ads need to be edited by Demandbase under certain specs and [file requirements](https://support.demandbase.com/hc/en-us/articles/4403962757133-Reference-Non-Personalized-Ad-Specifications).

#### Events

- Trade Show booths should default to using our general GitLab brand. General events such as these are organized by year within the repository.
- Recurring events that we host (Sales Kickoff, Contribute, Commit) have a different theme each year, which inspires a new creative direction. These events have their own folder, and are then organized within by year.

#### Brand Guidelines

The Brand Design team maintains the Brand Guidelines on [design.gitlab.com](https://design.gitlab.com/brand/overview) ([Pajamas](https://gitlab.com/gitlab-org/gitlab-services/design.gitlab.com/-/tree/main)). For our team's purposes, we can make updates to the guidelines using [Web IDE](https://docs.gitlab.com/ee/user/project/web_ide/).

To get started, follow the workflow outlined below and check out our [demo](https://youtu.be/d8vUeHCkbnk) with the Product team.

**Using Web IDE**

1. Open [Pajamas](https://design.gitlab.com/) and navigate to the page you need to make updates to.
1. Scroll to the bottom of the page and select `Open Web IDE`.

**Pajamas structure**

Our Brand Guideline pages are located in the `Contents` folder and organized accordingly:

1. `brand:` This folder contains the Brand Guidelines Overview page.
1. `brand-design:` This contains pages related to design guidelines.
1. `brand-logo:` This contains pages relating to logo guidelines.
1. `static` > `img` > `brand:` The `brand` folder is where all media will be stored that links back to the Brand Guidelines.
1. `nav.json:` This file dictates the structure reflected in the navigation bar on Pajamas.

**Creating a new page**

1. Right click on the folder where the page will be located. Select `New File`.
1. Add your file name (this is what will be reflected in the URL path). End with the `.md` extension to denote a new markdown page.
1. Update the navigation bar with your new page by opening the `nav.json` file.
1. Follow the [navbar configuration](https://gitlab.com/gitlab-org/gitlab-services/design.gitlab.com/-/blob/main/doc/navigation.md) to organize your pages. Nesting pages below other pages will create dropdowns in the navigation bar.
   1. `title` is how you want your name to display on the page.
   1. `path` is what is reflected in the URL path (this should match the file name of the page you made).

**Note:** Pajamas uses markdown and the heading styles match the handbook. Add content as you normally would.

**Optimizing and uploading media**

1. `.svg` format is ideal because it scales with the page. Optimize your file before uploading by using [SVGO](https://jakearchibald.github.io/svgomg/).
1. `.png` or `.jpg` work well for graphics that contain images. [Optimize](https://tinypng.com/) your graphic before uploading.
1. `.gif` format is not accepted.
1. Upload all files to `static` > `img` > `brand` folder.
1. Videos can be embedded (either from Vimeo or YouTube).

**Adding media**

Add media using `figures`, which connect the visual with a caption. Here is the breakdown of their structure:

1. `aria-label=` This text can be the same as the `fig caption`.
1. `img class=` This formats the image's display size. `img-50` scales the width down to 50% of the page. `gl-p-5` scales to the full width of the page.
1. `src=` This correspond's with the image's location. This should match the file name that corresponds with what you've uploaded to the `static` > `img` > `brand` folder.
1. `alt=` This is alternate text that displays in the case that the media does not populate on the page; this should be more descriptive and unique from the `aria-label` and `fig caption`.
1. `fig caption` This is the descriptive text displayed below the graphic.

**Pushing your merge request**

Smaller commits make collaboration easier.

1. Use [conventional commits](https://gitlab.com/gitlab-org/gitlab-services/design.gitlab.com/-/blob/main/doc/commits.md#pajamas-commit-conventions). The title of your commit can be generic, and the merge request description can be more detailed. `Type:feature` covers most of the updates our team makes.
   1. `type:feature:` Effort to deliver new features, feature changes & improvements.
   1. `type:maintenance:` Up-keeping efforts & catch-up corrective improvements that are not Features nor Bugs.
   1. `type:bug:` Defects in shipped code and fixes for those defects.
   1. **Commit example:** `feat(BrandMotion): embed samples`.
      1. '*feat*' indicates the '*type*' of commit.
      1. '*BrandMotion*' identifies the page the changes were made to.
      1. '*embed samples*' describes the update that was made.
1. `push` your commit to a `new branch`. Then select `create MR`.
1. Use the merge request description to add more detail that would be helpful for the reviewer.
1. Assign the merge request to yourself.
1. Add the label that reflects the commit type you made.
1. Select `create merge request`.
1. Wait for the pipeline to complete, then assign either Jeremy or Taurie as the `reviewer`.
1. Once the pipeline has passed, check out the `review app` to preview changes.
