---
title: "Industry Analyst Relations Inquiry"
---

## How We Conduct Industry Analyst Inquiry

### Using inquiry with industry analysts

- Inquiry is about a two-way dialogue on a particular topic that GitLab initiates. Appropriate topics for an inquiry include:
  - Asking about a market
  - Getting feedback on something we are doing (e.g. product vision page, competitive document, presentation, market positioning etc.)
  - Asking about what customers are bringing up in inquiry
  - Ask about upcoming research (e.g. a forthcoming Wave or MQ, or area of focus)
  - Asking opinion on something a competitor is doing or has announced
  - Prepare or get feedback from a GitLab briefing and/or demo
- Inquiries generally last 30 minutes and are usually conducted by videoconference. AR will either schedule a zoom call or the analyst will provide a link to Webex for example.
- Questions for an inquiry should be prepared in advance. If the discussion is exhausted before 30 minutes, it is acceptable to end the call early. If more time is needed, it is okay to agree with the analyst to schedule a follow-up inquiry.
- The same inquiry can be posed to multiple analysts and/or to multiple firms if one is looking for a range of feedback.

### How to request and participate in an analyst inquiry

- All inquiries will be initiated by the Analyst Relations department. If you would like to schedule an inquiry, please create an issue in the project gitlab.com>marketing>product marketing and use the template AR-ResearchRequest and fill out the relevant parts for your inquiry.
- Once AR has booked the inquiry, you will receive an invite with a meeting notes attached. Before the inquiry, you are expected to go into the meeting notes and update the questions space with 3-5 questions you think you would like to ask. This is also the document where you will record notes and key takeaways at the end of the call.
- At the time of the inquiry, please connect to the videoconference and open the notes document so you are ready to begin. AR will introduce the attendees to each other and set the stage for the inquiry topic. Once that is done, AR will hand the call over to the inquiry initiator, who will direct the conversation.
- The AR team has created a slack channel #ar_chat which is for the team on the call to use as a background communication channel during the inquiry to ensure productive use of the interaction.
- If you are a secondary participant on the call, please use the #ar_chat channel in slack or the document to pose additional questions. The AR team member may call on others to verbalize questions if that is appropriate.  Please note, some analyst companies only allow one person to speak and others technically are background only.
- Once the inquiry is finished please add key takeaways to the section below questions in the meeting notes document.
- If a debrief is required, it may be mentioned in the slack channel and those with time can join. This is not required nor always possible, but it is encouraged when necessary.

### AR - How to set up an analyst inquiry

- Inquiry requests should come via an issue under AR-ResearchRequest
- Clarify that the request is clear. If not, use the issue or slack to get clarification of what the requestor is looking for. Clarify whose attendance is mandatory and whose is optional.
- If the request involves:
  - Gartner or Forrester, please use the form on their website for inquiry.
  - IDC, please reach out to Maggie Margossian to help with scheduling. Her email is mmargossian [at] idc [dot] [com]
  - 451, please reach out to Christina Lamb to help with scheduling. Her email is christina.lamb [at] 451research [dot] [com]
  - Redmonk, please reach out to Juliane Leary to help with scheduling. Her email is jleary [at] redmonk [dot] [com]
- For Gartner or Forrester you will receive a link to the calendar for scheduling. Load that calendar in your browser and compare it to the Google calendar to find 30 minutes that works for all required team members. Once you select a date/time, Gartner or Forrester will send a follow-up email with all the information.
- For IDC/451/Redmonk this will involve swapping potential dates and times until a match is found. You can also call if that is convenient.
- Once you receive a confirmed date/time from the analyst firm, go into the Google calendar and create a new appointment. We cannot use the invite the analyst company sends. A separate invite must be created by AR for internal GitLab folks. Forwarded emails from analyst companies do not always show up on others' Google calendars.
  - The title naming convention should be Inquiry - analyst firm - topic and if it is Gartner or Forrester, the reference ID they provide for this transaction. (e.g. Inquiry - Gartner - Monitor Vision Doc Review (Ref# 12422433))
  - For Location please specify a GitLab Zoom link or write in "Gartner Webex" or "IDC Bluejeans" etc.
  - Please place this on the Analyst Relations calendar, not your personal calendar
  - The first line of the notes should be "Meeting Notes" with a link to the meeting notes
  - After a separator please put the videoconference details in.
  - Please add internal guests and specify which might be optional. Do not send the invite yet. These are nested procedures.
- Create the Meeting Notes
  - Go into Google Drive to Analyst Relations>analyst-firm-name-folder>Meeting Notes
  - If possible find another meeting notes using the same analyst, or pick the most recent page, open it and make a copy of the file
  - Rename the new file using the date - analyst name - topic
  - Make sure the analyst bio reflects the correct analyst - if not, go to the analyst firm web page and link the correct bio
  - If there are other links to update, please do so.  Other links may include:
    - a link to the issue for Research Request
    - a link to any other issue that might have generated the inquiry
    - a link to any documentation to be referenced in the inquiry (such as a vision page or competitive document)
  - Update the list of GitLab attendees
  - Update the Purpose of Inquiry section - this should be brief and can be copied from the Research Request issue
  - Clear out the space for main questions
  - Clear out the space for key takeaways and update DRI (directly responsible individual) to name of inquiry requestor
  - Do not close out this document yet. These are nested procedures.
- Create the Inquiry Issue
  - Go to gitlab.com>product marketing> and start a new issue, use the issue template AR-inquiry
  - Fill it out. Use GitLab handles for attendees. Use date format for inquiry date: year-month-day
  - Go back to Google Drive to the Meeting Notes and hit "share" get a copy of the document link and paste that in the Meeting Notes section
  - Copy any links to supporting documentation that may be relevant such as a link to a web page or document
  - **MARK ALL ISSUES CONFIDENTIAL - Inquiry with Industry Analysts typically involve non-public, proprietary intellectual property and/or other confidential information and we must do our part to keep it that way.**
  - Use the date of the inquiry for the Due date
  - Click "Submit issue". Once the issue is created, assign the inquiry requestor to the issue
  - If there are related issues, go to that section and add them.
    - Research Request issue
    - Other inquiries on the same topic if this is a series
    - Link to the MQ/Wave Issue or other related research
  - Copy the link to the issue in the browser bar and return to the Meeting Notes page - you are done with the issue for now.
- Update the Inquiry Issue link in the Meeting Notes page.
- Click the "Share" button and make a copy of the Meeting Notes page, **Check to make sure that sharing/access permissions are appropriately set to GitLab internal access - see previous reference to keeping related issues marked CONFIDENTIAL.** You are done with the meeting notes for now.
- Go back to the calendar invite and add the link to where you have written "Meeting Notes".
- Check through the invite to make sure everything is accurate then send it off.
- **RECOMMENDED: Stay hydrated, keep your favorite beverage at hand and full!**
- On Videoconferencing for inquiries:
  - Gartner and Forrester currently and consistently use Webex to deliver their interactions, including inquiry. Either Gartner or Forrester will provide a Webex link as it confirms the inquiry. You must use this. Please remind GitLab team members of the need to use the analyst company Webex in advance if they are participating and/or planning to demo something. In our experience GitLab team members may require a little extra time to download and install Webex software and/or updates, test that all equipment is functioning with Webex, and otherwise adjust to the Webex service performance which also in our experience has not been as consistent as Zoom.
  - IDC/Redmonk/451 are usually ok with using a GitLab-provided Zoom. Sometimes they also provide their own Zoom links Please check with any new analyst that this is okay. If we do use a Zoom, we need to send that to the scheduling entity and they will update the analyst's internal invitation.
