---
title: "Product Marketing Onboarding"
description: "GitLab's onboarding guide: important information for new team members"
---

## **Onboarding Guide**

Welcome to the [Product Marketing team](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/core-product-marketing/)! Use the resources/videos on this page as a guide to help facilitate new team member onboarding. As more recording links and resources become available, we'll update this page accordingly.

**Each topic** covered in the tables below should be presented in 3-5 minutes or less through the handbook/screen share and recorded.  Exceptions: Vision, Pitch Deck, etc.  The goal of the completion time for PMM onboarding specific tasks is 1 day (except coffee chats).

- [Recording folder](https://drive.google.com/drive/folders/1GSq3GfLwtlDXdNMTelkPRwINABzBVz-G?usp=sharing)

### **Background**

#### Intro to Git

| **What is Git - A video tutorial by @gitschooldude**  | [Entire Playlist](https://www.youtube.com/playlist?list=PLu-nSsOS6FRIg52MWrd7C_qSnQp3ZoHwW) |
| ------ | ------ |
|    1. [Introduction to Git](https://youtu.be/OZEGnam2M9s)  | Sept 2015 |
|    2. [Your first Git repository](https://www.youtube.com/watch?v=gQSd2lFkZHk&list=PLu-nSsOS6FRIg52MWrd7C_qSnQp3ZoHwW&index=2)  | Sept 2015 |
|    3. [Introduction to Git Push](https://youtu.be/gS4uXB3v4Yk)  | Oct 2015 |
|    4. [Introduction to Git Branches](https://youtu.be/u-5Vo9TFnAU)  | Nov 2015 |

#### Intro to GitLab

| **What is GitLab - A video tutorial by @gitschooldude**  | [Entire Playlist](https://www.youtube.com/playlist?list=PLu-nSsOS6FRLA_6gcYKS0lGzZ4dkracbt) |
| ------ | ------ |
|    1. [Introduction to GitLab](https://youtu.be/6dyEmYMV87M)  | May 2017|
|    2. [Introduction to GitLab CI](https://youtu.be/05kYYBguQ7w)  | April 2018 |
|    3. [GitLab CI's vision: artifacts, workspaces, and runners](https://youtu.be/qH7JJxMfKU8)  | Dec 2018 |
|    4. [Introduction to Docker and GitLab Registry PART (1/2)](https://youtu.be/KzY_GaWv4-k)  | Jan 2019 |
|    5. [Introduction to Docker and GitLab Registry PART (2/2)](https://youtu.be/wvhq082e2OY)  | Jan 2019 |
|    6. [Parallel jobs in GitLab CI](https://youtu.be/-JazhL0r4LA)  | Feb 2019 |
|    7. [GitLab Merge Request (MR) merge methods](https://youtu.be/x6vD9RHEB1M)  | March 2019 |
|    8. [GitLab CI's biggest design flaw](https://youtu.be/Y9ETDqt0Pv0)  | April 2019 |
|    9. [GitLab CI advanced job triggers: branch names, commit messages, and changed files](https://youtu.be/v0QXA3K2cb0)  | June 2019 |

#### Coffee Chats

Note: **Remember to complete your personalized company onboarding agenda.**
Pay special attention to the [**coffee chats**](/handbook/company/culture/all-remote/informal-communication/#coffee-chats). Typical onboarding suggests new team members to schedule at least 5 coffee chats.  Because PMMs must work cross-functionally,  relationships and connections are critical for success. We suggest scheduling ~20 coffee chats over 6 weeks. [Suggested list](https://docs.google.com/document/d/1dUe-ITJ27LvSdU7A5qMvGaYWt-KWk13HR_C27yC_REQ/edit) (Talk with your manager to pick names)

### **Process**

#### PMM Specific Processes

| **PMM Workflow**: | Recording |
| ------ | ------ |
| 1.  Everything starts with the handbook - [Product Marketing handbook](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/) | [Recording](https://drive.google.com/open?id=148hAcVdRLfcfcDzH3UR9XJrCbVwoF45l)   |
| 2.  Use issues to drive your work - [Product Marketing board](https://gitlab.com/gitlab-com/marketing/product-marketing/boards/922483) | [Recording](https://drive.google.com/open?id=12T8osPtjSSpX-Fxjv4DF-ulJPtw4KX9k)  |
| 3. Everything you create/update for the field should be linked from - [Sales resource page](https://gitlab.highspot.com/spots/615dd7e3911d70c4887812a7) | [Recording](https://drive.google.com/open?id=1YlcgG1C9gRFJdShaDRzH1LNKrj4ztYxD) |

#### Working Efficiently

| **Productivity:** | Recordings |
| ------ | ------ |
|  1. [GitLab communication overview](/handbook/communication/)  |  tbd  |
|  2. [GitLab Slack tips](/handbook/communication/#slack)  |  tbd |
|  3. [Markdown 101](/handbook/product/ux/technical-writing/) | [Recording](https://www.youtube.com/watch?v=Ix416lAYRSg)  |
|  4. [GitLab project management](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/getting-started/101/index.html) | [Recording](https://drive.google.com/open?id=1CSUvzrPhWtP7082e0iTCfjVsPU8U6WTR)  |
|  5. [Working Remotely to update the website with Git](/handbook/about/editing-handbook/) | [Recording](https://drive.google.com/open?id=1lPxAJsq9k4GN_d3H4zCGVzlNcDKVgqrm)  |

### **Messaging and Go-To-Market (GTM)**

#### Learn the Marketing / Product Marketing Vision

- [**Slides**](https://docs.google.com/presentation/d/1sbpBNy5OpO0QGvkAeobNyyIcEjTRGIkyApKeC1Oa8xY/edit?ts=5c50d7bf#slide=id.g4a712342f9_0_0)
- [**Recording**](https://drive.google.com/open?id=1ykqgioIVBH9V4PdE3Z9aphnRbNR3D6en)

| **Know the GitLab Messaging and GTM:** | Recordings |
| ------ | ------ |
|    1. [Know the GitLab value proposition - Company elevator pitch(es)](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/messaging/#gitlab-value-proposition)  | [Recording](https://drive.google.com/open?id=1kxdGiKN7wZpk1iYUV7i6IcOxOxbgVc31)  |
|    2. [Company pitch deck](https://docs.google.com/presentation/d/1dVPaGc-TnbUQ2IR7TV0w0ujCrCXymKP4vLf6_FDTgVg/edit?ts=5a8f54da#slide=id.g38db9fdb05_0_1136)  | [Recording](https://drive.google.com/open?id=1vRgU1o-o4kcOblQCxNi3h6xrN7KQZY1H) |
|    3. Security pitch <!-- William: for PMMs we should have a comprehensive "this is the product knowledge you should come up to speed on" ⇒ Ashish: Yes, eventually 1 list for each function. -->  | tbd <!-- @cblake - let's discuss when --> |
|    4. [Walkthrough of stages on GitLab home page](https://about.gitlab.com/) .  | tbd |
|    5. Explore our [click-through demos](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/demo/#click-throughs)  | tbd |
|    6. How to navigate our Product vision and roadmap webpages   | tbd |

### **Technical Skills**

#### Advanced Topics

| **Technical know-how:** | Recordings |
| ------ | ------ |
| 1. Learn Git: [Code Academy](https://www.codecademy.com/learn/learn-git) & [Learning Git Branching](https://learngitbranching.js.org/) | tbd |
| 1a. Git advanced topics - making peace with merge conflicts | tbd |
| 2. Learn CI/CD  |  tbd |
| 3. [Kubernetes (K8s) 101](https://www.cncf.io/phippy/the-childrens-illustrated-guide-to-kubernetes/) from the Cloud Native Computing Foundation (CNCF)|  No need for video, just checkout the pdf  |
| 4. How to create Kubernetes cluster - step by step guide  | tbd  |
| 5. GitLab CI 101 | tbd |

### **The Who**

#### Learn About Our Partners

| **Get to know our partners** | Recordings |
| ------ | ------ |
|    1. Technology Partners overview | tbd |
|    2. Channel Partners and Resellers overview | tbd |

#### Learn About Our Customers

| **Get to know our customers:** | Recordings |
| ------ | ------ |
|   1. Customer Reference Program overview  | [Recording](https://drive.google.com/open?id=18NpS5srpjqGik_WGs0BuT2GtPxk02ylF) |
|   2. Customer Advisory Board overview     |  [Recording](https://drive.google.com/open?id=1-s9UMYQuoJ1AqY1AqRHdokZyuKgaHIlQ) |

#### Learn About The Competition

| **Get to know the competition:**  | Recordings  |
| ------ | ------ |
|   1. [Walkthrough of DevOps tools landscape page](https://about.gitlab.com/competition/)  | [Recording](https://drive.google.com/open?id=1G95CzcxvxmWHU-PRJ8BjoC9h3ZGmzJfM) |

### **Analyst Relations**

#### Overview

| **Analyst Relations:** | Recordings |
| ------ | ------ |
|    1. How we work the process?   | tbd |
|    2. How to work with analysts?  | tbd |
|    3. What reports are we in today?  | tbd |

## **Useful links / resources**

1. [GitLab Team members](/handbook/company/team/)
2. [GitLab team structure](https://comp-calculator.gitlab.net/org_chart)
