---
title: "Customer Advocacy at GitLab"

---

#### **Overview:**

**The Customer Advocacy team is dedicated to fostering evergreen co-marketing relationships with top advocates and enterprise brands that fuel an integrated strategy aligned to pipeline-driving initiatives, threading the customer voice into all GTM motions.**

- We create programs, content, and opportunities that put Enterprise logos and advocates in the spotlight.
- We partner with Sales and Customer Success to identify, capture, and tell the right stories that help us sell and reinforce our enterprise-trusted brand promise.
- We support the bottom line by fueling our integrated campaign motion with powerful customer evidence.

#### **Meet the team:**

- Nicole Smith — Director, Product Marketing, Customer Advocacy
- Jocelyn Hernández Vázquez — Product Marketing Manager, Customer Advocacy
- Rachel Lurie — Product Marketing Manager, Customer Advocacy

#### **How to work with us:**

Questions

- Reach us in the **#customer-advocacy-and-references** Slack channel, where questions will be triaged. Also, check out the [Customer Advocacy Overview](https://docs.google.com/presentation/d/1QyqHRQzhNE7WdvYqM6evCbX3zRGM5QGf2WJABx8I0gk/edit#slide=id.p) deck for additional resources.

Requests

- To create a general request for the Customer Advocacy team, [open an issue here](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/product-marketing).

## Programs we drive and support

### **Customer Stories**

The Customer Advocacy team partners with Content, Brand, and Design to run a continual, evergreen pipeline of customer stories in various formats including case studies, blogs, and marquee videos. We spotlight customer achievements and the DevSecOps teams that drive and support their success. The stories we publish are aligned to strategic pillars that support sales needs and integrated initiatives.

Our goal is to produce three customer stories per quarter, including two marquee videos per year. A selection and prioritization process helps us tell the right customer stories in the right format. Selection criteria is based on GTM goals determined through cross-functional collaboration and strategic alignment, with additional prioritization based on account size, license type and number of users, and unique use cases.

> **Know of a customer with a compelling story?** Please complete the [Account Discovery Document](https://docs.google.com/document/d/1H61Gt_xCwGBQ8tZfvt6kRZFfw9lAImkdiPo0fANNHLU/edit) and reach out to Jocelyn Hernández Vázquez to schedule an internal Discovery Call.

**Where to find customer stories:**

- [Customer Advocacy “One Stop Shop” on Highspot](https://gitlab.highspot.com/spots/636e91aed5e577c7525c583a) - filter customer stories based on industry, use case, region, competitor, and more; create a “pitch” and share out your content of choice directly from Highspot.
- [Customer Advocacy & Case Study Slides](https://docs.google.com/presentation/d/1Sz0vQwOPL6OEc-VGTWGKXXlUddayKcz-3Xe5a9MhyZE/edit#slide=id.g1f9600f4746_0_0) - position the value of participating in advocacy opportunities to your customers, and leverage the case study slides for pitches and presentations as needed.
- [Customer Case Studies](https://about.gitlab.com/customers/) - on the GitLab website
- [Customer Blogs](https://about.gitlab.com/blog/categories/customer-stories/) - on the GitLab website
- [Customer Videos](https://www.youtube.com/playlist?list=PLFGfElNsQthZG5hdIxVaeLIwGSG6Vw4kb) - on the GitLab YouTube playlist

**Process docs:**

- [Customer Stories Process](https://docs.google.com/presentation/d/1-ooBx_jlnZB-2XzxIqe5vto4tugCBNtOoRIAs_oFa6w/edit#slide=id.g2a3f0361d2f_0_0) (internal) - review the end-to-end customer stories process and timeline, including the customer-facing [Roadmap to Spotlight](https://docs.google.com/presentation/d/1-ooBx_jlnZB-2XzxIqe5vto4tugCBNtOoRIAs_oFa6w/edit#slide=id.g2a78fcbff38_0_987) (external slide)
- [Publication Process](https://docs.google.com/document/d/1gu97xEv3WMYQO2aUUHqzdtUbXAx6s_VPWXSgDN9mg5E/edit?usp=sharing) (internal)

### **Earnings Customer References**

The Customer Advocacy team partners with Investor Relations, Sales, and PMM to identify and showcase customer stories and name drops on our earnings calls each quarter.

We focus on two categories of earnings references:

- First Order: net new ENT/MM customers; these typically appear in earnings as name and logo drops.
- Growth: existing ENT/MM customers that have seen success we can speak to and/or recently upgraded or increased spend and usage; we typically feature 2-3 Growth customers’ success stories/quotes per earnings call.

> **Help us secure earnings customer references.** For more details on this process, please review the [Earnings Customer References — Sales Need to Know](https://docs.google.com/document/d/1FN2zE_shb-0Mp5O8SZhIa4d-j7_nq_oo71sjLGZPsyo/edit).

### **Customer Logo & Name Usage — Referenceable Customers**

In addition to earnings calls, the Customer Advocacy team manages all approved customer names and logos that can be leveraged externally in the market.

As a single source of truth, the team continuously updates the [Customer Logo & Name Usage SSOT](https://docs.google.com/spreadsheets/d/1OZeI8ROUtMAm4czBvCJJmdecTT7T4Sdhh1xu7UceA18/edit?gid=1826992327#gid=1826992327) tracker. Please refer to the tracker to find a name/logo you’re interested in using, and work with the Customer Advocacy team for final review and approval.

> **Know of a customer that could be a reference?** The best route for securing references (of any kind, including earnings) is by working it into our contracts and/or order forms, which gives us legal pre-approval for the reference and eliminates risk. Section 8.6 of the standard MSA grants us the right to use the customer as a reference; if this section is at risk of removal or redlining, partner with Customer Advcacy and Legal to create a modified reference agreement.

### **Speaking Opportunities**

The Customer Advocacy team provides support for select GitLab hosted and sponsored events by sourcing customer speakers to share about their journeys, successes, and learnings in partnership with GitLab.

Please align with the Customer Advocacy team during quarterly OKR planning and include the team at event kickoff. To request a customer to speak at and/or otherwise support an event, please open the [Customer Speaker Request](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/product-marketing/-/issues/new?issuable_template=customer-speaker-request) issue template a minimum of 60 days before the event and assign it to Jocelyn Hernández Vázquez.

### **Press Opportunities**

Customer Advocacy partners with the Corporate Communications team to amplify the voice of customers through various media opportunities such as customer quotes in press releases and media interviews. We strive to pitch press opportunities that will provide the most value to the customer and allow for a continued warm relationship.

To secure a customer quote or an advocate for a media interview, please tag Nicole Smith in the issue at least 30 days prior to the deadline.

### **Peer Reviews & Analyst Interviews**

GitLab maintains its leadership with Gartner Magic Quadrant, Forrester Wave, and IDC Forecasts by securing customers to participate in analyst interviews and market research surveys each quarter.

The Analyst Relations team aligns with the Customer Advocacy team on new survey or interview needs as early as possible to ensure ample time to source the required customer participants.

### **Executive Advisory Board (EAB) Program**

The EAB is a small, invitation-only cohort of executives from select GitLab customers who are driving business and technology transformation with a visionary DevSecOps strategy. Throughout the annual program, the board meets both in person and virtually to engage with GitLab leaders, learn innovative best practices from fellow members, and share important insights that help shape the future of GitLab.

For more details on the EAB program, review the [Internal Brief](https://docs.google.com/document/d/1IMqk_5yVlTZuYfplQM-OenI6C4Cx4gV20kqGoeq9EHQ/edit?usp=sharing).

> Other advisory and executive customer programs at GitLab include:
>
> - **Product CAB** - for a user-level audience interested in technical product conversations (DRI: Natalie Pinto, Product)
> - **Federal CAB** - for a senior-level PubSec customer audience (DRI: Kira Aubrey, PubSec)
> - **Executive Sponsor Program** - for high value customers with high risk (DRI: Amelia Zaglul, Enablement)

### **20 to Watch in DevSecOps — Customer Awards Program [_Under Construction_]**

Our customer awards program, 20 to Watch in DevSecOps, celebrates a diverse group of innovators who are delivering business results with a transformational DevSecOps strategy powered by GitLab solutions. Customers self-nominate for an award, and the winners (selected by an internal GitLab committee) are recognized as thought leaders in DevSecOps, receive a prize package, and gain access to GitLab executives and other exclusive opportunities.

20 to Watch in DevSecOps supports GitLab’s three-year strategy by helping to cultivate the platform buyer, drive brand and GTM efforts with a customer centricity focus, and generate testimonials and evidence to fuel our customer stories pipeline.

For more about the 20 to Watch in DevSecOps customer awards program, review the [Internal Brief](https://docs.google.com/document/d/17mq2QJo0035UJsgZJdUL6a1zQwjyFhE4tjbpjfLTlqA/edit).

### **Customer-Facing Advocacy Program [_Under Construction_]**

Our emerging customer-facing advocacy program enables GitLab to celebrate, nurture, and reward our advocates at scale, while cultivating customer evidence through various advocacy “asks”. The program is hosted on Base, a B2B customer marketing and advocacy automation platform.

> As we continue to build out the program, we encourage customer-facing teams to [nominate customer advocates](https://docs.google.com/forms/d/e/1FAIpQLSfdnTB8tzhBxoLYKxOAaMrPOCi4hrJfEfY_W_GHDwDKuUEXpQ/viewform?usp=sf_link).

### **Customer Reference Contests**

On an adhoc basis, the Customer Advocacy team runs contests to incentivize the Sales team to identify and secure customer references willing to be featured in publicly facing channels. The goal is to uncover new, high quality customer references whose names, logos, and stories can help strengthen our standing in the market.

Such contests typically run throughout a designated quarter and offer a reward structure where individuals (usually AEs/account owners) can qualify for monetary incentives by securing customer reference agreements.
