---
title: "Conference Booth Setup"
---

## Summary

This page suggests how to set up a conference booth to best use the available media assets to get optimum value out of them.

## Main screen(s)

The main screen(s) are the big, usually rented/supplied, usually 48" or more flat screens which are mounted to booth walls. These are meant to grab the attention of folks walking by, and get them to stop and watch long enough to be approached by a booth staff member.

These should NOT show static images (unchanging over time) or they will not achieve their purpose. We have videos that are meant to loop on these screens. These videos can be found in the GitLab Marketing Google Drive under [GitLab Booth Videos](https://drive.google.com/open?id=1Hx-NQeyGRcBeKDdvdhzCsQRNXejDQkGY).

**These videos will need to be played off of a laptop so that they can be set to loop.**
(even if we find a good way to loop them on the ipads, the ipads are more usefull as click-through demo devices)

Why are there two videos? Well . . .

### If there is only one main screen at the booth

1. Download the ["GitLab Animation"](https://drive.google.com/drive/u/0/folders/1Hx-NQeyGRcBeKDdvdhzCsQRNXejDQkGY) video (whatever the latest version is).
1. Use QuickTime player to play full screen and in a loop.
1. Make sure the sound is turned off.

### If there are two main screens at the booth (hey, it happens)

#### Screen 1

1. Download the ["GitLab Animation"](https://drive.google.com/drive/u/0/folders/1Hx-NQeyGRcBeKDdvdhzCsQRNXejDQkGY) video (whatever the latest version is).
1. Use QuickTime player to play full screen and in a loop.
1. Make sure the sound is turned off.

#### Screen 2

1. Download the ["GitLab Overview for Booths"](https://drive.google.com/drive/u/0/folders/1Hx-NQeyGRcBeKDdvdhzCsQRNXejDQkGY) video (whatever the latest version is).
1. Use QuickTime player to play full screen and in a loop.
1. Make sure the sound is turned off.

Although, this video is silent and shows a combination of slides and product video clips in an end to end use case format.
If you HAVE to play it over streaming, it's also on [YouTube](https://youtu.be/ttbU90SJbfk)

**NOTE: Do not display movies, broadcast or cable TV, or non-GitLab streaming or on-demand platform content, as public display of this content requires a public performance license.**

## iPads

The iPads are meant to be used to start/aid a conversation, as well as to show the click-through demos on. Their advantage is that you can stand next to someone (to the side) and have a personal interaction with them, still with a screen. This is more awkward with a laptop and the need to find a flat surface to put it on.

Here's roughly what we have:

- EMEA - 3 12.9" Pros, logged in using either AppleID `gitlabeventsemea@gmail.com` or `gitlabgitlab@gmail.com`
- US Corp - 2 12.9" Pros, logged in using AppleID `gitlabconf@gmail.com`
- TMM - 4 12.9" Pros, logged in using AppleID `gitlabconf@gmail.com`, used for development, and brought by TMM for booth duty

Todo: Sync the EMEA ones so they are set up the same way as the others (accounts, etc).

### Accounts

- US ipads
  - Pin: 0000 or turned off
  - AppleID login: `gitlabnconf@gmail.com` (password in Marketing 1Password vault)
- Google login: `gitlabconf@gmail.com` (password in Marketing 1Password vault)

### Setup

#### Load required software

1. Open App Store (login with above Apple ID)
1. Install Google Drive
1. Install Google Slides

#### Load required files

There are two possible sets of demos that can be used: regular length, shorts

- [regular length](https://drive.google.com/drive/folders/1Qm8Y3oVLRa0nS1BARA631Ex6SKVzYp3C?usp=sharing) - For longer demos (10-15 mins) or lower volume booths.
- [shorts](https://drive.google.com/drive/folders/1NJdvHCaRlaM3--UGNQ1rPlx89i3msO-z?usp=sharing) - For high volume booths. Meant to run no more than 5 minutes, with a quick overview of how we solve a particular use case.

For either set of files:

1. Open Google Drive
1. login with above Google login
1. go to one (or both) of the above directories
   **OR**
   go to "Shared with me" menu item or look at the "Shared" view (on the bottom) and find the "Click-through" folder that's been shared and open it
1. To the right of each file are "...". Click on that and select "Make available off-line" for each file you want to have access to
1. For each file, star them (this'll make easier to find later)

### Demoing

1. To open, open Google slides
1. Go to the "Starred" view
1. This should show your files, select which one to view
1. When you are not using the ipad, set it to on of the first two slides (shows competitor mess, or shows GitLab stages)
1. In off-line mode, presentation mode doesn't work, but you can show the slides still
1. It can be effective to use iPad pinch/un-pinch to zoom in/out on parts of demo
