---
title: "Click Through Demos"
noindex: true
---

Click-through demos can be run in multiple ways:

- [Run them off-line](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/demo/off-line-click-throughs/) (for conferences, practice on the airplane, etc)
- Run them while online, [from the files](https://drive.google.com/drive/folders/1Qm8Y3oVLRa0nS1BARA631Ex6SKVzYp3C?usp=sharing), same as running a presentation
- Or run them online from the web, using the links bellow:

## GitLab CI Overview demo (OCT 2020- 12.6)

 [<img src="./ct-files/ci_overview.png" alt="">](https://tech-marketing.gitlab.io/static-demos/ci_overview_v1.html)

## GitLab Planning to Monitoring (Aug 2019 - 12.0)

 [<img src="./ct-files/ptm.png" alt="">](https://tech-marketing.gitlab.io/static-demos/ptm-v14.html)
<!--T [Downloadable macOS](https://drive.google.com/file/d/1H9-l9K9cPhLl7kjSG8np7fvkkCnCRLyH/view?usp=sharing)<br/>
 [Downloadable Windows](https://drive.google.com/file/d/1Sg7jMODZYUvdrkuaS2FI88feWoYv7CxO/view?usp=sharing)-->

## Create Kubernetes cluster (Aug 2019 - 12.0)

[<img src="./ct-files/gke_setup.png" alt="">](https://tech-marketing.gitlab.io/static-demos/gke_k8s.html)
<!--[Downloadable macOS](https://drive.google.com/file/d/1tGpBmyJkMn_ljmFBCAtGkU9DmrPjuGDI/view?usp=sharing)<br/>
[Downloadable Windows](https://drive.google.com/file/d/1fTkVWsH1okcm_r3MtfRhS-XeeVSExotU/view?usp=sharing)-->

## Merge Request Approval API (July 2019 - 12.0)

 [<img src="./ct-files/mr_approval.png" alt="">](https://tech-marketing.gitlab.io/static-demos/mr_approval.html)
 <!--[Downloadable macOS](https://drive.google.com/file/d/1Uvl4DorNh_eM7Xn_BJhMDv0yFwuHbdtt/view?usp=sharing)<br/>
 [Downloadable Windows](https://drive.google.com/file/d/1EAEuVsRAlLoCTwi5fSOvR959eKFCAsoY/view?usp=sharing)-->

## Agile Project Management (June 2019 - 12.0)

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vR5EWjzgr-Qe-cYdMj4WJnnVDxKyoyirMv0OfOJWbgCzevJoLGTXnbKDYm2TUhpdPAkh-nTcucIgZKx/embed?start=false&loop=false&delayms=3000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

[G-slides file](https://docs.google.com/presentation/d/13Zj83pjpwyq3s4T2fPSTuKO8NwqdCdn827GB7S-3hW8/edit?usp=sharing)

## Cross-project Pipeline Triggering and Visualization (May 2019 - 11.10)

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vRZaaHmlJcBQS56SSS1QKyvLJQayJ31ZXqlAJMzQOMckbHt0dSj0KBN2bzg6lwny-lqfvhfhOl7tK8H/embed?start=false&loop=false&delayms=3000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

[G-slides file](https://docs.google.com/presentation/d/1AVYo0HqTrwG59G2a55YzQhbXX2EKIsxQ-9P7-g_2bQc/edit?usp=sharing)

## Secure Capabilities (March 2019 - 11.8)

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vTmtpY92Uun3YsixCJHZu7yt69M9rFB5SuFRSglOBRXoFNTKBdgPZpE4JBTl3LtAAX1zS4zQdBdD6Ga/embed?start=false&loop=false&delayms=60000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

[G-slides file](https://docs.google.com/presentation/d/1fdTmdepdaq03OSfcA3pYduDxDnQEyvY4ARPqXEX8KrY/edit#slide=id.g2823c3f9ca_0_9)
[Sales enablement recording (of shorter version)](https://youtu.be/hwJTiXt5T3w)

## Secure Capabilities (short, guided) (March 2019 - 11.8)

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vQF2Neh1h0vFwMapLvhppr_bZZVaxbtnVvTP69xd6YNGreW5dZ43w4w5qQTmYNewmI-3pViilsvbIcX/embed?start=false&loop=false&delayms=60000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
[G-slides file](https://docs.google.com/presentation/d/1cfzdLFWk3hYLw_aocgunVmJCD-TSiOgypr66A_nR8VQ/edit?usp=sharing)
[Booth Demo Auto Play link](https://docs.google.com/presentation/d/e/2PACX-1vQF2Neh1h0vFwMapLvhppr_bZZVaxbtnVvTP69xd6YNGreW5dZ43w4w5qQTmYNewmI-3pViilsvbIcX/pub?start=true&loop=true&delayms=3000)
[Sales enablement recording](https://youtu.be/hwJTiXt5T3w)

## Auto DevOps (Oct 2018 - 11.3)

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vTNeBj0TJWca1PVwccxUTXWDWYqaIyB6Q1fRYCfjtMzeK8DtpmAcG1o6ipFBi-lhYKVTAA9kYBWyKKu/embed?start=false&loop=false&delayms=600000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
[G-slides file](https://docs.google.com/presentation/d/1oKHU3MsbJmxVQyO-7c6JLMoCOS80uS-0NlcI-mRxAAY/edit?usp=sharing)
[Sales enablement recording (of shorter version)](https://youtu.be/V_6bR0Kjju8)

## Auto DevOps (short, guided) (July 2018 - 11.0)

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vRQ4xltHhYRO_zgbo7exF6BwR09jvPmyFzR4XvjdlpYMRqT4dctx61XCkLjfR-8sq6QyOsoEFBBJjJh/embed?start=false&loop=false&delayms=600000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
[G-slides file](https://docs.google.com/presentation/d/1UkQI_9V-CJZcbZJBDTB7tyOg14XHCKIwNoUHW1K6tC8/edit?usp=sharing)
[Booth Demo Auto Play link](https://docs.google.com/presentation/d/e/2PACX-1vRQ4xltHhYRO_zgbo7exF6BwR09jvPmyFzR4XvjdlpYMRqT4dctx61XCkLjfR-8sq6QyOsoEFBBJjJh/pub?start=true&loop=true&delayms=3000)
[Sales enablement recording](https://youtu.be/V_6bR0Kjju8)

## Auto DevOps - Setup (GKE) (Oct 2018 - 11.3)

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vQIPrinsvTG1s6ppnUWqSY-fpHnxe6oAwM7g91uBl8Mx3EYQhaejlKUF9_c3GtagIhzwg-8dJlIrNgw/embed?start=false&loop=false&delayms=600000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
[G-slides file](https://docs.google.com/presentation/d/1AGABPlNzMm5-rrYfwGIzueXIbPleVkGpnc2Qk6JtnWk/edit?usp=sharing)

## Auto DevOps - Setup (EKS) (Oct 2018 - 11.3)

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vRjhO2VvKf_gWbObwi5APm18gxQrzQk5vvAARD-4vLQeT0NbkrSuP3t4sTVylRYZOD6kINLr37HmtHA/embed?start=false&loop=false&delayms=60000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
[G-slides file](https://docs.google.com/presentation/d/1Ejnho9pqXPj-OHNU2q51cC0xCG5c8pVLmvg-maIA7BQ/edit?usp=sharing)

## Live (instructions)

## Planning to Monitoring (formerly i2p)

[Planning to Monitoring (formerly i2p)](i2p/)

Highlights GitLab's single platform for the complete DevOps lifecycle, from idea to production, through issues, planning, merge request, CI/CD, and monitoring.

## CI/CD Deep Dive

[CI/CD Deep Dive](cicd-deep/)

Provides a more in-depth look at GitLab CI/CD pipelines.

## Integration Demos

[Integration Demos](integrations/)

Demonstrations which highlight integrations between GitLab and common tools such as Jira issues and Jenkins pipelines.

## Conference Booth Setup

We've started using iPad's to run click-through demos at conferences, and also we now have a main screen video to loop that shows our key slides and product clips. You can find details about both of these on the [conference booth setup page](conference-booth-setup/).
