---
title: "DevOps tools"
description: "DevOps tools commonly found in a build-your-own DevOps tool chain. Many of these can be replaced by GitLab's single platform for the entire DevOps lifecycle."
---

The DevOps tools below are commonly found in a build-your-own DevOps tool chain. Many of these can be replaced by GitLab's single platform for the entire DevOps lifecycle.

### Project management

#### Issue Tracking

- [Atlassian Jira](https://about.gitlab.com/solutions/jira/)
- [Asana](https://asana.com/)
- [Microsoft TFS/VSTS/Asure DevOps](https://about.gitlab.com/blog/2020/07/09/integrating-azure-devops-scm-and-gitlab/)
- [Pivotal Tracker](https://www.pivotaltracker.com/)
- Bugzilla
- JetBrains
- Zoho Corporation
- Airbrake
- Axosoft
- Bugsnag
- Countersoft
- Inflectra Corporation
- Redmine
- [BMC Remedy](https://www.bmc.com/it-solutions/remedy-itsm.html)
- QA Symphony
- FogBugz

#### Issue Boards

- [Atlassian Jira](https://about.gitlab.com/solutions/jira/)
- [Asana](https://asana.com/)
- [Trello](https://trello.com/)
- Basecamp
- Wrike
- Podio
- Zoho Projects
- Freedcamps
- Teamwork Projects
- TrackVia
- Dapulse

### Portfolio Management

- [Atlassian Jira Portfolio](https://www.atlassian.com/software/jira/product-discovery/features/roadmaps)
- [CA Technologies / Rally](https://www.ca.com/us.html)
- Wrike
- Plutora
- IBM Rational Team Concert
- HP Application Lifecycle Management

### Service Desk

- [Atlassian Jira Service Desk](https://www.atlassian.com/software/jira/service-desk)
- [Zendesk](https://www.zendesk.com/)
- [Freshdesk](https://freshdesk.com/)
- [CA Service Desk Manager](https://www.broadcom.com/products/software/service-management/service-desk-manager)

### Source code management

- [GitHub](https://about.gitlab.com/competition/github/)
- [Atlassian Bitbucket](https://about.gitlab.com/blog/2016/01/27/comparing-terms-gitlab-github-bitbucket/)
- [Microsoft TFS/VSTS/Azure DevOps](https://about.gitlab.com/blog/2020/07/09/integrating-azure-devops-scm-and-gitlab/)
- [CA Technologies / Rally](https://www.ca.com/us.html)
- IBM Rational Clear case
- Perforce
- Helix VCS
- Assembla
- Beanstalk
- [Rhodecode](https://rhodecode.com/features/community-vs-enterprise)
- [Mercurial](https://www.mercurial-scm.org/)
- [Subversion](https://subversion.apache.org/) aka SVN
- [Kallithea](https://kallithea-scm.org/)

### Code Review

- [Atlassian Crucible](https://www.atlassian.com/software/crucible)
- [Gerrit](https://www.gerritcodereview.com/)
- [Smart Bear Collaborator](https://smartbear.com/product/collaborator/overview/)
- [Phabricator](https://www.phacility.com/phabricator/)
- Codebrag
- Codestriker
- [Rhodecode](https://rhodecode.com/features/community-vs-enterprise)
- Review Assistant
- Review Board
- Code Climate

### Web IDE

- [AWS Cloud9](https://aws.amazon.com/cloud9/)
- [Code Anywhere](https://codeanywhere.com/)
- [Koding](https://www.koding.com/)
- [repl.it](https://repl.it/)
- [Codechef IDE](https://www.codechef.com/ide)

### Wiki

- [Atlassian Confluence](https://www.atlassian.com/software/confluence)
- [SharePoint](https://products.office.com/en-us/sharepoint/collaboration)

### Continuous Integration

- [Travis CI](https://travis-ci.org/)
- Atlassian Bamboo
- [Atlassian Bitbucket](https://about.gitlab.com/blog/2016/01/27/comparing-terms-gitlab-github-bitbucket/)
- [CircleCI](https://circleci.com/)
- [Microsoft TFS/VSTS/Azure DevOps](https://about.gitlab.com/blog/2020/07/09/integrating-azure-devops-scm-and-gitlab/)
- CodeFresh
- TeamCity
- Codeship
- Semaphore
- AppVeyor
- Urban code
- Hudson
- cruisecontrol
- [Electric Cloud](https://electric-cloud.com/products/electricaccelerator/)
- Jet Brains
- [Zuul](https://zuul-ci.org/)
- [Buildkite](https://buildkite.com/)
- [Drone.io](https://drone.io/) - [New Stack Article](https://thenewstack.io/drone-io-a-containerized-ci-cd-system-for-cloud-native-development/)

### Container Registry

- [JFrog Artifactory](https://jfrog.com/artifactory/)
- [Docker Hub](https://hub.docker.com/)
- [Docker Trusted Registry](https://docs.docker.com/ee/dtr/)
- [RedHat/CoreOS Quay](https://www.redhat.com/en/technologies/cloud-computing/quay)
- [Amazon ECR](https://aws.amazon.com/ecr/)
- [Azure ACR](https://azure.microsoft.com/en-us/services/container-registry/)
- [Google Cloud Container Registry](https://cloud.google.com/container-registry/)

### Binary Repository

- [JFrog Artifactory](https://jfrog.com/artifactory/)
- [Sonatype Nexus](https://www.sonatype.com/products/sonatype-nexus-repository)

### Continuous Delivery/Deployment

- [Spinnaker](https://www.spinnaker.io/)
  - [Armory](https://www.armory.io/)
- [Go CD](https://www.gocd.org/index.html)
- [Puppet Pipelines](https://help.puppet.com/cdpe/current/Content/UserGuide/cd_user_guide.htm)
- [Cloudbees Codeship](https://codeship.com/)
- [Atlassian Bitbucket](https://bitbucket.org/product)
- [Electric Cloud ElectricFlow](https://electric-cloud.com/products/electricflow/)
- [CA Technologies](https://www.ca.com/us.html)
- [XebiaLabs](https://xebialabs.com/)
- [Microsoft TFS/VSTS/Azure DevOps](https://about.gitlab.com/blog/2020/07/09/integrating-azure-devops-scm-and-gitlab/)
- CodeFresh
- Red Hat Ansible
- Clarive
- Micro Focus
- Octopus Deploy
- OpenMake Software
- [IBM UrbanCode](https://developer.ibm.com/urbancode/products/urbancode-deploy/)
- [AWS CodeDeploy](https://aws.amazon.com/codedeploy/)
- [CenturyLink Cloud Application Manager](https://www.ctl.io/cloud-application-manager/)
- Inedo
- Arcad Software
- [HashiCorp Nomad](https://www.nomadproject.io/)
- CloudBuild

### Infrastructure Configuration

- Puppet
- Chef
- Ansible
- SaltStack
- [HashiCorp Terraform](https://www.terraform.io/)
- [HashiCorp Packer](https://www.packer.io/)
- Docker
- Microsoft PowerShell
- CFEngine
- Apache Maven
- AWS OpsWorks
- SmartFrog

### Application Performance Monitoring

- [New Relic](https://newrelic.com/platform/application-monitoring)
- appdynamics
- [Splunk](https://www.splunk.com/)
- [Zabbix](https://www.zabbix.com/)
- [Nagios](https://www.nagios.org/)
- [Solarwinds](https://www.solarwinds.com/log-event-manager-software)
- Ganglia
- Monit
- Scalyr
- Graylog
- UpGuard
- Sensu
- SysDig
- [sumologic](https://www.sumologic.com/)
- [logic monitor](https://www.logicmonitor.com/)
- Sentry
- Rollbar
- Airbrake

### Security Testing

- [CA Veracode](https://www.veracode.com/)
- SonarQube
- HPE Fortify
- Checkmarx
- Black Duck
- Synopsys
- Acunetix
- Contrast Security
- ERPScan
- Fasoo
- Nexus LifeCycle
- NSFOCUS
- N-Stalker
- PortSwigger
- Qualys
- Rapid7
- SiteLock
- Snyk
- Trustwave
- Virtual Forge
- WhiteHat Security
- WhiteSource

### License Compliance

- Black Duck
- WhiteSource
- ManageEngine
- Flexera
- Snow Software

## Data Tools

[Meltano](https://gitlab.com/meltano/meltano) is a separate product that isn't part of GitLab. Here's a list of BizOps tools. Other lists include cloud native ETL tools (link no longer available), and the [Meltano README](https://gitlab.com/meltano/meltano#data-science-lifecycle).

- [AWS Glue](https://aws.amazon.com/glue/)
- [Looker](https://looker.com/)
- Pentaho
- Tableau
- [Sisense](https://www.sisense.com/product/data-teams/)
- Qlik
- Microsoft
- SiSense
- ThoughtSpot
- MicroStrategy
- Birst
- Domo
- SAP
