---
title: "2019 DevOps Dozen - Best DevOps Solution Provider Executive: Sid Sijbrandij"
---

*This is one of two pages submitted for the [2019 DevOps Dozen Awards](https://devopsdozen.com/), supporting Sid Sijbrandij for Best DevOps Solution Provider Executive and supporting GitLab for Best DevOps Solution Provider. We thank MediaOps and [DevOps.com](https://devops.com/) for their consideration and their service to the DevOps community.*

### Sid Sijbrandij: True DevOps Practitioner-Executive

Sid leads GitLab by embracing and following DevOps practices for every aspect of building GitLab the company, its culture, and GitLab the product. He starts with ingraining DevOps philosophy into our core values. Two good examples are the values of [Iteration](/handbook/values/#iteration) and [Transparency](/handbook/values/#transparency). Sid truly believes the smallest possible change that makes any improvement should be published, and with a low level of shame. This enables everyone at GitLab to push the smallest possible iteration to the world, get feedback from the community, and incorporate that feedback in rapid, fast improvements. These principles are applied to every aspect of the company, from engineering to product management, to marketing, and even sales.

Transparency is another core value that drives Sid's vision and embracing of DevOps in every aspect of running the company. Everything is [public by default](/handbook/values/#public-by-default), with few exceptions such as for confidential customer data. This helps us get continuous feedback from our community, a key tenant of DevOps.

### Community Leader

Sid not only leads GitLab, the company of 1095 employees, he is also a key driver in the creation and growth of the wider GitLab community. Over 2,700 contributors have shared their talents and are committed to improving GitLab as a solution to their DevOps challenges, making it possible for [everyone to contribute](/handbook/company/mission/#mission).

### Forging the future of work

Like all successful companies, GitLab has carefully crafted values which our CEO, Sid both espouses and evangelizes. [GitLab's company values](/handbook/values/), however, are not only good things that all good employees should pursue, like integrity or innovation. Our values are key to GitLab's success and in many ways they are mission critical.

GitLab's values are mission critical because [our all-remote way of working](/handbook/company/culture/all-remote/) would be impossible without them. GitLab has an uncommonly diverse and distributed workforce, with [more than 1,095 employees in 65 countries](/handbook/company/team/) and 0 offices. We also work asynchronously by default, requiring uncommonly strong culture and leadership.

GitLab's values can also be challenging. One of our top values, for example is [transparency](/handbook/values/#transparency), toward which we believe all companies should strive, but without which an all-remote company cannot function. Because our values can be difficult to practice, we rely on Sid's personal resolve and encouragement of us all, to be transparent even and especially when it is difficult.

We have [intently defined our values](/handbook/values/) and [how they enable all-remote work](/handbook/company/culture/all-remote/values/). Those and all GitLab Handbook pages, including the one you are reading right now, are editable by GitLab team members and by anyone through our GitLab.com service. For the sake of transparency, everything we do is public by default, from [the repository for this handbook and our web site](https://gitlab.com/gitlab-com/www-gitlab-com/) to our [issue trackers](https://gitlab.com/gitlab-org/gitlab/issues), [infrastructure](https://gitlab.com/gitlab-com/gl-infra/infrastructure/issues) — even our [marketing](https://gitlab.com/groups/gitlab-com/marketing/-/issues).

Working all-remotely underpins our other values, too like our value of [diversity, inclusion and belonging](/handbook/values/#diversity-inclusion) in that [all-remote work supports inclusion and bolsters communities](https://about.gitlab.com/blog/2019/12/06/how-all-remote-supports-inclusion-and-bolsters-communities/). GitLab's mission is "everyone can contribute." We're forging that future today, both through the product we build, and the ways in which we build it and run our company.

### It's not SidLab, it's GitLab

When creating a branch to work in git, you name the branch. During a recent, live-streamed coaching session on collaboration, Sid explained why he does not include his personal initials or name in his branch names. He doesn't want to discourage others from contributing to his work. As he put it, "It's not SidLab, it's GitLab."

Many such anecdotes attest to Sid's demonstration of collaboration, transparency, and our other values. A notable few of the many examples of his leadership include:

- [Sid's README](/handbook/ceo/)
- GitLab's [CEO Shadow Program](/handbook/ceo/shadow/)
- Our [GitLab Unfiltered](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A/videos) YouTube channel, where Sid often shares recordings and live streams of his meetings, while encouraging us to do the same

Sid holds office hours to coach GitLab team members on [our value of iteration](/handbook/values/#iteration), and meets with and coaches CEOs of other startups as well. His interactions are streamed or recordings shared, optimizing his contributions to the future of work.

GitLab values have won Sid his share of fans. In June 2019, [GitLab landed on Inc.'s annual Best Workplaces list](https://www.inc.com/cameron-albert-deitch/gitlab-tips-remote-workforce.html) as compiled from employee surveys, and Sid's approval ratings by employees and community members alike are among the best in the business, as compiled by [Glassdoor](https://www.glassdoor.com/Reviews/GitLab-Reviews-E1296544.htm) and [Comparably](https://www.comparably.com/competitors/cloudbees-ceo-vs-gitlab-ceo).

In the [Bloomberg interview](https://youtu.be/AtfE4rB0kis) below, Sid describes how being all-remote helps the company practice its values:

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/AtfE4rB0kis?start=157" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

### The proof of the pudding

With Sid's leadership, GitLab is emboldened to capitalize on and share our own DevOps journey in [pieces like this blog post](https://about.gitlab.com/blog/2019/10/03/gitlab-journey-to-cicd/). As converts we are zealots, all the better able to build software that helps our customers in their DevOps journeys. [Thousands of GitLab community members](https://about.gitlab.com/community/contribute/) and employees have contributed to making this work, but as our co-founder and CEO, we have Sid most of all to thank for enabling us to forge a better future for work.

The proof of the pudding is in the eating, and Sid's way of working is not only generous, it's also generative. Highlights of our growth in 2019 include:

- [$268M in series E funding with a $2.75B valuation](https://about.gitlab.com/blog/2019/09/17/gitlab-series-e-funding/), doubling in less than a year
- 143% growth rate in annual recurring revenue, showing customer satisfaction and strong demand, [with an expectation of $100M ARR in January, 2020](https://techcrunch.com/2019/12/13/the-newest-members-of-the-100m-arr-club/)
- 2.5x growth in [team members](/handbook/company/team/) from 431 to 1095, and very much still growing
