---
title: "2019 DevOps Dozen - Best DevOps Solution Provider: GitLab"
---

*This is one of two pages submitted for the [2019 DevOps Dozen Awards](https://devopsdozen.com/), supporting GitLab for Best DevOps Solution Provider and supporting Sid Sijbrandij for Best DevOps Solution Provider Executive. We thank MediaOps and [DevOps.com](https://devops.com/) for their consideration and their service to the DevOps community.*

### GitLab: A community **and** a product

The GitLab solution is the result of collaboration between thousands of community contributors, based on feedback from the over 100,000 organizations that have adopted GitLab to power their DevOps transformations. The GitLab community contributes code, documentation, translation, design, and product ideas based on their real world challenges, making GitLab more useful and valuable. Because of the community behind GitLab, in many cases, we see rapid adoption through better developer experience and collaboration. These naturally drive users to adopt and contribute more, enriching the application every day.

### GitLab: A complete DevOps platform, in a single application

GitLab fundamentally changes the way development, security, and ops teams collaborate and build software — helping customers on their DevOps journey in ways no other company can — by providing [a single application for the entire DevOps lifecycle](https://about.gitlab.com/stages-devops-lifecycle/).

DevOps toolchains are often complex, fragile, and expensive to maintain. Teams are further slowed by hand-offs and re-work. Across toolchains in a company, teams can be siloed by DevOps software that was supposed to help eliminate siloes.

GitLab customers can have SCM, CI, security, and more in one browser window. They can minimize integrations and get back to releasing great software. GitLab CI and CD are truly continuous, speeding up releases and revenues. With one user experience, one permission model, and one conversation from portfolio management to production monitoring, companywide gains include visibility, collaboration, and speed — making good on the promise of DevOps.

### A partner like no other

GitLab is uniquely open and transparent about our [vision and roadmap](https://about.gitlab.com/direction/), [our internal processes](/handbook/), our [product maturity](https://about.gitlab.com/direction/#maturity), and we invite and encourage [community and customer contributions and collaboration](https://about.gitlab.com/community/contribute/).

This short video summarizes our unique DevOps solution and bold way of working:

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/MqL6BMOySIQ" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

### What people are saying

#### Customer case studies

[Our case studies feature GitLab customers sharing their accomplishments, in their own words](https://about.gitlab.com/customers/), including the few introduced below.

- Goldman Sachs had already started their DevOps journey, but progress had stalled before they began using GitLab. After reducing their toolchain complexity by implementing GitLab for development, source code control and reviews, builds, testing, QA, and production deployments, [Goldman Sachs' build velocity was dramatically improved, from 1 build every 2 weeks to over 1,000 per day](https://about.gitlab.com/customers/goldman-sachs/).

- At BI Worldwide, they had built multiple, complex DevOps toolchains resulting in issues like lost bug reports and constant context shifting. Now [with broadening GitLab adoption, they describe their DevOps success](https://about.gitlab.com/customers/bi_worldwide/):

> "One tool for SCM+CI/CD was a big initial win. Now wrapping security scans into that tool as well has already increased our visibility into security vulnerabilities. The integrated Docker registry has also been very helpful for us. Issue/Product management features let everyone operate in the same space regardless of role."
>
>— Adam Dehnel, product architect, BI Worldwide

From enterprise customers and [an established retailer like Fanatics](https://about.gitlab.com/customers/fanatics/), to [a growing startup like Glympse](https://about.gitlab.com/customers/glympse/), GitLab's singular approach offers efficiency, velocity, reliability, and more at levels only possible with a truly seamless, continuous solution.

#### Peer reviews

GitLab is a 2-time Gartner Peer Insights "Customers Choice" award winner, recently in the [2019 Enterprise Agile Planning Tools](https://www.gartner.com/reviews/market/enterprise-agile-planning-tools/vendor/gitlab/product/gitlab?months=12) following on our recognition in the [2018 Application Release Orchestration](https://www.gartner.com/reviews/market/devops-platforms/vendor/gitlab/product/gitlab). Below are a few select quotes from Gartner Peer Insights and G2 Crowd reviews:

- "[GitLab, the central hub of DevOps. This is an overall application for the entire DevOps lifecycle, which is amazing.](https://www.gartner.com/reviews/market/devops-platforms/vendor/gitlab/product/gitlab/review/view/1017404)"
- "[Makes you highly efficient while developing software with big group of people.](https://www.gartner.com/reviews/review/view/987403)"
- "[Our developers do not have to mind shift between coding and tracking their work. Having the source code available next to planning boards makes the shift that much simpler.](https://www.gartner.com/reviews/market/enterprise-agile-planning-tools/vendor/gitlab/product/gitlab/review/view/956352)"
- "[Powerful team collaboration tool for managing software development projects.](https://www.g2.com/products/gitlab/reviews/gitlab-review-1976773)"
- "[GitLab is an amazing solution with a very fast-paced feature release cycle. They are great at listening to our feedback and incorporate in future roadmaps.](https://www.gartner.com/reviews/review/view/612634)"

#### Analysts

GitLab's unique breadth in DevOps has enabled us to enjoy similarly [broad coverage across analysts' categories and reports](/analysts/). A few highlights across the DevOps lifecycle include:

- [GitLab named 'Visionary' in Gartner's 2019 Enterprise Agile Planning Tool Magic Quadrant](https://about.gitlab.com/blog/2019/05/22/gitlab-identified-by-gartner-as-eapt-visionary/)
- [Forrester named GitLab a leader in 2019 Wave for Cloud-Native Continuous Integration Tools](/analysts/forrester-cloudci19/)
- [Forrester recognized GitLab as a Challenger in 2019 Wave for Software Composition Analysis](https://about.gitlab.com/blog/2019/04/12/gitlab-is-an-sca-contender/)

### GitLab's vision

GitLab's vision is [extensively documented](https://about.gitlab.com/direction/) and open to editing. Our mission, **"Everyone can contribute"** is already true within GitLab the company, where we leverage GitLab the product to run the company. With GitLab we collaborate and complete everyday tasks like organizing events, onboarding new employees, and documenting how we work with this handbook. The direction is clear: we will continue to broaden and deepen GitLab's capabilities to make our mission true for all our users, making it faster and easier for them to share, collaborate, and contribute.
