---
description: "Resources for details about how and why Whitesource integrated their security scanning with GitLab."

title: "GitLab Secure and Govern Integrations - WhiteSource"
---
## Overview

Here you will find all of the content relevant to this integration.

**Why the integration?**

We are excited that WhiteSource has leveraged GitLab's open core software to build their integration with GitLab. Our open source approach enables GitLab customers to benefit from a vast community of partners and developers who contribute to GitLab's capabilities. The WhiteSource open source vulnerability management integration further augments GitLab's security capabilities across the entire DevOps lifecycle and provides GitLab customers the choice to leverage their existing tools.

**Why WhiteSource?**

WhiteSource customers asked WhiteSource to integrate with GitLab. WhiteSource leveraged our Core capabilities to begin the effort and have worked with GitLab to ensure that their integration optimizes customer value via GitLab Ultimate. They are the first and others are to follow.

**Talking points**
GitLab's open core software enables our customers and partners to contribute capabilities to our single application platform for the entire SDLC. Integration with features found only in the paid tiers, like the Security Dashboard, requires customers to purchase that tier.

Whitesource is the first security partner to integrate with GitLab's security dashboard, helping joint customers to see their software vulnerabilities early in the development process.

GitLab offers built in security scans, including static application security testing (SAST), dynamic application security testing (DAST), dependency, container and license compliance scanning early in development before the individual developer's code is merged with anyone else's. This workflow provides clear accountability and actionable insight empowering the developer to find and fix vulnerable code.

What type of integration - [Technical, Inbound](/handbook/alliances/#technology-partners)

**Communications**
WhiteSource will launch a press release on 14 January 2020 to accompany GitLab Commit SFO event.

**How to implement**
[Documentation](https://docs.mend.io/integrations/latest/mend-for-gitlab)

**Who to contact at GitLab**

- Joint selling questions - @mayanktahil
- Product Management - @NicoleSchwartz
- Product Marketing - @cblake

## Content

Supporting [issue](https://gitlab.com/gitlab-com/marketing/product-marketing/issues/1157)

- [Press release](https://www.prnewswire.com/news-releases/whitesource-enhances-gitlab-integration-with-support-for-gitlab-ultimate-300986560.html)
- [WhiteSource integration page](https://docs.mend.io/integrations/latest/mend-for-gitlab)
- [GitLab partner page](https://about.gitlab.com/partners/#security)
- [Introductory Blog](https://docs.google.com/document/d/1nu8ddhEcrQ6iP5ebdYSuY-MQsjCUvOnQbRxd8PEbXf4/edit)
- [Documentation](https://docs.mend.io/integrations/latest/mend-for-gitlab)
- [Datasheet](https://docs.google.com/document/d/1Rlvv6etH6tkk7xtCmmGLapCI98G82NRsyrpTFJXo8gk/edit?usp=sharing)
- [FAQ](https://docs.google.com/document/d/1RmPCa0Ap_J_70F_NzbaiTbaIhvod4_7JwNaR8P3hMYk/edit?usp=sharing)
- Demo:  coming soon
- Slide: coming soon
- Technical blog: coming soon
