---
title: "Product and Solution Marketing Group Conversations How-to"
---

## What is a Group Conversation (GC)?

GitLab departments update the rest of the company on what they are achieving and working on through [Group Conversations](/handbook/company/group-conversations/). Group Conversations are an important way to make sure the rest of the organization is aware of what each team is up to, has an opportunity to ask questions, and have a collection of links and information for reference.

## Old GC decks

The Product and Solution Marketing department (formerly known as Product Marketing) previous decks are in our [Google drive](https://drive.google.com/drive/u/0/folders/1fCEAj1HCegJOJE_haBqxcy2NYm0DS1FO) (GitLab employees only). It's useful when putting together the next GC deck to look at the last one to make sure that items on the calendar edge don't get missed or included a second time.

## Putting together the content

We almost always know when our next GC is and create the deck for it as soon as we finish the last one. To find the latest Next GC deck we are working on, look at the #sm_team_internal_discussions Slack channel topic.

### Creating the next deck

As soon as we know the date of our next GC, someone (usually the person who will run the next GC) should create the next deck, so that people can start adding to it. THis is done by

1. Going to the [SM GC folder](https://drive.google.com/drive/u/0/folders/1fCEAj1HCegJOJE_haBqxcy2NYm0DS1FO) on the Google drive.
1. making a copy of file names `Product and Solution Marketing GC TEMPLATE - DO NOT EDIT` (please keep it in the same directory).
1. rename the copy by replacing the `TEMPLATE - DO NOT EDIT` part with the [ISO date](/handbook/communication/#writing-style-guidelines) of the next GC
1. edit the copy (now almost the new GC deck)
   1. remove the first slide
   1. on title slide put the name of the host and the correct date for the GC on the bottom where it is highlighted yellow
   1. on the Agenda slide change the last GC link to the last GC date, and link it to the last GC slides
   1. And away you go . . .
1. Make sure the slide deck is available to edit for everyone at GitLab
1. Copy the URL to the new GC deck, and paste it into the topic area of the Slack channel #sm_team_internal_discussions

### What's new section

1. We should all be recording info in the next GC deck as we complete them (daily, weekly, etc). The goal is to not have to go back through our calendars, emails, slack messages, meeting notes, etc right before the GC session to dig up the past. This is harder to do and more likely we will miss items.
1. Add ***accomplishments/results***, not "what we are doing", "what we are working on", etc
1. Add your contents onto the slide that is marked for your team (eg. Developer Advocates).
1. ***SUPER IMPORTANT: Make sure*** that the content you are adding wasn't already identified in a previous GC.
1. As many items as possible should have links (either to the deliverable itself, the video, the presentation, the pointer to the conference speaker's session, etc). Do your best to link to something relevant.
1. Be conscious of formatting. When you add content, if you are pasting it in, use "Paste without formatting" (on Mac: command-shift-V) to pick up the formatting and text sizing that is already on the page.
1. Clarity through brevity. Describe what the accomplishment/result is in as concise and brief a way as possible (with the exception of long formal titles. those should be left as is)
1. Pictures or screenshots that relate to some of your content are good to add. This doesn't need to be boring.

### What's next section

1. There is always at least a slide or two which collects what each team is expecting to deliver within the next GC period (about every 6 weeks). Find the slide with your team listed, and add what you expect to deliver within the next period.
1. Team managers will consolidate to top 3 for team on top 3 slide.
1. Make sure to add a link for as many items as possible (at this stage usually a GitLab Issue or MR). This enables others to contribute to what you are working on while it is still in flight.
1. As much as possible, put the expected delivery date (at least month) in parenthesis after your item so others know what the current plan is (don't worry, this does not set it in stone).

## Timing

GC decks are a team effort. Here are some suggestions to make sure that everyone get's the opportunity to contribute in time:

1. As the next GC host you own quarterbacking preparation, including getting folks to input the data. DON'T do this yourself. That will be painfull, inefficient, and result in an inferrior GC deck
1. 3 weeks before the GC will happen, send a message to the #sm_team_internal_discussions team channel and remind everyone to add their content into the deck. Good idea to include a link to the deck here, AND remind everyone that the link is also in the channel topic
1. SM GC's are currently always on Wednesdays. This means that you'll need to send out the deck and video summary of it by Tuesday morning (24 hours ahead).
1. To send it out Tuesday morning, you should plan to polish up the content and record the video by Monday evening.
1. This means that you should ask that everyone get all their content in by either Monday morning or by mMonday mid-day (depending on when on Monday you'll have time to work on it)
1. EXPECT that there will be changes up to (and sometimes past) the identified due date/time.
1. Someone from leadership team will work with you on final check (overall messaging, etc)
1. Watch out for GC's that follow a long weekend (Monday off) and push to get content by Friday instead.
1. 24 hours before the GC (so previous morning) send out to the #whats-happening-at-gitlab Slack channel a notice that there will be a Product and Solution Marketing GC, and link the deck and a summary video (see below for more on creating that)

## Validation and Quality

Part of your responsibility as the next GC host is to make sure that the GC deck meets/adheres to some quality standards that we've set for ourselves

1. check over the deck for any mentions of Analyst work/interactions/etc that should be kept anonymous/unspecified. Check with Collin/Ryan if you aren't sure.
1. check to make sure that everything as much as possible has a link to either the asset, the webpage, the issue, etc
1. check that there is nothing listed as new that was already listed in the previous GC
1. check that all the fonts are the same within a page, and that the font sizes and styles are consistent

## Summary video

- with the announcement of the an SM GC to the company, we send a link to the deck and to a summary video
- This video should be a recording of you beifly (3-4 minutes) covering the highlights of the GC deck
- DON'T READ THE SLIDES. Add value.
- Typically this should just be covering the What's new top 3 summary slide, and the what's next slide, unless there are some big announcement slides, you should also touch on those.
- the purpose if the video is to make viewers aware of the latest from SM, but also entice them to read the deck and/or join the Q&A call.
- Upload the video to the GitLab unfiltered YouTube channel

## During the GC call

- During the GC call you are the host and the quarterback. This does not mean that you should answer all of the questions. This means that you guide the call and conversations, and call in team members when needed.
- Most of the time team members will be on the call and jump in with answers for their respective areas of responsibility without your prompting. Don't think that this is a statement about how you are doing. It's not. This is a team sport and we are all supporting each other and speaking up for areas we are DRI's for.
- If there are no questions don't count down tot he end. Wait silently, and if there still aren't questions, wrap the call up.
