---
title: "Keeping Yourself Informed"
---

## Communications within Product and Solution  Marketing

As a distributed organization, GitLab and [our Product and Solution Marketing department and teams](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/) use [asynchronous](/handbook/people-group/employment-branding/people-communications/), [transparent](/handbook/values/#transparency), [frequent](/handbook/values/#iteration), and [multimodal communication](/handbook/communication/#multimodal-communication) to keep ourselves informed.

Our most important communication channels are issues, boards, and GitLab itself, followed by [this handbook](/handbook/), Slack, Zoom, and other tools. See [the general GitLab Communication page](/handbook/communication/) and [Tools and Tips](/handbook/tools-and-tips/) for more information.

Below are the parts of GitLab and Slack that are used most in Product and Solution Marketing.

### GitLab trackers, boards, handbook, etc

Copy in from [/product-marketing](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/).

### Slack channels

GitLab has more Slack channels than users—at last count, [1,492 public channels for 1,069 weekly active users](https://gitlab.slack.com/stats).

These lists will make it a little easier to get started. They are arranged as general to GitLab, specific to Product and Solution Marketing, then a few more recommendations and some just for fun, before sharing a few Slack pro-tips.

*Reminder: Slack data are only retained for 90 days. If you share, discover, or decide something important there, ensure it has a permanent place in our handbook, product docs, etc. and read [the general handbook section for Slack guidelines](/handbook/communication/#slack).*

#### GitLab

##### Read all of

- [#whats-happening-at-gitlab](https://gitlab.slack.com/messages/C0259241C): usually redundant with [company calls](/handbook/communication/) but keep up with
- [#company-fyi](https://gitlab.slack.com/archives/C010XFJFTHN): company-wide announcements channel

##### Highly recommended

- [#is-this-known](https://gitlab.slack.com/messages/CETG54GQ0): bugs, canary failures
- [#questions](https://gitlab.slack.com/messages/C0AR2KW4B): business and technical questions
- [#thanks](https://gitlab.slack.com/messages/C038E3Q6L): if they're awesome and you know it, chat your thanks

#### Product and Solution Marketing

You're up to date if you catch up in GitLab, make meetings or see notes, and **depending on your team**, catch up with:

- [#analyst-relations](https://gitlab.slack.com/messages/C627CDRK8)
- [#competition](https://gitlab.slack.com/messages/C1BBL1V3K)
- [#marketing](https://gitlab.slack.com/messages/C0AKZRSQ5)
- [#pmms](https://gitlab.slack.com/messages/CN692KKV4)
- [#pmmteam](https://gitlab.slack.com/messages/C9WFMSDFF)
- [#product-marketing](https://gitlab.slack.com/messages/C3749FNM6)
- [#release-post](https://gitlab.slack.com/messages/C3TRESYPJ): when shadowing or leading a post
- [#tech-pmm](https://gitlab.slack.com/messages/CGPBM3JRF)

#### Also recommended

- [#cloud-aws](https://gitlab.slack.com/messages/C4G408ZQ8), [#cloud-gcp](https://gitlab.slack.com/messages/C0245H64R45), [#backend](https://gitlab.slack.com/messages/C8HG8D9MY), [#ceo](https://gitlab.slack.com/messages/C3MAZRM8W), [#cfp](https://gitlab.slack.com/messages/C106ACT6C), [#content-updates](https://gitlab.slack.com/messages/C90CPFE2W), [#development](https://gitlab.slack.com/messages/C02PF508L) *for broken master, environment issues*, [#frontend](https://gitlab.slack.com/messages/C0GQHHPGW), [#fundraising](https://gitlab.slack.com/messages/C1GQWQFSN), [#handbook](https://gitlab.slack.com/messages/C81PT2ALD), [#external-comms](https://gitlab.slack.com/messages/CB274TZRR) *for collaboration with our PR agency*, [#incident-management](https://gitlab.slack.com/messages/CB7P5CJS1), [#product](https://gitlab.slack.com/messages/C0NFPSFA8), [#production](https://gitlab.slack.com/messages/C101F3796), [#quality](https://gitlab.slack.com/messages/C3JJET4Q6), [#talent-acquisition](https://gitlab.slack.com/messages/C3E899ZH8), [#sales](https://gitlab.slack.com/messages/C02NE5PQM), [#security](https://gitlab.slack.com/messages/C248YCNCW), [#support_escalations](https://gitlab.slack.com/messages/CBVAE1L48), [#UX](https://gitlab.slack.com/messages/C03MSG8B7)
- Help yourself! find many more popular and active channels at [/stats#channels](https://gitlab.slack.com/stats#channels)

#### Have some fun

- [#dad_jokes](https://gitlab.slack.com/messages/CGFHHQKM5), [#office-today](https://gitlab.slack.com/messages/CKK6LHZ7X), [#random](https://gitlab.slack.com/messages/C0259241E)
- local channels: for your area or one you're visiting, hit command-K or 'Jump to...' in the upper left of the UI and search for 'loc_'. From [#loc_nyc](https://gitlab.slack.com/messages/C0XBJTC00) to [#loc_pnw](https://gitlab.slack.com/messages/CBFBYUCAH), and from [loc_india](https://gitlab.slack.com/messages/CDKF2QND7) to [loc_berlin](https://gitlab.slack.com/messages/C3SB0FKD4) there are at least 75 local channels.

### Slack hacks

Don't miss the critical **[handbook section with Slack guidelines](/handbook/communication/#slack)**. We also recommend:

- **use stars:** on the upper left of the UI, star the channels and direct message threads you use most
- **monitor keywords:** go to Slack > preferences and go to 'Notifications'. Scroll down to 'My keywords' and add as many as you like, comma-separated. Keywords some of use include 'PMM' and 'product marketing'.
- **tailor notifications:** go to Slack > preferences and go to 'Notifications'. Tweak to your heart's content. To set channel-specific notifications, go to the channel and click the channel name in the conversation header. Next, click the notifications drop-down menu and choose your notification preference.
- [#slack-power-users](https://gitlab.slack.com/messages/CNDBDLXFD): of course! a channel for our friendly neighborhood power users. Join at your own risk.
