---
title: "Market Segmentation"
---

## Industry verticals

Various verticals and industries face specific challenges as they address their specific market.  Ranging from compliance and regulatory pressure to specific market disruptions, IT teams in these verticals are developing solutions to their unique challenges.

- Financial services
- Automotive
- Health care
- Federal / Government / Public sector
- Retail
- Advanced manufacturing (as opposed to automotive)
- Oil & Gas/Energy

 More information about Sales Segmentation can be found in our [Go To Market Resources page](/handbook/sales/field-operations/gtm-resources/).

### Financial services

 | Challenge | GitLab Helps |
 | --------- | ------------ |
 | **Security** | GitLab's single platform controls and manages access to the SDLC tool chain helping them to increase confidence in their development process.   The ability to audit, review and automate security scans as a core part of the development lifecycle further helps to ensure that every application they build is more secure. |
 | **Aging infrastructure** | GitLab simplifies move to modern cloud native (kubernetes) |
 | **Compliance** | A single platform that controls and manages access to the SDLC tool chain.   Built in audits, reviews and automation help to create a trusted pipeline. |
 | **New technology (business disruption / digital transformation)** | This will demand rapid and responsive design, development and iteration from the software teams building the transportation as a service platform and infrastructure.   GitLab and concurrent DevOps can help teams to dramatically decrease cycle times to ship software. |

- [8 challenges for Financial Svcs CIOs](https://www.cio.com/article/236264/8-challenges-that-keep-financial-services-ctos-and-cios-up-at-night.html)
- [Top Finanical Svcs Issues (PWC)](https://www.pwc.com/us/en/industries/financial-services/research-institute/top-issues.html)
- [FSI Top Issues 2018 (PWC PDF)](https://www.pwc.com/us/en/financial-services/research-institute/assets/pwc-fsi-top-issues-2018.pdf)
- [Fin Svcs Insights - Protiviti](https://web.archive.org/web/20201128023006/https://www.protiviti.com/sites/default/files/united_states/insights/fs-insights-v4-i3-protiviti.pdf)
- [Financial Services Regulatory Compliance](https://about.gitlab.com/solutions/financial-services-regulatory-compliance/)
- [PCI Compliance](https://about.gitlab.com/compliance/pci-compliance/)

### Automotive

| Challenge | GitLab Helps |
| --------- | ------------ |
| **The connected car (over the air updates):** As vehicles become mobile computers on wheels, the importance and cost of updating on board software is a key issue.  It is expensive and disruptive to require owners to have updates installed by dealers, therefore the industry is moving to an approach that enables over the air updates. | To support over the air updates, automobile manufacturers and their suppliers will depend on rapid and efficient software delivery toolchains that streamline development, testing and even deployment of software changes. |
| **Transportation as a Service** | In this market transformation, the differentiation will be in the quality, simplicity and adoption of the technology platform that enables transportation as a service. This will demand rapid and responsive design, development and iteration from the software teams building the transportation as a service platform and infrastructure. (GitLab/Concurrent DevOps) |
| **Platform consolidation** | In order to reduce manufacturing complexity and waste, platform consolidation will drive manufacturers to differentiate their products on the underlying technology and consumer services (software). The software will be the differentiator, and will require rapid innovation to keep up with a rapidly changing market. |

- [IHS Whitepaper](https://cdn.ihs.com/www/pdf/AUT-TL-WhitePaper-5.pdf)
- [Digital Economy - top auto industry challenges](https://web.archive.org/web/20180204084630/https://www.digitalistmag.com/digital-economy/2017/09/14/top-tech-challenges-disrupting-revolutionizing-auto-industry-05365751)
- [PWC- Auto Industry Trends](https://www.strategyand.pwc.com/gx/en/insights/industry-trends/2019-automotive.html)

### Health care

| Challenge | GitLab Helps |
| --------- | ------------ |
| **Security & Data Protection** Ensuring that their systems and data are secure is critical in health care.  This is an issue across the entire lifecycle of health care systems from development to production and is a top issue for most all healthcare IT leaders. | A single platform that controls and manages access to the SDLC tool chain.    Built in audits, reviews and automation help to create a trusted pipeline.  |
| **Patient Experience** The healthcare market is being dramatically transformed around improving patient experience, making it easier for patients to participate in their care.  Ranging from mobile applications to electronic health records and other innovation, healthcare IT leaders are trying to accelerate delivery and iteration are to improve patient experience. | Rapid delivery and iteration are the hallmarks of improving patient experience.  Innovation in UX is only possible if IT teams are able to rapidly learn and innovate.  Concurrent DevOps and GitLab help to streamline delivery and enable IT teams to focus on improving patient experience. |
| **HIPAA** | A single platform that controls and manages access to the SDLC tool chain.    Built in audits, reviews and automation help to create a trusted pipeline. |

- [PWC - Health Industry Issues](https://www.pwc.com/gx/en/industries/healthcare/top-health-industry-issues.html)
- [PWC - Top Issues 2018](https://www.pwc.com/us/en/health-industries/assets/pwc-health-research-institute-top-health-industry-issues-of-2018-report.pdf)
- [3 challenges for healthcare IT](https://www.healthdatamanagement.com/opinion/how-3-major-challenges-will-shape-healthcare-it-in-2018)
- [Four IT Challenges for healthcare in 2018](https://thedoctorweighsin.com/four-it-challenges-facing-healthcare-organizations-in-2018/)
- [Top IT issues in 2018](https://web.archive.org/web/20200606205436/https://www.advisory.com/research/health-care-it-advisor/it-forefront/2018/01/top-it-2018)
- [How GitLab can help HIPAA compliance](https://about.gitlab.com/solutions/hipaa-compliance/)

### Oil & gas/energy

| Challenge | GitLab Helps |
| --------- | ------------ |
| **Digital Oilfield** |  Speed and velocity to innovate            |
| **Efficiency in an dynamic commodity market**  |  Speed to innovate and automation to reduce costs            |
| **Need for scalable compute to process big data** |  GitLab support for kubernetes            |

- [IBM - Oil and Gas exploration](https://web.archive.org/web/20180329093111/https://www-935.ibm.com/services/us/gbs/bus/pdf/g510-3882-meeting-challenges-oil-gas-exploration.pdf)
- [CXO Insights - Oil and Gas Tech Challenges](https://web.archive.org/web/20220123120654/https://smart-grid.energycioinsights.com/cxo-insights/how-technology-is-changing-the-oil-and-gas-landscape-for-the-better-nwid-51.html)
