---
title: "PMM Metrics"
---

## Objective:  Manage and track the velocity of the PMM team

At GitLab, we ship MVC and iterate quickly to deliver value.  The true measure of product marketing is in how effectively customers are able to understand how GitLab can help solve their problems.  We aspire to measure the value of our activities, but the first start is capturing and tracking our activities. (which hopefully are aligned to business value)

### Approach

We intend to use GitLab to capture key PMM activities / deliverables in order to track, visualize, and measure our velocity.   We will use labels to clearly tag specific issues as they relate to the following high level PMM activities:

For MVC, we'll start with a handful of exclusive TOP level project labels in the [Product Marketing project](https://gitlab.com/gitlab-com/marketing/product-marketing)

| Topic  | Details  |  Label |
|----|---|---|
| Analyst Relations | briefings, reports, inquiry | pmm::AR |
| Customer Relations | CAB, case studies | pmm::Cust |
| Collateral | whitepapers, datasheets, roi models | pmm::Collateral |
| Enablement | sales,xdr, partner, etc | pmm::Enable |
| Events | Physical and virtual events: speaking, booth, writing abstracts, etc | pmm::Event |
| Research | market research, drafting studies, documenting  | pmm::Research |
| Presentation  |  building, and updating decks pitch deck, product deck, etc    | pmm::Deck |
| PR | briefing, press release, etc  | pmm::PR |
| Sales Support  | Specific sales support meetings, slides,  etc   |  pmm::Sales  |
| Web updates  |  Web content such as: handbook, product page, solution page, blogs, etc  |  pmm::Web  |

### Reporting and Tracking

1. We have a quarterly milestone to track PMM quarterly work.
1. We also can set up an Insights dashboard using [GitLab Insights](https://docs.gitlab.com/ee/user/project/insights/) which will give us visibility into work completed.  Such as:
![Stacked Bar](https://docs.gitlab.com/ee/user/project/insights/img/insights_example_stacked_bar_chart_v11_10.png)

or

![bar chart](https://docs.gitlab.com/ee/user/project/insights/img/insights_example_bar_time_series_chart_v11_10.png)
