---
title: "Product Marketing Professional Development"
---

## The PMM Role

The Handbook's [Product Marketing Manager Role Page](/job-families/marketing/product-marketing-manager/) outlines the key responsibilities of your role. This page will discuss the ways in which you can measure and improve your performance in that role and develop yourself as a Marketer and [GitLab Team Member](/handbook/communication/top-misused-terms/).

## Career Development Within Product Marketing

## Product Marketing & Solutions Architects

**Quarterly Rotation Pilot Program**

**Context:** We want GitLab to be a place where everyone can build their careers and have a big impact for our customers and the business. In this spirit, we are testing a rotation program between the Product Marketing team and the Solutions Architects team. The goals of this program are:
Expose high performing teammates to new skills and experience in different areas of the business.
Enable teammates to apply their experience to a new area, offering diversity of thought and a fresh perspective.
Help teammates see how different roles contribute to unified company goals.
Create cohesion between teams.
Create an onramp to new roles as opportunities arise.

**Details:**
The rotation program will be scoped at 3 months, starting at the beginning of the quarter in order to reduce disruption.
The rotation may include a percentage of time where the SA still works on their SA tasks – the majority of time, however, should be spent in product marketing
Team member(s) participating in the rotation will be 'embedded' with the product marketing team. They will attend all PMM meetings including 1:1s with team leaders.
Product Marketing will provide specific areas of focus (e.g. competitive intel) and projects (e.g. persona development, competitive benchmarking) at the beginning of the rotation.
We will not change official reporting structure (e.g. Workday) during the rotation
Participation in the rotation program does not change compensation structure
At the end of the rotation, there may be an opportunity to join the product marketing team should there be (1) available headcount and (2) ongoing consistent performance during the rotation.

**Desired Outcomes for GitLab and the involved teams and individuals:**

- To promote our values through internal mobility and contribute to long term career aspirations of the team members
- To cross functionally collaborate and drive outcomes for respective teams involved including but not limited to through evangelism - writing blogs, sharing experience, recording day in the lives videos

**Eligibility/How to participate:**

- The rotation program will only be available to teammates with strong performance, and who have been in their current role for at least 1 year.
- For the pilot program in Q2 FY25, SA and Product Marketing will be nominating a team member to participate and will establish learnings to iterate on the program for future quarters.
- All team members interested in future rotations should have completed an IGP with their manager, and indicate interest through their manager and to SA leadership.
- SA and Product Marketing leadership will review interested candidates, along with the SA team's ability to support the rotation due to workload requirements, in the month prior to the beginning of each quarter.
- Candidates will go through an interview process with the VP, Product Marketing to understand background, experience and interest areas in the rotation program.
- The experience will be tailored on a case by case basis matching 1. The needs for the business, and 2. The interest from the rotation candidate. For example:
- A set of deliverables associated with Competitive Intelligence. For example: Revamp competitive messaging/content against GitHub
- Re-cast the buyer persona documentation with full rollout across GTM.
- Conduct new hire Competitive Intel onboarding
- Maintain Crayon, our Competitive Intel platform.

## Topics/Resources  (sections with suggested resources/links)

Below are a list of resources and links to suggested professional development tools and resources:

### Domain Specific Resources (SDLC/DevOps)

1. Agile (scrum,kanban, etc)
   1. **Videos and Webpages**
      - [GitLab Agile Delivery](https://about.gitlab.com/solutions/agile-delivery/)
      - [Scrum.org- What is Scrum](https://www.scrum.org/resources/what-is-scrum)
      - [What is Kanban](https://www.digite.com/kanban/what-is-kanban/)
   1. **Courses:**

   1. **Conferences:**

1. DevOps
   1. **Videos and Webpages**
      -[GitLab DevOps](https://about.gitlab.com/topics/devops/)
       (Specifically the resources list at the bottom)
   1. **Courses:**

   1. **Conferences:**

1. Software Programming

### Product Marketing specific resources

1. Product Marketing

1. Public Speaking

1. Storytelling

### Marketing in general
