---
title: "GitLab tiers for sales assessment"
---

## Tiers

### High Level Overview

- [Deployment Options](https://about.gitlab.com/features/): Self Managed and SaaS
- [Pricing Philosophy](/handbook/company/pricing/#buyer-based-tiering-clarification): We decide which feature goes into which tier based on the buyer.

|  | Free | Premium | Ultimate |
| ------------------------------  | ----------- | ---------------   | ---------------- | ---------------- |
| **Likely Buyer** | Individual Contributor | Manager or Director | Executive |
| **Support** | None | Priority support | Priority support |
| **Version upgrade assistance** | No | Yes | Yes |
| **Dedicated Customer Success Manager** | No | Yes | Yes |
| **SDLC coverage** | Basic | Complete coverage less Secure & Protect |  Complete coverage |
| **Version Control & Collaboration** | Yes | Yes | Yes |
| **Portfolio management capabilities** | No | Yes | Yes |
| **CI/CD** | Better suited for single developers | Ideal for multiple teams | Ideal for large teams and/or multiple teams |
| **External code repo support with GitLab CI/CD** | No | Yes | Yes |
| **DevSecOps** | No | No | Yes |
| **End to end Insights and Analytics** | No | Yes | Yes |
| **Enterprise Readiness** (High Availability, Disaster Recovery, Geo Replication support) | No | Yes | Yes |
| **Enterprise Readiness** (Compliance, Audit logs & Separation of Duties (SoD) | No | Yes | Yes |
| **Compute minutes per group** (SaaS only) | 400 |  10,000 |  50,000 |
| **Storage Limits per project** (SaaS only)| 10GB |  10GB |  10GB |

### Tier Feature Composition

Below table shows new capabilities added per tier.

For further details on individual feature - visit [Why starter](https://about.gitlab.com/pricing/premium/), [Why premium](https://about.gitlab.com/pricing/premium/), [Why ultimate](https://about.gitlab.com/pricing/ultimate/) pages.

|  | New in [Premium](https://about.gitlab.com/pricing/premium/) | New in [Ultimate](https://about.gitlab.com/pricing/ultimate/) |
| ------- | ---------------   | ---------------- | ---------------- |
| **Version Control & Collaboration** |  *Granular permission setting via multiple approvers, merge approvals, code owners <br>* Optimize contribution via contributor analytics <br> *Code Quality and visual reviews <br>* Design Management <br> *Web IDE and WYSIWYG Markdown Editor <br>* Improve Developer Productivity via Productivity Analytics , Merge Request Reviews, Group and File Templates | |
| **Agile Planning** | *Team Collaboration via Issue weights, multiple assignees, burndown charts and related issues <br>* Streamline project planning with Roadmaps, Single Level Epics, Group backlog management, Group issue, assignee and milestone boards, issue analytics | *Plan enterprise wide initiatives with multi level epics <br>* Improve developer efficiencies with project insights |
| **CI/CD** | *Collaboration for small teams - Code Owners, Push rules, Merge Approvals <br>* Deploy with confidence with Operations Dashboard, Pipeline dashboard, Merge trains, Multi Project Pipelines, Protected Environments and browser performance testing |  |
| **DevSecOps** | |  *Shift security left with SAST, DAST, Dependency scanning, container scanning within your CI/CD pipeline itself <br>* Visualize security status of each project with Security Dashboard |
| **Enterprise Readiness** | *Authentication and Authorization via multiple LDAP, AD server support, Kerberos authentication <br>* High Availability, Disaster Recovery and Geo Replication <br> *Manage compliance with audit logs, auditor users, MR reviews |* Ease of compliance with credentials management, license compliance and compliance dashboards <br> *Free guest users to control your license consumption |
| **Support** |* Enterprise level support with priority support, CSM and upgrade assistance | {Same as premium} |

### Customer License FAQs

The detailed customer license FAQ including questions around how to add users, how to upgrade / downgrade, is available [here](https://about.gitlab.com/pricing/licensing-faq/)

### Sales FAQs

- **My customer is on GitLab Free. What tier should I upgrade them to?**
A: If your customer is an enterprise customer OR is a company that is concerned about enterprise level features like compliance, HA/DR etc - you should upgrade them to at least the Premium tier. See the [top 10 reasons to NOT sell Starter/Bronze](https://docs.google.com/presentation/d/1pJ3qrDh7fd4UQ9njs1K4LrQG2UL2TwlWUJjPGgQrmS0/edit#slide=id.p) to your customer.

- **My customer thinks that the price jump between tiers is too high. How do I counter this?**
A: GitLab tiers add features/value progressively in the tiers. The key value of premium is its enterprise level support, enterprise readiness features and DevOps features required for growing and multiple teams. The key value of Ultimate is Security. If a customer chooses to purchase  products from different vendors for the same usecases, the multiple / cost of ownership is significantly higher. See our ROI calculators and TEI reports for more justification.

- **How does the true-up process work?**
A: If a customer has added additional users during their subscription period, at renewal or annually (whichever comes first), the customer will need to provide the number of added users. These additional users will be billed for the entire year - irrespective of when the customer added the additional users.

- **GitLab moved features down to a lower tier and now my customer would like to downgrade their Tier as they see enough value in the lower tier**
A:
