---
title: "QBR Support"
---

## Strategic QBR Support

At GitLab, we conduct quarterly business reviews to understand and learn from our interactions with customers.  In Product and Solution Marketing, we support the QBR process and actively listen to both capture key learnings and to identify future actions that we can take to improve our messaging, positioning, and collateral to help our sales team help customers.

### Overview

1. We attend and participate in each QBR.
2. In the QBR, we capture action items
   - first in a single SM Action Item google doc, and
   - then we create an issue to track the action item using the SM Request Process <link>

### Details  - as a QBR attendee

1. Open the QBR action tracking document
1. Scroll to the QBR meeting that you are supporting  (the document should be preloaded with the agenda and key links)
   1. If needed, add links to the **QBR Detailed Notes Document** (where live notes are captured), and **link to the Slides Folder**, and **individual rep Slides**
1. Listen for **specific** strategic marketing requests or action items.   Capture the action item in the google doc in as much detail as you can.  Ask questions and get clarification - that's why you're in the QBR
1. Click on the [Create Product and Solution Marketing QBR Action Issue](https://gitlab.com/gitlab-com/marketing/product-marketing/issues/new?issuable_template=QBR-Action-Item) link
1. Update the title of the issue using the Quick Action  '/title' on line 2.
1. Write the issue in detail about what, who and why they need support.  (Avoid ambiguous, vague, and non-actionable issues)
1. After you submit the issue.  Copy the issue link and add it to the Action Item Document.

## QBR Set up

1. Work with the Sales Ops / Sales Enablement team to determine the QBR schedule. When, where, and who is speaking.  Get links to the folder where the QBR slides will be stored.
1. Create an EPIC at the Marketing Group level to track QBR action items.
1. Set up the Action Item Document
    1. Make a copy of the [Product and Solution Marketing QBR Action Item template](https://docs.google.com/document/d/11I85raEvjeoVwQd1LeRtGHeW2DGN3hi7L-BwDzwKIVA/edit#),  which is stored in this [folder](https://drive.google.com/drive/folders/1KpXA8KqHFhenhO2ZshTINOK1g4pHnLf0).
    1. Name Action Document "FYXX -QN - QBR Product and Solution Marketing Action Item"  - where the FY and Quarter are for the upcoming quarter.
    1. Move the Action Document to the correct FY folder.
    1. Open the Action Document for editing and:
       1. Update the Title "FYNN-QN" with the current FY and Quarter
       1. At the bottom of Page 1 - Update the LINKs to the **QBR Master Schedule**, the **QBR Slide Folder (top level)**, and the **Epic** that will be used to track QBR items

**For EACH QBR Meeting**:
       1. Create a copy Page 2 (The section for each QBR action items) for EACH QBR Meeting.
       1. Update the Header "Date-Region" to be the specific date and Region.
       1. Add the link to the QBR Notes Document (If it exists yet)
       1. Add the link to the QBR Slides folder for THIS SPECIFIC QBR.
       1. From the QBR Agenda, update the Agenda Outline with the reps names in the order they are presenting.
       1. IF their slides are loaded in the folder, Update their Name to include a link to their specific slide deck.

1. Update the `QBR-Action-Item` [issue template](https://gitlab.com/gitlab-com/marketing/product-marketing/blob/master/.gitlab/issue_templates/QBR-Action-Item.md) in the **Product Marketing** Project
    1. Change the LINK to the Action Items Doc to point to the document you just created
    1. Change the LINK to the Epic to point to this quarter's QBR EPIC
    1. Change the LABEL quick action to match the QBR FY/Quarter
