---
title: "Product Release Updates"
---

## Current updates

### Internal: Contribute 2021

For GitLab team members only, Product leadership presented a [Product Keynote 2021-11-16 at Contribute 2021, with a recording of the video available in EdCast](https://gitlab.edcast.com/insights/prepared).

the deck presented, also internal:

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/14moh7hjCMO02ABavsrBXr5lnzdeZd9F67Hd8FkoSy6U/embed?start=false&loop=false&delayms=3000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure>

### 14.1–14.4 Sales enablement

See also: [upcoming sessions](/handbook/sales/training/sales-enablement-sessions/#upcoming-training) in the Sales Enablement handbook. The Q3 FY22 Product Update was 2021-11-04, and embedded below are internal versions of [the video](https://www.youtube.com/watch?v=z6hFnUtm2Gk) and [deck presented](https://docs.google.com/presentation/d/1WECT2c2d7FmfjR0woYhU-PY0FjFl8a54Y_DbQE3yinA/edit?usp=sharing). *Here are links to the external versions of: [the video recording](https://www.youtube.com/watch?v=BSxhSrzhJeQ) and [the deck presented](https://docs.google.com/presentation/d/1IfsxSGsZqx0tyNAW4L5noMAtMLx1LBR26xrvSN3X5jk/edit?usp=sharing).*

<figure class="video_container">
<iframe width="560" height="315" src="https://www.youtube.com/embed/z6hFnUtm2Gk" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure>

and deck (internal):

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/1WECT2c2d7FmfjR0woYhU-PY0FjFl8a54Y_DbQE3yinA/embed?start=false&loop=false&delayms=3000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure>

Covering these releases:

- 2021-10-22 [GitLab 14.4 released with Scheduled DAST scans and Integrated error tracking](https://about.gitlab.com/releases/2021/10/22/gitlab-14-4-released/)
- 2021-09-22 [GitLab 14.3 releases Project Security Policies & Next Gen SAST](https://about.gitlab.com/releases/2021/09/22/gitlab-14-3-released/)
- 2021-08-22 [GitLab 14.2 released with the Build Cloud for macOS beta and Markdown preview](https://about.gitlab.com/releases/2021/08/22/gitlab-14-2-released/)
- 2021-07-22 [GitLab 14.1 released with Helm Chart Registry and Escalation Policies](https://about.gitlab.com/releases/2021/07/22/gitlab-14-1-released/)

### Commit Virtual 2021: Product sessions

Product Keynote: [Innovating Together on the Next Generation of DevOps](https://www.youtube.com/watch?v=jNE-lvpDeoc&list=PLFGfElNsQthYrsUB5l2O6tuNk2cc-1wdO), [(deck, GitLab-internal)](https://docs.google.com/presentation/d/1NmiMn0dogvaidA8Ol5LTG-ixHWB9htZtq6dIHe5u0Pw/edit?usp=sharing), 2021-08-04

<figure class="video_container">
<iframe width="560" height="315" src="https://www.youtube.com/embed/jNE-lvpDeoc" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure>

[The Next Iteration of DevOps, GitLab CEO Keynote](https://www.youtube.com/watch?v=Wx8tDVSeidk&list=PLFGfElNsQthbEvHYa2pCK36kmKKuJercw) with Sid Sijbrandij, 2021-08-03

<figure class="video_container">
<iframe width="560" height="315" src="https://www.youtube.com/embed/Wx8tDVSeidk" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure>

[What the ML is up with DevOps and AI? A ModelOps Overview](https://www.youtube.com/watch?v=7mUgGFgab4E&list=PLFGfElNsQthbvvLUpPd5uNXbLb6B_6D2w), 2021-08-04

<figure class="video_container">
<iframe width="560" height="315" src="https://www.youtube.com/embed/7mUgGFgab4E" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure>

### Recent releases

For a list of all release posts including patch releases, see [this blog category, 'releases'](https://about.gitlab.com/releases/categories/releases/).

Find future releases, with their most important features flagged, on [Product's upcoming releases page](/upcoming-releases/). You can also see [upcoming features for paid product tiers, listed by tier](https://about.gitlab.com/direction/paid_tiers/).

Information about the release currently running on GitLab SaaS is at [the GitLab SaaS release page](https://about.gitlab.com/releases/gitlab-com/).

## Past updates

### 13.8–14.0, GitLab 14 Sales enablement

The Q2 FY22 Product Update was 2021-07-08:

<figure class="video_container">
<iframe width="560" height="315" src="https://www.youtube.com/embed/_DC-Cdd-RNY" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure>

We focused on GitLab 14 but covered all versions since SKO, with [this presentation](https://docs.google.com/presentation/d/1CqCVool3S6rrnSOoQ6c0YL2vXxfnBAdMsAx7OatXLb4/edit?usp=sharing):

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/1CqCVool3S6rrnSOoQ6c0YL2vXxfnBAdMsAx7OatXLb4/embed?start=false&loop=false&delayms=3000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure>

Covering these releases:

- 2021-06-22 [GitLab 14.0 released with a celebration of GitLab 14](https://about.gitlab.com/releases/2021/06/22/gitlab-14-0-released/)
- 2021-05-22 [GitLab 13.12 released with On-Demand DAST and Deployment Frequency Chart](https://about.gitlab.com/releases/2021/05/22/gitlab-13-12-released/)
- 2021-04-22 [GitLab 13.11 released with Kubernetes Agent and Pipeline Compliance](https://about.gitlab.com/releases/2021/04/22/gitlab-13-11-released/)
- 2021-03-22 [GitLab 13.10 released with Admin Enhancements and Vulnerability Management](https://about.gitlab.com/releases/2021/03/22/gitlab-13-10-released/)
- 2021-02-22 [GitLab 13.9 released with a Security Alert Dashboard and Maintenance Mode](https://about.gitlab.com/releases/2021/02/22/gitlab-13-9-released/)
- 2021-01-22 [GitLab 13.8 released with a Pipeline Editor and DORA metrics](https://about.gitlab.com/releases/2021/01/22/gitlab-13-8-released/)

### 13.4–13.7 SKO Product Keynote

The [SKO Product Keynote video](https://gitlab.edcast.com/insights/keynote-product) and [the deck presented](https://docs.google.com/presentation/d/1NunKRuZBnDcZi0k_N5-NQBvdy5X5ZaV4a1Qf7w126qs/edit?usp=sharing) in 2021-02 are GitLab-internal only.

There was a focus on these releases, along with more from fiscal 21 and a look ahead:

- 2020-12-22 [GitLab 13.7 released with merge request reviewers and automatic rollback upon failure](https://about.gitlab.com/releases/2020/12/22/gitlab-13-7-released/)
- 2020-11-22 [GitLab 13.6 released with Auto Deploy to EC2 and Usage Trends Dashboard](https://about.gitlab.com/releases/2020/11/22/gitlab-13-6-released/)
- 2020-10-22 [GitLab 13.5 released with Mobile App Sec, Group Wikis, and more!](https://about.gitlab.com/releases/2020/10/22/gitlab-13-5-released/)
- 2020-09-22 [GitLab 13.4 released with Vault for CI variables and Kubernetes Agent](https://about.gitlab.com/releases/2020/09/22/gitlab-13-4-released/)

### 13.0–13.3 Sales enablement

The Q3 FY21 Product Release Update was 2020-08-20:

<figure class="video_container">
<iframe width="560" height="315" src="https://www.youtube.com/embed/Wldab4cx9OE" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure>

The content was updated with more information on use of the GitLab Value Framework, including in [this presentation](https://docs.google.com/presentation/d/1GHePaoupd-4CMbwY2qyySba908ukTUHLgGyyV9lDZyY/edit?usp=sharing):

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/1GHePaoupd-4CMbwY2qyySba908ukTUHLgGyyV9lDZyY/embed?start=false&loop=false&delayms=3000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure>

Covering these releases:

- 2020-08-22 [GitLab 13.3 released with coverage-guided fuzz testing and a build matrix for CI/CD](https://about.gitlab.com/releases/2020/08/22/gitlab-13-3-released/)
- 2020-07-22 [GitLab 13.2 released with Planning Iterations and Load Performance Testing](https://about.gitlab.com/releases/2020/07/22/gitlab-13-2-released/)
- 2020-06-22 [GitLab 13.1 released with Alert Management and Code Quality Enhancements](https://about.gitlab.com/releases/2020/06/22/gitlab-13-1-released/)
- 2020-05-22 [GitLab 13.0 released with Gitaly Clusters, Epic Hierarchy on Roadmaps, and Auto Deploy to ECS](https://about.gitlab.com/releases/2020/05/22/gitlab-13-0-released/)

### 12.9–13.0 Sales enablement

The Q2 FY21 Product Release Update was 2020-06-04:

<figure class="video_container">
<iframe width="1027" height="642" src="https://www.youtube.com/embed/36-G7teGhwY" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure>

With this presentation:

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/1NvRHQ8kgOdaaMJo8nnKw9ZzMJHbyDylNMFO1aErO7IA/embed?start=false&loop=false&delayms=3000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure>

Covering these releases:

- 2020-05-22 [GitLab 13.0 released with Gitaly Clusters, Epic Hierarchy on Roadmaps, and Auto Deploy to ECS](https://about.gitlab.com/releases/2020/05/22/gitlab-13-0-released/)
- 2020-04-22 [GitLab 12.10 released with Requirements Management and Autoscaling CI on AWS Fargate](https://about.gitlab.com/releases/2020/04/22/gitlab-12-10-released/)
- 2020-03-22 [GitLab 12.9 released with Vault App, Code Quality Reports and Group Deploy Tokens](https://about.gitlab.com/releases/2020/03/22/gitlab-12-9-released/)

### 13.0 Launch

GitLab 13.0 was launched on 2020-05-22 with [this release blog post](https://about.gitlab.com/releases/2020/05/22/gitlab-13-0-released/). The major release launch featured this video of Scott Williamson, then CPO, sharing 13.0 highlights and insight into key drivers of our product strategy:

<figure class="video_container">
<iframe width="1198" height="674" src="https://www.youtube.com/embed/dStIhTP1ckg" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure>

### Version 12 Year in Review

Leading into the GitLab 13.0 launch, [this blog post, including a video and slide deck](https://about.gitlab.com/blog/2020/05/21/version-12-year-in-review/) reviewed versions 12.0–12.10.

Major product themes are more apparent over this year of GitLab versions than they generally are in one month or quarter. For GitLab 12.x, these include "treating developers, security, and operations alike as first-class citizens in DevOps" and expanding the definition of DevOps and its practitioners, for example by building in Design Management and Requirements Management.

### 12.3–12.8 Sales enablement

This product release update covered 12.3–12.8 for FY21 Q1 and FY20 Q4, and was delivered 2020-02-27:

<figure class="video_container">
<iframe width="1174" height="642" src="https://www.youtube.com/embed/REF_-mEs4zc" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure>

With this presentation:

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/18__GhONqgBzoi-rMmyUat1wzemz1mU3OdiJ3W2fb6kg/embed?start=false&loop=false&delayms=3000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure>

And in [these meeting notes](https://docs.google.com/document/d/1q35EN6PkbhM7uoHGDHdmWK7RyhLa3JPlPDvJdmaaxlw/edit?usp=sharing), covering these six releases:

- 2020-02-22 [GitLab 12.8 released with Log Explorer, NuGet, and Compliance](https://about.gitlab.com/releases/2020/02/22/gitlab-12-8-released/)
- 2020-01-22 [GitLab 12.7 released with Parent-Child Pipelines and Windows Shared Runners Beta](https://about.gitlab.com/releases/2020/01/22/gitlab-12-7-released/)
- 2019-12-22 [GitLab 12.6 released with Security Scorecard and Release Evidence](https://about.gitlab.com/releases/2019/12/22/gitlab-12-6-released/)
- 2019-11-22 [GitLab 12.5 released with EKS Cluster Creation & Environments Dashboard](https://about.gitlab.com/releases/2019/11/22/gitlab-12-5-released/)
- 2019-10-22 [GitLab 12.4 released with improved Merge Request Dependencies and Audit API](https://about.gitlab.com/releases/2019/10/22/gitlab-12-4-released/)
- 2019-09-22 [GitLab 12.3 released with Web Application Firewall and Productivity Analytics](https://about.gitlab.com/releases/2019/09/22/gitlab-12-3-released/)

### 12.0–12.2 Sales enablement

Our first-ever quarterly, sales-focused product release update covered 12.0–12.2 for FY20 Q3 in 2019-08. [This recording on GitLab Unfiltered](https://www.youtube.com/watch?v=y2KrovJD76Q) shares highlights and analysis from [the shared notes document](https://docs.google.com/document/d/1T3Zsj90TkLD0wXXjsWQ6EhuEhtyzjXKd1EOhbxZGI3g/).

In addition to product highlights, the session called out new business value and selling opportunities in Ultimate or Premium, along with what to expect in GitLab 12.3–12.5.

Releases covered:

- 2019-08-22 [GitLab 12.2 released with Directed Acyclic Graphs for Pipelines and Design Management](https://about.gitlab.com/releases/2019/08/22/gitlab-12-2-released/)
- 2019-07-22 [GitLab 12.1 released with Parallel Merge Trains and Merge Requests for Confidential Issues](https://about.gitlab.com/releases/2019/07/22/gitlab-12-1-released/)
- 2019-06-22 [GitLab 12.0 released with Visual Reviews and Dependency List](https://about.gitlab.com/releases/2019/06/22/gitlab-12-0-released/)

### 12.0 Launch

The GitLab 12.0 launch included a livestreamed program: [11.0 to 12.0: How we got to DevSecOps in a single application](https://www.youtube.com/watch?v=ZopqBQQOK20), and in that, an Ask Me Anything featuring GitLab CEO Sid Sijbrandij.

> GitLab 12.0 marks a key step in our journey to create an inclusive approach to DevSecOps, empowering 'everyone to contribute'.
>
> We believe everyone can contribute, and we've enabled cross-team collaboration, faster delivery of great code, and bringing together Dev, Ops, and Security.

Read more in the 12.0 release blog post: [GitLab 12.0 released with Visual Reviews and Dependency List](https://about.gitlab.com/releases/2019/06/22/gitlab-12-0-released/).

### Version 11 Year in Review

GitLab's Version 11 year in review provided an overview of what we released, 11.0 to 12.0 as we moved into DevSecOps:

<figure class="video_container">
<iframe width="1141" height="642" src="https://www.youtube.com/embed/sboJfUylJFA" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure>

### 11.0 Launch

The theme of our 11.0 launch was [Auto DevOps](https://about.gitlab.com/stages-devops-lifecycle/auto-devops/) (as it had been for 10.0):

> Beyond making it easy to host and collaborate on public and private repositories, GitLab also simplifies the rest of the process by offering the whole delivery toolchain, built in. And now, it's not only built in, it's automated. Simply commit your code and Auto DevOps can do the rest. Auto DevOps is a pre-built, fully featured CI/CD pipeline that automates the entire delivery process.

Read more in the 11.0 release blog post: [GitLab 11.0 released with Auto DevOps and License Management](https://about.gitlab.com/releases/2018/06/22/gitlab-11-0-released/).

### 10.0 Launch

The theme of our 10.0 launch was [Auto DevOps](https://about.gitlab.com/stages-devops-lifecycle/auto-devops/):

> From the formulation of an idea to executing and monitoring it in production, DevOps establishes a culture and environment where developing, testing, and releasing software can happen quickly, frequently, and more reliably.
>
> GitLab 10.0 delivers a hands-free DevOps environment with the introduction of Auto DevOps, allowing your team to easily configure and adopt modern development practices in your workflow.

Read more in the 10.0 release blog post: [GitLab 10.0 released with Auto DevOps and Group Issue Boards](https://about.gitlab.com/releases/2017/09/22/gitlab-10-0-released/).

## Planned updates

Product Marketing delivers quarterly product release update Sales enablement sessions. These are aligned with the product year, beginning with annual, major releases like 14.0 on 2021-06-22, which dovetailed with the GitLab 14 product launch. Major releases and launches may include looks back and forward, such as a "year in review" blog post.

Monthly release blog posts continue to announce monthly releases with Product Marketing support, though the introductions to release posts are now brief. Customer value-add is now described in the content blocks for headline and key features, in the body of each release post.

Version 14 enablements will include a GitLab 14 internal session for the Field, public Commit Virtual 2021 keynotes and talks that are product-related, a 14.1–14.4 quarterly session, and the FY23 SKO product keynote. We may also have an FY23Q2 session leading into the launch of GitLab 15.

*GitLab's annual, major release may move a month forward or back as needed. We moved Version 13 forward one month, leaving Version 12's last release as 12.10 rather than 12.11, to track our product year quarters with those of our fiscal year. We later added version 13.12 to the product year, shipped on 2021-05-22 and moving 14.0 back to 2021-06-22.*

## Purpose

Product Marketing delivers quarterly and annual, sales-centric updates of:

- How recent product releases enhance GitLab's value proposition for solving customers' business problems
- How these releases enhance the value of Premium and Ultimate
- What is coming in the next quarter

This page merges release resources from Product and Marketing with related Sales Enablement pages, videos, and presentations. A "[handbook-first](/handbook/about/handbook-usage/#why-handbook-first)" approach makes resources more findable and usable by Sales or anyone interested, and provides a stronger foundation for learning.
