---
title: Solutions Go-to-market
---

## Solutions and Value Plays

Solutions are a product or suite or products and services that business purchase to solve business problems. They are typically categorized into 3 buckets that address

1. Market segment requirements (e.g. DevOps platform solution). Ours are outlined below with more details [here](/handbook/marketing/use-cases/)
1. Industries/verticals requirements (e.g. Pub Sec, High Tech, Retail)
1. Business segment requirements (e.g. enterprise vs SMB)

Relevant solutions will differ by audience.

- **C-level executives** care about broad business solutions, often characterized by well-funded strategic business initiatives - things that help them improve productivity, reduce cost, or deliver value faster - things that align with Command of the Message [Customer Value Drivers](/handbook/sales/command-of-the-message/#customer-value-drivers). The C-level audience are important influencers who set an organizations agendas, strategic objectives, and fund major IT initiatives.
- **DevOps buyers** are tasked with determining HOW to meet the transformational business objectives backed by their C suite. They likely have a budget to buy or replace specific DevOps capabilities (like CI) and the more Directors and VPs often look at the bigger picture of how to simplify a complex DevOps environment.
- **DevOps users** are tasked with using the tools to make the transformation happen. They care about how a given tool makes their job easier, their time more productive, and their code more secure.

A picture may help convey the **Solution Framework**.

![Solution Framework](Solution-framework.png)

One of the most common of these sweeping initiatives is **Digital Transformation**. The Enterprise Project provides a useful [definition of Digital Transformation](https://enterprisersproject.com/what-is-digital-transformation): "Digital transformation is the integration of digital technology into all areas of a business, fundamentally changing how you operate and deliver value to customers.".

A **Digital Transformation** initiative is typically executed through a set of strategic business solutions. [Research in November 2021](https://gitlab.com/gitlab-com/marketing/strategic-marketing/product-marketing/-/issues/5787#note_740205135), showed that C-level executives are concerned most with these **Digital Transformation Solutions**:

| Strategic Solution | primary objective | exec sponsor | characteristics |
| ----- | ----- | ------ | ---- |
| 1. **Security and compliance** | understand and manage risk | CISO or CTO | requires technology and process transformations |
| 1. **Cloud transformation** | gain business agility | line-of-business VP (LOB) or CTO | often technology-focused with adoption of cloud, containers, Kubernetes, IaC |
| 1. **Application modernization** | improve software time-to-market | CTO | often process-focused with DevOps, Agile, velocity, VSM |

## Connecting solutions to value plays

These transformative solutions must get connected to DevOps initiatives where GitLab is established. It's important to guide prospects from broad ideas down to specific actions, budgets, and sales opportunities. We do this via **core DevOps GTM solutions** where we articulate a message of how we help customers achieve positive business outcomes, and where we align sales efforts (Value plays and revenue programs) and marketing campaigns (such as digital ads, email campaigns, nurture, events), to focus on opportunities where we have the greatest likelihood of success. By providing a solutions framework and capturing steps in value plays, we expect to achieve repeatable, predictable sales outcomes with metrics that help us optimize marketing spend for greatest impact.

GitLab customers can purchase these solutions by working directly with our sales teams or by working with our Channel Partners and Technology Alliance Partners. Partners support GitLab customers by offering services that deliver DevOps solutions. The **core DevOps solutions** and the **value plays** each supports include:

- **[Software Security](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/)**
- **[Software Compliance](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/compliance/)**
- **[Automated Software Delivery](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/delivery-automation/)**
- and cumulatively, The DevSecOps **[Platform](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devops-platform/)**.

## Which solution to use for which persona

The core DevOps solutions are communicated to sales via **Solutions Selling** in [HighSpot](https://gitlab.highspot.com/spots/615dd7e3911d70c4887812a7).

Understanding which solution to apply where requires consideration of the persona/audience. The matrix below suggests which conversation is best for which persona as a recommended starting point.

| Persona / Primary initiative | Security & Compliance | Cloud Transformation | App Modernization |
| ---- | ---- | ---- | --- |
| **CIO, CTO, CISO** | [Software Compliance](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/compliance/) | [Platform](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devops-platform/) | [Platform](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devops-platform/) |
| **Dev/LOB** | [DevSecOps](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/) | [Automated Software Delivery](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/delivery-automation/) | [Automated Software Delivery](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/delivery-automation/), [DevSecOps](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/) |
| **Security** | [DevSecOps](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/) | [Software compliance](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/compliance/) |[DevSecOps](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/), [Software compliance](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/compliance/) |
| **Ops** | [Software compliance](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/compliance/) | [Platform](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devops-platform/) | [Automated Software Delivery](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/delivery-automation/) |
| **Risk/legal/CFO** | [Software compliance](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/compliance/) | [Software compliance](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/compliance/) | [Software compliance](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/compliance/) |

## DevOps Solution DRIs and key links

|  | **Automated Software Delivery** | **Security/DevSecOps** | **Compliance** | **Platform** |
| --- | ----------- | ------------------ | ----------- | -------------- |
| **PMM** | TBH Saumya Upadhyaya as placeholder | Brian Mason | Brian Mason |  Saumya Upadhyaya |
| **TMM** | Itzik | Fern | Fern |  William Arias |
| **PM** | Jackie Porter | Hillary Benson | Hillary Benson | Mike Flouton / Justin Farris |
| **Resource page** | [Automated Software Delivery](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/delivery-automation/) | [DevSecOps page](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/) | [Compliance](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/compliance/) | [Platform](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devops-platform/) |
| **Solution page** | [Automated Software Delivery solution](https://about.gitlab.com/solutions/delivery-automation/) | [DevSecOps solution](https://about.gitlab.com/solutions/dev-sec-ops/) | [Compliance solution](https://about.gitlab.com/solutions/compliance)  | [GitLab home page](https://about.gitlab.com/platform) |
| **Highspot page** | Automated Software Delivery | Software Security | Software Compliance | DevSecOps Platform |

## Use cases

Within the core DevOps solutions, are use cases. These topics may be hot in the market (like Security), or associated use cases with GitLab (like SCM). They may attract interest for a conversation with a prospect. Conversations about these capabilities may open the door (as a wedge) to broader conversations that align to value plays - typically leading to either the platform solution or Automated Software Delivery solution.

Examples include:

- **[Source Code Management](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/version-control-collaboration/) (SCM)**.
- **[Continuous integration](https://about.gitlab.com/features/continuous-integration/)**
- **[GitOps](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/gitops/)**

The Customer Success Managers (CSMs) are goaled on expanding an existing customer's adoption of GitLab use cases, as measured by use case adoption. Mapping use cases to stages helps the CSMs know which use case material to apply.

### Use cases DRIs and key links

| **Use case** | **PMM** | **PM**  | **Handbook** | **Adoption guide** | **Highspot page** |
|-------------|---------|---------|--------------|--------------------|------------------|
| **SCM**                  | Aathira Nair | Derek Ferguson   | [link](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/version-control-collaboration/) | [link](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/version-control-collaboration/#adoption-recommendation) | [Part of Automated Software Delivery play](https://gitlab.highspot.com/items/6448156ebd5d0a944856962e) |
| **CI**                   | Daniel Hom / Saumya Upadhyaya (placeholder) | Jackie Porter   | [link](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/ci/)                            | [link](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/ci/#adoption-guide)                                     | [Part of Automated Software Delivery play](https://gitlab.highspot.com/items/6448156ebd5d0a944856962e) |
| **CD**                   | Daniel Hom                   | Viktor Nagy     | [link](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/cd/#adoption-guide)             | [link](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/cd/#adoption-guide) | [Part of Automated Software Delivery play](https://gitlab.highspot.com/items/6448156ebd5d0a944856962e)                                    |
| **Security**             | Brian Mason                    | Sarah Waldner  | [link](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/)                     | [link](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/#adoption-guide)                              | [Security and Governance play](https://gitlab.highspot.com/items/61f415455b20d8eb224750a3) |
| **Compliance**           | Brian Mason                    | Sam White | [link](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/compliance/)                    | link                                                                                                                                                                              | [Security and Governance play](https://gitlab.highspot.com/items/61f415455b20d8eb224750a3) |
| **Artifact Mgmt**        | Daniel Home / Saumya Upadhyaya (Placeholder) | Tim Rizzi   | [link](/handbook/marketing/sales-plays/package/)                                                                                  | link                                                                                                                                                                              | [Part of Automated Software Delivery play](https://gitlab.highspot.com/items/6448156ebd5d0a944856962e) |
| **Agile Planning**       | Aathira Nair | Melissa Ushakov | [link](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/agile/)                         | [link](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/agile/#adoption-guide)                                  | |
| **Analytics & Insights** | Aathira Nair                   | Justin Farris   | link                                                                                                                                                      | link                                                                                                                                                                         | |
| **Platform Engineering**       | Saumya Upadhyaya | Justin Farris | link                         | link                                  | |

### Future Use cases

- Test automation (UI test automation, mobile app testing, performance tests, load tests .. )
- GitOps
- Ecosystem - extensibility, plugins, content
- Observability
- AI (currently AI workflows will be captured as part of the usecases they are part of. Future decision to be made to track as a separate usecase)

## Last mile alignment

For optimal impact, sales and marketing efforts must align across the entire sales and marketing life cycle.

Internally, solutions GTM should drive:

- Value plays which align with revenue programs
- campaigns which support value plays
- Highspot and Path Factory topics/spaces
- metrics fields in SFDC Command Plan for proper reporting and assessment

Externally, solutions GTM should drive:

- Solutions pages (from Home page drop-down)

## Buyer's journey and typical collateral

As a prospect is determining that they have a specific problem to solve, they typically go through several stages of a [buyer's journey](/handbook/marketing/brand-and-product-marketing/content/#content-stage--buyers-journey-definitions) which we hope ultimately leads them to selecting GitLab as their solution of choice.

| **Awareness** | **Consideration** | **Decision/Purchase** |
| --------- | ------------- | ----------------- |
| Collateral and content designed to reach prospects in this stage of their journey should be focused on **educating them about the problems they are facing**, the business impact of their problems, and the reality that others are successfully solving the same problem | Collateral and content designed to reach prospects in this stage of their journey should be focused on **positioning GitLab as a viable and compelling solution to their specific problem.** Use cases can address unique concerns and may help overcome perceived barriers. | Collateral and content designed to reach prospects in this stage of their journey should be focused on key information that a buyer needs to **justify GitLab as their chosen solution**. |
| Typical **Awareness** Collateral | Typical **Consideration** Collateral | Typical **Decision/Purchase** Collateral |
| **-** White papers describing the problem space<br>**-** Infographics illustrating the impact of the problem/challenge<br>**-** Analyst reports describing the problem/domain<br>**-** Webinars focusing on the problem and how can be solved<br>**-** Troubleshooting guides to help overcome the problem<br>**-** Analysis of public cases where the problem impacted an organization (i.e. outage, data loss, etc) | **-** White papers describing the innovative solutions to the problem<br>**-** Infographics illustrating the success and impact of solving the problem<br>**-** Analyst reports comparing different solutions in the market (MQ, Waves, etc)<br>**-** Webinars focusing on the success stories and how GitLab helped solve the problem<br>**-** Customer Case Studies, Videos, Logos, etc<br>**-** Solution Check Lists / Plans for how to solve the problem<br>**-** Comparisons between GitLab and other solutions | **-** ROI calculators<br>**-** Use case specific implementation guides<br>**-** Use Case migration guides (from xyz to GitLab)<br>**-** Getting Started info<br>**-** References and case studies |

## Buyer's Journey - Audience

In addition the **buyer's journey**, there are also different audiences in an organization with different needs at different times. The general model for the buyer's journey outlines kinds of collateral that is needed at different stages of the buying cycle. It is incredibly important to understand the needs of the audience when creating collateral. Executives, managers, and individual contributors will need different information to support their specific work.

![Buyer's Journey](buyers-cycle-journey.png)

- **Executives** will need information about business value, risk, cost, and impact to support strategic objectives
- **Managers** will need more detailed information to drive planning, justification, and migration details.
- **Contributors** need technical details about how it works, how it's better, and how it's going to help them in the future.

The Buyer's journey can also start when developers and the team start to look for solutions to their day to day challenges. The staff initiates the effort, as they have identified a challenge and are the champion of a change. They then convince their managers and executives of the need to consider an alternative to their current state.

## Solution GTM Bill of Materials

To this model, we need to add ideal customer profiles to better inform marketing on types of companies to target for campaigns and to help sales qualify opportunities.

![GTM-bom](../images/BOM-Activation.png)

## Market Requirements

Solution "Market Requirements" are the broad capabilities that a solution (product or multiple products) would need to support. Each GitLab DevOps solution should have roughly 8-12 market requirements defined.

In product terminology, Market Requirements are similar to concept of [Jobs to be Done (JTBD)](/handbook/product/ux/ux-resources/#jobs-to-be-done-jtbd). Both represent something the end user or customer wants to accomplish. Like JTBD, Market Requirements are <i>**not**</i> features but instead a set of higher level capabilities that indicate what's "required" for a given solution to include in order to be successful in the market. For example, specific products do contain features that help to meet Market Requirements but the features themselves don't qualify as Market Requirements. JTBD tend to be very granular and specific. The [list of JTBD for a particular stage](/handbook/engineering/development/ops/package/jtbd/#jobs-to-be-done) can be long and is theoretically endless. Market Requirements are intentionally broad in an effort to keep the list of total requirements small and consumable. We expect that a given **Market Requirement** would consist of many **jobs to be done**

In [Command of the Message terminology](https://internal.gitlab.com/handbook/sales/command-of-the-message/) (internal-only) used by Sales, these are **NOT** the same thing as "Required Capabilities". COTM "Required Capabilities" are very narrow and focused on a specific value driver aligned with GitLab. **"Market Requirements"** are intended to be comprehensive for a given use case and defined by the market (analysts, vendors, etc), not GitLab specific features), as well as seen through an 'outside-in' paradigm of the market.

When industry analysts do research, they use a market requirements model to evaluate competing solutions. A typical analyst report may have a set of 40-60 capabilities in their market requirements model used to measure and compare vendors with each other. For the sake of our go-to-market efforts, we bucket capabilities into 8-12 key market requirements per use case.

The downstream impacts of market requirements are

- Technical Demos are based on showcasing specific market requirements
- Comparisons across the market (multiple vendors, multiple products) can be driven from market requirements
- ROI models can be built highlighting the value of specific market requirements.

![Market Requirements](../images/market-requirements.png)

<!--
### Solution GTM Bill of Material Priorities & Tracking (needs updating so commented out for now)

<div class="wide-sheet">
<iframe width="1200" height="1100" src="https://docs.google.com/spreadsheets/d/e/2PACX-1vTptvo1N7m8tjLSgJFOoy8l2fhnJmlyS83JhsT2DU6Ki3x1tcJ0Jd4Y4nvDnz0EbLEddAzpWHQYMWVs/pubhtml?gid=1180560927&amp;gridlines=false&amp;single=true&amp;widget=true&amp;headers=false&amp;rm=minimal&amp;range=A1:L42"></iframe>
</div>

- [GTM Tracking Spreadsheet](https://docs.google.com/spreadsheets/d/1K78pI_sqS91o8fpMReCF5n7gf7tZjCFxU4PjX2uddxk/edit#gid=2033522968) (requires updating)
-->
