---
title: "Usecase: Template"
---

```markdown
<!--

-->

#### Who to contact

| PMM  | TMM |
| ---- | --- |
| xyz  | abc |

# The Market Viewpoint

## UseCase Name

Define and describe the use case in customer terms.  Reference the [customer use case page](/handbook/marketing/use-cases/)

- [Keywords and SEO Terms](keywords/)

## Personas

### User Persona

Who are the users (a few remarks and link to the persona page)

### Buyer Personas

Who are the buyers

## Industry Analyst Resources

List key analyst coverage of this use case

## Market Requirements

| Requirement |  Description  |  Typical features  |  Value |
|----------   |-------------  |----------------    | -------|
| abc         |  def          |  ghi               |  jkl   |

# The GitLab Solution

## How GitLab Meets the Market Requirements

| Market Requirements | How GitLab Delivers | GitLab Category | Demos  |
| ------              | ------              | ------          | ------ |
| REQMT               | HOW                 | CATS            | DEMO   |

## Top 3 Differentiators and Key Features

| Differentiator  | Value       |  Proof Point  |
|-----------------|-------------|---------------|
|  abc            | def         | ghi           |

## Message House

The message house for the use case provides a structure to describe and discuss the value and differentiators for the use case.

## Customer Facing Slides

### Discovery Questions

- list key discovery questions

## Competitive Comparison

TBD - will be a comparison grid leveraging the capabilities

### Industry Analyst Relations (IAR) Plan (UPDATE AS NEEDED FOR THIS USECASE)

- The IAR Handbook page has been updated to reflect our plans for [incorporating Use Cases into our analyst conversations](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/analyst-relations/#how-we-incorporate-use-cases-into-our-industry-analyst-interactions).
- For  details specific to each use case, and in respect of our contractual confidentiality agreements with Industry Analyst firms, our engagement plans are available to GitLab team members in the following protected document: [IAR Use Case Profile and Engagement Plan](https://docs.google.com/spreadsheets/d/14UthNcgQNlnNfTUGJadHQRNZ-IrAe6T7_o9zXnbu_bk/edit#gid=1124037301).

For a list of analysts with a current understanding of GitLab's capabilities for this use case, please reach out to Analyst Relations via Slack (#analyst-relations) or by submitting an [issue](https://gitlab.com/gitlab-com/marketing/strategic-marketing/product-marketing/-/issues/new?issuable_template=AR-Analyst-Validation).

## Proof Points - customers

### Quotes and reviews

- List of customer quotes/reviews from public sites

### Case Studies

- List of case studies

### References to help you close

- Link to SFDC list of use case specific references

## Adoption Guide

### Playbook Steps

- To be added...

### Adoption Recommendation

This table shows the recommended use cases to adopt, links to product documentation, the respective subscription tier for the use case, and product metrics.

| Feature / Use Case  |  F/C      |  Basic    |  S/P      | G/U  | Notes  | Telemetry |
| ------------------- | :-------: | :-------: | :-------: | :--: | :----- | :-------: |
| `example` | `example` | `example` | `example` | `example` | `example` | `example` |

### Enablement and Training

### Professional Service Offers

## Partners

- Describe how key partners help enable this use case

## Key Value (at tiers)

### Premium

- Describe the value proposition of why Premium for this UseCase

### Ultimate

- Describe the value proposition of why Ultimate for this UseCase

## Direction

- Describe a vision for compelling future improvements

## Resources

### Presentations

- LINK

### Whitepapers and infographics

- LINK

### Videos (including basic demo videos)

- LINK

### Integrations Demo Videos

- LINK

### Clickthrough & Live Demos

- Link

## Buyer's Journey

Inventory of key pages in the buyer's Journey

| **Awareness** <br> learning about the problem  |  **Consideration** <br> looking for solution ideas  |  **Decision** <br> is this the right solution|
| ------ | -------- |-------- |
| topic page?  | solution page | proof points |
| landing pages? | ?comparisons?  | comparisons |
| -etc?            |   |  - product page x <br>  - product page y <br>  - product page z |
```
