---
title: "CI/CD Campaign"
description: "Everything you need to know about the CI/CD campaign."
twitter_image: '/images/tweets/handbook-marketing.png'
---

## Campaign Overview {#overview}

### Business Objectives {#business-objectives}

<!-- DO NOT CHANGE THIS ANCHOR -->

1. Connect with the manager of App/Dev, show them the value of GitLab CI
2. Drive conversion optimization throughout the funnel to increase asset downloads
3. Free trials driven by the campaign page

### Campaign Visual {#campaign-visual}

<!-- DO NOT CHANGE THIS ANCHOR -->

![''](/images/handbook/marketing/marketing-programs/CI-CD_Campaign_Flow.png.png)

### Campaign Pages & Activities {#campaign-activities}

<!-- DO NOT CHANGE THIS ANCHOR -->

**[See the FY22 Marketing Calendar for upcoming virtual events >>](https://docs.google.com/spreadsheets/d/1c2V3Aj1l_UT5hEb54nczzinGUxtxswZBhZV8r9eErqM/edit#gid=571560493&fvid=1408681455)**

Always On Lead Generation:

- :books: Content [[eBook] The benefits of single application CI/CD](https://about.gitlab.com/why/use-continuous-integration-to-build-and-test-faster/)
- :books: Content [[eBook] Modernize your CI/CD](https://about.gitlab.com/resources/ebook-fuel-growth-cicd/)
- :video_camera: On-Demand Webinar [[Demo + Q&A] Continuous Integration with GitLab](https://www.brighttalk.com/webcast/17523/461825?utm_source=GitLab&utm_medium=brighttalk&utm_campaign=461825)

## Research & Prep {#research-prep}

### Persona & Positioning {#persona-positioning}

<!-- DO NOT CHANGE THIS ANCHOR -->

#### Target Persona 1: Manager of App & Dev {#persona-1}

<!-- DO NOT CHANGE THIS ANCHOR -->

- **Level:** Manager
- **Function:** Dev, App
- **Challenges we're trying to solve with this campaign:**
  - Too many DevOps integrations/toolchain overload
  - Lack of scalability (usually intensified the larger the org)
  - Easy entry for teams to get started with CI/CD
  - Additional info:
    - DevOps Manager: Needs to effectively support the DevOps tools and infrastructure integral to their org's application delivery. Concerned with providing development teams with the best possible tools, environments, and integrations for them to be successful. Challenged with prioritizing development work as an individual contributor (features/bug fixes) and supporting dev teams.
    - Dev Leads (Development Manager): Needs to have a finger on the pulse of their development team's capacity and priorities. Concerned with improving productivity and unblocking any issues that get in the way of progress. Challenged when development deadlines and assigned tasks change rapidly or too frequently. Also challenged when work on feature delivery is interrupted by show-stopping bugs or blockers.
- **Ideal state:**
  - Dev and Ops are empowered to work better together, no more "throwing things over the proverbial wall"
  - Improved visibility and communication, gain faster feedback and integrate smaller code changes frequently (with less risk of build-breaking changes)
  - Increase release velocity and ship more reliable code, faster time to market and more reliable builds = value into the hands of customer sooner with higher degree of confidence
  - Improve overall quality of the application due to increased test coverage and frequency of automated test execution, which enables preventing bugs from shipping
- **How GitLab helps:**
  - Delivering better products/software faster - Validated, secure code gets to production faster and lovable features get into the hands of customers sooner. Happy customers, higher confidence, and more revenue!
  - Increasing operational efficiencies - Automation reduces manual work and overall cost of tools. Less overhead. Improved performance.
  - Reducing security and compliance risk: Regular releases on a monthly cadence (thanks to rapid innovation) minimizes security risk along with automated tests and scan
- **Why is GitLab a better solution than competitors:**
  - GitLab as a single application provides end-to-end visibility into the SDLC and promotes better, more frequent, collaboration among teams. Errors are caught earlier in the process before they turn into bigger problems.
  - GitLab enables faster release cycles in batches of small iterations without requiring a complete overhaul of existing development workflows and/or DevOps tools
  - GitLab's built-in CI means less context switching between tools and more time that developers spend writing code. Overall productivity increases

#### Target Persona 2: Practitioners {#persona-2}

<!-- DO NOT CHANGE THIS ANCHOR -->

- **Level:** Practitioner
- **Function:** Developers, DevOps engineers, Development leads
- **Challenges we're trying to solve with this campaign:**
  - Too many DevOps integrations/toolchain overload = too much context switching
  - Wasted development time
  - Poor user experience/CI that "just works" the first time
  - Lack of education and/or official support
  - Additional info:
    - Developers: Needs automation to replace otherwise tedious, manual, work. Concerned with delivering high quality code as fast as possible. Challenged when planned work is disrupted and productivity is negatively impacted.
    - DevOps Engineer: Needs to effectively support the DevOps tools and infrastructure integral to their org's application delivery. Concerned with providing development teams with the best possible tools, environments, and integrations for them to be successful. Challenged with prioritizing development work as an individual contributor (features/bug fixes) and supporting dev teams.
- **Ideal state:**
  - Dev and Ops are empowered to work better together, no more "throwing things over the proverbial wall"
  - Improved visibility and communication, gain faster feedback and integrate smaller code changes frequently (with less risk of build-breaking changes)
  - Increase release velocity and ship more reliable code, faster time to market and more reliable builds = value into the hands of customer sooner with higher degree of confidence
  - Improve overall quality of the application due to increased test coverage and frequency of automated test execution, which enables preventing bugs from shipping
- **How GitLab helps:**
  - Delivering better products/software faster - Validated, secure code gets to production faster and lovable features get into the hands of customers sooner. Happy customers, higher confidence, and more revenue!
  - Increasing operational efficiencies - Automation reduces manual work and overall cost of tools. Less overhead. Improved performance.
  - Reducing security and compliance risk: Regular releases on a monthly cadence (thanks to rapid innovation) minimizes security risk along with automated tests and scan
- **Why is GitLab a better solution than competitors:**
  - GitLab's built-in CI means less context switching between tools and more time that developers spend writing code. Overall productivity increases
  - GitLab as a single application provides end-to-end visibility into the SDLC and promotes better, more frequent, collaboration among teams. Errors are caught earlier in the process before they turn into bigger problems.
  - GitLab enables faster release cycles in batches of small iterations without requiring a complete overhaul of existing development workflows and/or DevOps tools

### Keyword Research {#keyword-research}

<!-- DO NOT CHANGE THIS ANCHOR -->

**[See the CI/CD keyword research doc >>](https://docs.google.com/spreadsheets/d/1qUvAOv33guzXgxAgVX6M0kLXRrJQLe_IriiFkg4fjVM/edit?usp=sharing)**

### Polished Messaging {#polished-messaging}

<!-- DO NOT CHANGE THIS ANCHOR -->

#### Overall {#polished-messaging-overall}

<!-- DO NOT CHANGE THIS ANCHOR -->

|  | Polished Messaging |
| ------ | ------ |
| **Overall Message** | Work better together |
| **Headline** | Automate and collaborate with GitLab CI/CD |
| **Statement** | GitLab's complete DevOps platform with built-in CI/CD helps DevOps teams build, test, and deploy from a single application. |
| **Key Messages** | 1. Eliminate siloes: A complicated toolchain isolates teams and tools, creating bottlenecks in the development lifecycle. GitLab brings dev, sec, and ops together in one interface.|
| |2. Greater visibility: With full visibility across the entire SDLC, teams can solve problems faster with fewer roadblocks.|
| | 3. Increased efficiency: Instead of managing a brittle plugin environment or maintaining multiple tools, teams can focus on more productive tasks.|
| | 4. Industry-leading CI/CD: Teams don't have to sacrifice functionality for convenience. GitLab's CI/CD offers everything teams need for cloud native application development and was voted #1 CI by the Forrester Wave. |
| **Topics** | 1. Continuous integration|
| |2. Continuous delivery|
| |3. Cloud native |
| **Top-level Keywords**  | `continuous integration`, `ci`, `ci cd pipeline`, `ci process`, `ci tools`, `yaml`, `DevOps` |

#### Enterprise Segment {#polished-messaging-enterprise}

<!-- DO NOT CHANGE THIS ANCHOR -->

|   | Polished Messaging |
| ------ | ------ |
| **Overall Message** | Secure CI/CD from start to finish |
| **Headline** | Build it, test it, deploy it seamlessly under one roof |
| **Statement** | GitLab's leading CI/CD delivered as a single application means you spend less time switching between tools and tabs and more time working on value that ends up in the hands of your customers . |
| **Key Messages** | 1. Secure CI that just works: Automate everything from start to finish with confidence that GitLab will keep your pipeline secure from end-to-end.|
|  |2. A better developer experience: GitLab knows that happier developers creates higher throughput and better retention. Improve the developer experience with a single application and avoid context switching, deployment delays, and too much downtime.|
|  |3. No forced tradeoffs between speed, quality, and ease of use: Don't sacrifice quality for speed. GitLab understands that mimimal viabile changes create faster, superior deliverables in a single, convenient platform. |
| **Topics** | 1. Continuous integration |
|  |2. Continuous delivery|
|  |3. DevSecOps|
|  |4. CI/CD|
|  |5. DevOps|
| **Top-level Keywords**  | `CI`, `continuous integration`, `CI pipelines`, `CI/CD pipelines`, `CD`, `continuous delivery`, `DevSecOps`, `DevOps` |

## Buyer Journeys, Content & Emails {#content-emails}

<!-- DO NOT CHANGE THIS ANCHOR -->

### Prescriptive Buyer Journeys {#buyer-journey}

<!-- DO NOT CHANGE THIS ANCHOR -->

#### Individual Contributor {#buyer-journey-ic}

<!-- DO NOT CHANGE THIS ANCHOR -->

| Stage | Asset 1 | Asset 2| Asset 3 |
| ------ | ------ | -------| -------|
| Awareness| [[WEBCAST] Making the case for CI/CD in your organization](https://about.gitlab.com/webcast/cicd-in-your-organization/) | [[WEBCAST] Scaled continuous integration & delivery](https://about.gitlab.com/resources/downloads/gitlab-scaled-ci-cd-whitepaper.pdf) | [[WEBCAST] Mastering continuous software development](https://www.youtube.com/watch?v=GCYLqbxm70A)  |
| Consideration | [[VIDEO] Getting started with GitLab CI/CD](https://www.youtube.com/watch?v=sIegJaLy2ug&feature=youtu.be) | [[VIDEO] Build and test automation](https://youtu.be/6207TKNGgJs) | [[VIDEO] GitLab for complex CI/CD: Robust, visible pipelines](https://www.youtube.com/watch?v=qy8A7Vp_7_8) |
| Purchase| [[REFERENCE] Goldman Sachs improves from 1 build every 2 weeks to 1000+ per day](https://about.gitlab.com/customers/goldman-sachs/)| [[REFERENCE] Paessler AG switched from Jenkins to GitLab](https://about.gitlab.com/customers/paessler/)| [[REFERENCE] Hotjar - Time of CI builds decreased by 30%, improved to 2-15 deploys per day, and 50% deployment time saved](https://about.gitlab.com/customers/hotjar/)|

#### Manager {#buyer-journey-manager}

<!-- DO NOT CHANGE THIS ANCHOR -->

| Stage | Asset 1 | Asset 2| Asset 3 |
| ------ | ------ | -------| -------|
| Awareness| [[EBOOK] Modernize your CI/CD](https://about.gitlab.com/resources/ebook-fuel-growth-cicd/) | [[WEBCAST] Accelerating Software Delivery: Keys for a Digital Transformation](https://www.youtube.com/watch?v=Igu9DKpfweQ) | [[WEBCAST] Simplify Continuous Integration and Delivery Pipelines with New Tools](https://www.youtube.com/watch?v=esZSETVu70I)  |
| Consideration | [[EBOOK] Benefits of single application CI/CD](https://about.gitlab.com/resources/ebook-single-app-cicd/) | [[REPORT] The Total Economic Impact™ of GitLab](https://about.gitlab.com/resources/study-forrester-tei-gitlab-ultimate/) | [[VIDEO] GitLab CI/CD Overview](https://www.youtube.com/watch?v=wsbSvLyC2Z8) |
| Purchase| [[ANALYST] The 2019 Forrester Wave™: Cloud-Native Continuous Integration Tools](https://gitlab.com/gitlab-com/marketing/strategic-marketing/product-marketing/-/issues/4203)| [[REFERENCE] How Jaguar Land Rover embraced CI to speed up builds](https://about.gitlab.com/blog/2018/07/23/chris-hill-devops-enterprise-summit-talk/)| [COMPETITIVE] GitLab vs. Jenkins |

### Marketo Nurture Emails {#nurture-emails}

<!-- DO NOT CHANGE THIS ANCHOR -->

**[See Marketo Nurture Email Copies >>](https://gitlab.com/gitlab-com/marketing/digital-marketing-programs/-/issues/2478#ship-final-copies)**

### Outreach Emails {#outreach-emails}

<!-- DO NOT CHANGE THIS ANCHOR -->

#### MASTER|Inbound sequence for each region

- [NORAM](https://app1a.outreach.io/sequences/5262)
- [EMEA](https://app1a.outreach.io/sequences/5393)
- [APAC](https://app1a.outreach.io/sequences/5394)

#### MASTER|Outbound sequence for each region

- [NORAM](https://app1a.outreach.io/sequences/5381)
- [EMEA](https://app1a.outreach.io/sequences/5395)
- [APAC](https://app1a.outreach.io/sequences/5396)

## Behind the Scenes {#behind-the-scenes}

<!-- DO NOT CHANGE THIS ANCHOR -->

### Campaign Execution Documentation & Resources {#campaign-execution}

<!-- DO NOT CHANGE THIS ANCHOR -->

- [Campaign Epic](https://gitlab.com/groups/gitlab-com/marketing/-/epics/741)
- [Project timeline plan](https://docs.google.com/spreadsheets/d/1a-0P2N8LKxqmMJLKv2ZlUbXXeu7I1dMSfXHWqzl0rg0/edit#gid=1426779885)
- [Art Work](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/tree/master/design/campaigns/use-cases/CI)
