---
title: "Global Channel Marketing"
description: "Global Channel supports global channel sales objectives and provides support to the GitLab channel partner community and customers."
---

## Our Team

Global Channel Marketing team is a team of professionals whose job is to build marketing plans to grow the channel business worldwide. We think about our Channel Marketing program in terms of marketing to the channel partners, marketing through the channel partners, and marketing with the channel partners.

## Marketing to the Channel

This team is responsible for the development of channel marketing campaigns that leverage GitLab's go-to-market campaigns.  We work with partners to help them understand what the campaigns are, how to use them to help drive partner sourced opportunities, how to leverage upcoming GitLab webinars/webcasts to drive conversion and how to generate trials for GitLab that they can nurture with prospects. Part of this program includes a Partner Leadership Summit, which is an in-person event meant to connect our channel partner leadership & GitLab direct leadership to share the GitLab vision and the important part our channel partners play in the success of our business.

## Marketing through the Channel

The Global Channel marketing team provides support to partners by creating different campaign assets into leverageable go-to-market programs called Instant Campaigns that partners can easily pick up and run with their customer or prospect lists.  GitLab channel marketing is also responsible for the development, rollout and management of trial enablement programs by which partners can generate trials of GitLab directly from their website, and passing or providing trial leads generated from GitLab's own website to be worked and converted by partners.

Our Channel Marketing Managers support the channel go-to-market efforts through our [MDF funding and management program](/handbook/resellers/channel-program-guide/mdf/) and are responsible for ensuring they are building a strategic marketing plan with our [marketing-ready partners](https://gitlab.com/gitlab-com/marketing/channel-marketing/-/issues/new?issuable_template=Channel_Mktg_Ready) ([up-to-date SF report of marketing-ready partners - internal](https://gitlab.my.salesforce.com/00OPL0000003UhV)).

### Marketing-Ready

Marketing-ready means:

1. Partner has an approved business plan with GitLab
1. Has a list of focus accounts mapped with GitLab
1. Has a joint value proposition statement with GitLab
1. Has a dedicated person who manages leads sent to the partner by GitLab (Partner Prospect Admin)
1. Acknowledges the lead passing and recall process
1. Has a dedicated marketing responsible person to work on the joint activities with GitLab
1. Has regular calls with the GitLab Channel Marketing Manager (CMM)
1. Acknowledges the [MDF Policy](/handbook/resellers/channel-program-guide/mdf/) and requirements for MDF process (requests & claims)

Channel partners are ultimately responsible for the execution of these campaigns.

## Joint Marketing with the Channel

The Channel Marketing Manager works with the Field Marketing team to identify upcoming field marketing events and activities that channel partners can participate in for joint go-to-market activities. Both the Channel Marketing Managers or the Field Marketing Managers can suggest campaigns for marketing-ready channel partner participation. Requirements for this joint marketing can be [found here](/handbook/marketing/field-marketing/#the-field-marketing-team-will-work-with-channel-partners-that-have-successfully).

## Current Service Offerings

For an in-depth look at the programs and tools we offer our partners, see our [marketing menu of services](/handbook/marketing/channel-marketing/channel-marketing-epics/Channel-Marketing-Service-Offerings/) page.

- Administering [Marketing Development Fund](/handbook/marketing/channel-marketing/#requesting-mdf-funds) (MDF) to provide financial reimbursement for APPROVED partner marketing campaigns and events.  Requests must support GitLab GTM initiatives and adhere to the MDF Request Process detailed below. MDF reimbursement will be at 50% of the total campaign costs. There are three approval levels and each level has 2 business days to review and approve/decline the MDF proposal.
- Turnkey, integrated instant marketing campaigns provide the collateral materials partners need to run a demand-generation campaign.
- Provide review and approval for local/regional [field marketing](/handbook/marketing/field-marketing/#field-marketing--channel-marketing) plans with partners
- Build marketing plans with Marketing-Ready partners.
- Build a repeatable, predictable, sustainable and desirable model enabling partners to receive, accept, nurture and close GitLab leads leveraging the GitLab Partner Portal and Deal Registration system.
- For Marketing Ready partners, participate in partner QBRs and provide input and ideation on successful go to market campaigns and initiatives to help partners drive more business with GitLab.
- On a monthly basis, provide marketing content and input to the Global Channel Operations team for use in the global channel communication/newsletter
- Support GitLab [Analyst Relations](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/analyst-relations/) requests for channel program input on MQs, WAVEs, market guides, as needed and with third party channel analysts.
  - Support requests for inclusion in third party publications
- Support the web team in maintaining GitLab's marketing website [partner pages](https://about.gitlab.com/partners/)
- Working with Sales Ops and Marketing Ops improve attribution and reporting of [partner sourced leads (CQLs), and partner sourced opportunities](/handbook/sales/field-operations/channel-operations/).
- [Partner Concierge Program](https://gitlab.com/gitlab-com/marketing/demand-generation/fy24-integrated-marketing-planning/-/issues/8#pre-pilot-launch) is starting a pilot program with a list of select partners approved for participation. Partner accepted into the program will have monthly meetings with Program's Manager as well as a customer [content calendar](https://docs.google.com/presentation/d/1vdR-FhJFltPfCijO43L2as-HAlw8zEgUUCk6687CDWg/edit#slide=id.g123a13deda8_0_405) to track all social campaigns scheduled. Participants of the Concierge Program will not be able to participate in the MDF Program.

## 6 Month Planning Cycle with quarterly reviews: Channel Marketing Managers

The Channel Marketing Managers are responsible for creating channel marketing plans with our marketing-ready channel partners that align to a 6-month planning cycle with quarterly reviews. This allows time for our channel partners to properly source resources and staffing for these campaigns.

- Feb - July - Plans due second week of December
- August - January - Plans due second week of June

The goal is that we eventually have our partners aligned to our planning cycle, but we realize that we need to take into account THEIR own planning cycle. Should there need to be a different planning cycle cadence to accommodate a Marketing-Ready channel partner, this should be clearly documented in the [marketing-ready issue](https://gitlab.com/gitlab-com/marketing/channel-marketing/-/issues/new?issuable_template=Channel_Mktg_Ready).

### Tactically, how do we plan?

1. The Channel Marketing Manager is responsible for identifying which of our partners are `Marketing-Ready`. This is done by the CMM completing a [marketing-ready issue](https://gitlab.com/gitlab-com/marketing/channel-marketing/-/issues/new?issuable_template=Channel_Mktg_Ready), indicating that the partner has committed resources to work with GitLab.
2. The CMM builds a strategic plan of campaigns with the Channel partner's marketing contact. The team is expected meet on as frequent of a basis as is needed to support the plan. At least bi-monthly.
3. In advance of the due date for the plans (due dates listed above), the CMM is expected to add their plan directly into [Allocadia](/handbook/marketing/strategy-performance/allocadia/). Our CMMs need to add their plan into Allocadia as this is where we track our program spend and can run reports based on the various attributes in the Allocadia details panel.
4. Each campaign run by the CMM should have a [related epic](https://gitlab.com/gitlab-com/marketing/channel-marketing/-/issues/new?issuable_template=MDF_Campaign ) that further details out with the specific campaign entails.
5. In advance of the quarterly scheduled QBR, which is run in alignment with [Q1, Q2, Q3 & Q4 Field Marketing QBR schedule](/handbook/marketing/field-marketing/#field-marketing-planning), the CMM's will complete this [regional deck](https://docs.google.com/presentation/d/10bUd4Zdk1NmbQB_a-JT_bBE5-fnZ7xZ9mElga4kn3-8/edit#slide=id.g1287bf62b57_0_209). This deck should be shared with the regional channel sales directora as well as the partner account managers (PAMs) and partner territory managers (PTMs).
   - Communication about the campaign should happen in the epics, this Google slide deck is for the purpose of the QBR and high-level plan sharing. Allocadia,the epics and issues are the SSOT.
   - While it is our goal to avoid mid-execution timed campaigns, it is possible to submit for approval mid-planning cycle. Should that be the case, you do not need to go back into your QBR deck and add the activity.
6. On a bi-annual basis (every 6 months) our CMMs are responsible for creating a [scorecard](https://docs.google.com/spreadsheets/d/1MuyKcDYMeIdfIcRGSzfLgy0SmGUG8ASPrhb4W0iHxkk/edit#gid=0&range=A1) with our partners. We have this scorecard in order to align around what's mutually important to the success of both of our business and to help with goal setting for future quarters. This should be built in collaboration with the Marketing-Ready Channel partner.

### Requirements and SLAs for MDF budget approvals

1. Requirements for an MDF budget review:
   - Complete FY Partner Business Plan (provided by the Partner Account Manager/Partner Territory Manager)
   - A joint value proposition with the partner (worked out jointly with the PAM/PTM and Channel Partner)
   - A list of mapped accounts that we are targeting with this Channel Partner (provided by PAM/PTM)
   - A complete marketing ready issue and Channel Partner scorecard (completed by CMMs)
   - A complete MDF request epic with all tactic details (submitted by CMMs)
   - A strategic marketing plan with the partner (included in the partner buisiness plan by CMMs)
2. SLAs
   - All the above elements should be completed, prior to the CMM creating an MDF Request approval epic. We aim to approve the MDF budget requests within 7 working days of submission date by the CMM, however if the above requirements are missing or incomplete this time frame will be extended until all elements are received in full.
   - Once CMM obtained budget approval for the campaign, it is the Partner Program Manager's responsibility to approve the tactic in SFDC within 48 hours.
   - For easier tracking and enhanced transparency between the involved teams, the CMM is to apply due dates to MDF Request Epics.
3. Flexi-budget requests
On occasion we may consider supporting partners outside the [target markets](https://internal.gitlab.com/handbook/marketing/fy25-strategy/#target-markets-and-segments). For this we can leverage 5% of the overall quarterly MDF budget for the specific region. To gain approval for these tactics:
   - The CMM opens a flexi-budget issue, [example](https://gitlab.com/gitlab-com/marketing/channel-marketing/-/issues/1039).
   - The justification for using funds outside the focus countries will have to be provided by the CAM
   - The Regional Director of Channel reviews and vets the request
   - Approval is granted by Regional Marketing Lead and the Global Director of Channel & Field Marketing if deemed appropriate
   - The Regional FM Lead is responsible for tracking the MDF budget spend for all flexi budget requests in the region. SLAs for approving MDF flexi-budget requests differ case by case depending on the complexity of the request.

#### Approval status of MDF campaigns

- [EMEA channel marketing board](https://gitlab.com/groups/gitlab-com/marketing/-/epic_boards/48005?label_name%5B%5D=Channel%20Marketing&label_name%5B%5D=EMEA%20Channels) (GitLab internal)
- [APAC channel marketing board](https://gitlab.com/groups/gitlab-com/marketing/-/epic_boards/48005?label_name%5B%5D=Channel%20Marketing&label_name%5B%5D=EMEA%20Channels) (GitLab internal)

### Team Roles and Responsibilities

- **Channel Marketing Manager (CMMs)** - Responsible for building and driving the marketing strategy with the Marketing-Ready partners, including the usage of MDF & proposing which partners are ready to run campaigns WITH the Field Marketing team. The CMMs are regionally aligned, to collaborate with PAMs and PTMs in specific geographies.

- **Field Marketing Managers (FMMs)** - The field marketing managers are responsible for articulating where we need channel partner engagement to drive demand generation plans, the FMMs collaborate directly with the regional Channel Marketing Managers to execute marketing campaigns WITH the marketing ready channel partners.

- **Partner Program Marketing Managers** - Develops scalable marketing programs to support Partners.

Once a plan for the quarter has been established it is imperative that the CMM, partner marketing contact & PAM/PTM stay in close, consistent alignment about plan execution.  If there is a plan in place where the channel partner is participating in a program WITH GitLab lead by the Field Marketing team, its the expectation that the Field Marketing team is executing this campaign jointly with the regional partner. The CMM should be involved to help communicate with and hold the channel partner accountable, as they own the marketing relationship with the partner.

## Tracking Success

GitLab Marketing receives 'credit' for opportunities that are partner-sourced so long as the opportunity has a BATP (Bizable Touchpoint) from the campaign. We also track deal registrations specifically from MDF spend. This can be tracked on our lead sharing dashboard and is detailed out in our [Marketing Strategy & Analytics handbook page, here](/handbook/marketing/strategy-performance/marketing-metrics/#channel-marketing-reporting).

## How We Communicate with Channel Partners

Channel Marketing communicates with Partners through two online platforms and via a quarterly webinar.

### Partner Flash/News On Demand

Partners who create a profile in the [GitLab Partner Portal](https://partners.gitlab.com/) are automatically included in our broad communications and marketing announcements through our Partner Flash newsletter and custom program and marketing announcements.  This is our default method of communication.  Partners may alter their preferences, such as the frequency of communications, preferred topics and declination of receiving messages, in the My Profile section of the portal.

For more information about Partner Flash/News On Demand and process to become a contributor, please see the [Channel Program Operations handbook page](/handbook/sales/channel/channel-programs-ops/#partner-communications).

#### Webinars to Channel Partners

Global Channel Marketing hosts various webinars for our partner community.  Our goal is to provide updates and general marketing program news, as well as highlight one to three larger marketing program topics for a deeper dive.  Invitations are sent via our Partner Flash and News on Demand platform.  We target the global list of marketing contacts (those who have chosen a "marketing" role in their profile) as well as those in GitLab Channel roles, including our sales and program operations teams.  Invites are sent 30 days in advance of the event with a follow up at two weeks out and one day prior.  Those who register will receive a reminder email the day before the event. Members of our global channel marketing team attend and speak during the webinar, along with special guests from other GitLab organizations, depending on the topics we are covering.  Thank You and Sorry We Missed You emails will be sent post-event and provide access to webinar recordings, assets and resources.

Visit our [partner portal page](https://partners.gitlab.com/prm/English/c/ptnrmktgwebinars) for registration links for future webinars, access to past recordings, assets and resources.

##### Technical platform used to host

Our team hosts the Channel Partner webinar using On24. Details on how this operationally set up can be found [here](/handbook/marketing/virtual-events/webcasts/#on24-webcast-setup).

- [Epic Code for To Partners webinars](/handbook/marketing/channel-marketing/channel-marketing-epics/)

- [Marketo Program set up](/handbook/marketing/marketing-operations/on24/#connecting-on24-web-events-to-marketo-programs)

## MDF Program Introduction

GitLab Marketing Ready partners have access to the proposal-based GitLab Marketing Development Funds (MDF) Program. These funds are intended to support our partners' demand generation efforts.

### MDF Investment Objectives

- Demand Generation
      - The objective of these activities is to gain net-new end-user customers for you and GitLab. Examples of eligible activities include seminars, workshops, telemarketing or email marketing campaigns, participation in tradeshows, exhibitions, and direct mail.
      - Eligible costs may include mailing costs, fulfillment items, lead qualification, distribution, venue costs, food and beverages (excluding alcoholic beverages), speakers' fees, management costs, and lead capturing costs.
      - GitLab supports a limited number of partners in the selected regions, please check your eligibility with your regional [Partner Account Manager](https://partners.gitlab.com/English/?ReturnUrl=/prm/English/c/marketing-contact-cam) and [Channel Marketing Manager](/handbook/marketing/channel-marketing/#meet-the-team).

- To be considered for funding support you must:
      - Be a Marketing Ready GitLab Partner. Marketing ready means:
         - partner has an approved business plan with GitLab
         - has a list of focus accounts mapped with GitLab
         - has a dedicated person who manages leads sent to the partner by GitLab (Partner Prospect Admin)
         - acknowledges the [lead passing and recall process](/handbook/marketing/marketing-operations/vartopia/#partner-recall)
         - has a dedicated marketing responsible person to work on the join activities with GitLab
         - has regular calls with the GitLab Channel Marketing Manager
         - acknowledges the [MDF Policy](/handbook/resellers/channel-program-guide/mdf/) and requirements for MDF process (Requests and Claims)
      - Comply with GitLab [Proof of Performance (POP)](/handbook/resellers/channel-program-guide/mdf/#funds-reimbursement-requirements) requirements for the activity
      - Meet minimum required MDF request amount of $1,000 USD
      - GitLab will cover up to 50% of the total cost of the activity

## Requesting MDF funds

- Marketing Ready Channel partners with marketing plans in place will submit [MDF proposals through the Partner Portal](https://partners.gitlab.com/English/Partner/SFDC/MDF2/Request/Create), and GitLab approvers will be notified of the request via email.
  - The MDF proposal will go through 2 levels of approvals
    - Level 1 approval - Channel Marketing Manager
    - Level 2 approval - Sr Partner Program Manager
  - Once the MDF request has been either approved or declined the partner will be notified:
          - If declined, the Channel Marketing DRI will reach out to the partner and let them know. We will copy the PAM/PTM on the notification
          - If approved, the MDF Operation's team will [open an epic](/handbook/marketing/channel-marketing/channel-marketing-epics/) and correlating sub-issues defined therein.
  - Once Epic has been created, the following sub-issues are created automatically and are linked to the Epic (links are to templates):
    - Campaign Creation
      - List Upload
      - MDF POP
        - For POP issues add labels
          - `MDF-POP` and use the scoped labels below to work through the approval process:
          - `MDF::POP Pending`: issues created but POP has not yet been received
          - `MDF::POP Approval Needed`: once POP is received change this status to have Samara Souza approve the POP documents submitted
          - `MDF:: POP Approved`: POP has been reviewed and is approved, list can be uploaded into List upload issue, Zip requisition can be created
          - `MDF:: POP Completed`: Once all of the steps above are completed, change to this status and close the MDF POP issue
  - Once all sub-issues are completed, close out the epic.

### PTO Process for MDF Request Approvers

Prior to your PTO, as an MDF request approver, you will need to update the `Delegated Approver` to your reporting manager so they have access to approve MDF requests while you are away. When you return, please remember to remove the `Delegated Approver`.

When an approval request email is sent to the assigned approver, the delegated approver also receives an email notification that there is an approval request to review. Delegated approvers can't reassign approval requests; they can only approve or reject approval requests.

Following the steps to update your Delegated Approver:

1. Log into Salesforce
1. On the top right of the page, click on the your name to drop down a menu, then select `My Settings`
1. On the left column, click on `Personal` > `Approver Settings`
1. In the settings:
   1. Select the `Delegated Approver` (This would be your manager)
   1. Select `If I am an approver or delegated approver`
   1. Save.

### Demand Generation activities eligible for MD

Details are listed out in the [MDF handbook](/handbook/resellers/channel-program-guide/mdf/#eligible-activities-and-required-proof-of-performance-mdf-activities).

These activities are captured as `Campaign Type Details` on the campaign level in Salesforce.com for `Partner - MDF` [Campaign Type](/handbook/marketing/marketing-operations/campaigns-and-programs/#campaign-type--progression-status) only.

## Requesting Swag for Channel Events and Awards

We offer Marketing Kit Swag for Marketing Ready partner, these kits consists of:

- Banner stand
- Table Cloth
- 1000 stickers
- 200 Swag items (examples would be: colorful cable set, iPhone stand, bottle opener key chain, etc)
Please work with your Channel Marketing Managers to order your Marketing Kits.

## Concierge Program

The Partner Concierge Program was created to help support partners to promote campaigns in their social channels by using a through-channel marketing automation platform to empower partners to market to their customers using co-branded campaigns.
The tool is known as TCMA Demand Generation and it will be known for Partners as the Marketing Center within the Partner Portal.
Partners will have a monthly meeting with the Program's Manager and receive a customized content calendar that best suits their needs.
In the Marketing Center, Partners will have access to real time reporting.

### Key Features

Social Syndication - SMARTlink technology directs each call to action to the relevant Showcase page that belongs to the partner whose post generated the demand.
Lead Management - gives your partners the ability to manage all the leads generated within the TCMA system via our simple dashboard.

#### How to Participate

Reach out to partner-marketing@gitlab.com with the subject line: Partner Concierge Program and we will respond within 1 business day to schedule an introductory meeting.

## Partner Instant Marketing Campaign

With GitLab Instant Marketing campaign assets, GitLab's Select and Open partners have access to marketing resources to help them quickly, and easily generate qualified prospects for their sales teams. We've developed turnkey, integrated partner campaigns-in-a-box, which we refer to as "Partner Instant Marketing" campaigns, so partners can simply and easily co-brand assets and execute!

These assets leverage GitLab go-to-market motions, such as DevSecOps and Automated Software Delivery, but are modified and expanded (in some cases) for partner use. Campaign assets include: nurture emails, landing pages, short videos, mini-books, social media and paid ads, quick sales guides and sales call scripts. All assets can be found on the GitLab partner portal.

Our modular campaign is designed to be a flexible, self-service model, so partners can download an entire campaign, or a couple of assets, and the materials are customizable and co-brandable. These campaigns are also available in 6 languages: English, French, German, Japanese, Korean and Spanish.

Partners and team members may review current campaigns available to partners by logging into the [Marketing Demand Generation section](https://partners.gitlab.com/prm/English/c/marketing-demand-gen) of the partner portal.

## Beyond our Team's Scope

- Custom campaigns: Channel Marketing does not currently have the resources to support individual partner campaigns and events. Please encourage your partners to leverage one of our turnkey, and integrated [Instant Marketing Campaigns](/handbook/marketing/channel-marketing/#partner-instant-marketing-campaign) available on the [Partner Portal](https://partners.gitlab.com/English/).
- Unique Partner Asset Creation: Channel Marketing is unable to work directly with partners to customize their marketing assets.
- Event speakers: The Channel Marketing team does not have the resources to help locate GitLab speakers for partner events.
- Partner Blogs: The Channel Marketing team does not have the resources to craft unique content to support a partner blog or content request.
- Public Relations: The Channel Marketing team is not responsible for editing or approving blogs or partner press releases. Please see the [Corporate Communications handbook page](/handbook/marketing/corporate-communications/#partner-requests-for-press-release-support) for more information.
- Sponsored social media posts: partners looking to GitLab to promote partner activities would not route those requests through Channel Marketing.  Instead, CAM's obtain the partner's social media channels and [create an issue](/handbook/marketing/integrated-marketing/digital-strategy/social-marketing/admin/#open-a-new-issue-to-request-social-coverage) for the Social Media team.  This request should include the partner's social media information, detailed description of what we are being asked to promote and target dates.
- Event attendance: The Channel Marketing team does not own a database of contacts by which to drive attendance to partner specific events nor do we possess the resources to support such requests.
- [Partner training](/handbook/resellers/training/) is managed and supported by the Channel Partner Training, Certifications, and Enablement team.
- Partner portal management: [Partner portal administration](/handbook/sales/channel/channel-programs-ops/#partner-portal-administration) is managed by GitLab Channel Program Operations.

## Meet the Team

- **Samara Souza**: Senior Partner Program Manager, Samara's focus is on creating new programs for our partners to leverage in their demand generation motions which are the MDF Program, Partner Concierge Program and Swag Program.

- **Daria Polukanina**: Channel Marketing Manager for EMEA.
Responsible for Planning, and MDF allocation of EMEA Managed Partners. Works closely with PAMs and PTMs  and the Field Marketing Team

- **Gabby Chorny**: Senior Channel Marketing Manager for AMER and PubSec.
Responsible for Planning, and MDF allocation of AMER Managed Partners. Works closely with PAMs and PTMs and the Field Marketing Team

- **SJ Lim**: Channel Marketing Manager for APAC.
Responsible for Planning, and MDF allocation of APAC Managed Partners. Works closely with PAMs and PTMs  and the Field Marketing Team

## The best way to contact our team is through our Slack channel

## channel-marketing

### Channel Marketing Campaign Issue Templates & Epic Codes

[Channel Marketing Epics](/handbook/marketing/channel-marketing/channel-marketing-epics/)

- [MDF Requests](/handbook/marketing/channel-marketing/channel-marketing-epics/#mdf-requests)
- [Channel Events](/handbook/marketing/channel-marketing/channel-marketing-epics/#channel-events)

## Operational set up of Partner Marketing Campaigns

The Channel and Alliance share the same operations/process in Marketo. They both require [CRM Partner ID](/handbook/marketing/channel-marketing/#crm-partner-id) in their [list import](/handbook/marketing/channel-marketing/#list-import-for-partner-leads) and [UTM parameter](/handbook/marketing/channel-marketing/#utm-parameter-url) (form fills).

We have two smart campaigns the filter the CRM Partner IDs by Alliance and Channel Partner lead.

1. [Channel Partner](https://engage-ab.marketo.com/?munchkinId=194-VVC-221#/classic/SC32767A1) - When CRM Partner ID reflects a Channel Partner Account ID (18), then it will populate the Vartopia Partner Account required to sync to Vartopia, mark the leads as marketing suspended, and additional fields to support the Channel Partner lead workflow.
1. [Alliance Partner](https://engage-ab.marketo.com/?munchkinId=194-VVC-221#/classic/SC33550A1ZN19) - When CRM Partner ID reflects an Alliance Partner Account ID (18), it doesn't populate the Vartopia Partner Account.

The main difference between Channel vs Alliance partner leads are:

|                        | CRM Partner ID (For list import and form fills) | Passed to Partners via Vartopia | Marketing Suspended | Lead Score | Responsible for Lead Follow Up |
| ---------------------- | ----------------------------------------------- | ------------------------------- | ------------------- | ---------- | ------------------------------ |
| Channel Partner leads  | Yes                                             | Yes                             | Yes                 | No         | Partner                        |
| Alliance Partner leads | Yes                                             | No                              | No                  | Yes        | GitLab S/BDRs                    |

An addition, Interesting Moment also highlights whether a lead participates in a Channel or Alliance campaign.

Example:
> ALLIANCE LEAD with {{my.Partner Name}} visited Booth at {{my.event name}} on {{my.event date}}. Location: {{my.event location}}

and
> CHANNEL  LEAD with {{my.Partner Name}} visited Booth at {{my.event name}} on {{my.event date}}. Location: {{my.event location}}

## Channel Marketing Campaigns

This handbook page is to walk through the technical and operational setup of different partner campaign types from Marketo → SFDC → Vartopia, including Marketo and SFDC campaign set up for MDF, Joint GitLab and Partner, and Partner Managed Campaigns.

The general steps required for creating a partner campaign include:

1. Clone and update Marketo program template and tokens.
2. Sync Marketo program to Salesforce - if necessary update campaign info.
3. Import the partner lead list.

## Email Management

When a lead is passed to a partner, they will be suspended from GitLab marketing unless they opt-in specifically to GitLab marketing after being passed, or the partner returns the lead to GitLab. Read more on the [email management page](/handbook/marketing/marketing-operations/email-management/#partners-and-email-communication).

Keep in mind, they will still be eligible for `operational` email sends - which includes most follow up emails. If you want to exclude them, you will need to add a parameter to the smart list of that send campaign to say `Prospect Share Status` not equal to `Pending, Sending to Partner, Accepted`.

Note that the smart list, [SSOT - ALL EMAILABLE](https://engage-ab.marketo.com/?munchkinId=194-VVC-221#/classic/SL52996261A1) already excludes partner leads.

## Scoring

Leads that are actively being worked by the partner will be excluded from scoring. Once they are no longer being worked by the partner, they will be scored again. More details on the [scoring page](/handbook/marketing/marketing-operations/marketo/#scoring-model).

## Channel Partner Lead Sharing via Vartopia

Leads generated from Channel Marketing campaigns are shared to Channel Partner in Vartopia where they can accept, reject and action by Partners. There are specific fields that are required to allow leads to sync, to list a few: `Vartopia Partner Account`, `Prospect Share Status` and `Partner Prospect Status`. Learn more, see the [Vartopia](/handbook/marketing/marketing-operations/vartopia/) handbook page.

Note that Channel Partners refer to Vartopia as `Prospects` in the Partner Portal, as they can only access Vartopia through SSO via the portal.

### Partner Recall

The recall process is built to be able to pull back partner leads that are not being actioned in Vartopia. Not all partner leads are subject to recall, only Joint GitLab and Partner campaign leads can be recalled. [See the full overview.](/handbook/marketing/marketing-operations/vartopia/#partner-recall)

## CRM IDs for Channel and Alliance Partners

For a running list of Channel Partners and their CRM IDs, which is critical to the channel partner lead flow, click [here](https://gitlab.my.salesforce.com/00O4M000004aSq6), while the `CRM Partner ID` for Alliance Partners can be found [here](https://gitlab.my.salesforce.com/00O8X000008mxIb).

## Types of Partner Campaigns

Partners have many different type of campaigns that fit into specific categories. Each campaign has it's own ROE for lead routing and email practices. See the campaign [flow chart](https://www.figma.com/file/vOe7ohMpZfYCGEG3siIpbU/Partner-%2B-GitLab-Campaign-Workflows_2023-08-28_19-18-38?type=whiteboard&t=QvcXdK9p5nlkFL2I-1) to understand how leads are distributed.

- [MDF Campaigns](/handbook/marketing/channel-marketing/#mdf-campaigns)
- [Joint Campaigns](/handbook/marketing/channel-marketing/#joint-gitlab-and-partner-campaigns)
  - Events
  - Webinar
  - [Partner Sponsored Events](/handbook/marketing/channel-marketing/#partner-sponsored-events)
- [Partner Managed Campaigns](/handbook/marketing/channel-marketing/#partner-managed-campaigns)
  - Impartner Program
  - Partner Campaign

### Issue first - Partner Pilot

In an attempt to extend our GitLab [CREDIT](/handbook/values/#credit) values to our partner ecosystem, the EMEA teams have decided to run a pilot with partners where the partner will be invited to collaborate in GitLab issues for joint event execution. More info can be found in the [Partner Pilot Issue.](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/7263)

### MDF Campaigns

[MDF campaigns](/handbook/resellers/channel-program-guide/mdf/) involve financial support or funds provided by GitLab to the Channel Partners to manage a lead generation campaign. These campaigns follow their own processes not found on the campaigns-and-programs page.

🖇️ Quick Links: [Lead Routing](/handbook/marketing/marketing-operations/traction-lead-complete/#mdf-campaign)

Before starting this steps, note you'll need to have already set up the [Allocadia](/handbook/marketing/strategy-performance/allocadia/#channel-marketing-set-up) subcategory and line item.

**Step 1: Setup Marketo Program**

1. Clone Marketo Template and update program name: [YYYYMMDD__MDF_000_Partner_Name_Region_Event_Name](https://engage-ab.marketo.com/?munchkinId=194-VVC-221#/classic/PG11842A1).
1. Select the Program Name on the Summary page, this will unlock a description, where you will update description with the links to the SFDC MDF request, Coupa ID and Allocadia ID (if you have it), then `Save`.
1. Update the Marketo tokens: `{{my.Partner Name}}` with Partner Name and `{{my.CRM Partner ID}}` with [Account ID (18)](/handbook/marketing/channel-marketing/#crm-ids-for-channel-and-alliance-partners).

**Step 2: Sync Marketo Program to SFDC**

1. In the Marketo Program Summary page, in `Salesforce Campaign Sync`, click on `Not Set`.
1. `Salesforce Campaign Sync` will pop up, with a `Campaign` dropdown, select `Create New`, then `Save`. This will automatically populate the campaign tag, so you do not need to edit anything.

**Step 3: Update SFDC Campaign**

1. Under `Vartopia Partner Information`, select the `Partner Account` and check `Sync to Vartopia` for the campaign to sync to Vartopia.
1. `Budgeted Cost` in SFDC pulls from your plan number, not your forecast number from Allocadia. If you do not have a plan cost in Allocadia then `Budgeted Cost` in SFDC will remain blank. If this is the case, you will want to add in your `Budgeted Cost` manually into your SFDC campaign.
1. Under `MDF Request`, select the corresponding `MDF Request` to successfuly link to SFDC campaign.
1. Once Allocadia has updated the SFDC campaign, you will need to double check `Campaign Type` and make sure it still says `Partner - MDF`. If it does not, please update the field.

**Step 4: Update List Upload Request Issue**

The list import issue will be automatically be created via [Allocadia - GitLab issue integration](/handbook/marketing/strategy-performance/allocadia/#how-to-create-a-channel-marketing-epicissues-from-allocadia).

Skip to step 2 of the list import [instructions](/handbook/marketing/channel-marketing/#list-import-for-partner-leads) for partner leads.

#### FY25 GitLab Sales Dev Working Partner Leads

As part of a [pilot program in FY25](/handbook/resellers/channel-program-guide/mdf/#fy25-q2-gitlab-biz-development-team-to-prospect-leads-from-mdf-campaigns), GitLab Sales Dev team can work on MDF campaign leads agreed upon by Partners.

We are treating these leads as non-partner leads with Source = `Partner Qualified Lead`. They will be scored, assigned to BDRs, and have LIM. The source will remain as Partner Qualified Lead as we will use this to track partner ownership, while allowing our GitLab Sales Dev team to work these leads and not lose insight into where the lead came from.

The Marketing team will use FM Marketo template to set up the campaigns, and these **MDF campaigns** will follow the **High Priority routing rules** - if the lead is part of an actively working account with BDR assigned, they are assigned to BDR, and if the lead is an MQL, then it will follow the regular lead routing rules. However, if the lead is neither Actively Working nor MQL, they will be shared with the Partner.

Note, that when a lead is already shared with a Partner, it will not go to the Sales Dev team.

##### Indicators

- Campaign - `High Priority = True AND Campaign Type = Partner - MDF`
- Lead/Contact - `Source = Partner Qualified Lead AND/OR Partner Lead Worked by Sales Dev = True`
- Opportunity - `Source = Partner Qualified Lead AND/OR Partner Lead Worked by Sales Dev = True`

##### Process

This process requires the following platforms: Allocadia, Marketo, Salesforce, Traction and Vartopia.

[Flow Chart >](https://www.figma.com/file/6LFKq2rQaw16YFhq1zej5d/Sales-Dev---Partner-Sales-Collaboration?type=whiteboard&node-id=0-1&t=GQvBSLo14kJcVzGu-0)

<iframe style="border: 1px solid rgba(0, 0, 0, 0.1);" width="800" height="450" src="https://www.figma.com/embed?embed_host=share&url=https%3A%2F%2Fwww.figma.com%2Ffile%2F6LFKq2rQaw16YFhq1zej5d%2FSales-Dev---Partner-Sales-Collaboration%3Ftype%3Dwhiteboard%26node-id%3D0%253A1%26t%3Dzu4zZQVPbHpeR8S0-1" allowfullscreen></iframe>

1. Allocadia - Create the subcategory and line item in Allocadia.

   1. In the details panel, update `Worked by Sales Dev` to `True` on the subcategory (required)
   2. Open GitLab epic and issues using the GitLab issue - Allocadia integration. The GitLab epic and issues will include an issue template called, [Partner Sales Campaign - BDR Collaboration Template](https://gitlab.com/gitlab-com/marketing/sales-development/-/blob/main/.gitlab/issue_templates/Partner_Sales_BDR_Collaboration_Template.md?ref_type=heads). The purpose of this issue is to communicate how the Sales Dev team is expected to follow up with the campaign.

2. Follow the [instructions](/handbook/marketing/channel-marketing/#types-of-partner-campaigns) to set up Marketo Program and SFDC Campaign.

   1. Setup in Marketo
      1. Clone the appropriate [FM program template](/handbook/marketing/marketing-operations/campaigns-and-programs/#steps-to-setup-marketo-programs-and-salesforce-campaigns)
      2. Go to the Program > My Token - Fill out the Tokens

   2. Add Allocadia Subcategory ID to Marketo Program/SFDC campaign description, then sync to Salesforce Campaign

   3. Update Salesforce Campaign
      1. Update `Is the Channel Partner Involved?` = Yes (Automated with Allocadia integration)
      2. Update `Channel Partner Name` with Partner Name (Automated with Allocadia integration)
      3. Mark campaign as `High Priority`.
      4. Campaign Type changes to `Partner - MDF` (Automated - Updated in Minutes).
      5. Sync the campaign to Vartopia so it shows in the `GitLab Marketing Campaign` field dropdown. (Automated - Every Hour).

3. Import

   1. Change the CRM Partner ID column to say Partner.
   2. Add `Partner Lead Worked by Sales Dev` = `True` column.
   3. Once imported, if the lead is net new, the source will be changed to `Partner Qualified Lead`.

4. Traction Routing

   1. Since it's a High Priority campaign, only MQLs and Actively Working Accounts will be routed to BDRs/SDRs.
   2. If the lead is not MQL nor Actively Working, then Vartopia Partner Account will be added and Lead Acquisition Source if blank =\ MDF Campaign and reassigned to the Partner Queue.
5. Marketo -  Leads that are sent back to the partner will be updated with the partner fields ie. Partner Consent, Do Not Email = Partner Lead, Marketing Suspended, etc (Automated).

### Joint GitLab and Partner Campaigns

When GitLab and Partners participate in campaigns together including events, webinars and more.

🖇️ Quick Links: [Lead Routing](/handbook/marketing/marketing-operations/traction-lead-complete/#joint-partner-campaign)

**NOTE**: For Vartopia sync, the campaign field, `Is Channel Partner Involved?` = `Yes`.

First, use the general set up, found in [campaigns and programs page](/handbook/marketing/marketing-operations/campaigns-and-programs/#marketo-program-and-salesforce-campaign-set-up). The partner steps are nested in the typical Marketo program templates to clone. Once the campaign is cloned, follow the steps below in addition to the other setup steps found on the campaigns and programs page.

All Marketo templates will have 2 tokens added to them that the campaign owner should update, {{My.Partner Name}} and {{My.CRM Partner ID}}.

- Partner Name: Does not need to be official, it will be used on the form consent language and interesting moments, so needs to be customer facing. Example:  `By registering for this GitLab and {{My.Partner Name}} event....`
- Partner ID: All partner IDs can be [found here](/handbook/marketing/channel-marketing/#crm-ids-for-channel-and-alliance-partners).

#### Online Campaign - Lead Capture via Form/Landing Page

The following instructions is for joint campaign run with one partner, and must be completed prior to launch.

1. Update the Marketo tokens: `{{my.Partner Name}}` with Partner Name and `{{my.CRM Partner ID}}` with [Account ID (18)](/handbook/marketing/channel-marketing/#crm-ids-for-channel-and-alliance-partners).
1. Update `Registration Landing Page` to use `FORM 3146: Partner + GitLab Joint Event with Token`
   - To update the page:
       - Right click `Registration Landing Page`, edit draft.
       - Under Elements, find Custom Form and double click on the form.
       - Update Edit Form Settings, select: `FORM 3146: Partner + GitLab Joint Event with Token` and click `Swap`.
       - Top right, `Landing page Action` select for the dropdown menu, then click `Approve and Close`.
1. Processing `Registration` Smart Campaign
    1. Processing smart campaign's Smart list must reference the landing page used in Program.
    2. Schedule, `Activate` smart campaign.
1. Set up asset expiration as [described here](/handbook/marketing/marketing-operations/campaigns-and-programs/#asset-expiration-use-cases), if needed.
1. (no setup needed) Marketo will process.
    1. If there is a `CRM Partner ID`,
        1. Set `Vartopia Partner Account`
        1. Set `Partner Consent` = `True`.
1. (no setup needed) Interesting moments will dynamically change if there is a partner involved to reflect that.
1. (no setup needed) [Traction](/handbook/marketing/marketing-operations/traction-lead-complete/#joint-partner-campaign) picks up from there, and the lead is routed accordingly to either GitLab or the Partner in Vartopia.

##### Running a Joint Campaign with Multiple Partners?

The process above will work for an event with **multiple partners** driving to it. Make sure they have their [UTM Parameter URL](/handbook/marketing/channel-marketing/#utm-parameter-url) correct when sending traffic to the registration page. You can use the `Form 2432: Partners` which doesn't require the use of tokens, and provides a generic partner consent messaging that can apply to all partners.

#### Offline Campaign - Lead Capture via List Upload

If a form/landing page isn't available to capture registrations, see [List Import for Partner Leads](/handbook/marketing/channel-marketing/#list-import-for-partner-leads).

The process above will work for an event with multiple partners driving to it. Make sure they have the partner ID properly appended to each person on the list. You still need to fill out the token, but only one value will be accepted. Please decide ahead of time who the `default` partner is that will receive the leads they did not source.

### Partner Sponsored Events

GitLab allows Channel Partners to sponsor our owned events. The leads acquired by the Channel Partner will be shared regardless of their `Lead Status` and `BDR Prospecting Status` and will not be applicable to the recall process despite `Lead Source` = `Owned Event` and not `Partner Qualified Lead`.

`Lead Acquisition Source` needs to be manually updated to `Partner Sponsored Event` in the Marketo program flow. To do so, the steps below must be followed.

**Step 1**: Should there be any Partner sponsors, the Partner Marketing team specify to Marketing Operations team which campaign/program and Channel Partners are the sponsors.

**Step 2**: Marketing Ops team will need to update the program flow.

**Step 2a**: Update the smart campaign flow according to the lead creation method:

- For online lead creation via form submission, update `01b - Registration`
- For offline lead creation via list import, update `02b - Manual Upload Processing`

**Step 2b**: Update the data change value from:

 > If `Vartopia Partner Account` is not empty, `Lead Acquisition Source` change value to `Owned Event`

 to

 > If `Vartopia Partner Account` is empty, leave blank (Do Nothing).

**Step 2c**: Add Choice: If `Vartopia Partner Account` is equal to `Account ID of the Partner Sponsor (s)`, `Lead Acquisition Source` change value to `Partner Sponsored Event`

### Partner Managed Campaigns

Partner managed campaigns are marketing activities organized and leads generated are owned by partners.

#### Partner Campaigns

Note that this type of campaign are not generated by MDF.

**Step 1: Setup in Marketo**

1. Clone the Marketo program template: [YYYYMMDD__Partner_Name_Event_Name_Region](https://engage-ab.marketo.com/?munchkinId=194-VVC-221#/classic/PG16629A1)
2. Update the Marketo tokens: `{{my.Partner Name}}` with Partner Name and `{{my.CRM Partner ID}}` with [Account ID (18)](/handbook/marketing/channel-marketing/#crm-ids-for-channel-and-alliance-partners).

**Step 2: Sync to Salesforce Campaign**

1. In the Marketo Program Summary page, in `Salesforce Campaign Sync`, click on `Not Set`.
1. `Salesforce Campaign Sync` will pop up, with a `Campaign` dropdown, select `Create New`, then `Save`. This will automatically populate the campaign tag, so you do not need to edit anything.

**Step 3: Update Salesforce Campaign**

1. Update  `Campaign Type Details`
1. Change the  `Campaign Owner`  to your name
1. Update  `Start Date`  to the date of launch
1. Update  `End Date`  to when the campaign concludes
1. Update  `Budgeted Cost`  - If cost is $0 list 1 in the Budgeted Cost field. - NOTE there needs to be at least a 1 value here for ROI calculations, otherwise, when you divide the pipeline by 0 you will always get 0 as the pipe2spend calculation.
1. Update  `Region`  and  `Sub-region`  if you have the data available
1. Update  `Is a Channel Partner Involved?` = `Yes`
1. Update  `Channel Partner Name`
1. Click `Save`.

**Step 4: List Import**

Follow the steps in [List Import for Partner Leads](/handbook/marketing/channel-marketing/#list-import-for-partner-leads).

## Distributor Campaigns

### Carahsoft

#### Campaigns Without Leads

The purpose of this use case is to allow Value-Add campaigns to be available in the Distirbutor Marketing Campaign dropdown to track ROI, which doesn't require a lead list.

1. Carahsoft - Add the Event/Activity Name and Campaign Code to the [Carahsoft Marketing Plan spreadsheet](https://docs.google.com/spreadsheets/d/12HTBd4wye-G-Ep6-WKFQ6dtYkambLN2U-OMihzF0NFE/edit)
1. Gabby - Assign Salina to the Campaign Code column
1. Salina - Create the SFDC campaign and add Campaign Name and Campaign Code to the [Smartsheet](https://app.smartsheet.com/sheets/Jrr5PhjRjRfH965FqrvCq7GC9p56whHXp22C98m1). This will allow the Campaign Name to be displayed on the Distributor Marketing Campaign.
1. Salina - Add SFDC Campaign ID, SFDC Campaign Link and confirm the campaign name has been added to the Smartsheet under the `Added to smartsheet` column.

#### Campaigns Worked by Sales Dev

This is not an MDF campaign, as referenced in the name, it's a value-added where the leads will be worked by the Sales Dev team. [Video recording](https://youtu.be/WwWYFCmPs7M) available

1. Setup Allocadia
    1. Create a subcategory and line item
    1. Update `Worked by Sales Dev` to `True` on the subcategory (required)
    1. Open GitLab epic and issues using the GitLab issue - Allocadia integration. The GitLab epic and issues will include an issue template called, [Partner Sales Campaign - BDR Collaboration Template](https://gitlab.com/gitlab-com/marketing/sales-development/-/blob/main/.gitlab/issue_templates/Partner_Sales_BDR_Collaboration_Template.md?ref_type=heads). The purpose of this issue is to communicate how the Sales Dev team is expected to follow up with the campaign.
       1. Tag the Public Sector Business Development & AMER SDR on the Partner Sales Campaign BDR issue for visibility.
1. Follow the [instructions](/handbook/marketing/channel-marketing/#partner-campaigns) to setup Marketo Program and SFDC Campaign.
   1. Setup in Marketo
       1. Clone the appropriate FM program template
       1. Go to the Program > My Token - Fill out the Tokens
   1. Sync to Salesforce Campaign
   1. Update Salesforce Campaign
       1. Update `Is the Channel Partner Involved?` = Yes (Automated with Allocadia integration)
       1. Update `Channel Partner Name` with Partner Name (Automated with Allocadia integration)
       1. Mark campaign as `High Priority`
1. Spreadsheet - Assign Salina to the [Carahsoft Marketing Plan spreadsheet](https://docs.google.com/spreadsheets/d/12HTBd4wye-G-Ep6-WKFQ6dtYkambLN2U-OMihzF0NFE/edit) to  Add Salesforce Campaign to [Smartsheet](https://app.smartsheet.com/sheets/Jrr5PhjRjRfH965FqrvCq7GC9p56whHXp22C98m1) (Interim process until the next iteration)
1. Upload lead list via Google Drive
    1. Include `CRM Partner ID`
    1. Add `Partner Lead Worked by Sales Dev` = `True` column
    1. Once imported, if the lead is net new, the source will be changed to `Partner Qualified Lead` (Automated)

## Alliance Marketing Campaigns

This section is to walk through the technical setup of webcasts hosted by GitLab and/or Alliance Partner. Unlike Channel leads, Alliance leads follow the regular [lead and contact statuses](/handbook/marketing/marketing-operations/#lead-and-contact-statuses) and [scoring model](/handbook/marketing/marketing-operations/#lead-scoring-lead-lifecycle-and-mql-criteria).

<!--## Alliance Partner Lead Sharing via Impartner

Leads generated from Alliance Marketing campaigns can be shared to Alliance Partners through Impartner. They will **only** see the lead list of the campaign members - unlike Vartopia, they do not need to accept or reject the leads.

Note, we can only sync lead records on the lead object.

The field requirement for leads to sync to Impartner include:
1. Partner Account (ImpartnerPRM__PartnerAccount__c)
2. Partner Contact (ImpartnerPRM__PartnerContact__c)

More information can be found on the [Impartner](/handbook/marketing/marketing-operations/impartner/) page. -->

## Webcast Setup

All Marketo templates will have 2 tokens added to them that the campaign owner should update,`{{My.Partner Name}}` and `{{My.CRM Partner ID}}`.

The `CRM Partner ID` can be retrieved by identifying the `Account ID (18)` of the Alliance Partner - refer to this [list](https://gitlab.my.salesforce.com/00O8X000008mxIb).

First, use the general set up found in [campaigns and programs page](/handbook/marketing/marketing-operations/campaigns-and-programs/#marketo-program-and-salesforce-campaign-set-up). The partner steps are nested in the typical Marketo program templates to clone. Once the campaign is cloned, follow the steps below in addition to the other setup steps found on the campaigns and programs page.

### On24 Webcast Hosted by GitLab - Lead Capture via Form

GitLab can drive webcasts with Alliance Partners using [On24](/handbook/marketing/virtual-events/webcasts/#on24-webcast-setup). To incorporate the steps required for partners, follow these additional steps.

**Step 1: Setup in Marketo**

 1. Update the Marketo tokens: `{{my.Partner Name}}` with Partner Name and `{{my.CRM Partner ID}}` with [Account ID (18)](/handbook/marketing/channel-marketing/#crm-ids-for-channel-and-alliance-partners).
 1. The registration landing page must have the following:
    - `FORM 3299: Alliances` with a hidden field that captures  `utm_partnerid`.
    - The **URL must include the utm parameter with the CRM Partner ID** to the landing page to lead to be associated with the Alliance partner.
 1. Activate `01a Registration Flow (single timeslot)`
 1. Activate `00 Interesting Moments` and interesting moments will dynamically change if there is a partner involved to reflect that.
 1. (no setup needed) Marketo will process.
 1. If there is a  `CRM Partner ID`
     1. Set  `CRM Partner ID (Look up)`
     2. Set  `Partner Type` = `Alliance Partner` (by Salesforce)

**Step 2: Update SFDC Campaign**

1. Update  `Campaign Type Details`
1. Change the  `Campaign Owner`  to your name
1. Update  `Start Date`  to the date of launch
1. Update  `End Date`  to when the campaign concludes
1. Update  `Budgeted Cost`  - If cost is $0 list 1 in the Budgeted Cost field. - NOTE there needs to be at least a 1 value here for ROI calculations, otherwise, when you divide the pipeline by 0 you will always get 0 as the pipe2spend calculation.
1. Update  `Region`  and  `Sub-region` if you have the data available
1. Update  `Budget Holder`
1. Update  `Is an Alliance Partner Involved?`
1. Update  `Alliance Partner Name`
1. Click `Save`.

### Webcast Hosted by Alliance Partner - Lead Capture via List Upload

**NOTE:** Upon list import, ensure the Google sheet column for `CRM Partner ID` is populated, this will help associate the partner lead with the Alliance partner.

If a form isn't available to capture registration, follow these additional steps:

**Step 1: Update Tokens in Marketo**

- Update the Marketo tokens: `{{my.Partner Name}}` with Partner Name and `{{my.CRM Partner ID}}` with [Account ID (18)](/handbook/marketing/channel-marketing/#crm-ids-for-channel-and-alliance-partners).

**Step 2: Update SFDC Campaign**

1. Update  `Campaign Type Details`
1. Change the  `Campaign Owner`  to your name
1. Update  `Start Date`  to the date of launch
1. Update  `End Date`  to when the campaign concludes
1. Update  `Budgeted Cost`  - If cost is $0 list 1 in the Budgeted Cost field. - NOTE there needs to be at least a 1 value here for ROI calculations, otherwise, when you divide the pipeline by 0 you will always get 0 as the pipe2spend calculation.
1. Update  `Region`  and  `Sub-region` if you have the data available
1. Update  `Budget Holder`
1. Update  `Is an Alliance Partner Involved?`
1. Update  `Alliance Partner Name`
1. Click `Save`.

**Step 3: Update `CRM Partner ID` Column in Google Sheet**

- In the list upload, include the `CRM Partner ID` value in the [spreadsheet](https://docs.google.com/spreadsheets/d/1dzFqwjoBat8sna0uZu9RSVTsPvAZnJ4Xx4GkZllAUD0/edit#gid=257616838) column. If the lead is not associated with an Alliance partner, leave the column blank.

**Step 4: Update List Upload Request Issue**

- Please follow the [list import criteria and guidelines](/handbook/marketing/marketing-operations/list-import/#import-methods-and-their-sla).

## Webcast Hosted by Alliance Partners - Leads Shared via Labra

**Note**: You need access to the Labra Leads object in Salesforce to be able to view the leads

**Step 1: Setup in Marketo**

1. Clone Marketo Template: [YYYYMMDD_ExternalWebcastVendorName_Topic_Region](https://engage-ab.marketo.com/?munchkinId=194-VVC-221#/classic/PG5523A1)
2. Update the Marketo tokens: {{my.Partner Name}} with Partner Name and {{my.CRM Partner ID}} with [Account ID (18)](/handbook/marketing/channel-marketing/#crm-ids-for-channel-and-alliance-partners).

**Step 2: Update SFDC Campaign**

 1. Update `Campaign Type Details`
 2. Change the `Campaign Owner` to your name
 3. Update `Start Date` to the date of launch
 4. Update `End Date` to when the campaign concludes
 5. Update `Budgeted Cost` - If cost is $0 list 1 in the Budgeted Cost field. - NOTE there needs to be at least a 1 value here for ROI calculations, otherwise, when you divide the pipeline by 0 you will always get 0 as the pipe2spend calculation.
 6. Update `Region` and `Sub-region` if you have the data available
 7. Update `Budget Holder`
 8. Update `Is an Alliance Partner Involved?`
 9. Update `Alliance Partner Name`
10. Click Save.

Step 3: Export Leads from Salesforce

1. Duplicate [Salesforce Labra Leads Report](https://gitlab.my.salesforce.com/00OPL000003D1vp)
   1. Update `AWS Campaign Name` with the desired campaign name
   2. Export report as a CSV

**Step 4: List Import**

1. Clone [Google Sheet template](https://docs.google.com/spreadsheets/d/143REaMQLyIy7to-CFktL45TTTLZxBQRJUDIOMCA3CVo/edit#gid=257616838).
2. Add Labra Leads to the spreadsheet.
3. Add CRM Partner ID Column in Google Sheet.
   1. Notes, in the list upload, include the CRM Partner ID value in the spreadsheet column. If the lead is not associated with an Alliance partner, please leave the column blank.
4. Follow the general [list import criteria and guidelines](/handbook/marketing/marketing-operations/automated-list-import/#data-cleaning-instructions) for the list import spreadsheet.
   1. Ensure the Countries, States and the Program Member Statuses are an exact match to the picklist values.
   2. Leads should not be marked as `Opt-In`, unless they specifically opted into **GitLab** emails.
5. Once the spreadsheet is completed, proceed with [self service list import](/handbook/marketing/marketing-operations/automated-list-import/) steps 3-6.

## List Import for Partner Leads

1. Create a list import issue using the issue template found in the Marketing Operations project titled [general-list-import-request](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/blob/master/.gitlab/issue_templates/general-list-import-request.md).
1. For the list import spreadsheet (found in the list import issue), be sure to follow the general [instructions](/handbook/marketing/marketing-operations/list-import/#import-methods-and-their-sla).
   1. For specific instructions related to Partner, here what you need to know:
        1. Ensure the `CRM Partner ID` column is populated with the Account 18 (ID)
        1. Lead should not be marked as `Opt-In`, unless they specifically opted in to **GitLab** emails.
        1. Phone number is mandatory for Vartopia sync, make sure that field is populated.
1. Once spreadsheet is completed, proceed with [self service list import](/handbook/marketing/marketing-operations/automated-list-import/) instructions.
1. (no setup needed) Marketo will process.
    1. If there is a `CRM Partner ID` that equals to a Channel Partner Account ID (18),
        1. Set `Vartopia Partner Account` - if CRM Partner ID is associated to a Channel Partner.
        1. Set `Partner Consent` = `True`
    1. If `CRM Partner ID` equals to a Alliance Partner Account ID (18),
        1. Do nothing.
1. (no setup needed) Interesting moments will dynamically change if there is a partner involved to reflect that.

## UTM Parameter URL

The UTM parameter URL plays a huge part on partner lead routing and reporting. We utilize `utm_partnerid` in the UTM parameter URL to capture the Account ID (18) of the Partner Account, which populates into the `CRM Partner ID`. This process is embedded as a hidden field in all our partner-related Marketo forms. Each page must have the `utm_partnerid` in the URL, otherwise we cannot pass to the partner.

You can use the [Partner UTM Builder](/handbook/marketing/utm-strategy/#how-to-create-utms) to create your URLs.

- utm_medium = `partner` (never changes)
- utm_soure = `partner` (never changes)
- GTM = `x` (never changes)
- Partner Name - utm_partnerid is a dropdown show all Channel Partners, and two Alliance Partners (AWS, and GCP). Select the partner you are working with.
- Fill out the rest of the UTM parameters

## Field Glossary

Below are the glossary of fields used for Channel and Alliance partner campaigns and workflows.

|                                                                                                 | Channel Partner | Channel Partner | Distributor | Distributor | Alliance Partner | Alliance Partner |
| ----------------------------------------------------------------------------------------------- | --------------- | --------------- | ----------- | ----------- | ---------------- | ---------------- |
|                                                                                                 | Leads           | Records         | Leads       | Records     | Leads            | Records          |
| [Alliance Record](https://gitlab.my.salesforce.com/00N4M00000IW0Al?setupid=LeadFields)          |                 |                 |             |             |                  | X                |
| [Channel Record](https://gitlab.my.salesforce.com/00N8X00000HNJde?setupid=LeadFields)           |                 | X               |             | X           |                  |                  |
| [CRM Partner ID](https://gitlab.my.salesforce.com/00N4M00000IbfCn?setupid=LeadFields)           | X               |                 | X           |             | X                |                  |
| [CRM Partner ID (Look Up)](https://gitlab.my.salesforce.com/00N4M00000IjeO1?setupid=LeadFields) | X               |                 | X           |             | X                |                  |
| [Lead Acquisition Source](https://gitlab.my.salesforce.com/00N8X00000FnjX0?setupid=LeadFields)  | X               |                 |             |             |                  |                  |
| [Partner Consent](https://gitlab.my.salesforce.com/00N4M00000IbfCo?setupid=LeadFields)          | X               |                 | X           |             |                  |                  |
| [Partner Managed](https://gitlab.my.salesforce.com/00N8X00000FoY1r?setupid=LeadFields)          | X               |                 |             |             |                  |                  |
| [Partner Manager](https://gitlab.my.salesforce.com/00N8X00000HNDnd?setupid=LeadFields)          | X               |                 |             |             |                  |                  |
| [Partner Type](https://gitlab.my.salesforce.com/00N8X00000HNKlG?setupid=LeadFields)             | X               |                 | X           |             | X                |                  |
| Subscribe - Partner                                                                             | X               |                 | X           |             | X                |                  |
| [Vartopia Partner Account](https://gitlab.my.salesforce.com/00N8X00000FnjVo?setupid=LeadFields) | X               |                 |             |             |                  | |

Go to the [Vartopia page](/handbook/marketing/marketing-operations/vartopia/) to review fields that are relevant to Vartopia.

### Alliance Record

This field shows when a record belongs to an Alliance Partner meaning they are an employee of said Alliance Partner. When this field is checked = `true`, the record will be suppressed from general marketing communications.

### Channel Record

This field shows when a record belongs to a Channel Partner meaning they are an employee of said Channel Partner. When this field is checked = `true`, the record will be suppressed from general marketing communications.

### CRM Partner ID

This field is populated with the Salesforce `Account ID (18)` of Partner Account used for both Channel and Alliance.

For a running list of Channel Partners and their CRM IDs, which is critical to the channel partner lead flow, click [here](https://gitlab.my.salesforce.com/00O4M000004aSq6), while the `CRM Partner ID` for Alliance Partners can be found [here](https://gitlab.my.salesforce.com/00O8X000008mxIb).

### CRM Partner ID (Look up)

The lookup field retrieves the name of the partner account associated with the `Account ID (18)` used for both Channel and Alliance.

### Lead Acquisition Source

This field records the source type of the partner lead. The biggest driver for this field is to isolate the source type that applies to the recall process including `Owned Event`, `Service Management`.

The reason why [`Initial Source`](/handbook/marketing/marketing-operations/#initial-source) isn't used for this use case is because the field value must equal to `Partner Qualified Lead` to be attributed to and sourced by Partner.

### Partner Consent

This field indicates when a lead has granted consent to allow their information to be shared with a Partner. This only applies to Channel Partners because Alliance Partners are not enrolled in the lead-sharing module.

### Partner Type

This field specifies when a partner lead is associated with a Channel or Alliance Partner account.

### Partner Managed

This field marks when a lead is managed by a Channel Partner via Vartopia. `Vartopia Partner Account` must be populated and their `Prospect Share Status` and `Partner Prospect Status` must have a status that suggests they are being worked on by a Channel Partner.

- Partner Prospect Status = `Qualifying`, `Qualified` or `Converted to DR`, or
- Prospect Share Status = `Sending to Partner`, `Pending` or `Accepted`.

### Partner Manager

This field reflects the `Account Owner`, Channel Account Manager or Partner Account Manager associated to the partner account.

### Subscribe - Partner

This field records when a lead has opted-in to Partner communications. Subscribe - Partner resides only in Marketo.
