---
title: CMO Shadow Program
description: "GitLab Marketing Handbook: CMO Shadow"
twitter_image: '/images/tweets/handbook-marketing.png'
---

## Overview {#overview}

### Introduction {#introduction}

At GitLab, being a CMO shadow is not a job title, but a temporary assignment to shadow the CMO.
The shadows will be present at all meetings of the CMO during their rotation.
GitLab is an [all-remote](/handbook/company/culture/all-remote/) company, so the shadow will be attending virtual meetings hosted on Zoom.

### Goal {#goal}

The goal of the CMO Shadow Program is to give current and future [leaders](/handbook/company/structure/) in the Marketing Team an overview of all aspects of the [company](/handbook/company/).
This should enable marketing leadership to better perform [global optimizations](/handbook/values/#global-optimization).
You'll gain this context through the [meetings you attend](#meetings) and discussions with the CMO regarding any questions that arise during the call, should time be available during the shadow timeframe.
The program also creates opportunities for the CMO to build relationships with team members across the marketing department and to identify challenges and opportunities earlier.

### What it is not {#what-it-is-not}

The CMO Shadow Program is not a performance evaluation or the next step to a promotion. Being a CMO shadow is not needed to get a promotion or a raise, and should not be a consideration factor for a promotion or raise, as diverse partipants have different eligibilities.

### Reasons to participate {#reasons-to-participate}

1. Are you interested in learning more about marketing's interaction with other departments within the company?
1. Are you intersted in how other leaders within marketing run their 1:1s with CMO or run their team meetings and you're looking for leadership inspiration you can take back to your team?

### What is it like? {#what-it-is-like}

- CMO days are very interesting. One moment, you will be talking about a press strategy and the next, you'll be in pipeline converstaions. Depending on the meeting, some may give you context of what you're hearing or some may not. If limited context is given, then you're quickly trying to dig into the data that's been presented so you can glean as much information from the meeting as possible, before going on to the next.

### What is the feedback from the CMO? {#cmo-feedback}

(To be developed) Hear what our CMO has to say about the CMO Shadow Program.

## Participating in the program {#participation}

### Eligibility {#eligibility}

CMO staff will recommend who from their organizations should participate in the program. If you're a team member reading this and interested in participating, reach out to your CMO staff member.

### Rotation schedule {#schedule}

| Start date | End date | Shadow & Role |
| ---------- | -------- | ------- |
| 2021-05-17 | 2021-05-28 | [Michael Preuss](https://gitlab.com/mpreuss22) - Director, Digital Experience |
| 2021-05-31 | 2021-06-11 | Available |
| 2021-06-164 | 2021-06-25 | Available |

## Preparing for the Program {#preparation}

### Important things to note {#things-to-note}

1. This is not a performance evaluation.
1. Plan to observe and ask questions.
1. Don't plan to do any of your usual work. Prepare your team as if you were on vacation.
1. Be ready to add a number of [handbook](/handbook/about/handbook-usage/) updates during your shadow period.
1. Participating in the shadow program is a privilege where you will be exposed to confidential information. This is underpinned by trust in the shadows to honor the confidentiality of topics being discussed and information shared. The continuation of this program is entirely dependent on shadows past, present, and future honoring this trust placed in them.
1. Give feedback to and receive feedback from the CMO. Participants in the shadow program are encouraged to deliver [candid feedback](/handbook/people-group/guidance-on-feedback/#guidelines-for-delivering-feedback). Examples of this are to the CMO and to the world about the company if they make a blog post or video. Shadows maintaining confidentiality during the program is separate from shadows being able to provide candid feedback.

### What to wear {#what-to-wear}

You **do not need to dress formally**; business casual clothes are appropriate. For example, Todd wears a button-up with jeans most days. GitLab shirts are acceptable. Review Todd's calendar to check if there are formal occasions - this may require different clothing. If unsure, please ask the Executive Business Administrator (EBA).

### Pre-Program Tasks {#pre-program-tasks}

#### Practice your introduction {#practice-introduction}

You will get asked about yourself during the program, and it's important to describe it correctly. So stand in front of a mirror and practice 3 times. The main point is, do *not* say that your role is to "follow Todd around" or "follow the CMO around". The program is for exploring and learning about all the parts of GitLab, and there's where the emphasis should lie.

#### Review the CMO's calendar {#review-calendar}

Review the CMO's calendar to get an idea of what your upcoming weeks will be like. If you see there is a meeting on the CMO calendar and you're not invited, but think you should be, feel free to ask CMO or the EBA directly.

#### Include CMO Shadow in Zoom Name {#zoom-name}

Shadows should update their name in Zoom to include `[Name] | CMO Shadow` for clarity in meetings.

#### Coffee Chat with CMO Shadow Alumni {#alumni-coffee-chat}

Feel free to schedule a coffee chat with any of the CMO Shadow Alumni. You can review the list of [CMO Shadow Alumni](/handbook/marketing/cmo-shadow/#alumni) below. These chats can be helpful when deciding whether to participate or if you want to hear about the experience and what alumni have learned while shadowing.

## What to expect during the program {#what-to-expect}

### Tasks {#tasks}

At times you may be asked your opinion on a topic or you may be asked to do work if it is specifically related to your job.

### Meetings {#meetings}

You are welcome to come off mute and join the conversation. Ask questions where you see appropriate. If you're more comfortable to dropping a line in chat, meeting attendees will see the note and often times, vocalize your comment and may ask for more insight.

### Taking Notes {#taking-notes}

Depending on the meeting, you may be asked to take notes for the meeting. Depending on how you work, you may want to take notes of your own. Noting what you thought was interesting about the converation, how you think it impacts your role/team, and any follow-ups you want to personally take as a result of what you heard.

#### Follow activity from the CMO {#follow-cmo-activity}

Shadows are encouraged to follow the CMO's activity on various platforms to get a complete picture of his everyday activities and where he directs his attention.

- In Slack: Go to the Slack search bar and type "from:@tbarr" and it will populate the results.
- In GitLab: This can be seen on the CMO's [GitLab activity log](https://gitlab.com/users/tbarr/activity).

## Alumni {#alumni}

<!-- Do we want this? -->

| Start date | End date | Name | Title | Takeaways |
| ---------- | -------- | ---- | ----- | --------- |
| 2021-01-04 | 2021-01-22 | Jackie Gragnola | Manager, Campaigns | |
| 2021-01-18 | 2021-01-29 | Leslie Blanchard | Director, Field Marketing | |
| 2021-02-01 | 2021-02-12 | Becky Reich | Awareness Campaign Manager | |
| 2021-02-22 | 2021-03-05 | Emily Kyle | Manager, Corporate Events and Branding | |
| 2021-03-15 | 2021-03-26 | William Chia | Manager, Product Marketing | |
| 2021-03-29 | 2021-04-09 | Hannah Woodward | Sr. Manager, AMER Sales Development | |
| 2021-04-19 | 2021-04-30 | Natasha Woods | Director, Corporate Communications | |
| 2021-05-03 | 2021-05-14 | Emily Luehrs | Manager, Account Based Marketing | |
