---
title: "Chief Marketing Officer"
description: "GitLab CMO Handbook: Review requests and communication guidelines"
twitter_image: '/images/tweets/handbook-marketing.png'
---

<i class="fas fa-bullhorn fa-fw color-orange font-awesome"></i> Welcome to the GitLab CMO Handbook
{.h1}

This page details processes for the Chief Marketing Officer at GitLab, including review and approval requests, communication guidelines, and information-sharing best practices.

Learn more about GitLab's Chief Marketing and Strategy Officer [Ashley Kramer](/handbook/company/team/#akramer) in [her README](/handbook/marketing/readmes/ashley-kramer/).

## Communication guidelines

In an effort to create more efficiency in how we collaborate, please utilize the [#cmo Slack channel](https://gitlab.slack.com/archives/C04C38T1KQV) for items that require CMO **review**, **feedback**, **approval**, to **share updates**, or if you have **questions** directly to the CMO.

*Note this is a public Slack channel, so please consider it is [SAFE](/handbook/legal/safe-framework/) before sharing.*

## Review and Approvals

Follow the steps and details for workflows that involve different types of review requests for efficient reviews.

- Join the [#cmo Slack channel](https://gitlab.slack.com/archives/C04C38T1KQV) to create a new review request
  - Tag `@Ashley`
  - Include the URL to the MR or slides/docs
  - Add a short sentence describing the topic, and ask.
  - Optional: Add more context in subsequent lines in the message, or as a reply into a new message thread.
- Ensure that direct reports to the CMO have reviewed and approved before asking the CMO to review
  - Example: A new product messaging house is developed, and the VP of Product Marketing must sign off first.
  - Example: The marketing handbook front page adds a new strategic vision for events. The VP of Integrated Marketing, and the VP of Product Marketing must sign off first.
- Please add [CMO's EBA](/handbook/eba/) as CC into the message and include a [due date](/handbook/communication/#communicating-dates-and-time) until when the review is required.
  - The CMO's EBA will add a notification to the CMO's calendar to finish the review request on the same day/week.
  - Example: `Urgent review ask because of the new quarter starting in two weeks, requiring the new messaging. Please review by YYYY-MM-DD, 5 PM PT. cc @<EBA name>`

Example review request:

```text
@Ashley This MR adds the CMO review requests and communication guidelines page into the marketing handbook. https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/115432

Context is your request to create a dedicated Slack channel, and documented guidelines for team members to share review requests and content updates, similar to the #ceo Slack channel.

Please review until 2022-12-01 10am PT. cc @Laura Vickerman

Follow-up actions: Share with CMO leadership, add an update for the next Marketing all-hands meeting.
```

### Merge Requests

Before assigning the CMO for review and approval, please ensure that the following applies:

- The MR is mergeable: [All comment threads resolved](https://docs.gitlab.com/ee/user/discussions/#resolve-a-thread), [MR is marked as ready](https://docs.gitlab.com/ee/user/project/merge_requests/drafts.html#mark-merge-requests-as-ready) and not a draft, and [CI/CD pipelines ran successfully](https://docs.gitlab.com/ee/user/project/merge_requests/widgets.html#pipeline-information) and deployed the latest [review app](https://docs.gitlab.com/ee/ci/review_apps/).
- Add [@akramer](https://gitlab.com/akramer) as a `Reviewer` to the MR. You can use `/assign_reviewer @akramer` as a [quick action](https://docs.gitlab.com/ee/user/project/quick_actions.html) in the comment (press `r` as keyboard shortcut)
- Optional: Share a Review App URL for direct access to relevant changes and pages, or add a screenshot/summary in the request for more efficient reviews.

Follow the best practices for merge request reviews in the [CEO handbook](/handbook/ceo/#communicating-merge-requests).

## Sharing content to read

If you have an interesting article or news item to read and learn, feel free to share it in the [#cmo Slack channel](https://gitlab.slack.com/archives/C04C38T1KQV) too.

- Add `FYI,` without @-tagging the CMO in the beginning of the Slack message. This avoids notification distractions and enables async reading.
- Create a summary of 1-3 sentences with key talking points and take aways.
- Add screenshots, or source URLs for better context
- Optional: `Suggested actions:` that suggest a follow-up task for the CMO.
  - Example: Retweet/Reshare a Twitter/LinkedIn share, or share an article in the network for thought leadership.
