---
title: Corporate Communications Resources and Trainings
description: Trainings for Team Members provided by the Corporate Communications Team
---
## Corporate Communications Resources and Trainings

More information about additional trainings are coming soon.

## External Speaking Trainings

### GitLab Media Training

At GitLab, any team member who speaks to the media on behalf of GitLab must complete the GitLab Media Training as of September 13, 2021. Whether you've done media interviews in the past or you're fairly new to it, you'll learn some best practices and some guidance specific to speaking about GitLab (both the product and the company). **[Complete the training on Level Up](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/course/gitlab-media-training)** where you'll find the required video training and the slide deck with additional resources you can use as you prepare for your next media interview.

### GitLab Speaker Training

At GitLab, any team member who speaks externally (to non-team members) on behalf of GitLab must complete the GitLab Speaker Training as of September 13, 2021. Whether you've done a lot of speaking and presentations or you're just getting started, you'll learn GitLab's guidance for speaking and presentations. The training will also cover best practices for topic selection, creating slide decks and talking points, presenting, and nailing the Q&A. **[Complete the training on Level Up](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/course/gitlab-speaker-training-2021)** where you'll find the required video training and the slide deck with additional resources you can use as you prepare for your next external speaking engagement.

## Public Relations (PR)/Content Trainings

### How to Make Your Content Work Harder for You

As a GitLab team member, no matter your role, you are typically actively engaging with our user community, customers, technology partners, prospects, etc. on a regular basis. Often these engagements are centered around some sort of content preparation to speak with the intended audience such as a presentation, video, speaking session at a conference or meetup, blog post on a topic or a webinar to showcase GitLab and/or technical expertise and thought leadership.

The content amplification does not need to stop at that one event,blog post or webinar! Why not create a domino effect with your content to further the reach and increase viewership of the topic.

**🔗 Watch the training [here](https://youtu.be/VrKd89vJizM) (you'll need to be logged into GitLab's Unfiltered YouTube account in order to access the video)**

**Follow along with the presentation here: [How to make your content work harder for you](https://docs.google.com/presentation/d/1RPSkAWtXtWfbuoHD9D1iSdt5o1d7a4MA5QPGjGeFFXM/edit#slide=id.g29a70c6c35_0_68)**

### How to get in touch with GitLab PR/Content

- Email us: [press@gitlab.com](mailto:press@gitlab.com)
- Slack us: [#external-comms](https://gitlab.slack.com/archives/CB274TZRR) and [#newswire](https://gitlab.slack.com/archives/CERAPFN7R)
- Have an upcoming announcement you want to share? Use the [announcement issue](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=announcement)
- Submit your repurposed content for a contributed article (or notify us of an opportunity for a contrib via the [contributed article issue](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new#)

## Social Media Trainings

### Social Media 101 Training + Certification

Anyone can test their knowledge of social media basics or get up to speed with our social media 101 training and certification. The video runs under 22 minutes and the knowledge assessment could be done in as little as 10 minutes. You could be more confident with social media in less than 45 minutes!

**🔗 [Watch the training here. You'll need to be logged into GitLab's Unfiltered YouTube account in order to access the video.](https://youtu.be/c5UcbNYVTu4)**

We're aware of a typo in the middle of the session. Instead of "do no" at 4:43 and 5:46, it should be "do not". Kristen says this in the session, but the slide is missing the last letter.

To obtain a certificate, you will need to complete this [Social Media 101 Knowledge Assessment](https://forms.gle/X5toY6A1jhguYyfj8) and earn at least an 80%. Once the quiz has been passed, you will receive an email with your certificate that you can share on your personal LinkedIn or Twitter pages. If you have questions, please reach out to our L&D team at [learning@gitlab.com](mailto:learning@gitlab.com).
<details>
  <summary markdown='span'>
    What is the social media certification?
  </summary>

GitLab's social media certification will be received by team members who complete the Learning and Development: Let's Get Social Media Certified training.
Once you complete the Social Media Assessment you can respond to any GitLab mentions which you feel you can provide value to. Once certified you will feel empowered to talk about GitLab and your work on your own social media channels.

</details>

<details>
 <summary markdown='span'>
 What can I expect out of the training?
 </summary>

This training focuses on enabling team members to supplement their channels with content without a formal Employee Advocacy tool to share from. The social media team will provide tips on how to set your profile up for success, how to curate content, and how to engage like an expert. By completing this training, team members will take their previous social 101 to a 202 skill set. You will walk away with a social media certificate, and personal brand confidence.

</details>

<details>
 <summary markdown='span'>
 How can I get social media certified?
 </summary>

It is not required to be active on social media as a GitLab team member. It is also not required that you speak on behalf of GitLab on social platforms. However, if you do talk about work-related matters that are within your area of job responsibility- you must disclose your affiliation with GitLab. And before you do- you must get certified after taking the L&D: Let's Get Social Media Certified training.

</details>

<details>
  <summary markdown='span'>
    Social Media Knowledge Assessment
  </summary>

Anyone can become certified in the GitLab Social Media Training. To obtain certification, you will need to complete this Social Media Knowledge Assessment and earn at least an 80%. Once the quiz has been passed, you will receive an email with your certification that you can share on your personal LinkedIn or Twitter pages. If you have questions, please reach out to our L&D team at learning@gitlab.com.

</details>

### GitLab Social Media Resources

_Team members should familiarize themselves with personal brand tips and the GitLab Branded Social Media Channels._

- [Social Media Policy and Guidelines](/handbook/marketing/team-member-social-media-policy/)
- [Social Marketing Handbook](/handbook/marketing/integrated-marketing/digital-strategy/social-marketing/)
- [GitLab Branded Social Channels](/handbook/marketing/integrated-marketing/digital-strategy/social-marketing/#primary-social-channels-audiences-and-calendaring-)
- [Contribute 2020: How to be a Social Media Contributor](https://www.youtube.com/watch?v=csWMZuUM3w8#action=share)

### General Social Media Resources

_Here are additional resources on how to build your personal brand on social media._

- [10 Golden Rules of Personal Branding](https://www.forbes.com/sites/goldiechan/2018/11/08/10-golden-rules-personal-branding/#4fd8637358a7)
- [Personal Branding Trends to Tap Into](https://sproutsocial.com/insights/personal-branding-trends-social-media/)
- [The Ultimate Guide to Personal Branding](https://sproutsocial.com/insights/personal-branding/)
