---
title: Demand Generation Campaigns Team
description: Demand Generation Campaigns Handbook
twitter_image: /images/tweets/handbook-marketing.png
twitter_site: '@gitlab'
twitter_creator: '@gitlab'
---

## What our team does {#goals}

<!-- DO NOT CHANGE THIS ANCHOR -->

### Responsibilities {#responsibilities}

<!-- DO NOT CHANGE THIS ANCHOR -->

Global Campaigns Managers are responsible for building integrated marketing campaigns including the strategy, execution and analytics. They work in a cross-functional manner to gain alignmnent with internal stakeholders and inter-departmental dependencies. Building a Global Campaign may consist of the following: Target Audience segementation, campaign journey, asset and content recommendations, marketing message, email nurture, recommeded marketing channels for promotion (both organic and paid), top funnel events (virtual and in-person), and Alliance partnership (Technology Partners).

Regional campaigns managers are responsible for localizing and activating global campaign bundles, prioritizing program mix and delivery channels to support regional revenue goals. They partner with paid digital, ABM, lifecycle, field marketing, product marketing, customer marketing, SDR/BDR and regional sales teams to create integrated go-to-market plans.

[Read the job family here >>](/job-families/marketing/marketing-campaign-manager/)

### Goals {#goals}

<!-- DO NOT CHANGE THIS ANCHOR -->

The goals for new first-order MQLs and SAOs are derived from workbacks of sales pipeline projections. These differ by segment and geo, and can be discussed internally.

### Demand Generation Key Metrics {#key-metrics}

<!-- DO NOT CHANGE THIS ANCHOR -->

- **North Star Metric:** MQLs (New First-Order Logo)
- **Efficiency Metric:** Cost per MQL (New First-Order Logo)
- **Business Impact Metric:** CWA/Spend (closed-won attribution)
- **Supporting/Activity Metrics:** SAOs, Attributed Pipeline

### OKRs {#okrs}

<!-- DO NOT CHANGE THIS ANCHOR -->

**OKRs = Objective + Key Result**

<details>
<summary markdown='span'>
FY24-Q1
</summary>

- **To Be Added**

</details>

<details>
<summary markdown='span'>
FY23-Q4
</summary>

- **To Be Added**

</details>

### Meet the Team {#meet-the-team}

<!-- DO NOT CHANGE THIS ANCHOR -->

**Agnes Oetama** _Manager, Marketing Campaigns_

- **Team Prioritization**: plan prioritization of campaigns, related content and webcasts, event support, and projects for the team
- **Hiring**: organize rolling hiring plan to scale with organization growth
- **Onboarding**: create smooth and effective onboarding experience for new team members to ramp quickly and take on responsibilities on the team
- **Transition of Responsibilities**: plan for and organize efficient handoff to new team members and between team members when prioritization changes occur
- Campaigns DRI for Sisense attribution reporting (working closely with Marketing Ops)

**Shari Rances** _Sr. Marketing Campaign Manager_

- **Campaign strategy for Automated Software Delivery (AutoSD) Global Campaign**
  - Partner with campaign core team (Product Marketing, Developer Advocacy, Content, Analyst relations, Design) to develop and deploy Automated Software Delivery integrated marketing campaigns bundles
  - Host monthly enablement sessions on Automated Software Delivery global campaign updates and new LIVE assets
  - Produce half-yearly Automated Software Delivery global campaign performance reporting and optimization plan
  - Project manage and run top-funnel global campaign webcasts (e.g: Quarterly release webcasts, Forrester TEI webcast, DORA webcast)
Host monthly enablement sessions on global campaign updates and new LIVE assets
  - Campaigns DRI for integrating Alliances motion into global campaigns

**Eirini Panagiotopoulou** _Sr. Marketing Campaign Manager_

- **Campaign strategy for DevSecOps Platform and Security & Compliance (S&C) Global Campaigns**
  - Partner with campaign core team (Product Marketing, Developer Advocacy, Content, Analyst relations, Design) to develop and deploy DevSecOps Platform and Security & Compliance integrated marketing campaigns bundles
  - Host monthly enablement sessions on DevSecOps Platform and Security & Compliance global campaigns updates and new LIVE assets
  - Produce half-yearly DevSecOps Platform and Security & Compliance campaigns performance reporting and optimization plan
  - Project manage and run top-funnel global campaign webcasts (e.g: Quarterly release webcasts, Forrester TEI webcast, DORA webcast)
Host monthly enablement sessions on global campaign updates and new LIVE assets

**Timothy Tran** _Marketing Campaign Manager_

- **Campaign strategy for All Sales Segments, APAC***
  - Plan, organize, implement, and optimize campaign strategy for all segments in APAC
  - Analyze and share results/findings of full-funnel attribution reporting for all segments in APAC
  - Organize execution schedule, timeline, and DRIs for tactics aligned to top-funnel APAC campaign plans, including email nurture, virtual events, digital ads, etc. aimed primarily at driving Inquiries + MQLs (with consideration of SAO attribution)
  - Support email marketing initiatives with Lifecycle Marketing focused on email marketing
  - Campaigns DRI for localization (translation of assets with Smartling)

**Indre Kryzeviciene** _Sr. Marketing Campaign Manager_

- **Campaign strategy for All Segments, _EMEA_**
  - Plan, organize, implement, and optimize campaign strategy for all segments in EMEA
  - Analyze and share results/findings of full-funnel attribution reporting for all segments in EMEA
  - Organize execution schedule, timeline, and DRIs for tactics aligned to top-funnel EMEA campaign plans, including email nurture, virtual events, digital ads, etc. aimed primarily at driving Inquiries + MQLs (with consideration of SAO attribution)
  - Support email marketing initiatives with Lifecycle Marketing focused on email marketing
  - Campaigns DRI for localization (translation of assets with Smartling)
  - Campaigns DRI for UTM strategy
  - Campaigns DRI for Weekly tech demo series

**Meilynda Herbst** _Sr. Marketing Campaign Manager_

- **Campaign strategy for All Segments, _Americas_**
  - Plan, organize, implement, and optimize campaign strategy for all segments in AMER
  - Analyze and share results/findings of full-funnel attribution reporting for all segments in AMER
  - Organize execution schedule, timeline, and DRIs for tactics aligned to top-funnel AMER campaign plans, including email nurture, virtual events, digital ads, etc. aimed primarily at driving Inquiries + MQLs (with consideration of SAO attribution)
  - Support email marketing initiatives with Lifecycle Marketing focused on email marketing
  - Campaigns DRI for Content
  - Campaigns DRI for Drift Chat Bot Strategy
  - Campaigns DRI for Tier 2 Referral Sites: Trust Radius, Gartner Digital/Capterra

_Each team member contributes to making day-to-day processes more efficient and effective, and will work with marketing operations as well as other relevant teams (including field marketing, content marketing, and product marketing) prior to modification of processes._

## Communication {#communication}

<!-- DO NOT CHANGE THIS ANCHOR -->

In line with GitLab's overall [communication guidelines](/handbook/communication/), campaign managers work through MRs first and issues second (in order to preserve documentation), and our slack channel [#marketing-campaigns](https://gitlab.slack.com/archives/CCWUCP4MS) is used for team updated and quick questions.

The [#marketing_integratedmarketing](https://gitlab.slack.com/archives/C03HJQW0DLZ) channel is used for weekly check-ins and interaction with the larger integrated marketing team.

In between bi-weekly Campaigns Team Connect calls:

- **Updates** should be added to MRs when possible
  - Add to #marketing_programs Slack
  - Begin with `UPDATE: <brief description>` (i.e. `UPDATE: Marketo segmentation live for sales segment`)
  - Include link to MR (preferred) or issue
- **Topics** that need input should be added as an MR when possible, with issues as a secondary option, and pinged in Slack with `DISCUSS`
  - Add to #marketing_programs Slack
  - Begin with `DISCUSS: <brief description>` (i.e. `DISCUSS: Marketing tool champions`)
  - Include link to MR (preferred) or issue

## Out of office team coverage

Whenever team members are out of the office for more than 7 business days, they are required to create [an ooo coverage issue](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=campaigns-ooo) outlining the coverage needed and assign that to their team counterpart providing coverage. The same process and issue template can optionally be used when team members are out of the office for less than 7 days but requires coverage for time sensitive project(s).

### Half-yearly Field Marketing & Campaigns Planning Workshop

Every 6 months, Regional campaigns managers will conduct a joint planning workshop with their Sr Manager/Manager, Field marketing counterparts (below):

| Region | Campaign Manager | Sr Manager/Manager, Field Marketing|
| ------ | ------ |-----|
|    AMER    |  Meilynda Herbst      |   Ginny Reib |
|    EMEA    |  Indre Kryzeviciene      | Kristine Setchin   |
|    APAC   |   Timothy Tran     |  Kate Baker  |

#### Collaboration Timeline/Deliverables

- **X week before planning session:**  Manager/Sr Manager of field marketing shares next quarter planned field marketing events with regional campaign managers.
- **By planning session:** Regional campaign manager to pull invite list for each planned event.
- **During planning session:** Manager/Sr Manager of field marketing & campaign manager reviews invite list. If invite list for a particular planned event is too small, collectively decide if FMM should change the event venue or work with their regional campaign manager on a strategy to grow the invite list via paid or organic channels.

### Meeting Cadence {#meeting-cadence}

<!-- DO NOT CHANGE THIS ANCHOR -->

Most of our team meetings are recorded and can be found [here](https://drive.google.com/drive/u/1/folders/1GDkvqVhimLDnX744eh9YS6_qHhKRafmJ).

- Bi-weekly - Campaigns Team Connect Call (every other is AMER/EMEA and EMEA/APAC)
- Monthly - Marketing All-Hands (all marketing)

### The Handbook {#handbook}

<!-- DO NOT CHANGE THIS ANCHOR -->

Is our single source of truth (SSoT) for processes and relevant links

- Individual teams should link back to these SSoT sections to avoid confusion
- Collaborative tactics contain their own handbook pages
- The handbook will be iterated on as we establish and optimize processes for optimal efficiency

## Project Management {#project-management}

<!-- DO NOT CHANGE THIS ANCHOR -->

### Prioritization {#prioritization-boards}

<!-- DO NOT CHANGE THIS ANCHOR -->

1. [Campaigns Team - Prioritization](https://gitlab.com/groups/gitlab-com/marketing/demand-generation/-/boards/2532209?&label_name[]=mktg-demandgen)
   - At start of milestone, ensure that issues are in the proper category of prioritization. Align them to the [priority definitions](/handbook/marketing/demand-generation/campaigns/#prioritization-labels).
   - Consider the time you have available in a 2 week period, recognizing meeting commitments and planned PTO.
   - Only add issues to account for 70% of your available work hours. Don't max out at 100% since there will likely be things that arise and need immediate attention throughout milestone.
   - _Ask yourself: considering realistic time this milestone, am I overcommitting? The first to drop from a milestone should be "Low" priority issues based on [definitions](/handbook/marketing/demand-generation/campaigns/#prioritization-labels)._
   - Discuss milestone with Agnes and if need help determining what to drop and how to communicate (potentially) to issue requestors.
1. [Campaigns Team - Current Milestone](https://gitlab.com/groups/gitlab-com/marketing/demand-generation/-/boards/2574635?milestone_title=%23started&)
   - Minimize the "Low" and "Medium" columns. Your focus should first be on the "Top" and "High" priority issues.
   - Prioritize completion of "Top" priority issues, then "High" priority issues.

### Labels {#labels}

<!-- DO NOT CHANGE THIS ANCHOR -->

#### Prioritization labels {#prioritization-labels}

<!-- DO NOT CHANGE THIS ANCHOR -->

- `DG-Priority::Top`: Immediate action needed, aligned to OKRs, GTM motions/sales plays, or segment/region MQL generation. This category will be limited because not everything can be a priority. Timeframe: Immediate action needed.
- `DG-Priority::High`: Not requiring immediate action, but aligned to OKRs, GTM motions/sales plays, or segment/region MQL generation. Timeframe: Within weeks.
- `DG-Priority::Med`: Requests submitted that align to OKRs, GTM motions/sales plays, or segment/region plans. Process improvements to fix broken processes, or improve campaign team efficiency. Timeframe: Within months.
- `DG-Priority::Low`: Requests submitted that would be helpful, but can be pushed for higher priority issues. Nice-to-have improvements for campaign team processes. Timeframe: No specific timeline.
- `DG-Priority::ToBePrioritized`: Requests that have not yet been prioritized by Demand Gen.

#### Team labels {#team-labels}

<!-- DO NOT CHANGE THIS ANCHOR -->

- `mktg-demandgen`: DRI is in Demand Gen team
- `dg-campaigns`: DRI is in Campaigns team
- `dg-request`: Issue requesting Demand Gen support (did not originate from DRI team)

#### Status labels {#intake-labels}

<!-- DO NOT CHANGE THIS ANCHOR -->

- `mktg-status::wip`: the issue is assigned and moved into appropriate time-based milestone
- `mktg-status::review`: the work (or build) has been done, and is ready for Quality Assurance (QA) Review
- `mktg-status::scheduled`: issues related to Marketo (email, landing page, form, automation) have been scheduled and are ready to deploy
- `mktg-status::complete`: work (or build) is complete and the issue can be closed
- `mktg-status::blocked`: there were insufficient details in the issue for work to be completed
- `mktg-status::plan`: this is used for work that is in an earlier stage of planning and a specific request has not been made (backlog issues)
  - This will likely be used mainly by campaign managers on issues that are not high priority but there is a desire to capture the idea/notes.

#### Campaign Team Issue Templates {#campaign-issues-templates}

<!-- DO NOT CHANGE THIS ANCHOR -->

The following issue templates are used by the Campaigns Team to organize their work, with appropriate labels applied for project management.

- [campaigns-manager-wip](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=campaign-manager-wip)
  - to be used by **Campaign Managers ONLY** for simpler project management for their own initiated issues
  - puts straight in WIP status with pre-set for curent milestone and assignment to the person opening the issue
- [campaigns-add-to-email-nurture](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=campaigns-add-to-email-nurture)
- [campaigns-landing-page-copy](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=campaigns-landing-page-copy)
- [campaigns-mural](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=campaigns-mural)
- [campaigns-pathfactory-track](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=campaigns-pathfactory-track)
- [campaigns-pf-buyer-journey](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=campaigns-pf-buyer-journey)
- [campaigns-post-webcast](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=campaigns-post-webcast)
- [campaigns-program-tracking](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=campaigns-program-tracking)
- [campaigns-reporting](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=campaigns-reporting)
- [campaigns-remove-from-email-nurture](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=campaigns-remove-from-email-nurture)
- [campaigns-sdr-enablement](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=campaigns-sdr-enablement)
- [campaigns-translation-review](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=campaigns-translation-review)
- [campaigns-webcast-dryrun-host](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=campaigns-webcast-dryrun-host)
- [campaigns-webcast-dryrun-sched](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=campaigns-webcast-dryrun-sched)
- [campaigns-webcast-live-host](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=campaigns-webcast-live-host)
- [campaigns-webcast-prep](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=campaigns-webcast-prep)

#### Request Issue Templates {#request-issue-templates}

<!-- DO NOT CHANGE THIS ANCHOR -->

We ask that teams request work using the following issue templates in the campaigns project. These templates more clearly indicate what information and details are required in order for the request to be triaged.

Note on timelines: The Campaigns Team is focused on campaign strategy, execution, and optimization. Team member milestones focus on work to drive MQLs and SAOs, and requests will be committed to as bandwidth permits at discretion of Campaign Team Manager.

- [request-email-followup](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=request-email-followup) - these will triage to Verticurl
- [request-email-invitation](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=request-email-invitation) - these will triage to Verticurl
- [request-email-newsletter](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=request-email-newsletter) - these will triage to Verticurl
- [request-email-reminder](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=request-email-reminder) - these will triage to Verticurl
- [request-email](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=request-email) - _only for general email requests_ these will triage to Verticurl. _For customer communications, please work with Marketing Ops._
- [request-mkto-landing-page](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=request-mkto-landing-page) - should mainly be used for pre-set processes where epic code includes need for landing page.
- [request-pathfactory-track](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=request-pathfactory-track) - creation of pathfactory tracks for one-time use is responsibility of owner. If used for demand generation prescriptive buyer journey, it will be triaged.
- [request-pathfactory-upload](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=request-pathfactory-upload) - the content owner is responsible for uploading to Pathfactory.
- [request-pathfactory-upload-bulk](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=request-pathfactory-upload-bulk) - [issue to discuss more efficient process with MOps](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/4946)
- [request-resource-page-addition](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=request-resource-page-addition) - [issue to discuss leveraging pathfactory for the resources page](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/1030))
- [request-sales-nominated](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=request-sales-nominated) - process should be used sparingly
- ~~[request-zoom-license-date](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=request-zoom-license-date)~~ - please use [this issue template](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_zoom_license_date) with Field Marketing (owner of Zoom)
- [request-webcast-dryrun-sched](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=request-webcast-dryrun-sched)
- [idea-campaign](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=idea-campaign)
- [idea-webcast](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=idea-webcast)

#### Fundamental principles of issue requests {#fundamentals}

<!-- DO NOT CHANGE THIS ANCHOR -->

The following issue templates are used by the campaigns team to organize their work, with appropriate labels applied for project management.

- `/assign @` - issues should have only DRI based on who will complete the work in the issue. If work needs to be completed by multiple people, consider breaking into separate issues with clear deliverables and due dates. (example: `/assign @jgragnola`)
- `/due 2021-` - add due date based on workback schedules (example: `/due 2020-07-13` or `/due tomorrow` or `/due 07/13/2020`)
- `/milestone %` - add milestone based on the due date of the issue (example: `/milestone %"Mktg:` )
- `/weight` - add weight between 1-5, with 1 being easiest (between 1-4 hours of time) and 5 being most complex (a full week of work). The majority of issues should fall into 1-2. If estimation is weight of 3+, break into separate issues for more manageable pieces to fit into milestones. (example: `/weight 1`)
- `/epic` - add epic of the overarching campaign or project to keep things organized. In almost all cases, there is a larger initiative that the issue relates to, so it is best practice to associate issues to the most relevant epic for visibility. (example: `/epic [https://gitlab.com/groups/gitlab-com/marketing/-/epics/370](https://gitlab.com/groups/gitlab-com/marketing/-/epics/370)`)

<details>

<summary>
Intake process daily/weekly steps (RETIRED)
</summary>

Team manager completes daily review of [issues in triage](https://gitlab.com/groups/gitlab-com/-/boards/1919630?&label_name%5B%5D=Marketing%20Programs) assessing the following standards:

- Are all details in the `Submitter Checklist` sufficiently complete in order to begin work?
  - if yes, check that due date is at least 5 business days from date submitter details provided, move to `mktg-status::wip`, assign based on triage diagram, and put in current milestone (to be adjusted as needed by assignee)
  - if no, comment to requester and move to `mktg-status::blocked`
- Does the request align to FY21-22 segment marketing plan?
  - if no, consider realistic timeline given priorities (and share with requester in comments, set up time to discuss if needed)

</details>

<details>
<summary>
Shortcut issue comments for project management (RETIRED)
</summary>

**When a team member is picking up an issue from the backlog:**

```text
/label ~"mktg-status::wip"
/assign @
/milestone %Mktg:2021-
```

This will change the status to wip (work in progress), allow quick assignment and add to the appropriate milestone.

</details>

### Milestones {#milestones}

<!-- DO NOT CHANGE THIS ANCHOR -->

The campaigns team uses the overall 2-week marketing milestones (format of [Mktg: YYYY-MM-DD](https://gitlab.com/groups/gitlab-com/-/milestones?utf8=%E2%9C%93&search_title=mktg%3A+&state=&sort=)) to organize, prioritize, and balance campaigns, projects, and requests.

- The date in the milestone name is the END date of miltesone (Sunday)
- Note: Use of milestones was introduced to the campaigns team as of 2020-07-21.
- If issues in a milestone are not closed out by end of milestone, they are pulled to the next milestone. We will document **total issues** and **total weight** moved, to understand relative commitment levels and avoid overcommitment as we begin using milestones.

#### FY24 Marketing Milestones

- [To be added](https://gitlab.com/groups/gitlab-com/-/milestones/641)

**Campaigns Team Backlog Milestones:**

- [DG-OKRs](https://gitlab.com/groups/gitlab-com/-/milestones/434) - holds issues that are KRs in OKR initiatives
- [DG-Backlog:Requests](https://gitlab.com/groups/gitlab-com/-/milestones/260) - holds issue requests to be triaged, typically related to Marketo (landing pages, emails, etc.)
- [DG-Backlog:Ideas](https://gitlab.com/groups/gitlab-com/-/milestones/258) - holds issue requests related to campaign and webcast ideas submitted to demand generation
- [DG-Backlog:Documentation](https://gitlab.com/groups/gitlab-com/-/milestones/248) - holds issues related to needed documentation (handbook, issues, etc.)
- [DG-Backlog:General](https://gitlab.com/groups/gitlab-com/-/milestones/256) - holds general issue backlog that don't fit into request, ideas, or documentation/process

### Boards and Lists {#boards-lists}

<!-- DO NOT CHANGE THIS ANCHOR -->

#### Boards {#boards}

<!-- DO NOT CHANGE THIS ANCHOR -->

<b>[Campaigns Team Current Milestone](https://gitlab.com/groups/gitlab-com/-/boards/1884920?milestone_title=%23started&&label_name[]=dg-campaigns)</b> - this board provides a high-level status view of issues in the current milestone by team member.

<b>[All Milestones Board](https://gitlab.com/groups/gitlab-com/marketing/demand-generation/-/boards/3702791?milestone_title=Any%20Milestone&label_name[]=mktg-demandgen)</b> - this board provides high level of all milestones in consecutive order

##### Board View Priorities Current Milestone

- [All Team Members Priorities Current Milestone](https://gitlab.com/groups/gitlab-com/marketing/demand-generation/-/boards/3702791)
- [Agnes Oetama Current Milestone](https://gitlab.com/groups/gitlab-com/marketing/demand-generation/-/boards/2574635?scope=all&milestone_title=%23started&assignee_username=aoetama)
- [Eirini Pan Current Milestone](https://gitlab.com/groups/gitlab-com/marketing/demand-generation/-/boards/2574635?scope=all&milestone_title=%23started&assignee_username=eirinipan)
- [Indre Kryzeviciene Current Milestone](https://gitlab.com/groups/gitlab-com/marketing/demand-generation/-/boards/2574635?scope=all&milestone_title=%23started&assignee_username=ikryzeviciene)
- [Shari Rances Current Milestone](https://gitlab.com/groups/gitlab-com/marketing/demand-generation/-/boards/2574635?assignee_username=srances&milestone_title=%23started)
- [Meilynda Herbst Current Milestone](https://gitlab.com/groups/gitlab-com/marketing/demand-generation/-/boards/2574635?assignee_username=meilynda&milestone_title=%23started&milestone_title=Started)

##### Board View by Milestone

- [All Team Members Priorities Current Milestone](https://gitlab.com/groups/gitlab-com/marketing/demand-generation/-/boards/2574635?milestone_title=%23started)
- [Agnes Oetama by Milestone](https://gitlab.com/groups/gitlab-com/marketing/demand-generation/-/boards/3702791?scope=all&label_name[]=mktg-demandgen&assignee_username=aoetama)
- [Eirini Pan by Milestone](https://gitlab.com/groups/gitlab-com/marketing/demand-generation/-/boards/3702791?scope=all&label_name[]=mktg-demandgen&assignee_username=eirinipan)
- [Indre Kryzeviciene by Milestone](https://gitlab.com/groups/gitlab-com/marketing/demand-generation/-/boards/3702791?scope=all&label_name[]=mktg-demandgen&assignee_username=ikryzeviciene)
- [Shari Rances by Milestone](https://gitlab.com/groups/gitlab-com/marketing/demand-generation/-/boards/3702791?scope=all&label_name[]=mktg-demandgen&assignee_username=srances)
- [Meilynda Herbst by Milestone](https://gitlab.com/groups/gitlab-com/marketing/demand-generation/-/boards/3702791?scope=all&label_name[]=mktg-demandgen&assignee_username=meilynda)

##### Board View Current Mile by Team Members

- [Current Milestone by Team Members](https://gitlab.com/groups/gitlab-com/-/boards/1948068?milestone_title=%23started&label_name[]=dg-campaigns)
- [Upcoming MIlestone by Team Members](https://gitlab.com/groups/gitlab-com/-/boards/1948068?scope=all&label_name[]=dg-campaigns&milestone_title=%23upcoming)

#### Lists {#lists}

<!-- DO NOT CHANGE THIS ANCHOR -->

##### Issue List Current Mile by Team Member

- [All Team Members Current Milestone](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues?scope=all&state=opened&milestone_title=%23started)
- [Agnes Oetama Current Milestone](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues?scope=all&state=opened&milestone_title=%23started&assignee_username[]=aoetama)
- [Eirini Pan Current Milestone](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues?scope=all&state=opened&milestone_title=%23started&assignee_username[]=eirinipan)
- [Indre Kryzeviciene Current Milestone](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues?scope=all&state=opened&milestone_title=%23started&assignee_username[]=ikryzeviciene)
- [Shari Rances Current Milestone](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues?scope=all&state=opened&milestone_title=%23started&assignee_username[]=srances)
- [Meilynda Herbst Current Milestone](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues?scope=all&state=opened&milestone_title=%23started&assignee_username[]=meilynda)

##### Issues by Status

- [Issues in triage status (campaigns)](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name%5B%5D=mktg-status%3A%3Atriage)
- [Issues in blocked status (campaigns)](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name%5B%5D=mktg-status%3A%3Ablocked)
- [Issues in ready-to-build status (campaigns)](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name%5B%5D=mktg-status%3A%3Aready-to-build)
- [Issues in plan status (campaigns)](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name%5B%5D=mktg-status%3A%3Aplan)

### Tips & Tricks {#tips-tricks}

<!-- DO NOT CHANGE THIS ANCHOR -->

#### Creating a MacBook shortcut for repetitive statements {#macbook-shortcuts}

<!-- DO NOT CHANGE THIS ANCHOR -->

**Example:** in an issue to update all of MPM, instead of typing out every name, I have added a shortcut in my computer to populate all of the MPMs GitLab handles when I type `asdf + Enter`.

**How to:**

- On your Mac, choose Apple menu (ever-present top left logo)
- Go to `System Preferences`
- Click the `Keyboard` section
- Click `Text` on the top nav options
- Cick the `+` at the bottom of the option list
- In `Replace` column, add the shortcut that you would type in to populate the repetitive text
- In `With` column, add the repetitive text that you want to populate when you type in the shortcut

## Reporting {#reporting}

<!-- DO NOT CHANGE THIS ANCHOR -->

## Demand Generation Reporting {#demand-gen-dash}

<!-- DO NOT CHANGE THIS ANCHOR -->

See reporting on Demand Generation Hanbook Page: [https://handbook.gitlab.com/handbook/marketing/demand-generation/#reporting](/handbook/marketing/demand-generation/#reporting)

### Key metrics tracked on the Demand Gen Dashboard {#dashboard-key-metrics}

<!-- DO NOT CHANGE THIS ANCHOR -->

See reporting on Demand Generation Hanbook Page: [https://handbook.gitlab.com/handbook/marketing/demand-generation/#reporting](/handbook/marketing/demand-generation/#reporting)

### 💡 Questions that the Integrated Campaign dashboards attempt to answer {#dashboard-questions-to-answer}

<!-- DO NOT CHANGE THIS ANCHOR -->

#### Overall (WIP to deliver all) {#questions-overall}

<!-- DO NOT CHANGE THIS ANCHOR -->

See reporting on Demand Generation Hanbook Page: [https://handbook.gitlab.com/handbook/marketing/demand-generation/#reporting](/handbook/marketing/demand-generation/#reporting-questions-overall)

#### By Campaign {#questions-by-campaign}

<!-- DO NOT CHANGE THIS ANCHOR -->

See reporting on Demand Generation Hanbook Page: [https://handbook.gitlab.com/handbook/marketing/demand-generation/#reporting](/handbook/marketing/demand-generation/#questions-by-campaign)

#### Drilling down into the dashboards {#dashboard-drilldowns}

<!-- DO NOT CHANGE THIS ANCHOR -->

See reporting on Demand Generation Hanbook Page: [https://handbook.gitlab.com/handbook/marketing/demand-generation/#reporting](/handbook/marketing/demand-generation/#dashboard-drilldowns)

## Offer-Specific Dashboards {#dashboard-by-offer}

<!-- DO NOT CHANGE THIS ANCHOR -->

See reporting on Demand Generation Hanbook Page: [https://handbook.gitlab.com/handbook/marketing/demand-generation/#reporting](/handbook/marketing/demand-generation/#dashboard-by-tactic)

### Key Metrics tracked on ALL virtual events dashboards {#dashboard-virtual-events}

<!-- DO NOT CHANGE THIS ANCHOR -->

See reporting on Demand Generation Hanbook Page: [https://handbook.gitlab.com/handbook/marketing/demand-generation/#reporting](/handbook/marketing/demand-generation/#dashboard-virtual-events)

#### Virtual Events Reporting {#reporting-virtual-events}

<!-- DO NOT CHANGE THIS ANCHOR -->

See reporting on Demand Generation Hanbook Page: [https://handbook.gitlab.com/handbook/marketing/demand-generation/#reporting](/handbook/marketing/demand-generation/#reporting-virtual-events)
