---
title: "GitLab Co-Create Initiative"
---

## Goal

The Co-Create Program is designed to provide our customers with the necessary support and resources to drive innovation together. This could involve developing new features, enhancing existing ones, or fixing bugs.

## Offer

To ensure effective use of this collaborative period, GitLab will **co-locate 1 engineer for 1 week** to kick off the co-development efforts. Before the onsite engagement, Developer Relations will conduct an interactive workshop to identify collaboration opportunities, ensure their engineers are adequately enabled to contribute to GitLab, and ensure all required legal requirements are met between our customer, and GitLab.

## Customer Benefits

- Develop a deeper understanding of GitLab's platform beyond its use, understanding how to develop new features, product enhancements, or custom integrations on GitLab.
- Deeper relationship with GitLab product engineers and insights into GitLab's codebase and GitLab's own development and contributions processes.
- Dedicated support for contributions made by their organizations through the Contributor Success team.

## Getting Started

GitLab has [a list of smaller issues](https://gitlab.com/groups/gitlab-org/-/issues/?sort=updated_desc&state=opened&label_name%5B%5D=quick%20win&label_name%5B%5D=Seeking%20community%20contributions&first_page_size=100) ready to work on. Identifying and resolving a common problem together while learning the process is the quickest way to get started.
Identify areas that are of high priority to the customer together with the Solutions Architect & Contributor Success. Alignment with Product & Engineering is a required prerequisite.

1. Identify the opportunity and create a Slack channel with the following pattern `#cocreate-initiative-CUSTOMERNAME`.
1. Determine the level of willingness and ability of the customer to [contribute to GitLab](https://docs.gitlab.com/ee/development/contributing/).
1. Invite the CSM, SA, AE, Nick Veenhof & Raimund Hook.
1. Share your understanding of what we could work on with the customer. Contributor Success will qualify that the opportunity meets the requirements of the co-create program.
1. Contributor Success will lead the triage process and partner with the appropriate PMs. We will invite the PMs and other stakeholders of the problem-space to get their buy-in. This will result in 3 pathways:
    1. The opportunity is not aligned with our roadmap or product strategy.
    1. The opportunity is considered a 'minor' contribution and can entirely be handled by contributor success like any other community contribution.
    1. The co-create opportunity is considered a major/relevant contribution, aligned with our roadmap and product strategy.
1. CSM and Contributor Success present the co-create program and identified pathway & align with the customer. Don't make any commitments to the customer until engineering & contributor success has aligned and allocated.
1. Involve Contributor Success (Raimund Hook) to schedule an onboarding session with the customer's engineers.
1. Only in case of a major/relevant contribution: as outlined above, we will proceed with going on-site. Invite Shekhar Patnaik into the channel & collaborate with engineering to find the right engineer we can send on-site to co-create together.
1. Only in case of a major/relevant contribution: Have the on-site with the GitLab engineer & the customer's engineer(s) to work on the identified problem together.

## Roles & Responsibilities

1. **Opportunity Identification**: Solution Architects (SAs) and Customer Success Managers (CSMs) will collaborate with their technical counterparts within the customer's organization to introduce the program and identify opportunities for collaboration. They will also work with internal stakeholders such as Product managers.
1. **Enablement**: Upon identifying a viable opportunity and the right stakeholders, Developer Relations will conduct an interactive workshop to identify specific co-create opportunities and enable technically the customer's engineers to contribute to GitLab.
1. **Collaborative Development**: GitLab's engineering team will take the lead in pairing engineers with the customer's team to support the development effort.

## SPIFF (Sales Performance Incentive Fund Formula)

### Q2

- Target account list: Please see the spreadsheet linked in the Slack Channel of `#cocreate-initiative` or find the file in Drive named "Co-Creation SPIFF Target Account List (Data as of April 2024)".
- Eligibility Criteria: Please see the slide linked in the Slack Channel of `#cocreate-initiative` or find the file in Drive named "FY25 Q2 Customer & Partner Co-Creation SPIFF".

## Resources

- [Contribute to GitLab](https://about.gitlab.com/community/contribute/) - this webpage provides a high-level overview of the benefits related to contributing to GitLab's open-source community, as well as contribution guidelines and tutorials aimed at helping you better understand and visualize the process.
- [Our stewardship of open source](/handbook/company/stewardship/#promises) - this webpage discusses GitLab's open-core business model and promises related to open-source stewardship.
- [Frequently asked questions](https://about.gitlab.com/community/contribute/dco-cla/#frequently-asked-questions) - this webpage answers FAQs about contributing to GitLab.
- [GitLab's Corporate Contributor Agreement](https://docs.google.com/document/d/1JZ495wMxsnUPIzZoBvAVtvnfbWiMNS4VYC_S2Er4K0s/edit) - this Agreement covers all contributions made on behalf of a corporate contributor by the corporation's authorized contributors. Please email [cla_managers@gitlab.com](mailto:cla_managers@gitlab.com) to start the process of signing this agreement.

## Internal Slack Channel

- `#cocreate-initiative`

## DRI

- Nick Veenhof

### Other stakeholders & people who were involved during the creation phase

- Alex Cohen
- Emilio Salvador
- Sabrina Farmer
- Sid Sijbrandij
- David Tuan
- Ashley Kramer
