---
title: "Community Learning Pathway: Course Resources"
---

## Community Learning Pathway

The Community Learning pathway is a course on the GitLab Learn platform, designed to educate GitLab team members and the community about GitLab's community programs, our commitment to the community and how to engage the community team. At the end of the course, learners earn a badge showing they have a good understanding of the GitLab community and how to engage.

### Course Objectives

At the end of this course, we expect team members to:

1. Understand the value of community to GitLab and how important it is to our strategy
1. Take away best practices around how to interact with our community
1. Understand the various programs we run and where to find more information about them
1. Understand how and when to collaborate with us

The GitLab Community is also able to:

1. Understand GitLab's business model and how it differs from competitors
1. Learn about all of the programs and resources we have to support them
1. Learn tips for how to interact in our community
1. Learn how to collaborate and where to find more info
1. Understand who to reach out to and when

### Course Outline

1. Introduction
1. How community fits into GitLab's strategy
1. GitLab's community programs
1. Open source community best practices
1. Join us

### Introduction Video

<figure class="video_container">
  <iframe width="560" height="315" src="https://www.youtube.com/embed/JGiwxKnxeRw" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure>

### How community fits into GitLab's strategy

GitLab is the DevOps Platform, made possible by contributions from the community. The GitLab community is composed of our paid and free users, contributors, team members and anyone in the general community who has interacted with GitLab in whatever form. Learn more about our strategy in the links below.

* [GitLab's strategy & open core model](/handbook/company/stewardship/#how-open-source-benefits-from-open-core)
* Dual flywheel strategy and the value of community
  * [Dual Flywheel strategy](/handbook/company/strategy/#dual-flywheels)
  * [MRARR](/handbook/engineering/infrastructure/performance-indicators/#mrarr)
  * [Percent of MRs from Community](/handbook/engineering/infrastructure/performance-indicators/#percent-of-mrs-from-community)
  * [Unique Wider Community Contributors Per Month](/handbook/engineering/infrastructure/performance-indicators/#unique-wider-community-contributors-per-month)
  * [Percent of Feature Community Contributions](/handbook/engineering/infrastructure/performance-indicators/#percent-of-feature-community-contribution-mrs)
  * [Wider Community merged MRs per release](/handbook/marketing/developer-relations/performance-indicators/#wider-community-merged-mrs-per-release)
  * [Developer Advocate Monthly Impressions](/handbook/marketing/developer-relations/performance-indicators/#developer-advocacy-monthly-impressions)

### GitLab's community programs

#### How our community is structured

Ensuring everyone can contribute requires a conscious effort to ensure the community is enabled and supported with the right tools they need, that's where the Community team at GitLab plays a crucial role with programs that target different parts of the community. From the Open source community to the academia, startups and individual contributors, the team supports them in various ways. You can learn more about the individual programs in the section below.

#### Community Programs

* Free community programs:
  * [OSS](/handbook/marketing/developer-relations/community-programs/open-source-program/)
  * [Developer Evangelism](/handbook/marketing/developer-relations/developer-advocacy/)
  * [Education Program](/handbook/marketing/developer-relations/community-programs/education-program/)
  * [StartUps Program](/handbook/marketing/developer-relations/community-programs/startups-program/)
* Meetups and evangelism
  * [Evangelist Program](/handbook/marketing/developer-relations/evangelist-program/)
* [GitLab Diversity Scholarship program](https://about.gitlab.com/community/sponsorship/)

#### Education Program at GitLab

<figure class="video_container">
  <iframe width="560" height="315" src="https://www.youtube.com/embed/TJhdmOma4ZM" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</figure>

### Open source community best practices

Building an inclusive and transparent community is a top-most priority for the Community Team and we live by our GitLab values, which includes Diversity/Inclusion & Transparency. Below, we maintain a living list of community best practices for the GitLab Community and from other communities.

* [Fostering DIB in our community](/handbook/values/#diversity-inclusion)
* [Transparency and openness](/handbook/values/#transparency)
* [Kubernetes Community Values](https://www.kubernetes.dev/community/values/#inclusive-is-better-than-exclusive)
* [Building Leadership in an Open SOurce Community](https://www.linuxfoundation.org/resources/open-source-guides/building-leadership-in-an-open-source-community/)
* [Participating in Open Source Communities](https://www.linuxfoundation.org/resources/open-source-guides/participating-in-open-source-communities/)
* [Measuring your Open source Program success](https://www.linuxfoundation.org/resources/open-source-guides/tools-managing-open-source-programs)
* [The Value of Open Source](https://www.redhat.com/en/blog/value-open-source)
* [Mozilla Community Guidelines](https://www.mozilla.org/en-US/about/governance/policies/participation/)

### Join us

The community team has always partnered with internal and external teams to empower the community and we are always seeking collaboration to do more. Every community program has an Issue board where you can create an issue to kickstart a collaboration of if you are a GitLab team member and unsure of where to start, you can always drop by the `#developer-relations` channel on slack.

* How to collaborate with the Developer Relations team
  * [Project management](/handbook/marketing/developer-relations/project-management/)
  * [Community Response](/handbook/marketing/developer-relations/developer-advocacy/community-response/)
* Get started contributing to GitLab
  * [Developer Portal](https://developer.gitlab.com/)
