---
title: "Community Programs"
description: "Meet the Community Programs team at GitLab"
---

## About Community Programs

The Community Programs team supports communities that align with [GitLab's CREDIT](/handbook/values/) values by executing specific programs that help these communities grow and thrive.
Our mission is to help these communities experience GitLab's vision of a world where everyone can contribute.

Members of the Community Programs team serve as liaisons to their respective communities, tracking the ways those communities prefer using GitLab and translating that knowledge into insights that help GitLab create a better product.
We do this by collaborating across organizational functions whenever possible.

* We work with Product and Engineering teams to ensure each communities' needs are represented on the GitLab roadmap.
* We work with Marketing to regularly showcase our members' success through case studies, blog posts, presentations, videos, meetups, and webcasts.
* We work with Sales to identify selling opportunities latent in our repsective communities.

In all that we do, we aim to create and sustain mutually beneficial relationships between members of our programs and GitLab.

Please see the [Developer Relations Program Manager Job Family](/job-families/marketing/devrel-program-manager/) for more details about individual roles on the team.

## What is a community program?

GitLab's community programs aim to put GitLab's most powerful features in the hands of communities who may not otherwise have the means to access to them.
Each program is unique in its organization and execution; however, in general, community programs offer GitLab customers benefits like:

* Complimentary subscriptions to GitLab Ultimate
* Direct lines of communication to GitLab team members
* Opportunities to partner with GitLab for presentations and events

Through these programs, we seek to raise awareness of GitLab in specific markets.
We do this by partnering with members of these communities to spotlight (via case studies, articles, webcasts, and videos) ways they're using GitLab to achieve success.

The Community Programs team is the DRI for establishing community program requirements and benefits.
As each of these programs provides free, unlimited seats of GitLab Ultimate to qualifying applicants (in addition to other benefits), the Community Programs team also oversees the entitlement process.
As part of this work, the team leads community outreach efforts, marketing activities, and other strategic engagements (which may include serving on foundation boards, building partnerships, creating enablement and marketing content, delivering public presentations and learning sessions, and sponsoring events).
We strive to be thought leaders in each respective community.

## What are we working on?

For visiblity into the on going work in community programs please refer to the [Community Programs issue board](https://gitlab.com/groups/gitlab-com/-/boards/8983654).

## Meet the programs

| Community Program      | Handbook Page                                                                               | Marketing Page | Application Page | Program Owner                                     | Email Address|
|------------------------|---------------------------------------------------------------------------------------------| -------------- | ---------------- |---------------------------------------------------|-----------|
| GitLab for Education   | [Handbook](/handbook/marketing/developer-relations/community-programs/education-program/)   | [Marketing page](https://about.gitlab.com/solutions/education/) | [Application page](https://about.gitlab.com/solutions/education/join/) - | [Alexander Karsten](https://gitlab.com/akarsten1) - [Jana Sena](https://gitlab.com/janasenap)| `education@gitlab.com` |
| GitLab for Open Source | [Handbook](/handbook/marketing/developer-relations/community-programs/open-source-program/) | [Marketing page](https://about.gitlab.com/solutions/open-source/) | [Application page](https://about.gitlab.com/solutions/open-source/join/) - | [Alexander Karsten](https://gitlab.com/akarsten1) - [Jana Sena](https://gitlab.com/janasenap)| `opensource@gitlab.com` |
| GitLab for Startups    | [Handbook](/handbook/marketing/developer-relations/community-programs/startups-program/)    | [Marketing page](https://about.gitlab.com/solutions/startups/join/) | [Application page](https://about.gitlab.com/solutions/startups/join/)| - [Alexander Karsten](https://gitlab.com/akarsten1) - [Jana Sena](https://gitlab.com/janasenap)| `startups@gitlab.com` |

GitLab for Non-Profits is not a part of Community Programs. Please see the GitLab [Environment, Social, and Governance (ESG)](/handbook/legal/esg/) handbook page for information about the GitLab for Non-Profits Program.
