---
title: "Open Source Program"
description: "Learn about the GitLab for Open Source Program and other open source programs from GitLab's Developer Relations team"
---

GitLab's open source program is part of the [Developer Relations team](/handbook/marketing/developer-relations/). It consists of three sub-programs:

* [**GitLab for Open Source Program**](/handbook/marketing/developer-relations/community-programs/open-source-program/#gitlab-for-open-source-program), through which qualifying open source projects receive benefits like features of GitLab Ultimate with 50,000 compute minutes for free.
* [**GitLab Open Source Partners**](/handbook/marketing/developer-relations/community-programs/open-source-program/#gitlab-open-source-partners), a partnership program designed for large or prominent open source projects and organizations.
* [**Consortium Memberships**](/handbook/marketing/developer-relations/community-programs/open-source-program/#consortium-memberships-and-sponsorships), which allow us to extend GitLab's leadership in key open source initiatives, enhance GitLab's brand, and/or improve engineering alignment

## How to reach us

* DRI: [Alex Karsten](https://gitlab.com/akarsten1)[Jana Sena](https://gitlab.com/janasenap)
* Slack channel: `#community-programs`
* Email: `opensource@gitlab.com`

## What we're working on

We manage **program support requests** in a dedicated internal project with its own [issue queue](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/open-source-program-support/-/issues) and [tracking board](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/open-source-program-support/-/boards/5749258).

We manage **program editorial work** with in the [open source partner  editorial queue](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/gitlab-open-source-partners/publications-and-presentations/-/boards/5105228).
We track this work as part of the Developer Relations [team roadmap](https://go.gitlab.com/community-relations-team-roadmap).
See the [Developer Relations project management page](/handbook/marketing/developer-relations/project-management/) for more detail.

## GitLab for Open Source Program

By empowering open source projects with our most advanced features, the [GitLab for Open Source Program](https://about.gitlab.com/solutions/open-source/) supports GitLab's mission to make the world a place where anyone can contribute.
We help make GitLab the best place for open source projects to grow and thrive.

Send questions about the GitLab for Open Source Program to `opensource@gitlab.com`.

### FAQs

#### What are the benefits of the GitLab for Open Source Program?

At no cost, members of the GitLab for Open Source Program receive a [GitLab Ultimate](https://about.gitlab.com/pricing/) subscription (self-managed or SaaS), which includes 50,000 compute minutes calculated at a [program-specific cost factor](https://docs.gitlab.com/ee/ci/pipelines/compute_minutes.html#cost-factor).
Product support is not included as part of this subscription.

#### Who qualifies for the GitLab for Open Source Program?

In order to be accepted into the GitLab for Open Source Program, applicants must:

* **Use OSI-approved licenses for their projects:** Every project in the applying namespace must be published under an [OSI-approved open source license](https://opensource.org/license).
* **Not seek profit:** An organization can accept donations to sustain its work, but it can't seek to make a profit by selling services, by charging for enhancements or add-ons, or by other means.
* **Be publicly visible:** Both the applicant's GitLab.com group or self-managed instance and source code must be publicly visible and publicly available.

**Please note:** Benefits of the GitLab for Open Source Program apply to a namespace.
To qualify for the program, every project in an applicant's namespace must carry an [OSI-approved open source license](https://opensource.org/license).

We make the following exceptions to our eligibility criteria:

**Federal Exception Policy**
Unfortunately, we are not able to accept all open source projects that are affiliated with the US Federal government.
Projects that are affiliated must work with a Sales representative to see if they qualify.

**Private Project Exceptions**
In some cases, we allow program members to host a small number of private projects if those projects contain sensitive data.
Members should send an email to `opensource@gitlab.com` in order to discuss this exemption.
Program members must obtain written permission from the GitLab Open Source Program team in order to use their licenses outside of program requirements.

**Strategic Qualification Exceptions**
We may make strategic exceptions to our program requirements.
A GitLab Sales team member must make this request on behalf of an open source project.
To request an execption, [create an issue in the GitLab for Open Source Program project](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/gitlab-for-open-source/-/issues/new?issuable_template=program-qualification-exception-request) using the `program-qualification-exception-request` template.
Account Executives and their managers must approve the exception request.
Customer Success Managers (CSMs) associated with the account should also be notified of the exception request.

#### What are the terms of the GitLab for Open Source Program?

Upon acceptance to the GitLab for Open Source Program, all program members are subject to the [GitLab for Open Source Program Agreement](/handbook/legal/opensource-agreement/).

#### How does someone apply for the GitLab for Open Source Program?

Applicants should submit the form on the [GitLab for Open Source Program page](https://about.gitlab.com/solutions/open-source/join/).

As part of the application process, applicants must provide screenshots of their GitLab projects to confirm eligibility.
They should submit screenshots of:

* The project's license overview
* The project's license contents
* The project's public visibility settings

For more specific instructions on obtaining and submitting required screenshots, [see GitLab Docs](https://docs.gitlab.com/ee/subscriptions/community_programs.html#gitlab-for-open-source).

#### How are GitLab for Open Source Program applications processed?

The GitLab for Open Source team processes applications according to the [Community Programs application workflow](/handbook/marketing/developer-relations/community-programs/community-programs-workflows/#automated-applications-workflow-overview).
For additional information on program-specific workflows, see the [Open Source Program Workflows](/handbook/marketing/developer-relations/community-programs/community-programs-workflows/oss-program-workflows/) page.

GitLab uses SheerID, a trusted partner, to verify that applicants meet the GitLab for Open Source Program requirements.
In most cases, applicants receive a decision on their application within three to five business days of submission.
During periods of high submission volume, processing an application requires up to ten business days.
Note that applications will not be processed during U.S. holidays; responses may be delayed during those periods.
When verified, applicants receive a verification email containing specific instructions for activating their subscriptions.

Some users may need to input a VAT number when completing their program applications.
GitLab for Open Source Program members can simply input `N/A` into the VAT field during registration.

#### Must members of the GitLab for Open Source Program renew their memberships?

Yes.
Program members must renew their memberships annually.
If they don't renew, [their accounts will be downgraded](https://about.gitlab.com/pricing/licensing-faq/#what-happens-when-my-subscription-is-about-to-expire-or-has-expired).

Subscriptions granted under the GitLab for Open Source Program **do not auto-renew**.

We recommend that applicants begin the renewal process at least one month in advance of their renewal dates to ensure sufficient processing time.

#### How does someone renew their membership in the GitLab for Open Soure Program?

Subscriptions granted under the GitLab for Open Source Program do not auto-renew.
To request a renewal, program members should complete the [program application](https://about.gitlab.com/solutions/open-source/join/).
The team will use this form to determine whether the entity applying for renewal still meets the program's eligibility criteria.
Whether applying to the program for the first time or renewing a pre-existing membership, applicants complete the same form.

The person claiming the renewal for the subscription must be the same person who created the subscription for this open source project or organization in the GitLab Customer Portal.
If a different person wishes to initiate the renewal, the existing owner needs to [transfer ownership of the Customers Portal account](https://docs.gitlab.com/ee/subscriptions/customers_portal.html#change-account-owner-information).
If the existing owner is no longer able to transfer ownership or renew, the project should [open a support ticket](https://support.gitlab.com/hc/en-us/requests/new?ticket_form_id=360000071293) to change the owner of the subscription before initiating renewal.

After completing application form, verified applicants receive a verification email with instructions for activating their subscriptions.

#### Where can members of the GitLab for Open Source Program find support?

While GitLab for Open Source Program benefits do not include product [support](https://about.gitlab.com/support/), program members can receive help with GitLab in a number of ways. In general, we recommend the following:

* Send questions or issues requiring immediate attention or sensitive information to the GitLab for Open Source Program team at `opensource@gitlab.com`.
* Review [GitLab Docs](https://docs.gitlab.com/) for answers to general product-related questions.
* Post questions in the [GitLab for Open Source](https://forum.gitlab.com/c/community/gitlab-for-open-source/) category of the [GitLab Forum](https://forum.gitlab.com), where community members and GitLab team members can review and discuss them.
* File bug reports and breaking behaviors [as issues](https://gitlab.com/gitlab-org/gitlab/-/issues) for product teams to review and address.

### Program management resources

#### Updating the program application page

When seeking to edit the GitLab for Open Source application page, find the appropriate file at `data/solution_children/join.yml`.

#### Managing the program support queue

Members of the [Community Programs team](/handbook/marketing/developer-relations/community-programs/) use GitLab Service Desk to manage program members' support requests.
Because these requests often contain sensitive data and personally identifying information, we file them as issues in [a private project](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/open-source-program-support).

* When a new request arrives, Service Desk will label the issue as `OS Program Support::Intake`.
* When the ticket is under active review and remediation with a team member, that team member should assign it to themselves and add the `OS Program Support::Open` label.
* When a support issue is pending program member review and/or additional details, it should receive the `OS Program Supprt::Pending` label.
* When a support issue has been resolved, it should receive the `OS Program Support::Closed` label.

View the current status of all open program support issues on [a private project board](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/open-source-program-support/-/boards/5749258).

## GitLab Open Source Partners

The [GitLab Open Source Partners](https://about.gitlab.com/solutions/open-source/partners/) program exists to build relationships with prominent open source projects using GitLab as a critical component of their infrastructure.
By building these relationships, GitLab hopes to strengthen the open source ecosystem.

Open source partners receive specific benefits by joining the program.
GitLab benefits from these partnerships when open source partners provide valuable feedback and data on their use of GitLab, even contribute to GitLab's open core.
All parties jointly benefit when they're able to collaborate on community outreach, co-marketing, joint announcements, and special initiatives.

### FAQs

#### What are the benefits of being a member of the GitLab Open Source Partners program?

Program members receive:

* Public recognition as a GitLab Open Source Partner
* Direct line of communication to GitLab
* Assistance migrating additional infrastructure to GitLab
* Exclusive invitations to participate in GitLab events
* Opportunities to meet with and learn from other open source partners
* Visibility and promotion through GitLab marketing channels

#### What are the requirements for being a member of the GitLab Open Source Partners program?

Members of the GitLab Open Source Partners program agree to:

* Engage in co-marketing efforts with GitLab
* Complete a public case study about their innovative use of GitLab
* Plan and participate in joint initiatives and events

#### Who qualifies for the GitLab Open Source Partners program?

While most partners are also members of the GitLab for Open Source Program, not all are (as some partners are commercial open source entities and therefore ineligible for the program).
Most partners use GitLab Ultimate (either SaaS or self-managed); however, some prefer using the fully open source [Community Edition](https://about.gitlab.com/install/ce-or-ee/) because of their strong commitment to using only open source tools.

Membership in GitLab Open Source Partners program is largely by invitation.
GitLab team members can nominate projects as partners by opening an issue in the `Open Source Partners Program` [project](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/open-source-partners-program) and applying the [appropriate issue template](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/open-source-partners-program/-/blob/master/.gitlab/issue_templates/open-source-partner-nomination.md)
Members of the open source program team extend invitations to longtime members of the GitLab for Open Source Program, projects using GitLab in interesting and innovative ways from which others can learn, or projects with large communities and brand recognition already using GitLab for everyday operations.

The GitLab Open Source Partners Program project contains sensitive data and personally identifying information about program members.
It is therefore [accessible only to GitLab team members](/handbook/legal/safe-framework/#safe).

### Program management resources

#### Managing projects

Work on the GitLab Open Source Partners program occurs in two primary locations:

* [GitLab Open Source Partners](https://gitlab.com/gitlab-com/marketing/community-relations/open-source-program/gitlab-open-source-partners), a **public group** and the default location for program activity. Program members receive access to the project and `Developer`-level persmission inside it. It's the place where program members, GitLab team memebers, and the wider open source community can interact, collaborate, share, and build.
* [Open Source Partners Program](https://gitlab.com/gitlab-com/marketing/community-relations/open-source-program/open-source-partners-program), a **private project** accessible only to GitLab team members. This project is private because it contains sensitive personal data pertaining to open source partners, a [board tracking ongoing partner outreach](https://gitlab.com/gitlab-com/marketing/community-relations/open-source-program/open-source-partners-program/-/boards/5537534), and a private service desk exclusively for GitLab Open Source Partners working on non-public issues. See the [Developer Relations Program Management handbook section](/handbook/marketing/developer-relations/project-management/) to learn more.

#### Welcoming new partners

We maintain [email templates](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/open-source-partners-program/-/tree/master/templates) to help us interact with prospective and current partners.
When an organization has joined the GitLab Open Source Partners program, we send a comprehensive [program guide](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/gitlab-open-source-partners/community-resources/-/blob/main/program-guide/gitlab-open-source-partners-program-guide.pdf) and complete a [partner onboarding issue](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/open-source-partners-program/-/blob/master/.gitlab/issue_templates/open-source-partner-onboarding.md).

### Collecting and managing partner contact details

We maintain a confidential, non-public [register of our partners' contact details](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/open-source-partners-program/-/tree/master/current-partners) so we can remain connected to them.

When partners join the program, we instruct them to submit key community contact information to the private partner service desk at `ospartners@gitlab.com`.
The Open Source Program Manager responds to these requests and updates internal documentation.

We periodically request updated contact information from partners to ensure we remain connected to the proper community representatives.

We try to maintain partner registries containing the following community contacts:

* **Primary:** The person representing the project and/or community at meetings and serving as our principal connection to the project.
* **Alternate:** The person we can contact if we're unable to reach the primary contact.
* **Marketing:** The person we contact when partner event and marketing opportunities arise.
* **Technical:** The person we contact regarding participation in surveys or focus studies that require technical expertise, or when something at GitLab may require input from technical contacts at open source partner organizations.
* **Legal:** (optional) The person we contact to weigh in on legal matters, such as updates to terms of service agreements, partnership activities, or permission to use a project's logo.

#### Renewing and extending partner subscriptions

Members of the GitLab Open Source Partners program who are also members of the GitLab for Open Source Program may be eligible for an extended-period subscription.
The current extended subscription renewal period is **36 months**.

Partners seeking extended-period renewals should email their requests to `opensource@gitlab.com`.
Partners should use this template to format their requests:

```text
Subject: Open Source Partner (Application/Renewal)
Subscription Term: 36
Number of seats you are requesting:
The license type to be issued (Self-Managed or SaaS):
List any change of ownership to the account:
(If account ownership details change, please send the new account holder's name, email address, and contact's mailing address)
```

When a request is processed and accepted, applicants will be asked to sign a $0 quote with a 36-month term.
After that:

* For **Saas**: No further action is necessary.
* For **Self-managed**: Applicants need to download licenses from the GitLab Customer Portal and upload them to their instances.

#### Tracking partner issues

GitLab's open source partners requesting support track most of their issues publicly.
They do this via issue trackers located in the [GitLab Open Source Partners](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/gitlab-open-source-partners) group—most commonly the [Community Support](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/gitlab-open-source-partners/community-support/-/issues) project.
Here, fellow open source partners and GitLab team members can collaborate on supporting GitLab's open source partners.

Partners may wish to open issues related to their work migrating infrastructure from legacy infrastructure to GitLab (for instance, note examples from [KDE](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/gitlab-open-source-partners/community-support/-/issues/7), [Drupal](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/gitlab-open-source-partners/community-support/-/issues/4), and [Freedesktop.org](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/gitlab-open-source-partners/community-support/-/issues/9)).
To create migration-focused issues, partners can use the `open-source-partner-migration` issue template.

Occasionally, partners must open support issues that contain sensitive details about their projects.
To do this, they email the partner service desk at `osspartners@gitlab.com`.
We then track these issues on the (private) [GitLab Open Source Partners Support board](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/open-source-partners-program/-/boards/2150795).

#### Sharing partner stories

The GitLab Open Source Partners program is a commuinity-focused marketing effort designed to highlight ways high-profile open source communities are using—and succeeding with—GitLab.
As such, we aim to share partner stories whenever possible.

We do this in many ways, including:

* posts on the GitLab blog
* case studies for GitLab.com
* webcasts and webinars for GitLab's video channels
* event showcases and presentations

We tag partner-related stories with the `open-source` tag on [the GitLab Blog](https://about.gitlab.com/blog/categories/open-source/).

We often connect with partners when we feel we can help them share stories related to:

* Their plans to migrate infrastructure to GitLab
* Their success at migrating infrastructure to GitLab
* Their innovative use of GitLab to build something notable or solve a technical/social challenge for their project and community
* Their resolution of critical technical challenges that align with themes central to other GitLab marketing campaigns (e.g., CI/CD, security, or project management)

We track the status of this work with the [GitLab Open Source Partners Editorial Queue](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/gitlab-open-source-partners/publications-and-presentations/-/boards/5105228).

#### Adding a new logo to the Open Source Partners program page

Members of the GitLab Open Source Partners program are listed on the [partner program landing page](https://about.gitlab.com/solutions/open-source/partners/). Follow these instructions to add a new logo to the roster.

1. Retrieve the partner logo in the highest resolution available.
1. Resize the logo so it conforms to something roughly the size of a 72px cube, then save it in `PNG` format. Use a file naming convention that looks like `partner-logo.file-name.png`.
1. Load the `partners.yml` [file](https://gitlab.com/gitlab-com/marketing/digital-experience/buyer-experience/-/blob/main/content/solutions/open-source/partners.yml) and open it in an editor.
1. Add the logo URL, image alt text, and partner landing page in accordance with the yaml convention in the file.
1. Locate the `/static/nuxt-images/open-source` folder in the GitLab codebase.
1. Add the resized version of the partner logo to that folder.
1. Create a merge request to merge the updated partner roster and logo

## Consortium Memberships and Sponsorships

GitLab's open source program team also oversees GitLab's representation and participation in select industry consortia, as well as GitLab's sponsorship of select open source community events.

### FAQs

#### What is a consortium?

We define "consortium" as a group created to further some technological cause.
In the context of open source software, a prototypical consortium would be the [Linux Foundation (LF)](https://en.wikipedia.org/wiki/Linux_Foundation), a non-profit organization founded in 2000 as a merger between Open Source Development Labs and the Free Standards Group, which [hosts and promotes](https://www.linuxfoundation.org/about/) collaborative development of open source software projects.

#### Why is consortium marketing important?

Consortia are influential leaders in their respective ecosystems, as they often host conferences and underwrite programs that influence global conversations about particular technological developments.
Participating in consortia enhances GitLab's brand—and helps align GitLab's engineering efforts with global efforts and trends.

#### How does GitLab participate in consortium activities?

While select consortium memberships fall within the purview (and budget) of GitLab's open source program, the [Developer Advocacy team](/handbook/marketing/developer-relations/developer-advocacy/) focuses on consortium marketing, working to integrate GitLab's overall community message and technical perspective into the most appropriate and effective industry conversations.

#### How can I recommend GitLab get involved in a consortium?

You can open an issue in the [Consortium Memberships project](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/consortium-memberships). When you do, please use the `membership-evaluation` template to structure your issue.
Open source program team members will evaluate your application using the following criteria.
When we review the application, we'll assess it with these considerations in mind:

* Awareness opportunities
* Ease of collaboration
* Contribution and hiring pool

| Considerations | What we're interested in | Questions we're asking |
| ---------------| ------------------------ | -----------------------|
| Awareness opportunities | Size of the organization<br /><br />Frequency and impact of marketing opportunities<br /><br />| How many authenticated and non-authenticated users are visiting organization's website monthly?<br /><br />How many people are part of the organization's community?<br /><br />What sorts of marketing and communication channels (social media platforms, newsletters, blogs, events) does the organization use?<br /><br /> Will GitLab appear in those official channels? How prominent would our placement be? |
| Ease of collaboration | Access to a dedicated marketing resources/point person<br /><br />Time-to-execute for standard communication types | Does the organization have marketing capacity?<br /><br />How mature is the organization's brand and marketing portions?<br /><br />How quickly can this organization produce a resource (e.g., a case study)? A week? A month? A quarter?<br /><br />How responsive is the person in charge of the relationship?<br /><br />Is marketing handled by volunteers or paid employees? |
| Contribution and hiring pool | Size of contributor/member base<br /><br />Overall community/member activity<br /><br />Frequency of community contribution<br /><br />Rate of adoption | How active is the community the organization is attempting to foster?<br /><br /> Does the organization have a sense of its community's health?<br /><br />Do we see hiring opportunities to recruit from the community's talent pool?<br /><br />What is the growth of the community or foundation itself?<br /><br />Do we see job opportunities within that software ecosystem (are people hiring contributors from this community in general)?<br /><br />How can GitLab contribute in ways that align with our interests?<br /><br />Can GitLab participate in the project's roadmap in ways that creates mutual value? |

#### In which consortia is GitLab involved?

We are currently members of the following consortia:

* [Cloud Native Computing Foundation](https://www.cncf.io/)
* [Fintech Open Source Foundation](https://www.finos.org/)
* [InnerSource Commons](https://innersourcecommons.org/)
* [Linux Foundation](https://www.linuxfoundation.org/)
* [Open Source Security Foundation](https://openssf.org/)
* [TODO Group](https://todogroup.org/)

[Complete details of GitLab's activities](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/consortium-memberships) with these groups are available in the `Consortium Memberships` project.
Note that because this project contains sensitive data and personally identifying information, it is [only accessible to GitLab team members](/handbook/legal/safe-framework/#safe).

### Program management resources

#### Elections for Board of Directors opportunities

Some of the consortia in which we participate allow members to run for their respective Boards of Directors.
Anyone interested in becoming more involved in any of the consortia GitLab supports should visit the `Consortium Memberships` [project](https://gitlab.com/gitlab-com/marketing/community-relations/opensource-program/consortium-memberships) and open an issue.

Review the information below if you're thinking of seeking nomination for (or election to) consortium positions.

**Internal nominations**
The Developer Relations team tracks consortium board elections closely.
In the event that an election opportunity arises, the team will create a confidential issue in the `Consortium Memberships` [project](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/consortium-memberships) to discuss it.
The team will determine which GitLab team member(s) could serve effectively in the elected position.
Their considerations prioritize the following criteria:

* Expertise and experience with the technologies we hope to influence as part of the organization's board
* Pre-existing relationships with current board members and member organizations that could aid electability
* Tenure at GitLab and seniority in role at GitLab

The team will connect individually with the top candidate it feels would best suit the role given the above requirements, then ask that individual about their willingness and availability to serve.
Candidates should consider the required time investment and their capacity for attending board meetings and representing GitLab at consortium events.
Should the candidate wish to serve, the team will confirm the selection with the marketing organization leadership, then work with the nominee to prepare all requisite paperwork and craft a nomination statement.
The team maintains a list of [candidacy statements](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/consortium-memberships/-/blob/master/resources/sample-election-candidate-statements.md) for reference and aid in this process.
Should the candidate defer due to time or other constraints, the team will connect with the next person on the priority list given the above criteria.

**Campaigning**
Once GitLab candidates are nominated, the Developer Relations team can help them campaign for their positions.
We'll make other GitLab team members aware of the election and equip them to assist your campaign, too (e.g., by announcing the campaign on the `#whats-happening-at-gitlab` Slack channel).

**Promoting**
The social media team is able to promote elections notification news.
They simply need a place to point people, preferably an updated webpage that lists the board of directors or a social media post from the organization that mentions the election results.

#### Event sponsorships

GitLab's Developer Relations team maintains a small budget for sponsorship of events that allow GitLab to engage with open source communities.
We typically allocate this budget for local and regional community-driven events that GitLab's corporate events and field marketing teams have not already agreed to sponsor and staff.
We prefer to sponsor events at which multiple open source projects and communities are present.

The open source program team tracks event participation in the [Open Source Marketing project on GitLab](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/open-source-marketing).
To suggest an open source event sponsorship, open an issue in this project and use the `event` issue template to file your request.

Event organizers and consortium leads working with GitLab will find GitLab's brand-related assets (such as logo files, press release boilerplate, and trademark information) in [GitLab's press kit](https://about.gitlab.com/press/press-kit/).

## Measuring our success

Our team measures the success of our work in the following ways.

### Program enrollment

The GitLab for Open Source Program team monitors the health and vitality of the program by tracking overall program membership and members' annual renewal rates. We do this via the follwing Tableau dashboard:

* [Community Dashboard](https://10az.online.tableau.com/#/site/gitlab/views/CommunityDash/CommunityDashboard)

The dashboard reports the `Number of Licenses` the program is currently administering, the number of `Unique Accounts` associated with the program, and the `Institution Rewnewed` rate.

GitLab team members with SAFE access to Tableau can view this reports for additional details.

### Program member GitLab utilization

The GitLab for Open Source Program furnishes insights about the ways open source projects and communities use GitLab's various features and functions.
We therefore track members' overal utilization of GitLab where possible.
We do this via Salesforce according to the following reports:

* [Open Source Program Utilization](https://gitlab.my.salesforce.com/00OPL0000009ihl)
* [Open Source Program Seats](https://gitlab.my.salesforce.com/00O8X000008mhmV)

GitLab team members with access to Salesforce and Gainsight can view these reports for additional details.

### Support ticket volume and response

The GitLab for Open Source Program team manages program support tickets in a [dedicated private GitLab project](https://gitlab.com/gitlab-com/marketing/developer-relations/open-source-program/open-source-program-support) with corresponding Service Desk. Because the team is dedicated to providing quick, helpful service to program members, we measure both the volume of tickets we receive quarterly and the average time required to respond to those tickets. We do this via the following Tableau dashboard:

* [Community Programs Support Tickets Dashboard](https://10az.online.tableau.com/#/site/gitlab/views/OpenSourceSupportTickets/CommunityProgramsSupportTicketsDashboard?:iid=2)

GitLab team members with access to Tableau can view this reports for additional details.

### Impact on Hacker News

We also track (and, when necessary, participate in) Hacker News discussions related to both our open source programs and partners.
Examples include:

* 2023-12-08: [Arch Linux bugtracker migration to GitLab completed](https://news.ycombinator.com/item?id=38568076)
* 2022-06-14: [GitLab Now the Main Development Platform for Wine](https://news.ycombinator.com/item?id=31737807)
* 2020-10-28: [Wikimedia is moving to GitLab](https://news.ycombinator.com/item?id=24919569)
* 2020-06-29: [The KDE community is moving to GitLab](https://news.ycombinator.com/item?id=23679360)
* 2018-05-31: [Gnome has moved to GitLab](https://news.ycombinator.com/item?id=17198610)
* 2019-09-30: [KDE is adopting GitLab](https://news.ycombinator.com/item?id=21112632)
* 2017-11-15: [Debian and GNOME announce plans to migrate communities to GitLab](https://news.ycombinator.com/item?id=15701922)
* 2017-05-16: [A proposal to move Gnome to GitLab](https://news.ycombinator.com/item?id=14352521)
