---
title: "Startups Program"
description: "Learn about the GitLab for Startups Program from GitLab's Developer Relations team"
---

## About

GitLab is committed to supporting the startup community, and we are excited to announce the expansion of our GitLab for Startups program.
Our goal has always been to help businesses of all sizes streamline their development processes and improve collaboration, and we recognize the unique challenges that startups face.
The GitLab for Startups program is meant to help qualifying startups access to GitLab's most advanced features.

GitLab's startups program is part of the [Developer Relations team](/handbook/marketing/developer-relations/).
View the [program application page](https://about.gitlab.com/solutions/startups/join/) for additional details.

## How to reach us

* DRI: [@akarsten1](https://gitlab.com/akarsten1)
* Slack channel: `#startups-program-questions`
* Email: `startups@gitlab.com`

## How we manage the program

Related issues can be filed on the [Startups program board](https://gitlab.com/gitlab-com/marketing/developer-relations/startups-program/-/boards)

## Current program offer

Our expanded offering is tiered specifcally according to applicants' phases of growth.
Below you will find the criteria and benefits of each tier.

### Seed Stage

#### Eligibility

* Pre-Seed or Seed Stage; up to $5 million in funding
* Funding must have been raised externally
* New customers only

#### Benefits

During **Year One**, members receive:

* Free Ultimate licence for a year (SaaS or self-managed) up to 20 seats
* Support not included

During **Year Two**, you'll receive:

* 50% discount on any tier; up to 20 seats

### Early Stage

#### Eligibility

* Currently series A or Series B; up to $20 million in funding
* Funding must have been raised externally
* New customers only

#### Benefits

During **Year One**, you'll receive:

* 50% discount on any tier; up to 20 seats
* Support not included

During **Year Two**, you'll receive:

* 25% discount on any tier; up to 20 seats

### How to Quote

When creating a quote at either 50% (Seed Y2, Early Y1 ) or 25% discount (Early Y2), please follow the below steps;

* Create the quote
* Request approval from `Alex Karsten` or `Hugh Walker` on Chatter on the opp
* Once approval granted, request Deal Desk's approval override by submitting an [Internal Support Case in Salesforce](https://gitlab.highspot.com/items/672cea6ea7be2e314c87ba3b?lfrm=srp.1). Use the below template, and amend it as required.

*Deals Desk, please provide approval overide for this Startup opportunity*;

* *Startup Program - Seed Y2 - 50% Discount*
* *Startup Program - Early Y1 - 50% Discount*
* *Startup Program - Early Y2 - 25% Discount*

*Please also;*

* *Disable Auto-Renewal*
* *Disable QSRs*
* *Change the Opportunity Order Type from 3. Growth to 1. First Order (if Seed Y2 or Early Y1)*

Note:  include chatter approval message in the case.

## Additional information

* Upon acceptance, program members are subject to the [GitLab Subscription Agreement](/handbook/legal/subscription-agreement/). The decision to issue a GitLab Startup license is always at the sole discretion of GitLab.
* For self-hosted instances, users must enable usage and analytics features.
