---
title: "Developer Relations Content Requests"
description: "How to request content from the Developer Relations team"

---

## Developer Relations content request overview

This handbook page describes the process for requesting materials from the Developer Relations team.

## How to work with the Developer Advocate Team

In line with GitLab's [dogfooding subvalue](/handbook/values/#dogfooding), our team uses GitLab epics and issues to track requests, plan work, and collaborate. Opening an issue is the best way to initiate a request. To do this, please use the [Developer Relations content request template](https://gitlab.com/gitlab-com/marketing/developer-relations/developer-advocacy/developer-advocacy-meta/-/issues/new?issuable_template=content-request). By following the template fields and answering included questions, you will provide the information our team requires to triage the request.

[<i class="fas fa-edit"></i> Submit a content request](https://gitlab.com/gitlab-com/marketing/developer-relations/developer-advocacy/developer-advocacy-meta/-/issues/new?issuable_template=content-request)

## How we triage requests

Our team reviews all incoming requests for new content according to the following process:

1. Review
1. Scope
1. Assign
1. Document (Promote to epic, add to roadmap and content plan)
1. Prioritize

### Review

Our team will review your request within two business days of receiving it.

### Scope

Our team will collaborate with you to ensure we understand the scope of the request. We may ask you to provide additional details about business goal or opportunities, target audience size, intended audience personas, content type(s), distribution plans, and due dates.

### Assign

Depending on the nature of the details we collect in the `Scope` step, we may route your request to the Developer Advocate team, Contributor Succe team, or Community Programs team. In some cases, we may route requests to a team outside Developer Relations. In other cases, we may agree to use existing content to fulfill your request so our team can priorize new work.

### Document

To track our work, we use a Roadmap in GitLab and a spreadsheet. After the work is assigned, it should be promoted to an epic so it displays on the [Developer Relations Content Roadmap](https://go.gitlab.com/community-roadmap) and added to the [Technical Content](https://drive.google.com/drive/search?q=%22technical%20content%22%20sheet) Google Sheet. This helps make the content visible to our team members and stakeholders.

### Prioritize

Next, we'll agree on the priority of your request vis-a-vis other requests currently on our roadmap. This helps us consider existing items in our backlog and identify whether we need to push current or existing work to new milestones. We may also determine whether we may need additional capacity (i.e., external support) to fulfill your request by a certain date. Upon completion of this step, we'll set a delivery date on the roadmap and content plan.

## Feedback

This is a newly created process. Please share feedback on this process by contacting our team in the [#developer-relations](https://gitlab.slack.com/archives/C0R04UMT9) channel in Slack.
