---
title: "Contributor Success Team"
description: "Contributor Success Team"
---

## Common Links

|  | |
|-----|-----|
| **GitLab Team Handle** | [`@gitlab-org/developer-relations/contributor-success`](https://gitlab.com/gitlab-org/developer-relations/contributor-success) |
| **Slack Channel** | [`#contributor-success`](https://gitlab.slack.com/archives/C02R0NE6P6C) & [`#contributor-success-confidential`](https://gitlab.slack.com/archives/C04KENT97K7) |
| **Slack Channels from initiatives that we help drive**| [`#leading_organizations`](https://gitlab.slack.com/archives/C03KC7N184D)  |
| **Team Boards** | [`gitlab-org/-/boards/4296693`](https://gitlab.com/groups/gitlab-org/-/boards/4296693) |
| **Issue Tracker** | [`gitlab-org/developer-relations/contributor-success/team-task`](https://gitlab.com/gitlab-org/developer-relations/contributor-success/team-task/-/issues) |

---

## Sub-pages

|  | |
|-----|-----|
| **Workflows** | [Contributor Success Contributor Workflows](/handbook/marketing/developer-relations/contributor-success/community-contributors-workflows) |
| **Metrics** | [Contributor metrics & dashboards](/handbook/marketing/developer-relations/contributor-success/metrics) |
| **Contributing Organization Tracking** | [Contributing Organization Tracking](/handbook/marketing/developer-relations/contributor-success/contributing-org-tracker) |
| **A Contributor's User Journey** | [User Journey](/handbook/marketing/developer-relations/contributor-success/user-journey) |
| **Community pairing sessions** | [Community pairing sessions](/handbook/marketing/developer-relations/contributor-success/community-pairing-sessions) |
| **Innovation Pitch Competition** | [Innovation Pitch Competition](/handbook/marketing/developer-relations/contributor-success/innovation-pitch-competition) |

---

## Strategy

This team directly follows the strategy outlined in our [open source growth strategy](/handbook/engineering/open-source/growth-strategy/).

## Mission

The goal of the team is to lead the contributor program, support & attract customers who co-create GitLab with us and increase the efficiency of our contribution process through technical and process improvements to sustain our
ambition of 170+ contributors with merged MRs per month to GitLab. This is aligned with GitLab's mission to [**enable everyone to contribute to and co-create the software that powers our world**](/handbook/company/mission/#mission ) and is aligned with the [3-year internal company strategy](https://internal.gitlab.com/handbook/company/three-year-strategy/).

### FY26 Direction

In FY26 we will be continue our focus on the following key initiatives

- Increasing [MRARR](#mrarr) through our GitLab [co-create program](https://about.gitlab.com/community/co-create/). Aligned with our value [results for customers](/handbook/values/#results)
- Growing the number of unique new monthly contributors, code and non-code. Aligned with our [open source growth strategy](/handbook/engineering/open-source/growth-strategy/)
- Reducing [Open Community MR Age (OCMA)](#open-community-mr-age-ocma). Aligned with our [open source growth strategy](/handbook/engineering/open-source/growth-strategy/)
- Shifting the focus towards higher valued contributions aligned with our product roadmap.

Any engineering work required to reach these goals is within limits. For example, GDK work, POC's of Duo, Triage-ops refactors with AI assisted classifications and more.

#### Unique New Monthly Contributors

1. Minimize reliance on human interaction
1. Reduce volatility through introducing automations that drive contributions
   forward automatically
1. Capitalize on untapped potential - MRs that have become stale but have received a seal of approval as useful addition to GitLab.
1. Invest into attracting more new contributors

#### Open Community MR Age (OCMA)

1. Minimize reliance on human factors that contribute to a large standard deviation
1. Identify & drive tooling improvements to decrease OCMA, and collaborate with the [Engineering Productivity team](/handbook/engineering/infrastructure/engineering-productivity/)
through shared tooling for [automated triaging](/handbook/engineering/infrastructure/engineering-productivity/#automated-triage-policies)

#### Co-Create

The GitLab [Co-Create program](https://about.gitlab.com/community/co-create/) is a
cross-functional initiative that is led by the [Contributor Success team](/handbook/marketing/developer-relations/contributor-success/), in combination with Product & Engineer. More GitLab specific instructions can be found in our [cocreate handbook page](/handbook/marketing/developer-relations/cocreate/).

## Team Responsibilities

- Improve GitLab's Contribution Efficiency and [merge request coaching](/job-families/expert/merge-request-coach/) process.
- Contribute as a [merge request coach](/job-families/expert/merge-request-coach/) in one or more specialties by providing guidance to community contributors on technical and non-technical aspects.
- Be a point of escalation for community contributors and identify GitLab DRIs to resolve blockers.
- Organize community contributors into [community teams](#team-members) and ensure their success.
- Track [contribution](https://about.gitlab.com/community/contribute/) delivery of the Community Contributors and Cohorts.
- Nominate impactful community contributors and contributions for recognition.
- Select and recognize a [GitLab MVP](/handbook/marketing/developer-relations/contributor-success/mvp-process) for each release post
- Collaborate closely with our [Marketing counterparts](/handbook/marketing/developer-relations/) and [Core team](https://about.gitlab.com/community/core-team/).
- Improve community recognition system, awards and engineering assistance in collaboration with the [Developer Relations team](/handbook/marketing/developer-relations/).
- Participate in GitLab's overall open source outreach events and processes.
- [Triage community issues](/handbook/engineering/infrastructure/engineering-productivity/issue-triage/) to be picked up by the community or GitLab team members
- [Triage community merge requests](/handbook/engineering/infrastructure/engineering-productivity/merge-request-triage/#partial-triage-gitlab-org) from the daily merge request coach report
- [Review merge requests](https://docs.gitlab.com/ee/development/code_review.html) assigned as a merge request coach or from the reviewer roulette

## Team Members

{{< team-by-departments "Contributor Success" >}}

### File an issue

#### gitlab-org/gitlab

All issues that relate to the Open Source project GitLab and that can serve to enhance the contributor flow and are public by nature should be created here by default. We aim to not have any distinction between contributors or GitLab team-members for which we expect by default that everyone should be able to contribute to.

- Location: [gitlab-org/gitlab](https://gitlab.com/gitlab-org/gitlab)
- Required label: `Contributor Success`

#### gitlab-org/developer-relations/contributor-success/team-task

All issues that relate to the inner working of the company GitLab, including specific internal team workings, onboardings-issues or issues relating to customers that should be separated from the Open Source project GitLab can be placed here.

- Location: [gitlab-org/developer-relations/contributor-success/team-task](https://gitlab.com/gitlab-org/developer-relations/contributor-success/team-task/)
- Required label: `Contributor Success`

## Project Management

- Our [team project](https://gitlab.com/gitlab-org/developer-relations/contributor-success/team-task) is our single source of truth for all tasks & backlog.
- Epics that contain cross-functional work across multiple departments can be created at the `gitlab-org` [level](https://gitlab.com/groups/gitlab-org/-/epics?label_name[]=Contributor+Success).

## OKRs

OKRs are not public. But rest assured, we have these goals always in mind, including in our quarterly objectives & key results.

## Performance Indicators

We have the following Performance Indicators

### Unique Wider Community Contributors per Month

[Unique Wider Community Contributors per Month](/handbook/marketing/developer-relations/performance-indicators/#unique-wider-community-contributors-per-month)

- Activities:
  - Partnership with Developer Relations team.
  - Hold community office hours.
  - Hold hackathons.
  - Allow running of QA tests from forks.
  - Shorten the CI runtime for community contributions (in forks).

More details can be found in the [Unique Wider Community Contributors per Month Marketing PI section](/handbook/marketing/developer-relations/performance-indicators/#unique-wider-community-contributors-per-month)

### Open Community MR Age (OCMA)

- Activities:
  - Shorten CI time
  - Improve Community Contribution automation
  - Enable running QA tests on forks
  - Increase number of coaches
  - Partner with Engineering Productivity to provide feedback to improve contribution tooling (currently GDK).

More details can be found in the [OCMA Developer Relations PI section](/handbook/marketing/developer-relations/performance-indicators/#open-community-mr-age)

### MRARR

- Activities:
  - Reach out to top tier enterprise customers
  - Help take-on inactive customer contribution to completion & merge
  - Partner with CSMs to enlist and facilitate contribution from customers
  - Launch contribution materials targeting large enterprises
  - Partner with Developer Relations team (David P)
  - Maintain a list of known contributors with a mapping to their accounts and the accounts ARR contribution as input to this KPI

Please see [Contributing Orgs tracker](contributing-org-tracker) for details how to onboard or offboard a GitLab
account from being linked to a customer account, and being counted into the MRARR metric.

More details can be found at the [MRARR Developer Relations PI section](/handbook/marketing/developer-relations/performance-indicators/#mrarr)

## How we plan work

The team uses the [Contributor Success Kanban board](https://gitlab.com/groups/gitlab-org/-/boards/7745119?label_name[]=Contributor%20Success).
Everything that we're working actively is present above the cut-line. Our planning is always focussed on improving our KPIs & achieving our OKRs.

## Contributor Success Retrospective

Every quarter we hold an asynchronous retrospective [(example)](https://gitlab.com/gitlab-org/developer-relations/contributor-success/team-task/-/issues/665) using GitLab issues.

Questions asked are

- What should we start?
- What should we stop?
- What should we continue?

Contributor Success' DRI is responsible for creating an issue in the team tracker
[`gitlab-org/developer-relations/contributor-success/team`](https://gitlab.com/gitlab-org/developer-relations/contributor-success/team/-/issues)
so that it can be easily retrieved in the future.

Contributor Success' DRI is responsible for digesting the feedback and selecting one, after votes, issue to take into the new quarter.

## Contributor Success stand-up

The purpose of this stand-up is to collaborate between teams members of Contributor Success. This is a team-specific
meeting to check in on blockers, progress and ways to think differently & iterate towards our goals.

- Agenda: <https://docs.google.com/document/d/1chIzCdg1CNRrRRuYR7c7OW_BF1mBxKFTJoXyP2HLt4E/edit#heading=h.o6qzal1u0b7i>

## Contributor Success reading list

A curated list of external resources for improving open source community relations and the contributor experience:

- [Diversity, Equity, and Inclusion in Open Source](https://www.linuxfoundation.org/research/the-2021-linux-foundation-report-on-diversity-equity-and-inclusion-in-open-source)

- [Working in Public: The Making and Maintenace of Open Source Software](https://press.stripe.com/working-in-public)

- [Growing Your Contributors](https://docs.oscollective.org/guides/growing-your-contributors)

- [Building Welcoming Communities](https://opensource.guide/building-community/)

- [Open Source Survey](https://opensourcesurvey.org/2017/)

- [Non-code contributions are the secret to open source success](https://github.com/readme/featured/open-source-non-code-contributions)

- [The secrets to onboarding new open source contributors](https://github.com/readme/featured/contributor-onboarding)

- [The privilege of free time in Open Source](https://dri.es/the-privilege-of-free-time-in-open-source)

- [Good first issues don't exist](https://opensauced.pizza/blog/good-first-issues-dont-exist)

### Promotion

We recommend [adding an event to the GitLab Team Meetings calendar](/handbook/tools-and-tips/#adding-an-event-to-the-gitlab-team-meetings-calendar)
(internal) and creating:

- An event in the [GitLab Virtual Community Events](https://www.meetup.com/gitlab-virtual-meetups/)
meetup group.
- An event on the [GitLab Community Discord](https://discord.gg/gitlab).
- An agenda (using Google Docs, with public editor access so everyone with the link can collaborate).

NOTE: Make sure Zoom links have the password embedded.
