---
title: "GitLab Nominations for Community Swag"
---

## Let's Award Contributors Together

We want to recognize amazing contributions from the wider community with GitLab swags.
All GitLab team members and members of the wider community are encouraged to nominate others or themselves (for campaigns such as #myfirstMRmerge).

## Include Everyone

If you think that someone deserves a swag prize, nominate them!
If you reached an important campaign milestone (e.g. #myfirstMRmerged) with your contribution, you can also nominate yourself!

## Eligibility

Anyone who you feel deserves an extra special something for their contribution, comment, or community involvement is eligible for swag.

This can include, (but is not limited to):

* Great contributions to the GitLab product via issues or merge requests
* Representing the voice of GitLab at a speaking event, with a blog post, at a Meetup, or with a presentation
* Achieving the `#myfirstMRmerged` milestone
* Leaving a great answer on our [community forum](https://forum.gitlab.com/)
* Posting a great answer to on a [GitLab StackOverflow](https://stackoverflow.com/questions/tagged/gitlab) or [GitLab subreddit](https://www.reddit.com/r/gitlab/) question
* Bug Bounty reporters who submitted a quality report that did not qualify for monetary reward in our [Bug Bounty program](https://hackerone.com/gitlab?type=team).

For cases not listed above, use your best judgement, and create a merge request to add new cases to the list.

### Eligibility for Self Nomination

If you've contributed to our community or reached an important campaign milestone, you're eligible to self nominate for GitLab swag. Note that to self nominate, you must provide relevant links and evidence of your contributions to be evaluated by the GitLab team.

| Contribution | Notes for Self Nomination|
| ------ | ------ |
| #myfirstMRmerged | Must include link the merged MR |
| Community Blog Post | Must include link to published blog post |
| GitLab Forum Answer | Must include link to high quality answer provided on the GitLab Forum |
| Meetup/Presentation | Must include link to the meetup/event page |

## Nomination Process

The following process can be used either

* To nominate a wider community member for swag, or nominate yourself for swag, please fill the [nomination form](https://docs.google.com/forms/d/e/1FAIpQLSfGo-3kEimVPpC5zKKxXHkFjgYx8-vQAanzAX2LxGgXQqXikQ/viewform). Make sure to include links that show your community contribution ready before you send the form.

That's it! Contributor Success team members will be in touch with the person nominated on how to get the swag!

The form is reviewed weekly, and at a minimum each month, by Contributor Success, and you can check the status of each nomination in [column K](https://docs.google.com/spreadsheets/d/1WvZwL48Y5URNOr6KI26Lr4xgwlDQeOQJ8PK4dK9IaDA/edit?usp=drive_web&ouid=109629804026010673224) of the form's spreadsheet (only for GitLab Team members).

## Form Processing by Developer Relations Team

1. The Developer Relations team will review the nomination request and send the merchandise to the wider community member.
2. If the application is valid, communicate the giveaway link and code to the community member via email.

## Templates for Sending Swag Links

### Email Template

```markdown
Hi [NAME]!

The GitLab team has noticed the awesome support you provide on [Social Channel] to users asking questions about GitLab.

We'd love to recognize your efforts with some free GitLab swag!
The link below will take you directly to an order form where you can choose your favorite GitLab swag item.

[Giveaway Link] / [Code]

If you have any questions, don't hesitate to reach out. Thanks for your contributions to the GitLab community!
```

## Finding Community Member Contact Information

This section outlines the strategies that GitLab team member might use to contact community members during this process

* Always default to email communication. Email information of a contributor, if not known, can be requested from the Director of Contributor Success (only for Developer Relations team members)
  * Create a confidential issue with the list of GitLab usernames
  * Explain the source of the GitLab usernames
  * Add the communication method where you would like to receive the contact details
  * Emails given will only be the main email present in the GitLab profile.

## Sustainability and Swag Alternatives

We love swag, but there is an impact on the environment.
In an effort to offset this, we now offer the option of planting trees instead.

Contributor Success process the tree orders via [Tree Nation](https://tree-nation.com/)
using credentials from their 1Password vault.
