---
title: Community pairing sessions
description: Information and guidelines about community pairing sessions
---

---

## Community pairing sessions

## What are they?

The community pairing sessions are community-driven sessions, usually 1 hour long,
that anyone from the GitLab community (team members and not) can attend. We cover:

- Live coding (may be the GitLab project, a satellite project, or something loosely related,
  and may be backend, frontend, database, documentation, etc.).
- Triaging issues.
- Brainstorming ideas.

These sessions are livestreamed on [our Community Coders YouTube channel](https://www.youtube.com/@communitycodersforgitlab)
and are thought to be a friendly and informal environment, where everyone is free
to express their thoughts (in accordance to the [GitLab Code of Conduct](https://about.gitlab.com/community/contribute/code-of-conduct/)).

## When do they happen?

Community pairing sessions usually happen every Tuesday at 12:15 PM CET (UTC+1) during standard time and CEST (UTC+2) during daylight saving time (typically last Sunday in March to the last Sunday in October)
On rare occasions, a scheduled session might be skipped if none of the [organizers](#organizers)
can attend.
Keep an eye on the `#contribute` channel of the GitLab [Discord server](https://discord.gg/gitlab)
for any announcement.

Ad-hoc sessions can be requested by anyone who needs help, or just wants to share
some work they're doing, by asking in the `#contribute` channel of the GitLab [Discord server](https://discord.gg/gitlab).
Ping one or more of the [organizers](#organizers) if you have no reply in about 1 hour,
but keep in mind that most of them are located in the UTC+1/UTC+2 timezone.

## Where do they happen?

Community pairing sessions are organized using Zoom and the link to join the session can be found:

- In our [Discord server](https://discord.gg/gitlab) events.
- In the recurring [GitLab Meetup event](https://www.meetup.com/gitlab-virtual-meetups/events/),
  named `GitLab Community pairing`.

## Preparing for a scheduled session (for organizers)

- A recurring event exists on Meetup.com, so no manual setup is needed.
- A scheduled pipeline creates the Discord event each week using a [Ruby script](https://gitlab.com/gitlab-org/developer-relations/contributor-success/toolbox/-/blob/main/bin/create_discord_event.rb?ref_type=heads).
- Advertise on social media (optional).

The day of the session:

- Leave a message in the `#contribute` channel of the GitLab [Discord server](https://discord.gg/gitlab)
  to raise awareness and/or decide what to look at during the session.

During the session:

- Make sure the streaming to YouTube is active.
- Explain what we're going to cover during the session.
- Start having fun!

## Organizers

Due to our current workflow to create and attend these sessions, at least one of
the organizers must attend in order to be able to livestream to [our YouTube channel](https://www.youtube.com/@communitycodersforgitlab).

| Organizer       | GitLab handle         | Discord handle  |
| ---             | ---                   | ---             |
| Lee Tickett     | `@leetickett-gitlab`  | `@leetickett`   |
| Raimund Hook    | `@stingrayza`         | `@stingrayza`   |
| James Rushford  | `@jrushford`          | `@jrushford`    |
| Andrew Smith    | `@espadav8`           | `@espadav8`     |
| Marco Zille     | `@zillemarco`         | `@zillemarco`   |
