---
title: "Developer Advocacy"
description: "Developer Advocates build GitLab's technical brand with deep, meaningful conversations on engineering topics relevant to our community."
---

## <i class="fas fa-bullhorn fa-fw -text-purple"></i> Welcome to the Developer Advocacy Handbook

---

## <i class="fas fa-map-signs"></i> QuickLinks

### Team Workflow

#### Issue Templates

- [<i class="far fa-edit"></i> New Content Issue](https://go.gitlab.com/new-content-issue)
- [<i class="far fa-edit"></i> New Event Issue](https://go.gitlab.com/new-event-issue)
- [<i class="far fa-edit"></i> New Activity Issue](https://go.gitlab.com/new-activity-ssue)
- [<i class="far fa-edit"></i> CFP Issue Template](https://gitlab.com/gitlab-com/marketing/developer-relations/developer-advocacy/developer-advocacy-meta/-/issues/new?issuable_template=cfp)

#### Issue Boards

- [<i class="far fa-clipboard"></i> Team Workflow](/handbook/marketing/developer-relations/developer-advocacy/workflow/)
- [<i class="far fa-clipboard"></i> Content by Assignee](https://gitlab.com/groups/gitlab-com/-/boards/7577841?label_name[]=DA-Type%3A%3AContent&label_name[]=developer-advocacy)
- [<i class="far fa-clipboard"></i> Content by Quarter](https://gitlab.com/groups/gitlab-com/-/boards/7577857?label_name[]=DA-Type%3A%3AContent&label_name[]=developer-advocacy)
- [<i class="far fa-clipboard"></i> Content by Types](https://gitlab.com/groups/gitlab-com/-/boards/7577822?label_name[]=DA-Type%3A%3AContent&label_name[]=developer-advocacy)
- [<i class="far fa-clipboard"></i> Events](https://gitlab.com/groups/gitlab-com/-/boards/7577874?label_name[]=developer-advocacy&label_name[]=DA-Type%3A%3AEvents)

### Team Resources

- [<i class="far fa-calendar-alt"></i> Team Calendar](/handbook/marketing/developer-relations/developer-advocacy/calendar)
- [<i class="far fa-chart-line"></i> Content Effectiveness](/handbook/marketing/developer-relations/content-effectiveness/)
- [<i class="fas fa-project-diagram"></i> Team Projects](/handbook/marketing/developer-relations/developer-advocacy/projects)
- [<i class="far fa-object-group"></i> OSS Contributions](/handbook/marketing/developer-relations/developer-advocacy/#oss-contributions)
- [<i class="far fa-edit"></i> Action Template for Announcement Responses](https://docs.google.com/document/d/1Dhe2hFFZCDRK6eLhrfFqa-iz0bFX8gTZ4keoHo5KrtM/edit)
- [<i class="fas fa-chalkboard-teacher"></i> CFPs](/handbook/marketing/developer-relations/developer-advocacy/cfps)
- [<i class="far fa-edit"></i> Content creation](/handbook/marketing/developer-relations/developer-advocacy/#content-creation)
- [<i class="far fa-folder-open"></i> Team Shared Drive](https://drive.google.com/drive/u/0/folders/0AEUOlCStMBC9Uk9PVA)

### Want to work with the team?

- [<i class="fas fa-chalkboard-teacher"></i> Learn about Developer Advocacy](/handbook/marketing/developer-relations/developer-advocacy/learn-developer-advocacy/)

- [<i class="far fa-edit"></i> Request a Developer Advocate Issue Template](https://gitlab.com/gitlab-com/marketing/developer-relations/developer-advocacy/developer-advocacy-meta/-/issues/new?issuable_template=developer-advocate-request)
- [<i class="far fa-edit"></i>Request Community Response support](https://gitlab.com/gitlab-com/marketing/developer-relations/developer-advocacy/developer-advocacy-meta/-/issues/new?issuable_template=community-response-plan)
- [<i class="far fa-edit"></i> Request Content](/handbook/marketing/developer-relations/content-request/#how-to-work-with-the-developer-advocate-team)

---

## <i class="fa fa-map-marker" aria-hidden="true"></i> Mission

To support, grow, and engage the wider [GitLab community](/handbook/communication/#writing-style-guidelines) through collaboration, content, and conversations.

## <i class="fas fa-map-marked-alt"></i> Strategy

Developer relations and developer advocacy is an evolving, complex field.

Our team focuses on areas aligning with the company's areas of interest including:

- DevSecOps: We want our work to speak to not only developers but all team members involved in the DevSecOps lifecycle to deliver working code to production: Product Managers, software engineers, system and DB administrators, designers, test engineers, security engineers, operations engineers, platform engineers, SREs, development managers and executives, etc.
- Enterprise: Developers and DevSecOps professionals in the enterprise have special constraints and needs.  Often these are glossed over with easy "throw out your architecture and use this new shiny thing" - we won't do that, we'll acknowledge real-world challenges, legacy code, and enterprise constraints and help people solve those problems as well. When applicable, we switch roles into consulting and support.

### KPIs

The [FY25 Marketing Strategy](https://internal.gitlab.com/handbook/marketing/fy25-strategy/#marketing--the-customer-journey) (internal only) shows a Customer Journey with five stages: Awareness, Consideration, Conversion, Expansion, and Evangelism.

While our team can influence people at each stage, our key focus is on Awareness, Consideration, and Evangelism. The KPIs we use to measure our impact on these stages are:

- views from content published across owned and earned channels
- developers engaged through webinars, workshops, and industry events

We also look at Developer Relations influenced pipeline and active community members as performance indicators.

We recognize these KPIs don't capture the impact of the diverse range of work that our team does but understand that tradeoffs can be necessary to effectively communicate our impact within GitLab.

#### OKRs

- [OKR list](https://gitlab.com/gitlab-com/gitlab-OKRs/-/issues?first_page_size=20&label_name%5B%5D=developer-advocacy&sort=updated_desc&state=opened&type%5B%5D=objective)

### What fits in our strategy

When we are reviewing opportunities or requests for support, we must be able to answer yes to each of these questions to move forward with the work:

1. Will this work support, grow, and/or engage GitLab customers and community members?
1. Is there a measurable impact against one of our team's KPIs? Because of GitLab's [global optimization subvalue](/handbook/values/#global-optimization), we'll also consider requests that influence a company KPI or contribute to progress on an OKR.
1. Has an issue been created to define the work and assign a DRI?

If the answer to any of the above questions is "no", we ask the requestor to take one of the following actions:

1. Make adjustments so we can take on the work.
1. Find another team that is better suited to deliver the work.
1. Come to an agreement that the work should not be done.

## <i class="fa fa-users" aria-hidden="true"></i> Team members and focus areas

We are members of the [Developer Relations team](/handbook/marketing/developer-relations/).

| Team member |  Focus areas | Languages | Projects | Technologies | Resources |
|-------------|--------------|-----------|----------|--------------|-----------|
| [Abubakar Siddiq Ango](/handbook/company/team/#abuango) <br/> Developer Advocate |  Program management, team content creation and repurpose. DevSecOps with a focus on the Cloud Native Ecosystem | English, Yoruba, Hausa | [DevRel Bot](/handbook/marketing/developer-relations/developer-advocacy/projects/#developer-relations-bot), [Campaign Manager](/handbook/marketing/developer-relations/community-apps/campaign-manager/), [event support](/handbook/marketing/developer-relations/developer-advocacy/#corporate-event-support) |  Kubernetes, CI/CD, PHP, Ruby, JavaScript, Rust | [Website](https://abuango.me/) |
| [Cesar Saavedra](/handbook/company/team/#csaavedra1) <br/> Staff Developer Advocate | DevSecOps with a focus on CD, GitOps, Kubernetes, GitLab Flow, Feature flags, GitLab Duo | English, Spanish | [GitLab demos on YouTube](/handbook/marketing/developer-relations/developer-advocacy/content/#youtube-playlists), Analyst relations demos, Competitive Research, CD Overview, Feature Flags, GitLab Flow |  Kubernetes, GitOps, CI/CD, Java, AI |  |
| [Daniel Helfand](/handbook/company/team/#dhelfand) <br/> Developer Advocate | DevSecOps | English |  | CI/CD, Kubernetes, Go |  |
| [Fatima Sarah Khalid](/handbook/company/team/#sugaroverflow) <br/> Developer Advocate | Community Engagement, DevSecOps | English | [LinkedIn Live](/handbook/marketing/developer-relations/developer-advocacy/projects/#linkedin-lives-in-collaboration-with-the-social-team), [Community Engagement](/handbook/marketing/developer-relations/developer-advocacy/#community-engagement) | CI/CD, C++, PHP, JavaScript | |
| [Fernando Diaz](/handbook/company/team/#fjdiaz) <br/> Staff Developer Advocate | DevSecOps with a focus on Security and Compliance | English, Spanish | [GitLab demos on YouTube](/handbook/marketing/developer-relations/developer-advocacy/content/#youtube-playlists), Analyst relations demos, [event support](/handbook/marketing/developer-relations/developer-advocacy/#corporate-event-support), [Security and Governance tutorials](https://gitlab.com/gitlab-da/tutorials/security-and-governance) | Security, Kubernetes, CI/CD, Python |  |
| [Itzik Gan-Baruch](/handbook/company/team/#iganbaruch) <br/> Staff Developer Advocate | DevSecOps with a focus on CI/CD, Remote Development/IDEs and Value Stream Management | English, Hebrew | [Product tours](/handbook/marketing/developer-relations/developer-advocacy/content/#product-tours), [Click-through demos](/handbook/marketing/developer-relations/developer-advocacy/content/#click-through-demos), [CI/CD components](/handbook/marketing/developer-relations/developer-advocacy/projects/#cicd-components-catalog) |  Remote Development, CI/CD, Value Stream Management |  |
| [John Coghlan](/handbook/company/team/#john-coghlan) <br/> Director, Developer Advocacy | Strategy and Planning in Developer Advocacy | English | | | [Website](https://coghlan.me/) |
| [Michael Friedrich](/handbook/company/team/#dnsmichi) <br/> Staff Developer Advocate | DevSecOps with a focus on  efficiency with AI | English, German, Austrian | [GitLab Duo Adoption](/handbook/marketing/developer-relations/developer-advocacy/projects/#gitlab-duo-adoption), [CI/CD components](/handbook/marketing/developer-relations/developer-advocacy/projects/#cicd-components-catalog) | DevSecOps, AI, CI/CD, Python, Go, C/C++, Rust | [README](/handbook/marketing/readmes/michael-friedrich/), [Talks](https://dnsmichi.at/talks/), [Portfolio](https://dnsmichi.at/portfolio/) |
| [William Arias](/handbook/company/team/#warias) <br/> Staff Developer Advocate | DevSecOps with a focus on AI/ML, Sec and Data | English, Spanish | Support Ticket Sentiment Analysis, Competitive Research, Analyst relations demos, [End-to-end DevSecOps Platform](/handbook/marketing/developer-relations/developer-advocacy/projects/#organisation-structure) | CI/CD, AI/ML, Kubernetes, Security, Python, C |  |

## <i class="fa fa-tasks" aria-hidden="true"></i> What we do

Our developer advocate team can be summarized by the "Three Cs":

1. **Content creation:** This is what many often think of when thinking of the traditional role of developer relations: writing blog posts, delivering technical talks, participating in podcasts or panels, and sharing ideas and thoughts on social media. Content creation also includes assets co-created with other GitLab teams, inside and outside of Marketing.
1. **Customer and community engagement:** Our team regularly engages with GitLab customers and the wider GitLab community when they have questions, concerns, and feedback. This happens during in-person and virtual events, webinars, and meetings and online via GitLab issues, the GitLab Forum, Hacker News, and other social media sites.
1. **Consulting:** Within GitLab, our team represents the voice of the community. When other teams are working on changes or decisions that will impact customers and the community, we will educate them on our customers and community, advocate for their interests, and work to ensure that any potential impacts are clearly understood and addressed when communicating such changes. Our team also shares our knowledge of industry trends, emerging tools, social media strategy, and other skills to support our teammates in achieving their goals in alignment with GitLab's [Global Optimization](/handbook/values/#global-optimization) subvalue.

### Content creation

We build out content to help educate developers around best practices related to DevOps, GitLab, remote work, and other topics where we have expertise. Content includes presentations, demos, workshops, blog posts, and media engagements. Content creation also includes assets co-created with other GitLab teams, inside and outside of Marketing.

Please read the [Content](/handbook/marketing/developer-relations/developer-advocacy/content) handbook to learn more about the content workflow, library and distribution with UTM tracking.

### Customer and Community Engagement

Our team regularly engages with GitLab customers and the wider GitLab community.
The Developer Advocate team is the DRI for questions and strategy on the platforms below:

<!-- This partially duplicates https://handbook.gitlab.com/handbook/marketing/developer-relations/workflows-tools/#tool-stack-overview - when making updates, ensure to keep it in sync. -->

| Platform | Description | Workflows |
|-------------|-------------|-----------|
| Discourse | The [GitLab Forum](https://forum.gitlab.com) is a place to ask and respond to questions and share projects or snippets of code. | [Forum Workflows](/handbook/marketing/developer-relations/workflows-tools/forum/) |
| Reddit | The [GitLab Subreddit r/gitlab](https://www.reddit.com/r/gitlab) is a place to ask questions and share interesting use cases of GitLab and related workshops and tools. | [r/gitlab Workflows](/handbook/marketing/developer-relations/workflows-tools/reddit/) |
| Discord | A [GitLab Community Discord](https://discord.gg/gitlab) is a place to connect with the community, join pair coding sessions and live streams, and discuss all things GitLab and contribution. | [Community Discord Workflows](/handbook/marketing/developer-relations/workflows-tools/discord/) |
| Common Room | We use [Common Room](https://www.commonroom.io) to aggregate and review insights from our community engagement. | [Common Room Workflows](/handbook/marketing/developer-relations/workflows-tools/common-room/) |

#### Community Response

Given the Developer Advocate team's understanding of our community and broad knowledge of GitLab, we will engage in the response of situations that require intervention to address urgent and important concerns of our community members. We have a documented process for how we [manage these situations](/handbook/marketing/developer-relations/developer-advocacy/community-response/).

### Consulting

Developer Advocates serve as consultants and subject matter experts (SMEs), leveraging their expertise and experience to support teams and customers with product features, new SKUs, and other topics.

Please read the [Consultancy](/handbook/marketing/developer-relations/developer-advocacy/consultancy/) handbook to learn more about consultancy requests, decision matrix, and examples with GitLab Duo / AI adoption.

### Other activities

#### Event support

The Developer Advocate team plays a key role in supporting events. We work closely alongside [Corporate Event Marketing](/handbook/marketing/integrated-marketing/corporate-events/) to provide strategic content and assistance for both corporate and third-party sponsored events. This collaboration ensures the success and seamless execution of various gatherings. To learn more please refer to the [Events page](/handbook/marketing/developer-relations/events/).

#### Release Advocacy

Developer Advocates should always be prepared to promote our [monthly release](/handbook/marketing/developer-relations/developer-advocacy/social-media/#release-evangelism) and engage in [community response on release days](/handbook/marketing/developer-relations/developer-advocacy/hacker-news/#release-days) given the historical performance of release posts on Hacker News.

#### Social media

We build our thought leadership and [distribute our content](/handbook/marketing/developer-relations/developer-advocacy/content/#content-distribution) on social media. See [Developer Advocacy on Social Media](/handbook/marketing/developer-relations/developer-advocacy/social-media/) to learn more about our strategies and become a GitLab advocate yourself.

#### Spokespersons

Developer Advocates are subject matter experts (SMEs) in their focus areas, and collaborate with the [Corporate Communications team](/handbook/marketing/corporate-communications/) to provide media coverage in the form of interviews, podcasts, content by-lines, etc. Developer Advocates are [GitLab spokespersons](/handbook/marketing/corporate-communications/#spokesperson-criteria) and are required to take relevant training as determined by the [Corporate Communications team](/handbook/marketing/corporate-communications/).

#### Projects

Our team maintains projects to provide GitLab use cases for content creation (demos, recordings, blog posts, workshops, talks, etc.), help showcase technical concepts and research to customers, and automate our team processes. We work in [public by default](/handbook/values/#public-by-default), so that everyone can learn and contribute. See [Developer Advocate Projects](/handbook/marketing/developer-relations/developer-advocacy/projects/) for a list of all of those projects.

## <i class="fa fa-code-branch" aria-hidden="true"></i> How we work

### Find us on Slack

GitLab team members can also reach us at any time on the [#dev-advocacy-team](https://app.slack.com/client/T02592416/CMELFQS4B) Slack channel where we share updates, ideas, and thoughts with each other and the wider team.

We use [developer-advocacy-updates](https://gitlab.slack.com/archives/C04R2RME4F7) for content shares and other updates that don't warrant generating noise in the larger channel. Many updates are automated using [Zapier workflows](/handbook/marketing/developer-relations/workflows-tools/zapier/)

### Team meetings

1. Dev Advocacy team meeting (bi-weekly) - Agenda: search for `Developer Advocacy Bi-Weekly` in GDrive.
1. Developer Relations all-hands (monthly) - Agenda: search for `Developer Relations & Strategy | All Hands Agenda` in GDrive.
1. Dev Advocacy Showcase (monthly) - Agenda: search for `Developer Advocacy Showcase [monthly]` in GDrive.

### Reporting

We organize our work through documented [team workflows](/handbook/marketing/developer-relations/developer-advocacy/workflow/), ensuring transparency and efficiency. Most of our results reporting is automated through triage bots and metrics collection.

Additional reporting is provided in the weekly Developer Relations report, search for `Developer Relations - End of Week updates` in GDrive.

## <i class="fa fa-calendar" aria-hidden="true"></i> Calendar

The Developer Advocate calendar provides insights into speaking engagements, important events, CFP timelines, and other dates. Learn more in our [CFP handbook](/handbook/marketing/developer-relations/developer-advocacy/cfps/).

<iframe src="https://calendar.google.com/calendar/embed?src=c_7930fcb0c9e4783bdd3d23858ae9af4306f28d976a40c833f50710c7cb86ba82%40group.calendar.google.com&ctz=UTC" style="border: 0" width="800" height="600" frameborder="0" scrolling="no"></iframe>
