---
title: "Developer Advocacy CFPs"
---

## CFP Resources

Event call for paper submission forms differ: Some require 1000 character abstracts, others prefer shorter biographies, or require you to fill in the talk learning goals. The Developer Advocacy team uses Google docs for maintaining CFP abstracts, @dnsmichi also uses a doc for the biography and headshot URLs as SSoT.

- [CFP template Google doc](https://docs.google.com/document/d/1vF9i4ZaR1_u52r_vUcVls0uhQIi7gzG9WkQ6l369FU4/edit#).
- [Biography template Google doc](https://docs.google.com/document/d/1e_Sk0OGpKjWbs8C3xrIk33cShvTgoqRO3r1aQApiB5M/edit)

## How we manage CFPs (Call for Proposals)

### Our events list

Every year, developer advocacy prioritizes key events in our ecosystem for which we run the conference proposal (CFP) process. The event engagement with lightning talks, CFP submissions, etc. is organized in issues which are linked and summarized in a [yearly strategy epic](https://gitlab.com/groups/gitlab-com/marketing/developer-relations/-/epics?state=opened&page=2&sort=start_date_desc&label_name[]=DevRel-Events&label_name[]=Events). You can also find a calendar view of our events below:

<br>

<iframe src="https://calendar.google.com/calendar/embed?src=c_7930fcb0c9e4783bdd3d23858ae9af4306f28d976a40c833f50710c7cb86ba82%40group.calendar.google.com&ctz=UTC" style="border: 0" width="800" height="600" frameborder="0" scrolling="no"></iframe>

### CFP Library

Past submissions for CFPs are stored in the [CFP Library](https://docs.google.com/spreadsheets/d/1KX8uf-4Ov8ybztJibQlGr9HvgH9VobpA8Nv5ecny1N4/edit#gid=0).

## Requesting a Developer Advocate to submit a CFP

To request that a Developer Advocate submits a CFP to your event, please:

1. [Open a new issue](https://gitlab.com/gitlab-com/marketing/developer-relations/developer-advocacy/developer-advocacy-meta/-/issues/new?issuable_template=developer-advocate-request)
1. Ensure you use the `developer-advocate-request` template, and fill out the `External Request` section.
1. Label the issue with the `CFP` label.

### CFP Management

For every CFP process we are participating in, a [CFP issue](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=CFP-Meta) is created with details about the event, requirements for CFP submissions and any other relevant information that might be useful to potential speakers. The issue template contains guide on the necessary steps needed to ensure we keep track of all the submissions for each CFP.

Once a submission has been submitted, the author should add it to the [CFP Library](https://docs.google.com/spreadsheets/d/1KX8uf-4Ov8ybztJibQlGr9HvgH9VobpA8Nv5ecny1N4/edit#gid=0). This will allow us to repurpose CFPs efficiently.

#### Issue Workflow

All submissions, accepted talks, feedback and other result tracking happens in the CFP issue. The CFP workflow uses [scoped labels](/handbook/marketing/developer-relations/developer-advocacy/workflow/#cfp-labels) to transition the issues through different stages. Please follow the [CFP workflow handbook](/handbook/marketing/developer-relations/developer-advocacy/workflow/#cfp-workflow) to apply required labels accordingly.

All issues with the `CFP` label appear on the dedicated [CFP Issue board](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/boards/2415569?&label_name[]=CFP).
