---
title: "Community Newsletter"
---

## Overview of the Community Newsletter

We run a monthly [Community Newsletter](https://about.gitlab.com/community/newsletter/) to share developer-focused content, keep community members informed about upcoming events, and promote contributions within the community. The target audience for this newsletter is aspiring and existing GitLab contributors in our community. This newsletter will not be used to drive or generate leads.

### Process

The Community Newsletter is scheduled to send on last Thursday of each month at 10 AM PT / 6 PM UTC.

* [Open an issue](https://gitlab.com/gitlab-com/marketing/developer-relations/developer-advocacy/developer-advocacy-meta/-/issues/new?issuable_template=community-newsletter) using the [`community-newsletter` template](https://gitlab.com/gitlab-com/marketing/developer-relations/developer-advocacy/developer-advocacy-meta/-/blob/main/.gitlab/issue_templates/community-newsletter.md) for the upcoming draft at least two weeks before the due date.
* [label `DA-Status::ToDo`](https://gitlab.com/gitlab-com/marketing/developer-relations/developer-advocacy/developer-advocacy-meta/-/issues/?label_name%5B%5D=DA-Status::ToDo): the newsletter is put together in an issue with submissions from the community and GitLab team members.
* Send a slack reminder for the content deadline. Content is due the week before the planned send date to allow time for building the draft, design, and reviews.
* Collaborate with the [Social Marketing team](/handbook/marketing/integrated-marketing/digital-strategy/social-marketing/) on copy for sharing and promoting the newsletter issue.
* [label `DA-Status::Doing`](https://gitlab.com/gitlab-com/marketing/developer-relations/developer-advocacy/developer-advocacy-meta/-/issues/?label_name%5B%5D=DA-Status::Doing): the newsletter is ready to be compiled in Marketo. [Marketo](/handbook/marketing/marketing-operations/marketo/) is an email marketing tool used amongst other teams at GitLab to build and send newsletters.
* [label `DA-Status::Done`](https://gitlab.com/gitlab-com/marketing/developer-relations/developer-advocacy/developer-advocacy-meta/-/issues/?label_name%5B%5D=DA-Status::Done): After the newsletter has been sent, we leave the issue open for a week to collect feedback.
* Capture the newsletter performance data in the issue, address any feedback for future iterations, and then close the issue.

### Format

* Introduction: a welcome message from the curators sharing projects they are working on, upcoming events, and a summary of the issue.
* Featured Events: a feature on upcoming meetups or highlights from a recent community event.
* GitLab Release Highlights
* Resources: technical content from the GitLab Blog and other newsletters or resources.
* Upcoming opportunities (e.g CFPs, projects)
* Community Spotlight: a spotlight on our [Community Programs](/handbook/marketing/developer-relations/community-programs/) or [GitLab Heroes](https://about.gitlab.com/community/heroes/)
* Community Shoutout: sharing a tweet, video, or fun clip from the community.

#### Submissions

We would love to hear from you! To submit to the newsletter, please search for an active Newsletter Issue with the [label `Da-Type-Content::newsletter`](https://gitlab.com/gitlab-com/marketing/developer-relations/developer-advocacy/developer-advocacy-meta/-/issues?label_name[]=DA-Type-Content%3A%3Anewsletter) and share your submission in a comment.

#### Archive

The newsletter was started in 2022 and has been on two different closed platforms (Mailjet, Marketo) since. As a result, we don't have archives available for all of them.

* [FY23 Newsletter Epic.](https://gitlab.com/groups/gitlab-com/-/epics/1915)
* All other past newsletter issues can be found using the [label `Da-Type-Content::newsletter`](https://gitlab.com/gitlab-com/marketing/developer-relations/developer-advocacy/developer-advocacy-meta/-/issues/?sort=updated_desc&state=closed&label_name%5B%5D=DA-Type-Content::newsletter&first_page_size=20) and searching for closed issues.

1. 2022-06-27 - Issue 1.
1. 2022-08-08 - Issue 2 (hackathon announcement only).
1. 2022-09-19 - Issue 3 [(content available on the issue)](https://gitlab.com/gitlab-com/marketing/developer-relations/contributor-program/general/-/issues/150).
1. 2022-09-23 - [Issue 4](https://drive.google.com/file/d/1AppH1WyAVJ8B-h0XgYzcMlfxf17bRI-V/view?usp=drive_link).
1. 2022-10-04 - [Issue 5](https://drive.google.com/file/d/1KyXWF7nV9KtCqxaEG0_AY7svboOKR2q6/view?usp=drive_link)
1. 2022-10-13 - Issue 6 [(content available on the issue)](https://gitlab.com/gitlab-com/marketing/developer-relations/contributor-program/general/-/issues/158).
1. 2022-10-25 - Issue 7 [(content available on the issue)](https://gitlab.com/gitlab-com/marketing/developer-relations/contributor-program/general/-/issues/160).
1. 2022-08-08 - Issue 8 (hackathon announcement only).
1. 2022-12-02 - Issue 9 [(content available on the issue)](https://gitlab.com/gitlab-com/marketing/developer-relations/contributor-program/general/-/issues/173).
1. 2022-12-28 - Issue 10 [(content available on the issue)](https://gitlab.com/gitlab-org/developer-relations/code-contributor-program/-/issues/6).
1. 2023-02-16 - [Issue 11](https://drive.google.com/file/d/1JiSQ-iwjpYq0vtTm9xPgXogt2YGy3EHb/view?usp=drive_link).
1. 2023-03-31 - [Issue 12](https://drive.google.com/file/d/1DfXgg5MykY-7tCNVIkaUUeRR-bz-8-72/view?usp=drive_link).
1. 2023-05-01 - [Issue 13](https://drive.google.com/file/d/1sIgtzSiKK7vzyhce1DPkkV7mest9Nkh9/view?usp=drive_link) - 536 subscribers, 41.99% open rate, 21.86% click rate.
1. 2023-06-02 - [Issue 14](https://drive.google.com/file/d/1mDtfFeafvKKxudROr_DpfHL_y0MN2Clk/view?usp=drive_link) - 541 subscribers, 39.48% open rate, 21.61% click rate.
1. 2023-06-19 - [Issue 15](https://drive.google.com/file/d/1LJelK1uQ5VaecQH4dCViisPwyHrxz8gb/view?usp=drive_link) - 548 subscribers, 37.11% open rate, 21.05% click rate.
1. 2023-08-03 - [Issue 16](https://drive.google.com/file/d/1vM4BTKbOR4yiBvgUWxn9jglul2sDPQ3S/view?usp=drive_link) - 624 subscribers, 38.54% open rate, 18.06% click rate.
1. 2023-08-31 - [Issue 17](https://drive.google.com/file/d/12iqaB5Wq1RUV8G5kQqAx4GTopeDFOIY3/view?usp=drive_link) - 652 subscribers, 36.2% open rate, 21.92% click rate.
1. 2023-11-23 - Issue 18 (not sent due to platform migration).
1. 2023-12-14 - Issue 19 (not sent due to platform migration).
1. 2024-01-25 - [Issue 20](https://drive.google.com/file/d/1Or-6G1kgk6FfuJJGvYdFey-xDnjWih9I/view?usp=drive_link) - 670 subscribers, 262 opens, 28 clicks.
1. 2024-03-29 - [Issue 21](https://drive.google.com/file/d/19Z82c38FH9r0-Qx2XfHWsGPLaQLNpep4/view?usp=drive_link) - 845 subscribers, 346 opens, 35 clicks.
1. 2024-05-31 - [Issue 22](https://drive.google.com/file/d/1yFhAc_0OV0sEEDDnyJWnTK7G0JWWZO8M/view?usp=drive_link) - 848 subscribers, 308 opens, 27 clicks.
