---
title: "Learn Developer Advocacy"
---

## What is advocacy?

Advocacy creates a human connection with buyers and consumers to technology way beyond typical content marketing, with a face and a name relaying the story, expressing an opinion, and ultimately influencing a decision.

Many people believe Guy Kawasaki, the former chief evangelist of Apple Computer, to be the father of advocacy.

Sources:

* [https://www.forbes.com/sites/theopriestley/2015/08/28/why-every-tech-company-needs-a-chief-evangelist/](https://www.forbes.com/sites/theopriestley/2015/08/28/why-every-tech-company-needs-a-chief-evangelist/)
* [https://en.wikipedia.org/wiki/Evangelism_marketing](https://en.wikipedia.org/wiki/Evangelism_marketing)

### Who can be an advocate?

**Everybody in the wider GitLab Community can be an advocate.** Whether you work in marketing ops or infrastructure engineering, you have a point of view on the work you do and the ecosystem of open source enterprise technology.

### Stages of advocacy

1. Beginner - when you start following the right accounts on Twitter, peruse HN regularly, and respond to people
2. Enthusiast - when you start creating content in the form of blog posts, videos, tweets, talks. Occasionally you create issues whenever you want to post something on the company blog or Medium publication.
3. Pro - when you are invited to give talks that have over 200 attendees, when your content sometimes goes viral, often snagging over 500 views. You regularly contribute to the GitLab blog and other community blogs, podcasts, other content channels.

### Benefits of being an advocate

* Beginners: Joining the conversation about our ecosystem is a great way to develop a more nuanced perspective of your job. That leads to new and better ideas. Being aware of the various points of view in the industry also helps jumpstart the strategic brain juices which will help you contribute more deeply in work discussions.

* Enthusiast: As an enthusiast you showcase your expertize in the public arena. This means you and your company benefit from the material and you start building name recognition that leads to new opportunities. This is also a good spot to be in if you want to pivot your career towards a new expertize.

* Pro: At this stage start being recognized as an expert. Folks want to hear from you and you get name recognition in the community. This can lead to job offers, promotions, etc.

## <i class="fa fa-newspaper-o" aria-hidden="true"></i> Learn more about Developer Advocacy as a practice

A good overview with specific area definitions can be found in the [DevRel Notebook](https://github.com/konradsopala/devrel-notebook). [DevRel Resources](https://devrelresourc.es/) is a comprehensive collection of resources on DevRel.

We engage with Developer advocacy, relations and evangelism friends on social media:

* [Twitter list: Dev Avocados](https://twitter.com/i/lists/1012393598262874112/members) by Quintessence Anx (DevRel Collective founder)
* [Twitter list: DevRel](https://twitter.com/i/lists/1288789359865606145/members) by Michael
* [DevRel Contacts](https://docs.google.com/document/d/1ZX4BIwJTL0nVdkpRvLYDdk67jQfkRD_ErJWWHn-4KP8/edit) (Internal)

Our KPIs and processes follow industry best practices. We regularly iterate on new ideas and different strategies. The following articles can be helpful to explore new ways of Developer Advocacy:

* [Measuring Success and KPIs in Developer Relations - Community Contributed Outline](https://dev.to/tessamero/measuring-success-and-kpis-in-developer-relations-community-contributed-outline-1383)
* [Measuring the Impact of Your Developer Relations Team](https://openviewpartners.com/blog/measuring-the-impact-of-your-developer-relations-team/)
* [Developer evangelism and GitHub metrics - Or why stars are not the answer](https://devrel.net/strategy-and-metrics/developer-evangelism-github-metrics)
* [Developer Evangelism with Tessa Mero of Cisco](https://web.archive.org/web/20220629131422/https://openchannel.io/blog/developer-evangelism-tessa-mero-cisco/)
* [What Do You Do as a Developer Advocate (🥑) at Elastic?](https://xeraa.net/blog/2020_what-do-you-do-as-a-developer-advocate-at-elastic/)
* [How to teach code](https://welearncode.com/teaching-code/) by Ali Spittel

## <i class="fa fa-external-link" aria-hidden="true"></i> Useful links

1. [GitLab Speakers Bureau](/handbook/marketing/developer-relations/developer-advocacy/speakers-bureau/)
1. [Developer Advocates on Social Media](/handbook/marketing/developer-relations/developer-advocacy/social-media/)
1. [How to submit a successful conference proposal](/handbook/marketing/developer-relations/developer-advocacy/writing-cfps/)
1. [Consortia we work with](/handbook/marketing/developer-relations/community-programs/opensource-program)
1. [Speaking resources](/handbook/marketing/corporate-communications/speaking-resources/)
