---
title: "OSS Contributions"
---

## Contributions to OSS

The Developer Advocacy team believes in Open Source and wants to lead by example, contributing to GitLab and the OSS ecosystem. Our workshops, community activities and projects are documented in the [projects overview](/handbook/marketing/developer-relations/developer-advocacy/projects/).

### Projects maintained by Developer Advocates

We organize our projects in the [Developer Advocacy group](https://gitlab.com/gitlab-da). A few examples are:

* [Docker Hub Limit Monitoring](https://about.gitlab.com/blog/2020/11/18/docker-hub-rate-limit-monitoring/)
  * [Exporter for Prometheus](https://gitlab.com/gitlab-da/docker-hub-limit-exporter)
  * [Monitoring Plugin](https://gitlab.com/gitlab-da/check-docker-hub-limit)
* [CI/CD API Lint Git Hook](https://gitlab.com/gitlab-da/ci-cd-api-lint-hook)
* [Go Excusegen](https://gitlab.com/gitlab-da/go-excusegen)

### Contribution Examples

#### GitLab

* [GitLab CI/CD Pipeline Efficiency documentation](https://docs.gitlab.com/ee/ci/pipelines/pipeline_efficiency.html) sourcing from the [CI Monitoring webcast](https://learn.gitlab.com/c/deep-monitoring-ci?x=fDT7Bl)
* [CI/CD Templates: Support the default branch, shift to main](https://gitlab.com/gitlab-org/gitlab/-/issues/324131)

#### Prometheus

* [GitLab CI Pipeline Exporter](https://github.com/mvisonneau/gitlab-ci-pipelines-exporter)
  * Help with [API requests](https://gitlab.com/gitlab-org/gitlab/-/issues/327919#note_555854856)
  * [Michael's contributions](https://github.com/mvisonneau/gitlab-ci-pipelines-exporter/pulls?q=is%3Apr+author%3Adnsmichi)

#### HashiCorp Waypoint

* Documentation
  * [GitLab CI/CD integration PR](https://github.com/hashicorp/waypoint/pull/492)
* Blog posts
  * [How to use HashiCorp Waypoint to deploy with GitLab CI/CD](https://about.gitlab.com/blog/2020/10/15/use-waypoint-to-deploy-with-gitlab-cicd/)
* GitLab Integration
  * [Waypoint Images](https://gitlab.com/gitlab-org/waypoint-images)
  * [CI/CD templates](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/45314)
* Demo
  * [Waypoint AWS ECS example](https://gitlab.com/brendan-demo/waypoint)
* Community
  * [5. everyonecancontribute cafe](https://everyonecancontribute.com/post/2020-10-21-cafe-5-hashicorp-waypoint/)

## Definition of Contributions

Contributions are "more than just code" and are often times hard to measure. Our team tries to start with a small subset and update this section over time.

* Source Code
* Documentation
* Tutorials and blog posts
* Workshops and trainings
* Issue discussion, resolving bugs and suggesting feature design/architecture
* Package and release distribution
* Help on community forums and social media

### Resource and Time Dedication

Developer Advocates are encouraged to find time every week for Open Source contributions.

### Measurement

We aim to measure this in the form of submitted issues, MR/PRs and commit URLs where applicable.

### Contribution Areas

It can be hard to decide, or make a one-time contribution a permanent engagement in a project, leading the way to maybe help maintain it in the future. As a first iteration, we define the requirements for qualifying projects:

* Use them on a daily basis (e.g. CLI tools)
* Help you and your environment (e.g. a calendar app)
* Benefits the ecosystem and makes processes easier

We focus on languages and frameworks where we have the most experience: Golang, C/C++, JS, Ruby, .NET, etc.
