---
title: "Writing Successful Conference Proposals"
---

Writing good conference proposals is both an art and a science. The science is the details of the technical content. The art is presenting it in a way that appeals to the audience - the conference committee.

If you are planning to speak at a conference of 500 people or more, feel free to create an issue and request help from the Developer Advocate team.

Here are some steps to go through when writing a CFP:

1. **Research the conference**: Read through the conference website in detail, especially the talk proposal pages. As you go through, notice the key topics and reoccurring themes throughout the material.
2. **Familiarize yourself with the suggested topics**: If a conference suggests themes or topics, your best bet will be to align your talk proposal with that.
3. **Learn about the conference committee**: The people are just as essential as the online materials. Look up the committee and see if you can find out their own passion-topics. You should also research folks who may be past speakers or are otherwise involved with the conference to help understand what topics or speakers they are really looking for.
4. **Write out a placeholder title, thesis, and outline**: Starting with a placeholder title will help overcome the blank page syndrome. From there, brainstorm on your thesis. What are you trying to teach? If you had one line to explain the SCQA (Situation, Complication, Question, Answer) of the story, what would it be. Then fill out an SCQA outline.
5. **Ask for help**: Have a friend or colleague review your proposal for gotchas. Rework, rinse, repeat and submit!

### Helpful links

1. [Lachie's 7 step guide to writing a winning tech conference CFP](https://medium.com/@LachlanEvenson/lachies-7-step-guide-to-writing-a-winning-tech-conference-cfp-4fa36a0d2672)
2. [Make me an offer I can't refuse – Writing an abstracts for a CFP](https://blog.ndcconferences.com/make-me-an-offer-i-cant-refuse-writing-an-abstracts-for-a-cfp/)
