---
title: "Developer Relations: Program Resources"
---

## Contact e-mails

The team uses a set of contact e-mails, generally one per program, with additional specialized e-mails. They are used to enable contributors to directly contact the team outside of GitLab.com and for notifications related to each one of our programs.

Program e-mails:

1. [opensource@gitlab.com](https://groups.google.com/a/gitlab.com/forum/#!forum/opensource): GitLab for Open Source Program, CrowdIn notifications
1. [education@gitlab.com](https://groups.google.com/a/gitlab.com/forum/#!forum/education): GitLab for Education Program
1. [evangelists@gitlab.com](https://groups.google.com/a/gitlab.com/forum/#!forum/evangelists): Evangelist Program. **Not currently connected to Zendesk**
1. [contributors@gitlab.com](https://groups.google.com/a/gitlab.com/forum/#!forum/contributors): Code Contributor Program. **Not currently connected to Zendesk**
1. [startups@gitlab.com](https://groups.google.com/a/gitlab.com/forum/#!forum/startups): GitLab for Startups Program.
1. [community@gitlab.com](https://groups.google.com/a/gitlab.com/forum/#!forum/community): generic contact address for the Developer Relations team. Mostly used for Community Advocacy topics. Each Developer Relations team member is a member of this list.

Specialized e-mails:

1. [conduct@gitlab.com](https://groups.google.com/a/gitlab.com/forum/#!forum/conduct): contact for questions or reports related to the [GitLab Community Code of Conduct](https://about.gitlab.com/community/contribute/code-of-conduct/)
1. [merch@gitlab.com](https://groups.google.com/a/gitlab.com/forum/#!forum/merch): merchandise notifications

Contact e-mails are implemented as Google groups, part of our [Google Workspace](/handbook/business-technology/tech-stack/#google-workspace) (formerly G Suite). Their visibility is set to private: users (senders) outside of the Developer Relations team can send e-mails to contact the team, but they cannot see the Google group's content or subscribe to the group.

Each e-mail's inbox is also connected to Zendesk for visibility and to enable collaboration. Most of the traffic is generated by notifications that the Community Advocates process as part of program applications. The Program Managers can choose to process direct contact e-mails via Zendesk or via personal inbox delivery.

### Contact e-mail management

- Director of Developer Relations is generally the [Owner](https://support.google.com/a/answer/167094?hl=en) of the team's contact e-mails. Developer Relations team members are added as [Managers](https://support.google.com/a/answer/167094?hl=en)), but can be made Owners upon request.
- Contact Director of Developer Relations or the relevant Program Manager if you need to become a member to subscribe to a contact e-mail.
- You can access all memberships through the [Google groups overview](https://groups.google.com/a/gitlab.com/forum/#!myforums) via your GitLab Google Workspace login

### Contact e-mail recommendations

1. Under the [Google groups overview](https://groups.google.com/a/gitlab.com/forum/#!myforums) you can choose the type of e-mail updates you want to receive in your inbox.
1. For high-volume contact e-mails (e.g. GitLab for Education applications), consider using `Don't send e-mail updates` and manage requests via Zendesk by coordinating with the Community Advocates.
1. For low-volume contact e-mails, you can choose `Every new message` to have all e-mail being delivered to your inbox for increased visibility.
1. Consider using GMail filters for each one of the Google groups where e-mail is delivered to your inbox.
1. If you are the manager of one of the contact e-mails, please [check regularly for spam using web interface](https://support.google.com/groups/answer/2466386?hl=en). Periodic spam e-mail notifications can be enabled to be sent to managers.

### Developer Relations program outreach emails

- A Developer Relations Program Manager is the DRI for email outreach campaigns to program members.
- All emails sent to program members must follow the below process.

1. File an [Marketing Operations issue](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=dma_list) to create a list of all known program members in existing databases. Given constraints in database segmentation, this list must be generated from leads that have been converted and contacts directly associated with institutions, communities or companies that have already signed-up for one of our existing programs including the [GitLab for Education Program](https://about.gitlab.com/solutions/education/), [GitLab for Open Source Program](https://about.gitlab.com/solutions/open-source/) or [GitLab for Startups program](https://about.gitlab.com/solutions/startups/).
1. File a [one-time email request](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=email-request) issue to send the initial program email to the above list. The initial program email must be sent by a campaign manager to ensure that the email is properly staged and follows existing protocols.
1. Once the list is generated and initial program email is sent, the Developer Relations DRI for outreach emails will receive access to Marketo and permission to send email campaigns to the above specified list. The Developer Relations DRI will use the initial email as a template to stage and send all future outreach emails.

The following protocols must be follow:

1. Developer Relations program outreach emails will only be sent by the DRI using the initial program email as a template.
1. Developer Relations program outreach emails will only be sent at a maximum frequency of once a month.
1. Developer Relations program outreach emails will only contain content relevant **directly** the Developer Relations Program. Content can include: call to action to engage, announcements regarding program requirements or terms, or newsletter type content.

### Program Design Assets

- Design assets for the Developer Relations team and individual programs can be found in the [Corporate Marketing Project](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/tree/master/design). Design assets for each program can be found using the 'find file' feature and searching for the name of the program.
