---
title: "Adding CTAs to Learn@GitLab YouTube Videos"
---

## Why?

The YoutTube GitLab channel has the Learn@GitLab playlist on it. This playlist is comprised of the videos the Developer Advocate team creates about the customer use cases which are the basis of our Use Case GTM. To increase the value we get from these videos it is valuable to cross reference to other videos, the playlist, and to subscribe, by adding appropriate CTA's at the end of our videos.

## How to add CTAs (do all of these for each video)

### 1. Getting to the editor mode for a video

1. Login to the GitLab YouTube account (you should already have permission to do that from your GitLab login). If you don't and believe that you should then open an access request.
1. Go to the video you want to set the CTA's for <br><br>
    ![cta-video](/images/handbook/marketing/developer-relations/technical-marketing/cta/video.png)
1. Click on the `Edit video` button below the video <br><br>
    ![cta-edit](/images/handbook/marketing/developer-relations/technical-marketing/cta/edit.png)
1. Click on the `Editor` button on the left panel <br><br>
    ![cta-editor](/images/handbook/marketing/developer-relations/technical-marketing/cta/editor.png)

### 2. Find your insertion point

1. Zoom the view using the zoom control on the right <br><br>
    ![cta-zoom](/images/handbook/marketing/developer-relations/technical-marketing/cta/zoom.png)
1. On the video timeline move so you are at the location you want to start your CTAs showing up <br><br>
    ![cta-timeline](/images/handbook/marketing/developer-relations/technical-marketing/cta/timeline.png)

### 3. Add a video CTA

1. On the left side of the timeline click on the `Add element` "+" icon <br><br>
    ![cta-add-element](/images/handbook/marketing/developer-relations/technical-marketing/cta/add-element.png)
1. On the menu that pops up select `Video` to add a new video<br><br>
    ![cta-add-video](/images/handbook/marketing/developer-relations/technical-marketing/cta/add-video.png)
1. This will add a video bar to the timeline and a video stand-in in the viewer<br><br>
    ![cta-video-added](/images/handbook/marketing/developer-relations/technical-marketing/cta/video-added.png)
1. Reposition the video so that it's covering as little as possible (preferably on the lower left corner). Keep in mind that you will also be adding another box for the playlist (of the same size), and a smaller circle for the subscribe. <br><br>
    ![cta-video-reposition](/images/handbook/marketing/developer-relations/technical-marketing/cta/video-reposition.png)
1. Go to the playlist and figure out which video is next in the chain. You will make this CTA go to the next link in the chain. If this video is the last one in your chain then link it back to the first video **in your chain**. Be sure to also edit the CTA of the video before this one to link to this video. <br><br>
    ![cta-video-playlist](/images/handbook/marketing/developer-relations/technical-marketing/cta/video-playlist.png)
1. To the left of the video select the radio button `Choose specific video`<br><br>
    ![cta-video-choose](/images/handbook/marketing/developer-relations/technical-marketing/cta/video-choose.png)
1. Search for the video that you determined should be the next in the chain (that this CTA will link to), and then select it <br><br>
    ![cta-video-select](/images/handbook/marketing/developer-relations/technical-marketing/cta/video-select.png)
1. Resize the CTA bar for the video so that it starts at your timeline mark. You might not be able to shrink it enough due to minimum length requirements. Make it as close as possible to your desired video frame. <br><br>
    ![cta-video-resize](/images/handbook/marketing/developer-relations/technical-marketing/cta/video-resize.png)

### 4. Add a playlist CTA

1. From the same place as adding the video CTA, go to the same `add element` "+" icon as before, but this time from the pop-up menu select `Playlist` <br><br>
    ![cta-add-playlist](/images/handbook/marketing/developer-relations/technical-marketing/cta/add-playlist.png)
1. Find the `Learn@GitLab` playlist that this CTA will link to and then select it <br><br>
    ![cta-playlist-select](/images/handbook/marketing/developer-relations/technical-marketing/cta/playlist-select.png)
1. Reposition the playlist box so that it's covering as little as possible (preferably on the lower right corner). <br><br>
    ![cta-playlist-reposition](/images/handbook/marketing/developer-relations/technical-marketing/cta/playlist-reposition.png)
1. Resize the CTA bar for the playlist so that it starts at your timeline mark. You might not be able to shrink it enough due to minimum length requirements. Make it as close as possible to your desired video frame. <br><br>
    ![cta-playlist-resize](/images/handbook/marketing/developer-relations/technical-marketing/cta/playlist-resize.png)

### 5. Add a subscribe CTA

1. From the same place as adding the video and the playlist CTA's, go to the same `add element` "+" icon as before, but this time from the pop-up menu select `Subscribe` <br><br>
    ![cta-add-subscribe](/images/handbook/marketing/developer-relations/technical-marketing/cta/add-subscribe.png)
1. Reposition the subsribe button (circe) so that it's covering as little as possible (preferably in between the video box and the playlist box). <br><br>
    ![cta-subscribe-reposition](/images/handbook/marketing/developer-relations/technical-marketing/cta/subscribe-reposition.png)
1. Resize the CTA bar for the subscribe button so that it starts at your timeline mark. You might not be able to shrink it enough due to minimum length requirements. Make it as close as possible to your desired video frame. <br><br>
    ![cta-subscribe-resize](/images/handbook/marketing/developer-relations/technical-marketing/cta/subscribe-resize.png)

### Finish up

1. Click on the `Save` button in the upper right corner of the Video Editor <br><br>
    ![cta-save](/images/handbook/marketing/developer-relations/technical-marketing/cta/save.png)
1. Once it's saved, go back to your video (outside of editor mode) and make sure everything works as expected.
