---
title: "Making Better Videos"
---

## Making Better Videos

This page displays information and useful links on creating great technical videos.

### Equipment

* [Yeti Microphone](https://www.logitechg.com/en-us/products/microphones.html])

### Tools

* [iMovie](https://www.apple.com/imovie/)
* [Final Cut Pro](https://www.apple.com/final-cut-pro/)

### Planning

Before starting to record a video, a few things must be planned out:

* a storyboard should be used to get early feedback on the planned demo. This [storyboard template](https://docs.google.com/document/d/1Cg-8kL71lhoGqiNguh7dDwk4LeofXPKjOsQD0gAWtpo/edit#) should be used to facilitate this.
* Think of how a developer would typically perform the task
  * Commandline vs. GUI
* Think of what is necessary for the video
* a demo environment where the value of the technical compenent can be properly displayed.

### Video Length

* [Why Short-Form Video Needs to Be Part of Your Content Strategy](https://www.entrepreneur.com/article/308684)
* [How Many of These Video Marketing Mistakes Are You Making?](https://www.entrepreneur.com/article/293275)
* [If your video doesn't capture audiences in 10 seconds, you're losing engagement](https://sociable.co/social-media/video-audiences-engagement/)
* [focused on explainer videos](https://www.yumyumvideos.com/short-vs-long-videos-explainer-video-length-wp/), but still generally good info such as:
   > In order to get the most out of your marketing video, always try to follow these guidelines:
   > * Include your audience's pain points at the very beginning of your video so as to quickly grab their attention. Make it in an interesting, clear and direct way.
   > * Work on a custom video. This will make a huge difference in terms of engagement and memorability. If you customize the characters, landscapes, and backgrounds of your video, you will set up a strong emotional connection with your viewers (they will feel that the story was specially made for them).
   > * Make a high-quality video. Treat your video with dedication, focus, and detail in every single stage of the video production process.
   > * Give your marketing video the right length. Just for you to know, 160 scripted words in English represents around one minute of video. You will then need 240 words for a 90- second video.
* [How Long Should Videos Be? The Ultimate Guide to Video Length](https://www.vidyard.com/blog/video-length/)

### Production

In order to retain the audience, there are a few things that should be done during the production stage.
[Audience Retention](https://backlinko.com/hub/youtube/retention) can be achieved with the following:

* Smooth Transitions
* Quality of Audio
* Pattern Interrupts
* Adding Graphics and Images
* Cropping out parts of the screen which do not show value and may distract audience

### Post Production

Once the video is complete, how it is published is can affect how users react to it. Here are a few items to consider:

* [Video Titles](https://backlinko.com/hub/youtube/title)
* [Video Thumbnails](https://louisem.com/198803/how-to-youtube-thumbnails)
* [Video Tags](https://ahrefs.com/blog/youtube-tags/)
* [Captions](https://www.boia.org/blog/youtube-closed-captioning-for-accessibility-why-and-how): While YouTube generates automated captions on GitLab videos, AI-generated captions contain errors, especially for technical terms. You should [review and clean up](https://support.google.com/youtube/answer/2734705) captions on your video content.

### Analytics/Growth

* [12 YouTube Analytics Every YouTuber Should Know](https://www.business2community.com/youtube/12-youtube-analytics-every-youtuber-should-know-02206636)
* [How to Grow Your YouTube Channel in 2020](https://backlinko.com/grow-youtube-channel)
