---
title: "Reddit response workflow"
---

## Overview

The [r/gitlab](https://www.reddit.com/r/gitlab/) subreddit is a place for questions, discussion, and support on all things GitLab.  To request user flair for the GitLab subreddit, ping `@devrel-team` in the `#developer-relations` Slack channel, and include your Reddit username. Your flair will read `GitLab Staff`.

## Subreddit Flairs

There are 3 post flairs in the GitLab subreddit - general question, support, and project.

General Questions:

* This can include questions about GitLab as a product, comparing GitLab to competitors, hiring, developer education, and questions about remote work at GitLab.
* Use the [involving experts workflow](/handbook/marketing/developer-relations/developer-advocacy/community-response/) to engage experts in answering relevant questions.
* Share [DevOps tools] pages in conversations comparing GitLab to other tools.
* NOTE: Engagement in these conversations should be focused on providing facts, not opinions. Consider sharing DevOps tools in threads where users are looking for a tool to provide a solution to their problem.

Support:

* Point the user to relevant docs, issues, or the forum for additional support.
* If needed, ask an expert for help.

Project:

* Use the involving experts workflow if feedback is directed to a specific team or functionally of GitLab.
* Upvote general positive feedback.
* Do not downvote critical feedback, unless it spreads misinformation. For example, don't just downvote because someone doesn't like the product or mentions a competitor.

Misinformation:

* Downvote comments that spread misinformation.
* Reply with evidence in the form of docs, issues, etc. with explanation of truth.

## Best practices

* Always be kind and understanding, no matter how the other person acts.
* If you are new to Reddit, it may be useful to review this [beginner's guide].
* Use your **individual** reddit account, not a shared company one. Feel free to use your personal (non-work) account if you prefer. You can request the `GitLab Staff` user flair by pinging `@devrel-team` in the `#developer-relations` Slack channel and include your Reddit username. . User flair brings more visibility to GitLab team members and it's a transparent and effective way to let the wider community that you are part of the organization. It also makes comments seem more authentic and shows engagement in Reddit.
* If you use Reddit a lot, it may be useful to create a separate, more professional (but still individual) work account to interact with the GitLab community as part of your role.
* [Brush up on your "reddiquette"](https://support.reddithelp.com/hc/en-us/articles/205926439-Reddiquette)
* [Make sure your comments are well formatted](https://www.reddit.com/r/reddit.com/wiki/markdown/)

## Common Subreddits Mentioning GitLab

* [r/gitlab](https://www.reddit.com/r/gitlab/)
* [r/learnprogramming](https://www.reddit.com/r/learnprogramming/)
* [r/devops](https://www.reddit.com/r/devops/)
* [r/git](https://www.reddit.com/r/git/)
* [r/Ubuntu](https://www.reddit.com/r/Ubuntu/)
* [r/Terraform](https://www.reddit.com/r/Terraform/)
* [r/coding](https://www.reddit.com/r/coding/)
* [r/homelab](https://www.reddit.com/r/homelab/)
* [r/gnome](https://www.reddit.com/r/gnome/)
* [r/sysadmin](https://www.reddit.com/r/sysadmin/)
* [r/Python](https://www.reddit.com/r/Python/)
* [r/selfhosted](https://www.reddit.com/r/selfhosted/)

## Moderation

As a moderator on the GitLab subreddit, you have the ability to review spam, flagged posts or comments, and close issues. You can take actions in the [moderation queue](https://www.reddit.com/r/mod/about/unmoderated/).
