---
title: "Stack Overflow: Tagged Questions and GitLab Collective Overview"
---

## Overview

Stack Overflow is a place for questions, discussions, and support on all things GitLab.

## General questions and tags

- [Questions tagged gitlab](https://stackoverflow.com/questions/tagged/gitlab)

## Stack Overflow GitLab Collective

***Note:** The sponsorship for Stack Overflow's GitLab Collective concluded on September 30, 2022 and the GitLab Collective was decomissioned. All of knowledge and submissions shared by our community will be retained. Articles and answers to questions about GitLab will be decoupled from the Collective and continue to exist in the public Stack Overflow knowledge base. For more details on decommissioning, visit [this Stack Overflow article](https://stackoverflow.com/help/collectives-decommissioned).*

The [GitLab Collective on Stack Overflow](https://stackoverflow.com/collectives/gitlab) groups content related to GitLab in one place. The GitLab Collective creates a space to engage with our community on Stack Overflow though questions, answers, knowledge articles, and bulletins.

To request the `GitLab Employee` role, ping `@devrel-team` in the `#developer-relations` Slack channel, and include your Stack Overflow username.

### About the Collective

There are 4 features in Stack Overflow Collectives:

Questions:

- The primary and traditional content format on Stack Overflow is the question & answer format.
- [Review guidelines for asking good questions](https://stackoverflow.com/help/how-to-ask).
- Collective admins and Recognized Members can mark answers as recommended.

Articles:

- Articles are intended for content in addition to the traditional Q&A format on Stack Overflow.
- They can be knowledge articles (broad or open ended explorations of a topic) or how-to guides (providing steps to accomplish a goal).
- Stack Overflow provides [Article guidelines](https://stackoverflow.com/help/article-guidelines) as well as a [guide to submitting an article](https://stackoverflow.com/help/propose-article) for users.
- We recommend submmiting an outline for feedback before preparing the entire article.

Bulletins:

- Bulletins are updates about upcoming releases, events, or trainings posted by Collective admins.
- We use bulletins to share release notes, future meetups, and webinars.
- They are usually time sensitive and have an archive date.

Recognized Members

- Admins can promote users in the Collective to Recognized Members.
- Recognized Members can post articles, recommend answers, and have a "Recognized by GitLab" badge on their user card when interacting in the Collective.

### Recognized Member Criteria

At GitLab, we believe that everyone can contribute and hope to provide a great experience for existing and new community members. Collective admins can promote users who are subject matter experts and/or helpful members of the Collective to Recognized Members.

A user must meet the following criteria to be promoted to a Recognized Member:

- be a member of the Collective for at least 30 days.
- have a minimum of 10 posts with at least 3 votes.
- have answered at least 5 questions.
- is not currently suspended.
- does not have a history of suspensions or problematic flags (i.e., spam, abusive, offensive, unwelcoming behavior).

*Note: any Recognized Members who are suspended by Stack Overflow or violate GitLab's [Community Code of Conduct](https://about.gitlab.com/community/contribute/code-of-conduct/) will lose their Recognized Member status.*

A user is recommended to meet the following requirements, but not required:

- offers detailed, helpful, and context-rich answers to others' questions.
- has submitted at least one Article to the Collective.
- has an account on the [GitLab Forum](https://forum.gitlab.com/) and has at least 5 posts.

#### Nominations

To nominate someone to be a Recognized Member, please open an issue in the [community operations tracker](https://gitlab.com/gitlab-com/marketing/community-relations/community-operations/community-operations/-/issues/new), share the user profile URL confirm that they meet the above requirements. Assign the issue the GitLab Collective admin using this quick action: /assign @sugaroverflow, who will review and reach out to nominees.
