---
title: "Developer Relations workflow: Team Budgets"
---

## <i class="fas fa-receipt" id="biz-tech-icons"></i> Team Budgets

**We use [Allocadia](https://allocadia.com/) to manage team budgets.** Due to a limited number of seats being allocated to the Marketing team, only a limited number has access to the tool from the Developer Relations team (sign-in from Okta is required). They are responsible for coordinating with the Developer Relations team to make sure that forecasts are properly added to Allocadia.

**Quarterly Budget Planning Issues.** As each quarter begins, the Developer Relations team creates a [new issue](https://gitlab.com/gitlab-com/marketing/community-relations/community-operations/community-operations/-/issues/new) using the [`quarterly_budget_plan` issue template](https://gitlab.com/gitlab-com/marketing/community-relations/community-operations/community-operations/-/blob/main/.gitlab/issue_templates/quarterly_budget_plan.md) in the Community Ops project.

**Annual Budget Planning Issues.** In preparation for the year ahead, the Developer Relations team creates a new epic that then links to the quarterly planning issues.

**Current epic:** [FY22 Developer Relations Budget Planning](https://gitlab.com/groups/gitlab-com/marketing/community-relations/community-operations/-/epics/4).

### Allocadia Workaround

As a workaround for easier collaboration, those with Allocadia access do regular exports of the budget into a Google Spreadsheet by downloading the Developer Relations budget by clicking on: `Export current view`. These exports generally happen monthly as we reconcile actual spend. If a team member needs a more recent snapshpt, please mention `@johncoghlan` on the #developer-relations Slack channel to request an export.

GitLab team members can find the exported Developer Relations budget by searching for the `FY22 Developer Relations Budget export` document in Google Drive.

### How we create our annual budget

Like other teams at GitLab, the Developer Relations team proposes an annual budget to cover the costs necessary for each of its subprograms. This total annual budget is then proposed to Marketing leadership, and to the e-group, for approval.

Once approved, the Developer Relations team then forecasts how much of the total annual budget will be spent each quarter, and if possible, which month each spend will occur. The total annual budget cannot be adjusted except for in special circumstances with approval of the e-group.

### Reallocation and adjustments

Adjustments between the quarterly forecasts (moving budget from one quarter to another), can occur up until the specific quarter's forecasts are locked in. This occurs on the last day of the previous quarter (eg. the FY22 Q2 forecast is due on April 30th).

Once a quarter's forecast has been locked, no further adjustment to that quarter's spending is allowed. For example, if the forecasted amount for that quarter is not used up, then that amount is "lost" and cannot be reallocated to another quarter.

Line-item adjustments can occur once the quarterly forecast is locked. To do so, a request needs to be submitted and approved by `@johncoghlan` for the Developer Relations team.

### Managing Expenses and Actual Spend

Each month, the Developer Relations team program managers meet with our parters in Finance to review actual monthly expenses during the monthly `Developer Relations Accruals` meeting. This process allows us to accurately report our team expenditures vs budget forecasts.

Costs over $5000 are allocated out month by month for a specified amount of time by the appropriate Community Program Manager.

Costs under $5000 do not need to be allocated over time, and will be removed from the budget all at once.

#### Procurement for Community Team

We use Coupa for most procurement requests. For more information, please reference the [Procurement Process handbook](/handbook/finance/procurement/#how-to-start-procurement-process).

All invoices require a PO number, so vendors must be given the appropriate PO number to include in their invoice. The PO numbers are assigned by the Procurement team. Invoices received without the correct PO number will be rejected and must be resubmitted with the relevant PO number included. For questions, please ask the Procurement Team on Slack: `#procurement`.

Here are the PO numbers that belong to our team so far:

* EDU/OSS: `PO #40`

**When filing a procurement issue, you may also be asked for an Allocadia ID number.** To get this ID, ask someone with Allocadia access to fill out the details in the line item. Once this is done, an ID will be populate in the top left hand corner of the details panel, where it says `Line Item ID`.

#### Tracking swag giveaway expenses

To help our finance team keep track of community swag giveaways, giveaways in Printfection that support Developer Relations programs and events should add `Community:` as a prefix to the campaign title. Ex: `Community: GitLab Heroes + Superheroes Swag`.

We use the campaign tag `swag_community` to track our spend in the budget.

There is a recurring maintenance cost of the community program's campaigns on Printfection. Printfection does shipping and handling through prepaid amounts of fixed increments, so the charge won't happen often but will come as part of the costs for the campaigns we run.

### Community Event Sponsorship

Please see the [Suggesting an Event](/handbook/marketing/events/#suggesting-an-event) section of the Events handbook page for more information on we handle sponsorship requests.
