---
title: GitLab Event Information
---

## Events at GitLab

**This page outlines details for in-person events. For virtual event information, please visit the [Virtual Events Page](/handbook/marketing/virtual-events/).**

There are 3 groups within marketing who handle external events. Each group has a specific purpose. Please review each page for specific details.

- [Developer Relations](/handbook/marketing/developer-relations/events/)
- [Corporate Events](/handbook/marketing/integrated-marketing/corporate-events/)
- [Field Marketing](/handbook/marketing/field-marketing/)

### Legal verbiage that should be included in all event contracts

- This language is what we should be adding to supplier agreements (when agreeing on their template):
  - "Termination for Convenience. GitLab may terminate this Agreement, any SOW or Order, or all at any time, for no reason or for any reason, upon notice to Vendor. Upon receipt of notice of such termination, Vendor shall inform GitLab of the extent to which it has completed performance as of the date of the notice, and Vendor will collect and deliver to GitLab whatever Work Product then exists, if applicable. GitLab will pay Vendor for all Work acceptably performed through the date of notice of termination, provided that GitLab will not be obligated to pay any more than the payment that would have become due had Vendor completed and GitLab had accepted the Work. GitLab will have no further payment obligation in connection with any termination. Upon termination or expiration of this Agreement, Vendor shall return or destroy any GitLab Confidential Information and provide certification thereof."
- In the event that any supplier does not accept the termination for convenience language here, then, we can following up with this option
  - "Neither party shall be liable to the other for delays or failures in performance resulting from causes beyond the reasonable control of that party, including, but not limited to, acts of God, labor disputes or disturbances, material shortages or rationing, pandemics, riots, acts of war, governmental regulations, communication or utility failures, or casualties ("Force Majeure").
- In the event of a Force Majeure impact on the performance of either party, then the parties are immediately relieved of obligation to perform. From notice to supplier, GitLab is relieved of the payment obligation. As soon as is practical, but not more than sixty (60) days from GitLab's notice to supplier, GitLab shall receive from supplier a pro-rata refund of, any fees previously paid, from the date of notice to supplier to the end of the term."
- Required details for leads shared include: first name, last name, company, title, email

## Which events is GitLab already sponsoring?

- Internal tracking of in person events, please add our [Events and Sponsorship Calendar](https://calendar.google.com/calendar?cid=Z2l0bGFiLmNvbV9laWN2b3VkcHBjdTQ3bG5xdTFwOTlvNjU2Z0Bncm91cC5jYWxlbmRhci5nb29nbGUuY29t) to your calendar.
- Internal tracking of virtual events [can be found here](/handbook/marketing/#calendar).
- External facing event tracker can be found at [https://about.gitlab.com/events/](https://about.gitlab.com/events/)

## Interested in attending an event we are already sponsoring?

- If your primary interest in the event is attending sessions and networking with folks at the conference, you should likely attend said event as a training opportunity rather than as part of our official event sponsorship. Next steps for you would be to get your manager's approval to book. Send them your requested budget for travel and the event ticket to get approval. We suggest a budget of $300-$500 a day depending on the location. Once you have your manager's approval, you can book a pass and expense.
- If you want to attend to practice your pitch, meet customers/prospects or work the booth then it sounds like you would benefit from attending as part of our sponsorship. People who attend an event as part of a sponsorship should expect to spend at least 80% of their time at a show dedicated to specific sponsorship activities. You will be on booth duty or something simmilar most of the day and doing GitLab networking events in the evening. Do not expect to go off on your own to explore a new city or meet up with friends in the area. You can come early or stay late or see option above if that is what you are hoping for.

## Suggesting an Event

To determine who would handle the event, please refer to our [events decision tree](https://docs.google.com/spreadsheets/d/1aWsmsksPfOlX1t6TeqPkh5EQXergt7qjHAjGTxU27as/edit#gid=0). If it is not clear who should own an event based on the decision tree, please email `events@gitlab.com`.

*Note: If a GitLab team member receives an inbound request for sponsorship, please direct the requestor to this section of the handbook so that person can determine the best course of action.*

Please *only request* event support/sponsorship if your proposed event fits the following criteria:

- The event will further business aims of GitLab.
- The event has an audience of **250+ people** (the exception being meet-ups (which are run by our community team) or is part of an Account Based Marketing activity.
- The event is a more than a month away.

If your event fits the criteria above and you would like support from marketing, create an issue in the appropriate marketing project.

- **Developer Relations** - We are unable to support inbound requests for sponsorship of community events for the remainder of FY23.
- [**Corporate Events**](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=Event_Sponsored_Corporate_Events) - use the "Event-Request" template
- **Field Marketing**
  `Please Note:` *These requests will be reviewed by the appropriate regional Field Marketing Manager. Even if the event is free or low-cost, all requests must be approved by Field Marketing prior to any commitment to ensure the event or tactic aligns to the marketing strategy, meets SAO objectives and Field Marketing can properly execute to maximize GitLab's future success.* - To suggest a Field Marketing event (in-person or virtual) or other tactic for review, please open an [`Event_Tactic_Request`](https://gitlab.com/gitlab-com/marketing/field-marketing/issues/new?issuable_template=Event_Tactic_Request) issue and follow the instructions.

Be sure you review the issue template and provide all necessary information that is asked of you in the issue.

## Event Execution

### Step 1 - Issue Creation

1. **Corporate Marketing Event Owner** creates issue using the [Corporate Event Request Template](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=Event_Request) in the Corporate Marketing project. **Field Marketing Event Owner** creates issue using the appropriate [Field Marketing Event Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/tree/master/.gitlab/issue_templates) in the Field Marketing project.
1. Add as much information about the event as possible. For the event to move into contracting, we will specifically need to know the cost and ROI.

### Step 2 - Allocadia ID or Campaign Tag Creation

Please see [this handbook page](/handbook/marketing/#how-marketing-tracks-campaign-expenses) for details on how Marketing sets up Allocadia IDs and Campaign Tags.

### Ancillary Events

If the overarching event includes a speaking session, workshop, dinner, and/or happy hour (anything that requires a separate SFDC campaign and list upload), please follow the steps below and abide by the SLA guide to give necessary time for work to be complete.

**⏰ SLAs for section to be filled out for an ancillary event before moving to WIP:**

- **45 business days:** if the ancillary event will *require Marketo invitation*.
- **20 business days:** if the ancillary event will only need tracking and follow up email.

The purpose of creating a new issue for each ancillary event is to better facilitate the needs for each event, to clearly indicate the timelines, and to clarify the DRIs which may be different for the different events. For example, if there is a speaking session hosted by a GitLabber at a larger conference, and the speaker is planning to write the email copy after the event, the timeline and DRI would be different from the timeline and DRI for the general booth follow email.

**Steps for Ancillary Events:**

1. **DRI to create a new issue for each ancillary event** that corresponds to the main Field/Corporate Event (ex: Dinner + Date - Event Name as shown on the original issue) and assign it to event DRI.
   - Note: All copy (both for the overall event and the ancillary events) is kept in a single copy doc and linked from the Event Epic
1. **Corp DRI will add the related necessary execution issues** as indicated by the required section in the issue. **This section must be complete before the issue moves to `status:wip`.**
   - Ex: Landing Page - Dinner + Date - Event name as shown on original issue)
1. **Corp DRI will add as a new line item for each ancillary event in the [FY23 All-Marketing Calendar](https://docs.google.com/spreadsheets/d/1ni6gKeWhjtrNppMdYvPESsCRjDbfVdYjTNtUtcNBFGg/edit#gid=571560493)**

### Step 3 - Contract Completed - FMM

1. Please reference the Plan to WIP process [here](/handbook/marketing/field-marketing/#process-for-issues-moving-from-plan-to-wip).

### Step 3 - Contract Completed- Corporate Event DRI

1. For **Corporate Event DRI**, when contract has been signed the DRI will being event **epic creation process**.
   - Below is the tactical process DRIs take to organize actions and timelines for field and corporate events.

#### Step 4 (Corporate Marketing): DRI creates the event epic

- DRI creates epic for the event
  - **please note that this epic should only be used for in-person events** Use the [sponsored virtual conference epic](/handbook/marketing/virtual-events/external-virtual-events/) for virtual conferences
- Naming convention: `[Event Name] - [3-letter Month][date], [Year]`
- DRI copy/pastes epic template below into the epic description.
- In "Issue Creation" section, DRI deletes any pieces that aren't necessary.
- The DRI will also associate any issues opened for the event to the Epic. Link the Original *Field* or *Corporate* marketing issue (some may refer to this issue as "META")
- Booth number (should be included in Epic name)
- Any other high level information that will be relevant to anyone attending

NOTE: The Epic is the main hub for all event information. **All issues** associated with the Event **must** be linked to the Epic!

## Epic Template

```markdown
## [Main Issue]() - Link main event issue here

## [Landing Page]() - Link event landing page here when live

## Event Details

* Event DRI:
* Campaign Type: `Usually Owned Event or Conference'
* Type: In-Person
* Official Event Name:
* Date(s):
* Campaign utm `enter utm here` (Format: Campaign Tag, must be all lowercase, with no spaces, underscores, or special characters)
* [Add the planning sheet]()
* Related GTM motions (select all that apply)
      * [ ]  Security and Compliance
      * [ ]  DevSecOps Platform
      * [ ]  Automated Software Delivery
* [SFDC Campaign]()
* [MKTO Program]()
* Event Budget:
* Allocadia ID: `enter ID`

## [Copy for landing page and emails >>]() - template: https://docs.google.com/document/d/1_ek6A9fFPxHzPDTGs24oKM-5J5eQPLQ5CIgD0zu7_uI/edit#heading=h.6vgpxnyb4dh1

* Alliances/Partner Marketing involved - (if yes, must designate a DRI)
* Will this event include use of Marketing Development Funds (MDFs)? YES/NO
   * Requesting MDF Funds: `https://handbook.gitlab.com/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/analyst-relations/channel-marketing/#requesting-mdf-funds`

## Issues to be created

* [ ] [Program Tracking](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=request-program-tracking) - Corp DRI creates, follow instructions in issue
* [ ] [Write Copy Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=write-copy) - Corp DRI creates, assigns to Corp DRI - use this [copy doc template](https://docs.google.com/document/d/1_ek6A9fFPxHzPDTGs24oKM-5J5eQPLQ5CIgD0zu7_uI/edit#heading=h.6vgpxnyb4dh1) for copy
* [ ] [Marketo Landing Page](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=request-marketo_landing_page_request) - Corp DRI creates if necessary, follow instructions in issue
* [ ] [Email Invitation Issue](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=request-email-invite) - for tier 1 events only - Corp DRI creates one for single invitation, assigns to Corp DRI, Lifecycle Marketing DRI, and follows instructions in issue
* [ ] [Add to blog newsletter issue]() - for tier 1 events only - Corp DRI creates one for tier 1 events, assigns to Blog team (@sgittlen)
* [ ] [Follow Up Email issue](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=request-email-followup) - Corp DRI creates, assigns to Corp DRI, Lifecycle Marketing DRI, and follows instruction in issue
* [ ] [List Clean and Upload](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=event-clean-upload-list) - Corp DRI creates, follow instructions in issue
* [ ] [Optional: FM Pathfactory Asset Upload and Track Creation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=Pathfactory_Request_Template) - Corp DRI creates, assigns to Corp DRI
* [ ] Optional - use only if target list is not requested on Email Invitation Issue or if a complex list is required: [Request target audience for email send](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=request-target-list) - Corp DRI creates, follow instructions on issue


```

### Corporate Marketing: Issue best practices

- During these issue creations, DUE DATE is required to be added by issue creator.
- Issue creator associates all issues to the event epic.
- **IF** there are ancillary events associated with the main event, the DRI will have created a separate event issue for each ancillary event. Each ancillary event will need it's own YES/NO checklist to create related necessary issues (ex: Landing Page - Happy Hour - Event Name).

☝️ *Tip: DRIs use [this document](https://docs.google.com/spreadsheets/d/1mw16Ft0Wo379dT6OYingQ5A4xXTT1EjdpD6k-lgQync/edit#gid=0) to auto-populate timelines / SLAs for events. They will add the event as a new row when it is created with a status of Plan, add the start and end date, and look at the resulting due dates for each action item.*

### Step 4- DRI Event Admin Tasks

1. Add the event to Events Cal and [Events Page](https://about.gitlab.com/events/).
   - How to [add an event to the events page](#how-to-add-events-to-aboutgitlabcomevents).
1. Start an [event DRI issue](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=Event_DRI_Template) and start checking off the necessary tasks. Some things to note as you go through process in template:
   - Start an event specific slack channel.
   - Once team member staffing has been selected invite them to the channel in addition to other Field Marketing or Alliance team members that will be involved.
   - Do not link anything but the Epic in the slack channel.
   - Share the planning sheet for team members to add their contact and travel information.
   - Instruction everyone to book travel and lodging ASAP.
   - The planning sheet is used to track all details for travel, meeting setting, booth duty, speaker list, networking events, PR, etc.
1. If the event needs a speaker, start an issue with the `Speaker Request` issue template.
1. If a customer speaker is required for this event, assign the `Speaker Request` to your regional [Customer Reference lead](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/customer-advocacy/#which-customer-reference-team-member-should-i-contact). The Customer Reference lead will work with the Event Managers and the Sales team in identifying and engaging with customers to speak at events.
1. Landing Pages for Events (detailed instructions)
   - Corporate event landing pages are generated from the `events.yml` - Detailed instructions
   - The Corp DRI will create an issue for content to be provided working with Alliances &/or Product Marketing team on copy.
   - A collaborative decision will be made to include a form on the landing page.
   - Owned events will use a landing page generated by the `events.yml` **OR** a Marketo landing page. (Detailed instructions) Marketo will be used if **ALL** of the following criteria are met:
   - The event is **owned** by Field Marketing
   - The event will cost GitLab less than \$50,000 USD (or your country's equivalent)
   - Promotion of the event will be no longer than 1.5 months
1. Schedule
   - Event kick off call scheduled approx **two months** out from event will include all people involved in planning
   - Final event check in meeting including everyone attending, involved Alliance team members and Developer Advocate team who created demos to review content with team.
   - Event recap will include all planners and stakeholders.
1. Copy needed
   - Landing page copy
   - Email invite copy - **3 to 4 weeks** in advance of event - must be approved by lifecycle before email build
   - Post Event Email copy - **1 to 2 weeks** in advance of event
1. Social
   - Start issue using the `Social Request` template for general social awareness posts and any social ads that need to be created.
   - For complete instructions on how to obtain social support at your event, please review the [social requests instructions](/handbook/marketing/integrated-marketing/digital-strategy/social-marketing/admin/).
1. PR
   - Start issue using the [announcement template](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=announcement) in the Corporate Marketing project for any company, partner or product news that is expected to be announced/timed around  the event. More details on the Request for External Announcements process can be found in the Corporate Communications handbook [here](/handbook/marketing/corporate-communications/#requests-for-external-announcements).
1. Design
   1. For the latest approved booth design & messaging, [please see here](https://www.figma.com/file/pJvEWjV5ajSycyAlV1l69I/FY25-Final-Event-Booth-Creative-Chart?type=design&node-id=0-1&mode=design&t=cuVT3bWxORR2QUNu-0).
   1. Open issue in the `Corporate Marketing` project for booth design. Assign to Design team and provide booth spec and due date. Provide as much notice as possible.
   1. For any content or major layout changes, tag Product and Solution Marketing and Design in the related booth design issue created in the `Corporate Marketing` project.
1. Digital
   - Coordinate all digital marketing requests with the digital marketing team. See [Requesting Digital Marketing Promotions](/handbook/marketing/integrated-marketing/digital-strategy/digital-strategy-management/#how-do-we-get-there) for more info.
1. For Corporate events - Meeting Setting
   1. All leads gathered through meeting setting must be tracked in their own campaign which will be set up by our Marketo agency and associated to the main event campaign.
   1. We generally provide a small give (under \$50 USD or country equivalent) for anyone who takes a meeting with us.
   - **NOTE**: We share these prep documents with the client. The document is intended to provide everyone attending the meeting with background information on the prospect &/or customer. The document should also include any objectives or topics to cover in the meeting.
   1. All on-site meetings must have a [meeting prep doc](https://docs.google.com/document/d/1hyA12EN5iEwApAr_g4_-vhUQZohKxm5xkX9xxZ1JNog/edit), which will be linked in the master planning sheet.
   - The event spreadsheet will be locked 24 hours before the event starts.
   - Any changes need to be submitted by making a **Comment** on the spreadsheet and assigning it to the **Field Marketing** DRI.
   1. Most **Corporate events** will have an onsite meeting setting initiative tied to the event goals.
   1. If any Executives are attending, all meetings scheduled for them will be coordinated through the designated EA for that event.
   1. Meetings are tracked on the master event spreadsheet.
1. Demos, booth decks and documentation
   - Product Marketing helps make all displayed collateral at events.
   - The [standard demos](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/demo/) should be preloaded on the event iPads.
   - If you need something specific for an event, start an issue in the Product Marketing project.
1. Swag
   - Decide appropriate giveaway for the event and audience.
   - Coordinate ordering with one of the preferred swag vendors.
   - Order extra storage at the event if all swag will not fit witin the booth.
1. Leads and Campaign Setup
   - Field Marketing DRI is responsible for pulling, cleaning and sharing the lead list with MktgOps within 24 hours of event close or as soon as received by event coordinators.
   - If the event had multiple parts (booth, happy hour, meetings, etc) each will have its own Salesforce campaign and [Member status progressions](/handbook/marketing/marketing-operations/).
   - Use template to standardize the data following the [list import guidelines](/handbook/sales/field-operations/gtm-resources/).

### Securing a hotel room block

Should the event organizer offer a hotel room block option at a discounted rate and the GitLab event DRI would like to secure this room block, there are two options you can take to secure the contract:

1. An actual contract is offered and GitLab will put down a corporate card to secure the room block, but the individuals checking in will ultimately pay for the hotel (and then expense the hotel back to GitLab) - the event DRI should open a [virtual card request via coupa](/handbook/business-technology/enterprise-applications/guides/coupa-virtual-cards/).
1. A full contract is not offered, but a request for a credit card authorization is requested for GitLab to secure a room block, but the individuals checking in will ultimately pay for the hotel (and then expense the hotel back to GitLab) - the event DRI should open a [request in the legal project](https://gitlab.com/gitlab-com/legal-and-compliance/-/issues/new?issuable_template=general-legal-template) outlining the information that is being requested. Please include the discounted room rate, cut-off date, and the total amount anticipated in the unlikely event the full amount would be charged to the credit card if the event were to be cancelled.

### Ancillary Events

If the overarching event includes a speaking session, workshop, dinner, and/or happy hour (anything that requires a separate SFDC campaign and list upload), please follow the steps below and abide by the SLA guide to give necessary time for work to be complete.

**⏰ SLAs for section to be filled out for an ancillary event before moving to WIP:**

- **45 business days:** if the ancillary event will *require Marketo invitation*.
- **20 business days:** if the ancillary event will only need tracking and follow up email.

The purpose of creating a new issue for each ancillary event is to better facilitate the needs for each event, to clearly indicate the timelines, and to clarify the DRIs which may be different for the different events. For example, if there is a speaking session hosted by a GitLabber at a larger conference, and the speaker is planning to write the email copy after the event, the timeline and DRI would be different from the timeline and DRI for the general booth follow email.

**Steps for Ancillary Events:**

1. **DRI to create a new issue for each ancillary event** that corresponds to the main Field/Corporate Event (ex: Dinner + Date - Event Name as shown on the original issue) and assign it to event DRI.
   - Note: All copy (both for the overall event and the ancillary events) is kept in a single copy doc and linked from the Event Epic
1. **Corp DRI will add the related necessary execution issues** as indicated by the YES/NO section in the issue. **This section must be complete before the issue moves to `status:wip`.**
   - Ex: Landing Page - Dinner + Date - Event name as shown on original issue)
1. **Corp DRI will add as a new line item for each ancillary event in the [FY23 All-Marketing Calendar](https://docs.google.com/spreadsheets/d/1ni6gKeWhjtrNppMdYvPESsCRjDbfVdYjTNtUtcNBFGg/edit#gid=571560493)**

## Timelines for Corporate Marketing

In this timeline, BD = Business Days, and incorporates US public holidays and T = start date of the event.

- **T-70 BD:** Final landing page copy and invitation 1 copy due by Corp Mktg
- **T-65 BD:** Final landing Page launched
- **T-30 BD:** Invitation 1 is sent
- **T-20 BD:** Final copy for invitation 2 due by Corp Mktg
- **T-15 BD:** Invitation 2 is sent
- **T-10 BD:** (Optional) Final copy for invitation 3 due by Corp Mktg
- **T-5 BD:** (Optional) Invitation 3 is sent
- **T-5 BD:** Final copy for reminder email due by Corp Mktg
- **T-3 BD:** Final copy for follow up emails due by Corp Mktg
- **T-1 Day:** Reminder Email is sent *Note - not business day*
- **T+2 BD:** Follow up email(s) are sent

### Changes to Offline Events dates

Sometimes, it becomes necessary to change the date of an offline event. Once the FMM has identified that the date will change, the **FMM** will:

- Update the event date and the campaign tag on the main event issue and in the Budget Document.
- In the main event issue, ping the GL Accountant (@GGGONZALEZ) with the old campaign tag to be removed from NetSuite and the new campaign tag to be added in NetSuite.

If the change in the date is related to COVID-19, the **FMM** will:

- Remove the line item from your region tab in the budget document.
- Complete the [COVID-19 Cancellations Tracker - FM Only](https://docs.google.com/spreadsheets/d/1QC6P0VRWwJheOlGB-9bX8JIF8_4UY3h1cGVT_gacv5M/edit#gid=1753355316&range=A1) - ONLY if we have made a payment against the cancelled event, as this is where Finance and Accounting will go to track the refunds we may need to account for.

If the date changes after the Corp DRI set up the issues, epic, and tracking for the event, the **Corp DRI** must make the following updates:

- **No Registrations Received:** If no registrations have been processed for the event (even if members have been added to the campaign as "Marketing Invited"):
  - SFDC: Change the ISO date in the SFDC Campaign name to the new date.
  - Marketo: Change the ISO date in the Marketo Program to the new date. Update the tokens and confirm landing pages, confirmation emails and invites are updated.
  - GitLab: Update event date in epic and issues. Update due dates and email deployment dates.
- **Registrations Received:** If registrations have been processed for the event:
  - SFDC: Change the ISO date in the SFDC Campaign name to the new date.
  - Marketo: Change the ISO date in the Marketo Program to the new date. Update the tokens and confirm landing pages, confirmation emails and invites are updated.
  - GitLab: Update event date in epic and issues. Update due dates and email deployment dates.

### Offline Events turned Digital

#### When Owned Offline Events turn to Virtual Owned events

FMM determines format of this virtual event from [documented options.](/handbook/marketing/virtual-events/) FMM lets interested teams know that the event has switched to digital, the existing landing page is no longer accepting registrations and sales-nominated flow has been stopped (if applicable).

- **If this is a self-service ZOOM Meeting with promotion:**
  - FMM: create the new epic, issues needed (e.g. list upload) and ZOOM meeting.
  - FMM: provide new campaign tag (if applicable).
  - FMC: create new marketo program under Virtual Events cloning `YYYYMMDD_HostName_Topic (External Webcast Template)` template and save to the `GitLab Webcasts` folder. If you are using the same campaign tag as the original live event, add "OLD" to the beginning of the existing live event Marketo program as Marketo will not allow two programs with the same name.
  - FMC: create a new folder in the `GitLab Webcasts` folder for the virtual event.
  - FMC: create new SF campaign by syncing new marketo program to SFDC.
  - FMC: update links in Epic to new SFDC and Marketo links. Update the utm if applicable.
  - FMC: follow standard processes with tokens, program activation, etc.
  - FMM: set up Zoom Meeting and provide Zoom link and ID to FMC.
- **If this is a GitLab Hosted ZOOM Webcast:**
  - FMM: provide new campaign tag (if applicable).
  - FMC: If Epic wasn't created, create the epic with the [Virtual Event Epic code.](/handbook/marketing/virtual-events/) If Epic was created, change it to the Virtual Event Epic Code.
  - FMC: Create new marketo program under `Virtual Events` cloning `YYYYMMDD_WebcastTopic_Region (Single time slot)` or `YYYYMMDD_WebcastTopic_Region (Multiple Time Slot)` template and save to the `GitLab Webcasts` folder. If you are using the same campaign tag as the original live event, add "OLD" to the beginning of the existing live event Marketo program as Marketo will not allow two programs with the same name.
  - FMC: create a new folder in the `GitLab Webcasts` folder for the virtual event.
  - FMC: create new SF campaign by syncing new marketo program to SFDC.
  - FMC: update links in Epic to new SFDC and Marketo links. Update the utm if applicable.
  - FMC: follow standard processes with tokens, program activation, etc.
  - FMC: [set up ZOOM Webcast](/handbook/marketing/virtual-events/webcasts/#step-1-configure-zoom)
- **Existing event Marketo program FMC tasks (applies to both types):**
  - Move the existing event marketo program under the new folder you have created and add `OLD` at the beginning of the title.
  - Deactivate the `Registration` and `Interesting Moments` smart campaigns.
  - Deactivate any invitations (ex: sales-nominated) smart campaigns that are live and stop all promotions.
  - If you want to create a new landing page for the virtual event and the initial landing page has already been promoted:
    - Add a note about how the virtual event is collecting registrations.Suggestion: `We've gone virtual! Please register the virtual event page [link to new page] to register for this event.`
    - Remove the form
  - If you want to keep the same landing page URL as the offline event:
    - Delete the landing page from the newly created program
    - Move the old landing page into the new program
    - Update the page copy with virtual event details
  - If the landing page has not been promoted: Unapprove the landing page.
  - When the new campaign is completely set up (landing page, Zoom, etc), use the `Reminder Email` smart campaign from the original event program to send a note to those that have already registered with directions about how to re-register for the virtual event.
- **Salesforce FMC tasks (applies to both types):**
  - Change the existing SF campaign to status: `aborted`

#### When Offline Field Events & Conferences turn to Virtual

These will be Virtual Sponsorships with booths (not just a sponsored webcast).

- FMC: if Epic wasn't created, create the epic with the [Virtual Event Epic code.](/handbook/marketing/virtual-events/) If Epic was created, change it to the Virtual Event Epic Code.
- FMM/CMM: let interested teams know that the event has switched to digital and sales-nominated flow has been stopped (if applicable).
- FMC: Add [Virtual] to the beginning of the epic and all supporting issues.
- FMM/CMM: Add a note to the epic and the main issue: `This event has changed from live to virtual. Original date [2020-xx-xx], New Date: [2020-xx-xx], This [epic/issue] reflects information for the virtual event.` Date can be left off if it is the same.
- FMM/CMM: provide new campaign tag (if applicable).
- FMC: Create new marketo program under `Virtual Events` cloning `YYYYMMDD_Vendor_VirtualConfName (Virtual Conference Template)` template and save to the `Virtual Sponsorships` folder. If you are using the same campaign tag as the live event, add "OLD" to the beginning of the existing Marketo program as Marketo will not allow two programs with the same name.
- FMC: create a new folder in the `Virtual Sponsorships` folder for the virtual event.
- FMC: create new SF campaign by syncing new marketo program to SFDC.
- FMC: update links in Epic to new SFDC and Marketo links. Update the utm if applicable.
- FMC: follow standard processes with tokens, program activation, etc.
- FMC: For conferences: update event YML with event's virtual details (change location to virtual, update copy dates if needed)
- **Existing event Marketo program FMC tasks:**
  - Move the existing event marketo program under the new folder you have created and add `OLD` at the beginning of the title. If the original Marketo program wasn't being used yet (no invites, no members, only linked to SFDC) it can also be deleted or moved to an archived folder.
  - Deactivate the `Interesting Moments` smart campaign.
  - Deactivate any invitations (ex: sales-nominated) smart campaigns that are live and stop all promotions.
- **Salesforce FMC tasks (applies to both types):**
  - Change the existing SF campaign to status: `aborted`

### Cancellation of Offline Events

Once the DRI has identified that an event is cancelled, the **FMM** will:

- Update the event issue with [Cancelled] in the event title.
- Tag the relevant internal contacts for the event in a comment to notify them that the date has changed.
- Close the main Field/Corporate Marketing event issue.
- Remove the calendar invite from the internal `Sponsorships and Events` calendar

The FMC will:

- Remove the event from our external facing events page - about.gitlab.com

If an offline event is cancelled after the set up of the issues, epic, and tracking for the event, the DRI will:

- **Field Event and Conference:**
  - SFDC: Change the event campaign status to `Aborted`. No other changes.
  - Marketo: No changes
  - GitLab: Comment in related issues and slack channel that the event was cancelled and close the issues. Update the epic with [Cancelled] in the event title.
- **Owned Event:**
  - SFDC: Change the event campaign status to `Aborted`. No other changes.
  - Marketo: Update landing page to reflect the cancellation and remove the form. Create a cancellation email for registered attendees.
  - GitLab: Comment in related issues and slack channel that the event was cancelled and close the issues. Update the epic with [Cancelled] in the event title. Work with the FMM/ DRI to send a cancellation notice to registered attendees.

#### Event Types

For a full breakdown of our various types of events, please review [this list](/handbook/marketing/marketing-operations/).

#### Important Planning Note

The above planning list is not exhaustive - see planning issue template in field marketing project for most up to date list of tasks.

### How We Decide Who Attends Which Events?

- The event DRI determines how many staffers we need at the event and is responsible for ensuring the staffers are all set to attend the event.
- If the event is more enterprise-focused we try to send more marketing/sales. Regional Sales Managers in partnership with FM select team members based on who has the most potential contacts in the area or going to an event.
- If the event is more user-focused we will lean towards sending more technical people to staff and fewer sales.
- Suggestion for staffing: Field Marketing will evalute GitLab team members who live in the area who might be a good fit for the audience.
- We lean towards those who might be thought leaders, specialists, or more social for a specific show - i.e. if we are sponsoring an AWS show, we would like for a GitLab + AWS expert to staff the event.
- We aim to bring minimal team members to keep costs and disruption to normal workflow low. We take into account what value everyone will provide as well as coverage balance. Please check with the event DRI if you personally would like to attend or if you would like to suggest someone participate in an event.
- Once you have agreed to attend an event, you are not able to back out unless there is a customer facing obligation you need to tend to. We have this in place to avoid unnecessary rework on the event DRI's behalf.
- A lot of times a technical sales resource needs to also be assigned to attend an event. In order to do so, please review the SA handbook for [instructions](/handbook/solutions-architects/#when-and-how-to-engage-a-solutions-architect) on how to secure one of our awesome SA's. Tag the issue with technical-staff::required and once staffing attained change to label technical-staff::complete.
- All those attending will need their manager's approval.
- If you have been approved by the DRI and your manager to help staff an event, all your travel will be included during the time for the event/ expo days. You need to be onsite and ready to help out as soon as the first expo hall shift opens up and you may book travel any time after the expo hall closes. We will cover the night of lodging before the expo hall opens through to the night it closes. Any additional nights will need to be covered by the individual.
- Event staffing list will close 2 weeks for **field** events or 3 weeks for **corporate** events before commencement of the event.
- If you are not officially involved in the event as part of the sponsorship, we would still like to know you will be attending so we can include you in any activities surrounding the event. Please comment in the event specific slack channel notifying the Field or Corporate Marketing team of your plans to attend after obtaining approval from your manager. Please add a comment in the Event epic as well.

### Requesting Technical Staffing

Some events require technical staffing (Solutions Architects and/or others from the Customer Success team). To request technical staffing, please [follow this process](/handbook/solutions-architects/processes/#requesting-an-sa-to-support-events).

### COVID-19 Event Outreach

It is important that we are communicating with our customers and prospects that we are monitoring COVID-19. Please include the following in all email outreach for hosted events.

- GitLab is taking extra precautions to ensure the safety of our attendees including adopting a no-handshake policy at the event and is asking attendees to practice respiratory hygiene (wash hands often and cough into your elbow instead of your hand).
- For the safety of everyone, we ask that anyone who is feeling ill skips the event and substitutes a colleague in their place. We apologize to those attendees whom this affects and hope you understand that we are enacting measures we feel are necessary to ensure the safety of all attendees. Thank you in advance for taking these precautions and we look forward to welcoming you to our event.

### Event Outreach

It is important that we are communicating with our customers and prospects when we are attending an event. This is done through a targeted email sent through Marketo & also through BDR & AE/SAE outreach.

- Most of the time we do not receive a pre event attendee list, but if we do, that will be shared in the issue.
- We recommend BDRs & AE/SAEs contact customers and prospects before event using talking points provided by content DRI with the goal of setting up meetings/ demos at the event. Invite them to anything specific we have happening at or around event.
- If there is not an attendee list process is as follows:
  - Target speakers for outreach.
  - Utilize previous years attendee list that can be found in SFDC. That person may not be attending, but their colleague might be. Ask for intros.
  - Follow event hashtags to see who will be attending.
  - Join local meetup and pre event events (this works well for large events like AWS).
  - Join LinkedIn Groups and slack channels dedicated to event.
  - Download event app and engage with attendees via app.
  - You can search for relevant talks and see who has registered for talks that might apply to potential customers.

#### Email alias usages for outreach

We use several email aliases for pre and post event outreach. Below are guidelines as to which one should be used based on the event

- Corporate events (all communications): `info@`
- Field marketing events (invitations and follow up emails): `<amer,emea,apac,uspubsec>field@gitlab.com`
- Field marketing event day before reminders: `<amer,emea,apac,uspubsec>field@gitlab.com`

#### Pre-Event Registration Tracking & Reporting

##### Dietary Restrictions

During the registration process, it is important to track any potential dietary concerns. Please note that there is no longer a separate field in the registration form for dietary restrictions and this information is not tracked in SFDC. The FMM will need to include a note on the LP copy doc, instructing registrants to email with any specific dietary restrictions. It is up to the FMM if they would like to utilize their personal `@gitlab.com` email address & cc `regional@` alias.

**Example Verbiage for LP:**

At GitLab we aim to make our events accessible to everyone, regardless of disability or special needs. We vet all of our venues for accessibility. If you have a disability, special needs, or specific dietary restrictions, please reach out to us by responding to this email to let us know and we will follow up with you pre-event. This information will be kept private and will be distributed only to the individuals who need it to complete your accommodation request.

##### Registrant Communication

If the FM DRI for an event needs to reach out to someone prior to the event, they will do so leveraging their personal `@gitlab.com` email address & cc `regional@` alias.

#### Sales Nominated process

The sales nominated process allows for records to be added to the campaign in order for the record to receive an invite to the event

- SAEs/SDRs should add members to campaign to be invited to event, using the appropriate `Campaign Status`:
  - `Sales Invited` = You have personally invited the person to the event.
  - `Sales Nominated` = Marketing will invite the person on your behalf. They will receive invitation email pre-event plus any confirmations/reminders if they register. [Video training on how add is also available.](https://drive.google.com/open?id=1QNB3DXXWtnmMBvzeHPkT7cRmigJdIWq5)
  - **Any other Status** = Do not assign any other status to records. The campaign members will be updated by FMC/Marketing Ops or automated through registration.

#### Employee Booth Guidelines

- Perfect your Pitch
  - Most people have two ears and one mouth. Successful pitching is two parts listening to one part talking. Be engaged and interested in folks that visit. Be genuinely curious about their story. Understand them first before you start telling them about us.
  - A great way to start is to offer a welcome and say,
    1. "Hi, my name is [your_name]"
       1. "Hi I'm [their_name]"
    1. "[their_name, are you familiar with GitLab?"
       1. "Yes"
          1. "Thanks for using us, I'm curious which aspect of the DevOps platform you're using?"
       1. "No" - "Great, in a nutshell we <140 character description> - for example, what company do you work for?"
          1. "Company X"
          1. And what's your role at company x?
          1. "Title X"
          1. Tailor your pitch to their specific experience. Ask about what tools they are using today, what they like or dislike about those tools.
  - Working at the booth is a great place to try out different ways of explaining technology and trying out different value propositions to see what resonates the most.
  - Know some stock answers
  - You can ask them which talk they've heard so far has been the most interesting.
- Close the deal
  - Figure out what the next step for this person is. Are they a decision maker at a large org?
  - If a conversation is running long, get their info and schedule a time to chat or follow up at a later time outside of the booth. The goal of the booth is to make initial contact and connections.
  - Give a personal follow up
- Stand at the front of booth facing the crowd.
  - Don't make folks walk into the booth and seek you out. Stand out at the front. Make eye contact and smile at folks walking by. If they stop or pause you can ask them, "Are you familiar with GitLab?"
- Hangout outside the booth.
  - Too many GitLab team-members in the booth discourages other folks from coming by. The booth can be a great place to meet up, but don't hang out there. Move the conversation to a near by lounge or social area.
  - When you are at the booth keep conversation with your coworkers to a minimum.
  - When you are at the booth focus on serving the attendees.
  - Do not do normal daily work in the booth - the booth is not a place for taking calls, or responding to emails. When you are at the booth you are on booth duty and that is it.
- Be prepared to schedule follow up meetings
  - To make it easier for our prospects and customers to continue conversation initiated at the event (considering all of the vendor follow-ups and the need to catch up on missed days of productivity following events), please have your computer handy (in a safe and secure location within the booth) to schedule Initial Qualifying Meetings when appropriate.
  - Some example verbiage to facilitate this would be: "Let's schedule some time to follow up on your conversation with us today in a setting that is a little less hectic so we can answer any questions that you may have"
- Keep an abundant tidy stash of swag out
  - During slow times, restock swag and tidy up booth.
- Keep the booth clean.
  - The booth should be clean and organized at all times.
- Avoid eating meals in booth, please keep lids on beverages and out of sight.
- If we have the bandwidth or the traffic is slow do not be afraid to walk around to other booths and talk to people. Make friends we could partner with, create interesting content with, or just have friendly beers.
- If press comes to the event feel free to put them in contact with our press team.
- Engage the competition.
  - Be friendly and polite to competitors to come by the booth.
- Don't forget your business cards.

#### Scanning Best Practices

- Be an active but polite Badge Scanner
  1. Don't reach for the badge without first asking if you can scan someone's badge and don't lead a conversation with "May I scan you." Ask folks politely, "Would you appreciate a follow up email?" or "Mind if I scan your badge?" Many folks will say, "yes." If they say, "Not really." You can say, "Great, we don't want to clutter up your inbox. You can always go online to about.gitlab.com if you'd like to check back in with us."
  1. Trade scans for all swag if the attendee consents. If we have the space and staff, someone should be in charge of distributing and organizing swag, and scanning folks who come by for swag.
- Take good notes:
  1. Your initials (This way the email can be more personalized to say, "We saw you chatted with [name] in the booth.") Add your initials + "follow up" if you personally can send them an email within a week of the conference.
  1. The tech stack (what tools they are using)
  1. Any specifics needed in the follow up (schedule a call, send docs for X, interested in Y, etc.)

##### Suggested Attire

- Wear at least one piece of branded GitLab clothing. If you prefer to wear something dressier than the GitLab branded items available that is also acceptable. Feel free to wear our sticker on your clothing.
- GitLab branded lanyard, to be provided to you by the event DRI.
- If the conference is business casual try some nice jeans (no holes) or dress pants.
- Clean, closed-toed shoes please.
- A smile.

##### Booth Set Up

- Bring:
  - Generic business cards
  - Stickers + any other swag
  - Events laptop (for slideshow) + HDMI cable + charger + dongles
  - Backup power banks
  - Mints & hand sanitizer
  - One pagers + GitLab cheat sheets - don't bring too much paper though.

- An in person pre-event booth meeting is to be scheduled by event DRI the day before or morning of the event and is to held within the booth. All event attendees should be in attendance. The event DRI should have this added as a calendar invite on the attendees calendar and should include the event venue, address, booth number, and link to the event issue within the calendar invite.

##### Booth presentation material

- [Standard pitch deck](https://gitlab.highspot.com/spots/615dd7e3911d70c4887812a7)
- [What is GitLab Video with captions](https://drive.google.com/file/d/1BwQG2tmYULSDg46aeyFT9YD52LBamuuN/view?usp=sharing)
- [Generic Marketing Reel](https://docs.google.com/presentation/d/1mpKjngTzYvvoAeV-uk3NSt9EuAdEgytabXRIiq_a56U/edit?usp=sharing)
- [Video asset with demo](https://drive.google.com/drive/folders/1yT48wPMLvBlpSIqMXIiMqmAhfX1oLDJa)
- [Visual of DevOps stages](https://docs.google.com/presentation/d/1PoJaXkhzSKbhPOc6Hc1uccYP9hLczHTxp6elyqMtp64/edit#slide=id.g149430ecd5f_0_3998) - please confirm in the #product-marketing slack room if this is up to date before using
- [What is GitLab?](https://www.youtube.com/watch?v=-_CDU6NFw7U)
- [GitLab Infomercial Video](https://www.youtube.com/watch?v=gzYTZhJlHoI)
- [Ebook - Scaled-CI-CD](/uploads/943e0e01dbcce9f014da1189997575a3/gitlab-scaled-ci-cd-.pdf)
- [Ebook - Remote Playbook](/uploads/34642ae8653ed51280dde1a9c7385add/remote-playbook.pdf)
- [Whitepaper - Reduce Cycle Time to Deliver Value](/uploads/ede3b3e00db838518bd29845ba9a7507/source_resources_downloads_201906-whitepaper-reduce-cycle-time.pdf)
- [The Forrester Wave - Cloud-Native Continuous Integration Tools](/uploads/9ad85130be17d9ced05647283d738f40/The_Forrester_Wave___Cloud-Native_Continuous_Integration_Tools__Q3_2019.pdf)
- [Ebook - 2020 DevSecOps Report](/uploads/cc655c78ad1a23ce8ade736c4d3c2311/2020-devsecops-report.pdf)
- [Video - Making the case for CI/CD in your organization](https://www.youtube.com/watch?v=MqxcGV9NT8k&feature=emb_logo)
- [Use Case - NVIDIA - How GitLab Geo supports NVIDIA's innovation](https://about.gitlab.com/customers/nvidia/)
- [Solution Brief - GitLab on AWS](/uploads/74879d7fa7e1919948d9674d6e4be315/source_resources_downloads_GitLab_AWS_Solution_Brief.pdf)
- [Solution Brief - GitLab on GCP](/uploads/d830cb6d747573e252c5a6520884010a/source_resources_downloads_GitLab_GCP_Solution_Brief.pdf)
- [A Seismic Shift in Application Security whitepaper](/uploads/fd88f354f9f25bd5a73dab555b26a1dc/gitlab-seismic-shift-in-application-security-whitepaper.pdf)
- [DevSecOps Solutions Page](https://about.gitlab.com/solutions/dev-sec-ops/)
- [GitLab — A single application for your entire software development lifecycle](https://www.youtube.com/watch?v=yjxrBSllNGo)
- [The Benefits of a Single DevOps Platform](https://www.youtube.com/watch?v=MNxkyLrA5Aw)

##### PubSec booth presentation material

- [PubSec Highspot Page](https://gitlab.highspot.com/items/66a2a2f049bdbcfc00ba8a65)
- [PubSec Capabilities Statement](https://gitlab.highspot.com/items/66b272dc507fd7be6ee32565)
- [Education Capabilities Statement](https://gitlab.highspot.com/items/66a18f125f5fc07fbdf83989)
- [GitLab's Hardened Container Image for Secure Software Development](https://docs.google.com/document/d/1Rl0050Z-PYogJAraHNdLPvgpwAmqlJ7-81PpCMpw_Fw/edit#)
- [The Hidden Costs of DevOps Toolchains (with guest speaker from Forrester)](https://about.gitlab.com/webcast/simplify-to-accelerate/)
- [DevOps Powering Your Speed to Mission (webcast)](https://about.gitlab.com/webcast/devops-speed-to-mission/)
- [Mission Mobility: A DevSecOps Discussion (webcast)](url)
- [Government Matters Technology Leaders Innovation Series: Low-to-High Collaboration (with Marc Kriz) (video)](https://www.youtube.com/watch?v=RvZSTCbPkiE&feature=youtu.be)
- [Modernizing Government IT through DevOps (whitepaper)](https://about.gitlab.com/resources/whitepaper-modernizing-government-it/)
- [Cross Domain DevSecOps: Low-to-High Side Collaboration](https://drive.google.com/file/d/1ewgLvmlfg3f0CVE3B6mu9wRtgK-TcORz/view)
- [DevSecOps: How Proactive Security Integration Reduces Your Agency's Risks & Vulnerability](https://www.ncsi.com/wp-content/uploads/2021/03/GCN_DevSecOps_How-Proactive-Security-Integration-Reduces-Your-Agencies-Risks-and-Vulnerability.pdf)
- [Hardened Containers: The Right Application Platform Can Help DoD Develop Its DevSecOps Culture](https://drive.google.com/file/d/1cszlj5fKFE12qFd4aMNij0a83v-3Fe4r/view)
- [VPAT Template](https://docs.google.com/document/d/1o6gCe2Se_Cuia-VsrUTdGvESNZVefyoqFAu1NY8rJpQ/edit)
- [What is GitLab? Speed. Efficiency. Trust](https://www.youtube.com/watch?v=-_CDU6NFw7U&list=PL05JrBw4t0KpEQDAhM3Txia7QHdYlngMa&index=2&t=16s)
- [A Beginner's Guide to GitOps](https://learn.gitlab.com/c/beginner-guide-gitops?x=H2TMk5&utm_medium=email&utm_source=marketo&utm_campaign=iacgitops&utm_content=beginnerguidegitops&mkt_tok=MTk0LVZ)

##### Quick Booth quality check

- Check on cleanliness of booth
  - Monitor(s) there and in right place
  - Printed materials in good supply and in right places
  - Are badge scanners and other rental items accounted for?
  - Swag is orderly
  - Remove any personal devices on booth surfaces and securely store them
  - Remove any open containers or food waste
  - Do we have too many or not enough people staffing?
  - Post a picture of the booth to your social profiles

##### Day of Booth Staffing

- Ideally booth shifts will be around 3 hours or less.
- A calendar invite is to be added to all booth staff's calendar by the event DRI. The calendar invite should include: the name of the event venue, address of the venue, booth number, and link to the event issue within the calendar invite
- Staff more people during peak traffic hours.
- Avoid shift changes during peak hours.
- Aim to staff the booth with individuals with a variety of expertise and backgrounds- ideally technical and non-technical people from various departments should be paired.
- Send out invites on the Events & Sponsorship calendar to booth staff with the following information:
  - Time and date of event, booth, and shift
  - Any instructions on using or locating lead scanner
  - Any relevant event set up or clean up

#### Post Event

- Add event debrief to event issue. The debrief should include the following if applicable:
  - Was the event valuable?
    - Would you go again? If yes, what would you do differently to improve on current experience?
    - Did we get good leads/contacts? What was the audience profile like?
    - Best questions asked and conversations. Trends in questions asked.
    - Was our sponsorship/involvement successful? Did we go in at the proper sponsorship level?
  - How was the booth set up?
    - How was the booth staffing?
    - Did the booth get enough traffic?
    - Booth location and size
  - How did our swag go over?
    - Did we have enough/too much?
  - Contests
    - Did the contest(s) effectively build our brand and connecting with our target audience?

#### Lead list

1. List received by event DRI from event organizers
1. Event DRI reviews and cleans up list following the guidelines for [list imports](/handbook/marketing/marketing-operations/list-import/)
1. We now use an automated list import process, described on the link above and in the list clean and upload issue.
   - Marketo will match based on `Email Address` to existing records regardless if LEAD or CONTACT object.
1. Marketo will sync to SFDC automatically. Traction assigns records based on Territory ownership.
1. Event DRI will notify Marketing Ops in the email follow-up issue that the list has been loaded.
1. The import bot will update the `#event_list_upload` channel upon list upload.
1. Event DRI follow up on leads to make sure expected followup completed and lead status changed.

Common lead questions:

- Record ownership will be assigned using the [Global Ownership](/handbook/sales/field-operations/gtm-resources/rules-of-engagement/) rules
- All followup needs to be tracked in SFDC
- List upload needs to be done **before** follow up is done so we can ensure proper order of operations & attribution is given correctly
- Record Owner and/or SDR doing follow up need to be sure to update the [`Contact Status`](/handbook/sales/field-operations/gtm-resources/) on the record as follow up is done.
- Campaign type & meaning of [Campaign Member status](/handbook/marketing/marketing-operations/campaigns-and-programs/#campaign-type--progression-status) can be found in the Marketing Ops handbook

#### Onsite registration form & landing page

For **FIELD** events that don't have badge scanners onsite, the FMM event owner can request an onsite registration form and landing page which can be used to collect names at the booth. The landing page (including the form) can be accessed by a unique URL via iPad, mobile phone or laptop and should only be used by staff at the booth and deactivated post-event by Marketing Ops.

**How to create an onsite registration form**

- FMM to request the creation of the onsite registration form & landing page via the [Marketo Landing Page & Automation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_mkto_landing_page) - FMC creates, assigns FMM (issue will be triaged) This form can be utilised ONLY when there are no badge scanners available onsite.
- FMC to navigate to the Marketo program for the event and find `No Lead Scanner - Onsite Reg` landing page under assets. Update the URL to be relevant to the event.
- FMC to navigate to the Marketo program for `03 No Lead Scanner - Onsite Event Reg` Campaign and check that Smartlist and Flow are set up correctly for the relevant landing page. FMC then to **ACTIVATE** this campaign.

**How to use the onsite registration form**

- FMM to share the landing page URL with booth staff (and with booth staff only).
- GitLab reps at the booth can use the landing page & form to add the details of booth visitors that they had a conversation with.
- Depending on whether GitLab reps added or didn't add notes on the notes field of the form, then the program member enters the Salesforce campaign as indicated below:
- - If the Notes field has notes > campaign status = `Follow Up Requested` > lead status = `MQL`
- - If the Notes field is empty > campaign status = `Visited Booth` > lead status = `Inquiry`
- Booth staff will have 24hrs post-event to go to the event salesforce campaign and add any further notes they have about a campaign member.
- Once the event has ended, FMC should notify Marketing Ops via the Onsite registration form & Landing Page issue to de-activate the form and landing page.

#### Marketo Check-in App

For **OWNED** events, the Marketo program is pushed to the Marketo Check-in app that allows the FMM team to be self-sufficient when it comes to updating an event registration list.

**User Experience Flow (Registration & Check-In) With System Actions**

- Individual registers for the event via landing page (Marketo form)
- [system] individual added to the Marketo program and Salesforce campaign as `Registered`
- Individual attends the event and FMM checks them in using the app
- [system] when FMM syncs the data to Marketo, individual is flipped from `Registered` to `Attended`
- [system] automation is set to automatically flip anyone still in `Registered` status to be `No Show` 12 hours after the event

⚠️ **Important! FMM must check-in all individuals and sync to Marketo within 12 hours of the *start time* of the event so that automation can flip the correct records to `No Show`.**

##### How to activate the Marketo Check-in App

1. FMC to navigate to the Marketo program event
1. At the top of the page, change `View: Summary` to `View: Schedule`
1. You should see the event on the right side of the calendar
   ^ Events are displayed intially based on the program <b>`created date`</b>, not the event date
1. Double click your event, update `date`,`end`, and event times (remember all times are based on the FMC's timezone setting in Marketo)
1. Click the slide bar to change event from `tentative` to `confirmed`. Slide bar will change from *gray* to *orange* when done correctly.
   *The event will not be visible in the Marketo Check-in app until 7 days prior to the event*

##### Using App for Event Check-in

*If FMM is unsure they will have internet at venue, it is very important to fully sync program while connected to the internet before event.*

1. Sign into the Marketo app.
1. Locate the event from the list displayed, press the blue "Sync" button that appears across the top menu bar.
   - This will ensure all late registrations are fully synced to the app
1. All program members with `Status` = `Registered` will show in the list on the left side of the app.
   ![''](/images/handbook/marketing/events/marketo_checkin_sync.jpg)
1. As people arrive, search using the search bar or scroll alphabetically by `Last Name` through the list.
   - You could also have the iPad available for people to check-in themselves
1. Select person to check-in & press the large blue button that says "Check-in"
   ![''](/images/handbook/marketing/events/marketo_checkin_personselect.jpg) - If the person's contact details need to be updated click "edit" (top right) and make changes. - When the program re-syncs the contact details will be updated as well
1. To **ADD** a person to the event at the door, click the "person+" button in the bottom left corner of the app.
   ![''](/images/handbook/marketing/events/marketo_checkin_addperson.jpg) - Blank form will appear
   ![''](/images/handbook/marketing/events/marketo_checkin_newattendee.jpg) - All fields are **required** except `Phone` - Click green "Done" in top right corner - Complete checkin by clicking blue "Check-in" button
1. As people are checked in there will be a red numeric icon over the "Sync" button, this will remain until the app is synced to Marketo
   ![''](/images/handbook/marketing/events/marketo_checkin_checkedin.png)
1. Once event is over, FMM presses blue "Sync" button to send all the records to Marketo
1. The Marketo program will immediately be updated with `Campaign Member Status` = `Attended` and the sync to SFDC will begin
1. Notify the Ops team via List clean & upload issue to verify status of records & request the remaining `Registerd` -> `No Show` status
1. Ops will verify Bizible attribution has been applied correctly.

If you need support, use the #mktgops slack channel.

## Swag for Events

All information on swag can be found in the [swag process handbook](/handbook/marketing/brand-and-product-marketing/brand/merchandise-handling/). For event-related swag and tracking purposes, we utilize the tags `swag_corporate` and `swag_community`.

For all details regarding Field Marketing Swag and Event Assets, please visit the Field Marketing page [here](/handbook/marketing/field-marketing/#field-marketing-swag).

## Specifics for Developer Relations

GitLab's Developer Relations team reviews and manages our community events (typically an event with less than 250 attendees that is targetting end users of GitLab) including [Meetups](/handbook/marketing/developer-relations/evangelist-program/#meetups). The [Developer Relations handbook](/handbook/marketing/developer-relations/evangelist-program/#community-events) has additional information on the events the Developer Relations team will support.

## Specifics for Corporate Events

- See [Corporate Events Handbook](/handbook/marketing/integrated-marketing/corporate-events/)

## Specifics for Field Marketing Events

- For events where a field marketing representative cannot be present, the FMM DRI will assign an onsite lead. The DRI will be responsible for coordinating with this person and providing them with any info they will need to help run the event in their absence. This person will be the venue point of contact as well as responsible for set up and tear down.
- FOR EMEA: We must ensure we are gathering GDPR compliant leads - Lead devices scanning follow up needs to be in event T&C. If GDPR is not in the T&C, we are not allowed to follow up on the leads. Scanning a lead is not automatically GDPR compliant if visitors have not agreed to it.

### QR Codes for Events (Field Marketing and Corporate Events)

Field Marketing utilizes the [QR Code Generator](https://login.qr-code-generator.com/) so that FMMs can follow the instructions below to print and display QR codes at events for raffles, contact info collection, etc. In AMER, tabletop signs to display the QR codes are available in the [Boundless portal](/handbook/marketing/field-marketing/#boundless-portal) under the `Event Assets` section.

Corporate Events utilizes [QR Code Generator](https://www.qr-code-generator.com/) to create specific QR Codes to track how many people are visiting CTA weblinks. We  promote through different pieces of collateral passed out at the booth and signage we have created promoting registration for an on-site ancillary or virtual event. Other use cases such as people scanning to attend onsite virtual activities such as coding challenges or UX surveys.

#### Login for the QR Code Generator

[QR Code Generator](https://www.qr-code-generator.com/)

Both Field Marketing and Corporate Events utilize the same login found in the Marketing 1pass vault under `QR Code Generator - Field Marketing and Corporate Events`.

#### Pausing or Deleting QR Codes After an Event

Due to our current account subscription only allowing 50 active QR codes, please proceed to `Pause` or `Delete` the QR Code when the event has concluded or the QR code is no longer in use. To do this, navigate to the `Active` tab, locate the QR code and click `Details`, select the three dots below the `Download` button, and click `Pause` or `Delete`.

#### Steps to Generating a QR Code

For video instructions, [please see here](https://youtu.be/e4X9Dg_1rmA).

1. Make a copy of the GitLab branded [Google Form](https://docs.google.com/forms/d/1zLqYmfC-yfFQagTri4QIOkExu8Z2IN80s-R7tGJB4E4/edit). *Ensure you are logged into your GitLab Google account in order to access the form.*
1. Proceed to fill in all required information including:
    - Event title
    - Event description (optional)
1. Proceed to fill in all required information you'd like to collect from participants. If you are using the QR code for lead collecting purposes, please include the following fields (remember to make all fields mandatory):
    - First Name
    - Last Name
    - Email Address
    - Phone Number (optional)
    - Title
    - Company
    - Country
    - State/Province for US and Canada only (if you are not located in the US or Canada, please respond with n/a)
1. If you are collecting addresses for a swag or raffle send, please make sure to add the following verbiage to your form - `By giving us your address, you are giving us permission to mail items to your home or office. We will not use this data for any other purposes.`
1. Integrate your Google Form with your planning spreadsheet
    - With an established Planning Spreadsheet for your event (preferred method)
      - Navigate to the `responses` tab of your Google form
      - Select the 3-button stop sign icon
      - Click `Select response destination`
      - Click `Select existing spreadsheet`
      - Choose the established Planning Spreadsheet from your Google Drive
      - Select `Ok`
      - Now the established Planning Spreadsheet will be linked to your Google form
    - Without an established Planning Spreadsheet
      - Navigate to the `responses` tab of your Google form
      - Select the 3-button stop sign icon
      - Select `Create a new spreadsheet` and title the spreadsheet
      - Click `Create`
      - Now the newly created spreadsheet will be linked to your Google form
1. Create your QR Code and link your Google Form
    - Navigate to the [QR Code Generator](https://login.qr-code-generator.com/) website and log in using the password found in the Marketing 1Pass
    - In the upper right-hand corner of the screen select `Create QR Code`
    - Select your QR Code `Type`
    - Click `Next` at the bottom of the page
    - Fill out QR Code Title & Description
1. Create your QR code with the following design specs:
    - **Frame:** If adding a frame, enter `#171321` ([Charcoal](https://design.gitlab.com/brand-design/color#primary-color-palette)) for the frame color.
      - This color ensures proper contrast (other brand approved colors can be used, but no need to get fancy with gradients or anything)
    - **QR code:** Select `More Options`.
      - `Code color:` Enter `#171321` for the code color and `#FFFFFF` for the background color.
      - `Shape style:` Select the dotted code (third selection from left).
      - `Edges:` Select the option with two curved corners (fourth selection from the left on the top row). Adjust the outer and inner color to `#171321`.
    - **Logo:** Select the solid Charcoal tanuki. This tanuki has a transparent background and should be the only logo placed for the center of the QR code.
    - **NOTE:** Keep the design/shape of the QR code within the brand aesthetic (no odd or unorganized shapes).
    - **NOTE:** When placing the QR code into your collateral, the [design team](/handbook/marketing/brand-and-product-marketing/design/) advises that it should be no smaller than 1" x 1" for efficient scanning.
    - ![QR code styling](/handbook/marketing/events/qr-code-handbook.png)
1. Add in URL link to CTA. Example CTAs listed below:

    ```text
        1. Survey Links

        2. Gated Collateral Piece

        3. GitLab landing pages

        4. Video

        5. Code Challenge landing page

        6. Eventbrite Registration Page for ancillary event
   ```

1. Generate and save as a PDF, jpg, or ai file
1. Test QR Code personally and send to at least 1 teammate to confirm the QR Code is live and analytics are being collected in the QR Code Generator portal.
1. Due to our current account subscription only allowing 50 active QR Codes, please proceed to Pause or Delete the QR Code when the event has concluded or the QR code is no longer in use. To do this, navigate to the Active tab, locate the QR Code and click Details, select the three dots below the Download button, and click Pause or Delete.

### AMER Field Marketing Badge and Event Check-In Process

#### Items to Purchase

*When purchasing badges, make sure to check the badge holders you wish to purchase to see if they include badge paper. Many kits do, but some do not. If purchasing paper separately, make sure your badge paper is the same size as your badge holder (generally 3x4). Please note these items do not need to be purchased through Avery directly, cheaper purchasing options include stores like Staples, Amazon, and Office Depot.*

- [Badge Carrying Case for 3x4 badges](https://www.pcnametag.com/redi-reg2-badge-case-orreg.html?gclid=EAIaIQobChMI8vnJmoik5QIVGJSzCh3Gxw9oEAQYBSABEgIQZfD_BwE) - Optional
- [Speaker Ribbons](https://www.namebadgeproductions.com/product/4648/4-stick-n-stack-horizontal-ribbons) - Optional
- Badge Paper and Badge Holder Options (3x4)
  - [Avery Badge Paper Only](https://www.avery.com/products/namebadges/5392)
  - [Avery Magnetic Badge Holders with Badge Paper](https://www.avery.com/products/namebadges/8781)
  - [Amazon Magnetic Badge Holders (with 1 clip lanyard option as well) WITHOUT Badge Paper](https://www.amazon.com/gp/product/B07MLQCHBV/)
  - [Avery Clip Badge Holders with Badge Paper](https://www.avery.com/products/namebadges/74541)
  - [Avery Badge Holders for 1 Clip Lanyards WITHOUT Badge Paper](https://www.avery.com/products/namebadges/74471)
  - [Avery Badge Holders for 2 Clip Lanyards with Badge Paper](https://www.avery.com/products/namebadges/74459)

#### SFDC Registration Data Pull

- Log into SFDC, click Reports and search for `Name Tag Export` in the `Field Marketing` folder, or go to this [link](https://gitlab.my.salesforce.com/00O4M000004aIM0).
- Update `Select Campaign` by clicking the lookup next to the field
- Find the campaign that has members you need to export
- Click `Run Report`
- This generates a report with everyone who has registered for the event.
- Click `Export Details`
- Under the `Export File Format` field, select either `Excel Format` or `Comma Delimited` (whichever works best on your laptop)
- This will create a downloaded file of registered members. From here, copy and paste into a Google sheets document and make any corrections to capitalization, spelling errors, etc. This document will be utilized when creating the badge template so remember to also filter alphabetically by last name. If you will be checking off attendees utilizing this spreadsheet, remember to add a check-in column as well.

#### Avery Template

- Go to avery.com and log in with the events login found in the Marketing 1pass
- Under `Templates` select `Avery Design & Print`
- Click `Start Designing`
- Under `Quick Search`, type in the badge number found on the box of your previously purchased Avery paper (links provided in `Items to Purchase` above)
- Select either one-sided or two-sided (if you intend to print on the back of the badge) and click `Select this Template`
- At the top of the page select `Apply from a Saved Project`
- Click `Select and Customize` on the horizontal orientation option
- Select the `GitLab Connect` template option with our standard Tanuki logo and click `Apply this Design`
- On the left side of the page, click `Import Data Mail Merge`
- Select `Replace Spreadsheet` and `Browse for File`
- Select your previously downloaded event spreadsheet and click on the fields you would like to include in the badge template (generally first name, last name, organization). Remember to unclick the first row if it contains your headers.
- Click `Next` and then drag and arrange fields to your preference and click `Finish`
- The top right `Navigator` section will allow you to format and make changes to all badges or individual badges
- Format badges accordingly and check all badges for any errors. If you have not purchased a speaker ribbon and would like to indicate speakers on individual badges, this is the stage where you can add details as needed.
- When ready, click `Preview and Print` and `Print it Yourself`
- If everything looks correct, click `Get PDF to Print`
- Remember to save your design to the account or your personal computer
- Click `Open PDF` and print utilizing the Avery badge paper previously purchased
- Separate individual badges, stuff in clear holders/clips that come with the badge paper, and arrange in badge carrying case

#### Spreadsheet Check-in for Event

- Pull the list of attendees the day of the event using the SFDC Registration Data Pull instructions above.
- Add a column to your spreadsheet for attended/no show.
- Check off attendees on the spreadsheet as they check-in.
- Upload lead list after the event using your spreadsheet information.

#### Marketo Check-in App on iPad for Event

- Please review the [Marketo Check-in App Instructions](/handbook/marketing/events/#marketo-check-in-app)
- In order to use the Marketo Check-in App, you must have a wifi connected device.
- Before the event, use your personal Marketo login to log in to the Marketo Check-in App on the iPad and make sure it is working properly and that your event is displayed. NOTE: Your event is pulled into the app 7 days before the event begins and will not show up before this time.
- The Marketo Check-in App will pull attendees in alphabetical order unless the first letter of the attendee's name is not capitalized. Those attendees will show up out of order at the very bottom of the list of names. As a result, it is often faster to check attendees off as attended in a spreadsheet as they come in (see below instructions) and then check them in on the Marketo App after registration.
- A lead list is not required when using the Marketo check-in app as leads are synced directly to the Marketo program.

### Field Marketing Venue Search

For venue search requests, the FMM can open an issue utilizing the [`Venue_Search`](https://gitlab.com/gitlab-com/marketing/field-marketing/issues/new?issuable_template=Venue_Search) template. Follow the instructions to provide event details and assign to the regional FMC.

### Lightning meetings with CXO

At GitLab owned events we will sometimes host 10 minute lightning meetings with the GitLab CXO(s) in attendance. We do this to facilitate many interactions with our leadership in a short amount of time.

#### Process

- Written & verbal announcement is made to audience either prior to the event in the know before you go email or the announcement is made onsite at the event.
- The location should be clearly communicated to the audience as well as the 10 min time limit.
- The DRI for these meetings is responsible for writing down the attendees name and company as attendees arrive to form the queue of folks who will be meeting with the CXO.
- This should be done in the shared google sheet event briefing in a separate tab.
- The DRI can either stay in the room for the duration of the meeting or can step out to continue checking other attendees in.
- With 8 mins left, the DRI should begin to bring the meeting to a close by sensing the flow of the conversation and politely interrupt stating there is time for 1 more question.
- At the 10 minute mark, the DRI will politely cut the meeting off.
- The DRI walks out the attendee and then brings in the next.
- This process continues until the time limit has been reached.

#### Space considerations

- If possible there should be a location separate from the meeting space where the attendees can wait their turn to meet with the CXO.
- Consider offering light snacks and beverages as people wait.
- Have CXO and meeting attendee on the same level, physically, vs. one party sitting higher or standing and vice versa.

#### Things to consider

- If people would just like to meet the CXO and don't need to take the full 10 mins for the meeting that is great! The max time is 10 mins.
- There is no agenda for the 10 min meeting. The DRI for the meetings should quickly research the company via SFDC (if you don't have the SFDC app on your phone, this is a great use case for why it's useful!) gather as much info as quickly possible and relay this info to the CXO. As an example, if there is an enterprise customer next in-line to meet with CXO, let the CXO know. Short brief info, as you won't have much time to relay this info.
- Notes should be taken by the DRI or a designated delegate in the room so the CXO can focus on the meeting. These notes should be added within 48 hours to the person record in SFDC by the DRI note taker. If any next steps were discussed and an action was assigned to someone not in the room, be sure to tag the person who was assigned!

## How to add events to `about.gitlab.com/events`

In an effort to publicly share where people can find GitLab for virtual events and events in-person throughout the world, we have created [about.gitlab.com/events](https://about.gitlab.com/events). This page is to be updated by the person responsible for the event. This page is now managed through [Contentful](/handbook/marketing/digital-experience/contentful-cms/). To add your event to the page or make any changes to existing events, please see the instructions [here](/handbook/marketing/digital-experience/contentful-cms/editing-content/#adding-an-event-to-the-events-page).

## Creating a Marketo Landing Page

[This has been moved to the Landing Page handbook page to focus on conversion best practices and add details for page creation](/handbook/marketing/demand-generation/campaigns/landing-pages)

## Email Process for Events

For corporate conferences, we will send emails in accordance with the standards set [here](https://docs.google.com/spreadsheets/d/1aTCrUlc87BDLAqqAju7ZEbL8Wu0VZNfWd1MhdAccRDA/edit?usp=sharing) and summarized below:

- Tier 1:
  - 1 pre-event email
  - 1 post show follow-up email
  - Customer newsletter blurb

- Tier 2:
  - Built-in generic event newsletter blurb
  - 1 post show follow-up email
  - IF ancillary event: 1 pre-event email

- Tier 3:
  - Built-in generic event newsletter blurb
  - 1 post show follow-up email (if we get leads back)

[Please see Emails & Nurture handbook page for in-depth details on email marketing](/handbook/marketing/lifecycle-marketing/emails-nurture)

## Speaking at events

If you're looking for information about speaking at an events head over to our [Corporate Communications page](/handbook/marketing/corporate-communications/speaking-resources/) for complete details.

### Paying for Speaker travel

At times, GitLab may offer to pay for a person's travel if they will be speaking about their usage of GitLab at an event.

There is no contract that needs to be in place in order for payment to happen. The GitLab team member should do the following:

#### Option A

1. Ensure that the expense is accounted for in a line items within [Allocadia](/handbook/marketing/strategy-performance/allocadia/). The spend type should default to what was selected at the `Sub-Category` level.
1. Open a [Coupa virtual card](/handbook/business-technology/enterprise-applications/guides/coupa-virtual-cards/#what-is-virtual-card) for the amount of money you believe will need to be on the card to account for the trip.
   - Take into consideration airfare, car service, hotel stay, and dining.
   - Ensure you've added the correct Allocadia ID to the virtual card.
1. Once the virtual card has been created, share the card number with the speaker and ask that the speaker use this card for all travel related items where possible.
   - Also recommend to the speaker to add the virtual card to their digital wallet that will allow them to tap and pay from their mobile device without having a physical card.
1. Supporting documentation - could be an email that confirms this person will travel for GitLab - should be uploaded for the Coupa card to be created.

##### Hotel stay

While we would like for the hotel to be secured using the Coupa Virtual Card as well, at times a hotel may ask for a physical card to be provided upon check-in for incidentals. The speaker may either present their own card and then apply for reimbursement OR a GitLab team member may provide their own credit card.

If the GitLab team member provides their own card, then the expense should be accounted for in the following way upon submitting the expense report:

1. Category = Marketing Field Events OR Brand Marketing - depending on if you are in Field Marketing vs. another group in marketing - by selecting one of these categories, it puts the expense in the program spend bucket vs. the employee travel bucket within the financial systems.
1. Classification = MUST add the Allocadia ID that has been created in NetSuite for this event

#### Option B

The speaker would like to pay for everything themselves and would like for GitLab to reimburse them.

In this case the speaker will need to complete a [reimbursement form](https://docs.google.com/spreadsheets/d/1CxJMQ06GK_DCqihVaZ0PXxNhumQYzgG--nw_ibPV0XA/edit#gid=0) and submit with receipts back to GitLab. GitLab will pay immediately upon receipt.

## Virtual Events

- See [virtual event best practices guide](/handbook/marketing/virtual-events/#best-practices). Includes best practices for running a virtual event, tips for speakers, attendees, partners, and speakers.
