---
title: Event Requirements
description: "Guidelines for lead data collected from third party events."
---

## GitLab's data requirements for third party events and programs

In order for GitLab to help justify investments related to event and program partnerships, we must maintain a quality standard for the prospects we obtain as a result of those partnerships. While it's understandable that each partnership has its own unique goals, the Marketing Team's primary goal is to maintain a steady flow of quality prospects for the Sales team. The following is a series of requirements the Marketing team has determined must be understood by both parties before finalization of any program contracts:

### Lead data we deem overall mandatory across events and programs

* First and Last Name
* Email Address (work email is best, but obtain what is possible)
* Job Titles
* Name of Employer
* Country of Residence
* State/Province of residence (United States and Canada only)
* Communication agreement : Has the lead agreed to be contacted by first party and or third party, or at all?

### Lead data we deem "nice to have", but not mandatory across events and programs

* Employer's employee count (An integer or range is acceptable. GitLab's target company ranges are `1-99`, `100-499`, `500-1,999`, `2,000-9,999` and `10,000+`)
* Lead's city of residence
* Lead's work phone number

### Requirements of different event and program types

### In-Person Events and Programs

* What is the expected timeline to distribute lead data to partners?
* What is the guaranteed number of registrants being pursued?
* What are the targeted business personas/roles being pursued for registrants?
* Is there a guaranteed compliance with specific and or global privacy laws, e.g. GDPR?

### Virtual Events and Programs

* What is the expected timeline to distribute lead data to partners?
* If not a one-time data delivery, what is the expected cadence of additional data?
* What is the guaranteed number of registrants being pursued?
* What are the targeted business personas/roles being pursued for registrants?
* Is there a guaranteed compliance with specific and or global privacy laws, e.g. GDPR?
* What are the SEO guidelines being utilized by the team to develop a steady stream of registrant activity?

### Content Syndication Programs

* What is the expected timeline to distribute lead data to partners?
* If not a one-time data delivery, what is the expected cadence of additional data?
* What is the guaranteed number of registrants being pursued?
* What are the targeted business personas/roles being pursued for registrants?
* Is there a guaranteed compliance with specific and or global privacy laws, e.g. GDPR?
* What are the SEO guidelines being utilized by the team to develop a steady stream of registrant activity?
