---
title: "Field Marketing Epics"
description: "A comprehensive list of all of Field Marketing's epic codes."
---

## Conference (In-Person)

```markdown
<!-- Name this epic: Name of Event - Date of Event -->

## [Main Issue]()

## [Copy Document]() 
   - [Template](https://docs.google.com/document/d/1j43mf7Lsq2AXoNwiygGAr_laiFzmokNCfMHi7KNLjuA/edit)

## Key Details
* **Field Marketing Manager:**
* **Field Marketing Coordinator:**
* **Campaign Type:** Conference
* **Type:** In-Person
* **Official Name:**
* **Campaign Name (SFDC/Marketo name):**
* **[Campaign UTM](https://docs.google.com/spreadsheets/d/12jm8q13e3-JNDbJ5-DBJbSAGprLamrilWIBka875gDI/edit?gid=1101222914#gid=1101222914):** (UTM Formula (all lowercase and no spaces)): date + region + budget holder + campaign/event type + gtm (if applicable - add x if not) + language + campaign name. Example UTM - 20240826_amer_fmm_conference_x_en_dafitc)
* [ ] [**Salesforce Campaign**]()
* [ ] [**Marketo Program**]()

## Key Details for Speaking Session
*If your speaking session will be tracked separately and requires a child SFDC campaign and separate Marketo program from your parent campaign for the event, FMC to specify details below. Also remember to create separate speaking session sub-issues as needed (example - if tracking separately, there should be a lead list issue for the conference and a spearate lead list issue for the speaking session, both referencing their respective Marketo programs).*

* **Campaign Type:** Speaking Session
* **Official Speaking Session Name/Title of Talk:**
* **Date of Speaking Session:**
* **Campaign Name for Speaking Session:**
* **[Campaign UTM](https://docs.google.com/spreadsheets/d/12jm8q13e3-JNDbJ5-DBJbSAGprLamrilWIBka875gDI/edit?gid=1101222914#gid=1101222914):** (UTM Formula (all lowercase and no spaces)): date + region + budget holder + campaign/event type + gtm (if applicable - add x if not) + language + campaign name. Example UTM - 20240826_amer_fmm_conference_x_en_dafitc)
* [ ] [**Salesforce Campaign for Speaking Session**]()
* [ ] [**Marketo Program for Speaking Session**]()

## Sub-Issue Creation
* [ ] [Program Tracking](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=program-tracking) - FMC creates, assigns to FMC
* [ ] [Write Copy Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=write-copy) - FMC creates, assigns to FMM
* [ ] [Email Invitation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_invite) - FMC creates one for each invitation requested, assigns to FMM (issue will be triaged)
* [ ] [Follow Up Email issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_followup) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [List Clean and Upload](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=event-clean-upload-list) - FMC creates, assigns to FMM
* [ ] [Optional: FM Pathfactory Asset Upload and Track Creation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=Pathfactory_Request_Template) - FMM creates, assigns to FMC

/label ~"mktg-status::wip" ~"In-Person Conference" ~"Field Marketing"
/confidential
```

## Conference (Virtual)

```markdown
<!-- Name this epic: Name of Event - Date of Event -->

## [Main Issue]()

## [Copy Document]() 
   - [Template](https://docs.google.com/document/d/1j43mf7Lsq2AXoNwiygGAr_laiFzmokNCfMHi7KNLjuA/edit)

## Key Details
* **Field Marketing Manager:**
* **Field Marketing Coordinator:**
* **Campaign Type:** Conference
* **Type:** Virtual
* **Official Name:**
* **Campaign Name (SFDC/Marketo Name):**
* **[Campaign UTM](https://docs.google.com/spreadsheets/d/12jm8q13e3-JNDbJ5-DBJbSAGprLamrilWIBka875gDI/edit?gid=1101222914#gid=1101222914):** (UTM Formula (all lowercase and no spaces)): date + region + budget holder + campaign/event type + gtm (if applicable - add x if not) + language + campaign name. Example UTM - 20240826_amer_fmm_conference_x_en_dafitc)
* [ ] [**Salesforce Campaign**]()
* [ ] [**Marketo Program**]()

## Key Details for Speaking Session
*If your speaking session will be tracked separately and requires a child SFDC campaign and separate Marketo program from your parent campaign for the event, FMC to specify details below. Also remember to create separate speaking session sub-issues as needed (example - if tracking separately, there should be a lead list issue for the conference and a spearate lead list issue for the speaking session, both referencing their respective Marketo programs).*

* **Campaign Type:** Speaking Session
* **Official Speaking Session Name/Title of Talk:**
* **Date of Speaking Session:**
* **Campaign Name for Speaking Session:**
* **[Campaign UTM](https://docs.google.com/spreadsheets/d/12jm8q13e3-JNDbJ5-DBJbSAGprLamrilWIBka875gDI/edit?gid=1101222914#gid=1101222914):** (UTM Formula (all lowercase and no spaces)): date + region + budget holder + campaign/event type + gtm (if applicable - add x if not) + language + campaign name. Example UTM - 20240826_amer_fmm_conference_x_en_dafitc)
* [ ] [**Salesforce Campaign for Speaking Session**]()
* [ ] [**Marketo Program for Speaking Session**]()

## Sub-Issue Creation
* [ ] [Program Tracking](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=program-tracking) - FMC creates, assigns to FMC
* [ ] [Write Copy Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=write-copy) - FMC creates, assigns to FMM
* [ ] [Follow Up Email issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_followup) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [List Clean and Upload](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=event-clean-upload-list) - FMC creates, assigns to FMM
* [ ] [Optional: FM Pathfactory Asset Upload and Track Creation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=Pathfactory_Request_Template) - FMM creates, assigns to FMC

/label ~"mktg-status::wip" ~"Virtual Conference" ~"Field Marketing"
/confidential
```

## Conference (Hybrid)

```markdown
<!-- Name this epic: Name of Event - Date of Event -->

## [Main Issue]()

## [Copy Document]() 
   - [Template](https://docs.google.com/document/d/1j43mf7Lsq2AXoNwiygGAr_laiFzmokNCfMHi7KNLjuA/edit)

## Key Details
* **Field Marketing Manager:**
* **Field Marketing Coordinator:**
* **Campaign Type:** Conference
* **Type:** Hybrid
* **Official Name:**
* **Campaign Name (SFDC/Marketo name):**
* **[Campaign UTM](https://docs.google.com/spreadsheets/d/12jm8q13e3-JNDbJ5-DBJbSAGprLamrilWIBka875gDI/edit?gid=1101222914#gid=1101222914):** (UTM Formula (all lowercase and no spaces)): date + region + budget holder + campaign/event type + gtm (if applicable - add x if not) + language + campaign name. Example UTM - 20240826_amer_fmm_conference_x_en_dafitc)
* [ ] [**Salesforce Campaign**]()
* [ ] [**Marketo Program**]()

## Key Details for Speaking Session
*If your speaking session will be tracked separately and requires a child SFDC campaign and separate Marketo program from your parent campaign for the event, FMC to specify details below. Also remember to create separate speaking session sub-issues as needed (example - if tracking separately, there should be a lead list issue for the conference and a spearate lead list issue for the speaking session, both referencing their respective Marketo programs).*

* **Campaign Type:** Speaking Session
* **Official Speaking Session Name/Title of Talk:**
* **Date of Speaking Session:**
* **Campaign Name for Speaking Session:**
* **[Campaign UTM](https://docs.google.com/spreadsheets/d/12jm8q13e3-JNDbJ5-DBJbSAGprLamrilWIBka875gDI/edit?gid=1101222914#gid=1101222914):** (UTM Formula (all lowercase and no spaces)): date + region + budget holder + campaign/event type + gtm (if applicable - add x if not) + language + campaign name. Example UTM - 20240826_amer_fmm_conference_x_en_dafitc)
* [ ] [**Salesforce Campaign for Speaking Session**]()
* [ ] [**Marketo Program for Speaking Session**]()

## Sub-Issue Creation
* [ ] [Program Tracking](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=program-tracking) - FMC creates, assigns to FMC
* [ ] [Write Copy Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=write-copy) - FMC creates, assigns to FMM
* [ ] [Email Invitation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_invite) - FMC creates one for each invitation requested, assigns to FMM (issue will be triaged)
* [ ] [Follow Up Email issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_followup) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [List Clean and Upload](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=event-clean-upload-list) - FMC creates, assigns to FMM
* [ ] [Optional: FM Pathfactory Asset Upload and Track Creation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=Pathfactory_Request_Template) - FMM creates, assigns to FMC

/label ~"mktg-status::wip" ~"Hybrid Conference" ~"Field Marketing"
/confidential
```

## Content Syndication

```markdown
<!-- Name this epic: Name of Content - Launch - End Date of Content -->

## [Main Issue]()

## [Copy Document]() 
   - [Template](https://docs.google.com/document/d/1j43mf7Lsq2AXoNwiygGAr_laiFzmokNCfMHi7KNLjuA/edit)

## Key Details
* **Field Marketing Manager:**
* **Field Marketing Coordinator:**
* **Campaign Type:** Content Syndication
* **Content Name:**
* **Content Type:** (Whitepaper, eBook, Report, Video, or General)
* **Campaign Name (SFDC/Marketo Name):**
* **[Campaign UTM](https://docs.google.com/spreadsheets/d/12jm8q13e3-JNDbJ5-DBJbSAGprLamrilWIBka875gDI/edit?gid=1101222914#gid=1101222914):** (UTM Formula (all lowercase and no spaces)): date + region + budget holder + campaign/event type + gtm (if applicable - add x if not) + language + campaign name. Example UTM - 20240826_amer_fmm_conference_x_en_dafitc)
* [ ] [**Salesforce Campaign**]()
* [ ] [**Marketo Program**]()

## Sub-Issue Creation
* [ ] [Program Tracking](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=program-tracking) - FMC creates, assigns to FMC
* [ ] [List Clean and Upload Issue](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=event-clean-upload-list) - FMC creates, assigns to FMM
* [ ] [Optional: ABM Request for LinkedIn Ads](https://gitlab.com/gitlab-com/marketing/account-based-strategy/account-based-marketing/-/issues/new?issuable_template=abm_fieldmarketing_campaign_request) - FMM creates, assigns based on template instructions
* [ ] [Optional: FM Pathfactory Asset Upload and Track Creation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=Pathfactory_Request_Template) - FMM creates, assigns to FMC

/label ~"mktg-status::wip" ~"Content Syndication" ~"Field Marketing"
/confidential
```

## Direct Mail

```markdown
<!-- Name this epic: Name of Tactic - Launch - End Date of Tactic -->

## [Main Issue]()

## [Copy Document]() 
   - [Template](https://docs.google.com/document/d/1j43mf7Lsq2AXoNwiygGAr_laiFzmokNCfMHi7KNLjuA/edit)

## [Landing Page]() - `to be added when live`

## Key Details
* **Field Marketing Manager:**
* **Field Marketing Coordinator:**
* **Campaign Type:** Direct Mail
* **Tactic Name:**
* **Campaign Name (SFDC/Marketo Name):**
* **[Campaign UTM](https://docs.google.com/spreadsheets/d/12jm8q13e3-JNDbJ5-DBJbSAGprLamrilWIBka875gDI/edit?gid=1101222914#gid=1101222914):** (UTM Formula (all lowercase and no spaces)): date + region + budget holder + campaign/event type + gtm (if applicable - add x if not) + language + campaign name. Example UTM - 20240826_amer_fmm_conference_x_en_dafitc)
* [ ] [**Salesforce Campaign**]()
* [ ] [**Marketo Program**]()

## Sub-Issue Creation
* [ ] [Program Tracking](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=program-tracking) - FMC creates, assigns to FMC
* [ ] [Write Copy Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=write-copy) - FMC creates, assigns to FMM
* [ ] [Marketo Landing Page & Automation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_mkto_landing_page) - FMC creates, assigns FMM (issue will be triaged)
* [ ] [Email Invitation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_invite) - FMC creates one for each invitation requested, assigns to FMM (issue will be triaged)
* [ ] [Email Reminder Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_reminder) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [Follow Up Email issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_followup) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [List Clean and Upload](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=event-clean-upload-list) - FMC creates, assigns to FMM
* [ ] [Optional: ABM Request for LinkedIn Ads](https://gitlab.com/gitlab-com/marketing/account-based-strategy/account-based-marketing/-/issues/new?issuable_template=abm_fieldmarketing_campaign_request) - FMM creates, assigns based on template instructions

/label ~"mktg-status::wip" ~"Direct Mail" ~"Field Marketing"
/confidential
```

## Executive Roundtable

```markdown
<!-- Name this epic: Name of Event - Date of Event -->

## [Main Issue]()

## [Copy Document]() 
   - [Template](https://docs.google.com/document/d/1j43mf7Lsq2AXoNwiygGAr_laiFzmokNCfMHi7KNLjuA/edit)

## [Landing Page]() - `to be added when live`

## Key Details
* **Field Marketing Manager:**
* **Field Marketing Coordinator:**
* **Campaign Type:** Executive Roundtable
* **Type:** (In-Person, Virtual or Hybrid)
* **Official Name:**
* **Campaign Name (SFDC/Marketo Name):**
* **[Campaign UTM](https://docs.google.com/spreadsheets/d/12jm8q13e3-JNDbJ5-DBJbSAGprLamrilWIBka875gDI/edit?gid=1101222914#gid=1101222914):** (UTM Formula (all lowercase and no spaces)): date + region + budget holder + campaign/event type + gtm (if applicable - add x if not) + language + campaign name. Example UTM - 20240826_amer_fmm_conference_x_en_dafitc)
* [ ] [**Salesforce Campaign**]()
* [ ] [**Marketo Program**]()

## Sub-Issue Creation
* [ ] [Program Tracking](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=program-tracking) - FMC creates, assigns to FMC
* [ ] [Write Copy Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=write-copy) - FMC creates, assigns to FMM
* [ ] [Marketo Landing Page & Automation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_mkto_landing_page) - FMC creates, assigns FMM (issue will be triaged)
* [ ] [Email Invitation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_invite) - FMC creates one for each invitation requested, assigns to FMM (issue will be triaged)
* [ ] [Email Reminder Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_reminder) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [Follow Up Email issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_followup) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [List Clean and Upload](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=event-clean-upload-list) - FMC creates, assigns to FMM
* [ ] [Optional: FM Pathfactory Asset Upload and Track Creation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=Pathfactory_Request_Template) - FMM creates, assigns to FMC

/label ~"mktg-status::wip" ~"Executive Roundtable" ~"Field Marketing"
/confidential
```

## Meeting Setting

```markdown
<!-- Name this epic: Name of Event - Date of Event -->

## [Main Issue]()

## [Copy Document]() 
   - [Template](https://docs.google.com/document/d/1j43mf7Lsq2AXoNwiygGAr_laiFzmokNCfMHi7KNLjuA/edit)

## [Landing Page]() - `to be added when live`

## Key Details
* **Field Marketing Manager:**
* **Field Marketing Coordinator:**
* **Campaign Type:** Conference (Meeting Setting does not have its own campaign type)
* **Type:** (In-Person, Virtual or Hybrid)
* **Official Name:**
* **Campaign Name (SFDC/Marketo Name):**
* **[Campaign UTM](https://docs.google.com/spreadsheets/d/12jm8q13e3-JNDbJ5-DBJbSAGprLamrilWIBka875gDI/edit?gid=1101222914#gid=1101222914):** (UTM Formula (all lowercase and no spaces)): date + region + budget holder + campaign/event type + gtm (if applicable - add x if not) + language + campaign name. Example UTM - 20240826_amer_fmm_conference_x_en_dafitc)
* [ ] [**Salesforce Campaign**]()
* [ ] [**Marketo Program**]()

## Sub-Issue Creation
* [ ] [Program Tracking](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=program-tracking) - FMC creates, assigns to FMC
* [ ] [Write Copy Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=write-copy) - FMC creates, assigns to FMM
* [ ] [Marketo Landing Page & Automation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_mkto_landing_page) - FMC creates, assigns FMM (issue will be triaged)
* [ ] [Email Invitation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_invite) - FMC creates one for each invitation requested, assigns to FMM (issue will be triaged)
* [ ] [Email Reminder Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_reminder) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [Follow Up Email issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_followup) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [List Clean and Upload](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=event-clean-upload-list) - FMC creates, assigns to FMM


/label ~"mktg-status::wip" ~"Meeting Setting" ~"Field Marketing"
/confidential
```

## Owned Events

```markdown
<!-- Name this epic: Name of Event - Date of Event -->

## [Main Issue]()

## [Copy Document]() 
   - [Template](https://docs.google.com/document/d/1j43mf7Lsq2AXoNwiygGAr_laiFzmokNCfMHi7KNLjuA/edit)

## [Landing Page]() - `to be added when live`

## Key Details
* **Field Marketing Manager:**
* **Field Marketing Coordinator:**
* **Campaign Type:** Owned Event
* **Type:** (In-Person, Virtual or Hybrid)
* **Official Name:**
* **Campaign Name (SFDC/Marketo Name):**
* **[Campaign UTM](https://docs.google.com/spreadsheets/d/12jm8q13e3-JNDbJ5-DBJbSAGprLamrilWIBka875gDI/edit?gid=1101222914#gid=1101222914):** (UTM Formula (all lowercase and no spaces)): date + region + budget holder + campaign/event type + gtm (if applicable - add x if not) + language + campaign name. Example UTM - 20240826_amer_fmm_conference_x_en_dafitc)
* [ ] [**Salesforce Campaign**]()
* [ ] [**Marketo Program**]()

## Sub-Issue Creation
* [ ] [Program Tracking](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=program-tracking) - FMC creates, assigns to FMC
* [ ] [Write Copy Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=write-copy) - FMC creates, assigns to FMM
* [ ] [Marketo Landing Page & Automation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_mkto_landing_page) - FMC creates, assigns FMM (issue will be triaged)
* [ ] [Email Invitation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_invite) - FMC creates one for each invitation requested, assigns to FMM (issue will be triaged)
* [ ] [Email Reminder Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_reminder) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [Follow Up Email issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_followup) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [List Clean and Upload](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=event-clean-upload-list) - FMC creates, assigns to FMM
* [ ] [Optional: ABM Request for LinkedIn Ads](https://gitlab.com/gitlab-com/marketing/account-based-strategy/account-based-marketing/-/issues/new?issuable_template=abm_fieldmarketing_campaign_request) - FMM creates, assigns based on template instructions
* [ ] [Optional: FM Pathfactory Asset Upload and Track Creation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=Pathfactory_Request_Template) - FMM creates, assigns to FMC


/label ~"mktg-status::wip" ~"Owned Event" ~"Field Marketing"
/confidential
```

## Sponsored Webcast

```markdown
<!-- Name this epic: Name of Event - Date of Event -->

## [Main Issue]()

## [Copy Document]() 
   - [Template](https://docs.google.com/document/d/1j43mf7Lsq2AXoNwiygGAr_laiFzmokNCfMHi7KNLjuA/edit)

## Key Details
* **Field Marketing Manager:**
* **Field Marketing Coordinator:**
* **Campaign Type:** Sponsored Webcast
* **Official Name:**
* **Campaign Name (SFDC/Marketo Name):**
* **[Campaign UTM](https://docs.google.com/spreadsheets/d/12jm8q13e3-JNDbJ5-DBJbSAGprLamrilWIBka875gDI/edit?gid=1101222914#gid=1101222914):** (UTM Formula (all lowercase and no spaces)): date + region + budget holder + campaign/event type + gtm (if applicable - add x if not) + language + campaign name. Example UTM - 20240826_amer_fmm_conference_x_en_dafitc)
* [ ] [**Salesforce Campaign**]()
* [ ] [**Marketo Program**]()

## Sub-Issue Creation
* [ ] [Program Tracking](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=program-tracking) - FMC creates, assigns to FMC
* [ ] [Write Copy Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=write-copy) - FMC creates, assigns to FMM
* [ ] [Email Invitation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_invite) - FMC creates one for each invitation requested, assigns to FMM (issue will be triaged)
* [ ] [Email Reminder Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_reminder) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [Follow Up Email issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_followup) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [List Clean and Upload](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=event-clean-upload-list) - FMC creates, assigns to FMM
* [ ] [Optional: FM Pathfactory Asset Upload and Track Creation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=Pathfactory_Request_Template) - FMM creates, assigns to FMC

/label ~"mktg-status::wip" ~"Webcast - Sponsored" ~"Field Marketing"
/confidential
```

## Survey

```markdown
<!-- Name this epic: Name of Tactic - Launch - End Date of Tactic -->

## [Main Issue]()

## [Copy Document]() 
   - [Template](https://docs.google.com/document/d/1j43mf7Lsq2AXoNwiygGAr_laiFzmokNCfMHi7KNLjuA/edit)

## [Landing Page]() - `to be added when live`

## Key Details
* **Field Marketing Manager:**
* **Field Marketing Coordinator:**
* **Campaign Type:** Survey
* **Tactic Name:**
* **Campaign Name (SFDC/Marketo Name):**
* **[Campaign UTM](https://docs.google.com/spreadsheets/d/12jm8q13e3-JNDbJ5-DBJbSAGprLamrilWIBka875gDI/edit?gid=1101222914#gid=1101222914):** (UTM Formula (all lowercase and no spaces)): date + region + budget holder + campaign/event type + gtm (if applicable - add x if not) + language + campaign name. Example UTM - 20240826_amer_fmm_conference_x_en_dafitc)
* [ ] [**Salesforce Campaign**]()
* [ ] [**Marketo Program**]()

## Sub-Issue Creation
* [ ] [Program Tracking](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=program-tracking) - FMC creates, assigns to FMC
* [ ] [Write Copy Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=write-copy) - FMC creates, assigns to FMM
* [ ] [Marketo Landing Page & Automation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_mkto_landing_page) - FMC creates, assigns FMM (issue will be triaged)
* [ ] [Email Invitation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_invite) - FMC creates one for each invitation requested, assigns to FMM (issue will be triaged)
* [ ] [Email Reminder Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_reminder) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [Follow Up Email issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_followup) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [List Clean and Upload](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=event-clean-upload-list) - FMC creates, assigns to FMM
* [ ] [Optional: ABM Request for LinkedIn Ads](https://gitlab.com/gitlab-com/marketing/account-based-strategy/account-based-marketing/-/issues/new?issuable_template=abm_fieldmarketing_campaign_request) - FMM creates, assigns based on template instructions

/label ~"mktg-status::wip" ~"Survey" ~"Field Marketing"
/confidential
```

## Vendor Arranged Meetings

```markdown
<!-- Name this epic: Name of Event - Date of Event -->

## [Main Issue]()

## [Copy Document]() 
   - [Template](https://docs.google.com/document/d/1j43mf7Lsq2AXoNwiygGAr_laiFzmokNCfMHi7KNLjuA/edit)

## Key Details
* **Field Marketing Manager:**
* **Field Marketing Coordinator:**
* **Campaign Type:** Vendor Arranged Meetings
* **Type:** (In-Person, Virtual or Hybrid)
* **Official Name:**
* **Campaign Name (SFDC/Marketo Name):**
* **[Campaign UTM](https://docs.google.com/spreadsheets/d/12jm8q13e3-JNDbJ5-DBJbSAGprLamrilWIBka875gDI/edit?gid=1101222914#gid=1101222914):** (UTM Formula (all lowercase and no spaces)): date + region + budget holder + campaign/event type + gtm (if applicable - add x if not) + language + campaign name. Example UTM - 20240826_amer_fmm_conference_x_en_dafitc)
* [ ] [**Salesforce Campaign**]()
* [ ] [**Marketo Program**]()

## Sub-Issue Creation
* [ ] [Program Tracking](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=program-tracking) - FMC creates, assigns to FMC
* [ ] [Write Copy Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=write-copy) - FMC creates, assigns to FMM
* [ ] [Follow Up Email issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_followup) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [List Clean and Upload](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=event-clean-upload-list) - FMC creates, assigns to FMM

/label ~"mktg-status::wip" ~"Vendor Arranged Meetings" ~"Field Marketing"
/confidential
```

## Workshops

```markdown
<!-- Name this epic: Name of Event - Date of Event -->

## [Main Issue]()

## [Dry Run Agenda]()
   - [Template](https://docs.google.com/document/d/1ePmUc0ZUgO4aip8i3hjkROh2hKIO3WuQ7h0aSl0IsZA/edit)

## [Landing Page]() - `to be added when live`

## [Copy Document]() - `to be added`

Please make a clone of the appropriate workshop copy doc below and create a new copy doc to link above. If you are making changes to the workshp copy that is specific to your particular workshop only, please remember not to remove important workshop notifications that are listed in the existing copy docs, as those are required for all workshops. 

`@lfstucker` is to review and approve all workshop copy, as changes to copy occur often. Please ping `@lfstucker` in the epic to review and approve all workshop copy within a 3 day SLA. If any copy changes are made, the FMC is to ping `@krogel` in the epic to adjust the primary workshop copy docs and Marketo templates.

**PLEASE NOTE: These copy docs are not to be altered by anyone other than `@lfstucker`.**

- [ ] [CI Workshop](https://docs.google.com/document/d/16msOU3xb9G356pAZ04TfyAnnEc7WD09ZAc-6wqEJCrw/edit#heading=h.6vgpxnyb4dh1)
- [ ] [Project Management Workshop](https://docs.google.com/document/d/1cYjIpOEU5gMKVEezQ8SiMrPYkWUk1FWTjx7IWT-Aj5w/edit#heading=h.6vgpxnyb4dh1)
- [ ] [Security & Compliance Workshop](https://docs.google.com/document/d/1ADi1taVk4A9z6CXc0F5uKEyTjwhlPrNf4-f-l_Hb3TE/edit#heading=h.6vgpxnyb4dh1)
- [ ] [AI in DevSecOps Workshop](https://docs.google.com/document/d/1SbAmTTzsYEdvF3Aeo72yAzfBvN7rNRLKPb13SzTeBEA/edit#heading=h.6vgpxnyb4dh1)
- [ ] [GitHub to GitLab Migration Workshop](https://docs.google.com/document/d/15U4unIMX4LxRoIYllk6fNgfBW0Yws3m0Vt4SRABXc4o/edit#heading=h.6vgpxnyb4dh1)
- [ ] [GitLab Basics Workshop](https://docs.google.com/document/d/10TDFA3OrsKyCPXyASCfEydg7luz9XuuucWugf488TTw/edit)

## Key Details
* **Field Marketing Manager:**
* **Field Marketing Coordinator:**
* **Campaign Type:** Workshop
* **Type:** (In-Person, Virtual or Hybrid)
* **Official Name:**
* **Campaign Name (SFDC/Marketo Name):**
* **[Campaign UTM](https://docs.google.com/spreadsheets/d/12jm8q13e3-JNDbJ5-DBJbSAGprLamrilWIBka875gDI/edit?gid=1101222914#gid=1101222914):** (UTM Formula (all lowercase and no spaces)): date + region + budget holder + campaign/event type + gtm (if applicable - add x if not) + language + campaign name. Example UTM - 20240826_amer_fmm_conference_x_en_dafitc)
* [ ] [**Salesforce Campaign**]()
* [ ] [**Marketo Program**]()

## Sub-Issue Creation
Utilize the [Workshop/Webcast SLA Workback Schedule](https://docs.google.com/spreadsheets/d/1YXriQ1clvYyBn-TDbbCVvNP6NEbrAF-0w6tIHKhDeZM/edit?usp=sharing) to calculate the due dates.

### FMC Creates

* [ ] [Program Tracking](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=program-tracking) - FMC creates, assigns to FMC
* [ ] [Dry Run Scheduling Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=webcast_dry_run_scheduling) - FMC creates, assigns to FMC and FMM
* [ ] [Webcast Prep Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=webcast-prep) - FMC creates, assigns to FMM, Lead SA and FMC
* [ ] [Write Copy Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=write-copy) - This issue is only required for workshops where the standard copy in the Marketo template won't be utilized and where new copy will need to be created. - FMC creates, assigns to FMM
* [ ] [Marketo Landing Page & Automation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_mkto_landing_page) - FMC creates, assigns FMM (issue will be triaged)
* [ ] [Email Invitation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_invite) - FMC creates one for each invitation requested, assigns to FMM (issue will be triaged)
* [ ] [Email Reminder Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_reminder) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [Follow Up Email issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_followup) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [List Clean and Upload](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=event-clean-upload-list) - Zoom integration automatically uploads the registrants and their attendance status to SFDC but any notes, Q&A, etc. need to be added via this upload issue  - FMC creates, assigns to FMM

### FMM Creates

* [ ] [Zoom License Request](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_zoom_license_date) - NOTE: This is only needed for virtual workshops. This issue should be submitted and confirmed prior to the epic being opened. Do not open epic if this issue has not been created and the date for the workshop has not been confirmed on the webcast calendar by the FMC. - FMM creates, assigns to FMC
* [ ] [Optional: Organic Social Issue](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=social-gtm-organic) - FMM creates, assigns to FMM and Social Team
* [ ] [Optional: ABM Request for LinkedIn Ads](https://gitlab.com/gitlab-com/marketing/account-based-strategy/account-based-marketing/-/issues/new?issuable_template=abm_fieldmarketing_campaign_request) - FMM creates, assigns based on template instructions
* [ ] [Optional: FM Pathfactory Asset Upload and Track Creation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=Pathfactory_Request_Template) - FMM creates, assigns to FMC

/label ~"mktg-status::wip" ~"FM Workshop" ~"Field Marketing"
/confidential
```

## Webcasts

```markdown
<!-- Name this epic: Name of Event - Date of Event -->

## [Main Issue]()

## [Copy Document]() 
   - [Template](https://docs.google.com/document/d/1j43mf7Lsq2AXoNwiygGAr_laiFzmokNCfMHi7KNLjuA/edit)

## [Dry Run Agenda]() 
   - [Template](https://docs.google.com/document/d/1vrdOEV4fbl5bzYpqQcCFnMN6QjuCIc0nRfilP3IvCfM/edit#heading=h.qv152nkfuvce)

## [Landing Page]() - `to be added when live`

## Key Details
* **Field Marketing Manager:**
* **Field Marketing Coordinator:**
* **Campaign Type:** Webcast
* **Official Name:**
* **Campaign Name (SFDC/Marketo Name):**
* **[Campaign UTM](https://docs.google.com/spreadsheets/d/12jm8q13e3-JNDbJ5-DBJbSAGprLamrilWIBka875gDI/edit?gid=1101222914#gid=1101222914):** (UTM Formula (all lowercase and no spaces)): date + region + budget holder + campaign/event type + gtm (if applicable - add x if not) + language + campaign name. Example UTM - 20240826_amer_fmm_conference_x_en_dafitc)
* [ ] [**Salesforce Campaign**]()
* [ ] [**Marketo Program**]()

## Sub-Issue Creation
Utilize the [Workshop/Webcast SLA Workback Schedule](https://docs.google.com/spreadsheets/d/1YXriQ1clvYyBn-TDbbCVvNP6NEbrAF-0w6tIHKhDeZM/edit?usp=sharing) to calculate the due dates. `All Webcasts will be -45 day SLA webcasts since they require all new content.`

### FMC Creates

* [ ] [Program Tracking](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=program-tracking) - FMC creates, assigns to FMC
* [ ] [Webcast Prep Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=webcast-prep) - FMC creates, assigns to FMM and FMC
* [ ] [Dry Run Scheduling Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=webcast_dry_run_scheduling) - FMC creates, assigns to FMC and FMM
* [ ] [Write Copy Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=write-copy) - FMC creates, assigns to FMM
* [ ] [Marketo Landing Page & Automation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_mkto_landing_page) - FMC creates, assigns FMM (issue will be triaged)
* [ ] [Email Invitation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_invite) - FMC creates one for each invitation requested, assigns to FMM (issue will be triaged)
* [ ] [Email Reminder Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_reminder) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [Follow Up Email issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_email_followup) - FMC creates, assigns to FMM (issue will be triaged)
* [ ] [List Clean and Upload](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=event-clean-upload-list) - Zoom integration automatically uploads the registrants and their attendance status to SFDC but any notes, Q&A, etc. need to be added via this upload issue  - FMC creates, assigns to FMM

### FMM Creates

* [ ] [Zoom License Request](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_zoom_license_date) - NOTE: This should be submitted and confirmed prior to the epic being opened. Do not open epic if this issue has not been created and the date for the webcast has not been confirmed on the webcast calendar by the FMC. - FMM creates, assigns to FMC
* [ ] [Optional: Organic Social Issue](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=social-gtm-organic) - FMM creates, assigns to FMM and Social Team
* [ ] [Optional: ABM Request for LinkedIn Ads](https://gitlab.com/gitlab-com/marketing/account-based-strategy/account-based-marketing/-/issues/new?issuable_template=abm_fieldmarketing_campaign_request) - FMM creates, assigns based on template instructions
* [ ] [Optional: FM Pathfactory Asset Upload and Track Creation Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=Pathfactory_Request_Template) - FMM creates, assigns to FMC

/label ~"mktg-status::wip" ~"Webcast - GitLab Hosted" ~"Field Marketing"
/confidential
```
