---
title: "Field Marketing Owned Virtual Events"
description: "Step by Step instructions for Field Marketers on how to set up various owned virtual events."
---

## Overview of Zoom Virtual Event Types

## Hosted on Personal Zoom Accounts

### Personal Zoom Capacity

This type of event is generally recommended for smaller virtual events (200 attendees max) and allows you to break the audience into smaller groups during the event. Attendees are able to be interactive in this event type, having the option to share both audio/video if allowed by the host. We can track registration, but there is NO Marketo integration, which requires manual list upload to Marketo post-event.

Please note this option does not allow for registration to be capped. You can require approval, but Zoom doesn't allow customization of the rejection email (and it isn't clear if a rejection email is even sent).

#### Owned Events Hosted on Personal Zoom Accounts

This is a light-weight virtual event that is [hosted on any team member's personal Zoom](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#owned-events-hosted-on-personal-zoom-accounts-1).

#### Virtual Lunch and Learn Session (Owned Events)

A Virtual Lunch and Learn sessions is another type of light-weight account-centric event that is hosted on a team member's personal zoom account. The sessions are informal online meetings that take place during break or lunchtime and focus on specific topics, educate and raise product and brand awareness. Lunch and learn sessions usually last 45 minutes to an hour, but depending on the topic and attendee dynamics, some sessions may run longer.

##### Goal

In most cases we work closely with an advocate within an account to drive product adoption within their organization. On some occasions, the goal is to introduce GitLab to completely new audiences (prospect accounts) in an interactive and educational way.

##### Best Practices

1. The FMM works with the account team (SAL, AE, SA, TAM) to determine accounts to be targeted and choose the relevant topic ([currrently vailable topics](https://drive.google.com/drive/folders/1L_kd6QudSWcvAKDM-h6oPvvC6LiNj_ER))
1. The FMM sets up the [event](/handbook/marketing/events/#event-execution) and is hosted on the team member's personal zoom account.
1. Before the Lunch and Learn session, the participants receive an e-voucher (example value $25), uber eat gift card, Just Eat or similar depending on availability in their area. The FMC will coordinate the advanced purchase of these vouchers and send through a [Reachdesk campaign](/handbook/marketing/marketing-operations/#e-gift-cards-and-reward-pass). Small swag items (e.g Stickers and socks) can be sent instead of food vouchers.
1. If budget allows, the participants may receive a GitLab swag gift through a [Reachdesk Landing Page](/handbook/marketing/marketing-operations/#creating-a-landing-page)
1. All participants are followed up by email with session recording and SDR/SALs direct follow-up.

## Hosted on Field Marketing Zoom License

### Virtual Workshops

Field Marketers will work with the Customer Success teams, Product Marketing & Solution Engineers to build various types of [Virtual Workshops](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#virtual-workshops-1), depending on the needs of the region. These Virtual Workshops are designed to accelerate pipeline and attract new customers to GitLab by providing a hands-on experience.

For more information regarding workshop capacities, please review [these details](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#workshop-registration-caps-and-closing-registration).

**Virtual Workshop Links**

- Field Marketing + SA Workshops available to date can be found [here](https://drive.google.com/drive/folders/1qAymFTiXFEk-lRSNreIhaZ6Z62fdo_y2).
- Technical Product Marketing led workshop content is [available here](https://gitlab.com/gitlab-workshops)

#### Virtual Workshop SLA

Note that Virtual Workshops involve the SLA timeline below. Please make sure to provide your [Zoom License Request](https://gitlab.com/gitlab-com/marketing/field-marketing/-/blob/master/.gitlab/issue_templates/request_zoom_license_date.md) within the [SLA timeframe](https://docs.google.com/spreadsheets/d/1YXriQ1clvYyBn-TDbbCVvNP6NEbrAF-0w6tIHKhDeZM/edit#gid=1983708280).

- **Virtual Workshops (-40 business day [SLA](https://docs.google.com/spreadsheets/d/1YXriQ1clvYyBn-TDbbCVvNP6NEbrAF-0w6tIHKhDeZM/edit#gid=1983708280&range=A48))** - These workshops utilize the material from the current workshops that have already been created. For these workshops, you will be re-utilizing all the existing content with either no content changes or *very* minor content adjustments (example - change of title from Advanced CI/CD Workshop to Advanced CI/CD Workshop for the PubSec).

### Webcasts

This is a GitLab-hosted virtual event with [Webcast type](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#webcasts-1) configuration in Zoom. This is the preferred setup for larger GitLab-hosted virtual events (up to 1,000 attendees) that requires registration due to the integration with Marketo for automated lead flow and event tracking. GitLab-hosted webcast type is a single room virtual event that allows multiple hosts. Attendees cannot share audio/video unless manually grated access.

#### Webcast SLA

Please note that all Webcasts are considered webcasts with new content, which means they have a **-45 business day** SLA requirement. If you are considering a Webcast, please make sure to provide your [Zoom License Request](https://gitlab.com/gitlab-com/marketing/field-marketing/-/blob/master/.gitlab/issue_templates/request_zoom_license_date.md) within the [SLA timeframe](https://docs.google.com/spreadsheets/d/1YXriQ1clvYyBn-TDbbCVvNP6NEbrAF-0w6tIHKhDeZM/edit#gid=1983708280).

## Additional Virtual Event Details

For more information on Virtual Event type comparisons, promotion, Zoom capabilities, participant engagement, etc., please visit the [Virtual Events page](/handbook/marketing/virtual-events/). For best practices and instructions on how to set up and run your event using Zoom, please visit the [Self-Service Virtual Events page](/handbook/marketing/virtual-events/self-service-virtual-events/).

## Closed Captioning

When utiling our Zoom webcast license we can either provide manual captioning, or now with Zoom's live transcription feature, we can also automatically provide captions. You will see a `Live Transcript` button at the bottom of your Zoom interface where this feature can be turned on at the beginning of your webinar.

**Please Note:**

1. Only hosts and panelists can provide closed captioning if manually transcribing.
1. The Zoom live transcription feature is only available in English at this time. This feature is relatively accurate if the presenters are speaking clearly and background noise is kept to a minimum.

For more details about Zoom closed captioning, please reference [this Zoom article](https://support.zoom.us/hc/en-us/articles/207279736-Closed-captioning-and-live-transcription) or submit any questions to the `#it_help` Slack channel.

## Zoom > Marketo Integration

When setting up a Zoom-based webcast, keep in mind that the Zoom to Marketo integration can be easily broken by changes to the `date` or `time` of the webcast, which includes going over the allotted time scheduled in Zoom. Zoom support has not specified if other changes will also break the integration, such as changing typos in the webcast name or the description, but it's believed those changes will not break the integration. Keeping this in mind, it is strongly encouraged to triple check every setting and, if necessary, have a second set of eyes on the Zoom webcast and Marketo program *before* completing the integration so we avoid breakages. Additionally, it is a requirement to schedule [at least 45 minutes extra time](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#zoom-configuration-instructions) on top of the desired time alottment in Zoom. This creates a buffer for webinars to go over the advertised scheduled time. Going over the total time of what is set in the Zoom webinar will also break the integration, so please wrap up webinars before the hard limit is reached to avoid problems, or, add an even larger buffer of time during setup.

If it is determined the time needs to be adjusted after the integration has been completed and there is a reasonable amount of time to make changes, please open an issue in the Marketing Ops project using the [bug request](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=bug_request) template to have the webinar changed. A reasonable amount of time should be a minimum of 48 hours, with possibility of action 24 hours before the event, but not guaranteed. If there is not a reasonable amount of time to fix the backend of the webinar or it is apparent the webinar will certainly go over the hard time deadline set in Zoom, please ping MktgOps to turn `off` the `interesting moments` trigger within the campaign and create [an issue](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues) for MktgOps to fix the registration post-event. While MktgOps can fix registration errors caused by going over the hard deadline, they cannot remove incorrectly attributed `interesting moments`.

If your date has changed for the event and have you already set up the integration, please follow [these instructions](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#rescheduling-a-webcast) for rescheduling a webcast.

## Securing a Virtual Workshop or Webcast Date

**DRI: FMM and FMC**

**`NOTE: Please make sure your Webcast or Workshop date is confirmed before starting the below process. Moving a Webcast or Workshop date is extremely time-intensive once setup is complete.`**

The webcast Zoom license can only be used for a single session at a time. This license is used for all field-marketing-run internally hosted webcasts. Therefore, when a webcast is requested please confirm there is not going to be a conflict between the pre-scheduled sessions - both live and dry-run - using that license by checking the [webcast gcal](https://calendar.google.com/calendar?cid=Z2l0bGFiLmNvbV8xcXZlNmc4MWRwOTFyOWhldnRrZmQ5cjA5OEBncm91cC5jYWxlbmRhci5nb29nbGUuY29t). When adding your event to the calendar, a 30 minute buffer is required to be added before and after your event. This 30-minute buffer prevents session conflicts by allowing time for processing on the backend. 30 minutes in between events is the minimum amount of time required, though the preference is 1 hour (if both events have a 30 minute buffer).

- FMM will submit a [Zoom License  Request issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_zoom_license_date).
- FMC will triage the date against the [GitLab-Hosted Webcast Calendar](https://calendar.google.com/calendar?cid=Z2l0bGFiLmNvbV8xcXZlNmc4MWRwOTFyOWhldnRrZmQ5cjA5OEBncm91cC5jYWxlbmRhci5nb29nbGUuY29t) to make sure there is no overlapping virtual event that has been pre-scheduled.
- If the suggested date is feasible, does not over-saturate the calendar, AND the speaker(s) have been secured, the FMC will reserve the date on the calendar and close out the date request issue. For workshops, at a minimum, there needs to be a lead FMM and a lead SA assigned in order for the FMC to be able to secure a date. For webcasts, all speakers must be identified.
- Naming Convention for Calendar - [WC Hosted] `Name of Webcast` or [WS Hosted] `Name of Workshop` and Start-End Time/Time Zone of event (example - 9:00am - 12:00pm PST)
- FMC to create the invite with an additional 30 minutes added to the start time of the webcast and 30 minutes after the end of the webcast. So if your webcast runs 9:00am PST to 12:00pm PST the calendar invite would be set for 8:30am PST - 12:30pm PST.
- FMC will also add the Field Marketing issue link to the invite description (provided by the FMM in the Zoom License Request issue).
- FMC will add the lead SA and FMM to the calendar invite for workshops and FMM and all finalized speakers to the calendar invite for webcasts.
- FMC will uncheck the setting `Modify Event` and `Invite Others` under `Guest Permissions` so invitees are not able to modify the event or add additional guests.

## Securing a Virtual Workshop or Webcast Dry Run Date

**DRI: FMC**

- This will be secured utilizing the [Webcast Dry Run Scheduling Template](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=webcast_dry_run_scheduling)
- This occurs after the initial Zoom setup.
- FMC will triage the date against the [GitLab-Hosted Webcast Calendar](https://calendar.google.com/calendar?cid=Z2l0bGFiLmNvbV8xcXZlNmc4MWRwOTFyOWhldnRrZmQ5cjA5OEBncm91cC5jYWxlbmRhci5nb29nbGUuY29t) to make sure there is no overlapping virtual event that has been pre-scheduled.
- The FMC will schedule a 60 minute dry run.
- Naming Convention for Calendar - [WC Dry Run] `Name of Webcast` or [WS Dry Run] `Name of Workshop` and Start-End Time/Time Zone of dry run (example - 9:00am -  10:00am PST)
- There is no need to add 30 minutes before/after to a dry run event as they generally run 30 minutes and should not take more than 60 minutes.
- Helpful Hint: If you are having trouble finding 60 minutes where everyone is available, try to at least find a time that everyone is open for the first 30 minutes.
- FMC to create the invite utilizing the SLA date from the [SLA Workback Schedule](https://docs.google.com/spreadsheets/d/1YXriQ1clvYyBn-TDbbCVvNP6NEbrAF-0w6tIHKhDeZM/edit#gid=1983708280).
- The FMC will include webcast/workshop team and FMM listed in the Webcast Dry Run Scheduling issue on calendar invite, as well as the epic link and dry run agenda (linked in epic).
- FMC will uncheck the setting `Modify Event` and `Invite Others` under `Guest Permissions` so invitees are not able to modify the event or add additional guests.
- Once the dry run calendar invite is complete, the FMC will also re-visit the main calendar invite for the webcast/workshop and add the additional webcast/workshop team from the Webcast Dry Run Scheduling issue, as well as exchange the issue link for the epic link that should now be created, and add the link for the Dry Run Agenda.
- The FMC will follow [these instructions](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#zoom-configuration-instructions) for adding all staff participants as panelists to the webcast in Zoom. The FMC will then include the individual Zoom links for each participant in the Dry Run Agenda.
- If any changes need to be made to participants, the FMC will need to adjust those participants in both the webcast calendar invite as well as in the Zoom setup.

## Hosting a Dry Run

The Zoom links provided to each staff participant for the webcast will be the same links utilized by each participant to log into the dry run. The dry run does not require a separate Zoom setup or different Zoom participant links. In the Zoom webcast license template we have `enable practice session` selected, which allows us to host a dry run before the actual webcast. You do not have to do anything additional to run the practice session.

## Webcasts

This section focuses on best practices, timelines and logistical set up for a Field Marketing-run Webcasts.

## Ownership of Webcast Tasks

- Project Management in GitLab (epic, issue, timeline creation): FMM/FMC
- GitLab-Hosted Webcast Calendar: FMC
- Zoom setup and integration: FMC
- Landing page and email copy: FMM
- Marketo program, SFDC campaign: FMC
- Landing page, email creation: Marketing Ops
- Host dry run and run day-of event Zoom meeting: FMM

## Webcast Epic Code

**DRI: FMM and FMC**

**Please see webcast epic code [here](/handbook/marketing/field-marketing/field-marketing-epics/#webcasts).**

## Webcast Setup

**`NOTE: Please make sure your Webcast date is confirmed before starting the below process. Moving a Webcast date is extremely time-intensive once setup is complete.`**

### Step 1: Configure Zoom

**DRI: FMC**

**Note:** Configuring Zoom must be completed **before** the Marketo program and SFDC campaign creation.

#### Logging in to the Zoom Webcast Account

To configure Zoom you must be logged in to the Field Marketing Zoom Webcast account. To do this:

- Navigate to zoom.com on your web browser
- Click on `My Account` which will log you into your personal Zoom account
- Click on your account picture at the top right hand corner
- Click `Sign Out`
- Click `Sign In` and utilize the `Zoom Webcast Login` that is saved in the Marketing 1pass
- You will then be signed in to the Zoom Webcast Account
- Remember to log out of the Zoom Webcast Account when you are done and sign back in to your personal Zoom account

#### Hosts Versus Panelists

There are two types of speakers in Zoom webcasts: Host and Panelist. A Host can start/end/record/kick people out, etc. The host has full control over the webcast. Only internal GitLab speakers can be hosts because they need to be logged in to their account to use the Host link.

Panelists have the ability to unmute, share screen, answer chat, answer Q&A, etc. They just can't start/end/record. Any external speakers must be set up as Panelists. The panelist link is not secure, meaning anyone can click on it and join the meeting as a panelist and the name will read the name of the person that was entered in Zoom. We typically put the links in the dry run doc instead of public calendars, just to be safe.

It's not recommended to have more than a few hosts because it can get a bit confusing when you go to end the meeting, stop recording, etc. Recommendation is the FMC sets themselves as host, the FMM also as a host and 1-2 SAs as hosts.

#### Zoom Configuration Training Video

[This training video](https://www.youtube.com/watch?v=ofUPO3gHxmQ&feature=youtu.be) includes Zoom configuration setup instructions, as well as Marketo program/SFDC Campaign setup instructions.

*This video has been uploaded as a private video in GitLab Unfiltered. You MUST be logged into Unfiltered to view the video. Instructions on how to log into GitLab Unfiltered can be found [here](/handbook/marketing/marketing-operations/youtube/#unable-to-view-a-video-on-youtube).*

#### Zoom Configuration Instructions

1. **LOGIN**: log into Zoom,  go to the Webinars tab then click "Schedule a webinar".
1. **TEMPLATE**: make sure to select "TEMPLATE" in the "use a template" section.
1. **TOPIC**: add the topic as follows "Webcast title - Month DD, YYYY - HH:MM am/pm PT/HH:MM am/pm UTC" (for example: `Debunking Serverless security myths - October 21, 2019 - 8:30 am PT/3:30 pm UTC`).
1. **DESCRIPTION**: add a sentence to describe what the webcast is about at a high-level - this is usually what would be included in the description when adding the event to the GitLab Events Page
1. **WHEN**: add the webcast date and time.
1. **DURATION**: add how long the webcast will be PLUS 45 minutes. You must include an additional 45 minutes for the prep call before the event plus padding for running over, otherwise the Launchpoint integration will fail. Keep the start time as the actual time attendees should join, but increase the duration. For example, if your webcast is from 9:00am-10:00am PT, enter start time of 9:00am, but a duration of 1 hour and 45 minutes.
1. **TIMEZONE**: select the correct timezone for your webcast.
1. **DO NOT** change all the other settings that are pre-populated by the template.
1. **ALTERNATIVE HOSTS**: add webcast DRI, internal speaker(s), and Q&A resource as alternative hosts (for workshops, add lead FMM and lead SA). Remember to always add yourself as an alternative host as well. Alternative Host Zoom links are all the same, so this will generate an email sent to you with the host Zoom link for reference.
1. **PANELISTS**: add external GitLab speakers as panelists by following the video instructions below.

**Adding alt-host and panelist to a webcast**
<iframe width="560" height="315" src="https://www.youtube.com/embed/4YvV8AoyqXc?rel=0&amp;controls=0" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>

1. *Optional* **EMAILS**: If applicable, edit the confirmation and reminder emails under the email setting tab.

   - Make sure the registration confirmation email and the reminder emails are set to send from Zoom.
   - There are limited editing capabilities within Zoom. In the confirmation email you can add a snippet of text after the templatized body text and the footer of the email can be edited. In the reminder email, only the footer can be edited.

1. *Optional* **CHANGE LANGUAGE:** If you need to change the language of your Zoom confirmation and reminder email, please follow the below instructions.
   **NOTE:** Changing the language only translates the general instructions for the webcast, it does not translate your webcast description. Make sure to add your description in the language required.

   - Click into the webinar where you would like to adjust the language setting
   - Click into `Email Settings`
   - Click `Edit` next to `Select Email Language`
   - Select the language you would like to utilize from the drop down list. NOTE: You can also select `Same as the recipient's default language` and the language will be set based on the recipient's Zoom profile, if available. Otherwise, the emails will be sent in the language that the user is viewing the registration page.
   - For more details, review the Zoom Help Center page [here](https://support.zoom.us/hc/en-us/articles/203686335-Customizing-webinar-email-settings).

1. *Optional* **HEADER IMAGE**: If applicable, click on branding and update the header.
1. *Optional* **POLLING**: If applicable, add polling questions to the webcast or workshop by following the instructions in the video below. You do not need to make the polling question answers anonymous. Canned questions (utilized for webcasts only) are not added to Zoom but can be added to the Day Of Agenda so all presenters/moderators have access.
1. **WATCH ATTENDEE MAX**: Make sure to regularly monitor the registration counts (webcast capacity is 1,000 attendees) and workshop capacities [listed here](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#workshop-registration-caps-and-closing-registration). If your workshop or webcast capacity is reached, please follow the instructions [here](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#workshop-registration-caps-and-closing-registration) to close registration.

**Adding poll questions to a webcast**
<iframe width="560" height="315" src="https://www.youtube.com/embed/QIrRcUIYEwo?rel=0&amp;controls=0" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>

### Step 2: Set up the webcast in Marketo/SFDC and integrate to Zoom

#### Marketo Program and SFDC Campaign Setup Training Video

Note: This training video includes Zoom configuration setup instructions, as well as [Marketo program/SFDC Campaign setup instructions](https://www.youtube.com/watch?v=ofUPO3gHxmQ&feature=youtu.be). Marketo program/SFDC Campaign setup instructions begin around the 9.5 minute mark.

*This video has been uploaded as a private video in GitLab Unfiltered. You MUST be logged into Unfiltered to view the video. Instructions on how to log into GitLab Unfiltered can be found [here](/handbook/marketing/marketing-operations/youtube/#unable-to-view-a-video-on-youtube).*

#### Create Program in Marketo

**DRI: FMC**

1. Create the webcast program in Marketo by navigating to either the [Webcast program template](https://app-ab13.marketo.com/#ME5512A1) or the correct template from [Workshop program templates folder](https://engage-ab.marketo.com/?munchkinId=194-VVC-221#/classic/MF5975A1)
1. Right-click the appropriate template, and select "clone"
1. Next to "Clone To", choose `A campaign folder`.
1. For "Name", add the MKTO program name (this is also the SFDC campaign name). Use the following format: `YYYYMMDD_{Webcast Title}_[Region - only if applicable]`. For example, `20170418_MovingToGit`.
1. Under "Folder", choose the appropriate quarter within the  `GitLab-Hosted Campaign Webcasts` or `GitLab-Hosted Workshops` folders.
1. Click "Create" (note - you will create the SFDC campaign from Marketo in the next step!)

#### Connect the Marketo program to Zoom via launchpoint integration

**DRI: FMC**

1. In the Marketo program Summary view, you will see `Event Partner:` with a link that says "not set".
1. Click on "not set"
1. In the Event Partner drop down, select `Zoom` and in the Login drop down, select `Zoom Webcast`.
1. In the Event drop-down, select the name/topic of the Zoom webcast from [Step 1: Configure Zoom](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#step-1-configure-zoom).

#### Create campaign in Salesforce

**DRI: FMC**

Please follow [these SFDC setup instructions](/handbook/marketing/marketing-operations/campaigns-and-programs/#step-5-update-the-salesforce-campaign).

### Step 3.A: Update Marketo Tokens

**DRI: FMC and Marketing Ops**

Buckle up! There are a lot of tokens, but for good reason. This is an **advanced practice** and **best practice** within Marketo templates to increase efficiency and speed. Updating these at the top level of the program allows them to cascade through the landing page, emails, automation, and alerts creating a significantly more efficient process of launching new webcasts.

#### FMC Tokens

These will be completed by the FMC when setting up the Marketo program.

- `{{my.utm}}` - UTM to track traffic to the proper campaign in reporting dashboards (append integrated campaign utm or program name, if webcast is not part of an integrated campaign, to the utm campaign token)
  - If this is a joint campaign with a partner, make sure the partner includes `utm_partnerid=` [more details here](/handbook/marketing/marketing-operations/campaigns-and-programs/#joint-gitlab-and-partner-campaigns). For a list of IDs for each partner, [go here](/handbook/marketing/marketing-operations/campaigns-and-programs/#crm-partner-id).
- `{{my.partner name}}` - If this is a campaign run with a partner, you may list mulitple here
- `{{my.webcastDate}}` - the webcast LIVE date
- `{{my.webcastTime}}` - token with the webcast time in local timezone/UTC timezone
- `{{my.webcastTitle}}` - token with the webcast title (For workshops, the title is only the main title of the workshop. Example: Your title would be GitLab Advanced CI/CD Workshop `NOT` GitLab Advanced CI/CD Workshop: Automate your workflows to build and test faster at any scale. Automate your workflows to build and test faster at any scale is considered the sub-title and is auto-populated in the Marketo template based on which workshop you are setting up.)
- `{{my.pfslidelink}}` - For virtual workshops only. Token where FMC links cloned workshop Pathfactory track for follow up email. **IMPORTANT NOTE:** The `https://` is hard-coded into the Marketo templates, which means you should not include `https://` before your Pathfactory track URL in the Marketo token. We include the Pathfactory track link in the purple `View the Slides` button at the bottom of the follow up email. To make sure this CTA works properly, the FMC must also add `?lb_email=` at the end of the URL. Your Pathfactory Track URL should look like this in the Marketo token: `learn.gitlab.com/advanced-cicd-workshop?lb_email=`.
  - A little bit behind the WHY: If you are driving to Pathfactory from Marketo, you want to use the lb_email= part of the link. This tells PF that the person is a known user (and won't present any forms) because it passes the email address from Marketo to PF. When you are in Pathfactory and get the share link for a track, you can select Marketo and it will include the complete proper code (including Marketo token). You typically won't need to do that because we already have the token coded into our emails. Also, it won't always be a ? in front of lb_email=. As long as you use a custom URL, it will be a ? and that's why we recommend always using a custom URL. Refer to [the Pathfactory page](/handbook/marketing/marketing-operations/pathfactory/#appending-utms-to-pathfactory-links) for more details.

#### Marketing Ops Tokens

These will be completed by Marketing Ops when setting up the landing page.

- `{{my.bullet1}}` - bullet copy with approved [character limits](https://docs.google.com/spreadsheets/d/13APTi8qTeFmvGcURrp9ywvl3zTxWU2cQ_ePX9S81Fao/edit#gid=1092923472)
- `{{my.bullet2}}` - bullet copy with approved [character limits](https://docs.google.com/spreadsheets/d/13APTi8qTeFmvGcURrp9ywvl3zTxWU2cQ_ePX9S81Fao/edit#gid=1092923472)
- `{{my.bullet3}}` - bullet copy with approved [character limits](https://docs.google.com/spreadsheets/d/13APTi8qTeFmvGcURrp9ywvl3zTxWU2cQ_ePX9S81Fao/edit#gid=1092923472)
- `{{my.bullet4}}` - bullet copy with approved [character limits](https://docs.google.com/spreadsheets/d/13APTi8qTeFmvGcURrp9ywvl3zTxWU2cQ_ePX9S81Fao/edit#gid=1092923472)
- `{{my.emailConfirmationButtonCopy}}`  - copy for the email confirmation (when on demand), leave as `Watch now`
- `{{my.formButtonCopy}}` - copy for the form button, leave as `Register now` (when switching to on-demand, this will change to `Watch now`)
- `{{my.formHeader}}` - copy for header of form, leave as `Save your spot today!` (when switching to on-demand, this will change to `View the webcast today!`)
- `{{my.heroImage}}` - image to display above landing page form - we are no longer using this functionality, unless a special image was created for this event. The image token can be removed in the landing page variables.
- `{{my.introParagraph}}` - intro paragraph to be used in landing page and nurture email, with approved [character limits](https://docs.google.com/spreadsheets/d/13APTi8qTeFmvGcURrp9ywvl3zTxWU2cQ_ePX9S81Fao/edit#gid=1092923472)
- `{{my.2ndparagraph}}` - second paragraph for landing page and emails
- `{{my.ondemandUrl}}` - skip updating in initial registration page setup (update during on-demand switch), Pathfactory link WITHOUT the `https://` NOR the email tracking part (`lb_email=`)
- Example of correct link to include: `learn.gitlab.com/gartner-voc-aro/gartner-voc-aro` - the code in the Marketo template assets will create the URL `https://learn.gitlab.com/gartner-voc-aro/gartner-voc-aro?lb_email={{lead.email address}}&{{my.utm}}`
- Note that both parts of this url include custom URL slugs which should be incorporated into all pathfactory links for simplicity of tracking parameters
- `{{my.socialImage}}` - image that would be presented in social, slack, etc. preview when the URL is shared, this image is provided by design/social, leave the default unless presented with webcast specific image.
- `{{my.speaker1Company}}` token with speaker 1's company name
- `{{my.speaker1ImageURL}}` token with speaker 1's image url in marketo design studio
- `{{my.speaker1JobTitle}}` token with speaker 1's job title
- `{{my.speaker1Name}}` token with speaker 1's full name
- REPEAT this for speaker 2 and 3. If there are more or less speakers, follow the instructions below at the end of the general webcast setup.
- `{{my.valueStatement}}` token with the short value statement on what the viewer gains from the webcast, this ties into the follow up emails and must meet the max/min requirements of the [character limit checker](https://docs.google.com/spreadsheets/d/13APTi8qTeFmvGcURrp9ywvl3zTxWU2cQ_ePX9S81Fao/edit#gid=1092923472)
- `{{my.webcastDescription}}` - 2-3 sentences with approved character limits, this will show up in page previews on social and be used in YouTube and Pathfactory description.
- `{{my.webcastSubtitle}}` token with subtitle for the webcast.
- `{{my.reply email}}` - enter the email address that cancellations and questions should be sent to. This is typically the regional FM email address. This token is used in the confirmation email.

### Step 3.B: Turn on Smart Campaigns in Marketo

**DRI: FMC**

- Activate the `00 Interesting Moments` smart campaign by going to the `schedule` tab and selecting `activate`.
- Activate the `01a Registration Flow (single timeslot)` smart campaign by going to the `schedule` tab and selecting `activate`.

### Step 3.C: Create the Landing Page

**DRI: Marketing Ops**

- Make sure all tokens are completed from [this section](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#marketing-ops-tokens).
- When you clone the webcast template, and update the Marketo tokens, your landing page is almost ready to go!
- For virtual workshops, adjust the {{my.requirementsInPerson}} or {{my.requirementsVirtual}} token on the landing page based on how the workshop is being delivered. No changes are required in the token itself.
  - Under "Assets" right-click on `Registration Page` and hover over `URL Tools` > `Edit URL Settings`
  - Use the format `webcast-topic` (or `webcast-topic-region` if region is relevant) - ex. `webcast-mastering-cicd` or `webcast-mastering-cicd-italian`
- Complete the same steps for the `Thank You Page`
  - Use the format `webcast-topic-thank-you` (or `webcast-topic-region-thank-you` if region is relevant) - ex. `webcast-mastering-cicd-thank-you` or `webcast-mastering-cicd-italian-thank-you`

#### Adjusting number of speakers in Marketo landing page

**DRI: Marketing Ops**
*This section only applies to webcasts and not workshops.*

**Less Speakers**
The speaker module is controlled in the Marketo landing page module. The template is initially set up to support three speakers (note: this is supported in both the My Tokens and the landing page template). If there are less speakers, follow the instructions below:

1. Right click on the Registration Landing Page and click `Edit Draft`
2. Double click on the `Speaker` section
3. Click `HTML` on the toolbar
4. Remove the code below for each speaker you need to remove

```html
<div><br /></div>
<ul>
<li>{{my.speaker3ImageURL}}</li>
<li>{{my.speaker3Name}}</li>
<li>{{my.speaker3JobTitle}}</li>
<li>{{my.speaker3Company}}</li>
</ul>
```

**Less Speakers**
The speaker module is controlled in the Marketo landing page module. The template is initially set up to support three speakers (note: this is supported in both the My Tokens and the landing page template). If there are less speakers, follow the instructions below:

1. Right click on the Registration Landing Page and click `Edit Draft`
2. Double click on the `Speaker` section
3. Click `HTML` on the toolbar
4. Remove the code below for each speaker you need to remove

```html
<div><br /></div>
<ul>
<li>{{my.speaker3ImageURL}}</li>
<li>{{my.speaker3Name}}</li>
<li>{{my.speaker3JobTitle}}</li>
<li>{{my.speaker3Company}}</li>
</ul>
```

If additional assistance is required, please comment in the [#marketing_programs slack](https://gitlab.slack.com/archives/CCWUCP4MS) for assistance if needed.

### Step 4: Webcast Invitations

**DRI: Marketing Ops**

1. Update emails `invitation 1 - 2 weeks prior`,  `invitation 2 - 1 week prior` , and if needed `invitation 3 - Day before` with relevant copies related to the webcast. *Note: We normally use the same copy for all 3 emails and simply tweaked the templated subject lines to sound more like "Reminders".*
2. Approve copy and send samples to the requestor, and the presenter (if different from requestor).
3. Go to the List folder and edit the `Target List` smart list and input the names of past similar programs and applicable program statuses to the `Member of program` filter. This will make sure people that have attended programs with similar topics in the past are included in the invite.
4. Once you get approval on the sample email copy, schedule the email programs outlined in step 1.

### Step 5: Test Your Setup

**DRI: FMC**

**FMC to test their initial setup after completing the Marketo program creation above by doing the following:**

- Go to left hand side `Marketing Activities` section
- Click on `Assets` under your Marketo program
- Click on `Registration Landing Page`
- At the top of the page click `Preview Page`
- Review the page:
  - Does the landing page pull in the tokens that have already been provided?
  - Are there any spelling mistakes or incorrect dates?

**FMC to test the setup again, once Marketing Ops finishes the landing page with all remaining tokens by doing the following:**

- Submit a test registration. NOTE: Anyone already signed up as a host or panelist in Zoom should not utilize their GitLab email address to test the site (you will not receive a confirmation). If you utilize a different email address, make sure to indicate your registration is a test by listing `test` in first and last name fields. Test the LIVE landing page to make sure the registration is tracked appropriately in the Marketo program and you get a confirmation email from Zoom.
  - Are you getting a confirmation email and in that email, is there a calendar invite with the access link?
  - Does the calendar invite save the correct time on your calendar?
  - Check that Marketo shows 1 person registered when you look at the main program page in Marketo.

#### Removing Test Registrations

**DRI: FMC**

Once your testing is complete, you can remove test registrations in Marketo by following [these instructions](/handbook/marketing/marketing-operations/campaigns-and-programs/#removing-registrations-from-marketo-programs).

#### If Integration Fails

If your integration is failing after checking the above items, please see [**this issue**](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/3135#note_376120284) for instructions on how to fix it. Should it continue to be a problem, the Marketo program can be set up in advance to avoid the incorrect Interesting Moment push to SFDC. Those instructions are here. For continued issues with integration, please reach out to Marketing Ops in the `#mktgops` Slack channel.

## Resending Attendee Invitations

Each registrant receives a Zoom login URL unique to them so login URLs should not be shared. If an attendee needs their Zoom invitation with their unique login details re-sent to them, please follow the below instructions to access that information.

1. Log in to the [Zoom Webcast account](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#logging-in-to-the-zoom-webcast-account)
1. Go to `Webinars` and click into your webinar
1. Scroll down to `Manage Attendees`
1. Click `Edit` and this will bring up your list of attendees with the option to copy their unique login invitation
1. If you want to resend confirmations in bulk, you have to select the top left checkbox to highlight all attendees on that page. Then scroll down and click `Resend Confirmation Email`. It takes 60 seconds to process a page send and you will have to do this for each page in your attendee list.

## Closing a Webcast Landing Page

*Note: Instructions for closing registration landing pages varies, depending on the campaign type/Marketo template. Please only utilize the below instructions to close a webcast LP.*

Please reach out to your Marketing Ops rep to shut down the landing page, or if you have an urgent request after hours, please follow the below instructions (supporting screenshots [here](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/3459#note_626402553)).

1. Click into your event's Marketo program
1. Click into `Assets`
1. Click into `Registration Landing Page`
1. Click `Edit Draft`
1. Toggle `flex 1 Visibility` to `Visible`. This adds the landing page closure content onto the page. If you need to change the copy, double-click on the copy and make your edits.
1. Toggle `2column visibility` to `Hidden`. This removes all existing content, including the form, from the page.
1. Click `Preview Draft` to make sure everything looks accurate.
1. Click `Preview Actions` > `Approve and Close` to save your changes. If you need to make additional edits, click `Edit Draft`. Be sure to select `Approve and Close` when you are finished.
1. Check your live landing page to make sure the content displays correctly and the form has been removed.

## Post LIVE Webcast

### Finalizing the Presentation Deck

**DRI: FMC**

**Webcasts and Workshops:**

- Once the finalized slide deck has been provided to the FMC by `@lfstucker`, the FMC will follow these [instructions](https://support.apple.com/en-jo/guide/preview/prvw11793/mac#:~:text=Delete%20a%20page%20from%20a,or%20choose%20Edit%20%3E%20Delete) to edit the presentation slides, ensuring the account set-up slides have been deleted.
- The FMC to then follow [these instructions](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#uploading-the-presentation-deck) to add the slides as a new piece of content to Pathfactory. Then, the FMC will add the presentation slides to the created Pathfactory track for the workshop.
  - **This is needed as soon as slides are final as Pathfactory track is linked to follow up email.**

### Downloading the Recording from Zoom

**DRI: FMC**

- In the Zoom Webcast account, click `Recordings` on the left side navigation.
- Find the webcast/workshop you would like to download the recording for, either by searching for the date or entering the webcast ID.
- Click the `More` button next to the webcast/workshop name and select `Download`.

### Converting the Webcast to an On-Demand Gated Asset

#### Upload Recording to the Appropriate Platform

**DRI: FMC**

**Webcasts:**

- **[Vimeo](/handbook/marketing/marketing-operations/vimeo/)**: Submit an [upload request](https://gitlab.com/gitlab-com/marketing/inbound-marketing/global-content/digital-production/-/issues/new?issuable_template=upload-request) to the Digital Production team and specify Vimeo as the requested platform in the issue. Please include title, description and thumbnail (if any). Your webcast will be reveiwed and uploaded to Vimeo and a video link will be provided.

**Workshops:**

- FMC to send the recording link to `@lfstucker` once the [recording](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0067567#h_01F4F8Z2FJCCE6KVBPGHNZEXSC) is available in Zoom. `@lfstucker` will then provide the FMC with the time mark for the setup section that must be cut from the recording. The FMC will then follow the below instructions for cutting the recording and uploading to [YouTube Unfiltered](/handbook/marketing/marketing-operations/youtube/#uploading-conversations-to-youtube).

#### Editing with YouTube Studio

*For more detailed instructions, please see [here](https://support.google.com/youtube/answer/9057455?hl=en).*

Trim your videos

1. Sign in to [YouTube Studio](https://studio.youtube.com/).
1. From the left menu, select **Content**.
1. Click the title or thumbnail of the video you'd like to edit.
1. From the left menu, select **Editor**.
1. Select Trim & cut. A blue box will appear in the editor.
1. Drag the sides of the blue box. Stop when the box is covering the portion of the video that you'd like to keep. Anything not in the box will be removed from the video.
1. Click **Save**

Editing a section of your video

1. Select Trim & cut, then click **NEW CUT**. A red box will appear in the editor.
1. Drag the sides of the red box. Stop when the red box is covering the portion of the video that you'd like to remove. Anything not in the red box will remain in  the video.
1. To confirm your edits, select **Cut**.
1. Click **Save**.

More options

1. Select **More** and then **Revert to original** to remove any unsaved changes that you made to your draft.
1. You can [download](https://support.google.com/youtube/answer/56100) your edited video and [upload](https://support.google.com/youtube/answer/57407) it again to publish the changes you made.

#### Pathfactory Track

**DRI: FMC**

**Webcasts:**

- Create a new Pathfactory track by following the instructions outlined [here](/handbook/marketing/marketing-operations/pathfactory/#content-tracks) and then add your track to the [Changelog](/handbook/marketing/marketing-operations/pathfactory/#changelog). NOTE: You must create a [custom slug](/handbook/marketing/marketing-operations/pathfactory/#configure-content-track-settings) when creating the Pathfactory track.
- Follow the instructions [here](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#converting-the-webcast-to-an-on-demand-gated-asset) to upload your content to Vimeo.
- In Pathfactory, add the Vimeo video link as new content by following the instructions outlined [here](/handbook/marketing/marketing-operations/pathfactory/content-library/#how-to-upload-content). Add this new piece of content to your previously created Pathfactory track.

**Workshops:**

- FMC to have already created a Pathfactory track for the workshop and added the workshop presentation slides from the [webcast prep issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/blob/master/.gitlab/issue_templates/webcast-prep.md#fmc-tasks-dri-fmc-).
- Follow the instructions [here](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#converting-the-webcast-to-an-on-demand-gated-asset) to upload your content to Vimeo (this is also outlined in the [follow up email issue template](https://gitlab.com/gitlab-com/marketing/field-marketing/-/blob/master/.gitlab/issue_templates/request_email_followup.md)).
- In Pathfactory, add the YouTube video link as new content by following the instructions outlined [here](/handbook/marketing/marketing-operations/pathfactory/content-library/#how-to-upload-content). Add this new piece of content to your previously created Pathfactory track.

#### Marketo - FMC

**Webcasts:**

- Click into your campaign's Marketo program and update the `ondemandUrl` token with the Pathfactory track URL.
  - The track URL should NOT contain any `?` question marks (if it does, you did not update the custom URL slug) - [WATCH THE EXPLAINER VIDEO](https://www.youtube.com/watch?v=VHgR33cNeJg)
  - The URL should NOT contain `https://` and should NOT contain the Pathfactory tracking parameter `lb_email=` (this is already incorporated into all assets of the Marketo program template).

**Workshops:**

- FMC to have already followed [these instructions](https://gitlab.com/gitlab-com/marketing/field-marketing/-/blob/master/.gitlab/issue_templates/webcast-prep.md#fmc-tasks-dri-fmc-) to have added the Pathfactory track to the Marketo token.

#### Marketo - Marketing Ops

1. **Marketo**: Navigate to the webcast program and update the following My Tokens
   - Update the `formButtonCopy` token to be `Watch now`
   - Update the `formHeaderCopy` token to be `Watch the webcast today`
1. **Marketo**: In the webcast program, under the `Assets` folder, right click on the `Registration Page` and choose `Edit Draft`
   - On the right side rail, under "Elements" right click on the "Form Custom" element and choose `Edit`
   - The form should currently be set to the Webcast form (`FORM 1592: webcast` or relevant localized form) - you will change this to be `FORM 2076: On-demand Webcast`
   - Change the "Follow-up Type" to be `Landing Page`
   - Change the "Follow-up Page" to be the thank you page in your program (begin to type in the Marketo program name and select your thank you page)
   - Click `Preview Page` and make sure your changes are correct
   - Navigate to `Preview Actions` and select `Approve and Close`
1. **Marketo**: Send sample of the "On-demand Autoresponder" email to your inbox
   - Right click on the email and choose `Send Sample`
   - Under "Person" begin to type in your test lead email address. This will pull in the email address to review that the tracking is working properly in your email.
   - For "Send To:" choose your email address (or type next to the `*` asterisk)
1. **Your Inbox**: Review the sample email in your inbox
   - Check all email copy
   - Click all links and confirm they are not broken
   - Click the `Watch now` CTA and confirm that your email address is in the URL displayed (this happens quickly and disappears in the URL, so watch carefully!)
   - :thumbs-up: If all of the above apply, move on to activating the smart campaigns!
1. **Marketo**: Update the smart campaigns (activate and deactivate)
   - Navigate to the smart campaign folder within the webcast program
   - Under "Schedule" on the `01a Registration Flow (single timeslot)` or `01b Registration Flow (Multi-timeslot)` smart campaign, click `Deactivate` once the webcast has completed.
   - Under "Schedule" on the `04 Viewed On Demand` smart campaign, click `Activate`.

### Test your follow up emails and set to send

**DRI: Marketing Ops**

Note: do not schedule the emails until you have completed the "on demand switch" process (and there is a Pathfactory URL ready to be used)

- **Check ondemandURL Marketo token**
  - This URL should *not* contain `https://` (it should begin with `learn.gitlab.com/`)
  - This URL should *not* contain any `?` question marks (if it does, you did not correctly update the custom URL slug)
  - This URL should *not* contain the Pathfactory tracking parameter `lb_email=` (this is already incorporated into all assets of the Marketo program template)
  - :thumbs-up: If all of the above apply, move on to sending yourself samples!
- **Send samples to your inbox**
  - Right click on "Follow up - attendees" and choose `Send Sample`
  - Under "Person" begin to type in your test lead email address. This will pull in the email address to review that the tracking is working properly in your email.
  - For "Send To:" choose your email address (or type next to the `*` asterisk)
- **Complete the same steps for your "Follow up - no shows" email**
- **Review emails in your inbox**
  - Check all email copy
  - Click all links and confirm they are not broken
  - Click the `Recording of the webcast` and `Watch now` links and confirm that your email address is in the URL displayed (this happens quickly and disappears in the URL, so watch carefully!)
  - :thumbs-up: If all of the above apply, move on to scheduling the smart campaigns!
- **Schedule the smart campaign to send the emails**
  - Schedule the `02 Follow Up - No shows/Attended` smart campaign to be the following business day.

### Adding On-Demand Webcast to the Resources Page

If you would like your on-demand webcast to be hosted on the [Resources page](https://about.gitlab.com/resources/) please see below.

- Follow [these instructions](/handbook/marketing/demand-generation/campaigns/content-in-campaigns/#add-to-resources-page) to add your webcast to the Resources page.

## Rescheduling a Webcast

**DRI: FMM and FMC**

### Emergency Rescheduling of a Workshop

There are certain occassions when a workshop needs to urgently be rescheduled due to technical difficulties. Below you will find directions in bold to follow to send out a bulk notification to registrants about the disruption and reschedule the date. If you run into any problems, please [open an issue](/handbook/marketing/marketing-operations/) with the Marketing Ops team for help. For urgent requests, also include the issue link in the slack channel `#mktgops`.

**DRI: FMM**

1. If you are in the pre-event session and determine the event cannot occur, obtain 2 alternative dates and times from the SMEs delivering the session while everyone is on the call.
1. Open the webcast session and remain on for a minimum of 30 minutes, broadcasting a message with the name of the event and specify the following - "Due to unexpected issues beyond our control, this workshop is being rescheduled. Please check your email for more details. We apologize for any inconvenience and appreciate your understanding."
1. Reach out to your FMC to request a Marketo email send to participants and provide specific copy for the send in the copy doc (see additional instructions below). **Note:** There is some standard verbiage for rescheduling at the very bottom of the copy doc template under [Webcast Reschedule Email Copy](https://docs.google.com/document/d/1j43mf7Lsq2AXoNwiygGAr_laiFzmokNCfMHi7KNLjuA/edit#bookmark=kix.z3zivyrxl4tz) that can be utilized. **Note:** If the FMC is not available, reach out to Marketing Ops (per the above instructions).
1. It is best practice to send out a gift item to registrants as an apology for the inconvenience of having to reschedule last minute. The quickest option is to send email gift cards via Thnks or Reachdesk. The FMM will determine what to send, update Allocadia with budget for items, pull the registration email addresses from SFDC, and provide the email list and copy to the FMC to send the apology gifts.

### Rescheduling a Workshop or Webcast

PLEASE NOTE: The below instructions are only for virtual workshops. If you are rescheduling an in-person workshop (a workshop that is NOT utilizing our Zoom integration), then please follow our general rescheduling instructions [here](/handbook/marketing/field-marketing/#rescheduling-or-canceling-events).

#### FMM Tasks

- FMM to update the new date in the Allocadia sub-category (that reflects in all line items).
- FMM to ping the FMC and staff/DRIs in the main Field Marketing issue to communicate the updated date.
- FMM to re-open the Zoom License Request issue and update the request with the new date. FMM to then ping the FMC to confirm availability.

#### FMC Tasks

- The FMC will update the event listing in the [Marketing Calendar](/handbook/marketing/#marketing-calendar) with the updated date.
- The FMC will update the date in the [GitLab Hosted Zoom Webcasts](https://calendar.google.com/calendar/u/0?cid=Z2l0bGFiLmNvbV8xcXZlNmc4MWRwOTFyOWhldnRrZmQ5cjA5OEBncm91cC5jYWxlbmRhci5nb29nbGUuY29t) calendar invite.
- The FMC will submit an MR to remove the Webcast listing on the [Events Page](/handbook/marketing/events/#how-to-add-events-to-aboutgitlabcomevents) so we are not promoting an outdated event (FMC will re-submit a new listing in steps further below).
- The FMC will update the epic details and sub-issue due dates (and issue titles), as well as make the necessary changes to any upcoming asset send dates. If there are any emails scheduled to send, the FMC will ping MOps specifically in those issues to have them unschedule the sends first.
- The FMC will reschedule the Dry Run invite in the [GitLab Hosted Zoom Webcasts](https://calendar.google.com/calendar/u/0?cid=Z2l0bGFiLmNvbV8xcXZlNmc4MWRwOTFyOWhldnRrZmQ5cjA5OEBncm91cC5jYWxlbmRhci5nb29nbGUuY29t) calendar.
- The FMC will update the `{{my.webcastDate}}` token with the new date.
- If there are existing registrants in the program, create a [Reschedule Webcast Email sub-issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/blob/master/.gitlab/issue_templates/request_email_invite.md), either utilizing the template in the folder of your Marketo program titled `z. Cancellation/Reschedule` or request the FMM update copy in the copy doc template (copy example [here](https://docs.google.com/document/d/1j43mf7Lsq2AXoNwiygGAr_laiFzmokNCfMHi7KNLjuA/edit#bookmark=kix.z3zivyrxl4tz)). Triage to MOps and request an urgent send.
- Create a new Zoom program with the new webcast date/time following the steps outlined in [the section above](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#step-1-configure-zoom).
- Create a new Marketo program with the new webcast date/time following the steps outlined in [the section above](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#create-program-in-marketo) minus the create new campaign in SFDC step, since we will be syncing to the existing SFDC program in a later step.
- If you are rescheduling your webcast due to technical difficulties the day of the event (if the event has technically completed in Zoom and your statuses have already been triggered) you will need assistance from Marketing Operations from this point forward so they can adjust certain Marketo details and make sure all registrants are moved over to the new program. Open a [Marketing Operations issue](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template) and link your epic with the old and new Marketo programs and SFDC campaigns and specify that you will need assistance moving all registrants over to the new program.
- If you are not familiar or uncomfortable with the following steps, please create a [Marketing Ops issue](/handbook/marketing/marketing-operations/#issues) to request assistance and ping MOps in the `#mktgops` channel with the issue, if the request is urgent.
  - Move the landing page from the Marketo program with old webcast date/time to the newly created Marketo program with new webcast date/time. This should automatically move the registrants from the original Marketo program to the new program and also trigger Zoom to send a new confirmation email. If this does not happen, please complete the next step below. **NOTE:** All registrants in the program (including hosts and panelists) will receive a new personalized Zoom registration link at this time. Marketo does not differentiate between hosts/panelists and regular registrants, so the hosts and panelists will need to be made aware that they should NOT utilize the standard Zoom URLs they will receive during this point in the process. Instead, they will utilize the host and panelists Zoom URLs that will be sent to them (and linked in the Dry Run Agenda) during the [dry run scheduling process](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#securing-a-virtual-workshop-or-webcast-dry-run-date).
  - (Needed only if the above step did not automatically move registrants and trigger a new Zoom confirmation email.) Move the registrants from the Marketo program with old webcast date/time to the newly created marketo program with new webcast date/time by running a one time bulk update on the `(Optional: for rescheduled webcast only) Import registrants from old program` smart campaign. Doing this will also re-trigger the confirmation email to existing registrants.
  - Remove the SFDC campaign sync on the Marketo program with old webcast date/time by clicking salesforce campaign sync and selecting `None`.
  - Go to SFDC and change the ISO date in the SFDC campaign name for the webcast to the new date.
  - Go back to Marketo. Sync the SFDC campaign to the Marketo program with new webcast date/time by clicking salesforce campaign sync and selecting the name of the SFDC campaign.
  - Go back to the original Marketo program with the old webcast date/time and deactivate the smart campaigns. Add `[CANCELED]` to the program name. Deactivate any [activated smart campaigns](/handbook/marketing/marketing-operations/campaigns-and-programs/#step-4-activate-marketo-smart-campaigns).
- FMC to ping MOps with the Marketo program link in the `#mktgops` Slack channel and request the program be deleted (FM does not have access in Marketo to delete programs).
- Go to Zoom, delete the Zoom program with the old webcast date/time and make sure to uncheck `send webinar cancellation email to panelists and registrants`.
- The FMC will submit an MR to re-submit the Webcast on the [Events Page](/handbook/marketing/events/#how-to-add-events-to-aboutgitlabcomevents) with the new date and updated LP URL.

## Canceling a Workshop or Webcast

PLEASE NOTE: The below instructions are only for virtual workshops. If you are canceling an in-person workshop (a workshop that is NOT utilizing our Zoom integration), then please follow our general cancellation instructions [here](/handbook/marketing/field-marketing/#rescheduling-or-canceling-events).

### FMM Tasks

- FMM to update Allocadia showing the event as canceled by going to the event sub-category panel and selecting `Yes` to the `Campaign Cancelled?` dropdown. FMM to also add in `CANCELED` to the `Official Event/Campaign Name` field so the title in the main issue stays updated.
- FMM to remove any planned/forecasted costs in Allocadia accordingly.
- FMM to ping the FMC and staff/DRIs in the main Field Marketing issue to communicate the cancellation and close out the issue.
- If there are registrations for the event, please either notify the registrants of the cancellation directly, or ask your FMC to create a cancellation email issue and provide copy in the copy doc. Note that this email must follow the [MOps SLA](/handbook/marketing/marketing-operations/campaign-operations/#slas).

### FMC Tasks

- The FMC will update the [Marketing Calendar](/handbook/marketing/#marketing-calendar) by selecting the event line item and adding a strikethrough to indicate the event has been canceled.
- The FMC will delete the invite in the [GitLab Hosted Zoom Webcasts](https://calendar.google.com/calendar/u/0?cid=Z2l0bGFiLmNvbV8xcXZlNmc4MWRwOTFyOWhldnRrZmQ5cjA5OEBncm91cC5jYWxlbmRhci5nb29nbGUuY29t) calendar.
- The FMC will submit an MR to delete the event listing on the [Events Page](/handbook/marketing/events/#how-to-add-events-to-aboutgitlabcomevents).
- The FMC will comment regarding the cancellation in all open sub-issues and close out the issues. If there are any emails scheduled to send, the FMC will ping MOps specically in those issues to have them unschedule the sends first.
- The FMC will unschedule the Dry Run invite in the [GitLab Hosted Zoom Webcasts](https://calendar.google.com/calendar/u/0?cid=Z2l0bGFiLmNvbV8xcXZlNmc4MWRwOTFyOWhldnRrZmQ5cjA5OEBncm91cC5jYWxlbmRhci5nb29nbGUuY29t) calendar.
- If the FMM is not sending their own cancellation email to registrants and would like to send a Marketo cancellation email, create an [issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/blob/master/.gitlab/issue_templates/request_email_invite.md) for the request and triage to Marketing Ops. Please Note: This email must be scheduled and sent BEFORE the rest of the steps below can be completed.
- Once all sub-issues are closed, the FMC will also note the cancellation in the epic and close the epic.
- SFDC: Add `[CANCELED]` to the campaign name and select `Aborted` in the `Campaign Status` dropdown.
- Marketo: Add `[CANCELED]` to the program name. Go to the `Salesforce campaign sync` field and click on the linked campaign, select `None` from the dropdown and click `Save.` This removes the SFDC and Marketo sync for the program. Deactivate any [activated smart campaigns](/handbook/marketing/marketing-operations/campaigns-and-programs/#step-4-activate-marketo-smart-campaigns).
- FMC to ping MOps with the Marketo program link in the `#mktgops` Slack channel and request the program be deleted (FM does not have access in Marketo to delete programs). Please Note: Once the Marketo program is deleted, the Marketo LP will also be deleted and not accessible by anyone with the registration link.
- Go to Zoom, delete the webcast program from Zoom and make sure to uncheck `send webinar cancellation email to panelists and registrants` since this is already covered above.

## Virtual Workshops

This section focuses on best practices, timelines and logistical set up for a Field Marketing-run Virtual Workshop.

## Ownership of Virtual Workshop Tasks

- Project Management in GitLab (epic, issue, timeline creation): FMM/FMC
- GitLab-Hosted Webcast Calendar: FMC
- Zoom setup and integration: FMC
- Content Creation: DE (Demo Engineer)
- Landing page and email copy (templated with limited customization, if any): FMM/FMC
- Marketo program, SFDC campaign: FMC
- Landing page, email creation: Marketing Ops
- Host dry run and run day-of event Zoom meeting: FMM
- Day of event moderator: SAE / ISR

## Definitions Throughout this Page

- Host = Person running the webcast from the technical side (start the webcast, push polls, push notifications to attendees through chat).
- Moderator/MC = The on-screen MC of the webcast (welcomes attendees, introduces presenters, reads questions from audience to the presenter to answer)
- Presenter/Lead SA = DRI from the SA team
- Presenter 2 =  Opening SA presenter
- Presenter 3 (optional) =  Second SA Presenter if not lead SA
- Q&A Coordinator = SA responsible for coordinating Q&A
- Q&A Support = SA responsible to help answer questions
- Q&A Support 2 (optional)  =  SA support for more advanced classes
- FMM 2 = Timekeeper, and Q&A transcribing from Zoom to Slack and back to Zoom

## Budget for Workshops

**DRI: FMM**

Please note, GitLab-owned workshops have $0 cost to the team in regards to platform/environment. However, if your workshop is in-person or requires swag, you will need to budget for those items in Allocadia.

## Virtual Workshop Epic Code

**DRI: FMM and FMC**

**Please see workshop epic code [here](/handbook/marketing/field-marketing/field-marketing-epics/#workshops).**

## Virtual Workshop Set-Up

NOTE: Please make sure your Webcast or Workshop date is confirmed before starting the below process. Moving a Webcast or Workshop date is extremely time-intensive once setup is complete.

### Virtual Workshop Logistical Set-Up

**DRI: FMM, FMC and Marketing Ops**

Instructions for Virtual Workshop Zoom / Marketo / SFDC set-up can be found in the Webcast Set-Up instructions [HERE](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#webcast-setup).

There are only minor modifications to those instructions for workshops and they are detailed out below.

#### LIVE Webcast Registration and Tracking

#### Setting up the Webcast in Marketo/SFDC and Integrating to Zoom

**DRI: FMC**

This includes the program, SFDC, Zoom, landing pages, and emails as they are templatized to operate from the Marketo My Tokens level.

1. Create the workshop program in Marketo by cloning the appropriate [Workshop Marketo Program](/handbook/marketing/marketing-operations/campaigns-and-programs/#hybrid-marketo-templates).
1. Complete the rest of the steps as outlined in the [webcast setup instructions](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#step-2-set-up-the-webcast-in-marketosfdc-and-integrate-to-zoom). Note there are more tokens to complete for the workshop and details for each are contained in the token value area.

#### Test Your Setup

**DRI: FMC**

Please follow the instructions [here](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#step-5-test-your-setup).

#### Marketo Landing Page Setup

**DRI: Marketing Ops**

1. Complete the Marketo tokens specified [here](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#marketing-ops-tokens).
1. Follow the landing page setup instructions [here](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#step-3c-create-the-landing-page).

#### Workshop Invitations

**DRI: Marketing Ops**

1. Once the tokens are updated in Marketo, the invitation and sales-nominated emails should be ready.
1. Approve copy and send samples to the FMM for review and approval.
1. Once approved, activate the sales-nominated invite to send each weekday until the day of the workshop.
1. Go to the Lists folder and edit the `Target List` smart list and input the targets provided by FMM (typically in the copy doc).
1. Once you get approval on the sample email copy, schedule the email programs.

#### Pre-Event Demo Environment Demo Code and Reminder Email

**DRI: FMC**

Please note that our new demo environment, gitlab.com group Learn Labs + Instruqt, still requires a demo code, but we no longer provide that code to attendees in advance via the reminder email. The FMC will no longer need to include that code in the Marketo token and the reminder email Marketo templates have been updated with the new instructions. Our reminder emails are sent the business day before the workshop date.

#### On-Demand for Workshops

**DRI: FMM & FMC**

Please see instructions [here](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#converting-the-webcast-to-an-on-demand-gated-asset).

#### Workshop Registration Caps and Closing Registration

**DRI: FMC and FMM**

The GitLab Learn Labs environment can currently support up to 250 users at one time, however, capacities per workshop are highly dependent on content and how many SAs will be supporting the event. The FMM is to work with the Lead SA & Demo Engineer to determine the maximum capacity and number of SAs for each workshop. All workshops capacity is 250-450 (accounting for 40-50% workshop attendance rate) and there is a minimum requirement of 2 SAs to present. Maximum registration numbers should never exceed 500.

##### Checking Registration Numbers

FMCs are the DRIs for checking the registration numbers regularly via the Marketo program (linked in the epic code - registration numbers are listed on the main Marketo program page) or SFDC campaign (by pulling a report and sorting by the Registered field). Note that due to potential delays with the sync between Marketo and SFDC, it is recommended to check the Registration number in Marketo.

##### Closing Registration

- Once capacity is reached, the FMC will follow [these instructions](/handbook/marketing/field-marketing/#process-to-close-marketo-landing-pages-and-landing-page-forms).

##### Instructions for Closing Registration for a Workshop

*Note: Instructions for closing registration landing pages varies, depending on the campaign type/Marketo template. Please only utilize the below instructions to close a workshop LP.*

Please reach out to Marketing Ops to shut down the landing page, or if you have an urgent request after hours, please follow the below instructions.

In order to cap registration, we remove the registration form on the Landing Page in Marketo. To do this:

[**Closing Registration in Marketo Instructional Video**](https://www.youtube.com/watch?v=C5lC1eUjjzU&feature=youtu.be)

*This video has been uploaded as a private video in GitLab Unfiltered. You MUST be logged into Unfiltered to view the video. Instructions on how to log into GitLab Unfiltered can be found [here](/handbook/marketing/marketing-operations/youtube/#unable-to-view-a-video-on-youtube).*

**Instructions:**

- Click into your event's Marketo program
- Click into Assets
- Click into Registration Landing Page
- Click "Edit Draft" on the landing page in Marketo
- Under "Variables" on the right side panel, toggle Hero 2 Visibility to "Visible". This adds the language that the event is at capacity.
- If you need to change the copy of the text, double click on the content on the left side of the screen and you can manually change the verbiage. When done, click "save."
- Toggle 2column visibility to "Hidden". This removes all existing content, including the form, from the page.
- Toggle flex 1 Visibility to  "Visible". This adds the landing page content back onto the page, without the form.
- Click "Preview Draft" to make sure everything looks accurate.
- Click "Preview Actions" > "Approve and Close" to save your changes. If you need to make additional edits, click "Edit Draft". Be sure to select "Approve and Close" when you are finished.
- Check your live landing page to make sure the content displays correctly and the form has been removed.

## Field Marketing Process: How to Execute a Virtual Workshop

### Pre-Event Set Up

**DRI: FMM and FMC**

1. Review the current workshops and identify if what is offered meets your criteria or if a new workshop needs to be created to meet your objectives.
**Current available Workshops can be found [**Here**](https://drive.google.com/drive/folders/1L_kd6QudSWcvAKDM-h6oPvvC6LiNj_ER)**
1. Identify if a workshop is currently planned that might support your needs. [Click here](/handbook/marketing/virtual-events/#calendar) to view calendar of scheduled events.
1. Work with Customer Success team (SAs) to identify the lead instructors/presenters. You must have your lead instructor identified at this time and work together to select a date.
1. Once a date has been confirmed, Lead SA must coordinate with the Demo Engineer (Logan Stucker) to obtain the demo environment redemption code and discuss SLAs to ensure demo meets code requirements.
1. If the audience is account centric, if you are not doing paid social media, or need your own workshop due to your account goals, consider running an Owned Event utilizing your personal Zoom account. Sales can run on their own, or with field marketing. If not, then it would qualify as a Webcast. [Click here for virtual events decision tree for more information.](/handbook/marketing/virtual-events/#decision-tree)
1. Work with the Sales Team to identify who your Moderator (MC) will be; recommend this be one of your SAEs. Moderator will set the tone for the workshop as well as introduce presenters throughout the event and announce poll questions/answers.
1. Create a [Zoom License Request](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=request_zoom_license_date)
   - The date reservation request must be submitted no less than 32 business days prior to event date for existing copy and content and 45 days prior to the event date for new copy and content.
   - For workshops, the moderator and lead SA must be secured in order to reserve the date.
   - The FMC will assign/confirm the date of the webcast according to [this process](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#securing-a-virtual-workshop-or-webcast-date).
1. Once you have obtained a Webcast date, create a Field Marketing issue for a virtual workshop utilizing the [Virtual Workshop Template](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=Workshop_Template).
1. FMM will ping FMC to create epic and sub-issues (linked in [epic code](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#virtual-workshop-epic-code)).
1. Once the FMC has created the sub-issues they are responsible for (broken out in the epic code), they will then ping the FMM to create any of the optional sub-issues they may require (also broken out in the epic code).
1. FMC and FMM will assign the due dates for their appropriate sub-issues according to the [SLA workback schedule](https://docs.google.com/spreadsheets/d/1YXriQ1clvYyBn-TDbbCVvNP6NEbrAF-0w6tIHKhDeZM/edit#gid=1983708280)
1. Once Marketing Ops creates the landing page, they will ping the FMM to review. Once the landing page is live, the FMM will ping the FMC to add the workshop to the GitLab Events Page utilizing this [step by step guide](/handbook/marketing/events/#how-to-add-events-to-aboutgitlabcomevents). FMC also to make sure the landing page is linked in the epic.
1. FMM to create the [Template for Certification of Completion](https://drive.google.com/drive/u/0/folders/1D9ReKCU7dhbHbkLotKgh4D7dZZ9m2IHS)
1. Note about Optional Issues:
   - For workshop design requests, you have the option of opening a [Marketing Design Request](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=request-design-general) or utilizing Canva in a self-serve capacity (see [below](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#canva) for Canva instructions and templates).
1. Review Marketing Copy Doc - Update copy for landing page, emails, update the times, dates, redemption code in the 1-week reminder emails. Note that changes to the landing page or email copy will require the 45 day SLA noted above for new copy/content.
   - If new content: Work with Presenters/Instructors to create presentation slides, labs, demos, as well as copy for landing page and emails.
   - If existing content: Work with Presenters/Instructors to update presentation slides.
1. FMM DRI to work together on developing the script for MC within the Dry Run document utilizing the [Dry Run Template](https://docs.google.com/document/d/1DzNkJnwlVOB1vw4yvgXtIxtddfw_x4u7WC9xAqSVEHM/edit?ts=5f2414fd).
   - FMM also needs to compile Presenter's Bio's to include in the script for MC to announce as a brief introduction during the workshop before they begin their portion.
   - For more details, please review the [Workshop Dry Run and Q&A Section](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#workshop-dry-run-and-qa) below.
1. FMM to fill out [Dry Run Template](https://docs.google.com/document/d/1ePmUc0ZUgO4aip8i3hjkROh2hKIO3WuQ7h0aSl0IsZA/edit) with roles/responsibilities/quick links and more.
1. FMM will need to create the [Intro and Transition Slidedeck](https://docs.google.com/presentation/d/19BD2fZ2fN1AcvWo-Xf9bEL8AR8R6sYxY1s2aA6gfEF4/edit) and Lead SA to create remaining Workshop slides and update content in the Workshop Google drive [here](https://drive.google.com/drive/folders/1qAymFTiXFEk-lRSNreIhaZ6Z62fdo_y2).
1. Update/Create Post event survey questions and google form.  [Click here for an Example](https://docs.google.com/forms/d/e/1FAIpQLSfHyhxwMhJz5mTqSKi9y3-hPYhPPAvsx9mvn5SGUblkFn9WPA/viewform)
1. Create/Review polling questions for the event in the [Prepare for Webcast Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=program-tracking) the FMC has opened. Reference the parent epic for suggestions/previous polling questions/when to launch and more. Once you have your polling questions finalized, ping the FMC in the issue to let them know.
1. Sales Nomination Information:  The Sales Nomination process is critical to the success of the workshop as a sales tool to nudge accounts across the finish line or create conversation points. Video instructions on how to Sales Nominate can be found [here](https://drive.google.com/drive/folders/1QNB3DXXWtnmMBvzeHPkT7cRmigJdIWq5).  Best practices can be identified in the epic but the FMM will need assign due dates in the invite issue according to the [workback schedule](https://docs.google.com/spreadsheets/d/1YXriQ1clvYyBn-TDbbCVvNP6NEbrAF-0w6tIHKhDeZM/edit#gid=1983708280) to request the email is ready at least two weeks prior to the marketing email invites.
1. Once a date is set with the Lead SA and FMM, continue to work with the Customer Success/SA teams to confirm who will lead each session, confirm 2-3 additional SAs for Q&A and provide the complete team in the [Dry Run Scheduling Issue](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=webcast_dry_run_scheduling).
   - Please note for the Advanced CI/CD workshop you really need three (3) dedicated Q&A SAs to support the level and number of questions in addition to the presenters and two (2) FMMs are needed and must support transferring Q&A from the zoom webcast to the slack QA channel and back to the answers.
1. Create Event Slack Channel for the team to discuss details, logistics, etc.
1. FMM Create Q&A Slack Channel for the event (example channel: [#2020-virtual-workshop-qa](https://gitlab.slack.com/archives/C017TMC32EQ)) to triage questions/responses from the event.
1. If you have budget and would like to host a virtual raffle, please follow the following process: Select the items (recommend 3 prizes total) you'd like to give away. Include the items in the [Transition Slide Deck](https://docs.google.com/presentation/d/19BD2fZ2fN1AcvWo-Xf9bEL8AR8R6sYxY1s2aA6gfEF4/edit#slide=id.g7dd1ed64d9_0_5929) to have the MC announce at the beginning of the event and at the end. For those who attend the entire event will be eligible for the raffle. You will need to provide the attendees with a code word at the end of the event via the Chat feature in Zoom Webcast during the beginning of the Closing / Final Q&A portion of the event along with the URL to the post-event survey. In addition to adding a question at the end of the Post-Event Survey (click [here](https://docs.google.com/forms/d/e/1FAIpQLSc16eOijHQqrwBvx0Uk2SZRJeIjjCR6Xt2EICUZJm6UsEbh6Q/viewform) for example of post-event survey) that allows the attendees to enter the code word.

#### Canva

**DRI: FMM**

- Use [GitLab's Virtual Events Promotional Templates on Canva](/handbook/marketing/virtual-events/self-service-virtual-events/#how-to-make-images-for-your-self-service-virtual-event).
- Follow the directions on the first slide of the template.
- Once your image is made, click the "share" button, followed by the "download" button, and you've made your promotional image!

If you are uncertain about formatting and/or layout due to varying copy changes based on different workshops, please drop a note in the Slack channel `#marketing-design`.

##### FMM Shared Canva Login

The Field Marketing team utilizies a shared Canva Enterprise login. The account is linked to the fieldmarketing@gitlab.com google group & the password can be found in the shared marketing 1pass account.

### Workshop Pathfactory Tracks

**DRI: FMC**

#### Overview

We have 4 workshop Pathfactory track templates, one for each workshop. To navigate to these templates, go to `Campaign Tools` - `Target` - `Field Marketing folder` - `Workshop Templates sub-folder`. The FMC will clone the appropriate workshop track and add in the presentation deck from that particular workshop. This Pathfactory track will then be included in the follow-up email sent out after the workshop.

#### Pathfactory Training References

- [Pathfactory Handbook Page](/handbook/marketing/marketing-operations/pathfactory/)
- [Pathfactory Author Training](/handbook/marketing/marketing-operations/pathfactory/#training)
  - Adding Content: 5:50 min mark
  - Cloning Tracks: 16 min mark for target track (workshop tracks are set up as [target tracks](/handbook/marketing/marketing-operations/pathfactory/#pathfactory-campaign-tools))

#### Uploading the Presentation Deck

Once you have the final workshop presentation deck, follow the below instructions to add that content to Pathfactory.

1. Click on `Add Content` button in upper right corner of the screen
1. Upload your presentation file
1. Add a `Title` for your content (example - CI/CD Workshop 1/12/21 Presentation Deck)
1. Duplicate the name you created in the `Title` field in the `Name` field further below under `Internal Configuration`. These two fields should match.
1. Add brief `Description`
1. Leave `SEO Title` blank
1. `Content Type` will be `Presentation` (this auto-populates the `Funnel Stage` and `Estimated Cost` fields)
1. `Custom URL Slug` should **always** be created for an asset (example - CICDWorkshop-1/12/21). No spaces, each word should be separated by a dash and try to keep slug as short as possible.
1. Don't adjust `Scoring`
1. Adjust to the appropriate `Language` utilized in your content
1. `Business Units` is the [GTM Motion](/handbook/marketing/plan-fy22/#gtm-motions) associated with the piece of content. Every asset should be tagged and aligned to a GTM motion.
1. `Personas` is WIP and does not currently need to be added
1. `Industry` can be left blank but if you do have a specific industry you would like to tag, you can do so.
1. `Expiry Date` should be left blank (this field is mostly used for analyst reports)
1. `External ID` should be left blank
1. Move to the right-hand pane and add any appropriate topics for your content. **Important:** Do NOT select any topics marked as `Smart Topics`. Usually content will have 1-5 topics. Example - for a CI/CD workshop can you tag with `CI/CD` `Continuous Integration` and `Continuous Delivery`
1. `Extracted Text` is not used so you can leave whatever pulled through
1. You can also change the thumbnail by clicking on the thumbnail for more options
1. Click `Done`

#### Cloning Tracks

Note: Cloning a track will pull over all settings from that initial track. All workshop tracks are set up appropriately and should not require any adjustment.

1. Click into the track you would like to clone
1. At the top left corner, you will see a double screen icon that indicates you wish to clone the track. Click on that icon.
1. Follow [these naming conventions](/handbook/marketing/marketing-operations/pathfactory/#naming-conventions) to name your new track
1. `Parent Folder` - Select the `Workshop Tracks` folder
1. `Labels` - Add `Email`
1. Click `Clone Track`
1. On the left hand side bar under `Track Settings` click on `Custom URL` and add descriptive slug (example - CICDWorkshop-1/12/21). No spaces, each word should be separated by a dash and try to keep slug as short as possible. `Custom URL` should **always** be created. All content tracks should be set up with custom URL slugs to prevent any future changes to the track from breaking the link and thus, the user experience. This will also lock in your Pathfactory track URL so your URL will always stay the same, even if you switch out content within your track.
1. To remove the existing presentation deck, click on the deck and in the bottom right hand corner, click on the trash can icon. Confirm that you would like to delete the content from your track. **Note:** Do not delete content from the Pathfactory library, only delete from your individual track.
1. Click `Add Content` to find/add in your previously uploaded presentation deck
1. Since this is a target track, you are able to move around the pieces of content in any order
1. Refresh any changes you make
1. Add your new track to the [Changelog](/handbook/marketing/marketing-operations/pathfactory/#changelog)

#### Adding the Track to Marketo Token and Checking Follow up Email

1. When you are in your newly cloned Pathfactory track, go to the top left corner and click on the `Get Share URL` icon. Copy the URL link. You do not need to add a `Query String`.
1. Click into your campaign's Marketo program tokens and update `{{my.pfslidelink}}` with your new Pathfactory track by following [these instructions](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#fmc-tokens).
1. Helpful Hint: Once you receive final slides from the FMM and add to the Pathfactory track, it's a good idea for you both to go back to your follow up email test (email also available to preview in the Marketo program) and make sure the presentation link button in the email is taking you to the correct Pathfactory track with updated presentation.

#### Workshop Dry Run and Q&A

**DRI: FMM**

- Q&A for the Virtual Workshops is handled via the Q&A feature of Zoom, due to the volume of questions received. We will tell attendees multiple times throughout the event to direct questions to Q&A.
- We do not use chat for attendees to communicate on this event. However, the Host will push webcast specific details via chat
- What we found works best is to have a person who coordinates the questions and answers. This person will copy questions from Q&A into the Slack channel determined during the dry run and any available SA will answer it in a thread. The Q&A coordinator should be someone from the SA team who can identify questions that are best to answer live, best to answer offline, and best to answer in writing.
- A coordinator makes it so we avoid answering over each other. We also have some canned responses that can be copied and pasted in.
- The Q&A coordinator should be determined on the dry run and recorded in the dry run document.

#### Details on Slack Question Management

**DRI: FMM**

- Coordinator will copy all questions into Slack.
- If a question looks good to answer live, mark it as "Answer Live" in Slack (so no one else starts work on it), then in the Q&A window.
- Only the Q&A Coordinator should enter answers into the Q&A box in Zoom. SAs will answer in the thread and indicate the answer is ready to give to attendees using the emoji system noted in the channel.
- If a question is marked to answer live, do not touch it until AFTER it is read and fully answered.
- Q&A support will respond in threaded comments while using the following emoji:
  - Working: :thumbsup:
  - Answered and ready to be posted into Zoom: :heavy_check_mark:
  - Answer has been posted in Zoom: :white_check_mark:
  - Need Help Answering: :sos:
  - Answer Live: :microphone:
- Questions may be held in queue until the coordinator wants them answered. For example, a question may come up during the basics presentation that makes more sense to answer during the CI/CD session. The question will sit unanswered in the queue until then.
- Be comfortable with questions not being answered right away. It is up to the coordinator to determine when to answer and who will answer.
- Follow-up with attendees who we say we'll follow-up with. The person responsible for follow-up will be determined during the dry run.
- Questions asked by attendees are not visible to other attendees until the answer is written. Answer live questions are visible.
- You may also dismiss questions by hovering over them and hitting "Dismiss"

### During Event

**DRI: FMM**

Note: The FMM/DRIs are not to pause the workshop/webcast presentation. Pausing the workshop/webcast will negatively impact the final recording and follow-up email SLA.

FMM DRIs during the event are not only responsible for day of event coordination (virtually) but are also designated time keepers and hosts of the event.

For more information about hosting a virtual hands-on workshop, please watch [**this training video**](https://www.youtube.com/watch?v=f7L04-tQpJo&feature=youtu.be).

#### Day of Event Coordination

**DRI: FMM**

- Field Marketing is the Host of the workshop and runs pre-event check, ensuring all speakers are able to properly display slides and are heard.  This time is also to address any last minute questions from the team executing the event.
- Field Marketing helps support by placing questions in the designated slack channel for Question Coordinator (Lead SA) to assign SA's to answer the question. The slack channel allows other SAs to jump in if they have some free time in their day and it allows an easier point of discussion.  Once a question is answered, the Question Coordinator (Lead SA) will place the answer in the Q&A section of the Zoom webcast queue.
- FMMs will at times need to update the Introductions & Transitions Slide Deck with the accurate time of the break. This can be updated in advance but the presentations before the `Break` slide in the deck can run long or short due so advise for the FMM to update in real-time.
- FMMs will need to list the following in the Chat feature of the Zoom Webcast live during the beginning of the Closing / Q&A section of the event once the MC announces the raffle prizes:
  - Shortened URL of the Post-Event Survey
  - Code word to list in the Post-Event Survey for the attendees to be eligible to win one of the raffle prizes
  - Add promotion of upcoming workshop dates

#### Time Keepers

**DRI: FMM**

FMMs will need to keep a close eye on the time. Notify the team and the next presenter when there time is nearing an end in the event's slack channel (not the Q&A slack channel for the event)

#### Workshop Communication to Attendees During Event

**DRI: FMM**

- Each presenter will present from their own computer and share their screen.
- The moderator will show the agenda slide with demo instructions during the intro and welcome.
- When we go live, the host (person running the technical side of the webcast) will push the demo instructions to chat throughout the first two presentations. The exact copy is available in the dry run agenda because the specific demo code must be entered.
- Throughout the presentation, the host will also push a Q&A reminder to chat: "If you have any questions or technical issues, please use the Q&A function to submit your question."
- At the end of the session, the host will push the post-event survey through chat. The copy is available in the dry run agenda as the specific post-event survey link must be provided.

### Post-Event

**DRI: FMM**

- Close out reporting
- Raffle award closing
- Close issue
- Deactivate Marketo registration campaigns
  - Under "Schedule" on the `01a Registration Flow (single timeslot)` or `01b Registration Flow (Multi-timeslot)` smart campaign, click `Deactivate` once the webcast has completed.

#### Logging in to the Zoom Webcast Account

For many post-event tasks, you must be logged in to the Field Marketing Zoom Webcast account. To do this:

- Navigate to zoom.com on your web browser
- Click on `My Account` which will log you into your personal Zoom account
- Click on your account picture at the top right hand corner
- Click `Sign Out`
- Click `Sign In` and utilize the `Zoom Webcast Login` that is saved in the Marketing 1pass
- You will then be signed in to the Zoom Webcast Account
- Remember to log out of the Zoom Webcast Account when you are done and sign back in to your personal Zoom account

#### Downloading the Recording from Zoom

**DRI: FMC**

- Please see [this section](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#downloading-the-recording-from-zoom) for detailed instructions on how to download a Zoom recording.

#### Closing out Workshops

**DRI: FMM**

Now that the event is over, it is important to consolidate all of the information points and upload them into Salesforce to streamline our sales follow up. The FMM DRI is responsible for consolidating the data from each of the attendees into the lead sheet. Consolidate data and include it in the Notes column to complete list clean and upload. This requires obtaining:

- The attendee list with contact information (see instructions below)
- The Post Event Survey results
- The data from Zoom Q&A queue (FMMs to pull this data utilizing the below instructions)
- Workshop recordings should be posted to the [shared drive](https://drive.google.com/drive/folders/1dDyuT92zZOodi9mytf6--rq7kseX7EeE) and to the main issue.

#### Pulling attendee report, Q&A report, and recording

- In the webcast account, click Webinars > Previous Webinars
- Select the webinar you would like to pull reports for.
- Scroll down to the bottom of the screen and click `View Attendee Report`
- Select the live workshop date (you will see two, one for the dry run, one for the live event). You'll know it is the correct one because it will have more attendees.
- Click `Generate CSV Report`
- From the same screen, select `Q&A Report`
- If your event does not pull into the display automatically, enter the webcast ID OR enter the date of the event
- Select the workshop you would like the Q&A report for
- Click `Generate CSV Report`

#### How to Consolidate the Data

**DRI: FMM**

1. **Attendee Report:** White you are already logged into the webcast account, download a copy from SFDC.  The email address will be the key to consolidating the data. Load into the field marketing event template
2. **Post Event Survey:** Create a new worksheet in the Event template and put the Post event survey responses in a new worksheet
   - Consolidate the data points with Concatenate formulas. The formulas need to capture the question and the individual responses. For example: `=CONCATENATE($C$1&": "&C2&" | "&$D$1&": "&D2&" | "&$E$1&": "&E2&" | "&$F$1&": "&F2)` This will capture a summary for each question
   - Note: Sometimes google sheets can only build two or three questions before it stops working so you often need to build a few of these to capture all of the data points. If this happens build a final summary to put all of this together.
   - When this is complete, copy and paste values of  the final answer, into an empty column agencent to the email address.
3. **Transfer Consolidated Post event Survey into Attendee list:**
   - To do this you are matching email addresses, and adding the values of the concatenated formulas from the Q&A sheet and entering it into the attendee sheet
   - Move the values of the final concatenate formula from the last column to a column next to email addresses
   - In the attendee worksheet, use this vlookup  by going to the cell in the attendee sheet you want to populate and place this formula: `=VLOOKUP(C2,'Q&A'!E:F,2,False)` NOTE: you may need to adjust - Column E is email address, Column F is the consolidated data (in the Q&A sheet). The number 2 is the cell you want to upload into the attendee spreadsheet, and put False.
   - Copy the value of the answer into the next column and mark as Q&A Value
4. **Q&A Report:** In the event customers asked questions in the chat room, refer to the Q&A report to get the email, full name, question and answer
   - Add this report as a new worksheet to the event spreadsheet
   - Begin building consolidating the questions/answers for each line using a Concatenate formula
   - Check if a customer asked multiple questions and consolidate all of their Q&A into one line
   - When you have all of the data for each attendee you are ready to bring it over to the attendee workshop
   - In the attendee workshop use the same vlookup function as you did with the Survey data.  Build in a column and bring the Q&A into the attendee report
5. **Consolidate:** Consolidate all of the information into the notes column and submit a clean list upload issue noting that the attendees already exist in the system this is just to add data points.

#### Raffle Awards Closing Process

**DRI: FMM**

1. At the completion of the event, take the number of attendees and add them to a random number generator to select your winner(s).  You can choose how many times you would like to randomize, but usually 3 or 4 times will do it.  Select the number of winners based on your prizes from the top of the list.
1. Once the winner(s) have been selected, send an email ([click here for template](https://docs.google.com/document/d/1EHGBy9VXEfp6cDDla56a31nChkR4BIv8rmhaii_SRNE/edit)) to the winner(s) to notify them that they've won and collect an address to ship the
prize to. Option to CC the SAE who is tied to the account to allow them visibility / allow for possible follow up meeting.
1. Once you have the responses from the winner(s), ship the prizes, delete the email with the address and if possible do not save the shipping address in your Amazon/Best Buy account or delete immediately after delivery.

#### Event Close Process

**DRI: FMM**

Normal FM close process: Send follow-up email, gather recap information from the team and close the issue.

## Proposing New Workshops

If you have a new workshop idea/topic, you can build out a Parent Epic for that workshop utilizing the epic code below. Please note that the first time you set up the new workshop, it will run as a -45 SLA with all new content. If you decide you would like to repeat the workshop in the future, you will need to work with the Marketing Ops team to build out the new workshop's backend templates in Marketo. Please open an issue with them [here](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues) to work through setting up the new workshop. You would also then need to add all finalized details and link to the new workshop throughout these handbook page instructions, as well add the new workshop details to the [FM Workshop Template](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=Workshop_Template).

```markdown

# Collections

## Workshop Theme

### Workshop Description

## Agenda

* **Agenda Draft Approved by**
* [ ] Instructor Approval
* [ ] Customer Success Approval
* [ ] Agenda updates are approved to add to Event Landing Page
* [ ] Create Transition Slides

**Example Agenda**
| Time | Agenda Topic | Presenter Role | Name |
| ------ | ------ | ------ | ---- |
| 09:00-09:10 | Welcome | Moderator / MC |  |
| 09:10-09:20 | Introduction to GitLab | SAE/ASM |   |
| 09:20-09:40 | Using GitLab as a PM tool | SA | |
| 09:40-09:50 | Lab for Project Management | SA |  |
| 09:50-10:00 | Q/A | Q/A | SAs |
| 10:00-10:10 | Break | Break |Break |
| 10:10-10:30 | GitLab Basics for Developers | SA |  |
| 10:30-10:40 | Lab for GitLab Basics | SAs | |
| 10:40-10:50 | Q/A | Q/A | SAs |
| 10:50-11:20 | Digging deeper in to CI/CD | SA |  |
| 11:20-11:30 | Lab Digging deeper in to CI/CD | SA |    |
| 11:30-12:00 | Questions and Answers and closing | Moderator/ MC |  |

### Moderator/MC
- [ ]

Responsibilities - Face of the event / set the tone of the event. Introduction of each presenter/section and chime in during presentations to give time checks

## Coordinators/Time Keepers

1.
2.
3.
4.
5.

Responsibilities - Keep time & collect questions via Q&A queue (and chat) and paste into internal google doc to have TA's help field questions

### TAs/Panelists
1.
2.
3.
4.
5.
6.

Responsibilities - Help field questions / assist with technical difficulties

## Location for Slide decks and project references

GDrive Folder:

Base Lab Project (example below):

| Agenda Item | Slide Deck | Labs | Project Link (If any) | Status |
| ------ | ------ | ------ | ------ | ------ |
| Technology Review | [Deck](https://docs.google.com/presentation/d/1XZmOqN6S2XCVrMi1UR5SYSfTdAaCLSk6u_506--5oDY/edit#slide=id.g7dd1ed64d9_0_5929)  | | |
| Introduction to GitLab |  [Deck](https://docs.google.com/presentation/d/1ElGXe8eUwBpeZzQENYeRTHLj7TL8jdx2o44_YjuAfu4/) |  | | |
| Using GitLab as a PM tool | [Deck](https://docs.google.com/presentation/d/1wYRdM7dIdLT0OESJDUnlpw9hqIXXtOvzE7ha3YCdq9Y/edit?usp=sharing) | [Lab](https://docs.google.com/presentation/d/1rpK-TfxzK8BvvIUWqTzYTXMDbB7M1SP9NoBs-jZkZ90/edit?usp=sharing) |[Project](https://gitlab.com/gitlab-com/customer-success/workshops/virtual-devops-workshop) | |
| GitLab Basics for Developers | [Deck](https://docs.google.com/presentation/d/1K1By7nvz9O0DqRFzd6QiNKWSB_14yv1gugBTYAVD8Xo/edit?usp=sharing) |[Lab](https://docs.google.com/presentation/d/1rpK-TfxzK8BvvIUWqTzYTXMDbB7M1SP9NoBs-jZkZ90/edit?usp=sharing) |
[Project](https://gitlab.com/gitlab-com/customer-success/workshops/virtual-devops-workshop) | |
| Digging deeper in to CI/CD | [Deck](https://docs.google.com/presentation/d/1ZI4jw0UsT-X6IkorhM5TMBDIZOXNYTk_DM9apXrtZdU/edit?usp=sharing) | [Lab](https://docs.google.com/presentation/d/1rpK-TfxzK8BvvIUWqTzYTXMDbB7M1SP9NoBs-jZkZ90/edit?usp=sharing) |[Project](https://gitlab.com/gitlab-com/customer-success/workshops/virtual-devops-workshop) | |


## Additional Information

* **Raffle Prizes/Giveaways**
* **Certifications**
* **Pre Event Survey**
* **Polling Questions**
* **Script / Walk through Doc**
* **Google Form/Post Event Survey**

```

## Changing a Workshop Date or Cancelling a Workshop

For details on this process, please reference [this section](/handbook/marketing/field-marketing/field-marketing-owned-virtual-events/#rescheduling-a-webcast).

## Owned Events Hosted on Personal Zoom Accounts

## Capacity

**DRI: FMM & FMC**

Note that our capacity for events run on personal Zoom accounts is 200 attendees. With our attrition rates, that means you should plan on shutting down registration at around 400 registrants. The FMC is responsible for tracking the registrations via the Marketo program.

## Epic

**Please see the Owned Events epic code [here](/handbook/marketing/field-marketing/field-marketing-epics/#owned-events)**

**DRI: FMM & FMC**

## Best Practices

[Best Practices](/handbook/marketing/virtual-events/self-service-virtual-events/#best-practices)

**DRI: FMM**

## Promotion Guideline

[Promotion Guidelines](/handbook/marketing/virtual-events/self-service-virtual-events/#self-service-virtual-event-promotion-guide)

**DRI: FMM**

## Logistical Setup

[Logistical Setup](/handbook/marketing/virtual-events/self-service-virtual-events/#logistical-set-up)

**DRI: FMM**

### Things to Remember

- Note that we do not have an integration set up with Marketo and Zoom for events run on personal Zoom accounts, so the process is different from the Webcast/Workshop process hosted on our Zoom webcast license where we do have an integration in place.
- Since the Marketo LP is not integrated with the platform, this means when attendees register on the Marketo LP, that does not register them on the Zoom platform. Instead, we send every registrant a confirmation email that includes the sign in URL so they can log into the event.
- It is recommended you also include the sign in URL in the Marketo reminder email in case registrants have lost their confirmation email.
- If you plan on sending a Marketo reminder email to attendees, you do not need to set up the reminder email in Zoom.
In order for your FMC to triage your Marketo LP issues, you **must** have your Zoom event set up in advance and link your URL in the FMC Checklist section of your FM issue.

## During the Event

[During the Event](/handbook/marketing/virtual-events/self-service-virtual-events/#during-the-event)

**DRI: FMM**

## Post Event

[Post Event](/handbook/marketing/virtual-events/self-service-virtual-events/#post-event)

**DRI: FMM**

## Results

[Results](/handbook/marketing/virtual-events/self-service-virtual-events/#results)
