---
title: "Website Health Resolution"
description: "Let's fix about.gitlab.com together!"
noindex: true
---

The Search Marketing team wants to ask for your help to fix SEO errors across the handbook. For the next 4 weeks, we're asking teams to look at their section of the handbook and fix duplicate or missing page titles, descriptions, and broken links.

To help you get started the Search Marketing team recorded a few videos to show how to fix these types of errors and collected errors in a Google Sheet.

As you fix errors, please add the `~site-health` label so we can track how many MRs we complete in this iteration and help us improve as we do future iterations.

## Website Health errors Google Sheet

The [Website Health](https://docs.google.com/spreadsheets/d/1TRfRLrh_dnMVpxGharwMfZBHy8ke62Q50_T7CLkCqEU/edit?usp=sharing) sheet has five tabs, `Missing Meta Descriptions`, `Duplicate Titles`, `Duplicate Meta Descriptions`, `Broken Internal Links` and `Broken External Links`.

The title and description tabs both have the page with an error, team, and a checkbox to mark an error as fixed.

The broken link tab lists the link location (where a broken link occurs), the broken link, and the link text. There's also a team listed, and checkbox for completion.

## Videos

The Search Marketing team made a series of videos showing why fixing these errors will help GitLab's SEO and how to fix each type of issue in the WebIDE. You can find all of these in the [Improving Website Health](https://www.youtube.com/playlist?list=PL05JrBw4t0KpLkZdh-GJdluUjrNeY5X5K) playlist on GitLab Unfiltered.

### Handbook error mash kickoff video

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/QHBuAwX3pDs" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

### Fixing page titles and meta descriptions

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/SOOYUiRwZik" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/hcw63x5TGGk" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

### Broken links and 301 redirects

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/W40ciCKtzpk" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

While you're fixing those broken links, consider [making the link text meaningful](https://handbook.gitlab.com/docs/markdown-guide/#links) if it isn't already. This helps to improve our site's accessibility for people who use screen readers.

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/1K8irzpGExY" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/VE1gpOzyufs" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
