---
title: "Integrated Marketing"
description: "Integrated Marketing at GitLab"
---

## Integrated Marketing

<!-- DO NOT CHANGE THIS ANCHOR -->

### Team Mission Statement

Be the strategic growth engine for GitLab by creating and accelerating high quality demand, partnering ecosystem-wide and being platform champions.

### Team Norms

* We are a team that transparently communicates wins, challenges, and marketing insights that helps us feel connected to our purpose as a team and a company.
* We are tightly connected and operate as one respectful, supportive and collaborative IM team, communicating a united story about our reason to be, the context in which we operate and why we move in an intentional direction.
* We are innovative, strategic, and data-driven, delivering a cohesive high quality marketing motion that aligns across our joint stakeholder goals.

The Integrated Marketing works across SMB, Mid Market and Enterprise segments as well as globally in the Americas, Europe/Middle East and Africa (EMEA) and Asia-Pacific (APAC) to create relevant game plans and thoughtful execution, enabling GitLab to:

* Generate high quality, high-propensity demand
* Partner ecosystem wide, including the channel, alliances and the community
* Be champions of the DevOps platform

We are innovative, strategic, and data-driven, delivering a cohesive high quality marketing motion.

## Team Norms (how we operate)

We are a team that transparently communicates wins, challenges, and marketing insights that helps us feel connected to our purpose as a team and a company.

We are tightly connected and operate as one respectful, supportive and collaborative IM team, communicating a united story about our reason to be, the context in which we operate and why we move in an intentional direction.

We are innovative, strategic, and data-driven, delivering a cohesive high quality marketing motion that aligns across our joint stakeholder goals.

## Teams (what we do)

<!-- DO NOT CHANGE THIS ANCHOR -->

## Digital Experience

 [Digital Experience](/handbook/marketing/digital-experience/): Responsible for creating customer-centric approach to educating prospects on how GitLab enables them to deliver software faster and more securely on the marketing site.

## Corporate Events

[Corporate Events](/handbook/marketing/integrated-marketing/corporate-events/): Create experiences through 1st and 3rd party events to bring awareness to the GitLab story and build our presence with key audiences.

## Digital Strategy

[Digital Strategy](/handbook/marketing/integrated-marketing/digital-strategy/): Leverage paid and owned media tactics to foster awareness, generate leads and reach audiences where they engage.

### Account Based Marketing (ABM)

[Account Based Marketing](/handbook/marketing/account-based-marketing/abm-campaign-approach/)

### Campaigns

[Campaigns](/handbook/marketing/demand-generation/campaigns/): Deliver creative ways of telling the GitLab narrative, through different channels, formats and platforms.

### Lifecycle Marketing

[Lifecycle Marketing](/handbook/marketing/lifecycle-marketing/): Engage, nurture and convert customers across the customer journey.

## Regional Marketing

### Field Marketing

[Field Marketing](/handbook/marketing/field-marketing/): Be the feet on the street, creating local and regional experiences, learning and evangelism in close partnership with Sales.

### Channel Marketing

[Channel](/handbook/marketing/channel-marketing/): Exponentially grow GitLab's reach through the ecosystem to build awareness and generate demand.

## OKRs/Goal/Plan (how we impact)

Integrated Marketing OKRs cascade from CMO OKRs

[FY25 IM strategy](https://docs.google.com/presentation/d/1Fo1NfRZip39-PoMbMQE5_y6r-YW9gm5KF-HX4rZxBjA/edit#slide=id.g26666ea2657_0_0)

## How to Communicate with integrated Marketing

<!-- DO NOT CHANGE THIS ANCHOR -->
You can find us on Slack in the [#marketing_integratedmarketing](https://gitlab.slack.com/archives/C03HJQW0DLZ) channel.

## Cadence of meetings within Integrated Marketing

<!-- DO NOT CHANGE THIS ANCHOR -->
We value our asynch value and believe that people truly need time to think and process. The Integrated Marketing team, like all GitLab team members, should feel empowered to decline meetings based on the agenda topics.

The IM team meets the 1st and 3rd Wednesday of the month and the time rotates between being EMEA/AMER & AMER/APAC timezons. We discuss key cross-functional issues, our progress on our OKRs for the quarter, and to ideate how we can better unify our marketing motions, as well as having a little fun getting to know each other!

## Monthly Regional Readouts with Sales

Each month, Integrated Marketing meets with regional Sales Leadership to discuss key metrics and team updates.

[This GitLab Epic](https://gitlab.com/groups/gitlab-com/marketing/-/epics/3352) (confidential) documents the past readouts as well as preparation for the future readouts monthly.

[See this doc for details on consistently pulling metrics for Monthly Regional Readouts (GitLab Internal)](https://docs.google.com/document/d/1PcsPa8zRSY3A0sIocWBuukfC8LoUus-yUZoWc6ZYNck/edit#)

## Cross-functional team processes

<!-- DO NOT CHANGE THIS ANCHOR -->

### Publisher Programs

<!-- DO NOT CHANGE THIS ANCHOR -->
Due to the fact that teams outside of the digital marketing team are only allowed to run three paid social campaigns a month, we would not want to use one of our three slots for the month to run a publisher program with a publication that we already have relationship with. This is for two reasons: 1. To work with our 3rd party ad agency, there is 12-15% fee that is based off the ad spend of the publisher engagement to accommodate their services and reporting 2. because we do not want to take the place of a paid social campaign. Should we go down the route of wanting to work with a publisher, then the team member should collaborate by tagging the Campaign Manager & Digital team manager who you normally work with in the campaign issue. By tagging this team in your issue, the Campaign Manager & Digital team member will be able to ensure the publisher engagement does not conflict with existing activities running.

### Regional Sales leaders seeking approval for activity outside of Mktg Supported countries

For strategic reasons, a regional leader may desire marketing activity outside of the agreed upon [marketing countries of focus](https://internal.gitlab.com/handbook/marketing/fy24-strategy/#marketing-support-levels). As such, [this issue template](LINK) should be used to seek approval.
