---
title: Corporate Event Marketing at GitLab
description: For corporate event marketing at GitLab
twitter_image: null
twitter_image_alt: GitLab's Corporate Marketing Team Handbook
twitter_site: gitlab
twitter_creator: gitlab
---

## Mission Statement

* The mission of the Corporate Events Team is to:
  * Tell the GitLab story through engaging events
  * Make customers the hero
  * Build lasting and trusting vendor and internal relationships
  * Help elevate the attendee/customer's GitLab experience during events

## What does the Corporate Events team handle?

* Sponsored events
  * Events with a global audience of 5000+ attendees for NA
  * 3000+ for other territories (50% or more of audience is national or global).
  * A handful of smaller events that we handle due to the nature of the audience, product specific, and the awareness and thought leadership positions we are trying to build out as a company.
  * The primary goal is always driving brand awareness but that cannot be the only result.
* Owned events
  * [GitLab DevSecOps World Tour](https://about.gitlab.com/events/commit/), our User & Customer Conference
* Internal events
  * GitLab Summit, our internal company and core community event
  * Please review our events decision tree to ensure Corporate Marketing is the appropriate owner for an event. If it is not clear who should own an event based on the [decision tree](https://docs.google.com/spreadsheets/d/1aWsmsksPfOlX1t6TeqPkh5EQXergt7qjHAjGTxU27as/edit?usp=sharing), please email events@gitlab.com.

## Meet the Corporate Events Team and How to Reach Us

* Kate Demarest - Senior Director, Corporate Events - `@kdemarest`
* Kelley Stowe - Senior Manager, Corporate Events - `@kagarrett`
* Kelly Walker - Senior Partner Program Manager, Exec Engagement `@kmwalker`
* Marina Conrad - Senior Corporate Events Manager - `@marinaconrad`
* Amanda Shen - Corporate Events Manager - `@amandawshen`
* Suli King - Corporate Events Content Manager -`@sstuelp`
* Lauren Roberts - Corporate Events Coordinator - `@lroberts`

### Current Slack Corporate Event Channels

<table>
  <tr>
   <td><strong>Slack Channel</strong>
   </td>
   <td><strong>Use</strong>
   </td>
  </tr>
  <tr>
   <td><strong>#corporate-events-team</strong>
   </td>
   <td>General planning questions and open to all team members to inquire about upcoming or past events
   </td>
  </tr>
  <tr>
   <td><strong>#devsecops-world-tour</strong>
   </td>
   <td>General DevSecOps World Tour planning questions and open to all team members to ask any questions
   </td>
  </tr>
  <tr>
</table>

### If you'd like to email us instead, please reach us at

General Questions: [events at gitlab dot com](mailto:events@gitlab.com)

Summit-related Questions: [summit at gitlab dot com](mailto:summit@gitlab.com)

DevSecOps World Tour-related Questions: [events at gitlab dot com](mailto:events@gitlab.com)

## How We Evaluate and Build Potential Events

All GitLab events must check at least  three or more of the goals of our events below to be considered.

1. Brand awareness- we want to be a household name!
2. Build community
3. Evangelize a remote-first culture
4. Gain contributors
5. Share GitLab thought leadership
6. Help with hiring great future teammates
7. Gather new relevant leads/ drive ROI
8. Educate possible buyers or users on our product or features
9. Communicate the marketplace positioning
10. Promote Partnerships and Alliances

### Corporate Events must also meet

1. Audience minimum requirement will vay based on the type of sponsored event
2. Audience demographic requirements. We consider the balance of roles represented (contributor, user, customer, potential hires), and the Global reach of the audience. Audience profile must be over 50% national/ global.

**If you are looking to request a new Corporate Event, please use the following [issue template](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=Event_Request)

## Questions we ask ourselves when assessing an event

* How and where will this event position us as a brand?
* Does this event drive business goals forward in the next quarter? Year?
* How does this event drive business goals forward in the new quarter? Year?
* Is the event important for the industry, thought leadership, or brand visibility? We give preference to events that influence trends and attract leaders/decision makers. We also prioritize events organized by our strategic partners.
* Will there be a GitLab speaker? We do not require a speaker slot in return for sponsorship but we do prioritize events where the audience will be hearing about GitLab - either from a GitLab team-member or a member of the wider GitLab community.
* What type of people will be attending the event? We prefer events attended by diverse groups of decision makers with an interest in DevOps, DevSecOps, Cloud Native, Kubernetes, Serverless, Multi-cloud, CI/CD, Open Source, and other related topics.
* Will we be able to interact with attendees? We stress events that provide opportunities for meetings, workshops, booth and/or stands to help people find us, as well as create other interactions with attendees.
* Where will the event be held? We aim to have a presence at events around the globe with a particular focus on areas with large GitLab communities and large populations of support.
* What is the size of the opportunity for the event? We prioritize events based on their potential reach (audience size, the number of interactions we have with attendees) and potential for ROI (also account for cycle time).
* What story do we have to tell here and how does the event fit into our overall company strategy, goals, and product direction?
* Do we have the bandwidth and resources to make this event a success? Do we have the cycles, funds, collateral and runway to invest fully and make the event as successful as possible? Events must be weighed against other current activity in the region and department.

Suggested events will be subject to a valuation calculation - will it meet or exceed objectives listed above?

### Corporate Events Strategy / Goals / OKRs

* **Brand**
  * For Sponsored Events: Get the GitLab brand in front of 15% of the event audience. 40,000 person event we would hope to get 4,000+ leads (10%) and 5% general awareness and visibility with additional branding and activities surrounding participation.
  * Human touches- Tracked by leads collected, social interactions, number of opportunities created, referrals, current customers met, and quality time spent on each interaction.
  * Audience Minimum Requirements- volume, relevance (our buyer persona, thought leaders, contributors), reach (thought leaders?), and duration of user/ buyer journey considered.
* **ROI**
  * Work closely with Integrated Marketing colleagues to ensure events are driving results and touching the right audience.
  * Exceed minimum threshold of 8X ROI for any events that also have a demand generation.
  * Aim to keep the cost per lead for a live event around $100.
* Thought Leadership and Education
* Corporate Events Team OKRs are algined quarterly to the Integrated Marketing (therefore the CMO) OKRs.

## Creating Content for Owned & Internal Coporate Events

### Content Process

#### Corporate Events Owned & Internal Content DRI's

* Overall Content DRI: Senior Management in Product Marketing or otherwise assigned by senior management, will vary based on event
* Corporate Events Content Manager DRI: Suli King `@sstuelp`
  * Ensures that the content workstream team is on track to create, review, and finalize content for owned & internal events.
* Brand Compliance DRI: Adam Mittner or otherwise assigned by Adam Mittner `@amittner`

Content DRI’s will be in charge of creating their presentations based off of the template guidelines for any of the sessions. Presentations will be built in Google Slides. Once the presentation is final it will then be converted to either Keynote or PPT.

1. The Corporate Events Content Manager will provide a Google Slides template specific to the content DRI’s session.
2. The content DRI will create their content using the template that was provided to them.
3. The content DRI will provide a draft of the presentation to the overall track DRI to review and provide feedback.
4. The content DRI will make any suggested changes to the presentation and then provide the presentation to the track DRI to review. Steps 3 & 4 will repeat until the track DRI approves of the presentation.
    * If the content DRI is not the same as the presenter then at this point the main presenter will review the content - this will be the case for any E-Group presenters. The content DRI will address any feedback that the main presenter has.
5. The presentation will then go into the review process and you will lose editing access to the presentation. You will still have commenting privileges. After each point in the review process (brand, copy editing, legal), you will gain editing access back if necessary.
6. The presentation will then go to the Brand Team or designated agency for clean up & review.
    * **Note:** Brand will not be doing major design work for these presentations. They should come for review as a final presentation that will only need to be cleaned up in terms of brand consistency and messaging.
7. Next, the Corporate Events Content Manager will [create a content marketing issue](https://gitlab.com/gitlab-com/marketing/brand-product-marketing/content-strategy-and-ops/content-ops/-/issues/new?issuable_template=editing-request) for presentations to be reviewed from a copy editing standpoint and the content DRI will address any feedback that they have.
8. **If needed**, based on the [materials legal review process in the handbook](/handbook/legal/materials-legal-review-process/), the presentation will then go to legal review. The content DRI will address any feedback that legal has.
9. If the presentation does not need legal review, it will then go to the overall content DRI/speaker and track DRI for a final review before the presentation is deemed final.
10. Once the presentation is deemed final, it will be converted to either Keynote or PPT for event execution.

## Third Party Sponsored Events

### Tiering of 3rd party conferences

* Tier 1 -
* Tier 2 -
* Tier 3 -

### Teams we work with internally at Tier 1 shows

* Event Marketing — Project management, execute logistics, budget management, event staffing/training, lead collection/reporting, and ancillary events
* Field Marketing — Field communication, meeting program support, onsite booth support, ancillary event support
* Inside Sales Rep  — Drive registration, booth support, lead follow-up
* Customer Success (TAM, SAs attending) / Developer Relations — Booth support, attend customer meetings, presentations/speaking engagements
* Product/Alliance Marketing — Messaging, content creation (blogs, sponsorship deliverables, post event emails etc), onsite booth support
* Developer Advocate — Demos creation, onsite support
* Social and Communications — Pre-event, on-site, post-event social content creation, PR & media
* Lifecycle Marketing — Event landing pages, email blasts, database email reviews, SEO, copyedit
* Recruiting - Onsite booth support
* Design — Look & feel, tone, collateral (print), digital, environmental
* Large & MidMarket sales teams - Attending & setting up meetings
* [Leading Organization Team](/handbook/marketing/developer-relations/leading-organizations/) — Executive/customer meetings, attending social events (ex: receptions, dinners), panel discussions, speaking engagements, media interviews

### Staffing 3rd party sponsored event booths

The Corporate Events team collaborates with teams listed above to determine who should help to staff our 3rd party sponsored event booths. We aim to have a certain number of staff to booth size ratio that enables GitLab representatives to be diverse, knowledgeable, and welcoming for attendees. The number of staff we need is also dependent on how many days the conference schedule is. We try to utilize the following formula to staff our booths:

10x10 booth or smaller and a 2 day conference = 8-10 staff members
10x10 booth or smaller and a 3 day conference = 12-15 staff members

#### Staffing for a 10X10 Booth

Example of our staffing requirements for our 10x10 or smaller booth over 2 days:
1-2 - Sales/Field
6 - Demos/Technical questions
1 - Corp Events
TBD    Speakers - dependent on numbers of CFP accepted

10x20 booth and a 2 day conference = 14-16 staff members
10x20 booth and a 3 day conference = 18-20 staff members

#### Staffing for a 10X20 Booth

Example of our staffing requirements for our 10x20 booth over 2 days:
4 - Sales/Field
10 - Demos/Technical questions
1 - Corp Events
TBD    Speakers - dependent on numbers of CFP accepted

20x20 booth or larger and a 3 day conference = 32-35 staff members
20x20 booth or larger and a 4 day conference = 40 staff members

#### Staffing for a 20X20 Booth

Example of the staffing requirements for our 20x20 booth over 3 days:
6 -    Sales/Field
12 - Demos/Technical Questions
4 - Host Counters
3 - Corp Events
8 - Lightning Talks
TBD    Speakers - dependent on numbers of CFP accepted

These are estimated numbers that the Corporate Events team uses to account for budget and passes. Numbers may vary based on expected number of attendees at the show and how many days the conference is. We understand there are serveral business use cases where team members can travel and attend these same conferences to meet with partners, customers, and prospects. However, if the staff member is not staffing the booth or there for other purposes, the Corporate Events team is unable to cover the team member's travel and pass.

## Speaking at Third Party Events

### Corporate Events speaking session & CFP process

**Corporate Events speaking session & CFP process references:**

* [FY25 Sponsored Events & Epics](https://gitlab.com/groups/gitlab-com/marketing/-/epics/4775)
* [FY25 Dev Evangelism Event Strategy](https://gitlab.com/groups/gitlab-com/marketing/developer-relations/-/epics/326/)
* [Developer Advocate CFPs](/handbook/marketing/developer-relations/developer-advocacy/cfps/)
* [Developer Advocate CFP Workflow](/handbook/marketing/developer-relations/developer-advocacy/workflow/#cfp-workflow)

#### Process

**Goal:** ensure that GitLab's presence is widely recognized at all sponsored events.

#### If our sponsorship **does include** speaking session

If our sponsorship does include a speaking session, the sponsored events manager will create an issue with all pertinent information provided by the event. They will tag the ECM and all pertinent parties that will assist in choosing a session topic into the issue.

Once a session topic is chosen, the sponsored events manager will hand off to the ECM and content creation lead. The ECM will ensure that all deadlines are met and content is submitted per the events requirements, content is approved by legal if needed, social cards and social copy is made and provided to speakers, and calendar hold is sent to the speakers so they know where they are going on the day of their session.

#### If our sponsorship **does not include** speaking session

If our sponsorship does not include a speaking session, the ECM will ensure that our Developer Advocate team has it on their radar via the [FY24 Dev Evangelism Event Strategy](https://gitlab.com/groups/gitlab-com/marketing/developer-relations/-/epics/326/) to submit during the event's open CFP.

If a session is chosen by an event for a CFP that was submitted, the sponsored events manager will create an issue with all pertinent information provided by the event. They will tag the ECM and all pertinent parties that will assist in creating the presentation into the issue. The sponsored events manager will hand off to the ECM and they will ensure:25 that all deadlines are met and content is submitted per the events requirements, content is approved by legal if needed, social cards and social copy is made and provided to speakers, and calendar hold is sent to the speakers so they know where they are going on the day of their session.

If the event we are sponsoring is not on the Developer Advocate team's radar to submit the CFP the ECM will start the conversation with the DE team via a comment on the [strategy issue](https://gitlab.com/groups/gitlab-com/marketing/developer-relations/-/epics/326/).

### Lightning Talks at GitLab Booth for Third party events

#### Lightning Talk DRI's

* Overall Content DRI: Senior Management in Product Marketing or otherwise assigned by senior management, could be vary based on event
  * Partner Lightning Talk DRI: Kelley Walker `@kmwalker`
  * GitLab Lightning Talk DRI: Senior Management in Product Marketing, could be vary based on event
* Corporate Events Lightning Talk Content Manager DRI: Suli King `@sstuelp`
  * Ensures that the team is on track to identify lightning talks, finalize lightning talk schedule, and that lightning talk content deadlines are being hit.
* Brand Compliance DRI: Adam Mittner or otherwise assigned by Adam Mittner `@amittner`

### Process

1. Corporate Events Content Manager to identify and communicate the number of lightning talk slots available and deadlines.
2. The Overall Content DRI will then start the process of identifying the key messaging that we would like portrayed throughout the lightning talks at the booth. They will work with the Partner Lightning Talk DRI and GitLab lightning talk DRI to communicate overall messaging and identify content that we would like to be given at our booth. Once the messaging, lightning talks, and speakers are identified and confirmed, they will fill in the lightning talk schedule in the Sponsored Event's Main Tracker. All lightning talks must be approved by the Overall Content DRI.
3. Once content is confirmed and the lightning talk schedule is finalized, content creation can begin. The Corporate Events Content Manager will create an issue for each lightning talk.
    * For each GitLab lightning talk the Corporate Events Content Manager will provide a GitLab branded slide template for each session. For Partner lightning talks, the partner can create their lightning talk on their own company's branded template.
    * [Issue template for GitLab Lightning Talks](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=event-lightningtalk-gitlab-speaker)
    * [Issue template for Partner Lightning Talks](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=event-lightningtalk-partner-speaker)
4. Once GitLab content is created, it will then go through the review process which will entail: Overall Content DRI Review, Brand Compliance DRI Review, and Legal Review (only if necessary). Reviewers will leave feedback as comments in the slide presentation to be addressed.
5. Once Parter content is created, it will then go through the review process which will entail: Overall Content DRI Review. Reviewers will leave feedback as comments in the slide presentation to be addressed.
6. Once the content has gone through the review process and all reviewer comments have been addressed the content will then be deemed final.

## GitLab DevSecOps World Tour

* DevSecOps World Tour - Planning Epic _coming soon_
* GitLab DevSecOps World Tour, GitLab's user conference, is an event that connects you to the ideas, technologies, and people that are driving DevSecOps transformation and is for the technology champions responsible for building, operating and securing applications.

### Event Execution

For event execution instructions, please see the [Marketing Events page](/handbook/marketing/events/#event-execution) for detailed instruction and the criteria used to determine what type of events are supported.

For both GitLab-owned and external events, speakers and content DRIs should build in steps for legal approvals from necessary parties on public-facing presentations before materials are due.

### Labels used by the Corporate Events Team

<table>
  <tr>
   <td><strong>Label</strong>
   </td>
   <td><strong>Use</strong>
   </td>
  </tr>
  <tr>
   <td><strong>Corporate Event</strong>
   </td>
   <td>For all General Corporate Events related issues
   </td>
  </tr>
  <tr>
   <td><strong>Corporate Marketing </strong>
   </td>
   <td>For all General Corporate Marketing issue tracking
   </td>
  </tr>
  <tr>
   <td><strong>Events</strong>
   </td>
   <td>For all GitLab events
   </td>
  </tr>
  <tr>
   <td><strong>Sponsored Corporate Events</strong>
   </td>
   <td>For all Sponsored in-person trade shows, events, auxiliary events, etc.
   </td>
  </tr>
  <tr>
   <td><strong>Virtual Events</strong>
   </td>
   <td>For all Virtual Owned Events
   </td>
  </tr>
  <tr>
   <td><strong>Virtual Conference</strong>
   </td>
   <td>For all Virtual Sponsored Events
   </td>
  </tr>
  <tr>
   <td><strong>Hybrid Conference</strong>
   </td>
   <td>For all Sponsored events with an in-person and virtual component
   </td>
  </tr>
  <tr>
   <td><strong>DevSecOps World Tour</strong>
   </td>
   <td>For all DevSecOps World Tour events
   </td>
  </tr>
</table>

### Issue Templates used by the Corporate Events Team

<table>
  <tr>
   <td><strong>Event Execution Issue Templates</strong>
   </td>
  </tr>
  <tr>
   <td><a href="https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=Event_DRI_Template">Event DRI Template</a>
   </td>
  </tr>
  <tr>
   <td><a href="https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=Event_Travel_Staffing_Template">Event Travel Staffing Template</a>
   </td>
  </tr>
  <tr>
   <td><a href="https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=Event_Ancillary_Template">Event_Ancillary_Template</a>
   </td>
  </tr>
  <tr>
   <td><a href="https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=promotional_games_legal_template">Promotional Game Rules Template</a>
   </td>
  </tr>
  <tr>
   <td><a href="https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=Event_Sponsored_Corporate_Template">Sponsored Corporate Event Template</a>
   </td>
  </tr>
</table>

### Internal Partner Issue Templates used by the Corporate Events Team

<table>
  <tr>
   <td><strong>Internal Partner Issue Templates</strong>
   </td>
  </tr>
  <tr>
   <td><a href="https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/new?issuable_template=ISR_SDR_FMTemplate">FM Event SDR Support Issue Template</a>
   </td>
  </tr>
  <tr>
   <td><a href="https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=social-event-request">Social Media Event Promotion Issue Template</a>
   </td>
  </tr>
  <tr>
   <td><a href="https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=PR_Media_Podcast_Involvement_Request">PR Media Podcast Involvement Issue Template</a>
   </td>
  </tr>
  <tr>
   <td><a href="https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=request-design-general">Brand Asset Design Requests Issue Template</a>
   </td>
  </tr>
  <tr>
   <td><a href="https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=event-clean-upload-list">Upload Clean Lead List Post Event Issue Template</a>
   </td>
  </tr>
  <tr>
   <td><a href="https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/new?issuable_template=Event_Post-Event_Video_Upload">Post Event Video Upload Issue Template</a>
   </td>
  </tr>
   <td><a href="https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=request-corp-conference-email">Pre & Post event outbound email Issue Template</a>
   </td>
  </tr>
</table>

### Best Practices on site at a GitLab event

* [Employee Booth Guidelines](/handbook/marketing/events/#employee-booth-guidelines)
* [Scanning Best Practices](/handbook/marketing/events/#scanning-best-practices)

## Accessibility at GitLab Hosted Events

### In advance of the event, we promise that we will take into account the following

* Accessibility will not be an afterthought.
* Events will be inclusive and accessible.
* Venues will meet International Accessibility Standards guidelines.
* There will be seating available and accessible seating made available upon request
* There will be gender neutral pronouns in event communication.
* General dress guidance will not include male/female binary descriptors, and attendees can decide for themselves what works best for them.
* Feedback will be collected during and after the event to gauge accessibility and comfort levels.
* Designated confidential resources will be available for team members.
* Name badges will have write-in areas, printed or stickers for preferred pronouns.
* Large group meals will have ingredients and allergens listed. If you have communicated your needs with the event staff and the kitchen cannot provide a suitable meal for you, there will be a designated amount you can expense per meal on site.
* The Events team will commit to the idea that no detail is too small
* For all GitLab hosted events of 300+ we hire security that is also certified in first aid.

### Communicating Accessibility

* Gathering attendee needs during registration.
  * Dietary restrictions: If you have any questions, please follow up with the individual privately. Determine the specific restrictions and provide information on how ingredients will be provided. Offer solutions in case there is an issue onsite so that the attendee is prepared.
  * Additional needs: Include an open text area in which attendees can list specific needs to help ensure full guest participation. Example requests include:
    * Interpreting services
    * Assistive listening devices
    * Accessible parking
    * Accessible hotel rooms
    * Captioning
    * Reserved front row seat
    * Wheelchair access to working tables throughout the room
    * Lactation room
    * Seating for in-person events
  * The team will make all good faith efforts to carry out requests, or will open lines of discussion for options when not available.
  * Preferred pronouns: Aim to avoid a closed field for gender and instead provide a blank write-in field or inclusive dropdown options so attendees can select/type their preference pending on the badging system. This information will be displayed on name badges, or available to add with stickers etc. Email and landing page communication
* Put accessibility information in the event page footer or have a page dedicated to accessibility.
* Send out email on accessibility specifics and resources in advance of the event. Examples of what to communicate in that email:
  * Use of flash photography
  * Any sort of strobe lights or flashing images that may cause seizures
  * Distinctly amplified sounds/music
  * The use of fog machines/any other chemicals or smells that may make your space inaccessible to individuals with Multiple Chemical Sensitivity (MCS) or Idiopathic Environmental Intolerances (IEI)
  * Whether interpreting services will be provided for various speakers, panels, talks, etc.
  * Whether assistive listening devices will be provided.
  * All optional parts of your event, including off-site social activities, that may not be fully accessible.
  * Information about meals and dietary restrictions.
  * Accessible transportation options
  * First Aid/Medical Assistance options
  * Info on how to get in touch with questions or concerns.

### For speakers

* Speak clearly (ideally facing forward without covering your mouth)
* Avoid acronyms and colloquialisms as much as possible
* When addressing someone specifically, ask for his/her/their name and confirm pronouns
* Specify when you're finished speaking
* For interpreters, always look at and address the participating attendee
* Repeat questions posted by the audience before responding, especially if there is not a roving microphone available.

## Virtual Events at GitLab

At GitLab, the Corporate Events team owns events that meet specific criteria (link), including those events that have a global hybrid or virtual element. By design, virtual events at GitLab are not a simple video call nor are they a static playlist. GitLab virtual events aim to retain the same [brand personality](https://design.gitlab.com/brand-overview/resources), engagement, inclusivity, and fun as our in-person events.

### Lead time

A GitLab virtual event requires **16+ weeks of lead time** in order to accommodate the successful planning, scripting, set-up, recording, editing, and executing of a program.

### What does a virtual GitLab event entail?

Virtual events require considerable lead time and effort to plan, especially if there are any planned live elements.

* **Branding:** Requesting event-specific branding, including event logo, slide deck template, brand kit, and brand colors
* **Platform:** Determining a virtual event platform to allow for maximum engagement, clarify, and streaming stability
* **Content:** Collaborating with event content owners to develop messaging, content arc, and other thematic elements
* **Community:** Working with event content owners to invite community speakers and source subject matter experts
* **Communications:** Building content for event landing pages, registration, speaker communications, cross-functional promotion, and internal team training
* **Budget:** Fleshing out budget and sponsorship
* **Support:** GitLab speaker support and content development, as outlined in the Commit Speaker page
* **Production:** Selecting production partners to provide support on speaker recording, editing, live-streaming, and entertainment
* **Approval** : Ensuring all speakers and content undergo rigorous review and necessary approvals, as dictated by both GitLab Legal and speaker or partner requirements
* **Follow-up:** Collaborating with Social Media, Digital Production, Marketing Ops, Content, Sales Development, Customer Reference, Community, Product Marketing, and Legal to allow for adequate post-event planning

#### Why Does GitLab Pre-Record Content?

##### Benefits of pre-recording

* Allows for multiple takes and editing/ splicing any errors
* Allows for a polished delivery, increased professionalism, and addition of production elements
* Encourages real-time Q&A via session chat so attendees can ask questions as they come up rather than saving all questions for the end
* Enables speakers to enjoy the day-of content rather than focusing solely on their presentation(s)
* Reduces the risk of wifi/ server/ bandwidth-related issues, providing stability and security
* Reduces stress for speakers; less focus on timing, connectivity, Q&A, etc.

##### How pre-recording for a virtual event increases engagement

* Speakers can call-out or otherwise acknowledge individuals in the session chat, where seeing faces might be challenging in-person
* Speakers can answer questions as they come in, rather than waiting until the end when attendees may have forgotten or left
* Link to any resources as needed
* If there are no questions, feel free to post an FAQ (and answer) or 2
* Gamefy it! Any cool trivia or info that you didn't have time to cover in your talk? Add nuggets in the chat throughout the session
  * "I'm going to sprinkle in the chat 4 little-known facts about Kubernetes – get ready!"

#### Execution

In order to create a premium virtual event experience, the Corporate Events team executes virtual events in order to maximize global audience participation and engagement. The considerations in place include:

* Either timezone specific programming, or multiple segments to cover global timezones
* Events team online before, throughout, and after the event to ensure coverage and support
* A minimum of 2+ weeks for editing and captioning of content: Because GitLab's content is technical and its community is so passionate, Events is committed to ensuring precise captioning so that all attendees can contribute
* Live-stream stability and fall-back planning: As a fully virtual and remote-first organization, we believe in the power of asynchronous work

#### Accessibility

The Corporate Events team believes that everyone can contribute to virtual events, and so prepares for content to be varied, accessible, and time appropriately to enable as much mental and physical engagement as possible. Plans include:

* Generating human-reviewed captions for all sessions
* Building in breaks that are fun and energizing
* Making session recordings available post-event for on-demand consumption
* Ensuring a variety of sessions and content to encourage contribution from all organizations and business functions

### Best Virtual Event Speaker Practices

Having run several global-focused virtual events, the GitLab team has some [best practices and recommendations to share](https://docs.google.com/document/d/1rPvewsTWm8uqGv-6Wr4-_j4ZmBVjL75fU5_YGV98d24/edit?usp=sharing) with prospective speakers.

## Corporate Events' Diversity, Inclusion, and Belonging Initiatives

As part of the event planning and execution process at GitLab, the event lead will ensure that diversity, inclusion, and belonging initiatives are taken into consideration throughout the entire event process.

### Content Creation

The planning committee will ensure that there is an inclusive environment when selecting CFP/keynote/speakers which aligns with [GitLab's event requirements for speaking](/handbook/marketing/corporate-communications/speaking-resources/#event-requirements).
This includes researching and sourcing for speakers from [underrepresented groups](/handbook/company/culture/inclusion/#examples-of-select-underrepresented-groups) and with various backgrounds including:

* Ability, disability, and ableism
* Faith and/or religious identity
* Gender identity
* Racial identity
* Global citizenship
* Intergenerational differences
* Sexual respect
* LGBTQIA+ identity

### Venue/Vendor/Supplier Selection

When working with a vendor or supplier, the team will ensure that the selected venue/vendor/supplier is supportive of GitLab's DIB values. These may include, but are not limited to the following:

* LGBTQIA+, racial, faith/religious, and gender friendly
* Are able to accommodate accessibility needs or are able to make special arrangements if needed
* Work with diverse and locally owned businesses when possible
* Avoid any religious and cultural days of observance
* Partner with venues that have all-gendered restrooms or are willing to designate specific restrooms as gender neutral, as well as setting up any additional designated rooms as needed (i.e. lactation room, prayer room, etc.)

### GitLab Hosted Events Best Practices

* During registration, when applicable, include questions about dietary needs and accessibility needs.
* Ensure there is reserved seating available who may need/request for it (i.e. pregnant attendees, attendees with disabilities, older attendees, etc.).
* Ensure that signage, tables, spacing, and other materials are easily accessible and readable for all attendees.
* Provide pronoun stickers or pins for attendees to include on their badges.
* Use inclusive language and naming conventions in all messaging and content.
* Provide a safe environment for all attendees with additional resources available.
* Ensure enough time is given for any team member who may need to apply for a visa when applicable.
* The ability for team members or attendees to do normal activities safely and without restrictions at the event (i.e. gender neutral bathrooms, lactation room, prayer room, etc).
* Provide a physically safe environment for as many people to participate  in activities/excursions (i.e. accessibility).

## Environmental Sustainability Initiatives

At GitLab, the Corporate Events team wants to continue to play our part and operate with integrity when we are making decisions. The team is consciously making decisions that help align with the company's social and environmental efforts.

The Corporate Events team works with our [swag vendor](/handbook/marketing/brand-and-product-marketing/brand/merchandise-handling/) that sources swag with a goal of 95% of swag is sustainable or eco-friendly or work with companies that have sustainable initiatives. Some categories that the Corporate Events team considers when selecting suppliers are:

* Union Made Products
* Give-Back Programs
* Eco Products
* Supplier Diversity
  * Women Owned
  * Black Owned
  * Asian-Am Owned
  * Hispanic/Lantinx-Am Owner
  * Native American Owned
  * Native Hawaiian/PI Owned
  * Owner with Disability
  * Veteran Owned
  * LGBTQIA+ Owned
  * Small Business Enterprise
  * Small Disadvantaged Business
