---
title: "GitLab PMG Team"
description: "The GitLab Digital Strategy team works directly with our digital agency PMG to execute all paid digital campaigns."
---

## PMG {#agency}

### Who is PMG?

The [GitLab Digital Strategy team](/handbook/marketing/integrated-marketing/digital-strategy/digital-strategy-management/) works directly with our digital agency PMG to execute all paid digital campaigns. PMG fees are a percentage of the paid digital advertising spend, so total budgets will include the effective spend + PMG fee. For GitLab digital initiatives, PMG contributions & activities include:

- Working closely with GitLab on quarterly and monthly media planning for primarily top and middle funnel paid digital strategy that aligns with GitLab pipeline goals.
- Building and executing campaign launches once all materials and direction are received from the GitLab side.
- Strategically & competitively bidding and negotiating for efficient ad units and sponsorship programs.
- Continuously optimizing campaigns and programs for more efficient rates and higher lead quality.
- Aggregating all campaigns into Alli (PMG's marketing intelligence platform), featuring multiple filters to view performance from audience, asset, segment, team, and regional angles.
- Reviewing overall metrics over time to uncover trends & opportunities, as well as pitching new campaign & placement ideas to uplevel coverage and performance.
- Setting up all digital spend with channels and vendors to bill directly through PMG, and syncing with GitLab Finance to handle invoicing monthly.

### The GitLab PMG Team {#team}

- **Craig Calloway** - Client Strategy (core)
- **Maddie Mingus** - Client Strategy, Pubishers, Search (core)
- **Kayla Peaden** - Client Strategy (core)
- **Natalia Prescod** - Social (core - interim)
- **Eman Bader** - Program (core - not yet hired)
- **Soren Dahl** - Social (core - interim)
- **Nicole Slaski** - Search (Iterim)
- **Corinne Smallwood** - Analytics Coordinator - Data Analyst, Alli Dashboard
- **Casandra Jones** - Senior Director, Client Strategy

## Communication {#communication}

GitLab & PMG communicate mainly through the GitLab [Digital Advertising project](https://gitlab.com/gitlab-com/marketing/digital-advertising/-/issues). Both teams also share a [Slack workspace](https://gitlab-pmg.slack.com/) to connect on quick questions & general updates.

### GitLab Project {#project}

[Digital Advertising Project](https://gitlab.com/gitlab-com/marketing/digital-advertising) -  The Digital Marketing team works directly with PMG within the GitLab Digital Advertising project, which is strictly for Digital Marketing & PMG communication only. In special cases, members of GitLab's Marketing Campaigns or Marketing Operations teams will communicate within this project for technical troubleshooting.

### GitLab Issues {#issues}

[PMG Issues](https://gitlab.com/gitlab-com/marketing/digital-advertising/-/issues) within the Digital Advertising project cover campaign requests, changes, budgeting, planning, optimizations, and logging of any technical issues.

It's important for team members (both PMG and GitLab) update assignees, milestones, and labels to indicate responsibility for next steps in the handoff (see labels and milestones below)

### GitLab Labels {#labels}

| Label                   | Category      | Definition                                                                          |
|-------------------------|---------------|-------------------------------------------------------------------------------------|
| todo:pmg                | Todo          | Label to notate the next step is in the hands of PMG Digital                        |
| todo:gitlab             | Todo          | Label to notate the next step is in the hands of GitLab                             |
| DG-PMG-priority::TBD    | Priority      | Priority of the issue is TBD                                                        |
| DG-PMG-priority::Low    | Priority      | Priority of the issue is Low                                                        |
| DG-PMG-priority::Medium | Priority      | Priority of the issue is Medium                                                     |
| DG-PMG-priority::High   | Priority      | Priority of the issue is High                                                       |
| pmg-abmktg              | Team          | Label for all issue related to the campaigns for Account Based Marketing department |
| pmg-demandgen           | Team          | Label for all issue related to the demand generation team                           |
| pmg-fieldmktg           | Team          | Label for all issue related to the field marketing campaigns                        |
| dg-pmg-info             | Informational | Label for issues that is only informational. No action items                        |
| dg-pmg: Admin           | Informational | Label for issues that are administrative (process, budgeting, etc.)                 |
| dg-pmg: Reporting       | Todo          | Label for issues that execution is complete but reporting is needed                 |
| pmg-meeting             | Informational | For issues that are recaps from meetings                                            |
| paid social             | Channel       | For campaigns that include paid social                                              |
| paid search             | Channel       | For campaigns that include paid search                                              |
| display advertising     | Channel       | For campaigns that include paid display                                             |
| sponsorships            | Channel       | For campaigns that include paid sponsorships                                        |

### GitLab Milestones {#milestones}

[PMG Milestones](https://gitlab.com/gitlab-com/marketing/digital-advertising/-/milestones) contain issues based on one week iterations, from Mondays to the following Sunday. Issue owners will add to the current week's milestone (`DG-PMG: [Monday date] - [following Sunday date]`) or the next week's milestone (`DG-PMG: [next Monday date] - [following Sunday date]`) depending on priority and if the issue requires immediate action. The `DG-PMG: Backlog` milestone contains issues that are either not ready to be actioned on or currently blocked, as well as issues that are technically completed but still open for monitoring. The `DG-PMG: Backlog Follow Up` milestone contains issues that have been moved out of general backlog and are ready for follow up analysis.

[PMG Triage Board](https://gitlab.com/gitlab-com/marketing/digital-advertising/-/boards/2521687) is assembled to track issues within the current & next week milestones. Layering on the `todo:pmg` and `todo:gitlab` labels will display which issues are currently being handled by which team. Each week, the Digital Marketing team and PMG meet to review the current status for each issue & initiative within these milestones.

### Email & Slack

While GitLab & PMG communicate mainly through the GitLab Digital Advertising project, both teams also share a [Slack workspace](https://gitlab-pmg.slack.com/) to connect on quick questions & general updates.

## Digital Marketing Meetings {#meetings}

### Weekly Triage {#triage}

PMG and GitLab meet weekly to review issues from the [milestone triage board](https://gitlab.com/gitlab-com/marketing/digital-advertising/-/boards/2521687) in the Digital Advertising project to determine the current status, blockers and immediate action items needed to advance issues further. Issues are reviewed based on todo labels and moved into the appropriate milestone based on priority and timing of next steps.

### Weekly GitLab+PMG Meetings {#weekly-meetings}

The Digital Marketing and (optional) Marketing Campaigns team members meet with PMG weekly to cover one of the following sessions on a rotating basis:

- Monthly Review: Typically the second week of each month, reviewing the previous month's full paid digital campaign performance in alignment with MQL & SAO goals, plus discussing  key learnings and areas of opportunity.
- Deep Dive: Diving into a specific channel, region, segment, campaign, etc to discuss coverage, metrics and actionable insights.
- Flex/Working Sessions: Using our weekly meeting to work through key initiatives or upcoming media planning.
- Brainstorming: Leveraging our learnings & market trends toward improved creative, assets, messaging, audiences, or channel performance.

### QBRs {#qbrs}

Digital Demand Gen QBRs are typically held during the 3rd week of February, May, August, and November. PMG presents full performance & analysis of the previous quarter's digital campaigns, broken down by segment, channel, region, GTM, content, audiences targeting, etc. QBRs usually produce a higher volume of follow-up action item issues based on key learnings.

Revenue Marketing QBRs are scheduled separately from the main Digital Demand Gen QBRs. These reviews focus on campaign performance from the previous quarter for Corporate, Field, and Account Based Marketing teams.

## Digital Advertising Issue & Board Management {#issue-board-management}

GitLab and PMG triage issues and plan the completion of work in relevant milestones on Tuesday of each week. In order for this process to work effectively, each week ALL team members should review the issue board and ensure the issue are progressiong towards completion within the designated milestone. Best practices include the following:

- Review issues and make comments of the current status, @ mentioning relevant steakholders that should be included
- Update `assignee` and `to-do` label to the correct DRI if that has changed
- If the milestone has expired and the work is NOT completed, move the issue to a following milestone unless there is a problem that needs discussed during weekly triage. **Note:** _if the issue has been moved multiple times without progress, bring the issue to the triage meeting to help move it forward_
- Friday or Monday are recommended days to review milestone boards. This allows you to close out one week and prepare your activities for the coming week

## Channel & Vendor Relations {#channels-vendors}

### Publishers {#publishers}

PMG initiates & manages Publisher/Sponsorship contracts using the following process:

- Pre-RFP
  - GitLab and PMG collaborate to confirm the available quarterly budget, targeting guidelines, and GitLab's content priorities for publisher programs.
- RFP Process
  - PMG begins the RFP process by contacting multiple vendors that may be a potential fit. (PMG handles all email and phone communication with vendors). Ideally, for any particular initiative - it is best to stick to a maximum of 3 potential partners to look into.
  - Based on a vendor's program offerings and targeting capabilities, PMG will evaluate and recommend potential vendors to GitLab.
  - Once GitLab has decided on a recommended vendor(s), PMG will handle contracting the program—vendors bill PMG directly.
- Campaign Process
  - Once the contract is signed by PMG and the vendor, program deliverables are posted to a new issue by PMG.
  - GitLab will post completed deliverables to the issue and PMG will pass the information along to the vendor.
  - If the program generates leads, leads will be sent directly from the vendor to GitLab for PII/GDPR reasons. GitLab must ensure that GDPR language is in place when the user downloads GitLab content from the vendor's site.
  - The designated sender at GitLab will then open a publisher engagement epic to upload lead lists and enable program tracking.

### Channel Rep Syncs {#channel-reps}

PMG meets with channel reps (LinkedIn, Google, Brighttalk, etc) on either a monthly or as needed basis. These syncs may cover specialized reports/technical deep dives, UI updates and current product roadmaps, and channel/platform news.

## Campaign Strategy & Planning {#strategy-planning}

### Demand Generation Campaigns {#campaigns}

**Budget Allocation**
Before the beginning of each fiscal year, GitLab and PMG meet to review the Digital Marketing budget and plan its quarterly allocation. This allocation will be primarily determined by KPI goals, sales coverage, and seasonality.

- **[Please refer to this Mural for GitLab's FY23 Paid Digital Campaign structure](https://app.mural.co/t/gitlab2474/m/gitlab2474/1643743560333/b21487a8f639d5981526c20164cad39cb9faca43?sender=uda52d8b28f84e1a3d6af1431).**

Before each upcoming quarter, the teams will meet for [media planning](/handbook/marketing/integrated-marketing/digital-strategy/digital-strategy-management/#digital-campaign-planning-timeline) sessions to determine the coverage mix for our paid digital programs. Given the quarter's KPI goals as a whole & per segment/region, the media planning's key topics include the degree of coverage for the following (tiers listed in order of [visualization](https://app.mural.co/t/gitlab2474/m/gitlab2474/1643743560333/b21487a8f639d5981526c20164cad39cb9faca43?sender=uda52d8b28f84e1a3d6af1431):

- Audience Targeting
  - Segments: Enterprise, Mid-Market, and SMB
  - General Prospecting: for coverage outside of segment-targeting platforms
  - Retargeting: account lists or pixel audiences
  - Publisher Programs: each publisher has its own unique audience filters
- Region
  - AMER, EMEA, APAC, PubSec
- Platform Targeting
  - Prospecting, Retargeting, or Account Targeting
- Platforms
  - LinkedIn, Facebook, Twitter, Google Search, Google Display
- Use Cases
  - DevOps Platform, CI/CD, GitOps, DevSecOps, VC&C, Ecomm, etc
- Content
  - eBooks, Whitepapers, Demos, Fireside Chats, etc.

The final asset mix for each budget line item will be recorded in the [Paid Demand Generation Asset Tracker](https://drive.google.com/drive/u/2/folders/16fZrpfzRJzd8k-rs8ApQQZMUIbW_upcp), with each month's assets separated by tab.

**Intake Process**

1. GitLab submits a [campaign request issue](https://gitlab.com/gitlab-com/marketing/digital-advertising/-/blob/master/.gitlab/issue_templates/campaign_request.md) for PMG containing all required campaign materials, as well as a detailed description explaining the purpose and goal for this new initiative or asset(s).
2. PMG reviews the request, providing suggestions & direction where necessary based on (1) how the new campaign will fit into the current media plan & budget, (2) account best practices, and (3) region/segment/use case/platform historical success.
PMG forecasts an optimal campaign budget based on target audience size and average costs & conversion rates (forecasts will vary by platform).
3. PMG generates ad copy builds & mockups.
4. GitLab approves campaign plan & final materials.
5. PMG launches (or schedules a later launch) and records the new asset(s) in the [Paid Demand Generation Asset Tracker](https://drive.google.com/drive/u/2/folders/16fZrpfzRJzd8k-rs8ApQQZMUIbW_upcp).

**Optimization**

Top metrics include CPI (cost per inquiry) and INQ, MQL & SAO conversion rates. After exiting the learning phase, PMG will monitor the new campaign/asset for any unusual or inefficient performance. During monthly performance recaps, PMG will highlight new campaign/asset performance in relation to the baseline top metrics of the regional, segment & platform historical performance and provide optimization recommendations if necessary.

### Demand Gen Ancillary Campaigns {#ancillary-campaigns}

The GitLab Digital Marketing team receives additional funding at various times throughout the fiscal year to support gaps in the pipeline or test & expand on new initiatives. Both teams follow the same intake process outlined above, but since these funds are limited to the month or quarter, additional strategy is required in order to hit the funding's targets within a short amount of time.

PMG provides pulse checks & tracking toward KPIs more frequently for ancillary campaigns than regular campaigns since their duration is limited to the month or quarter. Once the ancillary campaign has completed, PMG will provide a campaign summary and key insights for future iterations.

### Field, ABM and Corporate Campaigns {#external-campaigns}

**Intake Process**

1. All departments outside of Digital/Demand Generation must first go through the [Coupa Purchase Order process](/handbook/business-technology/enterprise-applications/guides/coupa-guide/#how-to-use-coupa-for-purchasing) in order to start the intake process with PMG.
   - Please see PMG's Statement of Work template and sample SOWs [here](https://drive.google.com/drive/u/1/folders/1HPq7enmJYNkIbVJG7G_IkSNR_YWOlxC0).
2. GitLab submits a [campaign request issue](https://gitlab.com/gitlab-com/marketing/digital-advertising/-/blob/master/.gitlab/issue_templates/campaign_request.md) for PMG containing all required campaign materials, as well as a detailed description explaining the purpose and goal for this event or new initiative.
3. PMG reviews the request and forecasts an optimal campaign budget based on target audience size and average costs & conversion rates.
4. PMG generates ad copy builds & mockups.
5. GitLab approves campaign plan & final materials.
6. PMG launches (or schedules a later launch) and records the new campaign in the Field, ABM, and Corporate Marketing campaign log for each quarter (9 campaign launch limit).

**Optimization**

KPIs are based on campaign goals, so events will focus on cost per registrations while other campaigns could focus on inquiries & engagement. Similar to regular Demand Gen campaigns, PMG will monitor the new campaign for any unusual or inefficient performance and provide optimization suggestions if necessary. Once the campaign has completed, PMG will provide a campaign summary and key insights for future iterations.

## Reporting & Analytics {#reporting}

### UTM Structure {#utms}

The UTM structure is at the core of all of PMG's reporting. The UTM parameters that the team has chosen are used for all paid digital activations and are tracked using Alli and displayed in the [GitLab-PMG Datastudio dashboard](https://datastudio.google.com/s/qYf0NTtwW0c). PMG uses the following parameters to report on digital performance:

- utm_medium
- utm_source
- utm_campaign
- utm_content

PMG uses the following rules when building UTM and platform names:

- Use the [GitLab Platform Campaign Name & UTM Parameter Builder](https://drive.google.com/drive/u/1/folders/1bNxyuMECGQ2ENyBHM2DYv0HPap9nEyZ2) to start any URL or platform campaign name, never from scratch.
- All letters should be lowercase only.
- For campaign/content utm, there should be no blank values. Always select from the dropdown. `x` is most often used as a placeholder when there is not a correct value to choose from.
- Hyphens `-` and Underscores `_` can be used accordingly:
  - Underscores are used as our delimiter - that is, they separate one dimension from another.
  - Hyphens are used to combine multiple elements together of the same category. Example being geo: `_amer-california_; or _emea-turkey_`
  - Another example could be in targeting; we are doing ABM, but also retargeting: `_abm-rtg_`
- Whenever adding a country or state to the geo, always spell the full name, never abbreviate.
- The last thing in any url string should be an underscore, to prevent any additional elements from being added to links like GCLID often does.
- Always use the `Paid Social Campaign Name` tab in the [GitLab Platform Campaign Name & UTM Parameter Builder](https://drive.google.com/drive/u/1/folders/1bNxyuMECGQ2ENyBHM2DYv0HPap9nEyZ2) to build social campaign names. The Campaign Name is the joining point we use to integrate with Google Analytics data to report on conversions.
  - This is different than in Google CPC and Display, where we use Final URL to join/stack with Analytics data.

Creating the utm_content name follows a similar process:

- Content name is either provided by GitLab or taken from the URL of the content/web page
- Content name is created using the following identifiers:
  - Content name
  - Team
  - Budget
  - Language
- Example: `content_team_budget_language`

### Alli {#agency-reporting}

Alli is PMG's marketing intelligence platform created to provide a single view of all your data to then accelerate your business by normalizing your marketing data, automating actions, and activating insights based on your custom goals and needs.

Alli is used to power the [GitLab-PMG Datastudio dashboard](https://datastudio.google.com/s/qYf0NTtwW0c) that connects platform data with Google360 and Sisense data in one place. The data points we are tracking, but are not limited to:

- Spend
- Engagement
- Conversion
- Sisense data

### Sisense Sync {#gitlab-reporting}

GitLab uses Sisense to track backend data such as MQLs and SAOs. GitLab shares this data with PMG through a data connection with Alli so PMG can use Datastudio to connect the front end campaign data with its back-end Sisense performance. The shared data in the dashboard is used to prepare full-funnel marketing reports and presentations.

## Finance {#finance}

### Accruals {#accruals}

Accruals are submitted to GitLab 3 business days before the end of the current month. In addition to the actual current monthly spend at the time accruals are due, PMG also includes estimated acrruals based on the forecasted average daily spend. Digital Marketing must verify accruals 4-5 business days before the end of the month, making sure all Allocadia IDs/Coupa POs are correct and estimated spends are within range. Final accruals are then calculated based on effective media spend and PMG tech & agency fees. Note: fees change depending on the media spend tier.

### Billing {#billing}

Billing is submitted by the PMG Demand Gen team to the PMG Finance team within the first two business days of the new month. Billing is broken down into unique line items by the following:

- Team (i.e demand gen, field, abm, corporate marketing, etc.)
- Channel
- Region
- Campaign/Use Case

### Invoicing {#invoicing}

PMG sends separate invoices to GitLab by team initiatives or if specifically requested by GitLab marketing team. These invoices are sent in PDF files directly from PMG to the GitLab Marketing team via email.
