---
title: "Digital Strategy Management"
---

## Digital Strategy Team {#digital-marketing-management}

<!-- DO NOT CHANGE THIS ANCHOR -->

### Goals and Objectives {#goals-objectives}

<!-- DO NOT CHANGE THIS ANCHOR -->

**Team Charter:**

Develop the digital strategy to drive INQ's and MQL's that lead to SAO's  for GitLab full funnel campaigns across all segments and regions.  Our core competency is to deliver a plan inclusive of the best digital channels in order to maximize the dollars and closely monitor campaigns and their assets for peak optimization.

Digital marketing managers own the INQ and MQL number that drive SAO's for the region and segment they align to.  They are responsible for daily monitoring of campaign goals and the digital strategy component of that lightning strike. Their plans are representative across all funnel stages and each have unique channel expertise.  The team is broken down as follows:

**Joon Shin:** SMB, MM, AMER, APAC, Auto-SD Test, team enablement, digital experience & All Remote

**Zac Badgley:** (parental leave through Nov so some assignments are TBD), ABM and Campaigns teams

**In Scope:**<br>
End to end campaign management<br>
Asset performance optimization<br>
Daily/Weekly/Monthly/Quarterly reporting<br>
Issue management<br>
Agency liaison<br>
Paid traffic conversion rate optimization<br>

**Out of scope:**<br>
Pure brand awareness<br>
SEO<br>
Ad creative <br>

### How Do We Get There?

We take a unified approach to long term planning.  We are given our direction from the focal topics/areas that product marketing has deemed market worthy.  They engage the campaigns team who pull us in to develop the key tenets of the campaign.  Prior to a lightning strike kickoff call, we conduct research to validate campaign key terms, their effectiveness, and the addressable market for the various channels that comprise our digital marketing plans.

Upon agreement and alignment with the research findings, we develop a recommendation of the number of assets and asset types that are most effective in digital across all media types.  We feed the core planning team this intelligence at the beginning of the campaign kickoff so that they can plan the asset creation and campaign accordingly.  With these recommendations, we encourage the core team to consider whether or not assets already exist and simply need to be refaced or if they need to be developed/net-new.  The SSoT for content is PathFactory and internal assets SSoT is HighSpot.  The digital marketing team is not responsible for allocating budget to the creation of these assets however we will happily support applying budget to adjust an asset for improved performance in a digital channel. (ex. Asset size, color, etc).  This content creation must be baked into the overall planning timeline we review later on this page.

Once the types of assets are identified, the digital marketing issue should be created using the [digital campaign request template](https://gitlab.com/gitlab-com/marketing/demand-generation/digital-marketing/-/issues/new#?issuable_template=digital-campaign-request) in GitLab.  Historically similar design requests and ad copy requests have been made by multiple teams so it's the teams hope that by placing this request at the beginning of the planning process will remove such instances of duplication.

While the digital marketing team would love to support any and all requests that are asked of us in support of the business, we have a finite budget and finite resources and will do our best to maximize both.  Sub-region campaigns or campaigns to drive event attendance have proven ineffective in many historical cases and are an example of where we are currently unable to afford these low outcome campaigns.

### Digital Campaign Planning Timeline

The digital marketing manager will need to be briefed on the campaign by the core team in advance of the kickoff call to define the "elevator pitch" for the campaign (ex. This campaign targets mid market IT Directors who need x pain point solved) so we can work with our agency to determine the market opportunity within digital and validate keywords across multiple channels to focus on.  Understanding the source of this elevator pitch came from (i.e. market research, sales feedback, customer advisory board, etc) is important for the team to know when crafting their marketing plan recommendations.  We expect this research (inclusive of competitive updates and options as well as campaign naming conventions) to take 2 weeks to return back to the digital team who will then share key learnings with the core planning team.  At this point, we should be no sooner than 12 weeks prior to campaign launch.<br>

 **T-12 weeks to campaign launch:**<br>

* Understand proposed campaign assets, their status and who is creating them<br>
* Digital team to develop the media plan, their goals, the channel mix, spend, keyword list, and campaign calls to action <br>
**T-10 weeks to campaign launch:** <br>
* Tracking pixels, landing pages developed (digital experience team) with input from digital marketing team <br>
* UTM parameters created by campaigns team.  URL's created.<br>
**T-8 weeks to campaign launch:**<br>
* Freeze all changes to campaign scope and targets.  No further changes or launch date with slip.<br>
**T-6 weeks to campaign launch:** <br>
* Digital marketing team should have possession of all assets for build out.<br>
**T-4 weeks to campaign launch:** <br>
* Assets are loaded for campaign set up/build out.<br>
**T-2 weeks to campaign launch:** <br>
* Test leads entered, tracked and final campaign adjustments complete.  Ready for launch.<br>

## Using GitLab: Digital Marketing Project

### Labels {#labels}

<!-- DO NOT CHANGE THIS ANCHOR -->

*Note*: Some of the following labels only exist on the [Digital Marketing project](https://gitlab.com/gitlab-com/marketing/demand-generation/digital-marketing) level.

* **Digital Marketing Programs**: General label to track all issues related to Digital Marketing
* **SEM**: Used for issues that require organic and paid search initiatives
* **Paid Ads**: Used for any paid advertising campaign such as Google Ads
* **Paid Social**: Used for paid social campaigns such as LinkedIn and Facebook Ads
* **mktg-demandgen** - Demand Gen general, add since we are part of the Demand Gen team
* **mktg-digitalmarketing** - Digital Marketing general, issues specific to Digital Marketing only

### Slack channels {#slack}

<!-- DO NOT CHANGE THIS ANCHOR -->

* `#digital-marketing`: General digital marketing conversation and questions
* `#integrated-marketing`: For the wider Integrated Marketing team, to share and discuss issues, projects, trainings, and resources that connect the Digital, Campaigns, Field, and Partner Marketing departments.

## Paid Digital Marketing {#paid-digital-marketing}

<!-- DO NOT CHANGE THIS ANCHOR -->

### How does paid digital contribute to GitLab's funnel? {#funnel}

<!-- DO NOT CHANGE THIS ANCHOR -->

* Top of Funnel (Awareness): Introduce GitLab brand to potential customers with awareness and educational content.
* Middle of Funnel (Consideration): Nurturing engaged prospects with solutions-based assets, consideration-stage content and events.
* Bottom of Funnel (Conversion): Leading prospects to conversion by retargeting with relevant down-funnel content and demo/free trial.

[Click here](/handbook/marketing/integrated-marketing/digital-strategy/digital-strategy-management/#channel-definitions) to see channel definitions and where they fit in buyer journey.

The Digital Marketing team's strategy & execution ultimately leads to filling pipeline, while closely analyzing down-funnel metrics & results in order to influence & optimize top of funnel strategy in a feedback loop.

### External Agencies {#agency}

<!-- DO NOT CHANGE THIS ANCHOR -->

We work with external agencies to help support campaign execution including competitive research, media buys, campaign optimization and reporting.  GitLab is responsible for campaign set up and monthly and quarterly read outs to our core planning team members.

GitLab Digital Marketing works directly with agencies within the GitLab [Digital Advertising project](https://gitlab.com/gitlab-com/marketing/digital-advertising), which is strictly for Digital Marketing & agency communication only.

For more detailed information on our partnership, communication, and invoicing, please see our [handbook page](/handbook/marketing/integrated-marketing/digital-strategy/agency/).

### Quarterly planning and strategy creation

We don't invest in assets, we invest in campaigns.  We need to understand the campaign's objectives and goals.  We triage each request and analyze and with the required information to develop a point of view as to what we can reasonably do with the dollars we have.

We need to understand the buyer persona we are targeting, the segment and the region and with that information, develop a point of view that determines what's possible.

The segment and regional goals are built from the TOPO model so everything we do, maps back to that.  The goals we align to, add up to the ultimate goal so if we get there through campaign A or B is irrelevant.  We need to get there in the most efficient way possible.

By monitoring these campaigns regularly we'll be able to dial up and dial down the investment to make sure we are getting maximum performance.  We are laser focused on driving high volume balanced with high quality, so if an asset is not performing, we take it down, right away.  If it's exceeding expectations, we put more money behind it.  We need to be able to shift on a dime and have developed criteria and a process for evaluating these assets.

Each sales segment and region have varying ASP's and average sales cycles - those are taken into consideration as we set the goals for the campaign and as we begin to track results.  For a campaign that has just gone live, we need to be sure to set the expectation upfront about when we will start to see results and will they come in the form of INQ's, MQL's or SAO's  By setting the expectations in advance, we can track to those goals and keep all pertinent teams apprised of results.

Finally, each campaign will have an end date that will prompt further discussion and evaluation.  The end date is determined at the time of issue creation and should not exceed 6 months.  Assets will be consistently evaluated for effectiveness, need for refresh or revision.

### Partnering with Other Important GitLab Teams

We need to have connection points into and from other teams.  Our team sees this engagement as catch and release.
Catch: Who are we catching info from - who do we need insight from to understand what they are doing, why they are doing it and how it might factor into the work we do?<br>
    ABM (understanding who is being targeted so we can omit from digital marketing efforts) - Zac<br>
    Campaigns - Zac<br>
    Customer References - TBD<br>
PR - TBD<br>
    Digital experience - Joon<br>
    All remote team - Joon<br>
    Brand strategy - Sara<br>
    Visual brand- Sara<br>
Release: Which GitLab teams should have visibility into the campaigns we are running in an effort to align messages or understand how the public is responding to campaigns.<br>
    ABM: sharing the content we are using in segments and regions for awareness purposes.<br>
    Field marketing<br>
    Channel marketing<br>
    Alliances marketing<br>
   MS&P<br>

## Digital Campaign Channels {#campaign-channels}

<!-- DO NOT CHANGE THIS ANCHOR -->

**(incomplete list)**

Digital Marketing will recommend specific channels based on your campaign goals. The most common type is Paid Social based on robust targeting criteria and successful performance in reach and inquiry volume.

### Channels {#channels}

<!-- DO NOT CHANGE THIS ANCHOR -->

* Paid Social
  * LinkedIn  - Sponsored Content Ads, Carousel Ads, InMail/Message Ads, and Conversation Ads
  * ~~Facebook - Single Image & Video Ads, Lead Generation Ads, Carousel Ads~~
  * Instagram - Single Image & Video Ads, Lead Generation Ads, Carousel Ads
  * Twitter - Promoted Tweets, Image or Video
  * YouTube - Video Ads
* Paid Search
  * Google - Expanded Text Ads, Responsive Search Ads
  * Bing - Expanded Text Ads, Responsive Search Ads
* Paid Display
  * GDN (Google Display Network) - Display Image Ads, Responsive Display Ads
  * DV360 (Google Display & Video 360) - Programmatic Display Image Ads, Responsive Display Ads, Access to private ad networks
  * 6sense is a digital marketing platform for Display only, mainly used to target specific accounts. Please note that 6sense is managed by the ABM team, partnering with 6sense directly.  Please contact the ABM team (focuses on Tier 1,2,3 accounts) if you would like to create a 6sense campaign, or check out the [6sense page](/handbook/marketing/marketing-operations/6sense/) for more info.
  * BuySellAds
* Sponsorships (Publisher Engagements):
  * Participating in Virtual Event (Virtual Conference, Panel, Talking Head, All-Day Event/Summit)
  * Third Party Custom Webcasts (single & multi-vendor)
  * Newsletter ads
  * Custom email blasts
  * Sponsored Custom & 3rd Party Content Creation (trend reports, ebooks, articles, etc.)
  * General third party event sponsorships
  * Podcasts
  * Site Display Ads
  * Microsites
  * Content Syndication

### Channel definitions {#channel-definitions}

<!-- DO NOT CHANGE THIS ANCHOR -->

#### **Paid Social** {#paid-social}

<!-- DO NOT CHANGE THIS ANCHOR -->

Paid social ads are sponsored ads that we show on social platforms. The three social media platforms that we primarily advertise on are Facebook/Instagram, LinkedIn (including LinkedIn InMail & Conversation Ads), and Twitter. LinkedIn is our top platform in general due to its firmographic targeting, allowing us to target more effectively toward specific segments & job criteria.

* **Best used for**: Top and mid funnel content. Does well for both awareness and direct response (depending on the asset used). LinkedIn InMail and Conversation ads stand out as more mid and bottom funnel.
  * **Best type of content to use**: Live webcasts, recorded webcasts, events, and ebooks/guides. Live events with a sign-up deadline, tend to perform the best in paid social.
  * **Worst type of content to use**: Thought leadership reports/whitepapers like Gartner and Forrester reports.
* **Types of targeting we do**:
  * **Prospecting targeting**: Sponsored ads to audiences that are built based on personas using interest, professional, and demographic targeting. A profile is developed based on people who convert. We would then show ads to people natively within either Facebook, Instagram or LinkedIn that closely match that profile. This method helps drive new traffic to GitLab that may not know about the brand or product.
  * **Account targeting**: Sponsored ads on targeting speciific accounts or contacts based on a list upload or import from Marketo. LinkedIn is the top channel for this type of marketing based on a +90% account match rate, whereas Facebook and Instagram requires accounts to be manually entered in order to target.
  * **Retargeting**: Re-engage people who have already visited pages on the GitLab website, engaged with GitLab content, or are currently within our nurture. Note: It's necessary to have a large audience for this tactic to be successful due to email match rates within the platforms.

#### **Paid Search** {#paid-search}

<!-- DO NOT CHANGE THIS ANCHOR -->

As people are researching or exploring keywords relevant to GitLab, we used Google AdWords to promote [responsive search ads](https://support.google.com/google-ads/answer/7684791?hl=en) on the Google search engine to drive people to specific GitLab landing pages. We do this by [bidding](https://support.google.com/google-ads/answer/2459326?hl=en) on targeted keywords and phrases based on the assumed intent of the person, triggering the ad relevant to a specific user search query, and leading users to a related landing page that matches that intent.

* **Best used for**: Brand campaigns for general exposure & building website visitor audiences, but also mid and bottom funnel content where we want someone to take action (ex: filling out a form to a gated asset, signing up for a demo, etc).
  * **Best type of content to use**: Homepage and solutions pages for Brand campaigns, also use case gated assets that directly apply to the intent for the search query. How-to guides and ebooks do well here.
  * **Worst type of content to use**: Events and thought leadership reports/whitepapers like Gartner and Forrester reports that are not specifically tied to the intent of a search query. Caveat here is if the content is more of a how to report or guide.
  * **Targeting**: Paid Search is neither able to target by company size/segments nor by domain or company name. While this channel is best used for brand campaigns, non-brand campaigns also work well for specific research intent.
  * **Retargeting**: Re-engage people who have already visited pages on the GitLab website, engaged with GitLab content, or are currently within our nurture. While the retargeting reach is lower within AdWords compared to Paid Social channels, the user intent & continued research within the audience leads to high conversion rates down-funnel.

#### **Paid Display** {#paid-display}

<!-- DO NOT CHANGE THIS ANCHOR -->

Display ads are banner ads that we mostly run are through the [Google Display Network](https://support.google.com/google-ads/answer/2404190?hl=en) (GDN). GDN will show banner ads on websites that have [Google Adsense](https://support.google.com/adsense/answer/6242051?hl=en) set up on their website. There are no specific websites we show banner ads on - we earn the ad space by bidding on placements based on specific targeting criteria such as demographics, topics, and interests. On occasion, we run banner ads on specific websites through direct buys, but this is handled more in the publisher program.

* **Best used for**: Top and mid funnel content. More used for awareness and some action-based response.
  * **Best type of content to use**: How-to guides, ebooks, and general awareness content promotion do well here. Trial ads tend to do well if used in some form of remarketing strategy.
  * **Worst type of content to use**: Events and thought leadership reports/whitepapers like Gartner and Forrester reports. Because there is a learning period when running Display advertising, running events through Display advertising is not recommended due to the short promotion period. With leadership reports/whitepapers, we historically have not seen good engagement and sign-ups for these types of assets on Display advertising.
* **Types of targeting we do**:
  * **Contextual targeting**: Show banners ads on websites that are related to the content of our landing page and website. This is done based on keyword and topic targeting.
  * **Prospecting targeting**: Show banner ads to related audiences that are similar to those who have converted on our website. A profile is developed based on people who convert. We would then show banner ads to people that closely match that profile. This method helps drive new traffic to GitLab that may not know about the brand or product.
  * **Retargeting**: Re-engage people who have already visited pages on the GitLab website, engaged with GitLab content, or are currently within our nurture. This tactic can show ads on what seems to be irrelevant websites. However, targeting is based on the engagement of the person, not the context of a website.

#### **Publisher Sponsorships** {#publisher-sponsorships}

<!-- DO NOT CHANGE THIS ANCHOR -->

Publisher sponsorships are when we engage a specific publisher in order to purchase placement on their web properties. Generally, we make sure the publisher's website(s) and audience closely match the profile of who we want to advertise to before engaging with the publisher. Sponsorships are less turn key than our other programs - while they require longer planning and execution, heavier lifts in content creation, and manual reporting, the long investment results in more qualified leads that are aligned with our goals & target audience.

* **Best used for**: Primarily used for demand generation, so we focus on mid to bottom funnel content.
  * **Best type of content to use**: Live webcasts and recorded webcasts work the best. Ebooks and guides sometimes work, depending on the placement.
  * **Worst type of content to use**: Events and thought leadership reports/whitepapers like Gartner and Forrester reports. With leadership reports/whitepapers, we historically have not seen good engagement and sign-ups for these types of assets on Paid Social, unless the report is more of a how-to guide.

[Steps to set up Content Syndication in Marketo & SFDC](/handbook/marketing/marketing-operations/campaigns-and-programs/#steps-to-setup-content-syndication-in-marketo-and-sfdc).

**Project Managing Publisher Activities:**

* PMG will create an issue to contract with Publishers. It is important to add specific filtering for all programs (region, personas, country limits, etc.)
* Once under contract, create an epic in the marketing project ([epic code template](https://docs.google.com/document/d/1tvp-TGCFlRXO1GjlakDmXt5S1W1S-UE77VqnDNM2Fkc/edit)) and the additional issues `program tracking` and `list clean upload` and relate them to the epic. Follow instructions for the remaining issues.
* Assign `program tracking` issue to the Campaign Manager that supports the region and assign the `list clean upload` issue to Jameson
* Once the leads are received, you should process them and submit them to MOPs in 24-48 hours

### Reporting

Our key stakeholders for ongoing reporting include:<br>
Campaigns teams and product marketing<br>
GEO Sales leadership<br>
IM Leadership

It is important to work through the digital marketing team for your paid media reporting requests as we have significant challenges that are currently being addressed.  Please do not pull your own dashboard data, the output is very familiar to us and we want to be sure our stakeholders are pulling the right information, in the right format for ultimate accuracy.

We will also provide insight into asset specific performance and what we should expect from an asset should that differ greatly from the goals that are set.  This should prompt an open and collaborative discussion.

## Finance {#finance}

<!-- DO NOT CHANGE THIS ANCHOR -->

### Allocadia {#allocadia}

<!-- DO NOT CHANGE THIS ANCHOR -->

Allocadia is the single source of truth for Digital Marketing's planned and forecasted budget throughout the fiscal year.

#### Monthly Process

Each month's forecast is locked around the middle of the current month, so Digital will confirm planned budgets by this date and also update the forecast based on shifts between certain line items. We monitor the Pipeline X-ray report to find gaps in coverage for specific regions & segments, so if we see a shortage in the current quarter's pipeline, we can strategically reallocate funds to ultimately generate more inquiries & MQLs for the region(s) or segment(s) that need it most. For example, if we are not utilizing our full Publisher budget for the month, we can move the remaining budget into LinkedIn for the Enterprise segment within the APAC region if it's experiencing low pipeline.

Once our monthly plan is locked in Allocadia, Digital will review their tab in the monthly Marketing AvB file for any further changes necessary before the end of the month.

#### Quarterly Process

Each quarter's plan is locked in Allocadia at least 2-3 days before the next quarter.

Since our budget is originally planned to accommodate our quarterly goals, we need to reconcile spend with Allocadia every month to make sure we are on pace to spend our planned budget. Since budget is strictly fluid within the quarter, Finance will alert Digital Marketing if we are pacing behind budget for a quarter in case we need to redistribute those funds.

### Accruals & Invoices {#accruals-invoices}

<!-- DO NOT CHANGE THIS ANCHOR -->

Due at least 4-5 business days before the end of the month, Digital Marketing works closely with PMG to prepare accruals (estimated billing amounts) for end of the month. Aside from the core Digital campaigns, PMG will notate which department (such as Field Marketing, ABM, Corporate, etc) is responsible for accrued spend, and Digital Marketing will verify the Allocadia IDs and Coupa POs related to each line item.

Once the month has ended, PMG will update the accruals sheet with actuals (final invoice amounts) with related invoice numbers, and there is typically a small buffer between estimated accruals & actuals. PMG will email PDF invoices to Digital Marketing and GitLab Accounting, automatically pushing invoices into Coupa for approval. Digital Marketing will verify that invoices are 1:1 match with actuals in the accrual sheet, then approve the invoices in Coupa.

For information on the Financial Planning processes & timelines for Digital Marketing, please follow the [Marketing Finance handbook page](https://internal.gitlab.com/handbook/finance/financial-planning-and-analysis/marketing-finance/).

### Digital Campaign Ad Specs {#specs}

<!-- DO NOT CHANGE THIS ANCHOR -->

Each paid channel has its own unique design specifications, ad copy character limits, and recommendations for their ad types to ensure ads can run at their optimal performance. If you do not yet have creative assets secured for your campaign, the design team can use this section as their guide when producing your creative. The standard requests for paid social images based on PMG recommendations are 1080x1920px, 1080x1080px, and 628x1200px.

#### Paid Social {#social-specs}

<!-- DO NOT CHANGE THIS ANCHOR -->

* LinkedIn Image (Sponsored Content):
  * Text recommendations
    * Headline: 70 characters
    * Intro: 150 characters
  * Technical Requirements
    * **Horizaontal/Landscape**
     *delivers to both desktop/mobile*
      * Min: 640x360px
      * Max: 7680x4320px
       Recommended: 1.91:1 - 1200x628
    * **Square**
     *delivers to both desktop/mobile*
      * Min: 360x360px
      * Max: 4320x4320px
       Recommended: 1:1 - 1200x1200px
    * **Vertical**
     *best for mobile (no deliver to desktop)*
      * Min: 360x640px
      * Max: 1254x2400px
       Recommended: 1.91:1 - 628x1200px
  * Recommended Image File Type: JPG or PNG
  * Recommended Image File Size: 5MB Max
  * Recommend using shorter copy within image, and lean on the headline/introduction text to convey more of your message
* LinkedIn Video:
  * Text recommendations
    * Headline: 70 characters (200 max)
    * Intro: 150 characters (600 max)
  * Recommended Video Length: Less than 15 seconds
  * Recommended Video File Size: 75 KB to 200 MB
  * Recommended Video File Format: MP4
  * Minimum width: 360 pixels
  * Maximum width: 1920 pixels
  * Minimum height: 360 pixels
  * Maximum height: 1920 pixels
* LinkedIn Carousel
  * Recommended Resolution: 1080x1080 pixels
  * Recommended Image File Type: JPG or PNG
  * Recommended Ratio: 1:1
  * Number of Carousel Cards: 2 to 10
  * Image Maximum File Size: 10MB
  * Video not supported currently
  * Copy: Primary Text: 150 character limit
  * Card: 45-character limit for carousel ads that direct to a destination URL
  * Copy: 30-character limit for carousel ads with a Lead Gen Form CTA
* LinkedIn Conversation Ads
* Twitter Image:
  * Recommended Image Size: 1200x675 pixels
  * Recommended Image Ratio: 1:1
  * Recommend using shorter copy within image, and lean on the headline/introduction text to convey more of your message
  * Copy: Primary Text: 280 character limit
  * Copy: Headline: 70 character limit
* Twitter Video:
  * Recommended Video Size: 1200x1200
  * Recommended Video Ratio: 1:1
  * Recommended Video Length: less than 15 seconds
  * Recommended Branding: Consistent in upper left-hand corner
  * Recommended Video File Type: MP4 or MOV
  * Recommended Video File Size: 1GB Max
  * Copy: Primary Text: 280 character limit
  * Copy: Headline: 70 character limit

#### Paid Display (Google Display Network) {#display-specs}

<!-- DO NOT CHANGE THIS ANCHOR -->

* Regular Display Ad Sizes
  * 160x600 pixels
  * 250x250 pixels
  * 300x1050 pixels
  * 300x250 pixels
  * 300x600 pixels
  * 320x50 pixels
  * 336x280 pixels
  * 728x90 pixels
  * 970x250 pixels
* Responsive Display Ad Sizes (up to 15 images per ad)
  * 1200x628 pixels
  * 600x600 pixels
* Responsive Display Logo Sizes (up to 5 logos per ad)
  * 1200x300 pixels
  * 1200x1200 pixels
* Recommended Image File Type: JPG or PNG
* Recommended Image File Size: 150KB Max
* In-Banner Design High Performers
  * Benefit/Value Prop and educational messaging
  * CICD emblem background
  * "Learn More" CTA
  * 4-7 word volume

#### Paid Search {#search-specs}

<!-- DO NOT CHANGE THIS ANCHOR -->

* Responsive Search Ads
  * Copy: Description: 90 character limit, up to 4 options per ad
  * Copy: Headline: 30 character limit, up to 15 options per ad
  * Copy: Display URL path: 15 character limit, up to 2 per ad

## UTMs for URL tagging and tracking {#utm-tracking}

<!-- DO NOT CHANGE THIS ANCHOR -->

All URLs that are promoted on external sites and through email must use UTM URL tagging to increase the data cleanliness in Google Analytics and ensure marketing campaigns are correctly attributed.

We don't use UTMs for internal links. UTM data sets attribution for visitors, so if we use UTMs on internal links it resets everything when the clicked URL loads. This breaks reporting for paid advertising and organic visitors.

You can access our internal [URL tagging tool in Google Sheets](https://docs.google.com/spreadsheets/d/12jm8q13e3-JNDbJ5-DBJbSAGprLamrilWIBka875gDI/edit#gid=0). You will also find details in this spreadsheet on what "Campaign Medium" to use for each URL. If you need a new campaign medium, please check with the Digital Marketing Programs team as new mediums will not automatically be attributed correctly.

If you are not sure if a link needs a UTM, please speak with the marketer who is managing your campaign to ensure you are not interrupting the reporting structure they have in place.

UTM construction best practices:

* lowercase only, not camelcase
* alphanumeric characters only
* no spaces
* **Campaign Medium** covers general buckets like `paidsearch`, `social`, or `sponsorship`
* **Campaign Source** names where the link lives. Examples include `ebook`, `twitter`, or `qrcode`
* **Campaign Name** describes a specific campaign. Try to add additional context like `reinvent`, `forrester`, and `bugbounty`
* **Campaign Content** differentiates ad types.
* **Campaign Term** identifies keywords used in a campaign

## Opt-Out of Seeing GitLab Digital Ads {#opt-out-ads}

<!-- DO NOT CHANGE THIS ANCHOR -->

We run digital ads on the following channels:

* Google (paid search and display)
* Facebook
* LinkedIn
* Twitter
* Demandbase (paid display)

Because everyone at GitLab works remotely, it makes it difficult to restrict ads from being shown to GitLab team members. In a brick and mortar environment, we can easily block IP addresses to accomplish this. Because everyone at GitLab has a different IP address, and even dynamic IP addresses, there is no way to implement an exclusion rule that would block all GitLab ads to GitLab team members.

If you would not like to see GitLab ads, you are able to opt-out of ads as you see them. Below is the process to remove GitLab ads. Please note that if you use both your personal and work accounts on your devices, you will need to exclude from both your personal and work accounts.

**Google Paid Search**: When you see a GitLab text ad in Google search engine results

1. On the ad, click on the arrow next to the URL
2. Click on Why this ad?
3. On the toggle next to "Show ads from gitlab.com", toggle off
4. Close out of box

**Google Display**: When you see a GitLab ad on a third-party website

1. Click on the blue arrow icon at the top right-hand corner for the ad
2. Select "Stop seeing this ad" when the option appears
3. Make a selection on why you do not want to see the ad anymore
4. Done

**Facebook**: When you see a GitLab ad on Facebook

1. On the upper right-hand corner of the ad, click the three dots in that corner
2. When, menu appears, click on "Why am I seeing this ad?"
3. In the next pop-up box, under "What You Can Do", click the "Hide" button next to the option that says "Hide all ads from this advertiser"

**LinkedIn**: When you see a GitLab ad on LinkedIn

1. On the upper right-hand corner of the ad, click the three dots in that corner
2. When option box appears, click on "Report this ad, I don't want to see this ad in my feed"
3. In the pop-up box that appears next, select an option
4. Click the Submit button on the next page

**Twitter**: When you see a GitLab ad on Twitter

1. On the upper right-hand corner of the ad, click the arrow
2. When option box appears, click on "I don't like this ad"

* Note that this does not necessarily block all ads, just that specific ad. You would need to do this on all the ads you see from GitLab
* You could block @gitlab in your profile to no longer see ads. However you block all ability to engage with the @gitlab Twitter accounts as well (seeing Tweets, Retweeting, mentioning, etc).

### Localization

Localization is a core tenet of the campaign managers GANTT chart that serves to manage the campaign and the digital team will do our best to support localization if we can ensure it doesn't severely impact campaign efficiency.  Future versions of our investment model will contain a workback formula to help us evaluate whether or not localization would be effective, and affordable.
