---
title: "Open Social Media Strategies from GitLab"
description: Use these micro-strategies to up your social game
twitter_image: "/images/opengraph/open-social-strategies.png"
twitter_image_alt: "These social strategies are licensed under CC BY-SA 4.0"
twitter_site: "gitlab"
twitter_creator: "gitlab"
---

## Open Social Media Strategies

GitLab-based social media strategies to aid in developing your own social media department.

*Updates coming soon!*

## High Impact World Events; Going "dark", pausing posts

In times of crisis, it may be appropriate for the social team to pause all brand channel social posts. This is called "going dark", and is a regular part of evaluating whether or not company messaging is appropriate to share at any given time. It is considered good practice to minimize the digital space brands occupy on social media during times of crisis. This can help to not distract social conversation but can also reduce the probability of being accidentally caught up in conversation unintentionally, sounding tone-deaf, or otherwise coming across as insensitive.

When this occurs, time-sensitive posts will be the first to be rescheduled. In the event time-sensitive posts could not be rescheduled, the social team will do what we can to update our stakeholders on what posts won't be published. Non-time sensitive posts will be moved to Sprout drafts, which can then be rescheduled at a later time.

Going dark could have a negative impact on social metrics, depending on the severity and length of time we're dark. Going dark could also negatively impact specific CTAs if we're relying on organic social to perform. These considerations are a part of making the decision and will be communicated as often as appropriate.

Here's what you need to get started.

### Plan

- No product/promotional messaging across company channels
  - Organic brand social channels
  - Paid social media advertising using brand channels
  - Executives, leadership, reporters, and personalities
    - Personal posts can continue
  - [insert other channels as appropriate]
- No engagement across brand social media channels
  - No likes at all
  - No comments on posts other than what is deemed necessary for triage, in mentions only
- Inform your team of this pause, immediately
- Determine if it's appropriate for your company to issue a statement or to communicate actions being taken
  - You will need to work with others on your team, and in many cases a communications leader and/or executive to make this decision
  - Create a process that allows you to write, approve, and publish a public statement within 24-48 hours. This means identifying all approproate stakeholders beforehand (for example, do you need legal review?), and perhaps creating new workflows to enable expedited approvals
- In the first day, review all drafts and future posts for copy and creative that is out of touch with the new reality
  - Be conservative with this review - rewrite or remove anything that could be viewed as inappropriate

### Why These Recommendations

- If you need to question your brands' involvement in the story of the moment, you need to pause all publishing to assess the situation correctly.
- Many high impact events and social movements are intended to be brand-free and it's ultimately your responsibility to consider the risk in inserting your brand into the conversation
- There is minimal risk in pausing for up to 48 hours while you and your team assess the situation as it progresses. Take this action liberally.

### Timeline

- Immediate and hard pause for 36 to 48 hours to assess the situation
  - You will need every hour of this time to make sure that your team understands the risks involved and to make a sound a decision
- In this short pause, you'll need to determine next steps - a longer pause based on the event progression or another option
- Use the "How do we turn back on" section below for more guidance on evaluating your pause

In the future, many high impact events will cause a 1-3 week pause; there may be times when going on and off is necessary; don't be afraid of piecing together an unconventional strategy. Continue taking on work that is timeless or can be scheduled at a later date - be ready to insert this content, if appropriate, when you are ready to resume publishing.

### Impact on Business

A longer than 48 hour pause does come with an adverse reaction. Campaigns could (and likely will) be impacted negatively because of this recommendation. We may need to consider what it means to continue pausing paid social, blog publishing, etc., or reevaluating the channels and methods of communications (moving from broadcast to 1:1).

### How do we "turn back on"?

- Keep tabs on and consider what other companies in your space and top brands (Starbucks, Apple, Coca-Cola, McDonald', etc) are doing and not doing. -- Understanding the landscape helps us to see what others' are making mistakes on and whether or not it's "acceptable"
- Keep a pulse on the movement -- what are we seeing in real life on social media; our feelings on this are as important as our observations
- Include diverse perspectives and a diverse set of people in the conversation - invite people from other teams to provide their feedback, especially if your team lacks diversity; this is non-negotiable
- Input and consideration from leaders that handle external communications
- (Not so heavy but still important) consider goals and initiatives - it will be easier to pause some campaigns more than others
- Consider soft-launching - hobble together light posts at a reduced volume to "ramp back up"

### Adopt the DRI concept

At GitLab, we use the [Directly Responsible Individual](/handbook/people-group/directly-responsible-individuals/) concept to drive our work. The DRI might be a manager or team leader, they might even be an executive. Or, they may themselves be individually responsible for fulfilling all the needs of their of social media - maybe you are the DRI. Make this decision during the evaluation time after the immediate pause. This person is responsible for taking all feedback and the event progression in mind, along with the info in the "How do we turn back on" section to make the decision to begin publishing on social media again or to extend your pause. Be intentional about naming (or claiming) the DRI.
