---
title: "Intra-Department Learning: Marketing Functional Conversations"
description: "The goal of Intra-Department Learning is to create, conduct, and host cross-department learning sessions to drive collaboration and understanding of marketing functional team priorities."
---

<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

## <i class="far fa-newspaper" id="biz-tech-icons"></i> Charter

## Intra-Department Learning: Marketing Functional Conversations

The goal of Intra-Department Learning is to create, conduct, and host cross-department learning sessions to drive collaboration and understanding of marketing functional team priorities.

Marketing Functional Conversations are modeled after [Group conversations](/handbook/company/group-conversations/). While Group Conversations offer high-level insights, Marketing Functional Conversations are meant to drill deeper into the various functions within the Marketing Department. The goal of Marketing Functional Conversations is to create increased awareness and mutual understanding of the functions within Marketing. Awareness and understanding is an essential building block for effective collaboration.

Intra-Department Learning is a Key Result (KR) of a CMO OKR in Q3&4FY24-Q1FY24 to `Align as one unified Marketing team, ensuring team member growth, communication, and collaboration (actioning pulse engagement survey feedback)`. The [Collaboration workstream](https://gitlab.com/groups/gitlab-com/marketing/-/epics/3289) team is actioning the Marketing Functional Conversations. The DRI for marketing enablement is TBD after the OKR work is completed.

## Structure

The Intra-Department Learning Sessions consists of three parts:

**Session Recording:** The recorded session will be linked to the table below and hosted on unfiltered (private or public depending on [SAFE guidelines](/handbook/legal/safe-framework/)).

**Functional Conversation + Deck:** After the recording is posted and shared, a Functional Conversation will occur during regularly occurring and pre-scheduled time slots. The Functional Conversation is hosted by the team and is an AMA-style session where all marketing team members can attend and ask questions about the shared materials. All team members are encouraged to ask questions and dig deeper in order to gain a better understanding. Team members who want to participate but are not able to attend synchronously are encouraged to embrace asynchronous communication by contributing questions or comments in advance of meetings and watching recordings or reading notes after.

**Marketing All-Hands Meetings Notification Item**: After the AMA session is completed, a Functional Conversation notification item will be added to an upcoming Marketing All-hands meeting. The agenda item will  link to the recording, deck, and notes from the AMA.

### Example Prompts

Use these prompts to guide your session content. The focus should be on how other teams collaborate with you team.

* What goals and priorities drive your team?
* How can team members get in touch with your team? (public slack channels, etc)
* How can team members request help from your team? (issue requests, etc.)
* Are there opportunities to collaborate with your team that may not be obvious?

## Intra-Department Learning Sessions

| Function | Team | Slack Channel | Handbook Page | Slide Deck | Session Recording |
|----------|------|---------------|---------------|------------|------------------------|
|----------|------|---------------|---------------|------------|------------------------|

## Session cadence

The Intra-Department Learning Sessions for each department are to be recorded and shared in Q4FY23.
