---
title: "Marketing Operations"
description: "Marketing Operations (MktgOps) supports the entire Marketing team to streamline processes and manage related tools. Due to those tools, we often support other teams at GitLab as well."
---

<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

## <i class="far fa-newspaper" id="biz-tech-icons"></i> Charter

Marketing Operations (MktgOps) supports the marketing organization to streamline processes and manage related tools. We work closely with multiple teams to ensure information between systems is seamless, data is as accurate as possible, and terminology is consistent in respective systems. Our team's primary functions are:

- Project management of marketing technology stack
- Streamline and standardize processes related to tools
- Data cleanliness and accuracy
- Best practices and strategy on marketing technology
- Continuous improvement of marketing systems
- Evaluate new marketing technology
- Support procurement of new marketing technology

## <i class="fas fa-users" id="biz-tech-icons"></i> Meet the Team

| Person | Role |
| ------ | ------ |
| [Christine Lee](https://gitlab.com/christinelee ) | VP, Marketing Ops and Analytics |
| [Amy Waller](https://gitlab.com/amy.waller) | [Director, Marketing Operations](/job-families/marketing/marketing-operations-manager/#director-marketing-operations) |
| [Gillian Murphy](https://gitlab.com/gillmurphy) | [Manager, Marketing Operations Manager](/job-families/marketing/marketing-operations-manager/#manager-marketing-operations) |
| [Nikki Silverberg](https://gitlab.com/nikkiroth) | [Staff Marketing Operations Manager](/job-families/marketing/marketing-operations-manager/#staff-marketing-operations-manager) |
| [Jenny Tiemann](https://gitlab.com/jennyt) | [Staff Marketing Operations Manager](/job-families/marketing/marketing-operations-manager/#staff-marketing-operations-manager) |
| [Robert Rosu](https://gitlab.com/RobRosu) | [Staff Marketing Operations Manager](/job-families/marketing/marketing-operations-manager/#staff-marketing-operations-manager) |
| [Mihai Conteanu](https://gitlab.com/MihaiConteanu) | [Senior Marketing Operations Manager](/job-families/marketing/marketing-operations-manager/#senior-marketing-operations-manager) |
| [Salina Tran](https://gitlab.com/stran5) | [Senior Marketing Operations Manager](/job-families/marketing/marketing-operations-manager/#senior-marketing-operations-manager/) |
| [Jameson Burton](https://gitlab.com/jburton) | [Marketing Operations Manager](/job-families/marketing/marketing-operations-manager/#marketing-operations-manager-intermediate) |
| [Evan Mathis](https://gitlab.com/emathis) | [Marketing Operations Manager](/job-families/marketing/marketing-operations-manager/#marketing-operations-manager-intermediate) |
| [Bryce Weatherford](https://gitlab.com/bweatherford) | [Marketing Operations Manager](/job-families/marketing/marketing-operations-manager/#marketing-operations-manager-intermediate) |

## <i class="far fa-life-ring" id="biz-tech-icons"></i> How to Get Help {#how-to-get-help}

**Important**: Before submitting an issue that may contain [Personally Identifable Information (PII) data](/handbook/support/workflows/pii_removal_requests/#overview) (including screenshots), please ensure the issue is marked confidential. You can use [quick actions](https://docs.gitlab.com/ee/user/project/quick_actions.html#issues-merge-requests-and-epics) to accomplish this in the issue description priort to submitting.

<div class="flex-row" markdown="0">
  <div>
    <a href="https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=bug_request" class="btn btn-purple" style="width:170px;margin:5px;">Report a bug</a>
    <a href="https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new" class="btn btn-purple" style="width:170px;margin:5px;">Issue tracker</a>
    <a href="https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=process_change_request" class="btn btn-purple" style="width:170px;margin:5px;">Process change request</a>
    <a href="/handbook/marketing/emergency-response" class="btn btn-purple" style="width:170px;margin:5px;">Emergency Comms</a>
  </div>
</div>

### Handbook Updates

When making an update to a handbook page for `ABM`, `FMM`, `MOps`, or `SDR` handbook pages (or sub-pages), we have a Zapier workflow set up that will push the MR (upon merge) to the related Slack channel to ensure our teams are aware of any change that is made to the page. In order for the merged MR to show up in the respective Slack channel, you must add one of the following corresponding `labels` on the MR. Slack updates will also trigger for MktgOps MRs when created.

| Label you add | Slack channel the merged MR pushes to |
| ------------- | ------------------------------------- |
| `MktgOps - HB Update` | `#hbupdate-mktgops` `#mktgops` |
| `FMM-HB Update` | `#fieldmarketing-FYI` |
| `SDR-HB Update` | `#hbupdate-sdr` |
| `ABM-HB Update` | `#hbupdate-abm` |

## <i class="far fa-paper-plane" id="biz-tech-icons"></i> How to Communicate with Us

**Slack channels**

We do not use or create tool-specific Slack channels (e.g. `#marketo`).

- [#hbupdate-mktgops](https://gitlab.slack.com/archives/mktgops) - This channel is used to automatically post new [handbook updates](#handbook-updates) that have been merged.
- [#mktgops](https://gitlab.slack.com/archives/mktgops) - We use this channel for general marketing operations support, weekly marketing operations team standup updates, and key system status updates. We attempt to [avoid direct messages](/handbook/communication/#avoid-direct-messages) where possible as it discourages collaboration.
  - In order to efficiently triage common requests, we utilize auto-responses in this channel. Anyone can help triage requests in the #mktgops slack channel by using the slack emoji reactions in the table below.

| Inquiry | Slack Reaction |
| ------ | ------ |
| Questions specific to SFDC | `:mktgops_salesforce:` |
| Complex questions that require an issue | `:mktgops_issue:` |
| Bugs | `:mktgops_bug:` |
| Questions about tool status | `:mktgops_status:` |
| List import questions | `:mktgops_lists:` |
| Tool access is needed | `:mktgops_AR:` |

**Salesforce**

The Marketing Operations team has created the '@mktgops-support' Chatter in Salesforce to help you make changes or manage Lead objects in Salesforce. Please note, the more information you can provide in your support request, the faster the request can be resolved. Use the '@mktgops-support' Chatter for support with:

- Assigning leads to a new owner
- Merging duplicate leads in different ownership
- Investigating routing logic if you think a lead was routed improperly
- Requesting additional lead support from the Marketing Operations team
- The Marketing Ops team does not manage requests related to Contact, Account, or Opportunity objects.
- Please refrain from mentioning individual Marketing Ops team members and use this Chatter instead. Thank you!

**Emergency Comms**

If an emergency communication needs to be send out, Marketing Ops will need to assist. Follow directions on this [page](/handbook/marketing/emergency-response/) to initiate the emergency response and view the [coverage matrix](/handbook/marketing/emergency-response#coverage-matrix). You can also follow the [security incident communication plan](/handbook/security/security-operations/sirt/security-incident-communication-plan/) for security related issues.

## <i class="fas fa-tasks" id="biz-tech-icons"></i> How We Work

<div class="flex-row" markdown="0">
  <div>
    <a href="https://gitlab.com/gitlab-com/marketing/marketing-operations" class="btn btn-purple" style="width:200px;margin:5px;">Marketing Operations project</a>
  </div>
</div>

### Issue Boards

1. [MktgOps Team (issues by team member)](https://gitlab.com/groups/gitlab-com/-/boards/2629685)
1. [MktgOps-Support - FM/Event Marketo set-up (issues by milestone)](https://gitlab.com/groups/gitlab-com/marketing/-/boards/5563453?label_name[]=MktgOps-Support)

### Issues

The MktgOps team works from issues and issue boards. If you are needing our assistance with any project, please open an issue or for small checks and questions, use the `~MktgOps::00: Triage` label anywhere within the GitLab repo.

 If you have a bug, error or discrepancy you'd like the team to help and investigate, please use the [bug-request template](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new?issuable_template=bug_request).

Please do not reopen issues that have been closed in a previous milestone. If you find that you have additional questions about a closed issue, comment in the issue and ping the marketing ops DRI who worked the issue. The DRI within our team will determine whether an issue needs to be reopened and pulled into a current milestone.

### OKRs

To track progress on and provide visibility to team OKRs each quarter, Marketing Operations uses the OKR feature in GitLab to organize our team-wide work. Current Marketing Operations OKRs can be found [here](https://gitlab.com/gitlab-com/gitlab-OKRs/-/issues/?sort=updated_desc&state=opened&label_name%5B%5D=MktgOps&first_page_size=100).

Check out our [quarterly highlights trackers](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/?sort=created_date&state=all&label_name%5B%5D=mktgops-highlights&first_page_size=20) to learn more about the key results we've accomplished.

### Labeling

We use labels for three purposes:

1. Categorize the tool or area that is affected
1. Show priority
1. Identify the stage they are in

<details>
<summary markdown='span'>
Categories
</summary>

- `MktgOps - FYI`: Issue is not directly related to operations, no action items for MktgOps but need to be aware of the issue
- `MktgOps - List Import`: Used for list imports of any kind - event or general/ad hoc (do not also use To Be Triaged scoped label)
- `Marketo`, `Bizible`, `6sensee`, `Qualified`, `LinkedIn Sales Navigator`, `Outreach-io`, `PathFactory`, `ZoomInfo`, `On24`, `Groove`: used to highlight one of our tech stack tools
- `MktgOps - bug`: A bug issue to be addressed or identified by MktgOps
- `MktgOps - changelog`: Used to track issues or epics that would need to be logged in the marketing changelog to track major changes across marketing
- `SMOps/Systems - Changelog`: Used to track changelog issues that will impact Sales Operations or Systems
- `MktgOps-Support`: Used on issues to track field marketing and event support, such as field marketing landing pages and emails.
- `MktgOps-Future Feature`: Something to consider for a future project as time allows. Timeframe: As time allows
- `dg-campaigns`, `ABM`, `lifecycle-mktg`: Used on issues created by these teams for easier tracking of their requests.
- `MktgOps::Events/FM Copy Review`: Used by Field Marketing and Corporate Events on `MktgOps-Support` issues to note when an issue is ready for copy review.

</details>

<details>
<summary markdown='span'>
Proccess Steps with Sales Systems
</summary>

- `MktgOpsPrio::00: Requested`: New issues
- `MktgOpsPrio::01: In Approved`: Issues that have received business process owner approval
- `MktgOpsPrio::02: In Queue - Mops`: Issues that are ready for prioritization with Sales Systems
- `MktgOpsPrio::03: In Queue - Systems`: Discussed in prioritization and added to a temporary milestone
- `MtkgOpsPrio::04: Actioned`: Issue is in current or future milestone, not yet ready for UAT
- `MktgOpsPrio::05: Business Owner UAT`: Issue is in UAT by the business owner, Systems cannot move forward without signoff
- `MtkgOpsPrio::06: Pending Release`: Issue fully tested and approved in staging. Awaiting deploy by systems team
- `MtkgOpsPrio::07: Complete`: Issue has been deployed into production

</details>

<details>
<summary markdown='span'>
Systems Related Labels
</summary>

- `entapps-customer::MOPS`: Used on issues that require Sales Systems support
- `MktgSystems-PMO`: Used for issues on committed PMO projects to help with prioritization and to determine work streams

Business Impact Labels: What business impact or subject area is driving these changes

- `MktgImpact - Partner Lead Lifecycle` - Impacts to Vartopia and Partner Lead Lifecycle. Such as the Lead Module, Campaign Module and ROI for channel events and lead tracking.
- `MktgImpact - Sales Enablement` - Marketing initiatives that will help Sales productivity and efficiency
- `MktgImpact - Sales Dev Productivity` - Improves productivity of Sales Dev team, such as SLAs, and visibility
- `MktgImpact - Product Launches` - Issues revolving around a prodct launch or release
- `MktgImpact - Team Productivity and Efficiency` - General marketing team productivity improvements
- `MktgImpact - Analytics and Data Quality` - Data updates or analytics needs
- `MktgImpact - TBD` - New labels will be created for large-cross function projects, like FY25

Type Labels: What type of SFDC work is required

- `MktgType - Break/Fix`
- `MktgType - Tool Installation / Configuration`
- `MktgType - Package Updates`
- `MktgType - FLS or Access`
- `MktgType - Tech Debt`
- `MktgType - Operational Improvements`

</details>

<details>
<summary markdown='span'>
Priorities
</summary>

- `MktgOpsPriority:: 00-Urgent`: Issue that is related to a breaking change, security issue or business critical item. This category will be limited because not everything can be a priority. Timeframe: Immediate action needed.
- `MktgOpsPriority:: 01-High`: Issue that is related to a breaking change, OKR focus, any other issue of high business value.  Timeframe: Action within milestone
- `MktgOpsPriority:: 02-Medium`: Issue has a specific action item for MktgOps to be completed. Timeframe: Within weeks
- `MktgOpsPriority:: 03-Low`: Issue is a feature to help the team or a specific action item for MktgOps that would be helpful, but can be pushed for other issues.Timeframe: Within months

</details>

<details>
<summary markdown='span'>
Stage
</summary>

- `MktgOps::00: Triage`: General label for any issue that needs MktgOps attention, request for work and/or involvement
- `MktgOps::01: Needs More Information`: Issues awaiting for information from the requester, needs more clarity in requirements, no milestone, and not assigned to MktgOps team member yet
- `MktgOps::02: Ready for Assignment`: Issues that are acknowledged (in review), gathering requirements, no milestone, and not assigned to MktgOps team membe
- `MktgOps::03: Assigned`: Issues that are ready to move forward, slotted to a milestone (not current), and assigned to MktgOps team member's queue
- `MktgOps::04: In Progress`: Issues that are in the current milestone, assigned to MktgOps team member, and are actively being worked
- `MktgOps::05: Business Owner Review`: Issues in current milestone that are near the finish line, needs to be reviewed and demoed to the business owner(s) to sign-off
- `MktgOps::06: Ready to Deploy`: Issues in current milestones, sign-off(s) given by business owner, ready to be deployed by MktgOps team member
- `MktgOps::07: Blocked`: Issue is blocked and no other actions can be taken by MktgOps. Waiting for someone else/another team to complete an action item before being able to proceed. May also be blocked due to external party such as a vendor to complete an action before closing.
- `MktgOps::08: Completed`: MktgOps has completed their task on this issue although the issue may not be closed.

</details>

### Milestones

The MktgOps team works in two week iterations which are tracked as milestones at the `GitLab.com` level. Each individual contributor (IC) is responsible for adding issues to the milestone that will be completed in the two-week time frame. If needed, the IC will separate the main issue into smaller pieces that are _workable_ segments of the larger request.

At the end of every milestone, we will post a thread in the #mktgops Slack channel with links to the Issues that we are moving to the next milestone. Context as to why an Issue is moving to a new milestone will be posted in the Issue (not in the Slack thread). The goal of this is to proactively and transparently communicate to our business partners and to empower marketing operations team members to intentionally and thoughtfully manage their work in each milestone.

A milestone cannot be closed nor marked complete until the milestone's accompanying merge request has been merged. Within every milestone there is a `WIP` merge request with all commits being changes to our handbook. All team members contribute their changes to the milestone merge request. The merge request should be tagged with marketing operations labels and the current milestone.

<div class="flex-row" markdown="0">
  <div>
    <a href="https://gitlab.com/groups/gitlab-com/-/milestones?utf8=%E2%9C%93&search_title=mktgops&state=&sort=" class="btn btn-purple" style="width:170px;margin:5px;">View Milestones</a>
  </div>
</div>

### Marketing Ops Calendar

[Our team google calendar is available to GitLab team members here](https://calendar.google.com/calendar/u/0?cid=Y191M2dhYWltcWhyYzNkNzUzbmJvbDNob3VrZ0Bncm91cC5jYWxlbmRhci5nb29nbGUuY29t). It shows upcoming team PTO and holidays.

### Marketing Changelog

Periodically Marketing Operations and other teams through the marketing org make significant changes to our system and processes that affect overall tools, data and reporting or uncovers significant changes that affected reporting. As such we have a shared [changelog](https://docs.google.com/spreadsheets/d/1FHiKhQukMVfwKsBJDzyrsuzuw2bv97xQFhegvFXTeNQ/edit#gid=0). The MktgOps and Strategy/Perf teams update this document as needed as changes are made. If you are working on an issue or epic that will have a significant impact across marketing, add the label `MktgOps - changelog` so marketing oeprations can track changes across GitLab.

## <i class="far fa-handshake" id="biz-tech-icons"></i> Teams We Work Closely With

### Working with Channel Partner Marketing

#### Channel Partner Marketing Expectation

- To open [issues](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new) for any new request using the problem statement.
- Channel Partner Team to respond to mktgops queries on the issue
- To provide full problem statement on the issue with as much context as possible.
- Optional - suggested solution for this issue.

#### Marketing Ops Expectation

- To use [labels](/handbook/marketing/marketing-operations/#labeling) to denote where the issue is
- To use [Milestones](/handbook/marketing/marketing-operations/#milestones) to denote when the work will be done
- To provide solution options for the problem statement with clear outline of timeline/ potential blockers.
- To verify possibility of the suggested solution(if there is one).

#### Bi-weekly Meeting

 New issues will be prioritized within the bi-weekly meeting where Salina can understand if/what work should be deprioritised to complete the new work.

Salina to

- Add [Priority label](/handbook/marketing/marketing-operations/#labeling)
- Add [Stage Label](/handbook/marketing/marketing-operations/#labeling)
- Add milestone to the issue of when she thinks the work will be started

If no new issues- can either discuss issues or skip a week.

#### Milestone MRs

The marketing operations team uses collective merge requests, known as our milestone MRs, to make multiple updates across our handbook, see high-level updates in 1 MR, and avoid conflicts with each other. Here is an [example](https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/71109). We list all major changes with our GitLab username in the description after a commit and link any relevant issues that the commit closes out. If you have an update for the marketing operations handbook, please feel free to use our milestone MR to make a commit and tag us for review to avoid conflicts.

### Working with Sales Systems for SFDC Updates

The MktgOps team frequently works with the [Sales Systems team](/handbook/sales/field-operations/sales-systems/#sales-systems-charter) to make changes in Salesforce.com (SFDC). See the below information regarding the process for working with Sales Systems for these changes and SLAs we adhere to.

Video: [Marketing Salesforce.com Sandbox Training - Creating Changesets](https://www.youtube.com/watch?v=tTaepVgxoe8)

If a field needs to be created in Marketo AND SFDC, it must be created in SFDC first and then added to the Marketo User Permission set within SFDC. From there, the field will sync down to Marketo. If you miss this order of operations and the field is created in Marketo first, you will need to still follow the directions above and then open a support to re-map the fields. **Use [documentation for Marketo](https://experienceleague.adobe.com/en/docs/marketo/using/product-docs/administration/field-management/custom-field-type-glossary) for field types.

If you need assistance with Sales Systems follow the next steps:

1. Open an [Sales System issue](https://gitlab.com/gitlab-com/sales-team/field-operations/systems/-/issues/new) in their project and assign the label `entapps-customer::MOPS`.
    - If the issue is a part of a committed PMO project, please add the label `MktgSystems-PMO`
2. If Mops member can create a changeset, please do so shortly after creating the issue to decrease time to deploy,
3. Add [prioritization label](/handbook/marketing/marketing-operations/#labeling) of `MktgOpsPrio::00: Requested`
4. Business process owner (Amy or Christine) will review, and if they approve of the request from a business standpoint, they will check the appropriate box and add the `MktgOpsPrio::01: Approved` label. If not, the request will stay in `MktgOpsPrio::00: Requested` status until blockers or outstanding questions are resolved.
5. Once approved, requests will be added to the prioritization queue by the business proess owner to review with Sales Systems or the PMO and labeled `MktgOpsPrio::02: In Queue - Mops`
6. Once Systems or PMO has agreed to take on work, the request will be added to a `Temp` holding milestone for further prioritization, and labeled `MktgOpsPrio::03: In Queue - Systems`
7. Once a milestone is added and the issue is discussed, the label will be updated to `MktgOpsPrio::04: Actioned` by the MktgOps representative that is in the prioritization call.
    - Once the label has been updated to `MktgOpsPrio::04: Actioned`, follow along with the Sales Systems labels for next steps.
8. Systems will work on the issue and push any updates to the Staging environment first
9. Once systems build, it is the responsibility of the Business Owner to test and accept. The Business Owner must show proof (such as a testing plan, or screenshot) that the solution is working correctly in the staging environment. This is an important step that represents acceptance of the solution, its testing, and the authority to change the related process. The issue will stay in `MktgOpsPrio:: 05: Business Owner UAT` during this time.
10. Once ready to deploy, Systems manager will add `SFDCReleaseHelp` to flag to release managers it is ready for production release. Marketing Ops label should be updated to `MktgOpsPrio::05: Pending Release`
11. Once in production, MktgOps should confirm again that the field/update in SFDC and corresponding/impacted systems is working as anticipated. Label updated to `MktgOpsPrio::06: Completed`
12. Issue is closed and completed.

**Other helpful links:**

- [Steps to getting help from Sales Systems](/handbook/sales/field-operations/sales-systems/#steps-to-getting-help-from-sales-systems)
- [Sales Systems Charter](/handbook/sales/field-operations/sales-systems/#sales-systems-charter)

### Working with the Integrations team on Workato related issues

Workato is a low-code/no-code tool used to for automations and integrations across different teams at GitLab. We frequently work with the Integrations team to build, test and deploy some of the processes in Marketing Operations. The best way to work with the Integrations team is by opening an issue, depending on the scenario, there are two ways to go about that:

1. Request the creation of a new automation/integration
      - For types of request that involve building something from scratch and you require assistence from the Integrations team
        1. Open an issue in the [Integrations Work](https://gitlab.com/gitlab-com/business-technology/enterprise-apps/integrations/integrations-work/-/issues/new) and follow the instructions in the issue template.
        2. If the issue relates to marketing operations, make sure to tag @mihaiConteanu or @amy.waller

2. Bug fixing or deploying recipes developed in the testing environment
      - For fixing issues with currently working recipes or to test and review an independently built recipe before moving it into production. Due to SOX compliance, any change to a recipe in production needs to be acompanied by a change management issue.
        1. Open an issue in the [Integrations Work Project](https://gitlab.com/gitlab-com/business-technology/enterprise-apps/integrations/integrations-work/-/issues/new) and depending on your specific need, choose a template for _Bug_, _Change_, or _Default_ and follow the instructions in the issue template.
        2. Open an issue in the [Change Management Project](https://gitlab.com/gitlab-com/business-technology/change-management/-/issues/new) and copy and paste [this template](https://gitlab.com/gitlab-com/business-technology/enterprise-apps/integrations/integrations-work/-/blob/main/.gitlab/issue_templates/change%20management.md?ref_type=heads) in the issue description
        3. Follow the instructions in the template, it contains all labels and tags necessary to notify the Integrations Team
        4. Set a meeting with Durgesh Thakkar and Karuna Singh to go over and review your changes/recipe/issue.

**Helpful links**

- [How Integrations Team works](/handbook/business-technology/enterprise-applications/integrations/how-we-work/)
- [Workato Playbook](/handbook/business-technology/enterprise-applications/integrations/workato-playbook/)

## Stakeholder Mapping

Stakeholder mapping is a tool to help define roles and to delegate cross-functional responsibilities among the team. Stakeholder mapping connects key functions and jobs across marketing with a primary marketing operations stakeholder, a supporting team of marketing operations team members, and stakeholders outside of marketing operations. The main purpose of stakeholder mapping is to identify and connect the stakeholders involved in setting the strategic direction of marketing operations initiatives.

Stakeholder mapping is NOT a way to gatekeep, nor is it meant to stifle communication, collaboration, or efficiency. A particular function is not limited to communicating only with the strategic partner or supporting team members mapped to that function. Similarly, marketing operations team members who are not strategic partners or supporting team members for a particular function may still support that function in various ways.

### Why is Stakeholder Mapping important?

Stakeholder mapping is important because it helps to formalize a process for setting the strategic direction of marketing operations initiatives. Stakeholder mapping will help marketing operations better understand the challenges and opportunities that our stakeholders face, allowing the marketing operations team to be more proactive business partners, and better able to plan for and deliver on strategic projects.

Additionally, Stakeholder Mapping creates tighter alignment between Marketing Operations and our stakeholders. It provides our stakeholders with a specific point of contact and a predictable cadence with which they can collaborate on strategic initiatives.

#### What does it mean to be a strategic partner?

Strategic partners are the main point of contact for understanding, documenting, and sharing strategic opportunities from the functions to which they are mapped. This can be done by conducting Marketing Operations Discovery research, which typically happens twice per fiscal year.

Findings of Discovery research are then used as inputs for the marketing operations roadmap and backlog.

### What does it mean to be a supporting team member?

Supporting team members are typically subject matter experts in a specific use case or area within a function. Supporting team members participate in Discovery research and should feel free to ask questions directed toward their particular focus area in order to capture additional insights. Supporting team members typically take point on note taking during Discovery research calls.

### What is Discovery research and how do we conduct it?

Discovery research is a way to learn more about our users. Our users are members of the marketing division who use tier 1 and 2 marketing technology. Discovery research can be conducted through synchronous interviews or asynchronously. When possible, synchronous interviews are preferred because they allow us to build relationships and ask follow up questions in real time. Discovery research calls should happen quarterly, up to the discretion of the strategic partner and the stakeholder.

#### What will Discovery research insights be used for?

Insights from Discovery research calls will be used to inform the Marketing Operations strategic planning and roadmapping.

## <i class="fas fa-file-import" id="biz-tech-icons"></i> List Imports

[List Imports](/handbook/marketing/marketing-operations/list-import)

## <i class="fas fa-toolbox" id="biz-tech-icons"></i> Marketing Technology Stack

### Marketing Technology Tiering System

The Marketing Operations team maintains the [Marketing technology tiering system](/handbook/marketing/marketing-operations/marketing-technology-tiering-system/) in order to prioritize requests, provide support, and optimize processes.

### Tools in the Stack

The SSoT for all tools at GitLab is the  [Tech Stack Applications page](/handbook/business-technology/tech-stack-applications/).

We are constantly evaluating new tools to help create efficiency, data accuracy and provide additional functionality. If you have a pain point, or have come across a new technology you'd like to explore further, please let us know by creating a tool eval issue. To see our current list use the label `Ops Tool Evaluation` or [click here](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/?sort=created_date&state=opened&label_name%5B%5D=Ops%20Tool%20Evaluation&first_page_size=20). Please also follow process and directions [listed in the sections](/handbook/marketing/marketing-operations/#new-tool-purchase-process).

As a compliment to the Tech Stack, we created a visual of the Tier 1 and 2 tools in Marketing Technology stack, aligned to our customer journey.

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vRw2uP4L3iNIzfQfrkohsvpNnCGex7Qu1LRov6bpAH2S-l9aU5zO6qmZO1flMGqoii-CO2V8GxrcPx8/embed?start=false&loop=false&delayms=3000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure>

Below are tools in the Marketing Technology stack, organized by tier.

#### Business Critical Technology - Tier 1

- [6sense](/handbook/marketing/marketing-operations/6sense/)
- [Bizible / Marketo Measure](/handbook/marketing/marketing-operations/bizible/)
- [Cognism](/handbook/marketing/marketing-operations/Cognism/)
- [Iterable](/handbook/marketing/marketing-operations/iterable/)
- [Marketo](/handbook/marketing/marketing-operations/marketo)
- [On24](/handbook/marketing/marketing-operations/on24)
- [Groove](/handbook/marketing/marketing-operations/groove)
- [PathFactory](/handbook/marketing/marketing-operations/pathfactory/)
- [Qualified](/handbook/marketing/marketing-operations/qualified/)
- [Traction](/handbook/marketing/marketing-operations/traction-lead-complete)
- [ZoomInfo](/handbook/marketing/marketing-operations/zoominfo/)
- [Vartopia - Lead Sharing Module](/handbook/marketing/marketing-operations/vartopia/)

#### Operational Technology - Tier 2

- [Allocadia](/handbook/marketing/strategy-performance/allocadia/)
- Base (Customer Reference)
- [Hightouch](/handbook/marketing/marketing-operations/hightouch/)
- [LinkedIn Sales Navigator](/handbook/sales/training/social-selling/)
- [OneTrust](/handbook/marketing/digital-experience/onetrust/) (DEX)
- [RingLead](/handbook/marketing/marketing-operations/ringlead/)
- Integrate DAP (Digital Strategy - Campaigns)
- [Mutiny](/handbook/marketing/marketing-operations/mutiny )

#### Management Technology - Tier 3

- [Litmus](/handbook/marketing/marketing-operations/litmus)
- [Brilliant Gifts](/handbook/marketing/marketing-operations/brilliant/)
- Google Analytics (Search Discovery/Further) (DEX)
- [Terminus Email Experiences](/handbook/marketing/marketing-operations/terminus-email-experiences)

#### Functional Technology - Tier 4

- [Bitergia](/handbook/marketing/developer-relations/workflows-tools/#tool-stack-overview) (Developer Relations)
- [Canva](/handbook/marketing/brand-and-product-marketing/design/#canva-best-practices) (Brand)
- Cision
- [Common Room](/handbook/marketing/developer-relations/workflows-tools/#tool-stack-overview) (Devoper Relations)
- ContentKing
- Frame.io (Brand)
- Figma (UX)
- Humantec.ai (Sales Dev)
- [Launch Darkly](/handbook/marketing/digital-experience/engineering/engineering-ab-tests/)
- [MeetUp](/handbook/marketing/developer-relations/workflows-tools/#tool-stack-overview)
- [Quantum Metric](/handbook/business-technology/tech-stack/#quantum-metric) (DEX)
- [SEMRush](/handbook/marketing/inbound-marketing/search-marketing/seo-strategy/) (Search Marketing)
- [SheerID](/handbook/business-technology/tech-stack/#sheerid) (Community Programs)
- [Sprout Social + Bambu](/handbook/marketing/integrated-marketing/digital-strategy/social-marketing/team-member-social-advocacy/#team-member-social-media-advocacy-and-enablement)
- [Vimeo](/handbook/marketing/marketing-operations/vimeo/) (Brand)
- [Zendesk Community](/handbook/marketing/developer-relations/workflows-tools/#tool-stack-overview)
- [Typeform](/handbook/marketing/marketing-operations/typeform/)

### Requesting access to an existing tool

To request access to an existing tool in the stack, [please follow the access request process](/handbook/it/end-user-services/onboarding-access-requests/access-requests/) as outlined in the business operations handbook.

If you are working with a contractor or consultant that requires access to a tool in our stack, [please follow the professional services access request process](/handbook/finance/procurement/) as outlined in the procurement handbook.

## Tool User Management

Technical owners should perform quarterly, bi-quaterly and, for some tools, monthly user audits. If a team member has not been actively taking advantage of a tool for 45 days (30 days for Zoominfo) or more, they will have access to that tool revoked with 5 business days of notification via email or slack (for Zoominfo). Activity will be determined by user reports pulled by the tools' technical owner. These reports can be found by viewing issues from the Marketing Ops project with the issue label `Mktg Tool Audit`. The reports will utilize the audit issue template from the Marketing Ops project. To regain access to revoked tools, the team member will need to submit a new access request and follow standard access request procedures. However, user seats will be on a first-come-first-serve basis unless it is determined additional seats should be purchased.

### Tech Stack Status Pages

Below is a collection of links leading to status pages of several listed MktgOps DRI tools. Unclickable links did not offer **official** status pages during the 2023 review of available webpages, but there are several **unofficial** and **unaffiliated** websites that offer webpage uptime checking as a service, e.g. www.isitdownrightnow.com, www.downdetector.com and www.downforeveryoneorjustme.com. Feel free to search on these sites during a perceived downtime, but keep in mind it may not be as accurate as an official source.

<details>
<summary markdown='span'>
Click to see dropdown list of available status page URLs.
</summary>

- [Asana](https://status.asana.com/)
- [Marketo/Marketo Measure (formerly Bizible)](https://status.adobe.com/products/503491)
- [Qualified](https://status.qualified.com/)
- [LinkedIn Sales Navigator](https://www.linkedin-apistatus.com/)
- [PathFactory](https://status.pathfactory.com/)
- [Terminus Email Experiences](https://status.terminus.com/)
- [ZoomInfo](https://status.zoominfo.com/)
- [Allocadia](https://support.allocadia.com/hc/en-us/sections/115001724228-System-Maintenance-Alerts)
- [Iterable](https://status.iterable.com/)
- [Litmus](https://status.litmus.com/)
- [On24](https://on24.my.site.com/Support/s/platform-status)
- [OneTrust](https://status.onetrust.com/)
- [Hightouch](https://status.hightouch.io/)
- [Groove](https://status.groovehq.com/)

</details>

### Renewal process for marketing technology budget owners

- Renewal discussion timing is determined by tier.
- For new software that has been approved create a business case to attach to the Zip Request ([example](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/6171)).
- With Procurement submit an RFP every 2 years or for tools over $50K+.
- POC for any new tools or new features before signing a contract.
- No auto-renewals

Align with Procurement and Finance:

- Work with Procurement to structure and negotiate the contract. As well, look to do an RFP with multiple vendors for competitive pricing.
- Align with Finance to confirm budget is accounted for in FY24.

Marketing Operations role:

- Marketing Operations will help to define requirements and be a trusted advisor.
- Submit an issue ([example](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/6513#note_1079813146)) for new software evaluations.

## MarTech Change Management

### New Tool Purchase Process

If you are interested in or would like to request a new tool be added to the tech stack, [please submit an issue using the tools eval issue template](https://gitlab.com/gitlab-com/marketing/marketing-operations/issues/new?issuable_template=tools_eval) in the Marketing Operations repository. Marketing Operations should be included in ALL new tool evaluations to account for system integrations, budget, etc. Any new tools desired after the budget is set will be handled by transferring budget from the other department to Marketing Operations. Once an issue is submitted, Marketing Operations will evaluate the request and assign the tool a tier. To see current and previous tool evaluations, please [click here](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/?sort=created_date&state=opened&label_name%5B%5D=Ops%20Tool%20Evaluation&first_page_size=20).

The process for requesting a new tool is:

1. [Tool Eval issue](https://gitlab.com/gitlab-com/marketing/marketing-operations/issues/new?issuable_template=tools_eval) is submited
1. A Marketing Operations member is assigned to review the request. This person scores the requested tool in order to determine its tier. The business and technical owners of the tool are identified.
1. For tier 1 and 2 tools, once the request has been reviewed, the Marketing Operations manager will:
   - Create a new evaluation Epic, capturing relevant details from the intake issue.
   - Assign the new Epic to the business and technical owners
   - Update the intake issue description with a link to the new Epic.
1. Tier 3 tools will be handled on a case-by-case basis. If the tool requires extensive evaluation and Marketing Operations support, the above process will apply.
1. The business owner is the DRI for tier 4 tool evaluations and implementations, but still must include Marketing Operations.

Once the evaluation Epic is created, the following evaluation steps should be followed:

1. Discovery - understand the request/problem we're trying to solve
1. Stakeholder identification - build the evaluation team based on the roles and responsibilities outlined below
1. Requirements gathering - document user stories, requirements, impacted processes, and features using [this requirements gathering template](https://docs.google.com/spreadsheets/d/1JsUcCnePqWnc8ownZQEsjsDtMea6pLPk2k-6TV3M_uI/edit#gid=0)
1. Evaluation - attend demos and compare features
1. Stakeholder alignment - align stakeholders to select vendor of choice
1. Privacy and security reviews - ensure that the selected tool is compliant
1. Negotiations and procurement
1. Implementation
1. Post-Implementation Review & Retro

### Roles and Responsibilities

| Role | Responsibility |
| ------ | ------ |
| **Technical Owner** | Serve as facilitators for tool evaluations |
| | Establish norms (meeting cadence, status updates, communicating results, etc.) |
| | Ensure that technical requirements are documented and feasible |
| | Document and report any risks or conflicts identified during tool evaluation |
| | Facilitate meetings and support operational efficiencies of the evaluation |
| **Business Owner** | Complete the tool evaluation issue |
| | Document requirements and user stories, and obtain approval(s) for tool |
| | Review and provide approval to ensure everything is working as expected |
| **Leadership Sponsor** | Responsible for staying plugged into the project, supporting the leads, and supporting escalations (if required) |
| **Peer Reviewer (optional)** | Review and ensure requested change has been documented and there are no undocumented downstream impacts |
| **Post-Implementation Reviewer(s) (optional)** | Review of the change in production after the change is made to ensure everything is working as expected |

#### Resources

1. [Requirements Gathering Template](https://docs.google.com/spreadsheets/d/1JsUcCnePqWnc8ownZQEsjsDtMea6pLPk2k-6TV3M_uI/edit#gid=0)
1. [Weekly Implementation Update Template](https://docs.google.com/document/d/10-C4ZP_GTmG164-1DwV_KPDlcxpIknfPrq0Qv1TccKQ/edit#)

## Lead Scoring, Lead Lifecycle, and MQL Criteria

For more information about lead lifecycle, visit [this handbook page](/handbook/marketing/marketing-operations/lead-lifecycle/)

A Marketing Qualified Lead (MQL) is a lead that has reached a certain threshold, we have determined to be 100 points accumulated, based on demographic/firmographic and/or behavioral information. The `Person Score` is comprised of various actions and/or profile data that are weighted with positive or negative point values. You can find more details about the scoring model on the [Marketo Page](/handbook/marketing/marketing-operations/marketo/#scoring-model)

### What are MQL SLAs?

SLA (or Service Level Agreement) is the agreed upon amount of time that a lead which has MQL’d and routed to a Sales Development Representative will be actioned. Right now, the SLA time has been set to 2 business hours. More information on how the SLA reporting functionality works can be found [here](/handbook/marketing/marketing-operations/mql-sla.md).

## Campaigns and Programs

Campaigns are used to track efforts of marketing tactics - field events, webcasts, content downloads. The campaign types align with how marketing tracks spend and align the way records are tracked across three of our core systems (Marketo, Salesforce and Bizible) for consistent tracking. Leveraging campaigns aligns our efforts across Marketing, Sales and Finance.

Go to the [Campaigns and Programs Page](/handbook/marketing/marketing-operations/campaigns-and-programs/#campaigns) to view all of the campaign types, their progression statuses and cost tracking. That page also includes directions for set up in Marketo and Salesforce.

Marketing Ops partners with the Field Marketing and Corporate Events teams to provide Marketo program set-up and configuration, providing these teams with an internal partner to provide advise on the best technical set-up to reach their goals and streamlining more complex program requirements. Visit the [Marketo Program/Campaign Support page](/handbook/marketing/marketing-operations/campaign-operations/) for additional details.

## Email Management

Marketing Ops is responsible for maintaining the email marketing database. Go to the [Email Management Page](/handbook/marketing/marketing-operations/email-management) for policies and more detailed information.

## Initial Source

`Initial Source` is the first "known" touch attribution or when a website visitor becomes a known name in our database, once set it should never be changed or overwritten. For this reason Salesforce is set up so that you are unable to update the `Initial Source` field. If merging records, keep the `Initial Source` that is oldest (or set first). `Initial Source` in Marketo is named `Person Source`, and should only update when empty.

The values listed below are the only values currently supported. If you attempt to upload or import leads or contacts into Salesforce without one of these initial sources you will encounter a validation rule error.

If you want to add a new Initial Source, please ask someone in Mops to [Add to this sheet](https://docs.google.com/spreadsheets/d/1s0n1vrcROrG7qjJ55hz3qs5UyOLvSO-ljEx4IT5ENf4/edit?gid=2063842207#gid=2063842207). When a new initial source and bucket are added, they will automatically flow through to our reporting.

Status in the table below means:

- Active = can be selected from picklist
- Inactive = cannot be selected from picklist, but a record may exist with this source

| Source | Source Bucket | Definition and/or transition plan | Status* |
| ------ | ------------- | --------------------------------- | ------- |
| CE Download | core | Downloaded CE version of GitLab | Active |
| CE Usage Ping | core | Created from CE Usage Ping data | Active |
| CORE Check-Up | core | Created from In-App Contact us (Handraise PQL/In-App Health Check) | Active |
| Demo | inbound | Filled out form to watch demo of GitLab | Active |
| Education | inbound | Filled out form applying to the Educational license program | Active |
| Email Request | inbound | Used when an email was received through an alias (_will be deprecated_) | Active |
| Email Subscription | inbound | Subscribed to our opt-in list either in preference center or various email capture field on GitLab website | Active |
| Gated Content - General | inbound | Download an asset that does not fit into the other Gated Content categories | Active |
| Gated Content - eBook | inbound | Download a digital asset categorized as an eBook | Active |
| Gated Content - Report | inbound | Download a gated report | Active |
| Gated Content - Video | inbound | Watch a gated video asset | Active |
| Gated Content - Whitepaper | inbound | Download a white paper | Active |
| GitLab.com | inbound | Registered for GitLab.com account | Active |
| Newsletter | inbound |  | Active |
| OSS | inbound | Open Source Project records related to the OSS offer for free licensing | Active |
| Request - Contact | inbound | Filled out contact request form on GitLab website | Active |
| Request - Professional Services | inbound | Any type of request that comes in requesting to engage with our Professional Services team | Active |
| Security Newsletter | inbound | Signed up for security alerts | Active |
| Trial - Enterprise | trial | In-product or web request for self-managed Enterprise license | Active |
| Trial - GitLab.com | trial | In-product SaaS trial request | Active |
| Web | inbound |  | Active |
| Qualified | inbound |  | Active |
| Request - Community | inbound |  | Active |
| Request - Public Sector | inbound |  | Active |
| Other | Other |  | Active |
| 6Sense | outbound | Acquired from the 6Sense database | Active |
| AE Generated | outbound | Sourced by an Account Executive through networking or professional groups | Active |
| LinkedIn | outbound |  | Active |
| Prospecting | outbound |  | Active |
| Prospecting - General | outbound |  | Active |
| SDR Generated | outbound | Sourced by an SDR through networking or professional groups | Active |
| Zoominfo | outbound | Sourced by SDR/BDR/AE/SAE/ASM | Active |
| Cognism | outbound | Sourced by SDR/BDR | Active |
| Conference | paid demand gen | Stopped by our booth or received through event sponsorship | Active |
| Owned Event | paid demand gen | Events that are created, owned, run by GitLab | Active |
| Virtual Sponsorship | paid demand gen |  | Active |
| Purchased List | purchased list |  | Active |
| Employee Referral | referral |  | Active |
| Partner Qualified Lead | referral| GitLab partner sourced, previously `partner` or `Channel Qualified Lead`| Active|
| Web Chat | inbound | Engaged with us through website chat bot | Active|
| Word of Mouth | referral |  | Active |
| Existing Client | referral |  | Active |
| External Referral | referral |  | Active |
| Webcast | virtual event | Register for any online webcast (not incl `Demo`) | Active |
| Workshop| virtual event |   | Active|
| Web Direct | web direct | Created when purchase is made direct through the portal (check for duplicates & merge record if found) | Active |
| Investor | outbound | Sourced by our investors (i.e. - GV, Khosla, ICONIQ). The `Investor` value is coupled with the `Investor Name` custom field | Active |
| GitLab DataMart|core| Created by the GitLab Marketing Database data pump. Contains leads from various internal sources|Active|
| GitLab Subscription Portal|Signed up for customers portal account, but did not upgrade| |Active|
| Free Registration|core| Sign up via Free User registration|Active|
| Paid Social|inbound|Sourced from Paid Social Campaigns|Active|
| Vendor Arranged Meetings|paid demand gen| Registered or attended a vendor arranged meeting|Active|
| Trust Center | inbound | Requested access to the GitLab [Trust Center](/handbook/security/security-assurance/field-security/trust_center_guide/) | Active |

| Source | Source Bucket | Definition and/or transition plan | Status* |
| ------ | ------------- | --------------------------------- | ------- |
| Startup Application | inbound |  | Inactive |
| Consultancy Request | inbound |  | Inactive |
| Promotion | paid demand gen |  | Inactive |

## Lead and Contact Statuses

The Lead & Contact objects in Salesforce have unified statuses with the following definitions. Also reference [Re-MQL workflows](/handbook/marketing/marketing-operations/marketo/#re-mql) for how to move from status to status. To learn more on how we manage our lifecycle including lead/contact status and Lifecycle Classifications, please see [here](/handbook/marketing/marketing-operations/lead-lifecycle/).

| Status | Definition |
| ------ | ---------- |
| Raw | Untouched prospect, default status |
| Inquiry | Action was taken by the record to specifically give their contact information to GitLab |
| MQL | Marketing Qualified through systematic means |
| Accepted | Actively working to get in touch with the lead/contact |
| Qualifying | In 2-way conversation with lead/contact |
| Qualified | Progressing to next step of sales funnel (typically SAO created & hand off to Sales team) |
| Disqualified | Contact information is not now or ever valid in future; Spam form fill-out |
| Recycle | Record is not ready for our services or buying conversation now, possibly later |
| Bad Data | Incorrect data - to potentially be researched to find correct data to contact by other means |
| Ineligible | All leads/contacts that are ineligible to go through the sales process after an initial review |

One of the following must occur to have a lead move from `Raw` to `Inquiry`

1. Become a member of a marketing program (except no-action/default statuses, nor email)
1. Fill out a form (social or website)
1. [Behavior score](/handbook/marketing/marketing-operations/marketo/#behavior-scoring) > 10 pts.

## Lead Address Fields

On the lead object we have three types of address information, the local/personal address information for that lead, which is stored on the `Person Address` (address type field), the `Ultimate Parent Account Company` information stored on `Company Address: [XXX]` text fields,  and the `Zoominfo enrichment address information` for both the Contact (local information) and the Company level information:

- `Person Address` is partially filled in from Marketo Form Fills and is also completed by ZI enrichment when it is missing;
  - This is the address that Marketo references for email lists. It contains the local address of the record, if known through form fill, list upload, or ZI enrichment.
- `UPA Company Address` - stored on the `Company Adress: Country`, `Company Adress: State`, `Company Adress: City`, `Company Adress: Street`, `Company Adress: Postal Code` text fields. These fields are updated through APEX code through a 3-step waterfall approach.
  1. `Account Demographics Fields` (i.e: `Account Demographics: UPA City`) - If the lead matches to an existing account the address is populated through the Account Demographic fields, taken from the account associated with this lead;
  2. `Admin Override Fields` (i.e: `[Admin] Company Address Country`) - If a lead doesn't match to an account, the Company Address fields are either blank or  are populated through step 3 in the waterfall (see below). If the address is blank or the address information from step 3 is wrong, SDRs/BDRs can update the address information themselves using these Admin Override fields. You can see more information about this process in the [Overriding Incorrect Account Assignments section from Sales Dev Handbook](/handbook/marketing/sales-development/#overriding-incorrect-account-assignments) or in this [video](https://www.youtube.com/watch?v=QT-oOceFU6k&ab_channel=GitLabUnfiltered).
  3. `Zoominfo Company Address Fields` (i.e: `[ZI] Company Country`) - If the lead doesn't match an account, it was not overwritten using the Admin Override Fields mentioned above and the lead matches to Zoominfo's database, the Company Address fields are populted with Zoominfo Company Address information from the Zoominfo Company Address fields.
- `Zoominfo enrichment address information` which as can be of two types, personal (local) or company level address;

1. Zoominfo personal (local) address information can be found in the `[ZI] Contact Country`, `[ZI] Contact State`, `[ZI] Contact City`, `[ZI] Contact Street`, `[ZI] Contact Zip Code` fields;
2. Zoominfo Company Address Information can be found on the `[ZI] Company Country`, `[ZI] Company State`, `[ZI] Company City`, `[ZI] Company Street`, `[ZI] Company Zip Code` fields;

## Data Cleanliness and Enrichment Process

Marketing Operations has the responsibility for cleaning and enriching our database of leads/contacts with the most complete and up to date information.

The cleaning part of this process is being done with the Cleanse functionality of the lead/contact deduplication tool, Ringlead.

The enrichment part of the process is done using the data appending/enrichment tool, [Zoominfo](/handbook/marketing/marketing-operations/zoominfo/), our SSOT when it comes to account/lead/contact data. [Cognism](/handbook/marketing/marketing-operations/Cognism/), is another enrichment tool but only for a smaller subset of our lead data. As of now, only the BDRs and Cognism admins have login access. However, Cognism data, can be found in the Cognism fields on the lead/contact layout.

This cleaning & enrichment process has 5 main priorities:

1. **Enrich net new Marketo leads with Marketo Webhook**  - All leads created through Marketo are instantly enriched with ZI data.
2. **Instant Enrich for leads** - When new leads are created in SFDC, Instant Enrich functionality kicks in and the record's **[ZI] fields** are enriched upon creation.
3. **Enriching net new leads with Scheduled Enrich** - As a back-up to the Instant Enrich functionality (in case it fails for any reason), all leads created in the last 24h are enriched through scheduled enrichment, to make sure they contain the most updated information.
4. **Existing Database Enrichment** - All lead records in SFDC are enriched regularly to make sure that the leads who change roles/companies are updated with the lastest information.
5. **Assure Data Cleanliness & Accuracy** - The Marketing Operations team is following the recommended deduplication order of operations as detailed below:
    - Lead to Lead Deduplication  (_Paused_ to fix duplicates being created by different tools)
    - Account Deduplication (This part is currently performed using Openprise by Sales Operations)
    - Converting Leads to New Contacts (This step is skipped in our case since it would impact sales workflow considerably. We will re-evaluate if the sales team is not as heavily focused on leads as we are now.)
    - Contact to Contact Deduplication (Testing unwanted contact merging effects on order processin and open quotes)
    - Lead to Contact Deduplication (This part of the process will start once Contact Deduplication is completed)
    - Deduplication of Custom Objects (Bizible Person IDs - On hold until Contact Deduplication and Lead to Contact Deduplication are completed)

For more information regarding our data deduplication process visit the [Ringlead Handbook Page](/handbook/marketing/marketing-operations/ringlead/).

**Cleaning & Enrichment Frequency:** While the enrichment jobs for net new leads, work on a continuous bases, when it comes to enrichment of our existing leads & contacts in SFDC, this is done via scheduled enrichment jobs as follows:

1. All leads are enriched on a weekly basis, last Saturday of the month.
2. All leads created in the last 7 Days are enriched daily to make sure no new leads from list uploads miss enrichment and also to make sure our sales teams have the most up to date information when working them.
3. All contacts in our SFDC instance get enriched weekly, last Saturday of the month.

You can find more details on the enrichment process in our [Zoominfo Handbook Page](/handbook/marketing/marketing-operations/zoominfo/).

### Lead List Upload Enrichment

To be able to upload a lead in our SFDC, it is mandator for the lead to have an email address. Sometimes we do run into situations where the email address is not available.

To bypass this challenge and still be able to upload the leads in SFDC, please create an **List Upload - Enrichment Request** with this [issue template](insert_link_here_when_available), upload the CSV file in the issue and Mops will use the **Zoominfo Enhance**, **Zoominfo ListMatch** and **Cognism Enhance** functionality to enrich these records with the most up to date information (including the email address).

**Note:** Such records as lead list uploads with no email addres, that sub-sequently are enriched with the email address through Zoominfo/Cognism enrichment, need to be marked as `Opt-out` as **these individuals did not give us the express consent** that they can be reached to;

### Cleaning Test Leads

Testing processes and automation are critical for quality assurance in our systems.

As a tester, you create test leads to ensure processes work as expected. These test leads are mixed among real records, causing inaccuracies in our reporting. Marketing Operations has created best practices that make it easier to spot and delete test leads.

The next time you test a program, remember set `Job Title` = `Test` and they will be removed promptly.

Notice any test leads? Please open an [issue](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new) with the Marketing Operations team.

## Communication Compliance Best Practices

### Internal DNC (Do Not Call) Lists

Internal DNC List are maintained using the `Do Not Call` checkbox on the lead/contact record layouts. The sales development organization has a clear process on how and in what context should the box be checked. Please visit the [Sales Development Handbook page - Cold Calling Checklist](/handbook/marketing/sales-development/#cold-calling-checklist) section to find out more about it.

### External DNC (Do Not Call) Lists

To be compliant with international DNC (Do Not Call) regulations and minimize the risk of litigation, a process was implemented for making sure the records that appear on external DNC lists are not contacted via phone (this applies to both `Direct Dial Phone Numbers` and `Mobile Phone Numbers`).

This information gets passed to us with the help of Zoominfo, which populates the `[ZI] Do Not Call - Direct Phone` and `[ZI] Do Not Call - Mobile Phone` fields with the `Yes` value whenever a phone number is found to be on an external DNC list.

With Marketo automation we are then using these two fields to hide the phone number information on the following fields: `[ZI] Phone Number`, `Phone` (standard field - only if it matches the `[ZI] Phone Number` value), `[ZI] Mobile Phone Number` and `Mobile Phone` (standard field - only if it matches the `[ZI] Mobile Phone Number` value).

For more information, please visit this [figjam flow chart](https://www.figma.com/file/wzZ7RDnB1cZdnvusqwW5gN/Communication-Compliance---Process-Updates---External-DNC-Lists_2023-09-11_14-17-56?type=whiteboard&t=5P5tqzwIXFwJe8jd-1).

#### Do Not Do Business

In some cases, there are companies we do not do business with. If an account is flagged, Mops should take the following steps to ensure they are not included in any of our communications moving forward.

1. Add the customer account to the [DNDB campaign](https://engage-ab.marketo.com/?munchkinId=194-VVC-221#/classic/SC34761A1ZN19) in Marketo. Use the SFDC Account ID and update `contains` with the email domain, if sepcific to that company. Click Schedule > `Run once`. (This will also run nightly.) This flow updates the lead/contacts to `unsubscribe``, removes them  from Security Distro, marks email as invalid, marks as`Do Not Call``, updates person status to `Ineligible`, and marks the reason as `ECCN - Do Not do Business`
2. No need to check Iterable for the email address. They will be removed via API, as Marketo sends unsubscribes over via webhook to Iterable automatically once `unsubscribe = true`.

### Zoominfo Opt Out Lists

[Zoominfo](/handbook/marketing/marketing-operations/zoominfo/) is our SSOT when it comes to data enrichment of our leads/contacts and accounts.

To be compliant with the latest privacy policies and safeguard our database from potential litigation, Zoominfo's recommendation for contacts that have opted out of their database is to:

>If you have downloaded any of these contact records from ZoomInfo or uploaded them to your internal systems, you must remove >them unless you have an independent lawful basis to possess and use such person's personal data.

**Note:** This only applies for leads/contacts that do NOT currently have an existing business relationship

After collaborating with GitLab's privacy department, it was decided to create a process for removing said contacts from our database.

The current process takes place on a weekly basis and is implemented with the help of a Marketo Program. It takes advantage of the `Zoominfo Non-Matched Reason` field which is populated by Zoominfo. All leads/contacts that have the  `OPT_OUT` value, enter the process and are checked for additional activities that could qualify as independent lawful basis to be kept. If they lack said activities they will be removed from our database.

For more information, please visit this [figjam flow chart](https://www.figma.com/file/wzZ7RDnB1cZdnvusqwW5gN/Communication-Compliance---Process-Updates---External-DNC-Lists_2023-09-11_14-17-56?type=whiteboard&t=5P5tqzwIXFwJe8jd-1).

If you have any questions or concerns feel free to open an [issue](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new) with the Marketing Operations team.
