---
title: "Asana"
description: "Asana is a collaborative work management platform that will support GitLab's mission to enable everyone to contribute to and co-create the software that powers our world. GitLab's Marketing team is planning to use Asana to track projects (e.g., Product Launches), connect work to goals, and coordinate work across the team. Asana will have access to Orange data including pre-release product launch information and GitLab issues and epics in private projects."
---

## About Asana

[Asana]](https://app.asana.com/) is a collaborative work management platform that will support GitLab's mission to enable everyone to contribute to and co-create the software that powers our world. GitLab's Marketing team is planning to use Asana to track projects (e.g., Product Launches), connect work to goals, and coordinate work across the team.

## Why?

Our team is using Asana to add a made-for-marketing project and task management tool so that we can streamline and simplify projects and processes, improve efficiency, collaboration, and transparency, and free up time for our team to better understand how our customers use GitLab.

We've consistently heard from team members across the marketing org that there is an opportunity to improve efficiency. The main problems we are looking to solve are:

- Stretching GitLab to perform as a project management tool for Marketing processes it was not built for, and use cases it will never be used for by our customer base.
- This can cause undue administrative work, bottlenecks and detracts from our day-to-day commitment to efficiency.
- Adding a made-for-marketing project and task management tool will improve efficiency, freeing up time for our team to learn about and understand how our customers use GitLab

## Users

Asana will be rolled out across the entire Marketing Org, excluding Sales Development and the Data Team.

## Rollout

The Marketing Ops team started implementation on 2024-07-12. There is an ongoing project in [Asana](https://app.asana.com/0/1207801099246898/1207801099246898) that we will be working off of.

We will be starting with the teams that can benefit the most and have the most impact first, and will continue to roll out from there.

## Managing Work in Asana

### Tasks

Asana is most useful when individuals can contribute ideas and move action items forward. Tasks are the foundational work items within Asana. Task names should be specific, clear, and action-based. Use a verb where possible. For example, instead of titling a task “Blog post,” title it “Write [title] blog post” and create a second task called “Publish [title] blog post.”

#### Tasks Descriptions

A task description should give the assignee all the necessary information to complete the task. Here are some tips:

- Link to relevant work in the task description by `@mentioning` related people and hyperlinking relevant tasks, projects, or messages.
- Add links and attachments to include external work, centralizing information.
- Mark a task as dependent upon another, so teammates start that task when the prior task is completed.
- Use rich text in task descriptions to clarify your message with formatted text and lists.

#### Using Subtasks

When you assign a subtask, be sure the assignee has enough context from the parent task or within the subtask description. Avoid burying subtasks under too many layers. You can always convert subtasks to tasks.

### Projects

#### Creating and naming new projects

Projects allow you to organize all tasks related to a specific initiative, goal, or significant work in one place. Similar to tasks, anyone can create a project.

Give projects a concise name and keep the name consistent with our naming convention. **Naming convention details to be added.**

#### Project Templates

Create a custom template or use an Asana created template to standardize common workflows and projects. Templates help get projects off to a quick start and ensure you haven’t missed any vital steps.

### Integrations

Asana is integrated to many GitLab tools to help streamline project creation, collaboration and more. WIP Section
