---
title: Brilliant
description: Brilliant Gifts will serve as GitLab's "swag" vendor platform (company-branded products) for the public-facing swag shop website.
---

<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

## PAGE UNDER CONSTRUCTION - NOT ALL INFORMATION IS CORRECT

## About Brilliant

Brilliant Gifts will serve as GitLab's "swag" vendor platform (company-branded products) for the public-facing swag shop website.

### Storefronts & Warehousing

Brilliant has different warehouses throughout the world to reduce shipping costs and delivery times. Each storefront has their own specific shipping warehouses, as indicated below. We have warehouses in the USA, Australia, UK, EMEA (Netherlands) and APAC.

There are a few different storefronts to meet the needs of each team or group. The storefronts are:

- Retail (Public facing storefront for purchasing GitLab swag)
- Customer Advocacy 9 (EMEA)
- EMEA Field Marketing (EMEA, UK)
- Corporate Events (US, APAC)
- Contributor Success (US)
- People Experience
- Talent Brand (US)
- Absence Management (US)
- Human Resources (US)

## How to use

### Swag Requests

Please refer to the Brand Strategy handbook page on [swag](/handbook/marketing/brand-and-product-marketing/brand/merchandise-handling/) or to [request](/handbook/marketing/brand-and-product-marketing/brand/merchandise-handling/#suggesting-new-items-or-designs) new items.

### Creating New Campaigns

### Bundle

1. Enter campaign name e.g. On-Boarding Bundle.
1. Select warehouse. Example: EU for European sends and UK warehouse for UK ONLY sends.
1. Use the drop down to select what items you would like to send. Note you will need to have stock in your inventory first to do this.
1. Add a note. TIP - Make sure you always add a handwritten note to increase response rate.
1. Then click save! This will then appear in your Campaigns tab.

### E-Gift cards and reward pass

Gift cards are a great start as there is no sourcing required, cost effective (as you get your money back in 14 days if unclaimed) and instantaneous. Gift cards are sent as an email so ensure you add in a template including subject line and body.
A full list of E-Gift cards are here.

Note - gift cards must be built in the currency of the country you're sending to e.g. Uber Eats GBP only works in the UK not in Germany or Norway etc.

### Handwitten Note

Send a personalised note. However there are character limitations

### Marketplace

Reachdesk marketplace allows you to choose from a range of confectionary, flowers, cakes and other perishables from approved third party providers so you can send gifts on a 1-to-1 basis as an out-of-the- box feature. All items can be customised to give that personal touch. Items can be viewed [here](https://airtable.com/shrIR5jn2LQuADwWg/tblWVU3FlI11uBivB) or you can also view items on the campaign build section without actually building the campaign.

Please refer to GitLab's policies related to Gifts and Contributions [here](/handbook/legal/policies/gifts-contributions/)

## How to send a campaign

1. Please click the ‘Send Engage +’  button and select the campaign/gift you need to send to a prospect.
1. After selecting the campaign, you need to add personal details, this webpage will be different in case you are sending an e-gift or a physical gift.
1. Check the status of your gifts from the sends tab. E-gifts will be sent out immediately, like an ordinary email. In case of physical gifts you will have a 30 mins window to cancel or edit your orders. After that window expires please reach out to us at support@reachdesk.com in case of further assistance.

## Tracking Sends

- On your sends tab in Reachdesk, you'll see a full list of sends and status'.
- For physical items these are Sent, waiting for address confirmation, address confirmed, shipped, Delivered. You'll also get an email notification when they get delivered.

- For e-Gift cards these are Sent, Open, Click, Claimed.
You can also see the status of sends under the contact you've sent to in your chosen CRM.
- Go to the activity of the contact, and see [Reachdesk] *status* *campaign name*

## Shipping

Brilliant can ship to over 160 countries around the world.

- Europe warehouse (EU-Ireland) ships to: Austria, Belgium, Bulgaria, Croatia, Cyprus, Czech Republic, Denmark, Estonia, Finland, France, Germany, Greece, Hungary, Ireland, Italy, Lativa Lithuania, Luxembourg, Malta, Netherlands, Poland, Portugal, Romania, Slovakia, Slovenia, Spain, Sweden.
Also items can be shipped from the Eu warehouse from the countries listed [here](https://docs.google.com/document/d/1ntR-DEd3h6VLCAB2nzHvKXN5m5gtueQS7QMLnPXSa84/edit)

- United Kingdom warehouse ships within the United Kingdom only

- Australia Warehouse ships to: Australia, Hong Kong, Indonesia, Japan, KOrea, Malaysia, New Zealand, Singapore, Taiwan, Thailand, Vietnam

- North America ships to United States

## Project management

## Branded banner for the e-gift emails

1. This image should be 600x80 pxl in Jpeg/Png format
1. The branding tab under 'Organization' only needs to be completed once, and is for address confirmation emails

## Creating a Triggered Campaign

### Trigger Reachdesk sends through Salesforce

1. Go to Triggered Campaign > Create Triggered Campaign. Then under Campaign Trigger, select Connector (Salesforce).
1. Select Salesforce as your connector and choose Object. This will depend on what you have in your own Salesforce.
1. Under Field, select Stage. Other options are  Status, Opportunity ID, Opportunity Type, Probability, and Close Date.
1. Under Field, Select Campaign ID (to ensure it is sent to those in that specific campaign), Comparator is Equals. Under Value, copy and paste the Campaign ID from the URL of the campaign in Salesforce. (You have to create a SFDC campaign first with [these steps](/handbook/marketing/marketing-operations/))
1. Press AND + to add another field. This will then be sent to all members of that SF campaign.
1. Click Next and Save campaign
TIP: it's advisable to `Pause` triggered campaigns until it's ready to go live/active.

## Creating a Landing Page

This is one link that can be sent to multiple recipients, and the gifts will be automatically fulfilled via this page. The Landing page can be customised, here are some examples :

1. Create New Campaigns in Reachdesk, choose campaign type Marketplace. For each gift that you intend to offer to the recipient a new campaign will be created.
1. Search the marketplace by choosing Category and/or Country, choose gift and click build campaign
1. Add in a unique campaign name, Include logo and note
1. In CRM Sync - assign Salesforce name and salesforce Campaign
PLEASE NOTE: Do not tick `Ask recipient to confirm their address` for  campaigns linked to a Landing Page
1. Complete this form to request a [landing page](https://form.asana.com/?k=mBpww9IX3k5mRbd1dt4D1A&d=1193162279639741)

### Best Practices when completing the Landing Page form

1. Create campaigns before completing the form and add the links of these campaigns into `What campaign(s) would you like to link to this landing page?`
1. Complete the form in the language the landing page will be in e.g German, French etc
1. Always state `Yes` for question `Would you like approval on submissions?`
1. Revisions will require additional turnaround time, so please allow 5 - 7 days prior to the launch date

## Shipping to Events **

Brilliant can ship items from our warehouses to events!

1. Submit an event shipping request
1. All requests must be submitted **2 weeks prior to the event** - but the more notice, the better! After your request is received a member of the reachdesk team will reach out within 24 business hours.
1. Only merchandise/giveaways can be shipped to events. No booths, signage, or other booth branding items. Items will be limited to a weight limit below 1 pallet.
1. Shipping to events is a one-way request, cannot pick up from an event.
1. Please partner with the reachdesk project manager for any ship to event requests.

## How to request an invoice for more credit

1. Go to: Organizations > Balances
1. Click on Add Credit on the top right of the page
1. In the Account & Amount section, select either Company Balance or User Balance and populate the amount of money and currency account you want to top-up.
1. In the Billing Entity section, select which Billing Entity you want the invoice to be addressed. In some cases, there is only one so this should be pre-selected. If there is no billing entity, or you cannot find the right billing entity, please contact `support@reachdesk.com` so we can add this billing entity to our invoicing system.

All campaigns must have a Salesforce.com attached. If this campaign involves Marketo, please skip to [those instructions](/handbook/marketing/marketing-operations/#marketo-campaigns), otherwise follow directions [below](/handbook/marketing/marketing-operations/#salesforce-campaigns).

## Integrations

Brilliant will be connected to 3 different systems: Base, Marketo and Salesforce.com (All WIP)

### Base Campaigns

This connector is not currently configured, but is WIP.

### Salesforce

This connector is not currently configured, but is WIP.

### Marketo

This connector is not currently configured, but is WIP.
