---
title: "Learning Marketing Operations"
description: "This handbook page is to provide updated marketing operations learning and resources materials."
---

At GitLab, we know how important it is to leverage the right Marketing technologies and tools to support marketing campaigns and generate sales opportunities. The tools can only do so much, it's up to the Marketing Operations and team to drive the strategic direction and adoption to maximize the results and impact.

To do so, we need to embrace continuous learning to stay on top of industry trends and best practices. This handbook page updated quarterly will be your main source of resources for all things Marketing Operations.

The Mops team holds a weekly "show and tell" on the internal team call. To see upcoming schedule or previous recordings, [visit this sheet (internal only)](https://docs.google.com/spreadsheets/d/1iovZfsOppjj8SJW13Y9F_IYXjVCRnHd5FgbUDIUrPfE/edit?usp=sharing).

## What is Marketing Operations?

Defined by Gartner, "Marketing Operations is the function of overseeing an organization's marketing program, campaign planning and annual strategic planning activities. Other responsibilities include technology and performance measurement and reporting and data analytics."

- [Marketo - The definitive guide to marketing operations (MOps)](https://business.adobe.com/blog/basics/definitive-guide-to-marketing-operations-mops)
- [Zapier - The ultimate guide to Marketing Operations](https://zapier.com/blog/marketing-operations/)
- [MarTech - What is Marketing Operations and who are MOps professionals?](https://martech.org/what-is-marketing-operations-and-who-are-mops-professionals/)

## 🔥 Hot Topics

Last updated: June 2024

### Marketing Trends in 2024

- [📝 OpenView - B2B Marketing in 2024: 8 Trends That Are Changing the Game and What They Mean for Your Business](https://openviewpartners.com/blog/b2b-marketing-in-2024/)
- [📝 Search Engine Trend - 2024 B2B trends: 6 key areas for marketing success](https://searchengineland.com/2024-b2b-trends-marketing-success-435121)

### Marketing Technology

- [📝 MarTech - 7 steps to make sure you're getting everything from your marketing software](https://martech.org/7-steps-to-make-sure-youre-getting-everything-from-your-marketing-software/)
- [📝 A Team - Marketing Technology Trends to Watch in 2024](https://a-team.global/blog/marketing-technology-trends-to-watch-in-2024/)

### AI

- [📝 Marketing Dive - How AI's legal risks are challenging marketers](https://www.marketingdive.com/news/how-ai-artificial-intelligence-legal-risks-challenging-marketers/652707/)
- [📝 Gartner - Marketing AI: Forge the Future of Smart Marketing](https://www.gartner.com/en/marketing/topics/ai-in-marketing)

### Sales and Marketing Alignment

- 📹 [Traction Complete featuring GitLab's Gillian Murphy, Manager, Marketing Operations - MOps: How to align sales & boost SLA performance](https://tractioncomplete.com/revenue-optimists/mops-how-to-align-sales-and-boost-sla-performance/)

### AntiCon London 2024 Takeaways

#### Introductions

1. The velocity at which new AI marketing tools are launching is exponential in comparison to business organizations.
1. We are going to continue to see tools embed new AI functionalities to their solutions. AI will disrupt the marketing technology landscape, but it’s here to stay. We will see pioneers of AI gain technological and organizational benefits.
1. AI will empower experts to create more complex outputs without deep technical expertise.

#### Main Takeaways

1. Tread carefully with AI, but also be keen to embrace it. The control that needs to be in place and the trust that can be lost if it goes wrong.
1. When everyone uses GenAI, we all lose the authenticity, and blend into the sea of sameness. Focus on human creativity and storytelling.
1. GenAI heavily relies on datasets to generate accurate outputs. However, collections and utilization of data raises significant privacy and ethical concerns. Be transparent with the users on how their data is handled and whether the data is AI generated.
1. Accuracy of AI will play in effect once a model becomes more trained. AI can have bias based data the algorithm is built from and will reflect in the output of the data. Always have a human in the loop of AI.

#### How to Start Using AI

1. Start with the challenge and chances are there's an AI solution to solve that problem.
1. Start small, scale gradually and experiment with AI in a very controlled environment.
1. Current platforms already have AI features embedded in it, but we aren’t taking advantage of it. Lean on your partner and other resources to stay updated on AI.
1. Seek for opportunities to use AI to enhance productivity by handling repetitive tasks.
1. Build a Governance team to create a guidance that reviews the bias, how it’s used and where it goes (privacy). Involve cross-functional teams—sales, marketing, and IT—to ensure successful AI adoption.
1. Set up a 3-step AI adoption plan when using GenAI
   1. Post and edit
   1. Human oversight
   1. Fully AI generated

#### Specific AI Use Case for Marketing Ops (They used PowerAutomate)

1. Normalize data with picklist values ie. country name. AI categorizes countries against picklist, normalizes the country value and matches to regions.
1. Categorize job title into job functions. Not all Directors and Managers are equal, so interpret the job title, seniority and fit in a company.
1. Extract activities to generate sales summaries by joining the interesting moment into one field (not as applicable to us)
1. Recommend content through the live chat to personalize call to action. Track their downloads and history to offer unread content.
1. Review static leads and opportunities without any activity, and set up flows for communicate to the lead and provide awareness of the sales and marketing team.

## 💼 Career Development

- 📝 [MarketingOps - 5 Steps to Take Your Junior Marketing Ops Team from Zero to MCE](https://marketingops.com/5-steps-to-take-your-junior-marketing-ops-team-from-zero-to-mce/)
- 🎙️ [OpsCast - How to continuously learn and grow in Marketing Ops](https://open.spotify.com/episode/5gVVWM5v54DASY7ZuPbPYw?si=7QjfC8KRQwmmwnrt6PsokA)
- 📝 [LXA - Five tips to skyrocket your Marketing Ops career](https://www.lxahub.com/stories/5-tips-to-skyrocket-your-career-in-marketing-ops)
- 📝 [Madkudu - Defining Your Marketing Ops Career Path - Consulting and In-House](https://www.madkudu.com/marketing-operations-guide/defining-your-marketing-ops-career-path)
- 📝 [GitLab - Marketing Operations Career Path - Job Families](/job-families/marketing/marketing-operations-manager/)

### Marketo

- 🎥 [Adobe - Advance Your Career: Adobe Marketo Engage Certifications](https://business.adobe.com/summit/2023/sessions/advance-your-career-adobe-marketo-engage-certifica-s203.html)
- 🎥 [Adobe - What $2 & a Dream Will Get You: Pushing Your Career Forward](https://business.adobe.com/summit/2023/sessions/what-2-a-dream-will-get-you-pushing-your-career-fo-s215.html)
