---
title: "PathFactory Analytics"
description: "All roles and permissions have access to reporting functionality in PathFactory."
---

## PathFactory Analytics

All roles and permissions have access to reporting functionality in PathFactory. Feel free to peruse `Path Analytics` or view insights in the content library and content tracks. If you would like a scheduled report or have a different PathFactory data request, create an issue in the Marketing Operations project. All of the below links lead to PathFactory's knowledgebase, _The Nook_. The Nook requires a separate password from PathFactory but you should use the same email address used to login to PathFactory.

- [Glossary](https://support.pathfactory.com/kb/glossary/)
- [Diving into content analytics](https://customer.pathfactory.com/success-series/youtube-3?lx=v-9_uV&search=analytics)

### Using Safari

If you are using Safari as your preferred browser, ensure `Prevent cross-site tracking` is disabled in your privacy settings. Path Analytics uses Looker which requires external cookies. If this option is enabled, you will not be able to view Path Analytics using Safari.

### Target Track Analytics

1. [Analytics for a Specific Target Track](https://support.pathfactory.com/kb/analytics-for-a-specific-target-track)
1. [Analytics for All Target Tracks](https://support.pathfactory.com/kb/how-to-access-analytics-for-target-tracks/)

### Recommend Track Analytics

1. [Analytics for a Specific Recommend Track](https://support.pathfactory.com/kb/how-to-access-analytics-for-target-tracks/)
1. [Analytics for All Recommend Tracks](https://support.pathfactory.com/kb/analytics-for-all-recommend-tracks)

### Explore Page Analytics

1. [Explore Page Analytics](https://support.pathfactory.com/kb/how-to-view-explore-page-performance-analytics/)

### ABM Analytics

1. [Understanding Account Based Analytics](https://support.pathfactory.com/kb/understanding-account-based-analytics/)
1. [Understanding Route Analytics](https://support.pathfactory.com/kb/understanding-route-analytics)

### Website Promoter Analytics

1. [Website Promoter Analytics](https://support.pathfactory.com/kb/website-promoter-analytics)

### Defining Visitor Activities

1. [Understanding Visitor Activities](https://support.pathfactory.com/kb/understanding-visitor-activities)

### Path Analytics

1. [Introducing: Path Analytics](https://support.pathfactory.com/kb/introducing-path-analytics/)
1. [Path Analytics: Overview Dashboard](https://support.pathfactory.com/kb/path-analytics-overview-dashboard/)
1. [Path Analytics: Visitors](https://support.pathfactory.com/kb/path-analytics-visitors/)
1. [Path Analytics: Accounts](https://support.pathfactory.com/kb/path-analytics-accounts/)
1. [Path Analytics: Content](https://support.pathfactory.com/kb/path-analytics-content/)
1. [Path Analytics FAQ](https://support.pathfactory.com/kb/path-analytics-faq)
1. [Using and Sharing Path Analytics Reports](https://support.pathfactory.com/kb/using-and-sharing-path-analytics-reports/)
1. [Types of Path Analytics Reports](https://support.pathfactory.com/kb/types-of-path-analytics-reports/)
1. [Path Analytics Reports FAQ](https://support.pathfactory.com/kb/path-analytics-reports-faq/)

### Using Account-Based Analytics

1. [Using Account Based Analytics](https://support.pathfactory.com/kb/account-based-analytics)

## Google Analytics

PathFactory is integrated with our Google Analytics instance via Google Tag Manager script in PathFactory's `External Code Configuartion` menu. The integration sends page view data to Google Analytics after the user consents to cookies.

1. `MOps: GTM head`
1. `MOps: GTM bottom`
