---
title: "Typeform"
description: "People-friendly forms and surveys"
---

### About Typeform

Typeform makes collecting and sharing information comfortable and conversational. It's a web based platform you can use to create anything from surveys to apps, without needing to write a single line of code.

### Access

We have 2 licenses that we can provision on an as-needed basis. In order to request access, please open an [access request](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/new?issuable_template=Individual_Bulk_Access_Request&_gl=1*32gfeq*_ga*MTM2Mzg1MDE0OS4xNjgwMTk5MDQ2*_ga_ENFH3X7M5Y*MTY4OTA5MTEwMS4yMjIuMS4xNjg5MDkyNzQ0LjAuMC4w). When you open the access request, please specify the timeframe for which you will require access. This will help us efficiently manage the licenses and the needs of the team.

### Monthly Response Limits

We are on Typeform's `Plus` plan, which has a limit of 1,000 responses per month. A response is counted when someone submits our typeform. Response limits apply across all forms in your account - we have a total limit of 1,000 responses across our account, not 1,000 responses per form. We'll receive an email when we reach 90% and 100% of our response limit. We can adjust how many responses our plan includes whenever we need. Adding on additional responses costs $100 per 500 responses. We'll stay on the higher response tier once additional responses are added on to our account. Unused responses do not carry over to the next month. Deleting responses won't add them back to the number of remaining responses for the month. If you delete a response, you will no longer be able to access the content of that response, but the response will still count towards your limit for that month.

### Creating a Typeform for use on about.gitlab.com

Once you've created your Typeform and ready to create a landing page on the marketing website, it's time to generate your embed code.

When you're creating your embed code, make sure to choose the ["standard" size](https://www.typeform.com/help/a/embed-your-form-360029249212/). Using other sizes will result in the Typeform not displaying correctly in the template we have designated for Typeform landing pages.

### Resources

- [How to build a Typeform](https://www.typeform.com/help/a/my-first-form-360053660271/)
- [How to generate a Typeform embed code](https://www.typeform.com/help/a/embed-your-form-360029249212/)
- [Typeform landing pages with Netlify CMS](/handbook/marketing/netlifycms/#typeform-landing-pages)

### Data Deletion Process

In order to maintain compliance and reduce risk, survey data will be stored in Typeform for 12 months. After 12 months, survey data will be moved to [this Google Drive folder](https://drive.google.com/drive/folders/12L0ru1xkVay8iq862mXtXgTanFT_EZ7e?usp=sharing). Survey data will be audited and moved to the Google drive folder quarterly.
