---
title: "Zoominfo"
description: "ZoomInfo is sales intelligence software that provides a database of business and professional contact information."
---

### About ZoomInfo

ZoomInfo is sales intelligence software that provides a database of business and professional contact information.

### Set Up

Once you receive your login and enter the Zoominfo platform you will need to download the [Zoominfo ReachOut Chrome extension](https://chrome.google.com/webstore/detail/zoominfo-reachout/fofjcndophjadilglgimelemjkjblgpf). You can also find the link by navigating down to the bottom right of your homepage.

It is recommended to add Zoominfo to your tabs in SFDC.

To do so click the :heavy_plus_sign:>Click `Customize My Tabs`> Scroll down to find Zoominfo>Highlight it>Hit the right arrow button :arrow_right:>Hit the `Save` button.

### Ways to access Zoominfo

Your direct login allows for direct export into SFDC. However you can also access it directly from the lead, contact, account record within SFDC, or from the tab view as shown above. Lastly, the chrome extension allows for additional functionality while browsing LinkedIn or company websites.

### Training

**To access Zoominfo University:**

- Login to Zoominfo
- Under your name on the right hand side click on Zoominfo University
- Once you've created your Zoominfo University login the links below will give you direct access

**I'm brand new to Zoominfo! Start here:**

| Title | Summary |
| ------ | ------ |
| [Getting Started with SalesOS)](https://university.zoominfo.com/salesos-essential-features-on-demand) | A general overview covering core concepts, profile info, building a search, saving, and subscribing, and tagging.  |
| [SalesOS Advanced Features (Condensed)](https://university.zoominfo.com/salesos-advanced-features-condensed) | Using scoops and more advanced features. We do not currently have Intent, so you can skip this section. |
| [Salesforce Integration Made Easy](https://university.zoominfo.com/salesforce-integration-made-easy) | This is a general overview of how to use the native integration within SFDC.|

**I've been using Zoominfo already or ready to learn more! Skip to topics that interest you:**

| Title | Summary |
| ------ | ------ |
| [ZoomInfo Sales Feature Highlight: Using Tags](https://university.zoominfo.com/salesos-feature-highlight-using-tags/91744) | A quick review on how to use tags. |
| [SalesOS Feature Highlight: Search & Subscribe to Scoops](https://university.zoominfo.com/salesos-feature-highlight-search-subscribe-to-scoops) | A guide for searching and filtering for Scoops alerts. |
| [SalesOS Best Practices: ListMatch](https://university.zoominfo.com/salesos-best-practices-listmatch) | ListMatch allows you to upload a list of contacts or company information in bulk to run through the Zoominfo search. |
| [SalesOS Best Practices: Technology Filters](https://university.zoominfo.com/salesos-best-practices-technology-filters) | Learn how to access technology information within a company profile. |
| [Save and Subscribe Function Explained](www.help.zoominfo.com/lightning/articles/help/Save-and-Subscribe-Function-Explained) |The ZoomInfo Sales Save and Subscribe function protects users from having to rebuild their lists when returning to the platform.|
| [How to Make a (Sales) Splash with ReachOut](https://university.zoominfo.com/best-practices-reachout) | Learn best practices for using the ZoomInfo Chrome Extension to maximize outreach on public forums like LinkedIn. |

**Sales Enablement Recordings:**

| Title | Duration | Summary |
| ------ | ------ | ------ |
|[Sales Enablement: Saved Searches](https://youtu.be/OpTgvoOQ1jM) | 10:38 | Optimizing your saved searches for your workflow. Please log in to GitLab Unfiltered to access. |
|[Sales Enablement: List Match](https://youtu.be/vl1kpsNa874) | 8:18 | Leveraging list match. Please log in to GitLab Unfiltered to access. |
|[Sales Enablement: Tagging in LinkedIn](https://youtu.be/GQWTZWbMgg8) | 3:44 | Leveraging tagging for LinkedIn and bulk exports. Please log in to GitLab Unfiltered to access. |

Do you have a topic not covered you'd like to see? Slack #zoominfo room or reach out to marketing operations.

To access Zoominfo training sessions specific for GitLab follow [this link](https://hello.chorus.ai/listen?guid=380d82a7cfbf46e6b0dff3b7957cb0e0).

To access additional Zoominfo on-demand training follow [this link](https://university.zoominfo.com/salesos-advanced-features-on-demand).

### Do Not Call and Do Not Email Automation

If the proper criteria is set, Zoominfo can cause a lead/contact in SFDC to be labeled as `Do not email` and `Do not call`. Read more about the rules on the [sales development handbook page](/handbook/marketing/sales-development/#do-not-call-and-do-not-email-automations).

### Zoominfo Licensing Policy and Procedures

ZoomInfo admin management is shared between the Sales Operations team who manages, provisions and deprovisions licenses for Field Sales roles (AEs/SAEs/ASMs/ISRs), while the Marketing Operations team manages, provisions and deprovisions licenses for the Sales Development Org (BDAs/SDRs/BDRs).

### Access & Help

Members of the sales organization and sales development, should receive access to ZoomInfo as part of their role entitlement request. If the team member did not receive access or if access had been removed and you would like it back you will need to open an access request.

Specifically, for a Marketing related role (SDRs/BDRs) please open an [individual access request - AR for short](/handbook/it/end-user-services/onboarding-access-requests/access-requests/) and tag your manager for approval and `RobRosu` (Mops), while for a Field Sales related role (AEs/SAEs/ASMs/ISRs) open an AR and tag your manager for approval and `@kbetances` (Sales Operations).

If you are experiencing issues with ZoomInfo, your first point of contact is ZoomInfo. You can reach them via email at: helpmenow@zoominfo.com.

You can also reach out to the Data Intelligence or Mops teams via Slack at #dataintelligencehelp or in #mktgops.

### Monthly Review

**Detailed Process**

1. Log into ZoomInfo, Admin Portal, Users, Export to CSV
2. Import into Google Sheet pivot table, review users who have not accessed in the last 30 days
3. Reach out to users on Slack
4. Deactivate users that no longer need access
5. Keep track of split of Marketing and Sales licenses. If we run short on Sales licenses, we can borrow some from marketing with the following message.
6. Create an issue in the Data Intelligence project on a monthly basis to track the users that were deactivated. The label Mktg Tool Audit and Data Intelligence :: Tech Stack should be userd. This will serve as support for any possible audit.

**To note that:** If the license is borrowed from the marketing team, it can be revoked at any time. Please inform the user: "Greetings! We currently do not have Zoominfo licenses available for field sales. We have assigned you a temporary ZoomInfo license borrowed from the marketing team so you can have access to the platform. Due to limited licenses being available, your license may be revoked if the marketing team needs the license back for one of their team members. If such an instance does arise, you will be notified before the license is revoked and we will work to get you procured a Sales Operations license. Thank you for your understanding."

### Controls

1. Check to ensure all users have a @gitlab.com email address
2. Check to ensure role aligns with current role internally (with internal mobility, users may need to be assigned a new role)

### Credits

ZoomInfo credits represent the consumption (export) of a professional or company profile from the ZoomInfo platform. This export can originate from the primary ZoomInfo platform, the ReachOut Chrome Extension, or any time an API call is made from any number of our integrations, including CRMs, marketing automation platforms, and sales automation tools.

- **Users** -  Monthly credits are set at 1,000 and bulk credits are set at 2,000.
Each user has 1,000 monthly credits to use for prospecting. A credit is consumed any time a user exports a contact or company out of the platform. These credits reset on the first of each month. When a user pushes "export" it should automatically pull from the monthly credits until a user has utilized all 1,000 of their monthly credits. After those monthly credits are consumed you are then able to use the bulk credits. Bulk credits are adjustable. Monthly credits are not. A user also has 2,000 views in which they can use to click on a contact and view/unlock the contact information.
- **Accounts** - Max number of accounts a user can export to SFDC is set to 100.
- **Contacts** - Max number of contacts a user can export to SFDC must match accounts and is set to 100. This is because contacts MUST be associated with accounts in SFDC. When exporting a contact, Zoominfo will check to see if an Account exists within SFDC that matches the company the contact works at. If not, users can create a new account which they will associate the contact to. Enforcing that contact creation is equal to or less than accounts is to make sure there is not a scenario where a contact export fails because they are unable to create the same number of accounts.
- **Leads** - Max number of leads a user can export to SFDC is set at 1,000. This ensures that the user will not max out their monthly allotment in one export.
- **Bulk requests** If a bulk download is needed for a campaign, please open an [issue](https://gitlab.com/gitlab-com/marketing/marketing-operations/-/issues/new) for the marketing operations project. Admins have unlimited credits to be able to export bulk lists or a temporary lift can be made for individual users.
- **Reporting bad leads** - If a lead is found to be incorrect the user can submit a `Suggest Contact Update` and the research team will usually update it within 1-2 business days. When the lead is updated the user can manually append it or re-push the prospect into SFDC without expending a credit (for two months while it's "under management").
- **API Credits**- Leads, Contacts & Accounts are being enriched [as detailed below](/handbook/marketing/marketing-operations/zoominfo/#sfdc-account-enrichment) and an API Credit is used everytime the webhook is called (1 per lead/contac/account), regardless of how many fields, on that particlar record, are updated.

### Field Mappings

All current field mappings are documented [here](https://docs.google.com/spreadsheets/d/1lZ2BgNER_OYR5jjYDHreCMRbpODQbprUpGKVRD5TMnY/edit#gid=504148174).

Custom fields start with [ZI] and will be visible in the Zoominfo section in SFDC. Example name: `[ZI] Company Phone`. All [ZI] fields are set to be able to overwrite the field should new data be available on a lead, contact, or account. The only information mapped to standard fields are fields needed for basic lead, contact, or account creations. Example: `First Name`, `Last Name`, and `Email Address`.

### SFDC Native Integration

- The Salesforce Native App is available on any lead, contact, or account directly within SFDC.
- The Salesforce Native App only allows users to export 25 at a time. Where as logging in directly and using the standard Salesforce web connector allows you to push up to 2,000 at a time - for any bulk pushes it is recommended you use the normal ZoomInfo website.

## SFDC Account Enrichment

All the SFDC accounts are enriched and re-enriched with Zoominfo on a daily basis. Instant Enrich is turned on and will enrich any new accounts upon creation.

## SFDC Lead Enrichment

All leads in SFDC are enriched on a monthly basis on the third Friday.

In addition to leads beeing enriched on a monthly basis, we have just turned on Instant Enrich for Leads (Nov. 17th 2022) and all net new leads are getting enriched as they reach SFDC.

As a back-up job, in case Instant Enrich job fails, we're keeping live the Scheduled Enrich for net new leads that takes place on a daily basis to make sure the sales teams have the most up to date information.

## SFDC Contact Enrichment

All contacts in SFDC are enriched on a monthly basis on the third Friday.

## Campaign Member Enrichment (Leads & Contacts)

Zoominfo Campaign Member Enrichment can achieved via Scheduled Enrich with List Views and Enrichment Jobs for both Leads & Contacts

To do this, follow the steps below:

- Mark the leads & contacts with the use of an operational field like **MktgOPS_C**
- Create Lead List Views & Contact List Views and filter using the operational field;
- Create & Schedule Zoominfo enrichment jobs for both leads & contacts and select enrichment via the list views created at the previous step.

### Groove Integration

The Zoominfo Groove Integration is live and you may export leads directly using it. The records, once exported as leads, will be created in SFDC and added to the selected Groove flows.

There are three basic ways to export as detailed in [this GitLab Unfiltered video](https://www.youtube.com/watch?v=EJ1y5XkzZ9I):

- ZI Chrome Extension (Expand only);
- Advanced Search in ZI;
- Company Org Chart in ZI;

### Marketo Integration

The Marketo integration is utilizing ZoomInfo's **Enrich** product. This is done on an automated basis utilizing a webhook.

Marketo/ZoomInfo webhook is triggered, on form-fill, when the person record fills the forms below (on an ongoing/future basis):

1. Filled out a SaaS Trial form;
1. Filled out a Self-managed Trials form;
1. Filled out Contact Us form.

Enrich is mostly set to enrich the ZoomInfo fields. The ZoomInfo ([ZI]) fields, will have their values overwritten with the most up to date information. The other standard fields like `Employees Bucket` or other Marketo standard fields like (First Name, Last Name, Job Title) are getting enriched only if the information is missing.

### Zoominfo Tagging

When you're importing leads from ZoomInfo, you can now use Zoominfo Tag to tag your leads in SFDC. If you tag and import records into SFDC, that tag will sync to the SFDC field called `Groove tag`. This field can be used for other tagging purposes as well.

When using the Zoominfo tag, please type `ZI` at the front of the tag so that ZoomInfo can be easy delineated from other tags. So if someone was tagging a set of people in ZoomInfo based on a certain play, I'd want them to write`ZI Premium to Ultimate` or if they want to use a certain date `ZI 11-4-24`.

You'll want to create a lead view that has a rule to show you leads in your name (My Unconverted Leads ) and a Groove Tag contains rule based on your tag name. From here the view should surface your leads so you can add folks to a flow.

Keep in mind that you'll have to tag the records before you export. The tagging can take place in either Zoominfo Sales OS or through the Zoominfo Chrome Extension (expanded version). Applying multiple tags to one record is also possible.

`Reminder:` Sometimes when you import folks into SFDC, the person already exists in our SFDC as a contact, not a lead. Zoominfo will enrich the individual that already exists in our SFDC and tag will apply on it. To surface these individuals, you'll need to use an identically make a contacts list view.

### Is your Google Chrome stalling?

This may be related to the Zoominfo Google Chrome extension. To troubleshoot the issue that you are encountering, we recommend following the steps outlined below:

1. Remove & reinstall the extension:
   - [Click here to find the extension in the Chrome store](https://chromewebstore.google.com/detail/zoominfo-chrome-extension/fofjcndophjadilglgimelemjkjblgpf?hl=en-US)

1. Ensure your Chrome browser is up to date:
   - Select the three dots in the top right-hand corner of your Chrome browser > choose "Settings". From the Settings page, select "About Chrome" in the bottom left of the page
   - You will see at the top of the page if Google Chrome is up to date or updating
   - Allow time for the browser to update if necessary and re-launch your browser when prompted

1. Allow all cookies in your browser settings:
    - Select the three dots in the top right-hand corner of your Chrome browser > choose "Settings"
    - From the Settings page, select "Privacy and Security" > then "Third-party cookies" > then "Allow third-party cookies"

1. Clear your browser's cache and cookies for all time:
    - Click the three dots in the top right corner of your Chrome browser > click "More Tools" > then "Clear Browsing Data"
    - In the pop-up window, select the "Advanced" tab > then Time Range of "All Time"
    - Select the following two checkboxes called "Cookies and other site data" AND "Cached images and files"
    - Click "Clear data"

1. Lastly, log back into the ZoomInfo platform first, and then log into the Extension
