---
title: Marketing Strategy & Platforms
description: >-
  Learn more about the Marketing Strategy & Platforms.
---

## Marketing Strategy, Operations, and Analytics Team Charter

### Mission & Objectives

Our mission is to enable efficient operations and actionable analytics insights, working across all Marketing teams.

 | **1. Actionable Insights**                                                                                                                | **2. Continuous Optimization**                                                                                                                                                                                                                                      | **3. Experience Integration**                                                                                                              |
| ----------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| ![msp-chart.png](/images/handbook/msp-chart.png) | ![msp-optimize.png](/images/handbook/msp-optimize.png)                                                                                                                        | ![msp-plug.png](/images/handbook/msp-plug.png)   |
| **Team(s)**<br><br>- Strategy & Analytics                                                                                                 | **Team(s)**<br><br>- [Marketing Operations](/handbook/marketing/marketing-operations/) | **Team(s)**<br><br>- Globalization |
| **Theme**<br>Incrementality                                                                                                               | **Theme**<br>Experimentation                                                                                                                                                                                                                                        | **Theme**<br>Guided Journey                                                                                                                |

### Resource Allocation

Balance Short Term Focus & Long Term Goals. We will be disciplined yet stay nimble in resource allocation & prioritization.

#### Core: ~ 70%

- Deliver conversion lift & pipeline goals across segments & sales motions
- Provide clear visibility and insights to marketing performance KPIs
- Improve operational efficiency
- Enhance security and privacy posture

#### Strategic: ~ 25%

- Build a strong foundation for global expansion
- Design a seamless in-product, e-commerce, and web navigation experience

#### Venture: ~ 5%

- Leverage embedded analytics to drive acquisition and expansion

### Roles & Responsibilities

#### Marketing Technologists

![MSP.png](/images/handbook/MSP.png)

### Performance Assessment

#### Four Funnels

|                                 | **Self-Serve**                                                                                                                               | **Sales-Assisted**                                                                                                                           | **Bottom-Up**                                                                                                                                | **Top Down**                                                                                                                                 |
| ------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| **Sales Motion**                | No Touch                                                                                                                                     | Transactional                                                                                                                                | Land & Expand                                                                                                                                | Outbound, ABM                                                                                                                                |
| **Persona / Segment**           | SMB core user, Community user                                                                                                                | Mid-Market core-user, SMB buyer                                                                                                              | Large Mid-Market, Enterprise                                                                                                                 | Enterprise                                                                                                                                   |
| **Kain Goal of the PLG Motion** | Self-Serve Revenue                                                                                                                           | Pipeline Generation                                                                                                                          | Expansion Revenue                                                                                                                            | Sales Enablement                                                                                                                             |
| **Main Funnel Goal**            | Self-Serve ARR                                                                                                                               | Expansion ARR on top of Self-Serve ARR                                                                                                       | Pipeline generation on top of new teams                                                                                                      | Pipeline generation on key accounts                                                                                                          |
| **Funnel**                      | ![PLG Funnel 01](/images/handbook/plg-funnel-1.png) | ![PLG Funnel 02](/images/handbook/plg-funnel-2.png) | ![PLG Funnel 03](/images/handbook/plg-funnel-3.png) | ![PLG Funnel 04](/images/handbook/plg-funnel-4.png) |

### Communication Norms

Develop habits & make incremental progress

- 1.01 ^ 365 = 37.78
- 0.99 ^ 365 = 0.026

Collaborate with & learn from diverse sources<br>
> "If you want to go fast, go alone. If you want to go far, go together."

### Ground Rules

- We learn from each other by fostering group intelligence
- We lean towards innovation and collaborative decision-making by being bold, but not bully, and being thoughtful, but not lazy
- We cultivate growth mindset by having the courage to try new things and fail better
- We're stronger as a team by sharing the workload, and not minding who gets the credit

> *"The most important function of the leader is to encourage everyone to see him- or herself as a member of the larger system, pursuing a common vision, holding common values, and cooperating with each other in an environment of mutual support and respect." <br>
FRED KOFMAN*

### Interdependencies

#### Within Marketing

| **Team**                 | **Interdependencies**                                                         |
| ------------------------ | ----------------------------------------------------------------------------- |
| **Product Marketing**    | - Messaging & Content <br>- SEO                                               |
| **Integrated Marketing** | - Campaign Strategy & Execution Plan<br>- Field & Partner Rules of Engagement |
| **Brand**                | - Brand Design                                                                |

#### Other Functions

| **Team**                          | **Interdependencies**                                                                                   |
| --------------------------------- | ------------------------------------------------------------------------------------------------------- |
| **Finance & Business Technology** | - Financial Planning & Budget<br>- Data Engineering                                                     |
| **Field Sales & Operations**      | - Segment & Global Expansion Priority<br>- Sales Process, Rules of Engagement & Salesforce Data Quality |
| **Product & Engineering**         | - E-commerce Product Roadmap<br>- Engineering Resource                                                  |
| **Legal**                         | - Regulations & Compliance Related to User Analytics                                                    |
