---
title: "Marketing Team Processes - How We Work"
description: "This page is meant to house resources and processes for the marketing team."
---

<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

## <i class="fas fa-calendar-check fa-fw color-orange font-awesome"></i> Marketing Calendar

## Adding to the All-Marketing Calendar {#marketing-calendar-inputs}

<!-- DO NOT CHANGE ANCHOR -->

**Location for inputs: In your [Google Drive](https://drive.google.com/drive/u/1/my-drive), search for (and bookmark) `FY24 All-Marketing Calendar SSoT`.**

This is where all teams will input and categorize planned activities - with filters that align to key pieces of information (GTM Motion, Alliance Partners, Sales Segments, Regions, Language, and more). This will be iterative and everyone should feel open to share their feedback and ideas - [comment in the issue to sare your thoughts!](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/3324)

### Marketing team additions to All-Marketing Calendar {#inputs-marketing-additions}

<!-- DO NOT CHANGE ANCHOR -->

The instructions below are to be followed by marketing team members. Add a row at bottom of [All-Marketing Calendar spreadsheet](https://docs.google.com/spreadsheets/d/1fyrC4O1e13QTRNmYR3H5rMZIoIJcPk93vltOCx0ubjk/edit#gid=571560493) or insert in the appropriate date (either way, this will be re-sorted by marketing periodically). If you don't have all the details, don't worry - fill in what you can and work together to outline the information that is valuable for integrating our marketing tactics as a team.

**BASIC DETAILS**

* Day of Week: (don't edit, this is a formula that will work off of the dates you add)
* **Dates**: Add date(s) of event
  * If the event is not multi-day, only add Start Date. If spans multiple days, please include both start and end date.
* **Team / DRI**: Choose DRI (primary) that is project managing the activity from the drop-down list
* **Activity Category**: Choose category from drop-down list
* **Name:** Add the exact name of the tactic/event (if not final, include latest available, or `placeholder with focus on <add topic>` if not yet determined)
  * Corporate Events: Include "SPONSORING" next to events that we are sponsoring in green font

**KEY LINKS**

* **Landing Page**: Once a landing page is created, please link here for easy access by Sales and Marketing.
* **Epic/Issue**: If there is an epic (events, content, webcasts, etc.), add the epic link. If there is not an epic level (i.e. digital channel launch), include issue link.

**GTM & PARTNER ALIGNMENT**

* **Primary GTM Motion**: Choose the most closely aligned GTM Motion (from FY24 GTM Motions (Automated Software Delivery OR Security & Compliance)
* **Alliance Partner(s)**: If an alliance partner is included in the activity, please add all in this column.
* **Channel Partner(s)**: If a channel partner is included in the activity, please add all in this column.

**AUDIENCE DETAILS**

* **Sales Segment**: Choose from drop-down (if focused on a specific sales segment).
  * Note that PubSec is a Sales Segment.
* **Primary Region**: Choose from the drop-down (if focused on a specific region)
* **Primary Sub-Region**: Choose from the drop-down (if focused on a specific sub-region)
* **Language**: If language other than Enlish, please add here.

**SUPPORTING TEAM COMMITMENTS**

* **SDR/BDR Committment**: Added by SDR Leadership
* **BDR Approved - DRI Manager**:  Added by SDR Leadership
* **BDRs Attending**:  Added by SDR Leadership
* **SDR Attending**:  Added by SDR Leadership
* **SA/TM Commitment**:  Added by Marketing
* **Customer Speaker?**: Include if there is a customer speaker for the activity.

## Mockup of All-Marketing Calendar (Future Visualization) {#marketing-calendar-mockup}

<!-- DO NOT CHANGE ANCHOR -->

In the future, the goal is to visualize these inputs in a calendar format with filters (based on columns in the doc) to allow the team to see the plans in Sisense. [View the Basic Mockup in FigJam!](https://www.figma.com/file/wxKZNk0ysJF77hTak9lNBn/Calendar-Mockup_2023-09-14_18-32-00?type=whiteboard&t=S9GSk8jFu3bJ28Iq-1)

Currently, the GoogleDoc has pre-set filter views to help you see plans by Region, Segment, etc. to be added by team members for their respective activities.

## FY23 All-Marketing SSoT Calendar {#fy23-calendar}

<!-- DO NOT CHANGE ANCHOR -->

The marketing team utilizes a [single all-marketing calendar](https://docs.google.com/spreadsheets/d/1ni6gKeWhjtrNppMdYvPESsCRjDbfVdYjTNtUtcNBFGg/edit#gid=571560493) where everyone can contribute, and we can answer key questions (using filters) related to upcoming marketing plans.

Please do not filter the entire doc (although Google Docs is now allowing personal filtering that doesn't affect all other viewers in the doc - need to test this!). Instead, you may use pre-set filter views (click down arrow selector next to the filter icon on the bookmark bar) to see activities grouped by GTM Motion, segment, region, team, funnel stage, partners, and more.

Below are some pre-set filter examples:

* [GTM - CI/CD](https://docs.google.com/spreadsheets/d/1ni6gKeWhjtrNppMdYvPESsCRjDbfVdYjTNtUtcNBFGg/edit#gid=571560493&fvid=1408681455)
* [GTM - DevOps Platform](https://docs.google.com/spreadsheets/d/1ni6gKeWhjtrNppMdYvPESsCRjDbfVdYjTNtUtcNBFGg/edit#gid=571560493&fvid=349152114)
* [GTM - GitOps](https://docs.google.com/spreadsheets/d/1ni6gKeWhjtrNppMdYvPESsCRjDbfVdYjTNtUtcNBFGg/edit#gid=571560493&fvid=1570851636)
* [GTM - Brand/Remote](https://docs.google.com/spreadsheets/d/1ni6gKeWhjtrNppMdYvPESsCRjDbfVdYjTNtUtcNBFGg/edit#gid=571560493&fvid=899686905)
* [Team - Corporate Events](https://docs.google.com/spreadsheets/d/1ni6gKeWhjtrNppMdYvPESsCRjDbfVdYjTNtUtcNBFGg/edit#gid=571560493&fvid=1873466619)
* [Region - EMEA](https://docs.google.com/spreadsheets/d/1ni6gKeWhjtrNppMdYvPESsCRjDbfVdYjTNtUtcNBFGg/edit#gid=571560493&fvid=1743793869)
* [Month - April](https://docs.google.com/spreadsheets/d/1ni6gKeWhjtrNppMdYvPESsCRjDbfVdYjTNtUtcNBFGg/edit#gid=571560493&fvid=52092404)

*If there are other views you would find helpful, please feel free to duplicate an existing filter view, and include some sort of categorization (i.e. team, segment, etc.). You can do this by going to a simliar filter view, and clicking on the top right gear icon, then selecting `Duplicate`.*

## <i class="fas fa-toolbox fa-fw color-orange font-awesome"></i> Marketing Project Management Guidelines

Marketing uses GitLab for agile project management including [groups](https://docs.gitlab.com/ee/user/group/), [projects](https://docs.gitlab.com/ee/user/project/), [epics](https://docs.gitlab.com/ee/user/group/epics/), [roadmaps](https://docs.gitlab.com/ee/user/group/roadmap/), [issues](https://docs.gitlab.com/ee/user/project/issues/), [labels](https://docs.gitlab.com/ee/user/project/labels.html), and [boards](https://docs.gitlab.com/ee/user/project/issue_board.html). Read through the documentation on each of these GitLab features if you are unfamiliar.

## Integrated Campaigns

Marketing Departments collaborate to produce Integrated Campaigns. An Integrated Campaign is a communication effort that includes several campaign tactics such as blog posts, emails, events, advertisements, content on about.gitlab.com, videos, case studies, whitepapers, surveys, social outreach, and webcasts. An Integrated Campaign will have a campaign theme that summarizes the message we are communicating to our market.

### Active integrated campaigns

[Active integrated campaigns](/handbook/marketing/campaigns/#active-marketing-campaigns)

**Have a new campaign idea?** [Make a suggestion](/handbook/marketing/campaigns#new-ideas-for-marketing-campaigns-or-events)

## Project Management Processes

We cultivate a deep understanding of our own product by using GitLab to manage our planning, collaboration, and execution of Marketing activities.

[The latest Project Management recommendations can be found here](/handbook/marketing/project-management-guidelines) from FY21-Q2 Agility Project

### Milestones

[The latest recommendations for Milestones](/handbook/marketing/project-management-guidelines/milestones/) from FY21-Q2 Agility Project

#### Weekly Sprints

Within the www-gitlab-com repo (parent repo to Marketing) there are weekly milestones, which some teams use plan a weekly sprint cadence. Each of these sprints begins with "Fri:**" for the Friday upon which that sprint ends, making them [searchable in a list here](https://gitlab.com/groups/gitlab-com/-/milestones?utf8=%E2%9C%93&search_title=fri%3A&state=&sort=).

Each week on Monday, any open MRs and issues still assigned to the previous week's milestone are bulk moved forward to the next week, and the previous milestone is closed out. **This is a manual process currently performed by Danielle.**

### Groups and projects

[The latest recommendations for Groups and Projects](/handbook/marketing/project-management-guidelines/groups/) from FY21-Q2 Agility Project

1. The Marketing Group houses all marketing projects.
1. Labels should be created at the **group** level so they can be used in all projects within Marketing group.
    * Labels **should not** be duplicated in individual projects. It creates board/tracking conflicts.
1. The following are the approved marketing projects, [CMO approval](/handbook/marketing/cmo/) is needed to begin a new project.
    * [Product Marketing](https://gitlab.com/gitlab-com/marketing/brand-product-marketing) (includes PMM, TMM, and Market Insights)
    * [Developer Relations](https://gitlab.com/gitlab-com/marketing/community-relations)
    * [Digital Marketing Programs](https://gitlab.com/gitlab-com/marketing/demand-generation/digital-marketing)
    * [Demand Generation](https://gitlab.com/gitlab-com/marketing/demand-generation)
    * [Corporate Marketing](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing) (includes content, website, corp events, brand, etc. - old location in deprecated group, to be updated)
    * [Marketing Operations](https://gitlab.com/gitlab-com/marketing/marketing-operations)
    * [Field Marketing](https://gitlab.com/gitlab-com/marketing/field-marketing)
    * [Account Based Strategy](https://gitlab.com/gitlab-com/marketing/account-based-strategy)
    * [Sales Development Organization](https://gitlab.com/gitlab-com/marketing/sdr)
    * [Digital Advertising](https://gitlab.com/gitlab-com/marketing/digital-advertising) - used for external advertising agency
    * [Onboarding](https://gitlab.com/gitlab-com/marketing/onboarding)
    * [Contribute](https://gitlab.com/gitlab-com/marketing/contribute) - this is a sub-group that contains all projects for each Contribute event
    * [Growth Marketing](https://gitlab.com/gitlab-com/marketing/growth-marketing)
    * [Partner Marketing](https://gitlab.com/gitlab-com/marketing/partner-marketing) (includes both tech partner and channel marketing)
1. Issues should be logged in the team project ultimately responsible for completing requested work. (i.e. If SDR needs list uploaded -> issue created in Marketing Operations project).

### Issues, Milestones, and Epics

[The latest recommendations for Epics](/handbook/marketing/project-management-guidelines/epics/) and [the latest for Issues](/handbook/marketing/project-management-guidelines/issues/) from FY21-Q2 Agility Project

1. Each issue represents a discrete unit of work with a deliverable. For example [1](https://gitlab.com/gitlab-com/marketing/product-marketing/issues/10) [2](https://gitlab.com/gitlab-com/marketing/digital-marketing-programs/-/issues/36) [3](https://gitlab.com/gitlab-com/marketing/general/-/issues/2574)
1. Every MR should have an issue so that it can be tracked on issue boards.
1. Milestones represent units of work to be completed within a specific time frame, sometimes referred to as sprints. They are comprised of multiple issues that share a common due date, and help break large projects into more manageable parts.
1. Epics represent projects that comprise multiple issues. (Don't use "meta" issues for this purpose. If you have an existing meta issue you can promote them to epics using the `/promote` quick command.)
    * Epics live at the group level (e.g. issue from multiple marketing projects can be added to an epic.)
    * Epics are labeled with a group label of the team that owns the epic.
1. The top 3-5 strategic initiatives are tracked in epics using the `CMO` label. (Don't apply the CMO label to other epics.)
1. Roadmaps are used for time-based display of epics with a start and end date. (for example, events and time-based campaigns.)

### Boards and Labels

[The latest recommendations for Labels](/handbook/marketing/project-management-guidelines/labels/) and [the latest for boards](/handbook/marketing/project-management-guidelines/boards/) from FY21-Q2 Agility Project

1. Each team has one or more boards to track ongoing workstreams.
1. Generally, create a board for each function. (For example PMM has boards for Sales Enablement, Analyst Relations, Customer Relations, etc.)
1. Each board uses a standard set of columns/labels so that folks can easily understand what is happening on another teams board.
1. The board labels use group *scoped* labels with `mktg-status::` and one of four statuses. Status labels should be used on all issues within the Marketing group:
    * `mktg-status::plan` - work that is proposed, in an exploratory state.
        * To exit the plan stage the work must be assigned to a DRI.
        * DRI accepts responsibility for the task by changing the label from `mktg-status::plan` to `mktg-status::wip` and creating an merge request (MR), if appropriate. The plan status is optional, as issues that don't require formal planning can be opened and labeled `mktg-status::wip`.
    * `mktg-status::wip` - work in progress that has been accepted and assigned to a DRI.
        * Work in this stage should not be merged.
        * Merge requests (MRs) should be prepended with `WIP:`. At GitLab we allow reviewers to start reviewing right away before work is complete.
        * Use [MVCs](/handbook/values/#iteration): At any time, if the work is complete enough that merging would be better than what current exist the issue should be labeled with `mktg-status::review` and `WIP:` should be removed from the title.
    * **Optional***: `mktg-status::review` - work has been completed enough that it is ready for formal review and approval.
        * Work that is approved can be either merged or scheduled.
        * The review status is optional.
        * Work that doesn't require review can simply be merged/closed.
    * **Optional**: `mktg-status::scheduled` - work that is complete but should be scheduled for a future date.
        * Scheduled status is optional as not all work will need to be scheduled.
    * `closed` - when work is delivered the issue should be closed.
1. **Don't duplicate status labels at the project level.** Use group labels (at the Marketing Group level) as much as possible.

### Department Labels

Each Department within Marketing can have "additive" labels - meaning they are used to enhance the tracking and workflows for that respective team. These "additive" labels are used in conjunction with the broader [Marketing labels](#boards-and-labels). The Department label usage is documented on each of the respective handbook pages:

* [Marketing Programs](/handbook/marketing/integrated-marketing/digital-strategy/)
* [Operations](/handbook/marketing/marketing-operations/)
* [Sales Development Organization](/handbook/marketing/revenue-marketing/sdr/)
* [Field Marketing](/handbook/marketing/field-marketing/#field-marketing-labels-in-gitlab)
* [Account Based Marketing](/handbook/marketing/account-based-marketing/)

### Default Issue Text

All of the projects within the [Marketing subgroup](https://gitlab.com/gitlab-com/marketing) include **default issue text** to ensure the Department labels are applied consistently and broader adoption of the [global Marketing labels](#boards-and-labels).

#### Using Default Issue Text

When a new issue is opened in *any* project, the issue description will contain a small snippet of text applying that teams' label & Marketing scoped `mktg-status::plan` label.

![''](/images/handbook/marketing/example_default_issue_text.png)

* If a template is chosen, a message will appear confirming you want to change the text w/in the issue description, click `Apply Template` and continue as normal

![''](/images/handbook/marketing/template_change_message.png)

#### Updating Default Issue Text

The default text is minimal and generic. Any team can make the collective decision to update the text. Access to modify the text may be limited based on group/project permission level, if you do not have access to the `General` settings section, please reach out to `@mktg-ops` via slack.
*Please note* this is not an issue bot there is no dynamic functionality. The default issue text applies to all issues opened within that project and the text should be broad enough to encompass a roles within that team.

1. Navigate to project to be updated
1. Left side menu, hover over the wheel widget (last icon) -> Select `General`
1. Scroll down & select `Expand` next to **Default Issue Template**
1. In the text box you can add any markdown formatting & modify the text. The text that has been added included several lines above it, so it may *appear* to be a blank box. Scroll down &/or expand that text box to see complete text.
    * **Please do not** delete the labels section.
    * Label section can be updated to include more labels &/or switch the Department label
    * Important to *leave* the `mktg-status::plan` label in that section
1. Once edits have been made, click `Save changes`. The changes be applied immediately to **any new issue opened**.
    * Does not affect already opened issues.

If you have any issues &/or questions, please reach out to the MktgOps team (`@mktg-ops`) via slack.

### How it all fits together

Figuring out how where and how to create a board, epic, label can be confusing. The following diagram is a very high level example of how it all fits together. If there are questions please ask in the [#mktgops slack channel](https://gitlab.slack.com/messages/CGL35F20G) (*must be GitLab team member for active link).

<img src="https://docs.google.com/drawings/d/e/2PACX-1vRNvAJ7LoK-6nvbOGEX-T5-tRD7PK3dU4OVbfBWwr6orNwnEo4LJBSCDCenfDfFcQwSTeOWFDS8FE15/pub?w=1056&amp;h=1344" alt="">

## How Marketing Tracks Campaign Expenses

**Please Note:** We are transitioning from the use of Campaign Tags to Allocadia IDs for campaign expense tracking purposes. As a result, we are still detailing out the process below by referencing both Allocadia IDs and Campaign Tags at this time, but eventually we'll be deprecating the use of Campaign Tags.

Marketing Managers track costs associated with campaigns - such as events, content, webcasts, etc. Allocadia IDs/Campaign Tags can be applied to Navan reports, Coupa PO's, corporate credit card charges, and vendor bills processed by Accounts Payable. Campaign expenses that are incurred by independent contractors should be clearly noted with the appropriate ID/tag and included in their invoices to the company. We then use these accumulated costs for budget to actual analysis as well as to update the Salesforce campaigns with actual costs.

### Allocadia IDs

**[Allocadia Handbook Page](/handbook/marketing/strategy-performance/allocadia/)**

Marketing tracks campaign costs utilizing [Allocadia line items](/handbook/marketing/strategy-performance/allocadia/#line-item). Once you have created your line item in Allocadia, follow [these instructions](/handbook/marketing/#how-to-create-and-manage-allocadia-idscampaign-tags).

### Campaign Tags

**Note: As we move from campaign tags to Allocadia IDs for tracking campaign costs, the below section will eventually be deprecated.**

GitLab makes use of campaign tags throughout our systems in order to better track associated costs. For consistency, we use the naming convention of ISODate_Campaign_ShortName. More details on the ISO Date:

> ISO 8601 provides a standard cross-national approach that says:
>
>
> * A general-to-specific approach, forming a date that is easier to process - thus, the year first, followed by month, then day
> * Numbers less than 10 preceded by a leading zero
> * Years expressed as "0" prior to year 1 and as "-1" for the year prior to year 0 (and so forth)
> * Thus, March 30, 1998 would be: 19980330.

Once you have created your Campaign Tag, follow [these instructions](/handbook/marketing/#how-to-create-and-manage-allocadia-idscampaign-tags).

### How to Create and Manage Allocadia IDs/Campaign Tags

1. Marketing Managers and Field Marketing Coordinators request the creation of an Allocadia ID or Campaign Tag in [this tracker](https://docs.google.com/spreadsheets/d/1wBqvCvmou4afnb0p8lBXVvFmsl-j0IehS7GdfJybGzg/edit?usp=sharing). They will add all requested details outlined in the tracker.
   * The GL accounting team will create the IDs/tags at the end of each day.
   * The ID/tag is created in NetSuite and syncs with Navan and Coupa.
1. The Allocadia ID/Campaign Tag must be noted in the Coupa requisition and in the main tactic issue (for Field Marketing, this information lives under the Event Details section in the main issue). Additional details on the Allocadia > Coupa integration can be found [here](/handbook/marketing/strategy-performance/allocadia/#coupa).
1. Information on utilizing Allocadia IDs for SFDC campaign creation can be found [here](/handbook/marketing/strategy-performance/allocadia/#salesforcecom-sfdc).
   * For the MCM team, additional details can be found in the campaign epic.

### Postponement of Tactics

If your event or tactic gets postponed to a new date, you only need to request an update to the Allocadia ID/Campaign Tag date in [this tracker](https://docs.google.com/spreadsheets/d/1wBqvCvmou4afnb0p8lBXVvFmsl-j0IehS7GdfJybGzg/edit?usp=sharing) if the date pushes more than six months from the original tactic date. If postponement date is within six months of the original date, no requested adjustment is required to the Allocadia ID/Campaign Tag.

### Travel Costs

Travel expenses (food, hotel stays, arline tickets, etc.) must also be tracked utilizing Allocadia IDs/Campaign Tags. You will include the Allocadia ID/Campaign Tag in the `classification` field in Navan when you are completing your expense report. The instructions for how to request the Allocadia ID/Campaign Tag be created in NetSuite > Navan can be found [here](/handbook/marketing/#how-to-create-and-manage-allocadia-idscampaign-tags). Additional information regarding travel can be found [here](/handbook/finance/travel/).

## <i class="fas fa-forward fa-fw color-orange font-awesome"></i> Marketing Rapid Response Process

## Summary

There are times when a rapid response is needed to address industry changes, competitive moves, news about the company, and other opportunities to provide comment or thought leadership. In order to effectively respond, GitLab marketing needs to monitor, create and publish quickly. Additionally, GitLab marketing needs to support GitLab executives with content, data and soundbytes for interviews, blog-posts, etc.

## Process

If a rapid response opportunity arises, please alert the head of [corporate communications](/handbook/marketing/corporate-communications/) (or [CMO](/handbook/marketing/cmo/) if head of corporate communications is unavailable) via slack or text message. Rapid response collaboration will happen in either the [#competition channel](https://gitlab.slack.com/messages/C1BBL1V3K) (if it is competitive) or in the [#external-comms channel](https://gitlab.slack.com/messages/CB274TZRR) (if it is about other news). The head of corporate communications will propose a recommendation on how to best proceed with an external company message and recruit the resources to accomplish the plan (this becomes the #1 priority for each resource, unless physically impossible or their manager provides a replacement). A template for a rapid response can be found [here](https://docs.google.com/document/d/19Kc-GZ5B7V_zOA46zF1SXoD5qfavqmCAnXFJKS7P3sI/edit).

The head of corporate communications will assess the rapid response request within 1 HOUR (9amEST-6pmPST). Urgency will be assessed and will be determined to be 3 HOURS (ASAP) or 24 HOURS turnaround, and the action plan will be scoped accordingly - with a bias towards releasing an MVC as soon as possible, and iterating as more news becomes available. Any disagreements on urgency or action will be escalated immediately to the [CMO](/handbook/marketing/cmo/) for a final decision.

While each response will be a custom plan, the rapid response team will leverage appropriate resources to execute on the agreed upon plan:

* PMM/TMMs responsible for technical and product content and industry expertise and context
* Content/Social responsible for writing and publishing
* Web team responsible for any non-blog web page changes needed
* Community responsible for monitoring and responding in public channels

**Please have the author of the statement/blog post comment with their approval on the MR before merging, even if you have received approval in other, non-public channels.**

## <i class="fas fa-bookmark color-orange font-awesome"></i> Resources

## Marketing Agency and Partner List

GitLab's Marketing team maintains a list of agency and partner firms in a [protected Google Sheet](https://docs.google.com/spreadsheets/d/1P4gji5ie6pdP-FgBt5L5GdJkUEkAXJcJUROqjDGtFV4/edit?usp=sharing) (*only accessible to GitLab team members*).

The purpose of this list is to provide transparency to GitLab team members on agencies and partners onboarded to work with us. If you are considering an agency or partner to scale your team and create additional resource leverage, *check this list first*. If you have onboarded a new partner or agency, please *add them to this list* for others to view. We create added efficiency by sharing our recommended partners internally.

## Sales & Marketing Localization Roadmap

In order to focus our efforts around investments the company should make per country, worldwide, it was important that sales and marketing leadership agreed to countries to prioritize (P0, P1, P2, P3 and P4).

The investment checklist at each priority level is a wishlist of how we are aiming to localize in those areas. For example, in market sales and SDR support is included in P0 as well as much higher level of translations. More details can be found internally on the [tracking sheet](https://docs.google.com/spreadsheets/d/1eRrtRPdNSQjtvDrEvPJ_klfqKAatnLIzDjvShXhnSr8/edit?usp=sharing).

## Marketing Career Development

Check out the [handbook page](/handbook/marketing/marketing-career-development) on the marketing career development program.
