---
title: FY22 Marketing Plan
description: FY22 Marketing Plan
twitter_image: /images/tweets/handbook-marketing.png
twitter_site: '@gitlab'
twitter_creator: '@gitlab'
---

## Looking for FY23?

To view the FY23 Marketing Plan, go here: [https://handbook.gitlab.com/handbook/marketing/plan-fy23/](/handbook/marketing/plan-fy23/)

## Overview FY22 Marketing Plan {#overview}

<!-- DO NOT CHANGE ANCHOR -->

The purpose of this handbook page is to align our marketing team on a single FY22 marketing plan. This page and the FY22 plan are intended to be an ongoing work-in-progress, contributed to by the entire team throughout FY22 to foster collaboration and focus.

Everyone can contribute. See something you'd like to discuss or iterate on? Start an MR and tag @jgragnola, @lblanchard, or @darawarde to assist with merging!

### Marketing Strategy

- Create the DevOps Platform Category
- Support sales in land and expand motion:
  - Bottoms up driving awareness in Developer and Operations professional personas
  - Tops down with purpose tops down marketing to owners of DevOps Tools, CTO, CIO, CISO, VP of Application Development
  - Land and expand requires both bottoms up and tops down

#### Marketing Pillars

1. Elevate our brand messaging and product positioning
1. Increase Funnel Volume to drive Pipeline
1. Maintain team member delight through strong collaboration and prioritization

### Goal of FY23 Marketing Plan {#goal}

<!-- DO NOT CHANGE ANCHOR -->

**Goals of FY22 Marketing Plan:**

- Simplify motions and increase collaboration with the 3 GTM Motions
- Continue to drive levers identified in FY21 Project Compass, including:
  - Scale ABM Program
  - Improve Inquiry to SAO conversion rates
  - Increase Free.com and open source conversion
- Align with sales with the 4x2 segment strategies
- Build partners into our marketing motions
- Help develop marketing team-members with training and mentoring

**Major market themes:**

- Define and win the DevOps Platform category
- Gain CI marketshare
- Build security into our motions as a key product differentiator
- Continue driving the All-Remote work thought leadership

**Timeline:** Ensure marketing alignment by end of February 2021

**Audience:** Marketing

- Note: alignment with sales, customer success, product, etc. is occurring, but the intended audience of this HB page is Marketing

**Measure:** How do we confirm everyone is aligned?

- [Trusted Data Sales Funnel Target vs. Actual](https://app.periscopedata.com/app/gitlab/761665/TD:-Sales-Funnel---Target-vs.-Actual): Trials, MQLs, SAOs, Pipeline
- [Marketing Key Review Dashboard](https://app.periscopedata.com/app/gitlab/775108/WIP:-Key-Monthly-Marketing-Metrics): Views, Traffic, etc.
- [Demand Gen Dashboards for Campaign Metrics](https://app.periscopedata.com/app/gitlab/793304/Demand-Gen-Dashboard)
- [Linear Attribution Tables](https://app.periscopedata.com/app/gitlab/556414/Marketing-Linear-Attribution)
- [WIP: SDR Efficiency Metrics](https://app.periscopedata.com/app/gitlab/641469/SDR-Metrics)

#### Overview Slides of FY22 Marketing Plan

Internal only - search for `GTM Slides - w Data`

### Sales and Marketing Alignment {#sales-marketing-alignment}

<!-- DO NOT CHANGE ANCHOR -->

- Quarterly Epic to present a proposed set of sales plays to deliver across the 3 GTM Motions
  - PMMs list their proposed sales plays along with expected delivery dates in the Epic
  - Sales Enablement (@dcsomers @tanuja) review the proposed delivery dates and add expected dates for enablement sessions.
  - Sales Leadership (@mpyle @ronell) review the proposed plays and approve or provide input/requests on changes.
  - If plans/priorities change they will be communicated at minimum via a comment in the issue/Epic as the SSoT.
- Once agreed between sales and marketing, add campaign and enablement dates to [calendar](https://docs.google.com/spreadsheets/d/1c2V3Aj1l_UT5hEb54nczzinGUxtxswZBhZV8r9eErqM/edit#gid=571560493&fvid=1300837366) as the SSoT

### TOPO Marketing Model {#topo}

<!-- DO NOT CHANGE ANCHOR -->

The TOPO Model is the agreed upon Finance/Sales/Marketing model that drives Marketing's goals for FY22, leveraging advisory services from [TOPO (now Gartner)](https://www.gartner.com/). In order to see the TOPO model please go to your [Google Drive](https://drive.google.com/drive/u/1/my-drive) and search for `FY22_Mktg Model_TOPO_Machado - PLAN LOCKED`.

On a monthly cadence, the **Marketing Key Review** will be used as the venue for tracking where we are year-to-date on the agreed upon plan.

### Marketing Budgets {#budgets}

<!-- DO NOT CHANGE ANCHOR -->

All FY22 Marketing budgets are loaded into Allocadia. Please refer to the [Allocadia handbook page](/handbook/marketing/strategy-performance/allocadia/) for more details on the tool.

### Glossary of terminology {#glossary}

<!-- DO NOT CHANGE ANCHOR -->

- <b>[GTM Motion](/handbook/marketing/plan-fy22/#gtm-motions)</b>: a set of sales and marketing activities and asssets centered around a [use case solution](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/).
- <b>[GTM Motion Core Team](/handbook/marketing/plan-fy22/#core-teams)</b>: a group of marketers as functional DRIs for specific GTM strategies, campaigns, and aligned Sales Plays
- <b>[Theme](/handbook/marketing/plan-fy22/#themes)</b>: time-bound "push" in marketing calendar (example: focus on Partner Showcase in a specific month)
- <b>[Solution GTM Strategy](/handbook/marketing/plan-fy22/#solution-gtm-strategy)</b>: a document that describes what problem the solution solves for customers, buyer personas, messaging, positioning, and relevant competitive points. This doc is used to inform content for the Sales Play (sales audience) and the GTM Motion campaign (marketing audience).
- <b>[Sales Play](/handbook/marketing/plan-fy22/#sales-plays)</b>: A repeatable set of steps a sales rep can take to drive revenue. The Sales Play document includes background information such as which company profiles and personas to target, messaging and positioning, and resources to utilize along with the specific steps to take.
- <b>[GTM Motion Campaign](/handbook/marketing/plan-fy22/#gtm-motion-campaign)</b>: campaign briefing document used to communicate relevant info to internal and external marketing teams to generate demand for solutions (aka GTM Motions) (aligned to sales playbooks).
- <b>[GTM 4x2](/handbook/marketing/plan-fy22/#gtm-4x2)</b>: document used to ensure that sales and marketing are aligned on all aspects of the strategy for different market segments
- <b>[Prescriptive Buyer Journey](/handbook/marketing/prescriptive-buyer-journeys/)</b>: content aligned to buyer journey stages, leveraged in email nurture, digital marketing, and more
- <b>[Project Compass](/handbook/marketing/plan-fy22/#project-compass)</b>:
- <b>[LAM](/handbook/sales/sales-term-glossary/)</b>: Landed Addressable Market; annual revenue opportunity of the entirety of GitLab's market within our current customer base
- <b>[ICP](/handbook/marketing/account-based-marketing/ideal-customer-profile/)</b>: Ideal Customer Profile; description of our "perfect" customer company, taking into consideration firmographic, environmental and additional factors to develop our focus list of highest value accounts
- **FIT Score**: a mathematical representation of how well a prospective customer fits within your ICP (ideal customer profile)

## GTM Motions {#gtm-motions}

<!-- DO NOT CHANGE ANCHOR -->

Based on discussions with Sales and Marketing leadership, feedback from Product & Product Management leadership and by consulting industry/analyst reports, we recommend that for FY22, our major GTM motions should be focused on **CI/CD**, **DevOps Platform**, and **GitOps**. The overall goal of our GTM motions and sales play initiative is to improve the predictability of attaining our FY22 New and Growth AR goals, and improve our GTM efficiency (e.g. CAC, Cost per SAO/CW). We will do this by concentrating our efforts on the most important GTM motions that align to customer's main business goals/needs. where GitLab has a distinct competitive advantage and with accounts that have the highest LAM growth potential.

To view the GTM Motions Googlesheet, please go to your [Google Drive](https://drive.google.com/drive/u/1/my-drive) and search for `GTM Motions FY22 Marketing Plan`.

The GTM Motions each include a [Core Team](/handbook/marketing/plan-fy22/#core-teams), comprised of functional DRIs for subject-matter specific teams within marketing. If your specific group is not listed as a Core Team, don't worry! Each team and each individual in Marketing plays an integral role in making the FY22 Marketing Plan a reality and a success. Please see more information in [GTM Motion Core Teams](/handbook/marketing/plan-fy22/#core-teams) and [Beyond the GTM Motion Core Teams](/handbook/marketing/plan-fy22/#beyond-core-teams) below.
All marketing team members should aim to focus ~70% of their time and plans around these GTM motions, allowing for ~30% of their time to be spent testing new messaging that's not a GTM motion.

### What is included in a GTM Motion? {#gtm-motion-includes}

<!-- DO NOT CHANGE ANCHOR -->

_The list below includes potential and recommended items to include in a GTM Motion, to assist with ideation at kickoff of planning. The Core Team - in collaboration across Marketing and Sales - will determine need and timeline for the items to be included, and may add additional items for which there is an oranized plan to leverage._

**Potential/Recommended Pieces of a GTM Motion:**

- [Solution GTM Strategy Doc](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/), including:
  - Buyer personas
  - Messaging and positioning framework
  - Market landscape
  - Product capabilities
  - etc.
- [Campaign Brief(s)](/handbook/marketing/plan-fy22/#gtm-motion-campaign)
- [Sales Play(s)](/handbook/marketing/plan-fy22/#sales-plays)
- Supporting content
  - Buyer journey content (including awareness, consideration, and decision)
  - Competitive assets
  - Analyst relations content and activitie
  - Customer references
- Alliance partner joint GTM campaigns and activities
- Channel partner campaigns
- Web ROI model
- [Sales enablement](/handbook/marketing/plan-fy22/#sales-enablement)

## Solution GTM Strategy

The GTM Strategy doc includes the background market information to illustrates the context and personas experiencing a problem that attracts budget and describes how our solution meets that need. GTM strategy docs, also refered to as [Use Case GTM pages](/handbook/marketing/use-cases/), are kept in the handbook.

## GTM Motion Campaign {#gtm-motion-campaign}

<!-- DO NOT CHANGE ANCHOR -->

A GTM motion can include one or more marketing campaigns. GTM motion campaigns can be designed to work independently or in tandem with an associated sales play. A campaign brief describes the tactics and channels to drive demand.

May include:

- Full-funnel integrated tactics
- Cohesive design throughout touchpionts
- Virtual events (webcasts/workshops)
- Prescriptive buyer journeys
- Email nurture series
- Digital promotion (paid social, GDN, etc.)
- Organized marketing channel mix (social, PR, community)
- Integrated messaging at relevant corporate events and Commit
- Definition of ABM intent triggers
- Focus account lists (in alignment with Sales, Channel, and Alliance Partners)
- Unified L2RM (Lead to Revenue Management) reporting/analytics
- Bizible/Marketo Reporting

## Sales Plays {#sales-plays}

<!-- DO NOT CHANGE ANCHOR -->

A sales play's intended audience is sales (SAEs, SAs, CSMs, SDR as applicable) to arm the sales teams as a part the outbound motion. In some cases, there will also be inbound marketing campaign component. The playbook prepares the sales person with both prescriptive actions to take as part of the outbound motion, as well as how to respond in the case of a supporting inbound marketing campaign.

The Sales Play should include (at minimum):

- Context (promise/offer)
- Who to meet with
- What to say
- What to show/info to use
- How to measure progress

Sales Plays should be delivered as a handbook page, or as an interactive guide leveraging PathFactory - or both.

To see the planned Sales Plays, see **column C** in [GTM Motions](/handbook/marketing/plan-fy22/#gtm-motions).

## Sales enablement to support a Sales Play and/or GTM Campaign {#sales-enablement}

<!-- DO NOT CHANGE ANCHOR -->

_The list below includes potential and recommended items to include in a Sales Play. Not all Sales Plays will include the full list, and the Core Team - in collaboration across Marketing and Sales - will determine need and timeline for the items to be included, and may add additional items for which there is an oranized plan to leverage._

**Potential/Recommended supporting sales enablement:**

- Sales play
- Sales play training (SDR, Sales, Partners)
- ABM named accounts, Focus Account Lists
- Target personas, key contacts, prospect criteria, and other competitive and intel sources
- Campaigns related to this Sales Play
- LinkedIn InMail campaigns/templates
- Email campaigns/templates
- Outreach guide with intro messages, objection handling, differentiation
- Recommended outreach sequences
- Pathfactory tracks for sales use (or use of _Pathfactory for Sales_ tool in SFDC)
- Video intros and other assets that can be sent by sales to prospects (referenced by sales play)
- ROI training and support, if relevant
- Sales Play specific SFDC Reporting

## GTM Motion Core Teams {#core-teams}

<!-- DO NOT CHANGE ANCHOR -->

- The Core Team's purpose is to collaborate on the research, positioning, messaging, general strategy, and overall timeline of the GTM Motion as well as related
Campaigns and Sales Plays.
- The Core Teams will determine a relevant and realistic timeline in line with overarching marketing themes, and including Campaigns and Sales Plays.
- Each team member should formally commit to due dates for their work.
- Each team member is responsible for communicating as soon as possible when a due date is at risk.
- The Core Teams are comprised of functional DRIs from teams aligned to product specializations (SMEs within their teams)
- The Core Teams will kickoff together with the freedom to drive their GTM Motions as desired and with a strong team-oriented approach
- The Core Teams will ensure nothing happens in a vacuum, by proactively integrating corresponding activities across marketing, and including those beyond the core team for input
- The Core Teams are responsible for clearly communicating plans to all of Marketing ([also see Core Team communication](/handbook/marketing/plan-fy22/#core-team-communication))

### Roles & Responsibilities {#roles-responsibilities}

<!-- DO NOT CHANGE ANCHOR -->

- **Team Captain:** Scrum Leader for the team Responsible for project planning and backlog refinement. Provides updates and participates in the scrum of scrums. Responsible for ensuring that due dates and timelines are defined and committed to by team members performing the work.
- **Product Marketing:** Responsible for the Solution GTM Strategy including narrative, messaging, and positioning. DRI for sales plays. Marketing DRI for Sales and SDR enablement . DRI for buyer and influencer personas. Responsible for fostering participation of the entire team in the research, positioning, messaging, general strategy.
- **Marketing Campaigns:** DRI for marketing campaigns, both for overall GTM motions and campaigns related to Sales Plays. Responsible for the production of lead generation campaigns and rallying relevant teams and team members to deliver integrated marketing plans.
- **Technical Marketing:** Responsible for technical narrative and value proposition. DRI for practitioner personas. DRI for Customers Success enablement including SAs, CSMs, and Support. Responsible for technical content production such as demos, blogs, workshops, webinars, etc.
- **Content Marketing:** Responsible for content strategy and production related to the GTM motions and collaborating with other teams on prescriptive buyer journeys.
- **Digital Marketing:** Responsible for digital strategy and defining ideal marketing channels to reach goals.
- **Brand:** Responsible for cohesive branded journey across all tactics and between GTM Motions.
- **Field Enablement:** Sales DRI for sales enablement and training, and collaborating with GTM core teams on launch timeline.
- **Sales Leadership:** Responsible for providing insight into the prioritization of sales plays.

### Beyond the GTM Motion Core Teams {#beyond-core-teams}

<!-- DO NOT CHANGE ANCHOR -->

**All teams play an _INTEGRAL_ role in reaching our marketing goals, regardless if they are on the Core Team or not.** Differences in team alignment (i.e. to segment/region) and approaches that will span and leverage all GTM Motions, are two reasons for teams being beyond the Core Teams.

If your team or name is not listed as part of the core team, don't worry! As part of this FY22 Marketing Plan, a keen focus is alignment and ensuring everyone across marketing is connected and collaborating. **If you would like to participate on a Core Team, you may do so - connect with the Core Team of interest to learn more about getting involved!** Anyone joining a Core Team will be expected to be an active contributor and participant.

### Core Team Communication {#core-team-communication}

<!-- DO NOT CHANGE ANCHOR -->

How to keep all teams in the loop will be a key responsibility of the Core Teams, and planning should not happen in silos. Continual communication of plans, progress, and how to leverage the GTM Motion collateral will be a key to success in the FY22 Marketing Plan.

The teams are encouraged to contribute ideas and processes for communication here in the handbook throughout FY22.

#### Slack Channels {#slack}

<!-- DO NOT CHANGE ANCHOR -->

- [#fy22-mktg-plan](https://gitlab.slack.com/archives/C01KWFD84EA)
- [#gtm-ci-cd](https://gitlab.slack.com/archives/C01DF0YMKCP)
- [#gtm-devops-platform](https://gitlab.slack.com/archives/C01NLEXE34L)
- [#gtm-gitops](https://gitlab.slack.com/archives/C0119FNPA84)

#### Synchronous Calls {#synchronous-calls}

<!-- DO NOT CHANGE ANCHOR -->

While the majority of GTM Motion work will take place asynchronously, aligned to GitLab's efficiency value, there are certain calls which will take place via Zoom.

**GTM Motion Kickoff Calls (in order of occurrence):**

- GitOps: 2021-02-23 (7 am PT / 10 am ET / 3 pm UTC)
- DevOps Platform: 2021-02-24 (7 am PT / 10am ET / 3 pm UTC)
- CI/CD: 2021-02-24 (8:15 am PT / 11:15 am ET / 4:15 pm UTC)

### Interlocked Teams {#interlocked-teams}

<!-- DO NOT CHANGE ANCHOR -->

Interlocking the teams across marketing will help foster the most collaborative and effective results. This section outlines specific processes and concepts for the activities we drive in Marketing.

The plans should be made in a collaborative manner to address in advance potential bandwidth contraints and discuss commitment from teams.

### Corporate Marketing {#interlock-corporate-marketing}

<!-- DO NOT CHANGE ANCHOR -->

In advance of a quarter, the Corporate Team will outline for the GTM Motions an update on upcoming events, their anticipated audience, and elements of the event. This will help the GTM teams to understand opportunities available to test messaging, promote demos and content, etc.

_These corporate events are high investment, and also high return, and this will show in the results of the GTM Team._

Upon communication of the events, a GTM Team will commit to the event and be responsible for supporting all requested issues.

A core need from the GTM Team is to develop IN ADVANCE a **cohesive** experience from the first email invitation or ad, to the final email follow up and SDR outreach.

These events are a great opportunity to test new messaging, discuss new product features and functionality, and share feedback across the teams to implement to overall marketing strategy and messaging as relevant. In some cases, we will have messaging that worked well in the past that we want to leverage again, and review and revise as needed.

**Responsibilities: Produt Marketing**

- Write cohesive event-specific messaging and positioning across event (emails, landing pages, ads, booth, promotional assets, etc.)
- Consult on topics, content, and activities at the event to engage the right personas and segements
  - example: for AWS re:Invent, PMM define the target personas, and suggest activities and topics to engage those personas
- Review email and landing page copy for technical accuracy and consistent messaging/positioning
- 60 second pitch (in collaboration with TMM)
- Recruit speakers for sponsored speaking sessions
- Outline virtual booth content
- Define survey questions, when necessary for virtual booths

**Responsibilities: Campaigns Team**

- Email communication and invitation strategy
- Review email communications, including invitations and follow up, for conversion best practices (subject lines, format, CTAs, design)
- Define follow up strategy via lead nurturing to heat up to MQL
- (Verticurl Agency) Tactical email setup in Marketo
- (Verticurl Agency) Tactical addition to nurture programs, until automated in revamped nurture Q3 FY22

**Responsibilities: Technical Marketing**

- Contribute to content to be used in virtual booth
- Define demo for booth
- 60 second pitch (in collaboration with PMM)

**Responsibilities: Digital Marketing & ABM**

- Digital Marketing: Digital Ads Strategy (Paid Search, Paid Social)
- ABM: Demandbase ABM targeting
  - For design isssue, is that opened by ABM

**Responsibilities: Brand**

- Support design and collateral needs
- Confirm cohesive brand experience throughout experience (from ads, to landing pages, to emails, etc.)

**Responsibilities: Content Marketing**

- Write email copy, aligned to overall messaging

**Responsibilities: Marketing Operations**

- Advise on Marketo program type when questions arise (taking into account scoring and program progression statuses)
- List upload(s) to Marketo programs
- Confirm Last Interesting Moments trigger appropriately, and leads increase in score based on automated scoring model
- (Verticurl Agency) Tactical setup of Marketo program and Salesforce
- Setting up Drift chatbot and tracking to set meetings in advance
- In-booth meeting setting processes
- Landing page setup (or digital experience?)
  - updated process needs to be defined

### GTM 4x2 - Strategy by Sales Segment {#gtm-4x2}

<!-- DO NOT CHANGE ANCHOR -->

The 4X2 goes into detail about differences in go-to-market by sales segment (Large, Mid-Market, SMB, and PubSec). The 4x2 includes overall business flows, new business motion overview, key measurements, and team-specific roles in the segment-specific GTM strategies.

To view the GTM 4x2 Googlesheet, please go to your [Google Drive](https://drive.google.com/drive/u/1/my-drive) and search for `GTM Motion Strategy Template (4x2)`.
<!-- Need more background here -->

## Themes {#themes}

<!-- DO NOT CHANGE ANCHOR -->

Themes will help us build a more cohesive story-telling approach, leveraging the GTM Motions and unifying our activities and messaging. Pulling together collective brainpower across the marketing teams and highlighting opportunities to leverage each team's plans and ideas will help to define our FY22 themes.

Themes are expected to be generated through the Core Team planning in kicking off the GTM Motions (all teams are welcome and encouraged to contribute to theme generation!)

_For example, if we want to celebrate our alliance partners in a specific month, we can identify that as a theme and determine how all teams can contribute to the plan and deliver a cohesive and organized approach._

## Project Compass {#project-compass}

<!-- DO NOT CHANGE ANCHOR -->

The Marketing Team OKRs should align to the intitiatives in Project Compass.

To view the Project Compass Googlesheet, please go to your [Google Drive](https://drive.google.com/drive/u/1/my-drive) and search for `Project Compass: Implementation - Sales & Marketing Levers`.

**Marketing Focus in Project Compass:**

- Improve SEO through content mktg. and website improvements
- Scale ABM program to include more enterprise accounts
- Expand email marketing campaigns
- Engage referral partners to drive web traffic (e.g., Stack Overflow)
- Improve inquiry to SAO conversion reducing drop-offs (Specifically, MQL to SAO conversion)

## SSoT All-Marketing Calendar {#marketing-calendar}

<!-- DO NOT CHANGE ANCHOR -->

In kicking off FY22, let's work together to create a single all-marketing calendar where everyone can contribute, and we can answer key questions (using filters) related to upcoming marketing plans. The calendar also lives at the top of the [Marketing Handbook Page](/handbook/marketing/#marketing-calendar).

### Mockup of All-Marketing Calendar {#marketing-calendar-mockup}

<!-- DO NOT CHANGE ANCHOR -->

In the future, the goal is to visualize these inputs in a calendar format with filters (based on columns in the doc) to allow the team to see the plans in Sisense. [View the Basic Mockup in FigJam!](https://www.figma.com/file/wxKZNk0ysJF77hTak9lNBn/Calendar-Mockup_2023-09-14_18-32-00?type=whiteboard&t=S9GSk8jFu3bJ28Iq-1)

Currently, the GoogleDoc has pre-set filter views to help you see plans by Region, Segment, etc. to be added by team members for their respective activities.

[Link to FigJam >](https://www.figma.com/file/wxKZNk0ysJF77hTak9lNBn/Calendar-Mockup_2023-09-14_18-32-00?type=whiteboard&t=S9GSk8jFu3bJ28Iq-1)

### Inputs to All-Marketing Calendar {#marketing-calendar-inputs}

<!-- DO NOT CHANGE ANCHOR -->

**Location for inputs: In your [Google Drive](https://drive.google.com/drive/u/1/my-drive), search for (and bookmark) `FY22 All-Marketing Calendar SSoT`.**

This is where all teams will input and categorize planned activities, content production, themes, and more - with filters that align to key pieces of information (GTM Motions, Alliance Partners, Sales Segments, Regions, Funnel Stage, Language, and more). This will be iterative and everyone should feel open to share their feedback and ideas - [comment in the issue to sare your thoughts!](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/734)

## Team-specific commentary on the GTM Motions {#team-commentary}

<!-- DO NOT CHANGE ANCHOR -->

Team leaders and team members should feel empowered to add to this section, providing examples and thoughts for colleagues. Use the code below to start your section and designate a clean anchor for the section.

```markdown
### Team Name {#commentary-team-name}

<!-- DO NOT CHANGE ANCHOR -->
```

### Field Marketing {#commentary-field-marketing}

<!-- DO NOT CHANGE ANCHOR -->

As a Field Marketer, you will be leveraging the GTM Motions in your regional strategy and plans*. You may determine that a certain GTM Motion will be more heavily leveraged in your region and/or help you reach your regional goals, and you are interested in joining the Core Team for that GTM Motion. Or perhaps you have a particular passion for a specific GTM Motion and want to be an active participant and contributor to the Core Team or a specific Sales Play. Great! Connect with the Core Team to get involved.

*You do not have to use all GTM Motions and you may go outside of these GTM Motions, although, as mentioned in the GTM Motions section, ~70% of your time should be spent focusing on the GTM Motions.

While the majority of Field Marketing activities should be focused on middle of the funnel activies (i.e. grabbing the leads from our [focus account list](/handbook/marketing/account-based-marketing/) (4300/4000) that are already in our system & pulling them through to SAO), there may be times where there is a gap in the focus account MQLs and Field Marketing will need to run a top of funnel campaign with the main goal being SAOs that support the Field Marketing FY22 goals. When Field Marketers run top of the funnel campaigns, they need to be sure to collaborate with the campaign manager aligned to their segment. This should be done to ensure there is alignment and that there is no overlap in team plans. This can be done in the bi-weekly FMM/MCM meetings that take place. There is not a formal approval process that the Field Marketer needs to go through with the campaigns team. There is much power in the teams working together and we already seeing the success of this happening!

### Campaigns Team {#commentary-campaigns-team}

<!-- DO NOT CHANGE ANCHOR -->

As a Campaign Manager, you have a challenge on your plate: to plan and report from the perspective of GMT Motions, AND to plan/report from the perspective of your segment/region to ensure lead flow aligned to sales targets is on track. You will be an active contributor to a Core Team by sharing insight into existing data from the GTM Motions to-date; organizing and communicating existing buyer journeys, content, and nurture emails; and strategizing/communicating top funnel activities for FY22.

You will be expected to become a subject matter expert of the GTM Motion as a Core Team member and ensure the Demand Generation team is up-to-date with what is planned for the GTM Motion (so that team members can best leverage the GTM Motions within their top-funnel campaign plans by segment/region.

## Project Management {#project-management}

<!-- DO NOT CHANGE ANCHOR -->

The GTM Motions will each have an epic, where all teams can reference plans and the issues (i.e. action items) to accomplish the plans. We will be making use of 2 week milestones (Marketing - 2021-MM-DD) as well as GTM Motion labels for each team. The teams themselves will decide how often to have stand-ups, whether live or through slack, as well as any other synchronous calls.

- The "Scrum of Scrums" kanban issue board is based on the GTM Motion labels and can be found at the gitlab.com level under GTM Motions FY22

- Main Epic: [https://gitlab.com/groups/gitlab-com/marketing/-/epics/1785](https://gitlab.com/groups/gitlab-com/marketing/-/epics/1785)
  - CI/CD Epic: [https://gitlab.com/groups/gitlab-com/marketing/-/epics/1821](https://gitlab.com/groups/gitlab-com/marketing/-/epics/1821)
  - DevOps Platform Epic: [https://gitlab.com/groups/gitlab-com/marketing/-/epics/1822](https://gitlab.com/groups/gitlab-com/marketing/-/epics/1822)
  - GitOps Epic: [https://gitlab.com/groups/gitlab-com/marketing/-/epics/1823](https://gitlab.com/groups/gitlab-com/marketing/-/epics/1823)
