---
title: Prescriptive Buyer Journeys
description: Prescriptive Buyer Journeys
twitter_image: /images/tweets/handbook-marketing.png
twitter_site: '@gitlab'
twitter_creator: '@gitlab'
---

## Overview {#overview}

In relation to the [FY21-22 Segment Marketing Plan](https://docs.google.com/presentation/d/1p4EmaoSb35d8ZnjKags1gUGF5T9afJW6RhBO8TR_VgA/edit#slide=id.p4), the prescriptive persona-based buyer journeys is as a collaborative effort across all Marketing teams to build cohesive prescriptive persona-based buyer journeys, aligning messaging, channels, content, and offers based on the stage of the buyer journey (placement in the funnel).

## Key documents {#key-documents}

### Epic: Prescriptive Persona-Based Buyer Journeys

[Epic: Prescriptive Persona-Based Buyer Journeys](https://gitlab.com/groups/gitlab-com/marketing/-/epics/1530)

### Meeting recordings {#meeting-recordings}

* [High-Level Content Collaboration](https://www.youtube.com/watch?v=747SlJE4pcA&feature=youtu.be) - [meeting notes](https://docs.google.com/document/d/1xovVtczdg86gFZEpO9ZmHykgNty4HRAIzVIt8Fa21sY/edit)
* *Enterprise Buyers Journey Mapping (multiple sessions)*
  * [Alignment: Campaigns + Digital](https://youtu.be/Ms0ivTdvrQk) - [meeting notes](https://docs.google.com/document/d/1TVeKfZRtvzxwrKkv6ZLA7ZRNRvuPWoRMMf1RYpBnJU4/edit#heading=h.6nrx6cdzbu7t)
  * [Alignment: Campaigns + Digital + Content + PMM](https://youtu.be/xnA9yLGSVls) - [meeting notes](https://docs.google.com/document/d/1TVeKfZRtvzxwrKkv6ZLA7ZRNRvuPWoRMMf1RYpBnJU4/edit#heading=h.xl5ebrmg5mmn)
  * [Alignment: Campaigns + Digital + FMM + ABM](https://www.youtube.com/watch?v=c2dVexajB0Q&feature=youtu.be) - [meeting notes](https://docs.google.com/document/d/1TVeKfZRtvzxwrKkv6ZLA7ZRNRvuPWoRMMf1RYpBnJU4/edit#heading=h.4o9arw83ja1r)
  * [Alignment: Campaigns + Partner Marketing + PMM](https://youtu.be/SQ5JaIPzYfU) - [meeting notes](https://docs.google.com/document/d/1TVeKfZRtvzxwrKkv6ZLA7ZRNRvuPWoRMMf1RYpBnJU4/edit#heading=h.4o9arw83ja1r)

### Diagrams and GDocs {#diagrams-docs}

* [Figjam: Enterprise Buyer Journey](https://www.figma.com/file/loQkKtgIMPPtBP8wZXhKZ7/WIP-ENT-Buyer's-journey-map-brainstorm_2023-09-14_18-30-08?type=whiteboard&t=S9GSk8jFu3bJ28Iq-1)
* [Content slotted into Enterprise Buyer Journey - Use Cases (GDoc)](https://docs.google.com/spreadsheets/d/1MYGePezz7666yXJJNRkif0ekJwxnIoJMBgFPshOm1IY/edit#gid=1067806853)
* [Content slotted into Enterprise Buyer Journey - Competitive (GDoc)](https://docs.google.com/spreadsheets/d/1MYGePezz7666yXJJNRkif0ekJwxnIoJMBgFPshOm1IY/edit#gid=1974717369)
* [PF Track organization and rollout (GDoc)](https://docs.google.com/spreadsheets/d/1MYGePezz7666yXJJNRkif0ekJwxnIoJMBgFPshOm1IY/edit#gid=1504719228)

## How are prescriptive buyer journeys used? {#how-are-they-used}

The prescriptive buyer journeys are the foundation for our demand generation strategy. We map the content offers that are most relevant to the persona based on stage in the funnel (awareness, consideration, decision/purchase). Tapping into our Marketo segmentations and building out targeting logic for our nurture engine will allow us to send the right offer to the right persona at the right time, based on their previous engagement and funnel stage.

*For example, if they are at an Inquiry state (Top Funnel) and have previously engaged with CI content, they would receive consideration stage CI content to help them learn more about GitLab and progress to an MQL status, to be followed up with by SDRs.

The first iteration of building these prescriptive buyer journeys was a highly collaborative effort of mapping existing content. The process has helped to identify content gaps and reasoning for persona storyboards to dig into the perspective of the buyer, and *then* build content to the needs of the buyer in the given stages.

## Content Mapping {#content-mapping}

In today's digital-first world, customers expect flawless omnichannel experiences. From seeing an ad on their mobile phone to interacting with our website to speaking with a sales representative, we need to ensure that there is cohesion across every interaction. By creating a full-funnel content journey map, we look at the lifecycle of a customer—from first interaction to closing a sale*—and outline the narrative we want to tell. This narrative is our blueprint for content creation and campaign planning.

Designing a full-funnel content journey enables us to serve more relevant content to our potential customers resulting in faster conversion times. Creating a repeatable process for this ensures we can quickly iterate and create new content journeys for specific personas and industries.

The following documentation covers how to design a full-funnel content journey including who is involved and what needs to be done at each step.

**This can be expanded to retention after a marketing proof of concept cycle is completed.*

## Sequence of Actions {#sequence-of-actions}

1. Create an Epic. Provide target audience detail and campaign requirements. Include campaign strategy, channels, and any major event or news dependencies.
1. Host & record a cross-functional kick-off call to introduce the project requirements and discuss timeline. Focus the kick-off call discussion on themes and surfacing potential cross-functional alignment; set aside 30 minutes for creative brainstorming. The kick-off call should be scheduled a quarter ahead of the campaign launch date. This gives content creators time to storyboard and produce content.
1. Fill out the positioning matrix (TODO add link to tab in campaign GNATT template). Time box to seven working days.
1. Complete the storyboard. Strategic marketing writes the first draft, content marketing provides sub-edits (big picture/structural review) and feedback, strategic marketing revises, and finally, content marketing copyedits the final draft. Time box to seven working days.
1. Perform a content gap analysis to fill the storyboard with content. First, identify your "big rock" assets to be used as digital offers (eBooks, webinars, white papers, reports). Identify existing content that can be used as-is or revised for the campaign and net new content needs. Try to limit the amount of net new content per campaign. Focus on one or two impactful assets that can enjoy a long shelf life and be easily repackaged. Time box to seven working days.
1. Content pods create/repurpose/update content to fill the storyboard with content. This work will take the bulk of the quarter.
1. Create PathFactory tracks, nurture emails, and update web pages with new offers.
1. Launch the campaign.

## Content Working Groups {#working-groups}

A content [working group](https://en.wikipedia.org/wiki/Working_group) is a cross-functional team aligned to messaging, content strategy, and content creation for a single campaign or event. The members of a content working group can vary based on the campaign but a standard group may include: a program manager, a subject matter expert, a content strategist, a technical expert, and a designer. More complex, web-based projects may include a UX strategist and a web developer.

* **Content Strategist:** The content strategist is responsible for the overall content experience; they are focused on the flow and packaging of content. The content strategist is the DRI for content strategy, for final content asset output, and for finalizing content offers & tracks.
* **Designer:** The designer is responsible for the visual experience; they are focused on the look and feel of content. The designer is the DRI for brand strategy, for creative themes, and for creative assets.
* **Program Manager** The program manager is responsible for the overall digital experience; they are focused on the delivery and tracking of content. The program manager is the DRI for the campaign strategy, for channel distribution, and for reporting.
* **Product Marketer:** The product marketer is responsible for the go to market strategy; they are focused on the targeting and positioning of content. The product marketer is the DRI for messaging, for content creation, and for subject matter expertise.
* **Technical Marketer:** The technical marketer is responsible for practical application strategy; they are focused on the technical depth and accuracy of content. The technical marketer is the DRI for practical application scenarios, for content creation, and for product education.

This list can be expanded to include brand awareness after a successful proof of concept.

## Scheduling a Kick-Off Call {#kickoff-call}

The Marketing Programs Manager is responsible for scheduling and leading the kick-off call. The call should be scheduled no later than 2 weeks before the start of the quarter and three months before the campaign launch date. This ensures the teams have time to review and provide feedback on the proposed requirements and audience targeting information before starting the work, and it ensures enough time for content creation.

The kick-off call should include at least one contributing representative from each team and the team leads. Marketing Program Managers are responsible for creating the agenda and preparing the following ahead of the meeting:

* Campaign brief including detailed targeting information
* Proposed project timeline including key delivery dates
* Digital journey map
* Links to storyboard and content journey workspaces

Record the call and share the recording in the #marketing channel in Slack.

## Identifying your Audience {#audience-identification}

The storyboard template is intended to make it simple to adapt our messaging and use cases to specific audiences. Each new content journey we create should be rooted in a use case and targeted to a specific persona. We can tailor a content journey based on the following targeting information:

* Segment: What size company are targeting?
* Persona(s): Who are we talking to?
* Use Case(s): Which use cases are most relevant to this persona?
* Region: Where are we targeting? Is this a US-specific campaign or a localized campaign?

If there are multiple personas to target, the digital journey map should identify who we are speaking to per channel.

## Positioning and messaging {#positioning-messaging}

TODO strategic marketing fill in

## Storyboarding the content journey map {#storyboarding}

Through storyboarding we look at the end to end content journey and outline the story we want to tell. This narrative is our blueprint for content creation. Start by making a copy of the [content journey mapping template](https://docs.google.com/spreadsheets/d/1zij_-GEF1t50N_vdCN58agnyDSvLBel9rftkSxaA2U8/edit#gid=1908591985). Write the sequence of messaging that will move the prospect across the stages of the buyer's journey. Each message should clearly state the key takeaway you want to provide.

### How to use the storyboard template {#storyboard-how-to}

The first step to creating a full-funnel content journey is to storyboard the narrative. The audience you are targeting is the main character of the narrative, and the content you create is the plot. Use the following story arc as a guideline for creating the narrative:

#### Story Arc Guide {#story-arc-guide}

| Stage | Problem |  Plan |  Success |
| ------ | ------ | ------ | ------ |
| **Awareness**| 1. Define and describe the business problem they are facing.  Help them realize that their pain is actually a problem that can be solved. | 2. Their peers have successfully solved the problem - they too can have a plan.  Give them hope that a solution is in reach. | 3. Show them the path to overcoming the problem (process, tools, etc).   They now can take action and start to address their challenge. |
|  **Consideration** | 4. Where should I get started solving this problem? There are so many choices. | 5. How can I compare the different options.  What's the best approach?  Is there a best solution?| 6. I need to be positive that this is the right solution / approach.  Are there proof points where others like myself have overcome this problem |
|  **Purchase** | 7. Convince my boss (procurement, legal, etc.) of the choice. | 8. Demonstrate and prove the business value of changing.  ROI of investing and making a change. | 9. How can I quickly get started and showcase immediate wins. |

Using the template below, write down the message you want to convey at each stage of the funnel.

Each stage has three message columns. When reading across the columns a story should emerge. The last column, labeled *bridge* and closing message should unite the current and next stage messages. A *bridge* message can also be used to introduce a new use case. For example:

1. An awareness stage bridge message may show how someone can solve a problem using GitLab technology. It doesn't explicitly call out the benefits of GitLab.
2. A consideration stage bridge message may show how a customer achieved success with GitLab. It explicitly calls out the benefits of GitLab.
3. A purchase stage closing message may calculate the ROI of implementing GitLab. It explicitly demonstrates why their purchase is a good investment.

**Content journey mapping:** Make a copy of the content journey template. Start by matching existing content to each message in the storyboard. The key takeaway of the suggested content should match the key takeaway of the message. If not content exists, make a plan to create it.

It's critical that the message and content are tailored specifically to the target audience. Avoid diluting the message and experience by loosely fitting existing content in the journey. The content should suit the message exactly. If content does not exist, notify the Marketing Program Manager (project manager) and make a plan to create that content. This may affect the project timeline.

### Performing a content gap analysis {#content-gap-analysis}

The content gap analysis determines which content will be used in the campaign and guides new content production. Missing campaign content is prioritized for production.

### How to use the content journey template {#content-journey-how-to}

Once you have completed the storyboard exercise, it's time to find content that maps to the story. Make a new tab in your spreadsheet so that you have the two templates side by side.

Begin by filling in each offer. Offers should be high-impact content that can be put behind a gated or form-fill. For example: eBooks, whitepapers, webinars, maturity models, analyst reports, videos, case studies. The content may or may not be gated as part of the digital experience. The content you choose for each offer should convey the message you wrote in the storyboard exercise. This may mean either altering existing or creating net new content.

Next, choose your supporting content assets. These can be any type of content and should reinforce the main message. For example, if your message is "I need to learn how to code" and the offer is an eBook on Coding 101, your supporting assets may be a blog post walking through a practical application and a video highlighting the key takeaways from the eBook.

Avoid reusing content in the same content journey.
