---
title: "Ashley Kramer's README"
description: "Learn more about working with Ashley Kramer, Interim Chief Revenue Officer and Chief Marketing & Strategy Officer"
---

## Why I'm at GitLab

While I am a sales and marketing leader today, I started my career as a software developer. It was hard for many reasons. From learning and managing lots of tools - to balancing solving complex problems with mitigating tech debt - all while making sure your code is secure. I later moved on to run product and engineering teams and solved major problems in our software quality and security by becoming a GitLab customer.  I feel fortunate every day to spend my time solving the major challenges in delivering software innovation for DevSecOps professionals. I have great empathy for the hurdles they face, as I’ve been in their seat before. 

I love connecting with our customers, partners and community to hear how they are transforming their software innovation - from how people work, to the processes they follow, and of course, the technology they use - all with GitLab! I believe GitLab can help every company in the world deliver secure software faster, and I couldn’t be more excited to partner with them on their journey. 

In my time at GitLab, I’ve had the privilege of leading the marketing and strategy organizations as CMSO. Additionally, I ran the R&D organization in 2022 as Acting CTO and am currently responsible for leading the field organization as Interim CRO. I’ve always said that in software, you are either building, supporting, or selling to customers, and I feel honored to have the opportunity to experience all three in my time at GitLab. Because of this and my past roles leading product and engineering teams and being a GitLab customer, I am able to have real, strategic conversations with customers, dive deep into the technical details when needed, and ultimately, lead the effort to deliver a best in class GTM machine.

My passion is spending time with customers, understanding their challenges, and helping them find solutions that uniquely work for their organization. In a world where customers are looking to consolidate their DevSecOps toolchain while also finding more efficiencies and cost savings, GitLab is the perfect solution to help them deliver secure software faster. 

This README is meant to help anyone who needs to work with me by providing a brief overview of what is important to me. You can also learn more about me from my [interview on Kleiner Perkins' Grit podcast](https://www.youtube.com/watch?v=shB-RiW0KtU).

## My Personal Values

1. **Trust** - Trust has always been critical to the relationships I build and is a “must-have” for my relationships to thrive. You will hear me tell anyone who asks what my leadership style is - trust but verify - which is an excellent way to avoid micromanaging. 
1. **Achievement** - I am very driven by the desire to reach goals, excel and win. However, I do not thrive on competing against others individually…winning to me is a team sport. I want to achieve together as a team - that’s when I feel the absolute best. This is deeply rooted in my upbringing of playing soccer - through college. It’s a team sport, and you win together.  I translate all of that to how I lead teams professionally.  If someone is struggling, the team should be there to lift them up, step up when needed, and get through the challenges together. 
1. **Connection** - I thrive on getting to know people better and building relationships. It will not be unusual for a coffee chat to turn into 10 minutes of talking about your dog if she walks into the room. Or for me to be the last to leave a team get-together - which drives my husband crazy at President's Club every year! Getting to know someone better and what interests and drives them makes me a better leader and peer. Everyone is different, and understanding that side of a person can help me understand how they need me to manage them to be more successful in their role. 

## My Super Powers - how you can get the best from me

1. **Dedication** - To feel fulfilled, I am constantly setting clear goals and working hard to execute against those goals while also focusing on personal growth. If I commit to something, I will stay dedicated to delivering or holding myself accountable if I cannot. I believe you can only achieve great things if you stay dedicated, disciplined, and focused. 
1. **Strategic Thinking** - I always like to start with the end in mind. Doing this and being a constant learner helps me identify patterns when others often see complexity. I am not a huge fan of short-term solutions and will always want to know “what will this mean in 3+ years?”.  
1. **Leadership** - I believe that teams, not individuals, win the game. I spend a lot of time understanding what teams need to gel together properly. I find it critical to spend the time necessary to build teams that work well together, mentor them to grow together and I always bring in team coaches to help. My leadership style is one of empowerment, where I trust my team to make decisions and take ownership of their work while providing support and guidance when needed.  The best teams run autonomously and need their leader for high-level strategic thinking and support.. 

## My Weaknesses

1. **Driver** - I tend to move fast, and I don’t always take the time to explain the reasoning thoroughly enough. Sometimes I need to slow down a bit and take more time to bring others along. I love problem-solving and finding solutions fast, but I will never be successful if others aren’t along on that journey.
   1. How to help me manage this:  Please always let me know if you see this happening and need me to slow down. I’m always happy to spend more time bringing you along. 
1. **Curiosity** - I ask a lot of questions. I want to learn. This can make people feel like I am questioning their work, which is not the case. I also don’t want to slow you down as a result. 
   1. How to help me manage this: Please let me know if you need more context behind why I am asking questions and I am happy to explain the reasoning - which often will be, I’m learning!
1. **Impatience** - Because I value achievement and enjoy working hard, it can lead to me being impatient while waiting for results. This is where clear communication and transparency will go a long way. Open communication is key  - early and often -  to both help me understand how I can help and learn more about why something may not be delivered on time. 
   1. How to help me manage this: Clear communication will help us work better together. Please expect the same from me. 

Now that you know, if any of this is happening in our interactions, please let me know. I welcome and appreciate feedback and want to foster a culture of open and productive dialogue where everyone can be the best version of themselves!

## My Expectations of Everyone (including myself) 

1. **Act as a team, always**: I believe in teamwork and lifting each other up to be better. Toxicity and drama will not settle well with me. I strive to cultivate a culture that makes it fun to come to work - together - even on the hard days.
1. **Elevate each other**: The best team members and teams work hard every day to elevate each other. It’s on each of us to do this every day. My biggest demotivator is finger-pointing. Consider, instead, speaking directly with the person you are having a conflict with, offering support or advice, and resolving the dispute directly. Your leadership is always there in the case you cannot come to a resolution together. In my experience, resolving directly works in 90% of the cases and builds stronger bonds to move us forward. 
1. **Challenge each other (and me!)**: I said this to the marketing and strategy team on my first day at the company - I LOVE being challenged. However, I speak with confidence and conviction, which can lead to people believing I do not want to be challenged. I try to be sure to ask  - what do you think, do you agree? But if I am super convinced and passionate, I may miss that step. Stop me, challenge me, and we will go far together. I love being wrong and admitting it, as that means many minds are coming together, and we will grow faster that way. 

## My Role

I am the Interim CRO and CMSO of GitLab; here is what I do in 1000 words or less that is unique to my role: 
**Lead the teams that build and execute on our strategy to market and sell GitLab’s DevSecOps platform and support customers along their adoption journey to drive value and positive outcomes.**

## Communication Preferences

1. The easiest way to reach me is Slack. I typically respond within the work day and often save messages that need more thought for “Later.” So please do not get worried if I do not respond immediately.
   1. It becomes hard to track a lot of direct DMs, so when possible, use our private and public group channels to communicate.
1. For anything that needs review, please leverage the #cmo channel (if it does not regard MNPI ) and reach out to my EBA directly for anything that does contain MNPI.
1. For urgent matters, texting  or calling (my mobile number is in my Slack profile) is best, as I will see that first when coming out of customer meetings.
1. Long emails and Slack messages take time to digest, along with many other things going on daily. I would ask my team to stick to the - 3 important bullet points when sending Slacks and emails. 
   1. Please ensure the “ask” is clearly stated in your messages. 
1. To set customer meetings, 1:1s, coffee chats, and internal meetings, please reach out to my EBA in the EBA-team channel. 

## Expectations - What I need from you. What you will get from me

1. I expect peers to work to solve problems together and only escalate when a resolution can not be reached. I promise to do the same. 
1. Please send things that need my involvement early and often. Receiving requests to review at the last minute will not give me enough time to provide feedback properly. 
1. I live for efficiency and do not believe in large meetings where many people multitask. Please make solid use of my time in meetings (as that means I am not in front of customers), and I will do the same for you.
1. The power of thanking teams cross-functionally should be more valued. I will do my best to thank teams and team members in other orgs as often as possible. I would love to see the same from you.
1. If you tell me you will do something, I expect you to do it to the very best of your ability on time. I will, too.
1. I work fast and often. I respect that not everyone is wired the same way, and I do not expect the same from you. However, communication is key to knowing why you can’t hit a milestone we’ve set or when you do not feel enough balance with your work. 

## FAQs

1. How do you manage your time given multiple roles?
   1. I have an incredible team who are experts in their respective functions, who support each other, and work together and cross-functionally, in service of driving results for customers. This gives me the privilege of taking on additional roles and responsibilities. 
1. What do you do for fun?
   1. I love playing pickleball and golf, boating, and spending time with family.
1. What’s the best career advice you’ve received?
   1. My (second) CEO at Tableau gave me advice/feedback that I still think about to this day. He told me - *your bar is extremely high and your tolerance is low for people that don’t operate the same.  To be a better leader, you have to learn that not everyone is wired the same and you cannot get frustrated with them. You will never lead a team or company of thousands of people just like you.* This is why I try my best to learn and understand people better and what makes them tick to be a more effective leader for them - even if they aren’t like me. 
1. What advice would you give your 20-year-old self?
   1. Take time to enjoy the ride. I have traveled almost all of my career and missed out on so many great opportunities. You don’t have to rush back to the hotel to get more work done every night. Take a walk. Learn more about the culture. Stay a day later and sightsee. Go out with the local team. This perspective has changed the way I view work travel for the better. 
   