---
title: "Brian Tabbert README (Director, Sales Development (AMER))"
description: "Learn more about working with Brian Tabbert"
---

## Brian Tabbert's README

### About Me

Hi there! I'm Brian. My last name is Tabbert, pronounced "tab" like the key on your keyboard combined with "bert" as in "Bert and Ernie." Although my sister and I have always joked that we should follow Stephen Colbert's lead and pronounce it "tab air," which is much classier.

I live in Indianapolis, Indiana, USA with my wife and twin daughters, who take up a majority of my free time. Otherwise I am a sports fanatic, particularly basketball, baseball and American football. My biggest passion is Indiana University basketball.

### Strengths

- I am extremely [Concrete Sequential](https://web.cortland.edu/andersmd/learning/gregorc.htm), which means I thrive in situations that contain order, structure and logic.
- I am very analytical and data-driven. Put problems in front of me that deal with numbers and tangible parts.
- I am a [Cool Blue](https://blog.insights.com/en-us/blog/the-essential-guide-to-insights-discovery-colour-energies-and-how-to-use-them-at-work). The more detailed you can be in your communication, the more useful I will be to you. Expect me to take time to make sure I have considered all available information and then come back to you with a measured response.

### Assessments

My CliftonStrengths results suggest that I lead with **Executing** themes, which help me make things happen.

My top five individual strengths are:

- **Consistency** - You are keenly aware of the need to treat people the same. You crave stable routines and clear rules and procedures that everyone can follow.
- **Analytical** - You search for reasons and causes. You have the ability to think about all of the factors that might affect a situation.
- **Focus** - You can take a direction, follow through and make the corrections necessary to stay on track. You prioritize, then act.
- **Discipline** - You enjoy routine and structure. Your world is best described by the order you create.
- **Competition** - You measure your progress against the performance of others. You strive to win first place and revel in contests.

### Leadership Identity

If I could sum up my leadership style in two words, it would be "trust" and "accountability." I trust and expect members of my team to be self-motivated and able to effectively carry out their job duties without constant oversight. That being said, I "inspect what I expect" and will hold team members accountable when necessary, and expect my leaders to operate the same way.

I consider myself an empathetic person and leader, capable of putting myself in other peoples' shoes. As a result, I place a premium on two-way feedback, holding regular 1:1s with both my direct and indirect reports and making sure their voices are heard. In addition, I know that being an employee of GitLab is one of multiple roles that people hold and is nobody's entire identity. As such, life happens and I choose to give people grace to be human beings.

I am a detailed communicator and value transparency. I will always err on telling you more than you need to know rather than not enough. I have an "open-door" policy and will always prioritize my people if I am not otherwise engaged.

I am extremely data-driven. While not beholden to it, I consult and leverage data when making decisions. I rarely "fly by the seat of my pants" and change course based on feel. My goal is to use data to set my team up for success, using all available information to put them in the best possible position to execute and deliver results. Measure twice, cut once.

### Communicating with Me

I'm a pretty informal communicator who values responsiveness, and you can expect a speedy reply from me if I am not otherwise occupied. The more detailed you can be in your communication, the better. Based on the scope of the topic, I'm always open to Slack, video huddle, scheduled Zoom call, or Salesforce Chatter. Feel free to book meetings with me over free slots on my calendar without needing to confirm if it will work, but please be mindful of my working hours. I have hard starts and stops for my kids.

I am always looking to improve myself and my team and am always open to feedback. Please (a) be constructive and (b) consider the privacy of others when deciding to share feedback in a group setting or 1:1.

### How Sales Development Contributes

Our department helps GitLab deliver on overall business goals by initially qualifying prospective and existing customers and connecting them with Sales team members. We do this through articulating GitLab's differentiated platform vision and value in our customer outreach, driving Security adoption by positioning Ultimate as a solution, and introducing new capabilities to the market such as our Duo suite.
