---
title: "Christine Lee README (VP, Marketing Ops & Analytics)"
description: "Learn more about working with Christine Lee"
---

## README: Christine Lee

👋 I'm Christine! This page is intended to help others understand what it might be like to work with me, especially people who haven't worked with me before. It's also an effort at building trust by being intentionally vulnerable, and to share my ideas of a good working relationship.

Please feel free to contribute to this page by opening a merge request.

## About Me

- I grew up in Alpharetta, Georgia (a suburb near Atlanta), and went to college at MIT in Cambridge, Massachusetts, where I studied Materials Science & Engineering.
- I have lived in the San Francisco Bay Area since 2009. It feels like home now, though I still visit my family in Atlanta often.
- I live in San Jose, CA with my partner Dennis and my two pet bunnies, Cinnabun and Teddy.
- I currently lead our Marketing Ops & Analytics team at GitLab, which comprises of [Marketing Ops](/handbook/marketing/marketing-operations/), [Marketing Analytics](/handbook/marketing/strategy-performance/), and [Globalization & Localization](/handbook/marketing/localization/).

## Strengths

- **Problem Solving**: I am a problem solver at heart and get the most job satisfaction when I am working on challenging projects with people I enjoy working with. I think critically and try to understand "the why" behind "the why".
- **Organizing**: My natural tendency is to organize chaos, i.e. bringing structure and clarity to unstructured or ambiguous situations.
- **Collaboration**: I enjoy working with diverse teams to accomplish a goal. I strive to ensure that team members can contribute with their individual strengths, so that we can collectively get to the best outcome. I find great satisfaction when we have globally optimized as a team to do what's best for the whole. I am equally happy leading or contributing to an initiative; I care little about power and have [no ego](/handbook/values/#no-ego).
- **Communication**: I communicate clearly and in a structured way. I think about how to deliver messages in the most effective way to various audiences. I value context and try to share as much as I can without causing information overload. I am able to simplify and explain complex concepts.
- **Persistence**: I don't give up easily. I am meticulous and will sweat the details.
- **Care**: I care a lot - about the integrity of my work and the people that I work with. I will often put extra effort into work and work relationships.
- **Trust**: I have been told that I am easy to trust. I believe this comes from having good judgment and self-awareness, holding myself accountable, and being genuine and authentic. I like to "keep things real."

## Growth Opportunities (and how you can help me)

- **Balance**: I am easily consumed by things when I am focused on them, and tend to go full-force. This can sometimes cause me to lose balance (e.g. experiencing burnout) or lose perspective. It can also come off as intense / serious to others.
  - How you can help me: Please make me aware and remind me to rest or take time off. If my intensity is too high, let me know so I can dial it back a bit.
- **Overthinking**: When I encounter situations where I can't figure out the "why" behind something is happening, or if decisions appear to be illogical, my brain goes into overdrive to try to make sense out of the situation.
  - How you can help me: [Say why not just what](/handbook/values/#say-why-not-just-what). Feel free to tell me "you might be overthinking."
- **Solutioning**: Because I gravitate towards problem solving, I sometimes jump to solutioning instead of listening. I am an active listener, but sometimes I cut people off too early.
  - How you can help me: Please don't be shy to point this out to me, for example "I just wanted to vent for a bit, before solutioning."
- **Risk-Averseness and Decisiveness**: At the same time, my analytical nature sometimes causes me to be slow to make decisions, so that I can gather more information to inform that decision. I can often see both sides of a situation, which can make me seem like I lack conviction. I am risk-averse by nature and sometimes need to be pushed to take calculated risks.
  - How you can help me: If you are asking me for a decision, please come with a few options laid out and a preferred option if possible.
- **Saying no**: I have trouble saying "no" and this can lead to me taking on too much at times.
  - How you can help me: If I'm agreeing to take on something new, please ask me what I'm deprioritizing to help force me think about my capacity.
- **Communicating excitement**: I don't naturally exude high energy in how I communicate - my friends joke that I have [Eeyore](https://miro.medium.com/max/800/0*ZU-aS7kBuJucwIMQ) energy. Sometimes I am actually quite excited about something, but this doesn't come through in how I communicate.
  - How you can help me: If you feel I should have been more energetic in communicating something exciting, or notice that this is bringing down the mood in a team setting, please let me know.
- I can't get control of my browser tabs. If anyone has tips on this, please let me know. :)

## Working with me

- **What gives me energy**:
  - Working on challenging problems with people I enjoy working with. I take my work seriously, but I also like to have fun while doing it!
  - I am action-oriented and driven by achieving impact and results, both individually and as a team. When I don't have this, I spend most of my energy figuring out how to fix this.
- **What takes energy**:
  - Repetitive tasks and "checking the box" vs. working on more impactful things.
  - I have low tolerance for drama. We work on challenging problems already, so when there is drama that adds unnecessary complexity, I have little patience for it.
- **Availability**:
  - I typically work from 8am/9am to 5pm/6pm PT. I can take meetings as early as 7am PT but I try to limit them if possible as my brain doesn't work as well at that time.
  - I am a night owl and am often most productive late at night. If I send messages in the evening, I don't expect a response until working hours. I try to use delayed message send as much as I can when I do this, but sometimes forget.
- **Communication and Meeting Preferences:**
  - I prefer Slack and I try to respond as quickly as possible. I am not as responsive over email as I use it mostly for external communication. If something is urgent, please text me.
  - I try to stay on top of my GitLab To-Do's but if something is time-sensitive or if I am blocking something, I appreciate it if you ping me the comment over slack.
  - If we've already talked about scheduling a meeting, please feel free to put time on my calendar in a spot that looks open. I tend to have more mindspace on Fridays for coffee chats. If you need help finding time, please reach out to Blaire Sullivan, EBA to the Marketing Leadership team.
  - I really appreciate context. When you ask me for something, please explain the context for where the request is coming from, and [say why not just what](/handbook/values/#say-why-not-just-what). You'll also find that, when I am communicating information, I try to share as much context as possible.
- **Other Notes:**
  - I tend to be colloquial in my written communications and use a lot of emojis. In text communication, I believe emojis help a lot with non-verbal cues that we could miss otherwise.
  - I have a terrible memory, and if I don't write something down chances are I will forget it. That's why you may see me always taking notes. Sometimes I might forget something that you have told me about your personal life - it's not that I don't care! Please be patient with me.

## Personality Tests

### Clifton StrengthsFinder

- [Full results here](https://drive.google.com/file/d/1Km4ZXepxGFLtksmL-vx6L_wMDPzcmig9/view?usp=sharing). I lead with Executing themes (purple = executing, orange = influencing, blue = relationship building, green = strategic thinking)

![Clifton StrengthsFinder Results](/images/handbook/clee-clifton.png)

- My top 5 strengths are:
  - Individualization - People who are especially talented in the Individualization theme are intrigued with the unique qualities of each person. They have a gift for figuring out how people who are different can work together productively.
  - Achiever - People who are especially talented in the Achiever theme have a great deal of stamina and work hard. They take great satisfaction from being busy and productive.
  - Learner - People who are especially talented in the Learner theme have a great desire to learn and want to continuously improve. In particular, the process of learning, rather than the outcome, excites them.
  - Analytical - People who are especially talented in the Analytical theme search for reasons and causes. They have the ability to think about all the factors that might affect a situation.
  - Relator - People who are especially talented in the Relator theme enjoy close relationships with others. They find deep satisfaction in working hard with friends to achieve a goal.

### Simpli5 / 5 Dynamics

- [Full results here](https://drive.google.com/file/d/16B7Sadw5K9gHO8vVuk2WTfAFDR7Ob5Yt/view?usp=sharing)
- Abundant in Examine, effortless in Execute, deliberate in Explore and Excite.

![Simpli5 Results](/images/handbook/clee-simpli5.png)

### Meyers Briggs

- [INTJ](https://www.16personalities.com/intj-personality) - Introverted, Intuitive, Thinking, Judging - "Architect"

## My Life Outside of Work

I spend most of my time outside of work in San Jose, CA with my partner Dennis (Mechanical Quality Engineer at Apple) and my two pet bunnies, Cinnabun and Teddy. Family is very important to me so I try to visit my parents and sister's family in Atlanta often. I'm mildly obsessed with my nephew Ian and niece Hannah.

My interests include:

- Gardening & indoor plants - Forces me to get away from screens
- Podcasts - Regular rotation includes The Daily, 99% Invisible, The Moth, Stuff You Should Know, How I Built This
- Food - Cooking, baking, trying new restaurants
- Hiking and being in nature
- Travel - Favorite trips include: French Polynesia, Barcelona, Banff & Jasper, Japan, Taiwan
- Music and concerts - Mostly indie / alternative

## Thanks for Reading

As you get to know me, please share when you see a pattern of how I work that you think would be beneficial to articulate in this document.

If you have any questions, please reach out to me or schedule a coffee chat.
