---
title: "Dave Steer README (VP Product Marketing)"
description: "Learn more about working with Dave Steer"
---

## Dave README

👋, I'm Dave.

I've created this Read Me so that people can get to know me as we start to work together.

### My career adventure so far

I've been a marketer for ~20 years. I love marketing because one of my biggest passions is storytelling. I've always been fascinated by narratives – good vs. evil, the hero's journey, protagonists and antagonists. I also love marketing because it's rooted in psychology (my wife is a therapist so this runs in the family) and I find it fascinating to tune into how people think and make decisions. I love marketing because it ignites both the right side of the brain and the left, the creative and the analytical, at the same time. I'm also a word nerd, so marketing allows me to write…a lot. It's been a great craft to hone and I feel I'm still learning everyday.

Most of my early career was in consumer marketing. I've had the opportunity to work on emerging marketplaces and payments brands, like eBay and PayPal, and social media platforms, like Facebook and Twitter. I helped start a nonprofit called TRUSTe and, in the early days of the Internet, I worked with the Electronic Frontier Foundation on advancing rights like privacy and security online.

A few years ago, I moved into B2B and developer marketing, largely because I was seeing the consumerization of business technology and saw that the 'rise of the developer' led to a product-led growth model that was similar to consumer marketing. Plus, I thought that a lot of legacy B2B marketing was b-o-r-i-n-g, so I wanted to jump in and add some shazam to the category. I've had the opportunity to work for brands like Cloudflare, LogDNA, and now I'm here at GitLab.

You can find the full rundown [here](https://www.linkedin.com/in/davesteer/).

## What I do at GitLab

I lead the product marketing team and am interim leading brand, content, design teams. All together these functions are responsible for telling the GitLab story at the corporate, brand, solution, and product level. We're all storytellers and, working together, we can ensure that GitLab speaks with one voice to our many audiences. We also sit at the intersection of marketing, product, sales, and customer success which helps us connect a lot of dots and accelerate GitLab's path to market.

## My leadership style

**Leadership philosophy**: I have a pretty straightforward leadership philosophy:

- I have high expectations for my teammates, and I calibrate those expectations based on where they are in their career.
- I'm a fierce advocate for my teammates.

**Mission**: My professional mission is to ***unlock people's potential***. I care deeply about my teammates and there's no greater reward for me than helping people develop and grow their careers. My teams tend to view me as a coach and a player – I invest in coaching my teammates and will roll up my sleeves to help them build. I invest in my teammates' careers mentoring some of them after they've gone on to other companies.

**Collaboration style**: I'm highly collaborative. Brainstorms make me happy. As a collaborator, I'm more jazz than classical – I like to scribble outside the lines.

**My Myers-Briggs**: I'm an ENFP – Extrovert, Intuitive, Feeler, Perceiver. I'm fairly extroverted with a bundle of energy (watch out, some have said I can be a 'blender without a cap'); I focus on team harmony and consensus building; and, as a perceiver, sometimes I treat deadlines too much like moveable objects (I'm working on that).

**My StrengthsFinder**: I'm a huge believer that people should soar with their strengths. Here are a few from my top 10 StrengthsFinder that resonated with me:

- Maximizer: I focus on strengths as a way to stimulate personal and group excellence. I seek to transform something strong into something superb.
- Individualization: I am intrigued with the unique qualities of each person. I try to figure out how different people can work together productively.
- Communication: I generally find it easy to put my thoughts into words.
- Empathy: I can sense other people's feelings by imagining myself in others' lives or situations.
- Ideation: I'm fascinated by ideas. I'm able to find connections between seemingly disparate phenomena.
- Positivity: I have contagious enthusiasm. I'm upbeat and can get others excited about what they are going to do.

## Working together

- **Communication**: Slack is preferred and I try to respond as quickly as possible. If we're in a group thread, make sure to tag me if you want a response. Email is not effective - I use it mostly for external communication. If something is urgent, text me.
- **Sync vs. Async**: I love both. When I worked in an office, I would collaborate by walking around, so I find it valuable for me and my teammates to be able to have quick impromptu syncs. I also find it valuable to sync in real time for creative collaboration and ideation.
- **Time of day; day of week**: I'm an early riser, so morning and early afternoons are when I have my best energy for collaboration. By Friday afternoon, though, my brain is jelly.
- **Scheduling meetings**: My schedule can get a bit nuts, so the best way to find time is to work with the Marketing Leadership Team EBA, Linsea O'Shea.

## My life outside of work

I live in San Francisco with my wife (Melissa - therapist), daughter (Ella - 15 year old & into musical theater), and dog (Louie). Melissa and I moved here from Vermont & Massachusetts 20 years ago and have developed deep roots in San Francisco.

Here are the things that I do in my happy place outside of work:

- I cook. 🧑‍🍳
- I play guitar. 🎸
- I run. 🏃
- I read.📚
- I nap.😴

I also serve on the board of directors of a San Francisco nonprofit organization called Friends of the Urban Forest. If you've been to SF, you'll have seen our trees everywhere.

## Thanks for reading

I hope this Read Me has helped you get to know me. If there's anything else you'd like to know, hit me up for a coffee chat (I love those!).
