---
title: "Nikki Roth Silverberg README (Staff Marketing Operations Manager)"
description: "Learn more about working with Nikki Roth Silverberg"
---

## README: Nikki Roth Silverberg

👋 I'm Nikki! I created this README to help people get to know me better and to help others understand what it might be like to work with me, especially people who haven't worked with me before.

Please feel free to contribute to this page by opening a merge request.

## About Me

- I grew up in Allentown, PA (just outside Philadelphia).
- I have lived in Denver, CO since 2012. I love calling Denver home and am fortunate that a lot of my family has relocated to Colorado over the last ~10+ years.
- I live with my husband, AJ, our son, Micah, and our dog, Piper.
- Outside of work, I love adventuring outdoors including hiking and camping in the summers and snowboarding in the winter. I am an avid rock climber, although mostly in the gym. I also love cooking and baking (and eating), music (live and on vinyl), and have recently become a bit of a bookworm. My guilty pleasures are 90 Day Fiance and true crime.
- I'm a massive sports fan. I love the Philadelphia Eagles, Phillies, and Sixers (not an avid hockey watcher). I'm also a fan of and nerd for all things NBA and basketball in general 🤓.
- I currently work on the [Marketing Operations team](/handbook/marketing/marketing-operations/) as a [Staff Marketing Operations Manager](/job-families/marketing/marketing-operations-manager/#staff-marketing-operations-manager) at GitLab.
- I'm currently working on earning my Master of Business Administration (MBA) degree thanks to GitLab's [Growth and Development Benefit](/handbook/people-group/learning-and-development/growth-and-development/)
- In early 2023, I was diagnosed with ADHD. It's been an interesting journey to unpack this diagnosis as an adult but ultimately has been a powerful opportunity for self-discovery and development.

## My Values at Work

- Integrity
- Autonomy
- Flexibility
- Feeling Valued
- Doing challenging, meaningful work
- Making a difference

## Strengths

- **Openness**: I am very curious and actively seek new things to explore. I thrive in situations that involve investigation and discovery. Because of my high level of curiosity I'm very willing to try new things and explore new ideas.
- **Thinker**: I am constantly analyzing and reflecting on problems and situations and trying to make sense of what's going on around me. I am a conceptual, abstract thinker.
- **Independent**: I love to figure things out on my own and find my own way of doing things. My mom's favorite story to tell about me is that when I was a kid, I decided I wanted to teach myself to ride a bike. I borrowed a friend's bike and took it to my backyard where we had a big hill. I spent an entire day cruising downhill and struggling to ride back up, until I figured it out.
- **Deliberative**: I tend to be very process-oriented and I strive for objectivity in decision-making.
- **Action-Oriented**: I'm compelled to turn ideas into action and to do things now, especially when I am excited about something. I do tend to lose energy over time, which can be challenging.
- **Values-Driven**: I've done a lot of work clarifying my values and I frequently find myself reflecting on situations through the lens my values.
- **Nurturing**: I have a tendency to be sensitive to and aware of people's emotions, behaviors, and tendencies. I also love bringing out the best in other people and finding ways for different people to work together effectively.
- **Leadership**: I'm willing take charge in a group setting and rally others around a shared vision or goal.
- **Humor**: I love to laugh and to make other people laugh. Be warned: I have a very dry sense of humor.

## Growth Opportunities (and how you can help me)

- **Focus**: I am easily excited by new ideas. This can be a strength, but it can also distract me from working on what's most important/impactful.
  - How you can help me: Please feel free to nudge me about a project if you are not getting what you need from me.
- **Energy Fade**: Similar to my challenges focusing, I often start a new project with a head full of steam, but can lose energy over time.
  - How you can help me: It helps me to be reminded of why a project is important and what impact it will have. When I lose steam, it can also be helpful to schedule a working session where we re-group synchronously.
- **Practicality**: I tend to get stuck thinking about the big picture and can struggle to be concerned with the practical or tactical.
  - How you can help me: In this situation, it can be really helpful to sync up and talk through what specifically needs to get done to move a project forward.
- **Giving Critical Feedback**: I can be hesitant to give critical feedback and prefer to prioritize keeping the peace. I am actively working on this, both personally and professionally.
  - How you can help me: Ask me for feedback if you're comfortable. Let me know how I did if I give you critical feedback.
- **Clarity**: Because of my curiosity and tendency to think deeply, I can sometimes overwhelm and confuse people.
  - How you can help me: Feel free to ask clarifying questions and/or let me know if something I'm explaining isn't clear.

## Working with me

- **What gives me energy**:
  - Big picture, strategic projects
  - Organizational leadership and thinking about how we work
  - Continuous improvement and process improvement
  - Coaching and helping other people
- **What takes energy**:
  - Working on things that don't have clearly defines impact or that I don't perceive as important
  - When I don't understand the purpose behind something
- **Availability**:
  - I typically work from 8:30am/9:00am to 5:00/6:00pm Mountain Time. I am protective of my non-working time and keep Slack/email on `Do Not Disturb` outside of my working hours.
- **Communication and Meeting Preferences:**
  - I prefer Slack and I try to respond as quickly as possible. I am not as responsive over email as I use it mostly for external communication. If something is truly urgent and I am not available on Slack, please text me.
  - I manage my daily working with GitLab issues and To-Do's. If something is time-sensitive or if I am blocking something, I appreciate it if you ping me about it in Slack.
  - I keep my Google calendar up-to-date.
  - Especially as someone with ADHD, I really appreciate having a meeting agenda with adequate time to prepare. I check my next day's agendas at the end of every working day and it really helps me if I can prepare in advance.
- **Focus Time:**
  - I try to block off focus time on my calendar at least once per day, Monday-Thursday, and as much of my working day on Fridays as possible. I am flexible with my focus time and understand that sometimes it is the only time for a meeting.

## Personality Tests

### Clifton StrengthsFinder

- [Full results here](https://drive.google.com/file/d/16gi2TpZgPjMCbYC8Ab39zR7N5--g30l5/view?usp=sharing). I lead with `Strategic Thinking` themes (purple = executing, orange = influencing, blue = relationship building, green = strategic thinking)

- My top 5 strengths are:
    1. Futuristic - People exceptionally talented in the Futuristic theme are inspired by the future and what could be. They energize others with their visions of the future.
    2. Activator - People exceptionally talented in the Activator theme can make things happen by turning thoughts into action. They want to do things now, rather than simply talk about them.
    3. Input - People exceptionally talented in the Input theme have a need to collect and archive. They may accumulate information, ideas, artifacts or even relationships.
    4. Individualization - People who are especially talented in the Individualization theme are intrigued with the unique qualities of each person. They have a gift for figuring out how people who are different can work together productively.
    5. Ideation - People exceptionally talented in the Ideation theme are fascinated by ideas. They are able to find connections between seemingly disparate phenomena.

### Big Five Personality Scores

- [Full results here](https://drive.google.com/file/d/175VRPOiCKdK5kABV_CGHlxii-6pY6QMo/view?usp=sharing)
- High Openness to Experience (88 out of 100)
- Moderate agreeableness (58 out of 100)
- Moderate conscientiousness (58 out of 100)
- Moderate negative emotionality (58 out of 100)
- High extraversion (75 out of 100)

### Meyers Briggs

- [INFJ-T](https://www.16personalities.com/infj-personality) - Introverted, Intuitive, Feeling, Judging, Turbulent - `Advocate`
  - Advocates are quiet visionaries, often serving as inspiring and tireless idealists. These rare types are open-minded and imaginative, applying care and creativity.

## Thanks for Reading

As you get to know me, please share when you see a pattern of how I work that you think would be beneficial to articulate in this document.

If you have any questions, please reach out to me or schedule a coffee chat.
