---
title: "Salina Tran | Senior Marketing Operations Manager"
description: "Welcome to my ReadMe - Get to know me and how I work"
---

## 🙋🏻‍♀️ About Me

- I am Salina, Senior Marketing Operations Manager part of the Marketing Operations team.
- I am born and raised in Ottawa, Ontario 🇨🇦.
- I currently live in Manotick, 30 minutes south of downtown Ottawa with my boyfriend, Eric and our 13 year old dog, Nala, who is a shepherd/husky mix (she's absolutely adorable).
- I like to keep myself busy by creating and making objects and I enjoy picking up new hobbies and learning new things including:
  - 🧶 Knitting
  - 🪡 Crocheting
  - 🌱 Gardening/Planting (I have an indoor greenhouse that I'm using to grow vegetables)
  - 🖨️ 3d printing
  - 🏺 Pottery (wheel)
- When I am not busy creating, I spend time with friends and family…
  - 🏸 Playing badminton
  - 🀄️ Playing board games (my current favourite is Lords of the Waterdeep)
  - ✨ Trying new things/experiences
  - 🍿 Watching movies and trashy reality tv shows
  - 🛩️ Travelling to places and eating _foooood_
  - 🎶Attending music festivals (raves)

## 🔤 Dyslexia

[Definition](https://www.healthline.com/health/dyslexia-in-adults): Dyslexia [(video)](https://youtu.be/yH5Ds4_0lO8?si=AtmvKBPdPhH9LIsz) is a learning disorder that involves significant impairment of reading accuracy, speed, and/or comprehension to the extent that the impairment interferes with academic and/or professional activities of daily life.

I have always known that I've had dyslexia from the beginning of time, and it was particularly difficult for me during high school and university when I did not understand how to work through my dyslexia. In 2019, I was officially diagnosed with a learning disability with impairment in reading. Over the years, I've learnt how to cope and comprehend how my brain works.

I do my best to mask the characteristics of Dyslexia, but there are times when I do not catch them, so I ask that you be patient with me. If I say or type something that doesn't quite make sense, please ask me to clarify.

- I often switch words when I'm typing including
  - Words that look similar: "down" and "done"; "no" and "not"; "coach" and "couch"
  - Words that are negative to each other which I understand can be problematic and confusing: "can" and "can't".
- I say idioms completely wrong and out of order!
- I write out a sentence I may remove or add a word.
- I read numbers and words incorrectly when read out loud. For numbers, I always recall the last number first. For example, if I see the number 259, I read the number 9 first. Whereas reading words/sentences out loud is _very nervewracking_ for me, I often skip, add or say words completely wrong when reading. It always takes me 2-3 times of reading a sentence to comprehend it fully.
- I am a visual person - I process new information by visualizing what it would look like. When I am learning or being explained something new, I need to see it in my mind to be able to follow along.
- and the list goes on...

## 💪 Strengths

I covered a number of challenges with Dyslexia, however there are tons of positives associated with this. I am…

- 🖼️ **A big picture and visual analytical problem solver** - I can effortlessly pick out trends and patterns from a pool of data/information for quick troubleshooting. I also use 3-dimensional thinking to seek the whole picture to bring new ideas.
- 🧠 **Self-aware** - I have a strong understanding of my strengths and weaknesses as I have spent hours studying how and what makes my brain tick. I can easily find solutions to compensate for my weaknesses or know when it's time to ask for help.
- 🎯 **Goal oriented** - I am motivated by an end goal, and determined to achieve the goal that is set before me.
- 😁 **Emotionally intelligent** - I am able to stay calm in stressful and difficult situations as I am used to things not going my way, and I can compose and regulate my emotions. Additionally, I am mindful of what I do/say and how it can affect others.
- 🗃️ **Organized** - I map out all the information and insights in a written or visual form to be able to think clearly. This allows me to break a project into smaller digestible steps and create a flushed-out plan.
- 🗣️ **Effective communicator** - I am mindful to include all forms of communication style when disclosing a new process or information including visual, auditory, written and kinaesthetic. I myself require a mix of all four of these learning styles, thus I ensure it's incorporated in my enablement process and how I convey my message.

## 👩‍💻 Working with Me

- I prefer written communication and requests - if you have a question, drop a slack, however if you have a request, I ask you to create a GitLab issue with a clear problem statement and any additional context/examples. Every written message sent to me via Slack and GitLab, I rely on speech to text to ensure I fully understand what's communicated to me.
- Should there be a task that is urgent - I ask that you are clear with the deadline and when you expect it to be completed, so I know to prioritize the items and finish it in the requested time frame.
- The asynchronous work culture at GitLab makes information processing easier for me. This includes:
  - Having the agenda provided prior to a meeting
  - Active note taking during meetings
  - Written request captured via GitLab issues
  - Wealth of information in the handbook.
- I'm very open to feedback - as long as it's constructive feedback. I am always looking for improvement and ways to better myself.

### 📅 Availability

- My working hours are between 9 am ET and 5/6pm ET.
- I respond to issues and slack messages at least within the first 24 hours - if I don't get back to you within a week, feel free to ping me.
- My google calendar is updated with my current availability.
- I am based in Canada, and I follow the [Canadian Stat Holidays](https://www.canada.ca/en/revenue-agency/services/tax/public-holidays.html).

## 💁🏻‍♀️ Personality Tests

### Clifton Strengths

- **Analytical** - People exceptionally talented in the Analytical theme search for reasons and causes. They have the ability to think about all of the factors that might affect a situation.
- **Focus** - People exceptionally talented in the Focus theme can take a direction, follow through and make the corrections necessary to stay on track. They prioritize, then act.
- **Relator** - People exceptionally talented in the Relator theme enjoy close relationships with others. They find deep satisfaction in working hard with friends to achieve a goal.
- **Learner** - People exceptionally talented in the Learner theme have a great desire to learn and want to continuously improve. The process of learning, rather than the outcome, excites them.
- **Individualization** - People exceptionally talented in the Individualization theme are intrigued with the unique qualities of each person. They have a gift for figuring out how different people can work together productively.

### Myer Brigg (16Personality)

A [Consul (ESFJ)](https://www.16personalities.com/esfj-personality) is a person with the Extraverted, Observant, Feeling, and Judging personality traits. They are attentive and people-focused, and they enjoy taking part in their social community. Their achievements are guided by decisive values, and they willingly offer guidance to others.

## 🤗 Thanks for Reading

Thanks for taking to time to get to know me, and if you are interested in learning more - don't hesitate to reach out!
