---
title: Tanuki Tech
description: Tanuki Tech (short for Tanuki Instutite of Technology) is the world class sales/technology bootcamp that we are provide for the sales development organization. Use this page to walk through the courses and examinations that you'll be expected to complete as part of your tenure in our organisation.

---

## Tanuki Tech

Tanuki Tech (short for "Tanuki Instutite of Technology") is the world class sales/technology bootcamp that we are provide for the sales development organization. Our goal is to powerfully equip our sales development team members to be successful in their current role as well as prepare them for their next role, whatever that may be. **We are doing this because we care about our team members.**

## Goals

How do we measure success? The specific goals for this program are:

* Increased sales development effectiveness and organizational efficiency (increased quota attainment).
* Decrease time to value for sales development new hires (we want to equip our new team members to be successful quickly).
* **Job placement for team members who complete our program.** We want the people that we develop here as part of our sales development program to be abundantly prepared for their next role whether that's in sales, marketing, or somewhere else.

The average coding bootcamp here in the United States costs 13.5k and graduates report an average starting salary of 67k (CourseReport 2020). Our goal is to far exceed the job placement and starting salary metrics of our peer institutions, **completely as a free value to our team members as part of being part of this organization.**

## Guiding Principles

* Enablement should be powerful and effective. If there is something that you feel would help our organization and is currently missing or have suggestions for improvement, let us know.
* Enablement should be quick and effective. We are not trying to inundate you with information to eat up all of your time. Most courses in our curriculum are designed to take up around two hours including examination.
* We test often and we test behaviors that apply to your actual job. Research shows that the most effective teachers consistently test more than their peers. **Do not get discouraged if you fail a test; it is better to fail in front of a peer who is trying to help you than in front of a customer.**
* Classes are generally offered in hybrid format (live and recorded options). Examinations are mostly offered in a written format.
* All classes are available on demand. Recordings and assets (slides, exams) are listed [here](https://levelup.gitlab.com/pages/sales-development) under "Sales Development."

## Curriculum

**100s -**

TT100: Introduction to Technology
> Serves as an introduction to the technology industry and GitLab's space in it. In this course, we will explain fundamental concepts such as applications, operations, and the hybrid cloud. We will also explain why technology has been the main driver of innovation in the twenty-first century.
>
> 3 credit hours

TT101: Introduction to GitLab
> GitLab is an extremely promising suite of technologies that is broad as well as deep. In this course, we will introduce GitLab and explain why it is such a special piece of technology.
>
> 3 credit hours

TT102: The People of Technology
> To effectively engage in customer conversations, we need to understand the people that make up the technology industry. In this course, we will explain the various people that you will meet, their responsibilities and drivers, and how to have effectively engage each type of audience.
>
> 3 credit hours

TT103: Calls and Credit
> Teaches cold call best practices and what it means to make a cold call here. As part of onboarding we do two mock calls: one for a director of engineering (target buyer) and one for an application architect (technical influencer). Also covers quota and compensation.
>
> 3 credit hours

TT104: Sales Development Processes
> Teaches both the SDR and BDR roles from a process perspective. Also covers best practices for navigating the handbook, using Slack, etc.
>
> 4 credit hours

TT105: Audit Process
> In this class, we will go through the monthly sales development audit process. This class ends with a short quiz for credit.
>
> 1 credit hours

TT110: Competitive
> Because we operate in so many different product categories, GitLab has a large number of competitors. In this class, we discuss our biggest four competitors and how to effectively handle competitive situations with them.
>
> 3 credit hours

TT120: GitLab Workshop 1
> This is a hands-on workshop where we use GitLab to update our very own website (no technical skills required). Learn the product by using it in action.
>
> 3 credit hours

**200s -**

TT200: Introduction to Development
> In this class, our goal is to have more effective conversations with developers by understanding what they do and learning to speak their language. Topics include life as a developer, how software is developed, where applications run, the public cloud, and APIs.
>
> 3 credit hours

TT201: Partnering with Sales - Good to Great (Goals)
> In the first part of this class, we talk about how to live your life with purpose, maintain vision, and achieve hard things. In the second half of this class we talk about best practices for partnering with sales.
>
> 3 credit hours

TT210: GitLab Create and Plan
> In this class, we go indepth explaining create and plan functionality. Topics include GitLab's SCM and Agile featureset and competitive differentiators.
>
> 3 credit hours

TT211: GitLab Verify and Secure
> In this class, we will learn about verify and security functionality. Topics include waterfall versus agile, continuous integration, software testing, devsecops, and automation.
>
> 3 credit hours

TT220: GitLab Package, Configure, and Release
> In this class, we will learn about package, configure, and release functionality. Topics include how software is packaged and ultimately released (rolling deployments, A/B testing, etc.).
>
> 3 credit hours

TT230: GitLab Manage, Monitor, and Govern (deprecated)
> In this class, we will learn about manage, monitor, and govern functionality. Topics include how we allow engineering leaders to make proactive decisions to optimize their organizations and infrastructure.
>
> 3 credit hours

TT240: GitLab Workshop 2 (deprecated)
> Learn GitLab by seeing it in action. In this class, we will walk through what a new customer does when setting up the product and explain how we are different from our competitors.
>
> 3 credit hours

TT241: Free to Paid (deprecated)
> In this class, we talk about how to identify free users in your accounts, connect with prospects, and ultimately handle the free-to-paid conversation.
>
> 3 credit hours

TT250: Social Selling with LinkedIn (deprecated)
> This class covers social selling with LinkedIn to maximize customer mindshare and effectively get meetings. Also covered in this class is how team members can work together with their sales counterparts to conduct joint social selling motions.
>
> 3 credit hours

TT251: Competitive Workshop
> In this class, we talk about our biggest competitive differentiators and how to utilize them in sales conversations.
>
> 3 credit hours

TT252: Objection Handling
> In this class, we discuss more advanced objection handling techniques and introduce influence and persuasion.
>
> 3 credit hours

**300s -**

TT300: Advanced Sales Conversations
> Learn some of our customers' biggest technical initiatives and how to use them within our sales conversations (cloud migrations, automation, infrastructure as code, and microservices). Also covers the difference between product selling and solution selling.
>
> 3 credit hours

TT301: Security as a Differentiator
> Security is our biggest differentator with our competitors. This class goes over how to leverage this differeniator in our sales conversations.
>
> 3 credit hours

TT305: AWS and Google Alliances (deprecated)
> In this class, we will learn about what alliances are and discuss our co-sell motions with Amazon and Google. Great for those that are planning on working AWS/Google events.
>
> 3 credit hours

TT310: Demoing GitLab
> In this class, we will practice demoing GitLab. After taking this class, you will be able to perform brief customer demos to gather customer interest and explain product value.
>
> 5 credit hours

TT330: Career Builder
> In this class, we will discuss best practices for plotting your career direction and how to get there. Included in this class is "Sales Stories," where we interview sales leaders to help you determine which path to take your career.
>
> 5 credit hours

TT331: Alumni Stories
> In this class, we interview some of our most esteemed alumni about their times here in sales development, including lessons learned. Those interviewed include Lisa Van de Kooji, Brandon Greenwell and Da'Neil Olsen.
>
> 3 credit hours

TT332: Leadership Perspectives
> This is a class where we will have rotating speakers speak on different leadership perspectives. We will specifically introduce topic such as strategic leadership, organizational leadership, and people leadership. This class is great for those considering team lead or management positions.
>
> 3 credit hours

TT380: Technical Questions for Sales (deprecated)
> This is a class offered by the sales enablement organization equipping salespeople to answer the most commonly asked technical questions. You may see the curriculum [here](/handbook/sales/training/technical-questions-for-sales/). This class is delivered async only.
>
> 5 credit hours

TT381: The Sales Required 7 (deprecated)
> This is another class offered by the sales enablement organization and covers Ryan O'Neil's required seven sales process. Recommended for those considering applying to the commercial sales organization.
>
> 5 credit hours

**Role-Based Classes -**

Inbound:
> Covers inbound workflow best practices (call, email, Drift), time management and note taking.
>
> 5 credit hours

Outbound:
> Covers the different modalities of outreach (call, email, LinkedIn), identifying focus accounts and personas, time management, note taking, and best practices for working with sales.
>
> 5 credit hours

## Examination

We test for mastery (mastery-based learning) and students will be asked to demonstrate knowledge/skills learned. Students will be asked to repeat examination (or update answers) until mastery is demonstrated and the number of attempts needed is tracked.

To hand in written exams:

* Make a copy of the exam template by clicking an exam link listed. For example see [here](https://docs.google.com/document/d/138nZb8Lz6z6R7xOwGZFkmcTh-QC4ADEFq3aQU3Y1GwM/copy).
* Rename the generated file appropriately using appropriate syntax. As an example this would be for Ed Bao: `TT100 - Introduction to Technology (Ed Bao)`.
* Change file [ownership](https://support.google.com/drive/answer/2494892?hl=en&co=GENIE.Platform%3DDesktop) to Christopher Wang and allow some time for grading (one week on average).
* Note: if your assignment hasn't been graded for over three weeks, we likely made a mistake. Let us know and we'll fix the issue.

## Enrollment

Coursework will be assigned at the beginning of each quarter. To see your assigned coursework, see [here](https://docs.google.com/spreadsheets/d/1P7QvZ09F8OT7LJTeMRYbu6_Oxjw9UdouaJ5Oeo8SU8k/edit?usp=sharing).

* To complete coursework virtually, take classes at your on pace on [Level Up](https://levelup.gitlab.com/pages/sales-development).
* Some sessions are offered live. Those that are offered live will be communicated to team members.

## Onboarding

All team members are required to meet certain enablement milestones by the end of their first and third months. To see these requirements, see "Sales Development Leveling" below.

* For links to the Tanuki Tech courses, see [here](https://levelup.gitlab.com/pages/sales-development).
* For the link to the onboarding checklist, see [here](https://docs.google.com/spreadsheets/d/14YdcHbQizanNRf-emYOdow6UP_Z246pIHo_KIWrrzyU/edit#gid=1023692240).
* For the link to Inbound (SDR), see [here](https://university.gitlab.com/pages/sales-development?labels=%5B%22Sales%20Development%22%5D&values=%5B%22Inbound%20(SDR)%22%5D).
* For the link to Outbound (BDR), see [here](https://university.gitlab.com/pages/sales-development?labels=%5B%22Sales%20Development%22%5D&values=%5B%22Outbound%20(BDR)%22%5D).

For Inbound (SDR) and Outbound (BDR), take the quiz at the end to pass.

## Sales Development Leveling

To qualify for promotions, sales development team members are required to keep up with their quarterly enablement. The following are the current course requirements and are subject to change.

| Tenure         | SDR         | BDR         |
| -------------- | ----------- | ----------- |
| First month    | TT100, TT101, TT102, TT103, TT104, TT110, onboarding checklist | TT100, TT101, TT102, TT103, TT104, TT110, onboarding checklist |
| Third month    | TT105, Inbound (SDR), Sales Quick Starts | TT105, Outbound (BDR), Sales Quick Starts |
| Second quarter | TT120, TTT201, T210, TT211, TT251 | TT120, TT201, TT210, TT211, TT251 |
| Third quarter  | TT200, TT220, TT252, TT300 | TT200, TT220, TT252, TT300 |
| Fourth quarter | TT301, TT310, TT330 | TT301, TT330 |

To see your current progress, see [here](https://docs.google.com/spreadsheets/d/1P7QvZ09F8OT7LJTeMRYbu6_Oxjw9UdouaJ5Oeo8SU8k/edit?usp=sharing).

## Tanuki Tech Faculty

* [Christopher Wang](/handbook/company/team/#cs.wang) currently serves as the first dean of Tanuki Tech.
* [Ed Bao](https://gitlab.com/ebao2) serves as a teaching assistant for Tanuki Tech.
