---
title: "Sales Plays"
description: "Sales plays are designed to improve the quantity of opportunities and closed business with defined Land and Expand sales motions"
---

## Why Sales Plays

Sales plays are designed to improve the quantity of opportunities and closed business with defined Land and Expand sales motions to ultimately generate more ARR for GitLab. More specifically, codified sales plays help to ensure that the sales team is trained and capable of executing either (or both) of the following:

1. A repeatable set of proven successful sales tactics (Evergreen sales plays)
1. A generated set of steps in coordination with a particular time-bound campaign (Focused sales plays)

## Sales Play Goals

Specific sales play goals may vary from quarter to quarter but may include (but are not necessarily limited to) the following:

- Increase the number of sales-generated First Order opportunities
- Improve win rates against a specific competitor
- Increase MQL to SAO conversion

## What is a Sales Play

A prescribed, structured set of steps or activities that sellers (GitLab and/or GitLab partners) can execute, on their own, to build pipeline

## Types of Sales Plays

| Sales Play Type | Purpose | Timing | Duration | Number |
| ------ | ------ | ------ | ------ | ------ |
| **Evergreen** | General outbound prospecting & pipe gen | Criteria-driven (when you see x, do y) | In perpetuity until sales play no longer "works" (ongoing maintenance required) | Prioritized plays that are limited in number (10 or fewer) |
| **Focused** | Marketing and/or prospecting campaign-related; may use an evergreen play as a starting point | Time-bound and scheduled | Run and done (though play could be re-run at a future point in time) | No set number |
| **Test** | Prove out new motions based on new or emerging capabilities and/or markets | May be evergreen or focused | May be evergreen or focused | No set number |

## Sales Play Bill of Materials

Sales plays will include but are not necessarily limited to:

- Ideal customer profile and target personas
- Persona-based messaging
- Prospecting guides
  - What to know (common pains, positive business outcomes, required capabilities, key GitLab differentiators, and supporting proof points)
  - What to say (including recommended discovery questions, business value-based positioning points, how to overcome common objections, potential services to attach)
  - What to do (steps and tactics to execute the play including suggestions for how to leverage various partner types)
- Email and LinkedIn InMail templates (that Sales is encouraged to tailor as appropriate)
- Featured assets to share with customers and prospects
- Focused sales plays will also included target account and/or contact lists

## Evergreen Sales Plays

| Sales Play | Target Customer Segment(s) | Ideal Customer Profile | Target Personas |
| ------ | ------ | ------ | ------ |
| [Upsell Premium to Ultimate](/handbook/marketing/sales-plays-cicd/playbook-premium-to-ultimate/) | ENT and COM; Growth | existing Premium customers who are already taking advantage of GitLab CI/CD capabilities | Economic buyers and technical influencers |
| [Infrastructure Automation (GitOps)](/handbook/marketing/sales-plays/gitops/) | primarily ENT; First Order and Growth | organizations that want to increase the elasticity and scale of their IT infrastructure via a prescriptive workflow for using Infrastructure as Code | CIO or VP of IT; VP of IT Infrastructure; VP of Platform Engineering |
| [BitBucket Sales Play](https://docs.google.com/presentation/d/1M6lKn7F2vajcP2au4i0GMVVMu4n4UCG1EJyy-RLfmzU/edit?usp=sharing) | ENT and COM; First Order | organizations that currently use BitBucket Server, Cloud, or Data Center | CIO, with App Dev Exec/Director/Manager as champion |
| [Expand with Package Management](/handbook/marketing/sales-plays/package/) | primarily ENT; First Order and Growth | organizations that migrate off of JFrog's Artifactory or Sonatype's Nexus in order to reduce costs, improve developer experience, and be more efficient. | Economic buyers and technical influencers |
| Agile Planning (including competitive take-out) | TBD | organizations looking for better and/or more cost-effective ways to manage projects, programs, and portfolios using agile methodologies | VP of Application Development |
| Land with CI (including competitive take-out) | ENT and COM; First Order | organizations looking for better ways to increase the quality of their code while decreasing complexity and time to delivery | Application Development Manager or Director; Software Developer and Team Lead; DevOps Engineer |
| Land Ultimate (CD + DevSecOps) | ENT and COM; First Order | organizations looking for a comprehensive DevSecOps solution | CIO or VP of IT; CISO; IT Security Manager |
| GitHub Compete | ENT and COM; First Order and Growth | organizations looking to standardize on a comprehensive Value Stream Delivery Platform (VSDP) | Economic buyers and technical influencers |
| Source Code Management Competitive Take-out | ENT and COM; primarily First Order | organizations looking to migrate off legacy SCM solutions to a best-of-breed on-prem or SaaS SCM solution with ability to consolidate their DevSecOps toolchain | CIO or VP of IT; VP, Director, and Manager of Application Development |
| Security Take-out and/or Augmentation | primarily ENT; Growth | organizations that want to improve their application security posture | CIO or VP of IT; CISO; IT Security Manager |
| [Digital Transformation / DevOps Platform](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devops-platform/) | ENT and COM; First Order and Growth | organizations that want to accelerate the speed and improve the visibility of application development and delivery supporting broader digital transformation initiative(s) | Economic buyers and technical influencers |
| Cloud-Native & Application Modernization | ENT and COM; First Order and Growth | organizations that want to use more modern, cloud-native approaches to application development (e.g. containers, Kubernetes, serverless) | Economic buyers and technical influencers |
