---
title: "Sales Play: GitOps for First Order"
description: "This page has all the information for the FO GitOps sales play."

---

### **GitOps Sales Play for FO AEs**

**[View this page in a Google Doc](https://docs.google.com/document/d/1n_8pTn3Hms9cHRJjMTikYA-Mn0y3Fot_2uqm16rWpAc/edit?usp=sharing)**

### Part 1: Before the Discovery Call

1. Familiarize yourself with the [GitOps Sales Play](/handbook/marketing/sales-plays/gitops/) and watch the [enablement video](https://youtu.be/aXg3zGg54sg).
1. Talk to the right persona - typically not a developer, could be a team lead, system architect, or cloud architect from the infrastructure/operations side of the house.
1. Check that the [last interesting moment](/handbook/marketing/sales-plays/gitops/#lim-anchor) and [top content viewed](/handbook/marketing/sales-plays/gitops/#lim-anchor) is related to GitOps.
1. Create a custom pitch deck incorporating these [slides](https://docs.google.com/presentation/d/1YH6zcNQ9EbtvsLsiI3kKb4tMIW3SUwKcUc-7GEK3woQ/edit?usp=sharing) as needed:
   - [GitOps messaging](https://youtu.be/JtZfnrwOOAw)
   - [original deck](https://docs.google.com/presentation/d/18cuZjvkMT8uv241dqJZMdaWOyvZiwBOzFvRZ4HaP1iE/edit#slide=id.g8d846209b0_25_172)

### Part 2: The Discovery Call

1. Listen for [these keywords](https://docs.google.com/document/d/1n_8pTn3Hms9cHRJjMTikYA-Mn0y3Fot_2uqm16rWpAc/edit#bookmark=id.7qy81ar6jl24) to identify if a lead is interested in a GitOps conversation.
1. Familiarize yourself with the top [discovery questions](/handbook/marketing/sales-plays/gitops/#value-discovery), [objection handling](/handbook/marketing/sales-plays/gitops/#handling-objections) and [differentiators](/handbook/marketing/sales-plays/gitops/#differentiators-how-gitlab-does-it-better) for GitOps. *NOTE: This is very different from other conversations - the persona we talk to is different.*
1. Identify business objectives and priorities during discovery. These could be:
   - Infrastructure automation
   - Managing cloud native environments
   - multi-cloud / kubernetes adoption
   - compliance related to infrastructure.
1. After your call, follow up with an [email](https://docs.google.com/document/d/1PSwEBCxkQMgMmtLKocNfP0EKTLnWIr2FZimG0yv1gTM/edit#bookmark=id.vk2ta1k8w0re), which should include:
   - any information they requested ([resources](https://learn.gitlab.com/l/gitops-gtm-content) you might include),
   - how that information can be helpful for their research,
   - an offer to continue researching these topics on their behalf,
   - mutually agreed upon next steps.

### Part 3: POV & Evaluation

1. Set up the evaluation with the appropriate internal resources
1. Do the following before sending out a trial key
   - Mutually agree upon **success criteria** for the 30-day evaluation period ("If at the end of 30 days, we prove [these criteria], then we will consider this trial a success")

   Success criteria examples:

   - Store and Run an Ansible Playbook in GitLab
   - Incorporate the above into a pipeline
   - Scan x% of our code base (because of the language)
   - Build a CI pipeline and have a basic one working
1. Send an [email](https://docs.google.com/document/d/1PSwEBCxkQMgMmtLKocNfP0EKTLnWIr2FZimG0yv1gTM/edit#bookmark=id.5grp5yaens0e) outlining and confirming the success criteria
1. Work with your SA to showcase a technical demo of GitOps and/or share [technical demos, webinars, and other resources](https://learn.gitlab.com/l/gitops-gtm-content).
1. Share [customer stories](/handbook/marketing/sales-plays/gitops/#customer-stories) and [Gartner Peer Insights](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/gitops/#gartner-peer-insights)
1. After each call during the trial period, send an [email](https://docs.google.com/document/d/1PSwEBCxkQMgMmtLKocNfP0EKTLnWIr2FZimG0yv1gTM/edit#bookmark=id.6tok4lob9uox) with the progress achieved against the success criteria and what should be worked on the following week.

### Part 4: Negotiation / Decision-Making

1. Use the ["How GitLab Does it Better"](/handbook/marketing/sales-plays/gitops/#differentiators-how-gitlab-does-it-better) section as supporting material to build the business case for GitLab (ROI) with the customer in the custom deck for the champion present to the economic buyer.
1. Share the [Forrester TEI report](https://drive.google.com/file/d/1Vi3_InvTs8r6cLvC4gR9bBumlWV5TNvY/view)
1. Use the [Cost Comparison Calculators](https://about.gitlab.com/calculator/) to show the value of using GitLab as a single application over other solutions.

### Part 5: Close the Deal
