---
title: Marketing Analytics
description: >-
  Marketing Analytics supports the entire Marketing team to
  develop and execute a Global Marketing Strategy by working with Marketing
  Leadership and GTM teams as well as owning the overall measurement strategy
  for GitLab marketing.
---

<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

## <i id="biz-tech-icons" class="far fa-newspaper"></i>Charter

Marketing Analytics supports the entire Marketing team to develop and execute a Global Marketing Strategy working with Marketing Leadership and GTM teams, as well as owning the overall measurement strategy for GitLab marketing working with the data team.

## <i id="biz-tech-icons" class="fas fa-users"></i>Meet the Team

- [Christine Lee, VP, Marketing Operations & Analytics](/handbook/company/team/#christinelee)
- [Viola Hempel, Director, Marketing Analytics](/handbook/company/team/#vhempel)
- [Jerome Ahye, Staff Data Analyst, Data Analytics](/handbook/company/team/#jahye1)
- [Robert Kohnke, Senior Data Engineer](/handbook/company/team/#rkohnke)
- [David Egan, Staff Data Analyst](/handbook/company/team/#dwegan)
- [Djordje Micovic, Staff Data Analyst](/handbook/company/team/#dmicovic)
- [Dennis Charukulvanich, Senior Data Analyst](/handbook/company/team/#dennischarukulvanich)
- [Ankit Kanwar, Senior Data Analyst](/handbook/company/team/#akanwar)

## <i id="biz-tech-icons" class="far fa-paper-plane"></i>How to Communicate with Us

**Slack channels**

We can be reached via our own [#mktg-analytics](https://gitlab.slack.com/archives/C01HTAYQBM5) channel, although we also monitor the general [#marketing](https://gitlab.slack.com/archives/C0AKZRSQ5) channel and [#mktgops](https://gitlab.slack.com/archives/mktgops). We attempt to [avoid direct messages](/handbook/communication/#avoid-direct-messages) where possible as it discourages collaboration.

## <i id="biz-tech-icons" class="far fa-life-ring"></i>How to Get Help

<div class="flex-row" markdown="0">
  <div>
    <a href="https://gitlab.com/gitlab-com/marketing/marketing-strategy-performance/-/issues/new" class="btn btn-purple" style="width:170px;margin:5px;">Issue tracker</a>
  </div>
</div>

## <i id="biz-tech-icons" class="fas fa-tasks"></i>Our Work

As part of our work, we publish self-service dashboards for team members to understand campaign performance and key marketing KPIs. Our [dashboard page](dashboards) lists our currently supported dashboards and our framework for publishing a new dashboard.

## <i id="biz-tech-icons" class="fas fa-tasks"></i>How We Work

We use milestones to create 2 week sprints. Below are links to our project within GitLab.com and our a view of our current and upcoming milestones.

<div class="flex-row" markdown="0">
  <div>
    <a href="https://gitlab.com/gitlab-com/marketing/marketing-strategy-performance/-/boards/2084660" class="btn btn-purple" style="margin:5px;">Marketing Analytics local issue board</a>
    <a href="https://gitlab.com/gitlab-com/marketing/marketing-strategy-performance" class="btn btn-purple" style="margin:5px;">Marketing Analytics project</a>
  </div>
</div>

### Issues

The team works from issues and issue boards. If you are needing our assistance with any project, please open an issue and use the `~MktgSandP::0 - To Be Triaged` label anywhere within the GitLab repo. Prior to opening a new issue, feel free to reach out to one of us to see if there is already a related issue that you can add your comments to.

With [Agile Delivery](https://about.gitlab.com/solutions/agile-delivery/) being one of the solutions that GitLab (as a product) addresses, the Marketing Analytics team aims to follow many of the agile methodologies. To help us in that effort, please create any Marketing Analytics issues in the following format.

**Note:** This format is the [Agile user story](https://www.agilealliance.org/glossary/user-story-template/) format and helps the issue-requester (you) and the Strategy team by clearly stating **what** as well as **why** for each request and concern.

**Format:** `As a _____ (role in marketing), I would like to ____________(need), so that ________________(reason).`

Marketing Analytics uses a [local issue board](https://gitlab.com/gitlab-com/marketing/marketing-strategy-performance/-/boards/2084660) within the [`Marketing` project](https://gitlab.com/gitlab-com/marketing).

#### Issue Weights

Marketing Analytics uses the Fibonnacci sequence when creating [issue weights](https://docs.gitlab.com/ee/user/project/issues/issue_weight.html). We start with a weight of 2, smaller is too simple for an issue. Similarly, we break any issue larger than 13 into an epic.

### Epics

In order to categorize various related issues, we make use of epics to help each team member organize their work, especially when it crosses multiple milestones. If it is a Marketing Analytics epic, we will add the `In Epic` label to it, so that we can easily see that it is part of an epic on our kanban board.

### Labeling

We use labels for two purposes:

1. Categorize the tool or area that is affected
1. Identify the stage they are in

<details>
<summary markdown='span'>
Categories
</summary>

- `Bizible`: Used to highlight a data related tech stack tool.
- `MktgSandP- Reporting`: Used to highlight that the issue is one requiring or related to a report or dashboard.
- `In Epic`: Bright yellow label to show that it is part of a Marketing Analytics epic.

</details>

<details>
<summary markdown='span'>
Backlog
</summary>

- `MktgSandP::0 - To Be Triaged`: Issue initially created, used in templates, the starting point for any label that involves Marketing Analytics ; no real discussion on the issue; generally unassigned.
- `MktgSandP::1 - Planning`: Issues assigned to a Marketing Analytics team member and are currently being scoped/considered but are not being actively worked on yet.
- `MktgSandP::2 - On Deck`: Issues that have been scoped/considered and will be added to an upcoming iteration/milestone.
- `MktgSandP::5 - On Hold/Blocked`: Issue that is not within existing scope of Marketing Analyticscurrent focus, or another department as deprioritized. May be a precursor to being closed out. OR Issue that was being worked on by Marketing Analytics and at least one other team wherein Marketing Analytics is waiti-related task/issue, or external (non-GitLab) blocker.

</details>

<details>
<summary markdown='span'>
In Milestone
</summary>
-related task/issue, or external (non-GitLab) blocker.

</details>

<details>
<summary markdown='span'>
In Milestone
</summary>

- `MktgSandP::3 - In Process`: Issues that are actively being worked on in the current two-week sprint/milestone.

</details>

### Milestones

The Marketing Analytics team works in two week sprints/iterations which are tracked as **Milestones** at the `GitLab.com` level. We use the same interval dates used by Mktg Ops, Sales Ops and Sales Systems. Each individual contributor (IC) is responsible for adding issues to the milestone that will be completed in the two week time frame. If needed, the IC will separate the main issue into smaller pieces that are _workable_ segments of the larger request.

The Marketing Analytics team generally creates just one milestone beyond the current iteration, so at any given time there will be the **current** milestone and **upcoming** milestone. Any other issue that is not included will be added into future milestones &/or added as work is completed in the current milestone.

If there are handbook updates that need to be made as a result of work done in a given milestone, a separate MR should be included in that milestone.

<div class="flex-row" markdown="0">
  <div>
    <a href="https://gitlab.com/groups/gitlab-com/-/milestones?utf8=%E2%9C%93&search_title=sandp&state=&sort=" class="btn btn-purple" style="width:170px;margin:5px;">View Milestones</a>
  </div>
</div>

### Focus Fridays

The Marketing Analytics team has continued our experiment with MOps on 2020-04-20 to commit to no internal meetings one day of the week. Now the entire Marketing team has moved to [Focus Fridays](/handbook/communication/#focus-fridays). Please try not to schedule meetings for team members on Fridays, so they can devote time for deep work in milestone-related issues.

### Operational Timeline of Changes

Periodically Marketing Analytics becomes aware of significant changes that affect overall data and reporting. To capture these, we have a shared [Operational timeline of events](https://drive.google.com/open?id=1vhGvEszndMJ4B9EshGFSdTTABwUzBzDObz93vkMSFGA) with the MktgOps team. They primarily add any process changes to this document as they occur. It has been a great communication tool, especially as we look back at metrics in the past and can track the changes that were made.

## Skateholder Alignment

To give each functional marketing team has a single point of contact for marketing analytics, we use the following stakeholder mapping alignment table.

| Functional Marketing Team  | MS&A Team Member |
| ------ | ------ |
| [Brand](/handbook/marketing/brand-and-product-marketing/brand/)  | Jerome Ahye |
| [SEO](/handbook/marketing/inbound-marketing/search-marketing/seo-strategy/) | Dennis Charukulvanich |
| [Account Based Marketing](/handbook/marketing/account-based-marketing/) | Jerome Ahye |
| [Sales Dev](/handbook/marketing/sales-development/)  | Djordje Micovic |
| [Demand Generation Campaigns Team](/handbook/marketing/demand-generation/campaigns/) | David Egan |
| [Partner](/handbook/marketing/channel-marketing/#how-we-communicate-with-channel-partners)  | David Egan |
| [Digital Strategy](/handbook/marketing/integrated-marketing/digital-strategy/) | David Egan |
| [Lifecycle Marketing](/handbook/marketing/lifecycle-marketing/) | David Egan |
| [Field Marketing](/handbook/marketing/field-marketing/) | Djordje Micovic |
| [Global Channel Marketing](/handbook/marketing/channel-marketing/) | Djordje Micovic |
| [Digital Experience](/handbook/marketing/digital-experience/) | Dennis Charukulvanich |
| [Developer Relations](/handbook/marketing/developer-relations/) | Robert Kohnke |

## <i id="biz-tech-icons" class="far fa-folder-open"></i>Important Resources

- [Marketing Metrics](/handbook/marketing/strategy-performance/marketing-metrics)
- [Dashboards Page](dashboards)

## <i id="biz-tech-icons" class="fas fa-toolbox"></i>We are the Bussiness Owners Of the Following Applications

- [Bizible](/handbook/marketing/marketing-operations/bizible/)
- [Allocadia](/handbook/marketing/strategy-performance/allocadia/)
- Google Analytics

### Requesting access to an existing tool

To request access to Bizible or Allocadia, [please follow the access request process](/handbook/it/end-user-services/onboarding-access-requests/access-requests/) as outlined in the business operations handbook.

If you are working with a contractor or consultant that requires access to one of these tools, [please follow the professional services access request process](/handbook/finance/procurement/) as outlined in the procurement handbook.

## Campaigns and Programs

As is typical of any marketing organization, we often look at our Campaigns to see how they are doing. The [Campaigns and Programs Page](/handbook/marketing/marketing-operations/campaigns-and-programs/#campaigns) shows all of the campaign types, their progression statuses and cost tracking.

## Initial Source

Similarly, we are interested in the`Initial Source` of a given prospect. It is the first "known" touch attribution or when a website visitor becomes a known name in our database. The list of currently supported values for `initial source` can be found on the [Mktg Ops page](/handbook/marketing/marketing-operations/#initial-source).

## Lead and Contact Statuses

The Lead & Contact objects in Salesforce have unified statuses with [set definitions](/handbook/marketing/marketing-operations/#lead-and-contact-statuses).

## Touchpoints & Attribution

We use Adobe Marketo Measure (Bizible) for marketing attribution and tracking times when there is engagement with our prospects. The [Adobe Marketo Measure handbook page](/handbook/marketing/marketing-operations/bizible/) has more details.

## Web Traffic Analysis

Google Analytics data is used to gain insights about the visitors and their behavior on our websites. The [web traffic analysis data catalog](/handbook/enterprise-data/data-catalog/web-traffic-analysis/) provides details about how to leverage GitLab specific web data (key terms, definitions, KPIs, caveats, data structure)
