---
title: "The Source Handbook"
description: "Everything you need to know about The Source, GitLab’s thought leadership portal."
---

[The Source](https://about.gitlab.com/the-source/) is managed by the [Brand](/brand-and-product-marketing/brand/) and [Content Strategy & Ops](/brand-and-product-marketing/content/) teams, with support from [Corporate Communications](/corporate-communications/).

## What is The Source?

AI-powered DevSecOps is transforming software development. To succeed in this new frontier and drive business success, leaders need actionable insights, best practices, and fresh perspectives.

The Source is a resource center where technical champions, economic buyers, and other influencers can find relevant content to help them make critical decisions and set their teams up for success with DevSecOps.

Content that belongs on The Source is:

- In-depth, relevant, and actionable
- About the interests, challenges, and pain points involved in software development
- Authored by GitLab’s team of subject matter experts (executives, Field CTOs, Product Managers, and more)
- Aimed at helping C-suite executives and engineering and infrastructure leaders with their decision-making
- Written in alignment with the GitLab Style Guide

Content that belongs on the [GitLab Blog](https://about.gitlab.com/blog/):

- Product-focused articles
- Highly tactical and technical content (tutorials)
- Open source community content
- Company announcements

If you’d like to learn more about contributing to the GitLab Blog, visit the [Blog Handbook](/blog/) or reach out on our internal Slack channel at `#the-source`.

You can contribute to the success of [The Source](https://about.gitlab.com/the-source/) by spreading the word and sharing new posts with your network.
