---
title: User Engagement
description: >-
  User Engagement is one of GitLab's top 12 cross-functional initiatives. The goal is to strengthen our developer brand and increase contributors per month to GitLab.
---

User community engagement is important in creating awareness among various communities who become advocates of GitLab internally at companies down the line or influence others at said companies. Improving our user engagement is one of GitLab's top 12 cross-functional intiatives. The goal is to have a strong developer brand.

The User Engagement initiative has three workstreams:

1. Build brand awareness with thought leadership and technical content to activate members of our community programs (Education, Open Source, Meetups, Heroes) (# active community members).

   * [Public technical content epic](https://gitlab.com/groups/gitlab-com/-/epics/1795)

1. Develop, brand and market the DevOps Architect Certification program focused on technical users at our customers and our partners (# of partner and total certifications).

   * [Public certification epic](https://gitlab.com/groups/gitlab-com/customer-success/professional-services-group/-/epics/1277)

1. Drive toward 1000 contributors a month using a marketing funnel approach.

   * [Public contributor goal epic](https://gitlab.com/groups/gitlab-com/-/epics/1796)

*Note: In addition to the public epics above, there are placeholder epics in the confidential top 12 initiatives repository. As our work on this initiative does not require confidentiality, we are not linking to those placeholders.*

## Overall Goal

Activate the community and drive them to become more involved in GitLab programs - community programs, certification or contributor programs. Increase contributors to 1000 contributors per month.

## DRI

The current DRI for this initiative is GitLab's Manager, Developer Evangelism. The executive sponsor is the CMO.

## Stakeholders

There are numerous stakeholders working on this initiative including:

* Quality Engineering
* Content Marketing
* Customer Success
* Field Enablement
* Developer Relations

## How we work

### GitLab

Work being done on this initiative can be found in the [gitlab-com](https://gitlab.com/gitlab-com) group. The issues, epics, and merge requests associated with this work are labeled with the [User engagement](https://gitlab.com/groups/gitlab-com/-/labels?subscribed=&search=User+engagement) label.

### Strategy Doc

The overall strategy doc for reaching our contributor goal can be found in Google Drive by searching for **Strategy to increase 10x Community Contributors**. This work is also broken out into [epics](https://gitlab.com/groups/gitlab-com/quality/-/epics?state=opened&page=1&sort=start_date_desc&label_name[]=User+engagement) in the Quality project.

### Slack

The Slack channel for this initiative is [#wg_user-engagement](https://gitlab.slack.com/archives/C037L2E7RST).
