---
title: People Group
description: "The People Group at GitLab supports all GitLab team members through the complete team member lifecycle."
---

## Welcome

Welcome to the People Group handbook! You should be able to find answers to most of your questions here.

## People Group Vision

The People Group works together to establish a high performance and results driven culture where a diverse and inclusive team can experience a meaningful career.

We support a culture that enables people to do their best work and advance their careers while fully contributing to advancing GitLab's business results. We hire, promote, and recognize team members who best live our values.

The People Group strategy is to set the [foundation for GitLab's 3 year strategy](https://internal.gitlab.com/handbook/company/three-year-strategy/) through a focus on attracting and retaining diverse talent, creating a high performance culture with a focus on efficiency and quality results, driving divisional success through talent programs, and cultivating an equitable and inclusive culture.

We've published more information about how this vision translates to strategy and OKRs for GitLab team members in this [internal-only presentation](https://docs.google.com/presentation/d/1CIRrqh0aum40L7g4MCMFaTR_mu0jG4gJot8ds6rxUrc/edit#slide=id.g2bff70f3fe6_1_691).

## Connect with us

You can also check out pages related to People Group in the section below. If you can not find what you are looking for please do the following:

- [**The People Group**](https://gitlab.com/gitlab-com/people-ops) holds several subprojects to organize the people group; please create an issue in the appropriate subproject or `general` if you're not sure. Please use confidential issues for topics that should only be visible to GitLab team-members. Similarly, if your question can be shared please use a public issue. Tag `@gl-people-connect-team` or `@gl-hiring` so the appropriate team members can follow up.
  - Please note that not all People Group projects can be shared in an issue due to confidentiality. When we cannot be completely transparent, we will share what we can in the issue description, and explain why.
  - [**Employment Issue Tracker**](https://gitlab.com/gitlab-com/people-group/people-operations/employment-templates): Only Onboarding, Offboarding and Transition Issue Templates are held in this subproject, and they are created by the People Connect Team only. Interview Training Issues, are held in the [Training project](https://gitlab.com/gitlab-com/people-group/Training) and created by the Talent Acquisition team. Please see the [interviewing page](/handbook/hiring/interviewing/#typical-hiring-timeline) for more info.
- **People Connect**; Please create a case for the People Connect team with any questions that do not seem appropriate for the issue tracker within [HelpLab](/handbook/business-technology/enterprise-applications/guides/helplab-guide/#how-do-i-use-helplab) - choosing the applicable template/category applicable. For access requests regarding Google or Slack groups, please create an issue here: https://gitlab.com/gitlab-com/team-member-epics/access-requests. For questions that relate to Payroll, Expenses or Equity, please direct your question to the respective teams in HelpLab. Regarding questions for our recruiting team, including questions relating to access, or anything to do with Greenhouse, referrals, interviewing, or interview training please use the `#talent-acquisition` channel.
- If you need to discuss something that is confidential/private (including sensitive matters surrounding your team), you can open a [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=d865085147cc069067429ee0026d43eb&in_context=true) Case the Team Member Relations team. Any team member, regardless of location, can use this form to discuss a private sensitive matter.
- If you need help with any technical items, for example, 2FA, please ask in `#it_help`. The channel topic explains how to create an issue. For urgent matters you can mention `@it-ops-team`.

## The People Group: One Team Mosaic Video

[One Team Mosaic Video](https://www.youtube.com/watch?v=5bSij66OSgw)

In general, the People Group is here to support GitLab's [mission](/handbook/company/mission/) by bringing top talent into GitLab, and then enabling team members to make meaningful contributions in alignment with our [values](/handbook/values/).  Please don't hesitate to [reach out](#how-to-reach-the-right-member-of-the-people-group) with questions or ask for support!

The People Group works together as one team, made up of five departments: People Operations, Talent and Engagement, Total Rewards, People Business Partners, and Diversity, Inclusion, and Belonging (DIB).

| Department | Teams |
| ---------- | ----- |
| People Operations | People Connect, Employment Solutions, People Compliance, People Tools & Technology, People Analytics, Team Member Relations |
| Talent and Engagement | Talent Acquisition; Candidate Experience, Talent Acquisition Operations and Insights, Sourcing, Talent Brand<br>Engagement; Talent Development, Engagement, Talent Management |
| Total Rewards | Global Compensation, Benefits, and Equity Strategy |
| People Business Partners | Aligned to Engineering, Product, Sales, Marketing, and G&A |
| DIB |  |

## Need Help?

### In Case of Emergency

If team members need emergency support from GitLab's People team, please create a case in [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=57e1ad3997804e50a326158de053af3d). HelpLab is monitored during most working hours and is the centralized support platform for all people-related queries. Read more about our [People Connect methods of engagement]({{< ref "people-connect#methods-of-engagement" >}}).

In critical cases, the [VP, People Operations, Technology & Analytics](/handbook/company/team/#pegan) is contactable 24/7 via their mobile numbers that appear in their Slack profile.

We trust team members to always use their best judgement when facing any emergency. Team members are encouraged to dial their country's emergency services number for any critical and/or medical emergency. In the case that other team members are aware of a team member's emergency (during a Zoom call for example) and wish to call that country's emergency services on the original team member's behalf, we do not recommend this as only certain People Ops team members have access to team member addresses and we would take on the role of communicating with emergency services, should this extremely rare situation arise.

In the event a team member is in an unsafe situation due to a natural disaster, please see the [Disaster Recovery Plan](/handbook/people-group/incident-response) page.

### How to Report Violations

As stated in the [Code of Business Conduct and Ethics](https://ir.gitlab.com/static-files/7d8c7eb3-cb17-4d68-a607-1b7a1fa1c95d), we have a section related to reporting violations. GitLab has engaged Navex to provide EthicsPoint, a comprehensive and confidential reporting tool, an anonymous ethics hotline for all team members. The purpose of the service is to insure that any team member wishing to submit a report anonymously about conduct addressed in the [Code of Business Conduct and Ethics](https://ir.gitlab.com/static-files/7d8c7eb3-cb17-4d68-a607-1b7a1fa1c95d) can do so without the fear of retaliation.

In addition to EthicsPoint, GitLab has engaged Lighthouse Services to provide an anonymous reporting hotline for all team members to submit reports regarding team member relations. Reports may cover but are not limited to the following topics: wrongful discharge or disciplinary action, [sexual harassment]({{< ref "anti-harassment#sexual-harassment" >}}), discrimination, conduct violations, alcohol and substance abuse, threats, improper conduct, violation of company policy.

Please note that the information provided by you may be the basis for an internal and/or external investigation into the issue you are reporting and your anonymity will be protected by Lighthouse to the extent possible by law. However, your identity may become known during the course of the investigation because of the information you have provided. Reports are submitted by Lighthouse to a company designee for investigation according to our company policies.

Lighthouse has a toll free number and other methods of reporting are available 24 hours a day, 7 days a week for use by team members.

- Website: <https://www.lighthouse-services.com/gitlab>
- USA Telephone:
  - English speaking USA and Canada: 833-480-0010
  - Spanish speaking USA and Canada: 800-216-1288
  - French speaking Canada: 855-725-0002
  - Spanish speaking Mexico: 01-800-681-5340
- All other countries telephone: +1-800-603-2869
- E-mail: reports@lighthouse-services.com (must include company name with report)
- Fax: (215) 689-3885 (must include company name with report)

In addition to EthicsPoint and Lighthouse, please review the [Team Member Relations]({{< ref "team-member-relations" >}}) page. GitLab also offers a [Harassment Complaint Form](https://docs.google.com/document/d/1Xk5SXvh2kpO-w-TdykiczjhXNrEBjbMwDQHEt6lMhIk/edit?usp=sharing) that any team member may use to document any instance of any type of workplace harassment. Simply copy the form, fill it out with your information and send it to our Team Member Relations Specialist at teammemberrelations@gitlab.com.

## How to reach the right member of the People Group

This table lists the aliases to use, when you are looking to reach a specific group in the People Group. It will also ensure you get the right attention, from the right team member, faster.

| Subgroup | GitLab handle | Email | Slack Group handle/channel | Greenhouse | Issue tracker |
| -------- | ------------- | ----- | -------------------------- | ---------- | ------------- |
| [People Business Partners](/handbook/people-group/people-business-partners/) | @gl-peoplepartners, *Please add the `pbp-attention` label to any issue or MR that requires PBP review, collaboration, or feedback* | peoplepartners@ gitlab.com | @peoplepartners | n/a |  |
| [Total Rewards](https://gitlab.com/gitlab-com/people-group/total-rewards) | @gl-total-rewards | total-rewards@ gitlab.com | [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=b677b7c9474c069067429ee0026d43d1) | n/a |  |
| [People Compliance Partner](https://gitlab.com/gitlab-com/people-group/compliance) | TBA | [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=274b6e52ff3c12903691fe34fc4fd9ee) | TBA | n/a |  |
| [People Connect Team](https://internal.gitlab.com/handbook/people-group/people-operations/people-connect/) | @gl-people-connect-team | HelpLab | @people-connect-team | n/a |  |
| [Team Member Relations](https://gitlab.com/gitlab-com/people-group/team-member-relations) | @atisdale-ext | teammemberrelations@gitlab.com | n/a | n/a |  |
| [Absence Management Team]({{< ref "leave-of-absence" >}}) | @lyndemeiers | leaves@gitlab.com | [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=3df7f70d474c069067429ee0026d434c&in_context=true)| n/a |  |
| [People Group Engineering](https://gitlab.com/gitlab-com/people-group/peopleops-eng/people-operations-engineering) | @gl-people-engineering | No email group, create issues for People Engineering [here](https://gitlab.com/gitlab-com/people-group/peopleops-eng/people-operations-engineering/-/issues/new?issue%5Bassignee_id%5D=&issue%5Bmilestone_id%5D=) | #peopleops-eng | n/a | https://gitlab.com/groups/gitlab-com/people-group/peopleops-eng/-/boards/3941171 |
| [Diversity, Inclusion and Belonging](https://gitlab.com/gitlab-com/diversity-and-inclusion) | No alias yet, @mention the |  |  |  |  |
| [Diversity, Inclusion and Belonging Partner]({{< ref "diversity-inclusion-partner" >}}) | diversityinclusion@ gitlab.com | n/a | n/a |  | [Diversity, Inclusion and Belonging issue tracker](https://gitlab.com/gitlab-com/diversity-and-inclusion/-/issues) |
| [Learning and Development](https://gitlab.com/gitlab-com/people-group/Training) | `@gitlab-com/people-group/learning-development` | learning@ gitlab.com | #learninganddevelopment | n/a | [L&D Issue Board](https://gitlab.com/groups/gitlab-com/people-group/learning-development/-/boards/1958538)  |
| [Talent Acquisition](/handbook/company/team/?department=talent-acquisition) | @gl-talent-acquisition | recruiting@ gitlab.com | @talent-acquisition-team | n/a |  |
| Employer Branding | No alias yet, @mention the [Senior Talent Brand Manager](/handbook/company/team/#bchurch) | employmentbranding@ gitlab.com | n/a | n/a |  |
| [Candidate Experience Specialist](/job-families/people-group/candidate-experience) | @gitlab-com/gl-ces | ces@ gitlab.com | @ces | @ces* |  |
| Talent Acquisition Operations and Insights | @gl-talent acquisitionops | talentacquisitionops@ gitlab.com | @talent-acquisition-ops | @talent-acquisitionops |  |
| Sourcing | @gl-sourcingteam | n/a | @sourcingteam | n/a |  |
| [People Analytics](/handbook/people-group/people-ops-tech-analytics/people-analytics/) | No alias, create issues for People Analytics [here](https://gitlab.com/gitlab-com/people-group/people-analytics/general/-/issues/?sort=updated_desc&state=opened&first_page_size=100) | n/a | @peopleanalyticstriage | n/a | [People Analytics Issue Board](https://gitlab.com/gitlab-com/people-group/people-analytics/general/-/boards/5251608) |

## People Group Program Calendar for Managers and Team Members

On [this page](/handbook/people-group/calendars) you can find our People Manager Calendar and All Team Member Calendar. The goal of these pages is to ensure that team members and People Managers can plan ahead and have an overview of upcoming programs and timelines.

### Communication on People Programs that require action

Each quarter a Slack reminder will go out in #people-manager-and-above channel to review the next quarter calendar events. Each month shows Task, which outlines the people manager responsibility associated with the specific program, and (if applicable) highlights the Key Date. We will also leverage our Manager Newsletter and the Company Newsletter for broadcasting our programs widely.

### Updating calendars

Each month on the first Monday there's a calendar reminder to update the calendars on that date. This calendar reminder includes People Business Partners and the DRI in L&D.
Also with sharing the calendars in the news letters People Business Partners and L&D will be tagged.

The goal of the calendar is to include information at least two quarters ahead of the current quarter. For questions about the updates to the calendars you can always reach out to People Connect.

## Support provided by the Legal, Employment team to the People Group

The Legal-Employment team, collaborates with and provides support to the People team in many functional areas.

Email approval from the Senior Director of Legal, Employment is required prior to engagement with external counsel to allow for accurate tracking of costs.

Invoices will be sent to Senior Director of Legal, Employment, for approval.

## When support from the People Connect team is required by the Legal, Employment team

The legal, employment team may require support from the people connect team, for communicating a country specific legal requirement to team members, to consult with team members in an entity country if necessary or to arrange legally required contract amendments, to name just a few examples. As these matters may relate to individual team members or groups of team members, they are appropriately managed in a confidential manner.

If the legal, employment team makes a request for support or assistance from the people connect team, the request should be formulated using a template ([linked here](https://docs.google.com/document/d/1WFa3bJs9ryQHGr-073wjwlsF4peXml1EK1fP1aYcZag/edit), though accessible internally only to legal, employment and the people connect teams).
The request should include *all* the required detail and explanation to enable people connect to support, including:

- An explanation of what is needed
- Whether there's a timeline on the request (ensuring people connect are provided with as much lead time as possible)
- Whether all the information needed, has been provided, eg contact names, dual language translations if applicable, links to any relevant documents etc
- A note on whether an FAQ to share with team members is needed or whether people connect have enough information to answer any questions which might arise
- Whether there are any follow up actions for legal or for people connect
- A short explanation or summary (if necessary) or courtesy update for the managers of any affected team members
- Whether confirmation of completion is needed

To make a request, a copy of the template should be saved, filled out as above, dated and passed to Alissa Meeks/the People Connect Manager so the request can be assessed and assigned to a member of the people connect team for completion. Once assigned, the member of the people connect team who will be assisting with the request should touch base with the member of the legal, employment team who has made the request, to confirm that the request is being worked on and so it's easy to collaborate on finishing out the task.

## Support provided by the People Connect team to the People Business Partner team

All tasks will be assigned via slack in the #pbp-peopleops slack channel. This is a private channel. The People Connect Team, will self-assign a task, within 24 hours and comment in slack on the request to confirm.

## People Connect Responsibilities & Response Timeline

Please note that the source of truth for role responsibilites is the job family for the [People Connect Team](/job-families/people-group/people-connect). The table below is meant to provide a quick overview of some of the core responsibilities for the team.

### People Connect Team

| Responsibility | Response Timeline |
| -------------- | ----------------- |
| [Onboarding](https://internal.gitlab.com/handbook/people-group/people-operations/people-connect/onboarding_process/) | 2 weeks prior to start date |
| [Offboarding]({{< ref "offboarding_standards" >}}) | Immediate action for involuntary & 24 hours for voluntary |
| [Career Mobility]({{< ref "promotions-transfers#career-mobility-issue" >}}) | Within 24 hours |
| [Letters of Employment]({{< ref "frequent-requests#letter-of-employment" >}}) | Within 24 hours |
| [Employment Verification]({{< ref "frequent-requests#employment-history-verification-current-team-members" >}}) | Within 24 hours |
| [Anniversary Emails]({{< ref "celebrations#anniversary-gifts" >}}) | First day of the following month |
| HelpLab Queries | Within 24 hours |
| [Probation Period Notifications]({{< ref "contracts-probation-periods#probation-period" >}}) | Daily (when applicable) |
| [Contract Renewals]({{< ref "contracts-probation-periods#contract-renewals" >}}) | 30 days or more prior to team member's renewal date |
| [Exit Interviews]({{< ref "offboarding#exit-survey" >}}) | During voluntary offboarding team member's last week |
| [Administration of the signing of our Code of Business Conduct and Ethics](https://ir.gitlab.com/static-files/7d8c7eb3-cb17-4d68-a607-1b7a1fa1c95d) | Annually in Feb/March |
| [US Unemployment Claim Management]({{< ref "offboarding#us-unemployment-claim-management" >}}) | As Needed and Audited Quarterly |

Other listed processes for the People Connect Team can be found [here](https://internal.gitlab.com/handbook/people-group/people-operations/people-connect/people_connect_team/)

## Employment Solutions Team

| Responsibility | Response Timeline |
| -------------- | ----------------- |
| [Relocations]({{< ref "relocation" >}}) | As requested, usually completed 30 days or more prior to team member's relocation date |
| [Country Conversions]({{< ref "employment-solutions#country-conversions" >}}) | As soon as approval is given by CFO. Conversion turnaround time can vary based on a variety of factors. |

## Frequently Requested

Please review the [frequently requested section]({{< ref "frequent-requests" >}}) of the People Handbook before reaching out to the team. The page includes information on accessing a team directory, requesting a letter of employment, mortgage forms, the companies reference request policy, ordering business cards, and changing your name in GitLab systems.

## Addresses

- For the mailing addresses, see our [visiting](/handbook/company/visiting/) page.
- For the NL office, we use [addpost](https://www.addpost.nl) to scan our mail and send it to a physical address upon request.

## Reporting potential inaccurate LinkedIn Profiles

GitLab does not actively search for LinkedIn profiles that have inaccurate information about being a GitLab Team member. However, there are instances where a profile is identified and there is question on whether the person is truly a GitLab team member. Here is the process for flagging a potentially inaccurate profile and the actions that the People Connect Team will do to confirm and potentially report a profile.

- Team members should first check in Slack and/or on the organizational page to determine if the team member is a current GitLab team member.
- If the team member cannot confirm the profile, team members should reach out to the People Connect Team via [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=57e1ad3997804e50a326158de053af3d) with the LinkedIn profile in question.
- The People Connect Team member will confirm in Workday that they are not/have not been a team member.
- The People Connect Team member will confirm with talent acquisition to confirm if they have ever been interviewed, made an offer or were declined.
- The People Connect Team member will reach out to the [Developer Relations team](/handbook/marketing/developer-relations/) to confirm if they are an active wider community member via the [#developer-relations](https://gitlab.slack.com/archives/C0R04UMT9) Slack channel, using the `@devrel-team` tag.
- If they are a confirmed member of the wider community but not a team member, the Developer Relations team will reach out the profile and ask them to change their profile to match their GitLab involvement.
- If they are not a current member of the wider community and talent acquisition has confirmed they do not have a profile in Greenhouse, talent acquisition will create a Do Not Hire profile.
- The People Connect Team member will report the account to LinkedIn via the [Reporting Inaccurate Information on Another Member's Profile](https://www.linkedin.com/help/linkedin/answer/30200?src=or-search&veh=www.google.com%7Cor-search)

## Using Workday

We use Workday to maintain team member information.  All team members (all contract types) are in Workday.
Workday is managed and maintained by the People Tools and Technology team.

See our [Workday Guide]({{< ref "workday-guide" >}}) to  learn more about how to use Workday.

## Using Culture Amp

Administrative access to CultureAmp will be limited based on role and responsibility. There are 3 different levels of access:

- Account Administrator access can manage account setting and team member data, create surveys and has access to all survey results.
- Survey Creator administrator access can create, manage and design surveys, select participants and share results.
- Survey data analyst administrator can export raw data from all surveys enabled for raw data extract.

To request access please open an access request with the type of account [access requested](/handbook/it/end-user-services/onboarding-access-requests/access-requests/#how-do-i-choose-which-template-to-use) and the business need. You can assign the access request to Anesia Chan `@anechan` and Laura Janssen `@Laura-Janssen` (as backup) for review and approval. The default admin access will be the Survey Creator administration rights unless other access is specified. Please note that Survey Data Analyst admin rights will not be granted to team members outside of the People group with out permission from the Chief People Officer.

If you need support with a specific CultureAmp Survey, please complete this [issue template](https://gitlab.com/gitlab-com/people-group/people-analytics/general/-/blob/main/.gitlab/issue_templates/survey_request.md) to alert the People Analytics Team.

## Take Time Out to Learn

At GitLab, we believe that [career growth is non-linear](/handbook/people-group/learning-and-development/career-development/). In practice, non-linear career growth is an opportunity for team members to increase efficiency with new skills, develop as leaders with new responsibilities, and grow as an expert in their field.

**But growth only happens when we make intentional time and space to learn.**

As a People Group, we're embracing this attitude of continuous learning together, with the challenge that, as a team, we can spend a total of **300 hours** learning before the end of FY25 Q3! We encourage everyone to participate, spending approx. 2 hours per month learning something new, as a way to prioritize your development and use work time to uplevel and upskill.

At the end of the quarter, we'll ask folks to self-report hours spent learning, and take a tally of total People Group learning hours.

![visual progress bar for People team hours spent learning](/handbook/people-group/learning-hours.png)

Here are a few ways you might spend time learning this quarter:

1. [Create an IGP](/handbook/people-group/learning-and-development/career-development/#start-your-igp) to track and monitor your growth goals
1. Utilize the [Growth and Development Fund](/handbook/people-group/learning-and-development/growth-and-development/) to engage in a class or conference
1. Organize a [job shadow](/handbook/people-group/learning-and-development/career-development/#job-shadow-programs) or [internship for learning](/handbook/people-group/learning-and-development/internship-for-learning/) to increase exposure and collaboration with different roles and teams.
1. Attend an AMA or async Group Conversation, and contribute by asking a question.
1. Organize a discussion on your team about a shared topic (i.e. article, book, or podcast on a topic that is relevant to your team's work)
1. Attend a TMRG career growth event

We encourage everyone to have an ongoing conversation about career growth with their manager during weekly 1:1s. If this isn't already part of your weekly check in, consider adding it to your agenda template now!

**Investing in your growth is essential for both your individual success and the success of our entire team. Let’s start learning together!**

## Other pages related to the People Group

### People Business Partners

- [People Business Partner Team](/handbook/people-group/people-business-partners/)

### Total Rewards

- [Benefits]({{< ref "benefits" >}})
- [Global Compensation]({{< ref "compensation" >}})

### People Operations

- [Code of Business Conduct and Ethics](https://ir.gitlab.com/static-files/7d8c7eb3-cb17-4d68-a607-1b7a1fa1c95d)
- [Promotions and Transfers]({{< ref "promotions-transfers" >}})
- [Employment Solutions (International Expansion)]({{< ref "employment-solutions" >}})
- [Contracts](https://internal.gitlab.com/handbook/people-group/people-operations/people-connect/employment_contracts/)
- [Probation Periods & PIAA]({{< ref "contracts-probation-periods" >}})
- [Onboarding]({{< ref "general-onboarding" >}})
- [Offboarding]({{< ref "offboarding" >}})
- [Celebrations]({{< ref "celebrations" >}})
- [People Connect](https://internal.gitlab.com/handbook/people-group/people-operations/people-connect/people_connect_team/)
- [People Analytics](people-ops-tech-analytics/people-analytics/_index.md)

### Talent Acquisition

- [Incentives]({{< ref "incentives" >}})
- [Hiring process](/handbook/hiring/)
- [Leadership]({{< ref "leadership" >}})

### Learning and Development

- [Learning & Development]({{< ref "learning-and-development" >}})
- [Guidance on Feedback]({{< ref "guidance-on-feedback" >}})

### Diversity, Inclusion and Belonging

- [Gender and Sexual-orientation Identity Definitions and FAQ]({{< ref "orientation-identity" >}})

### Other People Group Links

- [People Policy Directory]({{< ref "people-policies" >}})
- [Underperformance]({{< ref "underperformance" >}})
- [Visas]({{< ref "visas" >}})
- [Leadership handbook]({{< ref "leadership" >}})
- [People Group READMEs](/handbook/people-group/readmes)
- [Women in Sales Mentorship Pilot Program]({{< ref "women-in-sales-mentorship-pilot-program" >}})
- [People Key Performance Indicators]({{< ref "people-success-performance-indicators#key-performance-indicators" >}})
- [People Performance Indicators]({{< ref "people-success-performance-indicators#regular-performance-indicators" >}})
