---
title: Programs Calendar - People Managers
description: >-
  The Talent Programs Calendar helps people managers priortise and plan ahead. It is the one overview that shows all Talent Programs that require people manager input and execution.
---

This page shows an overview of the Talent Programs that People Managers are involved in. The goal of this page is to ensure that People Managers can plan ahead and have an overview of upcoming programs and timelines.

Each program has its own page with exact dates as SSOT and content that is linked in the calendar `Actions` section below. Exact People program dates may shift slightly as we get closer to the execution of the programs listed, so we recommend you reference the SSOT links for the most accurate timelines and updates. All programs which require people manager action will be announced in Slack in the #managers or #people-managers-and-above channels at the time of launch.

## Communication

Each quarter a Slack reminder will go out in #people-manager-and-above channel to review the next quarter calendar events. Each month shows `Task`, which outlines the people manager responsibility associated with the specific program, and (if applicable) highlights the `Key Date`. We will also leverage our Manager Newsletter and the Company Newsletter for broadcasting our programs widely.

### FY25 Q1

| **Action**                             | **February**                                | **March**                         | **April**           |
|:--------------------------------------:|:--------------------------------------:|:--------------------------------------:|:--------------------------------------:|
| **[OKR Planning & Execution](/handbook/company/okrs)**                              | Task: Track Q1 OKR progress | Task: Track Q1 OKR progress                                | Task: Score Q1 OKRs by 2024-04-30 and submit Q2 OKRs by 2024-04-22   |
| **[Annual Compensation Review and Calibration](/handbook/total-rewards/compensation/compensation-review-cycle/)**          | Task: Annual Comp Review  | Task: Managers communicate comp decisions to all impacted team members. Promotions and new comp visible to team members in Workday 2024-03-13                                 | |
| **[Talent Assessment](/handbook/people-group/talent-assessment)** | Task: Performance Review Discussion with Managers                            |                  |  |

### FY25 Q2

| **Action**                                    | **May**                   | **June** | **July**        |
|:---------------------------------------------:|:----------------------------:|:-------------:|:------------------:|
| **[OKR Planning & Execution](/handbook/company/okrs)** | Task: Track Q2 OKR progress | Task: Track Q2 OKR progress                                | Task: Score Q2 OKRs by 2024-07-31 and submit Q3 OKRs by 2024-07-22   |
| **[Promotion Planning, Calibration & Communication]({{< ref "promotions-transfers#quarterly-promotion-calibration-process--timeline" >}})**          | Task: Promotion planning and calibration  |   Task: Promotion Planning and Calibration                              |  Task: Promotion Planning and Calibration                        |
| **[GitLab Engagement Survey](/handbook/people-group/engagement)**                  |  | Task: Engagement Survey kicks off               | Task: Engagement Survey results review & Divisional Action planning   |
| **[Talent Assessment](/handbook/people-group/talent-assessment)** |   |   Task: [Mid-Year Check In](/handbook/people-group/talent-assessment/#timeline-1)                       |                     |
| **[Career Development Conversations]({{< ref "career-development" >}})**          |                         |      | Task: (Optional) Kick off your Individual Growth Plan in Workday                     |

### FY24 Q4

| **Action**                                    | **November**                | **December**        | **January**                            |
|:---------------------------------------------:|:---------------------------:|:-------------------:|:-------------------:|
| **[OKR Planning & Execution](/handbook/company/okrs)** | Task: Track Q4 OKR progress | Task: Track Q4 OKR progress                                | Task: Score Q4 OKRs by 2024-01-31 and submit FY25-Q1 OKRs by 2024-01-08   |
| **[Promotion Planning, Calibration & Communication]({{< ref "promotions-transfers#quarterly-promotion-calibration-process--timeline" >}})**          |                  |  |  |
| **[Promotion Effective date & Communication]({{< ref "promotions-transfers#quarterly-promotion-calibration-process--timeline" >}})**  |                             |                     | Task: Plan Promotions for Q1 and Calibrate with Leadership by 2024-01-15 |
| **[Talent Assessment](/handbook/people-group/talent-assessment)**                         | Task: Write Talent Assessment review for your team members | Task: Calibrate ratings with leadership | Task: Talent Assessment (Review) Discussions with your team |
| **[Annual Comp Calibration]({{< ref "compensation-review-cycle" >}})**                   |Task: Add in recommendations for compensation changes for your team, Task: Calibrate the recommendations with your leader, Key date: Final recommendation to be entered in Workday by 2024-01-15 (tbc)                    |  |  |
