---
title: "New Hires, Celebrations and Significant Life Events"
description: "Review different ways GitLab celebrates its team members."
---

## New Hire Swag

As a new hire at GitLab, you will be getting a customized welcome package! On your date of hire you will receive an [email](https://internal.gitlab.com/handbook/people-group/people-operations/people-connect/onboarding_process/#new-hire-swag-email) to claim the package with a redemption link. Then simply enter your shipping information to have your welcome swag shipped directly to you.

## Celebrations

### GitLab Anniversary

At GitLab we like to acknowledge and celebrate team member milestones and contributions. This means that those celebrating their first, third, fifth and tenth hire-date anniversary will receive a token of acknowledgement.

Along with this, all celebrants regardless of length of tenure will receive a mention in the **#team-member-updates** channel which allows the greater GitLab community to share in the celebration!

#### Anniversary Gifts

Team members celebrating a GitLab anniversary will have the option to select a custom swag item only available to those celebrating an anniversary. Team members celebrating their one-year anniversary have the option to receive a custom GitLab Tech-Caddy. Those celebrating their three-year anniversary have the option of a branded 3-piece tumbler, pen and notebook set. Folks celebrating their five-year anniversary have the option of a GitLab branded computer backpack. And finally, team members celebrating their tenth-year anniversary have the option of receiving a custom swag package.

No action is required by team members in order to receive these gifts! If you are due an anniversary gift the vendor team, Brilliant, will email you at the beginning of the following month that you are celebrating your anniversary with a specific redemption link. The People Connect runs a monthly report from Workday looking back to the previous month to identify the eligible team members and share this with the swag vendor.

#### Redeeming New Hire Swag and Anniversary Swag

Please note: the New Hire and Anniversary Swag links are provided specifically for the redemption of preselected items. These items are not eligible for exchange or conversion to swag shop credit.

If you have any questions or need further assistance regarding New Hire or Anniversary Swag, please don't hesitate to reach out to the People Connect team via [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=4c1e3345478c069067429ee0026d43dc).

### Team Member Birthdays

GitLab encourages team members to take a day of vacation on their special day in alignment with our **[Paid Time Off Policy]({{< ref "paid-time-off#a-gitlab-team-members-guide-to-time-off" >}})**. If your celebration happens to fall over a weekend please be sure to take an alternate day such as the Friday prior or the Monday after.

### Team Member Gifts and Flowers

For questions on our policy and how to submit your Team Member Gift and Flower expenses, including which categories to use in Navan, please refer to the [Global Travel and Expenses handbook page](/handbook/finance/expenses/).

**Please note: The intended recipient will need to provide their residential address directly for the purposes of flower / gift delivery - personal information may not be disclosed without team member consent.**

Recommended sites:

- [1-800 Flowers](https://www.1800flowers.com/)
- [Flora Queen](https://www.floraqueen.com/)

### Sending an E-Card

Another nice way to celebrate someone, express your appreciation or show support to a team member is by creating an e-card and having team members sign the card via DocuSign. Have fun with this, get creative when making the card using google docs, google slides or a program of your choice.
An example can be found [here](https://documentcloud.adobe.com/link/track?uri=urn:aaid:scds:US:6034eed9-38e3-440e-bf5a-297905e13f06).
Once you have your card created:

1. Upload the document to DocuSign
1. Once uploaded, assign signatures to those individuals that you would like to sign and then send the request to those individuals
1. When an individual has signed you will get an email notification
1. After you have all of your signatures then download the document from DocuSign
1. Slack or email the card to the recipient

Recommended sites:

- [Ella Cards](https://ellacard.com/start)
- [Kudoboard Cards](https://www.kudoboard.com/)
