---
title: Talent brand
description: "Our ambitions as an employer, the steps we take to achieve and communicate those ambitions, and the measures in place to ensure we live up to them."
twitter_image: '/images/tweets/all-remote.jpg'
---

## Introduction

As a global, all-remote company, GitLab has a unique story to tell.
A key part of telling that story is sharing what it's like to work here, because we wouldn't be successful without our people and our culture.
This page outlines our approach to talent brand at GitLab.

<div style="padding:56.25% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/947155019?badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture; clipboard-write" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="Get to Know GitLab"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>

## Defining our talent brand vision

If we look 10 years into the future, we picture an iteration of GitLab that's a decade closer to achieving [our mission](/handbook/company/mission/) and that has continued to evolve. Our talent brand vision is meant to capture how we picture GitLab evolving over the decade ahead.

![Talent brand vision statement](/handbook/people-group/employment-branding/images/talent_brand_june_2022.png)

There are two parts to this vision:

1. Continually building a company with a values-led, remote culture where people can contribute and thrive
1. Becoming increasingly well known both externally and internally for being this type of workplace

To achieve the first part, we need to ensure that we're building a workplace that fits this description. To achieve the second part, we need a thoughtful go-to-market strategy so that over time we become more well known for these things.

## Achieving our talent brand vision

To work toward our defined vision, we believe that continually improving on, highlighting, and sharing the following things about GitLab put us on a path toward realizing this vision.

This will require close collaboration with all parts of the People and Marketing Groups as we'll want to ensure that we promote and communicate the things that move us closer to fulfilling our vision.

As we build GitLab into one of the world's best workplaces, we will look to increasingly educate candidates and team members about 3 themes that set us apart from other workplaces.

### GitLab is a place where

1. **Everyone can contribute**
    - We've got big ambitions to make GitLab the [top DevSecOps platform](https://about.gitlab.com/solutions/devops-platform/) and need skilled contributors to get us there.
    - Our [mission]({{< ref "mission" >}}) makes it clear that we believe in a world where everyone can contribute. We make that possible at GitLab by [running our operations]({{< ref "using-gitlab-at-gitlab" >}}) on our product. This means everything is read-write by default.
    - We operate around the world. We welcome people of all backgrounds to contribute to our success and have built [Diversity, Inclusion, and Belonging programs](/handbook/company/culture/inclusion/) and practices into all parts of our company.
1. **Anyone can thrive**
    - Building a company where anyone can thrive means putting in place the programs needed for our team members to manage their [health, wealth, and well-being]({{< ref "benefits" >}}) regardless of location.
    - [Career development]({{< ref "career-development" >}}), clarity in expectations by having defined performance indicators, [learning & development](/handbook/people-group/learning-and-development), and access to opportunity are all things that are top of mind as we grow GitLab.
1. **We foster a values-led, remote culture**
    - Our [CREDIT values](/handbook/values/) drive a culture that's built to operate in an [all-remote environment](/handbook/company/culture/all-remote/guide/). Because we're all-remote, we aim to stay at the forefront of best practices & building culture in a globally distributed environment.
    - Our [handbook-led approach](/handbook/company/culture/all-remote/handbook-first/) and async working style highlight our values-led, remote culture.

## Key ways we bring this vision to life

- **Talent brand marketing:** Aligning our value proposition with a go-to-market plan so that key candidate audiences are aware of GitLab. Matching the look & feel of recruiting materials with the GitLab brand, and creating external campaigns.
- **Content development:** Creation and distribution of candidate & careers content that further our talent acquisition and talent attraction goal.
- **Education & Enablement:** Maintaining the internal & external sources that inform and engage candidates from pre-apply to hired.
- **Partners & Sponsorships:** Identifying and building relationships with digital & events partners that can help us reach new audiences
- **Team member engagement:** Bring team members along on the journey through storytelling, empower team members to become GitLab ambassadors, and share information transparently so that the company we're building reflects the company we're promoting.

We use a number of tactics to bring GitLab's value proposition to life. Using talent brand marketing and content development we'll create candidate-facing materials that show GitLab as an employer of choice. Additionally, candidate and public engagement & education alongside partnerships & sponsorships will provide added evidence that our value proposition is an accurate reflection of who we are as a company. Lastly, internal communication will bring team members on the journey with us and help engage team members so that our culture remains strong.

As we consider the ways in which we will bring our value proposition to life, we've also landed on several design principles to help guide the tactics we choose to deploy within the key areas mentioned above.

## Design principles that underpin our strategy

- **Do less, but go bigger:** We're currently spread too thin given the amount of context shifting across tactics; we'll decide which tactics look most promising and put our focus there.
- **Measure & analyze to continually improve over time:** We need to choose tactics that can be measured and understood so that we can align on ways to improve.
- **Nail the basics:** We need to do a better job of getting the basics right (i.e. how we post jobs, what our job ads look like, social media sharing).
- **Invite GitLab team members to be a part of the journey:** Bring team members along on the journey through storytelling, empower team members to become GitLab ambassadors and seek input from across the company to continually iterate.

## How this translates to OKRs and our roadmap

We strive to be as transparent as possible, but this section is only for GitLab team members.

[FY24 Talent Brand Go-to-market strategy and roadmap](https://docs.google.com/presentation/d/1w0520l2sYW_a9kR48t1Vu5lvHymXsXCU36yz28Lc378/edit?usp=sharing)

## Talent brand resources

### Content library

The [life at GitLab content library]({{< ref "content-library" >}}) is a curated list of blog posts, articles, videos, awards, and quick facts that help tell the story of life at GitLab.

### GitLab talent ambassadors

Spread the word about life at GitLab by becoming a GitLab talent ambassdor.

1. Share with your social media network when your team is welcoming a new team member and have your new team member share with their networks as well by leveraging [this template](https://docs.google.com/presentation/d/1Itl4rKjihsByhTER0DZgpT6GqWCxjPo5rAJ7WPgaym4/edit?usp=sharing)!
1. Share with your social media network that your team is hiring by posting one of [these job ads](https://drive.google.com/drive/folders/17MSdy-vjfcQJVRwH2abz1k4tcOHX8fbe?usp=sharing) (don't forget to include a link to the job)!
1. Sales managers, celebrate your sales team's quota achievements by posting one of [these Sales Quota Acheivement Social Cards](https://docs.google.com/presentation/d/1D8AHlzlpmStVdIHVQnhEgNIEBFHAjFBAy2Qk4HxkV1I/edit#slide=id.p) to recognize their achievement.
1. Include the #LifeatGitLab hashtag and the [link to our careers page](https://about.gitlab.com/jobs/) in your posts.

Whether you're a hiring manager or an individual contributor, [this page](/handbook/hiring/gitlab-ambassadors) outlines additional steps you can take to help represent our talent brand and attract more great people to join the team.

### Additional talent brand resources

As we create campaigns, post jobs, sponsor events, and attract top talent to GitLab, it's often the case that we create new resources that are intended to educate candidates about careers with GitLab. Many of the resources we create can be repurposed for other use cases. Use the following dropdowns to discover how to contribute to these resources.

<details><summary>Animated Videos</summary>

**Animated short-form video for social media or event usage: Using a google slide deck as a starting point and animating those slides into an .mp4 video is an easy way to create an engaging social media or event asset.**

- Start by creating a slide deck that includes high-level info about careers at GitLab. This sample deck is a really [simple example using only 4 slides](https://docs.google.com/presentation/d/1P6zD82oXUorWoR7mYnHf2Oun2n4q4NvXZqsDbDuWYPw/edit?usp=sharing).
- Using the Creator Studio add-on, you can choose to "create video" from the existing slides
- To help with conversion, you can also request a custom QR code be created using QR.io by creating an issue in the talent acquisition project and tagging @cchiodo or @drogozinski
- The final result will look [something like this](https://drive.google.com/drive/folders/1fwoi5NI6q0_hbT7_Q8Q817AwsRPmTmYe?usp=sharing) and can be shared through various social media sites or presented in video format at in-person events.

</details>

<details><summary>Team Member Videos</summary>

**Whether you're looking to embed video in a job ad, or create an asset to leverage in outreach, team member spotlight videos are an excellent way to provide first-hand perspectives. With a partnership with [Cinebody](https://www.cinebody.com/), we're able to build video projects and collect team member sentiment in one central place.**

- Send @cchiodo a Slack with more details about your video project including topic, use case, team members to include, and specific questions that featured team members will be answering. The recommended list of questions for a hiring manager video are included below:
   1. Provide a short explanation about the role you're hiring for. What would someone in this role do?
   1. Why is this role impactful to the organization? How is this role helping shape the state of our industry around DevSecOps and engineering/sales/product/G&A etc. (whatever team the role is on)?
   1. Why should candidates apply to this role and to GitLab? What is in it for them?
- @cchiodo will create a project in Cinebody with the provided topic and questions. Once the project is built, @cchiodo will send the project PDF back to the requester to be shared with team members being featured
- Once videos are finalized (as notified by @cchiodo), requester to create a video editing request in GitLab by using [this issue template](https://gitlab.com/gitlab-com/marketing/inbound-marketing/global-content/digital-production/-/issues/new), applying the video-editing-request template, and tagging @cchiodo in the issue
- Asked to participate in a video? Learn more about what you can expect by scrolling to the bottom of [this page](/handbook/hiring/gitlab-ambassadors/)

</details>

<details><summary>Articles</summary>

**Written articles are a great way to provide insight to candidates about a specific team, project, or exciting aspect of GitLab. There's several different ways to contribute an article including (please slack @cchiodo for further information about each option):**

- [Builtin](https://builtin.com/company/gitlab), the online community for United States-based startups and national tech companies
- [Venturefizz](https://venturefizz.com/gitlab), one of the leading authorities for jobs & careers in the tech industry
- Write your own blog, or have a team member write it, and publish on the GitLab blog. Learn more about [how to contribute a blog to GitLab](/handbook/marketing/blog/#how-to-suggest-a-blog-post)
- Asked to participate in an article? Learn more about what you can expect by scrolling to the bottom of [this page](/handbook/hiring/gitlab-ambassadors/)

</details>

## Digital channels for talent branding

### Jobs site

Our [GitLab jobs site](https://about.gitlab.com/jobs/) is where candidates can find information about working at GitLab, along with a link to view our job opportunities.

### Social media

We incorporate content about hiring and our culture on GitLab's [social media](/handbook/marketing/integrated-marketing/digital-strategy/social-marketing/) accounts so that there's one central place for candidates and the community to find out more about the company as a whole.

On LinkedIn, we have a specific [career page](https://www.linkedin.com/company/gitlab-com/life) where candidates can find out more about life at GitLab.

There are a number of videos on our [YouTube channel](https://www.youtube.com/gitlab) that relate to working here:

- [Why work remotely?](https://youtu.be/GKMUs7WXm-E)
- [Everyone can contribute](https://youtu.be/kkn32x0POTE)
- [Working remotely at GitLab](https://youtu.be/NoFLJLJ7abE)
- [This is GitLab](https://youtu.be/5QeHmiMFhDE)
- [What is GitLab?](https://youtu.be/MqL6BMOySIQ)
- [GitLab's core values](https://youtu.be/_8DFFHYAtj8)

### Review sites

We want ensure candidates who come across GitLab's profile on employer review sites have an accurate picture of what it's like to work here.
There are some sites where GitLab has a company profile, but we do not own it or pay for additional features. On others, we have a managed presence.

We encourage team members to leave reviews and share their stories on these sites to continue to keep an updated profile. We welcome both positive and negative feedback in these reviews.

#### Glassdoor

##### Engaged employer

As an engaged employer with Glassdoor, we're able to customize the branded content, videos, links, and images on our Glassdoor profile. Our contract with Glassdoor includes pages in these countries:

- United States
- United Kingdom
- Germany
- The Netherlands
- India
- Ireland
- Rest of World (all countries where Glassdoor does not have a separate presence)

##### Responding to Glassdoor reviews

The Talent Brand Manager keeps track of new company reviews and escalates them as needed for an external response and internal action. [Here's our process]({{< ref "glassdoor-escalation" >}}) for tracking and escalating reviews.

##### OpenCompany designation

As an open, transparent company, the OpenCompany designation is important for us to have to best represent our talent brand. We take action to maintain this status throughout the year.

Achieving and maintaining OpenCompany requires that you:

- Keep company profile up to date
- Add 5-10 new photos every 12 months
- Get 5-60 new employee reviews (depending on company size) every 12 months
- Respond to 2-10 reviews (depending on company size) every 12 months

##### Profile updates on Glassdoor

To be sure the details on our profile stay up to date, we [review these items](https://gitlab.com/gl-talent-acquisition/talent-brand/-/issues/9) quarterly and make any needed updates:

- Headcounts and country numbers listed on our profile
- Our status as one of the world's largest all-remote companies
- New awards or recognition
- Photos or videos recently published

#### Comparably

Comparably is an employer review site that also offers recruitment marketing tools and [award programs]({{< ref "employment-branding#employer-awards-and-recognition" >}}). We no longer have a paid profile with Comparably (ended in 2020).

Our goal on the site is to maintain our profile and keep the feedback up to date by annually (Q3) sending a link to all team members where they can consider leaving feedback or a review.

#### Other employer sites

- [Builtin](https://builtin.com/company/gitlab)
- [Indeed](https://www.indeed.com/cmp/Gitlab-Inc/about)
- [AngelList](https://angel.co/company/gitlab/)

### GitLab blog

To give the most authentic view of life at GitLab, we encourage team members to blog about their experiences.
You can find many of these posts in the [culture section](https://about.gitlab.com/blog/categories/culture/) of the GitLab blog.

### HackerNews

We promote life at GitLab and our open roles on [HackerNews](https://news.ycombinator.com/).

#### Who's Hiring monthly post

On the first of the month (or closest business day after) at 11 a.m. ET, the Talent Brand Manager will post a comment for GitLab in the Hacker News thread called ["Who's Hiring"](https://news.ycombinator.com/ask).
Here's a template that will be updated monthly by the Talent Brand Manager:

*Template text (updated for 2021-05-01):*

GitLab, Remote only, Full time

As one of the world's largest all-remote companies, GitLab is a place where you can contribute from almost anywhere. We're an ambitious, productive team that embraces a set of shared values in everything we do.

We were recently named one of Fortune's Best Workplaces in Technology, and it's an exciting time to join the GitLab team.

We're hiring across the company. Check out our opportunities: https://about.gitlab.com/jobs/

**HackerNews Notes:**

- Sid's HackerNews credentials should not to be used for the "Who's Hiring" post. The team member posting the comment should use their own account.
- When posting on HackerNews, remember that it is our most important social channel. Please follow the [best practices](/handbook/marketing/developer-relations/developer-advocacy/hacker-news/#best-practices-when-responding-on-hacker-news) and [social media guidelines](/handbook/marketing/developer-relations/developer-advocacy/hacker-news/#social-media-guidelines).

## Employer awards and recognition

Our talent brand team evaluates employer awards and recognition to determine if there are particular awards that, if won, will help us to better attract talented people to want to join GitLab. We also see employer awards as a way to benchmark ourselves against our talent competitors, we want to know how credible third-party organizations rate us against our peers to ensure we continue to be a great place to work.

Check out the content library for a [list of the latest awards and recognition]({{< ref "content-library#awards-and-lists-recognizing-gitlab-as-a-great-place-to-work" >}}) related to working at GitLab.

### How we apply for employer and workplace awards

We partner closely with the Corporate Marketing team to apply for and track employer awards and recognition each year. More details and our process for applying to these awards can be found [on this page]({{< ref "awards-process" >}}).

These awards are important to GitLab's talent brand beacuse they raise awareness for why GitLab is such a unqiue place to work.

### How we choose employer and workplace awards to apply for

There are several different reasons why we may choose to apply for a particular employer or workplace award. The top reasons we apply for various awards include:

1. **Credibility from a trusted outlet:** Establishing GitLab as a great place to work means securing notable awards from outlets that are seen as credible outlets. Outlets like Fortune, Inc., and Quartz are great examples of well-know, trusted outlets.
1. **Alignment with our unique operating style:** As an all-remote company, we look for awards that will help elevate GitLab within communities that evangelize remote work.
1. **Alignment with key markets and talent pools:** While we operate as a global company, certain awards associated with markets known for over-indexing on tech talent, and where we have a critical mass of over 100 team members, are often within our consideration set. As a result, we may submit for localized awards in specific cities or countries like the San Francisco Bay Area, the US, the UK, or Germany to show that we are a great place to work in the most competitive talent markets.

### Sharing employer awards on social media

We highly encourage team members to share the news about any GitLab employer award wins with their social media networks. Follow these easy steps and you'll be ready to share. If you'd like additional guidance please reach out to the #talent-brand slack channel.

1. Grab the link to the employer award listing you're looking to share, drop into the relevant social media platform
1. Add commentary about why that recognition is important or meaningful to you and/or your team
1. If mentioning GitLab, especially on LinkedIn and Instagram, remember to tag the company page and use the hashtags #gitlab #lifeatgitlab.
1. Or, if you'd prefer suggested messaging to start with, you can log in to Bambu through Okta, and search for "Best workplaces". You'll find links to share the most recent employer awards available to quickly share with your networks.

## External Engagement

### Objective & Goals

Our external talent engagement strategy aims to align with the goals and vision of our Talent Brand, Talent Acquisition, and Diversity, Inclusion, and Belonging teams.

For further detail from each sub-group please refer to the links below.

1. [Talent Brand](https://gitlab.com/gitlab-com/people-group/talent-acquisition/-/issues/1014)
1. [Talent Acquisition](https://docs.google.com/document/d/1Q9ui_BZLRPBAYpRtdtpHVSvGzW3g7JtVYkGj_KqwZBA/edit#heading=h.riu5wc8sjmum)
1. [DIB](/handbook/people-group/people-success-performance-indicators/#key-performance-indicators)

Together, we partner to define and select organizations to partner with that allow us to engage with a target audience that includes members from underrepresented groups as defined [here](https://about.gitlab.com/company/culture/inclusion/#examples-of-select-underrepresented-groups).

### How We Make Decisions

Engaging externally is a process guided by our evaluation strategy. As mentioned above our aim is to align with the objectives and goals of 3 key People groups, ultimately making it so **everyone can contribute**.

Our decision-making process involves a comprehensive assessment of potential partners including the following factors:

**DIB Alignment**

- Does this align with our stated DIB [KPIs](/handbook/people-group/people-success-performance-indicators/#executive-summary)?
- Does this align with GitLab's [definition](https://about.gitlab.com/company/culture/inclusion/#definitions) of an underrepresented group?
- Does this support talent globally?

**Relevancy**

- Is the intended audience relevant to a GitLab priority/business function?
- Will this partnership contribute to supporting a GitLab priority or business function?

**Location and Accessibility**

- If this is related to an event, is the location viable for GitLab to attend?
- If applicable - Is this partnership in an [entity or an "open for hiring" branch?](/handbook/people-group/employment-solutions/#gitlab-entities-and-branches) If related to interns see [here](https://docs.google.com/spreadsheets/d/1uHHbExS_mEY2mMtPeZcfJz21IMg-TXS2buWeLIUYUlA/edit#gid=402334717).
- If this is related to an event, does the location provide an opportunity for GitLab to perform other business-related activities?
- Does this partnership share clear ways that their space is accessible?
- Is there a virtual option?
- Do our talent insights provide data around the location having a diverse population [gender, ethnicity, etc.]

**Brand Value**

- Will this opportunity offer GitLab exposure and/or the ability to promote careers via a speaking engagement[s], social media presence, or likewise?

**Previous GitLab Engagement + Feedback**

- If applicable - Have we gathered feedback from previous engagements?
- What are publicly available sentiments regarding the partner?

**Cost**

- How does the cost of attending this event align with our budget?
- Are there opportunities for cross-department cost sharing?
- Will this partnership impact our ability to fund other partnerships?

### Requests and Recommendations

Collaboration from all teams and departments is welcome. To effectively manage requests to partner on a sponsorship or partnership, or recommendations to sponsor or partner with an organization, please open a new issue in the [Talent Brand and Engagement Project](https://gitlab.com/gitlab-com/people-group/talent-brand-and-engagement/-/issues) and select the **sponsorship_or_partnership_proposal** issue template a minimum of **8 weeks** before the start date of the sponsorship or partnership.

### How We Define Success

**Events**

| **KPI** | **Definition and Measurement** |
| ------ | ------ |
| Number of Attendees | The total number of attendees that attend an individual event/booth participation.<br><br>This is measured by: <br> - Number of Talent Community adds QR scans.<br> - Number of checked-in attendees.|
| Conversion Rate | The percentage of individual event attendees that convert from Prospect to Qualified in Greenhouse. |
| Quality of Candidates | The percentage of attendees that convert from Qualified to Initial Interview. |
| Attendee Likelihood To Recommend | The likelihood that attendees would recommend attending a GitLab-hosted event to family, friends, and/or colleagues.<br><br>This is measured by post-event survey responses.<br> - Scores of 1-2 = Not Likely To Recommend<br> - Score of 3 = Passive<br> - Scores of 4-5 = Likely To Recommend. |
| Cost of Engagement | This is calculated as the total event/total # of attendees + digital reach. |

**Partnerships and Platforms**

| **KPI** | **Definition and Measurement** |
| ------ | ------ |
| Page Visitors and Viewers | This is measured quarterly and annually for platforms.<br><br>Metrics pulled from the platform or provided by the partner. |
| Job Applications | Number of job applications received directly from the platform or partnership.<br><br>Metrics pulled from the platform or partner and from Greenhouse reporting. Ensure to include the platform as a source on Greenhouse. |
| Hires | Number of hires made from prospects received directly from the platform or partnership or hires made influenced by the platform or partnership. *Influenced hires are those who viewed the GitLab page on the platform or partnership, but applied directly on our jobs page.*<br><br>Metrics pulled from the platform or provided by the partner and from Greenhouse reporting. Ensure to include the platform/partnership as a source on Greenhouse. |
| Conversion Rate | % applications from the platform or partnership that turned into a hire.<br> - Applications received from platform or partnership divided by hires. |
| GitLab Team Members Featured | Number and names of GitLab team members featured on the platform or as a result of the partnership. |
| Content | Number of and links to content published on the platform or as a result of the partnership. |

**FY24 Roster**

- [Code2College](https://code2college.org) - Partnership
-[Women Impact Tech](https://gitlab.com/gitlab-com/people-group/dib-diversity-inclusion-and-belonging/diversity-and-inclusion/-/issues/835) - Event Sponsorship
- [European Women in Tech](https://gitlab.com/gitlab-com/people-group/dib-diversity-inclusion-and-belonging/diversity-and-inclusion/-/issues/888) - Event Sponsorship
- [Black Tech Fest](https://gitlab.com/gitlab-com/people-group/dib-diversity-inclusion-and-belonging/diversity-and-inclusion/-/issues/826) - Event Sponsorship
- [Unicorns in Tech](https://www.unicornsintech.com) - Event Sponsorship
- [Grace Hopper Conference](https://gitlab.com/gitlab-com/people-group/dib-diversity-inclusion-and-belonging/diversity-and-inclusion/-/issues/829) - Event Sponsorship
- [GitLab Hosted Experience](https://www.eventbrite.com/e/diverse-minds-unified-ai-solutions-gitlab-hosted-happy-hour-and-panel-tickets-728537293657?aff=oddtdtcreator) - during [Afrotech 2023](https://experience.afrotech.com)
- [Out in Tech](https://outintech.com) - Partnership
- [Blacks In Technology Calgary](https://foundation.blacksintechnology.net/chapters/) - Sponsorship

**FY24 Lookback and FY25 Proposal**

- [FY25 Talent Events Proposal & FY24 Talent Events Look Back](https://docs.google.com/presentation/d/1-y3tP4JuLsfz55B-j25Q7lWAs6f_KoIOOobXZ9Js8_w/edit#slide=id.g12b319f6181_0_0)

## All-remote work

A foundational aspect of our talent brand is the flexibility and autonomy that all-remote work gives our team members. The Talent Brand Manager collaborates closely with the [All-Remote Marketing team]({{< ref "workplace" >}}) to raise awareness about remote work and tell the stories of how it's impacted the lives of our team members. Learn more about GitLab's approach to remote work on our [all-remote page](/handbook/company/culture/all-remote/).

## Performance indicators

Here are the definitions for the performance indicators listed in the talent brand job family.

### Glassdoor engagement

- Company rating
- Page views
- Followers
- Apply starts on jobs

### LinkedIn Talent Brand metrics

- Career page impressions
- Percentage of page visitors who view jobs
- Percentage of new hires who visit our page

### Team member engagement score

Our team member engagement or net promoter ("I would recommend GitLab as a great place to work.") score is measured annually in the Culture Amp survey.
Here are samples of the statements team members were asked to consider:

- I would recommend GitLab as a great place to work
- GitLab motivates me to go beyond what I would in a similar role elsewhere
- I am proud to work for GitLab
- I rarely think about looking for a job at another company
- I see myself still working at GitLab in two years' time

### Team member turnover

[Defined](/handbook/people-group/people-success-performance-indicators/) on the People Success Performance Indicators page.

### Team member referrals

Overall number of job candidate referrals from GitLab team members.
