---
title: "Process for employer awards"
---

Employer (or "workplace") awards and lists recognize GitLab's unique culture and help us spread the word about why this is such a great place to work. This page outlines the process to apply for and manage these award programs.

## Overview of employer awards process

The Talent Brand Manager works closely with the Corporate Communications team and the Highwire PR team (`#external-comms` Slack channel) on the employer/workplace awards process.

*Employer awards definition:* Any external award program focused on recognizing best workplaces, company culture, or team member experience.

Some awards and recognition lists are determined by the program organizers without input from GitLab, but many require an application and sometimes a team member survey. There is often a cost associated with applying for larger award programs. The Talent Acquisition team does not currently have designated budget for these costs for FY22, so the Talent Brand Manager will work with the Corporate Communications team to determine what will fit in the overall awards budget for each quarter.

## Awards we've won

[Here's a list]({{< ref "content-library#awards-and-lists-recognizing-gitlab-as-a-great-place-to-work" >}}) of the awards we've recently won. The Talent Brand Manager maintains this list.

## Determining which awards to apply for

[This epic](https://gitlab.com/groups/gitlab-com/marketing/-/epics/565) tracks issues for the awards we've applied for in the past, as well as the main awards we consider annually. This epic also includes Diversity, Inclusion, and Belonging (DIB) awards, which are managed by the DIB team.

We focus our efforts on awards that are either global or regionally focused. We avoid local (e.g. Best Workplaces in the New York Metro Area) because we're a global company and do not want our talent brand to be associated with one city or metro area.

## Application process

Steps for the Talent Brand Manager:

1. When an award application deadline is upcoming, the Highwire PR team typically opens an issue for the Corporate Communications team about the upcoming deadlines, as well as any "early bird" pricing options. They will tag you in the issue (or via Slack) if this is a workplace award or has a culture component.
1. Review the application (typically in a Google Doc in the issue), draft responses where possible, and tag any other team members who will need to have input to the responses (e.g. Tag the DIB team for a DIB-related question).
1. If the application requires demographic (e.g. headcounts) or detailed benefits information: Create a Google Sheet with the info needed and clear instructions, and send a message to the `#total-rewards` Slack channel to request the info. It's best to allow a 2-week turnaround time for most awards when possible, and at least 4 weeks for extensive applications (like Great Place to Work).
1. If the application requires information that you don't know and that's not in the handbook: Tag the appropriate team to ask for input on the Google Doc application. Note: Lots of typical application answers can be found in the [handbook](/handbook). See the `'helpful links'` section below.
1. When the application Google Doc is fully completed, tag Jenn for review before submitting.
1. If GitLab is recognized, share with the VP of Talent Acquisition and Chief People Officer, and work with the Corporate Communications team to open the approriate issues in the Corporate Marketing project for promoting the win both internally and externally.
1. Once wins are public, be sure to equip the Talent Acquisition team with any suggested candidate messaging to promote the win. Also update the [awards list]({{< ref "content-library#awards-and-lists-recognizing-gitlab-as-a-great-place-to-work" >}}) in the content library.

## Awards that require a survey of team members

Steps for the Talent Brand Manager:

1. Open an issue for the survey administration in the Corporate Marketing project, including all details and due dates.
1. Work with the Corporate Communications team (`#external-comms` Slack channel) and the People Group to determine a good date range to run the survey (taking into consideration other internal surveys, events, end of quarter/year, etc. to ensure maximum response rate). Note: We've experienced "survey fatigue" and low response rates when two surveys are run within the same month.
1. To get a list of emails to set up the survey, send a request in the `#total-rewards` Slack channel with an overview of the request. They will respond with a spreadsheet, so be sure to include the format you need the emails in (e.g. First name, last name, email address).
1. When you're setting up the survey, if the email invite subject line is editable, consider changing it to `"Take the survey: [award name]"` or something more actionable so that team members will recognize it in their inbox. Change the `"From"` field to `"GitLab"` if possible.
1. If the survey audience is the entire company, give the IT team advanced notice (in the #it_help Slack channel) to ensure no issues with the email going through.
1. Create a second issue for team members about the survey, explaining the details about the award, instructions for the survey, etc. [Here's an issue](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/4096) that can be replicated for future surveys.
1. On the day of the survey launch, send out a message in Slack (typically `#whats-happening-at-gitlab`, but this depends on survey audience) letting the team know the survey is launching that day, and include the link to the associated issue where they can ask questions.
1. If needed to encourage higher participation, send follow-up reminders until the survey closes. Consider asking the Corporate Communications team send a follow-up reminder so that the message comes from multiple voices.

## Helpful links for applications

Content for award applications can often be found in the GitLab handbook, including:

- [General benefits information]({{< ref "benefits" >}})
- [Our culture](/handbook/company/culture/)
- [Company history]({{< ref "history" >}})
- [Company values](/handbook/values/)
- [Job FAQs](/handbook/hiring/candidate-faq/)
- [DIB programs](/handbook/company/culture/inclusion/)
- [All-remote work](/handbook/company/culture/all-remote/)
- [GitLab's press kit](https://about.gitlab.com/press/press-kit/)

## Return to the main Talent Brand page

Return to the main [talent brand handbook]({{< ref "employment-branding" >}}).
