---
title: "Content library - life at GitLab"
description: This content library is a curated list of blog posts, articles, videos, awards, and quick facts that help tell the story of life at GitLab.
---

## How to use the content library

Whether you're on the Talent Acquisition team or another team at GitLab, we want all team members to have the information they need to spread the word about GitLab and what it's like to work here.

Use this content library as a resource whenever you're acting as a talent ambassador for GitLab: When you're sharing on social media, having conversations with people in your network, speaking at an event, etc.

## Life at GitLab at a glance

## Quick facts

| Fact | To date 2022-09-28 |
| ------ | ------ |
| Headcount | 2,000+ |
| Countries | 62 |
| Remote team members | 100% |
| Pets | 330+ |

Source: [GitLab team page](/handbook/company/team/)

The current headcount number will be updated each quarter following our quarterly earnings call using the GitLab team page as our source of current team members and rounding that number down to the nearest hundred. This number will then be used across all careers sites that reference a specific number of team members.

## Key messages about life at GitLab

- We're one of the largest all-remote companies in the world, and we've intentionally built our culture this way from our founding year.
- As a GitLab team member, you can work from anywhere with good internet. You'll have the freedom to contribute when and where you do your best work.
- Our mission makes it clear that we believe in a world where everyone can contribute. We make that possible at GitLab by running our operations on our product and staying aligned with [our values](/handbook/values/)​ in everything we do.
- More about [life at GitLab and our culture](/handbook/company/culture/).

## Key messages about diversity, inclusion, and belonging (DIB) at GitLab

- Diversity, inclusion, and belonging (DIB) are fundamental to the success of GitLab. We infuse DIB in every way possible in all that we do.
- At GitLab, everyone has a voice and is empowered to contribute. This means that team members have the opportunity to speak openly about their experiences and provide suggestions to leadership in order to create a more diverse and inclusive culture.
- Through Team Member Resource Groups, event sponsorships, mentorship opportunities, and partnerships with HBCU's, we strive to create a transparent environment where people can and feel comfortable to show up as their full selves each and every day.
- More about [DIB at GitLab](/handbook/company/culture/inclusion/).

## Awards and lists recognizing GitLab as a great place to work

These awards and lists recognize GitLab's unique culture and help us spread the word about why this is such a great place to work. Here are the latest:

<details><summary>2024</summary>

- [Best Workplaces in Technology, Large, Fortune, 2024](https://www.greatplacetowork.com/best-workplaces/technology/2024?category=large)
- [Best Places to Work, Builtin, 2024](https://builtin.com/awards/remote/2024/best-large-places-to-work?utm_source=bambu&utm_medium=social&utm_campaign=advocacy&blaid=5510421)
- [Great Place to Work Certified, 2024-2025](https://www.greatplacetowork.com/certified-company/7013799)
- [Best Workplaces in the Bay Area, Fortune, 2024](https://www.greatplacetowork.com/best-workplaces/bay-area/2024?mkt_tok=NTIwLUFPTy05ODIAAAGToW2DF6DFcjmJx7mX7Syzanz8QeeemZx_ylMFFyzwjw4hUz3QiiDbC29FO4FzTp8lEg3nb3Ksh9d-AhfrRKRT91u0o3ZYYgG_X3-uc58fXUxJsw)
- [Best Companies to Work for in IT, Software & Services, U.S. Newsweek, 2024-2025](https://money.usnews.com/careers/companies/rankings/best-companies/it-software-and-services)

</details>

<details><summary>2023</summary>

- [Great Place to Work Certified, 2023-2024](https://www.greatplacetowork.com/certified-company/7013799)
- [Best Places to Work, Builtin, 2023](https://builtin.com/awards/us/2023/best-places-to-work?utm_source=bambu&utm_medium=social&utm_campaign=advocacy&blaid=4012565)

</details>

<details><summary>2022</summary>

- [Best Workplaces for Parents, Fortune, 2022](https://www.greatplacetowork.com/best-workplaces-parents?mkt_tok=NTIwLUFPTy05ODIAAAGIch_eubKDhGDzybtHOPnrcxe8dgsYnuW1QwdVR2XCewDx-EJjcFjfAJYwniK6cFNS-VLk-V5Kk2hzXRcCz-XNjpJys6F6_QGqCaPBDJxQtoJPDA)
- [Best Companies for Remote Workers, Quartz, 2022](https://qz.com/list/best-companies-to-work-from-home-2022/gitlab-5)
- [Best Workplaces in Technology, Small & Medium, Fortune, 2022](https://fortune.com/company/gitlab/)
- [Best Workplaces for Millennials, Fortune, 2022](https://www.greatplacetowork.com/best-workplaces/millennials/2022?category=small-and-medium)
- [Best Workplaces for Innovators, Fast Company, 2022](https://www.fastcompany.com/best-workplaces-for-innovators/list)
- [Best Medium Workplaces, Fortune, 2022](https://fortune.com/company/gitlab/)
- [Great Place to Work Certified, 2021-2022](https://www.greatplacetowork.com/certified-company/7013799)
- [Best Workplaces in the SF Bay Area, Fortune, 2022](https://www.greatplacetowork.com/best-companies-in-the-us)

</details>

<details><summary>2021</summary>

- [Best Tech Companies For Remote Jobs in 2021 according to Glassdoor, Forbes](https://www.forbes.com/sites/louiscolumbus/2020/12/20/the-best-tech-companies-for-remote-jobs-in-2021-according-to-glassdoor/?sh=2922f81c2ceb)
- [Fortune's Best Small & Medium Workplaces in 2020](https://www.greatplacetowork.com/best-workplaces/medium/2020)
- [Great Place to Work Certified, 2020-2021](https://www.greatplacetowork.com/certified-company/7013799)
- [Best Engingeering Departments, Comparably, 2021](https://www.businessinsider.com/companies-with-the-best-engineering-teams-according-to-employees-comparably-2021-4#here-is-the-full-list-of-companies-with-the-best-engineering-departments-26)

</details>

<details><summary>2020</summary>

- [Best Startup Employers in 2020, Forbes](https://www.forbes.com/americas-best-startup-employers/#46146ae96527)
- [Cloud 100 List, Forbes, 2020](https://www.forbes.com/cloud100/#12ceb6e35f94)
- [No. 2 top private employer via Hired's Brand Health Report, 2020](https://www-forbes-com.cdn.ampproject.org/c/s/www.forbes.com/sites/johnkoetsier/2020/09/22/the-top-40-brands-people-want-to-work-for-in-the-tech-industry/amp/)
- [Happiest Employees, Comparably, 2020](https://www.businessinsider.com/top-companies-employees-happy-fulfilled-comparably-2020-10)
- [Best Perks and Benefits, Comparably, 2020](https://www.businessinsider.com/comparably-big-companies-best-perks-employee-benefits-2020-10)
- [Best Compensation, Comparably, 2020](https://www.businessinsider.com/best-paying-big-companies-comparably-salary-2020-10)
- [Best Work Life Balance, Comparably, 2020](https://www.businessinsider.com/best-companies-if-you-want-to-achieve-work-life-balance-2020-10)
- [Top 100 Remote Work Companies 2020, FlexJobs](https://www.flexjobs.com/blog/post/100-top-companies-with-remote-jobs-2020/)

</details>

<details><summary>2019</summary>

- [Best Workplaces in 2019, Inc.](https://about.gitlab.com/blog/2019/05/16/building-an-award-winning-culture-at-gitlab/)
- [18 Great Companies For Millennials in the San Francisco Area](https://www.comparably.com/articles/18-great-companies-for-millennials-in-the-san-francisco-area/)
- [Best Company Culture, Comparably, 2019](https://www.comparably.com/news/best-company-culture-2019/)
- [Best Companies for Women, Comparably, 2019](https://www.comparably.com/news/best-companies-for-women-2019/)
- [Best Companies for Diversity, Comparably, 2019](https://www.comparably.com/news/best-companies-for-diversity-2019/)

</details>

## Outreach Resources

<details><summary>Articles/Blogs/Features</summary>

| Articles/Blogs/Features | Category |
| ------ | ------ |
| [17 Companies with a Growth-Focused Culture](https://builtin.com/articles/17-companies-growth-focused-culture#GitLab) | Culture / Support |
| [GitLab TMRGs: Global Resource Groups Supporting Team Members Both in the Workplace and Beyond](https://builtin.com/articles/gitlab-tmrgs-global-resource-groups-supporting-team-members-both-workplace-and-beyond) | DIB / Culture |
| [Inside 13 Customer Success Teams Data-Driven Approach To Empowering Clients](https://builtin.com/articles/inside-13-customer-success-teams-data-driven-approach-empowering-clients) | Sales / Customer Success |
| [Innovating in Sync: The Story of GitLab Duo](https://builtin.com/articles/innovating-sync-story-gitlab-duo) | AI / Product |
| [How GitLab Offers a Space That Inspires Women to Shape The Future](https://builtin.com/articles/how-gitlab-offers-space-inspires-women-shape-future) | AI / Product |
| [These Companies Are Taking an Intentional Approach to Artificial Intelligence](https://builtin.com/brand-studio/these-companies-are-taking-intentional-approach-artificial-intelligence?utm_source=bambu&utm_medium=social&utm_campaign=advocacy) | AI / Product |
| [How Iteration drives innovation in our engineering org](https://about.gitlab.com/blog/2022/06/10/how-gitlab-iteration-value-drives-innovation-through-the-engineering-organization/) | Engineering |
| [The Best Leadership Advice I Never Received](https://www.womeninsaleseverywhere.com/blog/the-best-leadership-advice) | Sales |
| [How GitLab's customer and partner focus fuels our culture](https://about.gitlab.com/blog/2022/05/03/how-gitlabs-customer-and-partner-focus-fuels-our-culture/) | Sales |
| [How GitLab Enabled One Sales Pro to Build Her 'Dream Life'](https://builtin.com/gitlab-enabled-one-sales-pro-build-her-dream-life?utm_source=linkedin&utm_medium=social_media&utm_campaign=gitlab) | Sales |
| [DEI Spotlight - Diversity, Equity, and Inclusion at GitLab](https://venturefizz.com/insights/dei-spotlight-diversity-equity-and-inclusion-gitlab) | General / DIB |
| [GitLab is Changing the Look of DevOps and Remote Work, One Iteration at a Time](https://builtin.com/brand-studio/gitlab-changing-look-devops-remote-work?utm_source=linkedin&utm_medium=social_media&utm_campaign=gitlab) | General |
| [The Most Rewarding Teams in Tech are Looking For Talent. Are You in?](https://builtin.com/job-search-recruiting/most-rewarding-teams-tech-looking-talent) | General |
| [How to win the burnout battle](https://about.gitlab.com/blog/2022/06/07/best-life-best-work/) | General |
| [Preventing burnout: A manager's toolkit](https://about.gitlab.com/blog/2022/05/03/preventing-burnout-a-managers-toolkit/) | General |
| [Use your uniqueness as your superpower](https://about.gitlab.com/blog/2022/04/04/advice-for-women-seeking-careers-in-tech/) | General |

</details>

<details><summary>Podcasts</summary>

| Podcasts | Category |
| ------ | ------ |
| [Building an all-remote company](https://hbr.org/podcast/2022/09/advice-from-the-ceo-of-an-all-remote-company) | General / All-remote |

</details>

<details><summary>Videos</summary>

| Videos | Category |
| ------ | ------ |
| [GitLab's Values](https://vimeo.com/956663126) | Culture |
| [TMRGs at GitLab](https://vimeo.com/gitlab/tmrgsatgitlab) | DIB / Culture |
| [Harnessing AI in DevSecOps: Streamlining Efficiency](https://vimeo.com/gitlab/harnessingai?share=copy) | AI / Product |
| [Get to Know GitLab](https://vimeo.com/gitlab/gettoknowgitlab) | Culture |
| [Sales at GitLab](https://vimeo.com/675024697) | Sales |
| [Diverse Minds, Unified AI Solutions](https://vimeo.com/gitlab/diversemindsunifiedaisolutions?share=copy) | AI / Product |
| [GitLab at European Women in Tech](https://vimeo.com/852369659?share=copy) | DIB |
| [A Conversation with Ragnar Hardarson, Engineering Manager at GitLab](https://vimeo.com/716075220) | Engineering |
| [A Conversation with Monmayuri Ray, Engineering Manager, ModelOps at GitLab](https://vimeo.com/745189253) | Engineering |
| [A Conversation with Nick Nguyen, Sr. Engineering Mgr., Enablement at GitLab](https://vimeo.com/745463953) | Engineering |
| [GitLab's Engineering Team: An Inside Look](https://www.youtube.com/watch?v=bnq8-iJeUMI) | Engineering |
| [Ishita's Life at GitLab](https://vimeo.com/677814891) | Team Member Spotlight |
| [Kyla's Life at GitLab](https://vimeo.com/677779723) | Team Member Spotlight |
| [Bruno's Life at GitLab](https://vimeo.com/677785451) | Team Member Spotlight |
| [Michael's Life at GitLab](https://vimeo.com/677818344) | Team Member Spotlight |
| [Liam's Life at GitLab](https://vimeo.com/677812885) | Team Member Spotlight |
| [What is GitLab?](https://www.youtube.com/watch?v=tmEv_XgwR6Y) | General |

</details>

There are a number of additional videos on our [corporate YouTube channel](https://www.youtube.com/gitlab), as well as the GitLab Unfiltered YouTube channel about working at GitLab.

| Platforms | Description |
| ------ | ------ |
| [GitLab Careers](https://about.gitlab.com/jobs/) | GitLab Careers Page |
| [Life at GitLab](https://www.linkedin.com/company/gitlab-com/life/general/?viewAsMember=true) | LinkedIn Life Page |
| [Product at GitLab](https://www.linkedin.com/company/gitlab-com/life/4763492d-8a7e-49de-8b66-30ad33df805e/?viewAsMember=true) | LinkedIn Life Page |
| [Engineering at GitLab](https://www.linkedin.com/company/gitlab-com/life/d7a581f5-5dd7-499f-a5e9-79bbcda7f29a/?viewAsMember=true) | LinkedIn Life Page |
| [UX at GitLab](https://www.linkedin.com/company/gitlab-com/life/2401df61-b442-4630-a061-c586f6d788ba/?viewAsMember=true) | LinkedIn Life Page |
| [Builtin](https://builtin.com/company/gitlab) | Culture Page and Job Board |
| [Women in Sales Everywhere](https://app.womeninsaleseverywhere.com/companies/gitlab) | Company Page and Community Member Benefits |
| [Glassdoor](https://bit.ly/3BT89On) | Company Rating, Reviews and Job Board |
| [Comparably](https://www.comparably.com/companies/gitlab) | Culture Page and Job Board |

## Logos, company description, team photos

If you're in need of an official GitLab logo, company description, green screens, or other press-related assets, refer to [the press kit](https://about.gitlab.com/press/press-kit/) on the GitLab website.

Team and culture photos with approval for external sharing can be found in [this Google folder](https://drive.google.com/drive/folders/18SG20yehfmHP3krNuU03LZliuN_JWtmA).
