---
title: Tracking reviews
description: "Process for Tracking and Escalating Glassdoor Reviews"
---

The Talent Acquisition Operations and Insights team tracks Glassdoor reviews on a regular basis. We share this info regularly through:

- People Group Key Review monthly
- Direct escalations of negative reviews - require immediate action or response
- Talent Acquisition team meeting - sharing hiring-related themes that have come up

## Responding to reviews

We respond to ~50% of positive "company" reviews, and we respond to most negative "company" reviews (see ["when we do not respond" list](/handbook/people-group/employment-branding/glassdoor-escalation/#when-we-do-not-respond)). The reason we don't respond to every review is because this becomes very redundant, can appear inauthentic, and does not align with our efficiency value. We also do not respond to "interview" reviews.

## When we do not respond

- When there is not enough content in the review (whether it is positive or negative) to respond in a meaningful way.
- When there is sensitive company information or personal details of team members (names, details about a personnel issue, etc.). In these cases, the Talent Brand Manager will consult with the PBP and Legal teams to determine whether a review warrants a review.
- When the review is a duplicate of a recent review that we responded to.

## Who should respond

- Positive reviews related to a specific team OR GitLab in general: The Talent Brand Manager will respond.
- Negative reviews related to a specific team: A leader or manager from that team or department will respond.
- Negative reviews about GitLab or our culture in general, at the company level: A People Business Partner or member of the People Group (in rare cases, CPO)
- Reviews about our hiring or interview process: A member of the Talent Acquisition team will respond (in rare cases, VP of Talent Acquisition)

## Escalation and response process

### Escalating and responding to company reviews

The Talent Brand Manager monitors reviews on a weekly basis, and responds directly to ~50% of positive reviews on a bi-weekly basis. When the Talent Brand Manager sees a negative review posted, here is the process to ensure the review is escalated and responded to as soon as possible:

1. Open an issue in the Talent Brand project using the "Glassdoor" issue template.
1. Determine the team or department the review is talking about, the status of the poster (current team member or former team member), and where the person is located.
1. Draft a proposed response for review.
1. Based on the department, tag the appropriate People Business Partner or talent acquisition lead in the issue to offer additional context and review the response draft.
1. Determine the right escalation path within that specific department so that the leaders can be tagged and made aware.
1. Tag the Chief People Officer, VP of Talent Acquisition, and Senior Director of People Success for awareness.
1. Get feedback and approval from the impacted department, and work with the People Business Partner or talent acquisition lead to determine who is going to respond on behalf of the team. See [Who Should Respond](#who-should-respond) section below.

### Escalating and responding to interview reviews

1. We do not currently respond to interview reviews unless there is negative feedback that can be addressed with a response. If necessary, use the same issue template and process we use for company reviews.
1. When there is an interview review that contains feedback that may be helpful for iterating on our internal processes, the Talent Brand Manager will escalate this feedback by tagging the approproate hiring team, Talent Acquisition team (CES), or People Business Partner via the issue.

## How to post a response

After we've determined who will respond to the review and the response draft has been approved:

1. Talent Brand Manager: Grant admin access to the responder via Glassdoor (this will generate an email invite). The responder should have an account with their GitLab email.
1. Responder: Accept the invite and login to the Employer Center on Glassdoor.
1. Responder: Navigate to the review (via the direct link in the associated issue) and you should now see a "response" box below the review. Paste the response in this box. The job title associated with your account will show up on the response, but not your name. If you'd like to show your name, be sure to include it in the text box of your response.
1. Responder: Comment in the issue to confirm the response has been posted.
1. Talent Brand Manager or PBP: If there is no further internal action needed, close the issue.

## More about our presence on Glassdoor

For more details about how we manage our Glassdoor presence, [return to the main Talent Brand page]({{< ref "employment-branding#glassdoor" >}}).
