---
title: TaNewKi Tips
description: A guide for new team members
---

## Welcome

Hello! We could not be more excited to have you at GitLab. This page is here to help walk you through what you can expect before and during your first few weeks as a new team member.

## Meet the People Connect team

The [People Connect team](/handbook/company/team/?department=people-connect-team) is here to help guide you in your journey here at GitLab. A member of the team will be assigned to your Onboarding Issue, and will be there to provide guidance as you begin onboarding. You can learn more about us below by reading our bios on the team page.

## Timeline

After you sign your offer and complete your background check and references, you can expect your onboarding to go like this:

### Before you start

1. Sign your offer, and be on the lookout for your :email: Welcome Email from the Candidate Experience Specialist team. You can read about the team on [this handbook page](/handbook/hiring/talent-acquisition-framework/coordinator/).
    - This email will contain all pertainent information such as how to order your office equipment and most importantly your laptop. The IT team also has a very handy, handbook page [you can review](/handbook/it/end-user-services/onboarding-access-requests/#gitlab-laptops).
    - Please note,when you receive your laptop, make sure to **not** sign into the laptop with your personal Apple ID. You will be asked to create an Apple ID on day one with your GitLab email address.
1. If you are being employed by one of GitLab's US entities, either GitLab Inc or GitLab Federal LLC, you will need to complete your I9 via LawLogix. You will receive an email from LawLogix. This email will walk you through the process of completing the I9.
1. If you live in Belgium or Japan you will need to be on a lookout from an email from the People Connect team to complete some payroll documents.
1. In some entity countries, GitLab uses external companies to assist with the collection of payroll documents from you.

   - France: Papaya
   - Germany: Papaya
   - Netherlands: HR Savvy
   - Singapore: Papaya
   - South Korea: Global Upside / Safeguard
   - UK: Papaya

1. If you are hired through a PEO location, the PEO will reach out to you prior to your start date to obtain the necessary documents and start their onboarding process.
1. The next email you will receive, is a [TaNEWki call](/handbook/people-group/general-onboarding#tanuki-orange) invite. We hope you can join us! This Zoom call addresses those first day nerves and gives you some time to meet other new team members. You will see this invite sent to you 1-2 weeks before your start date.
1. You may receive an email from Okta (our SAAS application portal) with an invite to register. **Please ignore this email** until you receive your onboarding welcome email on your first day with us. This will ensure that no issues are experienced with your access levels on your first day.

### First day {.text-warning}

1. **When should you log on for day one?** Unless you have worked out a specific time with your manager, feel free to start your day when you feel comfortable starting. We love non-linear work days but you have to [find what works for you](/handbook/company/culture/all-remote/non-linear-workday/#find-what-works-for-you).
1. The first thing you'll want to do is check your personal email where you will have received an onboarding email from GitLab with directions on how to access Okta, your GitLab email and all other applications. Most of GitLab applications are accessed through Okta so make sure you follow the directions in the email in order. You will be required to create a strong password, which you need to keep a note of. Once you have accessed your GitLab email, you will receive a invite from 1Password where you can store all your important personal passwords, along with creating strong/er passwords if required.
1. Once you accept your GitLab access invites, you'll be able to open up and see your own personalized version of the [onboarding issue](https://gitlab.com/gitlab-com/people-group/people-operations/employment-templates/-/blob/main/.gitlab/issue_templates/onboarding.md).

## Helpful Resources

1. [TaNEWki Tips](/handbook/people-group/general-onboarding/tanewki-tips/) - This page is here to help walk you through what you can expect before and during your first few weeks as a new team member.
1. [Read Aloud: A Text to Speech Voice Reader](https://chrome.google.com/webstore/detail/read-aloud-a-text-to-spee/hdhinadidafjejdhmfkjgnolgimiaplp?hl=en)
1. [Rectangle App](https://rectangleapp.com/) - Move and resize windows with ease
1. [OneTab](https://www.one-tab.com/) - Tab organizer for Chrome, Firefox, Edge, or Safari
1. [Early Career Discussion Group Slack Channel](https://gitlab.slack.com/archives/C0340TYR7AA) This group is for anyone, but specifically for helping those who are transitioning to a new or first career! Everyone is welcome, and all your questions that you may not know where to ask are welcome here.
1. [Brag Docs](https://jvns.ca/blog/brag-documents/) are a way of tracking the work you've done. It can be a very helpful document when talking with managers, leadership, or when seeking promotions. Here's a [recording](https://youtu.be/oVd3jN76b5c) of an event hosted by the Early Career Team Member Discussion Group to talk about some advice for keeping a brag doc and more.
1. To manage timezone pains:

    - [Clocker App](https://apps.apple.com/us/app/clocker/id1056643111?mt=12)

        <img src="/handbook/people-group/general-onboarding/images/clocker_app.png" alt="a screenshot of clocker app on mac desktop" width="300"/>

    - [Find a Time in Google Calendar](https://www.getclockwise.com/blog/google-calendar-find-a-time)
    - [See Other TimeZone in Google Calendar](https://support.google.com/calendar/answer/37064?hl=en&co=GENIE.Platform%3DDesktop#zippy=%2Csee-other-time-zones)
    - [Better Team Page](https://leipert-projects.gitlab.io/better-team-page/timezones/) - Okta Sign In Required
    - [Every Timezone](https://everytimezone.com/)

## Acronym Dictionary

As point 23 on our [communication handbook page](/handbook/communication/#writing-style-guidelines) outlines, we try to avoid using acronyms at GitLab as much as possible however, sometimes we forget. Below you can find common acronyms used here that may help you. If you come across any not in this list during your onboarding, feel empowered to do a merge request to add it below!

**Company Wide Acronyms**

| Acronym| Word/Saying/Title |
|:---------------|:---------------|
| AMA | [Ask Me Anything](/handbook/communication/ask-me-anything/) |
| AR | [Access Request](/handbook/it/end-user-services/onboarding-access-requests/access-requests/) |
| DRI | Directly Responsible Individual |
| E-Group | Executive Group |
| EBA | Executive Business Administrator |
| IC | Individual Contributor |
| IPO | Initial Public Offering |
| LGTM | Looks good to (me/merge)! |
| KPIs| Key Performance Indicators |
| MECC| [Managing so Everyone Can Contribute](/teamops/)|
| MNPI | Material Non-Public Information  |
| MR | Merge Request  |
| MVC| [Minimal Valuable Change](/handbook/values/#minimal-valuable-change-mvc) (not related to Model-View-Controller)|
| OKRs | [Objectives & Key Results](/handbook/company/okrs) |
| PTO | [Paid Time Off](/handbook/people-group/paid-time-off/) |
| SIRT | [Security Incident Response Team](/handbook/security/security-operations/sirt) |
| TMRG | [Team Member Resource Group](/handbook/company/culture/inclusion/#tmrgs---team-member-resource-groups) |

**Customer Success Related Acronyms**

| Acronym| Word/Saying/Title |
|:---------------|:---------------|
| VSD |  [Value Stream Disovery](/handbook/solutions-architects/sa-practices/value-stream-discovery) |
| VSW |  [Value Stream Workshop](/handbook/solutions-architects/sa-practices/value-stream-discovery/#value-stream-workshop) |
| L28D |  Short form for "Last 28 days". |

**People Group Related Acronyms**

| Acronym| Word/Saying/Title |
|:---------------|:---------------|
| CES | Candidate Experience Specialist |
| PBP | People Business Partner |
| PC | People Connect |
| TA | Talent Acquisition |
| TR | Total Rewards |

**Sales/Sales Related Acronyms**

| Acronym| Word/Saying/Title |
|:---------------|:---------------|
| ACV | Annual Contract Value |
| ARR | Annual Recurring Revenue |
| ASM | Area Sales Manager |
| ATR | Available To Renew |
| CAC | Customer Acquisition Cost |
| CS | Customer Success |
| FTE | Full Time Equivalent |
| LAM | Landed Addressable Market |
| LTV | Life Time Value |
| MRR | Monthly Recurring Revenue |
| PCV | ProServe Contract Value |
| SA | Solution Architect |
| SAE | Strategic Account Executive |
| SQL | Sales Qualified Lead |
| SRE | Site Reliability Engineer |
| CSM | Customer Success Manager |
| TAM | Total Addressable Market |
| TCV | Total Contract Value |

## Equipment and Expenses

If you're nearing your start date and still haven't received your laptop, please reach out to people-connect@gitlab.com for us to check in with the IT department and see where your laptop is in transit.

**New user to Mac?** Don't worry, many of us were also first time users! When you get your laptop, feel free to explore and get used to using your MacBook (just remembering not to set up an Apple ID). There is this really great [Handbook page](/handbook/tools-and-tips/mac/) that share different helpful tips and many helpful [YouTube video's](https://www.youtube.com/watch?v=PlruI5ryP8Q). If you are switching from Windows to macOS, these [keyboard tips](https://support.apple.com/en-us/HT204216) may be useful.

GitLab utitilizes Navan as our team member [expense](/handbook/finance/expenses/) reimbursement tool. All team members will have access to Navan within 2 days from their hire date. If you don't see a tile for Navan in your Okta dashboard, please contact `ap@gitlab.com`.

## Onboarding Expectations

1. As an all remote company, it is important to remember that we all work in different time zones, [asynchronous communication](/handbook/company/culture/all-remote/asynchronous/#introduction) is key to ensure that everyone is included. Don't feel like you need to stay up late at night or early morning to keep up with your fellow team members, this is where we pride oursleves on [our async way](/handbook/company/culture/all-remote/asynchronous/). **This means that you may not have meetings on your first day, or your first week but it's not because we're not excited to have you here. It's just our way of working!**
1. Take your time! There is a lot to go through, and you may feel like you have to get to everything each day. If you do great! If not, that's great too.
   - The entire onboarding issue is [self-paced and self-learning](/handbook/values/#self-service-and-self-learning) however, anything marked with a big red dot - 🔴 - should be completed with importance on the assigned day it is under.
1. There is a lot to complete in your onboarding issue and you may feel eager to do them all as soon as possible but remember, pace yourself! You have a dedicated 2 weeks to complete your onboarding tasks and have support from your manager, onboarding buddy, assigned People Connect Team member, and the entire company to help you if you need it along the way.
    - You can reach out to the People Connect team or IT Ops team anytime via HelpLab for assistance and/or guidance.
1. There is a lot of Handbook content in this issue, that can at times require quite a bit of reading. Consider enabling one of the helpful text to speech tools in the Helpful Tools section above.
1. We use Slack as our formal/informal communications tool. This allows us to communicate with our team members, teams and wider company. New to Slack? No problem! This [quick start guide](https://slack.com/intl/en-za/help/articles/360059928654-How-to-use-Slack--your-quick-start-guide) will share all the helpful tips on getting you started.
1. We do not use the standard operating software and instead have a business account with Google Workspace. We use the [Gmail](https://workspace.google.com/intl/en/products/gmail/) feature to retrieve our emails, we use [Drive](https://workspace.google.com/intl/en/products/drive/) to store all our important documents, and Google [Docs](https://workspace.google.com/intl/en/products/docs/)/[Sheets](https://workspace.google.com/intl/en/products/sheets/) for anything we need to document.

{{% alert color="info" %}}
<i class="fab fa-gitlab" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>&nbsp;&nbsp;
Want to learn more about Onboarding from current team members? View their feedback [here](/handbook/people-group/general-onboarding/onboarding-feedback)!
&nbsp;&nbsp;<i class="fab fa-gitlab" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>
{{% /alert %}}

## Frequently Asked Questions

### Equipment and Expenses

**Q: Am I able to buy things prior to my start date then expense once started?**

A: It is best to wait until your start date to start purchasing items due to the fact that you will receive a [virtual card](/handbook/finance/procurement/office-equipment-supplies/) with funds on it to use. However, should you decide to purchase things prior to your start date, you will need to let the Expenses team know as soon as possible by emailing `expenses@gitlab.com` as this will still count against your onboarding funds if you want to be reimbursed for them.

**Q: I haven't received my GitLab issued laptop yet. Is it okay to use a personal one until it arrives?**

A: Yes. You can absolutely use a personal laptop until your GitLab one arrives. You'll want to hold off on doing any of the hardware Security practices found in your onboarding issue until you have your GitLab laptop though.

**Q: I purchased my own laptop for work. How do I go about expensing it?**

A: You will get access to Navan during your first week and you'll want to submit your receipts for reimbursement through the program.

**Q: I would like to work in a co-working space instead of my home. Is that possible?**

A: It is! You'll just want to make sure to review our co-working space details listed out [here](/handbook/finance/expenses/#-coworking-or-external-office--space) before signing any agreements.

**Q: Will GitLab provide me with money to purchase office equipment?**

A: Yes! All new hires starting after 2023-02-08, will receive $1,500 USD (or local equivalent) in a virtual card to obtain office equipment. You can review the handbook page regarding this [here](/handbook/finance/procurement/office-equipment-supplies/).

### HR Based Questions

**Q: When will my first paycheck be?**

A: Depending on where you are located, you can find the payroll cut off dates [here](/handbook/finance/payroll/#payroll-cut-off-dates) and when you can expect to receive your first paycheck. If you are hired after the payroll cut off date of the specific month, the pro rata amount will be included in your next pay date.

**Q: I have preplanned vacations or commitments, how should I handle this upon starting and ensuring the PTO?**

A: That's absolutely okay. You'll want to make sure to talk with your manager as soon as you can about the days to make sure appropriate coverage is there and then enter the time off in Workday.

**Q: How long do I have to enroll in benefits?**

A: You have 30 days from your start date to enroll in benefits. Even if you enroll on that 30th day, benefits coverage backdates to your start date.

### Stock

**Q: When will I receive access to E*Trade?**

A: Once the board approves your grant, you will receive an email to create your account in E*Trade and accept your grants. Depending on your start date, the email might arrive a few months after your first day.

**Q: Is the value of the restricted stock anchored to the share price at the time I signed the contract?**

A: You will receive the dollar figure listed on your contract, however the number of RSUs will be dependent upon the share price at the board meeting your grant is approved at.

**Q: Where can I find information about ESPP (Employee Stock Purchase Program)?**

A: You can read about our ESPP program [here](/handbook/total-rewards/stock-options/#employee-stock-purchase-plan-espp).

### Access

**Q: I received an email from Okta about access, do I need to do anything with it?**

A: You won't need to action anything until day one! We are going to want you to review your `Welcome to GitLab Onboarding` email first and follow the instructions within that email to make sure that all your access is set up correctly. This will include creating your GitLab account, getting access to your GitLab email, and all other systems!

**Q: I already have an existing personal GitLab username, can I use this for my account at GitLab?**

A: Whilst this is possible, it is not a recommended option. If you ever choose to leave GitLab the account will be disabled and you will no longer have any access to it per our [access management policy](/handbook/security/security-and-technology-policies/access-management-policy/#reclaiming-gitlab-accounts-during-offboarding). We like to encourage new hires to create a new username as a mark that starts their career at GitLab :) If you would still like to use your personal GitLab username, please reach out to the IT Ops team on day one for them to link this to your GitLab account with the relevant permissions.

### GitLab Culture

**Q: Any tips for working in a remote environment and keeping myself engaged and productive?**

A: GitLab has an entire team dedicated to providing the best tools to be successful at an all remote company. We highly suggest reviewing our [playbook](/handbook/company/culture/all-remote/).

**Q: How can I find team members located in my local area to meet up?**

A: We have many location slack channels here tht allows team members to schedule informal local get togethers or coworking days. You can find the list of those channels [here](/handbook/communication/chat/#location-channels-loc_). If you don't see one for your area, feel free to create one!

**Q: What is Family & Friend's Day?**

A: Following on from the global pandemic affecting many of our team members, we want to ensure that people are making their well-being a top priority and that we are living out our values, to emphasize this we will coordinate a quarterly "Family and Friends Day". On this day, we will "close the doors" to the GitLab virtual office, reschedule all meetings, and have a publicly visible shutdown. You can read up more about it and view the schedule in our [Handbook](/handbook/company/family-and-friends-day/).
