---
title: "GiveLab Volunteer Initiatives"
description: "Discover GitLab's volunteering opportunities with GiveLab"
---

### About GiveLab

GiveLab is GitLab's Team Member Volunteer Program. The GiveLab Program lives under the [ESG Team](/job-families/legal-and-corporate-affairs/environmental-social-governance/) and is a part of GitLab's overall [ESG strategy](/handbook/legal/esg/#esg-strategy) and program development. The term GiveLab encompasses all Team Member Volunteering initiatives at GitLab.

GitLab encourages team members to take part in volunteer initiatives that support their local communities, participate in virtual volunteer activities, and organize volunteer activities as part of team events and get togethers.

To learn more about GiveLab, please visit the [ESG handbook page](/handbook/legal/esg/#givelab).

### Historical GiveLab and Related Activities

### GitLab Donation Drives

The first `GitLab Donation Drive` in 2020 started as an internal challenge to GitLab team members to donate 5,000 meals to [US Food Banks](https://www.feedingamerica.org/find-your-local-foodbank) over the course of a week. This initiative quickly gained traction and saw over 100,000 meals being donated across 19 countries. 2021's campaign expanded to include any type of donation, including donations of time as part of Global Volunteer Month.

### Upstream Diversity Working Group

Having identified a talent gap in both the technology and the university system which speaks predominantly to Underrepresented Groups, the [Upstream Diversity Working Group]({{< ref "incentives" >}}) was established.

Geared toward knowledge sharing, the [recently piloted program](/handbook/engineering/volunteer-coaches-for-urgs/) sees GitLab team members extending their technical skills and time to those in Underrepresented Groups (URGs) with a view to creating `future career opportunities` for them within the technology sector.  The program mobilises GitLab team members to serve as `coaches` in partnership with [Latinitas](https://latinitasmagazine.org/); [FreeCodeCamp](https://www.freecodecamp.org/) and [re:Learn](https://relearn.ng/).

### Trusted Interns

As a pioneer in the `all-remote` space, GitLab is uniquely leveraged to prepare youth around the globe for the `future of work`. Recently, GitLab Alumni Jean du Plessis, in collaboration with Trusted Interns as part of [The Knowledge Trust](https://knowledgetrust.org/) which places a focus on making jobs more accessible to South African Youth, presented a webinar around [Preparing for your First Remote Job](https://knowledgetrust.org/trusted-interns-webinar-jean-du-plessis-prepare-for-your-first-remote-job/).

This was a springboard for around 650 South African Youth from within the Trusted Interns program to complete the [GitLab All-Remote Certification](/handbook/company/culture/all-remote/remote-certification/).

### Rails Girls

On multiple occasions, GitLab has supported [Rails Girls](https://railsgirls.com/kumasi_2020.html) an organisation geared toward providing tools and creating a sense of community for women in the technology space - enabling them to grow their knowledge base and build out their ideas.  The most recent event supported was the `Rails Girls Kumasi` [Ruby on Rails Workshop](https://railsgirls.com/kumasi_2020.html) - be sure to check out this [GitLab Unfiltered](https://www.youtube.com/watch?v=E5pe2jrOZpc) video to see our very own Abubakar Siddiq Ango, Developer Evangalism Program Manager in action!

### Recent Team Member Participation

GitLab encourages team members to set time aside to take part in local volunteer initiatives within their respective communities.  Here are a few of the of projects our team members have lent hands or resources to of late:

[Operation Warm](https://www.operationwarm.org/) providing warmth, confidence and hope to children in need through the gift of brand-new winter coats. Over the last 20 years, Operation Warm and our partners have used the coat as a bridge for families in need to access everything from flu shots to new books.

[Fontanus Research Center](https://epale.ec.europa.eu/en/organisations/fontanus-center-ltd) which aims to create new, efficient and interdisciplinary educational methodologies.

[National Charity League](https://www.nationalcharityleague.org/) a multi-generational philanthropic organization of mother and daughters who volunteer close to three million hours annually to over 6,000 charities in the United States.

Hack for She, a completely virtual hackathon aimed to find solutions to Women's problems.

---

Return to the [People Group Handbook](/handbook/people-group).
