---
title: Incident Response
description: An outline of action to be taken in the instance that a team member or group of team members is impacted by an extreme weather event; natural disaster or any other catastrophe.
---

## Incident Response Plan

When an extreme weather event; natural disaster or any other catastrophe occurs in a location that is near the location of a team member, People Connect will send a notification email to all relevant team members and their manager, using the [template](https://gitlab.com/gitlab-com/people-group/General/-/blob/master/.gitlab/email_templates/natural_disaster_notification.md) found in the People Group project as a guideline - all communications must be reviewed and approved by leadership and in certain instances will be released by a member of the executive group.

### When to initiate Incident Response

A catastrophic event has the potential to pose a significant threat to human health and safety, property, critical infrastructures and national security.

These events may come without any warning and/or they could be driven by seasonal weather patterns. Different countries around the world have various ways of declaring a `disaster` e.g. [The Office of Disaster Management in India](https://ndma.gov.in) is responsible for declaring and directing efforts around Natural Disasters whereas the United States of America the [Department of Homeland Security](https://www.dhs.gov/natural-disasters) would initiate these declarations and the associated federal response.

### Team Member Assistance

GitLab reimburses ground transport to all team members to get out of the location they are in, via a vendor of choice e.g.: Uber/ Taxify/ Lyft/ Via etc. to a safe location.  Team members should use Navan Expense for all reimbursements.

### Time Off From Work

Team members should focus on the safety of their families and themselves first and leverage GitLab's [time off policy](/handbook/people-group/paid-time-off/). Your manager may contact you on a relatively frequent basis while you are out, just to ensure you have everything you need during this time.

### Team member resources

We understand that these events can be extremely stressful for team members and their families. We encourage all team members to utilize our Modern Health services. Modern Health is a company-sponsored, confidential and free resource available to you and your dependents. Services include confidential counseling, financial information and resources, legal support and more. Please refer to our [Modern Health](/handbook/total-rewards/benefits/modern-health/) page in the handbook for more details.

If you have any questions about team member benefits coverage, please contact our total rewards team at [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=b7d7b30d474c069067429ee0026d4382).

### Actions to take as a Manager

As a manager, when you receive a notification of a team member on your team that is possibly affected by a disaster or weather event, we recommend the following steps:

1. Talk to your team member(s) after receiving the email. Take the time to listen: What are their concerns and their needs?
1. Make them aware of our flexible work policy and [PTO policy]({{< ref "paid-time-off#paid-time-off" >}})
1. Point them to our Employee Assistance Program, [Modern Health]({{< ref "modern-health" >}})
1. GitLab has established a [Team Member Relief Program]({{< ref "general-and-entity-benefits#team-member-relief-program" >}}) to assist with financial hardship from disasters or other emergencies. Please ask them to visit the [GitLab Cares Portal](https://gitlab.e4erelief.org/) to easily determine if they're eligible for program assistance and to apply for assistance.
1. If the team member wants to consider a permanent relocation as a result of being in an unsafe environment direct them to our process for [Dutch Work Permits]({{< ref "visas#dutch-work-permits" >}}). We have a [special consideration]({{< ref "visas#special-considerations-for-team-members-in-unsafe-environments" >}}) for team members in unsafe environments.
1. Reference this Incident Response Page
