---
title: Learning & Development
---

## Overview

<div style="width: 100%;"><div style="position: relative; padding-bottom: 50.82%; padding-top: 0; height: 0;"><iframe frameborder="0" width="500" height="350" style="position: absolute; top: 0; left: 0; width: 100%; height: 100%;" src="https://view.genial.ly/62fe8a909b925c0018b5de80" type="text/html" allowscriptaccess="always" allowfullscreen="true" scrolling="yes" allownetworking="all"></iframe> </div> </div>

### Purpose

*Why we exist:* GitLab Talent Development (commonly referred to as "Learning & Development") exists to enhance team member performance, expand capabilities, and further develop skills that make GitLab team members the top talent in the industry. We strive to foster a culture of continous growth so that GitLab remains a great place to work. Positive impact on team member experience leads to a positive impact on results, which leads to a positive impact on GitLab customers.

### Vision

*Where are we going:* GitLab seeks to be recognized as a top organization for remote learning & development. We aim for a future where **everyone contributes** to a culture of curiosity.

### Mission

*What we do:* We empower individual contributors and equip leaders through self-service learning. We accomplish a culture of development by:

- Focusing on skill-based learning
- Providing resources to improve career mobility
- Developing learning journeys for teams throughout the organization

### Objectives

*Performance indicators*

1. Reduce voluntary attrition by 5% each year by measuring [exit survey data](/handbook/people-group/offboarding#exit-survey) related to career development
1. Secure a 5% increase in the Growth & Development category of the [annual engagement survey](/handbook/people-group/engagement)
1. Increased access to career mobility: internal transfers, [promotions]({{< ref "promotions-transfers" >}}), job shadows, intern for learning, and professional development
1. Clear evidence of best in class remote learning & development (i.e. [Brandon Hall Awards](https://excellenceawards.brandonhall.com/), Industry Speaking Events, Thought Leadership articles, etc.)

### Principles

1. **Meaningful and relevant content.** We deliver learning solutions that help you reach your professional goals.
1. **Values aligned.** Our learning solutions reinforce GitLab's [values](/handbook/values/) and foster continuous learning and curiosity.
1. **Diverse approaches to learning.** We apply a blended learning model to find solutions to various individual needs.
1. **Community.** L&D offerings available to the public so that everyone can contribute.

## Learning & Development Team

We are a small team, but we've got a big role to play at GitLab!

- [Learning and Development Director](/job-families/people-group/learning-development#learning--development-manager): [Tre Ely]({{/handbook/company/team/#tely2}})
- [Senior Learning and Development Program Manager](/job-families/people-group/learning-development#intermediate-learning--development-program-manager): `vacant`
- [Senior Learning and Development Program Manager](/job-families/people-group/learning-development#intermediate-learning--development-program-manager): [Jamie Allen](/handbook/company/team/#jallen16)

## Team Member Resources

The Learning & Development team has a number of resources to help team members learn new skills. Click the button(s) below to learn more about each one:

<div class="flex-row" markdown="0">
  <div>
    <a href="{{< ref "manager-development" >}}" class="btn btn-primary" style="width:200px;margin:5px;">Transitioning to a Manager Role</a>
    <a href="/handbook/people-group/learning-and-development/growth-and-development/" class="btn btn-primary" style="width:200px;margin:5px;">Growth & Development Fund</a>
    <a href="{{< ref "career-development" >}}" class="btn btn-primary" style="width:200px;margin:5px;">Career Development & Mobility</a>
  </div>
</div>

<div class="flex-row" markdown="0">
  <div>
    <a href="{{< ref "learning-initiatives" >}}" class="btn btn-primary" style="width:200px;margin:5px;">Learning Initiatives</a>
    <a href="{{< ref "self-paced-learning" >}}" class="btn btn-primary" style="width:200px;margin:5px;">Self Paced Learning</a>
    <a href="{{< ref "level-up" >}}" class="btn btn-primary" style="width:200px;margin:5px;">Level Up</a>

  </div>
</div>

<div class="flex-row" markdown="0">
  <div>
    <a href="{{< ref "elevate-programs" >}}" class="btn btn-primary" style="width:200px;margin:5px;">Elevate Manager Training</a>
    <a href="{{< ref "mentor" >}}" class="btn btn-primary" style="width:200px;margin:5px;">Mentorship</a>
    <a href="{{< ref "coaching" >}}" class="btn btn-primary" style="width:200px;margin:5px;">Coaching</a>
  </div>
</div>

### Partnerships at GitLab

Multiple teams across the company contribute to learning and development of our team members. Below is a list of some teams we partner with and how we collaborate.

1. Education Services: Share customer & product training with team members on Level Up
1. Talent Brand: Telling career growth stories
1. People Operations: Measuring imapct of learning and development on team member engagement
1. Select Department Subject Matter Experts: Legal, Compliance, and other specific courses

## Contact Us

1. Slack: `#learninganddevelopment`
1. Email Us: `learning@gitlab.com`
1. [Request support/Collaborate on new learning content]({{< ref "work-with-us" >}})

### Work With Us

The [work with us]({{< ref "work-with-us" >}}) page outlines issue templates and processes that are managed on our [Learning and Development issue board](https://gitlab.com/gitlab-com/people-group/learning-and-development/-/issues). We review and classify requests based on the scalability and possible organizational impact. Learning solutions that can be applied and used company-wide take priority. Our process includes:

- Evaluate the strategic impact of the learning session
- Determine the level of work associated with the learning requirement
- Assess the impacted audience groups of the session
- Identify measures of success
- Assess dates of delivery with the course schedule and forecast a future date

## How we work

### Handbook First Training Content

All material in the handbook is considered training and we build [handbook first learning content]({{< ref "interactive-learning" >}}). One of L&D's primary responsibilities is to ensure that content lives in the appropriate section in the handbook. In the below video, Sid, explains how the content of courses is not separated from the handbook to the L&D team.

{{< youtube "G57Wtt7M_no" >}}

### L&D team sprints

The L&D team uses GitLab issue boards to track priorities, organize collaboration, and set due dates based on three-week sprints.

- The L&D team uses [this sprint issue board](https://gitlab.com/groups/gitlab-com/people-group/learning-development/-/boards/1958538) to track priority issues each quarter.
- The `open` list is a queue for issues that need to be addressed, but have not yet been assigned to a sprint, backlog, or priority.
- When a new issue is opened, it should be moved to either the `ld-backlog` or `ld-fyxx-q1-priority` list. This will determine if the issue is a priority for the current quarter, or a backlog issue to be addresses as time allows.
- The team maintains three milestones, one for each upcoming sprint. The sprints are organized with a milestone using the naming mechanism `L&D Sprint # (Date Range)`
- Issues can be moved from the `ld-backlog` or `ld-fyxx-q1-priority` list to the correct sprint when they are ready to be assigned/addressed.
- When an issue is closed, it should remain in the given milestone.
- At the end of the sprint, the milestone can be removed from the board, or the milestone list can be hidden on the issue board.
- The `L&D Requests` list should be used to organize requests for L&D support or courses coming from other teams.
- The `advanced-software-engineering-course` list houses issues related to external software engineer courses can be hidden on the sprint board.

Additional planning and notes around the sprint board can be found in [this issue.](https://gitlab.com/gitlab-com/people-group/learning-development/general/-/issues/111)

#### Best practices for using sprint boards and issues

- Apply a burn-down chart with milestones to track time spent.
- Create the issue in the sprint where the work starts.
- When creating L&D content, apply one issue to one course when developing content. Maintain all course development material in the issue for organization.
- Epics do not show up in the boards.
- Apply a Storyboard template for course development.
- Apply labels to manage different work and priorities (leadership requests, prioritized, p1-p3, triage, WIP, Backlog).
- Consider having GitLab team members vote on priority issues to determine need and interest in learning & development content.
- Stack rank issues in the board based on priority if possible.
- Use the Time Tracking feature on issues to track time spend. When opening a new issue, use the `/estimate` command to set an estimate for the project to be complete. After each working session, use the`/spend` command to track actual time spent.
- Consider using the `new-initiative` issue template when planning a new learning initiative, engagement program, or program idea.
- Consider using the `content-scoping` issue template when proposing a new pathway, creating a new course, or building any new learning experience.

### L&D handbook merge requests

If you want the wider L&D team to be aware of your MR, please apply the `ld-handbook-update` label to the MR. This will trigger a Zapier automation that posts the MR title and link to the #learning-team Slack channel.

### Tools

The L&D team freqently uses the following tools for creating and communicating learning opportunities at GitLab.

| Tool | Purpose |
| ----- | -------- |
| [Powtoon](https://www.powtoon.com/) | Video Creation |
| [LucidChart](https://www.lucidchart.com/) | Interactive Diagrams |
| [Canva](https://www.canva.com/) | Image and infographic creation |
| [Articulate/Rise 360](https://articulate.com/) | Course Authoring |
| [Genial.ly](https://app.genial.ly/dashboard) | Create Interactive Images |

## Developing Learning Content

### Learning Content Accessibility Guidelines

In July 2024, GitLab published the first iteration of our [Learning Content Accessibility Guidelines](/handbook/legal/ethics-compliance-program/learning-content-accessibility-guidelines/).

We ask that team members who create both internal and external learning content:

- Familiarize themselves with these guidelines
- Apply these guidelines when creating learning content for internal and external use, when applicable
- Revisit existing learning content you have created, to consider whether any updates are appropriate

### Top Five Training Content Development Principles

1. **Know Your Audience** - Analyze and assess the course audience. Ensure that all audience needs are accounted for at every level in the organization you are delivering the training too.
1. **Define Learning Objectives** - Highlight the learner outcome. Consider developing two to three broad overall statements of what the audience will achieve.
1. **Break Down Complex Information** - Consider breaking down complex information into easy to digest visuals or text. Reference the handbook but do not be afraid to create a visual representation or use storytelling for the audience.
1. **Engage the Learner** - Adults learn through practice and involvement. Consider using tools to engage learners in a virtual setting like [Mentimeter](https://www.mentimeter.com/) or [Kahoot](https://kahoot.com/business-u/) to stimulate interactivity.
1. **Implement Blended Learning Course Content** - Give the learners pre-course work to read and review before the learning session. Use off-the-shelf resources and ensure the content is applicable to what will be covered in the session. Follow up to gauge how they've applied what they've learned on the job through surveys and questionnaires.

### Application of Adult Learning Theory

Adults learn differently in the workplace than in traditional learning environments or how they learned growing up. If you are developing training, consider applying principles related to Adult Learning Theories, those include:

1. **Transformative learning:** Learning should change the individual through transformative learning approaches. Start with learning experiences that appeal to your specific audience, and then move to activities that challenge assumptions and points of view.
1. **Self-directed learning:** Emphasize informal learning experiences. Infuse applications of pre-reads and post-course follow up. Have the participants bring up examples of self-directed learning that they have taken that is related to the training course.
1. **Experiential learning:** Adults learn through experiences and by doing. When designing a learning experience, apply activities to stimulate learning by doing through role-playing, simulations, virtual labs, case studies, etc.
1. **Andragogy:** Design learning experiences with the assumption that your participants will come to the table with their own set of life experiences and motivations. Adults tend to direct their own learning, learn better by doing, and want to quickly apply their learning to concrete situations.

### Developing Learning Objectives

Add learning objectives to the beginning of the content to state a clear training outcome. A clear learning objective describes what the learner will do upon completion of a learning/training activity. Good learning objectives are what you want team members to learn or achieve.

**Steps to creating learning objectives:**

1. Identify the level of knowledge necessary to achieve the aim of the training. Use [Bloom's Taxonomy](https://tips.uark.edu/using-blooms-taxonomy/) to assist with writing practical learning objectives.
1. Select an [action verb](https://www.bumc.bu.edu/cme/files/2012/07/13-Tips-for-writing-objectives.doc).
1. Create your very own objective
1. Check your objective. Make sure it includes these four pieces: audience, behavior, condition, and degree of mastery
1. Repeat these steps for each objective

**Sample learning objectives:**

- By the end of the session, team members will be able to describe the steps taken to address underperformance
- Team members will be able to apply the GROW coaching model framework to coaching sessions with members of their team
- After learning about the high-performance team-building model, team members will be able to determine the steps needed to reach high performance.

### Learning Components - Definitions

| Term | Definition | Duration |
| ------ | ------ | ------ |
| Training | The action of teaching a team member a particular skill or behavior | Varies |
| Bite-sized learning | A short course to learn a skill. Bite-sized can be a compentent of training or a separate learning element (i.e. a video, a PDF cheat-sheet, an infographic) | Max 15 minutes, 5 to 10 minute average |
| Self-paced course | Learner has the control over the amount of material they want to consume and the duration of time needed to learn the new information. | Pre-defined by the designer (i.e. hours, days, etc.) |
| Curriculum | A series of learning paths that comprise a course of study on a skill-based topic | Varies |
| Certification | A certification indicates that an individual community member has acquired the knowledge, skills, and abilities required to perform a specific skill or job. Certifications include an examination process. | Varies |
| Learning Path | A chosen route taken by a learner through a range of learning activities to build knowledge progressivley | Varies |

### Learning Delivery Methods - Definitions

| Term | Definition | Duration |
| ------ | ------ | ------ |
| Instructor-Led Training (ILT) | Practice of training and learning material between an instructor and learners. Face-to-face training (classroom training) | Varies |
| Virtual Instructor-Led Training (VILT) | Training that is delivered in a virtual environment (i.e. training in Zoom)| 1 to 3 hours |
| E-Learning | Learning based on traditional learning theories which takes place electronically, often via the Internet. | Varies |
| Blended Learning | Training that uses multiple methods to teach the new information to learners. It can includ ILTs, self-paced materials, VILT sessions, etc. | Varies |
| Webinar | A seminar conducted virtually to a large audience | 3+ hours |
| Workshop | Hands-on or virtual demos, problem solving, tutorials where team members engage in discussion and activity on a particular subject | Varies |

Please let us know how you would prefer to learn by [filling out this form](https://forms.gle/Hafkqygy6LfJxWFw6)!

## Awards

### Brandon Hall Award

The launch of the GitLab Learn LXP was awarded a Silver Excellence in Learning by the [Brandon Hall Group](https://excellenceawards.brandonhall.com/) for the Best Launch of a Corporate Learning University.

![silver brandon hall group award logo](silver-award.png)
