---
title: Career Development and Mobility
description: "Resources and direction for career development and mobility for all GitLab team members"
---

## What is Career Development

Career development is the non-linear, lifelong growth process integrating learning, work, leisure, and change. It happens in all directions, including subject matter expertise, lateral growth to new teams, and linear growth through a job family. Use the recources on this page to navigate your career growth at GitLab.

![infographic with examples of career growth at gitlab](non-linear.png)

## Directory

Navigate to career development resources located throughout the GitLab handbook:

### Resources and Tools

<div class="flex-row" markdown="0">
  <div>
    <a href="{{< ref "general-and-entity-benefits#growth-and-development-benefit" >}}" class="btn btn-primary" style="margin:5px;"> Growth and Development Benefit </a>
    <a href="{{< ref "career-development#tracking-your-career-development" >}}" class="btn btn-primary" style="margin:5px;">Goal Tracking Resources</a>
    <a href="{{< ref "career-development#having-career-development-conversations" >}}" class="btn btn-primary" style="margin:5px;">Career Development Conversations </a>
    <a href="{{< ref "structure#job-frameworks" >}}" class="btn btn-primary" style="margin:5px;">Job Frameworks</a>
    <a href="https://docs.google.com/document/d/1O45gRkQqUa3dEgjJXGwdBE7iZbBI22EPC7zrkS3T4dM/edit" class="btn btn-primary" style="margin:5px;">Tips for Creating Effective Growth Plans</a>
    <a href="https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/course/igp" class="btn btn-primary" style="margin:5px;">How to use the IGP</a>
  </div>
</div>

### Career Growth Opportunities

<div class="flex-row" markdown="0">
  <div>
    <a href="{{< ref "mentor" >}}" class="btn btn-primary" style="margin:5px;">Mentorship</a>
    <a href="{{< ref "internship-for-learning" >}}" class="btn btn-primary" style="margin:5px;">Internship for Learning</a>
    <a href="https://docs.google.com/presentation/d/1yY0ofMGgzN07ylTAnRP5geFnWcgUYkiVlcIyR54tpD0/edit#slide=id.g29a70c6c35_0_68" class="btn btn-primary" style="margin:5px;">Career Development Workshop</a>
    <a href="{{< ref "career-development#skill-of-the-month" >}}" class="btn btn-primary" style="margin:5px;">Skill of the Month</a>
    <a href="{{< ref "coaching" >}}" class="btn btn-primary" style="margin:5px;">Work with a Coach</a>
    <a href="{{< ref "elevate-programs" >}}" class="btn btn-primary" style="margin:5px;">Elevate Manager Training</a>
    <a href="{{< ref "self-paced-learning#linux-foundation-courses" >}}" class="btn btn-primary" style="margin:5px;">Linux Foundation Courses</a>
    <a href="{{< ref "self-paced-learning#oreilly-learning" >}}" class="btn btn-primary" style="margin:5px;">O'Reilly Learning</a>
    <a href="{{< ref "self-paced-learning#gcp-learning" >}}" class="btn btn-primary" style="margin:5px;">GCP Learning</a>
    <a href="/handbook/people-group/learning-and-development/growth-and-development/#professional-developmentcertificationslicenses" class="btn btn-primary" style="margin:5px;">Professional Certifications</a>
    <a href="/handbook/people-group/learning-and-development/growth-and-development/#workshops-and-conferences" class="btn btn-primary" style="margin:5px;">Attend a Workshop/Conference</a>
    <a href="/handbook/people-group/learning-and-development/growth-and-development/#crucial-conversations-training" class="btn btn-primary" style="margin:5px;">Crucial Conversations</a>
    <a href="/handbook/people-group/learning-and-development/growth-and-development/#academic-study" class="btn btn-primary" style="margin:5px;">Academic Study</a>
    <a href="/job-families/expert/merge-request-coach" class="btn btn-primary" style="margin:5px;">MR Coaching</a>
    <a href="https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/course/teamops" class="btn btn-primary" style="margin:5px;">TeamOps Certification</a>
    <a href="https://about.gitlab.com/company/culture/inclusion/tmrg-gitlab-women/" class="btn btn-primary" style="margin:5px;">#IamRemarkable Workshop</a>
    <a href="https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/course/igp" class="btn btn-primary" style="margin:5px;">Individual Growth Plan Course</a>
  </div>
</div>

### Manager Training

<div class="flex-row" markdown="0">
  <div>
    <a href="{{< ref "elevate-programs" >}}" class="btn btn-primary" style="margin:5px;">Elevate</a>
    <a href="https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/course/support-your-team-with-career-conversations" class="btn btn-primary" style="margin:5px;">Support your Team with Career Conversations Course</a>
    <a href="https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/13409" class="btn btn-primary" style="margin:5px;">Manager M Groups</a>
    <a href="https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/course/mitigating-risk" class="btn btn-primary" style="margin:5px;">Mitigating Risk Course</a>
    <a href="https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/13409" class="btn btn-primary" style="margin:5px;">Manager M-Team Groups</a>
    <a href="https://levelup.gitlab.com/learn/course/getting-to-know-yourself-and-your-team" class="btn btn-primary" style="margin:5px;">Get to Know Yourself and your Team Course</a>
  </div>
</div>

### Job Shadow Programs

<div class="flex-row" markdown="0">
  <div>
    <a href="/handbook/ceo/shadow" class="btn btn-primary" style="margin:5px;">CEO Shadow</a>
    <a href="{{< ref "office-of-the-ceo#chief-of-staff-shadow" >}}" class="btn btn-primary" style="margin:5px;">Chief of Staff to CEO Shadow</a>
    <a href="/handbook/finance/growth-and-development/cfo-shadow-program/" class="btn btn-primary" style="margin:5px;">CFO Shadow</a>
    <a href="/handbook/marketing/cmo-shadow/" class="btn btn-primary" style="margin:5px;">CMO Shadow</a>
    <a href="/handbook/engineering/fellow/shadow/" class="btn btn-primary" style="margin:5px;">Engineering Fellow</a>
    <a href="{{< ref "security-shadow" >}}" class="btn btn-primary" style="margin:5px;">Security Team Shadow</a>
    <a href="https://gitlab.com/gitlab-com/support/support-team-meta/-/blob/master/.gitlab/issue_templates/Support%20Shadow%20Program.md" class="btn btn-primary" style="margin:5px;">Support Team Shadow</a>
  </div>
</div>

## Roles and Responsibilities

| Role | Responsibilities |
| -------- | --------------- |
| Team Member Owned | - Take charge of your own development and career<br/> - Close the skill gap for current and future positions <br/> - Seize development and stretch opportunities <br/> - Remember there are no promises or guarantees of a promotion |
| Manager Facilitated| - Take time with team members to discuss their career aspirations <br/> - Listen and provide feedback, ideas and contacts <br/> - Make choices to support their development |
| GitLab Supported | - Communicate future direction and skills requirements <br/> - Provide information and tools when applicable <br/> - Communicate internal opportunities |

### Self authorship and your career development

A live speaker series hosted in March 2022 with [Lavinia Mehedintu](https://www.linkedin.com/in/laviniamehedintu/) gets to the 'why' of career development. Embrace your own self-authorship while using the following tools to fit your goals. In the session, Lavinia spoke about:

1. The impact of growth mindet on career development, and tips for shifting out of a fixed mindset
1. Trust building in an all remote space and the role that people managers play in building this trust
1. Learning and building out loud, sharing career development externally, and the power of social learning

{{< youtube "UsGlTOmM2DM" >}}

### 70-20-10 Rule for Development

<div style="width: 100%;"><div style="position: relative; padding-bottom: 75.93%; padding-top: 0; height: 0;"><iframe frameborder="0" width="400" height="350" style="position: absolute; top: 0; left: 0; width: 100%; height: 100%;" src="https://view.genial.ly/62fd2aa9021efd0018b7c8eb" type="text/html" allowscriptaccess="always" allowfullscreen="true" scrolling="yes" allownetworking="all"></iframe> </div> </div>

1. 70% of your development should come from on-the-job and action learning.  This can include development experiences like managing a project, serving on a cross-functional team, taking on a new task, job shadowing, job rotation, etc.
1. 20% of your development should come from interactions with others.  This includes having a mentor, being a mentor, coaching, participating in communities of practice, providing and receiving feedback, serving as a leader in your organization, etc.
1. 10% of your development should come from training, including classes, seminars, webinars, podcasts, reading, conferences, etc. GitLab offers a [growth and development benefit](/handbook/people-group/learning-and-development/growth-and-development/) to help with this.

### Career Development versus Career Mobility

GitLab team members [should not feel pressure to climb the career ladder]({{< ref "1-1#key-points" >}}). Skill development and promotion are not mutually exclusive. [Unique experience influences problem solving](/handbook/company/culture/inclusion/) and views of success.

You are encouraged to learn and develop skills without pressure to in turn seek promotion. Team members will not be thought less of or penalized if they don't view promotion as a success measure. If you feel you are not being supported in this way, please [reach out to People Connect or your People Business Partner](/handbook/people-group/people-connect#-connect-with-us).

| Topic | Definition | Examples |
| ----- | ----- | ----- |
| Development | Choosing and building a career path that accelerates professional growth. | Learn new skills, complete a course, be a mentee |
| Mobility | Career mobility involves both lateral (promotions) and horizontal (transfers) movement along a career path. Mobility involves applying experience and skills as leverage for a new role. | Mentor to learn leadership skills with the intention of applying for a manager role; Complete a job shadow or internship and upskill to transfer to a new team. |

### Career Development and Well-being

Watch this live speaker series where we talk to Leah Weiss of Skylyte about the connection between well-being, purpose, and our career growth.

{{< youtube "2XmmGYlsEP8" >}}

## Document your Career Development

### Individual Growth Plan

The Individual Growth Plan (IGP) is a tool to help you, the DRI of your career, plan and action on your career growth. It's a template to guide you through career goal setting and action planning. Think of the IGP template as a starting place, where you have the freedom to reflect on your career, answer and dive deeper on sections that help spark your interest and think differently about your career development.

The IGP can help with:

1. Setting and achieving learning goals
1. Keeping learning plans organized in one easy to share place that is used company wide
1. Preparing for promotions
1. Preparing for career transitions

Looking for a step-by-step guide on filling out the IGP? Use the resources below:

<div class="flex-row" markdown="0">
  <div>
    <a href="https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/course/how-to-use-the-gitlab-individual-growth-plan-igp" class="btn btn-primary" style="margin:5px;">Short Course: How to use the IGP</a>
    <a href="{{< ref "igp-guide" >}}" class="btn btn-primary" style="margin:5px;"> Handbook: The GitLab IGP Guide </a>
    <a href="https://docs.google.com/document/d/1qEqTHx_G1uIPQi8rIIbrHjJ6S0NYhKDoHeBOLXsjkNw/edit#" class="btn btn-primary" style="margin:5px;">Workday User Guide: Individual Growth Plans</a>
  </div>
</div>

Watch: interview with a GitLab team member who's used the Individual Growth Plan to plan a career transition at GitLab.

{{< youtube "0ih0lMoKxN0" >}}

#### Start your IGP

1. Launch your Individual Growth Plan in Workday: [User Guide Here](https://docs.google.com/document/d/1qEqTHx_G1uIPQi8rIIbrHjJ6S0NYhKDoHeBOLXsjkNw/edit)
1. Fill out the IGP in Workday. Refer to the [job frameworks](https://docs.google.com/spreadsheets/d/1FX4NBwF099uMBm7mGBtf1orIJZuHEjtiEa3jSbg9jJs/edit#gid=0) and your [job family](/job-families/) to determine a skill and behavior focus. Give yourself time to think, plan, and fill out your IGP. Set learning blocks over the next 1-2 weeks rather than completing the IGP in one sitting.
1. Submit your IGP to your manager. Schedule a career conversation with your manager and review your IGP in your next 1:1 or at a separate time.
1. Make a plan that integrates working on your IGP during the flow of work by setting aside weekly or monthly time dedicated to learning. Block these times on your calendar.
1. Update progress against your development goals. The IGP and [development goals in Workday](https://docs.google.com/document/d/1qEqTHx_G1uIPQi8rIIbrHjJ6S0NYhKDoHeBOLXsjkNw/edit#heading=h.wje1pky1vhig) itself might work well for you, but if you need more structure, consider using [GitLab Epics + Issues]({{< ref "career-development#use-gitlab-epics-to-track-your-career-development" >}}) or a [health tracker in Google Sheets]({{< ref "career-development#health-tracker-growth-plan" >}}).

### Tracking your Progress

#### Accomplishment Tracker

Some call it a "brag sheet". Some call it a CREDIT Tracker. Either way, it's a great place to collect your accomplishments and feedback. Utizlize the accomplishment tracker in conjunction with the IGP and GitLab Epics.

1. Make a copy of the [Accomplishment Tracker Template](https://docs.google.com/document/d/1tBjEbX-p4MYinEsdU-91KDQ_BJkihwrBKZ0n9yfdLjo/edit?usp=sharing) + save to your drive
1. Start filling it out (check out the video below for a walkthrough) with links, notes, and screenshots
1. Set a weekly or monthly calendar reminder to continuously add to your tracker

#### Health Tracker: Growth Plan

Make a copy of this [health tracker in Google Sheets](https://docs.google.com/spreadsheets/d/1Pr_yl8TRAXucSr4qYml6TdsO86PgiaKB/edit#gid=2104005676) and save it to your drive. Use it to track the current status and long term goals you've set for your growth.

#### Use GitLab Epics to track your career development

{{< youtube "xuisSgBQtaU" >}}

Epics are a great way to [transparently](/handbook/values/#transparency) and [efficiently](/handbook/values/#efficiency) track your work and connect learning to your [results](/handbook/values/#results).

1. Open an epic in a personal or team project
1. Use the description to highlight your learning goals, ideal programs or resources you want to review, considerations when planning, etc.
1. Open issues to track actions you'll take as a result from things learned and resources used
1. Mark issues as related to your epic. Use a thread in the epic to link issues from different projects.
1. Refer to [Example 1](https://gitlab.com/groups/gitlab-com/people-group/learning-development/-/epics/43) and [Example 2](https://gitlab.com/groups/gitlab-com/people-group/learning-development/-/epics/47) for inspiration

## Having Career Conversations

### Compassionate and Results Oriented Career Conversations

{{< youtube "mpgqa4SHbVI" >}}

*Watch the full conversation with Camilla Boyer at GitLab [here](https://youtu.be/3pZoNORrDjU)*

### CREDIT and Career Conversations

| Value | Career Conversations Application |
| ----- | --------------- |
| Collaboration | Growth is led by individuals and supported by managers.  |
| Results | Growth increases engagement with work which drives greater results. |
| Efficiency | Growth happens in the flow of work. |
| Diversity, Inclusion, and Belonging | Our experiences influence career motivations and the support we need. |
| Iteration | Motivation changes and promotes growth that is meaningful, interesting, and relevant. |
| Transparency | Trust enables vulnerability and support in reaching true career goals. |

### Having Career Conversations with your Manager

The video below is a recording of the Live Learning that took place in August 2021 as part of our Career Development [Skill of the Month]({{< ref "learning-initiatives#fy22-topic-outline" >}}).

{{< youtube "JA3NNTGoELU" >}}

### Having Career Development Conversations with your Team

Team Members: Take the [Support your team with Career Conversations course in Level Up](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/course/support-your-team-with-career-conversations) to review the material below!

<div class="flex-row" markdown="0">
  <div>
    <a href="https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/course/support-your-team-with-career-conversations" class="btn btn-primary" style="width:200px;margin:5px;">Take the Course</a>
  </div>
</div>

#### Manager responsibilities

| During career conversations, managers: | Description |
| ----- | ---------- |
| Listen | Understand career goals and unique challenges your team faces. |
| Are aware of bias | Recognize the power dynamic and unconscious bias that could be present. |
| Ask questions | Challenge and encourage your team to think critically about their career motivations and learning goals. |
| Surface resources | Share what you know, including internal and external resources, network connections, and suggested actions. |
| Suggest iterations | Encourage reassessment of goals and adjustments as needed. |
| Set expectations | Decide together the date of your next career conversations and the outcomes to achieve by that date. |

#### Recomendations for Managers to support the learning of team members

Managers should support their direct reports with their professional development goals. Implement the following into a [1-1]({{< ref "1-1" >}}), team meeting, or async communication to support your team.

1. Encourage team members to create an [Individual Growth Plan]({{< ref "career-development#individual-growth-plan" >}}) or use [GitLab Epics to track their career development]({{< ref "career-development#use-gitlab-epics-to-track-your-career-development" >}}).
1. Utilize the [Growth & Development Benefit](/handbook/people-group/learning-and-development/growth-and-development/).
1. Recommend (and model) blocking [time to learn during the work week]({{< ref "learning-initiatives#take-time-out-to-learn-campaign" >}}).
1. Organize team specific and cross-functional learning communities to practice [social learning]({{< ref "learning-initiatives#social-learning-through-live-learning" >}}).
1. Model and share your own career and professional development pursuits.
1. Create a [Learning Hub]({{< ref "work-with-us#creating-a-learning-hub-for-your-team" >}}) in Level Up with curated learning material for your team from an external provider, the Handbook, and other external resources.

**Sample questions to ask your team:**

1. Do you have any overused strengths or underdeveloped skills that might cause your career to stall or derail?
1. Considering feedback from others, are you perceived to have the skills required for the business needs of the future? If not, how could you shape that perception in a favorable direction?
1. How can you leverage your current skills and talents for your future aspirations?
1. What skills or talents are missing to qualify you for your future aspirations?
1. Does your feedback from others tell you anything about how feasible your aspirations are?
1. Do you currently have the skills and talents needed for the future business needs?  If not what can you do now to get ready?

### Inclusive Growth

It's critical to understand how the diverse experiences and perspectives of individuals influence their approach to career growth. Without the right support, behaviors by team members [from underrepresented groups](/handbook/company/culture/inclusion/#examples-of-select-underrepresented-groups) might influence their growth. Consider how the following might influence growth on your team

| Behavior | Example |
| ----- | --------------- |
| Raised Hands | Who opts in? Who doesn't? Who's your go to person for stretch projects? Lack of opting in might be influenced by imposter syndrome, not a lack of interest. |
| Starting the Conversation | Who already set up career conversations with you? Who hasn't? Like opting in, this could indicate different expectations of growth rather than disinterest. |
| Stretch Projects | Share equitably across your team. Be aware of who got the last opportunity. Ask open and honestly about everyone's interests and capacity before allocating stretch projects. |
| Beyond Work | Consider the jobs we have outside of work. These responsibilities might influence our career growth but do not have to limit it. |
| Cultural|  Career growth expectations vary around the world. Ask your team individually about their expectations rather than making assumptions based on your experience. |
| Bias | Biases that might especially be prevalent in career conversations could include past roles and companies, performance, and authority. |

#### Career Mapping and Development {#career-mapping-and-development}

Aim to have career conversations with your team 2 times per year. Consider having these conversations in Q2 and Q4, aligning after talent conversations and planning for the next year.

This cadence is not required and can be adjusted as needed. Career conversations can happen during a regularly scheduled 1:1 or in a separate meeting.

#### Resources

Use the following templates to plan and prepare for career conversations with your team:

1. [Career Conversation Agenda Template](https://docs.google.com/document/d/1ugfwvhOcX6xPuxsn_oqZi7HV8364nQ5VnGO42IDlZkU/edit)
1. [Checklist for career conversation prep - Google Docs](https://docs.google.com/document/d/1zIEmXUuW6tsSH-hgAEx_yhmRow6HEPbXm_3YfJUg2_8/edit)
1. [Checklist for career conversation prep - GitLab Issue](https://docs.google.com/document/d/11VYcT7vABhrEELNoguQ0XDQ3s1cZ0PNs6KzZw5K3LD0/edit)

#### Practice

What do managers ask about when it comes to having career conversations with their teams? Watch the short question and answer videos below to learn more. Watch the full training from 2021-08 [here](https://www.youtube.com/embed/f1T2KKlrZCY).

<table>
  <tr>
    <th>Question</th>
    <th>Answers from the GitLab Team</th>
  </tr>
  <tr>
    <td>You started managing a team 6 months ago with 4 direct reports. One is performing well, but has not yet talked to you about career development. As their manager, What steps should you take?</td>
    <td>{{< youtube "A4mfSgN3a5s" >}}</td>
  </tr>
  <tr>
    <td>One of your direct reports has indicated they aren't interested in growing to the next level or developing further as they are happy in their current role. As their manager, what steps would you take?</td>
    <td>{{< youtube "oALcZZWvkfI" >}}</td>
  </tr>
  <tr>
    <td>Your direct report has indicated they are ready to move to, and are already performing at, the next level. As their manager, what steps would you take?</td>
    <td>{{< youtube "a2-lnhVvM2M" >}}</td>
  </tr>
  <tr>
    <td>A direct report feels ready to move to the next level, but aren't fully performing in their current role. As their manager, what steps would you take?</td>
    <td>{{< youtube "MuXQcorCVcs" >}}</td>
  </tr>
  <tr>
    <td>A career conversation becomes emotional - what do you do?</td>
    <td>{{< youtube "sJRFS08V_-Y" >}}</td>
  </tr>
  <tr>
    <td>How often do you have career conversations with your team?</td>
    <td>{{< youtube "uFKoU53Vj8U" >}}</td>
  </tr>
  <tr>
    <td>What about team members who don't have strong sense of their career goals yet? How do you support them?</td>
    <td>{{< youtube "pSAjpQxEx04" >}}</td>
  </tr>
  <tr>
    <td>What fears do managers at GitLab have when it comes to having career conversations?</td>
    <td>{{< youtube "oHlrlAlRB7Y" >}}</td>
  </tr>
</table>

## Career Development Conversation Acknowledgements

*Career Conversation Acknowledgements happen at a division basis. Check with your People Business Partner if your division is doing this.*

### Cadence

This process is just an acknowledgement by the team member that they have had career conversations. Aligned with the Performance/Potential [matrix cadence](/handbook/people-group/talent-assessment), formal career conversations will ideally happen twice per year:

- Once in Q2
- Once in Q4

The bi-annual cadence is not required, but recommended. Some team members may prefer annual career conversations, other team members may prefer more informal check-ins quarterly. This is a personal decision that should be made between team member and manager. The minimal recommended cadence for career development conversations is annnually, the most frequency recommended cadence is quarterly.

### Process

*Please note that while managers can facilitate career development conversations with team members and help guide growth plans by using our [internal resources]({{< ref "career-development#career-mapping-and-development" >}}),  managers cannot complete the acknowledgement process for team members.*

- This is not mandatory, however we highly encourage all team members to discuss their career goals with their manager.
- There is not one right way to document a career development conversation. Some team members may use their 1:1 document to capture the conversation and actions, others may use the [tools provided above]({{< ref "career-development#career-mapping-and-development" >}}) to help guide the conversation, or a team member may use their own personal template or process to have a career development conversation.
- There is no timeline or deadline on this process, however, the goal is for all team members to acknowledge at least one career development conversation in FY'22.
- If you have not had a career conversation yet it is up to you to schedule a time to review and discuss with your manager.
- If you are new to GitLab the recommendation is that you start career conversations after your first 90 days.
- Career conversations should not be confused with promotion conversations. Team members who do not want to increase their scope of work or be promoted, but are performing, should not feel pressured to move up or out. Career conversations can also focus on helping team members identify projects or other activities that keep the team member engaged and learning new skills. *Please note that development can also include lateral moves, or moving to another specialty within the same job family and job level.*

{{< youtube "xUNupnJyTNY" >}}

## E-Group Performance Enablement Review

Each member of the E-Group will have a performance conversation with their direct manager, the [CEO](/handbook/company/team/#sytses), at the beginning of the new fiscal year. These conversations will assess alignment to each of our [credit values](/handbook/values/#credit), performance and personal development.

The E-Group will follow a similar process to our GitLab team member process with the additional requirement of a [self review](https://docs.google.com/document/d/1pi-nv6NtMejosVOXlr1O4rZGxmGUzuN01OMnXn5dxKU/edit#).

**Compensation Reviews**

When conducting compensation reviews for the E-Group, GitLab will review two items:

1. Alignment to market rates
1. Performance factors
