---
title: Career Development for Individual Contributors at GitLab
description: Suggested career development pathway for individual contributors at GitLab
---

## Career development for Individual Contributors (ICs) at GitLab

This page is meant to act as a map or menu for individual contributors who are looking for guidance on what Learning and Development programs to participate in during their time at GitLab. It can be customized, added to, or scaled back based on specific goals for each team member.

References to `Year 1`, `Year 2`, etc. in the outline below are meant to indicate tenure at GitLab specifically, not entire career length as an individual contributor.

## Year 1

### Q1

1. Complete the [GitLab Team Member Certification](https://gitlab.edcast.com/pathways/gitlab-team-members-certification-this)
1. Start tracking career development goals using an [Individual Growth Plan (IGP)]({{< ref "career-development#tracking-your-career-development" >}}). Refer to the handbook for multiple IGP templates and formats. Once you have your first iteration of your IGP, have a [Career Development Conversation]({{< ref "career-development#having-career-development-conversations" >}}) with your manager.
1. Find and follow your division's Learning Hub on GitLab Learn. These hubs include training resources suggested by GitLab management. Exisitng learning hubs include: [People Group](https://gitlab.edcast.com/channel/people-group-learning-hub), [Marketing](https://gitlab.edcast.com/channel/gitlab-marketing-learning-hub), [Product Management](https://gitlab.edcast.com/channel/gitlab-product-team-learning-hub]), [Finance](https://gitlab.edcast.com/channel/gitlab-finance-learning-hub), [Development](https://gitlab.edcast.com/channel/gitlab-development-learning-hub), and [Support](https://gitlab.edcast.com/channel/gitlab-support-team-professional-development)

### Q2

1. Make a plan to incorporate learning into the GitLab work week using the [Take time to Learn Campaign]({{< ref "learning-initiatives#take-time-out-to-learn-campaign" >}}). [Focus Friday's](/handbook/communication/#focus-fridays) are a great time to learn during the week. Block out a recurring calendar focus block dedicated to learning.
1. Attend one Live Learning session found on the [L&D calendar](/handbook/people-group/learning-and-development#fy23-learning--development-calendar)

### Q3

1. Sign up to take [Crucial Conversations](/handbook/people-group/learning-and-development/learning-initiatives/crucial-conversations), a hybrid self-paced and live learning training hosted by the L&D team.
1. Attend one Live Learning session found on the [L&D calendar](/handbook/people-group/learning-and-development#fy23-learning--development-calendar)
1. Attend at least one Group Conversation from a division other than your own

### Q4

1. Apply as a mentee in current sessions of the [Company-Wide mentorship program]({{< ref "company-program" >}}), [Women at GitLab mentorship program](/handbook/company/culture/inclusion/tmrg-gitlab-women/mentorship-program/) , or independently from the [list of available mentors]({{< ref "mentor#find-a-mentor" >}})
1. Attend at least one Group Conversation from a division other than your own

## Year 2

### Q1

1. Review the [Growth and Development Fund](/handbook/people-group/learning-and-development/growth-and-development/) with your manager and research trainings, certifications, degree programs, and/or conferences specific to your role, division, and career goals at GitLab.
1. Attend one Live Learning session found on the [L&D calendar](/handbook/people-group/learning-and-development#fy23-learning--development-calendar)
1. Attend at least one Group Conversation from a division other than your own

### Q2

1. Revisit your [Individual Growth Plan (IGP)]({{< ref "career-development#tracking-your-career-development" >}}). Make updates and set new goals for the next year at GitLab.
1. Attend at least one Group Conversation from a division other than your own

### Q3

1. Sign up to be a mentor in current iterations of the [Company-Wide mentorship program]({{< ref "company-program" >}}), [Women at GitLab mentorship program](/handbook/company/culture/inclusion/tmrg-gitlab-women/mentorship-program/) , or add yourself to the [list of available mentors]({{< ref "mentor#find-a-mentor" >}})

### Q4

1. Participate in the [CEO Shadow Program](/handbook/ceo/shadow)
1. Attend at least one Group Conversation from a division other than your own

## Year 3 Considerations

1. Explore high level, industry specific trainings and certification programts utilizing the [Growth and Development Fund](/handbook/people-group/learning-and-development/growth-and-development/)
1. Participate in [Elevate](/handbook/people-group/learning-and-development/elevate-programs/) if you are an aspiring manager
1. Explore company wide shadow programs including [CoS Shadow]({{< ref "office-of-the-ceo#chief-of-staff-shadow" >}}), People Experience Shadow, and[Security shadow]({{< ref "security-shadow" >}}), [Security engineering and research shadow]({{< ref "security-shadow-sec-eng-res" >}})
