---
title: Elevate+ Round 3 Pilot - FY25 Q3
---

Leaders at GitLab enable our mission that [everyone can contribute](/handbook/company/mission/). We need to equip our people leaders with the skills to lead globally dispersed, all-remote teams to support our business growth at scale.

**This page outlines the updated format of Elevate+, for particpants starting mid-September in our pilot program.**

Through interactive workshops, 1:1 coaching, self-paced learning, and small group connections, Elevate+ enables senior leaders at GitLab to better understand and practice behaviors anchored in GitLab's values and leadership competencies, develop new skills to support high priority business needs, and help establish and strengthen cross-functional connections.

Elevate+ will create a shared leadership development experience across the organization so that every leader has a solid capability to lead in alignment with our GitLab values. This program will focus on the leadership behaviors required to build high performing teams that deliver results for customers.

<div style="padding:56.25% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/936433544?h=4499172070&amp;badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture; clipboard-write" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="Welcome to Elevate+"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>

## Learner Outcomes

In Elevate+, participants will:

1. Understand and practice behaviors and frameworks anchored in GitLab's values and leadership competencies
1. Apply new skills to support their highest priority business needs
1. Build cross-division relationships and learning through small group cohorts
1. Collaborate with stakeholders to integrate their learnings into their day-to-day work in order to tackle real challenges
1. Take action on feedback from their team, leader, and cross-functional stakeholders to map out your and your teams' future growth

## What concepts are taught in Elevate+?

Elevate+ spans a wide array of topics that enable leaders to build high performing teams:

![visual displaying the content in each elevate+ module](/handbook/people-group/learning-and-development/elevate-programs/images/elevateplustopics.png)

## Time Committment

Elevate+ runs for a total of 13 weeks. Across this timeline, participants will attend one Kickoff session, 2 live virtual workshops, cohort connections, and 1:1 coaching. The program also includes short self-paced activities in Level Up.

![Elevate+ program outline](/images/handbook/people-group/elevate-plus-program-outline.png)

_Click [here](https://360.articulate.com/review/content/ca768383-22b0-432a-89cc-011eeec37323/review) for an interactive version of the program oultine._

| Program Element | Duration | Description | Date |
| ----- | ----- | ---------- | ----- |
| Virtual Kickoff | 50 Minutes | Review program expectations, build cross-functional connections, and discuss leading at GitLab | Wednesday, 2024-10-02 at 3:30pm UTC |
| 1:1 Coaching | 5 Hours | 60 minute intro session, then 4 hours of flexible 1:1 coaching, in 30 or 60 minute sessions | Dates to be set by participants |
| Workshop I | 2 Hours | Facilitated live instruction, group discussion, breakout groups, solo activities, and an E-Group guest presenter | Thursday, 2024-10-24 from 3:30 to 5:30pm UTC |
| Cohort Connection | 25 Minutes | Meet with other Elevate+ leaders to discuss the application of values-driven leadership | Dates TBD |
| Workshop II | 2 Hours | Facilitated live instruction, group discussion, breakout groups, solo activities, and an E-Group guest presenter | Thursday, 2024-11-21 from 3:30 to 5:30pm UTC |
| Self-Paced Activities | Varied | Bite-sized courses and reflection activities to expand Elevate+ concepts | Self-Paced |

## Professional Coaching

Professional coaching is a key pillar of the Elevate+ program. 1:1 coaching hours are meant to personalize the Elevate+ experience, providing dedicated time for participants to work through their own specific application of leadership at GitLab, and to problem solve with an experienced, trusted, and GitLab-trained professional coach.

Participants should consider these important expectations for professional coaching during Elevate+:

1. You'll meet with your coach for a total of 5 hours across the duration of the program.
1. Participants are expected to share their CultureAmp 360 reports directly with their coach.
1. **First Session:** Schedule your first session in the coaching portal. Your first session will be 60 minutes, providing space to get to know your coach and set development goals. This first session should happen before Workshop I on 2024-10-24.
1. **Subsequent sessions:** Schedule subsequent sessions for 30 or 60 minute sessions, on dates of your choosing, direcly with your coach.
1. We recommend spreading out coaching hours throughout the length of the program. You’ll likely schedule some sessions after Workshop II. That is expected (and encouraged!) so you can work with your coach on concepts discussed during the workshop.
1. Sessions can be rescheudled via the coaching portal if done before a 24 hour window. Sessions cancelled within a 24 hour window **cannot be rescheduled.**  
1. You will likely complete your Elevate+ certification reflection exercise before you've finished your 5 coaching hours.

## Measuring Success

The Elevate+ 360, delivered via Culture Amp, measures success of the program and gives participants persnalized feedback on their leadership style.

**Self-Assessment:** Participants reflect upon their current abilities and confidence as a leader. After the program, participants will re-take the assessment to demonstrate growth.

**Stakeholder Assessment:** Participant's manager, direct reports, and 2-3 additional nominated stakeholders will receive an (anonymous!) survey to gather feedback. Review feedback with your manager and professional coach, and use it to drive pesronal development goals. This is a fantastic opportunity to collect and take action on feedback from those you work closely with!

Who sees the assessment results?

1. The Elevate program team will look at cumulative results, not individual results.
1. Stakeholder results will be shared with you directly for use in the program.
1. Participants are responsibile with sharing their results for discussion with their manager and professional coach

## Get Support

When the program begins, you'll be added to a Slack group that includes all members of your cohort. You can also reach out directly to your manager or the Learning and Development team.

Upon successful completion of the program, including attendance to all required live sessions, professional coaching, and submission of a written reflection at the end of the program, participants will be awarded the GitLab Elevate+ certification.

_Please note that Elevate+ is a required training for eligible people leaders at GitLab. Due to our priority to certify people leaders, participation by aspiring managers is not currently an option. We've put together a Level Up course available to all GitLab Team Members, to share the self-paced training content for each Elevate (please note, there is not yet an async option for Elevate+). You can check it out here: [Elevate Learning Materials](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/learning-path/elevate-learning-materials)_

### I was asked to fill out the Stakeholder Assessment - what does this mean?

The Elevate+ [stakeholder assessment](/handbook/people-group/learning-and-development/elevate-programs/elevate+/#measuring-success) is delivered via Culture Amp and helps Elevate+ participants integrate real time feedback into their leadership growth.

Being nominated to take this assessment means an Elevate+ participant greatly values your feedback and is interested to learn your perspective about their leadership style. Participants will view their self assessment results alongside feedback from stakehodlers, then use this data to guide goals they set during Elevate+.

The stakeholder assessment is sent to participants direct reports, manager, and co-workers they have nominated. If you receive a stakeholder assessment, we ask that you please take ~15 minutes to complete.

Important things to note:

1. Participants will not see names associated with feedback shared in Culture Amp. Feedback will be categorized based on who shares it: `Manager`, `Direct Reports`, and `Co-Workers`.
1. You might be nominated by mulitiple Elevate+ participants to take the assessment. Please consider taking it for each person that's nominated you. You'll receive a separate Culture Amp message and assessment link for each assessment.
1. Participants of current Elevate+ rounds might have also been nominated to take the assessment for their colleagues. This is expected - thanks for taking time to assess your fellow Elevate+ members!
1. The People Analytics team will have access to the entire survey data set, including names, and will use this to pull aggregate themes from across all Elevate+ participants. The Talent Develompment team only has access to aggregate themes.
1. If you're nominated to give feedback to someone that you feel you can't give adequate feedback to, based on your level of collaboration with them, please simply ignore the message from Culture Amp and any reminders.
