---
title: Elevate+

---

Elevate+: a live virtual leadership development program for leaders of leaders at GitLab, focused on strengthening leadership identity, mastering GitLab business acumen, building and executing team strategy, maintaining effective cross-functional partnership, and efficient change management.

Leaders at GitLab enable our mission that [everyone can contribute](/handbook/company/mission/). We need to equip our people leaders with the skills to lead globally dispersed, all-remote teams to support our business growth at scale.

This page outlines the current format of Elevate+, for participants enrolled in Cohorts 1 through 6.

Through small group cohorts and interactive workshops, Elevate+ is designed to enable senior leaders at GitLab to better understand and practice behaviours anchored in GitLab's values and leadership competencies, develop new skills to support high priority business needs, and help establish and strengthen cross-functional connections.

Elevate+ will create a shared leadership development experience across the organization so that every leader has a solid capability to lead in alignment with our GitLab values. This program will focus on the leadership behaviors required to build high performing teams that deliver results for customers.

<div style="padding:56.25% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/936433544?h=4499172070&amp;badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture; clipboard-write" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="Welcome to Elevate+"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>

In Elevate+, participants will:

1. Understand and practice behaviors and frameworks anchored in GitLab's values and leadership competencies
1. Apply new skills to support their highest priority business needs
1. Build cross-division relationships and learning through small group cohorts
1. Collaborate with stakeholders to integrate their learnings into their day-to-day work in order to tackle real challenges
1. Take action on feedback from their team, leader, and cross-functional stakeholders to map out your and your teams' future growth

## Participant Hub

Are you an active participant in Elevate+? Click here to navigate to the Particpant Hub with relevant links and resources!

<div class="flex-row" markdown="0">
  <div>
     <a href= "https://handbook.gitlab.com/handbook/people-group/learning-and-development/elevate-programs/elevate+/_participant-hub" class="btn btn-primary" style="width:200px;margin:5px;">Click Here: Participant Hub</a>
  </div>
</div>

## Time Committment

| Step | Week | Title | Description | Time |
| ----- | ----- | ----- | ---------- | ----- |
| 1 | 1 | Live Learning Session (Zoom) | Cross-functional synchronous learning session on the relevant module topic | 50 minutes |
| 2 | 2, 3 | Asynchronous Intersession work (GitLab) | Asynchronous assignment to reinforce concepts learned in the Live Learning Session and support participants in advancing their identified business goals. Each assignment will include conversations led by participant with identified individuals in order to directly apply new concepts and a documented deliverable due prior to the Live Cohort Workshops | 75 minutes |
| 3 | 4 | Live Cohort Workshop (Zoom) | Cross-functional synchronous cohort workshop sessions with ~8-10 other GitLab people leaders to review Intersession work, give and get feedback on application of concepts, and additional opportunities for practice | 80 minutes |
| 4 | 5 | Share Module Feedback (Google Forms) | Share your perspective on the Elevate+ program by providing input about each module | 5 minutes |

Throughout the program, participants will also revisit and adapt their ReadMes, crystallizing their focus on leadership development and the ways in which they contribute to GitLab's business.

## Pre-Certification Coaching

After you complete Module 5, attend a pre-certification coaching session to prepare for certification.

The intention of this session is to allow space to practice and ask questions about what certification will look and feel like.

In preparation for the pre-certification session, please review the [certification scoring rubric](https://docs.google.com/document/d/1gCHmc8lQPPaFYdaC4Xmd5xfLto2NdpdI2RvMfm0fVzI/edit), the [GROW coaching model](/handbook/leadership/coaching/#grow-model), and the [certification scenarios](https://docs.google.com/document/d/1mLjg_qQNv0Fz5PIsFYND3VbgskMOrVthVAlH3KiH-eI/edit).

During the session, you can expect the following:

1. Review the criteria for peer evaluation and calibrate on the scoring scale you will use during the certification
1. The Elevate coach will model coaching during a coaching demonstration. The group will observe the discussion and identify what they're noticing the coach does well, and where they could do something differently
1. In pairs, participants will move into breakouts and practice coaching based on one of the scenarios

## Certification

Elevate+ Certification is a time to demonstrate everything you've learned and celebrate your new skills and self awareness as you continue to grow as a leader of leaders at GitLab. It's not meant to be scary, and we want all participants to feel fully supported to pass.

Certification will occur in a live, collaborative, 60 minute session with up to 4 other Elevate+ participants, likely in your cohort, and will follow this format:

1. Intro to certification logistics
1. Part 1: Leadership presentations - 5 min presentation/1 min scoring per person x 4 people
1. Part 2: Coaching scenarios - 5 min per person x 4 people

Review these materials to best prepare for certification:

1. [Scoring Rubric](https://docs.google.com/document/d/1gCHmc8lQPPaFYdaC4Xmd5xfLto2NdpdI2RvMfm0fVzI/edit): Elevate+ coaches will use this rubric to assess your performance during the certification.
1. [Coaching Scenarios](https://docs.google.com/document/d/1mLjg_qQNv0Fz5PIsFYND3VbgskMOrVthVAlH3KiH-eI/edit): During Part 2 (as explained below), participants will practice their coahing skills using one of these scenarios.

**Part 1: Leadership Presentation with Peer Evaluation**

Each person will have 5 min (maximum) to give a brief presentation about their leadership and collect peer scores. The presentation should include answers to the following questions:

1. What are 2-3 learnings from the program that made a difference in your development, the way you lead, or your partnership with cross-functional stakeholders?
1. What personal focus areas became clear to you during the program?
1. What are your goals for developing your organization? Please share at least one goal for each category:
     - Developing and coaching team members
     - Developing and communicating your organizational strategy
     - Building or improving cross-functional partnerships

Each participant will be assessed by their peers using the rubric above and the following scale:

- 1= ``Does not demonstrate or missing: Does not meet the criteria outlined for this element``
- 2= ``Average: Demonstrated the objective partly or incompletely``
- 3= ``Met Criteria: Met all objective requirements``

**Part 2: Deep dive into coaching**

Each person will use [scenarios](https://docs.google.com/document/d/1mLjg_qQNv0Fz5PIsFYND3VbgskMOrVthVAlH3KiH-eI/edit) to demonstrate mastery of coaching skills learned throughout the program.

Review the [scoring rubric](https://docs.google.com/document/d/1gCHmc8lQPPaFYdaC4Xmd5xfLto2NdpdI2RvMfm0fVzI/edit) to understand which coaching skills will be assessed.

## Making up missed sessions

Attendance to all Elevate+ live sessions is required to earn the certification. We understand that making time for all live sessions can be difficult. We have options for making up sessions you've missed:

**Option 1: Attend Another Session**

There are multiple Live Learning and Cohort Workshop options for each module. If you cannot attend your scheduled sessions, Option 1 is to attend another scheduled session.

**Option 2: Async Makeup**

If none of the Live Learning sessions will work, you may use Option 2: Async Makeup. Note that this can only be used a total of one time per participant.

Async makeups will be shared with participants directly via Level Up. The include watching recordings from the Live Learning and responding to text-based discussion threads in Level Up.

There is no async makeup option for Cohort Workshops.

## Measuring Success

We're using the Elevate+ 360, delivered via Culture Amp, to both measure success of the program and give participants persnalized feedback on their leadership styles.

**Self-Assessment:** Participants will complete a self-assessment, reflecting upon their current abilities and confidence as a leader of leaders. After the program, participants will re-take the assessment to demonstrate growth.

**Stakeholder Assessment:** Identified stakeholders will receive an (anonymous!) survey to gather feedback both for participants to identify areas they want to focus on during the next 6 months as well as overall program feedback. Stakeholders will be surveyed again 6 months after the program to measure collective leadership growth of the Elevate+ participants. This is a fantastic opportunity to collect and take action on feedback from those you work closely with.

Particiapnts will nominated 2-3 stakeholders for the assessment. Their manager and direct reports will also be sent the assessment.

Who sees the assessment results?

1. The Elevate program team will look at cumulative results, vs individual results.
1. Stakeholder results will be shared with you directly for use in the program.

Results from the self and stakeholder assessments will be used throughout the program, during workshop sessions and intersession work, to inform and personalize the material for each participant.

## Frequently Asked Questions

### What does success in Elevate+ look like?

To earn the final Elevate certification, participants must:

1. Attend or makeup all live sessions
1. Complete all async intersession work
1. Pass the Elevate+ Certification

### Is my participation in Elevate+ required?

Yes, this and Elevate are both a required training for all people leaders at GitLab.

### Where do I communicate my questions, concerns, and feedback as I go through the program?

When the program begins, you'll be added to a Slack group that includes all members of your cohort. You can also reach out directly to your manager or the Learning and Development team.

### I missed, or cannot attend, a live session. What do I do?

It's a requirement to make up missed sessions within each month to ensure that you're learning each new skill and moving through the program in the appropriate order. Please make every effort to attend live sessions as scheduled. Please review makeup options outline above.

We're committed to working with you to find a solution that let's you successfully complete Elevate. If you must miss one live session for personal reasons, you need approval from your manager. Additional missed sessions will result in an incomplete Elevate status.

### What if I have already completed the manager challenge?

The Manager Challenge is a past iteration of leadership development at GitLab. We appreciate the time that past manager challenge participations have dedicated to their growth and development. Elevate is the next iteration in our GitLab manager journey, and is still required of manager challenge participants.

### When I complete this program will I earn a certificate?

Yes! Upon successful completion of the program, including attendance to all required live sessions, asynchronous learning, and assessments, participants will be awarded the GitLab Elevate+ certification.

### How often will this program run?

Our goal is to enroll all eligible managers into Elevate+ during FY25.

### Is there opportunity to participate in the program if I am an aspiring manager?

Due to our priority to certify people leaders, participation by aspiring managers is not currently an option. We've put together a Level Up course available to all GitLab Team Members, to share the self-paced training content for each Elevate (please note, there is not yet an async option for Elevate+). You can check it out here: [Elevate Learning Materials](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/learning-path/elevate-learning-materials)

### I was asked to fill out the Stakeholder Assessment - what does this mean?

The Elevate+ [stakeholder assessment](/handbook/people-group/learning-and-development/elevate-programs/elevate+/#measuring-success) is delivered via Culture Amp and helps Elevate+ participants integrate real time feedback into their leadership growth.

Being nominated to take this assessment means that an Elevate+ participant greatly values your feedback and is interested to learn your perspective about their leadership style. Participants will view their self assessment results alongside feedback from stakehodlers, then use this data to guide goals they set during Elevate+.

The stakeholder assessment is sent to participants direct reports, manager, and co-workers they have nominated. If you recieve a stakeholder assessment, we ask that you please take ~15 minutes to complete.

Important things to note:

1. Participants will not see names associated with feedback shared in Culture Amp. Feedback will be categorized based on who shares it: `Manager`, `Direct Reports`, and `Co-Workers`.
1. You might be nominated by mulitiple Elevate+ participants to take the assessment. Please consider taking it for each person that's nominated you. You'll recieve a separate Culture Amp message and assessment link for each assessment.
1. Participants of current Elevate+ rounds might have also been nominated to take the assessment for their colleagues. This is expected - thanks for taking time to assess your fellow Elevate+ members!
1. The People Analytics team will have access to the entire survey data set, including names, and will use this to pull aggregate themes from across all Elevate+ participants.
1. If you're nominated to give feedback to someone that you feel you can't give adequate feedback to, based on your level of collaboration with them, please simply ignore the message from Culture Amp and any reminders.
