---
title: Elevate+ Participant Hub

---

## Welcome to Elevate+

This handbook page will serve as your Elevate+ homebase. Here, you'll find important links, session descriptions, and resources for each module.

## Quick Links

Navigate to frequently used links for Elevate+ below:

<div class="flex-row" markdown="0">
  <div>
    <a href= "https://gitlab.com/gitlab-people-elevate/elevate-plus-round-1/-/boards" class="btn btn-primary" style="width:200px;margin:5px;">Intersession Work - Cohorts 1, 2, and 3</a>
    <a href= "https://gitlab.com/gitlab-people-elevate/elevate-plus-round-2/-/boards" class="btn btn-primary" style="width:200px;margin:5px;">Intersession Work - Cohorts 4, 5, and 6</a>
    <a href= "https://handbook.gitlab.com/handbook/people-group/learning-and-development/elevate-programs/elevate+/" class="btn btn-primary" style="width:200px;margin:5px;">Elevate+ Overview Handbook Page</a>
  </div>
</div>

### Need Help?

Get help in your cohort Slack channel. Find links to each channel below:

<div class="flex-row" markdown="0">
  <div>
    <a href= "https://app.slack.com/client/E03N1RJJX7C/C06D40B5CVD" class="btn btn-primary" style="width:200px;margin:5px;">Cohort 1</a>
    <a href= "https://app.slack.com/client/E03N1RJJX7C/C06D40CKNH5" class="btn btn-primary" style="width:200px;margin:5px;">Cohort 2</a>
    <a href= "https://app.slack.com/client/E03N1RJJX7C/C06DM0G418C" class="btn btn-primary" style="width:200px;margin:5px;">Cohort 3</a>
    <a href= "https://app.slack.com/client/E03N1RJJX7C/C06M2TPTWUX" class="btn btn-primary" style="width:200px;margin:5px;">Cohort 4</a>
    <a href= "https://app.slack.com/client/E03N1RJJX7C/C06MHBQ2XSP" class="btn btn-primary" style="width:200px;margin:5px;">Cohort 5</a>
    <a href= "https://app.slack.com/client/E03N1RJJX7C/C06MHBR0NH1" class="btn btn-primary" style="width:200px;margin:5px;">Cohort 6</a>
  </div>
</div>

## Live Session Best Practices

The goal of this program is to create a shared leadership development experience for all GitLab leaders,  and to ensure that each participant has the skills and capabilities they need to be an exceptional leader at GitLab. Elevate+ objectives are rooted in GitLab values, leadership competencies, and mission.

Making the most out of Elevate+:

- 📸Keep your camera on
- 🧑‍💻While we understand that multitasking is a way of working at GitLab, we notice that those who are fully - present contribute the most, and get the most from this program
- 🙋Be brave, ask questions, and share your perspectives
- 💬Use this session guide and our synchronous GitLab shared space to learn from each other
- 🤔Stay curious and open to learning
- 💃Have fun!

## Certification

Elevate+ concludes with an oral certification to demonstrate your mastery of leadership competencies. Please review [this handbook page](/handbook/people-group/learning-and-development/elevate-programs/elevate+/#certification) for a detailed outline of the certification process.

## Module 1: My Leadership Identity

`My Leadership Identity` is the starting point for Elevate+. Live sessions and intersession work will focus on building your self awareness, executive presence, and intentionality behind your behavior and impact on your team's results.

During Module 1, you will:

1. Understand and explain who you are as a leader and the impact you have on others
1. Understand the difference between leading a team and leading leaders
1. Discuss the GitLab values and how we can lead to bring our values to life as leaders
1. Consider what it takes to be a leader others want to follow
1. Explore unconscious bias – mine and how to manage my org's
1. Review what's next in the Elevate+ path

**Key Links**

1. [Module 1 Feedback Form](https://docs.google.com/forms/d/e/1FAIpQLScug6g0ZA03-qTzVLYpJ6gjxg39WAl6x9bOaqg9A1yR8qzgnw/viewform?usp=sf_link)

## Module 2: Leading to Empower

During Module 2, you will:

1. Explore why it is so important to develop your team members
1. Reflect on how position power shows up in your relationships and leadership
1. Align on why coaching is so important, what a foundational coaching model looks like, and key coaching frameworks to utilize
1. Learn best practices for creating a Culture of Feedback
1. Revisit the resources at GitLab for support with managing underperformance

### Resources

<details>
<summary>Position Power</summary>

- [Short LinkedIn Article: Positional vs. Position Power](https://www.linkedin.com/pulse/positional-vs-personal-power-aditi-agrawal/)

</details>

**Key Links**

1. [Module 2 Feedback Form](https://docs.google.com/forms/d/e/1FAIpQLScCWql9i6Oi8js9zDnNawZKX-V1NOhQG3aSD8fFSew-29mn4g/viewform?usp=sf_link)

## Module 3

In Module 3, create a shared understanding around the importance for your team members to understand how they each contribute to driving results for customers by:

1. Learn from each other about GitLab's core product, revenue streams, and customers
1. Understand why this knowledge is critical for leading to empower and leading for results
1. Provide tools, language, and resources for you to lead a conversation with your team members

**Key Links**

1. [Module 3 Feedback Form](https://docs.google.com/forms/d/e/1FAIpQLSfmNnaI8C57ua1uRygJ7YlfbHKmmzaYqqD6mypZw5RlWe0cIQ/viewform?usp=sf_link)

## Module 4

In Module 4, increase your cross-functional effectiveness in order to clear the way for your team to get results.

1. Share your team's highest order purpose and alignment to GitLab's overall goals
1. Map your cross-functional partners within and outside GitLab
1. Learn skills for building and repairing relationships with key partners

**Key Links**

1. [Module 4 Feedback Form](https://docs.google.com/forms/d/e/1FAIpQLSfLt0tMR2PuH-VSWpqm2Z7jVOYAmPPFXWJblU80tD-bvwdVUw/viewform?usp=sf_link)

## Module 5

*More information to be added soon.*

**Key Links**

1. [Module 5 Feedback Form](https://docs.google.com/forms/d/e/1FAIpQLSdHJnLbjDSj-gsDdSwigOn3zIW_7BxpJ1Xgae9htEp6zE3_1w/viewform?usp=sf_link)
