---
title: Elevate Applied
---

## Elevate Applied

Elevate Applied: Elevate Applied is a dynamic collection of resources aimed to extend leadership development and allow learners to apply concepts taught in Elevate and Elevate+ directly to their work. This includes custom live workshops, 1:1 coaching, job aids, team member resources, and self-paced courses. Resources are designed to help GitLab leaders focus on building and enabling high performing teams.

**Apply what you learned in Elevate to build your high performing team.**

Leaders at GitLab should feel supported with excellent resources to enable their practice, application, and integration of concepts taught in [Elevate](/handbook/people-group/learning-and-development/elevate-programs/) to their day to day work at GitLab.

To provide this support, the Talent Development team is launching `Elevate Applied`.

If you've had thoughts or questions like:

1. `I could really use time to connect with other managers at GitLab and learn from their experience.`
1. `The GROW model sounds great - but I can't find opportunities to actually apply it.`
1. `I know how to give feedback to my team, but I'm not sure how or when to start.`
1. `How can I build stronger performance on my team?`

... then `Elevate Applied` is for you.

`Elevate Applied` is an ongoing resource for Managers and Senior Managers at GitLab meant to strengthen leadership competencies, enable leaders to take action, and build connections between managers. **It's a combined community and toolkit to help you build high performing teams.**

Beginning in January 2024, the Talent Development team will begin this program with the ~130 managers who have earned their Elevate certification. We'll use data and feedback to inform and shape the future of manager training at GitLab.

## Overview

All managers who earn their Elevate certification will be invited to participate. Participation is optional.

Each month, managers can expect to be served new resources and learning opportunities that are relevant to what is currently happening in the business. Some examples include:

1. Group coaching sessions
1. Self-paced Level Up courses
1. Templates and tools to assess and implement Elevate concepts and strategies
1. Organized calls to meet and discuss common challenges with other managers
1. Speaker sessions with internal and external experts

### Topics

Below, you'll find a general outline of topics you can expect to learn about during each month:

| Month | Topic |
| ----- | ---------- |
| January | Kickoff; Impacts of 1:1 Coaching |
| February | Using the Team Health Check |
| March | Coaching for High Performance |
| April | Practice Coaching Skills |

## Benefits

Throughout this program, managers can expect to:

1. Understand and use resources that help them apply concepts taught in Elevate, including:
     - Access to ongoing 1:1 coaching to support their growth in FY25
     - Coaching techniques to build a high performing team
     - Conversation strategies for giving and receiving feedback
     - Frameworks and templates for efficient career growth conversations
1. Expand their network and build upon existing relationships with other managers across the organization

## Measuring Success

The Talent Development team will focus on the following metrics to measure success:

1. NPS score on self-paced coursework
1. Direct manager feedback
1. Aggregate and anonymous feedback from coaching partners
