---
title: Elevate Applied 1:1 Coaching

---

![visual displaying the content in each elevate+ module](/handbook/people-group/learning-and-development/elevate-programs/images/elevate-applied.png)

Elevate Applied 1:1 Coaching is an opportunity for managers to work 1:1 with GitLab-trained professional coaches on specific skills. Eligibility is open to all people managers with priority given to applicants who have completed Elevate/Elevate+. This offering is covered by your [Growth and Development Fund](/handbook/people-group/learning-and-development/growth-and-development/) as a recommended coaching experience. Unlike other G&D submissions, participants will not cover costs up front; this will be directly billed to GitLab and covered by the G&D allocation for each participant.

Keep reading for information on the next Elevate Applied 1:1 Coaching Cohort.

## Coaching for Accountability - FY25 Q2

`GitLab managers use coaching to hold their teams accountable for great results.`

[Accountability](https://internal.gitlab.com/handbook/company/high-performing-teams/#accountability) is a key tenent of high performing teams at GitLab. Participants will hone their skills in managing their "inner fixer", asking powerful questions, utilizing the GROW model, and demonstrating active listening to elevate their leadership capabilities. Coaches will guide participants to apply their own coaching skills in ensuring their team's success.

Here's what to expect:

1. **Apply:** Complete a short application. Responses shared in your application will be used to pair you with a coach with the right skillset, experiences, and timezone that work for you.
1. **Community:** You'll join a Slack channel of nine (9) other leaders meeting with coaches on the same topic and share your discoveries and best practices.
1. **1:1 Coaching:** You'll spend a total of 4 hours with your coach. Session 1 will be 60 minutes and will focus on getting to know, and building trust with, your coach. Then, choose to scheudle 30 or 60 minute sessions for the remaining 3 hours, where you'll focus on coaching skills that will enable you to hold your team accountable for great results.
1. **Feedback:** The GitLab L&D team will check in with you after your last session to gather feedback

During 1:1 coaching, you'll practice the following skills and plan to apply them to current accountability challenges on your team:

![visual displaying the content in each elevate+ module](/handbook/people-group/learning-and-development/elevate-programs/images/coaching-for-accountability.jpg)

### Participant Requirements

Managers who meet the eligibility requirements below are invited to apply. The cost of this program is $2,100 USD. Accepted participants will use their Growth and Development funds to cover the program cost.

1. Currently in a people manager role at GitLab
1. Have sufficient Growth and Development funding remaining for FY25 to cover program cost
1. Not currently paired with a professional coach from Coaching Right Now
1. Priority given to people managers who have earned an Elevate or Elevate+ certification

### Apply

Applications will open from 2024-06-05 through 2024-06-14. Use [this Google Form](https://docs.google.com/forms/d/e/1FAIpQLSfZhCkg8xtL9zCSrYFypE6q-wUKVXCAfMA0cC2yeEjcGU1xGw/viewform?usp=sf_link) to apply. The application should take less than 10 minutes to complete.

_Read testimonials below from managers who have received professional coaching from GitLab._

![written testimonials from managers at GitLab who have recieved professional coaching](/handbook/people-group/learning-and-development/elevate-programs/images/testimonials.png)

#### Selection Criteria

The `Coaching for Accountability` cohort in FY25 will include 10 participants who will be selected based on the following criteria:

1. Demonsration of interest and investment in growth from application notes
1. Diversity in region, gender, race, ethnicity, tenure at GitLab
1. Recommendations by People Business Partners

If you are not accepted into the FY25 cohort, consider these options for future coaching opportunities:

1. Remain on the waitlist and be notified of future Elevate Applied coaching offerings
1. Use your [Growth and Development fund](/handbook/people-group/learning-and-development/growth-and-development/#professional-coaching) to meet with a professional coach

### Timeline

| Date | Action |
| ----- | ---------- |
| 2024-06-05 | Applications Open |
| 2024-06-14 | Applications Close |
| 2024-06-21 | Selected participants notified |
| 2024-07-15 | Coaching Begins |
| 2024-09-30 | Coaching Ends |
| 2024-09-30 | Participant feedback collected |
