---
title: Growth and Development Fund
description: A description of programs and resources for team members to access when using the G&D Fund.
---

The Growth and Development (G&D) Fund can be used by GitLab team members to receive reimbursement for approved growth experiences and opportunities at GitLab. Team members can be reimbursed for up to $10,000 per calendar year for approved growth experiences, provided they meet all eligibility requirements.

Whether you want to upskill with new certifications, attend industry conferences, or explore courses to enhance your expertise, this fund is an amazing resource to help you shape your career at GitLab and support [High Performing Teams](https://internal.gitlab.com/handbook/company/high-performing-teams/).

The Growth and Development (G&D) fund is managed by the [Talent Development team](/handbook/people-group/learning-and-development/#learning--development-team). For any questions, please contact a team member directly, or reach out in the #learninganddevelopment slack channel.

## Eligibility

To use the Growth and Development fund, applicants must be full-time GitLab employees who meet performance expectations in their role and are not on ‘leave’ status.

## Process

Here is a step by step guide on how to apply for G&D applications:

### Step 1 - Growth Conversation

Start by having a [growth conversation](/handbook/people-group/learning-and-development/career-development/#what-is-career-development) with your manager to discuss the learning opportunity. It’s important to talk through the timing, workload, and application timeline of the program to ensure coverage for your team. This conversation should allow time for you to apply for the program before it begins and allow your manager to ensure team capacity.

<details>
<summary>Manager Guidance: Growth Conversations & Recommending Opportunities </summary>

- All Growth and Development applications need manager approval, so applications from team members should not come as a surprise to you when they are created, but should come about as a result of ongoing Career Development conversations with your team. If you don’t already have regular career development conversations planned in with your team members, we recommend scheduling these in so that you can better understand your team members’ career goals.

- Take a look at the [Support your team with Career Conversations](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/course/support-your-team-with-career-conversations) course in Level Up for best practice on how to handle these conversations effectively.

- As a result of these career conversations, you may identify an opportunity that could be suitable for a Growth and Development Fund application that aligns with the team member’s career goals. As a manager, you should try to look out for such opportunities to encourage this usage, it can make team members feel that they are valued and that you show an understanding and appreciation of their career goals, and want to play an active role in helping them achieve them.

- Individual OKRs and business goals should not be tied to GD opportunities, unless the individual team member thinks it’s appropriate.

</details>

### Step 2 - Open an Issue

 Create a new Growth & Development issue using one of the issue templates below. Please create your issue 30 days in advance of the beginning of your experience.

|G&D Issue Template|
|------------------|
|[Academic Study](https://gitlab.com/gitlab-com/people-group/learning-development/growth-and-development-requests/-/issues/new?issuable_template=g-and-d-academic-study)|
|[Conference](https://gitlab.com/gitlab-com/people-group/learning-development/growth-and-development-requests/-/issues/new?issuable_template=g-and-d-conference)|
|[Other G&D Types](https://gitlab.com/gitlab-com/people-group/learning-development/growth-and-development-requests/-/issues/new?issuable_template=g-and-d-other)|
|[Coaching Right Now (GitLab's coaching vendor of choice)](https://gitlab.com/gitlab-com/people-group/learning-development/growth-and-development-requests/-/issues/new?issuable_template=g-and-d-coaching) Learn more about Coaching Right Now below.|

### Step 3 - Gain Approval

Request approval on the issue. Depending on the cost of the application, different approval levels are required. In all instances, your direct manager should be the first approver in the issue.

Cost Tiers Approval:

- Manager Approval: $0-$1,000
- Manager + VP Approval: $1,000.01 - $5,000
- Manager + e-group Approval for any spend $5,000.01 - $10,000 (Apart from Sales & Marketing, where VPs can approve $5,000.01 - $10,000 spend)

<details>
<summary>Manager Guidance: You should know what you are approving </summary>

- As a manager you are ultimately responsible for the performance and behaviours of your team members. Therefore, it’s important that you understand the opportunities you are approving for your team members, and that you have discussed them during a career development conversation.

- You should feel in all instances that you are able to explain the reasoning and benefits behind your team members G&D fund applications.

</details>

<details>
<summary>Manager Guidance: Approving Travel for Conferences and Workshops </summary>

- Our intent at GitLab is to pay for everything a team member needs when travelling to a conference, but there are a couple of things to be mindful of when approving these requests.
  - The G&D Fund should be used to pay for conference registration, tickets, etc.
  - The costs for travelling to and from a conference, including hotel stays and meals, comes from the Travel & Expenses budget of the requestor's department.

- These two costs should still be detailed in the Growth and Development request issue, ghey just need to be expensed separately.

- There may be budgetary concerns if a team member is applying for a conference that would incur significant travel and accommodation costs. When approving a team members’ G&D request, managers should feel confident they have the approval of their [budget owner](https://docs.google.com/spreadsheets/d/1JDgoKl2HaHY5iMhJeu8ENqQzOJB8lHL0-oeO0UUieDU/edit?gid=617408906#gid=617408906). VP approval is required on all applications over $1000 involving travel, so in most cases they will be made aware as a matter of course.

- If you have any questions, please reach out to the Learning & Development team for support.

</details>

<details>
<summary>Guidance for Budget Owners </summary>

- If you are a budget owner for your department, you should know  that any Travel Expenses incurred from Growth & Development related travel (usually for conferences), comes from your overall T&E budget. You may not be included on all G&D applications that impact your budget, so it’s important that you communicate to managers in your team what they can or cannot approve when it comes to G&D travel, without your oversight.

- If you would like to be included in all G&D approvals where T&E budget is impacted, please communicate this to the managers in your team.

</details>

### Step 4 - Make Purchase & Complete your Opportunity

Once all necessary approvals have been given in your G&D application issue, you are OK to proceed with paying for your opportunity and any necessary travel arrangements.

All individual G&D requests should be paid for by the team member who has applied for the opportunity.

Once you have paid for the opportunity, you can proceed with taking part in, and completing it, in whatever form that might take.

### Step 5 - Reimbursement

In most cases, the costs of Growth and Development requests are paid back to team members after the opportunity has been completed. Team members should therefore be prepared to accept financial responsibility for the cost of the opportunity they have chosen. You can find further information about how reimbursement works for different types of G&D opportunities below.

However, all requests are eligible to have [50% of the costs repaid upfront](/handbook/people-group/learning-and-development/growth-and-development/#50-upfront-reimbursement), and 50% upon completion.

All expenses should be claimed via [Navan](/handbook/finance/expenses/#-introduction) using the following process:

1. Open a new expense claim in Navan using the Expense type `G&D (Growth and Development)`.
1. Include a screenshot of your approved G&D issue, and add the link to your issue in the description.
1. Add a screenshot showing proof of completion for your application. (Read more about the eligibilty for reimbursement for your application type [below](/handbook/people-group/learning-and-development/growth-and-development/#types-of-growth-and-development-reimbursements)).

#### Travel Expenses

As is detailed in the issue template, details of travel-related expenses, including costs for travel, lodging, and meals, should still be included in your G&D issue for approval.

However, they must be expensed separately to your G&D claim, following GitLab’s [Travel and Expense policy](/handbook/finance/expenses/#41-travel-related-expenses). Add a link to your G&D issue in the claim description. Please select `Growth and Development` as the Classification for these expenses, but not as the 'Expense Type'.

#### 50% Upfront Reimbursement

As an option, all requests can take advantage of a split disbursement option designed to help team members carry the financial lift of costly experiences. This split disbursement option allows for 50% of the costs to be reimbursed immediately after payment and the remaining 50% is reimbursed upon completion.

Here's how this workflow works:

1. After all necessary approvals, the requesting team member pays for the approved G&D experience.
1. The team member can submit the proof of payment in a Navan expense request, and the approved GitLab issue, to receive a reimbursement of 50% of the total costs.  When submitting in Navan, please state explicitly in the `Description` section of your expense claim that this is for a 50% reimbursement, with a link to your approved G&D issue.
1. Upon completion, the team member will submit the proof of completion (certificate, completion email, etc.) along with that same approved issue to receive the remaining 50% of total costs.

Please note that upfront reimbursement does not extend to travel, hotel, or meals expenses as these are expensed from a separate budget, it can only be used for the cost of the Growth and Development opportunity, more details in the [Workshops and Conferences](/handbook/people-group/learning-and-development/growth-and-development/#workshops-and-conferences) section.

### Step 6 - Close & Feedback

Once you have successfully claimed for reimbursement, please go back and close your issue. If you found the G&D experience to be of significant benefit, and you would recommend it to other team members, please leave a comment in the G&D feedback issue, so that the Talent Development team can add the opportunity to our G&D Select page.

## Types of Growth and Development Reimbursements

**Please note the reimbursement section above before proceeding. The training budget does not include the cost for traveling to and from an event.**

### Conferences and Live Workshops

Please use the [Academic Study](https://gitlab.com/gitlab-com/people-group/learning-development/growth-and-development-requests/-/issues/new?issuable_template=g-and-d-academic-study) issue template to open requests of this type.

**Description:** The costs of conference registration fees are eligible for G&D reimbursement. The costs for travelling to and from an event, as well as lodging and meals, should be expensed separately from the training budget following the [existing travel expense policy](/handbook/finance/expenses/), with your manager's approval. Please review current [GitLab travel policy](/handbook/finance/travel/) for the latest information on booking and planning conference travel.

We encourage people to be speakers in conferences. More information for people interested in speaking can be found on our [GitLab Speaker Resources](/handbook/marketing/corporate-communications/speaking-resources/).

**Reimbursement Requirements:**

Reimbursement should be applied for after the conference, with proof of attendance submitted as part of the Navan claim.

For any meals, lodging, or travel - these should not be categorised using the `G&D (Growth and Development)` expense type and should be claimed in line with the [Global Travel and Expense Policy](/handbook/finance/expenses/). However, when submitting your T&E expenses, please add a link to your G&D issue in the description.

### Courses

#### Academic Study

Please use the [Academic Study](https://gitlab.com/gitlab-com/people-group/learning-development/growth-and-development-requests/-/issues/new?issuable_template=g-and-d-academic-study) issue template to open requests of this type.

**Description:** For academic courses relevant to your GitLab career development goals, the G&D Fund can be used to cover tuition and enrollment. Additional fees related to books, travel, supplies, etc, are not covered.

The course must be from a credentialed college or university and must be relevant to your career development goals and development. The relevance of the classes taken for each semester will be subject to the approval of the manager. The grade must be equivalent to a "B".

**Reimbursement Requirements:** A final grade report or transcript is required to receive reimbursement. If you are paying per module, you can submit for reimbursement after completing each module, providing evidence of completion in your Navan claim.

#### Professional Development/Certifications/Courses

Please use the [Other G&D Types](https://gitlab.com/gitlab-com/people-group/learning-development/growth-and-development-requests/-/issues/new?issuable_template=g-and-d-other) issue template to open requests of this type.

**Description:** Any certifications/licenses that you and your manager think will be relevant to your development. These may include shorter non-academic courses focusing on a specific job-related skill.

**Eligibility for Reimbursement:** A final grade report or satisfactory certificate of completion will be required to receive reimbursement.

#### Self-Service Learning Subscriptions

Please use the [Other G&D Types](https://gitlab.com/gitlab-com/people-group/learning-development/growth-and-development-requests/-/issues/new?issuable_template=g-and-d-other) issue template to open requests of this type.

**Description:** Providers like Coursera, LinkedIn Learning, Reforge, Masterclass, etc. Subscription costs can be reimbursed on a monthly basis. Applications for a subscription to these providers should include reference to specific courses the requester would like to take.

**Reimbursement Requirements:** Reimbursement can be claimed after the intended course has been completed and evidenced in your claim. If you would like to retain the license to complete other courses reimbursement can be claimed in line with the payment terms (e.g. on a monthly basis).

#### Language Courses

Please use the [Other G&D Types](https://gitlab.com/gitlab-com/people-group/learning-development/growth-and-development-requests/-/issues/new?issuable_template=g-and-d-other) issue template to open requests of this type.

**Description:** We want to support our team members where English may not be their first language. Managers are encouraged to recommend this to team members whose performance may be improved by further developing their English language skills. [Business English for Non-Native Speakers](https://www.coursera.org/specializations/business-english-speakers) course and the [Improve your English Communication Skills Specialization](https://www.coursera.org/specializations/improve-english) are two good examples.

Other languages may be considered if their relevance to job performance is made clear. (E.g. you can’t expense Spanish classes if you don’t need to speak Spanish as part of your day to day work.)

**Reimbursement Requirements:** Reimbursement should happen upon course completion.

#### Code Based Learning

Please use the [Other G&D Types](https://gitlab.com/gitlab-com/people-group/learning-development/growth-and-development-requests/-/issues/new?issuable_template=g-and-d-other) issue template to open requests of this type.

**Description:** GitLab will pay for courses related to learning how to code (for example Learning Rails on Codecademy), regardless of your department. If you are new to development, we encourage you to learn Git through GitLab, and feel free to ask any questions in the #git-help Slack channel.

**Reimbursement Requirements:** A final grade report or satisfactory certificate of completion are required to receive reimbursements.

### Coaching

Please note, using G&D for coaching is only available for managers and leaders grade 8+. Team members job grade 4-7 can receive external coaching from [Modern Health](/handbook/total-rewards/benefits/modern-health/#how-can-modern-health-support-my-career-goals).

#### Coaching Right Now

**Description:** Professional coaching is available for managers and leaders job grade 8+ to support development in their professional area of interest. Team members job grade 4-7 can receive external coaching from [Modern Health]({{< ref "modern-health" >}}) and internal coaching from our [internal resources]({{< ref "coaching" >}}). Team members are expected to know their confidentiality obligations and are responsible for keeping coaching conversations [SAFE](/handbook/legal/safe-framework/).

Our partnership with  [Coaching Right Now](https://docs.google.com/document/d/188H3iuIY9JwE4kmAeoLobNz-e6j-rKie/edit?usp=sharing&ouid=113211236094818760555&rtpof=true&sd=true) connects team members with GitLab-vetted coaches - [read their coaching bios here](https://drive.google.com/file/d/1_5q7aq4diWsXq0O9csQF40skZV4f_L_L/view?usp=drive_link). Team members can book 4, 6, or 8hrs of coaching. Availability is first come, first served. Pairing with a coach via Coaching Right Now saves time and energy looking for a coach that is aligned to GitLab values and way of working.

> Hear what GitLab team members are saying about Coaching Right Now:

- `My coach was thoughtful and insightful. He took the time to learn about me, my wants and desires. He was able to provide actionable feedback and made the last 4 months of GitLab much better.`
- `I can tangibly see how this (coaching) investment has made me at least 20% more effective in my role, delighted in my role, and a more human leader.`
- `This was a great (coaching) program and I'm really happy I got to be a part of it. I have two of my managers who have signed up to work with coaches now as well.`

The specifics of your coaching session will not be communicated to GitLab.

Coaching Right Now will invoice GitLab directly for the costs, you do not need to pay, or apply for reimbursement for these engagements.

Apply for a coach via Coaching Right Now by opening an issue using the [coaching template](https://gitlab.com/gitlab-com/people-group/learning-development/growth-and-development-requests/-/issues/new?issuable_template=g-and-d-coaching).

**Reimbursement Requirements:** Remember only managers or Individual Contributors job grade 8+ are eligible. Coaching Right Now will invoice GitLab directly for your engagement.

#### Other Coaching Opportunities

Coaching Right Now is our preferred and vetted coaching partner. If the coaches offered via Coaching Right Now do not fit your needs, please open an issue using the [Other G&D Types template](https://gitlab.com/gitlab-com/people-group/learning-development/growth-and-development-requests/-/issues/new?issuable_template=g-and-d-other).

**Reimbursement Requirements:** After approvals, team members will provide a paid invoice to GitLab as proof for reimbursement at the end of their coaching engagement.

### Professional Dues/Membership

Please use the [Other G&D Types](https://gitlab.com/gitlab-com/people-group/learning-development/growth-and-development-requests/-/issues/new?issuable_template=g-and-d-other) issue template to open requests of this type.

**Description:** Any professional development membership or dues that will be relevant to your growth and development.

**Reimbursement Requirements:** Professional membership to an accredited organization that aligns with your role. Professional dues needed in order to continue members in an accredited organization. An invoice for the dues/membership is required. Since there's no specific date of completion for this type of opportunity, it can be reimbursed after it has been purchased.

### Wellbeing

For resources related to Wellbeing and Mental Wellness, please take a look at GitLab’s Employee Assistance Program, Modern Health. The Growth and Development Fund should not be used for things like therapy, counseling, mindfulness apps, etc.

Please use the Your 4th Trimester  issue template to open requests of this type.

#### Your 4th Trimester Coaching

Please use the [Other G&D Types](https://gitlab.com/gitlab-com/people-group/learning-development/growth-and-development-requests/-/issues/new?issuable_template=g-and-d-other) issue template to open requests of this type and tag @jallen16 into your issue for processing.

**Description:** Your 4th Trimester is a 90-day coaching program with Broad Perspective Consulting. The purpose of the program is to help parents (regardless of gender) be as prepared as possible to be a working parent through coaching and development. The cost of this program is $2,300 USD.

For Your 4th Trimester applications, please notify Talent Development that you would like to participate in the program by sending an email to growth-development@gitlab.com.

**Reimbursement Requirements:** Team members leaving for or returning from Parental Leave. The provider will invoice GitLab directly.

## Bulk Applications

If you're submitting a bulk application, where multiple team members are applying for the same opportunity, at the same time, please consider the following:

- If multiple team members are doing the same training or attending the same conference, please open one issue.
- Each team member should pay for their own expenses and process their own reimbursement through Navan. Team Members or Managers should not cover the expenses of other team members, as any reimbursements will count against their Growth and Development allowance.
- All bulk applications should still follow the reimbursement workflow via Navan where expenses can be claimed after completing the course or attending the conference. They should not be paid for by any other methods.

### Company-directed Learning Opportunities

The Growth and Development policy is meant to further team members' learning and growth. Company-directed learning opportunities, such as mandatory conferences or training required to fulfill job duties, aren't within the scope for G&D and should be budgeted for outside the policy.

### I'm a manager who would like to use the G&D Fund for a training for my whole team, is that allowed?

The G&D Fund is primarily designed for individual use, and each team member is entitled to use the Fund for their own career development. However, if each individual in a team has G&D allowance remaining, there may be instances where a team-based or manager led opportunity is suitable. Please reach out in the #learninganddevelopment channel to discuss the suitability of the opportunity you are recommending. The team will review these on a case by case basis.

## Policy Notes / FAQs

### Overspending

If you are found to have reimbursed over $10,000 within a calendar year, you will be required to pay back anything over $10,000 that has been spent.

### Recoupment of Growth and Development Reimbursements

If you voluntarily terminate employment with GitLab prior to completing twelve consecutive months of active employment, academic study or tuition expenses of $1,000 USD and over will need to be refunded to GitLab.

### How can I track my G&D spend?

If you wish to know how much of your G&D Fund you have remaining for the calendar year, please reach out in the #learninganddevelopment slack channel.

We are working on improving this process and hope to provide a self-service option soon.

### Does budget rollover?

Unspent G&D budgets do not ‘rollover’ from one year to the next, the maximum any team member can expense per year is $10,000.

### Can spare budget be shared with team members?

Budgets are individual and cannot be shared across teams. E.g. If one team member has $5000 remaining, this can’t be attributed to another team member to pay on their behalf.

### Can I pay for one opportunity over multiple years?

If your G&D opportunity is across more than 1 year, you can distribute the costs by reimbursing across multiple years. However, you still cannot exceed $10,000 expensed per year,

## Tax Implications

In some countries, the Growth and Development Fund may be considered as taxable income and can be (partially) exempted from personal income taxes or subject to employer withholding taxes. Check [the tax table]({{< ref "tax" >}}) for any tax implications in your country.

For example, in the United States 2021 tax year, if GitLab pays over [$5,250 for educational benefits for you during the year, you must generally pay tax on the amount over $5,250](https://www.irs.gov/newsroom/tax-benefits-for-education-information-center). GitLab should include in your wages (Form W-2, box 1) the amount over $5,250 in income.

Please contact [Payroll](mailto:payroll@gitlab.com) for any tax-related questions in your country.
