---
title: Internship for Learning
description: "Resources and direction for internship for learning for all GitLab team members"
---

If your manager has coverage, you can spend a percentage of your time working (through an 'internship') with another team.

This could be for any reason: maybe you want to broaden your skills or maybe you've done that work before and find it interesting.

If your team has someone working part-time on it, it's on the manager of that team to ensure that the person has the support and training they need, so they don't get stuck. Maybe that's a buddy system, or maybe it's just encouragement to use existing Slack channels - whatever works for the individuals involved.

## How does this work?

**What percentage of time should be allocated?**

Well, 10% time and 20% time are reasonably common. As long as you and your manager have the capacity the decision is theirs and yours.

**What about the team losing a person for X% of the time? How are they supposed to get work done?**

Each manager needs to manage the capacity of their team appropriately. If all of the team are 'at work' (no one is on PTO, or parental leave, or off sick), and the team still can't afford X% of one person's time - that team might be over capacity.

**Can I join a team where I have no experience or skills in that area?**

That's up to the managers involved. It may be that the first step is to spend some time without producing anything in particular - in which case, it's possible that the [Growth and Development Benefit]({{< ref "general-and-entity-benefits#growth-and-development-benefit" >}}) may be a better fit (or it might not.)

**How long does an internship of this nature last?**

This will vary from team to team, but typically 6 weeks to 3 months depending on the goals for your internship.

**This sounds great but how do I initiate this process?**

First step is to discuss this with your manager at your next 1:1. Come prepared with your proposal highlighting what skills you want to learn/enhance and the amount of time you think you will need. Remember, this should be of benefit to you and GitLab. You and your manager will need to collaborate on how you both can make this happen which may also involve discussing it further with the manager of the team you may be looking to transfer to. All discussions will be done transparently with you. Be mindful though that the business needs may mean a move can't happen immediately.

**How do I find a mentor?**

On the [team page](https://about.gitlab.com/company/team/), you can see who is willing to be a mentor by looking at the associated [expertise]({{< ref "structure#expert" >}}) on their entry.

**Does completing an internship guarantee me a role on the team?**

Completing an internship through this program does not guarantee an internal transfer. For example, there may not be enough
allocated headcount in the time-frame in which you complete your internship.

If at the end of your internship, you are interested in transferring teams please follow the guidelines in [Internal Department Transfers]({{< ref "promotions-transfers#internal-department-transfers" >}}).

## Starting Your New Internship

Please create a new issue in the [Training project](https://gitlab.com/gitlab-com/people-ops/Training/issues/new), choose the `internship_for_learning` template, and fill out the placeholders.

No internship for learning should be approved without both managers having a conversation and agreeing upon the percentage of time the team member will be spending on the internship. In order to be eligible for an internship for learning, the team member needs to be meeting performance expectations in their current role.

Once you've agreed upon the internship goals, both managers should inform their respective groups' People Business Partner.

## Recommendations

We recommend that, at any given time, each [team]({{< ref "structure#team-and-team-members" >}}) is handling only one intern. This is to allow for an efficient and focused mentorship without impacting the capacity of the team. You can, of course, adjust this depending on the size of the team but please consider the impact of mentoring when scheduling internships.
