---
title: Learning Initiatives
description: "The Learning & Development team is rolling out learning programs to enable a culture of curiosity and continual learning."
---

## Learning Initiatives Introduction

The Learning & Development team is rolling out learning programs to enable a culture of curiosity and continual learning. The learning initiatives are intended to provide a forum for team members to come together to learn about all of the activities taking place in the learning space, as well as hear from leaders internally and externally on various leadership topics.

Team members can follow our [`#learninganddevelopment` Slack channel](https://app.slack.com/client/T02592416/CMRAWQ97W/thread/G018JT50VH7-1663352618.329159) for upcoming programs.

We record our [past initiatives](/handbook/people-group/learning-and-development/learning-initiatives/past-initiatives) so that we can share and revisit our programs over time.

## Learning Sessions

### Live Learning

Live Learning sessions are conducted on an ad hoc. There will be a Zoom video conference set up for each session. Official dates and topics will be added to the schedule below as confirmed. If you were unable to attend a live learning session but still want to learn, check out our past live learning sessions below. At GitLab we [give agency](/handbook/values/#give-agency), but if you are attending Live Learning sessions, you will be asked to be engaged and participate with your full attention.

{{% details summary="Format for Live Learning Sessions" %}}

**Format for 25 minute sessions:**

- 10 minutes - introduction/content
- 10-15 minutes - Q&A

**Format for 50 minute sessions (times below are approximate):**

- 10-15 minutes - introduction/content
- 10-20 minutes - breakout session
- 10-20 minutes - debrief
- 5 minutes - conclusion

{{% /details %}}

{{% details summary="Past Live Learning Sessions" %}}

**2020**

- January - [Compensation Review: Manager Cycle (Compaas)](https://youtu.be/crkPeOjkqTQ)
- January - [Ally Training](/handbook/company/culture/inclusion/being-an-ally/)
- February - [Receiving Feedback]({{< ref "guidance-on-feedback#receiving-feedback" >}})
- June - [Delivering Feedback]({{< ref "guidance-on-feedback#guidelines-for-delivering-feedback" >}})
- June - [Recognizing Bias](/handbook/company/culture/inclusion/unconscious-bias/)
- September - [Manager Challenge Pilot]({{< ref "manager-challenge#pilot-program" >}})
- November - [Belonging](https://www.youtube.com/watch?v=WZun1ktIQiw)
- November - [One Week Challenge - Psychological Safety]({{< ref "psychological-safety#one-week-challenge" >}})
- December - [Introduction to Coaching]({{< ref "coaching#introduction-to-coaching-1" >}})

**2019**

- November - [Communicating Effectively & Responsibly Through Text](/handbook/company/culture/all-remote/effective-communication/)
- December - [Inclusion Training](/handbook/company/culture/inclusion/being-inclusive/)

{{% /details %}}

### Social Learning Through Live Learning

Social Learning is the cornerstone for how L&D designs, develops, and delivers live learning sessions. Social learning focuses on how team members interact with peers for just-in-time learning and skill acquisition through knowledge retention. Live learnings serve as an opportunity for team members to build relationships and a sense of community with team members. Social Learning occurs when team members come together in a virtual forum synchronously to learn from others through networking, breakout groups, storytelling, lessons learned reflection, and collaboration on solving scenarios with role playing. The live learnings enables learners to pull knowledge fro experts and peers within the organization instead of having knowledge pushed to them.

Example of a Social Learning Live Learning Session on [Building High Performing Teams](/handbook/leadership/#strategies-to-build-high-performing-teams)

{{< youtube "aezVF1nOBWc" >}}

Social Learning can also occur in GitLab's Learning Experience Platform - [Level Up](https://levelup.gitlab.com/learn/dashboard) and asynchronous forums using GitLab. (i.e. [Elevate]({{< ref "elevate-programs" >}}))

## Learning & Development Quarterly Newsletter

The L&D team hosted a quarterly newsletter for five quarters for the community.

## Take Time Out To Learn Campaign

[Focus Friday's](/handbook/communication/#focus-fridays) are a great benefit at GitLab. We try to schedule minimal meetings on Fridays to catch up on work and grow our skills professionally. Use Focus Fridays to take time out to learn. Team members can work with their manager through a [career development conversation]({{< ref "1-1#career-development-discussion-at-the-1-1" >}}) to determine what skills that want to grow in the future. Aspirations can be documented in an [individual growth plan]({{< ref "career-development#internal-resources" >}}).

From there, identify what will be needed to attain the new skills and consider using the [Growth and Development Benefit]({{< ref "general-and-entity-benefits#growth-and-development-benefit" >}}) or [expensing professional development opportunities such as coaching, worskshops, conferencces, self-service learning, etc.](/handbook/people-group/learning-and-development/growth-and-development/#types-of-growth-and-development-reimbursements). Block time off your calendar every week or month to devote to learning new skills. Share what you are learning with team members and in the `#learninganddevelopment` slack channel.

In a [discussion with Darren Murph, Head of Remote at GitLab, about his career development](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/course/career-development-with-darren-murph), Darren called out the importance of taking time out to learn, reminding the team that career development is "not something that comes around the fringes of work - it is work". The Take Time out to Learn initiative leans into this idea.

Consider documenting the steps you are going to take learn new skills in the individual growth plan. Check in with your manager and ask for accountability from them to help you stay aligned with goals.

## Internal Learning Campaigns

Learning campaigns at GitLab have an asynchronous focus and are used to raise awareness around a specific topic or set of resources. These campaigns are inspired by the structure of a learning challenge but without the required engagement or tracking. For example, the L&D team is using a learning campaign structure to host a [mental health awareness week](https://gitlab.com/gitlab-com/people-group/learning-development/general/-/issues/156)

Learning campaigns use a combination of GitLab issues and Slack announcements to raise awareness and spark discussion. Following the campaign, the L&D team will aggregate comments and resources that have surfaced and document in the handbook. Learning campaigns can be used to build buzz around a live speaker series or to start conversation about a common question or issue that GitLab team members are facing.

## CEO Handbook Learning Sessions

GitLab's Handbook pages grow every day. Each page serves as GitLab's primary source of [learning and development material](/handbook/people-group/learning-and-development/#handbook-first-training-content). Throughout FY22, the L&D team and the CEO held recorded learning sessions to analyze Handbook pages. The goal of the sessions will be to incorporate more video-based learning into the handbook.

Three types of CEO handbook learning sessions:

1. **Handbook Readout:** Bite-sized recording where the L&D team and the CEO review what is on the page. (5 minute video)
1. **Handbook Discussion:** Interactive discussion where L&D facilitates an engaging conversation with the CEO and e-group members. We openly discuss the concepts on the page and allow senior leaders to share best practices implementing them. (25 minute video)
1. **Handbook Interview:** The Learning and Development team will create new pages, create sub-pages, or update existing pages based on interview topics discussed during a targeted Q&A. The video will serve as the foundation for new learning content at GitLab.

The video below from Sid and L&D further explains the concepts:

{{< youtube "cB301JaYnsw" >}}

Steps for L&D Team when setting up a CEO Handbook Learning Session:

Preparing for the Call:

1. Review topic relevant Handbook pages.
1. Determine what topics you want to cover each week
1. Research the respective page that will be discussed or section of a page
1. Complete some work on the page before the session if you can, create an MR that clarifies information or asks Sid for clarity on the topic discussed.
1. Set up a meeting with CEO through EBA. Invite other e-group members if applicable.
1. Create an agenda with talking points and areas to emphasize during video recording with CEO
1. Send Sid the agenda in the `#CEO` channel at least 24 hours in advance
1. Hold a handbook learning session and ensure the discussion is fluid and interactive with open and honest dialogue.

During the Call:

1. Give CEO and other speakers, if applicable, a few minutes at the beginning of the call to populate answers.
1. Once everyone is ready, stream to YouTube Live.
1. Make the title of the agenda, the same as the YouTube Video.
1. Do a quick introduction.
1. Go through the questions on the agenda.
1. If questions come up during the interview, add them to the end of the agenda if there is time
1. When there's nothing on the agenda left, thank him for his time and end the live stream.

After the Call:

1. Determine if L&D can create bite-sized videos with the content. Post bite-sized and long-form video on YouTube Unfiltered channel
1. Update Unfiltered page with more information after the Live Stream. See the description in this [example video](https://www.youtube.com/watch?v=_okcPC9YucA).
1. Edit the live stream thumbnail with a [Title Page](https://docs.google.com/presentation/d/13Pj3bxYK6FFSsiMx2vOAcsB0C6ctl_1lqFH6E5MtgGE/edit#slide=id.gb1c2c2e157_0_115) for each topic. Here is [the template](https://docs.google.com/presentation/d/13Pj3bxYK6FFSsiMx2vOAcsB0C6ctl_1lqFH6E5MtgGE/edit#slide=id.gb1c2c2e157_0_115) for the videos. Write out a new title, screenshot the image, and update thumbnail.
1. Embed video on the related Handbook page.
1. Edit page with new content, create sub-page, send MR in the `#CEO` channel with a proposal for an interactive handbook discussion.

### List of CEO Handbook Learning Sessions

1. [Common misperceptions about Iteration](https://www.youtube.com/watch?v=nXfKtnVUhvQ)
1. [No Matrix Organization](https://www.youtube.com/watch?v=E_wegGRv4mA)
1. [Making Decisions](https://www.youtube.com/watch?v=-by6ohMIi_M&feature=emb_title)
1. [Individual Contributor Leadership](https://www.youtube.com/watch?v=d0x-JH3aolM)
1. [Bias Towards Asynchronous Communication](https://www.youtube.com/watch?v=_okcPC9YucA&feature=emb_title)
1. [High Output Management](/handbook/leadership/high-output-management/#applying-high-output-management)
1. [Giving and Receiving Feedback](https://www.youtube.com/watch?v=vL864Zg2sm4&t=731s)
1. [Managing Underperformance](https://www.youtube.com/watch?v=-mLpytnQtlY&t=637s)
1. [Transitioning from IC to Manager - Engineering](https://www.youtube.com/watch?v=Zeull-tdy6o)
1. [Manager Mention Merge Requests](https://www.youtube.com/watch?v=e1sTOtveNOk)
1. [Working Groups](/handbook/company/working-groups/#ceo-handbook-learning-discussion-on-working-groups)
1. [Skip Level Meetings](https://www.youtube.com/watch?v=kAxp0Mam-Rw)
1. [Product Strategy](https://www.youtube.com/watch?v=yI29xFAgKoA)
1. [Mental Wellness Discussion](https://www.youtube.com/watch?v=od_KdZqc69k)

### FY22 Topic Outline

This is the list of topics that were covered in FY22.

- April: Managing Stress
- May: Effective Communication
- June: Coaching
- July: Culture of Feedback
- August: Career Development
- September: Manager of One
- October: Emotional Intelligence
- November: Gratitude and Recognition
- December: Resilience and Reflection
- January: Team Member Well-being

### FY23 Topic Outline

This is the list of topics that will be focused on in FY23.

- February: Setting and Achieving Goals
- March: Managing High Performing Teams: Orientation
- April: Managing High Performing Teams: Building Trust
- May: Managing Mental Health at Work
- June: Allyship
- July: (Suspended due to learning system tranistion)
- August: (Suspended due to learning system tranistion)
- September: Creativity

### Organizing a Skill of the Month

The following process outlines steps for the L&D team to take when planning and implementing the Skill of the Month.

Anyone or any team can recommend a topic for the future! If interested, please fill out a [Learning & Development Request template](https://gitlab.com/gitlab-com/people-group/learning-development/general/-/blob/master/.gitlab/issue_templates/learning-and-development-request.md) to begin the process.

**Planning Issue Template:** Open a `skill-of-the-month` issue template in the L&D [General Project](https://gitlab.com/gitlab-com/people-group/learning-development/general/-/tree/master). Steps are outlined in the issue template.

### Learning Resource: Building Resilience

[This Building Resilience learning resource](https://docs.google.com/presentation/d/1nZLRZojXpZu_1FxGLJtpfne9AnUD51nMYlEb_O_PkD4/) is available to help team members understand and build resilience. It also highlights additional resources to support team members' well-being, mental health, and growth of resilience.
