---
title: Crucial Conversations Training at GitLab
description: "An outline of the internal Crucial Conversations training structure"
---

Two members of the GitLab Learning & Development Team are certified to deliver Crucial Conversations Training. You can learn more about the importance of Crucial Converations at GitLab on our [Crucial Conversations](/handbook/leadership/crucial-conversations) handbook page.

If you complete Crucial Conversations training with one of our in house certified trainers, you can utilize our [growth and development budget](/handbook/people-group/learning-and-development/growth-and-development/#crucial-conversations-training).

## What to Expect

The video below gives an overview of what the Crucial Conversations training looks like.

{{< youtube "UX-ArZJJJ1U" >}}

A detailed training outline is included below:

**Total program length:** 4 Weeks
**Time commitment per week:** 3 Hours/week: ~2 hours self-paced and 1 hour live practice session per week.

| Week Number | Topic | Commitment |
| ----- | ----- | ----- |
| 1 | Get Unstuck, Master my Stories 1, and Master my Stories 2 | 3 hours |
| 2 | Start with Heart, State my Path | 3 hours |
| 3 | Make it Safe, Learn to Look, and Seek Mutual Purpose | 3 hours |
| 4 | Explore Other's Paths, Move to Action | 3 hours |

Upon completion of the self paced material you will earn an official Crucical Conversations certification from Crucial Learning.

## Upcoming Sessions

There are no upcoming sessions planned. If you'd like to earn your Crucial Conversations certificaiton, please see options offered directly by [Crucial Learning.](https://cruciallearning.com/)

## Results

### Completion breakdown of managers and ICs

| Team Member Role | # Certifications Earned |
| ----- | ----- |
| All Team Member Completions | 61 |
| Manager Completions | 11 |
| Individiual Contributor Completions | 50 |

*Last updated 2022-04*

### Feedback

| Percentage of participants who agree | Feedback Question |
| ----- | ---------- |
| 100% | This course increased my confidnece in having crucial conversations with my manager |
| 92% | This course incresaed my confidence in having crucial conversations with team members who are not my manager |
| 97% | I would recommmend this course to a colleage |
| 94% | The live session scenarios were relevant to my work at GitLab |
| 80% | I am interested in participating in post-training review sessions |

### Reviews

> Overall I loved the course and the material. It felt very relevant and relatable. I especially liked the prompts that were created for the breakout sessions because it felt like there was a lot of thought put into trying to make the scenarios relevant to how we work at GitLab.
>
> This course taught me alot about myself and how to make improvements when having crucial conversations!
>
> Crucial Conversations course provides a simple-to-understand set of tools and techniques that will help me be more candid and assertive in both professional and personal conversations. The self-paced study combined with weekly live sessions was moderately demanding, it provided nice accountability that nudged me towards learning each week.
>
> This course is fantastic! Within the first week, I was already able to apply real skills to conversations I have every day. I've always considered difficult conversations to be an area where I could really benefit from improvement and now I believe if I continue to practice and improve these skills, I will see significant results both in and out of work.
>
> The Crucial Conversations course helped me understand how I can be a better individual in all aspects of my life. There are a bunch of skills covered in the course that I can use in both my personal life and professional life that will help me better communicate with those around me, and - crucially - be more effective at moving through tough conversations about important topics.

## Crucial Conversations Alumni

After you've completed the Crucial Conversations course at GitLab, there are a few ways you can continue to practice your skills:

1. Attend the **Crucial Conversations Alumni sync session**. This 25-minute call happens every other month starting in January 2022. Check the GitLab team member's calendar for the invitation
1. Star and check the **#crucial-conversations** [Slack channel](https://app.slack.com/client/T02592416/C0258087472/user_profile/UBE4ZBF1N)for async discussion every other month, starting in February 2022
1. Fork or copy [this GitLab project for practicing Crucial Conversations](https://gitlab.com/gitlab-com/people-group/learning-development/crucial-conversations). Use the issue templates in the project to create your own issues, set due dates, and practice your skills after you complete the certification.

## L&D Administrative Tasks: Setting up the Training

1. Open an issue on the Growth and Development issue board to organize sign ups and manager approval
   1. Here is an example of a [past issue](https://gitlab.com/gitlab-com/people-group/total-rewards/-/issues/353)
1. When cohort is full, create Google sheet to organize participant information
1. Tag the Total Rewards team on the issue with the participant user sheet and request that the license costs are added to their Growth and Development budget totals. Close the issue.
1. Email Crucial Learning and requst an order form for the licenses needed. Indicate the start date as the day you'll have team members sign up for the course (1 week before self paced learning starts)
1. Open a Coupa request for the purchase of the licenses
1. Upload the order form in Coupa and request a legal stamp
1. Send order form with legal stamp for signature from Finance using DocuSign
1. Re-upload the signed order form to Coupa and send the signed order form back to Crucial Learning
1. When prepared, download the Purchase Order (PO) PDF from Coupa and email it to Crucial Learning
1. Crucial Learning will send back the invoice via email. Forward that email to AP with a note and link to the related req in Coupa
1. Send email and Slack message to all participants with instructions on how to activate their license. Crucial Learning will send an email teplate for this.
1. Use the Crucial Conversations [Course Manager Tool](https://training.vitalsmarts.com/learn/sign_out?client=gitlab) and [Course Manager Guide].
1. Add all cohort participants to the [#crucial-conversations](https://app.slack.com/client/T02592416/C0258087472) Slack channel
1. Add all participants to the live event calendar invites
1. Create a subfolder in the [Crucial Conversations](https://drive.google.com/drive/u/1/folders/144sRv0ap4Gwp4IcM_mtkK83c4toVGJZJ?ths=true) Google Drive to organize cohort materials
1. Use the [live session template](https://docs.google.com/presentation/d/1cXLjK_9_7ndngmgW_5z4yKcLx7iCxZSNgvEVZ7fNJEs/edit?usp=sharing) to organize GitLab-customized Crucial Conversation scenarios for each live session
