---
title: Radical Candor at GitLab
description: A multi-modal learning experience for GitLab team members to strengths their skills around having difficult conversations.
---

## Radical Candor on High Performing Teams

At GitLab, [high performing teams](https://internal.gitlab.com/handbook/company/high-performing-teams/#high-performing-teams-playbook) collaborate with open and effective communication. To strengthen this skill across the organization, we're bringing the [Radical Candor](https://www.radicalcandor.com/blog/what-is-radical-candor/) communication framework to GitLab. Radical Candor focuses on buidling trust, another pilar of high performing teams at GitLab, and using that trust to foster effective collaboration through conflict.

Learners will experience Radical Candor in a semi-synchronous program, with time spent in self paced training, async Slack discussion, and live practice.

## What is Radical Candor?

<iframe width="560" height="315" src="https://www.youtube.com/embed/OoISfhACm4s?si=jXe5oqguz6D0HCRm" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

On her website, Kim Scott, the creator of Radical Candor, describes the framework as this:

>Your entire working life you’ve been told to be professional. Too often, that’s code for leaving your humanity at home. To build strong relationships, you have to Care Personally. This can be as simple as showing enough vulnerability to admit when you’re having a bad day and creating a safe place for others to do the same.
>Since you learned to talk you’ve likely been told some version of, _“If you don’t have anything nice to say, don’t say anything at all.”_ Then you become the boss and the very thing you’ve been taught not to do since you were 18 months old is suddenly your job. In order to succeed, you have to Challenge Directly. Challenging people is often the best way to show you care. It does not mean that whatever you think is the truth; it means you share your (humble) opinions directly.
>**Radical Candor happens when you put these two things together to give feedback that’s kind, clear, specific and sincere.**

## Enrollment

In partnership with MasterClass@Work, GitLab's Talent Development team is hosting a pilot for 50 team members to dive deeply into caring personally and challenging directly.

_By signing up, you agree to spend approx. 45 minutes per week for the 6 week course._

Sign ups are closed as of 2024-11-01. For information about the next Radical Candor cohort, reach out in the #learninganddevelopment Slack channel.

## Course Details

Radical Candor at GitLab embraces a semi-synchronous learning model, including a mix of self-paced learning, live practice, and async discussion. Review the detailed course requirements below.

| Course Element | Description |
| ----- | ---------- |
| Self-Paced Course | Complete a 3 hour, self-paced course in MasterClass, led by Kim Scott, founder of Radical Candor. |
| Practice Session | Meet for two 25-minute practice sessions with other learners. In breakout groups, discuss concepts of Radical Candor and practice scenario-based discussions. |
| Threads | Contribute to thought-provoking conversation in Slack around bringing Radical Candor to life at GitLab |

## Timeline

Refer to the timeline below for a breakdown of each course requirement, as well as an outline of what self-paced material should be finished by each date in order to fully participate in the live and async discussions.

| Date | Learner Expectation |
| -------- | ---------- |
| Week of 2024-11-04 | Activate your MasterClass@Work access via email invite; Begin self-paced course |
| 2024-11-07 | Contribute to `Thread #1` in Slack |
| 2024-11-13 | Contribute to `Threads #2` in Slack |
| By 2024-11-18 | Complete sections 1 through 4 of the self-paced course: `Introduction`, `Understand Radical Candor`, `Ask for and Recieve Feedback` and `Offer Powerful Praise` |
| Week of 2024-11-18 | Attend `Practice Session #1` |
| 2024-11-26 | Contribute to `Thread #3` in Slack |
| By 2024-12-02 | Complete sections 5 through 8 of the self-paced course: `Give Criticism Effectively`, `Gauge How your Feedback Lands`, `Put Radical Candor to Work`, and `Cultivate a Candid Culture` |
| Week of 2024-12-02 | Attend `Practice Session #2` |
| By 2024-12-13 | Complete all self-paced course work |

## Practice Sessions

Plan to attend Practice Session #1 and Practice Session #2, offered during Week 3 and 5 of the course.

### Practice Session #1

Attend **one** session, and come prepared to discuss and practice with concepts from the self-paced work, including:
`Introduction`, `Understand Radical Candor`, `Ask for and Recieve Feedback` and `Offer Powerful Praise`.

1. 2024-11-19 @ 1am UTC (best for APAC)
2. 2024-11-20 @ 1pm UTC (best for EMEA)
3. 2024-11-21 @ 11pm UTC (best for west AMER)
4. 2024-11-22 @ 6:30pm UTC (best for east AMER)

### Practice Session #2

Attend **one** session, and come prepared to discuss and practice with concepts from the self-paced work, including:
`Give Criticism Effectively`, `Gauge How your Feedback Lands`, `Put Radical Candor to Work`, and `Cultivate a Candid Culture`.

1. 2024-12-03 @ 1am UTC (best for APAC)
2. 2024-12-04 @ 1pm UTC (best for EMEA)
3. 2024-12-04 @ 11pm UTC (best for west AMER)
4. 2024-12-06 @ 6:30pm UTC (best for east AMER)

## Additional Program Requirements

1. Radical Candor is open to all team members at GitLab.
1. Enrollment is first-come, first served. Once the 50-person cohort is full, we'll create a waiting list.
1. By 2024-11-18, if you've not activated your MasterClass license, your seat may be reassigned to someone on the waitlist.
