---
title: "Communicate at GitLab: Slack Training"
description: "Outline of the GitLab in-app Slack training to train team members on key communication norms at GitLab"
---

## Sign-up

This training is not currenlty running for GitLab team members.

## Testimonials

**Results**

As of 2022-10-18:

1. 96.3% of learners would recommend this training to other team members
1. 94.4% of learners discovered at least 1 new strategy or best practice for using Slack at GitLab
1. 85.2% of learners agree that their confidence in successfully using Slack at GitLab increased after completing this training
1. 81.5% of learners agree that the training helped them feel empowered with knowledge and resources needed to speak up for GitLab values and correct usage of Slack

**What learners are saying:**

> Excellent async training methodology with good practice examples. Crisp, short and very informative.
>
>This training was great and I'm glad I was able to participate! If this training is not already part of onboarding for new team members, it should be considered.
>
>It was a great refresher for me!
>
>Thank you for offering this! Always nice to learn something new about a tool so ubiquitous in remote work.
>
>These quick snippets and tasks have been super cool, easy to follow and participate in. I've been using Slack for 10+ years now and there was a bunch of stuff in this training that I hadn't discovered. The moving from Slack to an Issue was particularly cool! Thanks all!

### Is this training right for me?

This training is built for:

1. New team members
1. Team members who want a refresher on using Slack
1. Team members who want to review communication norms at GitLab

This training is **not** built for:

1. Super experts in Slack: the training is focused on Slack basics and their connection to GitLab values.
1. Learners looking for advanced used of Slack commands and automations (follow along with planning for [Slack Training 2.0](https://gitlab.com/gitlab-com/people-group/learning-development/general/-/issues/356) for more advanced resources)

## Learning Objectives

GitLab team members participating in this training will:

1. Build confidence in their ability to use Slack as a form of informal and formal communication at GitLab.
1. Improve efficiency using tools built into the Slack app.
1. Contribute to reaching our target of [percent of messages that are not DMs](/handbook/communication/#why-we-track--of-messages-that-are-not-dms).
1. Review and reinforce GitLab values within the scope of Slack.

## Requirements

1. You're a GitLab team member *(this is not available to external learners)*
1. You can commit ~5 minutes per day for 10 business days to review and take action on tasks in Slack
1. You commit to completing a post-training Google form to provide feedback on your experience

No prior experience with Slack or GitLab is needed to participate. The content reviewed is directed to brand new users in the GitLab Slack instance, however, team members are welcome to participate regardless of time at the company.

If you meet these requirements, please use [this Google form](https://docs.google.com/forms/d/e/1FAIpQLSe1pBLLFYOuoAyKssl9BtVGNlQXP08YYcudrlsKu0lic6apWQ/viewform?usp=sf_link) to sign-up.

## Training Details

Here's what to expect in the Slack training:

1. After signing up, you'll be added to a training cohort Slack group and the [#slack-training](https://app.slack.com/client/T02592416/C02MX7LTXK9) Slack channel. The current goal is to run at least one cohort per month.
1. The training will run for 10 business days.
1. Each day, you'll get one Slack group ping with your daily task instructions, posted publicly to the [#slack-training channel](https://app.slack.com/client/T02592416/C02MX7LTXK9/thread/G018JT50VH7-1641496150.005700).
1. Messages will be scheduled by the L&D team and are triggered to send at 3pm UTC.
1. On the final day of the training, you'll be asked to complete an end of program survey to share your feedback and learning from the training.

### Topics Covered

Below you'll find the topics and links covered in each day of the training

| Training Day | Topic | Links |
| ----- | ----- | ---------- |
| 0 | Training introduction + Slack profile updates | N/A |
| 1 | Organizing channels in the Slack side-bar | [Custom section Slack docs](https://slack.com/help/articles/360043207674-Organize-your-sidebar-with-custom-sections) |
| 2 | Using public channels |[Why we avoid direct messages at GitLab](/handbook/communication/#avoid-direct-messages)|
| 3 | Marking all messages as read | [Quick commands Slack docs](https://slack.com/help/articles/201374536-Slack-keyboard-shortcuts) |
| 4 | Follow keywords in Slack | [Custom notifications Slack docs](https://slack.com/help/articles/4412437167251-Get-notified-about-topics-you-care-about) |
| 5 | Using threads to organize conversations | [Slack usage at GitLab](/handbook/communication/#slack) |
| 6 | Review of `here` and `channel` tag usage | [Reducing reliance on Slack at GitLab](/handbook/company/culture/all-remote/asynchronous) |
| 7 | Blocking time to catch up on Slack messages | [Do not Distrub mode Slack docs](https://slack.com/help/articles/214908388-Pause-notifications-with-Do-Not-Disturb#set-a-dnd-schedule) |
| 8 | Using the `/remind` command | [Remind command Slack docs](https://slack.com/help/articles/208423427-Set-a-reminder)|
| 9 | Moving conversations out of Slack and into Issues or MRs | [Slack usage at GitLab](/handbook/communication/#slack) |
| 10 | End of training survey | N/A |

## Metrics

We measure success using the following metrics:

| Metrics | How we measure | Goal |
| ----- | ----- | ----- |
| Percentage of new team members who complete the training per quarter | Completions of end of program survey | 30% |
| Impact on target of [percent of messages that are not DMs](/handbook/communication/#why-we-track--of-messages-that-are-not-dms) | Tracked on [Slack handbook page](/handbook/communication/#why-we-track--of-messages-that-are-not-dms) | Correlation of course completions and target |

## Future improvements

The following topics will be prioritized in future iterations of this training:

1. Increase automation - explore tools and plugins that can automatically assign and trigger this training based on team member start date
1. Improve metrics - track impact of training on team member behavior in Slack
1. Create a [Slack training 2.0](https://gitlab.com/gitlab-com/people-group/learning-development/general/-/issues/356)

## Questions

Reach out in the [#learninganddevelopment](https://app.slack.com/client/T02592416/CMRAWQ97W) Slack channel with any questions.
