---
title: Learning Speaker Series
description: "Overview of processes and history of L&D hosted learning speaker series"
---

## Learning Speaker Series Overview

The L&D team hosts quarterly Learning Speaker Series open to all team members. The calls provide a space where internal and external experts can share relevant topics to engage and teach team members lessons learned from their own careers.

### Goals

1. Provide a forum where team members can learn from established leaders and industry experts.

### Past Learning Speaker Series calls

### FY23 Q3 Series: Emotional Intelligence

| Date | Session Title + Link |
| ----- | ----- |
| 2022-09-20 | [Being Human with Claire Doody](https://youtu.be/ai6DbsNIOF4) |
| 2022-10-19 | [Diversity in Emotional Intelligence with Reini Chipman](https://www.youtube.com/watch?v=DErrcLrw-ag) |
| 2022-10-24 | [Emotional Intelligence for Modern Leaders with Christopher Connors](https://www.youtube.com/watch?v=6gwPV6Y5YUQ) |
| 2022-11 | [Trust and Know your Audience with Camilla Boyer](https://www.youtube.com/watch?v=3pZoNORrDjU) |

### FY23 Q2 Series: Collaborating with Compassion

| Date | Session Title + Link |
| ----- | ----- |
| 2022-05-11 | [Mental Health Awareness Month Discussion with Britt Turpack](https://youtu.be/K0JA0t7xtrc) + [8 Minute Meditation](https://youtu.be/5QOAUbto2rg) |
| 2022-06-22 | [Self Compassion Practice with Dulce Orozco](https://www.youtube.com/watch?v=URErnHF2jdQ) |
| 2022-07-20 | [Compassionate Feedback with Maria Moss](https://youtu.be/P0GrHQIg-c8) and [Feedback Exercise Resource](https://drive.google.com/file/d/1KH4N1o-Hdlm2-XCOOe7zIxsd_mvlgTKz/view?usp=sharing) |

### FY23 Q1 Series: All-Remote Communication

This series included a mix of 5 internal and external speakers. The session recordings and topics can be found below. You can also find all recordings collected together on this [GitLab Unfiltered YouTube Channel Playlist](https://www.youtube.com/playlist?list=PL05JrBw4t0KqIkyb73z690h7l2nULHOnh).

| Date | Session Title + Link |
| ----- | ----- |
| 2022-01-20 | [Video and All-Remote Presentation Tips with Lorraine Lee, Prezi](https://www.youtube.com/watch?v=A5KtmrgVqr8&list=PL05JrBw4t0KqIkyb73z690h7l2nULHOnh&index=2) |
| 2022-02-14 | [Understanding Tone in Text-Based Communication with Maria Moss](https://www.youtube.com/watch?v=a9RNgt5u2MQ&list=PL05JrBw4t0KqIkyb73z690h7l2nULHOnh&index=2) |
| 2022-03-09 | [Communicating your All-Remote Career Development with Lavinia Mehedintu](https://www.youtube.com/watch?v=a9RNgt5u2MQ&list=PL05JrBw4t0KqIkyb73z690h7l2nULHOnh&index=2) |
| 2022-03-24 | [Internal Panel - Cross-Cultural Communication at GitLab](https://www.youtube.com/watch?v=XS4H_hVLF7o&list=PL05JrBw4t0KqIkyb73z690h7l2nULHOnh&index=4) |
| 2022-04-13 | [Managing Information Overload with Joana Pais Afonso](https://www.youtube.com/watch?v=77-oNJnaTEo&list=PL05JrBw4t0KqIkyb73z690h7l2nULHOnh&index=6) |

### FY22 Series

| Date | Session Title + Link |
| ----- | ----- |
| 2021-06-01 | [Buildng your Rest Ethic with John Fitch Session 1](https://www.youtube.com/watch?v=acVRU5UjJEo&list=PL05JrBw4t0KqIkyb73z690h7l2nULHOnh&index=12) and [Session 2](https://www.youtube.com/watch?v=uklTuJeiTDo&list=PL05JrBw4t0KqIkyb73z690h7l2nULHOnh&index=10) |
| 2021-11-18 | [Building Internal Culture with Google Team Members](https://www.youtube.com/watch?v=fFHadx3J3oA&list=PL05JrBw4t0KqIkyb73z690h7l2nULHOnh&index=9&t=321s) |
| 2021-12-13 | [Managing Burnout with Skylyte](https://www.youtube.com/watch?v=2XmmGYlsEP8&list=PL05JrBw4t0KqIkyb73z690h7l2nULHOnh&index=7) |
| 2021-12-14 | [Well-being Week with Krystal Wilkinson](https://www.youtube.com/watch?v=m-GBiLbfTVk&list=PL05JrBw4t0KqIkyb73z690h7l2nULHOnh&index=7) |

### FY21 Series

| Date | Session Title + Link |
| ----- | ----- |
| 2020-11-19 | [Building Trust with Remote Teams Learning Speaker Series](https://www.youtube.com/watch?v=hHMDY77upAE&feature=youtu.be)|
| 2020-12-10 | [Managing Burnout with Time Off with John Fitch](/handbook/company/culture/all-remote/mental-health/#rest-and-time-off-are-productive)|

### Hosting a Learning Speaker Series call

The following process outlines steps for the L&D team to take when planning and implementing the calls.

**Planning Issue Template:** Open a `learning-speaker-series` issue template in the L&D [General Project](https://gitlab.com/gitlab-com/people-group/learning-development/general/-/blob/master/.gitlab/issue_templates/learning-speaker-series.md) to host a session. Steps outlined below are also included in the issue template and are included here as reference.

1. Collaborate with exec team, mid-level people leaders, and other interested GitLab Team members to gauge interest and availability to be featured in the call. Be mindful to include diverse voices from across the GitLab team.
1. Plan on a quarterly basis if possible. Create a series based on a topic that is high need for managers or ICs at GitLab.
1. Ensure external speakers have been validated and that the topic covered aligns with our values.
1. Create a calendar event and share it with the `GitLab Team Meetings` calendar. Invite the `everyone` alias. Post in the [#people-connect Slack channel](https://app.slack.com/client/T02592416/C0SNC8F2N/thread/C0SNC8F2N-1602618225.269200) to accept event on the team meetings calendar. Consider hosting the call at least 2 times, or varying session times throughout a quarterly series, to accommodate for multiple time zones.
1. Test Zoom functionality with the speaker at least two business days before event.
    - If external speaker, ensure they have downloaded [Zoom](https://zoom.us/support/download).
    - Have speaker test [audio and video](/handbook/tools-and-tips/zoom#how-to-test-audio-and-video-in-zoom).
    - Check that speaker will be able to [share a presentation](/handbook/tools-and-tips/zoom#how-to-share-a-presentation-in-zoom) if necessary.
1. Send speaker calendar invite with all details for the call (including, but not limited to, Zoom link, agenda, slides, etc.).
1. Create an agenda for the presentation. GitLab team members can access templates in [this Google folder](https://drive.google.com/drive/u/1/folders/1jHdqyLlHn8syxL9MrRtXSaxB5zY5RubN?ths=true).
1. Coordinate an announcement of the call in the #what's-happening-at-GitLab Slack channel at least 1 business day before the call.
1. Use Canva to create internal marketing that features each speaker's headshot and session title.
