---
title: Level Up
---

## Welcome to Level Up

This handbook page is meant to support both learners and administrators in Level Up. Thought Industries is the provider of the Level Up platform and is mentioned often in this documentation.

![Level Up Dashboard](dashboard-2.jpg)

## Contribute to Level Up

At GitLab, [everyone can contribute]({{< ref "mission#mission" >}}). Read below about how to contribute to Level Up. If you'd like to explore the content creation options in Level Up, check out this [Demo Course](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/course/demo-course).

### Why contribute?

Contributing to Level Up democratizes learning and enables our team members, customers, and community members to contribute to the growth of learning opportunities at GitLab. Some benefits for contributors include:

1. Share the work you've created to teach others how to use GitLab
1. Curate existing information that has helped you or others learn to use GitLab
1. Share information you've created about working remotely
1. Establish yourself as a subject matter expert within our learning community
1. Share learning pathways and other instructional design materials you've created
1. Enable organizations to learn about GitLab using innovative learning methods

**Stay Tuned:** Future iterations of contributions to Level Up will include elevated permissions for Learning evangelists to add new material directly to Level Up!

### Learning Evangelist Training

To contribute to Level Up, there are two things to do.

First, please open an issue in the [lxp-contributions project](https://gitlab.com/gitlab-com/people-group/learning-development/lxp-contributions) using the `lxp_contribution` issue template and tag `Jamie Allen`. We will review your training request and advise on next steps. The Learning and Development team can assist in the creation of content, or if you'd prefer, you can go through the Learning Evangelist Training so that you can create it yourself.

If you want to build the content into the platform yourself, please complete the Level Up [Learning Evangelist training](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/course/learning-evangelist-training). This training course uses instructional videos to teach learners the basics of content creation in Level Up, and includes some best practice to think about when designing learning content and gathering materials. Once you have completed the training, the Learning and Development team will uplift your permissions in Level Up to give you access to course authoring tools.

You can also use the [Learning Evangelist handbook page]({{< ref "course-author-training" >}}) to review any of the content in the course, directly from the handbook.

## Support

For questions not answered below, reach out in the #learninganddevelopment Slack channel or [open an issue](https://gitlab.com/gitlab-com/people-group/learning-development/lxp-contributions).

**I'm a GitLab team member and I have a question or problem related to Level Up.**

- Please reach out to the #learninganddevelopment Slack channel for support.

**I have a question about how to use the Level Up platform.**

- When you're logged into Level Up, click the drop down menu next to your profile photo and select `Support`. Here, you'll see both general and GitLab-specific help resources related to using Level Up. See screenshots below.

![Adding custom content field in Thought Industries](support.jpg)

![Adding custom content field in Thought Industries](support-page.jpg)

### Training

1. If you have questions about Level Up functionality or capabilities, the Thought Industries [Academy](https://academy.thoughtindustries.com/) includes self-paced training and support articles. Access the academy by clicking the `Need Help` button on the left side bar when logged into Thought Industries and scroll down to `Learn More in the Academy`
1. Admin in Level Up can use the `Help Center` to report technical problems with platform directly to Thought Industries.
1. [Platform Settings PDF Guide](https://drive.google.com/file/d/1MXf8NTGRHWloO4WWZYwcRcDzrVucOfcW/view?usp=sharing)
1. You can also review the [Level Up Administration Guide](/handbook/people-group/learning-and-development/level-up/administration/#content-types) for more information on platform capabilities.
