---
title: Learning Evangelist Training
---

This training is designed for team members who would like to create their own learning content in Level Up. Once you've completed the course, let the Learning & Development team know and we'll uplift your permissions and allocate you a number of content items to give you access to the system.

This handbook page is used to document the Level Up Learning Evangelist Training. The Learning & Development team use a [handbook first]({{< ref "interactive-learning" >}}) approach to interactive learning, so the content in this page can also be found in the Level Up course, but is preserved here as a Single Source of Truth (SSOT).

[You can access this course in Level Up here.](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/course/learning-evangelist-training)

## Switching between admin and learner views

When your permissions are uplifted, you will be granted access to the admin side of the platform. This video shows you how to switch between the Learner and Admin views, so that you can create content, but also still navigate the platform as a regular learner.

{{< youtube "W6eSaOrJIHk" >}}

## Course Design Overview - Sections, Lessons, and Pages

Courses in Level Up are split into Sections, Lessons and Pages. This video gives an overview of the differences between each of them, how they are displayed to learners, and how to deploy them as part of your learning design.

{{< youtube "u9iT5vcy-SA" >}}

### Course Design Overview - Adding Pages

The fundamental building blocks of courses in Level Up are Pages. This video describes a little about what Pages are, and how they work.

{{< youtube "8Atj2ypcstY" >}}

### Course Design Overview - iFrames

Given our handbook first principle for building learning content, iFrames will likely be a common feature of many Learning courses. This video demonstrates how to build iFrames in LevelUp.

{{< youtube "gGQbH3WkMRw" >}}

### Course Design Overview - Quizzes and Tests

Creating knowledge checks are a key part of knowledge retention and a useful tool to employ in your learning courses. Watch this video to learn about how to set one up and the nuances of the different types available.

{{< youtube "Biul9dstZC8" >}}

## Tips and Tricks

{{< youtube "6v9wRBPbwDQ" >}}

## Preparing content for release

There are some specific actions to take to ensure your content is ready to be released:

- Adding a thumbnail
- Adding a description
- Setting completion criteria
- Adding certifications

This video reviews the steps required.

{{< youtube "D0QGDtk-8tI" >}}

## Releasing content

For releasing content to internal audiences, two steps are needed - publishing and adding the internal tag. This video covers these steps.

{{< youtube "RYm9nUvT4xs" >}}

## Notes for Admins

For Level Up administrators, once a user has completed this course, they should let you know they have done so and that they are ready to have their permissions uplifted. You'll then need to complete the following actions:

- First, confirm the completion by checking to see if the course is showing as `completed` in their learner profile.
- If they are showing as completed, navigate to the `Role` section within the `Details` tab of the user profile.
- From the `New Role` dropdown, select `Course Author`. Then, under `Dual Role` click `Create learner profile`.
- Scroll to the bottom of the page and click `Save`.

This enables the Dual Role for the user.
