---
title: Learning & Development Listening Tour
---

**The L&D Listening Tour will identify opportunities at GitLab where training solutions can build and develop great teams to deliver on key business results.**

The GitLab L&D team is hosting a listening tour to:

1. Gather feedback from leaders across the organization to identify skill and experience gaps that the L&D team can support in FY25.
1. Transition focus of L&D from reactive to proactive, solving key talent needs across the business.
1. Understand the current perception of L&D at GitLab

As GitLab's talent needs evolve, there is an opportunity for our L&D team to shift to a proactive, business-aligned resource. Managers across GitLab can leverage this to get ahead of talent challenges and upskill team members to meet the rapidly changing demands of our talent market. We also see a clear opportunity to re-inforce the values at GitLab through intentional resources as well as help new and existing team members learn our "ways of working".
Our prediction is that, upon the end of the L&D Listening Tour, our team will have a clear vision of the highest impact area that L&D can influence in FY25.

## Tour Questions

Each manager contributing to the L&D Listening Tour will be asked to respond to the following questions:

1. **L&D Perception:** Have you or your team utilized resources from the GitLab Learning and Development (L&D) team in the past? What has your experience been with L&D at GitLab?
1. **Identify skill gaps:** What skill gaps or areas of improvement do you observe on your team? Are there any technical, soft skills, or domain-specific competencies that you feel need further development among your team members?
1. **Anticipate need:** What emerging challenges and opportunities might necessitate new learning and development initiatives for your team? What projects, partnerships, or industry shifts do you foresee that will require your team to acquire new knowledge and skills?
1. **Optional Follow up/Clarification:** Are there any new technologies, methodologies, or practices you anticipate needing to incorporate into your team's skill set
1. **Understand team growth potential:** Do you see opportunity to upskilling existing team members to meet new business needs? What roles or teams are best suited for training on new skills or are adjacent to skills you need strengthened on your team?
1. **Assess state of team onboarding:** What does team-specific onboarding look like for your team? What could be improved about onboarding for your team?
1. **Understand team norms:** Does your team work with a handbook-first approach?
1. **Gather learning preferences:** How does your team like to learn?

## Logistics

The L&D team plans to meet with ~35 leaders across the business, with representation of 5-6 per division. Listening Tour Sessions will take place in one of 3 formats:

| Format | Description |
| ----- | ---------- |
| 1:1  | Selected leaders will meet 1:1 for ~15 minutes with a member of the Learning and Development team where they'll discuss the 4 tour questions. |
| Focus Group  | Selected leaders will meet in small groups of 3-4 leaders, along with a member of the Learning and Development team, for ~40 minutes where they'll discuss the 4 tour questions. |
| Google Form  | Team members who would like to contribute, but are not selected for the listening tour, can contribute their thoughts to the 4 tour questions in [this Google Form](https://docs.google.com/forms/d/e/1FAIpQLSfwGxJM_lfEY0dgXuTTZtJYUdagmShtxbLVVFN-4Sk6KV3lOg/viewform?usp=sf_link). The form is not anonymous. Based on your responses, the L&D team may reach out with follow up questions or for additional discussion.  |

## How can I contribute?

If selected to participate in a listening tour discussion, a member of the L&D team will be in touch directly to schedule time for either a 1:1 or Focus Group session.

If you are not selected, you can still contribute by filling out [this Google Form](https://docs.google.com/forms/d/e/1FAIpQLSfwGxJM_lfEY0dgXuTTZtJYUdagmShtxbLVVFN-4Sk6KV3lOg/viewform?usp=sf_link), which includes the same questions asked in the discussion sessions.

## Timeline

| Due Date | Deliverable |
| ------ | ------ |
| 2023-08-15 | Interviewee list complete, questions approved by Rob Allen, and Handbook page established. |
| 2023-08-31 | All calls scheduled, 10 calls completed, and format for theme analysis established. |
| 2023-10-31 | All calls completed. |
| 2023-11-30 | Themes identified. |
| 2023-12-15 | First draft of proposal complete. |
| 2024-01-31 | Proposal sent to Wendy Barnes. |

## Questions

Post your questions about the L&D Listening Tour in the #learninganddevelopment Slack channel.
