---
title: Leadership Chats
---

## Introduction

Leadership Chats are monthly calls for people leaders at GitLab. Sessions are not recorded.

### Goals

1. Provide a safe space for managers at GitLab to connect across teams about leadership topics
1. Build connections and mentor relationships between new and existing managers
1. Ease transition for new managers into their roles
1. Increase collaboration and coaching across teams on common and difficult issues that managers face
1. Encourage social conversations about topics outside of work

### Potential Discussion Topics

1. Challenges faced as a [manager of an all-remote team](/handbook/company/culture/all-remote/being-a-great-remote-manager/)
1. [Crucial conversations](/handbook/leadership/crucial-conversations): how to have them, what works, what doesn't
1. Work and life balance as a manager
1. [Professional development]({{< ref "career-development" >}}) as both a manager and for direct reports
1. Enabling [GitLab culture](/handbook/company/culture/#culture-at-gitlab)
1. Relationship and [trust building]({{< ref "building-trust" >}})
1. More topics proposed on the leadership call [issue board](https://gitlab.com/gitlab-com/people-group/leaders-leancoffee-topics/-/boards/965643)

### Background

Lean Manager Coffee Chats have historically been a place for managers at GitLab to get together and talk about crucial conversations, challenges, and joys of being a people leader. These conversations were held using a [lean coffee structure](https://theagileist.wordpress.com/2019/01/31/remote-retrospective-using-lean-coffee/) with topics generated by team members on the [manager lean coffee chat issue board](https://gitlab.com/gitlab-com/people-group/leaders-leancoffee-topics/-/boards/965643).

## Meeting cadence

Leadership Chats are hosted 1x per month, with 2-3 sessions each time to accommodate multiple time zones. These calls are lead by managers attending the call.

We hope that managers can find a day or time at least 1x per quarter to attend!

| Month | Week and Day | Meeting Times | Conversation Type |
| ----- | ----- | ----- | ----- |
| 1st month of the quarter | Third Wednesday | 12pm UTC Tuesday, 9pm UTC Tuesday, 4am UTC Wednesday | independent manager conversation |
| 2nd month of the quarter | Third Tuesday | 12pm UTC Tuesday, 9pm UTC Tuesday, 4am UTC Wednesday | independent manager conversation |
| 3rd month of the quarter | Third Thursday | 12pm UTC Thursday, 9pm UTC Thursday, 4am UTC Friday | independent manager conversation |

## Attendance

Leadership Chats are on the GitLab Team calendar. If you don't see the event on your calendar, submit an [access request](/handbook/it/end-user-services/onboarding-access-requests/access-requests/#slack-google-groups-1password-vaults-or-groups-access-requests) to be added to the `managers@gitlab.com` email group so you can attend the Leadership Chats. Review the [meeting agenda](https://docs.google.com/document/d/1Hq9CykJn3EvYI5XblntORSIaheCdmyqYsqiHdrlHbHE/edit) to catch up on missed conversations.

### How to propose a conversation idea

If you have an idea or topic you'd like to discuss during these conversations, please open an issue on the `management-leancoffee-topics` [issue board](https://gitlab.com/gitlab-com/people-group/leaders-leancoffee-topics/-/boards/965643) and add the `new-topics` label to your issue. Please review current issues on this board to avoid duplication. If you find an existing topic that interests you, vote on the issue using the `thumbs-up` emoji.

### How are meeting topics chosen?

Managers should come prepared to the call with a question or topic to discuss. If there is no question in mind, refer to the [issue board](https://gitlab.com/gitlab-com/people-group/leaders-leancoffee-topics/-/boards/965643) and pick a topic that resonates with the group in attendance. If you have an idea you feel strongly about that you'd like to discuss, please add it to the [meeting agenda](https://docs.google.com/document/d/1Hq9CykJn3EvYI5XblntORSIaheCdmyqYsqiHdrlHbHE/edit) for the session you plan to attend.
