---
title: Building high performing teams
description: A collection of external resources on Teamwork & Elevating Others, with a focus on Building High Performing Teams
---

Part of a people leader's responsibilities is to build a high performing team. There are many things which go into enabling this to occur, including
leaders being a guide to help their team members understand how to use the tools available to achieve their ambitions.

## Talent Assessments

### How to set yourself up for promotions

{{< youtube id="U28nKJpMRPQ" title="Trust and the Talent Assessment process" >}}

1. Getting feedback during the talent assessment process can produce anxiety in some people. Being mindful of how you process feedback and constructive criticism and proactively communicating about how you intend to deliver feedback and how you would like to receive feedback can help minimize the anxiety for you and others. [This transcript of an interview](https://www.linkedin.com/pulse/how-love-criticism-adam-grant/) can help bring a new perspective for how to contextualize feedback.
1. There is a tendency in the talent assessment process to focus on how to eliminate your areas of opportunity and continue to build on your strengths; while that is certainly a great focus it can also be helpful to think about the limits of that model. [This podcast episode](https://open.spotify.com/episode/2CdHhfyUznf7fgYqXmd7R6?si=STXRQd4fSjKBOQc5wl2Hnw&dl_branch=1&nd=1) talks about the inflection point when strengths can start to become liabilities. This might help lend some perspective as you go into your talent assessment process.
1. [This article](https://hbr.org/2022/04/prepping-for-performance-reviews-our-favorite-reads) can help focus how you're thinking about a talent assessment and what you can do proactively to prepare. This article should help you to feel like you have control over the outcome of your talent assessment (which you do).
1. [This video](https://www.youtube.com/watch?v=nyqLJSclNb4) talks about a new way of thinking about how to measure success. This can help you bring a fresh perspective to the talent assessment process and might help you advocate for yourself in the areas of your success that might not be traditionally measured.
1. [This article](https://hbr.org/2023/03/acing-your-self-appraisal-even-if-its-your-first) provides 4 straight forward concepts to assist in doing your self assessment: (1) separate yourself from your work (2) don't shy away from self-critique (3) focus on the outcomes of your actions, and (4) ask and adjust.
1. [This article](https://www.wsj.com/articles/10-performance-review-preparation-tips-11610125896) provides 10 useful tips to prepare for, and succeed in, your annual review from a performance perspective. What were your goals (personal, departmental, etc.), how did you contribute, and what were the results?
1. [Performance v. Trust](https://www.youtube.com/watch?v=kJdXjtSnZTI)

- Of course, performance (and results) are fundamental to a talent assessment, but trust is an often overlooked trait that should be cultivated to reach your maximum potential. At the end of the day, high trust leads to better growth.

### Using career ladders

1. GitLab has established a standardized set of expectations for folks in each level via the [Job Framework](/handbook/company/structure/#job-frameworks). Some departments like Engineering have articulated [career frameworks](/handbook/engineering/careers/matrix/development/) which enumerate functional competencies expected of those within those departments. The key thing to know about these tools is they enumerate expected behaviors of folks in the roles, and it can be helpful to see how other companies articulate these ideas. [Progression.fyi](https://progression.fyi/) is a helpful site for understanding these tools as it provides a collection of career ladders published by various organizations.
1. Titles don't mean the same thing at every company. The same is true about leveling and career progression — companies think about this topic differently. Frankly, some don't take it seriously at all. Whatever our experiences have taught us, frequently we need to relearn what it means when we join a new organization. [This blog entry](https://charity.wtf/2020/09/14/useful-things-to-know-about-engineering-levels/) helps us understand how to approach this topic with objectivity as we seek to understand the processes which exist within the company.
