---
title: GitLab Company-Wide Mentorship Program
---

Fill out [this Google form](https://docs.google.com/forms/d/e/1FAIpQLSf5yUA-H0RSeQSA8gj3_2mcdzZJkKLCsU-be-Ygdw5KfCSVLw/viewform?usp=sf_link) to be notified of mentorship programs happening in FY24!

## Program structure

| Program Title | Description |
| ----- | --------------- |
| **Mentor/Mentee Training** | Completion of the self-paced [How to be a Good Mentor or Mentee](https://www.linkedin.com/learning/how-to-be-a-good-mentee-and-mentor/the-power-of-mentoring?u=2255073) course is **required** of all mentors and mentees. If you prefer text-based learning or don't have a LinkedIn Learning license, you can instead review [these slides]({{< ref "mentor#mentor-and-mentee-training" >}}). We ask that all mentors and mentees also complete the [DIB training certification](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/courses/dib-training-certification) prior to the start of the program. |
| **Initial program kickoff** | Async kickoff discussion with mentors and mentees. Participation is **strongly encouraged**. |
| **Mentorship Sessions** | Mentors and mentees meet sync or async every other week for ~30-minutes for a total 5 months, *(with the option to extend)*. Sessions are led by the mentee and should be focused on specific goals. Participation is **required**.|
| **Mentor/Mentee Workbook** | [Mentorship resources]({{< ref "mentor#resources" >}}) are available for all mentor/mentee pairs, including suggested articles, strategies for goal setting, and sample meeting agendas. Use of resources is **encouraged**. |
| **End of Program Celebration and Feedback** | Async discussion to share mentorship success. Participation is **strongly encouraged**. An end of program feedback form will be shared with all mentors and mentees and is **required.** |

### Async First Mentorship

This program includes an opt-in, async first structure to increase opportunity for team members in any time zone to pair with mentors company-wide. Async-first means that mentees can pair with mentors in any time zone. In order to be paired in an async mentorship, both mentor and mentee must opt in while applying.

**Async first mentorship pairs should consider the following:**

1. Connect every other week using a GitLab issue, Google doc, Slack messages or voice memos, and/or Loom recorded videos. Remember that async does **not** have to mean text only. See this example of [async meeting formats]({{< ref "mentor#sample-async-meeting-formats" >}}).
1. Consider finding 1-3 times over the course of the 5-month program to meet synchronously, even if just for 15 minutes. This will require advance planning for both mentor and mentee and is not required.
1. Utilize all async resources provided on the [mentorship]({{< ref "mentor#resources" >}}) handbook page.

## Current Program Timeline

The dates for the next iteration of this program are still being determined.

| Date | Description | Related Resources |
| ----- | ----- | ----- |
| TBD | Program planning |   |
| TBD | Call for Mentors Application Opens |  |
| TBD | Call for Mentees Application Opens |  |
| TBD | Applications Close | |
| TBD | Mentorship pairing complete and communicated to applicants via Slack | |
| TBD | Mentor/Mentee pre-program coffee chats + async kickoff discussion and poll |  |
| TBD | Mentorship sessions begin | |
| TBD | End or program async discussion + End of program feedback form shared | |
| TBD | Mentorship sessions end and feedback form due | |

## Being a Mentor

As a mentor, you benefit from:

- Fast feedback loop between team members and leadership
- Opportunity to form relationships with team members in other departments
- Opportunity to support Women at GitLab and live our values

### Mentor requirements

- You have been with GitLab for at least 3 months at the time of application
- You have availability in your schedule to meet sync or async with your mentee on a bi-weekly basis for at least 30 minute meetings for the entire length of the program
- You intend to make every effort to participate in the async kickoff discussion and will complete the LinkedIn Learning or text-version of the [How to be a Good Mentor or Mentee](https://www.linkedin.com/learning/how-to-be-a-good-mentee-and-mentor/the-power-of-mentoring?u=2255073) course
- You are not on a [Formal Coaching plan]({{< ref "underperformance#options-for-remediation" >}}) or PIP (Performance Improvement Plan)
- You can complete the [DIB training certification](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/courses/dib-training-certification) before the program begins

**Applications will be prioritized based on:**

- Skill and prior experience as a mentor
- Performance in current role
- Available and appropriate mentee match in the current session

### Apply

Applications are currently closed. Fill out [this Google form](https://docs.google.com/forms/d/e/1FAIpQLSf5yUA-H0RSeQSA8gj3_2mcdzZJkKLCsU-be-Ygdw5KfCSVLw/viewform?usp=sf_link) to be notified of mentorship programs happening in FY24!

*Applying for a mentor does not guarantee you a spot in the program and eligibility will be evaluated based on criteria above and program need.*

If you've participated in a previous GitLab mentor program, you are welcome to apply again!

## Being a Mentee

As a mentee, you benefit from:

- Increased visibility with leadership
- Increased professional development opportunities
- Career coaching and guidance
- Opportunity to form relationships with leaders on other teams

### Mentee requirements

- You have been with GitLab for at least 3 months at the time of application
- You have availability in your schedule to meet sync or async with your mentor on a bi-weekly basis for at least 30 minute meetings for the entire length of the program
- You are not on a [Formal Coaching plan]({{< ref "underperformance#options-for-remediation" >}}) or PIP (Performance Improvement Plan)
- You intend to make every effort to participate in the async kickoff discussion and will complete the LinkedIn Learning or text-version of the [How to be a Good Mentor or Mentee](https://www.linkedin.com/learning/how-to-be-a-good-mentee-and-mentor/the-power-of-mentoring?u=2255073) course
- You can complete the [DIB training certification](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/courses/dib-training-certification) before the program begins

Applications will be prioritized on many points including:

- Team members on a management career track
- Performance in current role

### Apply

Applications are currently closed. Fill out [this Google form](https://docs.google.com/forms/d/e/1FAIpQLSf5yUA-H0RSeQSA8gj3_2mcdzZJkKLCsU-be-Ygdw5KfCSVLw/viewform?usp=sf_link) to be notified of mentorship programs happening in FY24!

*Applying for a mentee does not guarantee you a spot in the program, and eligibility will be evaluated based on criteria above.*

If you've participated in a previous GitLab mentor program, you are welcome to apply again!

## FAQ

**Can I participate as both a mentor and a mentee?**

Yes, this is a possibility. It's important that team members talk with their managers to discuss their capacity to participate in both roles in this program. Participation in both roles will require a 2hr commitment per month (two 30 minute sessions as a mentor and two 30 minute sessions as a mentee).

It's possible that we will have a shortage of mentors and be unable to complete all mentor/mentee pairs. If there is a shortage of mentors and you've applied as both a mentor and a mentee, you will be assigned **only** as a mentor in this program.

**I'd like to participate but I can't commit the entire length of the program. Can I still apply?**

If you cannot commit to the 5 month program, please consider applying for a future mentorship program at GitLab. It's important that both mentors and mentees are available for the full 5 month program to achieve the best results.

**I'm not eligible to be a mentor or a mentee in this program. What are my options for future participation?**

Team members are always encouraged to build mentor/mentee relationships independently. You can find resources and a list of available mentors in the [Learning and Development handbook]({{< ref "mentor" >}})

## Additional questions?

Questions, comments, and feedback can be posted in the [#mentoring](https://app.slack.com/client/T02592416/C01QKNDJ76J) slack channel. To stay up to date about future iterations of this program, please complete [this interest form](https://docs.google.com/forms/d/e/1FAIpQLSd98JiKhDJXa7BXXp1swoqrc562zKwW9EAjCl8ffQkJnh2Pwg/viewform?usp=sf_link)

## Results

### Metrics and Outcomes

Mentors and mentees will complete a pre-program and end of program survey to collect feedback, assess skills, and determine if goals set during mentor/mentee relationships have been set.

Success of this program will be measured by:

1. percentage of mentor/mentee pairs who meet consistently on a bi-weekly basis, with a goal of 95% completion
1. attendance to live training sessions, with a goal of 95% attendance
1. quality of feedback of the program from both the mentor and mentee perspective
1. percentage of mentee goal achieved during mentorship, as reported by mentees with a goal of at least 50% of goal achieved
1. mentor and mentee career development at GitLab after program conclusion including rates of promotion, transfer, performance growth factors, and retention

### Participation

| Metric | FY23 Q1/Q2 | FY23 Q3/Q4 + FY24 Q1 |
| ----- | ----- | ----- |
| Total Participants | 86 | 110 |
| Mentor/Mentee Pairs | 47 | 66 |
| Total Mentors | 39 | 48 |
| Total Mentees | 47 | 63 |
| % participants who would recommend this program | 95% | 95.35% |

### FY23 Q3/Q4 + FY24 Q1 Details

#### Participant Testimonials

1. `Every time I engage in a mentorship program, I have a sense of fulfillment in coaching others but I also learn something new about myself through the engagement. I absolutely love mentorship!`
1. `The mentorship program was transformative for me. I plan to move towards leadership positions and I received the feedback that I need to improve my communication skills. This program helped me to uplevel my "communicating up" skill through real-life examples shared by my mentor and by discussing specific topics I faced during the programme. I feel confident now about communicating with executives and preparing documents for such discussions. I strongly recommend the program to everyone who wants to grow at GitLab.`
1. `Mentorship program is a great way to connect with the team members within GitLab who are expert leaders, it is a always nice to have a communication with them knowing that there is no prejudice or preconceived notion. You are free to talk to your mentor, be more collaborative, make a strategy around what works best for you to grow in the field that you are in, build more interpersonal skills and develop more leadership qualities. I loved this program and I am grateful for my mentor.`
1. `Participating in this mentorship program was highly valuable for me. As a first year GitLab Team Member, establishing a connection with someone outside of my organization was truly helpful. At face value, the networking aspect allowed me to gain valuable insights into my team dynamic. But truthfully, the real impact was that my mentor fostered an environment of empowerment and encouragement. He provided validation and a sounding board for my concerns, as well as offered solutions whenever possible. I looked forward to our conversations every other week because I knew it was a safe space where I could be heard.`
1. `I was paired with a Front-end Engineer. I am not a developer, but wanted to learn the product and he encouraged me to try and resolve an issue that would require coding. He found an easy issue and coached me through resolving it. It was super informative and gave me the skills to find and potentially resolve issues in the future.`
1. `I've grown a lot professionally through the GitLab mentorship program. My mentor was very well chosen (I knew him already!) and was literally the perfect fit. I gained confidence, build my leadership skills and I'm taking away very valuable advice for my tenure at GitLab.`
1. `The program allowed me to help my mentees to set and reach clearly outlined goals related to their current roles and their future career aspirations. Personally, I gained back new insights and was able to improve on applying the GROW coaching model.`

### FY23 Q1/Q2 Details

#### Participant Feedback

What mentors and mentees learned from the program:

1. `To drive change for myself and be confident - ask the questions you need to get what you want from your career.`
1. `The differences in communication styles and values between sales and engineering.`
1. `Learned more about the intersection of XDR and sales teams.`
1. `See every question or feedback as an opportunity to learn and grow.`
1. `How engineers can help non-engineers be successful in the company.`
1. `We don't know everything. Don't be afraid to say I don't know.`
