---
title: Our L&D Team
---

While our team loves making learning and development content for the rest of the organization, we also love learning and growing ourselves. This page is meant to serve as a resource for the L&D team to explore, learn, and grow. We encourage all L&D Team Members to add to this page as you find additional resources.

The content should be accessible at no cost but anything requiring payment [can be reimbursed following the GitLab Growth and Development policy](/handbook/people-group/learning-and-development/growth-and-development/).

## New Learning and Development Team Members

All new Learning and Development (L&D) team members complete our [team onboarding issue](https://gitlab.com/gitlab-com/people-group/learning-development/general/-/blob/master/.gitlab/issue_templates/new-learning-and-development-team-member.md) in addition to the company onboarding issue to get more familiarized with our team and L&D at GitLab.

## Books

- [The Art and Science of Competency Models](https://www.amazon.com/Art-Science-Competency-Models-Organizations/dp/0787946028)
- [High Output Management](https://www.amazon.com/High-Output-Management-Andrew-Grove/dp/0679762884/)
- [Design for How People Learn](https://www.amazon.com/Design-People-Learn-Voices-Matter/dp/0134211286/)
- [Learning in Adulthood](https://www.amazon.com/Learning-Adulthood-Comprehensive-Guide-Fourth/dp/1119490480/)

## Blogs

- [eLearning Industry](https://elearningindustry.com/)
- [Training Industry](https://trainingindustry.com/blog)
- [Nigel Paine Learning Blog](https://www.nigelpaine.com/insights/)

## Podcasts

- [The Future of Learning and Development](https://podcasts.apple.com/us/podcast/the-future-of-learning-and-development-podcast/id1505100929)
- [The Business of Learning](https://podcasts.apple.com/us/podcast/the-business-of-learning/id1372123987?mt=2)
- [Chief Learning Officer Podcast](https://www.chieflearningofficer.com/podcasts/)

## Newsletters

- [Workplaceless](https://www.workplaceless.com/)
- [Quantum Workplace](https://www.quantumworkplace.com/future-of-work-subscribe)

## Courses & Certifications

- [Crucial Conversations](https://cruciallearning.com/courses/crucial-conversations-for-dialogue/)
- [Crucial Conversations Instructor Certification](https://cruciallearning.com/courses/crucial-conversations-for-dialogue/)
- [Association for Talent Development Certifications](https://www.td.org/education-courses/certificate-programs)
- [Senior Professional in Human Resources](https://www.hrci.org/our-programs/our-certifications/sphr)

## Resources

**Learning Objectives**

- [How to Write Clear Learning Objectives](https://www.bumc.bu.edu/cme/files/2009/08/tips_for_writing_objectives.pdf)
- [Using Bloom's Taxonomy to Write Effective Learning Objectives](https://tips.uark.edu/using-blooms-taxonomy/)

**Thought Leadership**

- [Learning Pool](https://learningpool.com/)
- [Chief Learning Officer](https://www.chieflearningofficer.com/)

## LinkedIn Learning Courses

- [Become an L&D Professional](https://www.linkedin.com/learning/paths/become-an-l-d-professional-4?)
- [Organizational Learning & Development](https://www.linkedin.com/learning/organizational-learning-and-development-2024)
- [Developing a Learning Mindset](https://www.linkedin.com/learning/developing-a-learning-mindset/welcome?)
- [The Future of Workplace Learning](https://www.linkedin.com/learning/the-future-of-workplace-learning-2023)
- [Build a Company Learning & Development Program](https://www.linkedin.com/learning/paths/build-a-company-learning-and-development-program)
- [Tips for Learner Engagement](https://www.linkedin.com/learning/tips-for-learner-engagement/)

## Conferences and Events

- [Network Placeless](https://www.workplaceless.com/networkplaceless)
- [DevLearn](https://devlearn.com/)
- [Association for Talent Development](https://www.td.org/events)
