---
title: Values Group Discussions
---

## Values Group Discussions

Over the second half of FY24, the Talent & Engagement team (in partnership with the Chief of Staff and People Business Partner team) will conduct a series of group discussions about our values and operating principles with high performers and values ambassadors across the organization.

The objective of these group discussions is to determine where we may be able to streamline and simplify the operating principles associated with each value to make our values system more memorable and manageable.

## How we'll run the group discussions & other logistics

- We will conduct one group discussion for each value, starting with Results, and then moving to Collaboration, Efficiency, DIB, Iteration, and Transparency.
- Each discussion group will be 12-14 team members plus moderators. (allows for 3 breakouts of 4-5 people)
- Team members selected to take part will be identified by a collaboration of PBPs, TMRG leaders, and business leaders. Our goal is to collect a diverse group of participants for the discussion from both a geographic and URG perspective.
- Moderators will be present to ensure all voices are heard and the conversation remains balanced and on-track to achieve our desired outcomes.
- Each session will be recorded to use as source material.

## Group Discussion structure

- Each group discussion will be led by a defined moderator who will introduce themself and the discussion objective at the start of each session.
- A round table of introductions and sharing what the particular value being discussed means to everyone in the room will be the next step.
- Moderator will revisit the desired outcomes before then dividing the group into breakout groups.
- Breakouts of 4-5 will begin using a modified version of the 1-2-4-all structure outlined here: https://www.liberatingstructures.com/1-1-2-4-all/
- The objective of the breakouts will be to define the operating principles that show up most and which ones don't.
- After the breakouts, each group will present their outcomes and come back together to review where there's alignment and where there are open questions.

## Values Discussion flow

- **Pre-work `<all>`:** Value meaning: We'll start each session by asking everyone in advance to come prepared with a short description answering: what does `<value>` mean to you?
- **Intros `<all>`:** Very brief introductions, one or two sentences from each person to bring their voice into the room.
- **Intros `<all>`:** Moderator sets the expectations for the meeting
- **Defining Key Operating principles <breakout groups>:** In groups of 4, identify and define the operating principles for `<value>` that resonates with you and you see yourself living daily.
  - TO DO PRIOR TO EACH SESSION: Prepare a doc for each group that lists each operating principle with definitions
- **Identify less notable operating principles <breakout groups>:** Inversely, which operating principles don't seem as important? Can these be combined with others?
- **Sharing and discussing outcomes `<all>`:** Each group presents the principles they selected and the definitions they came up with as a group.
- **Summarize `<all>`:** each group verbalizes if they changed their definitions or top principles. Each group can present less notable operating principle(s).
- **Wrap up `<all>`:** Moderator summarizes the results and thanks the participants

## Identifying team members to be involved

Team members selected to take part will be identified by a collaboration of PBPs, TMRG leaders, and business leaders. Our goal is to collect a diverse group of participants for the discussion from both a geographic and URG perspective. To achieve this we will:

- We will start by identifying high performers with strong values competencies by having the PBP team review the latest talent assessment data with divisional leaders. The aim is to identify people who have been able to deliver results by embracing our values.
- Additionally, we will look to identify leaders from each division and TMRG who can weigh in on team members to be involved.
- The cross-functional project team will review selected team members to ensure performance and values competencies are met by various people involved
- **Embracing everyone can contribute:** As we work on suggested changes with a smaller group, we will publicly post MRs when ready, and seek feedback on #whats-happening-at-gitlab so that people can make async contributions as suggested changes are shared with the broader company.

## Desired Outcome

- Decide on operating principles to keep, operating principles to combine or house under others, and operating principles to remove (and why we are recommending those changes).
- Clearly categorizing operating principles from ways of working.
- Recommend any necessary changes to the value description (and why we are suggesting those changes).
- Share suggested changes with E-Group for alignment before deciding what to move, remove, or adjust.
