---
title: Work with the Learning and Development Team
---

## Available Learning and Development Support

The Learning and Development team is available to support GitLab teams in the following capacities. Requests will be evaluated as they come in based on team's capacity for support, business impact, correlation to company OKRs, and number of impacted users.

| Support Model | When to use this process |
| ----- | ----- |
| Creating a Learning Hub for your team | You'd like to build a new Channel in GitLab Learn to curate professional development content for your team |
| Hosting a Live Learning event | You'd like to **host** an internal Live Learning session |
| Creating a new learning pathway | Create a new learning pathway or course for any audience |
| Uploading to company learning platform | Add new or existing learning content to the LXP |
| Integrating external content to learning platform | Add off-the-shelf learning from another provider |
| Requesting content review | L&D review of your learning content for handbook first, adult learning theory, and bias for async alignment |
| Requesting new content creation | You'd like the L&D team to **create** or **host** learning content for your team |

### Creating a Learning Hub for your team

We work closely with leaders across GitLab to develop landing pages for learning material that is tailored to specific departments and teams. By creating learning hubs in Level Up, teams can contribute, curate, organize, and suggest professional development opportunities for their team members. Some scenarios where you might want to build a Channel include:

1. You have multiple LinkedIn Learning courses you'd like to showcase
1. You'd like to track what courses your team is completing
1. You'd like a single spot to send team members who are looking for professional development courses

To create new learning hub, open an issue in the [lxp-contributions project](https://gitlab.com/gitlab-com/people-group/learning-development/lxp-contributions) using the `learning-hub` issue template.

### Host a Live Learning event

Anyone at GitLab should feel empowered to host a learning session. Why would you want to host a live learning event? Maybe **you** are the expert on something. Or maybe you just want to learn more about a specific topic and share those learnings with more people.

To host a live learning event, start by opening an issue in the Learning and Development [general project](https://gitlab.com/gitlab-com/people-group/learning-development/general/-/issues) using the `live_learning` template. All steps should be outlined on this template.

**Examples of past Live Learning events**:

- [Introduction to Coaching](coaching)
- [Being an Ally](/handbook/company/culture/inclusion/being-an-ally/#ally-training)

### Create a new course

Anyone team at GitLab is encouraged to build new courses. Some scenarios where you might want to build a pathway include:

1. Create career development path for your team.
1. Build a training for internal and/or external audiences on your role.
1. Develop a course that educates on remote work best practices.
1. Organize content you've found externally, like articles, videos, or podcasts.

Before you start the process to build content for a learning pathway, it's important that you ensure an existing pathway with the same content or style does not exist. Below are some strategies you can use to search existing content and check for duplication **before** you start building content.

1. All learning at GitLab is [handbook first]({{< ref "interactive-learning" >}}). Search the handbook for existing content pages and material. The [leadership handbook pages]({{< ref "leadership" >}}) and [all-remote guide](/handbook/company/culture/all-remote/guide/) are often a great place to start, especially when creating material for team members. Add relevant content to these handbook pages before creating a brand new page, and use the handbook as a SSoT for your pathway.

After you've done a complete search of existing material that you can integrate into your pathway creation, you should start building the remainder of the content your pathway needs. When your content is built, open an issue on the [lxp-contributions project](https://gitlab.com/gitlab-com/people-group/learning-development/lxp-contributions) using the `lxp_contribution` issue template.

**Timeline and expectations**

|Action | Timeline |
| ----- | ----- |
| Build course content in the handbook | this is up to your team, but please build the content before opening a `lxp_contributions` issue |
| Open a `lxp_contributions` [issue](https://gitlab.com/gitlab-com/people-group/learning-development/general/-/issues/new#) | 5 weeks prior to launch |
| Start collaboration on pathway needs with L&D team | 4 week prior to launch |
| Implement changes on handbook based on L&D feedback | 3 weeks prior to launch |
| Complete Learning Evangelist training | L&D team will support team members 1:1 until this training is available again. |
| First iteration of conent uploaded | 2 weeks prior to launch |
| Peer or L&D review of content | 1 week prior to launch |
| Make final edits based on peer review | 1 week prior to launch |
| Launch your course | approx. **5 weeks** after opening the `lxp_contributions` issue with the L&D team |
