---
title: "GitLab Offboarding FAQ"
description: "Common Questions about the Offboarding Process"
---

## Timing

### When will my offboarding issue be created?

Offboarding issues are used for de-provisioning purposes so you, as the team member, do not need to do anything to get it opened or will have any action items within the issue.

The People Connect Team member assigned to your offboarding will ensure the automation triggers to create the offboarding issue on the last working day by 4pm (local time) Monday-Friday.

### When will my access be deactivated?

Your access will be deactivated on your last day at 4pm (local time) on Monday-Friday

### Can I provide my own update in the Team Member Updates Slack Channel?

Departing team members are encouraged to work with their Manager to compile and release an announcement in the #team-member-updates channel.  This should only take place once there is complete alignment with your leadership around the timelines involved and the impacted team/stakeholders have been informed.

A guideline and template for managers has been provided in the [Communicating Departures Company-Wide](/handbook/people-group/offboarding#communicating-departures-company-wide) section of the Offboarding Guidelines which highlights options to add a little color to the announcement e.g. favourite contribution to the handbook in addition to outlining what [information should and should not](/handbook/people-group/offboarding#what-do-we-share).

### When will I receive access to the Slack Channel `#gitlab-alumni`?

If you are [eligible](/handbook/people-group/offboarding#gitlab-alumni-program) for the Alumni channel, you will receive an email within 3 business days after offboarding.

### Is there anything I need to do before my last day?

The following can be used as a guide on what actions could be taken before your last day:

- Prepare a handover document for your team / manager.
- Notify customers and introduce them to the team member that will be assisting them going forward (if applicable).
- If you feel comfortable, send a message in the [#team-member-updates](https://gitlab.slack.com/archives/CL55Q4U0K) Slack channel notifying everyone of your departure.

- If you are a team member located in France, please send your resignation email to the legal department, `legal-employment@gitlab.com`
-

## Your Laptop and Account steps

### GitLab.com

- Unassign yourself and re-assign any open projects, issues or merge requests to other team members or your manager.

### 1Password

- Copy over any personal passwords currently stored in 1Password (this will be disabled once offboarding is processed and you will no longer have any access to any of your personal passwords).

### Google Drive

- Move any important Google Docs from your personal [My Drive](https://drive.google.com/drive/my-drive) to a [Shared Drive](https://drive.google.com/drive/shared-drives) so that they will be available to your team and manager after you exit.

### Google Calendar

- Delete any recurring meeting entries hosted by you and ask someone from your team to create new ones moving forward if needed. This is best practice as your Zoom account will no longer be licensed after your last day, any Zoom recordings will not be saved.

### Other accounts

Set up accounts that you'll need access to after your last day. Ensure your personal email address is up to date with these accounts. They may include:

- Fidelity (US 401(k)): https://www.fidelity.com
- E-Trade (RSU): https://www.etrade.com
- Carta (Stock options): https://login.app.carta.com/credentials/login/

### Laptop Wipe

It is required that your laptop is wiped on your last day. Please [book an appointment](/handbook/it/end-user-services/#laptop-wipe-schedules-for-it-analysts) with an IT Ops team member for your last day.

Under **no circumstance** should you be wiping your own laptop. Laptop wipes must be done from an IT Ops team member for logs. Reach out to [#it_help](https://gitlab.slack.com/archives/CK4EQH50E) if you have any other questions.

### Can I keep my laptop?

If you are returning your laptop to IT please purchase a cardboard box and packing foam before your last day and expense it in Navan under [Office supplies & consumables](/handbook/finance/expenses/#office-supplies--consumables). IT will be sending a prepaid shipping label to return the laptop.

Please refer to the Laptop Buy Back Policy [here](/handbook/it/end-user-services/onboarding-access-requests/#laptop-buy-back-policy).

## Compensation - Payroll

### CXC & GitLab Contractors (only)

Please reach out to the Payroll team `nonuspayroll@gitlab.com` before your last day (ideally one week before) to get your final pay computation in order to submit your invoice before access is deprovisioned.

### When will I receive my final pay?

This will vary depending on location and entity. Please refer to [Payroll Pay Date Handbook Page](/handbook/finance/payroll/#pay-date). If you have any additional questions please contact `NONuspayroll@gitlab.com` or `USpayroll@gitlab.com` (depending on your location).

### When will I receive (if applicable) commission payment(s)?

Any final commissions earned up until your last working day will be paid (directly deposited) in the next month's commission payroll cycle based on your location. Commissions are paid one month in arrears, so for example, if your last day is January 7, any January commissions would be paid in February. If you have any questions on this payment, please contact Sales Commissions at `sales-comp@gitlab.com`.

### When do I submit my final reimbursable expenses?

Please create your final expense report in Navan (for employees), OR, please file any outstanding expenses with your final invoice (for contractors), so these can be reimbursed to you in a timely manner. We ask that you submit these at least one week before your departure date.

### How do I submit reimbursable expenses if I don't have a GitLab access to Navan?

Please follow the process as listed on the Expense Handbook [page](/handbook/finance/expenses/#expense-reimbursement-for-terminated-team-members). For any queries regarding final expenses, please send an email to `ap@gitlab.com`

### Other Reimbursements, Refunds or Repurchasements

- Please review our Loan Policy in the [GitLab Code of Business Conduct and Ethics](https://ir.gitlab.com/static-files/7d8c7eb3-cb17-4d68-a607-1b7a1fa1c95d) if it applies to you. Please also note that in the event that a loan is approved, a legal contract, in accordance to the team member's state, local or federal laws regarding loans and repayment of loans during employment, will be created by the Legal team. It will lay out the complete loan terms, repayment and refunding policy if applicable. If you leave GitLab with any loan balance not yet repaid, it will be refunded to GitLab, if applicable and legally allowed, as laid out in the terms of the original contract and with support from the Payroll team.
- Please review our [Unpaid Leave]({{< ref "paid-time-off#unpaid-leave-of-absence" >}}) section regarding payments in error.
- Please review our policy regarding [Repurchasing Unvested Shares](/handbook/total-rewards/stock-options/#exercising-your-options).

## Total Rewards - Benefits

### When will my benefits coverage end?

Typically, benefits coverage ends your last day with GitLab. In the US, medical, dental, and vision coverage will end of the month during which you leave, all other benefits end on your last day.

### How will my stock options be managed? What if I have been at GitLab less than a year?

All information is on the [Stock Options](/handbook/total-rewards/stock-options/) handbook page, specifically the [Exercise Window after Termination](/handbook/total-rewards/stock-options/#exercise-window-after-termination) section.

### What if I am a designated Insider?

Remider: If you are a Designated Insider, while employed by GitLab, each team member is required to comply with the Insider Trading Policy, which among things, prohibits team members who are in possession of material non-public information (MNPI) from (i) trading in GitLab's stock or other securities on the basis of that MNPI or (ii) disclosing MNPI to someone else who trades on the basis of such MNPI. The Insider Trading Policy also applies to a team member's immediate family members and household members. In addition, as a Designated Insider and while employed at GitLab you are required to have pre-clearance before making any transactions in GitLab's stock or other securities.

After you are officially no longer employed by GitLab, your trading account should be unrestricted. However, we recommend that you consider a 90 day "cooling off" period prior to trading in order to avoid any intentional or accidental violation of applicable securities laws. If, however, you are aware of or in possession of any MNPI when your employment or service relationship with GitLab ends, you may not trade (whether directly or indirectly) in GitLab's stock or other securities until that MNPI has become public or is no longer material.  It is a violation of applicable securities laws to trade on MNPI.

If you decide to trade in GitLab's stock or other securities prior to the 90th day following the end of your employment or service relationship with GitLab, we suggest that you evaluate whether you have MNPI prior to trading.

### Will my ESPP contributions be reimbursed?

Yes. Payroll processes ESPP reimbursements during payroll cycles with termination reports. You may receive your reimbursement on the pay period after your termination. Please make sure you unenroll from ESPP in [E*Trade](https://us.etrade.com/e/t/user/login) as well.

### What happens to my Growth and Development Benefit?

More information can be found in the [Growth and Development](/handbook/people-group/learning-and-development/growth-and-development/#recoupment-of-growth-and-development-reimbursements) Reimbursement section, which states that if you voluntarily terminate employment with GitLab, any expenses or reimbursement related to this benefit will be refunded to GitLab.

## USA

If you are a US-based team member, your medical, dental, and vision benefits will cease on last day of the month of your departure, all other benefits will cease on your last day. You are eligible for [Consolidated Omnibus Budget Reconciliation Act ("COBRA")](https://www.dol.gov/sites/dolgov/files/ebsa/about-ebsa/our-activities/resource-center/faqs/cobra-continuation-coverage.pdf), the COBRA administrator has been notified and will send out the paperwork to your home address on file. More information on timelines and contact information for our COBRA administrator can be found in the [COBRA section]({{< ref "inc-benefits-us#cobra" >}}).  You may also be eligible under the Patient Protection and Affordable Care Act ("PPACA") for subsidized health care options via the marketplace. If you are interested it is important that you sign up with the market place well before the 15th of the month to have coverage for the following month. Under the Health Insurance Portability and Accountability Act of 1996 (HIPAA), if you need a certificate of credible coverage please download it from your current carrier's online portal or request it from the Compensation & Benefits team by emailing `total-rewards@ gitlab.com`. If you move, please email `people-connect@ gitlab.com` so that we can keep your address up to date in Workday.

### Where can I find my pay stubs?

Former team members will retain access to ADP for three years after they leave so they can access pay stubs and W-2s. Former team members will need to access ADP portal directly since Okta has been deprovisioned. If you experience login issues, please send an e-mail to uspayroll@gitlab.com so the team can assist.

### How do I roll over my retirement account and funds?

Contact our 401(k) administrative vendor directly to get more information about this process. More information can be found on the [401(k)]({{< ref "inc-benefits-us#401k-plan" >}}) section and [401(k) Rollover]({{< ref "inc-benefits-us#401k-rollover" >}}) section of the US Benefits handbook page.

### What about my HSA/FSA Account(s)?

Please see the [Offbarding FSA Section](/handbook/total-rewards/benefits/general-and-entity-benefits/inc-benefits-us/#flexible-spending-account-fsa-plans) of the US Benefits Handbook page for details on how your Medical/Health or Dependent Care FSA will be treated when you leave GitLab.

Please see the [Offboarding HSA Section](/handbook/total-rewards/benefits/general-and-entity-benefits/inc-benefits-us/#health-savings-account-hsa) of the US Benefits Handbook page for details on how your Health Savings Account will be treated when you leave GitLab.

### What about my Supplemental Life Insurance?

Please review our [Cigna Supplemental Life Insurance/AD&D]({{< ref "inc-benefits-us#cigna-supplemental-life-insuranceadd" >}}) section.

## Canada

If you are a Canada-based team member, your benefits will cease on your last day of work.  There may be options to convert elements of your benefit plan to individual coverage, without medical questions. Please see the [Offboarding Section](/handbook/total-rewards/benefits/general-and-entity-benefits/canada-corp-benefits/#offboarding-gitlab) of the Canada Benefits Handbook page for more information.

## Spain

See the [Spain Benefits page of the Handbook](/handbook/entity/iberia-srl-spain/#medical-plans) for details on the possibility of converting your benefits to individual coverage.

## Other

### What if I move?

If you move, please email `people-connect@gitlab.com` so that the People Connect team can keep your address up to date in Workday.

### Do I need to return previously expensed Home Office Items?

Please read about the laptop guidelines [here](/handbook/people-group/offboarding/faq#can-i-purchase-my-laptop-from-gitlab). [Home Office Items](/handbook/finance/procurement/office-equipment-supplies/#-home-office-items) under $1000 USD per item don't need to get returned and are okay for you to keep. If you make a purchase that will cost GitLab $1000 USD per item (or over), this is classed as company property and you will be required to return the item(s) if you leave the company.
