---
title: People Business Partner Team
description: "People business partners at GitLab contribute to GitLab's strategy by driving a high performance and inclusive culture in each division."
---

## Vision

The People Business Partners are trusted and strategic advisors, coaches, and change agents to senior leadership, providing data driven insights and expertise on people-related matters, to inform and support a tightly aligned business and talent strategy.

## Our Team

Each People Business Partner (PBP) at GitLab is aligned to one or more specific departments or divisions and partner with the leaders of those teams to provide consultation on a range of talent matters. PBPs provide leadership coaching, talent program execution, and drive relevant people-focused initiatives that foster a high performance culture within our teams.

## How we work

PBPs become embedded within their client group in order to ensure a deep understanding of their teams' business goals and priorities, how they work, and how best to align the People Group goals with the business goals to ensure we are driving a high performance culture in each division. PBPs attend leadership staff meetings and offsites, get to know team members, and are the DRI for talent programs and initiatives within the team.

PBPs collaborate across the People Group to ensure people and business strategy are tightly aligned. PBPs are responsible for the execution of many people group driven programs within their aligned division including our talent management programs, total rewards programs, engagement survey action planning, and specific organizational health initiatives driven by the unique needs of each team. We do this by collaborating closely with the DRIs on these programs, as well as the leadership team of each division.

### People Business Partner Alignments

Please reach out to your aligned People Business Partner (PBP) to engage in the following areas:

| Contact | Division or Departments |
|-------------------|-------------|
| Anjali Kaufmann   | People Goup |
| Anjali Kaufmann   | Legal and Corporate Affairs |
| Carlie Russell    | Sales - Partners, CSM & Renewals,  Solutions Architecture, Professional Services|
| Tracy Lu | Sales - APJ|
| Giuliana Lucchesi | Finance |
| Giuliana Lucchesi | Product |
| Giuliana Lucchesi | CISO (E-Group) |
| Aurelia Akpan | Security |
| Jenny Burns       | Sales - EMEA |
| Jess Durbin       | Engineering - Core Development, Expansion |
| Kristina Bullock   |Chief of Staff to the CEO|
| Kristina Bullock  | Engineering - Customer Support, Infrastructure, Quality |
| Lauren Tepper     | Sales - AMER, Public Sector, Global Digital, Field Operations  |
| Brandi McDonald | Marketing |

## How to partner with PBPs to foster high performance in your team

### Team Structure and Organizational Health

People Business Partners partner with senior leadership to drive organizational design initiatives in each division that drive results and enable a culture of belonging and career growth. Please reach out to your PBP to discuss new organizational structures or re-alignment of team members.

Additionally, PBPs support team member engagement in each division using sentiment data from our engagement surveys and driving action planning in the divisions. You can also talk to your PBP about specific retention concerns or strategies as needed.

#### For more information

1. [Organizational Design](/handbook/people-group/organizational-design/)
1. GitLab Job Frameworks
1. Team Member Engagement: [Engagement Survey](/handbook/people-group/engagement/#engagement-and-org-health-surveys-overview) analysis and action planning

### Talent Program Execution in your division

PBPs collaborate with Talent Management, Talent Development, Total Rewards,and all People Group teams to execute talent programs in each division.  Where appropriate, PBPs contribute to project teams to ensure talent programs meet specific business needs.

#### For more information

1. [Talent Assessment programs](/handbook/people-group/talent-assessment/) including promotion and career development
1. [Succession planning](/handbook/people-group/talent-assessment/#succession-planning)

### Leadership coaching and development

PBPs can provide invaluable leadership coaching on a range of issues such as team cohesion, team member development, team performance challenges, retention, and more. When needed, PBPs can act as an unbiased third party to discuss issues or problems and possible ideas for next steps.

#### For more information

1. Support in leveraging leadership development tools for specific growth opportunities such as [360s for people leaders](/handbook/people-group/360-feedback/) and [external coaching](/handbook/leadership/coaching/)
1. For direct manager support on underperformance, please refer to [Team Member Relations](/handbook/people-group/team-member-relations/)

### Collaborating with the PBP team on projects

People Business Partners often collaborate with others in People Group or other teams on talent programs where the [DRI](/handbook/people-group/directly-responsible-individuals/) sits outside the PBP team. PBP's can provide business context, needs analysis, championship of new programs in our aligned client groups, and support change management related to new initiatives. To clarify the PBP's role in a project, we have provided the following framework to help ensure the goals of the collaboration are met. The PBP team works together to assign the appropriate PBPs to cross-functional projects to ensure a diverse view of the business is included. PBPs play a key role in bringing talent programs to life in each division. A framework for how collaborate in project teams is below.

| PBP Role in a Project    | What to expect | Program examples |
|---------|---------|-------|
| Accountable  | PBP is not the enterprise program DRI, but is responsible for the execution in their client group. The program requires significant lift by team members/managers. In this type of project, a PBP is part of the core project team to bring business perspective to the build phase, helps develop a communication/change mgmt plan, and executes the program in their aligned client group, including any bespoke enablement needed. The PBP is often the face of this program for their client group, and recipient of team member feedback | Talent Assessment, Promotion, ACR    |
| Consulted | PBP provides input on how the program can be most effectively communicated or embedded in their division, but may not have a direct role in execution. Engaging the assigned PBP in reviewing comms or supporting change management can help drive adoption deeper in the organization |Elevate   |
| Informed    | PBPs should be made aware of the project as it will impact team members and questions may be directed toward the PBP team. If PBPs are given a preview of comms for final feedback and visibility before launch, they can help ensure the comms will meet the needs of their client group | Policy or benefit changes that impact team members    |

#### PBP Talent Program DRI

The PBP team assigns specific PBPs and/or a PBP Program Manager to cross-functional projects to ensure participation from the PBP team in a scalable and efficient way. If you are the PBP DRI for a talent program, you play an important role in bringing business insights to the wider project team, and in enabling the rest of the PBPs to prepare and execute the program successfully with their client groups. Below are ways to do this effectively:

- Ensure PBPs have regular updates on the program including project timeline, any changes to prepare for, and what information is appropriate to be sharing with our client groups to successfully prepare.
- Stay informed on the details of the program in order to answer PBP questions as much as possible to assist the program DRI
- Collect feedback from PBPs in advance of key program decisions so that PBP DRI can accurately represent a well rounded view of the PBP team feedback
- When appropriate conduct tool testing (ex/ Workday)
- Carefully review communication and training materials with the lens of the business in mind to help proactively address questions that might arise
- Help PBPs stay accountable to any milestones or deliverables by keep due dates and actions top of mind for the team

<br>
<br>
<br>
