---
title: "GitLab People Connect"
---

## <i class="far fa-paper-plane"></i> Connect with Us

GitLab Team Members can now reach out to us at the touch of a button via [HelpLab](/handbook/business-technology/enterprise-applications/guides/helplab-guide/#how-do-i-use-helplab).

If you are external to GitLab but have a question for our team be sure to email people-connect@gitlab.com.

<a href="https://helplab.gitlab.systems/esc" class="btn btn-primary btn-lg"><i class="fa-brands fa-slack"></i> HelpLab</a>

### Introduction

People Connect is GitLab's centralized team member support model that provides a single point of contact (SPOC) for all people-related questions and requests - taking the guesswork out of finding answers that may not be immediately apparent in the handbook, while creating space for team members to remain productive and focused on what they do best.

Moving away from a multi-channel support model team members can now route all people-centric questions and requests directly to the People Connect team.

### Areas of Support

Team Members are encouraged to reach out to People Connect around any topic that could be considered 'employment related' such as compensation and benefits; leave accruals; onboarding processes; bonus nominations; country hiring; relocations; name changes etc.

People Connect provides team member support for all of the functional areas within the [People Group](/handbook/people-group/) including Total Rewards; Diversity Inclusion and Belonging; People Operations; the People Business Partners and Global Workforce Management.

Additionally our team of generalists are equally able to support queries and requests that are external but in many ways still related to the People Group such as Expense Reporting (Accounts Payable) and Payroll.

### Interacting with People Connect

#### Our Team

People Connect is comprised of both generalists and specialists from within the People Operations fold - all of whom have a broad knowledge of all things people within the context of our unique all-remote environment.

The team collaborates intensively with various internal and external stakeholders to ensure that the GitLab Handbook is consistently maintained, working to ensure that all employment-related information is easily accessible to all whether entity-based or through a PEO.

#### People Connect Manifesto

- Every team member interaction is an **opportunity** to **empower** and **educate**.
- A **spirit of learning** and a **commitment to service** are the heartbeat of People Connect.
- We **share knowledge** and **grow together** - working to keep one another **accountable** and **informed**.
- Service Desk centricity means **in-issue interactions** only always being mindful of **team member privacy** and **data protection**.
- Label and Enable.

#### Service Desk

HelpLab is a GitLab’s branding of the ServiceNow Platform.

ServiceNow is a SaaS Enterprise Service Management Platform that enables organizations to gain operational efficiencies by centralizing and automating Service Life Cycle Management. Simply put, it’s a Support Ticketing System that will allow us to provide faster and more accurate help so that we maximize the Productivity of our Teammates.

#### Methods of Engagement

| Interaction Type | Communication Mechanism |
| ----- | ----- |
| **Internal**: Inquiry is from a current GitLab team member | [HelpLab](/handbook/business-technology/enterprise-applications/guides/helplab-guide/#how-do-i-use-helplab). |
| **External**: Inquiry is from a former GitLab team member or External party | people-connect@gitlab.com |

GitLab remains a [Handbook First]({{< ref "handbook-usage#why-handbook-first" >}}) organization. However, in instances where the answer to a people-related question is not apparent, the next port of call would be People Connect.

The People Connect email alias is restricted and active GitLab team members will **NOT** be able to email this alias, and should be utilizing [HelpLab](/handbook/business-technology/enterprise-applications/guides/helplab-guide/#how-do-i-use-helplab) instead. Former team members or External parties should use the People Connect email for queries or requests.

#### What to Expect (SLA)

Once a team member has submitted a question or request using HelpLab, they can anticipate acknowledgement in the thread of their case within 24 hours.

People Connect rests on a tiered model which categorizes inbound queries and requests according to nature and complexity this in turn should guide the anticipated resolution time unless otherwise specified by the responding generalist.

On occasion team member interactions i.e. ≤ 1% require the direct input of a Subject Matter Expert (SME), calling for complete hand-off to a Center of Expertise (COE) - in such instances the interaction will be categorized as a Tier 03 with the responding generalist initiating the hand-off in a period ≤ 24 hours.

| Tier | Query Type | Resolution Time |
| --- | --- | --- |
| **Tier 01** | First Line Resolution e.g. Administrative Support or Transactional Requests | ≤ 24 Hours |
| **Tier 02** | Semi-Complex Resolution e.g. Root Cause Analysis or Solution Finding | ≤ 72 Hours |
| **Tier 03** | Center of Expertise Hand-Off e.g. Policy Exception or Significant Process Change | ≤ 24 Hours |

### Team Member Satisfaction

The People Connect model was compiled with our team members and their experience of GitLabs all-remote workplace in mind - making feedback an important element in ensuring our efforts and iterations are consistently aligned to the broader [company values](/handbook/values/).

### Metrics

- Team Member Satisfaction
- Ticket Volume by Category
- Tickets Opened vs Tickets Resolved
- Ticket Distribution
- Ticket Resolution per Tier
- Average Ticket Resolution Time
