---
title: "People Operations Team"
description: "GitLab People Operations Department Handbook"
---

## Welcome to the People Operations Team Handbook

- Our Mission is to provide extraordinary People support by developing and implementing policies, programs, and services that contribute to our team members' healthy, safe, and productive work environment.

## People Operations Teams at GitLab

Here are how the team members divide their work to ensure the best results:

- The **People Connect Team** is responsible for onboarding, career mobility, offboarding, bonus processing, People Connect, personal information oversight, new hire/anniversary swag, and more. This team is also responsible for job changes (promotions and transfers), relocations, basic People data reporting, and process liaisons during new policy and program implementations.
- The **Employment Solutions Team** is responsible for our country and location roadmap as we consider which countries to hire in, and which employment solution is best.  The team participates in the 'Business Expansion Committee' to develop a plan of country conversions, new country creations and changes in employment solutions to reduce risk and improve the team member experience.  This team also supports relocations and visa/sponsorship inquiries and needs.
- The **[People Compliance](/handbook/people-group/people-compliance/) Team** works collaboratively to partner, manage and protect our Team Members personal and professional information, ensuring documentation confidentiality, and implements global compliance requirements to help meet internal  stakeholder expectations.
- The **People Tools & Technology Team**
- The **[People Analytics Team](/handbook/people-group/people-ops-tech-analytics/people-analytics)** is responsible for working with stakeholders to develop and report various People Metrics and KPIs for the business. Additional insight is also providing using statistical analysis or experimental design to help understand effects of different People related initiatives.
- The **People Engineering Team**

### Connect With Us

<a href="https://helplab.gitlab.systems/esc?id=ec_pro_dashboard" class="btn btn-primary btn-lg"><i class="fa-brands fa-slack"></i> HelpLab</a>
<a href="https://gitlab.com/people/general/-/issues" class="btn btn-primary btn-lg"><i class="fa-brands fa-gitlab"></i> Issue tracker</a>

## How We Work

### Responsibilities

People Operations is a Department under the [People](/handbook/people-group) Division.

### HelpLab

The People Operations Department primarily uses HelpLab as the primary tool for all GitLab's People Operations-related queries. This is where folks from other teams can ask for help, direction, and receive answers or direction to the correct team from the People Connect team.

You can also tag subsets of the People Operations Team in other slack channels using:

- @peopleanalyticstriage - this should be used in the [#data](https://gitlab.slack.com/archives/C8D1LGC23) channel when there are questions or concerns about people data in dashboards or Snowflake

### GitLab Groups and Projects

The People Operations, Technology & Analytics Team primarily uses these sub-groups and projects within the main [People-Group](https://gitlab.com/gitlab-com/people-group) public GitLab Group:

- [People Operations](https://gitlab.com/gitlab-com/people-group/people-operations) is the primary public Group for the GitLab People Operations Team. This group contains 4 public and 1 private project:
  - [General](https://gitlab.com/gitlab-com/people-group/people-operations/General/-/issues) is the public Project containing issues related to the People Operations team. This project is where any team member can create People Ops-related issues for the team to review.
  - [Employment Templates](https://gitlab.com/gitlab-com/people-group/people-operations/employment-templates) is the public Project which manages templates for the entire team member life cycle (onboarding, career mobility, offboarding, etc). Issues cannot be created in this project, only MRs to the templates and files.
  - [People Ops Team Training Issues](https://gitlab.com/gitlab-com/people-group/people-operations/people-operations-and-experience-team-training) is a private Project which houses training issues for new People Operations hires.
- [People Operations](https://gitlab.com/gl-people-operations) is the private Group for the People Operations team. This group contains two private Projects.
  - [Internal handbook](https://gitlab.com/gl-people-operations/internal-handbook) is the private Project which contains the content for the internal People Ops internal handbook.
- [People Analytics](https://gitlab.com/gitlab-com/people-group/people-analytics) is the private Group for the People Analytics team. It contains 3 private projects.
- [People Analytics](https://gitlab.com/gl-people-analytics) is also a private, confidential Group for a small set of GitLab Team Members. This group is used to collaborate on sensitive projects and issues. There are 2 private projects in this Group.
- [People Tools and Technology](https://gitlab.com/gitlab-com/people-group/people-tools-technology) is the public Group for the People Tools and Technology team. It contains one public project.
  - [General](https://gitlab.com/gitlab-com/people-group/people-tools-technology/general/-/issues) is the public Project where any team member can create an issue related to People Tools and Technology.
- [peoplegroup-eng](https://gitlab.com/gitlab-com/people-group/peopleops-eng) is the public Group for the GitLab People Engineering team. This group contains one public sub-group, 10 public projects and 4 private projects.
  - [People Group Engineering](https://gitlab.com/gitlab-com/people-group/peopleops-eng/people-group-engineering/-/issues) is the main public Project for any team member to create issues related to People Engineering.
- [People Engineering](https://gitlab.com/gitlab-com/people-group/peopleops-eng) this is the group that contains all of the People Engineering projects.
- [People Compliance](https://gitlab.com/gitlab-com/people-group/compliance) is the private Project for GitLab team members to create People Compliance-related issues.
- [People Compliance](https://gitlab.com/gl-people-compliance) is also a private confidential Group for a small set of GitLab team members to collaborate on sensitive projects and issues. This group contains 5 private Projects.

You can tag the People Operations in GitLab using:

- '@gl-people-connect-team' - this notifies the entire People Connect team

### People Operations Team Handbook Navigation

- [People Connect team](https://internal.gitlab.com/handbook/people-group/people-operations/people-connect/people_connect_team/)
- [People Engineering Handbook](/handbook/people-group/engineering)
- [People Compliance](/handbook/people-group/people-compliance)
- [People Analytics Team]({{< ref "people-analytics" >}})
