---
title: "People Group Project Program"
description: "Any GitLab People Success or Talent Acquisition team members may participate in projects listed in the People Group Project Program issue board."
---

## Who can participate

Any team member of the People or Talent Acquisition departments may submit, or participate in projects. Please discuss with your direct manager before taking on one of the projects listed in the issues below. Project work is entirely voluntary, and there should be no pressure for you to feel like you need to participate.  Working across different teams is an excellent way to develop your career and see what other team members in the People and Talent Acquisition departments are working on.

## Adding a project

Whenever adding a project to the [issue board](https://gitlab.com/gitlab-com/people-group/people-project-program/-/issues/new?issue%5Bassignee_id%5D=&issue%5Bmilestone_id%5D=), please be cognizant of the following:

- Does any portion of the project require access to confidential material? Is it absolutely necessary to get assistance on this project?  If so make sure the team members assisting in the project have signed an NDA
- Does the project require access permisions to something that the team member may not have? Remember to create an access request for the team member.  Please make sure access is removed once the project is complete.
- How much time should the project take? Notate this in the issue.
- Is there a deadline on the project? If so, what is the due date?  Add this to the issue.
- Who is the DRI for the project?  Make sure the issue is assigned to the DRI and the main point of contact on the project. Also add the tag of the team that the project falls in
- What does success look like?  Please define what's expected of the project volunteer up front so the project owner and volunteer have clear goals before committing.

## Participating in a project

Participating in a project is entirely voluntary.  Please make sure to check in with your manager before picking up a project to ensure that your bandwidth might not change suddenly with an internal project on your own team.

To participate in a project take the following steps:

- Find a project in the [issue tracker](https://gitlab.com/gitlab-com/people-group/people-project-program/-/issues)
- Contact the DRI of the project to let them know you would like to assist in the project.
- Ensure you have the right tools, and time to work on the project
- Add yourself as an assignee to the issue, and comment in the issue that you are working on the project.
- If at anytime you must stop work on the project, make sure to inform the DRI, comment in the issue that you are no longer working on it, and unassign yourself from the issue.
- Once the project is complete, contact the DRI to ensure it completed to satisfaction and that no last minute edits are needed. Close the issue, and add the tag ppp-completed.
