---
title: Quarterly Talent Review (QTR)
description: "Overview of GitLab's internal quarterly talent review process."
---

A high performance culture starts with a healthy organizational structure and team. The Quarterly Talent Review (QTR) is a strategic mechanism designed to bring our E-Group leaders together with their respectively aligned key People Group counterparts in a single session to review key Talent metrics and strategy on a quarterly basis with the ultimate goal of driving forward a tightly aligned divisional Talent Strategy.

Goals and benefits of the QTR include the ability to:

- Connect dots and draw themes across multiple data sources that may not have been as evident reviewed in isolation
- Create more connection and alignment across all departments within the People Group as one team
- Optimize time and efficiency across the board for our E-Group leaders
- Ensure we maintain a regular and proactive pulse on key Talent metrics
- Align on and communicate a tailored and data driven division Talent Strategy going in to each fiscal year

## Quarterly Talent Review Timeline

The QTR report will be delivered to PBPs on the 15th day at the start of each quarter (dates below). This report will serve as the foundation for the discussions with division leaders.

### FY25 Talent QTR Report Dates

- Q1/Q2 - August 15th
- Q3 - November 15th
- Q4 - January 15th

## Quarterly Talent Review Process

**1. Report Distribution**

- **When:** Reports will be shared to PBPs by the 15th day of the first month of each quarter.
- **What:** Each report will contain the org health data specific to each division and any relevant metrics to be reviewed in the upcoming Talent QTR meetings. A detailed overview of data included in each report is included below. Where applicable, CoE leaders will also have the opportunity to include a `Top of Mind` overview slide to ensure that there is an opportunity to share key strategic initiatives as part of this forum.

**2. Prep Call**

- **When:** PBPs and People division key stakeholders should schedule their initial prep call shortly after receiving the report and completing their initial review, ideally within one week of report delivery.
- **Purpose:** The prep call allows PBPs and People Division key stakeholders to align on key topics, identify areas of focus, and strategize for the Talent QTR meeting with the division leadership.
- **Attendees:** Division PBP(s), divisional TA partner, divisional DIB partner, and other People division key stakeholders where applicable (for example If there is a concern raised related to data for TMR, the divisional TMR partner should be in included)

**3. Distribution of Report to Leadership**

- **When:** 3-4 business days prior to the QTR meeting with the division leader.
- **Purpose:** Allow leaders time prior to the meeting to review the QTR report and add any questions/observations to the meeting agenda.

**4. Quarterly Talent Review with E-Group**

- **When:** The QTR should take place by the end of the first month of the quarter, giving adequate time for review and actions. PBPs should work with E-Group EBAs to plan these sessions in advance as a standing ongoing touchpoint.
- **Purpose:** During this meeting, PBPs and People Division key stakeholders will review the org health report with division leaders, discuss priorities for each division, address any COE-related initiatives, and agree on action items and follow-up steps.

## Report Overview

The QTR report is designed to provide division leadership with key organizational metrics across multiple areas. Below is a breakdown of the core metrics, organized into relevant categories:

**1. Workforce Metrics**

- Span of control
- Attrition rates
- Headcount
- Promotion rate

**2. Learning and Development**

- L&D program participation
- G&D spend

**3. Team Member Relations**

- Team member relations cases

**4. Executive Summary and Action Items**

- Executive summary of key takeaways
- Leadership action items for follow-up
  - This slide will be updated at the beginning of each fiscal year with recommended actions for each division that are rooted in the data that is shared. This will serve as the core divisional Talent Strategy for the FY.
  - Actions on this slide will continue to be tracked during each review and updated as needed depending on progress made and what each quarter’s data reveals.

**5. COE Updates (DIB, TA)**

- What is top of mind for Diversity, Inclusion & Belonging (DIB)
  - This slide will allow DIB to orient leaders on what the team is focused on and the top priorities are for each respective division that aligns with the data shared.
- What is top of mind for Talent Acquisition (TA)
  - This slide will allow TA to orient leaders on what the team is focused on and the top priorities are for each respective division that aligns with the data shared.
- Opportunity on an as-needed basis for other People division key stakeholders to spotlight key upcoming initiatives.
