---
title: "Cassiana Gudgenov's README"
description: "This page is Cassiana Gudgenov's README and is intended to be helpful when interacting with her."
---

<!-- This template will help you build out your very own GitLab README, a great tool for transparently letting others know what it's like to work with you, and how you prefer to be communicated with. Each section is optional. You can remove those you aren't comfortable filling out, and add sections that are germane to you. -->

Hi! 👋 I'm **Cassiana Gudgenov, People Compliance Partner**

## Related Pages

- [Cassiana's GitLab team page entry](/handbook/company/team/#cgudgenov) and [pets entry](/handbook/company/team-pets/#110-marbles-kitty)
- [Cassiana's GitLab contribution graph](https://gitlab.com/cgudgenov)
- [Cassiana's LinkedIn profile](https://www.linkedin.com/in/cassianagudgenov/)

## About Me

- I was born and raised in Montréal, Québec, Canada 🇨🇦
- I'm a lifelong learner who loves to get lost in subjects that interest me
- I'm enthusiastic and empathetic
- I joined GitLab in Feb 2019
- I love British comedy and rom coms 😀
- My favorite GitLab value is [Iteration](/handbook/values/#iteration)
- My 5 favorite sub-values are:
  - [Don't wait](/handbook/values/#dont-wait)
  - [Family and friends first, work second](/handbook/values/#family-and-friends-first-work-second)
  - [Embracing Neurodiversity](/handbook/values/#embracing-neurodiversity)
  - [Freedom and Responsibility over Rigidity](/handbook/values/#freedom-and-responsibility-over-rigidity)
  - [Assume Positive Intent](/handbook/values/#assume-positive-intent)

### Myers-Briggs / 16 Personalities

🔗[**INFP**: Mediator](https://www.16personalities.com/infp-personality)

A Mediator (INFP) is someone who possesses the Introverted, Intuitive, Feeling, and Prospecting personality traits. These personality types tend to be "quiet, open-minded, and imaginative, and they apply a caring and creative approach to everything they do".

### DiSC Profile

🔗[**S**: The Supporter](https://www.crystalknows.com/disc/s-personality-type)

People with the S (Supporter) personality type tend to be "calm, patient and respectful". I also connect with the IS (Harmonizer) type as someone who is often described as "warm, even-tempered, accepting, positive and joyful".

## Strengths

- Solving problems and responding to questions with patience and understanding.
- Being attentive to the needs and concerns of others, and considering impact when making decisions.
- Asking for and taking constructive, direct feedback.
- Taking ownership and following up.
- Collaborating across teams.
- Driven by [efficiency](/handbook/values/#efficiency) and [results](/handbook/values/#results).
- Taking metrics and OKRs very seriously, and finding healthy ways to achieve them.
- Measuring the capabilities of others in an positive, encouraging, and optimistic way.
- Reminding others to stop working, taking time off, and encouraging others to remain healthy (mentally and physically) and family and friends-first.

## Growth Opportunities

- Sharing negative feedback in a clear, direct way as soon as there's an issue that needs to be addressed.
- Understanding that some decisions may be unpopular, but are ultimately necessary for the growth of everyone involved. Many times difficult decisions are necessary and beneficial, overall.

## My Working Style

- I prefer long, uninterrupted windows of time for [deep work](/handbook/company/culture/all-remote/asynchronous/#mental-health). I disable **all*- notifications on my Mac and on my phone. This allows me to focus deeply on one task at a time, which is a more [efficient](/handbook/values/#efficiency) way of working than attempting to [multitask](https://signalvnoise.com/posts/1589-multitasking-is-the-fastest-way-to-mediocrity). In return, I will devote my full attention to your request and respond thoughtfully, with context and passion.
- Unless specifically mentioned, I don't expect immediate responses from anyone. I [respect others' time](/handbook/communication/#be-respectful-of-others-time) and want you to have the space for a thoughtful response.
- I embrace [asynchronous workflows](/handbook/company/culture/all-remote/asynchronous/). I prefer variety in my workday [as opposed to routine](/handbook/values/#freedom-and-responsibility-over-rigidity). I work best when leveraging a [non-linear workday](/handbook/company/culture/all-remote/non-linear-workday/), maximizing daylight hours for being outdoors (if weather permits), hopefully traveling and exploring a new place.
- I have many strong opinions, but they're [weakly held](https://blog.codinghorror.com/strong-opinions-weakly-held/). I love finding a new perspective that makes me change my opinion, because it means that I've gotten a chance to learn something substantive and new. This also means that I expect my working style will evolve over time.
- When scheduling a meeting, please share an agenda beforehand (unless it is a coffee chat). I like to be able to come prepared to discuss the topics and have issues/MRs or announcements pulled up for reference.
- If I have a recommendation backed up by experience or people ops/compliance knowledge, I am happy to speak up.
- I want to earn your trust. I want to allow you the space to take risks, be vulnerable with me, and also tell me when I could be doing something better. [Psychological safety]({{< ref "psychological-safety" >}}) is extremely important to me.
- Partnerships are invaluable. Life is more fun with community, working together to achieve common goals.

### My Availability

- My calendar is viewable to anyone at GitLab, so feel free to schedule a call without asking, as I will move if I cannot accommodate your original time/date.
- My Slack is always updated with what I'm doing, and my daily and long-term availabilities are up to date in my calendar.
- I sometimes work weird hours, to accommodate my needs, but I try not to work long hours.
- Feel free to schedule a coffee chat ☕ with me. I love talking about all things relating to movies, travel, cooking, neurodiversity and people ops!

### What I am Working on

- I'm also working on continiously improving GitLab's [People Compliance](/handbook/people-group/people-compliance), if you would like us to work on something specific or have a problem we can help resolve, please open an issue in the [People Compliance Issue Tracker](https://gitlab.com/gitlab-com/people-group/compliance/-/issues).

## What I Assume about Others

- [Positive intent](/handbook/values/#assume-positive-intent). 😁
- You'll ask for my input and help if it's needed.
- You have more going on than the one thing we're discussing.
- Work is absolutely not the most important thing in your life. I assume that there are [cherished relationships](/handbook/values/#family-and-friends-first-work-second) and personal interests that are more important to your happiness, and it's hard to be happy with your job when work detracts from those things.
- Everyone is likely fighting a battle we know nothing about. 💛
