---
title: "Talent Development Program"
description: "Information on GitLab's Talent Development Program to ensure ongoing success across all teams."
---

## Why a Talent Development Program is vital for GitLab

As we continue to scale, we want to be intentional about Talent Development. Investing in a Talent Development Program creates the opportunity for GitLab to build diverse, flexible and versatile teams, as well as of the utmost importance to ongoing success across all teams.

GitLab's Talent Development Program includes the following initiatives:

- [Talent Assessment Tool](/handbook/people-group/talent-assessment)
- [360 Feedback]({{< ref "360-feedback" >}})
- [Organisational Structure and gaps](/handbook/company/structure/)
- [Performance Assessments and Succession Planning](/handbook/people-group/talent-assessment)
- [Career Development Conversations]({{< ref "1-1#career-development-discussion-at-the-1-1" >}})
- [Performance Improvement Plans (PIP)]({{< ref "underperformance#options-for-remediation" >}})
- [Performance Enablement Review](/handbook/people-group/learning-and-development/career-development#performance-enablement-review)
- [Individual Growth Plan](https://docs.google.com/document/d/1ZjdIuK5mNpljiHnFMK4dvqfTOzV9iSJj66OtoYbniFM/edit)
- [Engagement Survey]({{< ref "engagement" >}})
- [Annual Compensation Review]({{< ref "compensation-review-cycle#annual-compensation-review" >}})

### Talent Development Program Chart

```mermaid
graph LR
  Aid1([Talent<br> Assessment Tool]):::classA --> Eid1([Succession<br> Planning]):::classB
  Bid1([Org Structure<br> & Gaps]):::classA --> Eid1([Succession<br> Planning]):::classB
  Cid1([Critical<br> Roles]):::classA --> Eid1([Succession<br> Planning]):::classB
  Did1([360<br> Feedback]):::classA --> Eid1([Succession<br> Planning]):::classB
  Eid1([Succession<br> Planning]):::classB --> Fid1([Assess Hiring<br> Implications & Requirements]):::classC
  Eid1([Succession<br> Planning]):::classB --> Gid1([Career Development<br> Conversations]):::classC
  Gid1([Career Development<br> Conversations]):::classC --> Hid1([Individual<br> Growth Plan]):::classD
  Gid1([Career Development<br> Conversations]):::classC --> Iid1([Performance<br> Enablement Plan]):::classD
  Gid1([Career Development<br> Conversations]):::classC --> Jid1([Performance<br> Improvement Plan]):::classD

click Aid1 "/handbook/people-group/talent-assessment"
click Bid1 "/handbook/company/structure/"
click Did1 "{{< ref "360-feedback" >}}"
click Eid1 "/handbook/people-group/talent-assessment"
click Fid1 "/handbook/hiring/"
click Gid1 "{{< ref "1-1#career-development-discussion-at-the-1-1" >}}"
click Hid1 "/handbook/people-group/learning-and-development/career-development#internal-resources"

classDef classA fill:#dcf3f5, stroke:#20757d
classDef classB fill:#f7dcf1, stroke:#521144
classDef classC fill:#D6EAF8, stroke:#21618C
classDef classD fill:#D7BDE2, stroke:#633974
```

We are using this [Talent Development Program issue](https://gitlab.com/gitlab-com/people-group/General/-/issues/719) to work on the content and overall planning of this page and the program. Follow along and please contribute!
