---
title: Workday Guide
---

## Why Workday?

- Integrated people processes that allow us to view Team Member data in one system (compensation, performance, benefits, absence management, etc.)
- Our data will be more accessible, timely, accurate, and consistent. This will allow us to improve our reporting and analytics capabilities
- Provides us with the ability to make informed organizational decisions and increase operational efficiencies based on that data
- Enhanced and standardized processes and workflows
- Increased visibility and transparency of Team Member data changes and status of those transactions
- 24/7 access from anywhere using the mobile application
- Supports streamlined access and self-service for all team members

## Accessing Workday

Workday will be accessible to all GitLab team members through Okta SSO. Go to [gitlab.okta.com](https://gitlab.okta.com/app/UserHome) and click on the **'Workday SSO'** tile to login. You can search your apps for quick access.

![Accesing Workday through Okta](../okta-wd.png)

**Important:** Please note that Workday will be temporarily unavailable due to scheduled weekly maintenance each Friday between 11:00 PM - 3:00 AM PST (Saturday between 6am UTC to 9am UTC).

## Workday Guides

Every full time team member at GitLab will have a Workday profile, though the extent of each team member's engagement with Workday will vary according to their position.

Use these helpful resources for completing team member self-service tasks in Workday. These resources currently live in Google Drive but will be moved to the handbook in upcoming iterations.

|Audience|How To...|Documentation|Video|
| ------ | ------ |------ | ------ |
|Team Members|change your photo|[Link](https://docs.google.com/document/d/14X80NeNLqHcL8WWoGfbx1PjDnCFrKo53l7tVA525_34/edit)|[Link](https://drive.google.com/file/d/1z9CMI8hVS5sZfch3Zi44GfUJCvO8Ovj1/view)|
|Team Members|change your preferred name|[Link](https://docs.google.com/document/d/17FQvOSs1274hEUTRRWnmevsfdFbiaKNVn-a_enUhuew/edit)|[Link](https://drive.google.com/file/d/1z9CMI8hVS5sZfch3Zi44GfUJCvO8Ovj1/view)|
|Team Members|change personal information|[Link](https://docs.google.com/document/d/1qpHqSHhQES0InC9ns8FZaFtaBxz0XjJPe7kUuh85tLA/edit)|[Link](https://drive.google.com/file/d/1z9CMI8hVS5sZfch3Zi44GfUJCvO8Ovj1/view)|
|Team Members|change legal name|[Link](https://docs.google.com/document/d/1tsUUQqoyWhcpYNOU_S4aAbqRnCUSEUIJ6XHaCN_3Wg0/edit)|[Link](https://drive.google.com/file/d/1z9CMI8hVS5sZfch3Zi44GfUJCvO8Ovj1/view)|
|Team Members|change home contact information|[Link](https://docs.google.com/document/d/1NiNKWd-H9FTnYkmsWWi79-DGDSUCiWMfwFaGQPRnj14/edit)|[Link](https://drive.google.com/file/d/1UqIEwhd7hYEjjW1qRyJlyPHl9xi-TXY6/view)|
|Team Members|change emergency contacts|[Link](https://docs.google.com/document/d/1kJgRtiB4DlRxAlPz8gy6d7yd-3B84gZT37vWidXGqs4/edit)|[Link](https://drive.google.com/file/d/1UqIEwhd7hYEjjW1qRyJlyPHl9xi-TXY6/view)|
|Team Members|add and edit payment elections|[Link](https://docs.google.com/document/d/107-8rGMgGRgsHuz9ydKwq2UIaazI5ITnd0o8yDgDW8s/edit)|[Link](https://drive.google.com/file/d/19vH0uKMlDQDF8EaGEg2dW6sNIcnjJSrM/view)|
|Team Members|complete onboarding tasks|[Link](https://docs.google.com/document/d/1-gLy1aVuKUPxoULpOgGrY_WuzB40kePiitPrQdMHRws/edit)|-|
|Team Members|navigate the org chart|[Link](https://docs.google.com/document/d/1k5-V6yesaX9EuPFFgnrmOilRQNoqaXZEpJzfNXOj-eI/edit)|[Link](https://drive.google.com/file/d/1pfv0IXnjq_LQky3wTyBcSndGF2n69evg/view)|
|Team Members|edit IDs (Government IDs, Passport, Visas, etc)|[Link](https://docs.google.com/document/d/1D1IX1AdouxU-0aUcfROuLQ5r2O_C8d_thBHEgCK5aQE/edit)|[Link](https://drive.google.com/file/d/1nYe8vNFd5GHsqHpn6CqvO9hhjt-R-3_X/view)|
|Team Members|access and use the Workday mobile app|[Link](https://docs.google.com/document/d/1ar1h59ON3qX1-UavvBoZkfdwZaCSjrdlxmlaC9HV1j0/edit)|[Link](https://drive.google.com/file/d/1bV5XAAJvKAPQxgETOyCVR75qU1RQumSZ/view)|
|Team Members|submit a resignation|[Link](https://docs.google.com/document/d/1AVHHBKd6dtyn0DOl4_UydbdEhectLpH5aMh17r9Sg_4/edit)|[Link](https://drive.google.com/file/d/1CWEfVPFLRLtcFQh81mYAuXtYKvf3hKW0/view)|
|Team Members|change self-identification of disability (US Only)|[Link](https://docs.google.com/document/d/1rgd-FkV5pGhn27g-LK5p53WuG2wjANrNJLgrWuLJjvY/edit)|[Link](https://drive.google.com/file/d/1QSosr0W0CW2AYou2rjUCyrZrV6m1c_OB/view)|
|Team Members|change self-identification of veteran status (US Only)|[Link](https://docs.google.com/document/d/1-xbCLsdzn9R2zwG5zMzkBRx6BX6vbtCjAsEI6eQRdfM/edit)|[Link](https://drive.google.com/file/d/1QSosr0W0CW2AYou2rjUCyrZrV6m1c_OB/view)|
|Team Members|upload a signed document|[Link](https://docs.google.com/document/d/1FDUdF9AxiRGHh8v9k1zkVL_5-kWUR9JGgv4AfdyvGeU/edit)|-|
|Team Members|view compensation changes|&bull;Click your profile photo, then View Profile<br />&bull;Click "Actions"<br />&bull;Click `Compensation > View Compensation Statement History`|-|
|Team Members|set Team Page export preferences|[Link](https://docs.google.com/document/d/16_G0jQEjV3f08rGZ65g6RHTCSX5IfFalo9ZUdLEqH1s/edit)|-|
|Team Members|request time off & view balances|[Link](https://docs.google.com/document/d/1CZvTbPfvCOHDqA9riifMNNN0wsZyaxIql14cj_M5TK8/edit)|-|
|Team Members|correct time off|[Link](https://docs.google.com/document/d/1c0Qp738HXEeIb_SxUeKZYlG3su086CO5Dxa618Rvffk/edit)|-|
|Team Members|request time off through Slack|[Link](https://docs.google.com/document/d/1co0-_8YEV2iS7YIFsDdsSqw7ohCd1nNd3HCQU7jTQMo/edit)|-|
|Team Members|request a leave of absence|[Link](https://docs.google.com/document/d/1ZatJdGp485lOS2QVrxYJByQK8dD_CMGiLVOykgd338w/edit)|-|
|Managers|request a one-time payment|[Link](https://docs.google.com/document/d/15_cqMAIoqkxNhoCTL42X3XUpr0E9fNZXFmY3Yitk2LQ/edit)|-|
|Managers|terminate team members (voluntary)|[Link](https://docs.google.com/document/d/1Fr1G1i1kssfADgDf3D6LbZHR8RZmWKZYDNV8AfduZ1c/edit)|-|
|Managers|view team information|[Link](https://docs.google.com/document/d/1HlvaxIvmUPL6GLB3z6TqHWMf95RrDD7aOaeZPE0Hm7Q/edit)|-|
|Managers|request a compensation change|[Link](https://docs.google.com/document/d/1xGytyeYIpY_-qY_sEe-9ua-TfzyWEVp5s2SV91vyTUc/edit)|-|
|Managers|delegate|[Link](https://docs.google.com/document/d/1BDME_47-mif1ZihO5Id-wejbjAU_-PLIr1dJ46z1F_c/edit)|-|
|Managers|access and use reports|[Link](https://docs.google.com/document/d/19Isxod-o2CJ9GkurkVPqK8dCxbkQO743LoJ12OonOHY/edit)|-|
|Managers|move team member to another manager|[Link](https://docs.google.com/document/d/1JEobACNSMeHU4pU5DaaF7aqmv9wmSDoXx7veZ6_SM_I/edit)|-|
|Managers|view job history of a report prior to the HRIS migration|under that team member: `Job -> Worker History -> Worker History by Category -> Staffing & Compensation from Prior System`|-|

## Job Title Speciality Creation/Update

If you require any changes to a job title speciality or need a new job title speciality created, please open an [issue](https://gitlab.com/gitlab-com/people-group/people-tools-technology/general/-/issues/new) for the People Tech team to review. Select the `Workday: Job Title Speciality Request` template option. Once the job title speciality has been created, and you need changes to team members profiles in Workday, please submit a Job Title Specialty request in HelpLab for assistance.

## How is Workday being implemented?

Workday is being implemented in 3 phases:

### Phase 1

**Go live date:** 2022-06-16

Modules/functionality being implemented:

- Human Capital Management (core team member information)
- Job change workflows and processes (onboarding, offboarding, job changes)
- Core Compensation
- Integrations with other applications across GitLab

| Workday will replace | Workday will enhance |Workday will integrate with |What remains the same in this phase|
| ------ | ------ |------ |------ |
| BambooHR (with a few exceptions to certain business processes) | Reporting, Auditing, Organization hierarchy, Management hierarchy, Business process workflows |Greenhouse, Culture Amp, EdCast, Navan Expense, LawLogix, Modern Health, Navex, NetSuite, GitLab, E-trade, ADP, Okta, Nominator bot, People Connect bot,Employment Automation, Sync BambooHR entities to GitLab groups, Sync new team members to team page, Sync specialty to team files, Team page readiness check,Anniversary Announcement, New Hire Announcement|Time Off by Deel, BambooHR Documents, BambooHR Contractor Invoices|

#### Phase 1 Integrations

| Application | Description | Frequency | Business Owner | Support Contact |
| ------ | ------ | ------ | ------ | ------ |
| ADP WorkForce Now | Employee Demographic feed from Workday to ADP Workforce Now via SFTP delivery of inbound file. | Daily (9am PST) | @vlaughlan | @droystang @Laura-Janssen @demina |
| Employment Automations | - *Announcements*: Slack integrated messaging services, which are responsible for sending DM's or announcing to a channel on a certain matter.<br> - *Audit*: Audits collected on our team members data, we usually are constructing a certain data type (CSV) and then sending this off to the desired party.<br> - *E-mailing*: E-Mails are responsible for sending out our e-mails and replacing keywords from the template documents to include the relevant information. For example, one automation in this group handles the creation of a Letter of Employment and then attaches it to the e-mail prior to sending.<br> - *Issue Handling*: This is the main logic behind our onboardings, offboardings, employment templates, access requests, and anything else GitLab issue related.<br> - *Syncing*: Syncs regarding our HR data and external services. For example, we sync with GitLab to ensure our team page entries are staying up to date depending on if the team members current role specialty differs from that of the team page entry. | N/A | @mpatel8 | @ajrom |
| Culture Amp | Daily feed that sends new hires and terminations from Workday over to Culture Amp. | Daily (1am PST) |  @mpatel8 | @Laura-Janssen @demina |
| E-Trade | - *E-Trade User Account File*: Used to provide demographic information for new participants and to maintain this information for existing participants.<br> - *E-Trade User Termination File*: Used to provide termination dates and termination codes to EEO (Equal Employment Opportunity).<br> - *E-Trade Rehires File*: Used to provide rehire information for previously terminated participants. Rehire date provided will replace the current hire date on EEO (Equal Employment  | Daily (4:30am PST) | @rhark @sguillory | @droystang @Laura-Janssen @demina |
| EdCast | Automatically adds and removes team members to EdCast to avoid manual work for the team and streamline the onboarding process. | Real Time | @jallen16 | @droystang |
| Navan Expense<>NetSuite | Utilizing Workato to automatically synchronize team members and their managers from Workday into the correct Navan Expense policy as well as creating a vendor record in NetSuite. | Real Time | @edelongpre @mbrown6 | @droystang |
| Greenhouse (New Hires) | Creates new hires in Workday when a new applicant is marked as hired in Greenhouse | Real Time | @anechan @MarissaFerber @mpatel8 | @droystang @Laura-Janssen @demina |
| LawLogix/Guardian | Daily feed that adds new US team members from Workday to LawLogix/Guardian for completion of their I-9 form. | Daily | @ashjameson @alex_venter @Mowry | @Laura-Janssen @droystang |
| Modern Health | Automatically adds and removes team members to Modern Health to avoid manual work for the team and streamline the onboarding process. | Weekly | @brittanyr @Rkole | @droystang |
| Navex Global | Automatically adds and removes team members to Navex Global to avoid manual work for the team and streamline the onboarding process. | Daily | @ktesh | @droystang |
| Nominator bot | Given all team members can nominate other team members for discretionary bonuses, when the final approval has been approved then a sync with Workday adds the approval in the bonus table in Workday. | Real Time | @mpatel8 | @ajrom |
| Okta Connector | All Team Members/ people that reside in Okta will also reside in Workday. | Hourly | @pkaldis  | @pkaldis @Mwhitaker |
| People Connect bot | Given all team members need to have access to the People Connect Bot, when a new issue is created on GitLab via this bot then the read connection between Workday and the People Connect bot is triggered and specific labels related to the team member's department, division, tenure and region are added. | Real Time | @mpatel8  | @ajrom |
| PlanSource | Provides demographic information for new hires and to maintain this information for existing team members. | Daily (4am PST) | @brittanyr @Rkole  | @droystang @Laura-Janssen @demina |
| Snowflake | Pulls data from Workday so it can be used for reporting in Sisense. | Every 12H | @pempey  | @pempey @Laura-Janssen |

### Phase 2

*Subject to change*

**Go live date:** 2022-10-01

Modules/functionality being implemented:

- Benefits - US Only
- Absence Management
- Talent Optimization
- Advanced Compensation
- Integrations

| Workday will replace |
| ------ |
| Talent Assessment Tool, Compaas (Compensation planning tool), PlanSource, Time Off by Deel, Internal Employment Automations |

### Phase 3

*Subject to change*

**Go live date:** 2022-12-01

Modules/functionality being implemented:

- Continuation of absence management plans
- Benefits - Canada Only

| Workday will replace |
| ------ |
| Canada Life  |

## Workday support

For general navigation and functionality questions, please contact the People Connect team via HelpLab.
For report requests, or to request an enhancement or report a bug, please create an issue in the [People Technology Intake project](https://gitlab.com/gitlab-com/people-group/people-tools-technology/general/issues/new?issuable_template=intake)

## Frequently asked questions

You can find the most frequently asked questions and answers in [this document](https://docs.google.com/document/d/144sVp-77aeZY59tkc3QQ91EZ3BewHoExhwTrO9YA7rE/edit#heading=h.pfosnkm564e0). The People Connect team is constantly updating this document.
