---
title: "GitLab France S.A.S. Remote Work Charter"
description: GitLab France S.A.S. Remote Work Charter - French and English language versions.
---

{{% panel header="**This is a Secure Document**" header-bg="orange" %}}
Per the stated [Roles & Responsibilities](/handbook/people-policies/france-sas/#roles--responsibilities), changes to this page must be approved or merged by a code owner. All contributions are welcome and encouraged.
{{% /panel %}}

## Français: GITLAB FRANCE S.A.S. CHARTE SUR LE TÉLÉTRAVAIL

### PRÉAMBULE

Avec plus de 1700 membres d'équipe répartis dans plus de 65 pays, GitLab (est l'une des plus grandes entreprises au monde mettant en œuvre du travail à distance intégral.

L'approche "travail à distance intégral" de GitLab favorise le recrutement et la mobilité des salariés (ci-après « membres de l'équipe) dans le monde entier, ainsi que la flexibilité des horaires de travail, en permettant aux membres de l'équipe de mieux travailler ensemble, qu'ils se trouvent au même endroit ou qu'ils soient répartis sur plusieurs fuseaux horaires.

Par conséquent, l'ensemble des membres de l'équipe de GitLab France S.A.S. (ci-après « la Société ») travaillent à distance 100% de leur temps de travail.

La présente charte (ci-après la « Charte ») a été élaborée afin d'encadrer le télétravail au sein de la Société GitLab France conformément au cadre légal applicable.

#### 1. DÉFINITIONS ET CHAMP D'APPLICATION

Le télétravail est toute forme d'organisation du travail dans laquelle un travail qui aurait pu être exécuté dans les locaux de la Société est effectué par un membre de l'équipe hors de ces locaux en utilisant les technologies de l'information et de la communication.

Le travail à distance intégral est l'une des conditions d'embauche de la Société.

Cela signifie que la Société ne dispose pas de locaux et que l'ensemble des membres de l'équipe n'a pas accès aux locaux de la Société/espaces de travail de la Société afin d'exercer leurs fonctions pour la Société.

Ainsi, dès leur embauche, l'ensemble des membres de l'équipe de la Société effectuent 100% de leur temps de travail à distance.

Cette organisation du travail à distance étant un élément essentiel du contrat de travail, elle ne peut être modifiée ou résiliée qu'avec l'accord des deux parties au contrat de travail.

#### 2. LIEU DU TÉLÉTRAVAIL

Le télétravail sera effectué soit au domicile du membre de l'équipe, soit dans un lieu tiers à définir d'un commun accord de la Société et du membre de l'équipe concerné.

Par domicile, on entend le lieu habituel de résidence du membre de l'équipe, c'est-à-dire celui dont l'adresse figure sur le bulletin de salaire.

Tout lieu de télétravail doit être situé sur le territoire français.

#### 3. AMÉNAGEMENT ET MISE EN CONFORMITE DES LOCAUX

3.1 *Conformité des locaux*

En cas de télétravail à domicile, le membre de l'équipe doit prévoir un espace de travail respectant les règles relatives à l'hygiène, à la sécurité et aux conditions de travail et accepte qu'un représentant de la Société contrôle la conformité de son logement.
Une synthèse des obligations applicables est annexé à la Charte.
Le membre de l'équipe sera prévenu des dates et heures du contrôle au moins 5 jours ouvrés à l'avance.

De plus, le lieu de télétravail doit respecter les exigences concernant la conformité des installations électriques. Dans ce contexte et préalablement à la date d'embauche, le membre de l'équipe doit fournir un diagnostic d'électricité récent ou, à défaut, une attestation sur l'honneur de la conformité de l'installation électrique du lieu de télétravail.

La réalisation d'un diagnostic peut être organisée par le membre de l'équipe lui-même (les frais engendrés sont pris en charge par la Société sur justificatif.

En cas de déménagement, le membre de l'équipe s'engage à prévenir la Société et à lui communiquer sa nouvelle adresse. Le nouveau logement pourra également faire l'objet d'un contrôle de conformité. De plus, la conformité des installations électriques doit être démontrée comme précisé ci-dessus.

En cas de télétravail dans un lieu tiers, le membre de l'équipe s'engage à fournir une déclaration sur l'honneur sur la conformité de l'installation électrique de ce lieu de télétravail, le respect des règles relatives à l'hygiène, à la sécurité et aux conditions de travail (notamment en termes d'ergonomie, d'éclairage, etc.) et la couverture de ce lieu par une assurance au sens de l'article 7 de la Charte. Cette déclaration doit être fournie préalablement à la prise du télétravail de ce lieu.

Il est rappelé que l'ensemble des consignes concernant la conformité du lieu du télétravail sont des instructions en matière de santé et de sécurité contraignant le membre de l'équipe de prendre soin de sa sécurité et de sa santé au travail. Le non-respect de ces consignes est passible de sanctions disciplinaires pouvant aller jusqu'à un licenciement pour faute grave.

3.2 *Travailleurs handicapés*

Le télétravail est ouvert aux travailleurs handicapés selon les modalités suivantes:

- Adaptation du mobilier;
- Mise en place des logiciels particuliers;
- Aménagements de l'environnement de travail.

La section sur les [aménagements raisonnables (version en Anglais)](/handbook/people-policies/inc-usa/#reasonable-accommodation) de la politique interne prévoit des informations complémentaires.

#### 4. ORGANISATION DU TEMPS DE TRAVAIL

Pendant la période de télétravail, le membre de l'équipe organise librement son temps de travail sous réserve de respecter:

- La limite du temps de travail effectif journalier convenu dans le respect des plages horaires régulières applicables dans la Société, c'est-à-dire entre 9h le matin et 20h le soir.
- Les plages de disponibilités convenues avec le supérieur hiérarchique pendant lesquelles il doit pouvoir être joint par téléphone ou tout autre moyen de télécommunication utilisés au sein de la Société (notamment email, Slack, Zoom, etc.).
- Les limites imposées par la législation en vigueur concernant les temps de repos minimum (11 heures consécutives entre 2 journées de travail et 35 heures consécutives par semaine).

#### 5. TEMPS DE TRAVAIL ET CHARGE DE TRAVAIL

5.1 *Contrôle du temps du travail*

Pour chaque journée de télétravail, le membre de l'équipe effectue le temps de travail de référence qui lui est applicable. Le cas échéant, le télétravail ne peut générer aucune heure supplémentaire, sauf sur demande expresse de la hiérarchie.

Pour les jours de télétravail, le décompte du temps de travail est effectué selon un système auto-déclaratif dont le bilan mensuel doit être soumis sans demande au supérieur hiérarchique à la fin de chaque mois. La politique interne paie fournit plus d'informations à ce sujet: [Payroll - Global Upside France](/handbook/finance/payroll/#global-upside---france).

5.2 *Modalités de régulation de la charge de travail*

Le télétravail ne doit pas avoir pour effet d'augmenter la charge de travail habituelle du membre de l'équipe ou de compromettre la bonne exécution du travail.

Le membre de l'équipe communiquera régulièrement et au moins sur une base hebdomadaire avec son supérieur hiérarchique sur l'avancement de ses travaux. A cette occasion la charge de travail du membre de l'équipe pourra le cas échéant être réajustée si nécessaire. Le membre de l'équipe devra, en outre, contacter son supérieur hiérarchique sans délai en cas de difficulté de réalisation des travaux qui lui sont confiés, afin de trouver une solution au plus vite.

Indépendamment des réajustements éventuels en cours d'année, l'évolution de la charge de travail du membre de l'équipe sera discutée lors de l'entretien annuel prévu à l'article 10 de la Charte.

#### 6. ÉQUIPEMENTS DE TRAVAIL

La Société fournit, installe et entretient le matériel nécessaire à l'activité du membre de l'équipe.

Les équipements fournis se composent des éléments suivants:

- Un ordinateur portable,
- Tout logiciel nécessaires pour l'exécution des obligations contractuelles;
- Un écran si nécessaire;
- Un clavier/un souris, si nécessaire;
- Un bureau/une chaise ergonomique, si nécessaire,
- Une imprimante, si nécessaire.

Le membre de l'équipe s'engage:

- à prendre soin des équipements qui lui sont confiés ;
- à avertir immédiatement la Société en cas de panne ou de mauvais fonctionnement des équipements de travail.

En cas de besoin d'intervention sur l'équipement par un expert technique, le membre de l'équipe contactera l'équipe informatique via le canal Slack #it_help ou en ouvrant un Issue dans le Team Member Enablement Issue Tracker.

Le membre de l'équipe s'engage à prendre connaissance des consignes d'utilisation des équipements qui lui ont été données et à les respecter scrupuleusement sous peine de sanctions pouvant aller jusqu'au licenciement.

En cas de besoin et à la demande de la Société, le membre de l'équipe s'engage à suivre les formations nécessaires portant sur l'installation, l'utilisation et l'entretien de ce matériel et, en cours de période de télétravail, celles liées à son adaptation.

Le membre de l'équipe s'engage enfin, sous peine de sanctions pouvant aller jusqu'au licenciement, à utiliser les équipements mis à sa disposition par la Société conformément aux [politiques internes applicables](/handbook/people-group/acceptable-use-policy/).

La Société s'engage à prendre à sa charge les frais d'entretien, de réparation, voire, en tant que de besoin, de remplacement du matériel.

L'ensemble des équipements fournis par la Société restent sa propriété et à ce titre sont insaisissables.

Le membre de l'équipe s'engage à restituer le matériel fourni par la Société dès la fin du contrat de travail sans délai.

#### 7. ASSURANCES

Si le membre de l'équipe utilise son domicile pour télé-travailler, il s'engage à informer son assureur du fait qu'il travaille à son domicile avec du matériel appartenant à la Société et à remettre à cette dernière une attestation « multirisques » habitation couvrant son domicile.

La Société prend à sa charge les coûts supplémentaires d'assurance en résultant dans les conditions indiquées à l'article 9 de la Charte.

#### 8. PROTECTION DES DONNÉES

Le membre de l'équipe s'engage à respecter les politiques internes l'ainsi que les règles mises au point par la Société, destinées à assurer la protection et la confidentialité des données.

Le membre de l'équipe veillera, en particulier, à ne transmettre aucune information à des tiers et à verrouiller l'accès de son matériel informatique afin de s'assurer qu'il est le seul à utiliser son poste de travail.

#### 9. FRAIS DE TÉLÉTRAVAIL ET FRAIS PROFESSIONNELS

Les frais induits par l'utilisation du domicile d'un collaborateur du télétravail (wifi, chauffage, électricité, etc) seront couverts par l'entreprise conformément aux règles légales applicables au moment de l'engagement de la dépense.

Ceci signifie que vous recevrez montant de 57,20 euros minimum par mois, dans les limites fixées par notre [politique en matière de frais](/handbook/finance/expenses/), et sous réserve que vos dépenses de télétravail réellement induites mensuellement s'élèvent, au moins, à ce moment.

Actuellement, ceci est intégré à notre processus général de gestion des frais et des remboursements par le biais de notre outil d'évaluation des frais (Navan).

Toute dépense liée au télétravail doit, pour des besoins de traçabilité, être justifiée par les reçus et justificatifs appropriés.

Indépendamment des frais liés au télétravail, les frais engagés par le membre de l'équipe à des fins professionnels seront pris en charge par la Société selon les règles légales et les politiques internes applicables.

Outre la prise en charge des frais liés au télétravail le membre de l'équipe percevra une indemnité mensuelle de sujétion de 50€ bruts correspondant à la contrainte de l'affectation d'une partie de son domicile privé à des fins professionnelles. Cette indemnité fait partie intégrante de la rémunération fixe convenue dans le cadre du contrat de travail.

#### 10. ENTRETIEN ANNUEL

Le membre de l'équipe bénéficie d'un entretien annuel au cours duquel seront abordées notamment les conditions d'activité et la charge de travail liées au télétravail.

#### 11. PROTECTION DE LA VIE PRIVÉE

Si un moyen de surveillance est mis en place (contrôle technique, système ayant pour but de lutter contre la cybercriminalité, et cetera), le membre de l'équipe devra en être informé. Ce dispositif devra concerner exclusivement l'utilisation des outils mis à disposition pour l'exercice professionnel.

#### 12. FORMATION

Indépendamment de la formation spécifique liée à l'utilisation des équipements techniques mis à sa disposition, le membre de l'équipe a accès à la formation et aux possibilités de support et d'accompagnement afin d'assurer son évolution professionnelle.

#### 13. SANTE ET SÉCURITÉ

En cas de maladie ou d'accident pendant les jours de télétravail, le membre de l'équipe s'engage à prévenir le service Team Member Relations (teammemberrelations@gitlab.com)dans le délai de 24h maximum.

#### 14. TRADUCTION

En cas de conflit entre les versions en langue française et anglaise de la Charte, le texte en français prévaudra en toutes circonstances.

## English: GITLAB FRANCE S.A.S. REMOTE WORK CHARTER

### PREAMBLE

GitLab is one of the world's largest all-remote companies with over 1,700 team members located in more than 65 countries around the world.

GitLab's all-remote approach promotes hiring and working from all over the world and flexible working hours by empowering team members to work better together whether they are in the same location or spread across multiple time zones.

As a consequence, any and all team members employed by GitLab France S.A.S. (hereafter "the Company") are doing remote work on a 100% basis.

The present charter (hereinafter the "Charter") has been drawn up in order to implement and supervise remote work within the Company in accordance with the applicable legal framework.

#### 1. DEFINITION AND SCOPE OF APPLICATION

Remote work is any form of work organisation in which work that could have been carried out on the Company's premises is carried out by a team member outside these premises using information and communication technologies.

Fully remote work is one of the Company's hiring conditions.

This means that the Company does not have any Company premises and any and all team members do not have access to company premises/Company work spaces in order to carry out their duties for the Company.

Therefore, upon their hiring, any and all Company team members are carrying out 100% of their working time remotely.

Considering that this remote work organisation is an essential part of the employment contract, it can only be changed or terminated upon approval of both parties to the employment contract.

#### 2. PLACE OF REMOTE WORK

Remote work shall be carried out either at the team member's domicile or at a third place to be defined by mutual agreement between the Company and the concerned team member.

Domicile means the team member's usual place of residence, i.e. the one whose address appears on the pay slip.

Any and all remote work locations have to be situated on French territory.

#### 3. ADAPTATION AND COMPLIANCE OF THE PLACE OF WORK

3.1 *Conformity of the place of remote work*

In the case of domicile-based remote work, the team member must provide a workspace that complies with the rules relating to health, safety and working conditions and accepts that a representative of the Company checks the compliance of their accommodation.
A summary of the applicable requirements is annexed to the Charter.
The team member will be notified of the dates and times of the inspection at least 5 working days in advance.

In addition, the remote workplace has to comply with the requirements regarding the conformity of the electrical installations. In this context and prior to the start date, the team member must provide a recent electrical diagnosis or, failing that, a certificate on honour of the conformity of the electrical installation of the remote work place.

The team member may organise a diagnosis himself or herself (the costs incurred will be paid by the Company on presentation of respective proof).

In the event of relocation, the team member undertakes to notify the Company and to inform it of their new address. The new domicile may also be subject to a compliance check. In addition, the conformity of the electrical installations must be demonstrated as specified above.

In case of remote work in a third place, the team member undertakes to provide a declaration on their honour on the conformity of the electrical installation of this remote workplace, the respect of the rules relating to health, safety and working conditions (in particular in terms of ergonomics, lighting, etc.) and the coverage of this place by an insurance as per article 7 of the Charter. This declaration must be provided prior to taking up the remote workplace.

It is recalled that all the instructions concerning the conformity of the remote workplace are health and safety instructions obliging the team member to take care of his or her own safety at work. Failure to comply with these instructions may result in disciplinary action up to and including dismissal for gross misconduct.

3.2 *Disabled remote worker*

Remote work is open to disabled workers in the following ways:

- Adaptation of furniture;
- Installation of special software;
- Adaptation of the working environment.

The [reasonable accommodation]({{< ref "inc-usa#reasonable-accommodation" >}}) section of the Company handbook provides complementary information.

#### 4. ORGANISATION OF THE WORKING TIME

During the period of remote work, the team member is free to organise their working time provided that they respect:

- The limit of the agreed effective daily working time and with respect to the regular working time slots applicable in the Company, i.e. between 9am and 8pm.
- The periods of availability agreed with the team member's manager during which it must be possible to be reached by typical means of telecommunication used within the Company (in particular email, Slack, Zoom, etc.).
- The limits imposed by the legislation in force concerning minimum rest periods (11 consecutive hours between 2 working days and 35 consecutive hours per week).

#### 5. WORKING TIME AND WORKLOAD

5.1 *Control of working time*

For each day of remote work, the team member shall work the applicable reference working time. Where applicable, remote work may not generate any overtime, except at the express request of the management.

For remote work days, the working time is counted according to a self-reporting system, the monthly balance of which must be submitted to the manager without request at the end of each month. The Payroll handbook page provides more information in this regard with the [Global Upside - France](/handbook/finance/payroll/#global-upside---france) section.

5.2 *Modalities for workload regulation*

Remote work must not increase the team member's usual workload or jeopardise the proper performance of the work.

The team member shall communicate regularly and at least on a weekly basis with their manager on the progress of their work. On this occasion, the team member's workload may be readjusted if necessary. In addition, the team member shall contact their manager immediately in the event of any difficulty in carrying out the work entrusted to them, in order to find a solution as quickly as possible.

Regardless of any readjustments during the year, the evolution of the team member's workload will be discussed during the annual interview provided for in article 10 of the Charter.

#### 6. WORK EQUIPMENT

The Company provides and/or reimburses for the equipment necessary for the team member's activity.

The equipment provided consists of the following items:

- A laptop computer;
- Any software necessary for the performance of the contractual obligations;
- A screen if required;
- A keyboard/mouse, if required;
- A desk/ergonomic chair, if required,
- A printer, if required.

The team member undertakes:

- to take care of the equipment entrusted to them;
- to notify the Company immediately in the event of a breakdown or malfunction of the work equipment.

In the event of a need for intervention on the equipment by a technical expert, the team member will contact the IT team via the #it_help Slack channel or by opening an issue in the Team Member Enablement Issue Tracker.

The team member undertakes to take note of the instructions for use of the equipment given to them and to comply with them scrupulously under penalty of sanctions which may include dismissal.

If necessary and at the request of the Company, the team member undertakes to follow the necessary training on the installation, use and maintenance of this equipment and, during the remote work period, that is related to its adaptation.

Finally, the team member undertakes, under penalty of dismissal, to use the equipment provided by the Company in accordance with the [acceptable use policy](/handbook/people-group/acceptable-use-policy/).

The Company undertakes to bear the costs of maintenance, repair and, if necessary, replacement of the equipment.
All equipment provided by the Company remains its property and as such is exempt from seizure.

The team member undertakes to return the equipment provided by the Company at the end of the employment contract without delay.

#### 7. INSURANCES

If the team member uses their domicile to work remotely, they undertake to inform their insurer of the fact that they are working at their domicile with equipment belonging to the Company and to provide the latter with a "multi-risk" home insurance certificate covering their domicile.
The Company shall bear the resulting additional insurance costs – if there are any – under the conditions indicated in article 9 of the Charter.

#### 8. DATA PROTECTION

The team member undertakes to comply with the internal policies and rules developed by the Company to ensure data protection and confidentiality.

In particular, the team member will ensure that no information is passed on to third parties and that access to their computer equipment is locked to ensure that only they use their workstation.

#### 9. REMOTE WORK EXPENSES AND PROFESSIONAL EXPENSES

The expenses incurred by the use of the team member's domicile for remote work purposes (wifi, heating, electricity, etc) will be covered by the Company in accordance with the local regulations applicable at the time of expense.

This means that you shall receive a minimum payment of €57.20 per month, up to the limits set out in our [expenses policy](/handbook/finance/expenses/) and provided that your remote work expenses actually incurred monthly reach at least this amount.

Currently, this is incorporated into our general approach to managing expenses and reimbursement via our expensing tool (Navan).

Any remote work expense must, for traceability purposes, be substantiated by the appropriate receipts and justification.

Independently of the expenses related to remote work, the expenses incurred by the team member for professional purposes will be paid by the Company according to the applicable legal rules and internal policies.

In addition to the costs related to remote work, the team member will receive a monthly occupational allowance (indemnité de sujétion) of €50 gross corresponding to the constraint of using part of his private home for professional purposes. This allowance is an integral part of the fixed remuneration agreed in the employment contract.

#### 10. ANNUAL INTERVIEW

The team member shall have an annual interview during which the work conditions and the workload related to remote work shall be discussed.

#### 11. PROTECTION OF PRIVACY

If a means of surveillance is put in place (technical control, system to combat cybercrime, etc.), the team member must be informed. This system must relate exclusively to the use of tools made available for professional purposes.

#### 12. TRAINING

Apart from the specific training related to the use of the technical equipment provided, the team member has access to training, support and coaching in order to ensure his professional development.

#### 13. HEALTH AND SECURITY

In the event of illness or accident during the days of remote work, the team member undertakes to notify Team Member Relations (teammemberrelations@gitlab.com) within 24 hours.

#### 14. TRANSLATION

In the event of a conflict between the French and English version of the Charter, the French text shall prevail in all circumstances.

## Current and Past Versions (accessible internally only)

A PDF of the current version of the Charter is available [here](https://drive.google.com/file/d/1wWR8BnRFwmZURjYLHFE5_zzHh_UJB28u/view?usp=drive_link). If/when the Charter is updated, PDFs of previous versions will be made available here for transparency.

- [2021 version is available here](https://drive.google.com/file/d/1rIpcgcXNVDiAyhTPnBIDohItxUwzFb3D/view?usp=drive_link).
