---
title: "GitLab France S.A.S. Right to Disconnect Charter"
description: GitLab France S.A.S. Right to Disconnect Charter - French and English language versions.
---

{{% panel header="**This is a Secure Document**" header-bg="orange" %}}
Per the stated [Roles & Responsibilities](/handbook/people-policies/france-sas/#roles--responsibilities), changes to this page must be approved or merged by a code owner. All contributions are welcome and encouraged.
{{% /panel %}}

## Roles and Responsibilities

| Role | Responsibility |
|-----------|-----------|
| GitLab France S.A.S. Team Members | Responsible for following the requirements in these policies |
| People Ops | Responsible for implementing and executing these policies |
| Legal & People Ops Management (Code Owners) | Responsible for approving significant changes and exceptions to these policies |

<!-- vale handbook.Spelling = NO -->
## Français: GITLAB FRANCE S.A.S. CHARTE SUR LE DROIT À LA DÉCONNEXION

### 1. Objet

Chez GitLab (ci-après la «Société»), nous veillons à la sécurité, à la santé et au bien-être de tous les collaborateurs et mettons l'accent non pas sur le nombre d'heures travaillées mais plutôt sur la communication asynchrone ainsi que sur les résultats. Nous pensons que [la famille et les amis sont prioritaires et que le travail est secondaire](/handbook/values/#collaboration). Dans la droite ligne des valeurs de la Société, nous comprenons qu'il est essentiel de se « déconnecter » du travail pour favoriser une vie saine et équilibrée. Les progrès technologiques, les événements internationaux et les exigences professionnelles peuvent parfois nous faire oublier que nous avons besoin d'une pause pour nous ressourcer.

Le présent document (ci-après la « Charte ») a été établi afin de rappeler et de renforcer le droit à la déconnexion des salariés vis-à-vis des outils informatiques disponibles au sein de l'entreprise.

Il est attendu des salariés qu'ils se déconnectent du travail et des moyens de communication liés au travail en dehors de leurs heures de travail normales et pendant leurs congés, et l'objectif de ce document est d'encourager la déconnexion et de fournir des conseils sur la manière dont l'entreprise s'engage à soutenir tous les salariés dans cette démarche.

Par cette Charte, la Société réaffirme donc l'importance d'une bonne utilisation des outils informatiques afin de respecter les temps de repos et de congés, ainsi que l'équilibre entre la vie personnelle et familiale et la vie professionnelle.

### 2. Champ d'application

Cette Charte s'applique à tous les salariés, quels que soient leur poste, leur ancienneté et leur lieu de travail, conformément au droit français, et vise à renforcer les droits et obligations des salariés et de la Société conformément à la législation en vigueur. Pour toute information complémentaire en lien avec votre lieu de travail, veuillez-vous référer à la page de la politique globale propre à votre entité.

Tous les salariés sont invités à prendre connaissance de la présente Charte.

### 3. Déconnexion du travail

La déconnexion du travail signifie:

- L'engagement de la Société de ne pas solliciter le salarié pendant les périodes de repos;

- L'absence d'obligation pour le salarié de répondre aux sollicitations professionnelles pendant les périodes de repos;

- L'absence de sanction ou de reproche en cas d'absence de réponse ou de refus de traiter des sujets professionnels en dehors de ces périodes et le respect du droit d'autrui à se déconnecter;

- L'assurance que les éventuels comportements contraires ne seront ni encouragés, ni valorisés, ni récompensés.

Il existe une multitude de formes de communication, mais les moyens de communication utilisés dans notre Société comprennent les emails, les messages Slack, les mentions de problèmes et de MR (« issue and MR mentions »), ainsi que les visio-conférences. Cette liste n'est pas exhaustive et peut être complétée en fonction de l'évolution de la technologie et de nos activités.

Nous nous attendons à ce que les salariés soient en mesure, sauf dans les circonstances décrites ci-dessous, de se déconnecter complètement du travail en dehors de leurs heures de travail normales et pendant leurs périodes de repos.

À cet égard, l'entreprise précise que les périodes de repos, les congés et les périodes de suspension du contrat de travail doivent être respectés par tous les salariés de la Société.

Sauf en cas de situation urgente avérée:

- Aucun gestionnaire/superviseur ne devrait contacter ses collaborateurs par téléphone en dehors de leur temps de travail tel que défini dans le contrat de travail ou conformément à l'horaire collectif de travail applicable au sein de l'entreprise;

- Les salariés ne sont pas tenus de lire ou de répondre aux e-mails qui leur sont adressés en dehors de leur temps de travail. Il en va de même pour les appels professionnels ou les messages reçus pendant les périodes de repos ou de vacances.

Toute dérogation doit être justifiée par la gravité, l'urgence et/ou l'importance de la situation.

### 4. Dérogations et flexibilités en cas d'urgence

En tant que société internationale travaillant à distance et utilisant la communication asynchrone comme base de travail, tous les salariés ne seront pas déconnectés en même temps, ni aux mêmes heures tous les jours. Nous nous efforcerons de faire preuve de cohérence et, en retour, nous demanderons de la flexibilité si nécessaire.

Par conséquent, bien que les salariés aient le droit d'être déconnectés en dehors des périodes de travail habituelles, il peut y avoir des exceptions en cas d'urgence ou de situations exceptionnelles liées aux exigences du bon fonctionnement de l'activité de l'entreprise.

Sur une base strictement exceptionnelle et dûment justifiée, les salariés peuvent être contactés en dehors de leurs heures de travail habituelles dans des circonstances très limitées telles que, par exemple:

- les situations d'urgence (dysfonctionnements technologiques ou mécaniques, failles de sécurité, blessures, etc;)
- Les demandes urgentes et imprévisibles des clients;
- a nécessité d'achever un projet dans l'urgence malgré une bonne planification;
- Les périodes de forte activité prévisibles au cours desquelles il peut vous être demandé de travailler plus d'heures;
- Les périodes d'astreinte programmées; et
- Les tests de systèmes et de communications d'urgence.

### 5. Engagement et responsabilités

La Société s'engage à contrôler et à faire respecter la présente Charte. Dans cette optique, la Société considère qu'il est important de définir les attentes tant pour les gestionnaires/superviseurs que pour les collaborateurs.

(a) *Gestionnaires/Superviseurs*

Il incom be à tous les gestionnaires/superviseurs de:

(i) Connaître les horaires de travail et les périodes de repos de leurs collaborateurs directs et communiquer tout changement d'horaire aux membres de l'équipe le plus rapidement possible, dans les limites autorisées par la loi;

(ii) Fixer des attentes claires et raisonnables en ce qui concerne la charge de travail et les résultats attendus;

(iii) Définir des attentes claires et raisonnables en ce qui concerne le moment où le travail et l'engagement dans des communications liées au travail, en dehors des heures de travail normales, peuvent être exigés dans le cadre normal du travail du membre de l'équipe;

(iv) Vérifier que les membres de l'équipe prennent les pauses réglementaires, les congés et les autres périodes de repos quotidiennes/hebdomadaires prévues par la loi;

(v) S'assurer que les autres membres de l'équipe respectent la Charte lorsqu'ils communiquent avec leurs collègues;

(vi) Ne pas pénaliser ou traiter différemment un membre de l'équipe pour avoir exercé ses droits en vertu de la présente Charte ou de la loi;

(vii) Ne pas encourager, valoriser ou récompenser un comportement différent susceptible d'entrer en conflit avec la Charte; et

(b) *Collaborateurs*

Il incombe à tous les Salariés de:

(i) Gérer leur temps et travailler efficacement afin de s'assurer que les résultats attendus sont atteints dans le cadre de leurs heures de travail normales, à moins qu'une circonstance exceptionnelle ne survienne, auquel cas il convient d'en informer immédiatement le gestionnaire/superviseur du membre de l'équipe;

(ii) Se conformer pleinement à tout dispositif utilisé par la Société pour mesurer le temps de travail et enregistrer avec précision leurs heures de travail;

(iii) Être attentif aux horaires de travail des collègues et des clients (ne pas systématiquement utiliser slack, ne pas envoyer de courrier électronique ou ne pas téléphoner en dehors des heures de travail normales ou pendant les périodes de repos);

(iv) Connaître les procédés permettant de retarder l'envoi des emails et les messages slack au jour ouvrable suivant et utiliser ces procédés chaque fois que cela est possible; et

(v) S'adresser à son supérieur hiérarchique s'il estime que sa charge de travail l'empêche de se déconnecter du travail dans le cadre de la présente Charte, et en particulier s'il n'est pas en mesure de prendre ses périodes de repos quotidiennes et hebdomadaires comme l'exige la loi.

### 6. Comportements recommandés favorisant l'exercice du droit à la déconnexion

La Société n'a pas l'intention de dicter strictement quand et comment un salarié doit communiquer avec un autre ou lui répondre, car cela n'est tout simplement pas réalisable.

Toutefois, nous attendons de chacun qu'il se conforme à la présente Charte et qu'il soit attentif à ses messages (y compris le ton et le timing) en dehors de ses heures de travail habituelles ou de celles du destinataire.

Voici quelques suggestions aux collaborateurs pour promouvoir le droit à la déconnexion, prévenir la surcharge d'information et le stress liés à l'utilisation des outils numériques professionnels:

(a) L'utilisation du mail professionnel est-elle appropriée par rapport aux autres outils de communication disponibles (slack)?

(b) La communication doit-elle vraiment être transmise à ce moment précis ou peut-elle être reportée aux heures normales de travail?

(c) Le délai de réponse est-il nécessaire ou justifié?

(d) Le destinataire (client, consommateur, fournisseur) auquel la communication est envoyée a-t-il des exigences en ce qui concerne le moment où il souhaite être contacté?

(e) Le destinataire est-il connu pour être en congé, en déplacement ou occupé à d'autres tâches urgentes et, dans ce cas, la communication peut-elle être retardée jusqu'à ce que le destinataire soit disponible ou peut-elle être redirigée vers quelqu'un d'autre?

(f) L'objet du message indique-t-il de manière appropriée le contenu du message et s'il doit être traité immédiatement ou s'il peut attendre?

(g) Les fonctions "cc" et "cci" sont-elles utilisées avec parcimonie?

(h) Chaque pièce jointe est-elle pertinente?

(i) Si vous communiquez ou collaborez régulièrement avec des membres de votre équipe qui travaillent dans un fuseau horaire différent du vôtre ou qui ont des horaires de travail différents des vôtres, vos communications comprennent-elles une note indiquant que le destinataire peut répondre pendant ses heures de travail habituelles et non pendant ses périodes de repos quotidiennes ou hebdomadaires (par exemple :  « Je travaille actuellement de manière flexible et, bien que je puisse envoyer ce courriel maintenant, je n'attends pas de réponse ou d'action en dehors de vos propres heures de travail »)?

(j) Avez-vous mis à jour vos messages électroniques d'absence du bureau afin de vous assurer que les personnes qui ont envoyé un message savent quand vous leur répondrez ou à qui elles peuvent adresser leur demande en votre absence?

### 7. Communications

Nous communiquons de manière respectueuse et professionnelle à tout moment, conformément aux valeurs de la Société, en privilégiant la communication asynchrone et en donnant la priorité à la documentation, et nous partons d'une intention positive dans nos relations avec les autres (y compris en ce qui concerne le ton et le moment des communications). Prenez l'initiative de travailler de manière asynchrone chaque fois que cela est possible. Cela témoigne d'une attention et d'une considération pour ceux qui, entre autres, sont en dehors des heures de travail et se sont déconnectés du travail. Cela se traduit par la communication d'enregistrements de réunions, l'utilisation de « GitLab Issues » et de « Merge Requests » plutôt que de textes, d'appels ou de messages Slack, et la prise en compte des jours fériés locaux et des périodes de vacances. Encouragez les autres à utiliser la documentation par défaut plutôt que de faire pression sur les autres pour qu'ils soient en ligne en dehors de leurs heures de travail.

Lorsqu'il envoie une communication, l'expéditeur doit tenir compte du moment et du fait que cela risque de déranger, et le destinataire doit comprendre qu'il n'est pas tenu d'y répondre avant la reprise de son horaire de travail. Les salariés doivent être attentifs à la quantité de télécommunications qu'ils ont chaque jour et savoir la gérer.

Nous sommes conscients que de nombreux salariés sont actifs sur les réseaux sociaux mais nous vous rappelons que si vous choisissez de communiquer avec d'autres salariés de GitLab sur les réseaux sociaux, vous devez rester professionnel et prendre en compte les  [GitLab's Communication Guidelines]({{< ref "communication" >}})  (« Directives de communication de GitLab ») en toutes circonstances, dans les limites permises par la loi. Les salariés ne doivent pas se sentir obligés de répondre aux messages de leurs collègues sur les réseaux sociaux en dehors de leurs heures de travail, voir la [Team Member Social Media Policy](/handbook/marketing/team-member-social-media-policy/) (« Politique des médias sociaux des salariés ») pour plus de détails.

### 8. Réunions

La Société vous demande de [respecter le temps des autres](/handbook/values/#be-respectful-of-others-time) et de tenir compte de l'investissement en temps demandé aux autres lorsqu'ils assistent à des réunions. Essayez d'éviter les réunions et, si une réunion est nécessaire, essayez de rendre la participation facultative pour le plus grand nombre possible de personnes. Toutes les réunions doivent avoir un ordre du jour lié à l'invitation, et vous devez en documenter les conclusions. Au lieu de faire en sorte que les gens demandent la permission, faites leur confiance et soyez disponibles s'ils ont des questions.

### 9. Conseils

En plus des conseils donnés à l'échelle globale dans la section Communicating Your Time Off [Communiquer sur votre temps libre]({{< ref "paid-time-off#communicating-your-time-off" >}}), prenez connaissance des conseils suivants pour améliorer votre capacité à vous déconnecter du travail, à tirer le meilleur parti de vos congés et à faciliter votre retour au travail:

- Désabonnez-vous de tous les MR qui seront probablement résolus pendant votre absence, ce qui vous évitera d'avoir à traiter tous les e-mails qu'ils vous enverront à votre retour.
- Mettez en place des filtres de messagerie pour classer les e-mails dans des catégories que vous pourrez traiter un par un à votre retour.
- Déconnectez-vous de Slack et de Gmail de l'une ou l'autre de ces façons : REMARQUE : Time Off by Deel est censé désactiver les notifications Slack sur votre téléphone et activer le mode DND. Mais juste au cas où, vous pouvez faire l'une de ces opérations:
  - vous déconnecter de Slack et de Gmail sur votre téléphone, ou;
  - supprimer Slack et Gmail de votre téléphone, ou;
  - mettre en pause les applications Slack et Gmail sur votre téléphone, ou;
  - configurer manuellement Slack et Gmail pour qu'ils n'envoient pas de notifications sur votre téléphone.

### 10. Engagements de la société en matière de sensibilisation et de formation au droit à la déconnexion

La Société affirme que les technologies de l'information et de la communication (TIC) font partie intégrante de l'environnement de travail et sont nécessaires au bon fonctionnement de l'entreprise. Porteuses de lien social, facilitant les échanges et l'accès à l'information, elles doivent toutefois être utilisées à bon escient, dans le respect des personnes et de leur vie privée, afin de garantir l'effectivité du respect des durées minimales de repos.

Dans ce cadre, et en plus des conseils et recommandations susmentionnés, la Société s'engage notamment à:

- Sensibiliser, et former si nécessaire, chaque salarié à l'utilisation raisonnée et équilibrée des outils numériques.
- Mettre à la disposition de chaque salarié un accompagnement personnalisé.

Ces dispositifs seront régulièrement mis à jour pour être adaptés aux demandes et besoins des salariés.

### 11. Signalements

Cette charte sera réexaminée si nécessaire et nous encourageons les membres de l'équipe à s'adresser à leur supérieur ou à un membre ressources humaines s'ils ont des inquiétudes concernant cette charte, notamment en cas de violation potentielle.

Si un membre de l'équipe:

- Considère ne pas être en mesure d'exercer correctement son droit à la déconnexion;
- estime que son supérieur hiérarchique ne respecte pas la charte ou ne se sent pas à l'aise pour soulever une question relative à la charte auprès de son supérieur hiérarchique;

Ledit Salarié peut contacter le service des ressources humaines ou Team Member Relations au teammemberrelations@gitlab.com.

Les membres de l'équipe qui ne respectent pas la présente charte peuvent faire l'objet de mesures disciplinaires.

### 12. Traduction

En cas de conflit entre les versions en langue française et anglaise de la Charte, le texte en français prévaudra en toute circonstance.

### 13. Entrée en vigueur de la Charte

La présente Charte entre en vigueur le 3 Avril 2023.

La présente Charte est conclue pour une durée indéterminée.
<!-- vale handbook.Spelling = YES -->
## English: GITLAB FRANCE S.A.S. RIGHT TO DISCONNECT CHARTER

### 1. Purpose

At GitLab (hereinafter the "Company"), we support the safety, health and well-being of all team members and we operate with an emphasis on asynchronous communication and a focus on impact, not activity. We believe that family and friends should come first and work should come second. In line with company values, we understand that "disconnecting" from work is critical in order to foster a healthy and well-rounded life. Technological advancements, world events, and work demands, can, at times, cause us to forget that we need a break from work to recharge.

The present document (hereinafter the "Charter") has been drawn up in order to reiterate and reinforce team members' right to disconnect from IT tools available within the Company.

It is expected that team members will disconnect from work and work-related communications outside of their normal working hours and during PTO, and the purpose of this document is to encourage disconnection, and to provide guidance on how the Company is committed to supporting all team members to do so.

Through this Charter, the Company therefore reaffirms the importance of proper use of IT tools in order to respect rest and vacation time, as well as the balance between personal and family life and professional life.

### 2. Applicability

This Policy applies to all team members regardless of position, tenure, and work location, to the extent permitted by French law, and is intended to support existing rights and obligations of team members and the Company under those laws. For any additional information regarding your specific work location, please refer to the entity-specific employment policy page.

All team members should familiarise themselves with this Policy.

### 3. Disconnecting from work

Disconnecting from work means:

- The Company's undertaking not to solicit team members during rest periods;

- The absence of obligation for team members to respond to work-related solicitations during rest periods;

- The absence of any penalty or reproach for not responding or declining to attend to work matters outside of those times and showing respect for another person's right to disconnect;

- The assurance that different behaviours will not be encouraged, valued or rewarded.

There are myriad forms of communication, but work-related communications in our Company include emails, slack messages, issue and MR mentions, and virtual meetings. This list is not exhaustive, and may expand as technology and our business evolve.

It is our expectation that team members should, except in the circumstances set out below, be able to completely disconnect from work outside of their regular working hours and during their rest periods.

In this regard, the Company states that rest periods, vacations and suspension of the employment contract must be respected by all team members.

Except in cases of established emergency:

- Managers may not contact their reports by telephone outside their working time as defined in the employment contract or the collective working hours applicable within the Company;

- Team members are not required to read or respond to e-mails addressed to them outside of their working time. The same applies to business calls or messages received during rest periods or vacations.

In addition, any derogation must be justified by the seriousness, urgency and/or importance of the matter in question.

### 4. Exceptions and flexibility toward emergencies

As a global remote company that uses asynchronous communication as a starting point, not every team member will be disconnected at the same time, and team members may not be disconnected during the same hours every day. We will strive for consistency, and in return ask for flexibility when necessary.

Therefore, although team members have the right to be disconnected outside the usual working periods, there may be exceptions in case of emergencies or exceptional situations related to the requirements of the proper functioning of the Company's activity.

On a strictly exceptional and duly justified basis, team members may be contacted outside of their regular working hours in very limited circumstances such as, for instance:

- Emergencies (technological or mechanical malfunctions, security breaches, injury, etc);

- Urgent and unforeseeable client or customer demands;

- The need to urgently complete a project despite proper planning;

- Anticipated high volume periods where you may be asked to work additional hours;

- Scheduled "on-call" periods; and

- System or emergency communication testing.

### 5. Commitment and responsibilities

The Company commits to monitoring and enforcing this Charter. With this in mind, the Company believes that it is important to set out expectations for both managers and individual contributors.

(a) Managers

It is the responsibility of all managers to:

(i) Know the regular working hours of their direct reports, and communicate any changes in scheduling to team members in as timely a manner as possible to the extent permitted by French law;

(ii) Set clear and reasonable expectations with respect to workload and  deliverables;

(iii) Set clear and reasonable expectations with respect to when work, and engaging in work-related communications, outside of regular working hours may be required as a normal part of the team member's job;

(iv) Check that team members are taking statutory breaks, vacation, and other daily/weekly rest periods as may be required by French law;

(v) Ensure that other team members are complying with the Charter when communicating with their co-workers;

(vi) Not penalise or unfairly treat a team member for exercising their rights under this Charter or French law;

(vii) Not encourage, value or reward different behaviour that may conflict with the Charter; and

(b) Individual Contributors

It is the responsibility of all team members to:

(i) Manage their time and work efficiently in order to ensure that their deliverables are met within their regular working hours unless an exceptional circumstance arises in which case this should be communicated immediately to the team member's manager;

(ii) Cooperate fully with any appropriate mechanism utilized by the Company  to record working time, and accurately record their hours;

(iii) Be mindful of colleagues' and customers' or clients' working hours (do not routinely slack, email or call outside regular working hours or during rest periods);

(iv) Be knowledgeable of methods to delay emails and slack messages to the next working day and use those techniques wherever feasible; and

(v) Speak with their manager if they feel their workload is preventing them from being able to disconnect from work under this Charter, and in particular if they are unable to take their daily and weekly rest periods as required by French law.

### 6. Recommended behaviours favouring the exercise of the right to disconnect

It is not the Company's intention to strictly dictate when and how team members should communicate with or respond to one another because that is simply not practical.

However, we do expect that everyone will comply with this Charter and be mindful of their communications (including the tone and timing) when it is outside of their, or the recipient's regular working hours.

Here are some suggested considerations for team members to promote the right to disconnect, prevent information workload and stress related to the use of professional digital tools:

(a) Is the use of professional email appropriate vs. other available communication tools (i.e. slack message)?

(b) Must the communication really be sent at this moment or can it be delayed until regular working hours?

(c) Is the deadline for the required response necessary or justified?

(d) Does the recipient (client, customer, supplier) to whom the communication is being sent have any expectations regarding when they wish to receive communications?

(e) Is the recipient known to be on vacation, on leave, dealing with other urgent matters, and if so, can the communication be delayed until the recipient is available or can the communication be redirected to someone else?

(f) Does the subject line appropriately identify the content of the message and whether it must be dealt with immediately or whether it can wait?

(g) Is the "cc" and "cci" functions used sparingly?

(h) Is each attachment relevant?

(i) If you are regularly communicating or collaborating with team members working in a different time zone than you, or who otherwise has different working hours than you, do your communications include a note that the recipient may respond during their regular working hours and not during their daily or weekly rest periods?  (for example  "I am currently working flexibly so while it suits me to send this email now, I do not expect a response or action outside your own working hours")

(j) Have you updated your electronic out of office notifications to ensure that those who have sent a message are aware when you will be responding to them or to whom they may direct their inquiry in your absence?

### 7. Communications

We communicate respectfully and professionally at all times, in line with the Company's values, with a bias towards asynchronous communication and documentation-first and we assume positive intent in our dealings with others (including in relation to the tone and timing of communications). Take initiative to operate asynchronously whenever possible. This shows care and consideration for those who, among other things, are outside of working hours and have disconnected from work. This is demonstrated by communicating recordings of meetings, using GitLab Issues and Merge Requests rather than texts, calls, or Slack messages, and being sensitive to local holidays and vacation statuses. Encourage others to default to documentation rather than pressuring others to be online outside of their working hours.

When sending a communication, the sender should give due consideration to the timing and potential for disturbance, and the recipient should understand that they will not be expected to respond until their working time recommences. Team members should be mindful of, and manage, how much virtual communication they have each day.

We recognize that many team members engage in social media activity and note that if you choose to connect with fellow team members of GitLab on social media, you have to keep it professional and consider GitLab's Communication Guidelines at all times, to the extent permitted by French law. Team members should not feel that they must respond to social communications from colleagues outside of their working hours, see the Team Member Social Media Policy for more details.

### 8. Meetings

The Company asks that we be respectful of others' time and consider the time investment others are asked to make when attending meetings. Try to avoid meetings, and if one is necessary, try to make attendance optional for as many people as possible. All meetings should have an agenda linked from the invite, and you should document the outcome. Instead of having people ask permission, trust their judgement and offer a consultation process if they have questions.

### 9. Tips to help

In addition to the company-wide tips in Communicating Your Time Off, take a look at these tips to increase your ability to disconnect from work, truly make the most of your time off, and make it easier to return to work:

- Unsubscribe from any MRs that will likely resolve while you're away, and then you won't have to deal with all the emails from them when you return.
- Set up some email filters to move emails into buckets that you can address one-at-a-time when you return.

Disconnect yourself from Slack and Gmail in any of these ways: NOTE: Time Off by Deel is supposed to turn off Slack notifications on your phone and set DND mode. But just in case, you may want to do one of these:

- log out from Slack and Gmail on your phone, or;
- remove Slack and Gmail from your phone, or;
- pause the Slack and Gmail apps on your phone, or;
- manually configure Slack and Gmail to send no notifications on your phone.

### 10. Company's undertakings regarding awareness and training on the right to disconnect

The Company affirms that information and communication technologies are an important part of the work environment and are necessary for the efficient running of the Company. They are a source of social interaction, facilitating exchanges and access to information, but they must be used wisely, with respect for individuals and their privacy, to ensure that minimum rest periods are respected.

In this context, and in addition to above-mentioned tips and recommendations, the Company undertakes in particular to:

- Raise awareness, and train if necessary, each team member in the reasoned and balanced use of digital tools.
- Provide each team member with personalized support.

These measures will be regularly updated and adapted to team members' requests and needs.

### 11. Raising concerns

The effectiveness of the Charter will be reviewed as required and we encourage team members to speak with their manager or a member of Team Member Relations if they have any concerns regarding this Charter including potential violation by others.

If a team member:

- Considers not being able to properly exercise their right to disconnect;
- Believes that their manager is not complying with the Charter, or otherwise is not comfortable raising an issue regarding the Charter with their manager;

The said team member may contact Team Member Relations.

Team members who do not comply with this Charter may be subject to disciplinary action.

### 12. Translation

In the event of a conflict between the French and English version of the Charter, the French text shall prevail in all circumstances.

### 13. Entry into force of the Charter

This version of the Charter shall enter into force on 3 April 2023.

This Charter is concluded for an indefinite period.

## Current and Past Versions (accessible internally only)

A PDF of the current version of the Charter is available [here](https://drive.google.com/file/d/11yL_Lw1qpoHp1dZ_zYowR1Dlcvmn7kfV/view?usp=drive_link). If/when the Charter is updated, PDFs of previous versions will be made available here for transparency.
