---
title: "GitLab Ireland Ltd Right to Disconnect Policy"
description: GitLab Ireland Ltd Right to Disconnect Policy
---

{{% panel header="**This is a Secure Document**" header-bg="orange" %}}
Per the stated [Roles & Responsibilities](/handbook/people-policies/ireland-ltd/#roles--responsibilities), changes to this page must be approved or merged by a code owner. All contributions are welcome and encouraged.
{{% /panel %}}

## Roles and Responsibilities

| Role | Responsibility |
|-----------|-----------|
| GitLab Ireland Ltd Team Members | Responsible for following the requirements in these policies |
| People Ops | Responsible for implementing and executing these policies |
| Legal & People Ops Management (Code Owners) | Responsible for approving significant changes and exceptions to these policies |

## 1. Purpose

At GitLab (the "Company"), we support the safety, health and [well-being](/handbook/company/culture/all-remote/mental-health/#introduction) of all team members and we operate with an emphasis on [asynchronous communication](/handbook/company/culture/all-remote/asynchronous/) and a focus on impact, not activity. We believe that [family and friends should come first and work should come second](/handbook/values/#family-and-friends-first-work-second). In line with company values, we understand that "disconnecting" from work is critical in order to foster a healthy and well-rounded life. Technological advancements, world events, and work demands, can, at times, cause us to forget that we need a break from work to recharge.

It is expected that team members will disconnect from work and work-related communications outside of their normal working hours and during PTO, and the purpose of this Right to Disconnect Policy ("Policy") is to encourage disconnection, and to provide guidance on how the Company is committed to supporting all team members to do so.

## 2. Applicability

This Policy applies to all team members regardless of position, tenure, and work location, as local laws permit, and is intended to support existing rights and obligations of team members and the Company under those laws. For any additional information regarding your specific work location, please refer to the [entity-specific employment policies](/handbook/people-policies/#entity-specific-employment-policies).

All team members should familiarise themselves with this Policy.

## 3. Disconnecting from work

Disconnecting from work means not engaging in work-related communications, to be free from being expected to routinely perform work outside of your working hours, the absence of any penalty for declining to attend to work matters outside of those times and showing respect for another person's right to disconnect.

There are myriad forms of communication, but work-related communications in our Company include emails, slack messages, issue and MR mentions, and virtual meetings. This list is not exhaustive, and may expand as technology and our business evolve. It is our expectation that team members should, except in the circumstances set out below, be able to completely disconnect from work outside of their regular working hours.

## 4. Exceptions

As a global remote company that uses asynchronous communication as a starting point, not every team member will be disconnected at the same time, and team members may not be disconnected during the same hours every day. We will strive for consistency, and in return ask for flexibility when necessary. From time to time, team members may be contacted outside of their regular working hours in certain circumstances, including but not limited to:

(a) emergencies (technological or mechanical malfunctions, security breaches, injury, etc.);
(b) filling in for an unexpectedly absent co-worker;
(c) urgent and unforeseeable client or customer demands;
(d) the need to complete a project despite proper planning;
(e) anticipated high volume periods where you may be asked to work additional hours;
(f) scheduled "on-call" periods; and
(g) system or emergency communication testing.

## 5. Commitment and responsibilities

The Company commits to monitoring and enforcing this Policy. With this in mind, the Company believes that it is important to set out expectations for both managers and individual contributors.

(a) Managers

It is the responsibility of all managers to:

(i) know the regular working hours of their direct reports, and communicate any changes in scheduling to team members in as timely a manner as possible;
(ii) set clear and reasonable expectations with respect to workload and  deliverables;
(iii) set clear and reasonable expectations with respect to when work, and engaging in work-related communications, outside of regular working hours may be required as a normal part of the team member's job;
(iv) ensure that team members are taking statutory breaks, vacation, and other rest periods as may be required by law;
(v) ensure that other team members are complying with the Policy when communicating with their co-workers;
(vi) not penalise or unfairly treat a team member for exercising their rights under this Policy or any relevant legislation; and

(b) Individual Contributors

It is the responsibility of all team members to:
(i) manage their time and work efficiently in order to ensure that their deliverables are met within their regular working hours unless an exceptional circumstance arises in which case this should be communicated immediately to the team member's manager;
(ii) cooperate fully with any appropriate mechanism utilized by the Company  to record working time, and accurately record their hours;
(iii) be mindful of colleagues' and customers' or clients' working hours (do not routinely slack, email or call outside regular working hours);
(iv) be knowledgeable of methods to delay emails and slack messages to the next working day and use those techniques wherever feasible; and
(v) speak with their manager if they feel their workload is preventing them from  being able to disconnect from work under this Policy, and in particular if they are unable to take the rest periods as required by law.

## 7. Expectations

It is not the Company's intention to strictly dictate when and how we communicate with or respond to one another because that is simply not practical. However, we do expect that everyone will comply with this Policy and be mindful of their communications (including the tone and timing) when it is outside of their, or the recipient's regular working hours. Here are some suggested considerations before a team member hits send or disconnects:

(a) Must the communication really be sent at this moment or can it wait until regular working hours?
(b) Does the recipient (client, customer, supplier) to whom the communication is being sent have any expectations regarding when they wish to receive communications?
(c) Is the recipient known to be on vacation, on leave, dealing with other urgent matters, and if so, can the communication be delayed until the recipient is available or can the communication be redirected to someone else?
(d) Does the subject line appropriately identify the content of the message and whether it must be dealt with immediately or whether it can wait?
(e) If you are regularly communicating/collaborating with team members working in a different time zone than you, or who otherwise has different working hours than you, do your communications include a note that the recipient may respond during their regular working hours?  (for example  "I am currently working flexibly so while it suits me to send this email now, I do not expect a response or action outside your own working hours")
(f) Have you updated your electronic out of office notifications to ensure that those who have sent a message are aware when you will be responding to them or to whom they may direct their inquiry in your absence?

## 8. Communications

We communicate respectfully and professionally at all times, in line with the Company's values, with a bias towards asynchronous communication and [documentation-first]({{< ref "documentation" >}}) and we [assume positive intent](/handbook/values/#assume-positive-intent) in our dealings with others (including in relation to the tone and timing of communications). Take initiative to operate asynchronously whenever possible. This shows care and consideration for those who, among other things, are outside of working hours and have disconnected from work. This is demonstrated by communicating recordings of meetings, using GitLab Issues and Merge Requests rather than texts, calls, or Slack messages, and being sensitive to local holidays and vacation statuses. Encourage others to default to documentation rather than pressuring others to be online outside of their working hours. When sending a communication, the sender should give due consideration to the timing and potential for disturbance, and the recipient should understand that they will not be expected to respond until their working time recommences. Team members should be mindful of, and manage, how much virtual communication they have each day.

We recognize that many team members engage in social media activity and note that if you choose to connect with fellow team members of GitLab on social media, you have to keep it professional and consider [GitLab's Communication Guidelines]({{< ref "communication" >}}) at all times. Team members should not feel that they must respond to social communications from colleagues outside of their working hours, see the [Team Member Social Media Policy](/handbook/marketing/team-member-social-media-policy/) for more details.

## 9. Meetings

The Company asks that we [be respectful of others' time](/handbook/values/#be-respectful-of-others-time) and consider the time investment others are asked to make when attending meetings. Try to avoid meetings, and if one is necessary, try to make attendance optional for as many people as possible. All meetings should have an agenda linked from the invite, and you should document the outcome. Instead of having people ask permission, trust their judgement and offer a consultation process if they have questions.

## 10. Tips to help

In addition to the company-wide tips in [Communicating Your Time Off]({{< ref "paid-time-off#communicating-your-time-off" >}}), take a look at these tips to increase your ability to disconnect from work, truly make the most of your time off, and make it easier to return to work:

- Unsubscribe from any MRs that will likely resolve while you're away, and then you won't have to deal with all the emails from them when you return.
- Set up some email filters to move emails into buckets that you can address one-at-a-time when you return.
- Disconnect yourself from Slack and Gmail in any of these ways: NOTE: Time Off by Deel is supposed to turn off Slack notifications on your phone and set DND mode. But just in case, you may want to do one of these:
  - log out from Slack and Gmail on your phone, or
  - remove Slack and Gmail from your phone, or
  - pause the Slack and Gmail apps on your phone, or
  - manually configure Slack and Gmail to send no notifications on your phone.

## 11. Raising concerns

The effectiveness of the Policy will be reviewed as required and we encourage team members to speak with their manager or a member of Team Member Relations if they have any concerns regarding this Policy including potential violation by others. If a team member believes that their manager is not complying with the Policy, or otherwise is not comfortable raising an issue regarding the Policy with their manager, the team member may contact Team Member Relations at teammemberrelations@gitlab.com. Team members who do not comply with this Policy may be subject to disciplinary action.

## Current and Past Versions (accessible internally only)

A PDF of the current version of this Policy is available [here](https://drive.google.com/file/d/1Ne4YfyJHi44c6DaSR98UHZ52YGWr4W4u/view?usp=drive_link). If/when the Policy is updated, PDFs of previous versions will be made available here for transparency.
