---
title: Leave of Absence
description: "GitLab's Company-wide Leave of Absence policies."
---

## Company-Wide Leave of Absence Policies

GitLab's leave policies are intended to provide team members time away from work to care for themselves as they recover from a serious health condition, care for a family member recovering from a serious health condition, to bond with a newborn or a newly placed child for adoption, to serve in the military, etc.

Your Absence Managment team is here to help before, during, or after your leave. If you have any questions related to your time away after reviewing this page, please contact `leaves@domain` to discuss or request a 1:1 with the Absence Management team.

This page is designed to educate our team members about the different GitLab-specific leave policies available.  Whenever allowed by law these leave programs are coordinated and run concurrently any entity specific leaves a team member may be eligible for. To find any entity-specific leave programs you may be eligible for, please click on the link below.

- [GitLab B.V. Netherlands Leave Policy](/handbook/total-rewards/benefits/general-and-entity-benefits/bv-benefits-netherlands/#gitlab-bv-netherlands-leave-policy)
- [GitLab B.V. Belgium Leave Policy](/handbook/total-rewards/benefits/general-and-entity-benefits/bv-benefits-belgium/#gitlab-bv-belgium-leave-policy)
- [Global Upside (India, Philippines, Kenya, Chile, Costa Rica, Denmark and Latvia)](/handbook/total-rewards/benefits/general-and-entity-benefits/global-upside-benefits-india/)
- [GitLab Inc (US)](/handbook/people-policies/leave-of-absence/us/)
- [GitLab LTD (UK)](/handbook/total-rewards/benefits/general-and-entity-benefits/ltd-benefits-uk/)
- [GitLab GmbH (Germany)](/handbook/entity/gmbh-germany/)
- [GitLab PTY (Australia & New Zealand)](/handbook/total-rewards/benefits/general-and-entity-benefits/pty-benefits-australia/)
- [GitLab Canada Corp](/handbook/total-rewards/benefits/general-and-entity-benefits/canada-corp-benefits/)
- [GitLab GK (Japan)](/handbook/total-rewards/benefits/general-and-entity-benefits/gitlab-gk/)
- [GitLab Ireland LTD](/handbook/total-rewards/benefits/general-and-entity-benefits/gitlab-ireland-ltd/)
- [GitLab Korea LTD](/handbook/total-rewards/benefits/general-and-entity-benefits/korea-ltd-benefits/)
- [GitLab France S.A.S.](/handbook/total-rewards/benefits/general-and-entity-benefits/france-sas/)
- [GitLab Singapore Pte Ltd](/handbook/total-rewards/benefits/general-and-entity-benefits/singapore-pte-ltd/)
- [Remote Technology (South Africa, Mexico, Hungary and Austria)](/handbook/total-rewards/benefits/general-and-entity-benefits/remote-com/)
- Safeguard (Spain, Italy, Brazil and Switzerland)

### Parental Leave

GitLab's paid Parental Leave is for any team member (regardless of gender) who becomes a parent through child birth or adoption.  To learn more about our Parental Leave policy and eligibility requirements, please refer to the [Parental Leave](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave) section in our handbook.

### Military Leave

GitLab is committed to protecting the rights of team members absent from work due to military leave. No team member or prospective team member will be subjected to any form of discrimination on the basis of membership in or obligation to perform service for any of the uniformed services of their country of residency.

- If any team member believes that they have been subjected to discrimination in violation of this policy, immediately contact Team Member Relations for assistance.

Team Members may be eligible for statutory leave and/or protections under their own country's [Military Leave policies](/handbook/total-rewards/benefits/general-and-entity-benefits/#entity-benefits).  GitLab's Military Leave policy is intended to provide supplemental protections, if not provided by their own country's policies.

**For leaves 31 days or less**

- No changes will be made to the team member's job, pay, or benefits and team members will be eligible to return to their next working shift after their military service ends.

**For leaves greater than 31 days**

- Team members reporting for active duty of more than 31 days may be eligible for up to 6 months of unpaid leave. Eligibility for the full 6 months will be determined by the team members' statutory entitlement in their country as well as the needs of the business. If the leave is needed for more than 6 months, the team member will be offboarded, but is eligible for reinstatement if able to return within the required timeframe.
- Team members may elect to retain health care coverage benefits for up to 2 years, or to the end of their military service; whichever comes first, but team members will be responsible for making arrangements to pay the full cost of their benefits.
  - If arrangements are not made or team members do not elect to retain their heath care coverage, benefits will end as of the 31st day of military leave.
  - Team members are eligible for immediate reinstatement of benefits upon their return to work, with no waiting period applied.
- Team members will continue to vest stock while on unpaid military leave for up to 6 months.

**Reinstatement**

- If a team member is offboarded from GitLab during the course of their Military service, they will be guaranteed reinstatement rights for up to 2 years after their service ends. Team members with disabilities have two years after their service ends—for purposes of recuperation and convalescence—to seek re-employment.

To be entitled to reinstatement, the following conditions must have been met:

- The team member gave the employer notice of the need for military leave,
- The team member was released under honorable conditions,
- The team member returned and applied for re-employment within the following time restrictions:
  - Leaves of less than 31 days: The team member must report to work on the first regularly scheduled work period following the completion of military service; no application is required.
  - Leaves of more than 31 days but less than 180 days: The team member must apply for reinstatement within 14 days after completion of military service.
  - Leaves of more than 180 days: The team member must apply for reinstatement no more than 90 days after completion of military service.

When team members return from military service, they will be entitled to return to the position they would have attained if they had not been called to serve. This requirement is known as the "escalator principle." The principle means that if the team member would have been promoted except for this leave of absence and if the team member is qualified to take the position now or can become qualified with reasonable efforts by GitLab, then GitLab must consider the team member for the promotion. If the team member is not or cannot become qualified, then GitLab will reinstate the them to the job the they held before the leave of absence or in a position of equivalent seniority, pay and status. In limited situations, if GitLab's circumstances make reinstatement impossible—for example, in light of decreased business or impending layoffs—then GitLab's obligation to reinstate the team member does not apply.

#### How to Apply for Military Leave

Team members should first review their own country's Military Leave policies to ensure they are reporting their leave in accordance with any reporting requirements. Whenever possible team members need to provide at least 30 days advanced notice by selecting `Military Leave` under the `Leaves` dropdown in Workday. GitLab reserves the right to request documentation related to the team member's Military service. The Absence Management Team will contact you if documentation is needed.

- For any questions about how to initiate a military leave or requests for reinstatement, please contact the Absence Management team (`leaves@gitlab.com`). For GitLab Inc or GitLab Federal team members, please additionally review the [Military Leave]({{< ref "us#military-leave" >}}) policy.
