---
title: Product Development Budgeting Process
---

## Pre-planning for potential new investments

The pre-planning is done in advance of the budget becoming available so that the potential investments are well documented and collaboration has occurred on them with the stakeholders.

| DRI | Task |
| --- | --- |
| [Product Managers](/job-families/product/product-manager/) | Product managers do their planning for future potential investments in advance.  This will be a list of ready-to-go business cases in advance, via [creating issues using the `potential investment` issue template.](https://gitlab.com/gitlab-com/Product/-/issues/new?issuable_template=Investment-Case). When crafting these proposals consider various gearing ratios including [UX designer](/handbook/product/ux/performance-indicators/#product-designer-gearing-ratio), [UX Researcher](/handbook/product/ux/performance-indicators/#ux-researcher-gearing-ratio), [Tech Writer](/handbook/product/ux/performance-indicators/#technical-writer-gearing-ratio), or [Quality](/handbook/engineering/quality/#software-engineer-in-test) |
| Product Managers | Create private issues using the issue template and collaborate with PM and Engineering teams via tagging the appropriate development director, UX stable counterpart, SET stable counterpart, etc, as appropriate. |
| Section Leaders | Maintain a prioritized list of next investment asks vetted from proposal across their section |

## Vetting and communication of new investment

| DRI | Task |
| --- | --- |
| Section Leaders | Make sure the funding plan encompasses all known things that need to be budgeted for successfully executing on the opportunity and ensure that the "investment" part of ROI calculation is reflective of the true investment across GitLab as a company. Prioritize investment asks within your Section. |
| [VP of Product](https://gitlab.com/david) | Review plans and priorities, and ensure that product-wide priorities and global optimizations are accounted for. Provide a (private) video walkthrough of the approved hiring plan (as the spreadsheets tend to be hard to understand without an explanation). |
| [CTO](https://gitlab.com/edjdev) | Make sure the funding plan encompasses all known things that need to be budgeted from an Engineering perspective (such as not only new hires but comp reviews). |
| Product Managers | When a hiring plan is approved, document if previously approved reqs are or are not included. |
| Development, Quality, and UX VPs |  Development, Quality, and UX VPs will work with their Directors to confirm and update budgeting to ensure it includes proper leadership ratios. |

## Viewing existing potential investments

[Search for issues with the label `Investment Case`](https://gitlab.com/gitlab-com/Product/-/issues?scope=all&state=opened&label_name[]=Investment%20Case)
