---
title: Product Development Flow Success Metrics
description: "This page surfaces metrics related to the product development flow"
canonical_path: "/handbook/product-development-flow/success-metrics/"
---

## Quarterly Survey Results

[Product Development Flow Survey Q2 2020](https://docs.google.com/presentation/d/1BxUVcoPyjYkR7MOHn1aZGllMCqlH5eb27JKM_bb_uDA/edit#slide=id.g59bfc474c5_2_145)

## Cycle Time Metrics in Sisense

[Dashboard](https://app.periscopedata.com/app/gitlab/793576/WIP:-Product-Development-Flow-adoption-and-cycle-time)

## Q4 2020 Before vs. After Comparison

An initial quantitative analysis was done for the first major update of the PDF in December 2020 looking at:

- Are we driving more opportunities for collaboration?
- Are we reducing the total steps required?
- Have we simplified things (judged by word count)

For further details visit [Issue 9243](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/9243)

| | Collaboration Touchpoints | Total Steps | Word Count |
| ------ | ------ | ------ | ------ |
| Old Flow |Total = **11** <br> Validation phase 1: **2** (sensing mechanisms, feedback from internal/community)<br> Validation Phase 2: **2** (working with designer to refine backlog, working with research) <br> Validation Phase 3: **1** (team review of proposed solution) <br> Validation Phase 4: **1** (PM and Designer collaborate with research) <br> Review Step: **1** <br> Build Phase 1: **1** (review and breakdown of designs as a team)<br> Build Phase 2: **2**  (instrumentation, release post) <br> Build Phase 3: **1** (dogfooding) <br> Build Phase 4: n/a? (this was already updated)  | Total = **68** <br> Validation phase 1: **3** <br> Validation Phase 2: **9** <br> Validation Phase 3: **4** <br> Validation Phase 4: **17** <br> Review Step: **6** <br> Build Phase 1: **12** <br> Build Phase 2: **10**  <br> Build Phase 3: **4**  <br> Build Phase 4: **3** | 6025 |
| New Flow | Total = **37 - 3x+ increase** <br> Validation phase 1: **4** (sensing mechanisms, feedback from stakeholders, listing who to inform, who to collaborate with)<br> Validation Phase 2: **5** (working with research, listing who to inform, listing who to collaborate with, communicate with stable counterparts and stakeholders, consider review with leadership) <br> Validation Phase 3: **9** (listing who to collaborate with, who to inform, diverge as team, converge as team, validate approach with stakeholders, user validation, review proposal with team, review with leadership, engage engineering peers) <br> Validation Phase 4: **3** (who to collaborate with, who to inform, gather feedback from stakeholders) <br> Review Step: **1** <br> Build Phase 1: **5** (who to collaborate with, who to inform, review with contributors, POC with engineering, quad planning)<br> Build Phase 2: **6**  (who to collaborate with, who to inform, keep stakeholders informed regularly, asynchronous updates, SET activities, technical writers review docs) <br> Build Phase 3: **4** (who to inform, who to collaborate with, follow up with stakeholders, release post, dogfooding) <br> Build Phase 4: n/a? (not going to do a compare here) | Total = **30 - great than 50% reduction** <br> Validation phase 1: **2** <br> Validation Phase 2: **2** <br> Validation Phase 3: **4** <br> Validation Phase 4: **2** <br> Review Step: **6** <br> Build Phase 1: **3** <br> Build Phase 2: **2**  <br> Build Phase 3: **6**  <br> Build Phase 4: **3** | 4934 (18% reduction)|
