---
title: AI-assisted features
description: "This page contains information about AI at GitLab."

---

This page serves as a resource for team members looking for information about working on AI features at GitLab. The first iteration of this page is a list of links, loosely organized. This will improve as we build up our best practices and consolidate/improve our documentation.

## Getting started on an AI feature

* [Suggest an AI feature](https://gitlab.com/gitlab-org/gitlab/-/issues/new?issuable_template=AI%20Project%20Proposal&issue%5Btitle%5D=AI+Feature+Proposal:+): Issue template for suggesting or requesting an AI feature

## Design and UX research for AI features

* [Pajamas AI guidelines](https://design.gitlab.com/usability/ai-human-interaction): How to design the user experience for AI features. Includes design patterns and guidelines.
* [UX research in AI space](/handbook/product/ux/ux-research/research-in-the-ai-space/): Helps team members evaluate the usefullness and usability of AI features.
* [UX maturity guidelines](/handbook/product/ai/ux-maturity/): Suggested UX validation to move up in AI feature maturity.

## Evaluating Quality of AI features

* The [AI Model Validation group](/handbook/engineering/development/data-science/ai-powered/model-validation/#-metrics) has [guidance (internal link)](https://internal.gitlab.com/handbook/product/ai-strategy/ai-integration-effort/ai_testing_and_evaluation/) for testing your AI-powered feature, which includes model validation via the [Central Evaluation Framework(CEF) (internal link)](https://internal.gitlab.com/handbook/product/ai-strategy/ai-integration-effort/ai_testing_and_evaluation/#test-2-centralized-evaluation-framework). You can [make a request](/handbook/engineering/development/data-science/ai-powered/model-validation/#-how-to-work-with-us) to have your feature evaluated.
* The UX Research team maintains a [usability evaluation and scoring process](/handbook/product/ux/ux-research/research-in-the-ai-space/#ai-user-experience-metrics-pilot) to ensure ease of use.
* For fast, qualitative feedback on AI response quality, as well as to get an idea of what kinds of prompts users write, you can run a [UX Chat Bash](/handbook/product/ux/ux-research/ux-bash/).

## Special considerations for AI features

* [AI ethics principles](/handbook/legal/ethics-compliance-program/ai-ethics-principles/#1-avoid-unfair-bias): Principles to guide our decision making as we continue to build AI features into GitLab and to ensure that these features properly embody our values.
* [AI data usage and privacy](https://docs.gitlab.com/ee/user/gitlab_duo/data_usage.html): Public facing docs about how we use and protect data.

## Engineering AI features

* [Development process AI features](https://docs.gitlab.com/ee/development/ai_features/index.html)
* [List of language models](https://docs.gitlab.com/ee/user/gitlab_duo/index.html): All the models we are using to power features.
* [Process for choosing or switching AI vendors](/handbook/product/ai/continuity-plan/)

## Support engineering AI features

* [Support AI workflow](/handbook/support/workflows/ai_features/): This page has information for handling tickets related to AI features.

## Current AI features and teams

* [List of AI features](/handbook/engineering/development/data-science/ai-powered/#features): Current AI features in developement, the team that owns them and whether they are integrated into Duo Chat.
* [AI features by tier](https://docs.gitlab.com/ee/user/gitlab_duo/index.html): All features that are available to use, and how to access them.
* [AI teams](/handbook/engineering/development/data-science/ai-powered/#stage-groups)
