---
title: "UX support for AI-assisted features"
description: "UX support for AI-assisted features"
---

## Getting UX Support for AI Related Issues

### What UX can help with

The UX team supporting the [Data Science section](/handbook/product/categories/#data-science-section) is small and growing. Our aim is to support the following:

* deep understanding of AI capabilities and user needs to ensure problem and human-centered solutions
* UI design for platform level AI functionality such as onboarding, access & settings, and Duo Chat UI
* best design practices and research methods that work well in the AI space
* maintaining consistency across the platform by leading or collaborating on [Pajamas AI-human interaction](https://design.gitlab.com/usability/ai-human-interaction) components and guidance

Group Product Designers support AI features in their space, including problem and solution validation and design activies. AI team Product Designers can provide decision support and guidance in this space, primarily from a best practice perspective.

### How to get help from the UX team

Use the [Product Development Flow](/handbook/product-development-flow/) for process activities and workflow labels

**If you are in the Data Science section, or don't have a Group Product Designer**:

* create or update an issue with the problem to solve
* add the labels: UX and UX-AI (why the extra label: so we can easily have one board for all issues)
* tell us about the issue
  * if the need is in the current milestone: link to your issue in Slack #ai-ux-integration
  * if the need is in the next 1-N milestones, add a milestone to the issue and let us know in the comments why that is the priority

**If you have a group designer**, plan for the Product Designer and UX Researcher assigned to your group to be the primary collaborators. Here is a suggestion for how to engage the AI UX team:

* Follow your normal process for creating an issue and prioritize the work with the Group Product Designer.
* Next, the Group Product Designer should review the work and note areas where they anticipate needing AI Framework support and collaboration. Mention the AI-UX group in an issue comment, along with the timeline for the work and specific or general areas they would like support.
* Alternatively, product designers can attend our office hours to bring questions or work in progress for review.

#### How we prioritize

We do not currently have a large enough UX team to support all the work available, so we work with Product to set priorities.

* [Product Leadership](/handbook/product/categories/#data-science-section) and the Product Design Manager will coordinate priorities.
* To see our current priorities, TBD
* The full scope of AI related UX work is tracked by [milestone](https://gitlab.com/groups/gitlab-org/-/boards/7462103?label_name%5B%5D=AI-UX) or by [workflow label](https://gitlab.com/groups/gitlab-org/-/boards/7444721?label_name%5B%5D=AI-UX).
* As the team is currently small, we have a lightweight prioritization process that is primarily async. As we grow to more designers, we will likely formalize this with a scheduled review of the board.
* We aim to reply to UX asks within one week if it's for a future milestone, and two days if it's the current milestone.
