---
title: "Product Technical Program Manager"
description: "The Product Technical Program Manager (TPM) role supports cross-division initiatives across Product, UX, Engineering and other functions within R&D along with functions across GTM"
---

### Mission

Our mission as Technical Program Managers is to own the execution of complex, cross-functional initiatives that better enable GitLab to meet company objectives. We aim to make complex programs simpler with proactive, transparent, and efficient practices, while adapting our methodologies to the scenario at hand. We aspire to be trusted partners to stakeholders across the company, in order to accelerate and improve upon program outcomes over time.

### Long-Term Vision

* Define and consistently deliver against a standard of excellence for Program Management at GitLab.
* Have a team reputation as a fundamental and necessary resource when R&D needs to deliver against complex business objectives and ultimately results for customers.
* TPMs are seen across our company-wide stakeholders as a key element to accelerate GitLab's strategic business objectives.

### Near-Term Goals for FY26

* Excel in strategic program delivery; focus on a core group of highly visible and impactful programs, setting the tone for how our expanded team delivers value.
* Create scalable workflows and processes that have a positive impact on GitLab's overall efficiency and solicits positive sentiment from stakeholders.
* Continue to build our TPM team identity as the team expands; develop a strong team foundation and niche within the business. In doing so, evangelize TPM best practices.

### Core Responsibilities

More information can be found in the [Product TPM Job Family](/job-families/product/technical-program-manager)and the [Product TPM Leadership Job Family](/job-families/product/technical-program-manager-leadership)

### How We Work

#### Communication

* Slack is the best way to reach out to our team; our goal is to respond to all requests within 24 hours. The best way is to send us a message in the #technical-program-management slack channel.
* Alternately, if an issue exists for a scope of work, you can tag us directly there.

#### Working hours

* Our team is (as of this writing) distributed across the United States and can accommodate requests during US Business Hours - both east and west coast. We are looking to expand our team's time zone coverage to EMEA.
* Many of our TPM's schedules are more flexible and accommodate hours outside of the hours noted above.

#### Async vs. Sync

* Generally, our team will default to async communication in alignment with GitLab values. When it is needed, we will pull team members into a call or meeting to ensure we are working effectively and efficiently if needed.
* Cross-functional initiatives typically need more sync time. If you are part of a core project team, we will likely find recurring meeting time to drive execution for the length of the project.

### How You Can Leverage The Product TPM Team

If you have an initiative that you think could benefit from program management support, the best first step is to message #technical-program-management following this template to intake a request.

Work that can benefit from program management support is typically complex, cross-functional, and critical to the business. We determine if a project is a good match for TPM support with the [TPM Coverage Calculator](https://docs.google.com/spreadsheets/d/1Tv9WK9LIBJgLbEWWMEvXLtewDDv-luJWPjQDtkhWaJ0/edit?usp=sharing) (internal only link)

#### What about Program Managers outside of the Product Org?

As Technical Program Management is a relatively new function at GitLab, we're continually iterating on how the various TPM and PgM teams collaborate.

|Product|Infrastructure|Security|
|:-----------------|:-------------|:---------------|
|**The R&D Technical Program Manager role supports cross-division initiatives across PM, UX, Engineering and other functions within R&D along with functions across GTM**| **Infrastructure Technical Program Management Team drives the planning, execution, and delivery of complex infrastructure projects across Engineering and Product.**|**The Security Program Manager will be responsible for complete overview and driving security initiatives across product, engineering and business enablement.**|
|Manage and collaborate on key initiatives with stakeholders and leadership across R&D. Drive accountability ensuring all program objectives are met.|Establish a reliable and visible cadence for initiative reviews, decision making, prioritization, and staffing management.|Communicate successfully with partners and drive accountability across teams to ensure program objectives are met |
|Refine and optimize division processes improving overall efficiency and execution of the division.|Lead and drive Infrastructure projects such as: Availability, Disaster Recovery, Releases, CI/CD Pipeline Efficiency, and Engineering Productivity|Gather and examine customer and internal security team needs and opportunities for new information security programs, products and projects |
|Gather inputs and feedback and suggest improvements to our Product Process, and operational model within the Product division.|Provide technical project management, coordination, and inter/intra team communications to deliver outstanding program outcomes.|Drive organizational needs cross-functionally with product, engineering and finance including tracking and reporting of progress and metrics |
| [Product Technical Program Management](/job-families/product/technical-program-manager) | [Infrastructure Program Management](/job-families/engineering/technical-program-management/technical-program-management-ic/) | [Security Program Management](/job-families/security/security-program-manager/) |

### Contacting The Team

The best way to reach out to our team is through #technical-program-management slack channel.

#### Why use the channel and not direct message a PM I already know?

Even though this can seem like a good idea, it [limits visibility to the larger TPM team](/handbook/communication/) and doesn't allow for proper resource allocation.  Sending your requests in this channel will allow for full visibility and ensure our team is connecting you with the program manager who is a good fit for your project and has bandwidth to take on something new.
