---

title: CPO Shadow Program
---

{{% include "includes/product-handbook-links.md" %}}

## Overview

The CPO Shadow Program is an initiative where team members of the Product division take turns shadowing the Chief Product Officer (CPO) for a specified period of time ranging from 1 to 2 weeks. The team member, in the role of a CPO shadow, will attend all customer-facing meetings with the CPO. This provides an opportunity for the CPO Shadow to gain deeper insight into customer conversations, understand how to present the company's broader strategy and vision, and gain a better understanding of the CPO's role in supporting existing and future customers as an [Executive Sponsor](/handbook/sales/field-operations/field-enablement/executive-sponsor-program/).

In line with our [“Results for customers”](/handbook/values/#results) value, we believe that it is very important for the Product division to be connected to our customers and better understand their pain points. The CPO shadow program puts emphasis on customer facing interactions exactly for that reason.

As the program has emphasis on customer meetings, travel is required for participation.

## What To Expect

As a CPO Shadow you will:

* Travel with CPO to meet with future and existing customers. This includes:
  * Customers where the CPO serves as their [Executive Sponsor](/handbook/sales/field-operations/field-enablement/executive-sponsor-program/)
  * Assisting Sales with discovery in meetings with future potential customers
  * Quarterly business reviews (QBRs) with key customers
* Help in preparing supporting materials for the customer meetings including presentations as well as other needed resources
* Take meeting notes and associated action items
  * Follow up with Product team members and customers ensuring associated action items are handled in a timely manner
  * Assist Sales with identifying the correct owner of the action items
* Answer questions and interact with customers when it involves your product domain and expertise
* Build relationships with customers and with members of the Sales organization

## What This Is Not

The CPO Shadow Program is not a performance evaluation or the next step to a promotion. Being a CPO Shadow is not needed to get a promotion or a raise, and should not be a consideration factor for a promotion or raise, as diverse applicants have different eligibility.

## Program Goals

* Empower members of the Product division to operate with greater context
* Contribute to the success of GitLab by supporting Sales
* Enable the CPO to act on action items
* Strengthen the connection between members of the Product division and the Sales organization

## Eligibility

To ensure that the plan achieves maximum impact within GitLab, all members of the Product division are eligible to apply. Please confirm with your manager before applying for the program.

## How to Apply

The CPO Shadow Program is scheduled on a rotating basis, with each eligible team member having the opportunity to participate. The schedule is managed by the CPO's EBA, who will work with you and your manager to coordinate the timing of your shadowing period.

* Create an issue using [this template](https://gitlab.com/gitlab-com/product/-/issues/new?issuable_template=CPO-Shadow-Program) and ensure the following are within the issue description:
  * Provide a brief summary of your interest and eligibility for the program
  * Explain how participating in the CPO Shadow Program aligns with your professional development goals and how it will benefit you and the organization
  * Indicate your availability and flexibility to accommodate the 1-2 week shadowing period
* Post a comment to your manager and ask them to approve your participation
* Once your manager approves, post a message in the #chief-product-officer channel with a link to the issue and @mention EBA to the CPO in the message

Please keep in mind when selecting dates that the CPO's schedule is fluid and subject to constant change, which also means that the CPO Shadow rotation is subject to constant change. The posted dates are not guaranteed. We will work with you to reschedule your rotation if a conflict arises.
