---
title: People Group for Product Management
---

## Product-Specific "People" Processes

Generally, the entire organization will be applied to the product function with some adjustments related to specific timing. This page will provide a SSOT for the Product organization and PBP relations.

Other related infromation to People Processes include:

- [Product Management Role](/handbook/product-management/product-manager-role)
- [Product Management Leadership](/handbook/product/product-leadership)

For any questions or updates, please assign `gl-product-leadership`.

### Hiring and budget discussions

In the event that there are changes to the R&D Hiring Annual Plan, these changes must be documented in the [R&D Headcount Project Issue Tracker](https://gitlab.com/gitlab-headcount/r-and-d-headcount/-/issues). If you have been asked to consider moving a headcount earlier into the year, open an issue and tag the [Finance Business Partner](/handbook/finance/financial-planning-and-analysis/r-and-d-finance/) and CProdO for consideration. Upon approval, that issue can be updated to the [new headcount template](https://gitlab.com/gitlab-headcount/r-and-d-headcount/-/blob/main/.gitlab/issue_templates/new_headcount.md).

### Talent Assessment Process

Company-wide guidelines on the Talent Assessment can be found [here](/handbook/people-group/talent-assessment/#timeline). The company timeline for the process remains SSOT, the guidelines are below are meant to:

- Provide additional check points and due dates built into the company-wide timeline for Product specifically
- Guidance on department/division-specific calibration section structure (attendees, leveling, etc.)
- Outline our calibration strategy in Product

#### Calibration Strategy

We will be reviewing outliers for Performance/Growth Potential and anyone identified as Key Talent for calibration this cycle. Formal calibration will take place with the Director+ levels. The thought process around who qualifies as an "outlier" for Performance and Growth Potential [is outlined here](/handbook/people-group/talent-assessment/#who-do-i-calibrate).

Calibration and assessment are two different steps in the process. The assessment phase is the process of assessing each team member to determine their Performance and Growth, whereas the calibration phase (occurring after initial assessments are made) is when management calibrates across the stage/org/level/etc. to discuss and align on assessments. Every team member should be assessed and have supporting points to justify those assessments - but to make calibration sessions more focused and scalable, we focus on [outliers](/handbook/people-group/talent-assessment/#who-do-i-calibrate).

For Product specifically, we will calibrate:

1. Anyone in [Box 1](/handbook/people-group/talent-assessment/#the-performancegrowth-potential-matrix) aligned with [company-wide guidelines](/handbook/people-group/talent-assessment/#who-do-i-calibrate).
1. Anyone in Box 9 who has been with GitLab longer than 3 months (_Note: 3 months is measured from the kick off of the Talent Assessment cycle on 2023-10-16_)
1. Anyone assessed as `Exceeding` for Performance (I.E. Box 1, 2, 5)
1. Anyone hired in the last 3 months **not** assessed as [Too New To Rate](/handbook/people-group/talent-assessment/#too-new-to-rate)
1. Anyone promoted in the [Q3 promotion cycle](/handbook/people-group/promotions-transfers/#fy24-q3) (August 1st effective) or later **not** assessed as [Too New To Rate](/handbook/people-group/talent-assessment/#too-new-to-rate)
1. Anyone identified as Key Talent

It's important to note that while these will be our focus areas for calibration sessions, leaders should feel free to raise any team member's assessment up for discussions if they have any questions or concerns. Calibrating outliers is not a limitation, but rather a structural adjustment to ensure this process is scalable and focused.

_Note: If individual teams want to calibrate every individual, they have the ability to do this/organize/structure separately, but the due dates remain in place across the division to ensure we have enough time to review and calibrate at the various levels in the company._

#### Pre-Calibration Prep Work

In addition to the [calibration session pre work](/handbook/people-group/talent-assessment/#calibration-session-pre-work) on the Talent Assessment page, we ask that you complete the following:

1. Directors should conduct sub-department/section level calibration sessions ahead of the division-wide Product calibration sessions. In addition to calibrating on initial assessments, Directors should review how their respective teams assessments compare with the [expected distribution](/handbook/people-group/talent-assessment/#expected-distribution-performancegrowth-potential-company-wide) ahead of the department-wide calibration session. If there are slight deviations at the sub-department/section level from the expected distribution that is merited, the Director should provide a rationale and be prepared to discuss it during division-level calibration. The expectation is that the division overall falls within the expected distribution.

1. Performance and Growth Potential notes need to be added to the [session agenda doc](https://docs.google.com/document/d/1zrlZSfdNXpSZ09uvDM71KxH42RWBJxa6U1QTCTw05iI/edit#) for each team member at least 3 business days before the synchronous calibration session.

1. Managers should include 2-3 supporting points for each team member for the assessment under each section in the [agenda doc notes](https://docs.google.com/document/d/1zrlZSfdNXpSZ09uvDM71KxH42RWBJxa6U1QTCTw05iI/edit#) to help support the "why" behind the assessment. _Note: The overviews in the agenda document for calibration are meant to provide enough of an overview so peers have an understanding of the "why", while simultaneously not overwhelming with information and decreasing efficiency of the session. Please limit to 2-3 supporting points per team member._

1. Key Talent assessment need to be completed and added to the session agenda doc at least 3 business days before the live calibration session.

- If an individual is indicated as key talent, an explanation should be added to indicate how this individual qualifies as key talent against our [key talent definition](/handbook/people-group/talent-assessment/#key-talent). A reminder that the bar for key talent is set high, and that key talent makes up roughly ~10% of the entire population. In Product, we will be assessing Key Talent from the Director level and above [aligned with guidelines](/handbook/people-group/talent-assessment/#process-to-determine-key-talent), meaning that while _everyone in the organization is eligible to be identified as Key Talent_, Directors+ will be assessing and making these initial nominations. The rationale behind this decision is that is important to have a holistic view of all team members when determining who meets the key talent criteria, which is why we require a certain scope when assessing key talent in the organization.

1. Every session attendee should review the Performance/Growth Potential assessments and Key Talent overviews for outliers asynchronously ahead of the session to be prepared for live discussion/calibration.

#### Calibration Session Timeline

Calibration session attendees will be organized by leadership layer within the Product division. Below is an overview of our calibration structure and timeline for the FY'24 Q4 Talent Assessment cycle. Please note that only Product division-wide Director+ calibration sessions will formally organized. Section and sub-department level calibration sessions should be arranged by respective section leaders independently.

**To ensure there are no delays as we move through the calibration process, all section/sub-department calibration sessions need to be completed by 2023-11-15 @ EOD PT. Aligned with the [company-wide timeline](/handbook/people-group/talent-assessment/#timeline), this means that section/sub-department leaders have from 2023-11-09 to 2023-11-15 to conduct calibration sessions at this level.**

| Session Number | Attendees | Calibration Level Focus | Session Date | Duration |
| --------------- | ----------------- |----------------- |----------------- |----------------- |
| Session 1  | Directors+ in the Product division + PBP  | Senior Manager/Manager/GMP/IC outliers  | 2023-11-16 | 1.5 hours |
| Session 2  | Directors+ in the Product division + PBP  | Senior Manager/Manager/GMP/IC outliers | 2023-11-20 | 1.5 hours |
| Session 3  | Directors+ in the Product division + PBP  | Senior Manager/Manager/GMP/IC outliers | 2023-11-22 | 1.5 hours |
| Session 4 | CPO, Sr Dirs, VP, and PBP | Product division Directors | 2023-11-17 _Note: This session is intentionally scheduled earlier to avoid conflict with the AWS re:Invent event and PTO_ | 1.5 hours |
| Session 5 | CPO and PBP | All of the CPO's direct reports + finalize division-wide | 2023-11-28 | 1.5 hours |

### Annual Compensation Review

The SSOT timeline for the upcoming Annual Compensation Review can be found [here](/handbook/total-rewards/compensation/compensation-review-cycle/#january). Below you will find additional dates specific to the Product division to ensure all levels have time to review as we move through the process.

- TBA - Manager/GMP level finalizes comp recommendations
- TBA - Sr Mgr (or next level up if no Sr Mgr) finalize comp recommendations
- TBA - CEO Skips (CProdO) finalize comp recommendations
- TBA - CProdO finalize comp recommendations
- TBA - E-Group review and approve

### Span of Control Guidance

We have added high level span of control guidance to our [Product leadership job families](/job-families/product/product-management-leadership/).
We understand that different parts of the organization will require different structures and different reporting lines, so it is important to note that these are guidelines, not requirements.

The primary goals of including span of control guidance are:

1. Align on our high-level ideal structure
2. To ensure we're set up for scale from an organizational perspective as we continue to grow at GitLab
3. Help identify any gaps/need for additional headcount in order to scale efficiently
