---
title: Buddy Tasks
draft: true
---

1. [ ] - Book a 1:1 with the new Product Manager for day 1
1. [ ] - Schedule a reminder to check in on their onboarding issue, how are they doing, how can you help, etc. that is recurring for their first 6 weeks.
1. [ ] - Suggest handbook pages they may find useful
    - Pages from the onboarding buddy handbook page
    - Product Specific Pages
        - [Validation Track](/handbook/product-development-flow/#validation-track)
        - [Product Development Timeline](/handbook/engineering/workflow/#product-development-timeline)
        - [Getting Access to Data as a PM](/handbook/enterprise-data/programs/data-for-product-managers/)
        - [Managing your Product Direction](/handbook/product/product-processes/#managing-your-product-direction)
        - [How to work as a PM](/handbook/product/product-processes/#how-to-work-as-a-pm)
    - Pricing / tier related
        - https://about.gitlab.com/company/pricing/#three-tiers
        - [Buyer Personas](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/roles-personas/buyer-persona/)
    - [Product Categories page](/handbook/product/categories/) to find who is the DRI for a category
    - [Features by tier and group](/handbook/product/categories/features/)
    - [Analytics Direction Page](https://about.gitlab.com/direction/analytics/)
    - Helpful for research
        - [How/When to start a research project](/handbook/product/ux/ux-research/#conducting-ux-research-at-gitlab)
        - [How to recruit for a UX Project](/handbook/product/ux/ux-research/recruiting-participants/)
        - Dovetail
            - [Getting access to Dovetail](/handbook/it/end-user-services/onboarding-access-requests/access-requests/)
            - [GitLab Dovetail projects](https://gitlab.dovetailapp.com/projects)
            - [Documenting insights in Dovetail](/handbook/product/ux/dovetail/)
1. [ ] - Remind them to introduce themselves
    - In #new_team_members
    - In #product
        - You will get introduced in the next product meeting and asked where did you work before GL, why did you join, where are you located, what do you do for fun outside of work.
            - You may share with them how you introduced yourself.
1. [ ] - Encourage them to organize a group call with the other new hires
1. [ ] - Intro to slack
    - Channels to be aware of
        - Product related - #product, #uxresearch, #competition, #analyst-relations, #analytics, #analytics-social, etc.
        - Fun - #random, #allcaps, #loc channels and there are others, just search for things you might find fun and interesting.
    - Tips/Tricks
        - Update your profile in Slack, especially your working hours and location
        - Make use of starred channels, what's most important to you.
        - Add keywords to get alerted on for your product area, competitors, etc.
1. [ ] - Add a reminder for once a week to ask what they couldn't get an answer on this week, how to get them unstuck for the first 6 weeks.
1. [ ] - Ask them after a few days if they got their team page MR merged.
1. [ ] - Tips / Tricks for sensing mechanisms
    - There is a good breakdown of sensing mechanism in the [handbook](/handbook/product/product-processes/sensing-mechanisms/). Some other things I have found useful are;
    - Go other places customers/user are like the [GitLab forum](https://forum.gitlab.com/) and Discord, [Reddit](https://www.reddit.com/r/gitlab/) and [HackerNews](https://news.ycombinator.com/news) are just a few.
    - Issues - It is good practice to review new issues assigned to your group that may get missed by the weekly triage issues. There can be good conversation to be had discussing problems/desired outcomes with users within a day or two of them creating an issue.
    - Slack - Adding keywords to your [Slack alerts](https://slack.com/help/articles/4412437167251-Get-notified-about-topics-you-care-about) like your category name, competitor names, etc. is a good way to stay on top of issues bubbling up, potential customers, etc. in channels you are joined.
    - Analyst Reports - You can inquire about access to reports from analysts in the #analyst-relations channel.
1. [ ] - The flow of a milestone
    - [Rough timeline of the flow](/handbook/engineering/workflow/#product-development-timeline)
    - [Planning](/handbook/product/product-processes/#planning-issue-for-milestone)
        - Each milestone there is a kickoff issue created and assigned to PMs. Link your planning issue in that and once recorded your kickoff call.
    - Kickoff call
        - Hold a call with your Designer talking about the issues the team will work on that milestone with preference to issues that are `~direction` AND `~Deliverable`.
        - [Company wide call](/handbook/product/product-processes/product-mgt-operations/pm-operating-procedures/#kickoff-meetings)
    - During the milestone
        - Keep an eye on your TODOs if you use them for pings/questions from your development team or customers/users asking about progress on issues to keep them moving.
    - [Release posts](/handbook/product/product-processes/#writing-release-blog-posts)
        - Important deadlines are having them in review by Technical Writing and PMM two weeks prior to the release and merged 7 days prior to the release.
    - Moving issues that do not finish in the milestone
        - This is an [https://handbook.gitlab.com/handbook/engineering/infrastructure/engineering-productivity/triage-operations/#milestone-reschedule] to move issues that do not finish in amilestone but it's good to review issues that were not closed in a milestone as it does not move confidential issues.
    - Retrospectives
    - [Direction updates](/handbook/product/product-processes/#managing-your-product-direction)
        - There is no wrong time to update your direction pages when something has changed. The cadence of a release is a great time to schedule it to ensure it is happening regularly though.
    - [Performance Indicators](https://internal.gitlab.com/handbook/company/performance-indicators/product/) / [OKRs](/handbook/company/okrs/)
        - After the close of a milestone it is a good time to regularly check in on your Performance Indicators and OKRs for the quarter.
