---
title: Product Team Board Meeting Prep
description: >-
  This is the process for quarterly board meeting prep, specific to the Product / R&D Org. This process is revisited on a quarterly basis and aligns with the [broader company process](/handbook/board-meetings/#board-and-committee-composition). Feedback always welcome!
---

## High Level Timeline

|Actions| Ideal timeline |
|---|---|
| CFO shares templates with e-staff | 4 calendar weeks before board meeting |
| Pre-filled deck / memo are shared with team | 4 calendar weeks before board meeting |
| Director+ team adds their content | Varies by quarter (ideally 5 - 10 days) |
| David reviews deck / memo | 12 business days before board meeting |
| Deck / memo due to CFO team | 10 business days before board meeting |
| Board meeting | day of board meeting |
| Reset for next board meeting | 1 calendar week after board meeting |

## Detailed Tasks

| Task | Owner |
|---|---|
| CFO shares templates with e-staff; David share material changes to deck template with Natalie as needed | David DeSanto  |
| **Create Deck:** <br>- Make a copy of [this template](https://docs.google.com/presentation/d/1ayT3mYTGXUXdkF7jz0tgpyxin0SAd_dZ3u4wYL-0Yws/edit#slide=id.g21fe51b87f5_0_0) (Internal Only) specific for this quarter's board materials<br> - Pre-fill data in deck, adjust dates / titles, etc (see notes in each slide for instructions)<br> - Tag owners in their respective areas of the deck | Natalie Pinto  |
| **Create Memo:** <br> - Make a draft, using last quarter's memo as a template<br> - Tag owners in their respective areas of the memo |  Natalie Pinto |
| **Create Slack channel:** <br> - Channel name: #qx-fyxx-prod-board-deck <br >- Add to channel: everybody tagged in comments in the deck (director+ only) | Natalie Pinto  |
| **Share board prep materials** <br> - Share deck and memo files with relevant Director+ people <br> - Send message in slack channel with timeline and expectations for board prep (see template below) | Natalie Pinto |
| **Add focus time on calendars for PLT members**<br> - Two 1-hour periods<br> - Include link to deck and any other required resources | Jennifer Garcia |
| **Deck Content Creation** <br>- Specifics will vary by quarter | PLT, ELT, Director+ Prod / Eng  |
| **Reminders / Progress Checks** <br> If the contributing team has ~5 days, then do this check in 2 days before their deadline <br> - Review current status of deck and memo. Reply to comments, tag people as needed<br> - Add a status summary to board channel (see template below)<br> - Ping people individually the following day if no response <br> <br> If the contributing team has ~10 days, then add this additional check-in around day 5. You should still do the above check-in 2 days before their deadline. <br> - Review current status of deck and memo. Reply to comments, tag people as needed<br> - Send a friendly reminder in the board prep slack channel |  Natalie Pinto |
| **Submit Content for Review**<br> - Do a final pass through of the deck and memo; check for any last minute edits<br> - Send deck and memo to David for review | Natalie Pinto  |
| **Finalize Deck**<br> - Review deck and memo and tag people in comments with feedback<br> - Second pass of content by content creation team, as needed | David DeSanto  |
| Submit board materials (deck and memo) to CFO team |  Natalie Pinto |
| **Wrap Up / Reset**<br> - Ask folks for feedback on the board process this quarter (see template below)<br> - Close Slack channel<br> - Check calendar and set a calendar event / reminder to start this process 4 weeks prior to next board meeting<br> - Update template and instructions for next quarter as needed | Natalie Pinto |

## Relevant Links

- [R&D Board Template](https://docs.google.com/presentation/d/1ayT3mYTGXUXdkF7jz0tgpyxin0SAd_dZ3u4wYL-0Yws/edit#slide=id.g21fe51b87f5_0_0)
- [Board Meeting Schedule](/handbook/board-meetings/#board-meeting-schedule)

## Communication Templates

<p>
<details>
<summary>Click this to expand / collapse </summary>

### Slack Message: Board Prep Intro

```markdown
I've started this channel so we have a place to discuss updates to the Qx-FYxx board deck [link].

Our goal is to have the deck updated by xx-xx so David can review and provide feedback before the company-wide deadline of xx-xx.

I've tagged each of you for updates in the comments of the relevant slide. A couple notes:

- Don't worry too much about formatting. I'll tidy everything up as needed.
- Reminder that the audience for this deck is Director+.
```

### Slack Message: Status Update

```markdown
Hey all, here's the latest status for the board deck. Reminder that we're trying to have this complete by the end of the day on xx-xx (pacific time).

Incomplete slides
1. Slide 1: xyz
2. Slide 3: xyz
3. …

Next steps
…

Material changes to be aware of
…
```

### Slack Message: Feedback Request

```text
The board content is all wrapped up for Qx! Thank you all for your work in putting these materials together. I'm going to close this slack channel since it's no longer needed. Feedback is always welcome - please let me know if you have any thoughts (positive or negative) about the board prep process.
```

</details>
</p>

## Edit This Page

Do you have an addition or an update you'd like to make? Open an [MR] to this page and tag this page's code owner [Natalie Pinto](https://gitlab.com/natalie.pinto) for review and merge.
