---
title: "Continuous Interviews"
description: "The purpose of continuous interviews and how to set them up"
---

[Continuous interviewing](https://medium.com/@ttorres/continuous-interviewing-the-key-to-successful-product-teams-6bf63bfc1936) is a process where Product Managers (PMs) can continuously learn from their users and uncover insights that can be applied towards product discovery. These interviews follow the same script most of the time because they are not organized around any specific hypothesis or research requests. However, PMs can shift the potential focus of the interview as needed to dig deeper into specific topics.

Continuous interviews are open to all GitLab team members. The PM should notify their team Slack channel about upcoming interviews. All the team members and stable counterparts within a group are encouraged to take part in the interviews from time to time, so they can have first-hand experience listening to customer problems.

Prior to starting the practice of continuous interviewing, the PM should develop their own interview script relevant to their product area. Product managers can consult with UX research or the examples in this [project](https://gitlab.com/gitlab-com/user-interviews/-/issues) to create the script.

When speaking with the customer, the PM should refer to these [interviewing tips](/handbook/product/ux/ux-research/facilitating-user-interviews/#tips-for-interviewing) to help make these conversations a successful experience for the user and the Product team.

With the customer's consent, the interviews are recorded and added to [Dovetail](/handbook/product/ux/dovetail/) where the notes and transcript are [tagged for future reference](/handbook/product/ux/dovetail/#tagging-data-in-dovetail).

Sometimes, another tool (e.g. Google spreadsheet) is used to build an [opportunity solution tree](https://www.producttalk.org/2016/08/opportunity-solution-tree/).

To facilitate learning among team members, the PM shares the interview summary with the team after every interview. The format for this is up to them. Some recommended forms are:

- Share a Dovetail tagged project with video recordings and interview notes
- Create a summary issue with an interview template and use the template to add a comment for each conducted interview (link to project with examples). That way you can link to the specific comment in case you want to share notes internally. (For example: issues within the [user interviews project](https://gitlab.com/gitlab-com/user-interviews/-/issues))
- Create a video discussion between the PM and Product Designer (PD) about the opportunity tree

#### Finding customers to interview

The following is a non-exhaustive list of approaches to finding customers open to a call:

- Reply to users who are active in issues (create, comment, vote)
- Follow related topics on Medium, Twitter, Hacker News, and reach out to authors writing about our product areas
- Continuously communicate to the customer success team that we are open to customer calls, but make it clear that these are customer interviews, not sales calls. Use the #customer-success Slack channel or open a [CSM project issue](https://gitlab.com/gitlab-com/customer-success/tam/-/issues/new?issueable_template=Product%20Engagement)
  - Attend monthly Customer Success Managers (CSM) meetings and make requests for continuous interviews within their Google Doc agenda
  - Set up coffee chats with CSMs to discuss continuous interviewing requests
- Additional resources for [participant recruitment through UX Research](/handbook/engineering/ux/ux-research/recruiting-participants/)

#### Tips for leading continuous interviews

- Modify the process to best fit your teams' needs, including the PM, PD, and the engineering team
- All continuous customer interview data should live in Dovetail. Any additional information (summaries, templates, etc.) can live in confidential issues as long as the data are connected back to the Dovetail project.
- Remove customers' [Personally Identifiable Information (PII)](/handbook/support/workflows/pii_removal_requests/) from Dovetail and GitLab issues, so that team members do not identify specific individuals as part of the research process.
  - For example: Avoid including the first/last name of the user and company where the user works. Instead, you can reference them by their job title, persona type, or participant number (P6).
- With any customer research, you have the option to [compensate participants](/handbook/product/ux/ux-research-coordination/#thank-you-gifts) for their time. Providing a small token of thanks is a best practice to show users how we value their time.
