---
title: Assessing Category Maturity
description: >-
  We assess the maturity of our product categories based on market evaluations and user testing
---

As GitLab product maturity evolves, we must determine the capabilities that will move us to 'Best in Class' in the product categories we support. Our goal is to identify functionality and usability gaps as early as possible in the product development lifecycle using a lightweight and repeatable process that measures the maturity of our own capabilities against top competitors within the DevOps market.

## How we assess category maturity

While there is flexibility in how groups approach this process, the recommended approach is:

1. **Define the key [Jobs to Be Done (JTBD)](/handbook/product/ux/jobs-to-be-done/) for a category.**
    - Starting here allows us to step back from our business and understand the objectives of the people we serve. It also gets us thinking more about the problems we're solving, rather than the features we're building. "Feature-itis" can become a trap when we assume that more features are always better or that our competitors have rigorously evaluated their own feature sets.
1. **Perform a [Competitor Comparison](/handbook/product/ux/category-maturity/competitor-comparison/) to document how we and our top competitor address the JTBD.**
    - The goal at this step is to use our own industry expertise, both in product-market fit and usability, to identify existing product gaps that we believe we should address. The Product Manager leads their entire stage group team plus their Marketing counterpart in running this analysis.
1. **Determine where in the maturity cycle the gaps should be addressed.**
    - For example, what do we need to address to get to Competitive What can we save for Complete? We can document the path to the next maturity level in Epics and associated issues.
1. **Conduct the [Category Maturity Scorecard process](/handbook/product/ux/category-maturity/category-maturity-scorecards/)**
    - When we think we've reached the next maturity level, we perform rigorous user research with users to validate whether we were right.
