---
title: "Competitor Evaluations"
description: "Competitor evaluations help us understand how a competing product addresses the Jobs-To-Be-Done that our product also tries to address."
---

## What are competitor evaluations?

Competitor evaluations help us understand how a competing product addresses the [Jobs to be Done](/handbook/product/ux/jobs-to-be-done/) (JTBD) that our product also tries to address. It evaluates solutions.

These differ from a competitor analysis, which compares business models and strategic positioning in the market (think SWOT analysis). A competitor analysis evaluates companies.

In some cases, a competing company may solve a narrower aspect of DevSecOps than GitLab. In contrast, another company might have a portfolio of solutions that add up to the full breadth of GitLab. Understanding the strengths and weaknesses of competitor offerings can help us identify gaps in our own functionalities and also inspire us to come up with better solutions.

## Selecting competitors to evaluate

At GitLab, we rely on the [JTBD framework](/handbook/product/ux/jobs-to-be-done/) to understand the goals that people want to accomplish using our product. Through these jobs we identify other competing products in the market that are helping users accomplish similar goals. When deciding on the [level of the job](/handbook/product/ux/jobs-to-be-done/#jtbd-hierarchy) that you want to work with for this exercise, keep in mind the scope of the JTBD comparison. Consider also the size and level of different products when conducting a competitor evaluation.

### Direct and indirect competitors

GitLab's direct competitors are the ones that offer similar solutions within the DevOps industry and targets the same audience. Generally speaking, these competitors are the first ones that come to mind when talking about different solutions, or the ones customers compare us with in the market. You can find some examples of our direct competitors in the [Gartner website](https://www.gartner.com/reviews/market/devops-platforms/vendor/gitlab/product/gitlab-devsecops-platform/alternatives).

Indirect competitors are products or services that are help users perform a similar [job](/handbook/product/ux/jobs-to-be-done/#job-stories-and-user-stories) through a different solution that doesn't  necessarily address the DevOps market. We look beyond direct competitors to understand how to innovate.

Technology is a fast-evolving landscape. To avoid any surprises in the future, it is important that we consider both indirect and direct competitors when conducting an evaluation.

## Objective of performing a competitor evaluation

There are several objectives for conducting competitor evaluations:

- Highlight opportunities and make informed recommendations to improve products and place GitLab ahead of the competition.
- Speed up the design process by making less risky assumptions and increasing our confidence in proposals based on the insights found.
- Avoid the same pitfalls that our competitors face.

To help determine the maturity of a category across industry more accurately, our team is exploring a [Competitor Comparison](/handbook/product/ux/category-maturity/competitor-comparison/#why-its-important-to-look-at-competitors) process that fits into the existing [Category Maturity Scorecard](/handbook/product/ux/category-maturity/category-maturity-scorecards/) process.

## How to get started

Start by creating a new issue using the [competitor evaluation issue template](https://gitlab.com/gitlab-org/competitor-evaluations/-/blob/master/.gitlab/issue_templates/Competitor%20Evaluation.md?ref_type=heads). The issue template includes a list of steps, as well as helpful links on how to go about completing an evaluation.

## Legal considerations

Follow the instructions on the [Legal Product Guidance](https://internal.gitlab.com/handbook/legal-and-corporate-affairs/legal-and-compliance/productguidance/#guidelines-for-leveraging-third-party-saas-free-trials-to-gain-competitive-intelligence) internal handbook page when planning and conducting a competitor evaluation.

[Learn more about performing competitor evaluations](https://gitlab.com/gitlab-org/competitor-evaluations#performing-a-competitor-evaluation)
