---
title: "Product Design Pairs"
description: "Product designer pairs rotation schedule"
---

## Design Pairs

Pair designing gives Product Designers a consistent partner to ideate with at the beginning of an effort, get feedback from during the design process, and conduct [design reviews](/handbook/product/ux/product-designer/#design-reviews). It also gives Product Designers exposure to product areas outside of their own.

- New designer pairs are connected every six months.
- Pairing assignments should be composed of designers from different stages (e.g., a Plan designer should pair with someone outside of the Plan stage).
- If we have an odd number of designers, we'll have one 3-person partnership.
- Pairs decide what to share and when; there is no predefined schedule or guidelines.
- It's imperative to ask for feedback and give context.

### Collaboration suggestions

Collaborating on key activities offers a unique opportunity to broaden your knowledge across different areas of GitLab. This cross-functional collaboration not only enriches your skill set but can also cultivate a deeper understanding of the product as a whole. Try some of these suggestions when working with your design pair:

- Perform design reviews on each other's designs.
- Walk your design pair through your product areas primary use cases to familiarize them with it.
- Use part of your pairing sessions to ensure local environments are set up and ready for reviews in your respective product areas. Collaborate on MR reviews to learn more about the product area and provide UX feedback to your design pair.
- Perform Buddy [UX Scorecard: Heuristic Evaluations](/handbook/product/ux/ux-scorecards/#option-a-conduct-a-heuristic-evaluation) ([Buddy Template](https://gitlab.com/gitlab-org/gitlab-design/-/blob/master/.gitlab/issue_templates/Heuristic%20Buddy%20UX%20Scorecard.md)) on each other's primary use cases.
- Collaborate on solution validation for each other's product areas (write scripts, take notes, observe, assess interview data).
- Talk about your current challenges as a designer. You don't always need to share visuals. Your design pair may have experience with a similar challenge and can share ways they worked through it.

### Schedule

This is the rotation schedule for FY25-Q3 and Q4 (2024-08-01 until 2025-01-31).

<!-- TIP: To update the table below, create the schedule in a temporary spreadsheet, and then copy/paste the rows into an online markdown generator (https://www.google.com/search?q=copy-table-in-excel-and-paste-as-a-markdown-table) -->

| Designer          | Design Pair            |
|-------------------|------------------------|
| Libor Vanc        | Emily Bauman           |
| Amelia Bauerly    | Chad Lavimoniere       |
| Graham Bachelder  | Annabel Gray           |
| Nicolle Merrill   | Nick Brandt            |
| Alyssa Trinh      | Nick Leonard           |
| Taylor Vanderhelm | Jeremy Elder           |
| Lina Fowler       | Becka Lippert          |
| Ian Gloude        | Michael Fangman        |
| Gina Doyle        | Timothy Noah           |
| Ilonah Pelaez     | Katie Macoy            |
| Veethika Mishra   | Pedro Moreira da Silva |
| Dan Mizzi-Harris  | Julia Miocene          |
| Camellia Yang     | Sascha Eggenberger     |
| Sunjung Park      | Alex Fracazo           |
| Bonnie Tsang      | Michael Le             |
| Jesse Hoek        | Mark Unthank           |
