---
title: Validated GitLab JTBD Canvases and Opportunity Scores
description: >-
  This page contains links to the JTBD canvases that have gone the GitLab JTBD Playbook process and the top outcome statements and opportunity scores from those canvases.
---

This page acts as the single source of truth for the record of Jobs to be Done canvases that have completed the GitLab Playbook process.

For each canvas / job performer we list each outcome statment that received a score of 10 or higher. As a reminder, we perceive opportunity score as having a severity as explained at the end of the [determine opportunity scores section of the playbook](/handbook/product/ux/jobs-to-be-done/jtbd-playbook/#step-7-determine-opportunity-scores).

## Code Author

- Validated by: Ben Leduc-Mills (Create)
- Quarter Validated: FY24Q4
- Primary Teams: Create:Remote Development, Create:Code Creation, Create:Editor Extensions
- [Link to JTBD Canvas](https://www.figma.com/file/FnXu3p8AiDFvtd1p9kFUS7/Create-Stage----Jobs-to-be-done-%2B-Opportunity-Scores?type=whiteboard&node-id=4-2883&t=3h1z6qF7hI9RLAlu-4)
- [Link to full survey results](https://docs.google.com/spreadsheets/d/10RLF592SrcDDcAjlgXcOBM8eqhWZy1ArJzvd8MTKNNE/edit?usp=sharing)

### Top Opportunities

| Outcome Statement | Opportunity Score |
| ----- | ----------- |
|  Maximize my confidence when checking that new code is working as expected in production.  |  11.76  |
|  Minimize the time it takes to reproduce a bug/problem.   |  11.70  |
|  Minimize the time it takes to identify errors and bugs in my code.  |  11.00  |
|  Decrease the time it takes to run test cases.  |  11.00  |
|  Maximize my confidence that CI/CD pipelines are running smoothly.  |  10.85  |
|  Decrease the time it takes to fix errors and bugs in my code.   |  10.81  |
|  Increase the chance that documentation is kept up to date.   |  10.76  |
|  Minimize the errors when integrating new code into the existing system.   |  10.69  |
|  Increase the chance that the pipeline passes.   |  10.17  |
|  Minimize the effort it takes to review my own code for security and performance.  |  10.04  |

## Code Reviewer

- Validated by: Ben Leduc-Mills (Create)
- Quarter Validated: FY24Q4
- Primary Teams: Create:Code Review
- [Link to JTBD Canvas](https://www.figma.com/file/FnXu3p8AiDFvtd1p9kFUS7/Create-Stage----Jobs-to-be-done-%2B-Opportunity-Scores?type=whiteboard&node-id=4-2653&t=3h1z6qF7hI9RLAlu-4)
- [Link to full survey results](https://docs.google.com/spreadsheets/d/10RLF592SrcDDcAjlgXcOBM8eqhWZy1ArJzvd8MTKNNE/edit?usp=sharing)

### Top Opportunities

| Outcome Statement | Opportunity Score |
| ----- | ----------- |
|  Minimize the time it takes me to understand the context of a merge request (as a reviewer).  |  11.09  |
|  Increase my ability to assess the larger infrastructure impact of the proposed changes (during a code review).   |  10.06  |
|  Increase the efficiency with which I can examine proposed code changes.   |  10.02  |

## Repository Manager

- Validated by: Ben Leduc-Mills (Create)
- Quarter Validated: FY24Q4
- Primary Teams: Create:Source Code
- [Link to JTBD Canvas](https://www.figma.com/file/FnXu3p8AiDFvtd1p9kFUS7/Create-Stage----Jobs-to-be-done-%2B-Opportunity-Scores?type=whiteboard&node-id=4-2757&t=3h1z6qF7hI9RLAlu-4)
- [Link to full survey results](https://docs.google.com/spreadsheets/d/10RLF592SrcDDcAjlgXcOBM8eqhWZy1ArJzvd8MTKNNE/edit?usp=sharing)

### Top Opportunities

| Outcome Statement | Opportunity Score |
| ----- | ----------- |
|  Minimize the effort when searching for a specific change in the code base.  |  11.28  |
