---
title: UX Department Learning and Development
description: >-
  This page contains links to internal and external resources that members of the UX Department at GitLab can use to build their skills.
---

Welcome to Learning and Development for the UX Department at GitLab! You are welcome to explore content here for now. We'll update this page when we add this content to GitLab Learn.

The resources in this page are meant to support product designers, researchers, technical writers, and their managers to explore, learn and grow at their own pace. We aim to collect content that spans various skill levels, as well as various levels of depth/commitment. It is recommended that the UX Department engage with the resources here to help them have a successful journey at GitLab and in their career as a whole.

Most of the resources here are free but any content requiring payment [can be reimbursed following the GitLab reimbursement policies](/handbook/finance/spending-company-money/).

## Growth and Development

GitLab provides team members with the [growth and development benefit](/handbook/people-group/learning-and-development/growth-and-development/) to access external resources to develop their career. To take advantage of this benefit, review the company handbook page and follow the process.

Managers should add approved growth and development programs to the [department spreadsheet tracker](https://docs.google.com/spreadsheets/d/1hLm_XEX3Vux1Co_dMY5A74io8oqXArDAX6MonlBOYNg/edit#gid=1233213154) in order to track departmental budget.

## Mentoring and coaching

### College-level course involvement

- [GitLab-sponsored Tufts University Human Factors/Engineering Psychology Capstone Course](/handbook/product/ux/learning-and-development/tufts-university-capstone-course)

## Product design

### Books

- [The Design of Everyday Things](https://www.amazon.com/Design-Everyday-Things-Revised-Expanded/dp/0465050654) by Don Norman

### LinkedIn Learning

- [Making User Experience Happen as a Team](https://www.linkedin.com/learning/making-user-experience-happen-as-a-team)
- [Interaction Design: Flow](https://www.linkedin.com/learning/interaction-design-flow)

## Design strategy

### Books

- [Hacking Growth: How Today's Fastest-Growing Companies Drive Breakout Success](https://www.amazon.com/Hacking-Growth-Fastest-Growing-Companies-Breakout/dp/045149721X) by Sean Ellis
- [Better Onboarding](https://abookapart.com/products/better-onboarding) by Krystal Higgins
- [Escaping the Build Trap: How Effective Product Management Creates Real Value](https://www.goodreads.com/book/show/42611483-escaping-the-build-trap) by Melissa Perri
- [Inspired: How to Create Tech Products Customers Love](https://www.goodreads.com/book/show/35249663-inspired) by Marty Cagan
- [Empowered: Ordinary People, Extraordinary Products](https://www.goodreads.com/book/show/53481975-empowered) by Marty Cagan, Chris Jones

### Videos

- [Design Complex Applications: A Framework](https://www.nngroup.com/videos/designing-complex-apps-framework/)

### Courses

- [Design MBA-Learn how to align design and business goals without sacrificing your values](https://d.mba/)

## Design systems

### Books

- [Building Design Systems: Unify User Experiences through a Shared Design Language](https://www.amazon.com/Building-Design-Systems-Experiences-Language/dp/148424513X) by Sarrah Vesselov, Taurie Davis
- [Expressive Design Systems](https://abookapart.com/products/expressive-design-systems) by Yesenia Perez-Cruz

## UX Research

### Handbook Links

- [Discovery Resources for Product Managers](/handbook/product/product-manager-role/learning-and-development)

### LinkedIn Learning

- [UX Research: Lean Experimentation](https://www.linkedin.com/learning/ux-research-lean-experimentation/writing-an-effective-hypothesis) - This is a great overview of Lean UX and discusses business impact, iteration, hypothesis writing, experiment design, lean interviewing and more.
- [Surveys and Questionnaires for UX Projects](https://www.linkedin.com/learning/surveys-and-questionnaires-for-ux-projects/getting-good-feedback?u=2255073) - This one might be a review for some of you but it's a good overview of what to know about surveys.
- [UX Deep Dive: Analyzing Data](https://www.linkedin.com/learning/ux-deep-dive-analyzing-data/setting-your-objectives?u=2255073) - This one isn't about quantitative research, but it is about how to properly analyze your qualitative data to get to good insights.

### Other Resources

- [Data-Driven Design: Quantitative Research for UX](https://www.interaction-design.org/courses/data-driven-design-quantitative-research-for-ux)

## Jobs to be Done

### Handbook Links

- [JTBD Resources for Product Managers](/handbook/product/product-manager-role/learning-and-development)

### Books

- [The Jobs to be Done Playbook](https://www.goodreads.com/book/show/52105688-the-jobs-to-be-done-playbook) by Jim Kalbach

## Growth and Experimentation

### Books

- [Hacking Growth: How Today's Fastest-Growing Companies Drive Breakout Success](https://www.goodreads.com/book/show/31625067-hacking-growth)
- [Badass: Making Users Awesome](https://www.goodreads.com/book/show/24737268-badass)
- [Better Onboarding](https://www.goodreads.com/book/show/57661776-better-onboarding)

### Blog posts

- [Small experiments, significant results and learnings](https://about.gitlab.com/blog/2021/04/07/small-experiments-significant-results-and-learnings/)
- [Why iterative software development is critical](https://about.gitlab.com/blog/2021/04/30/why-its-crucial-to-break-things-down-into-smallest-iterations/)

### Handbook

- [Minimum Viable Experiment](/handbook/engineering/development/growth/experimentation/#minimum-viable-experiment-mve)
- [How Growth launches experiments](/handbook/product/groups/growth/#how-growth-launches-experiments)
- [Growth Experiments Knowledge Base](/handbook/marketing/growth/)

### Videos

- [GitLab Growth experiment discussion: Adding the "Invite members" option in assignee dropdowns](https://www.youtube.com/watch?v=J5h_SNH3Nt8&list=PL05JrBw4t0Kr_-AowJmbhGk9yj_zIZySf&index=17)
- [Growth Coffee & Learn: Anuj — Author Growth Hacking for Dummies](https://www.youtube.com/watch?v=a3VIrCSq_k8&list=PL05JrBw4t0Kr_-AowJmbhGk9yj_zIZySf&index=4)
- [UX Forum: New user onboarding strategy](https://www.youtube.com/watch?v=pihqBsophmE&list=PL05JrBw4t0Kq89nFXtkVviaIfYQPptwJz&index=33)
- [UX Forum: New User Onboarding](https://www.youtube.com/watch?v=NLDzr69D2Pw&list=PL05JrBw4t0Kq89nFXtkVviaIfYQPptwJz&index=56)
- [UX Forum: Growth - Continuous Onboarding](https://www.youtube.com/watch?v=G345H1Fgpo4&list=PL05JrBw4t0Kq89nFXtkVviaIfYQPptwJz&index=32)
- [UX Forum: An improved Trial Signup for GitLab.com](https://www.youtube.com/watch?v=5WWZsdJcr2k&list=PL05JrBw4t0Kq89nFXtkVviaIfYQPptwJz&index=149)
- [UX Forum: Promoting the value of locked features](https://www.youtube.com/watch?v=9_5PFgRFN74&list=PL05JrBw4t0Kq89nFXtkVviaIfYQPptwJz&index=150)
- [UX Forum: Authoring a Pipeline for the first time](https://youtu.be/wM97njPA8-w)
- [UX Forum: Simple changes, significant results](https://www.youtube.com/watch?v=uV0alFo_wfI)
- [How to launch product experiments at GitLab](https://youtu.be/rEHxAfxr9eU)
- [UX collaboration on Growth experiments at GitLab](https://youtu.be/wnww8aBoqRY)

### Other Resources

- [Growth Design](https://lexroman.com/growthdesign)
- [Practicing Growth Design](https://lexroman.com/blog/2019/9/30/practicing-growth-design)
- [What is a Growth Designer?](https://blog.alexaroman.com/what-is-a-growth-designer-1b342d55a358)
- [Growth Designers Resources](https://www.growthdesigners.co/tools)
- [Growth Design Case Studies](https://growth.design/case-studies/)
- [The Psychology of Design](https://growth.design/psychology/)
- [10 insights into user-centered growth design](https://medium.com/dropbox-design/user-centered-growth-design-97a53d829807)
- [A/B Testing: Concept != Execution](https://booking.design/a-b-testing-concept-execution-b37bf4d744d)
- [Design Like a Scientist](https://youtu.be/XRd6Ddn4ZSY)

## UX writing

- [Microcopy: Discover How Tiny Bits of Text Make Tasty Apps and Websites](https://www.amazon.com/dp/B071S54VLL/) by Niaw de Leon

## Leadership and Communication

### Books

- [Radical Candor](https://www.amazon.com/Radical-Candor-Kim-Scott/dp/B01KTIEFEE) by Kim Scott
- [Articulating Design Decisions](https://www.goodreads.com/book/show/25520974-articulating-design-decisions) by Tom Greever
- [The Making of a Manager: What to Do When Everyone Looks to You](https://www.goodreads.com/book/show/38821039-the-making-of-a-manager) by Julie Zhuo

### Handbook Links

- [Leadership at GitLab: Recommended articles](/handbook/leadership/#articles)
- [Leadership at GitLab: Recommended books](/handbook/leadership/#books)

### Unfiltered Videos

- GitLab Design Talks: [Rayana Verissimo talks about career development and design leadership](https://youtu.be/Wgw8biVyay0)
- GitLab Design Talks: [Lorie Whitaker talks about the role of a Staff UX Researcher](https://youtu.be/GoriQSbQqNA)
- GitLab Design talks: [Marcel van Remmerden talks about career development and design leadership](https://youtu.be/B9SBZPeT6do)
- GitLab Design talks: [Pedro Moreira da Silva talks about navigating the IC career path in UX](https://youtu.be/wN_CFsPL08M)

### Other Resources

- [Staff Design: Navigating the individual contributor career path](https://staff.design/)

### LinkedIn Learning

- [Leading with Intelligent Disobediance](https://www.linkedin.com/learning/leading-with-intelligent-disobedience/what-is-intelligent-disobedience?u=2255073)

## Time management and productivity

### Books

- [Deep Work - Rules for Focused Success in a Distracted World](https://www.amazon.com/dp/B013UWFM52/) by Cal Newport
- [Make time](https://www.goodreads.com/book/show/37880811-make-time) by Jake Knapp and John Zeratsky

## Behavioral Psychology in Design

### Books

- [Hooked: How to Build Habit-Forming Products](https://www.goodreads.com/book/show/22668729-hooked) by Nir Eyal
- [Thinking, fast and slow](https://www.goodreads.com/book/show/11468377-thinking-fast-and-slow) by Daniel Kahneman
- [Indistractable](https://www.goodreads.com/book/show/44595007-indistractable) by Nir Eyal

## Interaction and UI Design

### Courses

- [Shift Nudge](https://shiftnudge.com/)

### Books

- [Refactoring UI](https://www.refactoringui.com/book) by Adam Wathan and Steve Schoger
- [About Face 3: The Essentials of Interaction Design](https://www.goodreads.com/book/show/289062.About_Face_3) by Alan Cooper, Robert Reimann, David Cronin

## Other GitLab resources

### Handbook Links

- [Product Management Learning and Development](/handbook/product/product-management/learning-and-development/) - a comprehensive list of internal and external resources that Product Managers at GitLab can use to build their skills.

### Book Clubs

- From time to time, we run an internal book club on a book from one of our resource lists. Join the conversation in `#ux-book-club`.
- [GitLab Book Clubs project](https://gitlab.com/gitlab-com/book-clubs)
- [Leadership Book clubs](/handbook/leadership/book-clubs/)
