---
title: "System Usability Scale responder outreach"
description: "The System Usability Scale (SUS) is a performance indicator we use to measure the long term usability of our product. This page outlines the process for reaching out to survey respondents who have opted-in to having a follow-up discussion with our UX team."
---

Every quarter, we include a question in the SUS survey that asks whether respondents would be interested in discussing their responses with a GitLab team member. This is a great opportunity for Product Designers and Product Managers to learn more about the usability challenges for their specific product area.

#### Overall process

1. The UX Researcher running the SUS survey shares a Google sheet that contains scores and verbatims from respondents who have agreed to a follow-up conversation.
1. The UX Researcher creates an outreach issue to manage the responder outreach.
1. First, Product Leaders go through the Google sheet and sign up for outreach and/or tag in their Product Managers.
1. Product Managers review the sheet and confirm who they want to speak to. If a Design counterpart exists, tag them Product Design counterparts to decide who will be leading the interview. Otherwise the PM will lead it. The interview leader will be responsible for reaching out to the user and scheduling the interview. Once contacted, they mark the respondent as 'Contacted' in the sheet.
1. If multiple GitLab team members are interested in speaking to the same respondent, coordinate with the team member that contacted the respondent to align on questions to be asked. **We do not want the same respondent be contacted multiple times and by multiple GitLab team members.**
1. After the interview, mark the respondent as 'Complete' in the sheet.
1. Add any notes and links to video recordings to the UX Research shared Google Drive.

- Current SUS UX Researcher: @nickhertz

#### Process for reaching out to respondents

1. Calendly is the best method for scheduling calls with respondents. [Set up your free Calendly account](https://calendly.com/signup) if you haven't done so. Add details to the invite description describing yourself and the conversation purpose. Also add your personal Zoom link, either via connecting your Zoom account or pasting in your personal Zoom URL.
1. You'll need to add an extra question to the invite form in order to ask for permission to record (example below).
1. Draft an email that you'll send to respondents. Example copy is below.
1. **BE ON TIME TO YOUR CALL**. Make sure everyone on the call introduces themselves.
1. If respondents have agreed to recording, still ask them once again if it's OK if you record before turning it on.
1. See our training materials on [facilitating user interviews](/handbook/product/ux/ux-research/facilitating-user-interviews/)

**Example email copy**:

> Hello,
> My name is X and I'm the Product Designer for X at GitLab. Thank you for giving us the opportunity to follow up on your response to our recent survey.
>
> I would be very interested in speaking further about some of the points you raised in your survey response. Would you be willing to do a 30-minute video conference call to give us some more detailed feedback on your experience using GitLab? You'd be able to schedule the call at a time convenient to you.
>
> Schedule a time for the call using this link: `Insert Calendly link here`
>
> Thank you for your feedback and let me know if you have any questions.
>
> Best,
> Your name

**Copy for the permission to record question in Calendly invite**:

> We would like to record (1) the conversation you have with our team member and (2) anything you choose to share on your screen with us during the call. We would like to share the recording of the call with other GitLab team members. The recording is stored securely and would never be shared with anyone outside of the GitLab team. Please indicate below whether you give your permission for us to record the conversation and share with our team.
>
> I agree, I give my permission for my voice and screen to be recorded.
>
> I disagree, I do not want my voice or screen to be recorded.

#### Before the call

1. Locate and review the [SUS Interview Template](https://gitlab.dovetailapp.com/data/4GEKIhm6rHl421tJM382vi) in Dovetail. Make sure to copy this template into a new note file for your session.
1. Update the note to include information about your session. Specifically, copy over the participants' SUS score and verbatim from the survey, so you can learn more about the user's feedback.

#### After the call

1. If multiple GitLab team members are on the call, it can be beneficial to debrief immediately afterwards.
1. Collect all notes that were taken and the upload the Zoom recording (if applicable) to our [SUS Follow-up Project in Dovetail](https://gitlab.dovetailapp.com/projects/36nmGVKvkaT7SGMXtUeHVg/v/70xPTo5RzTRZnCNEVz1fWH).
1. If you told the user you'd follow up on anything or promised to send them further information, make sure you do so, ideally within two business days.
1. Add the label 'SUS::Responder Outreach' to any epics/issues that result from or align with feedback from the SUS outreach calls.
