---
title: Product Designer Design Tools
description: "Information on design tools for Product Designers."
---

## Figma & FigJam

**Note: Unless otherwise stated, the information about `Figma` in this section also applies to `FigJam`.**

Our primary design tool is [Figma](https://www.figma.com/). As a product designer or product design manager in the UX department, you will have a Professional Figma license and access to the GitLab team in Figma. You don’t need to do anything on your end, other than accept the invite sent to your GitLab email account during onboarding.

Anyone else in GitLab can access your files when you either share the file URL or invite them directly via email, but we ask that you only give them “can view” permissions. Anyone with “can edit” permissions is considered a paid seat and must have approval. A user with “can view“ permission will still be able to comment on and inspect design files.

If you want to invite team members to collaborate on your FigJam boards, you can do this by starting an [open session](https://help.figma.com/hc/en-us/articles/4410786053911-Invite-visitors-to-an-open-session). This feature allows for team members with or without a FigJam license to have edit access as long as the board has been enabled for an open session and the link for the board is shared with them. Open sessions will only run for **24 hours** at a time. If you want team members to be able to edit your files across multiple days, you will need to restart the open session each day.
If there are concerns about keeping information on your Figjam board SAFE, you can add [password protection](https://help.figma.com/hc/en-us/articles/5726720100247-Add-password-protection-to-files). That way only those with the password can edit the board when the open session is enabled.

GitLab has a public Figma profile where anyone can duplicate or remix files we have published. You can view our profile under the Community tab of the GitLab team section, or navigate to https://www.figma.com/@GitLab.

Do not create additional teams. An editor is billed for each team they are on, and we’ve only allocated resources for one team.

Figma has four levels of access, also called Permissions, for Professional teams. Permissions can be set at a team, project, and file level.

1. **Editors** - Only GitLab product designers and product design managers in the UX department are editors. Editors have “can edit” access to projects and files, unless otherwise changed.
1. **Viewers** - Viewers on the GitLab team have “can view” access to any project or file, unless otherwise changed.
1. **Admins** - An admin has access to Team Settings, and the Admin Dashboard, including billing.
1. **Owners** - Anyone who creates a team, project, or file will be the default owner of it.

[View complete permission details](https://help.figma.com/hc/en-us/articles/360039970673-Viewer-Editor-and-Admin-team-permissions)

### File backup

Figma's cloud storage contains all design files under our Organization account and only the Pajamas UI Kit files are published to our [GitLab Product Design](https://www.figma.com/@gitlabdesign) community page and available publicly. It's recommended that you back up any non-confidential design files you'd like to have a record of for future reference or portfolio use by saving a .fig file and storing via your preferred method.
