---
title: "Technical Writing Fundamentals"
---

The Technical Writing Fundamentals course is available to help both GitLab and community contributors write and edit documentation for the product. This course provides direction on grammar and topic design.

This class is **not required** to contribute to docs.gitlab.com. Everybody can contribute!

You can review the training materials on this page, or you can take [the course in Level Up](https://levelup.gitlab.com/courses/gitlab-technical-writing-fundamentals).

## Technical Writing Fundamentals course

The Technical Writing Fundamentals course consists of the following sections to be completed in order.

### Google Technical Writing One pre-class material

Complete the pre-class exercises from this excellent Google training. You can take the associated Google class if you like, but the GitLab Technical Writing Fundamentals sessions 1-4 cover the information that is relevant for GitLab.

[**Start with the pre-class work** ~12 short sessions](https://developers.google.com/tech-writing/one).

### GitLab Technical Writing Fundamentals slide deck

Use the slide deck to follow along with the recorded training sessions.

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vRGaE-gaI_couZMS1WJSAT0o8EGeFrZbrEevN-Z7bXBS1MxumUTk4c1ouERsGUEE0fhbofDY6BWLUIN/embed?start=false&loop=false&delayms=5000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure>

### Session 1 (4 minutes)

Provides an introduction, the audience for the documentation, a brief recap of pre-class work, and the first grammar and style requirements.

{{< youtube "Bp_ltao_xbA" >}}

### Session 2 (8 minutes)

Reviews additional grammar and style requirements.

{{< youtube "ulFMEOURVR0" >}}

### Session 3 (5 minutes)

Reviews even more grammar and style requirements and linting.

{{< youtube "q_LlUEIJnA0" >}}

### Session 4 (8 minutes)

Reviews topic types: concepts, tasks, references, troubleshooting (CTRT).

{{< youtube "ZzdE1y7HfzE" >}}

### For more information

- Review the [GitLab Documentation Style Guide](https://docs.gitlab.com/ee/development/documentation/styleguide/).
- Review some [examples for editing for topic types](/handbook/product/ux/technical-writing/fundamentals/examples/).
- Watch a [related video for more examples](https://youtu.be/HehnjPgPWb0).
- Provide [suggestions or other feedback](https://gitlab.com/gitlab-org/technical-writing/-/issues/445)!

## Schedule in-person training

While we emphasize asynchronous training, in-person training for GitLab team members is available on a limited basis. Contact Susan Tacker (`@susantacker` in Slack) to schedule training sessions.
