---
title: "Hiring Technical Writers"
---

As GitLab grows, the Technical Writing team expands, and team members participate in interviews. A defined interview
process is important for a consistent hiring process.

## Hiring process

General resources:

- [Interviewing at GitLab](/handbook/hiring/interviewing/#conducting-a-gitlab-interview)
- [Technical Writing Manager job family](/job-families/product/technical-writing-manager/)
- [Technical Writing job family](/job-families/product/technical-writer/)

## Interviews for Technical Writing

The following people interview the candidate for a Technical Writing role:

- Technical Writer
- Technical Writing Manager
- Product Manager or Customer Support representative
- Technical Writing Senior Manager

The goal is to evaluate the candidate's technical skills and knowledge, such as:

- Tooling experience
- Communication skills
- Technical writing and editing principles
- Understanding of Information architecture
- GitLab values

The candidate must be able to onboard quickly and keep up with the pace of GitLab development, as well as align with the company values.

## Interview training

If you are a Technical Writer at GitLab and you wish to be part of the hiring process,
complete the [interview training](https://gitlab.com/gitlab-com/people-group/Training/-/blob/master/.gitlab/issue_templates/interview_training.md).

In the last steps of the training, you will:

- Shadow a Technical Writer interviewer, who is your coach.
- Be shadowed by your coach.

Although you must shadow only two interviews and be shadowed in one interview, you can request to shadow or be shadowed in more interviews until you feel ready to start interviewing yourself.

## Recommendations

For every interview:

- Make sure you have a good internet connection.
- Dress professionally and respectfully.
- Make sure your Zoom background is not distracting.
- Silence your phone.
- Avoid conducting interviews in public places or rooms with others present.
- Be punctual. Join the call a few minutes early and wait for the candidate. Admit them to the room on time.
- Be friendly and use an informal tone.

### Shadow a TW

When you shadow a Technical Writer, observe how they conduct the interview.

**Before shadowing**

- Familiarize yourself with Greenhouse.
- Familiarize yourself with the interview questionnaire in Greenhouse.
- [Prepare for the interview](#interview-process) as if you were conducting it yourself.
- Sync with your coach before the interview to ask any questions.

**While shadowing**

- Observe how your coach approaches the candidate and initiates the interview.
- Observe how your coach asks questions, politely keeps to the purpose of the interview, and tracks time.
- Take notes. You and your coach will write up the interview report and submit your scorecards. During this phase of shadowing, only your coach's vote counts for the final result.

**After shadowing**

- Sync again with your coach to discuss the interview.
- Ask any questions you might have.

### Interview process

When you are being shadowed by your coach, and during any following interviews:

- Familiarize yourself with the interview questionnaire and the scorecard. Some people schedule about 45 minutes for preparation.
- Test your Zoom link.
- Read the candidate's resume, pre-interview questions, and writing samples.
- Collect questions about their past experiences that might have prepared them to perform well at GitLab.
- Create a Google Doc for each candidate. Add the interview questions, any instructions to yourself, and your raw notes. You don't need to share this document with anyone.

### During the interview

**Introductions**

- Start the interview by introducing yourself. Present the interview more like a conversation than a formal process to help ease any stress.
- Ask if they have any questions about the interview before you start. Tell them that you'll leave time at the end if they have further questions about GitLab, about the team, or anything related to the role.

**Tone**

- Be gentle, kind, friendly, humble, and respectful.
- Be fairly neutral. Try not to agree or disagree with their responses.
- Say please and thanks. "Could you please tell me about xxx..." and "thank you for sharing."

**Questions**

- Try to read between the lines of their responses. Sometimes the answer isn't in what they said, but in what they didn't say.
- Ask follow-up questions as needed.
- Identify responses to flag, such as inconsistencies, inaccuracies, and discordances with GitLab values.

**Time**

- Finish on time. If you need a few more minutes, ask them if it's okay.
- Set an alarm if you need reminders to keep you on track.

**Wrap up**

At the end of the interview, do not give them false expectations.
You don't know how well they will do in other interviews, so don't say anything about how *you think* they will do in the process.
Be kind. Thank them for their time and interest.

### After the interview

Fill out the candidate's scorecard in Greenhouse.

**Takeaways**

- Describe the key points of the interview. It's like a "TL;DR" note from your entire report.
- Collect positive and negative major points, flags and potential flags, and the overall result from your perspective.

**Notes for the next interviewer**

For anything unclear to you, or needs a follow-up, or needs further investigation, add in a note for the next interviewer.

**Full notes and results**

- Add your polished full notes to Greenhouse.
- Be thoughtful to choose the result ("Strong Yes," "Yes," "No," "Strong No").
- Submit the scorecard.
- Discuss with your coach, if you're being shadowed.
