---
title: "Think Big & Think Small Meetings"
description: "The purpose of think big & think small meetings is to develop a shared understanding of goals by discussing vision, roadmap, research, design, and delivery of upcoming features."
---

## Think Big

### Purpose

A Think Big is designed to create a shared understanding of purpose and goals with all members of a stage group. Everyone in the stage group is invited to participate in a facilitated discussion around vision, roadmap, user research, design, and delivery of upcoming product features.

Think Big's are meetings that drive knowledge-sharing across the organization at the stage group and section [levels](/handbook/product/categories/#hierarchy). Participants are given the opportunity to review and ensure short-term activities are aligned with long-term goals.

Watch past recordings in the [GitLab Unfiltered YouTube channel](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A).

### Cadence

Think Big meetings occur once a milestone (once a month).

### When to opt for a Think Big

Having a synchronous meeting with a large number of individuals may feel like it goes against [GitLab's Values](/handbook/values/) and culture. It is essential to evaluate the Think Big meetings regularly to ensure they are valuable to the team. Some questions to ask could include:

- Are the topics designed and delivered in a way that brings the team together?
- Are the discussions harmonizing the group on the long-term strategy of the stage or group?
- Having an entire team on a call for an hour can be considered expensive. Are the sessions a good use of everyone's time?
- Is everyone included in the conversation? Do all the participants in the session have an opportunity to discuss ideas or provide feedback?
- Do the conversations evolve and consider feedback from the team to make the session optimal for its goal?
- Are the goals and outcomes of the sync discussion available to everyone after the session?

If any of the above questions are answered with a **"No"** it is a sign to reevaluate the topics, discussions, and structure of Think Big and iterate to ensure the team gets the most value out of the meeting as possible.

### General guidelines for facilitators

- Think Big meetings should be conducted in groups of no more than 10-15 (to encourage participation).
- The agenda template can be found by searching for `Think Big` in Google Drive.
- Divide the meeting into modules with each module averaging 15 minutes. A full session can typically over three topics.
- As the meeting starts, look for an ordered list of discussion topics in the agenda doc. This will be the order for participants to go in.
- There are many ways to gather feedback in a synchronous meeting. An example is to use a round-robin, turn-based structure that gives everyone on the call an opportunity to share their thoughts quickly and efficiently.
  - The facilitator (usually a Product Designer) will kick off the meeting by quickly reviewing the guidelines and starting the 15-minute timer.
  - The facilitator presents the problem or design by communicating what type of feedback they need. For more genuine reactions and feedback, keep the explanation as short as possible.
  - Following the order in the agenda, participants take turns asking relevant questions and providing a single piece of feedback to the design. Each "turn" should be limited to about 1 minute.
  - Repeat this turn-based process until time runs out or all the participants "pass".
  - If you need inspiration for feedback, consider taking a [few different hats for a spin](https://www.mindtools.com/pages/article/newTED_07.htm)!
- Action items from the meeting will be turned into issues with a think big label, such as `Package:ThinkBIG!`.

### General guidelines for presenters

- Add the discussion items to the think big agenda doc ahead of the meeting and make sure you link to relevant issues, research insights, and prototypes.
- There are many ways to gather feedback in a sync-meeting, one example is to use a Round Robin turn-based structure that gives everyone on the call an opportunity to share their thoughts quickly and efficiently.
  - Try to be quick, as each turn should only last around 1 minute. During your turn, you can do a few things (in order of priority):
    - Ask questions to the facilitator.
    - +1 or -1 someone else's feedback.
    - Provide **one(1)** piece of feedback.
    - "Pass" - you can skip your turn.
    - You officially end your turn by calling out the name of who is next.

### Suggested discussion items

#### Research insights review

After completing Problem or Solution Validation, Product Managers and Product Designers walk away with robust data about our customers and their needs. The Think Big meeting is a perfect forum for sharing the plan, process, and results of those research efforts.

Upcoming research discussions involve the entire team and give everyone involved in creating a product or feature an opportunity to raise questions to ask the users.

Reviewing past research initiatives and discovered UX-Research Insights with the whole team helps everyone understand what our users need and how the features being built will help them.

#### Epic overview

Reviewing a new epic with the whole team helps everyone understand the large scale vision and the logical breakdown formed. Having this conversation opens opportunities for the team to collaborate on how to break down large work into MVC deliverables in a logical and efficient order.

### Feedback during a Think Big

- Feedback should revolve around the areas the presented has pointed out.
- Feedback can be either positive, negative, or neutral. Helping a presenter know what **is** working is as important as what could be improved.
- One piece of feedback can build off of another person's feedback.

Remember, the goal is to capture a quantity of specific feedback. While it may be tempting to start discussions around the design choices and feedback, this activity doesn't make for a proper forum. The designer will follow up with reviews asynchronously afterward in the issue(s) to start discussions and conversations around the feedback.

## Think Small

A think big meeting may be accompanied by a think small meeting. While the think big focuses on divergent thinking about a problem and the solution space, the think small portion focuses on convergent thinking to help define the smallest step that the team can take today.

At GitLab, a great outcome of a Think Small meeting is having a small issue that solves a customer problem and gets them closer to the larger outcome discussed in the Think Big.

### General guidelines for facilitators

- Start the meeting by doing a recap from Think Big:
  - Review the User Personas you have discussed during the Think Big. Shortly revisit their needs and challenges.
  - Revisit some ideas for solutions that you have previously discussed.
  - Review design files that may already exist for the solution.
- Think about and discuss what could the team do in the next milestone to test these ideas.
- Discuss what can be the hardest part of the problem to solve in order to get ready for the possible roadblocks
- Define and agree on the steps to take.
