---
title: "Research participation gratuities"
description: "Learn about how UX Research Operations Coordinators recruit"
---

As a small token of thanks (and to ensure a higher participation/completion rate) we send gifts to research participants for partaking in UX research studies. These can be requested by opening an issue in the [UX research project](https://gitlab.com/gitlab-org/ux-research/blob/master/.gitlab/issue_templates/Incentives%20request.md).

## Study qualification

To determine if your study qualifies for incentives distrubution through the ReOps team we use the following criteria:

- A project that is oriented on researching/learning about GitLab, proposed new features, or evaluating GitLab
- Has an associated UXR (not a requirement but something we look for)
  - If there is no associated Research and/or ReOps issue - reach out to the Research Operations team through Slack on the #uxr_reops channel to see if we can process the gratuities for you. We request that you have approval before offering an incentive to your participants.

If you are unsure as to whether your study qualifies for incentives, reach out to the #uxr_reops channel prior to conducting your project to seek approval. We are happy to process incentives for other departments on a case-by-case basis.

## Gratuity recommendations

- User interviews or usability testing research: $60 (or equivalent currency) Amazon gift card per 30 minutes. In the table below is a quick view of the incentives based on different interview lengths.

| Interview Length | Incentive |
| ------ | ------ |
| 30 Minutes | $60 |
| 45 Minutes | $90 |
| 60 Minutes | $120 |
| 75 Minutes | $150 |
| 90 Minutes | $180 |
| 2 Hours | $240 |

- Surveys, card sorts, and tree tests: Opportunity to win 1 of 3 $30 (or equivalent currency) Amazon Gift cards, or a GitLab swag item.

- Design evaluations: Unpaid.

- Swag can also be sent on an ad hoc basis, as requested by researchers, PMs, and others. This is a nice touch and an opportunity for personalization after a particularly good conversation. UX Research Operations Coordinators can reach out to the corporate events team (Emily Kyle) for swag codes.

If you are planning to recruit users through a promotional game or contest (e.g., Opportunity to win 1 of 3 $30 (or equivalent currency) Amazon Gift cards), please review the following information in the [handbook](/handbook/legal/ux-research-pilot/) and consult with legal. For information on contacting legal, please refer to [how to reach us](/handbook/legal/#how-to-reach-us) in the Legal Team handbook page. Engaging legal for approval and creating an incentive request must be completed before conducting research involving promotional games or contests.

## Fulfillment

Requests for thank you gifts should be fulfilled at least twice per week so that users receive their gift promptly after participating in research. It's important to maintain a customer service mindset when interacting with participants - receiving their gift is the end of the research cycle and another touchpoint in their relationship with GitLab. Participants who take part through Respondent will have their incentives processed the next business day by the UX Research Operations Coordinator - only if the UX Researcher on the project has marked the participants as attended.

### Tango Card/Rewards Genius

Tango Card/Rewards Genius can be used to send gift cards to users around the world. [View a recording](https://www.youtube.com/watch?v=sBv-84R79LU) (GitLab internal) going through the process of sending a Tango Card payment to a research participant.

Here are suggestions for the most frequently used rewards:

| Country | Vendor |
| ------ | ------ |
| US | Reward link preferred* |
| India | Amazon.in |
| Netherlands | Amazon.nl |
| Canada | Amazon.ca |
| UK | Amazon.co.uk or Amazon.co.uk Ireland |
| Australia | Amazon.com.au |
| Germany | Amazon.de |
| Austria | Amazon.de Austria |
| Poland | Amazon.de Poland |
| Luxembourg | Amazon.de Luxembourg |
| Spain | Amazon.es |
| France | Amazon.fr |
| Italy | Amazon.it |
| Argentina | Reward link Argentina |
| Belgium | Reward link Belgium |
| Brazil | Reward link Brazil |
| Portugal | Reward link Portugal |
| Singapore | Reward Link Singapore |
| Saudi Arabia | Reward link Saudi Arabia |
| UAE | Reward Link UAE |
| Other | Pre-paid mastercard** |

*`Reward Link` gifts contain multiple local vendors for recipients to choose from.

**We send a `pre-paid Mastercard` to all participants in countries that are unsupported by TangoCard. These cards were designed for international travelers and are accepted everywhere, even if the card's currency does not match the participant's local currency.

Contact `success@tangocard.com` with questions or to expand the options available in the catalog.

****We no longer use Tango/Reward genius for sending gratuities****

### Rybbon

Rybbon is another incentive distributor that we use, particularly when the country a participant is based in is unavailable on Tango Card/Rewards Genius.

Rybbon uses an API feature to present rewards that are relevant for each participant based on their location. As such, we only provide the USD reward value on the platform and Rybbon handles the conversion automatically. Each researcher has their own folder with a campaign set up to send incentives. This is so that the email communication that our participants receive is more personable. There's also a general folder for the UX Research Operations Coordinator for incentive requests from the wider team. Specific campaigns can also be set up for longer projects, as well as an integration with Qualtrics if required.

Unsupported Countries in Rybbon: No rewards are available in the following countries.
Belarus, Congo, Cuba, Iran, Iraq, Korea North, Lebanon, Libya, Somalia, South Sudan, Sudan, Syria, Ukraine, Yemen, Zimbabwe.

Check out Rybbon's FAQ page or #uxr_reops_lounge in Slack.

### Tremendous

[Tremendous](https://www.tremendous.com/) is the main incentive distributor that we use.

Tremendous allows us to send gratuities globally and participants can easily select gift cards in their currency and preference. Messaging to send rewards is done with our custom GitLab branding.

Unsupported Countries in Rybbon: No rewards are available in the following countries. Cuba, Iran, Myanmar, North Korea, Russia, Syria, Venezuela, and Ukraine.

Check out Tremendous' [FAQ page](https://help.tremendous.com/en/articles/prepaid-card-faq) or #uxr_reops_lounge in Slack.

## Incentives budget tracking and funding

The accounting team funds Tremendous, Rybbon, and Respondent accounts with a lump sum amount from the pre-approved research incentives budget. We issue thank you gifts from that prepaid amount.

### Tremendous

**Requesting new funds to the account:**

1. Log in to Tremendous
1. Under balance select "Add funds"
1. Select "Create a new invoice" and follow the prompts
1. Open a [requisition through our procurement process](/handbook/finance/procurement/#step-3-create-coupa-requisition)

### Respondent

**Requesting new funds to the account:**

- To purchase a bundle, use the Vendor contract request process.

## Monthly Gratuity Report

To avoid having to distribute W-9 forms, the UX research team will not compensate a single participant more than $600 in a calendar year. To ensure we don't recruit participants that are nearing our cutoff we follow the below process.

The UX Research Operations team will make a monthly pull of all gratuities sent to users that participated in UX research studies and then update our "Do no recruit" list. To do this process follow these steps:

1. Download report from Tremendous
  ![image](tremendous.png)
1. Update the Gratuity tracking spreadsheet (In Google drive called Gratuity tracking, since it contains PII access will be restricted)
    - Paste in the new rows on the current years' tab
    - Check the list to see if any new participants are nearing the $600 limit in the "2023 Rollup" tab
    - If any participants are at or close (within $100) to the $600 limit, add them to the "Do no recruit" tab
1. If new participants are added to the "do not recruit" list then the Marketo and Data warehouse filters will also need to be updated.

We do not need to worry about filtering by our "do not recruit" list in Respondent or UserTesting as these are third-party recruitment platforms and they are responsible for tax implications.
