---
title: "Recruitment methods"
description: "Learn about how UX Research Operations Coordinators recruit"
---

UX research operations coordinators have several resources to recruit from. Learn more about each source and anticipated timelines.

### Recruitment methods

1. **Respondent.io:** is a participant recruitment service that is a good choice for studies aimed at software professionals who may or may not be GitLab users. This has been a good source to find security professionals and some other harder-to-reach participants. Respondent is also a great choice for when you need users quickly.
    - Respondent.io is one of the fastest options depending on criteria and typically participants start qualyfing within a few hours.
1. **UserTesting.com:** is an [unmoderated usability testing platform](/handbook/product/ux/ux-research/unmoderated-testing/). We can use their panel to recruit users for usability tests through their platform.
    - Participants typically start qualifying within a few hours depending on criteria.
1. **Social outreach:** Social posts may go out on GitLab's brand channels. The UX Research Operations Coordinator uses the [Social Request issue template](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/blob/master/.gitlab/issue_templates/social-general-request.md?ref_type=heads) in the [Corporate Marketing project](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing) to request this type of post. The DRI who opened the recruitment request may also be encouraged by the UX Research Operations Coordinator to handle opening the social request issue. This is a good choice for studies primarily aimed at GitLab users. Product Managers, Product Designers, and other teammates are highly encouraged to help promote their studies through their networks.
    - Allow 1-2 weeks for these requests to go live.
1. **Direct Sourcing:** We can utilize LinkedIn to approach and source potential participants. Anyone at GitLab is able to request a [LinkedIn Recruiter license](/handbook/hiring/sourcing/#upgrading-your-linkedin-account). This [Unfiltered video](https://youtu.be/rc2IX1e2sQ8) and [slide deck](https://docs.google.com/presentation/d/1LI9qXLRQSnikPiHztDQBapGrDn5Nimsf-K8g1r3j9Do/edit#slide=id.g29a70c6c35_0_68) provide an overview on how to use LinkedIn Recruiter to source participants for your study. Please note that your LinkedIn Recruiter seat is likely limited to sending only 200 InMails your first week. If you go over this amount, your account will be disabled for a week. After the first week, you can send up to 1000 InMails a day. If you go over this limit, your account will be disabled for a day.
    - Allow 2 weeks minimum as this is the most time consuming recruitment method.
1. **Docs site banner:** We can occasionally use a banner on the [Docs site](https://docs.gitlab.com/) to promote larger surveys. There are some biases that should be considered when sampling by this method.
    - The docs team can choose not to allow your request. Typically it takes 1 week to get this up and running.
1. **In-product banner or prompt:** In some rare occasions, traditional recruitment methods may not be effective in finding the right participants at the right moment in time. An example of this may be capturing user sentiment on an experience, in real time. It's important to note that this method can negatively impact the user experience and workflows of our users, so we need to be mindful when, where, and how often this method is used. In general, this is a rarely used method since other recruitment methods are effective in identifying the right participants for our research needs. If an in-product banner or prompt is to be used, please follow [the approval process](/handbook/product/product-processes/#gitlabcom-in-app-messages-broadcast-messaging ).
1. **Marketo:** The majority of recruitment requests will be fielded through Marketo when looking for SaaS and Self-Managed users. Marketo is a tool primarily used by the Marketing Operations team to send emails out to our customer base. By using Marketo we are ensuring compliance in our outreach to participants and allowing a single source of opt-out from our communications.
    - Allow 2 weeks for responses to come in. You will likely need 3-4 email sends to reach your target number of responses.
1. **Data Warehouse:** Occasionally we may need to use the DataWarehouse for requests that are unsuccessful with Marketo. There are only SaaS users in the DataWarehouse and there's no access to Self-Managed users.
    - It will take a few days to generate the list of users based on workload if a query doesn't already exist for your target audience. Once the query is created, allow 2 weeks and multiple email sends to fill the request.

### GDPR and CAN-SPAM requirements

At GitLab, when we communicate with our research study participants, we take [GDPR](https://about.gitlab.com/gdpr/) and CAN-SPAM requirements seriously.

- Anyone can submit a [personal data request](https://support.gitlab.io/personal-data-request/) to see which lists they are subscribed to, and be removed from any and all of them. The UX Research Operations Coordinator routinely processes these requests by searching for the contact in the UX research Qualtrics directory. If the contact is not present, the coordinator comments in the issue to document. If the contact is present in the directory, the coordinator deletes the contact, then confirms in the issue that the contact has been removed.
- Every email sent to the research panel members contains an unsubscribe link. When a recipient clicks the link, Qualtrics [automatically confirms](https://www.qualtrics.com/support/survey-platform/distributions-module/email-distribution/emails-overview/#UsingTheOptOutLink) that they have been unsubscribed from the mailing list.
