---
title: "ReOps procurement best practices"
description: "Best practices when working with procurement"
---

When working with procurement on onboarding new tools, payments of POs, contract renewals etc. these are best practices to follow.

#### Best practices

- Open a ReOps tooling issue and add it to the ReOps tracker
- Provide updates in the issue
  - See this [example](https://gitlab.com/gitlab-org/ux-research/-/issues/2243)
- Determine if it's a request for procurement or accounts payable. For new tooling, vendors, and invoices you will need to go through the procurement process. For re-ups or payments on existings contracts you need to work with accounts payable.
  - Procurement: Follow the steps outlined in [procurement process](/handbook/finance/procurement/#--what-is-the-procurement-process-at-gitlab)
  - Accounts payable: Email accounts payable (AP@gitlab.com) directly with all necessary information
  - Check in every 2 days to ensure the process is moving
  - If the process is stuck on a step, reach out to the #procurement or #accountspayable Slack channel to identify who you can reach out to directly.
- Maintain communication and provide proactive updates with the vendor
  - Provide updates and screenshots of email chains in the issue comments
  - See this [issue](https://gitlab.com/gitlab-org/ux-research/-/issues/2242) for an example
- Get confirmation from the vendor that funds were received
  - Provide a screenshot in the issue comments
