---
title: "Collecting useful data"
description: "You can use your research objectives to create categories you can reference as you take notes to make sure you are capturing the most salient information."
---

## Decide what kinds of insights to collect

As you take notes, it's easy to think that everything you hear and/or see is important, but this makes it extremely difficult to analyze the information across all your participants. You can use your research objectives to create categories you can reference as you take notes to make sure you are capturing the most salient information. Focus on the **need-to-know information**, not the **nice-to-know information**.

## Decide on a collection method

Conducting user research often results in a pretty hefty amount of information. To stay organized throughout this process, spend some time upfront deciding how you'll collect your notes. Using [Dovetail](/handbook/product/ux/dovetail/) will help consolidate your data as well as facilitates [highlighting and tagging content](/handbook/product/ux/dovetail/#tagging-data-in-dovetail). Doing this makes it easier for your team to collaborate by adding their own notes and observations, and collecting everything in a central place will keep things organized and consistent.

Here are some note-taking resources to use, in addition to Dovetail, depending on the type of study you're conducting:

- [A guide to user research note taking](https://condens.io/user-research-note-taking/) This guide shows how to take good notes to save time later on. It also compares alternatives to note taking in a spreadsheet -- for example, using sticky notes.
- [User Interview Note Taking Template](https://docs.google.com/spreadsheets/d/1hnIqg-fnCYW2XKHR8RBsO3cYLSMEZy2xUKmbiUluAY0/edit#gid=0)
- [Usability Testing Rainbow Analysis Chart](https://docs.google.com/spreadsheets/d/1bPg6op9Sk46lFVGaET-fruE0qz-ctNQsxbZKF-5lpn4/edit#gid=0). This approach uses a templated and color-coded spreadsheet to record what participants did during the test. For a thorough walkthrough on how to use this method, check out [this article](https://userresearch.blog.gov.uk/2019/09/13/how-a-spreadsheet-can-make-usability-analysis-faster-and-easier/).

## Identify additional notetakers

A note-taking best practice is to have at least **one note-taker** for each research session. Having a note-taker helps by:

- **Gaining insights and developing high-quality solutions**, as observers interpret incidents through their diverse professional points of view.
- **Engaging the team constructively**, as everyone understands usability problems together.
- **Generating top findings together to get consensus quickly** and motivate the team to fix problems.
- **Multiple people often capture different insights**

After scheduling your sessions with participants, promote the sessions within section or stage group Slack channels to solicit note-takers.

## Using data from social media engagements

Twitter and LinkedIn are great platforms for engaging with our users and sometimes they can also prove to be a goldmine for user feedback. However, when using data received from these sources, we should proceed with caution and follow certain steps to avoid arriving at biased insights. It's important to ensure the feedback is not analyzed outside its original context.

- Determine the frequency of the feedback. How often are similar statements made? By how many people?
- Analyze the feedback to separate opinion from fact. Analyze the factual statements to see if solutions are proposed. If they are, determine what additional work is needed (either design or problem validation) to take the solutions to the next level.
- If a research project is currently underway and the feedback appears to be around the same topic, you can use it as an additional set of data to help triangulate the data from the research project.
- As a follow-up, request the person providing feedback to fill out the relevant issuable template, depending if it is a feature request or a bug, so they could easily create an issue around their feedback.

For more information around the guidelines for engagement on social media platforms, visit the [Team Member Social Media Policy and Guidelines](/handbook/marketing/team-member-social-media-policy/) page.
