---
title: "How to find existing research"
description: "Ways to find existing research insights."
---

Before starting new UX research, a good practice is to first look to see if your research questions can be answered through research that was already conducted.  This step doesn't take long and can sometimes result in saving a signficant amount of time if you're able to find the answers to your questions.

## How to find existing research

- [Dovetail](https://dovetailapp.com/) is the single source of truth (SSOT) for all user insights discovered by GitLab Team Members.
- [UXR_Insights project](https://gitlab.com/gitlab-org/uxr_insights) - Prior to Dovetail, GitLab was a research repository. Instead of reports and slide decks, we used issues to document key findings from research studies. A directory of completed research is available in the project's [ReadMe](https://gitlab.com/gitlab-org/uxr_insights/blob/master/README.md) file. We're currently working on an integration to surface up insights from Dovetail into the UXR_Insights project. In the meantime, feel free to explore both Dovetail and the UXR_Insights projects to look for insights.
- [GitLab Community Forum](https://forum.gitlab.com/) is run by community members. They share, ask, and discuss everything related to GitLab.
- [Zendesk](https://www.zendesk.com/) is a ticketing system used by GitLab's Support team to track problems raised by customers. [Zendesk accounts](/handbook/support/internal-support/#viewing-support-tickets) are available for all GitLab staff.
- [Chorus.ai](https://www.chorus.ai/) is used by our Sales team to record conversations that they have with GitLab customers. It has the ability to transcribe and highlight key points during these conversations. [Open an access request](/handbook/it/end-user-services/onboarding-access-requests/access-requests/).
- [GitLab issue tracker](https://gitlab.com/gitlab-org/gitlab/issues)
