---
title: "Problem Validation research for single-stage-group initiatives"
description: "Problem Validation research for single-stage-group initiatives usually focuses on specific behaviors relating to one stage group, such as: How do Release Managers do their job?"
---

Single-stage-group research initiatives deal with specific behaviors that relate to only one stage group, such as "How do Release Managers do their job?".

To get started, follow the [initial steps](/handbook/product-development-flow/#validation-phase-2-problem-validation) outlined in the Product handbook.

### For user interviews

1. Product Manager drafts the [discussion guide](/handbook/product/ux/ux-research/discussion-guide-user-interviews/). When a first draft of the guide is complete, the UX Researcher reviews and provides feedback.
1. Simultaneously, the UX Researcher begins crafting a screening survey in Qualtrics.
1. After the screening survey is created, the UX Researcher will open a `Recruiting request` issue using the available template in the [UX Research project](https://gitlab.com/gitlab-org/ux-research/) and assign it to the [Research Coordinator](/handbook/product/ux/ux-research-coordination/).
1. The Research Coordinator will perform a sense check to make sure your screener will catch the people you've identified as your target participants. If there are multiple rounds of review, the Coordinator will pause activities until uncertainty about your screening criteria has been resolved.
1. By default, Product Managers are responsible for leading (moderating) problem validation interviews with users. If the study is complex in nature, a UX Researcher may volunteer to moderate. UX Researchers have the discretion to decide which research studies they will moderate and which they will observe synchronously or asynchronously.
1. The person who is leading the interviews, and who has subsequently supplied their Calendly link to the Research Coordinator, is responsible for creating user interview invites on the UX Research calendar (`gitlab.com_kieqv96j35mpt8bdkcbriu2qbg@group.calendar.google.com`). Other interested parties (Product Designers, Product Managers, UX Researchers, etc) are encouraged to subscribe to the calendar.
1. After the interviews are concluded, the UX Researcher updates the `Recruiting request`. The Research Coordinator will reimburse participants for their time within 2 business days of the interview.
1. Product Manager and UX Researcher work collaboratively to synthesize the data and identify trends in Dovetail, resulting in insights.
1. UX Researcher updates the `Problem validation research` issue with links to findings in Dovetail and, if applicable, unmarks the `Problem validation research` issue as `confidential` before closing it.

### For surveys

1. The Product Manager drafts the survey. When a first draft of the survey is complete, the UX Researcher reviews and provides feedback.
1. The UX Researcher enters the survey in Qualtrics.
1. Once the survey has been entered into Qualtrics, the UX Researcher opens a `Recruiting request` issue using the available template in the [UX Research project](https://gitlab.com/gitlab-org/ux-research/) and assigns it to the relevant [Research Coordinator](/handbook/product/ux/ux-research-coordination/).
1. The Research Coordinator distributes the survey to a sample of participants.
1. The UX Researcher, will review the responses received so far and amend the survey if necessary. The UX Researcher should advise the Research Coordinator when to continue recruitment.
1. The UX Researcher will keep the Research Coordinator informed of the survey's response rate and must notify them when they plan to close the survey (to ensure recruitment doesn't continue on a survey that has been closed).
1. After the survey is closed, the UX Researcher updates the `Recruiting request` issue. The Research Coordinator will reimburse selected participants for their time (payment occurs on Tuesdays and Thursdays).
1. Product Manager and UX Researcher work collaboratively to synthesize the data and identify trends, resulting in insights.
1. UX Researcher documents insights in Dovetail.
1. UX Researcher updates the `Problem validation` research issue with links to findings in Dovetail and, if applicable, unmarks the `Problem validation` research issue as `confidential` before closing it.
