---
title: "UX research recruiting email tips"
description: "Guidance on how to recruit through email for UX research participants"
---

When sending emails to participants from Qualtrics or Marketo, coordinators may customize emails in a few ways.

- Always send yourself at least one test email
- Add an opening line above the study details. This can be a way to reference the time of year or add other personalization not in the template.
  - Example: `I hope you had a great weekend! We have a new study available and would love to include your perspective! Here are all the details:`
- Feel free to lightly re-write parts of the email template to make them sound more like your voice. Some of our UX research participants receive many emails from us, so changing them up slightly will be nice reinforcement that a human is actually on the other side of the process.
- Experiment with subject lines (`We have a new study for you!`; `See if you're a match with our new study`; etc.)
- Adjust the `sent from` display name to `Name from GitLab`
- If your response rate is low, but you think that your target participants are in your segment, send one reminder email rather than immediately starting a new segment.
  - Send the reminder no sooner than 4 days after your first email was sent
  - Add a brief note to the top of the email. Otherwise Qualtrics will just send a link to the survey
  - Write a new subject line (`We still want to hear from you!`; `Reminder: Take our quick survey`)
  - If you suspect that not many of your target participants are in your segment (i.e., because they are security professionals or others that we've struggled to recruit) don't send a reminder. Sending too many reminders increases the risk of unsubscribes.
- Schedule your email to send between 5 am - 11 am PT

Below are email/message templates that you can use for communicating with research participants. Whenever possible, we strongly encourage you to customize each message for the individual and circumstance.

#### System Usability Scale survey

[System Usability Scale](/handbook/product/ux/performance-indicators/system-usability-scale/)

- Subject lines: `SURVEY: How would you score GitLab's usability?` `New! Help us measure GitLab's usability over time` `Survey for you! How would you rate GitLab's usability?`
- Body:

```text
It's time for our regular System Usability Scale survey! This is a critical research project that helps us measure GitLab's usability over time, and we can't do it without you!

Your feedback is really valuable and it will only take a few minutes - will you help us out?

As a thank you for your time, you'll have the opportunity to win 1 of 3 $30 (or equivalent currency Amazon gift cards).
```

#### Invitation to partake in a user interview, following successful screening

```text
Hi! We have a study coming up, and I was wondering if you might be interested in participating with us. Based on your response to our survey, you look like a great fit! Sessions are taking place from `[XX-XX]`, and they last about `[XX]` minutes over Zoom (videoconference).

For this round of testing, we'll be chatting about `[Replace with research subject. Example: What tools you use, what your process is like, etc.]`.

Participants who complete a session will be compensated with a `[Replace with compensation. Example: $60 Amazon gift card, or approximate value in your home currency]`.

If you are interested, go here `[Link to your Calendly]` and choose one time and day that works for you as soon as possible. There are limited spots available.

Please let me know if you have any questions.
```

#### Outreach internal customers (GitLab) in Slack

```text
Hi all! :wave: We are in the process of `[Replace with research subject]` to `[Replace with research goals for context]`.
We need internal customers to answer a few questions. If you would like to help us out, please reply to this survey `[Link to research survey]`. Thank you!
```
