---
title: "UX Research shadowing"
description: "All new Product Managers and Designers at GitLab should complete research shadowing as a part of their onboarding before conducting independent research."
---

All new Product Managers and Product Designers should go through this research shadowing process as a part of their onboarding before conduting independent research.

This research shadowing process is intended to ensure that stable counterparts have sufficient understanding to be able to undertake UX research independently. Counterparts will read through training materials and observe the execution of a UX research study all the way through from planning to analysis. They will be paired with a UX Researcher that can answer any questions they have and provide support during this process.

## Shadower process

1. Identify the UX Researcher [assigned to your stage group](/handbook/product/ux/ux-research/how-uxr-team-operates/#how-ux-researchers-are-assigned). This person will be your contact during this shadow process. Reach out to them and introduce yourself and let them know you're starting research shadowing.
1. Read through pages that are relevant to you and your project(s) within the [UX Research handbook section](/handbook/product/ux/ux-research/). Your researcher can answer any questions you may have.

### Problem Validation shadowing

1. Once you start the shadow process, the researcher will identify an upcoming problem validation study they feel will be suitable for you to shadow.
   - If the researcher won't be conducting any suitable research in the near future, they may coordinate with you to observe a study being conducted by another researcher.
1. Once your researcher has identified an appropriate study, they'll start including you on each part of the research process. This will include things like the research plan, discussion guide, etc.
   - Read through these materials as they're created, and ping the researcher with any questions you have.
1. You'll be added to research sessions as they're scheduled. You'll observe, take notes, and participate in any debrief that happens. Let the researcher know which sessions you'll observe.
   - You should attend at least two sessions. If you want to observe more than that you can work it out with the researcher.
1. The researcher will include you on any analysis of the research and send you the final insights document.
1. Once the study has concluded, the researcher will reach out for a final check-in. Use this time to ask any remaining questions you have. At this point, you should have enough understanding to conduct research on your own.

### Solution Validation shadowing

1. When conducting your first solo Solution Validation at GitLab, you will need to have a researcher (preferably from your group or section) shadow your first solution interview.
   - This is to ensure you get feedback about your approach, and that a UX Researcher and your Product Design Manager are aware so they can support you.
1. [Solution Validation](/handbook/product-development-flow/#validation-phase-4-solution-validation) is conducted by the Product Designer and PM counterpart.
1. The role of research in Solution Validation is to provide an initial framework and to provide feedback on the goals of your study.
1. After a researcher has shadowed your interview (either live or by watching the recording), they will provide written feedback to you and cc your Product Design Manager.

## UX Researcher process

1. When a new hire reaches out to you to start the research shadow process, start thinking about what upcoming research study would be suitable for the shadower to observe. If there are multiple new hires coming on around the same time you can batch them together to optimize your time and effort. The study you choose for shadowing should be somewhat "standard," with as few atypical elements as possible. If you don't have any suitable studies happening in approximately the next month and a half, you may need to transfer responsibility to another researcher. Ask your manager if you're unsure.
1. Once you've identified the study, start including the shadower on each part of the research process. Tag them in issues and share documents like the discussion guide with them. Be available to answer any questions they may have. The goal is that they have a clear idea how to execute each phase of the research process.
1. As you schedule sessions, include the shadower on the invites. They should let you know what sessions they plan to observe, with a minimum of two.
1. Be sure to include the shadower on any analysis documents as well as any findings produced.
1. Once the study has concluded, reach out to the shadower for a final check-in. This is their last chance to ask whatever questions they still have. After this point the shadower will be considered ready to execute research on their own.
