---
title: "GitLab Adoption Research Program"
---

## What is GitLab Adoption Research?

As a solution, GitLab is considered a [DevOps Platform](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devops-platform/). The DevOps platform is a single application that eliminates complex integrations, data chokepoints, and toolchain maintenance, resulting in greater productivity. This single application is made up of our GitLab [stages](/handbook/product/categories/#devops-stages). In order for us to better understand DevOps Platform adoption, we must understand how and why users are adopting more stages.

In our research on adoption, we have learned new [namespaces](https://docs.gitlab.com/ee/user/group/#namespaces) adopting **3 or more stages** have significant differences from those namespaces not adopting multiple stages. First, the namespace has a significantly higher free to paid conversion rate, and the more stages a customer uses, the deeper the engagement, the stickier GitLab becomes, which also makes it the harder for customers to leave. Additionally, more stage usage creates more monetization opportunities in terms of upsell as well expansion for our business.

To better serve our DevOps Platform Solution and users of our end-to-end capabilities, we have created this research program.

## How does the GitLab Adoption Research Program work?

This program DRI is Jackie Porter, Director (@jreporter) and is a [Strategic Research Intiative](/handbook/product/ux/ux-research/strategic-research-at-gitlab/#how-does-gitlab-think-about-strategic-research).

## What are the GitLab Adoption Research Program outputs?

1. Readouts of adoption research
1. Organization-based themes for Persona updates
1. 1-3 year time horizon direction page updates

## Current GitLab Adoption Research

1. [Application Types Impact on DevOps Adoption](https://gitlab.com/gitlab-org/ux-research/-/issues/1783)

## Past GitLab Adoption Research

1. [Facilitate Cross-stage Adoption](https://docs.google.com/presentation/d/1Dop32ZNbyHhJvi-TMRR-uiJVKN-qaBl8hPj-N03YSL8/edit?usp=sharing) - [Issue](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/10466)
1. [Reasons for cross-stage adoption](https://docs.google.com/presentation/d/10aCNhZ8KvDMpOCqhhgcI-Sb6jpH6UT0-ApXH7_t-7XA/edit?usp=sharing) - [Issue](https://gitlab.com/gitlab-org/ux-research/-/issues/1385)
1. [SMB Pursuit of the Golden Journey](https://gitlab.com/gitlab-org/ux-research/-/issues/1522)
