---
title: "Tracking actionable insights"
description: "How we track actionable insights derived from UX research studies."
---

At GitLab, we track [actionable insights](/handbook/product/ux/ux-research/research-insights/) derived from UX research studies. These can be in the form of `Exploration needed` or `Product change`.

Actionable insights that are tracked will have one of the following labels:

- `Actionable insight::Exploration needed`
- `Actionable insight::Product change`

The labels are used to generate [this dashboard (internal only)](https://app.periscopedata.com/app/gitlab/1043584/Public-Actionable-Insights), which informs us of the following:

- The number of issues closed and the number of issues opened during this month (Velocity)
- The volume of newly created actionable insights, by quarter

Collectively, these data visualizations helps us understand more about incoming volume and lifespan of actionable insights.
