---
title: "User story mapping"
description: "User Story mapping is a powerful way to visualize how people are using your product or feature holistically and organize individual stories to that journey."
---

## What is user story mapping?

User Story mapping is a powerful way to visualize how people are using your
product or feature holistically and organize individual stories to that journey.
A story map can even be annotated to indicate which user stories need to be
included in each release, making it a valuable tool for PMs and Designers to
use during planning.

Much like a [User Journey Map](https://www.nngroup.com/articles/journey-mapping-101/),
a Story Map outlines a workflow and breaks it in to individual steps. Then,
each story (which is likely issues, in GitLab's case), are organized around
the individual steps in the workflow.

From there, the stories can be organized in priority ranking, or grouped in to
milestones to make it easier to think about planning.

## Resources

Here are some resources to learn more about story mapping:

1. Agilevelocity [Story Mapping 101](https://agilevelocity.com/blog/story-mapping-101/)
1. Easyagile [Building Story Maps PDF](https://www.easyagile.com/blog/the-ultimate-guide-to-user-story-maps/)
1. Jeff Patton [Story Map Concepts PDF](https://www.jpattonassociates.com/wp-content/uploads/2015/03/story_mapping.pdf)
1. GitLab [story map training video](https://gitlab.zoom.us/recording/share/7g9gHwJm4xre4zbO5hmHW9MtkmlFHr0h3MimJWd80wCwIumekTziMw), [slide deck](https://docs.google.com/presentation/d/19csmEbXyxiTaGHYAOpC8IJivqBhV7hnKTXoSB7yQZjk/)
1. GitLab [example story mapping video](https://www.youtube.com/watch?v=zWtaqydPNMk)
