---
title: "UX Researcher pairings"
description: "An opt-in offering for UX Researchers to pair up with another UX Researcher where they can provide and receive feedback from each other."
---

Inspired by the [Product Designer pairing program](/handbook/product/ux/how-we-work/design-pair-rotation), UX Researchers can take part in their own pairing offering: **UX Research pairings**.

## UX Research pairings

UX Research pairings gives UX Researchers a consistent partner to share ideas with on research approaches, addressing challenges, reviewing test plans and reports, and gaining experience in delivering feedback. It also gives UX Researchers exposure to product areas outside of their own. Some details:

- UX Research pairings are completely optional and are not required.
- If a UX Researcher is interested in this offering, they must take the initiative and seek out another UX Researcher to pair up with. They must also be willing to take part in the offering, too.
- By design, the UX Research pairing is unstructured. This leaves the cadence, feedback topics, etc up to the pairing to shape as they wish. It also means that pairs decide what to share with each other and when to share it.
- A pairing can last up to six months. After that time, it's encouraged to identify new pairings should the UX Researchers wish to continue in the offering.

## Examples of UX Research pairings

UX Research pairings can look similiar or different from one another.  Some possible examples:

- Pairings met twice a week, synchronously, to work together on a usability benchmark test plan where they focused on working out logical tasks for participants to complete.  Once that was delivered to and approved by stakeholders, the pairing cadence was reduced to ad-hoc through asynchronous meetings.
- Pairings met weekly, asynchronously, mainly to obtain feedback on test plans, data analysis, final reports, etc. The overall goal of this pairing is to work and deliver results in a more standard fashion.
- The pairings decided to work on an OKR together.  To effectively successfully land that, they met weekly, both asynchronously and synchronously, during the quarter. Together, they planned the measures and deliverable of the OKR, while providing each other with feedback and guidance along the way.

## The current UX Research pairing rotation list

If you're part of a pairing, please document it in the table below:

| UX Researcher | UX Researcher pairing | Pairing details | End date |
|---------------|-----------------------|----------|----------|
| Will Leidheiser | Danika Teverovsky | Learn about PNPS process from start to finish through a mixture of sync calls and async recordings | 2023-04-30 |
| Michael Oliver  | Danika Teverovsky | Develop more skills for discovering JTBD and how to use the framework to find strategic opportunities at GitLab | 2023-10-31  |
|               |                       |          |          |
