---
title: "GitLab Channel Partner Program"
description: "The value of becoming a GitLab channel partner."
---

## Welcome to the GitLab Channel Handbook

We invite organizations interested in becoming a GitLab Channel Partner to [APPLY NOW](https://partners.gitlab.com/English/register_email.aspx).

This is the primary Handbook page for prospective and existing GitLab Channel partners and is organized into the following sections: [Welcome to the GitLab Channel Handbook](/handbook/resellers/), [Channel Program Guide](/handbook/resellers/channel-program-guide/), [Channel Partners: Working with GitLab](/handbook/resellers/channel-working-with-gitlab/), and [Channel Partners: Developing your GitLab Practice](/handbook/resellers/services/). This services as an introduction to the GitLab Channel Program and provides links to individual sections with additional detailed information.

## GitLab Channel Introduction

The GitLab Partner Program supports organizations ranging from value added resellers (VARs) to systems integrators (SIs) to managed service providers (MSPs) and beyond looking to resell or refer GitLab sales opportunities, or provide services for GitLab customers. In addition, the program empowers partners to capture value from and support the entire customer lifecycle with guidance and support for everything from pre-sales engagement through full customer adoption of GitLab.

## Why Become a GitLab Partner?

The right product at the right time. In any given market there are only a few times when the stars align with a product that is creating and leading a category, a product that helps customers redefine what success can look like, and with a robust opportunity for an ecosystem of partners to help customers maximize their ROI in that product.

GitLab represents one of those opportunities. We are still in the early phases of capturing an estimated $40 billion dollar addressable market[^1].  A market that's evolving from point solutions to a platform and where GitLab offers the most comprehensive offering with proven ROI that partners can monetize by accelerating customers' successful adoption of GitLab.

From a strategic perspective, the comprehensive GitLab DevSecOps platform can be a driving force in your application modernization, digital transformation, cloud adoption, and even your security & compliance practices.

## How to Navigate the Channel Guide

If you have browsed the GitLab Handbook before or this is your first time, we want to make your experience navigating the Channel Partner Program Handbook as easy as possible.

These pages document our shared team philosophy and processes, while the individual sections contain more detailed information. If you ever need to find your way back to either page or section, you can locate navigation links at the top or bottom of each page or section, as well as helpful Outline links located on the right of each page.

How to Navigate: To find your way back to the 1st Page [CLICK HERE](/handbook/resellers/).

[Welcome to the GitLab Channel Handbook](/handbook/resellers/), [Channel Program Guide](/handbook/resellers/channel-program-guide/), [Channel Partners: Working with GitLab](/handbook/resellers/channel-working-with-gitlab/), and [Channel Partners: Developing your GitLab Practice](/handbook/resellers/services/).

| GitLab Channel Partner Program Sections                                                                                                                                                                                                                                                                                          |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|                                                                                                                                                                                                                                                                                                                                  |
| [Channel Program Guide](/handbook/resellers/channel-program-guide/)                                                                                                                                                                                                                                      |
| In this section you will learn how the GitLab Channel Partner Program works, the value GitLab brings to partners, Program Benefits & requirements, and an introduction to GitLab Services program.                                                                                                                               |
|                                                                                                                                                                                                                                                                                                                                  |
| [Channel Partners: Working with GitLab](/handbook/resellers/channel-working-with-gitlab/)                                                                                                                                                                                                                |
| In this section, you will be given a deep dive into working with and managing the Four main aspects of the GitLab: (1) Administration, (2) Sales, (3) Marketing, (4) Technical, and (5) Distributors.                                                                                                                            |
|                                                                                                                                                                                                                                                                                                                                  |
| [Channel Partners: Developing your GitLab Practice](/handbook/resellers/services/)                                                                                                                                                                                                                       |
| In this section, you will learn how the GitLab Partner Enablement Program is designed to provide our partners with similar training as GitLab employees. Specifically developing core training, accreditation, and certification for sales, solution architects (pre-sales engineers), and post-sales engineers and consultants.                                                                                                                           |
|                                                                                                                                                                                                                                                                                                                                  |
| [Channel Champions: Joining GitLab Partners Champions Program](/handbook/resellers/partner-champions-program)                                                                                                                                                                                                                       |
| In this section, you will be about GitLab Champions Program, an initiative designed to recognize and empower GitLab Channels key members who demonstrate exceptional advocacy, expertise, and enthusiasm for GitLab. Learn about the program's purpose, benefits, and how to become a champion, as well as the significance of joining this dynamic community of passionate GitLab advocates. |
|                                                                                                                                                                                                                                                                                                                                  |
| [Channel Partners: Technical Presales Enablement](/handbook/resellers/partner-enablement/)                                                                                                                                                                                                               |
| In this section, we review assets and enablement from the perspective of Channel Partners' Technical Presales constituencies.                                                                                                                                                                                                    |
|                                                                                                                                                                                                                                                                                                                                  |
| [Partner Operations (GitLab Internal)](/handbook/sales/field-operations/channel-operations/)                                                                                                                                                                                                             |
| For GitLab Team members only. In this section, GitLab Team members will find important information on navigating the Partner Program's internal processes.                                                                                                                                                                       |
|                                                                                                                                                                                                                                                                                                                                  |
| [GitLab Alliance Program](https://about.gitlab.com/partners/technology-partners/)                                                                                                                                                                                                                                                |
| This link will allow you to explore the exceptional technology companies we proudly partner with.                                                                                                                                                                                                                                |

## Contact Us

All authorized GitLab resellers are invited to the GitLab #resellers Slack channel. This Slack channel allows you to reach out to our sales and marketing team in a timely manner, as well as other resellers.

Additionally, you can email the GitLab Channel Team at partnersupport@gitlab.com.
