---
title: "GitLab Channel Program Guide"
description: "GitLab Channel partner program guide."
---

**We invite organizations interested in becoming a GitLab Channel Partner to [APPLY NOW](https://partners.gitlab.com/English/register_email.aspx).**

## GitLab Channel Partner Program & Guide

### How the Program Works

Partner Program Tracks &  Designations

The GitLab Partner Program consists of three tracks and one designation to support the different ways our partners go to market:

**Tracks**

- Open – This track is for partners (resellers, integrators, sales, and services) in the DevDecOps space , IT as a service (ITaaS) and other adjacent spaces that are committed to investing in their DevSecOps practice. GitLab Open partners may or may not be transacting partners, and qualifying partners can earn product discounts and/or referral fees.
- Select – In this track, partners make a greater investment developing significant sales and services practices, and are expected to drive GitLab customer adoption and expansion. In return, Select partners have a dedicated partner manager and greater sales engagement with GitLab. The Select track is by invitation only.
- Select Services – In this track, partners make a greater investment developing significant services practices with a focus on driving GitLab customer adoption and expansion. In return, Select Services partners have a dedicated partner manager and greater services engagement with GitLab. The Select Services track is by invitation only.

**Designations**

- Professional Services Partner (PSP) - this partner designation is awarded to partners who deliver service engagements to customers. The service engagements are focused on helping GitLab customers plan, implement, and optimize DevSecOps practices and solutions.

### GitLab Open and Select Partner Requirements & Benefits

|                                                                                    | Open<br>     | Select<br>(Invitation only) | Select Services (Invitation Only)                                                                                |
| ---------------------------------------------------------------------------------- | :------------: | :---------------------------: | :----------------------------------------------------------------------------------------------------------------: |
| **Overall Program Requirements**                                                   |  |  |    |
| GitLab Partner Agreement                                                           | X            | X                           | X                                                                                                                |
| \# of Accredited Sales Professional or existing Verified Sales Associate resources | 2            | 4                           | 4                                                                                                                |
| \# of Solutions Architect Verified Associates                                      | 1            | 2                           | 2                                                                                                                |
| \# of GitLab Professional Services Engineer (PSE)                                  |              | 1                           | 3                                                                                                                |
| Exec Sponsored Joint Business Plan                                                 |              | X                           |                                                                                                                  |
| Business Plan Commitments                                                          |              | $300K                       | [PSP](#gitlab-partner-services-program) |
|                                                                                    |              |                             |                                                                                                                  |
| **Sales Benefits**                                                                     |              |                             |                                                                                                                  |
| Deal Registration Discounts                                                        | X            | X                           | X                                                                                                                |
| Referral Fee                                                                       | X            | X                           | X                                                                                                                |
| Renewals Discounts                                                                 | X            | X                           | X                                                                                                                |
| Discounts for Reselling GitLab Professional Services                               | X            | X                           | X                                                                                                                |
|                                                                                    |              |                             |                                                                                                                  |
| **Support Benefits**                                                                   |              |                             |                                                                                                                  |
| Partner Help desk                                                                   | X            | X                           | X                                                                                                                |
| Level 2 Support Hotline                                                            |              | X                           | X                                                                                                                |
| Dedicated Partner Manager                                                          |              | X                           | X                                                                                                                |
| Not for Resale Licenses                                                            | X            | X                           | X                                                                                                                |
|                                                                                    |              |                             |                                                                                                                  |
| **Practice Development Benefits**                                                      |              |                             |                                                                                                                  |
| Partner Portal                                                                     | X            | X                           | X                                                                                                                |
| Proposal Based MDF                                                                 |              | X                           | X                                                                                                                |
| Sales & Pre-Sales Technical Enablement                                             | X            | X                           | X                                                                                                                |
| Program Logo                                                                       | X            | X                           | X                                                                                                                |
| Program & Certification Badges                                                     | X            | X                           | X                                                                                                                |
| GitLab.com Listing                                                                 | X            | X (featured)                | X (featured)                                                                                                     |
|                                                                                    |              |                             |                                                                                                                  |
| **Services Practice Benefits**                                                         |              |                             |                                                                                                                  |
| Rebates for Attaching Your Services to GitLab Sales                                | X (for PSPs) | X                           | X                                                                                                                |
| Professional Services Designations, Training, Accreditations, & Certifications     | X            | X                           | X                                                                                                                |
|                                                                                    |              |                             |                                                                                                                  |
| **Authorized Managed Services Benefits**                                               |              |                             |                                                                                                                  |
| Managed Services Discount                                                          | X            | X                           | X                                                                                                                |

### GitLab Incentives Guide

GitLab maintains our incentives in our GitLab [Incentive Guide](https://partners.gitlab.com/prm/English/s/assets?id=676520&renderMode=Collection). To access the guide you must have access to our partner portal which you can do if your organization is an authorized GitLab partner by submitting your work email corresponding to your organizational URL through this [link](https://partners.gitlab.com/English/register_email.aspx) and following the instructions you receive to set up your portal account.

### GitLab Select Services Track

With a launch in August 2024, the Select Services Track is designed to allow GitLab to engage closely with organizations whose primary business model is services. The Select Services Track is designed around the GitLab Partner Services Program, with a key requirement being that Select Services partners must be Designated GitLab Professional Services Partners (PSP) fulfilling all requirements of the designation. This is an invitation only program which will require a joint business plan focussing on a partner's services practice and capabilities. If you are interested in being invited to join the track, you best chance of success is to have built a mature services practice around the GitLab PSP which is open to all authorized partners.

You might note that another requirement of the track is having accredited Sales Professionals on staff. This is in acknowledgement of how consultative GitLab services engagements are and the Sales Professional accreditation is a powerful foundation for your engineers and consultants to help in those engagements.

### GitLab Partner Services Program

The GitLab Partner Services program is designed to help new or existing partners design service portfolios around the DevSecOps Lifecycle in correlation to GitLab products. The program helps partners evaluate business opportunities and creates a technical enablement framework to use as they build their GitLab-related service practices.

The foundation of the GitLab Partner Services Program is the GitLab Professional Services Partner Designation (PSP).

#### Becoming a Designated GitLab Professional Services Partner (PSP)

GitLab Professional Services Partner Designation (PSP) has partner program, competency, and delivery requirements that must be completed before you can obtain the designation. PSP designations will be awarded to partners who complete the requirements below.

#### GitLab PSP Designation Requirements

##### Program Entry Requirements

Each PSP must be:

  1. An authorized GitLab partner
  2. Design, build and operate a professional service practice, and
  3. Meet the Delivery Requirements, and
  4. Hire team members who have completed the competency requirements and/or sponsor the appropriate number of team members through the completion of the competency requirements.

##### Competency Requirements

- Each PSP must perpetually employ at least three (3) [GitLab Certified Professional Service Engineers](/handbook/resellers/training/#gitlab-professional-services-engineer-pse).

##### Delivery Requirements

- Each PSP must complete an average of at least 2 service engagements per GitLab Fiscal Quarter.
  - As a note, the GitLab fiscal year starts on February 1 of each year.
- Starting in Q3 FY25 (August 1, 2024), the following qualify as proof of completed service engagements:
    1. [Service Attach Registrations](/handbook/resellers/channel-working-with-gitlab/#how-services-attached-registrations-work)
    1. [Managed Services Provider deal registrations](/handbook/resellers/channel-working-with-gitlab/#submitting-a-deal-registration)

- When partners who have completed the competency requirements also complete their first two service attach registrations in a single GitLab Fiscal Quarter, they will receive their PSP designation within 7 business days.

- Each PSP will be required to have submitted at least 8 Service Attach Registration over the previous 12 months at their annual audit(s).

#### GitLab PSP Designation Information

- The GitLab Partner team will communicate new PSP designations through email and will reflect the designation in the GitLab Partner Locator.
- Partners who received their PSP designation prior to Nov. 2023 will have until their next annual audit to become compliant with the new criteria.
- The annual audits are performed quarterly, and will begin during Q1FY25 (Feb. 2024-Apr. 2024).
- Service delivery requirement will be prorated for the period between Nov. 2023-Nov. 2024.

#### Maintaining PSP Designation

GitLab Partner program will review the service attach registrations and the practitioner certification statuses of each GitLab Professional Service Partner each year in the quarter the partner was originally granted certification. Partners at risk for non-compliance will receive an audit warning email 30 days prior to their removal of their PSP designation. This will allow partners and their account managers time to create a plan to return to compliance.

- If partners become compliant during the 30-day warning period, they will not have their PSP designation removed.
- If partners remain inelligible after the 30-day warning period, their PSP designation will be removed, their PSP badge will no longer be shown on the partner locator, and they will be notified through email. Partners are encouraged to work with their GitLab Partner Account Manager (PAM) to create a plan for obtaining and maintaining designation. When a partner regains PSP eligibility, their badge will be re-issued within 7 business days.

## Contact Us

### You can email the GitLab Partner Support Team at partnersupport@gitlab.com
