---
title: "Marketing Development Funds"
description: "Marketing Development Funds Overview"
---

## MDF Program Introduction

GitLab Open and Select partners have access to the proposal-based GitLab Marketing Development Funds (MDF) Program. These funds are intended to support our partners' demand generation efforts.

### MDF Investment Objectives

#### Demand Generation

- The objective of these activities is to gain net-new end-user customers for you and GitLab. Examples of eligible activities include seminars, workshops, telemarketing or email marketing campaigns, participation in tradeshows, exhibitions, and direct mail.
- Eligible costs may include mailing costs, fulfillment items, lead qualification, distribution, venue costs, food and beverages (excluding alcoholic beverages), speakers' fees, management costs, and lead capturing costs.
- GitLab supports a limited number of partners in the selected regions, please check your eligibility with your regional [Channel Account Manager](https://partners.gitlab.com/prm/English/c/marketing-contact-cam) and [Channel Marketing Manager](/handbook/marketing/channel-marketing/#meet-the-team)

#### To be considered for funding support you must

- Be a Marketing Ready Select or Open GitLab Partner. Marketing ready means: partner has an approved business plan with GitLab; has a list of focus accounts mapped with GitLab; has a dedicated person who manages leads sent to the partner by GitLab (Partner Prospect Admin); ackowledges [the lead passing and recall process](/handbook/marketing/marketing-operations/vartopia/#partner-recall); has a dedicated marketing resposible person to work on the join activties with GitLab; has regular calls with the GitLab CHannel Marketing Manager; acknowledges [the MDF Policy](/handbook/resellers/channel-program-guide/mdf/) and requirements for MDF process (Reqests and Claims)
- Comply with GitLab Proof of Performance (POP) requirements for the activity
- Meet minimum required MDF request amount of **$1,000 USD**
- GitLab will cover up to **50%** of the total cost of the activity

## Eligible Activities and Required Proof of Performance MDF Activities

Proof of performance (POP) includes partner-generated invoice AND at least one of the activities listed in the table below that shows GitLab and partner representation. For activities that require a lead list, you must also submit it in an spreadsheet excel format, as part of your POP.

| **Eligible Activity** | **Description** | **Proof of Performance** |
|--------------------|---------------------------|-------------------------------------------------------------|
| **Collateral Sales Tools** | Printed or web-based material developed to assist in your efforts to promote GitLab solutions (product briefs, data sheets, case studies, etc.). The document must include the GitLab logo. | • Electronic version or hard copy of marketing collateral <br> • Graphic files or digital photos that show the integration of GitLab brand/solutions <br> • eDM/Direct mail |
| **Events** | Any industry or partner event that you plan to attend to promote or host GitLab solutions. This can be done in collaboration with other vendors that don't compete with GitLab. Events may also include enablement activities. | •(REQUIRED) Lead list/Attendee list (to include: Company Name, Contact, Title, Email, & Phone. Please use [MDF Lead List template](https://docs.google.com/spreadsheets/d/1CbxYQVZkZXxujpTIwpG3Hj_GKzuoDvpSGYmC1HnIA1Y/edit?usp=sharing)) <br> • Electronic version or hard copy of invitation <br> • Marketing collateral<br> • Photo of display/booth/event <br> • Funded Head (Distribution Only) |
| **Partner Sponsorship** | Participation in a partner-led event or activity or third-party event. | • Contract of signed sponsorship <br> • Lead list (to include Company Name, Contact, Title, Email, & Phone. Please use [MDF Lead List template](https://docs.google.com/spreadsheets/d/1CbxYQVZkZXxujpTIwpG3Hj_GKzuoDvpSGYmC1HnIA1Y/edit?usp=sharing)) |
| **Marketing Materials** | The delivery of co-branded marketing materials (digital or physical) to promote GitLab solutions. Eligible assets include emails, direct mailers and social media posts, and must include the GitLab logo. | • Electronic version or hard copy sample of direct mail, newsletter <br> • Lead list (to include Company Name, Contact, Title, Email, & Phone. Please use [MDF Lead List template](https://docs.google.com/spreadsheets/d/1CbxYQVZkZXxujpTIwpG3Hj_GKzuoDvpSGYmC1HnIA1Y/edit?usp=sharing)) |
| **Lead Generation/ Telemarketing** | Delivery of co-branded messages via telephone or other mediums to gain net-new customers. The message should focus on GitLab solutions. The contact list should include Company Name, First Name, Last Name, Title, Email, Phone. | • (REQUIRED) Lead list or call list (to include: Company Name, Contact, Title, Email, & Phone. Please use [MDF Lead List template](https://docs.google.com/spreadsheets/d/1CbxYQVZkZXxujpTIwpG3Hj_GKzuoDvpSGYmC1HnIA1Y/edit?usp=sharing)) <br> • Telemarketing script of how GitLab brand or solution were incorporated into the campaign <br> • Itemized call record or campaign metrics <br> • Internal invoice accepted |
| **Webcast/Webinar** | A syndicated or on-demand web event with the purpose of either lead generation or continuing education. This can be conducted in collaboration with GitLab or GitLab-approved third-party vendors. | • (REQUIRED) Lead list/Attendee list (to include: Company Name, Contact, Title, Email, & Phone. Please use [MDF Lead List template](https://docs.google.com/spreadsheets/d/1CbxYQVZkZXxujpTIwpG3Hj_GKzuoDvpSGYmC1HnIA1Y/edit?usp=sharing)) <br> • URL to recorded online event, podcast, or presentation that shows integration of GitLab brand and solutions <br> • Invitation to the online event/podcast <br> • Follow up/additional activities |
| **Demand Gen focused joint planning session** | A joint meeting between GitLab & Partner where the output is a demand generation activity. This should NOT be a GitLab 101 or 201 training, as that is handled by our enablement team. A detailed agenda for session must be provided at MDF request submission stage.| • (REQUIRED)  Date of demand generation activity & targeted lead list of who received an outbound motion.  (to include: Company Name, Contact, Title, Email. Please use [MDF Lead List template](https://docs.google.com/spreadsheets/d/1CbxYQVZkZXxujpTIwpG3Hj_GKzuoDvpSGYmC1HnIA1Y/edit?usp=sharing)|

## MDF Process

To obtain marketing development funds (MDF), please complete the following steps prior to any activity being performed or expense incurred. Any activity that does not follow the process below and has the appropriate approvals will not eligible for reimbursement.

### MDF Request

- Partners can access the MDF Request Form from [the GitLab Partner Portal home page](https://partners.gitlab.com/). Navigate to Marketing and select "MDF Request." Upon selecting MDF Request, complete the first part of the form to create a fund request. Once completed, click "submit it".
- Please check this [how-to video](https://www.youtube.com/watch?v=fF1YyrYn_3E) on how to submit an MDF Fund Request.
- All MDF requests should be submitted at least 10 business days prior to the activity start date
- You should have a marketing plan in please by working with your designated Channel Marketing Manager & Channel Account Manager and all MDF activities should be agreed to prior to submitting the request form in the portal.
- Our goal is to have the approval (or rejection) of your MDF request back to the partner within 5 business days.
- As our program is proposal based, GitLab does not guarantee every  partner will receive MDF.

### MDF Approval

- After submission of the MDF request, your GitLab Channel Marketing Manager will review and approve or deny the request.
- You will be notified via email.
- You must get formal approval before proceeding with your activity.

### Timeframe for Completing Activity

- Partners must complete the activity within the quarter that the request has been approved for. If at any point within the funding quarter you decide the allocated funds will not be used for the approved activity, you must notify your Channel Marketing Manager.

#### Canceling and Reallocating Funds for an Activity

If the originally approved activity will not take place, please notify your GitLab Channel Marketing Manager. You may be able to reallocate your funds to another activity that is equal to or less than the original approved activity that takes place within the same time frame, but this must be approved by your Channel Marketing Manager.

### Receiving leads post MDF activity

If your MDF activity has a lead list, as required by our POP policy, you must include a copy of the joint event lead list. This list is considered confidential and the property of both GitLab and the authorized GitLab partner, and will be used for the sole purpose of tracking lead progress and calculating the activities return on investment. By submitting your MDF request, you agree to these terms and conditions.

Upon your submission of the lead list, GitLab will pass those leads back to you directly within the GitLab Partner portal, making it seamless to connect your deals you'd like to deal reg back to the MDF request.

Instructions on how to accept/reject/reassign a lead or register a deal and submit to GitLab for approval can be found via [this video](https://www.youtube.com/watch?v=BmmiH_ctALk) or in the [partner portal](https://partners.gitlab.com/English/).

### Funds reimbursement Requirements

- Submission of a payment claim (invoice) within 30 calendar days of completion of the activity via the MDF Reimbursement Request form on the GitLab Partner Portal.
- Supporting documentation based on the activity, [documented here](/handbook/resellers/channel-program-guide/mdf/#eligible-activities-and-required-proof-of-performance-mdf-activities) <br/>
**AND**<br/>
- Invoice
      *Invoice will be accepted from the Partner only
      * It must clearly state the MDF activity name in the description
      *Have an invoice number
      * Made payable to GitLab Inc. <br/>

For partners who are claiming reimbursement for the **first time** only: <br/>

- A **5 day exception** is added to the 30 days, giving partners a total of 35 days, from the activity end date, to submit their claim. This is in place in order to accommodate Partner's onboarding process in GitLab's procurement system, [Coupa](/handbook/finance/procurement/coupa-faq/).
- GitLab may reach out once to partner, but if no response is received and the 30 or 35 days has commenced, the activity will be canceled and no payment will be made thereafter.
- GitLab is not responsible for reimbursing partners that submit a request after this 30 days or 35 days for new partners has passed.

### MDF Terms and Conditions

- Marketing development funds (MDFs) may not be used for capital expenses or the normal cost of business.
- Activities/expenses NOT covered under the GitLab MDF Program include alcohol, cash, charity events/activities, product discounts, travel, and lodging expenses.
- Activities that involve multiple vendors will not be supported at 100% funding by GitLab. The local Channel Marketing Manager may approve a percentage of funding based on the number of vendors and visibility of GitLab versus other participating vendors.
- GitLab reserves the right to modify or terminate the MDF Program upon 30-days advance written notice, which is provided on the GitLab Partner Portal. Such modification or termination will not affect prior approved requests for activities that ran before the effective date of the modification or termination, nor will it affect prior approved plans in progress at the time of the change.
- If claims are not submitted within 30 calendar days following the activity, the funding allotment and/or allocation may be null and void, and you may forfeit any unallocated or unclaimed funds.
- GitLab will only pay for the claim amount approved, not fees for wire transfer deposit or local currency deposit.
- Lead lists provided as POP will not be used by GitLab's Sales team to call or nurture without written permission from the partner, or unless the customer has already engaged directly with GitLab.
- You must conduct your business and marketing operations in an ethical manner and in accordance with all applicable United States and international laws, ordinances, codes, and regulations. You may not directly or indirectly make, authorize, offer, or promise to make or give any money, bribe, gift, or anything of value to any person for the purposes of influencing that person or a family member of that person under circumstances where the payment or gift would constitute an illegal payment under the laws of the U.S. or any country.
- All decisions related to program benefits and eligibility are at the sole discretion of GitLab.
- Partners eligible for MDF must be a GitLab Channel Partner in good standing, with a valid and current Channel Partner Agreement. Upon termination or expiration of the Channel Agreement, all in-progress MDFs (even if MDF approval has been given) will be forfeited.
- Submission of false or fraudulent claims can cause you to be ineligible for the MDF Program and may render MDF requests to be forfeited, regardless of their stage of execution.
- You may not deduct or set off an MDF claim from any payment due to GitLab in the regular course of business with GitLab.
- GitLab reserves the right to audit and verify all MDF claims and request additional documentation at any time. GitLab may deny any MDF claims that it believes, at its sole and absolute discretion, do not conform to these guidelines.
- If GitLab subsequently denies an MDF claim for good cause after reimbursement, you must immediately return such funding to GitLab.
- The terms of these MDF guidelines are in addition to the applicable Channel Partner Agreement in place with GitLab; they are valid only when specifically referenced from the applicable Channel Partner Agreement, program guide, or otherwise made available to a channel party by GitLab in writing. All terms not otherwise defined herein have the meaning set forth in the applicable Channel Partner Agreement.
- You are authorized to use GitLab's names, marks, logos, and other identifiers as approved in advance in writing, on or in connection with your own marketing and promotion of GitLab products and services. Your use of GitLab logos needs to be solely in accordance with the [GitLab Partner Program Agreement](/handbook/resellers/reseller-agreement/#master-partner-agreement) and any additional trademark guidelines GitLab provides.
- It is understood that when MDF are used to fund an event participation where a show booth is part of your event presence, that no branding of a competing vendor is to be used alongside GitLab's brand on that booth.

### GitLab's internal MDF Process Workflow

#### Phase 1: Pre-planning

- Budget is established by the year, allocated by each quarter, then region, and should be planned in a 6 month cycle.
- Channel Marketing Managers work on creating a strategic marketing plan on a 6 month rolling calendar.
- Internal approvals are needed. Plans are reviewed by Channel Marketing Manager's Team Managers and MDF Program Owner.
- If an MDF activity requires a contract signed or has a specific contract for that particular event, such as sponsorships or conferences, contracts need to be **reviewed and approved by Legal** before the approval is communicated to the Partner.
  - In this case, CMMs are to submit contract to the MDF Program Owner and they will open a Zip request to get approval done.
- Once internal approvals have been completed, CMMs communicate to Partners activities that are approved.
- If the MDF activity is a sponsorship and it does not have a specific contract from the partner legal will create one once communcated to them within the Zip approval process. This will then follow the same legal process as listed above.
- Partners are responsible for submitting an MDF request through the Partner Portal.

#### Phase 2: Processing MDF

- When a MDF fund request is received, MDF Program Owner and the Channel Marketing Manager receive an email alert.
- The Channel Marketing Managers have the ability to approve first, by confirming that all of the information input by the Partner was correct.
- Once they approve, the MDF Program Owner will do a final approval, also known as a level 2 approval.
- MDF Program Owner will link the fund request to the regional issues, mentioning its fund request number.
- At this point, all the MDFs that were approved and are ready to be processed.

- Processing an MDF consists of:
- Adding the MDF line in Allocadia, with all of its information.
*We don't add this in the pre-planning phase because sometimes fund requests may get canceled or the Marketing Activity/event moves to a different date.*
- From Allocadia we open an MDF Epic and two sub-issues List Upload and POP (Proof of Performance).
- Marketo and Salesforce Campaign are created.

- POP Tracking board:
To better track the POP we have created a [MDF Operations Board](https://gitlab.com/gitlab-com/marketing/partner-marketing/-/boards/5415585?label_name[]=MDF-POP).
- POP Label description can be found [in this section](/handbook/marketing/channel-marketing/#requesting-mdf-funds) of the handbook.
- Channel Marketing Managers are also tagged to create their own activity tracking issue.
- A Zip requisition request is opened.
- Zip will now have an MDF approver (MDF Program Owner) to make sure we have all of the correct information updated and to make sure that payment is not process for partner before receiving the POP.
- After that Zip approval will take 4 business days.

#### Phase 3: Payment

- Three automated emails are sent to partners notifying them to submit their claims.
- Email 1: sent a day after the activity end date
- Email 2: 14-day after the activity end date has passed
- Email 3: 28 days after the activity end date has passed, alerting them once the 30-day deadline has been reached, GitLab can contractually  decline to pay if the MDF Claim is not submitted. For new partners that need to be onboarded in Coupa we are allowing a 35 day deadline.
- A communication will be made to the Channel Marketing Managers if claim has not yet been made and Channel Marketing Managers will reach out to Partners.

Once a claim is submitted MDF Program Owner receives an automated email.

- All of the files received by the partner are checked. If any documentation is missing or does not fulfill the MDF Guidelines we will reach out to partner.
- All of the documentation gets uploaded to the POP issue and the label for MDF Program Owner to review and approve.
- MDF Program Owner checks every POP issue, looking at lead list, invoice and supporting images/pdfs and approves it or tags Channel Marketing Managers if there's a concern.
- Once approved, Teri will upload the lead list to the Lead Upload Issue.
- She will email the invoice to AP.
- She will note in Zip/Coupa - MDF Reimbursement payment is clear to pay.
- Payment can take up to 45 days once invoice is submitted to Accounts Payable.

## Canceling MDF Activities

### Channel Marketing Manager Tasks

- CMM to update Allocadia showing the MDF activity as canceled by going to the mdf sub-category panel and selecting `Yes` to the `Campaign Canceled?` dropdown. CMM to also add in `CANCELED` to the event sub-category title and to the `Official Event/Campaign Name` field so the title in the main issue stays updated.
- CMM to remove any planned/forecasted costs in Allocadia accordingly.
- CMM to ping the Channel Marketing Programs Manager (CMPM) and staff/DRI's in the main MDF epic to communicate the cancellation and close out the issue.

### Channel Marketing Programs Manager Tasks

- The CMPM will comment regarding the cancellation in all open sub-issues and close out the issues.
- If applicable, CMPM to delete the Zip req and comment that the MDF has been canceled.
- If applicable, CMPM to ping procurement and finance in the Coupa req to notify them that the MDF has been canceled.
- Once all sub-issues are closed, the CMPM will also note the cancellation in the epic and close the epic.
- The CMPM will change the MDF Request status in SFDC from `Approved` to `Cancelled` or `denied` (where applicable) if request has been submitted by the partner. By doing so the Partner will receive an automated email informing the Funds Request initially submitted has been cancelled or denied.
- SFDC: CMPM to add `[CANCELED]` to the campaign name and select `Aborted` in the `Campaign Status` dropdown. Also, unlink the `Partner Account` and unsync to `Vartopia`.
- Marketo: CMPM to delete Marketo program.

## FY25 Q2 GitLab Biz Development team to prospect leads from MDF Campaigns

- Exciting offering for our partners who are running MDF campaigns with us in FY25 Q2 (May 1, 2024 - July 31, 2024).
- At the partners election, GitLab's in-house prospecting experts(the GitLab BDR team) will work on your behalf to surface joint opportunities from agreed MDF campaigns, allowing you and your teams to focus on the deal progression and beyond.
- Even though the GitLab BDR team will be working to surface the opportunity for you, you will still be entitled to your pricing and discounts as listed in the [partner portal](https://partners.gitlab.com/English/).

### The fine print

1. The GitLab BDR team will only work the leads from qualified MDF campaigns based on the following criteria:
   1. Leads which have scored enough points to be considered a GitLab marketing qualified lead (MQL).
   1. Are from an actively working account - regardless of how many points they have gathered [and/or] are from a group of accounts called `Actively Working Accounts` which is a set of accounts the BDR team has a specific outbound prospecting strategy for.
1. The GitLab BDR team will inform you on the records we have worked & send back to you the leads which did not meet the above criteria for your own nurturing.
1. For more information on  the MDF program, please see the MDF Program Introduction information found in the [partner portal](https://partners.gitlab.com/English/).

## Contact us

For more information on marketing development funds, please email us at partner-marketing@gitlab.com
