---
title: "Channel Partner Tools and Resources"
description: "Channel Partner tools and resources to help grow your GitLab business."
---

**We invite organizations interested in becoming a GitLab Channel Partner to [APPLY NOW](https://partners.gitlab.com/English/register_email.aspx).**

## **GitLab Partner Portal**

Partners are given access to our [Partner Portal](https://partners.gitlab.com) when they are onboarded. This serves as the primary source of information and transactions for our Partners. The GitLab Partner Portal has the following capabilities:

- Partner registration and account management
- Deal registration and opportunity management
- Training accreditation and other learning
- Sales, services, and program and marketing resources
- GitLab news, communications and program announcements.

Visit the portal at [partners.gitlab.com](https://partners.gitlab.com). There is a walk-through video available on the portal or you can [watch it here](https://drive.google.com/file/d/1cAGBOWrvRRL71zPPrUkwLm0L4BP_MzF_/view).

Please note: if no one from your organization logs in to use our Partner Portal, after 6 months, your portal account will be deactivated. If you need your account reactivated, please contact partnersupport@gitlab.com and they will reactivate you.

## **GitLab Landing Page Guidelines**

GitLab Channel Partners need a landing page with information about GitLab as part of their organization website. Here is what we look for in a webpage:

- We prefer your landing page URL be created as yourcompanyurl.com/GitLab. If this is not possible, we ask you to set a redirect for that URL to the actual one.

- We encourage your landing page to be in the local language. There are plenty of resources on GitLab, many in additional languages, however you can translate any of our Instant Marketing campaign materials (found in the marketing section of the Partner Portal) onto your website.

- Your organization's GitLab webpage should use the Authorized Reseller logo (available on the Partner Portal) and link back to us at [about.gitlab.com](https://about.gitlab.com/).

- Your webpage should include a "What Is GitLab?" paragraph which can be found in our [press kit](https://about.gitlab.com/press/press-kit/) along with our logo. You can find additional information in our [reseller marketing kit](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/reseller-kit/).

- To ensure you are consistently representing our product on your website, we ask that wherever you mention the GitLab product or features, there should be a link back to the corresponding item on [about.gitlab.com](https://about.gitlab.com/).

- While not required, we encourage Partners to include a Free Trial button on your GitLab webpage. This Free Trial button is customized to include your unique ID and tags all leads to your organization. The 30-day Free Trial helps your customer try GitLab for one month free and gives you the opportunity to discuss how it's working for them. To learn more about this offering go to the [Marketing Demand Generation section](https://partners.gitlab.com/prm/English/c/marketing-demand-gen) of the Partner Portal.

## **Marketing Resources**

Channel Partners have several programs and tools available to help them market and sell GitLab. The following are a few of the programs offered; additional programs are added periodically so bookmark this page to ensure you always have the latest information.

### **GitLab Brand and Logo**

Bookmark the [GitLab Brand and Logo website](https://design.gitlab.com/brand-logo/core-logo/) to ensure you have access to these materials.

### **Authorized Reseller Logo**

The GitLab Authorized Reseller logo allows your prospects and customers to know that GitLab is working with you.

- Use the GitLab Authorized Reseller logo on your materials where appropriate and in accordance with our [brand and logo guidelines](https://design.gitlab.com/brand-logo/core-logo/).
- The logos are available in the [README file](https://gitlab.com/gitlab-com/resellers/) of the resellers project. Also, the logos can also be downloaded from the Marketing collection of the Asset Library in the [Partner Portal](https://partners.gitlab.com).

### **GitLab Public Relations Request**

Any requests for public relations support must go through the CAM as well as the GitLab PR team. Please refer to the [Corporate Communications handbook page](/handbook/marketing/corporate-communications/#partner-requests-for-press-release-support) for more information on the process.

### **Partner Instant Marketing Campaigns**

Weʼve developed a full suite of GitLab marketing assets for Partners, including ebooks, infographics, videos, digital ads, social media posts, and more. They can select what they need, customize the materials with a logo, and begin marketing. Social media materials are also available. Materials are available in 6 languages: English, French, German, Japanese, Korean and Spanish.

Start using these materials today by going to the [Marketing Demand Generation section](https://partners.gitlab.com/prm/English/c/marketing-demand-gen) of the Partner portal.

### **Partner Microsite Program**

Keeping your Partner websites up-to-date with the latest GitLab content is easy with our Partner microsite program. Partner's simply provide GitLab with their logo, give us an "About Us" statement and begin your nurture effort. Topics on the microsite include GitOps, DevOps, DevSecOps, Ultimate Upgrade and Automated Software delivery. GitLab creates and maintains these SEO-friendly, co-branded microsite, with customized URLs for Partners to use to directly with customers.

Learn more by going to the [Marketing Demand Generation section](https://partners.gitlab.com/prm/English/c/marketing-demand-gen) of the Partner Portal.

### **Customer Case Studies**

Testimonials from happy customers are a great tool, but gathering this information can be difficult and time-consuming. To participate in this program, Partners should contact [Partner Marketing](mailto:Partner-Marketing@gitlab.com) or learn more by going to the [Marketing Demand Generation section](https://partners.gitlab.com/prm/English/c/marketing-demand-gen) of the Partner Portal.

### **Concierge Marketing Program**

Select Partners are elibible to participate in this program. Get the help you need to expand your customer base, build brand loyalty, and grow your business. Our Concierge Program will deliver marketing solutions tailored to your teamʼs unique needs. To participate in this program, Select Partners should contact [Partner Marketing](mailto:Partner-Marketing@gitlab.com).

### **Marketing Development Funds**

Select Partners may be eligible for [Marketing Development Funds, or MDF,](/handbook/resellers/channel-program-guide/mdf/) to acquire new GitLab customers, drive demand within an existing mutual customer base, or help educate GitLab teams. GitLab MDF can support multiple marketing efforts, including participation in trade shows, sales incentives, direct mailing costs, training, and more.

#### Requesting Marketing Development Funds

Our Select Partners are eligible to submit requests for consideration for marketing development funds (MDF). To learn more, check out our [MDF handbook page](/handbook/resellers/channel-program-guide/mdf/) or login to the [Partner Portal](https://partners.gitlab.com/prm/English/c/marketing) marketing development funds page.

### **GitLab Branded Item Requests**

Please submit your request for GitLab-branded items through your Channel Account Manager (CAM). We have been known to co-fund co-branded or locally produced swag.

## **GitLab Partner Communications and Resources**

GitLab uses the Partner Portal, and our News on Demand Platform to communicate with Partners.  Partners will automatically receive the newsletter and other communications when they have access to the portal. GitLab will deliver communications in the following manner.

- **Partner Flash Newsletter -** Once in the portal, navigate to the News tab to set preferences. A Partner can elect to receive the newsletter daily, weekly, or bi-weekly and select what content type to receive. Example: Only interested in Marketing content? You can opt out of Technical content.

- **Partner Webcasts -** At times, Channel Programs or Channel Leadership might host a Partner webcast to announce a program change or essential updates. Channel Marketing hosts a monthly Marketing Webcast; other Channel facing teams might elect to host a Webcast for our Partners.

- **Partner Portal Notifications -** This is not a primary form of communication; it augments other communication vehicles. Partners can see notifications near the search bar at the top of the portal. Click the bell image within the portal to see active notifications.

- **Notifications via email -** Occasionally, we will use email notifications to communicate out-of-cycle announcements, send surveys, or Partner SKO/Summit notifications.

- **Not receiving communications?** Typically a person has opted out. Contact the Partner Help Desk, and we can add you back in. Partners can access archived articles by accessing the News tab at the top of the portal.

- **The GitLab Handbook -** The GitLab Handbook is the central repository for how we run the company. As part of our value of being transparent, our Handbook is open to the world, and we welcome feedback. Although the Partner Portal is your first source of Partner information, we often link to the Handbook for detailed information. If you are unable to find information you need on the Partner Portal, you are encouraged to search pages of the [GitLab Handbook](/handbook/).

## **More Channel Partner Program Information**

If you are looking for additional information on the GitLab Partner program see the following handbook pages.

- [Channel Partner Program Overview](/handbook/resellers/)
- [Channel Program Guide](/handbook/resellers/channel-program-guide/)
- [Channel Services Program](/handbook/resellers/services/)
- [Channel Services Catalog](/handbook/resellers/services/services-catalog/)
- [Channel Partner Training and Certifications](/handbook/resellers/training/)
- [Channel Partners: Working with GitLab](/handbook/resellers/channel-working-with-gitlab/)
- [Channel Tools and Resources](/handbook/resellers/channel-tools-resources/)
- [Alliance Program](https://about.gitlab.com/partners/technology-partners/)

## **Contact Us**

All authorized GitLab resellers are invited to the GitLab #resellers Slack channel. This Slack channel allows you to reach out to our sales and marketing team in a timely manner, as well as other resellers. Additionally, you can reach the GitLab Channel Team at partnersupport@gitlab.com and the GitLab Partner Marketing Team at partner-marketing@gitlab.com.
