---
title: "Channel Partners: Working with GitLab"
description: "How channel Partners can work with GitLab."
---

GitLab Channel Partners are the primary audience for this handbook page.

## Working with GitLab Introduction for Partners

 In this section you will be given a deep dive into working with and managing the Five Main aspects of the GitLab: (1) Working with GitLab - Administration, (2) Working with GitLab - Sales, (3) Working with GitLab - Marketing, (4) Working with GitLab - Technical, and (5) Working with GitLab - Distributors.

### Working with GitLab - Administration

#### Partner Registration: Getting Started with GitLab

To get started with GitLab, register your company by going to [https://partners.gitlab.com](https://partners.gitlab.com/). The system will prompt you for your company and personal contact information, as well as your personal contact information. A GitLab Channel Account Manager may contact you for qualification. If you agree to proceed, your company will be required to sign a GitLab Reseller Agreement. Once you are registered, you can:

- Work with your GitLab Channel Account Manager or distributor to begin business and sales planning.
- Visit the portal and encourage your colleagues to sign up at [https://partners.gitlab.com](https://partners.gitlab.com/).
- Complete the onboarding tasks that will help you familiarize yourself with available GitLab resources.
- Take the sales training as well as other relevant training.
- Register your first deal.

#### Creating Partner Portal Logins for Users (After Partner Registration)

_This information can also be found in the [Partner Guide](https://partners.gitlab.com/prm/English/s/assets?id=414926&q=partner%20guide)(portal login required to access)). \
_If a partner organization already exists in the partner portal, but a new partner user needs login credentials:

- Visit our [partner portal](https://partners.gitlab.com/) and scroll down to the login area
- On the left side of the page, click "Request Portal Access"

![GitLab Partner Portal](~/sites/handbook/source/handbook/resellers/Channel-Program-Guide/images/GitLab_PSP_logo.png)

The partner user will be directed to a page that asks them to confirm the organization they work for. After they confirm, they should click next, and fill in their information. After submitting the information, they'll receive login credentials if it is an active partner account with GitLab. Email partnersupport@gitlab.com if you have any problems.

#### Completing Training and Certifications

Our training programs are available primarily through the [GitLab Partner Portal](https://partners.gitlab.com/). There, you will find the accreditation courses and testing needed to meet your GitLab program requirements for sales, pre-sales, technical, and professional services training. Check out the [Channel Partner Training and Certifications](/handbook/resellers/training/) handbook page for additional information.

Please review the different Accreditation requirements for Open Partner and Select Partner tracks.

#### Remitting payment to GitLab

You can arrange for payment either via invoice, or your customer can pay us directly.

##### By Purchase Order

If your customer will be paying us via a Purchase Order, then you must email us a copy so that we may invoice the customer. Please send the Purchase Order to POfulfillment@gitlab.com for fulfillment.

##### Paying via Invoice

To pay via invoice, simply e-sign the [reseller quote](/handbook/resellers/#gitlab-quote) to initiate an invoice, then remit payment in USD to the bank listed on your quote.

##### Channel Resources and Tools

We want to help our Partners succeed. We have created marketing resources and tools for our Partner to use to help grow their GitLab business. See the [Channel Tools and Resources](/handbook/resellers/channel-tools-resources/) handbook page to learn more.

Or you can get started today by going to the [Partner Portal](https://partners.gitlab.com/English/).

### Working with GitLab - Sales

#### Discounts and Referral Fees

The GitLab Partner Program helps develop your practice to best fit your business model. You can earn one-time and recurring revenues from product and services sales, referrals, and services delivery and resale.

To view the GitLab Partner Program Discount and Referral Fee Table, please visit the [GitLab Partner Portal](https://partners.gitlab.com/prm/English/s/assets) (must be an authorized Partner) and access the Incentive Guide in the Program Documents folder in the Asset Library.

Authorized Public Sector Partners can earn one-time and recurring revenues from product and services sales, referrals, and services delivery and resale. To view Public Sector discounts, please visit the [GitLab Partner Portal](https://partners.gitlab.com/prm/English/s/assets) (must be an authorized Public Sector Partner) and access the Incentive Guide in the Program Documents folder in the Asset Library. GitLab employees can access the [discount table here](https://gitlab.my.salesforce.com/0694M00000DsShm?retUrl=%2F_ui%2Fcore%2Fchatter%2Ffiles%2FFileTabPage) and the [Public Sector table here](https://gitlab.my.salesforce.com/0694M00000DsShr?retUrl=%2F_ui%2Fcore%2Fchatter%2Ffiles%2FFileTabPage).

NOTE: Discounts are off list price. If GitLab is deeply discounting a large annual recurring revenue (ARR) customer engagement, the Partner can reasonably expect to share in that with a discount reduction. The Partner, GitLab sales, and Channel Account Manager must agree on the negotiated discount amount.

#### Deal Registration Program Overview

To promote the growth and success of GitLab channels, manage channel conflict, and provide a systematic approach to pursuing sales opportunities, GitLab has formalized the rules of engagement and deal registration procedures. Since the first qualified deal registration requires approval, Partners are encouraged to submit their deal registrations as early as possible to lock in the biggest discount. Partners in the GitLab Partner Program need to register individual sales opportunities; Partners may not register an account or combine opportunities. Review the [Definitions and Qualifications section of this page](/handbook/resellers/channel-working-with-gitlab/#definitions-and-qualifications) for more detail on what GitLab defines as Partner Sourced and Co-sell deal registrations.

- Deal registration approval is based upon order of receipt of the registration, qualification of the opportunity, Partner ability to deliver in-country/region support, and Partner relationship with the customer. Deal registration approval is required and will be made by GitLab's Sales team.
- Only one Partner can earn a deal registration discount per opportunity. Partners, other than the Partner granted the deal registration discount that requests a quote, will receive the co-sell discount rate.
- New or existing customer opportunities or new opportunities with existing customers can qualify for deal registration discounts. Add-on sales to renewals can also qualify.
- Approved deal registrations have a standard 90-day expiration from the date of original approval. (Deal Registration extensions beyond the initial 90 days approval are at the sole discretion of GitLab.) GitLab collaborates with Partners holding the approved deal registration and is available to support Partners throughout the entire sales process.
- In the event the engagement is dissolved, the GitLab Sales Rep will generally notify you by phone or email. GitLab will reconsider other deal registrations submitted for this deal, in chronological order of submission. If there are no other registration requests submitted, the GitLab Sales Rep will typically initiate engagement with a reseller of the GitLab Sales Rep's choosing.

Only authorized Partners that have signed the GitLab Partner Program Agreement are able to register deals, earn program discounts, and transact with GitLab. Unauthorized Partners do not qualify. Additionally, at least one of the Partner's employees must complete the GitLab Foundations for Partners training for the Partner to qualify for deal registration and program discounts.

##### Deal Registration Instructions

Our Deal Registration process allows us to incentivize our Partners to source and close GitLab products and services opportunities and avoid channel conflict. You can find an overview of the Deal Registration Program, including rules of engagement, here. The following section provides instructions for this process.

##### Submitting a Deal Registration

1. Go to the [GitLab Partner Portal](https://partners.gitlab.com/) at Partners.GitLab.com and select "Register a Deal."
2. Choose to "Add a Registration."
3. Choose "GitLab" under the list of vendors.
4. When asked to select a program, choose either "Deal Registration" for a standard licensing sale ("Referral," "Resale," or "MSP") or "Service Attached Registration" if you're submitting a registration to participate in our rebate program for services that you're providing to the customer.
5. Complete and ensure all information has been filled out. GitLab will not engage based on a speculative or poorly defined opportunity or with a reseller that is not eligible to win a sales opportunity.
6. Choose "Submit the deal."
7. Go through the review and approval process.

Once deal registrations are received, a GitLab Sales Rep will:

- Review the deal registration application.
- Advise if you are the first to register an opportunity.
- Work with you to confirm whether a deal is a qualified sales opportunity.

##### How Licensing Registrations Work

- Only a properly completed deal registration submission can initiate an engagement and, as mentioned, engagements are not exclusive. Thus, it is in all parties' best interest to complete a deal registration form as soon as a qualified sales opportunity is identified.
- The GitLab Sales Rep checks to see if GitLab is already engaged with another reseller on this opportunity. If so, the Sales Rep rejects the deal registration and notifies you that GitLab cannot engage with you.
- If GitLab is not already engaged with another reseller, the Sales Rep or Account Executive contacts you to schedule a meeting or conference call with the customer to confirm that the following requirements are met:
  - The information submitted on the deal registration form is complete and correct.
  - A qualified sales opportunity exists.
  - You are in full compliance with an appropriate and effective GitLab Reseller Agreement and all applicable policies/programs.
  - The customer has not selected an alternate GitLab reseller for this deal.
  - The customer agrees that you are eligible to win this business.

Note: "Eligible" means that you meet all contractual or regulatory requirements to bid on the deal and that the customer is willing to buy you. This is particularly relevant with government contracts or bids, but could also apply to commercial work.

If any of the above requirements are not met—or you fail to promptly schedule a meeting or conference call with the customer—the GitLab Sales Rep may advise you that GitLab cannot engage with you for this opportunity. GitLab will then reconsider other deal registration applications submitted for this deal in order of submission. You may subsequently attempt to remedy this situation and submit another deal registration form for this deal, but this will be considered a new submission.

##### How Services Attached Registrations Work

The Services Attached incentive is based on the volume of licensing opportunities with services attached to those licensing deals. The more licensing deals you attach services to the richer the program becomes.

- Services Attach deal registrations are submitted via the Partner Portal as a deal registration (Deal Registration Type = Services Attach) and then linked to GitLab licensing opportunities.
- In order to receive their rebate, Partners must submit reasonable information and documentation proving that the services meet both program guidelines and customer needs.

Partners need to email proof of execution (POE) for delivery of services. The POE must include customer confirmation of the services and that the services meet/met the guidelines as outlined in the current program guidance (found in the Partner Portal) for the incentive. The most likely form of POE is a signed statement of work (SOW) outlining work and cost to the customer. POEs must be approved by GitLab Sales.

- Email POE to partnersupport@gitlab.com.

Rebates are paid out no later than 45 days after the end of each quarter. Partners need to have connected with GitLab in our billing system,Coupa, by providing your banking information. To view the GitLab Services Attach Incentive Program, please visit the [GitLab Partner Portal](https://partners.gitlab.com/) and access the resources in the Program Documents folder in the Asset Library.

##### Quote to Order

Authorized partners who have achieved at least Open Status may request a quote and transact with GitLab.

GitLab quotes reflect reseller pricing, exclusive of incentive rebates, and any discounts provided are not meant for the end customer to see. Resellers need to generate their own quote to the end customer and can then provide any customer discount at that time.

GitLab quotes may come with a [Sertifi](https://corp.sertifi.com/) link. E-signing the quote with Sertifi initiates the invoicing process and causes our systems to invoice you. Do not e-sign the quote until you are ready to be invoiced. Do not e-sign the quote if your customer will be paying us directly.

GitLab will not generate a quote, or fulfill an order, without an end user contact complete with email, shipping address, and postal code.

###### Receive a GitLab Reseller Quote

Select Partners and partners in areas where there is no active distributor must purchase directly through GitLab. To receive a quote, partners can either [register a deal](/handbook/resellers/channel-working-with-gitlab/#submitting-a-deal-registration) or reach out to their channel manager and request a quote. The channel manager will connect the partner with the appropriate sales team who will work with the partner throughout the life of the opportunity.

To submit a purchase order for a resell-direct opportunity, please submit your PO to the sales team you have been working with for the opportunity.

###### Receive a GitLab Reseller Quote via Distributor

Open Partners are required to purchase through a distribution partner in every territory with an active distributor. All quote requests and purchase orders can be sent directly to the distributor.

- In EMEA: Partners transact with Amazic via gitlab@amazic.com.
- In Japan: Partners transact with [Networld](https://www.networld.co.jp/product/gitlab/)
- In APAC (several countries but excluding Japan): Partners transact with [Tech Data/TD Synnex](https://www.techdata.com/apac/en/partner-with-us/become-a-partner.html)
  - In India: Partners may also choose to transact with Redington via gitlab@redington.co.in.
- US PubSec: Partners transact with Carahsoft via gitlab@carahsoft.com

###### License Key Delivery

Once the order is invoiced and the customer accepts the EULA (see below), they are able to activate their GitLab license key. The invoice contact of the transacting partner (either distributor or reseller) is copied on this email.

###### Customer Support, Subscription Changes and Email Updates

When customers have technical support needs or need to make changes to a subscription, partners should submit a support ticket on behalf of the customer. For detailed instructions on how to submit a support ticket, including a step-by-step guide with screenshots, please see the [Partner Guide](https://partners.gitlab.com/prm/English/s/assets?id=414926&q=partner%20guide) located in the Partner Portal.

Subscription email address changes, other subscription changes, license resends, and technical problems are all handled through the technical support ticket process.

To submit a Support Ticket, navigate to the "Support" tab in the partner portal, and click `Submit a Support Ticket on behalf of your customer`. Please ensure you follow all listed instructions and read the recommended handbook pages to ensure a prompt response from the Technical Support team. The Partner Support team is unable to assist with Technical Support needs.

###### Execute the GitLab EULA

All orders require an executed [EULA](/handbook/legal/subscription-agreement/) when there's a new subscription or an add-on. There are 2 methods of obtaining a EULA:

1. License Key Deployment: The default for reseller orders is that the end customer will receive a link to download their license key. The customer needs to click an acceptance of terms to get their key.
2. Physical Signature: Some customers may require a fully countersigned document.

An order is not complete without a signed agreement.

###### Evaluation Licenses for Prospects

- We will issue a 30-day evaluation license for your prospects if the deal is properly [registered](/handbook/resellers/#deal-registration).
- We can renew this license if your customer needs more time.
- Upon the second request for renewal (the third license), we assist you with a managed evaluation, where goals are set for the customer to meet. One of our Solutions Architects works with you and the prospect to bring them to completion before the third evaluation expires.

##### Definitions and Qualifications

- Partner-Sourced/Initiated Discount – Partners can earn the largest available product discount with a Partner-sourced opportunity. This opportunity is a new opportunity for the GitLab Sales team, and is available to new or existing customers. \
The Partner-sourced discount is an upfront discount. The Partner is expected to assist the GitLab Sales team in closing the sale. To qualify for this discount, Partners must submit a deal registration to GitLab via the GitLab Partner Portal, and it must be approved by GitLab Sales to qualify. A Partner-sourced discount is available for both resale and referral opportunities. \
Partners purchasing GitLab for their own internal production use and add-on licenses at renewal can also qualify for a partner-sourced discount; however, they must first meet all program requirements for their specific program track (Open or Select). Please visit the Deal Registration Program guideline in the Program Guide for additional details.
- Partner Co-Sell Opportunity – Partners can earn a discount for a GitLab-sourced opportunity where the Partner assists the GitLab Sales team in closing and/or transacting the deal. This may include demonstrating GitLab software, organizing executive meetings, supporting contract negotiations, delivering services, fulfillment, etc. It is an upfront discount. To qualify for the Partner-assist discount, GitLab Sales team members will attach a Partner to an opportunity, but Partners do not need to submit a deal registration.
- First Order Incentive – Partners can receive an incentive paid as a rebate for partner-sourced opportunities for customers new to GitLab. The customer must be on the First Order customer target list, which is available from the GitLab Channel Sales team members. This incentive is only available for GitLab Select Partners.
- Services Attach Rebate – Partners can receive an incentive paid as a rebate for Partner-delivered services provided to end customers related to their use of their Premium and Ultimate GitLab software licenses. Applicable services are reviewed in the [Channel Services Catalog](/handbook/resellers/services/services-catalog/). The Services Attach incentive is based on a percentage of a customer's net annual recurring revenue (net ARR) of a linked software sale made within the last six (6) months. To reward Partners that have made an investment in developing GitLab expertise, this incentive is only available to GitLab Professional Services Partners.
- Referral Fees – Referral fees are paid to Partners for identifying new GitLab software sales opportunities that are not being resold by a Partner. To qualify for a referral fee, Partners must enter a referral fee deal registration in the GitLab Partner Portal. Each registration received by GitLab is considered a "Qualified Referral," provided that the referral is a GitLab sales opportunity that is new to GitLab, and the customer/prospect is willing to enter into a binding written agreement with GitLab to use GitLab products and services.
  - Opportunities identified by a Channel Partner but transacted through a Cloud Marketplace qualify for the referral fee.
  - All referral deal registrations must be in Vartopia prior to quarter end to qualify for a rebate.
  - All referral deal registrations must be approved by GitLab before becoming eligible for a referral fee. Referral fees are paid out no later than 45 days after the end of each quarter, if you have connected with GitLab in Coupa and provided your banking information.
  - To ensure fairness and maintain a streamlined process for all parties involved, we have established a specific timeframe for disputing rebates. Partners are entitled to submit disputes regarding their rebate payouts within a 15-day window. This dispute period begins immediately following the conclusion of the 45-day payout window. It is crucial for partners to adhere to this timeframe, as disputes submitted outside of the 15-day window will not be eligible for consideration. We encourage all partners to review their rebate details promptly and reach out to us within the designated period should any discrepancies arise.
- Services Resale – Partners can earn discounts on Partner-sold services delivered by the GitLab Professional Services team. Partners are able to resell complete GitLab services offerings or include GitLab services as part of their own customer statement of work.
- Subscription Renewals – At the end of their GitLab license subscription, customers must be renewed to continue with the program subscription. At renewal, Partners can earn a renewal discount for licenses renewed at the same subscription level, although no discounts are available for Starter/Bronze product tier renewals. If a customer adds additional licenses, those new licenses are discounted at the standard Partner-sourced discount levels. If a customer upgrades their subscription level (e.g., Premium to Ultimate), the entire deal qualifies for the standard Partner-sourced discount.

For customers whose most recent GitLab purchase was through a reseller Partner, the incumbent reseller can earn a discount on the resale based on their program track, unless 1. the incumbent Partner is no longer in compliance or 2. the customer provides a written request to GitLab to renew with a different partner. A deal registration on the original opportunity is not required for a Partner to earn incumbent status.

Most customers grow their GitLab deployment over time. As such, renewals create additional opportunities for growth through:

- Upsell and expansion opportunities
- New integration, operational, and other professional services opportunities
- The sale and integration of GitLab Alliance Partner solutions
- Add-on sales of other non-GitLab products
- Subscription renewal discounts on future renewals

### Working with GitLab - Marketing

#### Partner Lead Sharing Overview

Channel Partners are equipped with a partner lead sharing and deal registration system designed to maximize the value of [GitLab partner program](/handbook/resellers/). With the partner lead sharing module, GitLab Prospects, channel partners can access and manage their leads, generated by a GitLab co-marketing campaign in the [GitLab Partner Portal](https://partners.gitlab.com/). You can also easily convert these leads to deal registrations and submit them to GitLab for approval.

Partner SLAs: In the final phase of the [partner recall process](/handbook/resellers/channel-working-with-gitlab/#channel-partner-lead-recall), GitLab Channel Partners will have 5 days to accept the lead and 10 days to action the lead.

##### How to Accessing Your Prospects

You will receive an email notification when a lead is generated. Best practice is to respond within 24 hours.

When leads have been shared with you, you will see an additional tab, "Prospects", in the GitLab Registration portal. Note, the "Prospects" tab will not appear in the partner portal until you receive your first lead.

1. Once you click on the "Prospects" tab, you will be able to see and manage all your GitLab Prospects. In the "Pending" status, click the three dots on the left side of the prospect itself to:
    - Accept
    - Reject
    - Assign to another salesperson
    - View prospect details
2. View the standard "Default Reports" for the statuses of your prospects. [See definitions](/handbook/resellers/channel-working-with-gitlab/#definitions):
    - Pending
    - Accepted
    - Qualifying
    - Qualified
    - Disqualified
3. Use the [Custom Reports](/handbook/resellers/channel-working-with-gitlab/#custom-reports) to configure the specific data parameters you require.

##### Managing an Accepted Prospect

To begin managing a prospect you must first accept the prospect. When you accept or reject, a prospect the status will be updated in GitLab as well.

Click on the accepted prospect to:

1. View the prospect details
2. Update the status of your prospect
3. Convert a qualified prospect to a deal registration
4. Updating a prospect to "Qualified" will unlock the "Convert to Registration" button and allow you to submit a linked registration using the standard process

##### Custom Reports

1. Set specific filters
2. Set specific time intervals
3. Modify the data elements
4. Schedule and Save Report to be emailed

##### Converting Prospects to Deal Registrations

The [GitLab Deal Registration System User Guide](https://partners.gitlab.com/prm/English/s/assets?id=391183&q=deal%20reg) will guide you on how to use the Deal Registration module. It will show you how to submit a new registration as well as show you how to view and customize deal registration reports so you can track the status of your deal registrations and their performance.

For additional support, click on:

- "Contact Support" and the top right-hand corner to submit a ticket
- "Help" at the bottom right-hand corner for self-guide tutorials

##### Designate More than One Person to View Prospect Leads in Prospects Module

Your organization's GitLab prospect admin for the partner portal has the ability to designate multiple people to view prospects within the partner portal. To do so use the [free trial adding prospect user guide](https://partners.gitlab.com/prm/English/s/assets?id=391211) to learn how to access the settings in Prospects module and set any user to a prospect admin.

##### Channel Partner Lead Recall

In the event the GitLab Channel Partner is unable to action or move a lead to close that is owned by GitLab, GitLab Inc. reserves the right to recall unactioned leads after certain period of time.

*GitLab owned leads are acquired from fully paid initaitives generated by GitLab Inc. through joint events are subject for recall.*

Phase 1 - Unactioned Leads Over 30 Days Old

These are GitLab owned leads that are stuck in "Prospect Share Status" = "Pending" for over 30 days. Their status have not been updated to either "Accepted" or "Rejected." Additionally, these leads are not "Qualified" or have not been converted to a deal.

Recall Process Overview

- Phase 1 - recall leads created over 30 days ago (not accepted nor qualified)
- Phase 2 - recall leads that have not been accepted after 15 days (not accepted nor qualified)
- Phase 3 - recall leads accepted after 5 days, and not actioned after 10 days. (not qualified)

Once a lead is recalled, it will be reassigned to GitLab Inc. for internal follow up.

##### Video walk-through of the process outlined above

[See video →](https://vimeo.com/819610456)

##### Definitions

###### Prospect Share Status

`Prospect Share Status` or `Share Status` governs the sharing of the lead and the receipt of the lead by the partner. The prospect share status has statuses that are set by both the manufacturer and the partner.

1. Sending to Partner: This is the initial status set when sharing a lead to a partner. This status is set by GitLab.
2. Pending: This is an automated status, set when the lead is synced to the partner facing system.
3. Accepted: Indicates the reseller has accepted the lead and intends to work the opportunity.
4. Rejected: Indicates the reseller has refused the lead.
5. Recall: Indicates the prospect is being recalled by the MFG.

###### Partner Prospect Status

`Partner Prospect Status` or `Status` is updated by the partner and identifies the status of the lead as the partner works through the sales process.

1. Qualifying: This is a default status that indicates the reseller is working on the lead.
2. Qualified: Indicates the reseller has engaged the prospect and determined there is a valid opportunity.
3. Disqualified: Indicates the reseller has determined the prospect is not a valid opportunity.
4. Converted to DR: Indicates the reseller has converted the prospect to a deal.

#### Channel Marketing Resources

[​​Channel Partner Marketing Resources](/handbook/resellers/channel-tools-resources/#marketing-resources)

[Welcome to the GitLab Marketing Handbook](/handbook/marketing/)

[Channel Partner Field Team Enablement](/handbook/resellers/partner-enablement/)

### Working with GitLab - Technical

#### Requesting a GitLab NFR (Not-for-Resale) License

Authorized GitLab Partner fills out the NFR License Request Form which can be found on the [GitLab Partner Portal](https://partners.gitlab.com/English/) on the Services or Support tabs.

1. Partner Operations review the request and work with the Partner if additional information is needed.
1. Partner Operations submits a in Internal Support ticket for the NFR license to be provisioned.
1. Once provisioned the requestor will receive a license key via email for Self-Managed, or via their customer portal for SaaS.

##### NFR Renewals

GitLab NFR licenses expire after a 12-month subscription period, unless they are add-on licenses, in which case they expire with the Partner's oldest NFR licenses. Partners must be compliant with the GitLab Partner Program to renew their licenses and they can request a renewed license through the NFR form per the [standard process above](/handbook/resellers/channel-working-with-gitlab/#requesting-a-gitlab-nfr-not-for-resale-license).

##### Not-for-Resale (NFR) Program and Policy

The GitLab Not-for-Resale (NFR) Program offers qualified GitLab Partners access to our solutions at no cost. The NFR Program provides Partners with an opportunity to develop greater expertise on the GitLab platform. We encourage all GitLab Partners to participate in the program and set up GitLab solutions. Consider using your environment to create integrations with GitLab Alliance Solution Partners. This way your staff can fully understand the benefits and features of GitLab products and be better prepared to demonstrate products to customers.

Request your license by logging in to the [Partner Portal](https://partners.gitlab.com/); click the "Services" tab and the NFR Request form will be the first Quick Link. Please allow two (2) business days for processing your request.

- Partners can receive one Self-Managed and one Software-as-a-Service (SaaS) NFR license at the Ultimate level for a 12-month period.
  - Select Partners can request a license for up to 25 users. Additional licenses may be available with business justification.
    - Additional licenses must be requested through the partner account manager and not through the NFR Request form
  - Open Partners can request a maximum of 10 NFR licenses per license type. (ie. Open partners may have a total of 20 NFR licenses [10 Self-Managed/ 10 SaaS]).

Please allow two (2) business days for processing your request.

*Partner Operations manage all NFR requests that fall within the NFR program rules. Any requests outside the program need to be requested, managed, and tracked through the account manager. Account managers should obtain approvals from their manager and from the Partner Programs team. Once received, they can email partnersupport@gitlab.com to request that the NFR exception be provisioned.

##### NFR Program Eligibility

To be eligible for the NFR Program, Partners must:

- Be Open or Select Partners in good standing.
- Have at least one employee that has successfully completed the Solution Architect certification or Professional Services Engineer certification training, lab, and exam (with a passing score).

##### NFR Program Terms and Conditions

1. NFR software and services may be used solely and exclusively by the Partner for the following purposes:
    - Internal employee training
    - Integration testing with related DevOps products and platforms
    - Partner-led product demonstrations to prospective customers
2. Partner in-house production use for customer engagements or internal development efforts requires purchased GitLab licenses, which are available to Partners at a discount. Use of NFR licenses in a customer environment, including for managed services, is strictly prohibited. GitLab Channel Partners in compliance with the GitLab Partner Program are eligible for the NFR Program, but they must have at least one employee that has successfully completed the Solution Architect certification or Professional Services Engineer certification training, lab, and exam (with a passing score).
3. Select Partners may request a license for up to 25 users. Additional licenses may be available with business justification and Open Partners can request a license for up to 10 users without additional approval.
4. All software purchased under the NFR Program is subject to the terms and conditions of the GitLab End-User License Agreement at [https://about.gitlab.com/terms/](https://about.gitlab.com/terms/).
5. GitLab reserves the right to audit the use of NFR licenses to ensure they are in compliance with the NFR Program and reduce the number of licenses to a Partner if they are not in compliance with the program.
6. GitLab reserves the right to change or cancel the NFR Program at any time and for any or no reason.
7. Partners can receive one Self-Managed and one SaaS NFR license at the Ultimate level for a 12-month period.

##### NFR Support

[Support](https://about.gitlab.com/support) will be provided by the GitLab Support team. GitLab Solution Architects may also be available to help Partners build out training, testing, and lab environments.

##### Add-ons to NFR Subscriptions

- If you would like to purchase any add-on to your NFR license (CI minutes, Storage, Duo Pro, etc), please reach out to your Partner Account Manager for assistance in placing the order. If partners attempt to purchase NFR add-ons through their customer portal, their subscription will be downgraded to free. If you have been downgraded to free already, please contact [GitLab Support](https://about.gitlab.com/support/) for assistance.
- Duo Pro is not yet available on NFR subscriptions; however we can provide a 30-day Duo-Pro trial. Please work with your Partner Account Manager and Solutions Architect to get this setup.

#### Technical Support

While not required, we expect customers will, for the most part, contact you if they need help. It is in both of our best interests that they do so, as the more touch points you have with them, the more likely you are to further develop business with them. We do not expect you to be as knowledgeable about our products as our own support staff, and do expect that you may need to escalate some issues to our support staff. For more information, visit the GitLab [Support](https://about.gitlab.com/support) page.

For pre-sales technical issues, please contact your local GitLab Sales Team.

For technical and solution enablement see our Developing your
[Channel Partners: Developing your GitLab Practice](/handbook/resellers/services/)
as well as our [Channel Partner Technical Presales Enablement](/handbook/resellers/partner-enablement/)     page.

### Working with GitLab - Distributors

#### Transacting Through Distribution

[**Transacting Through Distribution**](/handbook/sales/field-operations/channel-operations/#transacting-through-distribution)

##### **Why Does GitLab Leverage Distribution?**

GitLab is building out a global Authorized Distributor network similar to many other tier-one software companies. Distributors bring GitLab, our partners, and our customers several valuable offerings:

- Accelerate market reach with joint growth plans and execution including:
  - recruiting GitLab partners and driving completion of their GitLab sales and technical training
  - generating in-market customer awareness and passing qualified leads
- Augment GitLab sales capacity and coverage. Distributor sales teams:
  - work with partners and GitLab sales teams to aid in co-selling
  - are often in-market and speak local languages
- Offload transaction administration from GitLab sales, freeing time for more valuable selling activities
  - Distributor e-Marketplaces allow GitLab orders to be placed by customers and partners that are delivered in minutes, with zero touch by GitLab teams
  - Provide a single point of contact that is an expert in the GitLab Quote to Cash process, driving efficiencies throughout the sales cycle
  - Enable GitLab to scale our operations to allow for increased transaction volume without significant headcount additions (e.g., Deal Desk, Order Management, Billing)
- Credit management
  - Reduce credit management cost and risk for GitLab
  - Offer an array of financing options including the ability for our partners/customers to transact in local currency, which reduces their risk
- Extend GitLab technical services, training capacity, and coverage, both pre and post-sale

https://handbook.gitlab.com/handbook/sales/field-operations/channel-operations/#transacting-through-distribution

## Contact Us

All authorized GitLab resellers are invited to the GitLab #resellers Slack channel. This slack channel allows you to reach out to our Sales and Marketing Teams in a timely manner, as well as other resellers. Additionally, you can reach the GitLab channel team at PartnerSupport@GitLab.com and the GitLab Partner Marketing
Team at Partner-Marketing@GitLab.com.
