---
title: "GitLab Partner Champions Program"
---

![GitLab Partner Champion](images/champions-dark-bg.png)

<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

The GitLab Partner Champions Program will empower, support, reward, and recognize members of the GitLab Partner community who champion great customer outcomes based on the GitLab DevSecOps platform.

## GitLab Champions: Advocating for Shared Success

GitLab Champions enlists, supports, rewards, and recognizes members of the GitLab Partner community who make outstanding contributions to GitLab and our community around the globe .
[Become a GitLab Champion](https://docs.google.com/forms/d/e/1FAIpQLSdLonA8F4Msz8wujNeOYKwkC0ohjUamgv4ZH3FNgC2MQHgBzA/viewform?subject=GitLab%20Heroes%20Application&body)

## GitLab Partner Champions Program Key Features

**- Themed and Sponsored Community:** Designed with a distinctive GitLab theme and is financially supported by GitLab. It is led by Channels SAs in each region.

**- Regional Leadership:** Channels SAs take on a leadership role within their respective regions to guide and oversee the GitLab Champions community and relationships with Field SA Managers.

**- Community Liaison:** Nominated Solutions Architects / Consultants from each partner serve as Champions. They act as vital liaisons between GitLab Partner SAs and the broader partner community.

**- Information Hub:** The GitLab Champions serve as a centralized hub for the dissemination of GitLab-related updates, ensuring effective communication and reducing the risk of information loss.

**- Ownership and Accountability:** The program instills a sense of ownership within partner organizations by empowering GitLab Champions to take responsibility for conveying information accurately and promptly.

**- Community Building:** The program actively fosters a collaborative and supportive community environment, encouraging interaction and knowledge-sharing among GitLab Champions and the wider partner community.

**- Continuous Engagement:** Regular engagement activities, such as meetings, workshops, and collaborative initiatives, ensure the continuous involvement of GitLab Champions and strengthen the overall program.

## Why to become a GitLab Partner Champion?

**- Sales Opportunities:** Get promoted within the GitLab Field Sales organization as a GitLab SME for your organization possibly generating sales leads and new oppty's.

**- Exclusive Access:** Gain exclusive access via GitLab Beta Program when launched, Partner SA exclusive roadmap updates, and access to GitLab's internal Stack Overflow instance.

**- Community Influence:** Have the opportunity to influence GitLab's product development by providing feedback and insights to GitLab Product Managers invited to Champions calls.

**- Networking Opportunities:** Connect with fellow GitLab Champions, GitLab Partner SAs, GitLab field sales teams, and other key stakeholders in the community.

**- Recognition:** Receive public recognition and visibility as a GitLab Champion, both within the partner community and on GitLab's official channels. This recognition can enhance your professional profile.

**- GitLab Swag and Merchandise:** Enjoy exclusive GitLab-branded merchandise and swag items as a token of appreciation for your efforts in GitLab practice development

**- Training and Certification Opportunities:** Benefit from training and certification programs that can enhance your expertise in GitLab, making you become more valuable asset to your partner organization, GitLab certifications vouchers will be provided to the champions so that they can keep their technical knowledge updated in GitLab with no extra cost

## Who is the Right Candidate for the Program?

**- Adhere to GitLab Values:** Aspire to GitLab [mission](https://about.gitlab.com/company/mission/#mission), uphold our [values](/handbook/values/), and adhere to our [Code of Conduct](https://about.gitlab.com/community/contribute/code-of-conduct/).

**- Passion for GitLab:** Genuine passion for GitLab and a desire to drive practice building within the partner organization.

**- GitLab Knowledge:** Demonstrated expertise in GitLab, including proficiency in version control, CI/CD processes, and familiarity with GitLab features and functionalities.

**- Presales Background:** Ideally, the candidate should have presales experience, specifically as a Solutions Engineer actively participating in the partner sales cycle.

**- Endorsement from Partner Organization:** Support and endorsement from their leadership, showcasing a commitment to the GitLab Champions Program at an organizational level.

**- Community Contribution:** Consider candidates who have already made contributions to the GitLab community, whether through forums, events, or collaborative projects.

## How to Join the GitLab Partner Champions Program?

![The Process to become a GitLab Partner Champion](images/BecomeAChampion.png)

## Expected GitLab Partner Champions Outputs

**- Maintain active participation:** Engage in and attend regular regional meetings (webinars) offered to GitLab Champions

**- Maintain technical proficiency:** Acquire GitLab professional certification and consistently update knowledge in line with the latest developments in GitLab.

**- Partner Team Enablement:** Function as SME for GitLab within the partner organization, and deliver a GitLab enablement session at least once a quarter.

**- GitLab Product Strategy:** Offer feedback from practical field experiences regarding new or modified features within GitLab to the GitLab Product team.

**- Participate in Training:** Engage in training sessions organized by GitLab to enhance technical skills and stay updated on the latest GitLab advancements.

**- GitLab Publications:** Participate in the GitLab community by contributing at least two artifacts annually, such as blogs, videos, or whitepapers.

**- GitLab Community Support:** When possible attend GitLab Champions regional social events (dinners, meetups, gatherings).

## Internal Champion Approval and Onboarding

### Champions Program Manager and Ecosystem Specialists

1. The Champions Nomination form will email the Champions Program Manager (Manager) and Partner Support for new nominees.
1. A partner support case will automatically open for an Ecosystem Specialist to follow up on the status of the Nominee Approval with the Manager.
1. The Manager will communicate internally to determine approval.  If granted, the Manager will request Partner Support set the "GitLab Champion" user field in the Partner Portal to "Approved"
1. Once approval is set in the Partner Portal, the Manager will notify the Sponsor GitLab SA to begin onboarding the new Champion.

### Sponsor GitLab SA

1. Invite the new Champion via email address to be a `Developer` member of the [https://gitlab.com/gitlab-partners-public/gitlab-champions](https://gitlab.com/gitlab-partners-public/gitlab-champions) group.
1. Create an [onboarding issue in the champions project](https://gitlab.com/gitlab-partners-public/gitlab-champions/champions/-/issues/new#) for the new Champion with the New_Champion_Onboarding template.
1. Complete the `GitLab Sponsoring SA Tasks` section of the issue
1. Work with the new gitLab Champion to complete the `Partner Champion Tasks` section of the issue
