---
title: "Partner Technical Presales Enablement"
---

<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

In this section of the Partner Programs Handbook we review assets and enablement from the perspective of GitLab Partners' Technical constituencies.

Beyond our Partners Handbook pages you will find sales guides, use cases, training materials, and program guides reviewed below. Additional partner-specific content is hosted in our [GitLab Partner Portal](https://partners.gitlab.com/). The materials should be a great place to start effectively selling, serving and hitting your number with GitLab.

Remember that some of the links below require you to login to [GitLab's Partner Portal](https://partners.gitlab.com/) first. If you haven't already, [here is where you register for portal access](https://partners.gitlab.com/English/).

## Presales and Technical Enablement Resources

## Foundational Knowledge

[GitLab Quick Start for New GitLab.com Customers](/handbook/customer-success/customer-onboarding/)

- Provides a great primer on the basics of GitLab.com, Namespaces, Groups, Projects, Members, and the GitLab Customer Portal.

[Building Pipelines GitLab Partner Webinar Series](https://content.gitlab.com/viewer/63bddf02edadd0b1346a73db) (Live Webinar & Episode Content Archive)

- This webinar series is produced exclusively for GitLab Partners.  We discuss various sales and presales-level topics that help you build your sales pipeline with GitLab.
- Click the link above to view the archive of previous episode content and be sure to **Register Today**!

**Topical Articles on DevSecOps Concepts**

- [What is DevOps](https://about.gitlab.com/topics/devops/)
  - This extensive article goes into detail about DevOps, the culture, tools, and methods for success.  It's worth 15 minutes.
- [What is a DevOps Platform?](https://about.gitlab.com/topics/devops-platform/)
  - Great overview article with 10 primary must-have features and 7 things to consider to get the most out of the platform
- [DevSecOps Defined](https://about.gitlab.com/topics/devsecops/)
  - Can your existing governance practices keep pace with modern development methods? Learn how next-generation software requires a new approach to application security.

## 1. GitLab Product Overview

Learn what GitLab is, what it offers, and what it does

**Customer Facing Resources**

- [GitLab Promo Page](https://about.gitlab.com/why-gitlab/) (Web Page)
  - This is a Why GitLab Page .  It's actually a good elevator pitch!  Check it out.
- [GitLab Promo DEMO](https://about.gitlab.com/demo/) (Video)
  - This video is a bit longer demo video and shows more about using GitLab (3 min)
- [Platform Page](https://about.gitlab.com/platform) (Web Page)
  - Get to know the basic capability set of GitLab here.  Be sure to scroll down to the Solutions GitLab enables and drill into them for more information (20 min read)
- [Solutions Page](https://about.gitlab.com/solutions/) (Web Page)
  - offers a wide variety of ways customers leverage GitLab (20 min read)

**Additional References for You**

- [GitLab internal Sales Training Resources](/handbook/sales/training/) (Handbook)
  - Review this page for all of the sales related training that internal GitLab sellers go through.

## 2. Pitching GitLab and Showcasing a Solution

Learn how to identify the most valuable challenges and leverage the GitLab DevSecOps Platform to create a valuable solution

**Customer Facing Resources**

- [Build a Business Case for GitLab](https://about.gitlab.com/get-started/build-business-case/) (Web Page)
  - Guidance for building a business case for GitLab DevSecOps Platform for a customer buying decision maker (20 min)
- [Online ROI calculators](https://about.gitlab.com/calculator/) (Interactive Tool)
  - Leverage the online ROI calculators, or contact your Partner Account Manager for more sophisticated analysis tools (20 min)
- [Why GitLab](https://about.gitlab.com/why-gitlab/) (Web Page)
  - Get to know the top reasons customers choose GitLab (10 min)
- [Customer Case Studies](https://about.gitlab.com/customers/) (Web Page)
  - Our case studies will give you ideas of why enterprises are choosing GitLab.  Bookmark this for customer justification in deals later. (10 min)

**Pitching GitLab and Technical Discovery**

- [Positioning GitLab - Handbook Page](/handbook/marketing/positioning-faq/) (Handbook)
  - Review this page to learn about how to position GitLab in the market. (10 min)
- [GitLab Technical Discovery Guide](/handbook/sales/qualification-questions/#questions-for-selling-gitlab-premium-and-ultimate) (Handbook)
  - Discovery is a crucial skill for any Solutions Architect (SA).  Here is how GitLab SA's do their Discovery (10 min)
- [User Personas](/handbook/product/personas/) (Handbook)
  - These are the persona types that are the primary users of GitLab inside your customer.
- [Buyer Personas](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/roles-personas/buyer-persona/) (Handbook)
  - There are different buyer personas to understand when selling a Platform like GitLab.  Which do you value more? (20 min)

**Competitive Information**

- [GitLab Maturity Page](https://about.gitlab.com/direction/#maturity) (Web Page)
  - A very transparent self-assessment of the maturity of each GitLab feature. No direct comparisons with other vendors here.
- [GitLab Competitive Overviews](https://partners.gitlab.com/prm/English/s/assets?collectionId=56958) (Portal Assets)
  - Have a look at competitive positioning material in the assets library of the Partner site. (login required)

**Demo resources to help you showcase the Platform**

- [Product tours](/handbook/marketing/developer-relations/developer-advocacy/content/#product-tours) (Interactive demos)
  - A great collection of self-guided, hands-on, interactive exercises for (potential) customers, powered by [Navattic](https://www.navattic.com/). They can also serve as substitutes or safe fallbacks for live demos.
- [Start a Free Trial](https://gitlab.com/-/trials/new) (Web Page)
  - Here is the generic link to start a free trial of GitLab SaaS on GitLab.com. This is an increasingly popular option. Please refer to [this page of the Partner Portal](https://partners.gitlab.com/prm/English/c/marketing-free-trial) for details about how to set up a customized affiliate link to tag new trials to your partnership.
- [GitLab Partner Demo Delivery Guide](https://gitlab.com/gitlab-partner-demos/delivery-guide) (GitLab Project)
  - A GitLab Project containing all the resources for partners to successfully deliver a 1-hour-long, high-level, technical overview demo of GitLab. Check out the README for further info.
- [GitLab Learn Labs - Tanuki Racing](https://gitlab.com/gitlab-learn-labs/sample-projects/tanuki-racing) (GitLab Project)
  - A collection of always up-to-date workshops. These can be used either individually for self-learning, delivered for customers as hands-on workshops or serve as a basis for in-depth demos. Check out the README for further info.
- [Building Pipelines Episode 011](https://content.gitlab.com/viewer/63bddf02edadd0b1346a73db) (Video)
  - "Effective GitLab Demos." (40:16)  More resources and helpful hints are provided.  [Register for the Webinar](https://content.gitlab.com/viewer/63bddf02edadd0b1346a73db)!
- [GitLab Partner Demos](https://gitlab.com/gitlab-partner-demos) (Project Catalog)
  - Public group containing demo projects developed by the GitLab Partner SA team for use with and by our partners
- [GitLab POV Handbook Page](/handbook/solutions-architects/tools-and-resources/pov/)
  - This handbook page is a great resource and link aggregation point for resources to conduct Proof Of Values (POVs).
- [The GitLab Demo Page](/handbook/solutions-architects/demonstrations/) (Handbook)
  - Good reference material for general purpose demos the same way GitLab SA's do it.
- [Ultimate GitOps Workshop](https://guided-explorations.gitlab.io/workshops/gitlab-for-eks/) (Workshop Guide)
  - Leverage GitLab K8s agent to deploy to EKS.
- [Guided Explorations](https://gitlab.com/guided-explorations) (Project Catalog)
  - Contains Joint Reference Architectures, Patterns and Working Examples for integrating GitLab with Alliance and Technology solutions.
- [CI Samples Demo](https://gitlab.com/gitlab-learn-labs/webinars/cicd/cicd-samples)
  - CI functions samples for quick demos

**Additional References for You**

- [Reference Architectures](https://docs.gitlab.com/ee/administration/reference_architectures/) and [Install Guides](https://docs.gitlab.com/ee/install/) (GitLab Docs)
  - GitLab has a leading market share in self-managed deployments.  Here are our technical specs and docs for solutioning and installing GitLab instances.  
- [High Availability Architectures](https://docs.gitlab.com/ee/administration/reference_architectures/3k_users.html#supported-modifications-for-lower-user-counts-ha)
  - The 3,000 user GitLab reference architecture is the smallest we recommend that achieves High Availability (HA). However, for environments that need to serve fewer users but maintain HA, there are several supported modifications for this architecture to reduce complexity and cost. Any reference architecture above 3000 users is capable of running as a HA workload. For smaller deployments, we (GitLab) recommend to schedule regular backups which provide a recovery point objective (RPO) that the organization can tolerate.
- [GitLab Environment Toolkit](https://gitlab.com/gitlab-org/gitlab-environment-toolkit)
  - The GitLab Environment Toolkit (GET) is a set of opinionated Terraform and Ansible scripts to assist with deploying scaled self-managed GitLab environments following the Reference Architectures. Created and maintained by the GitLab Quality Engineering Enablement team, the Toolkit supports the deployment of GitLab Self-Managed to hyperscaler and On-Prem target environments.
  - Review the following GitLab Environment Toolkit's provided examples located [GET Toolkit Reference architecture Examples]](https://gitlab.com/gitlab-org/gitlab-environment-toolkit/-/tree/main/examples?ref_type=heads).
  - HA is only available for GitLab's enterprise paid tiers. Both Premium and Ultimate licenses of our product will permit the deployment of Highly Available instances of GitLab.
  - Migration from one instance to another remains the same as if the target system weren't highly available. More here: https://handbook.gitlab.com/handbook/resellers/partner-enablement/partner-migration-services/#from-gitlab-self-managed-to-gitlab-self-managed

## 3.  Closing the Deal

Learn how to construct and transact a GitLab deal

**Customer Facing Resources**

- [Customer Pricing Page](https://about.gitlab.com/pricing/) (Web Page)
  - This is the public price of the subscription.  Pricing is a simple per-user subscription that is the same whether you are using SaaS or Self Hosted instance.
- [Customer Case Studies](https://about.gitlab.com/customers/) (Web Page)
  - Leverage these for customer justification in deals. (10 min)

**Additional References for You**

- [Partner Program Incentives Guide](https://partners.gitlab.com/prm/English/s/assets?id=350001) (Portal Asset)
  - Review the GitLab Partner Program guide for more details on reseller transactions. (login required)
- [GitLab Price Book](https://partners.gitlab.com/prm/English/s/assets?collectionId=49441) (Portal Asset)
  - Review the skews and reseller pricing available to you for quoting to your customers. (login required)

## 4.  Post-sales Implementation and Adoption Journey

Delivery docs and technical guidance for your GitLab practice engineers

**Implementing a GitLab Instance**

- [Reference Architectures](https://docs.gitlab.com/ee/administration/reference_architectures/)
  - **Read, understand, and follow the guidance given in this reference architecture page.  It's crucially important for long term maintainability of a GitLab instance.**
- [GitLab Environment Toolkit GET](https://gitlab.com/gitlab-org/gitlab-environment-toolkit#documentation)
  - [GET getting started video](https://partners.gitlab.com/prm/English/s/assets?id=543232&renderMode=Collection)
  - **This is the Way... to install GitLab.**  The GitLab Environment Toolkit (GET) is a set of opinionated Terraform and Ansible scripts to assist with deploying scaled self-managed GitLab environments following the Reference Architectures.  Built and actively maintained by the Quality Enablement team.
- [Other Installation Methods](https://docs.gitlab.com/ee/install/install_methods.html)
  - Make sure any automation you provide that automatically installs GitLab is installing the Enterprise Edition, and leverages at the core one of these installation methodologies to have a supported configuration
- [Unsupported Designs](https://docs.gitlab.com/ee/administration/reference_architectures/#deviating-from-the-suggested-reference-architectures)
  - Also review these unsupported configurations to make sure you are in compliance with our support requirements
- [Next Implementation Steps After Installation](https://docs.gitlab.com/ee/install/next_steps.html)
  - Once you have the product installed, here are additional steps to make the installation operationally successful (like backups)
- [Upgrading GitLab](https://docs.gitlab.com/ee/update/)
  - **Upgrades are important to become good at.**  GitLab schedules major releases for May each year, by default.  GitLab releases a minor update on the 3rd Thursday of every month, and has released monthly consistently for more than a decade.  Security patches are released more frequently.
     GitLab.com has updates multiple times per day.

**Implementing GitLab Runners**

- [GitLab Runner Overview](https://docs.gitlab.com/runner/)
  - GitLab Runners represent the **largest workload the system generates.**  The Runner is the software that executes all of the CI pipelines.  It's possible to deploy them on fixed infrastructure, or autoscale them (up and down) in a cloud provider.
- [GitLab Runner Installation](https://docs.gitlab.com/runner/install/)
- [GitLab Runner Advanced Configuration](https://docs.gitlab.com/runner/configuration/)

**GitLab Migrations**

- [Partner Migration Services](/handbook/resellers/partner-enablement/partner-migration-services/)
  - This **important page** outlines the migration services methods, tools, restrictions, and services kits available to partners

**Using and Adopting GitLab Effectively**

- [Get Started Administering GitLab](https://docs.gitlab.com/ee/administration/get_started.html)
  - The Platform Team will need to get good at the administrative aspects of using GitLab.  Here is where to start.
- [Get Started Using GitLab](https://about.gitlab.com/get-started/enterprise/#using-gitlab) (Web Page)
  - Beginning with setting up your Organization, Groups, Projects, etc. this page includes links to the primary things customers need to do to get set up and running successfully with GitLab
- [Getting Started with GitLab CI/CD](https://docs.gitlab.com/ee/ci/)
  - Beginning to use GitLab CI effectively is one of the **most important milestones in customer adoption**.
- [Auto DevOps](https://docs.gitlab.com/ee/topics/autodevops/)
  - The golden path of building, securing, and deploying cloud native application code into production automatically is through GitLab Auto DevOps.  Learn how you can use it, and how you can customize it to your customers' needs.
- [Getting Started with Application Security](https://docs.gitlab.com/ee/user/application_security/get-started-security.html)
  - Shift left and show your customer how to progressively implement an effective application security strategy that makes sense for them
- [Getting Started with GitLab Main Page](https://about.gitlab.com/get-started/) (Web Page)
  - Review the rest of the assets on the Getting Started with GitLab page.
- [Using GitLab Tutorials](https://docs.gitlab.com/ee/tutorials/) (GitLab Docs)
  - These video and web page tutorials are included in the GitLab Docs site.  They are a great starting point for learning or deploying technical capabilities.

**Additional References for You**

- [Service Kits](https://partners.gitlab.com/prm/English/c/Channel_Service_Packages) (Portal Assets)
  - We have developed service kits for you including sample Statements of Work (SOWs) and Level of Effort (LOEs).
- [Delivery Kits](https://gitlab.com/gitlab-org/professional-services-automation/delivery-kits) (Portal Assets)
  - These delivery kits are what our internal PS teams use for customer projects.  Go grab what you need!

## Additional Resources

## 1. Official GitLab Training on Level Up

- [Access GitLab Training from the Partner Portal](https://partners.gitlab.com/prm/English/c/Training)
  - We use LevelUp that is accessible publicly, but please do not use the site directly as a Partner.  Please login through the Partner Portal and access training there.  This will ensure that the training you take will be associated with your company partnership with GitLab!

    ![Start Training from the Partner Portal](images/gitlab-partner-training.png)*Start Training from the Partner Portal*

## 2. Additional Enablement Resources at GitLab

- [GitLab Unfiltered Partner Enablement Playlist](https://www.youtube.com/playlist?list=PL05JrBw4t0KqQi2Kk0M5vnqB1n0CIb_sa)
  - This is an SA curated playlist of the most informative technical videos on GitLab Unfiltered channel.  Some videos here are unlisted and hard to discover otherwise.  Bookmark this link!
- [GitLab Security Capabilities](https://www.youtube.com/watch?v=d8X6vYY4WOA)
  - Also periodically browse the main GitLab Unfiltered channel.  This video tour of GitLab Security capabilities is excellent, but for technical reasons can't be added to the playlist above.  (50:16)
- [Partner Enablement Presentation](https://docs.google.com/presentation/d/1VUY6WR4gewnXITUUAnVbFOExXmhdTYif2JgAiTbT7tE/edit#slide=id.g12b319f6181_0_10)
  - This deck has some great links associa

## 3. Technical References

- [GitLab Documentation](https://docs.gitlab.com/)
  - The best starting point for technical questions. It lists feature descriptions, excellent tutorials, and troubleshooting tips.
- [GitLab Blog](https://about.gitlab.com/blog/)
  - Various content about GitLab. Mostly technical stuff, but not exclusively. Subscribing to the newsletter can be useful.
- [Release Overview Website](https://gitlab-com.gitlab.io/cs-tools/gitlab-cs-tools/what-is-new-since/?tab=features)
  - A fairly unknown tool that can help with understanding the changes in each GitLab version. ([Source code of the website](https://gitlab.com/gitlab-com/cs-tools/gitlab-cs-tools/what-is-new-since).) Important features of this website to pay extra attention to:
    - [CVEs by version](https://gitlab-com.gitlab.io/cs-tools/gitlab-cs-tools/what-is-new-since/?tab=cves): easily keep track of security vulnerabilities in each GitLab version.
    - [Upgrade path](https://gitlab-com.gitlab.io/support/toolbox/upgrade-path/): a handy tool which can list the steps of upgrading self-managed GitLab from version X to version Y.
- [Deprecations by version](https://docs.gitlab.com/ee/update/deprecations.html)
  - same data as [this Deprecations by Version page](https://gitlab-com.gitlab.io/cs-tools/gitlab-cs-tools/what-is-new-since/?tab=deprecations) of the Release Overview website, just in a different format.
- [GitLab Releases Blog](https://about.gitlab.com/releases/categories/releases/)
  - The same information as the Release Overview website, but in nicely formatted blog posts, ready to share with customers.
- [The GitLab Project](https://gitlab.com/gitlab-org/gitlab)
  - The source code of the GitLab software itself. The most useful part is the [Issues page](https://gitlab.com/gitlab-org/gitlab/-/issues), where everybody can check the state of a feature or a bug and see if it's planned or being worked on.

## 4. Third-Party & Community Tutorials

- GitLab for Beginners:
  - [Learn GitLab in 3 Hours GitLab Complete Tutorial For Beginners](https://www.youtube.com/watch?v=8aV5AxJrHDg) (~ 3 hrs)
- GitLab Flow:
  - [GitLab Flow - GitLab Tutorial - Part I](https://www.youtube.com/watch?v=ZJuUz5jWb44) (15:37)
  - [GitLab Flow - GitLab Tutorial - Part II](https://www.youtube.com/watch?v=K5Ux_m0ccuo&list=RDCMUCxu8xrbPZ-neg3FhMdz4yrA&index=3) (33:00)
- GitLab CI/CD:
  - [GitLab CI/CD - GitLab Runner Introduction - 2022](https://www.youtube.com/watch?v=-CyVpfDQAG0&list=RDCMUCxu8xrbPZ-neg3FhMdz4yrA&index=6)(23:27)
  - [GitLab CI CD - Install and Configure GitLab Runner on Kubernetes with Helm](https://www.youtube.com/watch?v=0Fes86qtBSc) (29:41)
