---
title: "Developing your GitLab Practice"
---

## **Developing your GitLab Practice**

### **Intro**

We're only just getting going at capturing our mutual piece of the $40bn DevSecOps platform[^1] market, and one of the keys to success is a focus on customer success. One of our programmatic goals is to make it as simple as possible for you to develop a GitLab practice that meets and supports customers and prospects at all phases of their customer journey.

To that end, we've mapped out our Partner Capabilities Journey that aligns types of capabilities with the customer journey, and we've layered on three levels of maturity (Walk, Run, and Fly) for each of those capabilities. Please check back periodically as we will continue to mature that journey as new best practices, enablement paths, or tools are available.

### **Partner Capabilities Journey**

![Partner Capabilities Journey](images/Partner_Capabilities_Journey-1.1.png)

#### **Walk**

| Walk                                      | Partner Guidance                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| ----------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Sales & Marketing Alignment               | [\- Partner profile live](https://partners.gitlab.com/prm/English/s/assets?id=464613)                                                                                                                                                                                                                                                                                                                                                                                                           |
| Sales & Pre-Sales Capabilities            | [\- Partner can register deals or referrals & drive renewals](https://partners.gitlab.com/prm/English/s/assets?id=414926)<br>[\- Relevant team members have Partner Portal Access](https://partners.gitlab.com/prm/English/s/assets?id=414926)<br>[\- Partner can qualify opportunities](https://partners.gitlab.com/prm/English/s/assets?id=458580&q=qualify)<br>[\- Partner knows how to get licensing support & program support](https://partners.gitlab.com/prm/English/s/assets?id=414926) |
| Transaction & Implementation Capabilities | \- Partner knows about [GitLab Professional Services offerings](https://about.gitlab.com/services/catalog/) they can resell<br>[\- Partner knows how to manage deals and deal registrations](https://partners.gitlab.com/prm/English/s/assets?id=435969)                                                                                                                                                                                                                                        |
| Adoption & Enablement                     | \- Partner knows about [GitLab Education Services offerings](https://about.gitlab.com/services/catalog/) they can resell                                                                                                                                                                                                                                                                                                                                                                    |
| Partner Evangelism                        | \- Partner has a sales motion promoting GitLab by meeting - [Open requirements met](/handbook/resellers/channel-program-guide/)                                                                                                                                                                                                                                                                                                                                         |

#### **Run**

| Run                                       | Partner Guidance                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| ----------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Sales & Marketing Alignment               | [\- GitLab incorporated into partner brand presence (incl Free Trial)](https://partners.gitlab.com/prm/English/c/marketing)<br>[\- Enhanced partner profile (locations & solutions)](https://partners.gitlab.com/prm/English/s/assets?id=464613)<br>\- Solution briefs for presales, professional, and adoption services live (example: [GitLab Demo](https://partners.gitlab.com/prm/English/s/assets?id=460934))<br>\- Partner marketing to existing customers                                                                                                                                                                                                                                                                                                                                                                                                                                |
| Sales & Pre-Sales Capabilities            | [\- Select requirements](/handbook/resellers/channel-program-guide/) met<br>[\- Partner can architect GitLab solution](https://docs.gitlab.com/ee/administration/reference_architectures/)<br>[\- Partner team can pitch GitLab platform value](https://partners.gitlab.com/prm/English/s/assets?collectionId=49426&id=361255)<br>\- Partner team can align GitLab platform with their solutions<br>\- Presales solutions<br>[\- Demo](https://partners.gitlab.com/prm/English/s/assets?q=demo)<br>[\-Partner led Value Discovery](https://partners.gitlab.com/prm/English/s/assets?collectionId=55659&id=463538)<br><br>For more resources see the [Basic Presales Knowledge](/handbook/resellers/partner-enablement/#basic-presales-knowledge) section of the [Partner Enablement](/handbook/resellers/partner-enablement/) page.                                                                                                                                                                                                                                                       |
| Transaction & Implementation Capabilities | Reselling path<br>[\- At-scale transaction capability](https://partners.gitlab.com/prm/English/s/assets?id=414926)<br>\- Partner knows how to leverage Cloud marketplaces for referrals<br>Professional services path<br>\- [Professional Services Partner](/handbook/resellers/channel-program-guide/) designation<br>\- [Partner knows how to leverage/buy partner advisory services from GitLab](https://partners.gitlab.com/prm/English/s/assets?id=414926)<br>\- Solution briefs &/or packages for services:<br>\- [Implementation](https://partners.gitlab.com/prm/English/s/assets?collectionId=49989)<br>\- [Migration](https://partners.gitlab.com/prm/English/s/assets?collectionId=49986)<br>Managed services path<br>\-[Solution briefs &/or packaging for managed services](https://partners.gitlab.com/prm/English/s/assets?collectionId=49432&id=463554) |
| Adoption & Enablement                     | [\- Solutions &/or packaged adoption services](https://partners.gitlab.com/prm/English/s/assets?collectionId=55025)<br>\- GitLab feature adoption<br>\- Tool Consolidation services onto GitLab DevSecOps<br>\- Onboarding new customer Apps onto GitLab platform<br>[\- Partner renewal process is designed to drive adoption and identify growth](https://partners.gitlab.com/prm/English/c/workshops)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| Partner Evangelism                        | \- GitLab is important for Partner sales and marketing success across teams/regions<br>\- Market solutions around GitLab                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |

#### **Fly**

| Fly                                       | Partner Guidance                                                                                                                                                                        |
| ----------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Sales & Marketing Alignment               | \- Partner marketing extends to prospects<br>\- Partner runs quarterly campaigns driving GitLab related solutions                                                                       |
| Sales & Pre-Sales Capabilities            | \- Proof of Value leveraging free trial<br>\- Demo of key integrations<br>\- Clouds (AWS, Google, Azure)<br>\- Jira<br>\- Extended catalog of GitLab use cases<br>\- GitOps<br>\- AI/ML <br><br>For more resources see the [Advanced Presales Technical Knowledge](/handbook/resellers/partner-enablement/#advanced-presales--technical-knowledge) section of the [Partner Enablement](/handbook/resellers/partner-enablement/) page.|
| Transaction & Implementation Capabilities | \- Solution briefs &/or packages for multi-faceted solutions (Cloud + GitLab + Jira + Terraform)                                                                                        |
| Adoption & Enablement                     | \- DevSecOps platform is core to all customer outcomes                                                                                                                                  |
| Partner Evangelism                        | \- GitLab is integral for Partner sales and marketing success<br>\- GitLab is the default platform for DevSecOps offers                                                                  |

### **Training and Accreditation Program and Requirements**

GitLab has developed core training, accreditation, and certification for sales, solution architects (pre-sales engineers), and post-sales engineers and consultants. The GitLab Partner Enablement Program strives to provide our partners with training similar to that of GitLab employees. For details on available training resources visit the [Channel Training, Certifications and Enablement](/handbook/resellers/training/) page.
