---
title: "Channel Services Catalog"
---

## The GitLab Partner Services Offering Review

<img src="/images/channel-service-program/partner-services-virtuous-cycle.png" width="" alt="" title="Partner Services Virtuous Cycle">

To help frame the partner opportunity we would suggest partners think about services in one of four key areas that make up a robust service catalog

1. Strategic Assessments & Planning Services
2. Migration & Implementation Services
3. Training & Enablement Services
4. Optimization & Transformation Services

Offered together these services create a virtuous cycle and create the foundation for an ongoing relationship with customers of those services.

## Building Your Service Catalog

The GitLab channel team has worked closely with GitLab Professional Services teams to create and publish some [Channel Service Packages](https://partners.gitlab.com/prm/English/c/Channel_Service_Packages) to help partners get started with building their own service offerings.

These packages are a work in progress and will be updated frequently. Partners who use these packages, should evaluate each element for applicability to their individual service business, and adjust as needed for the specific customer use cases of their service deals.

Please review the contribution process and adhere to the instructions for each package.

**Note**: while we have numbered the phases to align with projects where partners are beginning their relationship with a customer, there is no fixed starting point in this virtuous cycle.  For your existing customers, it is actually likely that you might be starting elsewhere in the cycle, the key is working to make sure your relationships are leading you towards a continuous level of engagement with your customers so that you can lead them through the cycle over and over again driving incremental value for the customer and solidifying you as their trusted advisor.

## The GitLab Partner Service Development Framework

The objective of this framework is to help new or existing GitLab partners develop service offerings around GitLab Software. The contents will help you plan and build a new practice area quickly and act as a valuable resource to help you capture new revenue.  We have included guidance for marketing and selling your services, enabling your service teams, and building client relationships through new and recurring service offerings that support longer-term engagements with your customers.

Check out the [GitLab Partner Service Development Framework.](https://partners.gitlab.com/prm/English/c/GitLab_Channel_Service_Development_Framework)

### Go to Market (GTM) & Aligning With GitLab GTM

It likely goes without saying that you will need to add any GitLab enabled or related services to your Go to Market strategies and execution. Review the [GitLab Channel Services Go To Market](https://partners.gitlab.com/prm/English/c/GitLab_Channel_Service_Sales_GTM) guidance in the GitLab Partner Portal.
