---
title: 'Partner Training, Accreditations, and Enablement'
description: "Learning program including functional, soft skills, and technical training for channel and alliances partners to support and scale GitLab's and our partners' growth and success"
---

GitLab offers global, role-based training and enablement to help you grow your skills and validate your expertise in GitLab. The GitLab Partner Enablement Team has created a robust program to support GitLab partners in selling, marketing, and providing services to GitLab customers. We offer training materials and prescriptive learning paths to support all roles within your organization including, accreditations for sales, pre-sales technical, and certifications for technical consulting services.

## <span style="color: #fc6d26;">Benefits of GitLab Accreditations</span>

GitLab has a commitment to enabling our partners with the skills that they need to best support current and future GitLab customers. This includes offering a combination of GitLab Partner Accreditations for Sales, Pre-Sales Technical, and Customer Success roles, as well as offering [GitLab Certifications.](https://about.gitlab.com/services/education/gitlab-technical-certification-self-paced/)

## <span style="color: #fc6d26;">Learn at your own pace</span>

At GitLab we value asynchronous working relationships, that's why all of our Partner Training and Accreditations are self-paced and offered online. Learn anytime and anywhere with access to our training system using your GitLab Partner Portal login.

| Sales| Pre-Sales Technical | Customer Success |
| :---         | :---:    | ---:          |
| GitLab Foundations for Partners    | SA Core Accreditation  | Customer Centric Lunch & Learns       |
| Sales Professional Accreditation     | How to demos  | Service Delivery Kits       |
| Competitive Positioning    | Competitive Positioning   | Product Installation Guides      |
| Value Pitches    | Product Knowledge  | Service Development      |

## <span style="color: #fc6d26;">Training for all Partner Learners</span>

We recommend that every learner begin their journey with GitLab, by taking the GitLab Foundations course. This fundamental course will give you and introduction to the GitLab product, licensing model, and how to transact with GitLab.

## <span style="color: #fc6d26;">Training for Sales Professionals</span>

### <span style="color: #380d75;">GitLab Sales Professional</span>

The GitLab Sales Professional Learning Pathway is ideal for Account Executives and Sales Engineers. Learn about the core features, use cases and solutions that GitLab provides. The GitLab Sales Professional contains 4 courses: GitLab Foundations, Understanding DevSecOps, GitLab Customers, Pitching GitLab. Each course contains 3-5 lessons and knowledge checks. There is a final exam at the end of the learning pathway, upon passing learners will be awarded the GitLab Sales Professional Accreditation.

After completing this training, learners will be familiar with GitLab's core use cases, ideal customer profile and buyer personas, and how to pitch the DevSecOps platform story.

This learning pathway takes approximately 3 hours to complete.

## <span style="color: #fc6d26;">Accreditations for Pre- Sales Technical  Professionals</span>

### <span style="color: #380d75;">GitLab Verified Solutions Architect Core Associate</span>

This fundamental course is designed for pre-sales technical professionals such as Solutions Architects or Sales Engineers and goes in depth demonstrating, deploying, integrating, and optimizing GitLab Solutions. The GitLab Solutions Architect Core meets the program requirements for pre-sales technical accreditation.

**Course Content Summary** (approx 40 minutes to complete)

- GitLab Integrations
- Technical Deep Dive

**Prerequisites**: GitLab Foundations for Partners

## <span style="color: #fc6d26;">Certifications for  Technical  Professionals</span>

### <span style="color: #380d75;">GitLab Professional Services Engineer (PSE)</span>

GitLab Professional Services Engineer (PSE) accreditation is a technical deep dive to help partners validate their ability to deliver implementation, migration, and consulting services to customers. This accreditation consists of six modules. Upon completion learners will possess the skills needed to deploy the GitLab Platform, migrate data to GitLab, and provide workflow advisory services for customers.

The Professional Services Engineer learning pathway consists of 6 courses: Git Essentials, Project Management, CI/CD, Security, Implementation, and migration. There is a final exam at the end of the learning pathway, upon passing learners will be awarded the GitLab Professional Services Engineer Accreditation.

This learning pathway takes approximately 6 hours to complete.

## <span style="color: #380d75;">Accessing Training Materials </span>

All enablement materials can be accessed via the GitLab Partner Portal. Job aides, white papers, and battlecards can be found in the central [library when you log in](https://partners.gitlab.com/prm/English/s/assets).

## <span style="color: #380d75;">Enrolling in Accreditation and Certification Courses</span>

## For Channel Partners

To sign up for any of the courses listed on this page, please visit the training section on the [GitLab Partner Portal](https://partners.gitlab.com/prm/English/c/Training) and select Level Up. You do not require a separate login or credentials to access the GitLab Training Portal from the Partner Portal.

## For Alliance Partners

To sign up for any of the courses listed on this page, please visit the [Alliance Partner Learning Dashboard](https://levelup.gitlab.com/alliance-partner) and enter the unique validation code provided to you via your SA and/or ABDM.

## <span style="color: #380d75;">Badge Award Process</span>

GitLab uses Credly to award our Technical Certifications and Accreditations. Once you have successfully completed all components of an Accreditation or Certification, you will receive an email notification from Credly. You will need to accept the badge. Once you accept the badge, you will be able to share your badge, attach your badge to your email, and attach your badge to your LinkedIn profile.##Please note that it can take 7-10 business days for your completion to be reflected in the partner portal.## Please refer to the below links to assist you in managing your badge(s):

- [Accepting a Credly badge](https://x8672.mjt.lu/lnk/AMEAAM_mUCcAAABrO8IAACCEDhIAAAABDiMAAQaGABe-EwBi2XgInVHA7IsURfGUyzjadeVL2QAXQZQ/4/nw0aGmV6G5Esfsk-xF_4sA/aHR0cHM6Ly9zdXBwb3J0LmNyZWRseS5jb20vaGMvZW4tdXMvc2VjdGlvbnMvMzYwMDAzMjA1MDcyLS1BY2NlcHRpbmctYS1CYWRnZQ)
- [Sharing your Credly badge](https://support.credly.com/hc/en-us/articles/360020964272-How-do-I-share-my-badge)
- [Attach your Credly badge to your email signature](https://support.credly.com/hc/en-us/articles/360021221691-Can-I-attach-my-badge-to-my-email-signature)
- [How to add your Credly badge to your LinkedIn profile](https://support.credly.com/hc/en-us/articles/360021221491-How-can-I-add-my-badge-to-my-LinkedIn-profile-and-share-to-my-feed)
- [How to add a secondary email address to your Credly profile](https://support.credly.com/hc/en-us/articles/360021220951-Can-I-add-multiple-emails-to-my-account-#:~:text=Click%20on%20the%20profile%20icon%20at%20the%20top%20right%2Dhand,email%20the%20primary%20email%20address.)

## <span style="color: #380d75;">Additional Enablement Resources</span>

- **Building Pipeline with GitLab Webcast** - Every 1st and 3rd Wednesday of the month, GitLab hosts Building Pipelines with GitLab,  a webcast for partners that cover topics on how to best build your GitLab pipeline. You can access previous recordings of the Building Pipelines with GitLab webcast in the [partner portal](https://partners.gitlab.com/prm/api/objects/v1/asset/vmyjbknbzcv2/_download), or [register](https://gitlab.zoom.us/webinar/register/WN_XjqiiczZQje-RugNH1Eugg) to attend live.
- **Partner Marketing Webcasts** - GitLab Partners' Marketing team members are invited to join our monthly webcast to learn about the latest Partner marketing campaigns, resources and more.
- **The [GitLab Partner Portal](https://partners.gitlab.com/English/)** - provides Partners with easy access to additional sales resources, webcast replays, competitive analysis, event calendar, Marketing campaigns, support and more.
- **Newsletter** - sign up [here](https://partnerflash.gitlab.com/registration)
- **GitLab Handbook** - start your Handbook search on the [Channel Partner Handbook Page](/handbook/resellers/)
