---
title: "Sales"
description: "The GitLab Field team includes multiple functions: Enterprise Sales, Commercial Sales, Customer Success, Channel Partners, Alliances, Field Operations"
---

## Welcome to the Sales team homepage

*The GitLab Field team includes multiple functions: Enterprise Sales, Commercial Sales, Customer Success, Channel Partners, Alliances, Field Operations.*

- This page serves as our home base. From here, you can find a wealth of resources from all of the teams in our department.
- Interested in collaborating with the Sales team? See our [How We Work](/handbook/sales/#how-we-work) and [Communicating with the Team](/handbook/sales/#communicating-with-the-team) sections.
- Want to learn more about our goals? Check out our [most recent Objectives and Key Results (OKRs)](/handbook/company/okrs/#most-recent-okrs).

## Quick Reference Guide

| **Where to Begin** | **Field Enablement Resources** | **Sales Processes & Standard Operating Procedures** | **Sales Meetings & Events** |
| ------ | ------ | ------ | ------ |
| [Sales & Customer Success Onboarding](/handbook/sales/onboarding/) | [Sales Training](/handbook/sales/training/) | [Sales Order Processing](/handbook/sales/field-operations/order-processing/) | [President's Club](/handbook/sales/club/) |
| [Commercial Sales](/handbook/sales/commercial/)  |[Sales Enablement Sessions](/handbook/sales/training/sales-enablement-sessions/) | [Engage & Educate the Customer](/handbook/sales/sales-operating-procedures/engage-and-educate-the-customer/) |[Sales Kickoff](/handbook/sales/training/sko/) |
| [Enterprise Sales](/handbook/sales/playbook/) |  [Command of the Message](/handbook/sales/command-of-the-message/)  |  [Facilitate The Opportunity](/handbook/sales/sales-operating-procedures/facilitate-the-opportunity/)  | [Sales Meetings](/handbook/sales/sales-meetings/) |
| [Inside Sales](/handbook/sales/insidesales/) | [Most Commonly Used Sales Resources](https://gitlab.highspot.com/spots/615dd7e3911d70c4887812a7) | [Deal Closure](/handbook/sales/sales-operating-procedures/deal-closure/) |  |
| [Channels](/handbook/sales/channel/#channels-handbook)  | [Field Certification Program](/handbook/sales/training/field-certification/) | [Retain and Expand](/handbook/sales/sales-operating-procedures/retain-and-expand/) |  |
| [Sales Territories](/handbook/sales/territories/)| [Sales Manager Best Practices](/handbook/sales/field-operations/field-enablement/sales-manager-best-practices/) | [Forecasting](/handbook/sales/forecasting/) |  |
| [Sales Term Glossary](/handbook/sales/sales-term-glossary/) | [Field Flash Newsletter](/handbook/sales/field-communications/field-flash-newsletter/) | [Investor Sales Support](/handbook/sales/assistance-from-investors) |  |
| [ACV Deep Dive](/handbook/sales/sales-term-glossary/arr-in-practice)  | [Field Team Recognition Programs](/handbook/sales/field-operations/field-enablement/field-team-recognition) | Customer Planning |  |
| [ARR Deep Dive](/handbook/sales/sales-term-glossary/arr-in-practice)  | [Highspot - GitLab Sales Asset Management Tool](/handbook/sales/field-communications/gitlab-highspot) | [Rules of Engagement for Selling GitLab & Partner Professional Services](/handbook/sales/selling-professional-services) |  |
| **Field Operations Teams and Resources** | **Customer Success Resources** | **Helpful Sales Handbook Tips** | **Sales Resources Outside of the Sales Handbook** |
|  ------ | ------ | ------ | ------ |
| [Field Operations](/handbook/sales/field-operations/) | [Customer Success Groups](/handbook/customer-success/#customer-success-groups) | [FAQ from Prospects](/handbook/sales/faq-from-prospects/) |[Resellers Handbook](/handbook/resellers/) |
| [Sales Operations](/handbook/sales/field-operations/sales-operations/) | [How to Engage a Solutions Architect](/handbook/solutions-architects#when-and-how-to-engage-a-solutions-architect) | [Client Use Cases](/handbook/marketing/use-cases/) | [Customer Reference Sheet](https://docs.google.com/a/gitlab.com/spreadsheets/d/1Off9pVkc2krT90TyOEevmr4ZtTEmutMj8dLgCnIbhRs/edit?usp=sharing) |
| [Deal Desk](/handbook/sales/field-operations/sales-operations/deal-desk/) | [Account Planning Template for Large Accounts](https://docs.google.com/presentation/d/1yQ6W7I30I4gW5Vi-TURIz8ZxnmL88uksCl0u9oyRrew/edit?ts=58b89146#slide=id.g1c9fcf1d5b_0_24) | [Dealing with Security Questions From Prospects](/handbook/security/#security-questionnaires-for-customers) | [Customer Reference Case Study Dynamic Board](https://gitlab.com/gitlab-com/marketing/strategic-marketing/customer-reference-content/case-study-content/-/boards/1804878?scope=all&utf8=%E2%9C%93&) |
| [Field Enablement](/handbook/sales/field-operations/field-enablement/) | [How to Engage a CSM/CSE](/handbook/customer-success/pre-sales-post-sales-transition/) | [How to conduct an executive meeting](https://www.youtube.com/watch?v=PSGMyoEFuMY&feature=youtu.be) | [GitLab Support Handbook](/handbook/support/) |
| [Sales Strategy](/handbook/sales/field-operations/sales-strategy/) |  | [CEO Preferences when speaking w/ prospects/customers](/handbook/ceo/) | |
| [Sales Systems](/handbook/sales/field-operations/sales-systems/) |  | [Best Practices for Building Value with Customers](/handbook/sales/build-value-with-customers) |  |
| [Commissions](/handbook/sales/commissions/) |   | [Understanding How Our Customers Use GitLab](/handbook/sales/understand-customer-gitlab-use) |  |
| [Customer Success Operations](/handbook/customer-success/) |  | [Prospect Engagement Best Practices](/handbook/sales/prospect-engagement-best-practices/)  |  |
| [Account Ownership Rules of Engagement](/handbook/sales/field-operations/gtm-resources/rules-of-engagement/#account-ownership-rules-of-engagement) |  |  |  |
| [Parent and Child Accounts](/handbook/sales/sales-term-glossary/#parent-and-child-accounts) |  |  |  |
| [Opportunity Stages](/handbook/sales/field-operations/gtm-resources/#opportunity-stages) |  | [Growth Resources (Finding Seat Count)](/handbook/sales/field-operations/finding-seat-counts/) |  |
| [Record Ownership](/handbook/sales/field-operations/gtm-resources/#record-ownership) |  |  |  |
| [Routing Rules](/handbook/sales/field-operations/gtm-resources/#routing) |  |  |  |
| [Forecasting Definitions and Processes](/handbook/sales/forecasting/) |  |  |  |
| [Data Intelligence](/handbook/sales/field-operations/data-intelligence/) |  |  |  |
| [Associating emails to Salesforce](/handbook/sales/prospect-engagement-best-practices/#associating-emails-to-opportunities) |  |  |  |
| **Early to Mid-Stage** | **Late Stage** | **Post Sales Processes** | **Team Member & Manager Resources** |
| ------ | ------ | ------ | ------ |
| [Opportunity Types](/handbook/sales/field-operations/gtm-resources/#opportunity-types) | [Submitting an Opportunity for Approval](/handbook/sales/field-operations/order-processing/#what-happens-when-you-submit-an-opportunity-for-approval) | [How to Amend a Subscription Quote](/handbook/sales/field-operations/sales-operations/deal-desk/#amend-subscription-quote) | [Leadership Handbook](/handbook/leadership/) |
| [Opportunity Naming Conventions](/handbook/sales/field-operations/gtm-resources/#opportunity-naming-convention)  | [How to Handle Vendor Setup Forms](/handbook/sales/field-operations/order-processing/#how-to-process-customer-requested-vendor-setup-forms) | [How to Renew a Subscription Quote](/handbook/sales/field-operations/sales-operations/deal-desk/#renew-subscription-quote) | [GitLab Values & Certification Process](/handbook/values/) |
| [How to Create an Opportunity](/handbook/sales/field-operations/gtm-resources/#how-to-create-an-opportunity) |  | [True Ups](/handbook/sales/sales-term-glossary/#true-up) | [GitLab Competencies & Certification Process](/handbook/people-group/competencies/) |
| [MEDDPPICC Qualification](/handbook/sales/meddppicc/) |  | [Contract Resets](/handbook/sales/field-operations/sales-operations/deal-desk/#contract-reset) | [GitLab Diversity, Inclusion & Belonging](/handbook/company/culture/inclusion/) |
| [Sales Discovery & Qualification Questions](/handbook/sales/qualification-questions/) | [People Business Partner Alignment for Sales](/handbook/people-group/#people-business-partner-alignment-to-division) | | |
| [GitLab ROI calculator](/handbook/sales/command-of-the-message/metrics/#economic-metrics) |  |  | [Women in Sales Mentorship Pilot Program](/handbook/people-group/women-in-sales-mentorship-pilot-program/) |
| [Proof of Value](/handbook/solutions-architects/tools-and-resources/pov) |  |  | [Women in Sales Project](/handbook/people-group/women-in-sales-mentorship-pilot-program/) |
| [Creating a Quote](/handbook/sales/field-operations/sales-operations/deal-desk/#zuora-quote-configuration-guide---standard-quotes) |  |  |  |
| [Quote Approval Matrix](https://docs.google.com/document/d/1-CH-uH_zr0qaVaV1QbmVZ1rF669DsaUeq9w-q1QiKPE/edit?usp=sharing) |  |  |  |
| [Delivering a Quote via DocuSign](/handbook/sales/field-operations/order-processing/#how-to-send-an-order-form-to-a-customer) |  |  |  |
| **Marketing Resources** | **Strategic Marketing** | **Product Resources** |  |
| ------ | ------ | ------ | ------ |
| [Marketing](/handbook/marketing/) | [Strategic Marketing Handbook](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/) | [Product Team Handbook](/handbook/product/) |  |
| [Sales Development Handbook](/handbook/marketing/sales-development/) | [Product Marketing Manager Assignments](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/#which-product-marketing-manager-should-i-contact) | [Engaging Product Management](/handbook/product/product-management/#how-to-engage-product-managers) |  |
| [GitLab Value Proposition](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/messaging/#gitlab-value-proposition) | [Customer-Facing Presentations](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/#customer-facing-presentations) | [Asking Questions/Giving Feedback on a Feature](/handbook/product/categories/#devops-stages) | |
| [Lead and Contact Statuses](/handbook/marketing/marketing-operations/#lead-and-contact-statuses) |[Print Collateral](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/#print-collateral) | [Product Categories](/handbook/product/categories/) |  |
| [Inbound Lead Generation](/handbook/marketing/sales-development/#inbound-lead-generation) | [Sales Collateral Google Drive](https://drive.google.com/open?id=0B-ytP5bMib9TaUZQeDRzcE9idVk) | [Features by Group](/handbook/product/categories/features/) |  |
| **Finance Process** | **Business Operations Process** | **Legal Process** | |
| ------ | ------ | ------ | ------ |
| [Deal Desk: Assistance with Quotes](/handbook/sales/field-operations/order-processing/#assistance-with-quotes) | [Business Operations Handbook](/handbook/business-technology/) | [Collaborating with Legal - Sales](/handbook/legal/customer-negotiations/) |  |
| [Deal Desk: Approval Process](/handbook/sales/field-operations/order-processing/#deal-desk-approval-process) | [Data Team Handbook](/handbook/enterprise-data/) | [Legal Page](/handbook/legal/) |  |
| [Sending a Quote to Zuora](/handbook/sales/field-operations/order-processing/#step-8--sending-the-quote-to-zuora) | [Data Quality Process](/handbook/enterprise-data/data-quality/) | [Engaging Legal in Deals](/handbook/sales/field-operations/order-processing/#process-for-agreement-terms-negotiations-when-applicable) |  |
| [How to Initiate a Refund](/handbook/finance/accounting/#7-invoice-cancellations-and-refunds) | [IT Ops Handbook](/handbook/it/end-user-services/onboarding-access-requests/) |  |  |
|  | [Access Requests](https://gitlab.com/gitlab-com/team-member-epics/access-requests) |  |  |

## Who We Are

The Sales team is led by the [Chief Revenue Officer (CRO)](/job-families/sales/chief-revenue-officer/). Reporting into this individual are the:

- [VP, Enterprise Sales](/job-families/sales/vp-enterprise-sales/)
- [VP, Commercial Sales](/job-families/sales/vp-of-commercial-sales/) (Mid-Market and SMB)
- [VP, Field Operations](/job-families/sales/vp-of-field-operations/)
- [VP, Customer Success](/job-families/sales/customer-success-leadership/#vice-president-of-customer-success)
- [VP, Global Channels](/job-families/sales/vp-of-global-channels/)
- [VP, Alliances](/job-families/alliances/alliances-job-family-matrix/)
- [Chief of Staff, CRO](/job-families/sales/chief-of-staff-cro/)

The Sales team is organized into Large, Mid-Market, and SMB segments. (Descriptions of Sales segments can be found in the [Field Operations Handbook - Segmentation section](/handbook/sales/field-operations/gtm-resources/#segmentation).)

The people working with each segment and their quota are:

- Large: [Strategic Account Executive](/job-families/sales/enterprise-account-executive/) (SAE)
- Mid-Market: [Mid-Market Account Executive](/job-families/sales/account-executive/) (MM AE)
- SMB: [SMB Account Executive](/job-families/sales/smb-customer-advocate/) (SMB AE)

## How We Work

The GitLab Sales team embodies our CREDIT values in every aspect of our work. Specifically, we constantly work to overperform and achieve strong [results](/handbook/values/#results). We prioritize [efficiency](/handbook/values/#efficiency) in our processes and operations. We succeed because of [transparent](/handbook/values/#transparency), cross-functional [collaboration](/handbook/values/#collaboration). We are committed to hiring for and celebrating [diversity](/handbook/values/#diversity-inclusion), and we strive to create an environment of [inclusiveness and belonging](/handbook/values/#diversity-inclusion) for all. And, we embrace a spirit of [iteration](/handbook/values/#iteration), understanding that we can always improve.

### Sales Tech Stack

For information regarding the tech stack at GitLab, please visit the [Tech Stack Applications page](/handbook/business-technology/tech-stack-applications/#tech-stack-applications) of the Business Operations handbook where we maintain a quick reference table of who should have access to various tools and the designated owner for each to contact with questions. To see a full list of the tools that make up our tech stack, visit the [Tech Stack Details page](/handbook/business-technology/tech-stack/).

### Collaborating with the Team

Please [use the Handbook](/handbook/about/handbook-usage/#why-handbook-first) as much as possible to document important information. You should also use the Handbook as a starting point for any questions. [Read here](https://docs.google.com/document/d/1l5mfHMck914I1aJMOCX4lU2J2sImrloUpSm3Nb5Pa9U/edit) for guidance on how we take notes on the GitLab Sales team.

[Dogfood](/handbook/values/#dogfooding) GitLab whenever you can – to collaborate on ideas, gather feedback, organize projects, and more.

When you have to use office applications, always use [G Suite applications](https://gsuite.google.com/together/) instead of Microsoft Office; for example, Google Sheets instead of Excel, Google Docs instead of Word, and Google Slides instead of Keynote or Powerpoint. Give the entire company editing rights whenever possible so everyone can contribute.

### Communicating with the Team

- The Sales team primarily communicates via Slack in our day-to-day work. Our main team channels are **#sales**, our general channel, and **#field-fyi**, our read-only channel for official field team announcements.
  - Email is used in some segments where customer privacy dictates additional security measures.
  - For a full breakdown of all Field Slack groups and the hierarchy of our Google Groups, see the [Communicating with the Field Handbook page](/handbook/sales/sales-google-groups/).
- Please reference the [Sales Support and Sales Operation Handbook page](/handbook/sales/field-operations/sales-operations) for a summary of how to engage with deal desk resources.
- Chatter @contracts on the specific record in Salesforce where you will need assistance from the legal team.

Please avoid contacting individuals directly so that discussions can be available for everyone to review and learn from. We strongly encourage every team member to review the [GitLab Communication Handbook page](/handbook/communication/) upon joining the team, and occasionally return to it during your tenure here as a refresher. (You can also get [certified](/handbook/communication/#communication-certification) on communication at GitLab.)

### Supporting Teams

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vQNYu_4jB3j3i_fYukM3yMtcbhgbpKbivbaaiKnuih3X6pdn-oI9ic0k6TqtwP2qjqVAaC-HXIC0uD7/embed?start=false&loop=false&delayms=3000" frameborder="0" width="1536" height="893" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure>

The Sales team works cross-functionally, both with teams within and outside of our organization. These teams include:

#### Customer Success

The Customer Success department is part of the GitLab Sales function and partners with our large and strategic customers to deliver value throughout their journey with GitLab. See our [Customer Success page](/handbook/customer-success/) in the Handbook for more details.

#### Inside Sales

The Inside Sales department is part of the GitLab Sales function and partners with the sales and customer success teams to deliver maximum value to GitLab customers throughout their journey with GitLab. See our [Inside Sales page](/handbook/sales/insidesales/) in the handbook for more details.

#### Channels & Alliances

These teams help accelerate GitLab's trajectory by connecting our business and customers to companies that can help compliment our product mission and/or drive customer adoption and usage of the GitLab platform. See our [Channel](/handbook/sales/channel/) and [Alliances](/handbook/alliances/) Handbook pages for more details.

#### Sales Development Organization

Sales Development Representative (SDR) - focused on inbound leads

Business Development Represenative (BDR) - focused on outbound leads

This team sits within the Marketing department and provides territory support to Sales team members through outreach, prospecting, and lead qualification. Key priorities include:

   1. Align on accounts and prioritize prospecting targets (both on the account and title levels).
   1. BDRs and SDRs are to set 'at bat' meetings utilizing sales development best practices
   1. Drive brand awareness within target accounts

See the [Sales Development page](/handbook/marketing/sales-development/#sdr-expectations) in the Handbook for more details.

#### Support

This team provides technical support to GitLab.com and Self-Managed GitLab customers. For an overview of support levels based on plan tier, see the [Support Page](https://about.gitlab.com/support/). The Support → Customer Success Manager (CSM) escalation process can be found [here](/handbook/customer-success/csm/escalations/).

During the sales cycle, potential customers who have questions that are not within the scope of Sales can have their queries escalated in different ways depending on the account size:

   1. For Strategic/Large accounts that will have a dedicated Solutions Architect, [engage the SA](/handbook/solutions-architects/#when-and-how-to-engage-a-solutions-architect) so that they can triage and develop the request.
   1. For questions that you think technical staff can answer in less than 10 minutes, please use the #questions Slack channel. For more information, see the [internal support](/handbook/support/internal-support/#should-i-contact-gitlab-support) section of the Support Handbook.
   1. By default, trial licenses do not include support. If you've been contacted by a prospect whose evaluation of GitLab includes evaluating support expertise or SLA performance, as a member of the Sales team you can grant temporary support for their trial license. See the [Internal Support Handbook](/handbook/support/internal-support/#trials-and-prospect-support) for more details.
   1. If your customer contacts you requiring technical support, please immediately direct them to open a ticket through the Support Portal(https://support.gitlab.com/). Please do not open a support ticket on behalf of a customer. More details [here](/handbook/support/internal-support/#requesting-support-for-customers).
   1. For escalating a Support ticket, see the [I want to escalate a ticket](/handbook/support/internal-support/#i-want-to-escalate-a-ticket) section.

#### Product

We work with the Product team to help drive the [GitLab Direction](https://about.gitlab.com/direction/) based on customer feedback and needs.

When you hear of feedback or you personally have feedback, you are encouraged to comment within the issue, if one exists, or create your own issue on our [Issue Tracker](https://gitlab.com/gitlab-org/gitlab/-/issues).

When you have an organization that is interested in a feature and you have commented in the issue and added a link to the account in Salesforce, please follow the [process outlined on the Product Handbook](/handbook/product/product-management/#examples-a-customer-has-a-feature-request) to arrange a call with the product manager and account to further discuss the feature request.

If a client has a question or suggestion about a particular part of the product, find out which individual on the Product team you need to speak by looking under [DevOps Stages](/handbook/product/categories/#devops-stages) on the Product stages, groups, and categories page.

### Coronavirus Impact to Business Tracking

To standardize our messaging around Coronavirus and the impact it is having on our prospects and customers, please reference the below processes:

- Use this for [guidance on a standardized conversation](https://docs.google.com/document/d/1NLHsJ72lTG7o93UnmSHIWF-ifW0202NPiBRJPWacTJc/edit?usp=sharing)
- Use this to [capture anecdotal feedback from prospects & customers](https://docs.google.com/document/d/1lFnM1SlVtOjy0IsUmGT5rjwpLdgt4TIlxg154czX1p4/edit)
- Add the string `#covid` in the SFDC Opportunity field `[CP]` Close Plan to indicate you have had this conversation with your prospect/customer and use this report to confirm your Opportunity is tagged correctly: [COVID Mentions in CP Close Plan](https://gitlab.my.salesforce.com/00O4M000004e58i)
- Assess and flag each SFDC Deal using the "COVID-19 Risk Scale" field with the following definitions:

1. Blank: No conversation or insight has been gathered yet
1. Pending: Engaged with customer to validate current situation
1. No impact: Oppty proceeding on close plan in customer's words
1. Med: Customer validates change to budget or timing but some "high priority" purchases still happening
1. High - Budget Change: Customer's words: all budget gone in formal response to economy
1. High - Priority Change: Customer's words: Timing must push in direct response to economy

- Add high-level summary of impact to "COVID Comment" and original amount prior to impact in "Pre-COVID iACV" SFDC fields on the opportunity
- A note for Commercial Account Owners: add the string `c19` to any activity record where a discussion was held.

### Export Control Classification, and Countries We Do Not Do Business In

GitLab's Export Control Classification (or ECCN) is 5D992.c. As a consequence of this classification, we currently do not do business in: Iran, Sudan, Syria, North Korea, Cuba and the Crimea, Donetsk, or Luhansk regions of the Ukraine.

## Performance Indicators

[Sales KPIs](https://internal.gitlab.com/handbook/company/performance-indicators/sales/#kpi-summary) are [Not Public](/handbook/communication/confidentiality-levels/#not-public) and documented in [the Internal handbook](/handbook/about/handbook-usage/#the-internal-handbook).
