---
title: "Coaching Account Planning for ASMs"
---

## Overview

It is essential that Area Sales Managers (ASMs) support the Account Planning and Gainsight initiative with their teams. Below are the key messages that will need to be reinforced.

## Key Messaging

- Account Planning helps to ensure all Account Executives (AEs) are successful in reaching their Peak Performance each and every year!
- Account Plans should be created for all key accounts as a minimum expectation.  (Please refer to your regional guidance for what is defined as a key account in your patch)
- If an Account Plan is not already in place, then it should be created by the end of Stage 1 - Discovery (exit stage criteria).

## What to Look for in a Great Account Plan

While there is no such thing as a "complete" account plan, there are things the ASM can look for that could indicate a plan is on the right track. Remember, we want to encourage thoughtful planning, NOT compliance. This is not a check the box activity, but a process/tool that will facilitate collaboration, strategic thinking and execution.

A common theme across all of the account planning components is collaboration. At every stage, verify that the AE is working with the Solutions Architect, Customer Success Manager, Renewals Manager and Channel and Alliances Partners. Be sure to ask follow up questions to understand how they are working with their teams and ensure that partners are being leveraged.

One method for reviewing the account plan with the AE is to ask open-ended questions. The AEs should already be thinking about [these questions](/handbook/sales/account-planning/#account-profile) and be able to speak to them in a 1:1.

More detailed information for each of the components is below.

### Account Profile

The Account Profile will be a combination of existing information from Salesforce and information added by the AE. While many AEs probably have this information in their head, we want to ensure that it is accurately captured in Salesforce or in their account planning document. As the ASM, you'll want to verify the following questions can be answered by reviewing the account plan.

- What are the organization's goals and the prioritized strategic initiatives aligned to each goal? What value drivers are most important and why?
- What macro environment factors are affecting the organization (e.g. market conditions, competition, regulatory and compliance changes, etc.) and what impact and implications do these factors have on the organization's business strategy?
- Who are the organization's primary competitors and how does the organization plan to maintain and/or grow market share?
- What are the biggest risks facing the organization (for short, medium, and longer term time horizons) that may get in the way of the customer achieving their goals?
- How does the organization's IT department and/or strategy support (or hinder) the above strategic objectives or initiatives?
- What is the organization's digital transformation strategy and how does that support the strategic business objectives?
- How does the customer currently view GitLab? How long have they been a customer? What is their annual spend with GitLab?

### Relationship and Influence Mapping

Relationships are critical to discovering customer pain and being able to position GitLab as a solution. This section of the account plan is important, and you'll want to work with your AEs to ensure they are multi-threading across key contacts in the account (both within and across lines of business) and that they understand how different parts of the organization engage with and/or influence each other? Bear in mind that influence can be independent of the reporting structure.

Did the AE identify...

- The champions and key influencers?
  - Does the AE or someone else on the team have access to these people?
- Which contacts are promoters, detractors, or somewhere in between?
  - Who and what has influence over key contacts in the account (e.g. specific analysts, partners, events, trade publications, user groups, others)
- The strength or health of key relationships?

### Whitespace Mapping

Start by verifying that the AE identified which vendor technologies are used across [each stage of the DevSecOps lifecycle](https://about.gitlab.com/stages-devops-lifecycle/) and how the customer develops and deploys applications.

Going beyond this, did the AE...

- Seek to understand what the customer would like to improve with how they develop and deploy applications and why?
- Identify what the customer wants/needs to accelerate their software delivery process? Reduce costs? Mitigate security and compliance risk?
- Identify what it would mean to the organization if they were to achieve these improvements? What are the implications if they fail to do so?
- Engage in a discovery dialogue (with the customer, SA, CSM, RM, or partner) to identify positive business outcomes the organization hopes to achieve and the gap between their current state of operations and their desired future state?
- Identify the customer's likes and dislikes about each of the vendor technologies currently being utilized, their annual investment with each vendor, and when those contracts are up for renewal?

### Action Plan

The Action Plan is arguably the most important component of the Account Plan.

Does the plan answer the following questions?

- What are you trying to achieve in the next 6 months?
- How you will achieve success?
- Who is taking the action?
  - Does everyone on the team have an action item to work towards?
- What is the timeline for completing the action?
- What resources or support are needed for success?
