---
title: "Proof Points"
description: "GitLab proof points including customer references, case studies, industry awards, analyst reports and studies, GitLab reports and studies, and peer reviews"
twitter_image: '/images/tweets/research-panel.png'
---

## Overview

_[The original and internal-to-GitLab proof points Google Doc is online, here](https://docs.google.com/document/d/1Tuhg6LO0e6R-KP7Vfwb8cggHDiBzkC26pBl0lyLS7UY/edit) while some parts of this handbook page are being approved for publication.*

Proof points with third-party validation are a key resource, whether from [customers](#customer-references-and-case-studies), [analysts](/handbook/sales/command-of-the-message/proof-points/#analyst-reports-and-studies), [industry awards](/handbook/sales/command-of-the-message/proof-points/#industry-awards), or [peer reviews](/handbook/sales/command-of-the-message/proof-points/#peer-reviews), and they are augmented here with [GitLab's own industry research](/handbook/sales/command-of-the-message/proof-points/#gitlab-reports-and-studies).

Articulating value is a critical sales skill in achieving [Command of the Message](/handbook/sales/command-of-the-message/).

## GitLab Proof Points

### Customer References and Case Studies

#### Enterprise

<big>[Goldman Sachs](https://about.gitlab.com/customers/goldman-sachs/)</big><br>
**Problem:** Needed to increase developer efficiency and software quality<br>
**Solution:** GitLab Premium (CI/CD, VC&C)<br>
**Result:** Improved from 1 build every two weeks to over a 1000/day, or releasing 6 times per day per developer, and an average cycle time from branch to merge is now 30 minutes; simplified workflow and simplified administration<br>
**Value Drivers:** Efficiency, Speed<br>
**Differentiators:** Single App<br>
**Usecase:** CI, CD, VC&C, Simplify DevOps<br>
**Vertical:** Financial Services

---

<big>[Sopra Steria](https://about.gitlab.com/customers/sopra_steria/)</big><br>
**Problem:** Needed a solution to empower developers and accelerate software efficiency<br>
**Solution:** GitLab Premium (CI/CD, SCM)<br>
**Result:** One solution for over 10,000 Users, 6 minutes for a software build, Zero Developer time for CI/CD<br>
**Value Drivers:** Efficiency, Speed<br>
**Differentiators:** Single App, SCM, CI & CD<br>
**Usecase:** CI, CD, SCM, Simplify DevOps<br>
**Vertical:** Technology

---

<big>[NVIDIA](https://about.gitlab.com/customers/nvidia/)</big><br>
**Problem:** Dispersed development groups faced mirroring issues in time management and security<br>
**Solution:** GitLab Premium (CI/CD, SCM)<br>
**Result:** Zero downtime, 51% user growth in 1 year and 99% uptime resulting in increased efficiency<br>
**Value Drivers:** Efficiency, Speed<br>
**Differentiators:** Single App, CI & CD<br>
**Usecase:** CI, CD, SCM, Simplify DevOps<br>
**Vertical:** Technology

---

<big>[Cook County Assessor's Office](https://about.gitlab.com/customers/cook-county/)</big><br>
**Problem:** Cook County needed a data management platform for secure and accurate property assessments<br>
**Solution:** GitLab Premium<br>
**Result:** Over 1.8 million properties assessed with an estimated market value of $270 billion. There are 31 repositories, with over 1,400 commits<br>
**Value Drivers:** Efficiency<br>
**Differentiators:** Single App,SCM<br>
**Usecase:** SCM <br>
**Vertical:** Government

---

<big>Axway</big><br>
**Problem:** Legacy CD tool was slow to provide developer feedback and lacked security<br>
**Solution:** GitLab Premium (CI/CD)<br>
**Result:** Reduced change failure rate below 15%, and MTTR to less than 2 hours.<br>
**Value Drivers:** Speed, Efficiency, Security<br>
**Differentiators:** Single App, SCM & CI<br>
**Usecase:** CI/CD<br>
**Vertical:** Computer Software<br>

---

<big>[Jaguar Land Rover](https://about.gitlab.com/blog/2018/07/23/chris-hill-devops-enterprise-summit-talk/)</big><br>
**Problem:** Slow delivery and release cycles, taking 4 to 6 weeks, leading to infrequent feedback for developers<br>
**Solution:** GitLab Premium (CI)<br>
**Result:** Increased delivery speed from 3-6 weeks to 30 minutes giving teams faster feedback<br>
**Value Drivers:** Efficiency<br>
**Usecase:** CI<br>
**Vertical:** Automotive<br>

---

<big>[Hemmersbach](https://about.gitlab.com/customers/hemmersbach/)</big><br>
**Problem:** Multiple tools and communication inefficiencies slowed application delivery<br>
**Solution:** GitLab Ultimate (Agile, CI, CD, VC&C)<br>
**Result:** Increased build speed by 59x, 14.4% improvement in cycle time<br>
**Value Drivers:** Speed<br>
**Usecase:** CI, CD, VC&C, Agile<br>
**Vertical:** Technology<br>

---

<big>[European Space Agency](https://about.gitlab.com/customers/european-space-agency/)</big><br>
**Problem:** Geographic separation led to software deployment that used to take weeks<br>
**Solution:** GitLab Free (VC&C, CI)<br>
**Result:** Toolchain simplified and blooming culture of collaboration; code deployed in minutes when it used to take weeks<br>
**Value Drivers:** Efficiency, Speed<br>
**Usecase:** CI, CD, VC&C<br>
**Vertical:** Technology<br>

---

<big>[Siemens](https://about.gitlab.com/blog/2018/12/18/contributor-post-siemens/)</big><br>
**Problem:** Needed to improve and enhance their developer tools<br>
**Solution:** GitLab Premium (CI)<br>
**Result:** Actively contributing to GitLab project with upstream commits<br>
**Differentiators:** Open Source, Collaborative Customer Experience<br>
**Vertical:** Industrial Manufacturing<br>

---

<big>[CERN](https://about.gitlab.com/customers/cern/)</big><br>
**Problem:** Lack of large scale collaboration and visibility<br>
**Solution:** GitLab Free (CI)<br>
**Result:** Over 12,000 users collaborate on GitLab, running 120,000 CI jobs each month<br>
**Differentiators:** VC&C & CI, Open Source<br>
**Usecase:** CI, VC&C<br>
**Vertical:** Science, Technology, and Education<br>

---

<big>[Ticketmaster](https://about.gitlab.com/blog/2017/06/07/continuous-integration-ticketmaster/)</big><br>
**Problem:** Slow build process prevented innovation<br>
**Solution:** GitLab Premium (CI)<br>
**Result:** 15x faster - from over 2-hour builds to 8-minute builds; faster releases and better customer experiences with 5 star app reviews<br>
**Value Drivers:** Speed<br>
**Differentiators:** Single App, Kubernetes<br>
**Usecase:** CI<br>
**Vertical:** Applications Development<br>

---

<big>[Ask Media Group](https://web.archive.org/web/20230129170441/https://www.askmediagroup.com/microservices-in-practice/)</big><br>
**Problem:** Managing the process of building and deploying microservices<br>
**Solution:** GitLab Premium (CI)<br>
**Result:** Developers can immediately begin to contribute a new service, that can be deployed to AWS as soon as they start<br>
**Differentiators:** SW Anywhere<br>
***Video:** [Ask Media Group shares with GitLab how they accomplished Cloud Native Transformation with an architecture leveraging GitLab Runners, Kubernetes, and more.](https://www.youtube.com/watch?time_continue=4&v=3ED5NrVoVzk)*<br>
**Usecase:** CI, Cloud Native<br>
**Vertical:** IT Services<br>

---

<big>[Fanatics](https://about.gitlab.com/customers/fanatics/)</big><br>
**Problem:** CI pipelines took up so much bandwidth, impacted ability to deliver new tools and features; spent inordinate amount of time on CI maintenance<br>
**Solution:** GitLab Premium (CI)<br>
**Result:** GitLab provided the stable CI that Fanatics was looking for, enabling the cloud team to focus on innovation instead of simply fighting fires<br>
**Value Drivers:** Efficiency<br>
**Differentiators:** Collaborative<br>
**Usecase:** CI<br>
**Vertical:** Retail<br>

---

<big>[Verizon Connect](https://www.youtube.com/watch?v=zxMFaw5j6Zs)</big><br>
**Problem:** Needed to implement automation to increase deployment speed<br>
**Solution:** GitLab Premium (CI, Agile)<br>
**Result:** Reduced deploy process to under 8 hours<br>
**Value Drivers:** Efficiency<br>
**Usecase:** CI, CD, VC&C, GitOps, Agile<br>
**Vertical:** Telematics<br>

---

#### Mid-Market

<big>[Alteryx](https://about.gitlab.com/customers/alteryx/)</big><br>
**Problem:** Legacy developer tools slowed software delivery frequency<br>
**Solution:** GitLab Ultimate(CI, CD, Security, SCM)<br>
**Result:** Software builds now 30 minutes from over 3 hours, able to release 9 times a day<br>
**Value Drivers:** Efficiency<br>
**Differentiators:** Single App, VC&C & CI, Security<br>
**Usecase:** CI, CD, VC&C, DevSecOps<br>
**Vertical:** Technology<br>

---

<big>[KnowBe4](https://about.gitlab.com/customers/knowbe4/)</big><br>
**Problem:** KnowBe4 was looking for a tool to keep code in-house and that offered the capabilities of several tools in one<br>
**Solution:** GitLab Ultimate (CI, CD, Security, SCM) and AWS<br>
**Result:** Over 5 times more production deploys daily and over 20 times more development environments deploy per day for any given application<br>
**Value Drivers:** Efficiency, Speed, Security<br>
**Differentiators:** Single App, SCM & CI, AWS, Security<br>
**Usecase:** CI, CD, SCM, DevSecOps<br>
**Vertical:** Technology<br>

---

<big>[Wag!](https://about.gitlab.com/blog/2019/01/16/wag-labs-blog-post/)</big><br>
**Problem:** Slow release process taking over 40 minutes<br>
**Solution:** GitLab Ultimate (CI, CD)<br>
**Result:** Release process reduced to 6 minutes, 8 releases per day with built-in security, and a full deployment pipeline to Amazon Elastic Container Service (ECS)<br>
**Value Drivers:** Efficiency, Risk<br>
**Differentiators:** Security, SW Anywhere, Kubernetes<br>
**Usecase:** CI, CD, GitOps<br>
**Vertical:** Applications Development<br>

---

<big>[EAB](https://web.archive.org/web/20231207203708/https://about.gitlab.com/customers/EAB/)</big><br>
**Problem:** Slow builds, expensive both in cost and maintenance due to multiple tools<br>
**Solution:** GitLab Premium (VC&C, CI)<br>
**Result:** Build time reduced from 6 hours to 20 minutes, reduced toolchain complexity, and lightweight maintenance<br>
**Usecase:** CI, VC&C<br>
**Vertical:** Education<br>

---

<big>[Worldline](https://about.gitlab.com/customers/worldline/)</big><br>
**Problem:** Long cycle times and hard to collaborate between developers<br>
**Solution:** GitLab Community Edition (VC&C, CI)<br>
**Result:** From 2 weeks to set up a new project to just minutes, 120x increase in code reviews<br>
**Value Drivers:** Efficiency, Risk<br>
**Usecase:** CI, VC&C<br>
**Vertical:** Financial Services<br>

---

<big>[Paessler AG](https://about.gitlab.com/customers/paessler/)</big><br>
**Problem:** Unstable and fragile developer tools resulted in slow QA cycles and infrequent releases<br>
**Solution:** GitLab Premium (VC&C, CI, CD)<br>
**Result:** 120x faster QA, 4x more frequent releases<br>
**Value Drivers:** Speed, Risk<br>
**Differentiators:** VC&C & CI<br>
**Usecase:** CI, CD, VC&C<br>
**Vertical:** Network Software<br>

---

<big>[Extra Hop Networks](https://about.gitlab.com/customers/extra-hop-networks/)</big><br>
**Problem:** Legacy developer tools prevented collaboration and faster delivery<br>
**Solution:** GitLab<br>
**Result:** Unified developers on a common platform, reduced the total number of tools, and eased the transition to CI/CD<br>
**Usecase:** CI, CD, VC&C<br>
**Vertical:** IT Management<br>

---

<big>[BI Worldwide](https://about.gitlab.com/customers/bi_worldwide/)</big><br>
**Problem:** Legacy systems and a lack of security lead to deployment cycles of 18 months<br>
**Solution:** GitLab Ultimate<br>
**Result:** Daily releases and increased collaboration in single tool<br>
**Value Drivers:** Efficiency, Speed, Risk<br>
**Differentiators:** Security<br>
**Usecase:** CI, CD, DevSecOps, GitOps Simplify DevOps<br>
**Vertical:** Consulting<br>

---

<big>[Hotjar](https://about.gitlab.com/customers/hotjar/)</big><br>
**Problem:** Hotjar, a growing all-remote company, was looking for an enhanced CI/CD tool to replace Jenkins<br>
**Solution:** GitLab Premium<br>
**Result:** Daily deploys increased from 2 to 15, 30% decrease in time to build GitLab CI vs Jenkins, and 50% deployment time saved<br>
**Value Drivers:** Efficiency, Speed<br>
**Usecase:** SCM, CI, CD, Kubernetes, All Remote<br>
**Vertical:** Technology<br>

---

<big>[Remote](https://about.gitlab.com/customers/remote/)</big><br>
**Problem:** Remote wanted to get up and running quickly without spending time and money on a multi-toolchain<br>
**Solution:** GitLab Premium<br>
**Result:** 100% of deadline met, 100% focus on product and 3795 code pushed in a 3 month period<br>
**Value Drivers:** Efficiency, Speed<br>
**Usecase:** SCM, CI, CD, All Remote<br>
**Vertical:** Technology<br>

---

<big>[Chorus](https://about.gitlab.com/customers/chorus/)</big><br>
**Problem:** As Chorus.ai was getting established, they wanted to create an efficient build process<br>
**Solution:** GitLab Ultimate (SCM, CI, DevSecOps)<br>
**Result:** 6 week production cycles reduced to 1 week, over 100 builds per day. During a recent audit for SOC2 compliance, the auditors said that Chorus had the fastest auditing process they have seen and most of that is due to the capabilities of GitLab<br>
**Value Drivers:** Efficiency, Speed, Security<br>
**Usecase:** SCM, CI, CD, Security<br>
**Vertical:** Technology<br>

---

<big>[Jasper Solutions](https://about.gitlab.com/customers/jasper-solutions/)</big><br>
**Problem:** Jasper Solutions needed a platform that offers security, code management, and consistent pipelines in order to create its dynamic tactical edge "DevSecOps in a box<br>
**Solution:** GitLab Ultimate (SCM, CI, CD)<br>
**Result:** 30% reduction in cycle time, 25% increase in deployment frequency and 90-95% of projects are on time and on budget<br>
**Value Drivers:** Efficiency, Speed, Security<br>
**Usecase:** SCM, CI, CD, Security<br>
**Vertical:** Technology<br>

---

<big>[SVA](https://about.gitlab.com/customers/sva/)</big><br>
**Problem:** SVA was looking for a platform to improve central code management and workflow CI<br>
**Solution:** GitLab CE<br>
**Result:** SVA has over 500 active GitLab users, 110 groups and over 1571 projects<br>
**Value Drivers:** Efficiency<br>
**Differentiators:** SCM & CI, Kubernetes<br>
**Usecase:** SCM, CI, CD<br>
**Vertical:** Technology Partner<br>

---

<big>[Glympse](https://about.gitlab.com/customers/glympse/)</big><br>
**Problem:** Slow software development and delivery due to expensive and complex developer tool stack<br>
**Solution:** GitLab Ultimate (Security, Agile, CI, CD, VC&C)<br>
**Result:** Teams over 2x more efficient, completing 50 days of work in 21 days; 8x faster deploys, from 4 hours to under 30 min; built-in security scanning making audit process easier<br>
**Value Drivers:** Risk<br>
**Differentiators:** VC&C & CI, Security<br>
**Usecase:** CI, CD, VC&C, DevSecOps, Simplify DevOps, Agile<br>
**Vertical:** Technology<br>

---

<big>[ANWB](https://about.gitlab.com/customers/anwb/)</big><br>
**Problem:** Complex and fragile developer tools hindered productivity<br>
**Solution:** GitLab Premium (VC&C, CI, CD)<br>
**Result:** Regular deploys, collaboration, and stable and reliable CI/CD pipelines<br>
**Usecase:** CI, CD, VC&C<br>
**Vertical:** Not-for-Profit / Roadside Assistance<br>

---

<big>[OW2](https://web.archive.org/web/20240224202105/https://about.gitlab.com/customers/ow2/)</big><br>
**Problem:** Enabling global open source collaboration<br>
**Solution:** GitLab<br>
**Result:** Easier to use platform that improves productivity<br>
**Usecase:** Agile<br>
**Vertical:** Computer Software<br>

---

<big>[Trek10](https://about.gitlab.com/customers/trek10/)</big><br>
**Problem:** Hard to collaborate across silos and with customers on cloud projects<br>
**Solution:** GitLab Free (CI)<br>
**Result:** GitLab and its integrated CI helps seamlessly and securely manage deployments across many AWS accounts<br>
**Differentiators:** SW Anywhere<br>
**Usecase:** CI<br>
**Vertical:** IT Services<br>

---

<big>[Athlinks](https://about.gitlab.com/blog/2019/12/17/athlinks-cuts-runtime-in-half-with-giltab/)</big><br>
**Problem:** Jenkins and GH proved to be a complicated, expensive, and inefficient toolchain<br>
**Solution:** GitLab Ultimate (VC&C, CI, CD)<br>
**Result:** CI runtimes cut in half for 50% improvements over Jenkins<br>
**Value Drivers:** Efficiency<br>
**Usecase:** CI, CD, VC&C, Agile<br>
**Vertical:** Applications Development<br>

---

### Industry Awards

_[The original and internal-to-GitLab proof points Google Doc is online, here](https://docs.google.com/document/d/1Tuhg6LO0e6R-KP7Vfwb8cggHDiBzkC26pBl0lyLS7UY/edit) while some parts of this handbook page are being approved for publication.*

#### 2020

<big>[GitLab Recognized by 451 Research as a '451 Firestarter'](https://www.globenewswire.com/news-release/2020/01/14/1970490/0/en/GitLab-Recognized-by-451-Research-as-a-451-Firestarter.html)</big><br>
*The complete DevOps platform delivered as a single application recognized by leading analyst firm for innovation and vision in the technology industry*<br>
**Value Drivers:** Efficiency, Speed, Risk<br>
**Differentiators:** Rapid Dev, Simply Dev Ops

---

<big>[DevOps Dozen 2019 Winners Annoucement](https://devops.com/5th-annual-devops-dozen-winners-announced/)</big><br>
*The DevOps Dozen award for the Best DevOps Solution Provider for 2019 goes to GitLab*<br>
**Value Drivers:** Efficiency, Speed, Risk<br>
**Differentiators:** Rapid Dev, Single App

#### 2019

<big>[IDC Innovators: Tools Supporting Open (Unopinionated) Developer Platforms](https://web.archive.org/web/20230608224223/https://www.idc.com/getdoc.jsp?containerId=US45074219)</big><br>
*demonstrated either a groundbreaking business model or an innovative new technology or both*<br>
**Value Drivers:** Efficiency, Speed, Risk<br>
**Differentiators:** Rapid Dev

---

<big>[Axo Soft - Top 20 Dev Tools for 2019](https://blog.axosoft.com/top-developer-tools-2019/)</big><br>
*GitLab is one of the most popular developer tools.*<br>
**Differentiators:** Open Source<br>
**Use case** VC&C, Agile

---

#### 2018

<big>[IDC Innovators: Agile Code Development Technologies](https://web.archive.org/web/20201026113046/https://www.idc.com/getdoc.jsp?containerId=US43675318)</big><br>
*demonstrated either a groundbreaking business model or an innovative new technology or both*<br>
**Use case** Agile

---

<big>[Google Cloud Partner Awards](https://about.gitlab.com/blog/2018/07/27/google-next-2018-recap/)</big><br>
*Innovative Solution in Developer Ecosystem for the tight integration with GKE*<br>
**Value Drivers:** Efficiency, Speed, Risk<br>
**Use case** Cloud Native

---

<big>[GitLab voted as G2 Crowd Leader]</big><br>
*Over 170 public reviews with a 4.4 rating, including: "[Powerful team collaboration tool for managing software development projects](https://www.g2.com/products/gitlab/reviews/gitlab-review-1976773)," "[Great self-managed, open source, source control system](https://www.g2.com/products/gitlab/reviews/gitlab-review-436746)," "[Efficient, can trace back, easy to collaborate](https://www.g2.com/products/gitlab/reviews/gitlab-review-701837)," and "[Perfect solution for cloud and on-premise DevOps tool](https://www.g2.com/products/gitlab/reviews/gitlab-review-2388492)"*<br>
**Value Drivers:** Efficiency, Speed, Risk<br>
**Differentiators:** Rapid Dev, Visibility<br>
**Use case** VC&C, CI, CD

---

#### 2017

<big>[CNCF - The 30 Highest Velocity Open Source Projects](https://about.gitlab.com/blog/2017/07/06/gitlab-top-30-highest-velocity-open-source/)</big><br>
*developer velocity can help illuminate promising areas in which to get involved, and what is likely to be the successful platforms over the next several years*<br>
**Differentiators:** Open Source, Rapid Dev<br>
**Use case** GitOps, Cloud Native

---

### Analyst Reports and Studies

_[The original and internal-to-GitLab proof points Google Doc is online here,](https://docs.google.com/document/d/1Tuhg6LO0e6R-KP7Vfwb8cggHDiBzkC26pBl0lyLS7UY/edit) while some parts of this handbook page are being approved for publication.*

#### 2020

<big>[Forrester Total Economic Impact Study Commissioned By GitLab, June 2020](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/analyst-relations/forrester-tei/)</big><br>
*GitLab commissioned Forrester Consulting to conduct a Total Economic Impact (TEI) study examining the potential return on investment (ROI) enterprises may realize by using GitLab.*<br>
GitLab customers were interviewed and related data was collected independently by Forrester Consulting in this process. The data collected, resulting model, and study itself was reviewed independently by Forrester Research analysts. GitLab stakeholders were also interviewed as part of the data gathering and review process. This study looked at the cost savings and business benefits of enterprises using GitLab for Version Control & Collaboration (VC&C)/SCM, Continuous Integration (CI), and Continuous Delivery (CD).
**Value Drivers:** Efficiency, Speed, Risk<br>
**Use case** SCM, CI, CD, Simplify DevOps

---

<big>[The Forrester Wave™: Continuous Delivery And Release Automation, Q2 2020, June 2020](https://about.gitlab.com/analysts/forrester-cdra20/)</big><br>
*Forrester cite GitLab as a Strong Performer in Wave for CDRA*<br>
**Value Drivers:** Efficiency, Speed<br>
**Use case** SCM, CI, CD, Simplify DevOps

---

<big>[Gartner Peer Insights "Voice of the Customer": Application Release Orchestration, March 2020](https://about.gitlab.com/analysts/gartner-votc20/)</big><br>
*GitLab is named a Customers' Choice in the March 2020 Gartner Peer Insights "Voice of the Customer" - Application Release Orchestration*<br>
**Value Drivers:** Efficiency, Speed<br>
**Differentiators:** Visibility<br>
**Use case** SCM, CI, CD, Simplify DevOps

---

<big>[Gartner Magic Quadrant for Enterprise Agile Planning Tools, April 2020](https://about.gitlab.com/blog/2020/08/03/gitlab-named-visionary-in-gartner-agile-planning-magic-quadrant/)</big><br>
*Gartner Cites GitLab as a Visionary in MQ for EAPT*<br>
**Value Drivers:** Efficiency, Speed<br>
**Differentiators:** Visibility<br>
**Use case** SCM, CI, CD, Simplify DevOps, Agile

---

<big>[Gartner Magic Quadrant for Application Security Testing, April 2020](https://page.gitlab.com/resources-report-gartner-magic-quadrant-ast.html)</big><br>
*Gartner Cites GitLab as a Niche Player in MQ for AST*<br>
**Value Drivers:** Risk<br>
**Use case** DevSecOps

---

<big>[Gartner Market Guide for Software Composition Analysis, August 2020](https://www.gartner.com/document/3989235?ref=solrAll&refval=260338930)</big><br>
*Gartner mentions GitLab in the context of the broader shift in the market toward developers as buyers of tools*<br>
**Value Drivers:** Risk<br>
**Use case** DevSecOps

#### 2019

<big>[Forrester: Manage Your Toolchain Before it Manages You](https://about.gitlab.com/resources/whitepaper-forrester-manage-your-toolchain/)</big><br>
*Multiple tools and toolchains create visibility, security, and productivity challenges for development and operations teams. "Out-of-the-box" toolchain solutions are seen as a solution, increasing security, revenue, and quality.*<br>
**Value Drivers:** Efficiency, Speed, Risk<br>
**Differentiators:** Visibility<br>
**Use case** VC&C, CI, CD, Simplify DevOps

---

<big>[Forrester: Software Composition Analysis - Challenger](/analysts/forrester-sca/)</big><br>
*Software composition analysis tools evaluate applications to uncover vulnerabilities in 3rd party and open source components.*<br>
**Use case** DevSecOps

---

#### 2018

<big>[Forrester: Continuous Delivery and Release Automation - Contender](/analysts/forrester-cdra20/)</big><br>
*Release automation tools enable faster, higher-quality, more automated software delivery through modeling applications, infrastructure, middleware, and their supporting installation processes and dependencies. "GitLab's release automation is ideal for cloud-native, Kubernetes-centric organizations."*<br>
**Value Drivers:** Efficiency, Speed<br>
**Use case** CD

---

<big>[Forrester: Value Stream Management - Strong Performer](https://about.gitlab.com/blog/2018/08/09/gitlab-strong-performer-vsm/)</big><br>
*Value stream management provides visibility into project planning, health indicators, and analytics to remove waste and focus on customer value.*<br>
**Value Drivers:** Efficiency, Speed, Risk<br>
**Differentiators:** Visibility<br>
**Use case** Simplify DevOps

---

#### 2017

<big>[Forrester: Continuous Integration Wave - Leader](https://about.gitlab.com/blog/2017/09/27/gitlab-leader-continuous-integration-forrester-wave/)</big><br>
*Continuous Integration streamlines and accelerates building and testing developer code, shortening delivery to minutes rather than weeks and months. Continuous Integration also automates compliance tasks and improves auditability.*<br>
**Value Drivers:** Efficiency, Speed, Risk<br>
**Use case** CI

---

### 2017 Peer Reviews

_[The original and internal-to-GitLab proof points Google Doc is online, here](https://docs.google.com/document/d/1Tuhg6LO0e6R-KP7Vfwb8cggHDiBzkC26pBl0lyLS7UY/edit) while some parts of this handbook page are being approved for publication.*

"[Powerful team collaboration tool for managing software development projects](https://www.g2.com/products/gitlab/reviews/gitlab-review-1976773)" — Information Technologist, Enterprise from [G2 Crowd Leader]<br>
**Value Drivers:** Efficiency<br>
**Use Case:** VC&C

---

"[Perfect solution for cloud and on-premise DevOps tool](https://www.g2.com/products/gitlab/reviews/gitlab-review-2388492)" — Lead Developer, Mid-Market from [G2 Crowd Leader]<br>
**Value Drivers:** Efficiency<br>
**Use Case:** DevOps, Cloud Native

---
<!-- vale handbook.Repetition = NO -->
"[Great self-managed, open source source control system](https://www.g2.com/products/gitlab/reviews/gitlab-review-436746)" — Administrator, Mid-Market from [G2 Crowd Leader]<br>
**Value Drivers:** Efficiency<br>
**Use Case:** VC&C
<!-- vale handbook.Repetition = YES -->
---

"[Efficient, can trace back, easy to collaborate](https://www.g2.com/products/gitlab/reviews/gitlab-review-701837)" — Industry Analyst / Tech Writer, SMB from [G2 Crowd Leader]<br>
**Value Drivers:** Efficiency<br>
**Use Case:** VC&C

### GitLab Reports and Studies

<big>[2020 Global Developer Report: DevSecOps](/developer-survey/)</big><br>
**Findings Included:** A majority of developer respondents, 66%, said their organization does make it possible for them to avoid hacks.
DevSecOps = changing roles: Security can be found on cross-functional teams and working closely in collaboration with developers, both of which represent significant change from the past.
<br>
**Customer Value:** Building security into the DevOps pipeline improves overall security.<br>
**Value Drivers:** Risk<br>
**Use case** DevSecOps

---

<big>[2020 Global Developer Report: DevSecOps](/developer-survey/)</big><br>
**Findings Included:** DevOps = faster releases: If you're a developer, DevOps just works. Nearly 83% of them report they're releasing code more quickly.
About 35% report code is released twice as rapidly, while nearly 25% said it's now being released 10 times faster.
<br>
**Customer Value:** Automated testing in the CI pipeline accelerates delivery, finding defects earlier.<br>
**Value Drivers:** Speed<br>
**Use case** DevSecOps

---

<big>[2020 Global Developer Report: DevSecOps](/developer-survey/)</big><br>
**Findings Included:** CD is real: Nearly 60% deploy multiple times a day, once a day, or once every few days. That's up from 45% last year.  And 74% of organizations report they have shifted testing left, meaning they've moved it earlier into the development process.<br>
**Customer Value:** Visibility and transparency into future work leads to more efficient planning and execution.<br>
**Value Drivers:** Efficiency<br>
**Use case** Continuous Integration, Continuous Delivery**

#### Older GitLab Reports and Studies (2019 and beyond)

<big>[2019 Global Developer Report: DevSecOps](/developer-survey/previous/2019/)</big><br>
**Findings Included:** 50% of developers agree that security vulnerabilities are mostly discovered by the security team after code is merged and in a test environment.<br>
**Customer Value:** Building security into the DevOps pipeline improves overall security.<br>
**Value Drivers:** Risk<br>
**Use case** DevSecOps

---

<big>[2019 Global Developer Report: DevSecOps](/developer-survey/previous/2019/)</big><br>
**Findings Included:** 49% of respondents encounter the most delays during the testing stage of the development lifecycle.<br>
**Customer Value:** Automated testing in the CI pipeline accelerates delivery, finding defects earlier.<br>
**Value Drivers:** Speed<br>
**Use case** CI, CD, SCM, Simplify DevOps

---

### 2019 Peer Reviews

_[The original and internal-to-GitLab proof points Google Doc is online, here](https://docs.google.com/document/d/1Tuhg6LO0e6R-KP7Vfwb8cggHDiBzkC26pBl0lyLS7UY/edit) while some parts of this handbook page are being approved for publication.*

"[Powerful team collaboration tool for managing software development projects](https://www.g2.com/products/gitlab/reviews/gitlab-review-1976773)" — Information Technologist, Enterprise from [G2 Crowd Leader]<br>
**Value Drivers:** Efficiency<br>
**Use Case:** SCM <br>
**Differentiator:** SCM&CI, Single Application <br>
**Vertical:** Education

---

<big>[2019 Global Developer Report: DevSecOps](/developer-survey/previous/2019/)</big><br>
**Findings Included:** Ops teams are 1.8x more likely to believe they get sufficient notice to support the developer side when their DevOps practice is very good.<br>
**Customer Value:** Visibility and transparency into future work leads to more efficient planning and execution.<br>
**Value Drivers:** Efficiency<br>
**Use Case:** DevOps, Cloud Native <br>
**Differentiator:** Single Application, Rapid Innovation, K8s, Software Anywhere <br>
**Vertical:** Technology

---
<!-- vale handbook.Repetition = NO -->
"[Great self-managed, open source source control system](https://www.g2.com/products/gitlab/reviews/gitlab-review-436746)" — Administrator, Mid-Market from [G2 Crowd Leader]<br>
**Value Drivers:** Efficiency<br>
**Use Case:** SCM <br>
**Differentiator:** Software Anywhere, SCM&CI <br>
**Vertical:** Education <br>
<!-- vale handbook.Repetition = YES -->
---

"[Efficient, can trace back, easy to collaborate](https://www.g2.com/products/gitlab/reviews/gitlab-review-701837)" — Industry Analyst / Tech Writer, SMB from [G2 Crowd Leader]<br>
**Value Drivers:** Efficiency<br>
**Use Case:** SCM <br>
**Differentiator:** Single Application <br>
**Vertical:** Market Research <br>

---

"[GitLab has helped me master Git, CI/CD pipelines, and software development in general through the many resources it offers.](https://www.g2.com/products/gitlab/reviews/gitlab-review-3606488) - System Administrator, Mid-Market from [G2 Crowd Leader]<br>
**Value Drivers:** Efficiency <br>
**Use Case:** CI, CD <br>
**Differentiator:** Single Application, Open Source, SCM&CI, Collaborative <br>
**Vertical:** Technology <br>

---

"[For me, the most impressive part of their toolchain would have to be the CI/CD Platform, the ease of use and it's flexibility is wonderful. Building CI/CD pipelines never felt easier.](https://www.g2.com/products/gitlab/reviews/gitlab-review-4215029) - Software Engineer, Mid-Market from [G2 Crowd Leader]<br>
**Value Driver:** Efficiency <br>
**Use Case:** CI, CD <br>
**Differentiator:** Single Application, SCM&CI <br>
**Vertical:** Digital Marketing <br>

---

"[The UI is better and CI/CD is way more robust. GitLab has also got a great working culture ("remote is the future of work" for sure!) and a very strong brand, and good communication and presence on various platforms.](https://www.g2.com/products/gitlab/reviews/gitlab-review-4194470#survey-response-4194470) - Marton Nagy, SMB from  [G2 Crowd Leader]<br>
**Value Driver:** Efficiency <br>
**Use Case:** SCM, CI, CD <br>
**Differentiator:** SCM&CI, End-to-End Insight <br>
**Vertical:** Technology <br>
