---
title: Commercial Sales
department: >-
  The Commercial Sales department at GitLab focuses on delivering maximum value
  to SMB and Mid-Market customers throughout their entire journey with GitLab
---

## Welcome to the Commercial Sales Handbook

The Commercial Sales department is part of the overall [GitLab Sales](/handbook/sales/) Division. We focus on delivering maximum value to [SMB and Mid-Market](/handbook/sales/field-operations/gtm-resources/) customers throughout their entire journey with GitLab.

## <i class="fas fa-users fa-fw icon-color font-awesome"></i>Commercial Team Groups

- SMB Account Executives
- Mid Market Account Executives
- Area Sales Managers

## Getting Started as a New Hire

Please ensure you read the [Commercial Sales onboarding page](/handbook/sales/commercial/enablement/).

### Top Tips to Onboard Quicker

1. Bookmark the relevant SalesForce dashboard for your region, this is essential to your success. Your Manager will give you the link when you first join.
1. Get familiar with the [close date conventions](/handbook/sales/commercial/#close-date-conventions) used in Commercial Sales.
1. Ensure you fully understand [the Required 7](/handbook/sales/commercial/#required-7). Your teammates and manager are more than happy to help you with this if you need it.
1. Read through reviews of GitLab to get an idea of what customers think about the product. Two good places to start are [Softwareadvice.com](https://www.softwareadvice.com/project-management/gitlab-profile/reviews/) and [Gartner Reviews](https://www.gartner.com/en/documents/4416199).
1. Watching videos is core to your onboarding. You can watch YouTube & Chorus videos at 1.5x or 1.75x speed to get through them efficiently, you can still retain the information but in less time. Go to the Settings widget > Playback speed.
1. When you first start, searching through Slack is a great way to find useful information as it's our primary method of asking questions and announcing things to the company. Some channels that are particularly good for information:
[#questions](https://gitlab.slack.com/archives/C0AR2KW4B)
[#smb](https://gitlab.slack.com/archives/CH4KPGS87)
[#sales](https://gitlab.slack.com/archives/C02NE5PQM)
[#smb_amer](https://gitlab.slack.com/archives/C010YDVD1BP)
[#international-smb](https://gitlab.slack.com/archives/CN84VB75H)
[#smb_training_support](https://gitlab.slack.com/archives/CKYLWKGJU)
[#competition](https://gitlab.slack.com/archives/C1BBL1V3K)
1. Use [BuiltWith.com](https://builtwith.com/) to get an idea of what technologies a customer is using currently (though be sure to verify this with them)
1. You might find it useful to create a Google doc to document all your learnings in your first 30 days, as you will get a lot of information to remember and it will also get you in the habit of taking notes, a [key part of GitLab's culture](/handbook/communication/#external-communication).
1. You can never have too many [coffee chats](/handbook/company/culture/all-remote/informal-communication/#coffee-chats) with colleagues. You don't need to ask permission from people, just put some time in their diary.
1. Make sure your calendar is always up to date so that you can get meetings from SDRs without having to moving them around.
1. Listen to as many [Chorus](https://www.zoominfo.com/products/chorus?ch_source=chorus) calls as possible. They are an excellent way to onboard.
1. Add your own tips to this page as you onboard to pay it forward for the next new rep!
1. Get familiar with GitLab and seaching for Issues, MR's and handbook pages. This will significantly speed things up as you progress through onboarding.

### Continuous Learning

Below is a list of resources considered highly valuable for continuous learning and development by Commercial Sales team members at GitLab. Note, that some of these resources are not publicly available, so consult a fellow teammate for access where necessary.

- [GitLab Direction](https://about.gitlab.com/direction/#vision-1) Includes GitLab's Vision, [Maturity](https://about.gitlab.com/direction/#maturity) framework and planned features and their release dates within each of GitLab's [Paid Tiers](https://about.gitlab.com/direction/#paid-tiers).
- [GitLab Blog](https://about.gitlab.com/blog/) Monthly articles on Releases, Engineering, Open Source, Culture and other popular topics of interest.
- [GitLab Unfiltered YouTube](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A) A YouTube channel private to GitLab employees with video recordings and playlists on company meetings, enablement sessions and other topics. Access GitLab's [Sales Enablement playlist](https://www.youtube.com/playlist?list=PL05JrBw4t0KrirMKe3CyWl4ZBCKna5rJX).
- [Chorus Recordings](/handbook/business-technology/tech-stack/#chorus) Our team's history of call and demo recordings is a valuable training resource for new and existing sales team members.
- [Sales & SDR Enablement Sessions](/handbook/sales/training/sales-enablement-sessions/) Weekly training sessions covering popular product, market and sales training topics chosen by the sales and marketing team members.
- [Product Study Guide](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/tiers/) A study course for team members to understand the current full scope of capabilities offered in each tier of GitLab and reasons for tier upgrades.
- [Sales Training](/handbook/sales/training/) page
- [Commercial Sales Enablement](/handbook/sales/commercial/enablement/) page

### Events

When traveling please consider ROI of both any costs plus your time:
If you are going to an event you think first:

- What is the total you will spend for travel?
- What is the total you will spend on food and lodging for me?
- What is the amount you will likely spend on customer meals (meals x customers x # of times)?
- How many total business hours will you be away from salesforce?
- 8 hours: then you need to get 5x return on $, and the fact that any event pipeline closes at about 30%
- How many total personal life hours will you be away from your personal life?

Given the rough calculation above, you've to be committed driving/booking enough Net ARR at the event prior to you going to the event
Note: this doesn't mean you can't get travel approval without booking meetings. It means once you get travel approval it is on you to go get people to the event/meetings to create pipeline.

#### Trip Notes

The ultimate purpose of attending any GitLab field event is to gain insight and add value. Sid Sijbrandij, our CEO, talks about the importance of conferences and events [here](https://www.youtube.com/watch?v=qQ0CL3J08lI). He believes the main goal of GitLab team participation should always be to connect with our customers and prospects and not to solely attend presentations. Trip notes are our internal process for tracking and capturing this data.

#### Why and When?

Trip notes are required for the entire Commercial Sales Team anytime a team member travels for the company while working at GitLab. We believe it would be fun and valuable if you also shared trip notes when you traveled for personal reasons; however, that is up to your discretion.

#### How to properly document your trip notes?

Please follow the best practice process and use the [trip note template](https://docs.google.com/document/d/1B6EBhrzMhHynDUV6_K2qzuQqZ1jI_DfjCsUviJI_r_k/edit) as a format to prepare for your future trip.

#### Trip Notes Best Practice

1. Commercial attendee will write up their notes in a google doc.
1. Please save your notes as GitLab internal read only for Commercial Team review in the [Commercial Sales Drive Trip Notes Folder](https://drive.google.com/drive/folders/1e71aL5OP_QlaAHTmMNwAAqIUfc2aD6Dt).
1. Once saved, please slack and share a link to your notes in the commercial_global_all channel to alert the team of your recent trip.
1. Finally, please share your [Post Trip feedback](/handbook/marketing/events/#post-event) for the entire company and the Field Marketing team directly in the specific Event Issue on the 'Post Event Recap & Feedback' spreadsheet.

### Give Back Project

#### What is the Give Back Project?

- The Give Back Project is a self-selected opportunity to help the Commercial Sales team achieve better results. It is a finite project that, upon completion, is to be adopted by no less than 70% of the Commercial Sales team and used at least once a month.
- The Give Back Project is assigned to all new Commercial Sales team members and is required to be completed as part of their on-boarding process.

#### Why is there a Give Back Project?

- The goal of the Give Back Project is to allow new team members to be able to instantly contribute to the Commercial Sales team
- Fosters GitLab's values of collaboration and results
- The Give Back Project gives team members the opportunity to be exposed to problems on the team today and will allow the team to look back and see how we addressed shortcomings in the past

#### How to properly document a Give Back Project

- Give Back Projects are described and worked by team members in the [Commercial Sales issue tracker](https://gitlab.com/gitlab-com/sales-team/commercial-sales/issues?label_name%5B%5D=Give+Back+Project)
- If it is something that needs to be repeated (like a customer AMA) an associated handbook entry is created with a description on how a new person could achieve this
- Although the Give Back Project is designed to be finite, there is always room for iteration at GitLab. Be sure to include any necessary instructions on how a different team member would be able to add to your project if necessary

#### Example Give Back Projects

**Customer AMAs:** Meetings for GitLab team members with current customers that provide an opportunity to ask them about anything in regard to their experience with GitLab

**Customer Meetings:** Sharing the best practices for conducting any kind of external meeting at GitLab

**Trip Notes:** allows team members who attend field events to track and capture data in order for the rest of the team to gain insight

**Doing Business with Partners/Channels:** Guidelines on how to work with partners and resellers in order to ensure value is maximized in these areas

**How to Handle New Customers After They Purchase:** Best practices for handling new GitLab customers based on the scope of their purchase

**Technical Evaluation of Customers:** How to properly evaluate a customer's current technical environment in order to create organizational alignment and prescribe how GitLab can best solve their problems

For a complete list of our Give Back Projects and other Onboarding assignments our team is working on, please click the private link [here](https://docs.google.com/spreadsheets/d/1_G06Zj8ZWXrfrH75t3BEa8NX3wi6vjQCohFchnPpNUI/edit#gid=0).

### Paid Time Off (PTO) and Results

We have found following steps beneficial to make the process of time off easy for Sales and keep business continuity.  This does not serve as a replacement to the company wide [Guide to Paid Time Off](/handbook/people-group/paid-time-off/#a-gitlab-team-members-guide-to-time-off) or add process for [Sick Time Policy](/handbook/people-group/paid-time-off/#sick-time---taking-and-reporting). This is the expanded approach to preparing yourself and the team for time off planned specific to the group.

- [ ] Inform Manager as in the GitLab team members guide to time off
- [ ] Ask a regional team member for coverage and share planned time off
  - Select someone ideally in similar role and who has capacity to cover while OOO
  - It may be helpful to create a shared doc of action items, and follow reference from the handbook
  - There may be cases where double coverage or support from your manager is needed if no one else is available
  - Note: For [Family & Friends Day](/handbook/company/family-and-friends-day/), there is no need for backup coverage as it is a publicly visible shutdown for GitLab. Please message in your below OOO auto-reply as such including the handbook page, and contact details for technical support
- [ ] Submit time-off in Time Off by Deel in Slack, and add your chosen team member who is covering for you as the assignee role for all tasks, you can label it something like "immediate and general"
- [ ] Create calendar invite with title:
  - Ex: "First and Last Name OOO - (First and Last Name) is Covering". Optional invite to your manager and person covering.
- [ ] Block the morning of your return date on your calendar so you can return to work with catch-up time for things like:
  - Re-submitting forecast in Clari
  - Ranking new accounts that came through
  - Respond to email, support tickets, via Required 7
- [ ] Optionally schedule time on the return day to sync with the individual covering for you

#### Role responsibilities to prepare being out of office

- [ ] Any quotes that are currently out to clients, resend via docusign with the person covering for you cc'd on them. Intro AE covering to client in case either have questions via email
- [ ] Run [this report](https://gitlab.my.salesforce.com/00O4M000004odxl), edit the `dates` field in the top right corner to be the dates you are OOO, then select 'run report'. Make sure ZERO next steps are falling on the dates you are out and cover anything not urgent before PTO. This will ensure you leave you without a huge workload for your backup or you in return.
  - If you have an urgent next step scheduled, reach out before vacation, inform the client you will be OOO and get either the person covering for you or your manager included by `cc:` on the email w/ intro
  - If you have less urgent next steps approaching, assess if they should be handled before or after vacation and then edit the next steps date based on your assessment
- [ ] Set your email OOO auto-reply including the email of the person covering for you. If your manager is available the days you are out you can add them as well in the email message and any other urgent correspondence

On the day before time off:

- [ ] Ensure all required 7 reports are up to date
- [ ] Submit forecast in Clari
- [ ] Options on phone notifications related to work:
  - Encouraged: Delete apps associated with work such as email and slack
  - Recommended if it is difficult to get these apps back on your phone: Silence notifications on apps associated with work
  - Leave your computer closed and have a blast!

Area Sales Managers have additional steps to consider before leaving for time off:

- [ ] Set expectations on coverage for 1:1s and team meetings
- [ ] Updating quote approval routing in SFDC to the person covering for you. Navigate to you name dropdown - My Settings - Personal - Approver Settings.  Search for the person covering next to Delegated Approver, confirm and select Save
- [ ] In Navan, set Vacation Delegate in Settings - Account Details
- [ ] Submit forecast
  - [ ] If planned time off exceeds the 25 consecutive days as outlined in the guide, request temporary ASM coverage for forecasting in Clari by submitting a request in the [Sales Operations](https://gitlab.com/gitlab-com/sales-team/field-operations/sales-operations/-/issues) project.

#### Role responsibilities of covering for a team member as backup

- Respond within 24 hours to the absent AE's customers if they contact you.
- Address new Required 7 items that appear on your team's Required 7 dashboard for the absent AE.
- Take any urgent customer calls or BDR/SDR calls that have been set up. If you are not able to attend for any reason, you are expected to tell your manager so that appropriate backup can be found. Customer or prospect calls on the calendar should not be delayed or rescheduled.
- Work on and close deals in the absent AE's territory while they are out.

Backup AEs are not required to:

- Cover tasks unrelated to the specific AE role. For example, if the absent AE is a member of a Team Member Resource Group (TMRG), you are not expected to attend TMRG meetings.
- Outbound campaigns to the absent AE's customers (you can if you want to, of course).
- Agree to be a backup if you do not have time to do so, or cover multiple team members. There are other AEs who can help.
- Forecast on behalf of the absent AE. Only update their opportunities as needed.

## Required 7

New team members should familiarize themselves with [The Required 7](/handbook/sales/commercial/enablement/required7/). These are the 7 tactical skills required to be an excellent Commercial Sales Account Executive:

1. [Ranking your accounts](/handbook/sales/commercial/#account-ranking) - [video here](https://youtu.be/M-5OhlYxmFI)
    - Rank all accounts and explain why; log your sources for future efficiency; this needs to be your (recent) ranking, not the previous owners, nor the ranking from the prior fiscal. If it's unchanged, make the note that it is unchanged and why
1. Building your (consider changing the deck) [custom deck](https://docs.google.com/presentation/d/1duy8kjEvNiRx8fnCvc6ZnxWwXTM_71phbG3k9rgmU4Q/edit?usp=sharing) for any opp amount over $5k SMB $10k MM **Amount** (n.b. amount, not Net ARR) that:
    - Calculates the ROI of using GitLab vs. next best option (this might be vs. do nothing)
    - Provides the 2 options for the customer going forward - normally both with GitLab (example: Ult or Prem)
    - Demonstrates a customised vision for the customer: "what if you used all of GitLab to do DevOps in a single app?"
    - Capture the full response, in the customers' words to that vision and the reasons why they think it is possible, or not possible. This capture can be done in the speaker notes so your customer can validate and then copied into an activity after the call.
    - [video here](https://youtu.be/9Yq23PijO3c), and be sure to check out [this video](https://youtu.be/QDoXhDvkDYY) on creating an effective ROI slide deck and [this supporting deck](https://docs.google.com/presentation/d/1otCJF4kaaozhp0qWD3VgGQ73WgX1ZNP_IKnu3Qt_slI/edit?usp=sharing)
1. Capturing key information:
    - How did the customer/prospect hear about GitLab and what is their understanding of what we do?
    - Meaningful information on why we won/lost a deal
1. Logging your [call notes](/handbook/sales/commercial/enablement/#sales-note-taking) [video on taking efficient notes during a meeting](https://youtu.be/CMMQ5R0pq8I) and top tips from a top performer [here](https://www.youtube.com/watch?v=CKRvxM2F5zc)
1. [Updating your next steps](/handbook/sales/commercial/#opportunity-next-steps-best-practices) - [video here](https://youtu.be/74OKSNWoN8Q)
1. [Command plans](/handbook/sales/command-of-the-message/command-plan/), what needs to be filled in:
    - $5k SMB, $10k MM **Amount** - All fields in opportunity overview (the whys) and close-plan over this Amount threshold
    - $10k SMB, $20k MM **Net ARR** - Full Command Plan over this Net ARR threshold
    - If you don't yet know the answers or have the data, you will populate the Command Plan fields with your script and next steps to get that information
    - Exception to command plan: for channel managed opportunities we may not have access - put `Channel-Managed` in the opportunity title
    - ([training session here](https://youtu.be/zN_0J6syxmM) and [training deck here](https://bit.ly/2WNlzbZ))
1. Keeping your opportunities [up to date at all times](/handbook/sales/commercial/#salesforce-pipeline-activity) [video](https://youtu.be/o5gm7_5321w)

### Account Ranking

It is a requirement for the Commercial Sales Team to tier their accounts using the fields on the Account Object. This helps prioritize the accounts to go after when prospecting for new or expansion. Please see below definitions specific to SMB and Mid-Market AEs.

#### Ranking Training and Definitions

[Commercial Sales: Account Ranking Training Clippet](https://youtu.be/M-5OhlYxmFI)

#### SMB Account Executive Definitions for Account Ranking

- Rank 1: Top 10 Accounts with new business or upselling possibility within the next 12 months
- Rank 1.5: Future opportunities that we should not lose track of as there is a sales opportunity here with no timeline
- Rank 2: Believe there is an opportunity, but will take additional work before opening and beginning a sales cycle
- Rank 3: Greenfield, SDR attention - perhaps a drip campaign
- SMB AE must have potential user field filled in on the account object for Rank 1, and 1.5
- SMB AE must have the notes section filled in on why an account is Rank 2 or 3

#### Mid-Market Account Executive Definitions for Account Ranking

- Rank 1: Accounts that I am working to maximize their Net ARR this fiscal year.
- Rank 1.5 The subset of Rank 2 that is best and trending toward being future Rank 1s.
- Rank 2 Accounts that I am working to grow and I speak with them at least once a month.
- Rank 3 Accounts that I keep informed about GitLab and DevOps monthly.

### Close Date Conventions

<span class="colour" style="color: rgb(0, 0, 0);">First, forecasting, down to even the opportunity level, is a routine exercise for accuracy, not motivation or aspiration. Each week on Wednesday it is required to update five values in Clari by close of business (5 PM) local time.  This is Renewal Loss Best Case, Renewal Loss Best Case, Gross Net ARR Best Case, Gross Net ARR Commit, and Net 50/50.  At this time, it is required to double-check pipeline cleanliness and always follow the close date conventions listed here.</span>

1. <span class="colour" style="color:rgb(0, 0, 0)">The close date should always be in the month that you believe it has the most likely chance of closing (with only one exception as dictated below).</span>
1. <span class="colour" style="color:rgb(0, 0, 0)">At **all times** the Net ARR amount should reflect your best estimate of the actual amount that the opportunity will have on it when it closes in the month reflected in the close date. There are no exceptions other than returning from an onsite visit, even if you have not spoken with the account. If you get a new opp you should quickly assess the account and, given your experience, make an educated guess on what amount the company will transact at.</span>
1. <span class="colour" style="color:rgb(0, 0, 0)">The Stage represents where you believe the customer is in their buying process, not only the specific steps they have taken with you.</span>

<span class="colour" style="color: rgb(0, 0, 0);">The three close dates:</span>

1. <span class="colour" style="color:rgb(0, 0, 0)">Last day of the month it will close in **only if you have a compelling event defined**</span>
1. <span class="colour" style="color:rgb(0, 0, 0)">The actual day the opportunity will close when the quote goes out for signature. It will appear past due if we don't get the signature back and pushes to the Friday of the week it should close.  Renewals default to this convention</span>
1. <span class="colour" style="color:rgb(0, 0, 0)">First day of the following month, no compelling event defined </span>
    1. <span class="colour" style="color:rgb(0, 0, 0)">Placing the close date on the first day of the month is a temporary status of **up to 48 hours** during which time the AE would work directly with their Champion / Economic Buyer to confirm the compelling event and client timeline.  Once determined, the AE would move the close date to the last day of the month of actual closing.    </span>
    1. <span class="colour" style="color:rgb(0, 0, 0)">This close date carries a window of roughly 60 days of when you think it will come in</span>

**Example**: It's April 23rd, a new business Mid-Market opportunity is identified for a company at 410 employees and growing at an unknown rate (unclear due to being an agency). The company completed their evaluation with a trial ending this month, there are defined problems initially trying to solve, with some people who have used GitLab before.

- Question for AE and self, what % chance of the purchase occurring in April, May, or June?
  - 90% April, 10% May

## Chorus recordings

A recording Chorus license is mandatory for all Commercial Account Executives. Our intent is to record customer calls for the following reasons:

- For training, to make sure we are giving customers the best possible experience
- To give to the customer as a visual record of our conversations with them
- To verify any details we may have missed in the conversation

### Mandatory steps required to record calls

Follow instructions for using [Chorus Scheduler](/handbook/sales/field-operations/sales-operations/go-to-market/chorus/#chorus-scheduler)

## Deal Reviews

### Project 35

As we continue to grow as an organization, developing our sales skills to deliver an impeccable sales experience is a critical component of the customer experience, either leading them to enjoy working with GitLab or not, depending on the quality of that experience. We've created a program called "Project 35" to help you improve your selling skills. We are utilizing our largest opportunities for the quarter to hone in our selling skills with the goal of these skills being valuable on all other sales opportunities.

As part of Project 35 we will be focusing on the following core selling skills:

1. Running excellent sales calls & importance of pre-call prep
1. Stronger discovery to uncover Command Plan (why now, why GitLab, why do anything at all)
1. Building ROI
1. Finding & cultivating champions
1. Negotiation
1. Complex Deal Management
1. Collaboration - amongst peers and leadership
1. Preparation for your next role & large deal management

During a Project 35 call, The AE who is discussing their opportunity will answer the following questions:

1. Prep for a no. What are all the questions or reasons they will say no?
1. Are we building a relationship (onsite, something else?)
1. Nail the project name and the timing of the project (sell services)
1. Selling against a ROI slide
1. Based on the information uncovered in the prior questions, use supporting reasons for AEs to update their next steps live. Managers should enter their comments in the Manager Notes section for any deals they review live or asynchronously.
1. Engage wider sales team. Who are, by name, the CSMs, SAs, Partners that are helping sell the deal. Please assign them to the discussion in the document so that they are able to join the call and contribute to the discussion.

### Opportunity Consults and Lightweight Deal Reviews

An [Opportunity Consult](/handbook/sales/command-of-the-message/opportunity-consults/) (OCF) is an in depth, two-way conversation between the AE and the ASM to review the opportunity [Command Plan](/handbook/sales/command-of-the-message/command-plan/#overview). The AE should expect to provide the ASM with more detailed information about the [Opportunity Overview](/handbook/sales/command-of-the-message/command-plan/#opportunity-overview) fields, the customer's pain points and desired outcomes, challenges or gaps in qualification aligned to the [MEDDPPICC](/handbook/sales/meddppicc/) opportunity qualification framework, articulate a [Close Plan](/handbook/sales/command-of-the-message/command-plan/#close-plan-details) and identify the biggest opportunity risk(s) and action(s) to mitigate those risks.

A Lightweight Deal Review (LDR) is a shorter (5-10 minute) deal review that is designed to identify gaps in the [Command Plan](/handbook/sales/command-of-the-message/command-plan/#overview) and specific next steps. At the end of an LDR, an AE and ASM should have a plan in place to capture the information that is not in the Command Plan, and a specific plan of action on and before the next call.

### Opportunity Next Steps Best Practices

1. Always keep Next Steps Date and Next Steps up to date as an assignment to a future version of yourself on how you will take action to continue the customers buying process.
1. When you start your day you need to check all inputs like email, zendesk, and lead queue so you can triage those requests into your priorities for that day.
1. Allocate times of your day in four ways:
    - Customer meetings scheduled
    - Proactive email and internal efforts
    - Proactive calling efforts
    - Time to check inputs again
1. When beginning a proactive time block, open your opportunities view and sort by Next Steps Date.
1. Your Next Steps should be specific and compelling so that you can take action on them within 3 minutes of reading.
    1. `Next Steps` should contain <b>*only*</b> the actions you will take next: no dates, no history, just the Next Steps
    1. When you update `Next Steps`, the `Next Steps History` will automatically capture your prior `Next Steps`, applying a date stamp and storing them in reverse-chronological order
    1. **Please Note:** If you previously included history in the `Next Steps` field, the next time you update `Next Steps` you will need to clear the field completely and input only your Next Steps

### Opportunity-Specific Slide Deck

It is required that all opportunities above $10,000 (Mid Market) and $5,000 (SMB) in total amount (not Net ARR) will have a custom slide deck that is shared with the customer or prospect. The custom deck must be attached to the opportunity by pasting the deck link in the SalesForce field 'Link to Custom Pitch Deck' on the opportunity home page. This will enable Mid Market Account Executives and SMB Account Executives to capture critical account information. Additionally, this will facilitate selling on value rather than features.

#### Custom Deck Requirements

1. **Visual Requirements**
    - Deck's main color will match or resemble that of the customer's.
    - Where possible, use the customer's logo.
    - It is appropriate to ask the customer for a blank template.
1. **Customer Agreed-upon Agenda**
    - When meeting with the customer, leverage an agreed upon agenda to aide in co-selling.
1. **Calculated ROI of GitLab v. Next Best Option**
    - For New Business the next best option could be 'do nothing' or our competition.

- For Renewals the next best option could be to go back to what they were doing before.

1. **Two options (rough plans) with GitLab going forward**
    - For new business this takes the form of [Two Lane Selling](https://docs.google.com/document/d/1h7DCIRAQ1pRiqDF6Aebl354uoMXiXbSVLaC_XefzM6w/edit) where we give them a high engagement and a low engagement option.
    - For a renewal, this could be a one year v. a three year option, or Premium v. Ultimate.
1. **Non-Custom Single Application pitch to the customer**
    - This slide should have a visual representation of using GitLab as a single application for the entire software development life cycle.
    - The intent of this slide is to have the conversation with the customer on 'what is possible', and to capture their feedback
1. **Full capture of the customer's feedback on the 'Single Application' slide**
    - Capture the customer's actual words in the speaker notes of the 'single application' slide

## Red / Green Process and Procedures

### Red / Green Purpose

Effective ASM coaching of the why now, why do anything, why GitLab and specific next steps the Account Executive will take with the prospect/client. The goal of the red/green process is to accurately forecast which opportunities will close for each designated fiscal period (Month/Quarter). The red/green process is  meant to most acutely build skills around identifying the timeline that is most comfortable for the customer to close.

### Red / Green Definition

Designating each opportunity that has a shot to close at the end of each fiscal period as either Red (not going to close before the end of the month), or Green (going to close before the end of the month), and updating manager notes with a defense of the color and a specific next step the AE will complete by the next check in (usually the next day). For context, a green account will have a "why now" that corresponds with a close before the end of the period.
    - The threshold (unless otherwise stated) for accounts that will be reviewed during Red/Green is:
        - SMB: $2,000 NetARR or greater
        - Mid-Market: $7,000 NetARR or greater

### Red / Green Tactics

1. Red/Green meetings are held the 15th (or closest non-weekend day prior to the 15th) of each month, and the last five work days of the month.

1. Area Sale Managers should conduct R/G meetings live with each of their Account Executives. This discussion should not be held asynchronously. Checklist of items below in this order. Advance to next question once prior is confident
    - Is this opportunity Red or Green?
    - Why do anything at all?
    - Why GitLab?
    - Why now? (Is there a time-driven reason this opportunity will close within a specific time frame)
    - What level is your closest relationship with?
    - How can they help you:
        - Get accurate information on the ideal time for the customer to buy GitLab?
        - Get you access to someone else in the organization who has access to the above information?
    - What is the AEs immediate next step based on the answer to the items above? If anything less than "wait for account to move from closing to closed-won", then see "Why Now" question.
        - An example of a specific next step would be to ask your closest contact: "Is this at all easier for you if we close this next month?"

1. Once Red/Green discussion is complete on the account, the ASM will enter notes in the "manager notes" section of the opportunity to reflect the discussion and the immediate next step the account executive will take.

1. Repeat the same process the following date for all accounts above the threshold.

### Red / Green Outcome

Hit the forecast we commit to and build better sales skills for our AEs and better coaching skills for our ASMs.
    - Ideal skills that need to be built are:
        - Understanding the concepts and execution around knowing the ideal timeline the customer wants to close.
        - Identifying pain and having customers understand both the negative impacts of not switching to GitLab as well as the realized positive business outcomes by switching to GitLab.
        - Building a time-bound mutual success plan with the customer based on the severity or the ability for the customer to devote resources to a project.

### Red / Green Lookback Process

At the first R/G meeting of the following period, the leadership team will submit their actual closed-won for the prior period as well as their final R/G commitment. Team will then discuss the reasons why each finished where they did and identify any items that led to variation from commitment.

## SMB Account Executives

SMB Account Executives "SMB AEs" act as Account Executives and the face of GitLab for [SMB](/handbook/sales/field-operations/gtm-resources/) prospects and customers. They are the primary point of contact for companies that employ between 1 to 99 employees.

### SMB Roles

SMB Account Executives are designated into one of the following pod positions:

1. First Order
1. Pooled
1. Expand
1. Named

SMB Account Executives in First Order will assist prospects in their evaluation through the first buying process. Depending on the account, the other three roles will be the customer's primary point of contact for any renewal and expansion discussions.  Collectively the team is responsible for working new business in their [territory](/handbook/sales/territories/) as well as handling the customer journey for new and existing customers.

AMER SMB Pooled Account Executives are responsible for managing a subset of SMB customers who range from companies on day 1 of using GitLab, all the way to companies who've used GitLab since their day 1. The Pooled AEs work collectively in a "pooled" account ownership model meaning customers are aligned at the team level and all AEs are equipped to help. Pooled AEs work with customers to evaluate product and plan expansion, making recommendations to ensure a successful renewal with GitLab based on their needs.

Please read below and through the [SMB handbook page for more information](/handbook/sales/commercial/smb/).

### Critical Salesforce reports to follow and bookmark

- [SMB AMER Required 7](https://gitlab.my.salesforce.com/01Z4M000000oXCS)
- [SMB APAC/EMEA Required 7](https://gitlab.my.salesforce.com/01Z4M000000oWyL)
- [SMB APAC/EMEA 1:1 Dashboard](https://gitlab.my.salesforce.com/01Z4M000000oXKq)

#### New Business

- Work Initial Qualification Meetings [IQM's](/handbook/sales/commercial/#inbound-queue-management) from Commercial SDR Team
- Accept Sales Accepted Opportunities according to [SAO Criteria](/handbook/sales/field-operations/gtm-resources/)
- Nurture and help prospects during their Trial evaluation after Accepting Opportunities
- Push to Webdirect or help with the Sales Order Process

#### Customer Journey

- [Inbound Queue Management](/handbook/sales/commercial/#inbound-queue-management)
- [Licensing/Subscription Management](/handbook/sales/commercial/#licensingsubscription-management)
- [Troubleshooting Resource for Licensing/Subscription Management](/handbook/sales/commercial/#troubleshooting--how-to-resources-for-licensing--subscription-management)
- [Quotes / Sales Order Processing](/handbook/sales/commercial/#quotes--sales-order-processing)
- [Customer Health Check Process](/handbook/sales/commercial/enablement/#commercial-sales-account-health-check-process)
- [Gainsight Data in SFDC Definitions](/handbook/customer-success/product-usage-data/using-gainsight-data-in-sfdc/)

### Inbound Queue Management

**Zendesk:** Managing incoming requests received through support.gitlab.com

**The goal and focus** of working Zendesk tickets for the SMB team is to help with **upselling** and **renewals**

Within timezone (WIP), the Support team is responsible to take the lead on all incoming ZD tickets in the [Upgrades, Renewals, and AR (refunds) queue](https://gitlab.zendesk.com/agent/filters/360034975053). In off-hours, the SMB team will triage and handle any tickets which will breach during their timezone.

Support will take the lead on all incoming requests in the queue and only forward to the sales owner when:

- There is an Net ARR affecting event from a **customer** -OR-
- There is a credit or other request which requires sales manager approval

### Salesforce Pipeline Activity

#### Opportunity Management in Salesforce

- Prior to working a new opportunity always double-check the Account segmentation is "SMB" and the employee count for the company is less than 100, by viewing datafox information and verifying with LinkedIn (especially outside of AMER)
- Direct yourself every day to your Next Steps to know how to prioritize and organize your day. Recommendations on how to work through your next steps for the day:

1. Sort by stage, placing highest priority stage at the top
1. Prioritize the opportunities you are going to work on first by stage, amount, and close date
1. Ensure "Next Steps," "Next Step Date," and "Next Steps Owner" are current with actionable and informative information that helps guide you on how to move the opportunity through the pipeline
1. If a potential future opportunity that requires an action is greater than 30 days out, make sure this is detailed in the next steps field
1. Once opportunities in the stages Discovery through Awaiting Signature are updated, begin working on Pending Acceptance. Continue to prioritize with the same criteria as above.

#### Pipeline Generation

- In weekly communication with your direct management review the health of your pipeline and update records as needed in real-time. You should know at all times what your pipeline multiplier is and if you need to create more pipeline to have a successful month and quarter. Refer to your team's **Pipeline Generation** checklist documents and the associated SFDC reports associated with keeping activity up to date.

#### Commercial Sales Stages Activities and Exit Criteria

- Pipeline management is key to predictable, scalable revenue attainment and can make the difference between simply hitting your number and overachieving. Proper sales pipeline management helps you allocate your time correctly, increase deal velocity, and increase total deal volume, size, and revenue through accurate forecasting practices.
- A well-managed sales pipeline requires a clear process with defined activities and exit criteria that serve as a roadmap to getting a deal from discovery to closed won (or qualified out quickly). The following process is specific to the Commercial Sales team and will ensure you have a clean pipeline and accurate forecast.
- [Detailed Exit Stage Criteria Google Sheet](https://docs.google.com/spreadsheets/d/1tVtJvfSsmWL2L1vTcJZgARlzC9Qy3Ae7pPqGBH9_KOQ/edit#gid=1399111321)
- [Exit Criteria at a Glance](https://gitlab.highspot.com/items/6245c14f198094aabf1cfe52?lfrm=srp.0)

![comm-sales-stages-exit-criteria](/handbook/sales/commercial/comm-sales-opp-stages/comm-sales-stages-exit-criteria.png)

- Please read through the [Commercial Sales Opportunity Stages handbook page](/handbook/sales/commercial/comm-sales-opp-stages/) for more information.

#### Web Direct Oppty Management in Salesforce

- Find the report view for all CFQ "current fiscal quarter" Web Direct purchases in your territory "SMB_Web Directs CFQ_name":

1. Check that there are no open opportunities that could have been a duplicate by viewing the opportunities listed under the Account
1. If not a duplicate, place the main contact in the opportunity on the outreach sequence "SMB_Web Direct Outreach" - by: Madeline Hennessy
1. Dependent on the opportunity and company if personal outreach is preferred, you must log your activity and have a next step date to follow up on your activity

#### Licensing/Subscription Management

> Note: if you need access to a system, [open an Access Request](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/new?issuable_template=Individual_Bulk_Access_Request)

GitLab Trials & Subscription Management

- Access [the CustomersDot](https://customers.gitlab.com/admin/customer) to provide changes to a user, group, or subscription.

#### Troubleshooting & How-To Resources for Licensing & Subscription Management

Detailed instructions on how to handle problems with licenses and subscriptions can be found in [these instructions and resources.](/handbook/business-technology/enterprise-applications/)

### Quotes | Sales Order Processing

More information about [sales order processing](/handbook/sales/field-operations/order-processing/) can be found in the Business Ops handbook section.

## Mid Market Account Executive

Midmarket Account Executives are the primary point of contact between prospective and existing customers of GitLab within a space defined as mid-market, which currently works with companies that employ between 100 to 1,999 employees. These GitLab team members manage the spectrum of project sizes, ranging from small fast growing teams in smaller agile organizations to complex enterprise projects advising on the journey with GitLab to achieve specific business outcomes.

Mid-Market AEs work closely in tandem with the business development team and sales management to manage a broad book of business spread over a large opportunity value range and focus on exceeding client expectations.

### Mid Market Roles

1. **MM Key Accounts First Order AE** (MMKAFO): These AEs work on the highest potential accounts that are not currently customers of GitLab. Once the customer has signed its first contract, the customer is transitioned to a MM Key Account Named AE. However, if an account is won by this team and is deemed to be low potential it will be passed to a MM Territory AE. The rough guideline for these accounts is more than 500 employees total and more than 100 combined employees in engineering and IT. We don't refer to MM First Order accounts as "Named Accounts", because First Order accounts can either go to Named or Territory AEs.
1. **MM Key Accounts Named AE** (MMKAN): These AEs work on current customers that have been deemed to be high spending (high CARR) or have the potential to be high spending (high LAM). To be successful the MMKAN AE must expand their accounts more than the standard expansion rate for their named list of accounts. The named list for each MMKAN AE will grow through the fiscal year as the MMKAFO AE wins new high potential customers.
1. **MM Territory AE**: These AEs work geographic regions of accounts that have not been vetted to be MM Key Account First Order AE or MM Key Account named AE. The role sells to both prospects and current accounts.

"MM Key Accounts" can be used to refer to MM Key Accounts First Order and MM Key Accounts Named collectively. MM Key Accounts are the sub-set of MM accounts with a higher [LAM](/handbook/sales/sales-term-glossary/#landed-addressable-market-lam) and potential LAM.

### Core Responsibilities

- Own your set of accounts - build & execute your plan.
- Manage book of business: new business, expansion, renewals.
- Collaborate with Sales Development channel for handover of inbound qualified opportunities to progress to closure.
- Execute outbound campaigns.

#### New Business

- Work Initial Qualification Meetings [IQM's](/handbook/sales/commercial/#inbound-queue-management) from SDR Team
- Accept Sales Accepted Opportunities according to [SAO Criteria](/handbook/sales/field-operations/gtm-resources/)
- Nurture and help prospects during their Trial evaluation after Accepting Opportunities
- Push to Webdirect or help with the Sales Order Process

#### Selecting Target Accounts for marketing

- Log into Datafox or Sales Navigator
- Input your territory criteria
- Establish a list of accounts and sort by Company Head Count
- Search for keywords like DevOps
- Look into each account to see if they are actually yours
- Look into each employee that is either an engineer or technology professionals
- Add that company name to your list
- If not enough companies through this process continue below:
- Look for the intersection of revenue and vertical in Datafox
- Look at the account in SFDC to see if CE User
- Filter using signals if using Datafox
- Assess if they have had recent funding announcements
- Once selected add the company name, city, and zip code to your sheet

#### Customer Journey

- [Inbound Queue Management](/handbook/sales/commercial/#inbound-queue-management)
- [Licensing/Subscription Management](/handbook/sales/commercial/#licensingsubscription-management)
- [Troubleshooting Resource for Licensing/Subscription Management](/handbook/business-technology/enterprise-applications/)
- [Quotes / Sales Order Processing](/handbook/sales/commercial/#quotes--sales-order-processing)
- [Customer Health Check Process](/handbook/sales/commercial/enablement/#commercial-sales-account-health-check-process)
- [Gainsight Data in SFDC Definitions](/handbook/customer-success/product-usage-data/using-gainsight-data-in-sfdc/)

## Account Ownership Rules of Engagement for Commercial Sales updated 2022-09-22

The Commercial Sales Team follows the [Account Ownership Rules of Engagement](/handbook/sales/field-operations/gtm-resources/rules-of-engagement/#account-ownership-rules-of-engagement)
This section provides step by step clarity on how to follow the **ROE**.

### Process to follow

Account will be organized into the following two categories:

1. Accounts who were customers before February 1st of the fiscal year
1. Accounts who became customers on or after February 1st of the fiscal year

#### Accounts who became customers before February 1st of the fiscal year will follow this process

It is the responsibility of the Account Executive who owns the account to qualify how many employees the account has prior to February 1st.
Accounts who have less than 100 employees on or before February 1st will be owned by SMB for the fiscal year
Accounts who have 100 or more employees on or before February 1st will be owned by Mid Market for the fiscal year

- As an Account Executive, if you qualify an account and are unsure of the rules of engagement by the number of employees or corporate address, you should screenshot the data you are reviewing, post it on the account in chatter and edit Account Rank Notes. Tag your Area Sales Manager when research is complete for further review by @ mentioning them. If the ASM has reviewed the data provided by the Account Executive as well as doing their own due diligence and is unsure of the rules of engagement, they should screenshot their research, post it on the account in chatter and tag the Regional Director for review by @ mentioning them. Finally, if a Regional Director is unsure of the rules of engagement after reviewing the data provided and doing their own due diligence, they should screenshot their research, post it on the account in chatter and tag the Regional Vice President for review and final decision. All final decisions for Commercial account and opportunity ownership are up to the sole discretion of the Regional Vice President of the Commercial Division.

#### Accounts who became customers on or after February 1st of the fiscal year

Accounts will be separated into the following categories

1. Sales Assisted First Order
1. Web Direct First Order

For sales assisted first orders, it is the responsibility of the account executive who conducts the initial discovery with the prospect to research and qualify the number of employees and headquarter location for the account.
If the account has less than 100 employees the account will be managed by SMB for the remainder of the fiscal year
If the account 100 employees or greater the account will be managed by Mid Market for the remainder of the fiscal year
If the account has greater than 500 employees or greater than 100 LAM dev please see the Rules of Engagement Between MMKAFO and Mid-Market Territory for FY '23 for proper lead routing

For web direct first orders we understand there may be a degree of differentiation of actual employee count versus what our systems capture based on the tools utilized to enrich data. It is the responsibility of the Account Executive who owns the first order to identify the correct number of employees after the web direct first order and ensure that the employee count is not "wholly wrong". Wholly wrong is used only for accounts that upon initial assignment are assigned by automation i.e. no team member reviewed them at first transaction.

Wholly wrong is defined as the following
Mid Market owned accounts with less than 80 employees
SMB owned accounts with greater than 120 employees

If an account is wholly wrong, it is the responsibility of the account owner to chatter @sales-support to reassign the first order and the account to the correct segment.

If an account is not wholly wrong but above or below the segment line (respectively) is it the responsibility of the account owner to chatter @sales-support to flag the account to move to the appropriate segment at the beginning of the following fiscal year.

All accounts that are not researched or identified as being assigned to the wrong segment will be reassigned.

If the AE qualifies this and then keeps it, this can lead to disciplinary action.

As part of the qualification process tt is expected to qualify the location of company headquarters and employee count so we can best support the customer. It is not acceptable to qualify location and employee count in a manner that jeopardizes the customer experience. If you are unsure, always tag your manager in chatter to review the data before involving the customer.

### Rules of Engagement Between MMKAFO and Mid-Market Territory for FY '23

#### Fiscal Year 2023 Account Moves

For all accounts that are in SalesForce.com as of February 24, 2022 the Mid-Market Key Accounts First Order team will own all accounts that are:

1. Segmented to Mid-Market NORAM or EMEA
1. Marked as "First Order Available" in SalesForce
AND
1. Have a full time employee count of 500 employees or greater as marked in the "Account Demographic Max Family Employees" field under Account Demographics in SFDC.
OR
1. Have a potential user count of 100 users or more as measured by the LAM Dev Count Field.

To avoid confusion the logic is `[1 AND 2 AND (3 OR 4)]`.

Note: If an AE suspects that the employee count or potential user count is not accurate in our data sources, it is the AEs responsibility to uncover the employee count and potential user count during the discovery phase. If an account is identified to belong to either territory or First Order and the other party continues to work the lead without doing proper due diligence, the account will be reassigned to the appropriate party.

#### New Accounts to SalesForce.com after Feb 24, 2022

1. For all **inbound** MQLs for which an account does not yet exist in SalesForce.com, the routing of that lead and account will be based exclusively on employee count.
    - If the account has 500+ employees it will be routed to the MMKAFO team
    - If the account has less than 500 employees it will be routed to the Mid-Market Territory team
1. MMKAFO AEs are able to go **outbound** to accounts that are not yet in SalesForce.com that fit the criteria in the Mid Market Key Accounts definition:
    - Mid-Market accounts that have either 500+ employees OR 100 potential users as defined by LinkedIn Engineering + IT personnel count.
1. MMKAFO AEs are able to create the outbound accounts in SFDC that fit the above criteria, and ask Sales Operations to move the account into their name.
    - Note: If it is found out that an AE asks for an account to be deduplicated in order to work said account, disciplinary action will be taken.

#### Account Moves Throughout Fiscal Year 2023

1. If an MMKAFO AE finds out through discovery that a sub 500 employee account segmented to First Order in reality has less than 100 potential users, they should immediately ask for the account to be moved to Territory.
1. If a "First Order Available" account is segmented to Territory, and the Territory AE finds out through discovery that the account actually has more than 500 employees, they should immediately ask for the account to be moved to First Order.
1. The automation for new accounts in the system means accounts with under 500 employees but over 100 potential users will be routed to territory and left there unless they have no activity at the quarter change over.
1. If it is found out that an AE intentionally ignores rules number 1 or 2 more than twice in a fiscal year disciplinary action is likely to be taken.

## Co-Selling

Co-selling is the responsibility of both the Account Executive and their Area Sales Manager to join sales calls together. This is to ensure the best client/prospect experience, along with jointly finding the highest potential within that account.
Area Sales Managers have an expectation to log a minimum of 5 co-selling calls per rolling 7 days, although we are aiming to achieve closer to 10-12 calls over a rolling 7 days.

### Co-Selling Roles when working with your ASM

- Primary Seller: Consider this role as the main pitch person. You are directing the conversation, sharing the deck and taking live notes and adding value, while also keeping on track with the agenda decided upon.
- Co-Seller: This individual is responsible for raw notes in Salesforce, time management, and digging into comments to identify areas where we should be finding additional information. The Co-pilot should be digging into levels and amounts of pain when the Pilot moves on without capturing this.
For additional information please visit this [reinforcement module](https://rise.articulate.com/share/-azahQvz24JLQ0yFj4JoRMorDMokvEeJ#/lessons/_fwDOSI3QjsRpf9LxRpm1R6gLVljSy0w)

### Working with Channel Partners

The GitLab partner network is ready to work with GitLab Account Executive's in order to extend the customer selling and services capacity offered by Commercial Sales. Channel's approach to this is called Partner Co-selling and working with Partners involves building a simple, clear, mutual customer opportunity plan establishing "who will do what, when?".

#### What are the key benefits from working with partners?

- AEs Working with Partners for Increased Customer Value & Net ARR
- Extended reach and capabilities via Partner sales and services capacity and reach via GitLab-trained Partner AE's, SA's, Engineers, and often a GitLab channel manager to coordinate/assist.
- Accelerated reach to new customer logos "<b>*Land*</b>": Partners are beginning to bring GitLab new logo opportunities via mining their customer base. In many cases, Partners already have a "trusted Partner status" with their customers, which also serves to accelerate new logo engagements.
- Increased customer "<b>*Expand*</b>" success: In many cases, Partners will sell and deliver the key services called for to ensure customers get the maximum value from their GitLab technology investment and drive stage advance along with user growth.
- Deployment and related services: For faster delivery and increased capacity, AEs are turning to Partners to sell and deliver these services, also CSM-like customer success services.
- In the case of OPEN partners via distributors, dramatic reduction in the admin steps associated with quote-to-order process.

#### How do AEs work with partners for increased customer value & Net ARR?

GitLab has a mature Partner network with good coverage of GitLab-trained Sales and Technical resources. There are a few ways in which AEs will work with a customer including a Partner.

- [Approved Partner GitLab Deal Registrations](/handbook/resellers/#the-deal-registration-program-overview) As these are received in your territory, in most cases* you will be contacted by a GitLab channel team member to arrange a co-selling kickoff call to develop a simple Partner co-selling plan to share with the Partner. GitLab Channel Managers do not proactively manage all OPEN Partners. AEs can always request Channel Manager support for a Deal Registration by slacking channel-sales or available contacts.
- If you find themselves thinking 1. "a Partner SA could execute on this customer-requested SA task", or 2. AEs have customers that could benefit from a "Partner services attach engagement", reach out on slack [#channel-sales](https://gitlab.slack.com/archives/CT9KKE5RR) with a Partner engagement request, if possible with a link to the related account or opportunity. A member of the channel team will promptly reach out to learn more about the request, and connect you with a Partner that is pre-qualified to promptly and properly execute on the task at hand, and keep you updated along the way.
- AEs should lead planning and execution of the joint opportunity/customer pursuit with alignment and support of the partner and GitLab Channel Manager. The plan should be [tracked in SFDC with tasks and action items](/handbook/sales/channel/#partner-co-selling-best-practices-and-how-partners-can-help-with-r7-and-command-plans). Partners should always get an email confirmation of any tasks assigned to them (via AE or Channel Mgr).
- Channel Managers will engage with AE's in the following ways:
  - When a new deal registration arrives in the AE's pipeline
  - To review 2-3 Partners for the AE to work with for AE-selected joint customer success motions:
    - The Channel Manager will bring the possibilities forward during this call
    - 2 examples of working with Partners are featured in **[this LevelUp](https://www.youtube.com/watch?v=ndrNX8fIIqs&list=PL05JrBw4t0KrirMKe3CyWl4ZBCKna5rJX&index=2)**
    - AEs should share their thoughts about prioritizing which Partner activities would be best for which of their customers
- In the case of Open partners via distributions, when the opportunity is ready, AE's email `partnersupport@gitlab.com` with the link to the opportunity requesting quote-to-order support (chatter alias coming soon)

#### Resources to learn more about teaming with Channel Partners?

- If this is a first time for an AE, we recommend watching the available training delivered. This Levelup video starts with a basic understanding of the [Channel Partner landscape](https://youtu.be/OeykHQetd7U).
- LevelUp video on [Maximizing Value of Partners in a Deal](https://www.youtube.com/watch?v=ndrNX8fIIqs&list=PL05JrBw4t0KrirMKe3CyWl4ZBCKna5rJX&index=2) specifically for AE's to learn more about co-selling success.
- [Learn more about Partner co-selling best practices, how Partners can help build out key elements of an AE's R7 & Command Plans](/handbook/sales/channel/#partner-co-selling-best-practices-and-how-partners-can-help-with-r7-and-command-plans) and much more in the [Channel Sales Handbook](/handbook/sales/channel/).
- Slack [#channel-sales](https://gitlab.slack.com/archives/CT9KKE5RR) or reach out to your Channel Account Manager with any questions or requests for assistance. The channel is closely monitored by several members of the channel team who are here to help AE's succeed in co-selling in any way we can.
- List of [GitLab-trained OPEN and SELECT channel partners](https://help.salesforce.com/s/articleView?language=en_US&id=reports_schedule.htm&type=5)
- Channel Partner Finder **[Here](https://partners.gitlab.com/English/directory/)

#### Mid-Market First Order Account Handoff and Named/Territory Collaboration Process

After the first transaction is closed by the MMKAFO team, the First Order AEs are responsible to kickstart the handover process. Below are the responsibilities of the Mid-Market Key Account First Order team and the Mid-Market Key Account Named team.

**When to Pass an Account to Named / Territory**
Mid-Market First Order AEs will own an account until the customer has a working license. Once this happens, the handover process will commence.

### Handover Process

**First Order AE Responsibilities**

1. Ensure the opportunity is marked as 'Closed-Won'.
1. Ensure the customer has a working license.
1. Log an activity (naming convention: [FO AE NAME] FO Account Summary for Handoff)  on the account level detailing the following:
    - Why the account chose GitLab (use case)
    - The expected NetARR to be sold in the next 12 months
    - Estimated timeframe of the next purchase
    - Why you believe b and c to be the case
1. Work with the Named or Territory AE, the CSM (if known), and the customer to set up a handoff call
    - First Order AE should take the lead on scheduling this call
        - **Note** : Should the FO Rep and Named or Territory AE agree ahead of time that an email introduction will suffice, then the team can bypass the handoff call.
1. If the initial amount AND the potential of the next opportunity are less than a combined NetARR of $10,000, or the inheriting AE agrees,a handoff email can be used.
1. Ensure all material like custom decks are editable by everyone.
1. For Web Directs without prior engagement :There will be no handover as the FO AE has not had any engagement.

**Named/Territory AE Responsibilities**

1. Work with the First Order AE, CSM, and customer to schedule a handoff call (or email).
    - The goal should be to have two-way communication with the customer within one week of the initial close.
    - If an email is used, the Named or Territory AE should respond at their earliest convenience to introduce themselves as the new primary point of contact
1. Look at the account activities for the activity logged by the FO AE.
1. Based on the above notes, open a growth opportunity if scheduled before the first renewal date
1. Read through all notes tagged (ii), the custom pitch deck, and the command plan to gain an understanding of the account and its potential.
1. Engage the CSM on strategic accounts and get them engaged asap
1. For Web Directs: It is the responsibility of the Named/Territory AE to reach out to the new customer.

### Process to Move Accounts From First Order to Named/Territory

1. Once the "First Order Available" box has been unchecked because a first order has taken place, the account will be batched to transfer to the appropriate Named or Territory AE with the nightly SalesForce update. This process should happen automatically.
    - Europe Employee Threshold
        - All accounts between 101-500 employees will be assigned to Territory AEs
        - All accounts between 501-2000 employees will be assigned to Named AEs
    - AMER Employee Threshold
        - All accounts between 101-300 employees will be assigned to Territory AEs
        - All accounts between 301-2000 employees will be assigned to Named AEs

### When to Consider Involving a Named or Territory AE Before the Initial Deal is Done

1. There may be situations where it is beneficial to either GitLab, the Prospect, or both to introduce the Named or Territory AE before the initial deal closes. These situations include, but are not limited to:
    - Extra support is needed for a strategic account.
    - A CSM may need to be engaged before the initial contract is signed.
    - An onsite meeting may need to happen and the Named/Territory AE is in a better geographical location to handle it.
    - The customer has asked to be introduced to who will handle their account after the initial contract is signed.

## General Guidelines to Follow When Making this Consideration

1. It is always the decision of the First Order AE to determine if an introduction should be made pre-contract signature, but there are some general best practices to follow if an introduction is to be made.
    - Ideally, pre-contract introductions would be limited to higher LAM accounts, so this does not become a scale issue.
        - >99 LAMDev for Key Accounts
        ->49 LAMDev for Territory Accounts
    - In an effort to not waste Named/Territory AEs time, an introduction should not be made unless there is a very high close percentage. Therefore, an introduction is best if made when the opportunity is in *stage 5 or 6*.
1. Named/Territory AEs and First Order AEs should meet often (every other week on average) to identify accounts where a pre-contract introduction would make sense.

## Commercial Leadership Development Pilot Program

This pilot program is for Commercial team members interested in learning more about Sales management and building foundational leadership skills.

This program is designed to give team members:

1. Exposure to leadership topics and development of foundational leadership skills
1. Leadership frameworks that they can modify and apply to their teams
1. Experience with the expectations of a sales leader and how that differs from an individual contributor role
1. Opportunity to network with peers and other cross functional stakeholders

The program will run for a total of **8** weeks;  each week focusing on a new topic. See the proposed topics by week for the pilot program:

| Week | Topic | Description |
| ---------- | ----- | --------|
| 1 | Leading People | Primary differences between being an individual contributor and a leader, establishing a V2MOM for your newly created team, building an inclusive culture, situational leadership, coaching model, establishing expectations for success and the cadence of events to drive consistent results on a daily, weekly, monthly, quarterly and annual basis |
| 2 | Running Effective 1 on 1s | Core components for every meeting, how to capture and provide feedback from activities during the week, building consistency in performance through consistent accountability in one on one. |
| 3 | A Leaders Responsibility on Sales Calls| Structure of an effective pre-call meeting, what roles a leader should focus on during the sales call, expected follow up for coaching and delivering results |
| 4 | Running Effective Team Meetings | Key components to a great team meeting - recognition, training, results, pipeline creation and current events. How to structure a meeting to bring energy and ensure AEs leave with clear expectations for the week ahead |
| 5 | Coaching and Providing Feedback | Utilizing different coaching frameworks based on situational need - GROW, SBI, Skill/Will Coaching Model. An HR partner's perspective on key professional items that may arise and how to handle them |
| 6 | Forecasting & Managing Metrics |Understanding what leading and lagging indicators to measure. Implementing programs based on the trends identified in metrics to ensure consistent, positive results. Learning how to forecast effectively and the role Red/Green plays in being a great coach and manager |
| 7 | Recruiting and Interviewing | How Diversity, Inclusion and Belonging is essential to building a world class team. A recruiter's point of view on how to attract top talent. Review and discuss our Commercial interview methodology. Discuss what questions and activities ensure our interview process is inclusive and legal |
| 8 |Components of an Effective Pipe Generation Campaign| Review the primary reasons consistent pipe gen campaigns are needed for sustainable growth. Key components of an effective pipeline campaign. How to launch, reinforce, measure and recognize for effective results. |

### Expectations of Participants

- Time Committment: A total of ~40 hours of dedicated time during the quarter between synchronous meetings and asynchronous work.

The GitLab Commercial department expects all Team members to uphold the highest standards of moral and ethical behavior in harmony with GitLab's CREDIT values. Engaging or promoting activities that are inconsistent with GitLab's values is not acceptable. It is expected that Team members who are enrolled will uphold both stated and inferred values of working at GitLab. Items include but are not limited to:

- Good collaboration with other team members
- Assuming positive intent
- Continuing to deliver results in the team member's current position
- Being inclusive during class discussions, accepting alternate views as alternate, not right or wrong, to foster belonging for other team members

Additionally, it is our expectation that if participating in the program, team members will make their best effort to attend meetings and learning activities. If they are unable to attend, participants should give the facilitator as much advance notice as possible. If participants are not present in the course, they will be removed from the program.

**Who is eligible to participate?**
Any Commercial team member that is in good performance standing (not currently on a performance or behavioral warning) and has been in their current role for over 3 months.  We will be selecting 12 participants for this first cohort. It is our itention that this program continue after the first pilot program to continue to give Commercial team members a chance to grow their skills.

## Other Related Pages

- [Commercial Sales - Customer Success](/handbook/customer-success/comm-sales/)
- [Territories](/handbook/sales/territories/)
