---
title: Commercial Sales Enablement
description: Welcome to the Commercial Sales Enablement Handbook Page
---

## Welcome to the Commercial Sales Enablement Handbook Page

### Commercial Field Certification - Required 7

To improve sales efficiency & predictability as well as excellence in role, the Field Enablement Team has developed a Field Certification program. The focus of this certification path for Commercial AEs is specific to the [Required 7](/handbook/sales/commercial/#required-7).  All AE's are expected to complete this certification path after completing [Sales and Customer Success Onboarding.](/handbook/sales/onboarding/) All courses and learner assets are listed below:

| Title | Learning Objective | Duration |
| ----- | ------------------ | -------- |
| R7 Certification, Course 1: [Effective Meeting Hosting](https://classroom.google.com/c/MTI5NDQzODc5OTgx?cjc=a4rh2jz) | Ensure each AE/ASM can apply remote selling best practices to host a professional virtual meeting | 20 min |
| R7 Reinforcement Module: [Meeting Roles](https://classroom.google.com/c/MTgxMzg1MjQ2NzY2?cjc=7veu3wf) | Ensure each AE/ASM can identify the correct co-selling role and apply in a given sales scenario | 10 min |
| R7 Certification, Course 2: [Account Ranking](https://classroom.google.com/c/MTY4NzQyNjA0OTIx?cjc=s3kk7jx) | Ensure each AE/ASM can apply the Account Ranking criteria to build pipeline | 20-25 min |
| R7 Certification, Course 3: [Capturing Key Information](https://classroom.google.com/c/MTgxMzg1MjQ2NzIy?cjc=3fnor2r) and [Logging Call Notes & Updating Next Steps](https://classroom.google.com/c/MTgxMzg1MjQ2NzIy?cjc=3fnor2r) | Ensure each AE/ASM can translate the customers "question behind the question" to capture key information; recall where and how to log call notes; and create actionable next steps | 25 min |
| R7 Certification, Course 4: [Command Plan](https://gitlab.edcast.com/pathways/r-course-command-plan) | Ensure each AE/ASM understand the CP architecture and can leverage informed curiosity to create a compelling "why now" and align value drivers with metrics to drive a sale to close | 30 min |
| R7 Certification, Course 5: [Selling With The Custom Deck](https://gitlab.edcast.com/pathways/r-course-selling-with-the-custom-deck-welcome) | Ensure each AE/ASM can apply the Custom Deck requirements to position GitLab as a differentiated solution | 30 min |
|  |  |  |

### Additional Commercial Courses

| Title | Learning Objective | Duration |
| ----- | ------------------ | -------- |
| [Selling Services Workshop](https://classroom.google.com/c/MTgxMzg1MjQ2NzM3?cjc=i6kyzzp) | Ensure each AE/ASM can identify and position Professional Service offerings and value | 90 min |
| AE Choice- [The Journey to Ultimate](https://www.youtube.com/watch?v=d3tkGHBFaRM&list=PL05JrBw4t0KptP3PU_ltZk-_jY2P3T1gb&index=1) <br>with James Heimbuck | Learn how to build a roadmap for customers to get to Ultimate; understand how specific <br>features in Ultimate help customers innovate as they scale; overcome objections by <br>understanding how uptier features solve business problems | 60 min |

### Course Assets

| Course Title | Associated Course Asset |
| ------------ | ----------------------- |
| R7 Certification, [Course 1: Effective Meeting Hosting](https://classroom.google.com/c/MTI5NDQzODc5OTgx?cjc=a4rh2jz) | - [Team Asset Folder](https://drive.google.com/drive/folders/1dA72mgExeZ2sFGtbMtN1WbvV51gr374E?usp=sharing) <br>- [Commercial Customer Deck Template](https://docs.google.com/presentation/d/1zUD9Os5ZJbfUykEJoRW2NuegUqU5uRsfcxoX4itwlp8/edit#slide=id.g889353d428_0_0) <br>- [How to custom brand the Commercial Sales Deck](https://docs.google.com/document/d/1ewjz6YshbBS99aI7EYPi3LGZ2MOtS_vS4XcfSFIbD40/edit) <br>- [Video Tutorial: How to custom brand the Commercial Sales Deck](https://drive.google.com/drive/folders/1dA72mgExeZ2sFGtbMtN1WbvV51gr374E) <br>- [Zoom Meeting Checklist](https://docs.google.com/document/d/1gmnYYFfXxMdtLnoEcFJwVffg76SC8FRF9EgTrGSXZuk/edit) <br>- ASMs: [Chorus Feedback Resources](https://drive.google.com/drive/folders/1JYiSFQ9tQ3FFIw7k9-Wjvy_pd2HjkCS3) |
| R7 Reinforcement Module: [Meeting Roles](https://classroom.google.com/c/MTgxMzg1MjQ2NzY2?cjc=7veu3wf) | - [Meeting Roles Infographic](https://docs.google.com/document/d/1CoH122bG8EQQlhFMOtFvMkTDrFFYGf6scgPP1eBTCp0/edit) |
| R7 Certification, Course 2: [Account Ranking](https://classroom.google.com/c/MTY4NzQyNjA0OTIx?cjc=s3kk7jx) | - [Account Ranking Infographic](https://drive.google.com/drive/folders/1e6eU9R2sITDoRGg2zrUh8rGJ7EDk2Exz) |
| [Selling Services Workshop](https://classroom.google.com/c/MTgxMzg1MjQ2NzM3?cjc=i6kyzzp) | - [Team Asset Folder](https://drive.google.com/drive/folders/1MMqV7KL2tkNTOzfVp2wZIPyzXEPJ8kZe) <br>- [Enablement for CS to Position Professional Services](https://docs.google.com/presentation/d/1NtURhF4TH3mYqhjaDiwDbhq5m5y2GMfOv8BtxOtp2w0/edit#slide=id.g8920d2a269_0_609) <br>- [Professional Services Sales Enablement - Q3FY21](https://docs.google.com/presentation/d/1VGfUC85NO74S5qaaNZ1yQydhZL3Be4ofBTG52xr_LEA/edit#slide=id.g75e3e400c6_6_123)<br>[Internal Positioning Collateral for PS](https://docs.google.com/document/d/1TMZe6yNbvdz9Sfq4pz-i0DHMLnai2Kjqw7HKkqzwpSo/edit#heading=h.jui4rrvyjeoz) <br>- [Nanotronics Deal Spotlight](https://drive.google.com/drive/folders/1MMqV7KL2tkNTOzfVp2wZIPyzXEPJ8kZe) <br>- [EWS Deal Spotlight](https://drive.google.com/drive/folders/1MMqV7KL2tkNTOzfVp2wZIPyzXEPJ8kZe) |

### Process for Capturing Customer Requests You've Never Heard Before

With all the uncertainty around Covid-19, we have developed a process to capture never-before-heard customer requests. Please use this [document](https://docs.google.com/document/d/1pWNKq-cyH5uUIGvueyAQea-n4zk6A21ghoAJvOV5uZQ/edit?usp=sharing) to help you understand the process.

### Opp Management - Managers check this

**Fields that need to be updated at all times**

1. Close date
1. $ value (by a t-shirt size). "T-shirt sizing" an opportunity is a way of estimating how much a prospect should be able to spend on GitLab for that transaction (new, add-on, or renewal). It's a way of shorthanding the size or complexity of the opportunity and is meant as a gut-check based on both data and your experience working with similar opportunities.
    - Each opportunity created should have a dollar amount in the Incremental ACV field greater than $0 to ensure visibility into pipeline and for forecasting purposes.
    - Similar to account ranking, the advantage of sizing each opportunity is that it helps you prioritize and allocate the right resources to optimize your iACV/hour. For example, if an opportunity is t-shirt sized larger, you might reach out on a daily basis to schedule the first meeting whereas your communication cadence might be every other day for a smaller sized opportunity. T-shirt sizing also gives you a sense of what resources (technical, leadership, etc.) might be needed to move the opportunity through the pipeline and increase your win rates.
    - After reading SDR notes, the two key places to look at firmographic information are LinkedIn and Crunchbase. Data points to consider include where the company is located, employee size, as well who the contact is and at what level of the org they live. As an example, you may asses an opportunity in which there are more employees as a larger t shirt size. Remember, this is only an estimate - opportunity amounts can be refined after deeper discovery.
1. Opportunity name (needs to have tier and user count)
1. Account tier and tier notes
1. Primary contact
1. Next steps
1. Next Steps Date
1. Stage
1. Any activity that's logged while working the opportunity needs to be attached to the **contact** and the **opportunity**
    - Best Practice is to log an activity in 'activity history'
    - For Call activity types, associate the record with the correct contact(s) list and as needed, include **(ii)** in the record subject to call attention to information inside
1. Command Plan

**How to get each of those required fields**

1. Research online
1. Write the discussion questions you're going to ask to obtain the info
1. Qualification Indicators (101)
    - How to get these - Qual 201
1. Other SFDC field requirements
1. Recap on the objections
    - Review the list and reiterate that they're not acceptable reasons to not fill out those fields

### Tiering Accounts

- [Commercial Sales: Tiering Accounts Training Clippet](https://youtu.be/M-5OhlYxmFI)

For more details visit the [Account Ranking](/handbook/sales/commercial/#account-ranking) section on the Commercial Sales Handbook page.

### Getting into Accounts That Say They Don't Have a Problem

**In Concept**

1. Each of us sales professionals makes a regular decision: where we apply our time. We are trying to optimize the ratio of output to time. Everything we do or work on should be judged by this ratio.
1. Each of us has a market to go after: note that most of our volumes of contacts to connect with is roughly similar - you either have:
    - Lots of accounts with less contacts
    - Or few accounts with many, many more contacts
1. We in MM and SMB use the Account Tiering fields to effectively show ourselves where we think there is a higher or lower level of this ratio.

**Each person writes out a process:**

1. First: come up with a t-shirt size for each account overall, and how far on the journey they are
1. Find all easily attainable contacts and put in SFDC
1. Prioritize in order of most likely to speak/reply
    - Bucket into 3 groups: know nothing, know good info, and not sure value of what i know
1. Plan the method and type of content for reach out for each group/bucket
1. ID your ideal client: personally I want some form of intro…
    - A slow valuable intro is better than most fast, cold connects
1. Get a 10-15 min connect in whatever way they prefer:
    - Nice to meet you - how's it going?
    - Give your credibility statement.
    - Ask them if they think there is anyway that GitLab could help.
    - When they say no, be sad. Then ask what challenges their team or they have.
    - When they say yes, listen up and begin discovery, then bounce back to qualification to understand if its worth it for them to work on it.
1. Document all notes and immediately build the most compelling customized deck on why they should try GitLab
    - See where the biggest gaps are in the deck, and if you aren't sure, role play with a colleague on it to see what is missing
1. ID EXACTLY the info missing to make it somewhat compelling
1. Go back to your list of contacts and find out who could best get you this info

**The tougher, non-intro'd scenario:**

1. Dig in on the persona of the contact info you have so you can reach out in a way that you have 100% confidence that this connect will result in 2-way communication
    - This can be showing up at an event
    - It can be somewhat person based
    - It should never be creepy
    - Think about how to give first
1. When coming up with a strategy, think about the specific reason that a person inside that company has NOT offered their contact into to GitLab, and figure out how to get over that single hump

**Make sure that you document all:**

1. Notes
1. Ideas
1. Internal strategy

Be sure to put in the status of this account in Account Tiering and Tiering Notes so that you can be efficient every time you or another person works on it

**When is it Game Over?**

1. It is game over when working on an account reveals information that moves it below another account you are working that surpasses it in terms of value.
1. Value = Worth (what you will get)/Cost (what you need to put in) x Risk (the chances you predict that your understanding of value and worth are accurate.
1. Value (in this specific effort) = how much the account is worth this FY/the time you need to get them to spend that amount

### Sales Note Taking

GitLab is an organization that is built on contribution and collaboration. These values are not only critical for building a great product, they are critical for building a world class sales team. Each member of the Commercial team is expected to create insider notes in SFDC on accounts and conversations they participate in or currently own. With GitLab being a remote company, it is even more important to create and maintain a culture of great note taking.

#### Why Do We Take Notes on Accounts?

1. Capture insight and learning
    - Notes draw out key insights that help you better understand GitLab's potential and existing customers. As you plan, organize and grow your territory, the discipline of note taking empowers you to scale your efforts, clarify needs, next steps and signals in ways your memory cannot.
    - Note taking shares knowledge and guidance that the whole sales organization (from sales reps to leadership) can benefit from. Why are customers buying GitLab? What are their common challenges? Are we seeing interest from new groups of buyers? Notes on Salesforce are the corporate memory of the commercial team, if there are no notes, it increases the probability of wasted meetings.
1. Become better sales leaders
    - Through note taking you position yourself to be great at your job, which is great for our potential and existing customers. Notes create a framework for how you can best help your customer. What is your next step following your call? What did the customer really want from GitLab Premium? Just check your notes.
1. Capture A Story
    - Every conversation, opportunity or interaction with a potential or existing customer forms part of a story. Stories have chapters, a beginning, a middle and an end. Within the commercial team, stories provide resources and context for training and iteration, a key component on our journey to world class achievement.

#### Different Sections of Notes to Include

**Raw Notes Section**

- Sales call notes could be word-for-word transcripts or much less structured. They must include customer specific language and should always detail technologies and challenges in the customer's exact words (in the case of Kubernetes, spelling matters for future search). This portion is called raw notes. For example, who did you perceive to be the decision makers (DM's) and influencers (INF) in the meeting and why? What were the key points raised or asked? How did they feel? Were you unclear on certain things? What questions did you not know to ask at the time and what would you ask if you could do it again? These type of notes are primarily for you to recall noteworthy moments from the meeting that you can build upon.

**Questions Section**

- This section of notes reflects questions you have following your meeting. Do you need to find more decision makers? Need to think of a plan to win the renewal or new business? Jot down a few questions - that should be sufficient. Questions play the role of helping you recall the gaps you find from the meeting.

**Summary Section**

- These type of notes are not just for you. Rather, they benefit the entire sales team. Summaries focus on important, actionable and insightful points - things that will help you in you in your next meeting. Try and convey timelines where relevant, include dates, times of day, etc. Did you say you would follow up in the morning with a response before sending a quote? That's a great note to include. Lastly, when it comes to summaries, bullet points are our friends.

**Next Steps Section**

- Just as it sounds, "Next Steps" outline strategic actionable items that need to be acted upon by yourself, someone else in the team or a customer. Where possible, tag internal colleagues on tasks that relate to them and follow up with customers via email on tasks that relate to them. Next steps are great for handovers and business continuity, remember the story you're compiling? think of next steps as bookmarks - people can pick up the story where you leave them.

#### Notes Subject Line

- YOUR NAME/YOUR MANAGER NAME Internal (ii) WHAT YOUR NOTES ARE FROM
- Anthony/Ryan internal (ii) listened to chorus call OR TITLE

#### Where to Make Notes

Login to [Salesforce](https://gitlab.my.salesforce.com/00T4M00002KWYXx?srPos=24&srKp=00T) to see where you should add notes. If no opportunity exists, create a note on the Contact level, if an Opportunity exists, create a note on the Opportunity level.

#### Characteristics of Next Steps

1. **A colleague with a similar skill set should be able to pick up your notes, get an understanding of what's happened and take action quickly (within 3-5 minutes).**
1. They should be compelling for the future version of you who will read them. If, when you read the next steps, you aren't motivated to take action at the exact time and day that you prescribe, you should iterate on them. Compelling next steps are specific, concise, actionable and efficient. Please think about our [values](/handbook/values/#hierarchy) of transparency, collaboration, efficiency and results.
1. Next Steps and actions, once completed, will add value to the customer's GitLab experience and journey. They are impactful.

**Example:** Vanilla Notes vs Great Notes

- A Vanilla Note: "Follow up with Anthony next week."
- Great Note: "Send an email to Anthony (our #1 champion at XYZ Corp) next Tuesday morning at 10 his time to confirm he got sign off from Ryan on Premium: 'Anthony, did you have a chance to present the ROI slide we created? I'd love to hear feedback on those numbers…'" [RO note: the statement in single quotes should actually be written in your next steps so that you could cut and paste it into and email verbatim.]

**This Sales Team takes great notes!**

## Commercial sales account health check process

## Objective

To build and maintain positive relationships with customers at every stage of their GitLab journey.  Positive customer relations help you connect with your customers on a much more personal level. When you connect with the target audience, you are much more likely to understand their requirements, resolve their problems, and create a sense of mutual understanding.

## Goal

Understand the importance of customer health checks to create lasting relationships with GitLab customers.  This reduces churn and increases expanded opportunities.

## Lifecycle stages & engagement

**First order (Pre-Sale-Day 1)**: The objective is to prepare the customer for a successful customer journey with GitLab, meaning they can achieve their business outcomes with a great experience. This includes evaluating our products for their needs, clearly defining their buying process and determining the timeline of key milestones to ensure a seamless handoff.

**Implementation (Day 1-Day 90)**: This is a very important step in the customer lifecycle.  During the implementation stage the customer is evaluating their needs and how GitLab is going to ensure they meet those needs.  There may be learning opportunities that present themselves, so multiple touches will take place to ensure we provide support to move them into the adoption stage.

- Schedule first meeting w/customer within 7 days of first order. Invite appropriate CS/CSM partners based on scope.
- On first call review notes from FO process on what they want to accomplish w/GL over the subscription period and in what order
- Define goals for first 30 days of license (get users added, first project setup, migrate repos, etc)
- Schedule appropriate follow up calls for technical teams based on requirements
- Schedule & Complete 30 day check-in to ensure customer is on track to first value/first adoption
- Assess customer needs based on 30 day check in and schedule appropriate follow up calls w/internal/partner resources to ensure full adoption/value by 90th day based on customers initial use case

**Adoption (Day 90-270)**: The objective is to support our customer's utilization of the GitLab solution to address the customer's original purchase intent (i.e., use case(s) and capabilities, licenses).

- Day 90 Call - review implementation phase and confirm adoption was successful, schedule appropriate follow ups as necessary. Review key milestones from initial purchase and assess if on track based on business progress or if anything has changed. Schedule appropriate follow up calls to position additional GitLab features/services based on milestones
- Milestone calls to review achievements and present additional GitLab features ideally 90 days before needed to give customers enough time to eval, trial and decide.  Ensure that all email/phone communications are supported by marketing insights or customer content housed in [Highspot](https://gitlab--highspot.na208.visual.force.com/apex/HighspotPage?sfdc.tabName=01r4M00000113UQ)
- Schedule first renewal meeting for renewal phase

**Renewal (Day 270-365)**:  At this stage in the customer journey, there is full application of GitLab products and development is underway.  The objective in this stage is to enable the customer to get additional value from the platform and stay current on project timelines.

- Day 270 call - conduct initial renewal meeting. Review key stats - GL license utilization, company sentiment, product utilization, additional areas would like to evaluate (ultimate or services) and proposed user count/tier for upcoming renewal
  - Use the renewal call checklist/deck provided to conduct initial renewal call: [EBR Template](/handbook/customer-success/csm/ebr/#impact-questions)
- Schedule follow up calls accordingly based on initial renewal call to allow customer time to eval additional features, get user count, procurement or legal processes worked out
- Day 365 successful renewal

<em>SFDC Reports to assist: [Customer Health Check Dashboard](https://gitlab.my.salesforce.com/01Z4M000000soRR)

For more specific step by step processes, see below for links to individual roles and responsibilities.
[SMB First Order ]
[SMB Pooled]
[SMB First Year Expand]
[SMB Named]
[MM Territory](/handbook/sales/commercial/#customer-journey-1)
[MM Named](/handbook/sales/commercial/#customer-journey-1)
