---
title: Guide to the Required 7
description: >-
  The Required 7 are the 7 tactical skills required to be an excellent
  Commercial Sales Account Executive at GitLab
---

## Guide to the Required 7

### Why do we need the Required 7?

It's Monday morning. You have just opened up your laptop. You've got 4 customer calls for Ultimate upgrades, 1 IQM to prepare for and 2 quotes to do. You know this because your next steps are clear and up to date.

Your first call is for an Ultimate upgrade. You have already put a deck together, and you double check your call notes to make sure you haven't missed anything. Turns out they mentioned that they needed disaster recovery when you spoke to them a couple of weeks ago and you were reminded of this because it was in your call notes. You add a slide or two to cover DR.

You get on the call. The customer is still impressed that your deck is in their colors. You recap the last conversation and take the customer through the reasons why Ultimate is ideal for them. You know security is important because they've mentioned it to you a few times on calls now as per your call notes. They like what they see, but the price seems a bit high. But you've already thought about that and go through the ROI of using Ultimate. You end the call agreeing to send over a quote and confirm that you will have a check-in in a week's time. You update your next steps in line with the check-in call date, change the opp stage, update the close dates and paste your raw notes from the deck into a call log.

Next up, you need to send out those two quotes. You create the quotes, send them via Sertifi and update your next steps to remind you to follow-up with the customer in 2 days' time.

You get an alert - a Zendesk ticket has been created. It's a tier 2 customer, so you have a quick look and see the customer's got a problem with their pipelines. You know Support is on it, so you leave it and set a next step to check if they're happy with the resolution in a couple of days.

You have an IQM tomorrow morning, so you spend 15 minutes preparing. You create the deck in the customer's branding. You add in info from the SDR's notes and add the link to the deck in the opp. It's 25 Premium, so you add in the questions you'll ask in your command plan. You update the next step to remind yourself to update the opp once the IQM has finished.

It's time to update your forecast. It takes 10 minutes in Clari because most of the information is already there, as your opportunities in Salesforce are all up to date.

You've now got some time to do some investigation on some of your accounts. You go through your tier 2s and find some that you haven't spoken to in a couple of months. You email them asking if they are available for a call next week - you'd love to get them a 2 week trial of Premium. Finally, you have some time to clear your inbox and catch up on Slack messages…!

### What are the Required 7?

<table>
  <tr>
   <td><strong>Required component</strong></td>
   <td><strong>Detail</strong></td>
   <td><strong>Why?</strong></td>
  </tr>
  <tr>
   <td><strong>Logging call notes with (ii) in the title</strong></td>
   <td>Every verbal interaction with an account is logged.</td>
   <td>It is important to have a log of what was discussed previously, as no one has a memory that good. It also enables your buddy or manager to take over. In addition, the Customer Success Managers, Solutions Architects and Product teams review call notes for their own jobs.</td>
  </tr>
  <tr>
   <td><strong>Rank/tier all of your accounts </strong></td>
   <td>Any customer with CARR higher than 0 or any prospect with an open opportunity needs to be ranked.</td>
   <td>We have to portion out our time relative to the potential of the account. It is also used for sales campaigns to focus on the customers where we will get the best return on our efforts.</td>
  </tr>
  <tr>
   <td><strong>Keep your next steps up to date</strong></td>
   <td>Next steps must be up to date <span style="text-decoration:underline;">every day</span></td>
   <td>Time kills deals and we have a lot of opps - next steps are the way to keep on top of opps, resulting in more deals closed and a better customer experience.</td>
  </tr>
  <tr>
   <td><strong>Your opportunities have to be up to date</strong></td>
   <td>$ amount, opp name, type, stage & close dates must be accurate at all times</td>
   <td>Enables you to forecast with precision.</td>
  </tr>
  <tr>
   <td><strong>Command plans for all deals over $5k amount or $10k ARR (SMB) or $10k amount or $20k ARR (Mid-Market)</strong></td>
   <td>Overview section must be completed for deals over $5k in SMB (Total Contract Value, not ARR) or $10k in Mid-Market. Full for deals over $10k ARR in SMB or $20k in Mid-Market</td>
   <td>The command plan is a guide of how well qualified your opportunity is and signposts what needs to happen next. If you have not spoken to the customer yet, then add in questions you will ask in the Command Plan fields. If the deal is going through a partner then work with the partner and the Channel Account Manager (CAM) to get the answers required.</td>
  </tr>
  <tr>
   <td><strong>Custom pitch deck built for all opps over $5k amount (SMB) or $10k amount (Mid-Market)</strong></td>
   <td><a href="https://handbook.gitlab.com/handbook/sales/commercial/#custom-deck-requirements">Requirements</a></td>
   <td>It helps you sell on value rather than just features and it arms your champion with the info they need to get sign-off internally to buy GitLab. Lastly, it makes you stand out as a sales rep.</td>
  </tr>
  <tr>
   <td><strong>Capture key information</strong></td>
   <td>What is the customer's understanding of what GitLab does should be captured in call notes. We also record why we won / lost a deal</td>
   <td>It helps us develop our market. Recording win and loss reasons means we can accelerate what is helping us win deals and fix what is making us lose deals.</td>
  </tr>
</table>

**The required 7 are not optional. They must be up to date by 5pm in your timezone every day. If you are on PTO or otherwise out, your back-up is required to help. AEs are expected to cover as much as they possibly can before taking time off, so as not to leave the backup with a huge workload.**

## The 7 in detail

## 1/ Call notes

### When to do it

You should log your call notes immediately after the call. Even better: during the call. It is required that all verbal interactions with customers are logged as call notes, this includes if you are shadowing the call or doing a prep call.

### How to do it

Good call notes include:

- Raw notes (the notes as you wrote them during the meeting)
- Questions you didn't ask - for example, what did you need to find out that you weren't able to get on the call?
- A summary, a few bullet points on the key things mentioned in the meeting
- Next steps, a summary of what needs to happen next that YOU will action and these should be pasted into your next steps on the opportunity too

Call notes must be logged against the opportunity record, *NOT* the account. This means others can find them a lot easier and makes reporting more accurate, enabling us to tune our sales processes for better results. **It is the AE's responsibility to ensure that call notes are logged against the opportunity.**

### Examples & further resources

- Good call notes overall: [https://gitlab.my.salesforce.com/00T4M00002bJ1e5](https://gitlab.my.salesforce.com/00T4M00002bJ1e5)
- Bad call notes: [https://gitlab.my.salesforce.com/0064M00000VMA7C](https://gitlab.my.salesforce.com/0064M00000VMA7C)
- Video: [how to take notes during a meeting](https://youtu.be/CMMQ5R0pq8I)
- Video: [Lisa van de Kooij's tips on taking good notes](https://youtu.be/CKRvxM2F5zc)

### Pro tips

- If the deal is low value, the call notes do not have to be perfect, detailed essays. A paragraph summary is fine.
- You can copy and paste your notes from your custom deck and this is encouraged for [effiency](/handbook/values/#efficiency).
- Using a template for notes is a way of completing notes quicker.
- Your notes should not take more than a couple of minutes to tidy up after a call if you take raw notes during the call.

## 2/ Ranking your accounts

The goal of ranking your accounts (customers AND prospects) is to enable you to prioritize your time and proactively work on the right customers with the right amount of effort. When your accounts are ranked effectively, you can work on a cadence that helps you grow ARR by spending the right amount of time depending on the potential and current value of the customer/prospect. It also gives you the opportunity to verify if the account is correctly aligned to you and, if not, take corrective action as per the [Rules of Engagement](/handbook/sales/field-operations/gtm-resources/rules-of-engagement/#account-ownership).

### When to do it

You should rank your accounts within 24 hours of getting them assigned to you. Accounts that require ranking will appear in your team's Required 7 dashboard.

*Important: you should also re-rank your accounts when you get new information on them.*

### How to do it

Do some brief research on the customer's employee count, LinkedIn Insights, latest news, current subscription (or license tier of interest if it's a prospect) and make a judgement on its potential. You must verify that the account is correctly aligned to you during this exercise and if it's incorrect,[request that it is moved](/handbook/sales/field-operations/gtm-resources/rules-of-engagement/#exception-process-to-request-account-ownership-change). Once you have decided which rank it should be in, mark the account as such in Salesforce and enter notes that outline why you chose that rank. You can also check out the [account ranking section on the handbook](/handbook/sales/commercial/#account-ranking) for more detailed information.

Here are some things to consider when ranking an account:

- Rank 1s and 1.5s are those accounts that you will pay most attention to - which ones are most worthy of the most time? Which customers and prospects will get you the most ARR this year?
- Rank 2s are generally your future growth accounts that you will work proactively
- Rank 3s will be mostly reactive and high-volume
- Consider both the potential growth in the customer/prospect and the impact if they churned

### Examples & further resources

Video: [Ryan O'Nell going through how to efficiently rank your accounts](https://youtu.be/M-5OhlYxmFI)

### Pro tips

- Get into the habit of double-checking an account's rank whenever you engage with it.
- Include your sources that you have checked, so you can check them again when you re-rank the account in the future.
- Re-rank the account when you get it. Your rank 3 may be the previous AE's rank 2.
- Use [inline editing](https://youtu.be/M-5OhlYxmFI) to quickly update multiple accounts at once.

## 3/ Keeping next steps up to date

Think of your next steps as your daily to-do list. They should be the priority for you to follow-up on every day, as they mean you keep your promises to your customers and close deals faster.

### When to do it

Immediately after the last action you took with the customer. Today's next steps should be the first thing you look at in the morning.

### How to do it

In the next steps field in an opportunity, put in the next actions **you** will take. It should be written in such a way that someone else would easily be able to pick it up if you were on PTO or otherwise unavailable. Please do not use it as a log of what you have already done (that should be in your call notes) and please avoid ambiguous steps such as "follow up" or "email".

### Pro tips

- Use an opportunity view in Salesforce to work through your next steps.
- Remember, you have to set next steps on *all* opportunities. Not doing so is essentially saying, "I'm not doing anything with this opportunity"
- If prospect or customer 'goes dark', next step should reflect what you would do IF they reply back. Then if the prospect reaches back out, reopen the opportunity.

## 4/ Keeping your opportunities up to date

You know how annoying it is having to switch between Salesforce and Clari when doing your forecast, because you need a reminder of where all your opps are? Equally, know how annoying it is when your ASM is constantly asking you for the status of a deal? This is how you avoid that. So you can forecast accurately, make sure your opportunities are up to date at all times.

### When to do it

Immediately after an interaction with the account and check through all your open opportunities every day before you log off for the day.

### How to do it

Make sure your opportunities have the following up to date at all times:

- No zero dollar values
- Opportunity name has the license tier and number of licenses
- Close dates follow [close date conventions](https://docs.google.com/document/d/1TK3X22rBPIOwR9PkopK4snmVVkyCyvdTwKJ_eszH48I/edit)
- Close dates are not in the past
- Next steps are up to date
- Opportunity type should be accurate (new business, add-on, renewal)
- Sales stage must reflect the current status of the opportunity
- The opportunity should not be left open if it is clearly not going anywhere

### Examples & further resources

Video: [How to make sure opps are up to date](https://youtu.be/o5gm7_5321w)

## 5/ Creating Command Plans

Command Plans are your guide throughout your opportunities. They signpost where you should steer the conversation next. As a general rule of thumb, the more information you have, the better qualified your deal is and the more likely it is to come in.

### When to do it

They should be created as soon as you have spoken to the account. If you have not yet spoken to them, then the command plan must be filled in with the questions you will ask when you do speak to them. If the deal is going through a partner then work with the partner and the Channel Account Manager (CAM) to get the answers required.

*You need to continually update your Command Plan with every interaction with an account. A good Command Plan will get more content over time. Opportunities in stage 2 or above must have real information in the Command Plan, i.e. no template questions.*

### How to do it

Navigate to your opportunity and hit the Command Plan button. Enter in the information / questions in the fields.

**For deals over $5k AMOUNT but less than $10k ARR (SMB) or $10k AMOUNT but less than $20k AMOUNT (MM)**

- Opportunity Overview

**For deals over $10k ARR (SMB) or $20k (MM)**

All of the above and:

- MEDDPPICC
- Close Plan Details

### Examples & further resources

- [A good command plan](https://gitlab--c.na129.visual.force.com/apex/ForceManagement?id=0064M00000WtmyX)
- [A bad command plan](https://gitlab.my.salesforce.com/0064M00000VMA7C)
- [An example of a command plan filled in BEFORE speaking to a customer](https://gitlab--c.na129.visual.force.com/apex/ForceManagement?id=0064M00000VL0UO)

## 6/ Custom pitch decks

Pitch decks are the foundation of your relationship with the customer or prospect. They are the ongoing record of interaction and, when used properly, seed further opportunities within the account in the future.

### When to do it

Pitch decks should be created prior to any two-way conversation with an account with an opportunity (renewal or new/additional) amount over $5k (SMB) or $10k (MM). They must contain ALL the required elements (see 'How to do it' below) and MUST be sent to the customer after each Zoom call or face-to-face meeting.

*You need to continually update your pitch deck with every interaction with an account. They should be used in <u>every</u> two-way conversation.*

### How to do it

Please review the [how to update the commercial slide deck document](https://docs.google.com/document/d/1gsaLh1WqPOUXBligjECHuRLInzy7t9-TrtjmCOePhPY/edit?usp=sharing).

### Examples & further resources

- [A good pitch deck](https://docs.google.com/presentation/d/1poCSPEOBGb1w5yFZ0g730lIwmiX6nuTIaJvV4ZdzHd4/edit?usp=sharing)
- [Pitch deck requirements](/handbook/sales/commercial/#opportunity-specific-slide-deck)

### Pro tips

- If you are selling through the channel, create the pitch deck for the channel partner. This has the added benefit of being repeatable with any other deals through that partner - i.e. you only do it once.
- You can copy and paste your notes from the deck into your call notes to save a lot of time

## 7/ Recording key information

To ensure GitLab is pitched at the right level to the right customers, it's important that the company knows what the perception is of GitLab in the marketplace. As a direct sales team, we are best placed to get and record the information.

### When to do it

After your first interaction with an account. If you've already interacted with them before but not asked them, it should be done after your next interaction with them.

### How to do it

Add the information to your call notes.

### Examples & further resources

- There will be a field in Salesforce at some point, but for now, please continue to log the information in your call notes.
