---
title: "Global Digital SMB"
description: "Overview of the Global Digital SMB Sales Model"
---

## Global Digital SMB Sales Model

[FY25 Global Digital SMB Highspot Page](https://gitlab.highspot.com/items/65c2b953cdfb65754adda353?lfrm=shp.0)

[FY25 Global Digital SMB All-Hands Deck](https://docs.google.com/presentation/d/1NIznURPvchLXw22X7JMlaAhKcwoiMUCQhIG2TpTGFUw/edit#slide=id.g2b17593787a_0_275)

All members of the Sales, Support, Billing and Deal Desk teams should familiarize themselves with the Global Digital SMB Model.
The model leverages team-level account alignment so SMB customers have a team of SMB Advocates to assist them. Every SMB Advocate on the team is equipped to work with any SMB customer as the sales point of contact.
The threshold for Global Digital SMB Accounts is <$30k cARR, <101 employees, and excludes Japan.

## Account and Opportunity Ownership

Vision: SMB Accounts will not be owned individually, but by the entire team. This is meant to ensure that SMB customers are supported at the right time, in a scalable way. Each SMB Advocate will have a shared responsibility for collaborating in a customer-centric  manner to provide a best-in-class experience to each SMB customer.

### Accounts

- All AMER SMB Accounts are owned by the AMER SMB Sales User.
- All APAC SMB Accounts are owned by the APAC SMB Sales User.
- All EMEA SMB Accounts are owned by the EMEA SMB Sales User.
- Note that in SMB only, AMER & APAC are considered one territory.

### Opportunities

- All AMER SMB Opportunities are owned by the AMER SMB Sales User.
- All APAC SMB Opportunities are owned by the APAC SMB Sales User.
- All EMEA SMB Opportunities are owned by the EMEA SMB Sales User.

### High Value Accounts

Some Global Digital SMB Accounts are considered to be Tier 1 / High Value Accounts,  based on their cARR. These accounts, whilst owned by an SMB Sales User, will be managed in a 1:1 relationship between the SMB Advocate and the customer, via Cases.

The criteria that determines whether an SMB account is a Tier 1 account or not, can be found below.

- Tier 1: cARR >= $7,000
- Tier 2: cARR >= $3,000 OR LAM Dev Count >= 10
- Tier 3: cARR < $3,000 AND Lam Dev Count < 10

## Engaging with Global Digital SMB Accounts

Since all Global Digital & SMB Accounts are owned by generic SMB Sales Users, SMB Advocates will only engage with customers when specific customer events/ scenarios are triggered. Once one of these defined scenarios is triggered, a case will auto be created. An SMB Advocate will then pick up the case or be assigned to it, and work it through to completion.

### Why?

- Enables Advocates to focus on those SMB customers that require, or would benefit from, sales assistance.
- Removes low potential customers from view, since these customers will seldom trigger a case.

### How?

Cases are automatically created when;

- A customer requires sales assistance in order to transact.
- There is a high likelihood a customer will churn/ contract.
- There is a high likelihood that a customer is considering upgrading or adding additional products.
- If none of the above apply, and the customer is on auto renew, a case will NOT be created.

## Case Types

The cases that will be auto created, are split into 5 distinct categories;

Inbound Request - These occur when a customer hand raises, and requests assistance from GitLab.

Churn & Contraction Mitigation - These occur when the account in question has exhibited signs of low usage/ adoption, or payments failed.

Expansion Opportunities - These occur when the account in question has exhibited signs of growth, and that they are likely to expand.

Urgent Renewal & TRX Support - These are created when a situation exists that means the renewal must be processed by an Advocate.

High Value - These are only created for the highest spending accounts in the segment.

Instructions and resources for working each case type are found in the consolidated SMB Case Enablement Deck:

[FY25 SMB Advocate Case Instructions and Resources](https://docs.google.com/presentation/d/15oJJ4DnNTxADddY3G1pc6VimgbSAoBZLLGSWbglp8VY/edit#slide=id.g2f4db661fd3_0_1928)

[FY25 SMB Case Triggers](https://docs.google.com/spreadsheets/d/1ihpt5WDpoJmDWa5gA0eXvBJOgFOJgL1J_QxsBuDDowc/edit?gid=1223186811#gid=1223186811)

## Working with the Global Digital SMB Account Team

If a GitLab team member needs to loop in the Advocate team on a customer Account, they must create a case.  (Chatter messages sent to the AMER/ APAC/ EMEA Sales Users are not monitored).

[Case Creation How-to Video](https://drive.google.com/file/d/1cExv6WlzM4RBkOBDJlSWG56o5BsRGnns/view?usp=drive_link)

- Navigate to the end user *Account* in Salesforce.
- Hover over *Cases*, and select *New Case*.
- Select *SMB Sales Case*, from the Record Type dropdown.
- Add the *Contact*, to the Contact Name lookup field. (A Lead can also be added, instead of a Contact, however in this scenario, the Account the Lead is matched to must also be manually added to the case.  To find the matched account, view the *Traction Complete Leads: Account* field)
- Add the *Opportunity*, to the Opportunity lookup field (if relevant).
- Describe the ask of the AE in the case *Description* box. Include any relevant links or resources. (Once the case has been created, you can also upload files e.g. a PO, in the *Google Docs & Attachments* section at the bottom of the case record).
- Select a *Type* that most closely matches the origin of your request. (e.g if you are in Support, select *Inbound Request via Support*)
- Set the *Priority* to High.
- Complete the *Subject* field, using one of the below options;
  - *Support Ticket* (if you are an SE)
  - *Partner Opp* (if you reside in the Partner org)
  - *Referral* (if you are in Sales)
  - *FO Opp (Startup)* if you reside in the Community relation team, and a free customer is ready to transition to paid.
  - *AR Request* (if you are in AR/ Billing)
  - Note: if you are an SDR creating the case, the *Case Subject* must be either equal *FO Opp*, or *SDR Created* (See *Use Case Specifics* below)
- Select a *Case Reason* based on the customers needs.
- **Check the *Assign using active assignment rules* checkbox, and click *Save*.If this is not done, the case will not enter the SMB Team queue, and will not be actioned**
- This Case will now drop into the SMB Sales Queue, and will be actioned by a SMB Advocate.
- Note: if an open SMB Case already exists on the account, do not check the *Assign using active assignment rules* box.  Instead, once you have saved the case, change the *Case Owner* to whoever owns the current open case on the account, and send them a chatter message on the case.
- If a case has not been actioned as per the stated SLA, please chatter the regions [ASM](https://gitlab.my.salesforce.com/00OPL000000rpxF2AQ) on the case to escalate.

## Tracking Cases you have created

Once you have created a case, you easily view its progress, by using the report below as a template.

[FY25 - Cases created by Department X](https://gitlab.my.salesforce.com/00OPL000000toc5)

- Click *Customize* on the report.
- Click *Edit* next to the *Created* by filter.
- Enter in your name in the free test box. (You can also add the names of your colleagues who will also be creating cases.  The names must be comma separated).
- Click *OK*
- Click *Save As*
- Choose a relevant name for the report, and save it in your teams folder.

You can now return to this report at any time to check;

- Who the current case owner is.  If *SMB Sales Team*, the case has yet to be picked up. If a person, they can be chattered on the case should you have any questions.
- Case Status (This should be either *Open*, *In Progress*, or *Closed*)
- Next Steps (Useful if the case is still set to *In Progress*)

## SMB Advocate Playbook

### SMB Advocate Case Workflow

[FY25: SMB Advocate Enablement](https://docs.google.com/presentation/d/1IWgcHXbFN5UVNHCWXtF1fKj_9k5h5KlQGClY-2RbqUE/edit#slide=id.g12b319f6181_0_5)

[FY25: SMB Advocate Enablement (H2 Update)](https://docs.google.com/presentation/d/1r3vvFUXvkfXFPYgjTlhCFw4heggj225PrJ7mLMU0lcY/edit#slide=id.g12b319f6181_0_5)

- If a SMB Advocate has capacity, they will click on an open case in the AMER or EMEA SMB Sales Team Queue and assign it to themselves, by changing the Case Owner.
- As of 08/23/2024, some cases will be auto-assigned to Advocates using round-robin functionality.
- High Priority cases should always be picked up first.
- Information pertaining to the case will be displayed in the Case Reason, Context, CTA & Description box.
- An Advocate must then update the Status to In Progress.(This shows the case is being worked, and takes it out of the queue).
- To work the case, the SMB Advocate should contact the customer, with all activities logged on the contact/ account, via Outreach. The Next Steps fields on the case should also be updated to include the case next steps/ date.
- Note: when picking up a case created by a GitLab stakeholder e.g the Support Team, it is crucial that the Advocate updates **Next Steps** as soon as the case has been actioned.
 This allows the stakeholder to view case updates, and negates the need for them to chatter the Case Owner requesting an update.  Any updates that *are* requested via chatter, should be answered by the Advocate/ Case Owner within one business day.
- (If the Advocate is working on an Expansion Opportunity case, any Add On or Growth opp they uncover should be manually created, and linked to the case in question, via the Opportunity lookup field).
- Once a Case is considered resolved, the Status should be set to one of the four Closed options, and the Resolution Action updated. This will automatically update the Date/ Time Closed field.
- Note:  Inbound customer requests must only be marked as closed once the customers needs have been addressed.
- If applicable, the linked opportunity should also be closed.
- At any time, a SMB Advocate can view their cases by navigating to the My Cases list view in Salesforce.
- When working cases, the following Outreach cadence should be followed.
- - Day 1 - Email
- - Day 3 - Call
- - Day 5 - Email
- - Day 7 - Email
- An Advocate should look to resolve/ close a case within 7 days of it being opened. The max time to resolve a case is limited to 15 days (except cases with the subject: High Value Case).
- The Advocate must also adhere to the Required 10, to ensure that the correct case fields and opportunity fields are updated when picking up, working, and closing out a case.

## Required 10

The Required 10 acts a to do list which should be followed by all Advocates when picking up and working cases.

[FY25: SMB Required 10](https://docs.google.com/spreadsheets/d/1yhRsbS0K9s1Un9puBFF51nE0oT040558QQfad2yL_4c/edit#gid=0)

### Picking Up

Case: Status

- Should be set to In Progress, (then Closed - Resolved/ Duplicate/ Unresponsive once worked).

Case: Owner

- Should always be set to the Advocate working the case.  Cases can be moved in rare circumstances i.e the end user wishes to converse in a language that you do not speak, but another Advocate does.

- If a case needs to go back to the queue, the user should be set to SMB Sales Team, and the Status set to Open.

Case: Contact

- Advocate to add/ update the main contact, as the case is being worked.  If a lead exists on the case, it must be converted to a Contact before the case is closed out.
- A case cannot be set to Closed Resolved unless a Contact is attached to the case.

### Managing

Case: Next Steps & Date

- To act in the same fashion as Opp: Next Steps. Field is mandatory.
- Format must be; Date, Advocate Initials, What the Next Step is
- - 2024-07-12 MS Send quote to customer

Account: GitLab Admin added

- Only for cases related to an opportunity
- Must be added in order to move opp to closed won.

Related Opportunity

- If the case involves an open opportunity, it should be linked to case in this field.

Opp: Close Date

- Only for cases related to an opportunity
- To help with forecasting.  Must not be in the past.

Opp: Renewal Risk Category

- Only for cases related to an opportunity
- To help with forecasting

Contact/ Account: Activity

- Must be logged via Outreach on the Contact

### Closing

Case: Resolution Action

- Mandatory when closing out a case.

Opp: Status

- Only for cases related to an opportunity

- To mimic the case i.e if the case is closed, the opp should be closed won or lost

Case: Feedback

- A place where an Advocate can share feedback pertaining to the case itself, or the customers use case.  This is mandatory.  If there is no Feedback to share, NA should be entered in this field. Next Steps and general comments should not be listed in this field - feedback only.
- - e.g Customer Feedback : “thank you for helping me resolve my problem very quickly”

## Case Closure Criteria

Closed - Resolved

- The Advocate was able to address the customers' concern/ transact the renewal, and no further action is needed.  A case cannot be marked as Closed - Resolved if the Next Steps Date is in the future, and/ or the Contact field on the case is blank.

Closed - Duplicate

- An Advocate has already addressed the customer's concern via a similar case.

Closed - Unresponsive

- After 15 days of trying to contact the end user, no response have been received.

Closed - N/A

- All other scenarios.

## Use Case Specifics

### Email to Case

SMB customers are able to email smallbusiness@ in order to speak to an Advocate.

When they do so, an SMB Case will automatically be created and will drop in the AMER or EMEA Teams queue.

The subject of the email will displated in the **Case Subject** field, and the email body will appear in the **Case Description** field.

**FAQ**

Q. As an Advocate, I can see a case in the queue, but there is no contact/ account/ lead attached to the case.  How do I know if the case falls into my region?

A. If a customer emails smallbusiness@ and they do not exist in Salesforce as a contact, the contact and account fields will not be populated on the case.  When this happens, we have no way of knowing which region the customer resides in, therefore the case will appear in both the AMER and EMEA case queues.

Upon viewing the case, an Advocate should check the **Web Email** field to see the customer email domain. Based on the domain, they should manually search for the Account in Salesforce, and add it to the case.  This will move the case to the relevant queue.

Q. If I pick up a case, but the customer continues to email smallbusiness@, how will I know?

A.  Once you have picked up the case, any future emails from the customer in the same thread will trigger a notification to be sent to the case owner.  All emails in the thread are also attached to the case.

Q. If a customer has a new request, but the send an email to smallbusiness@ via an old thread, will a new case be created?

A. No.  Unfortunately, the email will be attached to the prior case which is likley to have been closed.  In this scenario, the owner of the prior closed case (who will receive a notification of the customers emial), should either ask the customer to initiate a new request (by sending a new email to smallbusiness@.  This will create a new case, and start a new thread. Or, the Advocate can create a new case on the customers behalf, and work that case.

### High Value Cases

Whilst Accounts are always owned by the regions SMB Sales User, High Value Cases attached to accounts (Tier 1 accounts only), are owned by the SMB Advocate.

These cases are to remain open for the entirety of the FY25, even if the customer renews. This means that if a Tier 1 customer renews mid way during FY25, they will be assisted by the same Advocate both pre and post renewal.  This is subject to change in FY26.

These cases act as a reminder that these customers require continual attention and should be worked strategically during the financial year.

The Advocate is advised to build relationships with these customers, understand their journey with GitLab, and identify what we can do to grow the account (Ultimate or Add On licenses) or promote adoption and churn prevention.

The Advocate is advised to schedule ongoing touchpoints, update Next Steps/ Next Steps Date, and create future dated reminder Tasks, so that they plan their outreach throughout the year.

Note that these Accounts will still trigger other cases types, which should be worked and closed out within the 15 day period.  This will include High Value Check In Cases, which will remind the Advocate to touch base with the customer!  These cases will be auto assigned to the Advocate who owns the High Value Account case.  Any off created off the back of these cases i.e If a High Value Check In Case results in an Add On Opp, the opp should be linked to the originating case.  Once the opp is closed, the case should be closed. Reminder: The High Value Account case should never be closed.

Note: A High Value Account can be closed out if the customer advises ahead of renewal that they definitely fully churn.  Only in this scenario should the case be closed out, and the *Resolution Action* must be set to *Request Not Possible*.  By setting the *Resolution Action* to *Request Not Possible*, future High Value Cases will not be created on the account.

### FO Opp (an SDR engages with a net new lead who has been qualified)

Before picking up the case, the Advocate checks that they can attend the meeting (IQM) that appears as an Activity on the Contact record, and in the Next Steps fields.
The Advocate should also advise the SDR, by chattering them on the opp, that they have picked up the case.
The below SDR Handover Process steps, and Handover Criteria, detailed below should also be followed by both the SDR and Advocate.

*Note*: If Prospect is ready to buy (i.e no IQM is required), does not qualify for Advocate support, and is unable to purchase their license via Web (Ex: Multi-Year, Needs PO, Duo Pro, etc), please proceed with the [Blocked Purchase Workflow](https://docs.google.com/spreadsheets/d/18tGE_dpbx7nLu2S6bzD3WkLrHM3IrDv72WWJMgDDi64/edit#gid=920984489). Criteria [here](https://docs.google.com/spreadsheets/d/18tGE_dpbx7nLu2S6bzD3WkLrHM3IrDv72WWJMgDDi64/edit#gid=1849175247).

### SDR Created (an SDR engages with a lead that is related to a customer account)

Before creating a case, the SDR should convert the lead to a contact, under the customer account.
When creating the case, this newly created Contact should be added to the Case.
The below SDR Handover Process steps, and Handover Criteria, detailed below should also be followed by both the SDR and Advocate.

[FY25 SDR Handover Process](https://docs.google.com/spreadsheets/d/18tGE_dpbx7nLu2S6bzD3WkLrHM3IrDv72WWJMgDDi64/edit#gid=0)

[FO Opp Case Example](https://gitlab.my.salesforce.com/500PL000005qmX7)

[SDR Created Case Example](https://gitlab.my.salesforce.com/500PL000005Qb2gYAC)

The above examples can be used as templates for when an SDR creates a case.

### Support Cases

When an Advocate picks up a support case, and the case contains a link to a Zendesk ticket, they must comment in the Zendesk ticket advising that they have picked up the case, and will be reaching out to the customer.

### Customer MQL Cases

Whilst working the case, the lead on the case should either be;

- Converted to a contact under the linked account, if the lead confirms they work at the linked account/ company, AND there is an nARR opportunity.
- Not converted/ disqualfied if the lead does not work at the linked account/ company, NOR there is no nARR opportunity.

### Expansion Opportunities

If an opportunity is uncovered whilst working an Expansion Opportunity case, a new Growth/ Add On opp should be created, and linked to the case via the Opportunity lookup field. An Add On opp must be created from the prior closed won renewal opp that exists on the account.
If the customer is looking to upgrade to Ultimate/ add users at the time of renewal, the existing Renewal opp should be linked to the case.  The renewal opp should also be used for any new quotes that are generated.

## Case Hygiene

### Case SLA

All High Priority cases should be picked up and responded to within 24 hours of entering the queue.

All Medium Priority cases should be picked up and responded to within 48 hours of entering the queue.

All Low Priority cases should be picked up and responded to within 7 days of entering the queue.

### Open Case Guidelines

All cases should be worked, and closed out, within a 15 day period (except High Value cases).

The above, and other data points, will be tracked on the below dash.  Periodically, the info will be presented to the Advocate so that they can 'clean up their room'.

Due to the high case volume, it is imperative that the Required 10 is followed, so cases do not become stale.

### Case Reason Dictionary

- Account Question / Update
- Adding Licenses / Purchasing Help
- Billing / Payment
- Licensing / Fulfillment
- Off-Cycle Subscription Changes (no uplift)
- Other
- Renewal
- Sales Evaluation (non-renewal)
- Technical Question
- Usage / Best Practices
- New High Engagement Account - 5* PtE
- New High Engagement Account - Tier 1 Uptier

### Case Resolution Action Dictionary

- Answered Question
- Recommended Resource
- Transferred To Support
- Growth Conversation
- Directed to Online Purchase
- Completed Sales Assisted Order
- Request Not Possible
- No Action Required
- Failed to Engage

## Dashboards & Reports

- [SMB AMER Case Queue](https://gitlab.lightning.force.com/lightning/r/Report/00OPL000000LaDN2A0/view?queryScope=userFolders)
- [SMB EMEA Case Queue](https://gitlab.lightning.force.com/one/one.app#/sObject/00OPL000000LaRt2AK/view)
- [SMB AMER Team Dash](https://gitlab.lightning.force.com/lightning/r/Dashboard/01ZPL000000UbBp2AK/view?queryScope=userFolders)
- [SMB EMEA Team Dash](https://gitlab.lightning.force.com/lightning/r/Dashboard/01ZPL000000WJU92AO/view?queryScope=userFolders)
- SMB Advocate Scorecard ([AMER](https://gitlab.lightning.force.com/lightning/r/Dashboard/01ZPL0000013pi92AA/view?queryScope=userFolders)/ [EMEA](https://gitlab.lightning.force.com/lightning/r/Dashboard/01ZPL000001E2PZ2A0/view?queryScope=userFolders))

## FAQ

- Q. Will cases be added to the queue everyday?
- A. Yes, we expect new cases to be created daily, and to total approximately 400 per month.
- Q. Can I pick up any Case in the queue?
- A. No, High Priority cases must be picked up first. If there are no High Priority cases, cases must then be worked oldest first.
- Q. How many cases should I work at any give time?
- A. An Advocate should only own 50 In Progress cases at a time.  Once at 50, the Advocate is deemed to be at capacity.
- Q. Where can I provide feedback on this model/ process?
- A. Please submit all feedback via the *global-digital-smb_feedback slack channel*.  If you want to share Feedback relating to a specific case, please enter the feedback in the Case: Feedback field.
- Q. Is additional enablement material available?
- A. Yes, please see the Highspot page linked at the top of this page.
- Q. As an GitLab Team Member who is not part of the SMB Team, how do I engage with the team?
- A. Follow the process above entitled *Working with the Global Digital SMB Account Team*.
- Q.  What happens if the end user speaks a different language than I do?
- A. Discuss with your manager who might be best placed in the team to handle this case, then switch the Case Owner to that individual. Also add the tag #languagebarrier to the Feedback field on the case.  This will allow the SMB Team to track how often language becomes an issue.
- Q. As an Advocate, if I pick up a FO Opp case, and discover the customer is actually a MM account, what do I do?
- A. Follow the below steps;
  - If the FO Opp is still in Stage 0, advise the SDR via Chatter that they should loop in the MM AE.
  - Mark the case as Closed - Duplicate
  - If the IQM has taken place, and you have moved the opp to Stage 1, loop in the relevant MM AE on the opp, via Chatter.
  - Closed the case as Closed - Duplicate.
- Q. There is no opportunity linked to the case, but I have identified a Growth/ Add On opportunity, what do I do?
- A. If you discover a Growth opportunity, you should manually create a Growth/ Add On opp and link it to the case via the Opportunity field. If an opp is already attached to the case (Renewal or QSR opp), this opp should be updated to reflect the possible growth.
- Q. If I am working a case, and the customer advises they are looking to expand but not for 6 months, should I close out the case?
- A. No, update the Next Steps stating that the customer is open to conversation in 6 months.  Also change the Next Steps Date to 6 month from todays date, and update the stage of the case to Open.  Finaly click the Edit buton on the case, and check the *Assign using active assignment rules*. The case will subsequently drop back into the queue in 6 months time.
- Q. I am an AE not in the SMB Org, and a former customer has reached out to me.  This customer is now owned by an SMB Sales User.  How do I hand this customer over to the SMB Sales Team?
- A. Follow this [process](https://docs.google.com/document/d/1Bc9N0Cvc65NjWHSVoliUp6injZNlbkjEEEZ0dYQm_Ck/edit#heading=h.wmdr1tkj670j).
- Q. I just closed won on opp for a SMB Customer, which took them above the $30k CARR threshold.  How do I hand this over to MM?
- A. See this [doc](https://docs.google.com/document/d/1dIJwPRo3rQnE1e4LBG-lT4ZvJ3nXzMuKwP8mF54jACo/edit). Note that accounts will be moved to MM at the start of the next quarter.
- Q. If I pick up a case, and the customer is interested in speaking in 6 months, do I keep the case open, or close it out?
- A. In this scenario, the case should be put back in the queue, and become available to be picked up again in 6 months time.  To do this;
  - Update the Next Steps on the case, as per your conversation with the customer.
  - Set to Next Steps Date to 6 months from today.
  - Set the Case Status to Open
  - Click *Edit* on the case, then check the *Assign using active assignment rules checkbox*.
  - The case will now reappear in the queue in 6 months time, and any Advocate will be free to work the case.
- Q. If a prospect/ customer emails me directly requesting assistance, what do I do?
- A. First check the account to see if there is an In Progress SMB Sales Case owned by a different Advocate.  If there is, add the nature of the customers request to the Description field, and chatter the Advocate on the case. If no case is present, and this enquiry represents a nARR opportunity, follow the above process (*Working with the Global Digital SMB Account Team*.), and assign the case directly to yourself. Note: for general enquiries, you should direct customers to smallbusiness@gitlab.com
- Q. As an Advocate, when I go on PTO, what happens to my cases?
- A. Whilst on PTO, your *In Progress* cases will remain in your name. In your OOO email signature however, you should include the contact details of a fellow Advocate who has agreed to cover you whilst you are away. Ideally, this Advocate should be located in a similar region with similar langauge skills. When a customer emails you (and the Advocate providing coverage), the Advocate providing coverage should assign the active case to themself, and work it through to completion.  Also, be sure to follow the standard PTO guideline stated [here](/handbook/people-group/paid-time-off/#communicating-your-time-off).

## Escalation Paths

### Solutions Architect

An Advocate should talk to their Manager to determine if SA support is necessary and available.

### Support

Loop in supportteam@gitlab.com, and set the Resolution Action of the current open case to Transferred to Support.

### Transitioning Accounts to Mid-Market / Enterprise

Chatter Sales Support, advising that the account in question may need to be re routed to the correct team.

## SMB Advocate Onboarding + Enablement

### By Case-Type

#### First Order

- [Propensity to Purchase - Deck](https://gitlab.highspot.com/items/6565e315ec1191ac7d8a26c0)
- [Propensity to Purchase - Training](https://gitlab.highspot.com/items/65046a91a7f7915154f1ba95)
- [Doing a great discovery call](https://gitlab.highspot.com/items/65365f760c1cf20725653853)

#### Expansion/Upgrade

- [Propensity to Expand](https://gitlab.highspot.com/items/6565e314ec1191ac7d8a26b4#1)
- [PTE & PTC Scores Walkthrough Video](https://gitlab.highspot.com/items/65365570bdabc0e8c24015b2)
- [Creating a great Ultimate Pitch - INTERNAL ONLY](https://gitlab.highspot.com/items/65365dced498b9134400a185)

#### Churn/Contraction Mitigation

- [Propensity to Contract/Churn](https://gitlab.highspot.com/items/6565e314ec1191ac7d8a26b4#1)
- [PTE & PTC Scores Walkthrough Video](https://gitlab.highspot.com/items/65365570bdabc0e8c24015b2)

#### Renewal and TRX Support

- [Overview of Renewals at GitLab (internal handbook, log in via SSO)](https://internal.gitlab.com/handbook/sales/go-to-market/renewals/)
