---
title: "Handover Scenarios & Process"
description: "Overview of the SMB AMER Handover Scenarios and Process"
---

## AMER SMB Handover Scenarios & Process

| Order Type ↓ Team → | Expand                            | Pooled                                                           |
| ------------------- | --------------------------------- | ---------------------------------------------------------------- |
| Sales Assisted FO   | FO AE hands over to the Expand AE | Automated hand over, which commences a Low Touch digital journey |
| Web Direct FO       | FO AE hands over to the Expand AE | Automated hand over, which commences a Low Touch digital journey |

### Sales Assisted FO to Expand AE

When a customer purchases GitLab with the assistance of a First Order Account Executive, it's important to give that customer a seamless experience from the initial purchase to the implementation phase. Expecting a customer to have to repeat things they just shared with the First Order AE will lead to frustration and lack of confidence in GitLab's ability to support them. Alternatively, if a customer feels like everyone is collaborating to deliver an excellent experience, they will be more likely to meet when asked, knowing that value will come from the experience.

The FO AE should look to contact the customer and perform the hand-off to the Expand AE within 24 hours of their purchase

By using the below template, they can thank the new customer for their purchase, provide some key resources, and introduce the Expand AE who will manage their account moving forward. (Note that this template is also available within Outreach).

Before sending the welcome email, be sure to consult the Rules of Engagement, to make sure you are looping in the correct AE.

#### SaaS Only

Welcome to GitLab - Let's Get to Work!

Hi [Customer Name]

We're glad you & [Customer] recently became GitLab customers. I'd like to introduce you to your
Account Manager, [Expand AE] (in copy).

*ACTION NEEDED*
→ Once you receive your 'Thanks for Purchasing' email from GitLab, please link the
subscription to the namespace using the steps listed [*here*](https://docs.google.com/document/d/e/2PACX-1vRJ7bvONCdfuvfl26ZFDleiDTZv5LwSzB4sloOu9wCEM3lVK-zSZiCqQJPX3IPI4i_KHJ7E4JbZacfF/pub). A video tutorial can also be found [*here*](https://www.youtube.com/watch?v=qAq8pyFP-a0).  You can also add your payment info to your account [*here*](https://docs.gitlab.com/ee/subscriptions/customers_portal.html#change-your-payment-method).

→ As a part of your purchase a named set of contacts have access to Priority Support. To get your support contacts set up, please submit a ticket using the instructions in the [Managing Support Contacts](https://about.gitlab.com/support/managing-support-contacts/) section of our Statement of Support. All team members are required to be pre-listed in order to engage with GitLab Support.

→ *Setup a time to meet* <https://calendly.com/XXXXX> with
[Expand AE] to ensure you have everything you need to set up your GitLab and onboard successfully

[Expand AE]'s role is to ensure you're successful in every way possible to maximize your return on investment. He/She/They is/are a creative resource and I strongly encourage you to leverage their expertise.

Since you now have the benefit of [priority support](https://about.gitlab.com/support/#priority-support), consider bookmarking our [support ticket request page](https://support.gitlab.com/hc/en-us/requests/new) for assistance with setup.

It's been wonderful working with you and being a resource to your team during this evaluation!

#### Self Managed

Hi [Customer Name]

We're glad you & [Customer] recently became GitLab customers. I'd like to introduce you to your
Account Manager, [Expand AE] (in copy).

*ACTION NEEDED*
→ Once you receive your 'Thanks for Purchasing' email from GitLab, please be sure to apply your license keys???

→ As a part of your purchase a named set of contacts have access to Priority Support. To get your support contacts set up, please submit a ticket using the instructions in the [Managing Support Contacts](https://about.gitlab.com/support/managing-support-contacts/) section of our Statement of Support. All team members are required to be pre-listed in order to engage with GitLab Support.

→ *Setup a time to meet* <https://calendly.com/XXXXX> with
[Expand AE] to ensure you have everything you need to set up your GitLab and onboard successfully

[Expand AE]'s role is to ensure you're successful in every way possible to maximize your return on investment. He/She/They is/are a creative resource and I strongly encourage you to leverage their expertise.

Since you now have the benefit of [priority support](https://about.gitlab.com/support/#priority-support), consider bookmarking our [support ticket request page](https://support.gitlab.com/hc/en-us/requests/new) for assistance with setup.

It's been wonderful working with you and being a resource to your team during this evaluation!
Once the FO AE has handed over the account via email, they are some keys steps they must now complete;

- Add the tag #FOtoFYEhandoff to the AE Comments section on the Account record.  (One can then use this [report](https://gitlab.my.salesforce.com/00O8X000008mcf5) to help track which Accounts still need to be handed over).
- Make sure all the R7 components are completed on the FO closed won opportunity, plus all notes and call recordings are attached.
- Chatter the following people on the Account;
- Expand AE
- Expand AE's ASM
- First Order ASM
- Sales Support
- Expand Director
- Once the above is done, the account and renewal opportunity will be transferred to the Expand AE and the hand over is considered complete!

[FO - FYE - No Handover - Month](https://gitlab.my.salesforce.com/00O8X000008mcf5)

[AMER SMB FO Clean Your Room Dash](https://gitlab.my.salesforce.com/01Z8X000001DkoE)

#### Web Direct FO to Expand

These customers have made it to a GitLab paid plan without ever speaking to someone in sales, so we should be completing discovery as a first step to understand what brought the customer here. Typically, customers have a preconceived notion of what GitLab does and aren't aware of all of the great features included in what they just paid for. It's important to share that with them at this stage to ensure they get off to a successful start.

In this scenario an Expand AE should leverage the FYE Web Direct [report](https://gitlab.my.salesforce.com/00O8X000008Qg6r) so they can reach out to new customers to introduce themselves, and schedule time to discuss success planning.

#### Assisted FO & Web Direct to Pooled

All Pooled accounts go through a specific low touch digital journey, and will only speak to an AE when they 'hand raise', or we have identified that they required sales assistance.  Further info on this model can be found [here](/handbook/sales/commercial/pooled_model/).

Upon entering this Low Touch digital journey, customers will be welcomed to the Pool via the below [email](https://gitlab.com/gitlab-com/sales-team/field-operations/customer-success-operations/-/issues/1918).

Welcome to GitLab -  Let's Get to Work!

Hi [FirstName] - Welcome to GitLab!

Small business innovation is at the heart of GitLab and we have a sales team dedicated to your success. Rather than one Account Executive, you have a small sales team focused on your account.

Our team's sole responsibility is to support you: You can get the answers you need, so your team can focus on developing and delivering code that matters.

Here are the resources you need to get in touch with us, as well as manage your GitLab account:

Small Business Account Hub

To get in contact with your sales team, complete the form on our [SMB Account Hub page](https://page.gitlab.com/smbsales.html), and a member of our team will be in touch ASAP. Be sure to bookmark this page for future use.

GitLab Customers Portal

GitLab [Customers Portal](https://customers.gitlab.com/customers/sign_in) enables you to manage key aspects of your GitLab account self-service. Leverage this portal to [renew your subscription](https://about.gitlab.com/pricing/licensing-faq/#how-do-i-renew-my-subscription), [add seats](https://about.gitlab.com/pricing/licensing-faq/#can-i-add-more-users-to-my-subscription), [change personal or account details](https://docs.gitlab.com/ee/subscriptions/index.html#change-your-personal-details), [update your payment method](https://docs.gitlab.com/ee/subscriptions/customers_portal.html#change-your-payment-method), and accomplish other account-related tasks.
GitLab Support
Need technical assistance? Please contact customer support by submitting a case on our [GitLab Support page](https://support.gitlab.com/hc/en-us).
Thank you for being a part of the GitLab community,

-Your GitLab Sales Team
