---
title: SMB Account Executive
description: >-
  SMB Account Executive guidelines to assist prospects through their evaluation
  and buying process of GitLab
---

## Overview

> "You should expect excellence of yourself, teammates, and managers in your role. We will be excellent if we expect it."

Small and Medium Size Business Account Executives "SMB AE" act as Account Executives and the face of GitLab for SMB prospects and customers. They are the primary point of contact for companies that employ between [1 to 99 employees](/handbook/sales/field-operations/gtm-resources/). These GitLab team members are responsible for working new business in their territory as well as handling the customer journey for new and existing customers. SMB Account Executives will assist prospects through their GitLab evaluation and buying process and will be the customer's point of contact for any renewal and expansion discussions.

### Reaching the SMB team (internally)

#### General

- **Main SMB Channel** = [`#smb`](https://app.slack.com/client/T02592416/CH4KPGS87)
- **Commercial Sales Group** = [`#commercial_global_all`](https://app.slack.com/client/T02592416/GG3M02L75)
- **Main Sales Channel** = [`#sales`](https://app.slack.com/client/T02592416/C02NE5PQM)

#### Team Channels

- **EMEA + APAC** = [`#international-smb`](https://app.slack.com/client/T02592416/CN84VB75H)
- **AMER** = [`#smb-amer`](https://app.slack.com/client/T02592416/GN43QNUL9)
- **First Order** = [`#smb-pipeline-generation`](https://gitlab.slack.com/archives/C02EMQGJR53)
- **Pooled** = [`#smb-pooled-ae`](https://gitlab.slack.com/archives/C036C3W83U1)
- **Expand** = [`#smb-fye-ae`](https://gitlab.slack.com/archives/C03C8DYNGN5)
- **Named** = [`#smb-named-ae`](https://gitlab.slack.com/archives/C031DRBRXEW)

#### SMB Support

- **SMB Training Support** = [`#smb_training_support`](https://app.slack.com/client/T02592416/CKYLWKGJU)
- **Sales Support** = [`#sales-support`](https://app.slack.com/client/T02592416/CNLBL40H4/thread/CKYLWKGJU)
- **Questions** = [`#questions`](https://app.slack.com/client/T02592416/C0AR2KW4B)

#### Closed deals

- **Celebrate Closed Deals** = [`#win-key-deals`](https://app.slack.com/client/T02592416/CGWPJQJ07)

### Onboarding

The goal of [onboarding](/handbook/sales/commercial/enablement) in all of this is to ensure that you feel confident and comfortable to hit the ground running. Our hope is that along this journey you are not only gaining the tactical skills needed to complete your job, but that you form connections with colleagues, gain a strong understanding of the GitLab culture, and begin to develop industry knowledge. This section highlights some areas to consider.

#### Team Dashboards

These Dasboards are used to keep track on team performance globally as well as per region.

- [AMER Required 7](https://gitlab.my.salesforce.com/01Z4M000000oXCS)
- [AMER East](https://gitlab.my.salesforce.com/01Z4M000000oYNK)
- [AMER West](https://gitlab.my.salesforce.com/01Z4M000000oYLE)
- [EMEA Required 7](https://gitlab.my.salesforce.com/01Z4M000000xe1W)
- [EMEA All](https://gitlab.my.salesforce.com/01Z4M000000xe38)

#### Required 7

All team members from Commercial Sales are expected to implement the [Required 7](/handbook/sales/commercial/#required-7). None of the 7 should be missing at any time. The Required 7 will help to stay on top of your territory, deliver what is promised to the prospect / customer and have quality meetings.

#### Call Preps

Account Owners always do a form of preparation and research before every live interaction with a customer to ensure we are supporting conversations with the latest information on the account. While certain data points can be validated with our contacts, we want to be aware of what is happening at the organization at any given time and limit any surprises. Level of effort in preparation and practice can vary. Common actions include pulling up the account and opportunity, running through the custom deck and reviewing the agenda, and having the customer's website along with social sites live to reference any news or changes.

Though not mandatory, team call preps are a great way to gain a different perspective on your opportunities during a sales cycle and encouraged for collaboration on the team. Thus, allowing you to be more prepared for following meetings. To create a team call prep:

- Put time on the calendar to connect with a fellow SMB team member or someone else of choice (Solution Architect, Customer Success Manager, Area Sales Manager)
- Be prepared with the Salesforce link to the opportunity, as well as your deck/call notes if applicable
- During or after the Call Prep, **log an activity** on the opportunity labeled `Prep w/ [team member name]`.

#### Qualification Calls

One initiative as an SMB AE is to be connecting with as many current customers as possible to support them in finding ways to utilize more of GitLab. Every time you hold an initial call with a client to discuss entering into a sales cycle for either uptiering, or increasing user count please include "qual" or "qualification" into the subject line of your logged activity. We should also be submitting "qual" or "qualification during our first IQM (Initial Qualifying Meeting) with all prospects.

#### True Ups and Reconciliation

True-ups are conversations that often come to the table with customers during renewal conversations. It's important to get yourself familiar with the term, how true-ups work - and how the SMB team is handling true-up conversations.

- [True Up Policy](/handbook/company/pricing/#true-up-pricing)
- [How To Find True Ups](https://about.gitlab.com/pricing/licensing-faq/#what-does-users-over-license-mean)
- [Licensing and Subscription Troubleshooting](/handbook/support/license-and-renewals/workflows/license_troubleshooting/#licensing)

Additionally, [quarterly subscription reconciliations](/handbook/support/license-and-renewals/workflows/quarterly_subscription_reconciliations/) should also be understood related to customer billing.

### Account Planning Lifecycle

The GitLab usage phases are broken down into the following:

- Implementation: 12-9 months left
- Adoption 9-6 months left
- Expansion 6-3 months left
- Renewal less than 3 months left

Customer success planning should be broken into three categories based off the previous renewal or last transaction:

- Flat: same tier, same or less users
- Expanded: same tier, more users
- Uptier: moving from Starter to Premium, Starter to Ultimate, Premium to Ultimate, or from Free to a paid tier.

### Tools

- [Bambu](/handbook/marketing/integrated-marketing/digital-strategy/social-marketing/social-advocacy-curators/#topics-in-bambu) - Used for [Social Advocacy](/handbook/marketing/integrated-marketing/digital-strategy/social-marketing/social-advocacy-curators/#what-is-social-advocacy)
- [Chorus](/handbook/business-technology/tech-stack/#chorus) - Call/Demo Recording
- [Clari](/handbook/sales/forecasting/) - Forecasting
- [CustomersDot Admin](https://customers.gitlab.com/admin/) (see overview video [here](https://youtu.be/G9JuHXqV5LM))
- [LinkedIn Sales Navigator](https://docs.google.com/document/d/1UF69ieck4AdHadzgPmZ5X1GBs3085JhlYaMowLj0AOg/edit) - Social Selling
- [Outreach](/handbook/marketing/marketing-operations/outreach/) - Email Sequencing
- [Periscope](https://app.periscopedata.com/app/gitlab/403199/Welcome-Dashboard-%F0%9F%91%8B) - Data Visualization
- Salesforce - Customer Relationship Management
- [Scratchpad](https://scratchpad.com/) - Editing tool for Salesforce
- [Version GitLab](https://version.gitlab.com/users/sign_in)- Customer Product Usage
- Xactly - Commission Calculator
- [ZenDesk](/handbook/support/internal-support/#requesting-a-zendesk-light-agent-account) - Ticketing system

### Training & Resources

#### Opportunity Consults

[Opportunity Consults](/handbook/sales/commercial/#opportunity-consults-ocf-and-lightweight-deal-review-ldr-process) regulary are a part of top deal review meetings, 1:1s, or individual sessions. They are open to all commercial teams as a framework for any sales person to leverage. Get the most out of these sessions with specific examples and let your teammates help you get creative with your opportunities. An example structure is below.

**During the meeting Account Executive summarizes:**

- Context of what has happened on the opportunity so far
- Who is your point of contact (title, who do they report to, role & responsibility)
- Why GitLab
- Initiatives or goals
- Stage & next steps (Why)

**Team questions, input & critiques**

- Goal: find an original risk (What risks do we see, how can we mitigate them, how can we pre-emptively ask about these risks)
- Who is not involved? (How can we get them involved?)

**Meeting etiquette**

1. Be respectful
1. Be constructive
1. Be curious, and ask the question behind the question
1. Be committed to challenge any gaps and bring solutions
1. Everyone is encouraged to contribute

#### Previous training sessions and recommendations

- [Closing in difficult times](https://docs.google.com/presentation/d/1K5i4WeyruXD3EUXUhHxVM8UDJjrtQyZyQ1zYDV0RSXQ/edit?usp=sharing) (video [here](https://youtu.be/IwacdXWe37k))
- [Forecasting 101](https://docs.google.com/presentation/d/1r-J5Ya9DLtzxIkq0rqJou5c4vKBZkcL_y2zspEnAbaQ/edit?usp=sharing)
- [Adapting Command of the Message for SMB, part 1](https://docs.google.com/presentation/d/1ct5FksWRDtnsQeYkvceZLwi5IBlnZVx2dsA8tSzMHuY/edit?usp=sharing)
- [Adapting Command of the Message for SMB, part 2](https://docs.google.com/presentation/d/1EWXuIwFQ20r6-Efb4xdwTBBRFaqgzT7xjnqpEK3F9z0/edit?usp=sharing)
- [Mastering difficult conversations](https://docs.google.com/presentation/d/1M3PrP_h72qM7dPVIl8E1N98zYQR4-cKf51G3RCyXiDw/edit?usp=sharing) (video [here](https://youtu.be/6nCAyIIW_pE))
- [Why Now? training](https://docs.google.com/presentation/d/11gjYDTYSYPffDnaDXjYXtXuQWi6ZZIotAWDKV86VIaQ/edit?usp=sharing) (video [here](https://youtu.be/bUls9lJh9P8))
- [Expanding webstore customers](https://docs.google.com/presentation/d/1xPCEV8XCEkN493Jfz6DtbKGTV_t72FdkRPZX-RZbEwI/edit?usp=sharing)
- [Account management: starting the relationship](https://docs.google.com/presentation/d/1ZvxdJEZIH8Cr7U2R_rF9gGlh_CjzUHyAz69ljo3zhTg/edit?usp=sharing) (video [here](https://youtu.be/GbET3hZrajk))
- [Upselling Premium & Ultimate](https://docs.google.com/presentation/d/1u93b2TC3NDXQI1Ej8wKFOacBbfzra4wAgz5A2q2Ny_A/edit?usp=sharing) (video [here](https://youtu.be/XcTi8lWWnnI))
- [Our Pricing Model](/handbook/company/pricing/)
- [Process for Agreement Terms Negotiations](/handbook/sales/field-operations/order-processing/#process-for-agreement-terms-negotiations-when-applicable-and-contacting-legal)
- [Recommended books for SMB team](https://docs.google.com/document/d/19KOw5A84uUvKLBI9zdspbGpP4t3OOqsQLLKj6eTBjFw/edit)

### Solutions Architect & Customer Success Manager Rules of Engagement

- Follow the [Commercial Sales standards](/handbook/customer-success/comm-sales/#additional-engagement-guidelines-for-sales) for engaging a Customer Success Manager or Solution Architect into the conversation with a customer or prospect.
- If limited on resources, encourage clients to submit questions to the following communities:
  - Community Forum: https://forum.gitlab.com/
  - Reddit: https://www.reddit.com/r/gitlab/

### Compensation

Any further questions related to SMB Compensation can be directed to the slack channel #total-rewards or your direct manager.

### Handbook Mantra

GitLab is intentional about documenting in a manner that creates a single source of truth. [It operates handbook-first](/handbook/company/culture/all-remote/handbook-first-documentation/), and in valuing transparency, makes its handbook publicly accessible to all. SMB team members should always be striving to contribute and exemplify this value.
