---
title: "Customer & Partner Fireside Chat"
---

## What is a fireside chat?

Fireside chats are less formal than an interview but more structured than a typical GitLab [AMA](/handbook/communication/ask-me-anything/). The fireside chat series with key customers is meant to be informal yet structured chats between a moderator and their guest. In this scenario, the guest is a current GitLab customer or partner and the moderator is a member of E-Group or Senior Leadership.

Contrary to its name, there is no fire or flames involved, and the term "fireside chat" was first used to describe a series of evening radio addresses given by U.S. President Franklin D. Roosevelt during the Great Depression.

## Why a fireside chat?

As we continue to increase and magnify customer centricity at GitLab, E-Group and the VP, of Customer Success agreed to host a series of fireside chats as a way to expose the broader team to key customers and partners. We hope to learn more about GitLab's customers and partners' GitLab journeys, through these chats by posing mindful questions, that draw out relevant insights and by ultimately creating an environment where the customer and/or partner will share their experiences with the GitLab team. These conversations will provide an "outside looking in" perspective from the customer/partner's point of view, which will help GitLab team members better understand customers' goals, challenges, needs, etc from their perspective.

## Cadence

The VP of Customer Success and CoS to CRO aim to coordinate at least one 50-minute Fireside Chat per month based on the customer and partner's availability.

## Customer and Partner Selection Process

Led by the VP of Customer Success, the CS team will work with their functional EBA, Account Team, and Customer Reference team nominate existing Customers and/or Partners. The team should aim to identify customers and partners who have a unique story to tell, solved a challenging problem with GitLab or have a topic to discuss that would benefit both the Customer/Partner and broader GitLab team.

The process to nominiate a customer or partner for a fireside side chat:

1. TBD by VP of CS
1. TBD
1. TBD

## Keys to Success

1. Selecting and pairing the right guest and moderator. Ensuring you have a well thought out agenda for the chat that you both are aligned to
1. Scheduling at least 1 prep call in advance, to conduct a quick tech check, go over the topics and flow of the chat. We recommend that the guest and moderator spend at least 5 minutes getting to know each other prior to the Fireside Chat. The moderator should also set expectations during this chat, cover the need to use inclusive language, and share a bit about GitLab's CREDIT values
1. Have a well-prepared and knowledgeable moderator. Prior to the fireside chat, they should have invested time in learning about the customer or partner. A great moderator can help the customer or partner feel comfortable & make the conversation interesting for the audience
1. Ensuring the guest and moderator have the right equipment; we recommend a dedicated microphone, a webcam or camera other than the standard MacBook camera, and an ultra-stable internet connection
1. Create an informal setting, both the guest and the moderator should feel comfortable with the questions, the format, and letting the conversation flow naturally. However, the informality of a fireside chat does not mean that the fireside chats are unprepared, a lot of work goes into these behind the scenes and should not be skipped.

## Hosting a Fireside Chat

Fireside chats will be hosted remotely on Zoom and the EBA to the VP, of Customer Success, will be responsible for coordinating the chat once the customer or partner is identified by working with the account team and key stakeholders on the customer or partners' end. The EBA will coordinate an inclusive time (generally before 10 am Pacific) based on the customer or partners' timezone

The EBA to the VP, of Customer Success, will send an invite out to everyone at GitLab from the GitLab Team Meetings calendar and ensure an agenda is affixed to the calendar invite prior to sending. The EBA will also schedule a 10-25 minute prep meeting with the moderator and guest at least 7 business days prior to the Fireside Chat

### The Moderator's Role

1. Curation of the agenda
1. Prepare questions based on the specific customer and her/his feedback
1. Lead the preparation call with guest prior to fireside chat
1. Prepare for the fireside discussion, including:
    1. Summary of the customer's company that will be added to the meeting doc
    1. Introduction of the customer speaker
1. Lead fireside chat, setting a comfortable and conversational tone for the guest

### The Guest's Role (Customer or Partner)

1. Consider/prepare responses to the given questions in advance
1. Attend a brief prep call
1. Have fun!

## Sample Agenda

The structure and agenda of the fireside chat will be largely dependent on the customer or partner selected each quarter, the goal of the agenda topics is to create a natural flow to the conversation, and may go off-topic depending on the responses from the guest.

The moderator will lead the curation of the agenda, by modifying questions in advance and synchronizing with the customer or partner. The [template for the prep meeting](https://docs.google.com/document/d/1YmqsXDj_v7lNoJZ5ODWUWqXvCxDR2-Ru0f9aholRqbY/edit#) is used to prep guests for the logistics and questions that will be asked in the session.

[Agenda Template](https://docs.google.com/document/d/1UB7UlnqHUZedeYB_J_syXuoIaTFHl5nrk0Id42uo2SU/edit?usp=sharing). Please make a copy of this as a starting point. If you have questions on the template, please ping the CoS to the CRO in #customer-centricity.

The moderator should plan to have at least 2-3 questions ready to help start the discussion and may choose to alter the questions based on the customer/partner's response. The moderator may choose to sync with the account team, or executive account sponsor to learn more about their guest or solicit feedback from key stakeholders on the agenda.

Questions from team members will be curated based on previously answered questions directly or indirectly by the speaker and those that have not been addressed.

### Sample Topics / Questions

As purely an example, consider asking any of the questions or topics below to the Customer/Partner.

1. Can you tell us about yourself?
    1. Objective: Get to know a little bit about the customer speaker from a personal perspective (passion, where from, how she/he came into the role, etc) This should be whatever the customer or partner wants to share.
1. Can you tell us about your role in the organization and other related departments/business units/teams?
    1. Objective: Provide an understanding of the organization (charter, responsibilities), the customer speaker's role, and the broader teams using GitLab
    1. The question should be calibrated according to the size and type of customer's organization.
1. Can you tell us about the your business goals?
    1. Objective: Understand the customer's unique goals to the team has context on how GitLab contributes or relates to these goals.
    1. Follow up question: Why did you decide to partner with GitLab?
1. How would you describe customer centricity for the GitLab team?
    1. Objective: Have the customer speaker set expectations for GitLab. Definition from a customer's point of view.
1. Can you tell us about a success/win you've had with GitLab? Or a difficulty and how we overcame it?
1. Thinking of your ideal partnership, can you tell us about some areas where we can improve (e.g., customer experience, product experience, engagement, ease of doing business, support)?
1. What do you love most about GitLab?
1. If someone asked you if they should use GitLab, what would you say?
1. How has GitLab improved your job? (Specifics if possible.)
1. What were you using before GitLab? What was your DevOps environment like?
1. If you had to give up GitLab today, what would your reaction be?
1. When we say, The One DevOps Platform, what does that mean to you?
1. As you think about successfully adopting a DevOps platform, what are some of the key challenges that need to be overcome?
    1. Objective: Provide insight to how companies adopt products/platforms, including decision process (e.g., departments/business units, teams, etc.), change management (e.g., culture, processes, education and enablement, M&A), compliance and policies, etc.
1. Is there anything else you would like to tell, ask or share with the GitLab team?
    1. Objective: Closing question. Allow the customer speaker to talk directly to the audience (e.g., thanks, do more of, please get us…), including an ask for GitLab.
