---
title: "Field Alerts"
description: "Field Alerts aim to cut through the noise and capture the Field team's quick attention on urgent matters that involve a time-sensitive CTA and/or immediate impact on customers."
---

## Overview

Field Alerts are an as-needed Field communication channel used to capture the Field team's quick attention on urgent matters that involve a time-sensitive CTA and/or immediate impact on customers. Field Alerts allow the communications team to cut through the noise in Slack (where urgent updates can sometimes be lost or delayed) and reach team members directly in email with a format and template that is direct and easy to consume. Field Alerts also allow the communications team to track engagement to determine where follow-ups are required.

### Scoping

Field Alerts are used exclusively for [Tier 1 Field Communications updates](/handbook/sales/field-communications/#tier-1-update). These updates often necessitate the [GTM Enablement Process](/handbook/sales/field-operations/field-enablement/#gtm-enablement-process), which also scopes out Field and Partner enablement needs, content requirements and more. Exceptions can be made at the Field Communication team's discretion for non-Tier 1 topics or announcements that involve a time-sensitive CTA and/or immediate impact on customers.

Examples of initiatives that warrant a Field Alert include:

- Customer communication
- Major compete events
- Time-sensitive, event-based communications
- Leadership messages/CTAs
- Major product updates
- Major pricing and packaging changes

### Process and Delivery Mechanism

1. The Field Communications team will advise DRIs on whether or not a Field Alert is necessary via the [Field Announcement Request process](/handbook/sales/field-communications/#requesting-field-announcements) and/or the [GTM Enablement Process](/handbook/sales/field-operations/field-enablement/#gtm-enablement-process).
1. Field Alerts are sent via a plain-text email in Staffbase, the Field Communication team's internal newsletter tool. The email includes a maximum of one paragraph, with CTA at the top.
1. The alert is sent from the CRO or a member of the Field Communications team.

#### Field Alert Template

SUBJ: Field Alert: [Topic]

[Banner Image]

*The below update is being shared via Field Alert because it requires a time-sensitive review and/or call to action. Read more about Field Alerts [here](/handbook/sales/field-communications/field-alerts/).*

**[The headline/call to action, 1-2 sentences bolded]**

**Details:** [2-3 sentences, including links to related Highspot resources]

**More information:** [Slack channel and/or DRIs]

**What's next:** [If relevant, include information about what the Field should plan to see or do next]
