---
title: "Field Flash Newsletter"
description: "Field Flash is a monthly newsletter that recaps all important Sales/CS-related information from the month and highlights important upcoming information"
---

## Overview

Field Flash is a monthly newsletter that recaps all important Sales/CS-related information from the month and highlights important upcoming information. The main goal of this communication is to **help the field sell better, faster, and smarter.**

Ongoing feedback and participation from the field is imperative to the success of this program. If you have feedback on the current process or would like to request a certain type of content or update for future newsletters:

- [Capture it using this quick process](/handbook/sales/field-communications/#sharing-feedback)
- Reach out in the #field-enablement-team Slack channel

## Target Audience

The newsletter is sent to members of the field (sales + customer success) and stakeholders (i.e. SDRs). **Please note that this email is considered confidential and is, therefore, intended for internal audiences only.** Please do not forward externally.

## Newsletter Tool

The newsletter is sent using the internal comms newsletter platform [Workshop](https://useworkshop.com/). This tool allows GitLab internal communications professionals to send targeted email newsletters to team members based on department, region, manager, location, start date and more.

Access to this tool is shared amongst internal comms teams such as Field Communications, GitLab corporate internal comms and others. The benefit of this tool is that it is internal comms-specific, meaning that the newsletter can only be sent to team members with a GitLab email domain.

## Opportunities/Requirements

After interviewing GitLab team members from across the org and surveying the Field, we identified the following as key requirements of the Field Flash newsletter:

The newsletter will...

**Uphold our [values](/handbook/values/) of transparency**

- The newsletter is for communication, the Handbook is for documentation. This means that the newsletter disseminates updates but leans on the Handbook (and other relevant resources) as the main source of documentation, linking back to it wherever possible.
  - Note: A tangential benefit of this approach is that it allows us to improve the [Sales Handbook](/handbook/sales/) during this process.

**Prioritize repetition, brevity, user-friendliness and added value**

- The newsletter focuses on short lists and bullet points and links out to more robust resources (e.g. Slack and Highspot).
- Repetition is key to adoption. We do not focus on a single channel, but rather notify the field of a new newsletter via Slack.
- We don't want the team to see the newsletter as more noise. A key to adoption will be successfully positioning it as THE resource to learn whats new and recap important information. Everything will be tied back to the payoff to the seller when possible.
- We must reconcile the fact that this newsletter is yet another increase in communication. We leverage it to cut down on other communications when possible.

**Be fun to look at and read**

- A focus on multimedia is important in order to help the newsletter break the monotony of text we sift through each day.
- We use images, GIFs, emoji, and video where possible. For example, instead of doing a written win-wire, we will interview the individual and embed that 30-60 second video in the newsletter.

**Help the Field operationalize key messages**

- We organize information around our 3 main value drivers when possible.
- We frequently reiterate SKO messages through video clips and use-case examples.

**Be an opportunity for the Field to "learn themselves"**

- A peripheral goal of the newsletter is to advertise helpful resources to the Field. We will provide helpful information in hopes that it will encourage team members to seek out the source of that information and look for additional information once there.

**Highlight *all* aspects that make a big win possible**

- There are a lot of new reps who are still ramping, and they want to learn from others. We will spotlight everything that went into winning a deal, including any customer-facing presentations, RFPs, whitepapers, etc. Other team members can reference these later, and it may save them cycles by not having to duplicate work.
- We will include context around partners and alliances when they play a role in a deal.

**Keep the onus on individuals to stay informed**

- GitLab is asynchronous, and this update is no exception. The onus remains on individual team members to stay informed and connected. The newsletter is not a substitute for the Handbook or other resources salespeople should be leveraging on the day-to-day.

**Be general enough to allow us to remain segment-agnostic**

- The newsletter will include general updates and resources that are applicable to most, if not all, team members. Future field communications programs will enable individual field segments (CS, ENT, COMM, PubSec, etc.) with more frequent updates that are tailored to their teams (e.g. [Field Update Tickers] (/handbook/sales/field-communications/field-update-tickers/)).

**Be built out in the open**

- The newsletter content will be compiled in an issue each month within the [Enablement project](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement). Any team member is welcome to contribute or make requests. See more information in the Process section below.

**Uphold our value of "everyone can contribute" – we will measure success and [gather feedback often](/handbook/sales/field-communications/#sharing-feedback)**

- We will measure success using a combination of quantitative and qualitative success metrics. See Measurement section below.
- Giving feedback or making requests will be easy, and all input will be considered and addressed.
- The team is committed to upholding the value of the newsletter – information should be relevant, feedback should be actioned on, and leadership should help reiterate by pointing to it as a useful resource for their teams.

## Format

Based on the requirements above, this is the current iteration of the newsletter format:

1. Featured
   - The announcement we think is most impactful to the Field. We will try to communicate this in an image with 1-2 lines of text + 1-2 links to references. Note that not all issues will have a featured article.
1. Deal of the month
   - Video of sales/CS team member(s) overviewing the opportunity and/or customer and explaining how they won the deal + links to any customer-facing collateral they used (that can be publicly shared).
1. New and noteworthy resources
   - New skills and tools like competitive intel, customer case studies, or a customer proof point highlight.
1. Did you know?
   - Updates from sales ops and other stakeholders related to changes in the way we work or interact with other teams.
1. Upcoming events
   - Where GitLab will be over the next two months, divided by region. What webinars and other virtual events we will participate in.
1. Enablement corner (space permitting)
   - Updates from Field Enablement regarding new or updated trainings + opportunities to reinforce Field learning objectives. (i.e. Did you know...?/Did you remember that...?)
1. Channel corner
   - Updates from Field Enablement/Channel & Alliances team regarding new or updated trainings, opportunities or news about Channel and/or Alliances. (i.e. Did you know...?/Did you remember that...?)

## Process

The newsletter is typically sent out **on the first Monday of each month at 9 am PT**.

We build the newsletter in an issue in the [Enablement project](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement). The process for the issue includes:

- The issue for the upcoming newsletter is opened at least three weeks before first Monday of the next month.
- Relevant stakeholders/contributors are tagged in the issue each month to provide content or review suggested content in the outline.
- Contributed content is due no later than one week before the planned send date (first Monday of each month) to allow time for drafting, design, and reviews. Exceptions can be made in special cases – please reach out to the Field Communications team in the #field-flash-contributors channel to discuss.
- Once the outline is complete, Field Communications drafts the newsletter in a Google document linked to in the issue  and then imports the content into the newsletter template in Staffbase.
- Field Communications sends the newsletter test email to relevant leaders and stakeholders for review no more than two business days before planned send date.
- Reviewers provide feedback no later than 3 pm CT on the business day before the planned send date to allow time for revisions and scheduling.
- Field Communications schedules the newsletter to send at 9 am PT on the planned send date.
- Once the newsletter goes live, Field Communications sends a reminder to the field in the #sales, #customer-success and #sdr_global Slack channels
- On the Monday following the newsletter send, Field Communications captures the newsletter performance data in the issue and then closes it.

To be added to the newsletter distribution list, please reach out in the #field-enablement-team Slack channel.

## Deal of the Month Nominations

Deals that qualify for the Deal of the Month video meet most of the criteria below.

While submissions often come from Sales leadership, nominations can and should be made by any GitLab team member - everyone can contribute! To make a Deal of the Month nomination, please reach out directly to the Field Communications Specialist (Shannon Thompson). Nominations close 7 business days prior to the target publish date (first Monday of each month). Any nominations received after this date will be considered for the following month's edition. Note that, in an effort to feature recent deals, nominations are only valid for one edition cycle, i.e. nominations do not carry over to a future month if not selected.

**Deal of the Month Criteria**

- This deal is a shining example of what great looks like. New and tenured team members would benefit from learning about all of the work and various components that went into it.
- The deal is a good example of "landing with vision and expanding with purpose."
- The team member articulated a defensible "Why do Anything."
- Team member and/or account team successfully formed a meaningful relationship with the customer/prospect, earning their trust as a part of this deal.
- The Close Plan for high fidelity line items includes dates with actions/outcomes.
- Team member and/or account team used the value framework to guide the conversation with the customer/prospect.
- Team member and/or account team successfully used the MEDDPICC methodology for opportunity management.
- Team member and/or account team exhibited [GitLab's values](/handbook/values/) in this process.
- Team member and/or account team received positive feedback from the customer/prospect or from another GitLab team member as a part of this deal. (Please share if possible.)

## Measurement

Quantitative Success Metrics

- Total email open rate (including original send and follow-up send)- Average open rate of 80% in FY24.
- Click rate - Average click rate of 20% in FY24.
- Increased sentiment around information flow - 10% increase in "agree/strongly agree" responses to this survey question: "As a sales/CS team member, I feel informed on all critical information related to my role." in FY25## P

## Past Newsletters

All past editions of the Field Flash are accessible through [Highspot](https://gitlab.highspot.com/spots/615dd82071cff4c4b2bcbc32?list=62d80bf826d446a808c6d3ab&overview=true), our go-to-market (GTM) content portal / asset management system.
