---
title: "Field Flash Newsletter - Edition 2020-04-02"
description: "March edition of the Field Flash Newsletter sent to the GitLab Field (Sales, CS, SDR) team and stakeholders"
---

*This email newsletter was originally sent to the GitLab Field Team and stakeholders on 2020-04-02.*

## We're Live! Time to Level Up with Field Flash. ⚡️

Welcome to the Field Flash newsletter! This monthly newsletter recaps important field-related updates from the month prior and highlights important information for the months ahead. The main goal is to help you do your job better, faster, and smarter. For more information, [see this handbook page](/handbook/sales/field-communications/field-flash-newsletter/#overview). Now, without further ado...

### The GitLab Partner Program is here

This program will help us create partner-initiated sales opportunities and partner services that ultimately **drive greater value for our customers and GitLab**. To take full advantage of the program, you need to understand how it impacts you (i.e. new fields and processes in SFDC) and how you can best engage the channel & alliances team for partner opportunities. Check out:

- New and improved [Channel handbook page](/handbook/resellers/) - An overview of the program and all of the latest and greatest updates.
- Channel Operations Update [slides](https://docs.google.com/presentation/d/1kf1ofVydzIddoudVJDBuIPl6rIot_8DNOKWzYoNJN4M/edit#slide=id.g810ab95d82_0_594), [video](https://gitlab.zoom.us/rec/share/2_J1CLX72zlORJ3S0FzuQ7VxH5y1eaa81CJMrKIImB0ktTckBKmLLsekOwNB8IyB), and [handbook page](/handbook/sales/channel/)  - Existing and new channel processes that impact day-to-day work.

Questions? Slack:

- channel-sales: Sales questions
- alliances: Alliances team
- channel-ops: Operational/systems questions

### Deal of the Month 🏅

Joe Miklos walks us through a large deal he's working through.

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/Un_lSHbqQzU" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

Check out a copy of the [Timeline of Events calendar presentation](https://docs.google.com/presentation/d/1uBjRIgF-50RJKQW1CZKGGcr_wuZEvcB0xFR8cuBVJ8A/edit#slide=id.g5f37a274b5_0_0) that Joe uses.
Have a deal you'd like to nominate? Fill out the [nomination form](https://forms.gle/7AYwzgFStrai5D2F7).

### New and Noteworthy Resources 📓

COVID-19 has shaken up the way that many companies work, and we are in a unique position to help. Pick from the list of resources below, share with those who can benefit from it, lend a helping hand.

- [GitLab's Guide to All-Remote](/handbook/company/culture/all-remote/guide/) - A comprehensive resource that highlights what "all-remote" really means and how we put it to practice.
- Need something shorter? Darren Murph's blog, [Resources for Companies Embracing Remote Work](https://about.gitlab.com/blog/2020/03/06/resources-for-companies-embracing-remote-work/), is a quicker share.
- Video content? Here's [LinkedIn's interview with Sid](https://www.youtube.com/watch?v=CsLswGz6J5s&feature=youtu.be) about his tips for a productive all-remote workforce.

ICYMI, check out McB's message to the team for his thoughts on COVID-19, the economy, and some actions we are taking as we continue to grow and invest during a challenging time. [Watch Now -->](https://www.youtube.com/watch?v=nYUaAAPY1O8&feature=youtu.be)

We have passed our SOC2 Type 1 audit and now have a report available to share with customers and any prospects covered under NDA. This may satisfy the need for some customers/prospects regarding information security questionnaires. [See Handbook for Details -->](/handbook/security/security-assurance/security-compliance/certifications/)

New case study alert for a company that we all know and love – Chorus. Read for some great referenceable tidbits, like how we've helped them reduce some production cycles from 6 weeks to 1 week. [Read More Here -->](https://about.gitlab.com/customers/chorus/)

Ever wonder what happens to the command plan after the deal is signed? Check out this model success plan from Jamie Reid (CSM), Ken KcKnight (SA), and Joe Miklos (SAE) to see how that data lives on post-sale to determine a customer's positive business outcomes and the plan for how GitLab will help them get there. [Check it Out -->](https://docs.google.com/document/d/1SG3-iMWbw5sieC5AHzu8jtgccGS9cVeV7TwQfxfmB_E/edit#)

There's a notable update to the [GitHub comparison page](https://about.gitlab.com/competition/github/) that highlights GitHub Enterprise challenges in scaling, HA, and ZeroDowntime upgrades and contrasts how GitLab delivers those requirements. Also, check out these shiny new comparison pages:

- Buildkite: A continuous integration tool thats main value proposition is the ability to run multiple parallel tests that shorten time to deployment.
- LaunchDarkly: A feature delivery and feature management service offering.

### Did You Know? 🔢

New sales processes are in place that will allow us to standardize messaging around COVID-19 and the impact it's having on customers/prospects. [Read the new handbook section for full details on process changes](/handbook/sales/#corona-virus-impact-to-business-tracking) including:

- Add the string #covid in the SFDC Opportunity field [CP] Close Plan
- Assess and flag each SFDC Deal using the "COVID-19 Risk Scale" field

GitLab just released a new COVID-19 Medical Leave Policy that offers up to 12 weeks of leave with full pay to GitLab team members who are impacted.

- [See the full policy](/handbook/total-rewards/benefits/covid-19/#covid-19-medical-leave-policy) or reach out to the Total Rewards team with questions.

### What's New in GitLab 🚀

The GitLab 12.9 release just went live! Here are the takeaways for customers and prospects:

- Reduce Security and Compliance Risk: Organizations storing secrets (anything they want to tightly control access to, such as API keys, passwords, certificates, or tokens) for infrastructure and applications centrally in Hashicorp Vault can now install it as a managed app at the project level - giving them enhanced security functionality.
- Increase Operational Efficiencies: Companies can now customize the stages in the Value Stream Analytics in order to visualize and manage their end-to-end workstreams in a way that makes sense to them and aligns with the right metrics for their business. Previously, the lifecycle stages were fixed to the DevOps loop, which may not be suitable for everyone.
- Deliver Better Products Faster: Organizations can now manage deploy tokens in bulk at the group level as well as create, list, and revoke deploy tokens via APIs - helping administrators manage authentication to the registry more efficiently.

[Visit the 12.9 Release Post for more details](https://about.gitlab.com/releases/2020/03/22/gitlab-12-9-released/)

### Upcoming Events 🎟

Note that all in-person regional events are still tentative due to risks surrounding COVID-19. Please refer to the specific linked issue for each event for details as they unfold.

**Virtual**

- [LeadDev Virtual Conference](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1221), April 7 & 8
- [Webcast: Deploy AWS Lambda applications with ease: Learn how with AWS Serverless Application Model and GitLab CI/CD](https://about.gitlab.com/webcast/aws-gitlab-serverless/), April 9 @ 9am PT
- [Upleveling Your Security Posture - Ecocast](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1203), April 22
- [Virtual DevOps Automation Workshop, East Coast](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1218), April 28
- [EMEA Webinar CI/CD featuring a GitLab customer](https://gitlab.com/gitlab-com/marketing/digital-marketing-programs/-/issues/2333), April 30
- [France & French MEA Virtual Workshop](https://gitlab.com/gitlab-com/marketing/digital-marketing-programs/-/issues/2419), May/June 2020

**AMER East NE & SE**

- [DevOps Days - Porto Alegre](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1085), May 22-23

**AMER East-Central**

- [GoTo Chicago 2020 Virtual Conference](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/996), April 27 - April 29

**AMER ALL**

- [CIO Summit - Sarasota, FL](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/981), May 27 - 29

**EMEA Southern Europe**

- [GitLab Connect Toulouse, France](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/869), May 19

### Enablement Corner 🧠

Session recordings from Sales Kickoff are here! Get access to slides and video recordings from popular sessions like "Product Strategy & Vision," "Sales & Marketing Strategy & Vision," and "Leveling Up with Partners at GitLab." [See all available recordings in the Handbook -->](/handbook/sales/training/sko/#sales-kickoff-2020)

The new Sales Standard Operating Procedures (SOP) page outlines in detail the process for phase one of the sales cycle: Engaging & Educating the Customer. SOPs for other phases coming soon! [Check it out -->](/handbook/sales/sales-operating-procedures/engage-and-educate-the-customer/)

### Team Member Spotlight 🔦

Chloe Whitestone was nominated for her unwavering dedication to being handbook first and demonstrating the CREDIT values everyday. Learn more about Chloe, including what she says you *should* know about her...

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/r-8H75FCBLo" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

To nominate a peer, fill out the [nomination form](https://forms.gle/cBjiRzQ7y87Fdmu79).

---

*Questions or feedback? We want to hear it! Reach out to the field-enablement-team Slack channel or capture it in the [Newsletter Feedback Issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/160).*

*See the [Field Flash Newsletter handbook page](/handbook/sales/field-communications/field-flash-newsletter/) for more information about this newsletter.*

*Archive: Edition 1, Description: March 2020 Field Flash*
