---
title: "Field Flash Newsletter - Edition 2020-05-05"
description: "April edition of the Field Flash Newsletter sent to the GitLab Field (Sales, CS, SDR) team and stakeholders"
---

*This email newsletter was originally sent to the GitLab Field Team and stakeholders on 2020-05-05.*

## GitLab Field Flash: Your Top Field Highlights from April ⚡️

Happy Q2! In this month's [Field Flash](/handbook/sales/field-communications/field-flash-newsletter/#overview), you'll find new resources to compete with GitHub, important updates about Chorus, a new EMEA case study, more information about the Women in Sales Mentorship pilot program, and much more. Also, John May overviews his deal of the month, and we get to know Mike and Steve Terhar in the Family and Friends edition of Team Member Spotlight.

### New Resources to Take on GitHub

On April 14, 2020, GitHub [announced](https://github.blog/news-insights/product-news/github-is-now-free-for-teams/) pricing changes, including private repositories with unlimited collaborators. **Looking for more information and in-depth competitive resources?** Check out:

1. [Updated GitHub vs. GitLab Comparison Page](https://about.gitlab.com/competition/github/) - Includes a comparison infographic and a complete list of GitHub's gaps and associated impacts.
1. [GitHub License Competitive Update](https://docs.google.com/presentation/d/1xVwIBrsrEIKjfdev9E4T7YaSQT_LVtH_kuex7wqAA_U/edit#slide=id.g29a70c6c35_0_68) - A deep-dive into GitHub license changes as a result of their announcement.
1. [New GitHub-GitLab Comparison Summary](https://docs.google.com/presentation/d/1WAim4zkwaurifcaJn3bZp31CIzzf8AhnGTcbIdXpug8/edit#slide=id.g6fc8bb1d32_0_190) - GitLab capabilities missing in GitHub.
1. [GitHub CI/CD Analysis](https://docs.google.com/presentation/d/1fDzXpgmvKyLpT0QTsGFnisFUeceNPsaL66vRVJ-sdpg/edit#slide=id.g730aeab9dc_0_262) - Comparison of how GitLab and GitHub deliver certain CI/CD capabilities.

Or, check out the [Field Enablement Webinar recording](https://www.youtube.com/watch?v=1iMBhe0wUdI&feature=youtu.be) for an overview of the above resources from the Competitive Intelligence team. Questions? Slack #competition.

### Deal of the Month 🏅

John May walks us through a large deal he's been working on since 2017 – sharing tips for competing with GitHub, winning with alliance partners like AWS, setting relevant success criteria, building customer trust, and expanding with purpose.

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/wWXS3tJVT3o" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

Check out John's [success criteria](https://docs.google.com/document/d/1iAL19usYAX0Q2cYlrbZA6CCCDKD-oz8u9FkFmTrnHoc/edit?usp=sharing) and [executive sponsor briefing document](https://docs.google.com/document/d/15qv9l7hnxu6DQfIhr7H0nujHWDqX30Ov6-okgqNS68g/edit?usp=sharing). (Bonus: Here's [another example of success criteria](https://docs.google.com/document/d/1O9Q1FHmb834kHCjZ6eZVAkGS2N4glgmCE0RrHE057P8/edit) for a financial institution in APAC.)

Have a deal you'd like to nominate? Fill out the [nomination form](https://forms.gle/7AYwzgFStrai5D2F7).

### New and Noteworthy Resources 📓

ICYMI, check out the FY21-Q2 GTM Field Update, which includes brief overviews from Sales, Product, Marketing, CS, Channel and Field Ops. [Watch Now -->](https://www.youtube.com/watch?v=WNNToTvIVbM&feature=youtu.be)

The Women in Sales Mentorship pilot program has launched! Interested in being a mentor or mentee to advance opportunities for women in sales? Apply by May 8. [See Handbook for Details -->](/handbook/people-group/women-in-sales-mentorship-pilot-program/)

The new "How to Deploy on AWS from GitLab" whitepaper provides screenshots and instructions for using GitLab with five popular AWS services: Lambda/SAM, EKS, ECS, EC2, and Fargate. [Check it Out -->](https://about.gitlab.com/resources/whitepaper-deploy-aws-gitlab)

The Channel Program was announced externally on April 21 and generated a lot of positive media coverage, including a featured article in CRN. [Read and Share -->](https://www.crn.com/news/cloud/gitlab-introduces-first-channel-program-to-drive-devops-alliances)

We have added a new section to clarify reporter user pricing in our Pricing Handbook Page. [Learn More -->](/handbook/company/pricing/#reporter-user-permission-pricing)

### Did You Know? 🔢

ABM campaigns are now being launched on an ongoing basis. **Accounts that are in our ABM strategy will include the 'GTM strategy' field in Salesforce.** And, you can check out the new Demandbase section in Salesforce to [view intent](/handbook/marketing/account-based-marketing/) data for accounts. For more information:

- [ABM Handbook Page](/handbook/marketing/account-based-marketing/)
- [Nominating an account](/handbook/marketing/account-based-marketing/)
- [When will an account move?](/handbook/marketing/account-based-marketing/)

---
Due to the new requirement of passwords in Zoom meetings, Chorus is unable to join calls unless certain updates to Zoom settings have been made.

Follow the [quick instructions](/handbook/business-technology/tech-stack/#chorus) in the Handbook.

---
A new **Partner Information section has been added to all opportunities in SFDC to ensure proper tracking** for all channel opportunities. If you are working a deal with a GTM route of Channel, ensure this section properly reflects the partners involved in the deal. In the case of a Partner Initiated Opportunity from the partner portal, these sections should already be populated, but please double check before closing your deal.

Questions? Reach out to #channel-ops or [visit the Handbook](/handbook/sales/field-operations/channel-operations/).

---
We are moving [group-level IP restriction](https://docs.gitlab.com/ee/user/group/#ip-access-restriction) from Ultimate to Premium. This move is tentatively scheduled for the 13.1 release.

[Watch this video](https://www.youtube.com/watch?v=e2pgJlqwZvw&feature=youtu.be) for more details, and leave questions in the [public issue](https://gitlab.com/gitlab-org/gitlab/-/issues/215410).

---
GitLab's user conference, **[Commit](https://about.gitlab.com/events/commit/), is coming soon** (virtual and in-person) and our [Call For Papers](https://docs.google.com/forms/d/e/1FAIpQLSe9_KaaOE0vnMVkAOLSg58V_4WiJffiFsVRpDO904Q4slpZSg/viewform) is open. Have a contact that should apply? Let them know! Deadline is June 1.

See the [main epic](https://gitlab.com/groups/gitlab-com/marketing/-/epics/668) for full details.

### What's New in GitLab 🚀

The GitLab 12.10 release just went live! Here are the takeaways for customers and prospects:

- Reduce Security and Compliance Risk: GitLab 12.10 included the first MVC of Requirements Management, the first step towards full-blown requirements management with traceability from requirements all the way through to code. We also delivered key compliance features such as Compliance Framework Labels for projects, HIPAA audit project template, and improvements to the compliance dashboard — all of which help customers deliver faster, more efficiently, without sacrificing compliance.
- Increase Operational Efficiencies: Companies can more easily manage multiple projects by tracking and sharing the health status of issues, and they can spend less time switching between tools and more time focused on building great software by leveraging our Jira issue importer.
- Deliver Better Products Faster: Organizations can use GitLab's autoscaling ability on AWS Fargate to auto-scale runners, accelerating delivery and allowing pipelines to efficiently scale to meet demand.

[Visit the 12.10 Release Post for more details](https://about.gitlab.com/releases/2020/04/22/gitlab-12-10-released/)

### Upcoming Events 🎟

Note that all in-person regional events are still tentative due to risks surrounding COVID-19. Please refer to the specific linked issue for each event for details as they unfold.

**Virtual**

- [GitLab for Education Virtual Meetup](https://gitlab.zoom.us/meeting/register/uJUsdOChqToqDTTzNYTQcRQvMx6Ze7iqWQ) - May 6
- [Apex Virtual Thought Leadership Roundtable](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1266) - May 12
- [Spring IT Virtual Summit](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1205) - May 27
- [Agile + DevOps Virtual Conference](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1309) - June 8-11
- [Digital DevOps Series: How to Reduce DevOps Cost](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1262) - June 18
- [Fintech Developer Forum: Past, Present, Future](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1292) - June 25

**AMER**

- [GitLab DevOps Automation Workshop, East/Central (Virtual)](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1303) - June 26
- [Automation DevOps Virtual Workshop, West Coast (Virtual)](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1308) - June 17

**APAC**

- [Cloud Strategy & DevOps Summit NZ 2020](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/732) - June 17

**EMEA**

- [GitLab Virtual Connect France](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/869) - May 19
- [GitLab Virtual Workshop France](https://gitlab.com/gitlab-com/marketing/digital-marketing-programs/-/issues/2419) - May 20
- [Virtual Cloud DeveloperDays 2020 Conference, Poland](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1267) - May 26
- [Virtual DevOps Enterprise Summit (DOES)](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1084) - June 23-25

### Enablement Corner 🧠

The GitLab Value Framework v1.1 is now available! This includes updates based on your feedback of [Command of the Message](/handbook/sales/command-of-the-message/). Have feedback you'd like to share for future iterations? Follow these steps.

- [Check out a summary of what's changed -->](https://internal.gitlab.com/handbook/sales/command-of-the-message/value-framework-iteration/#version-11-may-2020) (internal only)
- [Download the latest version -->](https://docs.google.com/document/d/1LKYY7kJPKUhzfYnBWNdrigpYpEtxFKxbvyAEUF1nwqY/edit?usp=sharing)

Learn the top 10 reasons organizations should not start with GitLab Starter in this 10-minute video from Haydn Mackay and Saumya Upadhyaya. [Watch the video -->](https://www.youtube.com/watch?v=Np8MyDorw5U&feature=youtu.be)

The new Sales Standard Operating Procedures (SOP) page outlines in detail the process for phase two of the sales cycle: Facilitating the Opportunity. [Check it out -->](/handbook/sales/sales-operating-procedures/facilitate-the-opportunity/)

New videos from Bryan Beck, IT Agility Director at a large Fortune 500 energy company, give a firsthand view into what life is like for a team using a fragmented DevOps toolchain, among other helpful insights. [Watch the videos -->](/handbook/sales/it-agility-director-interview/#challenges-with-a-fragmented-devops-toolchain-approach)

### Team Member Spotlight 🔦

In the spirit of Family and Friends Day, two nominations were chosen for this month's spotlight – Mike and Steve Terhar. Learn why these brothers were both nominated for embodying our values of collaboration and results.

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/YC5Vo1fWH-8" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

To nominate a peer, fill out the [nomination form](https://forms.gle/cBjiRzQ7y87Fdmu79).

---

*Questions or feedback? We want to hear it! Reach out to the field-enablement-team Slack channel or [capture it using this process](/handbook/sales/field-communications/#sharing-feedback).*

*See the [Field Flash Newsletter handbook page](/handbook/sales/field-communications/field-flash-newsletter/) for more information about this newsletter.*

*Archive: Edition 2, Description: April 2020 Field Flash*
