---
title: "Field Flash Newsletter - Edition 2020-06-05"
description: "May edition of the Field Flash Newsletter sent to the GitLab Field (Sales, CS, SDR) team and stakeholders"
---

*This email newsletter was originally sent to the GitLab Field Team and stakeholders on 2020-06-02.*

## GitLab Field Flash: Your Top Field Highlights from May ⚡️

Thanks to everyone who participated in Q2 QBRs! In this month's [Field Flash](/handbook/sales/field-communications/field-flash-newsletter/#overview), you'll learn about how Sales Ops is responding to your QBR asks in record time. You'll find new pricing resources, more info about how the Field Security team is self-serving the answers to more than 90% of customers' security questions, and more. Also, Sophie Pouliquen explains the importance of building customer trust, and we learn some fun facts about Matt Beadle in his Team Member Spotlight.

### Pricing Overview

There are multiple resources available to help you learn more about GitLab pricing. Check out:

1. [Field FAQ](https://docs.google.com/document/d/1M4T9xTHR5GRLgv-Q8gCVhxV7bT9TTyFDpXcmiVc5BoA/edit?usp=sharing) - Sales and CS-specific questions.  
1. [Company FAQ](https://docs.google.com/document/d/1qKs08DdN2DcVguxEzRWMPNh-FZK3o0RHe1CD_d5aNck/edit) - General company document.
1. [Customer FAQ](https://docs.google.com/document/d/11n5dsFFjFs_0RnM9-T5oO1GKjorDwO-w26vSZ9g8uuo/edit) - External-facing FAQs.
1. [Sales Enablement Webinar recording](https://www.youtube.com/watch?v=qn4rlhJ21Nw&feature=youtu.be) - Product marketing walks through pricing for the field team. [See the deck here.](https://docs.google.com/presentation/d/1b2M4ufzeJMLjfO5FVmBADWe7MEZ3ouOp_1nDmUSMjmc/edit#slide=id.g87a9962b0d_0_20)
1. [Pricing AMA recording](https://www.youtube.com/watch?v=llGakb2WNWA) - Xiaohe Li's, Principal Pricing Manager, company-wide AMA.

Questions? Feedback? [Contribute in this issue.](https://gitlab.com/gitlab-com/packaging-and-pricing/price-update-fy21/-/issues/30)

### Deal of the Month 🏅

Sophie Pouliquen explains how she and other members of this Top Account Team from SKO 2020 use a multi-dimensional and consultative approach to support that has helped build strong customer trust and fostered significant growth opportunities.

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/cHaEVGA6_dg" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

Have a deal you'd like to nominate? Fill out the [nomination form](https://forms.gle/7AYwzgFStrai5D2F7).

### New and Noteworthy Resources 📓

The Field Security team released a video explaining how you can close deals faster with their [Customer Assurance Package](/handbook/security/security-assurance/field-security/customer-assurance-package/), which addresses about 90% of security questions customers typically have. Questions? Slack #sec-fieldsecurity [Watch Now -->](https://youtu.be/4ITNKBvmKC0)

Hotjar, an all-remote behavior analytics company, decreased build time (CI) by 30% by switching to GitLab from Jenkins. (PS - [Watch this quick training on ReferenceEdge](https://www.youtube.com/watch?v=8Le_Ovglnq8&feature=youtu.be) to learn how to use the new tool to nominate customers for references and search for references to support sales opportunities.) [Read More -->](https://about.gitlab.com/customers/hotjar/)

Our competitive intelligence team recently completed a new analysis comparing GitHub and GitLab support. Read through the deck for a helpful side-by-side comparison. [Check it Out -->](https://docs.google.com/presentation/d/1-1kAayhvcyMhx3Sn_RxUqX1BGU1P4Y8s4Jf4TjKiwGs/edit#slide=id.g84fe3e1a05_0_612)

Our new 2020 DevSecOps Survey uncovered insights around faster releases and changing roles, based on the input of more than 3,700 DevOps practitioners from 21 countries. [Read and Share -->](https://about.gitlab.com/blog/2020/05/18/devsecops-survey-released/)

### Did You Know? 🔢

Following the recent Q2 QBRs, Sales Operations captured 200+ individual asks from our global field team members about how the team can operate better. They highlighted 3 key areas where they could focus their energy for fast iteration with maximum impact and embarked on a Cannonball Run to deliver value to the field by 2020-06-01:

1. [Quoting](https://gitlab.com/gitlab-com/sales-team/field-operations/sales-operations/-/issues/1048): **Overhaul & simplification of Sales Order Processing, new step-by-step quoting videos, order form updates, and a quoting survey to keep iterating**
   - Take the Quote to Cash Survey to ensure your voice is heard regarding future updates! (See #field-fyi Slack for details.)
1. [SFDC reporting](https://gitlab.com/gitlab-com/sales-team/field-operations/sales-operations/-/issues/1051): **SSOT dashboards for all Enterprise teams, clean up of 5k+ old items**
1. [Channel account clean up & PIO dashboard](https://gitlab.com/gitlab-com/sales-team/field-operations/channel-operations/-/issues/11): **SSOT for our growing Channel business**

Thanks to the Sales Ops/Systems team for demonstrating Iteration, Results & Collaboration to deliver fast and meaningful value to the field!

---
We have **launched a new read-only Slack channel called #field-fyi** to help streamline important field-related news and announcements. ⭐️ Star this channel to stay up to date. ⭐️ Learn more about [how to use this channel](/handbook/sales/sales-google-groups/field-fyi-channel/) and see our updated [Communicating with the Field](/handbook/sales/sales-google-groups/) Handbook page for a full list of field Google Groups and Slack channels.

---
Our CSMs **launched Gainsight to manage customer relationships.** Gainsight enables us to manage customer health, execute Command Plan goals through success plans, and drive customer stage adoption – all to increase growth, retention, and predictability.

Watch the [6-minute Gainsight Overview video](https://www.youtube.com/watch?v=vXwsWB8zAXA&feature=youtu.be) and [learn more in the handbook](/handbook/customer-success/csm/gainsight/).

---
There are **two new Education Services offerings** for customers and prospects:

1. InnerSourcing Training: Available through the standard SKU, the initial delivery of this course garnered positive feedback from customers.
1. [GitLab Certified Associate certification](https://university.gitlab.com/pages/gitlab-fundamentals-training): Starting this month, we're offering this certification to customers who attend the *GitLab Basics with Git* course at no additional cost.

To view a complete list of Education Services standard SKU offerings with pricing, see the [Full Catalog page](https://about.gitlab.com/services/catalog/).

### What's New in GitLab 🚀

The GitLab 13.0 milestone release is live! [Watch this video](https://www.youtube.com/watch?v=dStIhTP1ckg&feature=youtu.be) from Scott Williamson highlighting what themes you can expect to see in 13.0 releases. Here are the takeaways for customers and prospects:

- **Reduce Security and Compliance Risk:** Companies can take advantage of our improved Application Security Testing capabilities to help find and fix security vulnerabilities earlier. (On a related note, we were just named a Niche Player in the 2020 [Gartner Magic Quadrant for Application Security Testing](https://page.gitlab.com/resources-report-gartner-magic-quadrant-ast.html).) And, they can better manage vulnerabilities with improvements to the way we handle vulnerability objects end-to-end in GitLab.
- **Increase Operational Efficiencies:** GitLab 13.0 focuses on features that help businesses streamline existing software development processes in order to be more responsive and efficient. This includes things like simplified deployment to Amazon ECS and a new consolidated list of alerts that provides a single interface to aggregate IT alerts originating from multiple sources.
- **Deliver Better Products Faster:** Organizations can now view epic hierarchies on their roadmaps, visualize how epics line up with various milestones, and more in order to manage complex projects and rapidly collaborate and respond across the entire team. They can also rest easier knowing that critical Git repositories are safe with our enhanced Gitaly cluster for high availability Git storage.

[Visit the 13.0 Release Post for more details](https://about.gitlab.com/releases/2020/05/22/gitlab-13-0-released/)

To see what's ahead in 13.1, watch the [kickoff videos](https://www.youtube.com/playlist?list=PL05JrBw4t0KrgMRzgXIGTalGc6tzeoprn) or check out the [kickoff review page](https://about.gitlab.com/direction/kickoff/).

### Upcoming Events 🎟

Note that all in-person regional events are still tentative due to risks surrounding COVID-19. Please refer to the specific linked issue for each event for details as they unfold.

**AMER**

- [TechStrongCon Virtual Summit](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1380) - June 4
- [Agile + DevOps Virtual Conference](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1309) - June 8-11
- Webcast: Remote Work Q&A with GitLab Leadership (CRO) - June 10
- Rethinking DevOps for Business Resiliency Webcast - June 11
- [Digital DevOps Webcast Series: How to Reduce DevOps Cost](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1262) - June 18
- [Apex Virtual CIO National Summit](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1407) - June 23
- [DevOps Automation Virtual Workshop (North America)](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1308) - June 23
- [Fintech Developer Forum Webcast: Past, Present, Future](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1292) - June 25

**APAC**

- [Australian Fed Gov GitLab Virtual Webinar (PSN)](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1253) - June 22
- [BFSI Virtual Round Table (FST Media)](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1254) - June 22

**EMEA**

- [CI/CD Italian Webcast](https://gitlab.com/gitlab-com/marketing/digital-marketing-programs/-/issues/2371) - June 23
- [Virtual DevOps Enterprise Summit (DOES)](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1084) - June 23-25

### Enablement Corner 🧠

The Enablement team – along with the help of some special guests – has created a quick video guide for easily accessing Command of the Message and other sales training materials, navigating the most commonly used sales resources, and more. [Watch now -->](https://www.youtube.com/watch?v=1EwOWJxsluc&feature=youtu.be)

Congratulations to Jordan Goodwin, Cherry Han, Kaleb Hill, Marcus Stangl, and Sean Hoyle for winning the Enterprise "Land with Vision, Expand with Purpose" account planning contest! [Watch this video](https://www.youtube.com/watch?v=aoKREUaVxSo) and [follow along with their deck](https://docs.google.com/presentation/d/1idY4UXnarAsWYtau4wHy2K9ZLJVRxR2aCiQ_lgKtnAY/edit#slide=id.p2) to learn more about the team's winning work on this account -->

### Team Member Spotlight 🔦

Matt Beadle was nominated for continuously going above and beyond in his new role as Inside Sales Representative for Enterprise West. Learn more about how Matt embodies our values of collaboration and efficiency to support customers with a personal touch, and the crazy fashion trend he says he still rocks... 😎

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/HntLH87nMWY" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

To nominate a peer, fill out the [nomination form](https://forms.gle/cBjiRzQ7y87Fdmu79).

---

*Questions or feedback? We want to hear it! Reach out to the field-enablement-team Slack channel or [capture it using this process](/handbook/sales/field-communications/#sharing-feedback).*

*See the [Field Flash Newsletter handbook page](/handbook/sales/field-communications/field-flash-newsletter/) for more information about this newsletter.*

*Archive: Edition 3, Description: May 2020 Field Flash*
