---
title: "Field Flash Newsletter - Edition 2020-07-07"
description: "June edition of the Field Flash Newsletter sent to the GitLab Field (Sales, CS, SDR) team and stakeholders"
---

*This email newsletter was originally sent to the GitLab Field Team and stakeholders on 2020-07-07.*

## ⚡️ GitLab Field Flash: Your Top Field Highlights from June ⚡️

In this month's [Field Flash](/handbook/sales/field-communications/field-flash-newsletter/#overview), you'll learn more about our new Competitive Intelligence resource page, internal pricing handbook, new Ecosystem Technology Partner (OverOps), team member ProServ testimonials, and more. Plus, we highlight Steve Challis' strong channel partner Deal of the Month, and we learn more about Martin Brümmer in his Team Member Spotlight. (***Pro Tip:*** Don't forget to click the "View entire message" link at the bottom of this email when viewing in Gmail to see the full newsletter each month!)

### Your Latest Competitive Resources

There are multiple **new Competitive Intelligence resources** available to aid you in customer conversations. For the latest-and-greatest, make sure you've checked out:

1. GitLab's new [Compete Page](https://about.gitlab.com/why-gitlab/) - This will take the place of Crayon as your SSOT for competitive sales resources. For more information, watch the latest [Competitive Intelligence Sales Enablement Webinar](https://youtu.be/S_z_hgf3ASc).
   - Heads up - GitLab will continue to maintain the [DevOps Tool Landscape](https://about.gitlab.com/competition/) page.
1. [Hear Sid's POV on GitHub](https://www.youtube.com/watch?v=ZpJany2-mts&feature=youtu.be) - Listen as Sid highlights key differentiators between GitLab and GitHub and how well-positioned we are in the DevOps market.

Questions? Feedback for the team on content you'd like to see? Slack #competition.

### Deal of the Month 🏅

Steve Challis, Strategic Account Executive UK, is joined by Brandon Jung, VP Alliances, and Kevin Franklin, Channel Sales Manager UK, to discuss a recent deal with a large electronics company. Learn more about how our partner, McKinsey, played a huge role in this deal and the potential of what we can achieve together with an engaged, inspired channel.

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/H1jG--VYrFc" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

You can find the pre-written security questionnaire and SOC Compliance reports that Steve mentioned in GitLab's [Customer Assurance Package](/handbook/security/security-assurance/field-security/customer-assurance-package/).

Have a deal you'd like to nominate? Fill out the [nomination form](https://forms.gle/7AYwzgFStrai5D2F7).

### New and Noteworthy Resources 📓

In order to avoid confusion caused by disparate issues and Google Docs, the core PnP team has created an Internal Pricing Handbook that will house all pricing-related information and resources. This will now serve as the pricing single source of truth. [Check it Out -->](https://gitlab-com.gitlab.io/packaging-and-pricing/pricing-handbook/handbook/consumption_pricing/)

Welcome our newest Ecosystem Technology Partner, OverOps! Check out the blog post below for more details on OverOps support for GitLab. Also, watch the [2-minute demo](https://youtu.be/zFGrsljY8UU) of the OverOps plugin for GitLab and invite your customers to our [joint webinar](https://go.overops.com/R00k00gQ0i003000BYXMMJ0) on July 22. [Read and Share -->](https://go.overops.com/j0jQ0g3kB000000JXir0Q00)

Not one, but two new case studies are available. Learn why global tech company NVIDIA relies on GitLab Geo for stability and security. And, learn how more than 10,000 GitLab users at Sopra Steria, a large French tech company, are using our platform to fuel their digital transformation. [Read More - NVIDIA -->](https://about.gitlab.com/customers/nvidia/) [Read More - Sopra Steria -->](https://about.gitlab.com/customers/sopra_steria/)

We recently added a Cross-Culture Collaboration Guide to the Handbook to help GitLab team members practice effective and inclusive communication and cross-cultural collaboration globally; irrespective of culture or background. [See the Handbook for Details -->](/handbook/company/culture/cross-culture-collaboration-guide/)

The Field team is piloting Focus Fridays through the Summer. Consider adopting Focus Fridays in your schedule to allow time for focused work and reduce potential burnout. [See the Handbook for Details -->](/handbook/sales/sales-meetings)

### Did You Know? 🔢

Effective immediately, we will follow **a revised SPIFF payout for GitLab-delivered and partner-delivered services**. Highlights include larger deal size support, more opportunities for SPIFF, and added availability for CSMs for growth service opportunities over $25k. Plus, we have lowered the minimum engagement amounts for our Partner Services incentive to drive greater partner interest in delivering services around GitLab deployments.

For the full details, please see the [updated compensation deck](https://docs.google.com/presentation/d/1lPZAmdHPPJwhJ4felwsgDXopIt7Usn3UnK5siOpQMlY/edit#slide=id.g88c7cba71f_10_1) and [updated Channel Partner Handbook page](/handbook/resellers/#definitions-and-qualifications).

---
The PS team has put together a great **resource to help you position the value proposition of Professional Services to customers and prospects**. In it, you'll find:

1. Internal testimonials on PS - How your Sales peers say Professional Services helped their customers
1. Stats about typical PS customers - Help you better anticipate customer fit
1. PS value drivers - Map the benefit of Professional Services to our three value drivers

[Read it today](https://docs.google.com/document/d/1TMZe6yNbvdz9Sfq4pz-i0DHMLnai2Kjqw7HKkqzwpSo/edit#).

---
The Deal Desk team used your **feedback from the recent Quote to Cash survey** to uncover valuable insights about the most challenging and time consuming aspects of the quote to cash process at GitLab and the top-requested areas of improvement. Immediate changes include:

1. A [new quote validation rule](https://gitlab.com/gitlab-com/sales-team/field-operations/systems/-/issues/541) that will prevent order forms from being created without complete addresses.
1. A [new channel quote approval process](https://gitlab.com/gitlab-com/sales-team/field-operations/systems/-/issues/806) to alleviate the current pain points surrounding channel quotes. (On track for completion at the beginning of Q3.)

[Check out this issue](https://gitlab.com/gitlab-com/sales-team/field-operations/sales-operations/-/issues/1205) for a full breakdown of the survey results and steps Deal Desk is taking to action your feedback.

---
**Registration for our GitLab Virtual Commit is now live!** This is a 1-day immersive user conference that will run a full 24-hours on 2020-08-26. Please invite your customers, prospects, and LinkedIn connections to attend for free by signing up at this link: https://bit.ly/386sPUk.

---
The Customer Reference Team is actively managing our presence on Peer Review sites such as [Gartner Peer Insights](https://www.gartner.com/reviews/market/devops-platforms/vendor/gitlab/product/gitlab) and [G2](https://www.g2.com/products/gitlab/reviews). These sites also give us active Customer Quote Assets that can serve as **helpful resources for *you* to help demonstrate the value of GitLab to your customers and prospects**. For more information:

1. Learn more about how we manage Peer Reviews on [this Handbook page](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/customer-advocacy/peer-reviews/)
1. View [assets you can drop into your slide deck](https://docs.google.com/presentation/d/13tHJ1BgABMTwt0gZeP_hZK0B96Ui2FUrMWFVmFtT9Nw/edit#slide=id.g6e8641c747_0_8)
1. Find out how to make a [Peer Review Request](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/customer-advocacy/peer-reviews/#requesting-peer-review-help-in-an-issue) if you don't see what you need

### What's New in GitLab 🚀

The GitLab [13.1 release](https://about.gitlab.com/releases/2020/06/22/gitlab-13-1-released/) is live! Here are the takeaways for customers and prospects:

- **Reduce Security and Compliance Risk:** Enhanced and extended security and compliance features including a policy management UI for network container policies, group-level vulnerability exports for audits or internal reviews, and helpful UX improvements to the Security Dashboard make it easier for customers to achieve a fully secure, compliant SDLC.
- **Increase Operational Efficiencies:** GitLab's Alert Management aggregates and ranks IT alerts from all of customers' services to simplify assessment and remediation, helping them increase productivity and research and address critical issues right away.
- **Deliver Better Products Faster:** Organizations can boost the speed and accuracy of their code reviews and address errors in recently-modified code immediately with new features to improve code quality that include code coverage tracking over time and native code intelligence.

[Visit the 13.1 Release Post for more details](https://about.gitlab.com/releases/2020/06/22/gitlab-13-1-released/)

To see what's ahead in 13.2, watch the [kickoff videos](https://www.youtube.com/playlist?list=PL05JrBw4t0KpXxCFwknhvPKj33B_5O4t9) or check out the [kickoff review page](https://about.gitlab.com/direction/kickoff/).

### Upcoming Events 🎟

Please refer to the specific linked issue for each event for details as they unfold.

**AMER**

- [GitLab and HashiCorp - A holistic guide to GitOps and the Cloud Operating Model](https://about.gitlab.com/webcast/gitlab-hashicorp-gitops/) - July 8, 2020
- From DevOps to DevSecOps: Automate your security tests with CI - July 14, 2020
- [Capital Group DevCon Virtual Conference](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1476) - July 14, 2020
- [Virtual Apex Roundtable, Southwest](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1351) - July 14, 2020
- [Virtual Captive Eight Summit, Seattle](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1474) - July 15, 2020
- [Virtual DevOps Automation Workshop: PubSec](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1389) - July 16, 2020
- [Collaboration without Boundaries - Faster Delivery with GitLab](https://about.gitlab.com/webcast/collaboration-without-boundaries/) - July 21, 2020
- [Digital DevOps Series: How to Reduce DevOps Cost](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1262) - July 22, 2020
- Rethinking DevOps for Business Resiliency - July 23, 2020
- [How to supercharge mobile app dev with GitLab CI/CD and Google Firebase](https://about.gitlab.com/webcast/gitlab-cicd-firebase/) - July 28, 2020
- [Virtual NADOG West DevOps Talk](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1494) - July 28, 2020
- [GitLab Program Management Workshop](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1416) - July 30, 2020

**APAC**

- [Webinar: Reducing Organization Costs](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1366) - July 22, 2020

**EMEA**

- [Virtual DevOps Moscow 2020](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/945) - July 6-9, 2020
- [France: 'What is your biggest DevOps Dilemma?' Virtual Round Table w/ Programmez & ZDNet](https://gitlab.com/gitlab-com/marketing/digital-marketing-programs/-/issues/2804) - July 7, 2020
- [Continuous Delivery Ecosystem SKILup Day](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1422) - July 16, 2020
- [Imago Techmedia DevOps Webinar](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1226) - July 30, 2020
- Managing Security & Compliance with GitLab - July 2, 2020

We have launched **two additional use case integrated campaigns for GitOps and Version Control & Collaboration (VC&C)**. For a list of all of our active integrated campaigns by region, see [here](/handbook/marketing/campaigns/#active-integrated-campaigns).

### Enablement Corner 🧠

[Watch this video](https://www.youtube.com/watch?v=G7pRWDKts_Q&index=3&t=0s) from the Secure team that provides more information about our [acquisitions](https://about.gitlab.com/press/releases/2020-06-11-gitlab-acquires-peach-tech-and-fuzzit-to-expand-devsecops-offering.html) of Peach Tech and Fuzzit and a brief roadmap for how we will integrate these technologies into GitLab. Want to learn more? Check out these [Fuzz Testing Intro slides](https://docs.google.com/presentation/d/1e_Y9xUEu6OpWb2JjokmMx2lQ8bR_p0zTEZaB0yZbZ5o/edit#slide=id.g889053dfda_0_0) and this [SDR Enablement Video](https://www.youtube.com/watch?v=YPZR1GrgVYE).

Level Up your technical acumen with the new [Technical Questions for Sales](/handbook/sales/training/technical-questions-for-sales/) page created by the SA and Product Marketing teams. This page gives you answers to some of the most common technical questions from customers so you can answer without the help of an SA.

### Team Member Spotlight 🔦

Martin Brümmer was nominated for going above and beyond by giving freely of his time and energy to the rest of the field organization. Learn more about how Martin has fully embraced GitLab's value of "Bias for Action" to build multiple tools to help the Sales and CS teams in their day-to-day work. Also, Martin shares more about the food he can't live without – East German Mustard!

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/JFXhhxcsHrA" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

To nominate a peer, fill out the [nomination form](https://forms.gle/cBjiRzQ7y87Fdmu79).

---

*Questions or feedback? We want to hear it! Reach out to the field-enablement-team Slack channel or [capture it using this process](/handbook/sales/field-communications/#sharing-feedback).*

*See the [Field Flash Newsletter handbook page](/handbook/sales/field-communications/field-flash-newsletter/) for more information about this newsletter.*

*Archive: Edition 4, Description: June 2020 Field Flash*
