---
title: "Field Flash Newsletter - Edition 2020-08-06"
description: "July edition of the Field Flash Newsletter sent to the GitLab Field (Sales, CS, SDR) team and stakeholders"
---

*This email newsletter was originally sent to the GitLab Field Team and stakeholders on 2020-08-06.*

## ⚡️ GitLab Field Flash: Your Top Field Highlights from July ⚡️

Congratulations on the close of a successful quarter, and welcome to Q3! In this month's [Field Flash](/handbook/sales/field-communications/field-flash-newsletter/#overview), you'll find new Enablement resources, updates on pricing change timelines, new Channel processes to help assist in your deals, and more. Plus, Mark Bell and Timo Schuit highlight what went into closing the largest deal in GitLab history (hint: a huge cross-functional effort!) and we learn more about Cherry Han's many talents in her Team Member Spotlight. (***Pro Tip:*** Don't forget to click the "View entire message" link at the bottom of this email when viewing in Gmail to see the full newsletter each month!)

### Start the Quarter Off Strong

July was filled with **helpful trainings and exciting announcements from Field Enablement**. ICYMI, check out:

1. [Forrester TEI Report Enablement Session](https://www.youtube.com/watch?v=J_6QgemCz2E&feature=youtu.be) - Learn more about how to [leverage this report](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/analyst-relations/forrester-tei/) as a tool in customer conversations in this special session with Forrester reps. (Don't forget to share [the blog](https://about.gitlab.com/blog/2020/07/29/forrester-tei/) with your connections on social media!)
1. [Demystifying the Metrics Conversation](/handbook/sales/command-of-the-message/metrics) - Find helpful tips, tricks, and guidance in this robust Handbook page meant to help you successfully navigate one of the toughest customer conversations.
1. [Q3 Level Up Sales Enablement Webinars](/handbook/sales/training/sales-enablement-sessions/) - The Q3 calendar is now posted! Check out the great enablement sessions scheduled for this quarter and find recordings.
   1. For CS team members and those looking for more technical content, check out the [CS Skills Exchange](/handbook/sales/training/customer-success-skills-exchange/) sessions.

Questions? Slack #field-enablement-team

### Deal of the Month 🏅

Curious about what went into closing the largest deal in GitLab history? Mark Bell and Timo Schuit walk us through their deal and share helpful insights they learned along the way.

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/fV9wo8nEjWs" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

Have a deal you'd like to nominate? Fill out the [nomination form](https://forms.gle/7AYwzgFStrai5D2F7).

### New and Noteworthy Resources 📓

ICYMI, check out the FY21-Q3 GTM Field Update, which includes brief overviews from Sales, Product, Marketing, CS, Channel and Field Ops. [Watch Now -->](https://www.youtube.com/watch?v=El0Vy-5Jv3I&feature=youtu.be)

Learn more about how Chicago's Cook County Assessor's Office adopted GitLab to power 1.8 million property assessments while battling challenges due to COVID-19. And, learn how Jasper Solutions offers its dynamic "DevSecOps in a box" to customers with the help of GitLab SCM, CI, & CD. [Read More - Cook County -->](https://about.gitlab.com/customers/cook-county/) [Read More - Jasper -->](https://about.gitlab.com/customers/jasper-solutions/)

Discounts for GitLab Groundworks (part of [Commit Virtual](https://about.gitlab.com/events/commit/) on 2020-08-26) are available for you to give to customers and prospects to help them get trained and expand their use of GitLab. [Learn More -->](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/3068#money_with_wings-perk-for-prospects-at-gitlab-groundworks)

MEDDPPICC has been expanded to include "Partner!" Learn more about the new qualification step in the [Sales Handbook](/handbook/sales/#capturing-meddppicc-questions-for-deeper-qualification), and [watch this 5-minute video](https://www.youtube.com/watch?v=4NvS4vMTGwE&feature=youtu.be) to hear more from Michelle Hodges about the change. [Learn More -->](/handbook/sales/#capturing-meddppicc-questions-for-deeper-qualification)

We recently signed a global agreement with [Contino](https://www.contino.io/) (a Cognizant company) to partner on consulting engagements. Check out this video from the Channel team for more information on how you can engage this partner to assist in your deals. [Watch Now -->](https://www.youtube.com/watch?v=6Q-6wzxF7HM&feature=youtu.be)

### Did You Know? 🔢

**FY21-Q3 QBRs are taking place from August 3-20**. Find links to schedules, deck templates, and notes docs in [this issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/297). For a full overview of the QBR planning and execution process, QBR request tracking, best-practices for organizers and attendees, and where to find past QBR content, [see here](/handbook/sales/qbrs/).

For more information, join the #qbr-ent-q3fy21, #qbr-comm-q3fy21, and #qbr-channel-q3fy21 Slack channels.

---
We recently soft-launched the **GitLab CI/CD Specialist Certification**. All required assessments are available at no additional cost to attendees of Professional Services [CI/CD training](https://about.gitlab.com/services/education/gitlab-ci/) – a great selling point!

Questions? Ping the [professional services slack channel](/handbook/customer-success/professional-services-engineering/working-with/#slack) to learn more.

---
We now have **40+ partners who have completed GitLab's Services Bootcamp**! Check out the [attendee list and Partner Services Matrix](https://docs.google.com/spreadsheets/d/1Wc42kLkmtpeOktr8UtB_csW5_GLUX_79taLSe86KCMs/edit?usp=sharing) along with a [summary outcome](https://docs.google.com/file/d/185LmyqjGO7MLMFSnGjV-DsiC0daoR6rR/edit?usp=docslist_api&filetype=mspresentation) from the project. These should be **your go-to partners** when you need assistance on Customer Opportunities.

---

You may have caught onto an internal campaign reminding GitLab team members to **use public channels for Slack communication**. Please help your GitLab teammates easily find and respond to messages by avoiding group and individual direct messages where possible. There are a lot of reasons channels are better – [and they are all in the Handbook](/handbook/communication/#use-public-channels)!

GitLab team members are taking less time off than they did prior to COVID-19 (on average). Remember to **maintain a healthy work/life balance and [avoid burnout](/handbook/company/culture/all-remote/mental-health/#working-to-prevent-burnout-isolation-and-anxiety)** by taking time away from work. See [GitLab's Guide to Time Off](/handbook/people-group/paid-time-off/#a-gitlab-team-members-guide-to-time-off) in the Handbook for a refresher on how to manage your PTO with Time Off by Deel and other helpful tips.

---

**Chorus has launched a new UI** that GitLab will transition to on August 6th. Chorus has made small but impactful improvements to improve efficiency and functionality, but the way you use the platform will not change drastically. For a full list of updated features, see [this issue](https://gitlab.com/gitlab-com/sales-team/field-operations/sales-operations/-/issues/1357) and check out this [quick video overview](https://www.youtube.com/watch?v=SZnP6mZXVEQ&feature=youtu.be) from Chorus.

Questions? Please reach out to #sales-support.

### What's New in GitLab 🚀

The GitLab [13.2 release](https://about.gitlab.com/releases/2020/07/22/gitlab-13-2-released/) is live! Here are the takeaways for customers and prospects:

- **Reduce Security and Compliance Risk:** The first release of Container Host Security gives security administrators confidence and peace of mind by allowing them to secure their running containers at the host level through monitoring and optionally blocking unexpected activity.
- **Increase Operational Efficiencies:** 13.2 delivers new updates to improve teams' efficiency and performance. This includes advanced global search on GitLab.com, which improves search relevancy, performance, and allows for group-wide searches across all projects directly in the UI. It also includes load performance testing directly in GitLab, allowing customers to better understand how their application performs under stress by easily running custom load tests as part of their CI/CD pipelines.
- **Deliver Better Products Faster:** Managing workflows and planning tasks for different teams can cause a significant amount of development disruption. Organizations can now lessen this disruption and streamline agile project planning/management with our MVC release of Iterations, which allows teams to break down work into smaller, more manageable chunks. Customers can also leverage enhancements to our Jira integration and epics (confidential epics and bulk edits) to make project management easier in GitLab.

[Visit the 13.2 Release Post for more details](https://about.gitlab.com/releases/2020/07/22/gitlab-13-2-released/)

To see what's ahead in 13.3, watch the [kickoff videos](https://www.youtube.com/watch?v=wivB1X_N0QQ) or check out the [kickoff review page](https://about.gitlab.com/direction/kickoff/).

### Upcoming Events 🎟

Please refer to the specific linked issue for each event for details as they unfold.

**Global**

- [GitLab Commit, 24-Hour Virtual Event](https://about.gitlab.com/events/commit/) - August 26

**AMER**

- How Trek10 modernizes Application Development using GitLab CI/CD on AWS - August 4
- [Capital Group DevCon Virtual Conference](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1599) - August 4
- [Lead Dev Day, NYC, Virtual Conference](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/844) - August 11- 12
- [Virtual Captive Eight Summit: Palo Alto](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1378) - August 13
- [NADOG DevOps Talk](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1577) - August 19
- [Virtual Security Workshop](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1349) - August 20
- [(Self Service) DevOps Basic Hands on Workshop for DHS](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1531) - August 13

**APAC**

- [GitLab DevSecOps Virtual Conference](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1370) - August 12
- [Virtual Webcast - China](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1435) - Aug 13
- [(Self-service Webinar) APAC Webinar 2: Security](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1561) - Aug 20
- [PSN DevOps Virtual Event](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1357) - August 25
- [Korean Webcast: Managing DevSecOps with a single application](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1605) - Aug 26

**EMEA**

- [Inspired Business Media Virtual Roundtable UK & Ireland](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1583) - Aug 25

### Enablement Corner 🧠

[Provide your input](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/new?issuable_template=value-framework-feedback) on what enhancements you'd like to see in the next release (1.2) of [Command of the Message](/handbook/sales/command-of-the-message/) to help you uncover customer needs and articulate GitLab's value and differentiation.

### Team Member Spotlight 🔦

Cherry Han was nominated for going above and beyond as an SA to support SAEs and GitLab's customers and prospects as a trusted technical advisor. Learn how Cherry embodies the GitLab values of Results, Collaboration, and Efficiency, and hear more about her many talents – including painting, cooking, and an impressive green thumb!

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/XOfO1C1waxY" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

To nominate a peer, fill out the [nomination form](https://forms.gle/cBjiRzQ7y87Fdmu79).

---

*Questions or feedback? We want to hear it! Reach out to the field-enablement-team Slack channel or [capture it using this process](/handbook/sales/field-communications/#sharing-feedback).*

*See the [Field Flash Newsletter handbook page](/handbook/sales/field-communications/field-flash-newsletter/) for more information about this newsletter.*

*Archive: Edition 5, Description: July 2020 Field Flash*
