---
title: "Field Flash Newsletter - Edition 2020-11-02"
description: "November edition of the Field Flash Newsletter sent to the GitLab Field (Sales, CS, SDR) team and stakeholders"
---

*This email newsletter was originally emailed to the GitLab Field Team and stakeholders on 2020-11-02.*

## NEW ⚡️ GitLab Field Flash: November Edition⚡️

Congratulations on the close of another successful quarter, and welcome to Q4! In this month's [Field Flash](/handbook/sales/field-communications/field-flash-newsletter/#overview), you'll find new GitHub and CircleCI competitive resources, a developer-led landscape report, two new ABM target lists, a new Partner Deal Registration system, and more. Plus, the account team for a large US food retailer hosts the Deal of the Month. And, we learn more about our legal counterpart Rob Nalen in his (newly redesigned) team member spotlight. (***Pro Tip:*** Don't forget to click the "View entire message" link at the bottom of this email when viewing in Gmail to see the full newsletter each month!)

### Deal of the Month 🏅

Matt Petrovick, David Astor, and Taylor McCaslin share more about how security, trust, and collaboration helped them close a 4-year upgrade and growth in 1,500 Ultimate SaaS licenses with a large US food retailer!

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/F4SBwde9Kdo" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

Check out a Chorus recording of the [H-E-B POV Retro call](https://chorus.ai/conversations/5D313E01DACD46CDA1679BD290298A56?).

Have a deal you'd like to nominate? Fill out the [nomination form](https://forms.gle/7AYwzgFStrai5D2F7).

### New and Noteworthy Resources 📓

The GitLab vs. GitHub decision kit has been updated to include [GitLab SAST vs. GitHub Code Scanning](https://about.gitlab.com/competition/github/) and [GitLab vs. GitHub Container Registry](https://about.gitlab.com/competition/github/) comparison tables. Also, the CircleCI Decision Kit now includes CircleCI product gaps identified by their user community. [See all Competitive Content -->](https://about.gitlab.com/competition/)

Developer-led (consumed, influenced, purchased) products account for $40B in annual revenues, and the market is growing at 19%. Check out more meaningful insights in this full analysis of the developer-led landscape. [Read More -->](https://tylerjewell.substack.com/p/c7c150f4-1f04-453f-a97f-0902ee782416)

Check out a new FAQ deck aimed at Security Pros that can help you better address customer and prospect questions related to our Secure and Govern capabilities – backed with specific market research, customer testimonials, and more. [Check It Out -->](https://docs.google.com/presentation/d/1mLnmgQ5hqTzcwk3Vjh0BEIdx9SYgORV-2g7zPKmFKFc/edit#slide=id.g2823c3f9ca_0_9)

Learn how digital product dev studio Potato reduced toolchain complexity and improved project management workflow by using GitLab as a single platform for CI and workflow efficiency. And, learn why network monitoring company Paessler upgraded from Starter to Premium for an improved Jira integration, reduced build time, and superior project management. [Read More - Potato London -->](https://about.gitlab.com/customers/potato-london/) [Read More - Paessler -->](https://about.gitlab.com/customers/paessler-prtg/)

### Did You Know? 🔢

**On 2020-11-01, GitLab released the first MVC of allowing users to purchase additional storage**. When additional storage is purchased and applied to a GitLab.com namespace, the system will automatically apply the storage to blocked project and open them for use. Additional unused storage will remain available for use dynamically as projects near the 10GB limit. The Fulfillment team is still working on customer-facing docs, but you can [get a sense for how it works on the subscription FAQs page](https://about.gitlab.com/pricing/licensing-faq/#can-i-buy-more-storage).

---
The CS team is **deprecating the old CSM customer tracking process and incorporating Stage Technology Tracking into Gainsight** with a bi-directional sync. This will help closer align the Sales and CS orgs and make the customer tracking process more collaborative for CSMs, SAs, and SAEs/AEs.

[Check out this video overview](https://www.youtube.com/watch?v=9OBFEHs4D_8&feature=youtu.be) for more information and reach out to #sales-support with any questions.

---
In an effort to increase customer satisfaction and speed time to adoption, the **Professional Services Education team recently redesigned the [GitLab System Administration course](https://about.gitlab.com/services/education/admin/)**. Here are the main changes:

1. **New Ordering Process - Admin Training Only:** Use the custom SOW process rather than the standard SKU process to ensure alignment with your customer's specific deployment.
1. **New Flexible Format:** Pick from a list of common deployment variables to quickly build a customized topic list for a basic administration training SOW.
1. **New "Advanced" Option:** Add on the [new advanced administration course](https://about.gitlab.com/services/education/admin/) dedicated to monitoring and de-bugging, for customers with Tier 2 admin team members.

---
Marketing has created **[two new target lists for both Large and Mid Market accounts](/handbook/marketing/account-based-marketing/) - GL4300 and MM4000 - that DemandGen, Field Marketing and Account Based Marketing will align efforts around**. The account lists are identified in Salesforce by the `GTM strategy Field` = `Account Centric` and `Account Based- Net New` tags. Both lists will be refreshed at the end of each quarter with the updated target account list available on day 1 of the new quarter.

Please [see this issue](https://gitlab.com/gitlab-com/marketing/account-based-marketing/-/issues/308) for more information on the GL4300 and MM4000 lists and [add any questions to the Internal FAQ](https://docs.google.com/document/d/1MK7imzvvcYBgylXzlyIFV5soE4qTJBG6tHLc2HT_DjI/edit?usp=sharing) doc that is updated daily.

---
The **NEW Partner Deal Registration system will launch on 2020-11-03**! All Authorized GitLab Partners will have immediate access via their Partner Portal login. This new system and process improves both our Partners' and the GitLab team's knowledge of the Channel business and services. Some of the key features are:

1. Detailed reporting and real time metrics
1. Additional visibility to opportunities and information
1. Simplified deal management and process

Please [review the handbook for more details around the updates and process](/handbook/sales/field-operations/channel-operations/#policy-and-process). Reach out to the #channel-ops Slack channel with any questions.

### What's New in GitLab 🚀

The GitLab 13.5 release is live! Here are the takeaways for customers and prospects:

- **Reduce Security and Compliance Risk:** Teams can take advantage of a valuable security testing solution for mobile apps with our new Mobile SAST language coverage, combined with our existing fuzz testing for Swift and Java projects. **This feature was contributed by GitLab customer H-E-B** that saw the need for Mobile Application Security Scanning and brought MobSF into the merge request pipeline to deliver this new capability.
- **Increase Operational Efficiencies:** 13.5 offers a few more ways to help groups collaborate. This includes the launch of Group Wikis – our most sought-after feature with the most upvotes ever – which offer a central point of collaboration at the group level with a deep-level wiki navigation side bar for ease of use. This also includes a new timeline view for discussions in incidents, which provides clarity around the sequence of events in threaded discussions, as well as the Generic Package Registry, which enables release and build teams to effectively work in GitLab no matter what type of binary they are building in CI/CD.
- **Deliver Better Products Faster:** The ability to create Snippets with multiple files allows teams to create and share complex Snippets. Furthermore, new templates, including a template for deploying to AWS EC2, a new GitLab CI/CD template for Terraform, and the new SAST configuration UI that enables the GitLab CI/CD SAST template for users without CI/CD experience, promotes best practices and consistency across teams.

[Visit the 13.5 Release Post for more details](https://about.gitlab.com/releases/2020/10/22/gitlab-13-5-released/)

To see what's ahead in 13.6, watch the [kickoff videos](https://www.youtube.com/watch?v=HGCY_v4kypY) or check out the [kickoff review page](https://about.gitlab.com/direction/kickoff/).

### Upcoming Events 🎟

**Corporate/Regional Event Spotlights**

- AMER: [Winter Warm Up Cafe Kits](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1697) - Q4FY21
- AMER PubSec: [Advanced CI/CD Workshop](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1723) - Nov. 17
- APAC: [Tech in Gov (Australia)](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1771) - Nov. 3 - 4
- EMEA: [CI/CD Advanced Demo and Workshop](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1852) - Nov. 11

For a full list of virtual events, see a convenient [calendar view in the Marketing Handbook](/handbook/marketing/virtual-events/#calendar).

**Channel Webinars**

- [GitLab Partner Webcast](https://mailchi.mp/gitlab/channelpartnerwebcast-episode_7) - Nov. 12 (Major Partner updates!)

### Enablement Corner 🧠

GitLab's Corporate Learning & Development team has launched a monthly Continuous Learning Call as an opportunity to come together and discuss L&D and Field Enablement initiatives. [See the deck here](https://docs.google.com/presentation/d/1hV27Mmeh1EoWSi62Nls22P2aZpowBUn29WQcIqilRIw/edit?ts=5f8a112c#slide=id.g9b8a5dd007_0_337) and [watch the recording here](https://www.youtube.com/watch?v=nfF9OI566uo).

### Team Member Spotlight 🔦

#### Rob Nalen – Director, Contracts & Legal Operations

[Rob Nalen – Director, Contracts & Legal Operations](https://gitlab.com/rnalen)

![Rob-Nalen-TMS-Thumb](/handbook/sales/field-communications/field-flash-newsletter/images/Rob_Nalen_Thumb.png)

**Where did you grow up, and where are you based now?**

I grew up in Upstate New York (Syracuse area) and have been in the Raleigh area since 2008.

**What is your favorite thing about your job?**

First, my team. I am so happy to have such a great group of people that I work with, whether it's the Contract Managers, or other Legal folks. Second is the opportunity to be creative. GitLab is my second start-up and I really enjoy building things and discovering how to address problems in new ways.

**Which of GitLab's Values resonates most with you?**

Results. Building a team and being a part of the sales / revenue side of GitLab, it is extremely important to focus on Results.

**Do you have a helpful tip for working at GitLab to share?**

As with any start-up, learn to be flexible. G&A groups are trying their best to address a growing team, new regulations & responsibilities, and scaling the company to meet the demands that our sellers bring.

**What is a hobby or skill you have that the team might not know about?**

I was a collegiate hockey goalie and I still play to this day.

**Icebreaker: What's the craziest fashion trend you ever rocked?**

At my first start-up I made a bet with the Sales organization to help them motivate the team... I lost and a handlebar mustache was earned.

---

*Questions or feedback? We want to hear it! Reach out to the field-enablement-team Slack channel or [capture it using this process](/handbook/sales/field-communications/#sharing-feedback).*

*See the [Field Flash Newsletter handbook page](/handbook/sales/field-communications/field-flash-newsletter/) for more information about this newsletter and copies of all past newsletters.*

*Archive: Edition 8, Description: November 2020 Field Flash*
