---
title: "Field Flash Newsletter - Edition 2020-12-07"
description: "December edition of the Field Flash Newsletter sent to the GitLab Field (Sales, CS, SDR) team and stakeholders"
---

*This email newsletter was originally sent to the GitLab Field Team and stakeholders on 2020-12-07.*

## NEW ⚡️ GitLab Field Flash: December Edition⚡️

In this month's [Field Flash](/handbook/sales/field-communications/field-flash-newsletter/#overview), you'll find new resources and an asset inventory from Strategic Marketing to aid your customer conversations, new integrated competitive takeout campaigns for GitHub and Jenkins, a new Partner Locator and other exciting updates from the Channel team, the Field Certification Program and more. Plus, Ian Chiang and Jonathan Lim walk us through how they leveraged AWS to close a significant expand opportunity with an APAC FinTech company. And, we learn more about some of Timm Ideker's hidden skills in his team member spotlight.

### The Latest Strategic Marketing Assets

Make sure you're up-to-date on the latest resources from our Strategic Marketing team including:

1. [Learn @ GitLab](https://about.gitlab.com/learn/) - This newly redesigned site contains bite-sized content that customers can use to learn more about the GitLab product. Consider sharing this great resource with your customers.
1. [Gartner Market Guide for DevOps Value Stream Delivery Platforms (VSDP)](https://drive.google.com/file/d/1qHpdyCPDHgdfID56_io_-vwXHXjH7PH2/view) - GitLab has successfully influenced the definition of a new Analyst Category! [Watch this webinar](https://www.youtube.com/watch?v=yF3OYkHoF8Q&t=7m0s) (@ 7:00 mark) for a high-level overview, and point your customers to the [Download Landing Page](https://page.gitlab.com/resources-report-gartner-market-guide-vsdp.html) to access the full report.
1. [Strategic Marketing Asset Inventory](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/asset_inventory/) - Wishing you could search for marketing assets by type, use case, value driver and more? You can! Bookmark this inventory to filter, search and export assets to support your Sales motions.

Questions? Reach out in #marketing.

### Deal of the Month 🏅

Ian Chiang and Jonathan Lim highlight their $349K+ Expand deal with a large APAC FinTech company. They also share more about working closely with AWS on this deal and how Alliance Partners can give us unique customer inroads and solutions to roadblocks.

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/sy-qYtb-FGo" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

Have a deal you'd like to nominate? Fill out the [nomination form](https://forms.gle/7AYwzgFStrai5D2F7).

### New and Noteworthy Resources 📓

The Risk and Field Security team has launched [GitLab AnswerBase](/handbook/security/security-assurance/field-security/answerbase/) – a one-stop-shop for Customer-ready security questions and answers designed to help reduce bottlenecks and provide you with a self-serve tool to sell better and faster. [Watch this 6-minute demo video](https://youtu.be/X05JKei53H8) to learn more about how to use the tool. [Check it out -->](https://gitlab.com/gitlab-private/sec-compliance/field_security/security-standard-answers-rfp/-/issues?scope=all&utf8=%E2%9C%93&state=closed)

GitLab was ranked 162 on the 2020 Deloitte Technology Fast 500 list, which ranks the fastest-growing technology, media, telecommunication, life sciences, and energy tech companies (both public and private) in North America. Also, GitLab's 13.0 release recently won a [2020 CRN Tech Innovator Award for IT/Application Automation](https://www.crn.com/slide-shows/cloud/the-2020-tech-innovator-awards/17). [Read More and Share -->](https://www2.deloitte.com/us/en/pages/technology-media-and-telecommunications/articles/fast500-winners.html)

The Q3-FY21 Post-Purchase Survey results are in and provide interesting insights into which features drive purchasing decisions for customers in each tier that could be useful in your customer conversations. [Check it out -->](https://docs.google.com/presentation/d/1NVb3ecscPhcQMC_wpznbXsDqKkK-09--6OhSj3bclXs/edit#slide=id.g59bfc474c5_2_145)

Learn how E-commerce customer, Veepee, overhauled its central repository and increased deployment and security with GitLab Enterprise. Also, learn how machine learning company Anchormen drove an 85% reduction in deployment time with GitLab Starter. (Reminder that all customer reference discount details MUST be flagged to Deal Desk who will apply the correct wording on the order form and tick the reference checkbox so that the reference team can follow-up accordingly.) [Read More - Veepee -->](https://about.gitlab.com/customers/veepee/) [Read More - Anchormen -->](https://about.gitlab.com/customers/anchormen/)

Sid Sijbrandij and Darren Murph were recently featured on a CNBC webinar along with Harvard Business School discussing how to embrace remote work. [Watch and share -->](https://www.cnbc.com/video/2020/11/13/embracing-remote-work-meet-the-oracles.html)

Use the latest CI Use Case offline simulation demo that enables everyone to demo GitLab CI. ([Access the online version here](https://tech-marketing.gitlab.io/static-demos/ci_overview_v1.html).) [Download and execute -->](https://drive.google.com/drive/u/3/folders/18rLUYhpoEHe0i0sZLXAK-WuEy3E66QRO)

#### More Resources ➕

1. Video: [Using GitLab DevSecOps Demo - Simply Simple Notes](https://www.youtube.com/watch?v=NScuPB5uwg4&feature=youtu.be)
1. Video: [GitOps for Multicloud Applications Overview](https://youtu.be/Um_JoM80n-s)
1. Video: [Version Control & Collaboration GitLab Overview Demo](https://www.youtube.com/watch?v=2LRb5tnTYxY&feature=youtu.be)
1. Blog Post: [GitLab uniquely enables rapid innovation](https://about.gitlab.com/blog/2020/09/30/enables-rapid-innovation/)

### Did You Know? 🔢

GitLab is running **multiple integrated campaigns meant to highlight our CI, security and CD capabilities against competitors**:

1. [GitHub Competitive Campaign](https://gitlab.com/groups/gitlab-com/-/epics/1031) - Dec. 1
1. [Jenkins Competitive Campaign](https://gitlab.com/groups/gitlab-com/-/epics/1029) - Nov. 16

Find more information and supporting resources in the epic links above. Remember that you can add a prospect to a nurture campaign [using this issue template](https://gitlab.com/gitlab-com/marketing/demand-generation/campaigns/-/issues/new?issuable_template=request-add-nurture), and you can access all of our competitive content, including detailed Decision Kits, from the [DevOps Tools Landscape page](https://about.gitlab.com/competition/).

---
There are **only 2 months left to secure your spot at President's Club 2021 at the Ritz Carlton in Maui, Hawaii from May 11-14, 2021**! Check out the leaderboard across roles in the President's Club Dashboard and refresh your memory on President's Club selection criteria and FAQs on the [President's Club Handbook page](/handbook/sales/club/).

---
There is **exciting momentum from the Channel** team including:

1. The new [Partner Locator](https://about.gitlab.com/partners/) is live, making it easier for customers to find a Channel Partner to fit their need(s) for implementation, integration and optimizations services.
1. The [Channel Services Program](/handbook/resellers/services/) has launched to help new or existing partners design service portfolios around the DevOps Lifecycle in correlation to GitLab products.
1. We have created a robust [Channel Partner Training and Certification Program](/handbook/resellers/training/) to enable partners in our ecosystem to sell, market, service and support GitLab prospects and customers.

---
The **Fulfillment team has created a new handbook page that will serve as an internal Release post for Fulfillment features**. Highlights from the last milestone (13.5) include:

1. Manual EULA process is now deprecated
1. Provide customers with tools to identify Billable Members
1. Compute minutes updates for Free tier subscribers
1. Much more!

Questions? Reach out in #s_fulfillment.

---
**Field Ops has captured all of the asks of the management team+ from Q4-FY21 QBRs** in this [QBR Ask Tracker](https://docs.google.com/spreadsheets/d/1flwcfXU_RO5klW7fYNtZGQWLafjyXI02DlY-KhauEVM/edit#gid=1137346889) and they have provided a consolidated view of progress and top asks by segment and/or team [in this issue](https://gitlab.com/gitlab-com/sales-team/field-operations/sales-operations/-/issues/1875). If your ask is not on this prioritized list and/or if you have asks outside of the QBR cycle, Field Ops encourages you to [open up an issue using this template](https://gitlab.com/gitlab-com/sales-team/field-operations/sales-operations/-/issues/new?issuable_template=FieldOpsQBR) at any time throughout the quarter.

Learn more about our QBR ask prioritization process on the [QBR Handbook page](/handbook/sales/qbrs/#intake) and reach out to #sales-support with any questions.

---
**Reminder to complete the GitLab Annual Engagement Survey by 2020-12-15**! The [survey is completely anonymous](/handbook/people-group/engagement/) and is an opportunity to provide feedback and allow GitLab leadership to gain insight into what is important to team members. See your GitLab email for your unique survey link.

### What's New in GitLab 🚀

The GitLab 13.6 release is live! Here are the takeaways for customers and prospects:

- **Reduce Security and Compliance Risk:** With improvements to several dashboards and reports, teams now have more visibility that enables faster decision making. This includes the Full Code Quality Report to help quickly determine which code quality violations are critical to resolve before merging, and updates to the Project Security Dashboard to help stay on top of the real time and historical vulnerability trends. It also includes the ability for GitLab Self-Managed Administrators to see usage trends for popular features such as users, projects, groups, issues, and pipelines over the last 12 months.
- **Increase Operational Efficiencies:** Easily access and collaborate across tools with improved extensibility with popular tools. This includes an enhanced extension with VS Code to insert Snippets, view and comment on merge requests and issues directly from VS Code. In addition, GitLab integrations can now be configured at a group level in addition to instance and project level, helping group owners manage integrations with ease.
- **Deliver Better Products Faster:** Getting started with GitLab CI/CD with Amazon Web Services (AWS) is easier than ever now that Auto DevOps has been extended to support AWS, so teams can Auto-Deploy to Amazon EC2 using Auto DevOps without using Kubernetes. Group owners now have more flexibility in configuring a custom default initial branch name for new repositories as opposed to the master branch.

[Visit the 13.6 Release Post for more details](https://about.gitlab.com/releases/2020/11/22/gitlab-13-6-released/)

To see what's ahead in 13.7, watch the [kickoff videos](https://www.youtube.com/watch?v=9cjBjJ4BE1M) or check out the [kickoff review page](https://about.gitlab.com/direction/kickoff/).

### Upcoming Events 🎟

**Corporate/Regional Event Spotlights**

- AMER: [Cheers to a New Year Progression Webcast](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1817) - Dec. 17
- AMER PubSec: [Project and Portfolio Management Workshop](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1746) - Dec. 8
- EMEA - DACH: [Expo-IP: a virtual GitLab Island](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1640) - now - Jan. 31
- APAC: [NZ Virtual Roundtable - Digital Transformation & Resilience](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2023) - Dec. 10

For a full list of virtual events, see a convenient [calendar view in the Marketing Handbook](/handbook/marketing/virtual-events/#calendar).

**Channel Webinars**

- [BoatBox Webinar: Reduce Docker Container Patch Time to Zero with CI/CD](https://register.gotowebinar.com/register/2652389693860793101?source=GitLab) - Dec. 8
- [GitLab Partner Marketing Webcast - 3 NEW Campaigns!](https://mailchi.mp/gitlab/channelpartnermarketingwebcast-december) - Dec. 8
- [GitLab Partner Tech Chat: Running Sprint Meetings (Scrum) using Boards and Iterations](https://gitlab.zoom.us/meeting/register/tJAqceisqjooGdB2yRBTpBdmPTYdCHW2gWtd) - Dec. 10

### Enablement Corner 🧠

Throughout December, the Field Enablement team will launch the first [Field Certification Program](/handbook/sales/training/field-certification/) courses for SAEs, AEs, SAs & CSMs. This program will help us achieve predictability as a business and recognize individual mastery of the skills and knowledge you need to thrive in your role. Look out for more information coming very soon about the first course for your role!

---
YOUR input is needed so Field Enablement can make it easier to find valuable content when you need it to support your customer engagements. [Please complete this survey](https://gitlab.fra1.qualtrics.com/jfe/form/SV_d51m0MuwRnpJ6Xb) (10 minutes or less) to help us better understand how you currently find and create content.

### Team Member Spotlight 🔦

#### Timm Ideker - Area Sales Manager, ENT West (Global Director, Mid-Market Sales)

[Timm Ideker - Area Sales Manager, ENT West (Global Director, Mid-Market Sales, effective 2021-02-01)](/handbook/company/team/#tideker)

![Timm-Ideker-TMS-Thumb](/handbook/sales/field-communications/field-flash-newsletter/images/TimmIdeker_TMS_thumb.png)

**Where did you grow up, and where are you based now?**

I grew up in Sioux Falls, South Dakota, USA and I settled in Minnesota (after short pitstops through Kansas & Maine) in about 1996. No plans to leave the Land of 10,000 Lakes!

**What is your favorite thing about your job?**

1:1 connectivity to team members is what fills my cup.

**Which of GitLab's Values resonates most with you?**

Everyone can contribute is a mantra but also a call to action; everyone must contribute. There is no cavalry and *we are the experts* who are going to solve some of our client's most difficult challenges.

**Do you have a helpful tip for working at GitLab to share?**

[donut-be-strangers](/handbook/company/culture/all-remote/informal-communication/#the-donut-bot) is a great slice of technology that connects you to a GitLab team member. I have been doing these random coffee chats every 1-2 weeks since I got here and I always learn something new about another person and / or our business. Highly recommend!

**What is a hobby or skill you have that the team might not know about?**

Is bartending a skill?!? I can also remember nearly all movie dialog.

**Icebreaker: What was the first concert you ever went to?**

Guns N' Roses / Metallica / Body Count at Kansas City Arrowhead Stadium in 1992.

---

*Questions or feedback? We want to hear it! Reach out to the field-enablement-team Slack channel or [capture it using this process](/handbook/sales/field-communications/#sharing-feedback).*

*See the [Field Flash Newsletter handbook page](/handbook/sales/field-communications/field-flash-newsletter/) for more information about this newsletter.*

*Archive: Edition 9, Description: December 2020 Field Flash*
