---
title: "Field Flash Newsletter - Edition 2021-01-06"
description: "January 2021 edition of the Field Flash Newsletter sent to the GitLab Field (Sales, CS, SDR) team and stakeholders"
---

*This email newsletter was originally sent to the GitLab Field Team and stakeholders on 2021-01-06.*

## NEW ⚡️ GitLab Field Flash: 2021 Kickoff Edition⚡️

Happy New Year! In this month's [Field Flash](/handbook/sales/field-communications/field-flash-newsletter/#overview), you'll find more details about Sales Kick Off (SKO) 2021 and President's Club 2021, updated competitive resources, the first role-based Field Certification course and more. Plus, Michael Scott and David Thomas (DT) walk through a great example of landing with vision with new logo in the banking industry. And, we learn more about Ricardo Amarilla's craziest bucket list item in his team member spotlight.

### Deal of the Month 🏅

Michael Scott and David Thomas (DT) outline how they landed with vision at a major banking firm. They share how a strong champion, Command of the Message, Professional Services, Partners and more helped them land an initial Q3 deal of 200 Premium users and a $100k PS engagement with huge expand potential into thousands of users, $200K+ of additional PS and Ultimate.

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/ho1vDpvRhms" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

Have a deal you'd like to nominate? Fill out the [nomination form](https://forms.gle/7AYwzgFStrai5D2F7).

### New and Noteworthy Resources 📓

Are you ready to reach your Peak Performance? [SKO 2021](/handbook/sales/training/sko/) will take place virtually during the week of Feb 8-12, 2021 with time zones for AMER/EMEA and APAC. Check out our SKO Theme Reveal and look out for registration and pre-work details in mid-January. [Watch Now -->](https://vimeo.com/487653102)

Less than 4 weeks left to secure your spot at President's Club 2021 at the Ritz Carlton in Maui, Hawaii from May 11-14, 2021! Access President's Club selection criteria and FAQs on the [President's Club Handbook page](/handbook/sales/club/).

Learn how the U.S. Army Cyber School created secure, collaborative coursework with GitLab CI/CD, DevOps, and SCM. And, learn how Nebulaworks replaced three tools with GitLab to achieve speed and agility. [Read More - U.S. Army -->](https://about.gitlab.com/customers/us_army_cyber_school/) [Read More - Nebulaworks -->](https://about.gitlab.com/customers/nebulaworks/)

#### More Resources ➕

1. Blog Post: [GitLab's unified and integrated monitoring and deployment strategies](https://about.gitlab.com/blog/2020/11/23/cd-unified-monitor-deploy/)
1. Whitepaper: [Growing IT & Business Resilience through DevSecOps](https://learn.gitlab.com/gov-digital-transformation-4/growing-it-business-resilience)
1. Whitepaper: [Building a ModernDevSecOps Software Factory](https://learn.gitlab.com/gov-digital-transformation-6/building-modern-devsecops-software-factory)

### Did You Know? 🔢

**New certifications for customers!** Professional Services is excited to soft-launch 3 new technical certifications in Q4 for customers attending our remote trainings:

1. [GitLab Certified Project Management Specialist](https://about.gitlab.com/services/education/gitlab-project-management-associate/)
1. [GitLab Certified Security Specialist](https://about.gitlab.com/services/education/gitlab-security-specialist/)
1. [GitLab Certified DevOps Professional](https://about.gitlab.com/services/education/gitlab-certified-devops-pro/)

---
**The Competitive Intelligence team made updates to more than 8 competitive resources last month** in order to keep information updated and comprehensive for your use in conversations with customers and prospects.

[See this issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/614) for the full list of updates. Remember that you can find all competitive content on the [DevOps Tools Landscape page](https://about.gitlab.com/competition/).

---
In the spirit of Iteration and Collaboration, **the Risk and Field Security Team has launched several new pieces of Sales and Customer Success Collateral**:

1. Blog Post - [How GitLab uses Third Party Security ratings to boost Customer Confidence](https://about.gitlab.com/blog/2020/12/18/how-gitlab-uses-third-party-security-ratings-to-build-customer-confidence/) along with [GitLab's BitSight Rating Report](https://about.gitlab.com/security/cap/) on the Customer Assurance Package page.
1. [Redesigned Trust Center](https://about.gitlab.com/security/) with more resources related to privacy and data protection.
1. Updated [Customer-Facing Security FAQ Page](https://about.gitlab.com/security/faq/).

Please post any questions in #sec-fieldsecurity.

### What's New in GitLab 🚀

The GitLab 13.7 release is live! Here are the takeaways for customers and prospects:

- **Increase Operational Efficiencies:** 13.7 features multiple enhancements to package and dependency management, ensuring less development time goes to waste. This includes the added option to quickly find and view generic packages. It also includes multiple improvements to GitLab's Dependency Proxy – the ability to avoid Docker rate-limits and speed up pipelines with the Dependency Proxy, use the Dependency Proxy with private projects and use pre-defined variables with the Dependency Proxy instead of relying on defined variables or hard-coding values in the gitlab.ci-yml file.
- **Increase Operational Efficiencies:** Enhanced cross-collaboration means customers spend less time managing projects and more time developing valuable features. New project management features in 13.7 make it easier to efficiently collaborate across groups and projects, including the addition of merge request reviewers, which allows customers to quickly find out who's involved in the merge request or request a formal review that will send them a notification. This also includes the ability to clone issues with quick actions and sort issues by blockers to uncover which issues are blocking progress for other issues.
- **Deliver Better Products Faster:** Get value into customers' hands sooner and more frequently with improved automation and deployment flexibility, including a new feature to automatically revert an unsuccessful deployment back to the last successful deployment and send an automatic status notification, and the ability to view deployment status in the Environment page. 13.7 also features the first officially supported beta of GitLab Runner container on Red Hat OpenShift and the Certified Runner Operator to give customers even more flexibility over how they release with GitLab.

[Visit the 13.7 Release Post for more details](https://about.gitlab.com/releases/2020/12/22/gitlab-13-7-released/)

To see what's ahead in 13.8, watch the [kickoff videos](https://www.youtube.com/watch?v=bWKdW-s9o9E) or check out the [kickoff review page](https://about.gitlab.com/direction/kickoff/).

### Upcoming Events 🎟

**Corporate/Regional Event Spotlights**

- AMER: [Advanced CI/CD Virtual Workshop](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1815) - Jan. 13
- AMER [PubSec: Security Workshop for US PubSec](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1960) - Jan. 12
- APAC: [Japanese Webinar: Agile Planning & Project Management](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2146) - Jan. 28
- EMEA: [Advanced CI/CD Workshop EMEA (English)](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1822) - Jan. 26
- Global: [DevOps Platform Live Demo and Q&A](https://gitlab.com/groups/gitlab-com/marketing/-/epics/1697) - Jan. 7
- Global: [CI Use Case Live Demo](https://gitlab.com/groups/gitlab-com/marketing/-/epics/1701) - Jan. 21

For a full list of virtual events, see a convenient [calendar view in the Marketing Handbook](/handbook/marketing/virtual-events/#calendar).

**Channel Webinars**

- Check out our new [GitLab Partner Channel via BrightTalk](https://www.brighttalk.com/channel/18613/) where you can access all Partner Webcasts and sign up for upcoming Partner Sessions.

### Enablement Corner 🧠

In December 2020, the Field Enablement team launched the first [role-based field certification course](/handbook/sales/training/field-certification/) – Building Success Plans – to the global Customer Success Manager team in GitLab Learn, our new Learning Experience Platform (LXP). Initial feedback has been positive and we look forward to onboarding other teams on the new learning platform in the coming weeks.

### Team Member Spotlight 🔦

#### Ricardo Amarilla - Customer Success Manager

[Ricardo Amarilla - Customer Success Manager](/handbook/company/team/#ricardo.amarilla)

![Ricardo-Amarilla-TMS-Thumb](/handbook/sales/field-communications/field-flash-newsletter/images/Ricardo_Amarilla_TMS_Thumb.png)

**Where did you grow up, and where are you based now?**

I was born and raised in Asunción-Paraguay, where I am also based. I have never lived abroad.

**What is your favorite thing about your job?**

The freedom I have in choosing the best time to do my job is something I have never experienced before. GitLab enables me to find the right balance between family, friends, and work.

**Which of GitLab's Values resonates most with you?**

Collaboration – at GitLab, everyone is willing to help and collaborate, which is unique. Even though we are all-remote, I never feel disconnected thanks to this level of collaboration.

**Do you have a helpful tip for working at GitLab to share?**

Our customers usually have Technical Communities in MeetUp, LinkedIn, or other platforms. I would recommend participating in some of them for networking purposes. Besides learning new things, it has also helped me re-engage with some accounts.

**What is a hobby or skill you have that the team might not know about?**

I started playing paddle a few weeks ago; this is a new hobby for me. Besides this, I spend my spare time with my family, running, and riding my bike.

**Icebreaker: What's the craziest thing on your bucket list?**

Participate in an Ironman Triathlon.

---

*Questions or feedback? We want to hear it! Reach out to the field-enablement-team Slack channel or [capture it using this process](/handbook/sales/field-communications/#sharing-feedback).*

*See the [Field Flash Newsletter handbook page](/handbook/sales/field-communications/field-flash-newsletter/) for more information about this newsletter.*

*Archive: Edition 10, Description: January 2021 Field Flash*
