---
title: "Field Flash Newsletter - Edition 2021-02-01"
description: "February 2021 edition of the Field Flash Newsletter sent to the GitLab Field (Sales, CS, SDR) team and stakeholders"
---

*This email newsletter was originally sent to the GitLab Field Team and stakeholders on 2021-02-01.*

## NEW ⚡️ GitLab Field Flash: FY22 Kickoff Edition⚡️

Congratulations on closing out a successful Q4 and FY21! This [Field Flash](/handbook/sales/field-communications/field-flash-newsletter/#overview) edition contains numerous updates that will help you start FY22 off strong, including: Steps to take to prepare for virtual SKO 2021, resources for our shift to ARR, more details about our IBM partnership and more. Plus, Joe Miklos and team explain how they closed a 700+ Ultimate upgrade while creating significant future expansion opportunities. And we learn more about Evon Collett, Partner Help Desk Specialist, in her Team Member Spotlight.

### One Week Until SKO 2021

We hope you are excited to learn, network and celebrate at SKO as we prepare to reach our Peak Performance together in FY22. Please ensure you have completed these items in preparation for the event:

1. **Complete your registration in HopIn by 2021-02-05.** If you are an approved attendee, you received a registration link in an email from Sales Events titled "It's Time – Register for GitLab SKO 2021!"
1. **Set up your HopIn profile.** Include your title and the region you cover alongside your last name in the field "Last Name." Share something fun about yourself or your role in the "Headline" field!
Complete your SKO Pre-Work by 2021-02-05. To access the course, (approx. 2-2.5 hours completion time) go to gitlab.edcast.com, sign in via SSO, click on "My Learning Plan," then click on the "SKO 2021 Pre-Work" course.
1. **Get ready for Team Olympics.** Participate in various activities in HopIn throughout SKO to earn points for your team and win prizes. Learn more in the latest SKO update email titled "Win the Gold at SKO 🏆 – Introducing Team Olympics!"
1. **Check out the full agenda on Sched.** This agenda is for viewing-only – there is no need to add it to your calendar! Once SKO starts, you will be able to participate in all content within the Hopin platform.

Please see the [SKO Handbook Page](/handbook/sales/training/sko/) for an event FAQ. Questions? Reach out in #sko-virtual-2021.

### Deal of the Month 🏅

Joe Miklos, Ken McKnight, Taylor McCaslin and Sam White share how they closed a 700+ seat Ultimate upgrade with a major technology firm. Learn how they successfully competed with a free legacy solution and created a unique contract that will give GitLab significant expansion opportunities in the customer's business moving forward.

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/nHECQujLPRs" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

### New and Noteworthy Resources 📓

GitLab has successfully completed our first SOC 2 Type II examination and obtained SOC 2 Type II and SOC 3 Type II reports for GitLab.com! This is a significantly impactful sales and support tool for you to share with GitLab customers and prospects as evidence of our commitment to the security and privacy of their data. [Review this handbook page](/handbook/security/security-assurance/field-security/customer-security-assessment-process/) on how to request the SOC 2 report. [See the SOC 3 Report -->](/handbook/security/security-assurance/field-security/customer-assurance-package/)

The new Commentary Page for the Gartner Market Guide for DevOps Value Stream Delivery Platforms (VSDP) contains internal talking points and highlights that are useful to reference when discussing the report with customers. Direct customers to download the report [here](https://page.gitlab.com/resources-report-gartner-market-guide-vsdp.html). [Read More -->](https://about.gitlab.com/analysts/gartner-vsdp21/)

The GitLab for Education team has put together a helpful video ([deck here](https://docs.google.com/presentation/d/1bWyiw--57_O6DXPk2XMoKJho8GPgvKF1zLGtLK7UrUw/edit#slide=id.g29a70c6c35_0_68)) that outlines the 3 special offerings for the Education Market Segment – GitLab for Education Program, Standard Educational Discount, GitLab for Campuses – and how these might apply to your customers. Reach out in #edu-oss (free) or #gitlab-for-campuses (paid) with any questions. [Watch Now -->](https://youtu.be/YAyI4brY_SU)

GitLab updated our Terms page, Privacy Policy and Subscription Agreement on 2021-01-21.These updates do NOT impact any existing Customers, or Order Forms/Quotes that are with our Customers. [Read the Sales FAQ -->](https://docs.google.com/document/d/1XOyuoSnNh04cFXRdGN10ZUdTWuF7FyutaPK7Cjb9e2g/edit#)

Learn how financial services company New10 increased deployment speed by 3x and reduced cycle time by 20x by leveraging GitLab as a single platform for SCM, CI/CD, and AWS integration. [Read More - New10 -->](https://about.gitlab.com/customers/new10/)

#### More Resources ➕

1. Blog Post: [GitLab's continuous delivery (demo)](https://about.gitlab.com/blog/2020/12/17/cd-solution-overview/)

### Did You Know? 🔢

**Sales Ops is making changes to our processes that will allow the Field team to be more efficient and compliant during FY22:**

1. A shift to Net ARR as our primary booking metric
1. Automated renewal opportunity creation

For a full overview of these changes, please reference these resources:

1. [ARR & Renewals Overview Deck](https://docs.google.com/presentation/d/1oDSNFyW04VqcrOJ-AHhyS423UN_eJh8a7xTeAEJKYDk/edit#slide=id.gb96ff25233_0_0)
1. [ARR in Practice handbook page](/handbook/sales/sales-term-glossary/arr-in-practice/)
1. [ARR - Sales FAQ](https://docs.google.com/document/d/1k3W92igPlRDkhkQZV2JcKAKksGuTHJR3tdGjth677X0/edit#)
1. [Salesforce Booking Metrics Field Data Dictionary](/handbook/sales/field-operations/sales-systems/gtm-technical-documentation/sfdc-booking-metric-fields/)
1. [New Sales Renewals Guidance handbook page](/handbook/sales/sales-renewal-process/)

Sales Ops will host an AMA tomorrow, 2021-02-02, at 8:30 am PT to answer any questions. If you are unable to join the call live, please add questions to the [agenda doc](https://docs.google.com/document/d/11uDfqCioXTtoxrQflvWnOJaWWG4wVW-zYXhvfsZpDqo/edit#).

---
**GitLab announced the EoA of Starter/Bronze and renamed our tiers on 2021-01-26.** [Here are some important reminders and helpful resources](https://gitlab.slack.com/archives/C013X9Z6892/p1611612300016000) to reference as you work through the transition with your customers.

As a part of this change, we have **updated and deployed a new Product Catalog that materially changes the quoting process**. For more information, please review the [Quoting Guide: Starter/Bronze End of Availability + Tier Re-naming](/handbook/sales/field-operations/sales-operations/deal-desk/#quoting-guide-starterbronze-end-of-availability--tier-re-naming) section in the Deal Desk Handbook and reach out to #sales-support for assistance.

Post any questions or share customer feedback in #pnp-changes-field-questions. If you have feedback to share on this PnP process – What went well, what didn't go well, what can we improve? – please do so in this [retrospective issue](https://gitlab.com/gitlab-com/packaging-and-pricing/pricing-handbook/-/issues/343).

---
**IBM now will be able to sell GitLab Ultimate as an [IBM offering](https://www.ibm.com/products/gitlab-ultimate) directly to their customers in collaboration with GitLab**. You can learn more about the OEM partnership using:

1. [GitLab Ultimate for IBM CloudPaks - Video](https://www.youtube.com/watch?v=zOAQDagieE0&feature=youtu.be)
1. [GitLab Ultimate for IBM CloudPaks - Deck](https://docs.google.com/presentation/d/1P90Cu71r1uE5kXrOQJd5jFBVa_R8OGIYkK8vmtA6oPo/edit#slide=id.g9ff1d04543_0_155)
1. [Sales FAQ](https://docs.google.com/document/d/1vUZhvuAPfcmttFwjSuv-auvKN4PKoEOOOj9g5puH2Fk/edit) (contains links to other key documents)

Learn more about IBM CloudPaks Eco-System on the [Messaging & Glossary page](https://docs.google.com/document/d/1-GjTDDWOQ9UunTacjsIjuU4RQcTEf9dLW631FubyRu8/edit).

---
**We have updated our focus account lists and are finalizing our ABM priorities**. You can always see which accounts are in which of our four strategies by looking at the `GTM Strategy` field in Salesforce.

1. Volume: Any account that is in Salesforce today.
1. Ideal Customer Profile Total Addressable Market: Any account that matches our firmographic ICP.
1. Account Centric: Accounts that match our ICP and are showing intent, or propensity to buy.
1. Account Based = first order & Account based = expand: Accounts that are in our account based marketing campaigns.

If you are interested in reading more about the focus accounts lists, ABM or our ICP, [visit the ABM handbook page](/handbook/marketing/account-based-marketing/).

### What's New in GitLab 🚀

The GitLab 13.8 release is live! Here are the takeaways for customers and prospects:

- **Increase Operational Efficiencies:** Customers can improve their DevOps maturity with deployment frequency metrics in their CI/CS analytics. This is the first of the [DORA 4 metrics](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/devops-metrics/) that GitLab will add to the product in the coming year in a mission to help customers free up time traditionally spent on instrumenting their systems to capture and report on these metrics so they can focus on measuring and optimizing their DevOps practices instead.
- **Deliver Better Products Faster:** In 13.8, GitLab is taking the first step in our vision to create a visual pipeline authoring experience for CI/CD that reduces complexity, letting customers quickly create and edit pipelines while still exposing advanced options when they need them. The new Pipeline Editor will include enhanced functionality like built-in linting and configuration validation as well as a pipeline visualizer, all allowing new users to get started with GitLab CI/CD quickly and make experienced power users more efficient.

[Visit the 13.8 Release Post for more details](https://about.gitlab.com/releases/2021/01/22/gitlab-13-8-released/)

To see what's ahead in 13.9, watch the [kickoff video](https://www.youtube.com/watch?v=NYX-thYThCo) or check out the [kickoff review page](https://about.gitlab.com/direction/kickoff/).

### Upcoming Events 🎟

**Corporate/Regional Event Spotlights**

- AMER: [Captive 8 Rockies](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2052) - Feb. 11
- AMER: [Captive 8 New England](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2075) - Feb. 18
- AMER PubSec: [Fat Tuesday 5K Fun Run](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2016) - Feb. 13-16
- EMEA: [GitFit Challenge, stay fit with GitLab](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2148) - Feb. 1 - Mar. 31
- APAC: [APAC Virtual CI/CD Workshop](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/1847) - Feb. 24

For a full list of virtual events, see a convenient [calendar view in the Marketing Handbook](/handbook/marketing/virtual-events/#calendar).

### Team Member Spotlight 🔦

#### Evon Collett - Partner Help Desk Specialist

[Evon Collett - Partner Help Desk Specialist](/handbook/company/team/#ecollett)

![Evon-Collett-TMS-Thumb](/handbook/sales/field-communications/field-flash-newsletter/images/Evon_Collett_TMS_Thumb.png)

**Where did you grow up, and where are you based now?**

I grew up mostly in West Richland, Washington. I am now based in Lehi, Utah (USA), living with my two youngest brothers.

**What is your favorite thing about your job?**

The variety of work and people I get to work with internally and externally! Partners and customers are eager to work with us and that makes work even more exciting.

**Which of GitLab's Values resonates most with you?**

Collaboration. We couldn't have accomplished everything we did last year on the Channel team without the willingness of friends within our team and all the other teams at GitLab supporting us as we figured things out together!

**Do you have a helpful tip for working at GitLab to share?**

Our Partner Support team would love to help out if you have questions about working with Channel Partners, Distributor Quotes, Deal Registrations, etc. Feel free to email us at partnersupport, set up Coffee Chats, or reach out in Slack.

**What is a hobby or skill you have that the team might not know about?**

I love to sing and write songs, but I tend to be shy about performing. One of my stretch goals was to record a fully produced song and release it. I did that with "[Sunshine](https://www.youtube.com/watch?v=n_fL8LL7yxQ)", along with a couple YouTube videos of other songs I sang live in a studio. I was terrified, but happy I did it. I'd love to hear from you if you love music, too!

**Icebreaker: What's the last show you binge watched?**

Escape to the Chateau - I'm normally a true-crime lover, but I was amazed that someone bought a dilapidated chateau in France and spent years restoring it and breathing new life into it. I couldn't stop watching!

---

*Questions or feedback? We want to hear it! Reach out to the field-enablement-team Slack channel or [capture it using this process](/handbook/sales/field-communications/#sharing-feedback).*

*See the [Field Flash Newsletter handbook page](/handbook/sales/field-communications/field-flash-newsletter/) for more information about this newsletter.*

*Archive: Edition 11, Description: February 2021 Field Flash*
