---
title: "Field Flash Newsletter - Edition 2021-03-01"
description: "March 2021 edition of the Field Flash Newsletter sent to the GitLab Field (Sales, CS, SDR) team and stakeholders"
---

*This email newsletter was originally sent to the GitLab Field Team and stakeholders on 2021-03-01.*

## NEW ⚡️ GitLab Field Flash: March 2021 Edition⚡️

In this month's [Field Flash](/handbook/sales/field-communications/field-flash-newsletter/#overview), you'll find recordings from Sales Kickoff 2021, resources for competing with GitHub, important Sales Ops updates, easier ways to locate customer case studies, DIB certification and much more. Plus, Ruben Govender and team explain how they closed an Ultimate SaaS deal with one of the largest department stores in the U.S. in two months. And, we learn more about Competitive Intelligence Manager Aleeta Bell in her Team Member Spotlight.

### GitLab SKO 2021 – Watch it Again

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/8WOIBgb8j8k" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

NEW: Watch the video above for a recap of SKO 2021 – a full week (42 hours!) of exciting new content and activities that brought us together and allowed us to celebrate as one team from all corners of the globe. We heard from 75 internal and external presenters who together delivered 94 presentations, all helping us chart the course to reach our Peak Performance together in FY22: land with vision, expand with purpose, attach services, scale with partners and alliances, and retain customers.

Here are the follow-up resources and action items from SKO:

1. **Watch it Again:** You can now relive some of the best moments from SKO! All keynote and breakout recordings are [available in GitLab Learn](https://gitlab.edcast.com/channel/sales-kickoff-sko-2021).
1. **Dig Into the Slides:** You can find links to the slides for each presentation in its video description in [GitLab Learn](https://gitlab.edcast.com/channel/sales-kickoff-sko-2021). (You can also find links to the videos and slides on the [SKO Handbook page](/handbook/sales/training/sko/2021).)

Questions? Reach out in #sko-virtual-2021.

### Deal of the Month 🏅

Ruben Govender, Brian Wald, Laurie Howitt and Kasim Ahmad share how they closed a Q4 FY21 Land deal with a major U.S. department store chain for 825 seats of Ultimate SaaS and more than $661K of IACV. Learn how this team beat out GitHub and closed the deal in only 2 months with the help of cross-team collaboration, strong customer relationships, GCP, Professional Services and more.

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/2QBSr_N4ZtU" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

### New and Noteworthy Resources 📓

Watch this short video from Mike Pyle (VP, Enterprise Sales) for insights into proactively countering GitHub/Microsoft – framing your customer's decision, preempting this competitive threat, and enabling your champions to advocate for GitLab. (Unable to view the video? [Click here](/handbook/marketing/marketing-operations/youtube/#unable-to-view-a-video-on-youtube).) [Watch Now -->](https://www.youtube.com/watch?v=Al8oPwyLHJA&feature=youtu.be)

GitLab Free has more features and functions than GitHub Team, and the Competitive Intelligence team has updated the Decision Kit with more details. Point your customers to this page during your conversations. Check it Out -->

93% of the Sales organization completed this year's Engagement Survey! See our strengths and areas for improvement, and learn what leadership will do to focus on Growth & Development in FY22. [See the Results -->](https://docs.google.com/presentation/d/1ZjtdCm2F8QjqW3p7_eJbI1zQcTmPesTDifnwVs1-gyY/edit#slide=id.gb36007daf2_0_0)

You can quickly and easily find customer case studies by using the Case Study Board, which is updated each time we publish a new Case Study. Search by Use Case, Value Driver, Product Replaced, Integrations, and more. [Use it Today -->](https://gitlab.com/gitlab-com/marketing/strategic-marketing/customer-reference-content/case-study-content/-/boards/1804878)

Learn how the British Geological Survey revolutionized its software development lifecycle by removing barriers with GitLab's intuitive, single platform for improved efficiency, source code management, and CI/CD. [Read More - BGS -->](https://about.gitlab.com/customers/bgs/)

We have released our first iteration of our Diversity, Inclusion and Belonging (DIB) certification and have made it available to the wider community. Also, in celebration of International Women's Day, be sure to check out the [Panel Conversations](https://gitlab.com/gitlab-com/people-group/dib-diversity-inclusion-and-belonging/diversity-and-inclusion/-/issues/587) on March 4 and 5 featuring some of our Field team members! [Get DIB Certified -->](https://gitlab.edcast.com/journey/dib-training-certification)

IBM and GitLab are helping customers accelerate their DevOps adoption. In this video message, hear from Evaristus Mainsah, GM at IBM, on how we will grow the GitLab Ultimate for IBM Cloud Paks business together in FY22 and beyond. [Watch Now -->](https://www.youtube.com/watch?v=7XPeammuyx8&feature=youtu.be)

Learn about how the power of GitLab Auto DevOps can help increase productivity and speed up releases. [Read More -->](https://about.gitlab.com/blog/2021/01/22/cd-automated-integrated/)

### Did You Know? 🔢

Finance and Sales Operations have collaborated to introduce a **new bookings policy that will determine the correct period to close a sales-assisted deal**. This policy is effective 2021-02-01, and can be [reviewed in full here](/handbook/sales/field-operations/order-processing/#submit-an-opportunity-for-booking).

*Policy Summary*

1. New Business, Add-On, and Renewal Opportunities with non-zero Net ARR can be closed no more than 15 days prior to the Quote Start Date.
1. Flat Renewals can be closed on or after the Quote Start Date.
1. Late Renewals will be Closed Lost if the renewal is not achieved within 45 days after the Quote Start Date (i.e. Renewal Date).

*Important Notes*

1. Exceptions must receive CFO approval.
1. Sales should continue to submit opportunities for approval as requirements are met. Deal Desk will hold the opportunity until it is ready to be approved per this policy.
1. Licenses/Entitlements will continue to be sent to the customer upon opportunity closure.

---
**As we shift to ARR, we will start forecasting in Clari accordingly**. Below are high-level details, expectations and changes you'll see in Clari. [See the full details and workback plan here](https://gitlab.com/gitlab-com/sales-team/field-operations/sales-operations/-/issues/1945). Reach out with questions in the #clari-users Slack channel.

1. Team(s) impacted: All Field Sales Members and Managers who forecast in Clari
1. Timing: Effective Immediately all forecasting in Clari should be done in ARR
1. How: Utilize the ARR tab to review and input your forecast overrides
1. What's Changing: In terms of timing and process, there's NO CHANGE. Instead of IACV, you'll now be forecasting in ARR.

### What's New in GitLab 🚀

The GitLab 13.9 release is live! Here are the takeaways for customers and prospects:

- **Reduce Security and Compliance Risk:** Teams no longer have to worry about balancing the security and availability of production environments with the new Security Alert Dashboard, which allows teams to discern between suspicious network activity that needs to be blocked immediately or that only needs further attention, minimizing disruption to users.
- **Increase Operational Efficiencies:** The latest release further supports distributed teams through reduced downtime and increased visibility. This includes GitLab's new Maintenance Mode, which enables read-only availability of customers' instances during admin tasks. This also includes the addition of  Release Analytics at the group level, which continues to grow our support of [DORA metrics](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/devops-metrics/).
- **Deliver Better Products Faster:** 13.9 makes the path to "better products, faster" much more attainable with automation that helps identify redundancies in configuration and automation that helps mitigate complexity by making it easier to view pipeline configurations broken into many files and manage deployment processes leveraging parent-child or multi-project pipelines with resource groups.

[Visit the 13.9 Release Post for more details](https://about.gitlab.com/releases/2021/02/22/gitlab-13-9-released/)

To see what's ahead in 13.10, watch the [kickoff video](https://www.youtube.com/watch?v=NYX-thYThCo) or check out the [kickoff review page](https://about.gitlab.com/direction/kickoff/).

### Upcoming Events 🎟

**Corporate/Regional Event Spotlights**

- EMEA: [EMEA GitLab Connect](https://gitlab.com/groups/gitlab-com/marketing/-/epics/1829) - March 25
  - GitLab Connect EMEA is a virtual event that will cover all elements of a successful DevOps transformation. Attendees will get access to custom tracks depending on the role they play in the DevOps journey.
  - Share the registration link with customers!
- AMER: [GitShamRocked Whisky Tasting Virtual Event](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2185) - March 11
- AMER PubSec: [Advanced CI/CD Workshop](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2100) - March 18
- APAC: DevSecOps Virtual Roundtables - [SEA Ent](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2490), [SEA MM](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2491), [ANZ Ent](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2492) - March 2020

For a full list of virtual events, see a convenient [calendar view in the Marketing Handbook](/handbook/marketing/virtual-events/#calendar).

**Channel Webinars**

- [GitLab Partner Webcast](https://www.brighttalk.com/webcast/18613/472331?utm_source=GitLab+Inc.&utm_medium=brighttalk&utm_campaign=472331) - APAC - March 11
- [GitLab Partner Webcast](https://www.brighttalk.com/webcast/18613/472327?utm_source=GitLab+Inc.&utm_medium=brighttalk&utm_campaign=472327) - AMER/EMEA - March 11

Want the latest on Partner webinars? Subscribe to our [GitLab Partner Channel](https://www.brighttalk.com/channel/18613/).

### Enablement Corner 🧠

Check out the Spring 2020 lineup of Sales Enablement LevelUp Webcasts! The team has exciting content planned, including:

1. Co-Selling with IBM
1. Co-Selling with AWS
1. Co-Selling with GCP
1. Product Update: Incident Management

And many more! [See the full schedule here](/handbook/sales/training/sales-enablement-sessions/).

### Team Member Spotlight 🔦

#### Aleeta Bell, Competitive Intelligence Manager

[Aleeta Bell, Competitive Intelligence Manager](/handbook/company/team/#abell2)

![Aleeta-Bell-TMS-Thumb](/handbook/sales/field-communications/field-flash-newsletter/images/Aleeta_Bell_TMS_Thumb.png)

**Where did you grow up, and where are you based now?**

I grew up in Richmond, Virginia and am currently based outside of Atlanta in Lawrenceville, Ga.

**What is your favorite thing about your job?**

I love being able to work remotely!

**Which of GitLab's Values resonates most with you?**

Our Diversity, Inclusion & Belonging value

**Do you have a helpful tip for working at GitLab to share?**

GitLab has great competitive content publicly available on our [DevOps Tools page](https://about.gitlab.com/competition/) that can help you improve your posture in competitive deals.  Use it with customers and feel free to share your feedback with us in the #competition Slack channel!

**What is a hobby or skill you have that the team might not know about?**

Cooking from scratch - I can make a yummy sweet potato pie!

**Icebreaker: What's the craziest fashion trend you ever rocked?**

A Jheri curl….. 😂

**Icebreaker: What's something about you that people would be surprised to know?**

I was a teenage single mother. I worked three jobs in college, while maintaining a full time Electrical Engineering course load, to support my son and I.

---

*Questions or feedback? We want to hear it! Reach out to the field-enablement-team Slack channel or [capture it using this process](/handbook/sales/field-communications/#sharing-feedback).*

*See the [Field Flash Newsletter handbook page](/handbook/sales/field-communications/field-flash-newsletter/) for more information about this newsletter.*

*Archive: Edition 12, Description: March 2021 Field Flash*
