---
title: "Field Flash Newsletter - Edition 2021-04-06"
description: "April 2021 edition of the Field Flash Newsletter sent to the GitLab Field (Sales, CS, SDR) team and stakeholders"
---

*This email newsletter was originally sent to the GitLab Field Team and stakeholders on 2021-04-06.*

## NEW ⚡️ GitLab Field Flash: April 2021 Edition ⚡️

In this month's [Field Flash](/handbook/sales/field-communications/field-flash-newsletter/#overview), you'll find important Field Operations process updates and improvements, six new competitive resources, a new IDC study that features GitLab, our first IBM Cloud Paks customer win and more. Plus, Marsja Jones and team share how they closed an Ultimate upgrade deal with the help of GCP. And, we learn more about Sales Development Representative Danielle Madry in her team member spotlight.

### Get the Latest – Field Ops Updates

As we work to close out Q1-FY22, Field Ops has announced multiple updates to help streamline your processes. Review the summary below to ensure you're up-to-date:

1. **President's Club Criteria -** Eligibility criteria for President's Club 2022 has been announced. Check out the [Club handbook page](/handbook/sales/club/) for more details. We hope to see you at the Ritz-Carlton Grand Cayman Islands Resort in May 2022!
1. **Q1 QBR Cannonball Run -** Field Ops just wrapped up their latest Cannonball Run to quickly respond to high-priority QBR asks: Rules of Engagement Updates, SFDC Reporting, SFDC Hygiene & Process Improvement, Discount Approval Update and New Refund creation process in SFDC. [See the issue](https://gitlab.com/gitlab-com/sales-team/field-operations/sales-operations/-/issues/2077) for more details, and see the full list of Q1 QBR asks in the [Ask Tracker](https://gitlab.com/gitlab-com/sales-team/field-operations/sales-operations/-/issues/1977).
1. **Starter End of Availability Tracking -** To ensure we're capturing Sales' engagement with our EoA customers, all EoA customers can now be tracked in SFDC leveraging the "FY22 On Starter/Bronze" field. Please review the process changes and corresponding reports in the [Go To Market handbook page](/handbook/sales/field-operations/gtm-resources/).
1. **Starter End of Availability SLA -** Due to the extreme volume of EoA Ramp Deal requests, Deal Desk has published an SLA specifically for these requests. Please review the [handbook entry](/handbook/sales/field-operations/sales-operations/deal-desk/#sla-for-eoa-ramp-deal-requests) for more information.
1. **Improvements to #wins and #wins-key-deals Channels -** We are leveraging a new tool (Troops) to improve the readability of the alerts in these channels. You will now see alerts that provide a more holistic view of the won deal, highlighting key deal information without the need to click.

Questions? Reach out in #sales-support.

### Deal of the Month 🏅

Marsja Jones, Taylor Medlin and Kasim Ahmad share how they closed an Ultimate upgrade with an SMB AI customer. Learn why "reduce security and compliance risk" guided the conversation and how the team leveraged alliance partner GCP to close the deal.

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/n3C5JAW0w1A" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

Check out Marsja's [custom deck here](https://docs.google.com/presentation/d/1QOYJrHQji51q1xNA0AiWqIzpD5jr2wjlx78TfQdYFyg/edit#slide=id.gb546c55f9b_0_295).

### New and Noteworthy Resources 📓

The Competitive Intelligence team has created a Competing Against GitHub Free Analysis as a resource to help you in customer conversations. Reach out in #competition with questions or feedback. [Check it Out -->](https://docs.google.com/presentation/d/12mcakNQBhrGyu9ugIWvGEONYhtzNE5lttcIMOmo4uG8/edit#slide=id.gc276fb3eaf_0_0)

The Competitive Intelligence team has created five new pages to compare how GitLab vs. GitHub address common Business (BDM) and Technical Decision Makers (TDM) problems. [See the DevOps Tools Page -->](https://about.gitlab.com/competition/github/)

1. [GitLab vs. GitHub for BDM](https://about.gitlab.com/competition/github/)
1. [GitLab vs. GitHub for VCC](https://about.gitlab.com/competition/github/)
1. [GitLab vs. GitHub for CI](https://about.gitlab.com/competition/github/)
1. [GitLab vs. GitHub for CD](https://about.gitlab.com/competition/github/)
1. [GitLab vs. GitHub for Security](https://about.gitlab.com/competition/github/)

Customer Reference has updated the approved customer logo deck for use in Sales presentations! This deck is refreshed every 6 months, and you can always find the latest on the Customer Reference or Command of the Message handbook pages. [Access it Here -->](https://docs.google.com/presentation/d/1UKVfxDm6KNpWCjoAcWp0AfX1yaLT10FK-zbbFZLAwZE/edit#slide=id.gc300321b28_0_273)

Learn how Siemens transformed its collaboration and organizational workflow with GitLab SCM, CI/CD, and DevOps to exceed 4 production deployments and 6.4M builds per month (210,000 builds per day). [Read More -->](https://about.gitlab.com/customers/siemens/)

IDC published a new study that is a deep dive into GitLab — the DevOps platform, and the company. It shares the business benefits and key elements of how GitLab built a truly end-to-end solution, "from idea to code deployed without leaving the platform." [Use this link](https://learn.gitlab.com/idc-devops-platform/IDC-GitLab-DevOps-Platform) to share with customers.[Read the Study -->](https://learn.gitlab.com/idc-devops-platform/IDC-GitLab-DevOps-Platform)

ICYMI, check out the Enablement Webcast session on GitLab Ultimate on IBM Cloud Paks ([deck](https://docs.google.com/presentation/d/16XYIjfEz_-wxpRx-sJ7JAudYS7YL-6QUC1KZgodinQs/edit#slide=id.g59bfc474c5_2_145)). Also, learn more about our first Cloud Paks customer win in [this short video from IBM](https://www.youtube.com/watch?v=0mLJ2mvjWhQ). [Watch Now -->](https://www.youtube.com/watch?v=E546ohLj-cQ)

Need help identifying which GitLab Authorized Partners are in your territory and/or finding a partner with specific services capabilities or alliances? Visit the GitLab Partner Locator to help you quickly identify and engage with authorized Sales & Services partners within your territory! [Check it Out -->](https://partners.gitlab.com/English/directory/)

To facilitate the ongoing quest for knowledge and be better prepared to answer customer questions, the GitLab Solutions Architect team now has full access to O'Reilly's Learning Platform. [Learn More -->](/handbook/solutions-architects/tools-and-resources/#oreilly-learning-platform)

#### More Resources ➕

- Blog Refresh: [How to Use GitLab CI to Deploy to Multiple Environments](https://about.gitlab.com/blog/2021/02/05/ci-deployment-and-environments/)
- Video: [Markdown Links for Feature Flags (demo)](https://youtu.be/2ld_yW5BSus)
- Video: [Request a Follow-Up Review from a Reviewer (demo)](https://youtu.be/Phj88vT7VGQ)
- Video: [Auto Rollback in Case of Failure (demo)](https://youtu.be/fFsWbOdseFw)
- Video: [Fire Webhook on Feature Flag (demo)](https://youtu.be/Kj7ZckWhYIo)

### Did You Know? 🔢

**One of our key GTM changes in FY22 is around GitLab-delivered services, which includes the launch of Services Attach.** New - First Order opportunities with a Net ARR ≥ $20,000 in the large segment will require a $15,000 minimum in attached GitLab or Partner Professional Services.

Services Attach applies to ENT AMER only in Q1/Q2 and will roll out to EMEA and MM - First Order in Q3. To learn more about Services Attach, including the full opportunity criteria, rollout approach, SFDC process and more, please see [this deck](https://docs.google.com/presentation/d/1wLYQP7KV9UMdBSneg_caBFnckHPcKEw6C5zfEsrysFM/edit#slide=id.p4). You can also access the notes and recording from the Field AMA session [here](https://docs.google.com/document/d/1_oES-mJXuJP99d71lscz03AYha9I1CHWHC1-2mACmeg/edit).

Please direct questions about the Services Attach requirement to your manager or #sales-support. Please direct questions about positioning PS to the [professional services slack channel](/handbook/customer-success/professional-services-engineering/working-with/#slack).

---
Fulfillment has deployed **two small but impactful improvements to the SaaS billable members list:**

1. In the [UI](https://gitlab.com/gitlab-org/gitlab/-/issues/33457) and [API](https://gitlab.com/gitlab-org/gitlab/-/issues/297291), group owners can now access `last activity date` for billable members.
1. From the billable members view in group settings > Seat Usage, group owners can now remove members from one location and the member will be removed from all nested subgroups/projects within the namespace.

Learn more about future iterations for SaaS billable members tools [here](https://gitlab.com/groups/gitlab-org/-/epics/4547) and for Self-Managed [here](https://gitlab.com/groups/gitlab-org/-/epics/5505).

---
**Coming Soon: New Async Certification Options!** Since last May when we launched the first [GitLab Technical Certification](/handbook/customer-success/professional-services-engineering/gitlab-technical-certifications/), we've awarded over 500 certifications to GitLab Professional Education Services customers and partners. We are excited to announce the availability of new self-service study + exam bundles as an async option that will start rolling out 2021-04-20 on [GitLab Learn](https://gitlab.edcast.com/) to anyone with a GitLab.com account! Questions? Reach out in the [professional services slack channel](/handbook/customer-success/professional-services-engineering/working-with/#slack) to learn more.

### What's New in GitLab 🚀

The GitLab 13.10 release is live! Here are the takeaways for customers and prospects:

- **Reduce Security and Compliance Risk:** Teams can reduce the overhead of managing and sharing vulnerabilities with Bulk Status Updates that allow security teams to modify the status of multiple vulnerabilities simultaneously. They can also identify and triage relevant information quicker with improvements to vulnerability reports and the vulnerability trends chart. When issues do arise, customers can now more efficiently handle them with tools to help integrate and manage alerts from multiple monitoring solutions and enhancements to disaster recovery for customers using GitLab Geo.
- **Increase Operational Efficiencies:** The GitLab Runner Operator is generally available in the Red Hat OpenShift Container Platform! Check out and share this [step-by-step demo](https://www.youtube.com/watch?v=ZNBc_QnDUu4) and [blog post](https://www.redhat.com/en/blog/davie-street-enterprises-embraces-gitops-gitlab) from Red Hat that explore how to install and configure the GitLab Runner Operator. Also, check out [this video](https://www.youtube.com/watch?v=1BNfuVWYDts) from IBM on configuring GitLab Runner on OpenShift.
- **Deliver Better Products Faster:** GitLab leveled-up support for DORA metrics in 13.10 with new functionalities to track and identify blockers across a portfolio of projects including an API to track lead time for changes and Deployment Frequency metrics via API at the group level.

[Visit the 13.10 Release Post for more details](https://about.gitlab.com/releases/2021/03/22/gitlab-13-10-released/)

To see what's ahead in 13.11, watch the [kickoff video](https://www.youtube.com/watch?v=cVOkOTkQZ-A) or check out the [kickoff review page](https://about.gitlab.com/direction/kickoff/).

### Upcoming Events 🎟

**Corporate/Regional Event Spotlights**

- AMER: [Jenkins to GitLab CI Migration Virtual Workshop](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2184) - April 20
- AMER PubSec: [DevSecOps Workshoppin' with GitLab and RedHat](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2438) - April 20
- EMEA: [GitLab German Connect Tag](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2107) - April 28
- APAC: [Japan Virtual Round Table](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2489) - April 20

For a full list of virtual events, see a convenient [calendar view in the Marketing Handbook](/handbook/marketing/virtual-events/#calendar).

**Channel Webinars**

- [April Channel Partner Webinar](https://www.brighttalk.com/webcast/18613/476556)  - Watch the replay
- [Partner Marketing Webcast](https://www.brighttalk.com/webcast/18613/479207) - April 27
- [Partner Tech Chat](https://gitlab.zoom.us/meeting/register/tJcld-usrTIuGdHz41CkoAkDZXSWGNsizw13) - April 29

Want the latest on Partner webinars? Subscribe to our [GitLab Partner Channel](https://www.brighttalk.com/channel/18613/).

### Enablement Corner 🧠

Take 1-hour to **complete our new course [Working With and Co-Selling With Partners](https://gitlab.edcast.com/insights/ECL-9a30df21-dff0-4ac5-8ffa-e67429860dfd)** and learn more about how you can expand the access and reach of your sales efforts by leveraging the force multiplier effect of co-selling with Channel & Alliances partners!

---
Please **take 10 minutes to complete the [FY22 Field Communications Pulse survey](https://gitlab.fra1.qualtrics.com/jfe/form/SV_2b0gqlekFR7m8Hs)**. The valuable insights garnered from this survey will help Enablement continue to iterate on existing and new communication programs to most effectively keep you up-to-date!

### Team Member Spotlight 🔦

#### Danielle Madry - Sales Development Representative

[Danielle Madry - Sales Development Representative](/handbook/company/team/#dmadry)

![Aleeta-Bell-TMS-Thumb](/handbook/sales/field-communications/field-flash-newsletter/images/Danielle_Madry_TMS_Thumb.png)

**Where did you grow up, and where are you based now?**

I grew up in Kinston, NC. I am based in Grifton, NC now.

**What is your favorite thing about your job?**

Talking and meeting everyone and collaborating.

**Which of GitLab's Values resonates most with you?**

Collaboration. We can make great things happen individually but when we work together WE are a Powerhouse!

**Do you have a helpful tip for working at GitLab to share?**

I'm fairly new but being open to change, having a positive mindset and having good intent in all you do has helped me this far!

**What is a hobby or skill you have that the team might not know about?**

I am a techie. I teach kids in my area how to code and I also have a podcast called [Brown Tech Bae](https://creators.spotify.com/pod/show/browntechbae) where I host a few guests and also talk about technology and family life.

**Icebreaker: If you wrote a book, what would it be called?**

Danielle And Her Adventures In Tech!

---

*Questions or feedback? We want to hear it! Reach out to the field-enablement-team Slack channel or [capture it using this process](/handbook/sales/field-communications/#sharing-feedback).*

*See the [Field Flash Newsletter handbook page](/handbook/sales/field-communications/field-flash-newsletter/) for more information about this newsletter.*

*Archive: Edition 13, Description: April 2021 Field Flash*
