---
title: "Field Flash Newsletter - Edition 2021-06-07"
description: "June 2021 edition of the Field Flash Newsletter sent to the GitLab Field (Sales, CS, SDR) team and stakeholders"
---

*This email newsletter was originally sent to the GitLab Field Team and stakeholders on 2021-06-07.*

## NEW ⚡️ GitLab Field Flash: June 2021 Edition ⚡️

In this month's [Field Flash](/handbook/sales/field-communications/field-flash-newsletter/#overview), you'll find more details on the GitOps Infrastructure Automation Sales Play, the President's Club 2022 dashboard, the latest quarterly Microsoft Compete Report, a new resource to help you position the value of Ultimate and much more. Plus, bid farewell to Haydn Mackay in his Team Member Spotlight.

### NEW Sales Play: Infrastructure Automation with GitOps

The newest Sales Play is here: [Infrastructure Automation with GitOps](/handbook/marketing/sales-plays/gitops/)! Check out the details below and start using this play to help close more business.

**What:** This Sales Play will help you identify customers interested in GitOps and have the GitOps conversation with confidence. In it, you'll find:

1. Insights on buyer personas, common pain points and required capabilities
1. Guidance on positioning value, including an elevator pitch, value prop, differentiators, competitive intel and objection handling
1. [Sales Play Tactics](/handbook/marketing/sales-plays/gitops/#sales-tactics) that provide step-by-step actions for ENT, MM and SMB reps to put the play into practice to generate leads and meaningful customer conversations

**Who:** This Sales Play focuses on expanding DevOps best practices to Infrastructure teams.

**Why:** GitOps is HOT right now! More than 45% of our [survey respondents at Kubecon EU](https://gitlab.com/gitlab-com/marketing/corporate_marketing/corporate-marketing/-/issues/4792) highlighted that GitOps is a priority for their organization in the short term. Our GitOps marketing campaigns have been the best performing since launching in April 2020. Need more reasons? [Look here](/handbook/marketing/sales-plays/gitops/#why-should-you-care-about-gitops).

For a detailed overview, watch the [Sales Enablement LevelUp Webcast recording](https://www.youtube.com/watch?v=aXg3zGg54sg). If you have any questions about this or future Sales Plays, please post in #sales and the core team will respond.

### Deal of the Month 🏅

Marc Kriz and Kevin Chasse share how widespread cross-functional collaboration and a deep understanding of the customer's goals and needs led to us closing a deal for GitLab's now largest customer.

https://gitlab.edcast.com/insights/marc (GitLab internal only)

### New and Noteworthy Resources 📓

GitLab has acquired UnReview, marking an exciting first step for GitLab in building its AI Assisted features for DevOps. Reference the [Company FAQ](https://docs.google.com/document/d/14iyUxP9f33OpK2hKIQxUBmUzfeujfIm3GS6AtHblW18/edit) for more internal details, the [Sales Positioning document](https://docs.google.com/document/d/1AoE6D9fMch05iFGjZM-gfpaGdjTWfP1UaR6saDKfeYU/edit?ts=60b63e6c) for helpful context for customer conversations, and share the [TechCrunch article](https://techcrunch.com/2021/06/02/gitlab-acquires-unreview-as-it-looks-to-bring-more-ml-tools-to-its-platform/). [Read and Share -->](https://about.gitlab.com/press/releases/2021-06-02-gitlab-acquires-unreview-machine-learning-capabilities.html)

The dashboard for [President's Club 2022](/handbook/sales/club/) is now available. It's still early in the race – we hope to see you at the Ritz-Carlton Grand in the Cayman Islands next May!

A key element to reaching your Peak Performance successfully leveraging and working with partners. Take your co-selling with partners game to the next level with these awesome new e-learning modules.

- [Working & Co-Selling w/ Partners](https://gitlab.edcast.com/insights/ECL-9a30df21-dff0-4ac5-8ffa-e67429860dfd) - 60 min
- [Co-Selling with AWS](https://gitlab.edcast.com/insights/ECL-848bf136-9c27-4c03-99cf-0fdc35184e40) - 30 min
- [Co-Selling with GCP](https://gitlab.edcast.com/insights/ECL-3b7cd71f-a309-461b-ad40-c147f76d5a3e) - 30 min
- [Co-Selling with IBM](https://gitlab.edcast.com/insights/ECL-47a1907b-dace-4d81-b8a6-3761b4b98820) -30 min

GitLab has been recognized as a Challenger in Gartner's latest Magic Quadrant for Application Security Testing! In addition to the full report, you can read the blog post with our POV [here](https://about.gitlab.com/blog/2021/06/01/gitlab-is-setting-standard-for-devsecops/) and see the Commentary Page with more context on how to position the report with customers [here](https://about.gitlab.com/analysts/gartner-ast21/). [See Full Report -->](https://learn.gitlab.com/devsecops-ic/2020-gartner-mq-ast)

GitLab is launching the second iteration of the Women at GitLab Mentorship Program! Applications for mentors and mentees will be collected in May-June 2021, and the program will begin in July 2021 and run for 3 months. Slack #learninganddevelopment with questions. [Learn More -->](/handbook/company/culture/inclusion/tmrg-gitlab-women/mentorship-program/)

Looking for help positioning the value of Ultimate? Check out this helpful document that outlines the exclusive features in GitLab Ultimate to reference in customer conversations. (Thanks to Bernard Park for creating this awesome resource!) [Check it Out -->](https://docs.google.com/document/d/16C7AtxlqIhYTX08FcsxBRHL5qzn2CdS5yrVCU1eo8M0/edit)

Competitive Intelligence has completed its quarterly Microsoft Compete Report, which provides data-backed insights and guidance on how GitLab can win in GitLab vs. Microsoft competitive opportunities. [Watch the webinar recording for more details](https://www.youtube.com/watch?v=TtisyWQ9rE8). [See Full Report -->](https://docs.google.com/presentation/d/1wfgewAC30W_j_owugneeT2VrrxQZB-So-Hp_HmBnNoE/edit#slide=id.g29a70c6c35_0_68)

Learn how Radio France increased their deployment speed by 5x, reduced cycle time by 82% and realized a 70% annual cost savings on CI/CD when switching from Jenkins to GitLab. [Read More -->](https://about.gitlab.com/customers/radiofrance/)

#### More Resources ➕

- Blog: [GitLab's 2021 Global DevSecOps Survey uncovers a new DevOps maturity model](https://about.gitlab.com/blog/2021/05/04/gitlabs-2021-survey-uncovers-a-new-devops-maturity-model/)
- Blog: [How a DevOps Platform helps protect against supply chain attacks](https://about.gitlab.com/blog/2021/04/28/devops-platform-supply-chain-attacks/)
- Blog: [Can DevOps and project management co-exist? Yes, on the daily at GitLab](https://about.gitlab.com/blog/2021/05/11/project-management-using-gitlab-platform/)
- Demo: [Group-Level Environment-Specific Variables in GitLab 13.11](https://youtu.be/LCVx88kHQtg)
- Lab: [Continuous Delivery Workshop (including GitOps with GitLab)](https://gitlab.com/tech-marketing/workshops/cicd/cd-labs-instructions)

### Did You Know? 🔢

**DocuSign has officially been deployed as GitLab's enterprise e-signature tool!** 🎉  DocuSign is the industry-leading tool and will provide significant efficiency gains to the entire Field team in our day-to-day processes. It is FedRAMP certified, easy to use and offers a strong, seamless integration with Salesforce and other tools. As a part of this change, Sertifi has been deprecated.

Take 5 minutes to review the [updated Sales Order Processing handbook page](/handbook/sales/field-operations/order-processing/#how-to-send-an-order-form-to-the-customer-for-signature-via-docusign) for instructions and enablement on how to send order forms to customers for signature using DocuSign. Reach out in #sales-support with questions.

---
**Every Field team member now has access to CustomersDot!** This means that reps no longer have to ask Fulfillment and other teams for insights into whether or not a customer has activated their license key, when licenses expire, etc. For more information about CustomersDot use cases, instructions for how to log in, finding available information and more, see the [CustomersDot Access and Use handbook page](/handbook/product/groups/fulfillment-guide/#sales-use-cases-of-customersdot-admin-panel).

---
The Channel Ops team has announced **multiple updates and improvements to Channel processes**:

1. The [@ Partner Help Desk Chatter alias](/handbook/sales/field-operations/channel-operations/#partner-support-and-communication) is now live in Salesforce for Partner-related requests
1. New [partner discount structures](https://gitlab.my.salesforce.com/sfc/p/#61000000JNOF/a/4M000000gO1K/ZtACDN.hFA1h_ST3qrbWSnzw6HQosEw467XKt6XHN2s) and [partner requirements](/handbook/resellers/) are now live
1. [Channel Neutral](https://gitlab.slack.com/archives/C013X9Z6892/p1620252796114200) will now be calculated during the end of month close process based on validated deal attribution and will no longer show an estimate in SFDC while a deal is open

Please reach out in #sales-support with questions.

### What's New in GitLab 🚀

The GitLab 13.12 release is live! Here are the takeaways for customers and prospects:

- **Reduce Security and Compliance Risk:** On-Demand DAST scanning is now generally available for all GitLab Ultimate customers to help them ensure their production environment is always secure. In addition, GitLab Ultimate customers are invited to a public beta for a new browser-based crawler for DAST, which is expected to provide significantly better security testing coverage for modern applications compared to GitLab's current proxy-based crawler. Lastly, the Project Vulnerability Report now gives customers the ability to filter by scanner and vendor, allowing them to more easily benefit from a unified scanner view in GitLab.
- **Increase Operational Efficiencies:** GitLab has made pipelines easier to use for both new and experienced users with features like a collapsible panel of guided instructions that will help new CI/CD users create their first pipeline, the ability to break .gitlab-ci.yml files into multiple smaller files to improve reusability and readability, the ability to define variables within rules and a new view in the pipeline graph that shows dependencies between jobs.
- **Deliver Better Products Faster:** 13.12 embraces insights that improve customers' DevOps maturity, including the introduction of a group-level deployment frequency chart, which will help customers understand the efficiency of their deployments over time, find bottlenecks, and focus on improvement areas that span across projects and teams. It also includes improvements to value stream analytics to help identify the root cause of inefficiencies in workflows.

[Visit the 13.12 Release Post for more details](https://about.gitlab.com/releases/2021/05/22/gitlab-13-12-released/)

To see what's ahead in 14.0, watch the [kickoff video](https://youtu.be/Z1FqGH0pNvo) or check out the [kickoff review page](https://about.gitlab.com/direction/kickoff/).

### Upcoming Events 🎟

**Corporate/Regional Event Spotlights**

- [Global: REMOTE by GitLab](https://web.archive.org/web/20210924123111/https://remotebygitlab.com/) - June 29
- [AMER East: GitLab Demo Days Series - Jenkins to GitLab with Customer Use Case](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2627) - June 29
- [AMER West: Super West Advanced CI/CD Virtual Workshop](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2710) - June 16
- [AMER PubSec: ATARC/GitLab Program Management Webinar](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2820) - June 30
- [APAC: DevOps Evolution in the Public Sector](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2979) - June 9
- [EMEA: GitLab Demo Days Series: Level Up DevOps](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2893) - June 15 - July 1

For a full list of virtual events, see a convenient [calendar view in the Marketing Handbook](/handbook/marketing/virtual-events/#calendar).

**Channel Webinars**

- [Partner roundtable: Securing the GitOps Workflow](https://page.gitlab.com/webcast-securing-gitops-workflow.html) - June 15
- [Partner Marketing Webcast](https://www.brighttalk.com/webcast/18613/492001?utm_source=GitLabInc&utm_medium=brighttalk&utm_campaign=492001) - June 16
- [May Partner Tech Chat: GitLab on Openshift](https://gitlab.zoom.us/rec/share/xaAfAq9RYKuh8bHWKO-iDNXrp-xJ0qxQsP8qt47FQBOw3loN-nSCcYR-gZqv-FpI.6TLgsoljW7L6WXlj) - Watch the replay

Want the latest on Partner webinars? Subscribe to our [GitLab Partner Channel](https://www.brighttalk.com/channel/18613/).

### Enablement Corner 🧠

Field Enablement and Marketing are partnering to create a new pitch deck for Sales to use in conversations with senior economic buyers. **Please take this quick, [10-question survey](https://w1s9fihea0m.typeform.com/to/q6jJz0m7) and let us know how we can make this next pitch deck great for you!**

---
Commercial Enablement has kicked off the [Commercial Sales Voice of the Customer video series](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/508). [Watch the recording](https://chorus.ai/playlists/360042) from the first session for valuable insights directly from GitLab customer Vivek Desai, VP of Cloud Infrastructure at Olive.

---
GitLab is making a significant investment to help Enterprise reps be successful in reaching their Peak Performance in FY22 and beyond through [Account Planning](/handbook/sales/account-planning/)! By now, all ENT SAEs, SAs and CSMs should have completed the [Account Planning Methodology Course](https://gitlab.edcast.com/pathways/ECL-9f7e58e8-8600-4f7e-8a8c-dc2d31421443), and the [Account Snapshot in Gainsight Course](https://gitlab.edcast.com/pathways/ECL-5c4a6b55-f0cc-4a15-b445-6b46b2824a1f) and identified their account to plan. The next mini-course, Relationship/ Influence Mapping, is due June 18.

### Team Member Spotlight 🔦

#### Haydn Mackay - Regional Director, AMER West

![Haydn-Mackay-TMS-Thumb](/handbook/sales/field-communications/field-flash-newsletter/images/Haydn-Mackay-TMS-Thumb.png)

**Where did you grow up, and where are you based now?**

I was born in Melbourne, Victoria, Australia but moved to a small country town about 3 hours north of Melbourne called Milawa when I was 5 years old. After 17 years in the San Francisco Bay Area, I moved to Incline Village, Nevada on the east shore of Lake Tahoe right before COVID broke out.

**What was your favorite thing about your job?**

It's always been about the people and building new relationships (both internal and external) to achieve a goal. Helping someone be successful has always provided me the most satisfaction.

**Which of GitLab's Values resonates most with you?**

When I first found GitLab in 2014, the value of Transparency really stood out. As an open source project, being open and transparent with your community is really important, and I suspect that's why GitLab was able to build a strong community very quickly.

**Do you have a helpful tip for working at GitLab and/or in the Field org to share?**

In 2018, William Chia (Manager, Product Marketing), was kind enough to introduce me to Twilio's current CRO, Marc Boroditsky, for a coffee chat. Marc used the term 'relentless prioritization' and that stuck with me. With GitLab being so open where everyone can contribute, it's easy to lose focus on your OKRs. So, I encourage you to write that on a post-it note and stick it on your monitor.

In terms of day-to-day work, my advice is to bookmark the [Field Flash archives page](/handbook/sales/field-communications/field-flash-newsletter/#past-newsletters) as there's so much useful and consolidated content that can help you.

**What is a hobby or skill you have that the team might not know about?**

I can touch the tip of my nose with my tongue.

**We will miss you! Are there any parting words you'd like to share with the team?**

Be kind to each other. With all that's happening in the world right now and the pressure of working at a fast-growing company, kindness isn't always easy. You have to be deliberate about it. I recorded a short farewell video for the team reflecting on my 7+ years at GitLab. [You can watch it here](https://www.youtube.com/watch?v=i5bU1KFmZes).

---

*Questions or feedback? We want to hear it! Reach out to the field-enablement-team Slack channel or [capture it using this process](/handbook/sales/field-communications/#sharing-feedback).*

*See the [Field Flash Newsletter handbook page](/handbook/sales/field-communications/field-flash-newsletter/) for more information about this newsletter.*

*Archive: Edition 15, Description: June 2021 Field Flash*
