---
title: "Field Flash Newsletter - Edition 2021-07-06"
description: "July 2021 edition of the Field Flash Newsletter sent to the GitLab Field (Sales, CS, SDR) team and stakeholders"
---

*This email newsletter was originally sent to the GitLab Field Team and stakeholders on 2021-07-06.*

## NEW ⚡️ GitLab Field Flash: July 2021 Edition ⚡️

In this month's [Field Flash](/handbook/sales/field-communications/field-flash-newsletter/#overview), you'll find new GitHub and Jenkins competitive content, a 3-year product vision video, the latest Sales Play and more. Plus, learn more about Susannah Reed's selling best-practices in her Team Member Spotlight.

### Deal of the Month 🏅

Rahim Abdullayev explains how co-selling and collaboration both internally and with his champion led to an expansion from Premium to Ultimate SaaS with a financial services customer.

https://gitlab.edcast.com/insights/rahim (GitLab internal only)

### New and Noteworthy Resources 📓

ICYMI, check out this 6-min video from our Product team demonstrating where the GitLab product is headed over the next 3 years and why a single DevOps Platform approach is the key to current and future success. [Watch Now -->](https://www.youtube.com/watch?v=2By7ipuQk1o)

The Competitive Intelligence team has created two brand new resources to help you compete against Microsoft. [See the DevOps Tools Page -->](https://about.gitlab.com/competition/github/)

1. [GitLab vs. Microsoft for Agile Planning](https://docs.google.com/presentation/d/1MREoycGuFj-48watw0ary-Bm9o0wtEaKeYa_ZnpqrQM/edit#slide=id.gdc8eca6747_0_0)
1. [Microsoft Competitive Overview](https://docs.google.com/presentation/d/1-XJif6GwOl9coah5YQjOr6APM4fSGNpScOAtQJbpnWg/edit#slide=id.gdc8eca6747_0_0)

GitHub and Jenkins displacement customer story! Learn why tech company Zebra adopted GitLab to consolidate from three tools to one for code repository, CI/CD, and security. Your input is needed to create more great customer stories like this! Contribute by [nominating your customer as a reference](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/customer-advocacy/sales-support/#process-for-nominating-new-reference-customers). [Learn More -->](https://about.gitlab.com/customers/thezebra/)

### Did You Know? 🔢

**Field Ops recently completed their Q2-FY22 Cannonball Run!** The objective of the Cannonball Run (CBR) initiative is to quickly identify and address high-priority, Field Operations-specific QBR asks. The improvements made based on your feedback include:

1. **Sales Ops:** ROE Updates, SFDC Reporting Improvements, SFDC Hygiene & Process Improvements
1. **Deal Desk:** Discount Approval Matrix Update
1. **CS Ops:** Gainsight Dashboard Efficiency and Clarity improvements, Product Analytics dashboard improvements, Launch of NPS and Slack integration

See the [CBR Primary Issue](https://gitlab.com/gitlab-com/sales-team/field-operations/sales-operations/-/issues/2270) for a full overview of changes.

### What's New in GitLab 🚀

The GitLab 14 launch represents the next iteration of GitLab. It is a milestone for both our company and our community, allowing us to advance the adoption of modern DevOps practices on behalf of practitioners everywhere through **enabling development velocity and confidence, delivering DevSecOps capabilities with built-in security, providing measurement and visualization of key metrics**.

Take the time to look through the resources below for full context on how to effectively position the value of GitLab 14 with customers and prospects:

1. [GitLab 14 Field Team Summary](https://docs.google.com/document/d/1vkCVaSeAvDTWKyYfi2ZFmeeDL3RJVg8kf57aOz8fyuw/edit) - see the highlights
1. [GitLab 14 Launch Blog Post](https://about.gitlab.com/blog/2021/06/22/gitlab-14-modern-devops/) - value-based messaging
1. [GitLab 14.0 Release Post](https://about.gitlab.com/releases/2021/06/22/gitlab-14-0-released/) - feature-based messaging
1. [GitLab 14 Launch Press Release](https://about.gitlab.com/press/releases/2021-06-22-gitlab-14-delivers-modern-devops-in-one-platform.html)
1. [Sales Enablement LevelUp Webcast recording](https://youtu.be/k-wvJtL_NeM) - highlighting breaking changes in 14.0

To see what's ahead in 14.1, watch the [kickoff video](https://www.youtube.com/watch?v=jAVWu91gDaE&list=PL05JrBw4t0Kr745gqBNOlQEctvHy02XmQ) or check out the [kickoff review page](https://about.gitlab.com/direction/kickoff/).

### Upcoming Events 🎟

**Corporate/Regional Event Spotlights**

- AMER PubSec: [Advanced CI/CD Workshop for PubSec](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2756) - July 13
- AMER West: [Pies in July - Virtual Pizza Event](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/2857) - July 15
- AMER East: [GitLab Summer Fun Family BBQ Cooking Event with Celebrity Chef Chad Rosenthal](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/3242) - July 22
- APAC: [Jenkins Migration Workshop](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/3105) - July 28

For a full list of virtual events, see a convenient [calendar view in the Marketing Handbook](/handbook/marketing/virtual-events/#calendar).

**Channel Webinars**

- [EMEA Partner Webcast](https://mailchi.mp/3f3a6d5e0159/emea_channel_partner_webcast-july-2021) - July 8
- [AMER Partner Webcast](https://mailchi.mp/8215d0ae5d81/amer_channel_partner_webcast-july2021) - July 8
- [PubSec Partner Webcast](https://mailchi.mp/6a4862977335/pubsec_channel_partner_webcast-july2021) - July 8
- [APAC Partner Webcast](https://mailchi.mp/a559b7f62d8d/apac_channel_partner_webcast-july2021) - July 8

Want the latest on Partner webinars? Subscribe to our [GitLab Partner Channel](https://www.brighttalk.com/channel/18613/).

### Enablement Corner 🧠

The **latest Sales Play is now available related to the [Atlassian Server EOL announcement](https://www.atlassian.com/migration/journey-to-cloud)**! This [lightweight Sales Play](/handbook/marketing/sales-plays/) is broken into four phases, providing detailed guidance for your discovery call, POV & evaluation and negotiation.

### Team Member Spotlight 🔦

#### Susannah Reed - Federal SAE, Civilian

![Susannah-Reed-TMS-Thumb](/handbook/sales/field-communications/field-flash-newsletter/images/Susannah-Reed-TMS-Thumb.png)

**Where did you grow up, and where are you based now?**

I grew up in Houston, TX where I worked at my family's restaurant Bubba's Texas Burger Shack. I've now lived in Gaithersburg, MD for the last 15 years.

**What is your favorite thing about your job?**

I love how much GitLab's CREDIT values are embedded into everything we do. Even my customers know them and recognize how much it differentiates us.

**Which of GitLab's Values resonates most with you?**

Collaboration. I have always been amazed by how kind and helpful all GitLab team members are and how much that contributes to all of our success.

**Do you have a helpful tip for working at GitLab and/or in the Field org to share?**

We have a weekly touch point for my territory where we always review upcoming meetings, follow-up items, overall account strategy and marketing, and how the channel can help. The extended team can collaborate live or async, but it helps keep us focused and organized both tactically and strategically. (See more of Susannah's selling tips in [her video here](https://www.youtube.com/watch?v=CBJdYGLofHE).)

**What is a hobby or skill you have that the team might not know about?**

I was a Scottish Highland dancer and can still do a highland fling and sword dance.

**What's the most random thing in your purse/wallet?**

A [Funchop chopstick helper](https://www.funchop.com/) for my daughter.

---

*Questions or feedback? We want to hear it! Reach out to the field-enablement-team Slack channel or [capture it using this process](/handbook/sales/field-communications/#sharing-feedback).*

*See the [Field Flash Newsletter handbook page](/handbook/sales/field-communications/field-flash-newsletter/) for more information about this newsletter.*

*Archive: Edition 16, Description: July 2021 Field Flash*
