---
title: "Field Flash Newsletter - Edition 2021-08-02"
description: "August 2021 edition of the Field Flash Newsletter sent to the GitLab Field (Sales, CS, SDR) team and stakeholders"
---

*This email newsletter was originally sent to the GitLab Field Team and stakeholders on 2021-08-02.*

## NEW ⚡️ GitLab Field Flash: August 2021 Edition ⚡️

In this month's [Field Flash](/handbook/sales/field-communications/field-flash-newsletter/#overview), you'll find all enablement resources for Project Super Sonics, multiple Partner Program and System changes that will impact workflows and much more.

### Now Live: Project Super Sonics

The improvements to our billing and subscription management experience (Project Super Sonics) are now effective for all new customers and any existing customers at their next renewal, assuming they are running GitLab 14.1 and have opted-in to the new terms. Please review the below resources to get up-to-speed on the announcement details and answer customer questions.

1. **[Field Team FAQ](https://docs.google.com/document/d/1XmaIDggCYespisg1MTXHMVDUnWtdRsDw_brz-ir9RrI/edit#):** For a helpful summary and in-depth details of the changes.
1. **[Sales Order Processing page](/handbook/sales/field-operations/order-processing/):** For details about changes to Sales-Assisted transactions.
1. **[Customer Blog](https://about.gitlab.com/blog/2021/07/20/improved-billing-and-subscription-management/):** For more information on what we have communicated to customers.
1. **[Objection Handling Deck](https://docs.google.com/presentation/d/1sL0is4oK6tt4nlBK7yfHp-wQbhzkb3VqzE4CzPR6KwA/edit#slide=id.g29a70c6c35_0_68):** For guidance on responding to anticipated questions.
1. **[Customer Experience Overview](https://youtu.be/mi87qITnzyI) and [Rep Flow Overview](https://www.youtube.com/watch?v=SPl0HFCr9pg) videos:** For insight into updated processes and experience for both you and your customers.

You can check your knowledge of these changes in our [enablement course](https://gitlab.edcast.com/insights/fy22-billing#). Our next AMA will be held on 2021-08-17. Please add questions in advance to the [agenda doc](https://docs.google.com/document/d/1uNwLLyua2LoiQ5cYPBgOMvLr8c37S5vz5RqRJrdcVH4/edit#heading=h.4ywu4m5hf548). Reach out in #pnp-changes-field-questions with async queries.

### Deal of the Month 🏅

Hear from Sean Billow, Cherry Han, Vick Kelkar and a guest from IBM about a joint deal with IBM.

https://gitlab.edcast.com/insights/sean (GitLab internal only)

### New and Noteworthy Resources 📓

GitLab has created the "SAFE" framework – **S**ensitive, **A**ccurate, **F**inancial, **E**ffect – as a guide for sharing information about our company and a tool to enable responsible transparency in order to protect GitLab and our team members. Understand how to apply this framework to your conversations with external audiences like customers and partners. [Learn More -->](/handbook/legal/safe-framework/#safe)

Check out the Partner Competitive Overview deck for insight into how we are enabling our partners to respond to GitLab competitive situations with Microsoft and Jenkins, including competitor tactics, response tactics and analyst data. [Check it Out -->](https://docs.google.com/presentation/d/1FFcFIIfoLwjOUokEAbGsZI1T5hQvX-KWtlk14CKFRmM/edit#slide=id.gdc8eca6747_0_0)

#### More Resources ➕

- Blog: [How to stand-up a GitLab instance in AWS Marketplace](https://about.gitlab.com/blog/2021/06/30/how-to-stand-up-gitlab-in-awsmp/)

### Did You Know? 🔢

On 2021-08-03, we are **implementing multiple Partner Program and System changes** to greatly simplify the quote to cash process and add significant sales value.

**These changes have a material impact on Channel Operations and QTC processes, which you must familiarize yourself with in order to avoid disruption to your workflows.** See the [Document Library](https://docs.google.com/document/d/1K12I8-UOuC6f92duKB24iypOo_igox1bQMMbUooqbx0/edit) for more information and enablement resources including:

1. [Channel Attribution Changes in SFDC](https://docs.google.com/presentation/d/14yPnhm3bkzIsUu3oar-mQ_pVC8W80l_yXDCvwPA5xT0/edit#slide=id.ge20bf5fbfd_0_0) deck
1. [Channel Attribution Use Cases for Sales & Channel](https://docs.google.com/presentation/d/1Msk6soKD1l7zQLAGoC5bwa6pwVfKV3T7Q2t9aH2d2u0/edit#slide=id.ge65eef999d_0_340) deck
1. [Field Team FAQ](https://docs.google.com/document/d/1yg5jzcxwqzj9eAmX8I21hCHwX8xANvtZ1erRKwoGRmE/edit)
1. [Discount sheet](https://docs.google.com/document/d/1lMQHlSMEJQCH1HJnr-MdeVozZ9HJI0oVPmfbPWbJkyw/edit?usp=sharing), screenshots and more

Watch the [LevelUp Enablement Webinar recording](https://www.youtube.com/watch?v=mwSnV5s_CsQ&list=PL05JrBw4t0KrirMKe3CyWl4ZBCKna5rJX&index=2) for more details about the operational changes and a Q&A session. Reach out in #channel-sales with questions.

---
**Deal Desk is launching Smart Templates**, which introduce automation into the quoting process and allow ***you*** to automatically add pre-approved legal language to your Order Form via checkbox fields on the quote! As a part of this change, we will no longer require approvals for annual payments on multi-year deals! 🎉

For more information on Smart Templates and self-service legal language, review the [Sales Order Processing handbook page](/handbook/sales/field-operations/order-processing/#quote-template-types). For more specific quoting instructions surrounding Smart Templates and self-service legal language, review the [Deal Desk handbook page](/handbook/sales/field-operations/sales-operations/deal-desk/#zuora-quote-configuration-guide---standard-quotes). Reach out in #sales-support if you have any questions.

---
**We have expanded [Digital Programs content](/handbook/customer-success/csm/digital-journey/) to < $50K ARR, non-CSM assigned accounts in the Enterprise segment**! In addition, we have expanded the scope of eligible customers and will now **require that a GitLab Admin be added to `New - First Order`, `New - Connected` and `Growth` deals** at the time of Opportunity approval submission for non-CSM assigned customers below $50K ARR in the **Commercial and Enterprise segments**.

This means that Digital Programs are now officially available to our entire customer-base of < $50K ARR, non-CSM assigned accounts! See the [technical documentation](/handbook/sales/field-operations/sales-systems/gtm-technical-documentation/#gitlab-admin-contact-required) and quick demo video. Reach out in #cs-questions.

---
**The [360 Feedback survey](/handbook/people-group/360-feedback/) launches today (2021-08-02)** and is a great opportunity to help our team members succeed and grow, while also receiving valuable feedback for our own development. Please look out for an email from Culture Amp to start this process. Note that any team member who started after 2021-06-01 will not be automatically included. If you would like to be included, please reach out in #people-connect to be manually added.

### What's New in GitLab 🚀

[GitLab 14.1](https://about.gitlab.com/releases/2021/07/22/gitlab-14-1-released/) includes 50+ improvements to help teams:

- Increase collaboration and visibility for teams that create and manage their own Helm charts with new functionality in the GitLab project to publish and share packaged Helm charts. Learn more about how to develop and deploy cloud native applications with a built-in Helm registry in [this blog post](https://about.gitlab.com/blog/2021/07/26/gitlab-helm-package-registry/).
- Protect their company from missed critical alerts with Escalation Policies that allow customers to manage on-call schedules and create team-boxed escalation steps that will run automatically.
- More easily connect Kubernetes clusters to GitLab CI/CD with the new CI/CD Tunnel for Kubernetes clusters.

To see what's ahead in 14.2, watch the [kickoff video](https://www.youtube.com/watch?v=kA_9vgFNHsw) or check out the [kickoff review page](https://about.gitlab.com/direction/kickoff/).

### Upcoming Events 🎟

**Corporate/Regional Event Spotlights**

- AMER East: [DevSecOps Hands on Lunch and Learn with GitLab and Axcelinno](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/3477) - August 11
- AMER West: [SKILup DevSecOps Summit](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/3496) - August 12
- APAC: [Southeast Asia DevSecOps Virtual Roundtable](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/3597) - August 17
- AMER PubSec: [Workshop: Project & Portfolio Management](https://gitlab.com/gitlab-com/marketing/field-marketing/-/issues/3229) - August 18
- SMB Campaign: [Credits Program - GCP, Oracle, Digital Ocean](https://gitlab.com/groups/gitlab-com/marketing/demand-generation/-/epics/9)

For a full list of virtual events, see a convenient [calendar view in the Marketing Handbook](/handbook/marketing/virtual-events/#calendar).

**Channel Webinars**

- [PubSec Partner Webcast](https://mailchi.mp/c0fd33f9842c/pubsec_channel_partner_webcast-august2021) - Aug 5
- [AMER & EMEA Partner Webcast](https://mailchi.mp/18c81fbd3fab/channel_partner_webcast-amer_emea_aug_2021) - Aug 5
- [Partner Marketing Webcast](https://www.brighttalk.com/webcast/18613/497114?utm_source=GitLabInc&utm_medium=brighttalk&utm_campaign=497114) - Aug 19

Want the latest on Partner webinars? Subscribe to our [GitLab Partner Channel](https://www.brighttalk.com/channel/18613/).

### Enablement Corner 🧠

This quarter's 16 Sales & CS enablement sessions helped us fine-tune the skills needed to reach our Peak Performance in FY22. In case you missed any of the sessions, check out a full list of recordings and upcoming sessions on the [Sales LevelUp Webcast](/handbook/sales/training/sales-enablement-sessions/) and [CS Skills Exchange](/handbook/sales/training/customer-success-skills-exchange/) handbook pages.

--

Welcome our newest members of the Field Enablement team!

- [Pallavi Daliparthi](/handbook/company/team/#pdaliparthi) - Supporting CSM enablement
- [Thabo Bopape](/handbook/company/team/#tbopape) - Supporting SA enablement
- [Emelie Rodriguez](/handbook/company/team/#emelier) - Supporting ENT enablement

Learn more about the Field Enablement team [here](/handbook/sales/field-operations/field-enablement/).

---

*Questions or feedback? We want to hear it! Reach out to the field-enablement-team Slack channel or [capture it using this process](/handbook/sales/field-communications/#sharing-feedback).*

*See the [Field Flash Newsletter handbook page](/handbook/sales/field-communications/field-flash-newsletter/) for more information about this newsletter.*

*Archive: Edition 17, Description: August 2021 Field Flash*
