---
title: "Field Update Tickers"
description: "The Field Update Tickers are a weekly summary of all relevant updates to the Field."
---

## Overview

The Field Update Tickers serve as a weekly summary of news that is relevant to the Field. Each region receives a Ticker that includes updates that are relevant to their region (AMER, EMEA, and APJ). The information is prioritized based on required action and high customer/business impact. The purpose of each Update Ticker is to provide targeted, focused and action-based communications to team members in each region. The Update Ticker is not inclusive of all internal communications and team members should continue to use company-wide Slack channels (#company-fyi, #whats-happening-at-gitlab and other Slack channels as appropriate) to stay informed.

## Target Audience

The updates and any associated actions included in each Update Ticker are geared toward all Field roles within each region. Cross functional team members in Marketing, Product and People Business Partners also receive the Ticker for visibility. The information contained in each Update Ticker is confidential and is, therefore, intended for internal audiences only unless otherwise stated.

## Delivery Mechanism

Each Update Ticker is created and maintained in Workshop and sent via email each Thursday. In the spirit of Iteration and Efficiency, Field Communications will continue to explore new ways to improve the delivery method of the Update Tickers.

## Individual Contributors: How to Use the Update Ticker

How to use the Update Ticker:

1. Review the information included in the ticker on a weekly basis. The information is structured and prioritized for you to read quickly and efficiently. However, you should schedule time to read and synthesize any supporting links (Slack messages, Highspot pages, Handbook pages, etc.) when appropriate. Members of the Target Audience (listed above) can expect to receive the Update Ticker via email on Thursdays.
2. Complete action items as required. Items that require your action are categorized as 'Leadership Priorities' or 'Take action' for efficiency. Please complete these items by the associated due date.
3. Note any key dates and resources. Included at the bottom of each Update Ticker is a summary of key dates and resources that you should be aware of. Note that this information is subject to change so we recommend that you check this information often.

## Managers+: How to Use the Update Ticker

In the current iteration, the Update Tickers contain information and updates targeted to each region within the Field org (AMER, EMEA, and APJ). The Update Tickers are an asynchronous communication channel and are not meant to replace synchronous meetings with your teams. You can use the relevant Update Ticker in the following ways:

1. Add the link to the relevant Ticker in your team meeting agenda for easy reference and access.
2. Pull the information from the Ticker and highlight where appropriate in your team meetings, Slack channels and/or 1:1 meetings. You know your team best so you can add any additional considerations or additional directives.

## Format

This is the current iteration of the Update Ticker:

1. **Survey**
1. **"Skip to" anchor links**
1. **Content categories**
   - Leadership Priorities: High customer or business impact topics that you are expected to be aware of and action on
   - Take Action: Action that you are required to complete by a certain date
   - Need to Know: Customer or business critical information or updates that you are required to know in your role (i.e. pricing updates, updates directly related to selling, etc.)
   - Nice to Know: Information or updates that are not business critical but are still relevant to your role (i.e. upcoming events, new cross-functional processes not related to selling, etc.)
   - Key Field Dates & Resources: Upcoming dates that you should be aware of and resources that are particularly applicable to the Field org (evergreen Highspot pages, timely resources, Field Enablement session recordings, etc.)

## Process

1. During the [Field Communications triage process](/handbook/sales/field-communications/#how-to-use), each Field Announcement Request is evaluated to determine if the update should  be included in the relevant Update Ticker.

   - Contributions should be submitted by 12 pm PT each Wednesday to be included in the Update Ticker going out the following day (on Thursday).
   - When possible, we advocate for using the Update Ticker (as opposed to #field-fyi) to reduce pings to the field and deliver news in a consolidated, predictable, and digestible format.

Reach out in the #field-enablement-team Slack channel for questions/feedback, or share feedback in the survey at the top of each Update Ticker.
