---
title: "GitLab Monthly Release Email to Sales"
description: "Following each GitLab release every month, Field Communications sends out an email template that members of the Field organization can repurpose to send to their customers and prospects"
---

## Overview

Following each GitLab release [every month](/handbook/marketing/blog/release-posts/), Product Marketing creates a pitch template in Highspot that members of the Field organization can repurpose to send to their customers and prospects. The purpose of this pitch template is to make it easy for team members to quickly share the technical details of the latest release and create a meaningful touch-point with their customer or prospect.

### Format

The quick format includes:

1. An overview of [GitLab's value drivers](/handbook/sales/command-of-the-message/)
1. 3-4 main/noteworthy features of the release
1. Release blog post and the [GitLab Releases page](https://about.gitlab.com/releases/).

### Process

1. Product Marketing creates a pitch template on the release date [every month](/handbook/engineering/releases/) and houses the template in the `Company Pitch (Email) Templates Spot` in Highspot.
1. Product Marketing uploads the latest release blog post to the `Customer Outreach` spot in Highspot and then adds that piece of content to the pitch template along with the [releases page](https://gitlab.highspot.com/items/64be9d6dc960ff31cd9041c6).
1. Product Marketing adds the pitch template and the latest release blog post to the [GitLab Releases Overview page](https://gitlab.highspot.com/items/624626054e2472aa8611b5bf) in the coordinating sections.
1. Product Marketing notifies Field Communications in the release post highlights issue with a link to the pitch template once the steps above are complete.
1. Field Communications shares the pitch template in #sales and adds to the [Field Update Tickers](/handbook/sales/field-communications/field-update-tickers/) & [Field Flash](/handbook/sales/field-communications/field-flash-newsletter/).

### Helpful Resources

- [Pitching in Highspot](/handbook/sales/field-communications/gitlab-highspot/#pitching--effectively-engage-buyers)
- [Send an Email Pitch from Highspot](https://help.highspot.com/hc/en-us/articles/213580306-Send-an-Email-Pitch-from-Highspot)
- [Highspot Pitching - Deep Dive Training](https://docs.google.com/document/d/1mu9itIGJPmT8onA19b36kzSTHEudUDAGQ5vSWt7ZRl0/edit#bookmark=id.oq1sf0leuadt)
- [GitLab Releases Overview page](https://gitlab.highspot.com/items/624626054e2472aa8611b5bf?lfrm=srp.0)

Questions? Please reach out to #field-enablement-team
