---
title: "Field Manager Development Program"
description: "The Field Manager Development Program equips managers with a foundational set of skills & practices for effectively managing remote teams across GitLab's field organization"
---

## Overview

Manager effectiveness is important to GitLab's continued ability to attract, develop, and retain key talent and deliver scalable, efficient growth. In response, the Corporate L&D, People, and Field Enablement teams are collaborating to launch this FY22 program to equip managers with a foundational set of skills & practices for effectively managing remote teams across GitLab's field organization.

<iframe width="560" height="315" src="https://www.youtube.com/embed/x3ZQEy1oE04" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

## Target Audience

All people managers in the GitLab field organization

## Approach

Managers will participate in a series of quarterly training & reinforcement exercises throughout FY22. While there will be formal training elements, a large focus will be on social learning (learning from others) and practical, real-world application to convert knowledge to action.

- **Q1FY22** (2021-03-22): Program Launch & Recruiting Top Talent (virtual)
- **Q2FY22** (2021-05-24, 2021-05-26, and 2021-06-02): Field Manager Challenge (virtual)
- **Q3FY22** (2021-10-04): Recognition, Coaching & Manager Operating Rhythm (virtual)

## Topics

This program will leverage content from the GitLab Manager Challenge and address multiple learning objectives supporting the following categories:

1. Winning Top Talent
1. What is a High Performing Team?
1. Organizational / Team Health
1. Performance Management & Giving Feedback
1. Recognition, Coaching & Manager Operating Rhythm

## Content

### Program Overview

- [Field Manager Development Program Overview](https://youtu.be/oNwqsJV_OmU) (11.5 minutes) ([slides](https://docs.google.com/presentation/d/1O2QSZefPxLf_0T6AQO3NWte73z2X357V1PxVV9wQZX4/edit?usp=sharing)) (GitLab internal only)

### Winning Top Talent

- [The Importance of Winning Top Talent](https://youtu.be/VftKycprJms) (13 minutes, GitLab internal only)
- [Defining Team Needs](https://youtu.be/3BPjETac8ps) (6 minutes, GitLab internal only)
- [Kicking Off the Process With Recruiting](https://youtu.be/6iIVmhJqfUk) (8.5 minutes, GitLab internal only)
- [Importance of the Candidate Experience](https://youtu.be/2hFdo8ndXgs) (15 minutes, GitLab internal only)
- [Inclusive Interview Practices](https://youtu.be/bZN-7yBFoDI) (32 minutes, GitLab internal only)
- [Assessing Candidates](https://youtu.be/OZMqIdrnaEg) (10 minutes, GitLab internal only)

### What is a High Performing Team

- Pre-work: Module 1 of the [Field Manager Development Program journey](https://gitlab.edcast.com/journey/field-manager-development-program-journey)
- Building High Performing Teams ([slides](https://docs.google.com/presentation/d/1xEgyPMxNFL7VU5jyGb_-tVykCSNNjpsSh1of6osBq5U/edit?usp=sharing)) (GitLab internal only)
- [Welcome](https://youtu.be/kNa5eJqLHOM) featuring Ryan O'Nell (6 minutes)
- [Field Manager Spotlight: High Performing vs. Low Performing Teams](https://youtu.be/FA3rrxmZVS0) featuring Helen Mason (4 minutes, GitLab internal only)
- Breakout Exercise: [High Performing vs. Low Performing Teams](https://youtu.be/5k6uxPKOzgk) (3 minutes)
- [Drexler-Sibbet Team Performance Model Overview](https://youtu.be/EN2clCFoBJk) (3 minutes)
- Breakout Exercises: Drexler-Sibbet Team Performance Model
  - [Stages 1-4](https://youtu.be/vWShPg_lpro) (18.5 minutes)
  - [Stages 5-7](https://youtu.be/4H2wQ8UnFjk) (4 minutes)
- Key Take-Aways
  - [8am PT session](https://youtu.be/XnLz-vG5iIo) (4.5 minutes)
  - [2pm PT session](https://youtu.be/E3OG6w-wWLQ) (5.5 minutes)

<iframe width="560" height="315" src="https://www.youtube.com/embed/gB5Yfz_MaqI" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

<br>

<iframe width="560" height="315" src="https://www.youtube.com/embed/hf8dOLeRvQQ" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

### Organizational and Team Health

- Pre-work: Module 2 of the [Field Manager Development Program journey](https://gitlab.edcast.com/journey/field-manager-development-program-journey)
- Organizational & Team Health ([slides](https://docs.google.com/presentation/d/1GCufbe3ceV-ijUCWhqnDsg24185pZPpKPhBKXILzg6Q/edit?usp=sharing)) (GitLab internal only)
- [Building Trust with Remote Teams](https://youtu.be/cBPAbuZo8Ns) with Dr. Jeb Hurley from [TrustMetryx](https://www.xmetryx.com/) (76 minutes)
  - [Connecting the Human Dots](https://drive.google.com/file/d/1Hu3cCS8zyrhJrt5_vMC23cjRNi-IcaUA/view?usp=sharing) (slides)
  - GitLab Field Managers' [Cross Team TrustMetryx Experience Report](https://drive.google.com/file/d/1HjVb_LAYSJFgVNd7zcM9yd5TA6YoPfE2/view?usp=sharing)
  - GitLab Field Managers' [Your Manager TrustMetryx Experience Report](https://drive.google.com/file/d/1OWVgDArooTOGx2TZzZ56JHLXbZUO0rqb/view?usp=sharing)
- [Five Dysfunctions of a Team](https://youtu.be/zewH5BzZ4l4) with Denise Parsonage (People Business Partner) (17 minutes)
- [Q2 Module 2 Wrap-Up](https://youtu.be/AFGYLmYjxFo) with Michael Leutz (6.5 minutes)

<iframe width="560" height="315" src="https://www.youtube.com/embed/OM2iujpeKeQ" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

<br>

<iframe width="560" height="315" src="https://www.youtube.com/embed/GCxct4CR-To" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

### Performance Management and Giving Feedback

- Pre-work: Module 3 of the [Field Manager Development Program journey](https://gitlab.edcast.com/journey/field-manager-development-program-journey)
- Performance Management ([slides](https://docs.google.com/presentation/d/1Owxaz0VtFHR3FOVFHvYq2GCnStmbWfhhc4CWEMdhcw8/edit?usp=sharing)) (GitLab internal only)
- Performance Management Module Introduction
  - [David Sakamoto (VP, Customer Success](https://youtu.be/OaKic20yEFU) 8am PT intro (3 minutes)
- [Q3 Field Manager Summit Look Ahead](https://youtu.be/_nb9nVCuqu8) (1 minute)
- [Performance Management Module Learning Objectives](https://youtu.be/dqP0UbG_Mdc) (1 minute)
- Field Manager Spotlight: Giving Feedback
  - [Jennifer Kenney-Smith](https://youtu.be/JrPMBCVEpLk) (12 minutes)
  - [Reshmi Krishna](https://youtu.be/3q2awSaR_Z8) (13 minutes)
- [Performance Management Best Practices](https://youtu.be/mzJ6RZKLUGI) featuring Amy Tisdale (Team Member Relations Specialist) (26 minutes)
- Group Discussion: [Performance Management Lessons Learned](https://youtu.be/CyLdMdwHU1M) (16 minutes)
- Group Discussion: [Tailoring Your Approach to Giving Feedback](https://youtu.be/SDNGXI1TXNQ) (12 minutes)
- Group Discussion: [An Awkward Performance Review](https://youtu.be/4dR__ztGtBA) (5 minutes)
- Breakout Exercise: [Performance Management](https://youtu.be/-Ppck7u-LPo) (13 minutes)

<iframe width="560" height="315" src="https://www.youtube.com/embed/Z3_-_RFjfmE" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

<br>

<iframe width="560" height="315" src="https://www.youtube.com/embed/P5YuiwNQ87Q" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

<br>

<iframe width="560" height="315" src="https://www.youtube.com/embed/0YaXSbLqork" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

### Recognition, Coaching & Manager Operating Rhythm

- Pre-work: Module 4 of the [Field Manager Development Program journey](https://gitlab.edcast.com/journey/field-manager-development-program-journey)
- Recognition, Coaching, and Manager Operating Rhythm ([slides](https://docs.google.com/presentation/d/15kMGlgIFym6TzeDwayFjExryrIIbbN2Euk1Si2HfL6U/edit?usp=sharing)) (GitLab internal only)
- [Session Intro](https://youtu.be/S4civbLZeLQ) (2 minutes)
- [Welcome](https://youtu.be/zHCIEp21Ny8) from Michael McBride (GitLab Chief Revenue Officer) (15 minutes, GitLab internal only)
- [CRO Leader Perspectives on Coaching](https://youtu.be/vOEf9g4kIvQ) featuring Michelle Hodges (GitLab VP WW Channel Sales) and Nima Badiey (GitLab VP, Alliances) (11 minutes, GitLab internal only)
- [Fostering Field Recognition](https://youtu.be/OEU3uMTT35s) featuring Denise Parsonage (Director, People Business Partner) and Monica Jacob (Manager, Field Communications) (15 minutes, GitLab internal only)
- [Recent Photo Ice Breaker Activity](https://youtu.be/S08GrUyWT-w) (3.5 minutes)
- [When to Coach Breakout Discussions](https://youtu.be/ukShuN0dJHc) led by Carolyn Bednarz (Director, People Business Partner) (23.5 minutes, GitLab internal only)
- [Field Manager Spotlight: GROW Model](https://youtu.be/uCuQjwrkNO4) featuring Ed Cepulis (Sr. Director, Channel Programs and Enablement) (11 minutes)
- [Role Play Breakout Activity: GROW Coaching Model](https://youtu.be/Yagj9t7BDF4) (35 minutes, GitLab internal only))
- [Manager Operating Rhythm & Closing](https://youtu.be/q2Z6mviXGjg) (5 minutes)
  - [Manager Operating Rhythm (MOR)](/handbook/sales/manager-operating-rhythm/) Handbook page

<br>

<iframe width="560" height="315" src="https://www.youtube.com/embed/K3iJwoydBbg" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

<br>

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.loom.com/embed/61fe084ac83741619a8fc5f3dd01c400" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

<br>

## Core Team

- [Carolyn Bednarz](/handbook/company/team/#cbednarz) (People Business Partner, Sales)
- [Josh Zimmerman](/handbook/company/team/#josh_zimmerman) (Learning & Development Manager)
- [David Somers](/handbook/company/team/#dcsomers) (Sr. Director, Field Enablement)
- Field Manager Advisors
  - [Dave Astor](/handbook/company/team/#disastor) (Manager, Solutions Architects, US East)
  - [Robbie Byrne](/handbook/company/team/#robbieb) (Area Sales Manager, EMEA)
  - [Ed Cepulis](/handbook/company/team/#ecepulis) (Sr. Director, Channel Programs and Enablement)
  - [Michael Leutz](/handbook/company/team/#mrleutz) (Manager, Customer Success Managers, EMEA)
  - [Helen Mason](/handbook/company/team/#hmason) (Area Sales Manager (Mid-Market), EMEA)
  - [Jacob Potter](/handbook/company/team/#jpotter1) (Area Sales Manager, Mid Market First Order)
