---
title: "Career Development at GitLab & RSOE"
description: "This page provides guidance and resources for the RSOE team related to Growth & Development"
---
## Career Development at GitLab & RSOE

Career development is the non-linear, lifelong growth process integrating learning, work, leisure, and change. It happens in all directions, including subject matter expertise, lateral growth to new teams, and linear growth through a job family.

At GitLab, [Career Development and Mobility](/handbook/people-group/learning-and-development/career-development/) is a top priority, offering various resources and programs to help employees grow their skills and progress their careers. GitLab’s [growth and development opportunities](/handbook/people-group/learning-and-development/career-development/#career-growth-opportunities) include internal training, mentorship programs, and certifications, empowering team members to build on their strengths and explore new areas of interest. GitLab encourages a culture of continuous learning, and employees have access to a range of learning resources, including the [Learning and Development section](/people-group/learning-and-development/) of the GitLab handbook. This commitment to growth ensures employees can pursue new challenges and advance within the company.

## Career Pathing within the Revenue, Strategy, Operations, and Enablement (RSOE) Team

The Revenue, Strategy, Operations, and Enablement (RSOE) team at GitLab provides numerous pathways for career progression, allowing employees to explore different roles within the team. The RSOE team encourages internal mobility, professional development, and cross-functional collaboration, ensuring a dynamic work environment.

When considering a move into a new role, it's essential to assess your current knowledge, skills, and competencies to identify areas for development. Start by reviewing the job requirements for your desired role shown in the chart below. Then, conduct a self-assessment by reflecting on your current skill set, seeking feedback from managers or peers, and utilizing tools such as GitLab’s self-paced courses and personal development plans. Use the [RSOE Individual Growth Plan & Career tracker template](https://docs.google.com/spreadsheets/d/1J6LrCN7-Z8sc2SAFPAPTKrwejJJE9onQ1iHUmW2DfHA/edit?gid=336501902#gid=336501902) to create an action plan to address gaps through targeted learning, mentorship, or hands-on projects.

The chart below demonstrates the roles within the RSOE team, along with links to the relevant job families that outline the responsibilities and requirements for each role:

<div style="width: 640px; height: 480px; margin: 10px; position: relative;">
  <iframe allowfullscreen frameborder="0" style="width:640px; height:480px" src="https://lucid.app/documents/embedded/09d696fb-4c88-447a-9e01-30524f55cdd0" id="PSUe4CHRXUyN"></iframe>
</div>

These job families within the RSOE team at GitLab offer employees a variety of career development opportunities, supporting both lateral movements and upward growth, allowing for a tailored career path suited to individual skills and aspirations.

**Remember!** In addition to opportunities within the RSOE team, GitLab offers a variety of roles across other departments such as Go-to-Market (GTM) teams, Product, Data, Support, Systems and more! These areas provide employees with chances to explore different aspects of the business, whether in product management, data analysis, customer support, or system administration. Exploring these paths enables employees to broaden their experience, diversify their skill set, and find the best fit for their career aspirations within GitLab.

Ready to start the conversation? Use the [Career Conversation Meeting template](https://docs.google.com/document/d/1Fqxoxl0LgCrjUD3_FR6FiufPqBM3R-dbbVs39JAOUrc/edit?tab=t.0) to help you and your manager get aligned.

Your leadership team is here to cheer you on and guide you toward your next big move! They'll provide helpful feedback, spot growth opportunities, and point you toward resources. But the real magic? That’s up to you! Owning your career path means taking the initiative, setting goals, and exploring new skills. Managers are here to support you, but it’s your enthusiasm and drive that will light the way to success. So dream big, take action, and make it happen!

## Career Development Resources for RSOE Managers

As a manager, you play a crucial role in helping your team members [grow and progress](/handbook/people-group/learning-and-development/career-development/#manager-responsibilities) in their careers. It’s your responsibility to [provide guidance, support, and the resources](/handbook/people-group/learning-and-development/career-development/#recomendations-for-managers-to-support-the-learning-of-team-members) they need to identify their strengths and areas for improvement so you can help them develop the skills and experiences necessary to advance in their roles within and outside your team. You also act as an advocate, offering mentorship, networking opportunities, and aligning their career aspirations with the goals of the organization. Ultimately, your commitment to their development is key to their success, the overall performance of the team and GitLab! Have a look at the [RSOE Career Development Best Practices Guide](https://docs.google.com/document/d/13gvILCumR6-kPeOo3WZNn5114vlZ2DAYDQBjoTGNfX0/edit?tab=t.0) to get started!
