---
title: "Field Operations"
description: "The Field Operation team's vision is to manage field business processes, systems, architecture, enablement, champion data integrity, provide insights and predictability through analytics"
---

### Welcome to the Field Operations Handbook

"Manage field business processes, systems, architecture, enablement, champion data integrity, provide insights and predictability through analytics"

The term *"sales"* refers to the Sales Team and *"field"* includes the Customer Success, Channel, and Alliances Teams.

### Key Tenets

**Clarity**: for definitions, processes and events
**Predictability**: of the business by leveraging data and systems
**Scalability**: for processes and systems that allows for growth

### Teams

- [Sales Operations](/handbook/sales/field-operations/sales-operations/)
  - [Deal Desk](/handbook/sales/field-operations/sales-operations/deal-desk/#welcome-to-the-deal-desk-handbook)
  - [Order Management](/handbook/sales/field-operations/sales-operations/order-management/)
  - [Sales Commissions](/handbook/sales/commissions/)
  - [Data Intelligence](/handbook/sales/field-operations/data-intelligence/)
- [Sales Systems](/handbook/sales/field-operations/sales-systems/)
- [Sales Strategy](/handbook/sales/field-operations/sales-strategy/)
- [Field Enablement](/handbook/sales/field-operations/field-enablement/)
- [Channel Operations](/handbook/sales/field-operations/channel-operations/)
- [Customer Success Operations](/handbook/sales/field-operations/customer-success-operations)
- [Customer Success Strategy & Analytics](/handbook/sales/field-operations/customer-success-strategy-analytics)

### RSOE Growth & Development

- For guidance and resources on [RSOE Career Growth & Development](/handbook/sales/field-operations/RSOE-G&D)

### Field Operations Calendar

- Field Operations utilizes a team calendar to communicate team member availability as well as office hour meetings.

#### How to add the Field Operations Calendar

- To add the Field Operations Calendar to your Google Calendar click on the `+` Next to `Other Calendars` on the bottom left hand side of you Google Calendar.
- From there type in `Field Operations` into the search box and the Field Operation calendar should be the only calendar available to select.

#### What are Office Hours?

- Office hours is a weekly meeting that is set up where the hosting team is available to field questions from individuals who they may not generally sync with. The goal is to offer wider availability and support to the greater operations teams and to GitLab as a whole. Office hours are NOT a dedicated time for team members to join to check in on the status of a project or to be used as a recurring project meeting.

#### Current Office Hours

- Sales Systems currently holds office hours every Wednesday at 10:30 AM PST

### Field Operations Releases and Changelog

Field Operations works to deliver Field Ops changes related to Sales Ops, CS Ops, Channel Ops & Deal Desk (QTC) in a batched, bi-weekly release cadence. To learn more, see the [Field Ops Release Schedule page](/handbook/sales/field-operations/release-schedule/).

For a running log of Field Ops changes related to Sales Ops, CS Ops, Channel Ops & Deal Desk since Q3-FY22, see the [Field Ops Changelog page](/handbook/sales/field-operations/changelog/).
