---
title: "Customer Programs"
description: "Customer Programs creates communication paths using Gainsight to inform, educate, and learn from our customers."
---
<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

## What we do

Customer Programs creates communication paths using Gainsight to inform, educate, and learn from our customers.

You can see more information about what we do and our strategy in the following decks:

- [Strategy](https://docs.google.com/presentation/d/1EsCcVqKYL1WkwFkOZDr6TV_DBJMEvrGy3ErPlJLcfPg/edit#slide=id.g29a70c6c35_0_68)
- [Overview](https://docs.google.com/presentation/d/1JFHS-GiMvIZ6oClLRXDN7HSZaSJca123m2LTF-pPEBg/edit#slide=id.gddb21d186e_0_17)

### Team Members

## Meet the Team

| Person | Role |
| ------ | ------ |
| [Brittney Sinq](https://gitlab.com/bsinq) | [Sr. Director, CS Strategy & Operations](/job-families/sales/director-customer-operations/) |
| [Michelle Harris](https://gitlab.com/mharris3) | [Sr. Program Manager, Customer Programs](/job-families/sales/program-manager-customer-programs/#senior-program-manager-customer-programs) |
| [Raluca Gorbanescu](https://gitlab.com/RGorbanescu) | [Sr. Program Manager, Scale](/job-families/sales/program-manager-customer-programs/?search=scale#senior-program-manager-customer-programs) |
| [John Gamboa](https://gitlab.com/johnpgamboa) | [Program Manager, Customer Programs](/job-families/sales/program-manager-customer-programs) |

## Related Content

- [Available Programs](/handbook/sales/field-operations/customer-success-operations/cs-ops-programs/available-programs/)
- [Getting Help from Digital Customer Success](/handbook/sales/field-operations/customer-success-operations/cs-ops-programs/getting-help-from-dcs/)
- [NPS/CSAT Surveys](/handbook/sales/field-operations/customer-success-operations/cs-ops-programs/nps-csat-scores/)
- [CS Content Guide](/handbook/sales/field-operations/customer-success-operations/cs-ops-programs/cs-content-guide/)
- [Customer Newsletter](/handbook/sales/field-operations/customer-success-operations/cs-ops-programs/customer-newsletter/)

## Who we support

We support all customers with our programs but primarily serve customers that do not have one-to-one Customer Success relationships or are supported by the Scale Team. We manage time-based and/or data-driven email programs via Gainsight to further enable customers in their journey with GitLab.

## Programs lifecycle

Programs follow the lifecycle of the customer, from onboarding to enablement to retention.

![Customer Lifecycle](https://lucid.app/publicSegments/view/7e994704-484f-4d32-a083-6c052b07ba66/image.png)
Segment specific journey - [Tech Touch](https://lucid.app/documents/embedded/6e790ff2-fc61-4617-acb2-81980f7b1d2e#) | [Scale](https://lucid.app/documents/embedded/38da04cd-67e0-4c74-b9a9-f18a9147ade2) | [CSM-Managed](https://lucid.app/documents/embedded/30feecd2-a4c6-4ec4-8acd-9ee2a0205a26)

### Programs Overview

Please refer to the [Available Programs](/handbook/sales/field-operations/customer-success-operations/cs-ops-programs/available-programs/) page for a list of active DCS Programs. A program can be any of the following:

- Email, either single or a series, sent automatically or manually through Gainsight
- Webinar invitations and promotion through Zoom and Gainsight
- Monthly newsletters
- Surveys sent through Gainsight

### Available program metrics and data and timelines

When an email program is sent, Gainsight collects data about the following points:

- To whom the program was sent
- Open, bounce, and click rates

If an email contains a survey, Gainsight will collect information about who opens and responds to the survey (unless the survey is stated to be anonymous). For more information about surveys, visit [Customer NPS/CSAT surveys](/handbook/sales/field-operations/customer-success-operations/cs-ops-programs/nps-csat-scores/).

New programs typically take *30 to 60 days* to show meaningful data.

If the information requested is already available in Gainsight, please expect *1-3 business days* beyond 30 days to respond to the request.

If a new dashboard or report must be created, [CS Ops](/handbook/sales/field-operations/customer-success-operations/) will provide more accurate time expectations.

## Program Recipients

### GitLab Admin contacts

The GitLab Admin contact user is the primary recipient of communication sent by the Digital Customer Success (DCS) Team. This contact receives all primary communication regarding onboarding, enablement, and overall customer health from DCS. More than one GitLab Admin may be configured on an account.

Configuring the GitLab Admin contact is a required step in the Sales process. GitLab Admin contacts can be changed or added at any point in the customer journey in Gainsight or Salesforce.

Learn more about the GitLab Admin contact role requirement [on the Gainsight Go-To-Market Technical Documentation page](/handbook/sales/field-operations/sales-systems/gtm-technical-documentation/#gitlab-admin-contact-required).

### Owner and Maintainer users (SaaS Customers Only)

On accounts using the GitLab SaaS product, individual users with Owner and Maintainer permissions in an organization may receive email programs from the DCS Team.

Targeting individual users at the account level enables the DCS Team to ensure customer enablement programs reach contacts most likely to take action on individual features of GitLab.

### Sold-To Contacts

If a customer purchases GitLab without the assistance of the Sales team directly from GitLab's website, there may be no GitLab Admin user configured to the account. If so, communications normally designed for the GitLab Admin contacts will be sent to the contact that directly purchased GitLab products and services (the Sold-To contact). These contacts do not receive NPS or CSAT communication.

## How to configure a GitLab Admin

**Add a contact by using Gainsight:**

1. Navigate to the Gainsight Customer360 page.
1. Under **Contacts**, find the contact name to enroll.
1. Click the `...` icon.
1. Click **View Details**.
1. Edit the `GitLab Role` field.
1. Select `GitLab Admin` from the picklist.
1. Click **Save**.

**Add a contact by using Salesforce:**

1. Find the contact in Salesforce.
1. Edit the `Role` field.
1. Select `GitLab Admin` from the picklist.
1. Click **Save**.
