---
title: "All-Customer CSAT Survey (CS)"
description: "A deep dive into Customer Succeess's (CS) twice-yearly CSAT survey"
---
## *What is the “All-Customer CSAT Survey?"*

Administered by the Customer Success team via Gainsight to a larger audience, these surveys assess customer satisfaction with GitLab's overall support, service levels, and customer experience. Further, this survey represents a macro-level baseline for Customer Satisfaction Scoring, not drive customer-level interactions and escalation.

## **Send Schedules**

| CSAT Survey | Send Schedule | Follow-up Date | Close Schedule |
| :---- | :---- | :---- | :---- |
| All-Customer CSAT Survey 1   |  May 24, 2024 | May 30, 2024 | Jun 21, 2024 |
|  | Nov 12, 2024 | Nov 15, 2024/ Nov 22, 2024 | Dec 11, 2024 |
|  | May 5, 2025 (tentative) | May 16, 2025 (tentative) | Jun 1, 2025 (tentative) |
|  | Nov 3, 2025 (tentative) | Nov 14, 2025 (tentative) | Dec 7, 2025 (tentative) |
| All-Customer Survey 2 | Jan 8, 2025 (tentative) |  |  |

## **Questions**

1. How satisfied are you with GitLab?
2. How satisfied are you with your teams’ adoption of GitLab?
3. How satisfied are you with your experience working with the GitLab team?
4. How satisfied are you with the business value provided by GitLab?
5. What could we be doing better?
   * Note: Open text field
6. Select a role that you most closely identify with:
   * Developer or Engineer
   * Administrator
   * Team Lead or Manager
   * Security
   * Product Manager
   * Billing or Procurement

## **Process**

1. **Email:** An email containing the CSAT survey is sent to an identified contact within the customer's organization.
2. **Reminders:** If the customer hasn't responded within 3 days, a gentle reminder email is sent. If there's still no response after 10 days, a final reminder email is sent. Additionally, the Success teams will directly contact their assigned customers to drive engagement, if there is a lack of response from the automated email.
3. **Survey Closure:** The survey remains open for 30 days to allow for any account teams to encourage customers to complete it.

## **Results**

Survey results are analyzed and made available in the following formats:

* **Tableau Dashboards:** Created from Snowflake data, these dashboards provide a visual representation of overall CSAT trends, key metrics, and actionable insights.
* **Gainsight:** CSAT scores are comprehensively tracked in the Customer 360, providing a detailed view of customer satisfaction over time. Additionally, a universal dashboard offers a consolidated overview of all CSAT surveys sent, enabling easy monitoring and analysis.
* **Salesforce:** Survey responses can also be found in the embedded Gainsight widget on any account page in Salesforce.

**Scoring Methodology**

Each question is scored by dividing the total number of customers who select “Very Satisfied” (5) or “Satisfied” (4) by the total number of responses, then multiplied by 100\.

**Tableau Dashboards**

The CSSO team is creating a dashboard to be available in Tableau by EO FY25Q4.

**Gainsight, SalesForce**

* **Gainsight:** CSAT scores are written to a scorecard in the Customer 360\. For an overview of how CSMs use Customer360 (or C360), please refer to the [Gainsight CSM C360 Overview Page](/handbook/customer-success/csm/gainsight/c360-overview/)
* **SalesForce**: Survey responses can also be found in the embedded Gainsight widget on any account page in Salesforce.

## **Actioning Feedback**

In customer success, the primary teams in Customer Success who action survey feedback are **Customer Success Managers (CSM)** and **Customer Success Engineers (CSE)**.

**Customer Success Managers:**

* **Pre-send:** Proactively create awareness of the survey through ongoing customer conversations, emphasizing the importance of their feedback.
* **Post-send:** Follow up on survey responses, address any concerns or issues raised by customers, and ensure that their needs are met. Automated CTAs (calls to action) will be created in Gainsight to guide Customer Success Managers (CSMs) in their follow-up efforts.

**Customer Success Engineers:**

* **Pre-send:** Create awareness of the survey through one-to-many event invites and targeted conversations with customers.
* **Post-send:** Automatic email follow-ups are sent to customers who have provided feedback, inviting them to schedule a follow-up meeting with a Customer Success Engineer (CSE). This is particularly important for customers who may be dissatisfied, as it allows us to proactively address their concerns and explore potential solutions. Customers can conveniently book a meeting time using Calendly.

**Digital SMB**

* **Pre-send:** Create awareness of the survey through one-to-many event invites.
* **Post-send:** Automatic email follow-ups are sent to customers who have provided feedback, inviting them to email their SMB Advocate team. This is particularly important for customers who may be dissatisfied, as it allows us to proactively address their concerns and explore potential solutions. When a customer sends an email to their SMB Advocate it automatically generates a SFDC Case for the team to follow-up on.

**Customer Success Leadership:**

* Customer Success leadership (both CSM and CSE) will schedule calls with customers, focusing on those who score as dissatisfied responses to understand where the customer experience is insufficient and what improvements we can make.
  * Future state: there will be a formal program to track and manage customer programs that are born as a direct result of customer feedback (likely in FY26 Q1).
* The CSSO team will provide resources and guidance for CS leaders and their teams to ensure that they have the tools and knowledge necessary to effectively manage CSAT surveys and leverage customer feedback to improve GitLab's products and services.

## ---

| Page Metadata | |
| :---- | :---- |
| Last Updated | Oct 29, 2024 |
| Next Update | May 1, 2025 |
| Owner | Sarah Schuster |
| Sponsor | Brittney Sinq |
