---
title: "Customer Newsletter"
Description: The customer newsletter recaps each months release and highlights important information from the field, product and/or marketing.
---

### Overview

The customer newsletter is a monthly email that recaps each month's [GitLab release](https://about.gitlab.com/releases/) and highlights important information from the field, Product and/or Marketing.

Ongoing feedback and participation from the field and Product is imperative to the success of this program. If you have feedback on the current process, or would like to request a certain type of content or update for future newsletters:

- Submit an issue using our [CS Programs - Idea Request](https://gitlab.com/gitlab-com/sales-team/field-operations/customer-success-operations/-/issues/new) template
- Reach out in the #cs-operations Slack channel

### Target Audience

This newsletter is sent to all customers where a `GitLab Admin` contact is identified. There are bifurcated email versions based on CSM-owned/Non-CSM owned and PubSec. For non-CSM-managed customers, we also send to the Sold-to-Contact if no GitLab Admin is present. Owner users on SaaS instances receive the newsletter, as well.

### Newsletter Tool

Gainsight Journey Orchestrator is the primary tool to send newsletters. This system allows Digital CS to send targeted email newsletters to customers based on the role, sales segment, region, products purchased, usage and more.
The benefit of Gainsight is as follows:

- Auto-populate tokens (company name, first name, csm name, usage statistic)
- Multi-step outreaches
- Multiple email versions
- Link your emails triggered by Programs, to other features in Gainsight (e.g. CTAs - Calls to Action)

### Opportunities & Requirements

- Create awareness
- Post announcements and deprecations
- Share webinar invitations, customer stories and events
- Share customer usage (roadmap request)
- Various other requests

### Format

- GitLab Release callouts by plan and instance type
- Field callouts and important updates related to customer accounts
- Product or Marketing callouts
- Webinars, Events or Customer Stories

### Process

- An issue for each month's newsletter is created at least one week before each GitLab Release.
- Relevant stakeholders, contributors and Slack channels are notified each month to provide content or review suggested content in the outline.
- Contributed content is due no later than one week before the expected send date.
- Once the outline is complete, the Digital CS team drafts the newsletter in a Google Docs document linked in the issue. Then, content is imported into the newsletter template in Gainsight.
- Digital CS sends a test newsletter to relevant leaders and stakeholders for review no more than two business days before the planned send date.
- Reviewers provide feedback no later than 12 pm PT on the business day before the planned send date to allow time for revisions and scheduling.
- Digital CS schedules the newsletter to send at 9 am PT on the planned send date.
- Once the newsletter is sent, Digital CS posts a reminder in the dedicated issue.
- On the Monday following the newsletter's send date, Digital CS captures the newsletter performance and analysis in the issue. If there are no additional questions, the issue is closed.

If you would like to be added to the newsletter distribution list, please reach out in the #cs-operations Slack channel.

### Measurements

#### Quantitative Success Metrics

- Email open rate - Average open rate of *x*% in FY23.
- Click-to-open rate - Average click rate of *x*% in FY23.
- Usage data, if applicable.

#### Qualitative Success Metrics

- Increased engagement from field team members, leaders and stakeholders in regard to the newsletter. For example: feedback, requests, suggestions and other ideas.
- Usefulness of newsletter for customer conversations and engagement.

### Past Newsletters

All past newsletters are accessible [here](https://docs.google.com/document/d/1VkN-pqElJJtqz2vsLySnm5FDTsHVK7wyZwX_97WeyOM/edit?usp=sharing) and are logged on the customer's account in SalesForce and Gainsight.
