---
title: "Getting Help from Digital Customer Success Programs"
description: "How to request help from the DCS team and what to expect"
---
<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

## Propose a new program or update an existing one

You may request a potential new program, such as an email series, contribute to existing programs, or update existing programs. We provide issue templates for ease of use.

**To propose a new program or update an existing program:**

1. Open a new issue in the [CS Ops Project](https://gitlab.com/gitlab-com/sales-team/field-operations/customer-success-operations/-/issues).

1. Select the appropriate template from CS Programs.

1. Fill out as much of the template as possible. Missing information may cause delays.

CS Programs will assign the request. For urgent issues, or questions about the request, make an `@mention` to a Gainsight administrator or ask in the `#cs_ops_and_programs` Slack channel.

### New program timeline

For a new program, the workflow is as follows:

1. The requester submits a proposal issue using the correct template, filling out as much information as possible. If the form is not complete, this may delay completion. Please include the desired date the program will go to customers.
1. The CS Programs team verifies that the information needed is present and will provide additional information or clarify.
1. The requester provides initial content for the program. This may be copy content, such as the contents of the email requested, branding requirements, and any token information needed to create the program.
1. The CS Programs team provides a timeline for completion once all the information is available.
1. The CS Programs team requests a review from Product and/or Support as needed.

In general, at least *1 milestone* is required for a new program, and in most cases it may be closer to 2 milestones, depending on the complexity of the request.

### Program update timeline

For program update requests, the workflow is as follows:

1. The requester submits an issue using the correct template, filling out as much information as possible. This should include the name of the program to change, and the date the requester wants the change to be completed.
1. The CS Programs team verifies that all information needed is present and will provide additional information or clarify.
1. The CS Programs team makes the requested changes to the program copy, then may request a review by Product and/or Support.
1. When SME review is complete, the CS Programs team adds the changes to Gainsight.

In general, at least *1 milestone* is required to update a program. Depending on the size of the change, it may take longer. For example, adding a paragraph or removing a bulleted list from an email is simple, but adding an entirely new email to a series requires a new program to be created due to Gainsight limitations.

## A/B testing and control groups for digital customers

We sometimes apply [A/B testing](https://hbr.org/2017/06/a-refresher-on-ab-testing) to digital program where we test different subject lines, calls to actions or the efficacy of the program itself. The Customer Success Operations team created a rule that puts each customer into either A or B.

See more about how we set up A/B testing on the [issue page](https://gitlab.com/gitlab-com/sales-team/field-operations/customer-success-operations/-/issues/230).

Control groups are also used for digital customers in order to measure the impact and effectiveness of our programs. We use the insights to make adjustments and validate the value provided. Once validated, we remove control groups for long-term programs that improve our customers' experience. This can mean that a small percentage of customers may not receive onboarding or enablement content during pilot programs.

## Deadlines and time expectations

Each program we send is created by the Digitical Customer Success (DCS) Programs team in Gainsight. Once a program is created and designed, we can make changes to the content. Creating a new program can be a time-intensive task, especially if the send rules and other parameters are specialized. Refer to "Propose a new program or update an existing one" for more information.
