---
title: "Customer Success Strategy & Analytics"
description: "GitLab Handbook page for the Customer Success Strategy & Analytics (CSSA) team"
---

### Customer Success Strategy & Analytics 

## Vision 

The Customer Success Strategy and Analytics team drives customer-centric growth by providing strategic insights and data-driven recommendations. We partner closely with Customer Success, Renewals, Sales, Support, Data and Product teams to optimize customer journeys, improve retention, and maximize customer value. By leveraging advanced analytics, scalable processes, and tailored strategies, we empower teams to enhance customer satisfaction, identify opportunities for expansion, and ensure long-term success. Our mission is to bridge the gap between data and action, enabling impactful decisions that foster strong, enduring customer relationships.

## Meet the Team

| Person | Role |
| ------ | ------ |
| [John Budreski](https://gitlab.com/jbudreski ) | [Senior Manager, CS Strategy & Analytics](/job-families/sales/sales-strategy/#sales-strategy-senior-manager) |
| [Heather Kacmarski](https://gitlab.com/hkacmarski) | [Renewal Analytics Analyst](/job-families/sales/renewal-operations-analyst/) |
| [Derek Gonzalez](https://gitlab.com/dgonzalez35) | [Customer Success Analytics Analyst](/job-families/sales/sales-analytics-analyst-jf/) |
| [Brandon Butterfield](https://gitlab.com/bbutterfield) | [Customer Experience Analytics Analyst](/job-families/sales/sales-analytics-analyst-jf/) |
| [Michael Arntz](https://gitlab.com/marntz) | [Customer Success Strategy Manager](/job-families/sales/sales-analytics-analyst-jf/) |

## How We Work

The CSSA team manages strategy and analytics work via issues while planning cycles occur on a Quarterly and Monthly basis followed by monthly communications out to our stakeholders. See team issue boards below:

[CSSA Team Board](https://gitlab.com/groups/gitlab-com/-/boards/7349453?label_name[]=CSSO)
[CS Analytics Issue Board](https://gitlab.com/groups/gitlab-com/-/boards/7349556?label_name[]=CSAnalytics&label_name[]=CSSO)
[CS Strategy Issue Board](https://gitlab.com/gitlab-com/sales-team/field-operations/customer-success-operations/-/boards/7349584?label_name[]=CSSO&label_name[]=CS%20Strategy)

## What We Do

The CSSA team is repsonsible for supporting the business via a number of different methods and modalities. While our stakeholders span across numerous functions within the business our core stakeholders are within the Customer Success team which includes CSAs, CSMs, CSEs, Digital CS, RMs and their respective leadership teams. Our core functions include but are not limited to:

- Dashboards
- Reports
- Scorecards
- QBR support
- Ad-hoc analysis
- Project and planning support
- GTM Strategy
- Territory and Resource planning
- Product and Use Case scoring and analytics 
- Customer Journey analytics 

## Get in Touch

Head over to [#cs-operations](https://join.slack.com/share/enQtODE3NjYwMDI5NDMyNi1lNzdhOGNjNGE5MDFkYjI3Yjg5Zjg1ZGFhMjIyOWZlZDgxMmQ2MDc1YzE5MjRhMzg5NzNiNDBjNTUwOGYzZDk4) on Slack to get in touch with us and the broader Customer Success Operations team. We use this channel for general support, and key system status updates. We attempt to avoid direct messages where possible as it discourages collaboration.
