---
title: "Field Enablement"
description: "The Field Enablement team's mission is to design and deliver effective enablement solutions to field team members and partners that grow expertise and confidence needed to drive efficient, predictable, and scalable growth for GitLab"
---

## Overview

### Field Enablement Team Vision

To be a recognized partner who contributes to field & partner business outcomes. We inspire our field and partners to achieve high levels of success through the acquisition and application of knowledge, skills and behaviors - at scale - that improve productivity and accelerate customer outcomes & growth.

We envision a Field organization that has easy and intuitive access to the information and resources needed to sell effectively, and that is inspired and motivated to be a part of the GitLab team through experiences that drive meaningful connections and engagement.

### Key Tenets of Field Enablement in FY24 (our ways of working)

1. **Operate with Efficiency & Scale**
   1. Minimize FE team task redundancy, improve program processes & rhythm, and build shared enablement services.
1. **Field Alignment**
   1. Establish a field rhythm of business, build feedback loops, build with the field, and respect our global teams.
1. **GTM Enablement**
   1. Deliver route-agnostic enablement programs, uniformly upskill field & partners,  drive operational rigor and strengthen strategic selling.
1. **Transparent and Efficient Field Communications**
   1. Take the guesswork and ambiguity out of staying up-to-date with programs that focus on aligning to segments and supporting a manager cascading motion.
1. **Results-Driven Field Content**
   1. Support a field content experience that provides relevant, easily-accessible & role-based resources to support the GTM motion with a strong feedback loop across stakeholders.

### Field Enablement Strategy & Deliverables

**Review the [Field Enablement FY24 Quarterly Deliverables deck](https://docs.google.com/presentation/d/1ige2sKpmcA6gPO4NyYToC7Hc_zmOCO5L47dZIdovZpk/edit#slide=id.g1c2d0da5713_0_1337).**

1. View our FY24 Enablement Framework on slide 13
1. View our Deliverables by segment and quarter on slides 14-21
1. View the Rhythm of Enablement, Comms, Content and Events (our operating cadence) on slides 8-10
1. View our team org chart on slide 23

### Field Enablement Team

| **Name** | **Title** | **Role** |
| ------ | ------ | ------ |
| Ali Shahrazad  | Sr. Director, Field Enablement | Mgr |
| Kelley Shirazi | Director, Global Sales and Customer Success Enablement | Mgr |
| Monica Gomez | Director, Enablement Operations | Mgr |
| Steve Wilson | Sr. Manager, Product Enablenent | IC |
| Emelie Rodriguez | Staff Program Manager, GTM Enablement | IC |
| Shannon Thompson | Sr. Field Communications Manager | IC |
| Pallavi Daliparthi | Staff Program Manager, Customer Success / Solutions Architect Enablement | IC |
| Cristian Enache | Staff Program Manager, EMEA Field Enablement | IC |
| Jess Stetson | Staff Program Manager, AMER Field Enablement | IC |
| John Blevins | Sr. Program Manager, Onboarding & Continuing Education | IC |
| Joshua Jones | Sr. Program Manager, Partner Enablement | IC |
| Omnia Radwan | Associate Program Manager, Customer Success / Solutions Architect Enablement | IC |
| Tess Dutton | Program Manager, Field Enablement Content | IC |
| Emily Hiett | Field Communications Manager | IC |

### How We Measure Success

The Field Enablement and Communications teams track and measure success in three main areas:

1. **Quarterly OKRs:** The Field Enablement Leadership Team prioritizes quarterly OKRs that support the goals of the CRO organization. Status on current progress of Field Enablement OKRs can be found within the [GitLab Objective and Key Results Project](https://gitlab.com/gitlab-com/gitlab-OKRs/-/work_items/2867).
1. **Quarterly Readouts:** We collate the key results of each quarter in executive summary decks that include overall team achievements and program-specific accomplishments. Current fiscal year readouts can be found below.
   1. [Q1 FY24 Field Enablement Results](https://docs.google.com/presentation/d/1Y3pfN0vgYaKCrshnXBGjsBTq6KPYKD5_Jl0jvVRT_g0/edit)
   1. Q2 FY 24 Field Enablement Results (TBA)
   1. Q3 FY24 Field Enablement Results (TBA)
   1. Q4 FY 24 Field Enablement Results (TBA)
1. **Program Analytics and Impact of Business Outcomes:** We measure the success of our efforts based on the material impact that they have had on the field and our business outcomes.  We inspect and assess 4 levels of measurement:
   1. Did the intended audience complete or engage with the Enablement? Examples: completions, quiz scores, content/page views.
   1. How did the audience think and feel about the Enablement? Examples: satisfaction scores, confidence scores, quality ratings.
   1. Were we able to observe an intended behavior? Examples: successful completion of operational tasks, effective message articulation.
   1. Were we able to attain an intended business outcome? Examples: lower ramp time, accelerated deal cycle time, higher volume or quality of pipeline, lower churn/contraction, improved productivity.

## How to Work With Us

When considering how to engage with the Field Enablement team, stakeholders should take into account the following questions:

1. Does the Field need to **know** something? (Field Comms-only motion)
   1. A Field Comms motion seeks to inform the Field team of important updates/information via the communication channels outlined on the [Field Communications page](/handbook/sales/field-communications).
1. Does the Field need to **know** AND **do** something? (Field Comms and Enablement motion)
   1. A Field Enablement motion seeks to enable  the Field team on a particular skill via trainings or accreditations.

The answer to the above questions will dictate how the Enablement team triages requests across three primary issue templates:

### Field Announcement Request Issue

The **[Field Announcement request issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/new?issuable_template=field-announcement-request&_gl=1*jp1h94*_ga*NTUxMTYwMTU0LjE2MDIwOTI5Nzc.*_ga_ENFH3X7M5Y*MTY4OTM2ODc3NS4zMjQuMS4xNjg5MzY4OTQ1LjAuMC4w)** gathers requests from DRIs/stakeholders across the business to launch or announce something to the Field team – either the full team or a large segment of it. Segment-specific communications are currently out of scope and will require an [Field Enablement request flow](/handbook/sales/field-operations/field-enablement/#field-enablement-request-issue). **Requesters / DRIs should open an issue using this template to track:**

1. Upcoming projects or initiatives that will impact the Field team's processes or workflows
1. Announcements that teams would like the Field to be aware of (organizational or otherwise)
1. New resources or tools the Field should know about
1. Requests for feedback (i.e. surveys) from the Field team

The issue template includes questions and instructions to assist the Enablement team in determining if the announcement requires a Field Comms-only or Field Comms and Enablement motion. Please complete the required sections of the issue template in full, providing as much detail as possible. Note that ALL questions must be answered prior to Field Enablement triaging your request.

Once the request has been triaged by Field Communications, the team will collaborate with you to clarify any outstanding details and define a launch plan. If a Field Comms and Enablement motion is required, Field Enablement will open a [Field Enablement issue](/handbook/sales/field-operations/field-enablement/#field-enablement-request-issue) (below) to scope enablement-related activities and deliverables.

### Field Enablement Request Issue

The **[Field Enablement request issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/new?issuable_template=field-enablement-request&_gl=1*7k9f9r*_ga*NTUxMTYwMTU0LjE2MDIwOTI5Nzc.*_ga_ENFH3X7M5Y*MTY5MDQ4NTIxMC4zNTUuMS4xNjkwNDg1NTU1LjAuMC4w)** gathers ad-hoc enablement requests from DRIs/stakeholders across the business. **Requesters / DRIs should open an issue using this template to track:**

1. Net-new or refreshed trainings for the Field team
1. Net-new or refreshed accreditations for the Field team
1. Changes, updates, announcements that only impact one segment (ENT, COMM, CS, etc.)

The issue template includes questions and instructions to scope the intended audience(s) for the enablement activities, learning objectives and priority. It also includes questions to determine if Field Communications activities are also required. Please complete the required sections of the issue template in full, providing as much detail as possible. Note that ALL questions must be answered prior to Field Enablement triaging your request.

Once the request has been triaged by Field Enablement program managers (PM), the PM will conduct any additional exploration with the requester/DRI to determine a workback plan.

### GTM Enablement Process

For larger, more complex initiatives that involve go-to-market (GTM), cross-functional alignment, Field Enablement has created the **[GTM Enablement Process](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/1500)**.

This process outlines a prescriptive process, timeline, bill of materials and DRIs for Field Enablement, Partner Enablement, Field Comms and Partner Comms for high-, medium- and low-complexity initiatives.

If Field Enablement determines that your initiative requires a GTM Enablement Process, **the Field Enablement team will open an issue and populate the appropriate deliverables and due dates**. DRIs/Stakeholders will be added to the issue to provide input, answer questions and review.

### Connect in Slack

To reach the Field Enablement team on Slack, use #field-enablement-team

## Key Programs

1. Sales Enablement
    - [Enterprise Enablement](/handbook/sales/playbook/)
    - [Commercial Enablement](/handbook/sales/commercial/enablement/)
1. Customer Success Enablement
    - [Customer Success Manager (CSM) Enablement](/handbook/customer-success/csm/csm-development/)
1. Partner Enablement
     - [Channel Partner Training, Accreditations and Enablement](/handbook/resellers/training/)
1. Field Onboarding & Ramp
    - [Sales & Customer Success Onboarding and Sales Quick Start (SQS)](/handbook/sales/onboarding/)
1. [Field Communications](/handbook/sales/field-communications/)
    - [#field-fyi Slack channel](/handbook/sales/sales-google-groups/field-fyi-channel/)
    - [Field Update Tickers](/handbook/sales/field-communications/field-update-tickers/)
    - [Field Flash Newsletter](/handbook/sales/field-communications/field-flash-newsletter/)
    - [Field team All-Hands meetings](/handbook/sales/sales-meetings/)
    - [Monthly GitLab Release Email to Sales](/handbook/sales/field-communications/monthly-release-sales-email)
    - [Field Team Recognition Programs](/handbook/sales/field-operations/field-enablement/field-team-recognition)
1. Field Content
    - [Highspot at GitLab](/handbook/sales/field-communications/gitlab-highspot/)
1. [Field Manager Development Program](/handbook/sales/field-manager-development/)
     - [Sales Manager Best Practices](/handbook/sales/field-operations/field-enablement/sales-manager-best-practices)
     - [CRO Development Day](/handbook/sales/crodevday/)
1. Selling Excellence
    - [Command of the Message](/handbook/sales/command-of-the-message) (value-based sales messaging methodology) and [MEDDPPICC](/handbook/sales/meddppicc/) (strategic opportunity qualification)
    - [Field Functional Competencies](/handbook/sales/training/field-functional-competencies/)
    - [Field Accreditation Program](/handbook/sales/training/field-certification)
    - [Effective Discovery](/handbook/sales/playbook/discovery/)
    - Continuous Learning
        - [Customer Success Skills Exchange](/handbook/sales/training/customer-success-skills-exchange)
        - [Field Enablement Spotlight Sessions](/handbook/sales/training/sales-enablement-sessions/)
        - [Sales Training Resources](/handbook/sales/training/)
        - [Technical Questions for Sales](/handbook/sales/training/technical-questions-for-sales/)
        - [Level Up: Learning & Development Platform](https://levelup.gitlab.com/learn/dashboard)
    - [Executive Sponsorship Program](/handbook/sales/field-operations/field-enablement/executive-sponsor-program/)

## Field Enablement groups, projects, and labels

- **Groups**
  - Use the GitLab.com group for epics that may include issues within and outside the Sales Team group
  - Use the GitLab Sales Team group for epics that may include issues within and outside the Field Operations group
- **Projects**
  - Create issues under the "Enablement" project
- **Labels**
  - **Team labels**
    - `field enablement` - issue initially created, used in templates, the starting point for any label that involved Field Enablement
    - `FieldOps` - label for issues that we want to expose to the VP of Field Operations; these will often mirror issues with the `FE priority::1` label
  - **Stakeholder/Customer labels**
    - `FE:CS enablement` - label for Field Enablement issues related to enabling Customer Success (CS) roles
    - `FE:sales enablement` - label for Field Enablement issues related to enabling Sales roles
    - `FE:partner enablement` - label for Field Enablement issues related to enabling Partners
  - **Initiative labels**
    - `field accreditation` - label for issues related to /handbook/sales/training/field-certification/
    - `field communications` - label for items that include work by/with the Field Communications team within Field Enablement
    - `field events` - label for Field Enablement-supported events (e.g. QBRs, SKO, President's Club, etc.)
    - `force management` - label for issues related to Force Management engagement
      - `vff` - label for Value Framework Feedback
      - `vff::new` - starting point for Value Framework feedback
      - `vff::accepted` - Value Framework feedback that will be actioned on
      - `vff::deferred` - Value Framework feedback that will be deferred until more information is gathered
      - `vff::declined` - Value Framework feedback that is declined (no action will be taken)
    - `lxp` - label for GitLab Learning Experience Platform
    - `sales onboarding` - label for issues related to sales/field onboarding
    - `QBR` - requests from Sales QBRs
    - `FE: Revenue Programs` - label for issues related to Field Enablement-led pipeline growth & acceleration programs
    - `sales enablement sessions` - label for weekly virtual sales enablement series
    - `sko` - label for issues related to Sales Kickoff
    - `status:plan` - used in conjunction with sales enablement sessions to indicate when a session topic has been prioritized but not yet scheduled
    - `status:scheduled` - used in conjunction with sales enablement sessions to indicate when a session topic has been prioritized and scheduled
    - `strategy` - plans, methods, or series of maneuvers or stratagems for obtaining specific goals or results
  - **Status labels**
    - `FE status::triage` - assigned to new requests before priority status is determined
    - `FE status::wip` - work in progress that has been accepted and assigned to a DRI
    - `FE status::backlog` - things in the queue not currently being worked
  - **Priority labels**
    - `FE priority::new request` - label for new requests that have not yet been prioritized
    - `FE priority::1` - work that directly supports an OKR
    - `FE priority::2` - work that does not directly support an OKR but has a large impact on the field team
    - `FE priority::3` - work that does not directly support an OKR and has a low to medium impact on the field

## Field Enablement Issue Boards

### Primary

- [Field Enablement Initiatives Board](https://gitlab.com/groups/gitlab-com/-/boards/2626847)
- [Field Enablement Prioritization Board](https://gitlab.com/groups/gitlab-com/-/boards/2624997)

### Other

- [Field Enablement Programs Board](https://gitlab.com/groups/gitlab-com/-/boards/2714682?&label_name[]=Field%20Learning%20Programs)
- [Value Framework Feedback (VFF) Board](https://gitlab.com/groups/gitlab-com/-/boards/2625246)
- [Sales Enablement Sessions Board](https://gitlab.com/groups/gitlab-com/sales-team/-/boards/1231617)
- [Customer Success Skills Exchange Board](https://gitlab.com/gitlab-com/sales-team/cs-skills-exchange/-/boards/1414538)
- [Sales & CS Onboarding Board](https://gitlab.com/groups/gitlab-com/sales-team/-/boards/1790236)
- [Partner Enablement Board](https://gitlab.com/groups/gitlab-com/sales-team/-/boards/1645038)
- [Commercial Sales Enablement Board](https://gitlab.com/groups/gitlab-com/sales-team/-/boards/1790139)
