---
title: "Executive Sponsorship Program"
description: "The Executive Sponsorship Program aims to grow our relationships with senior-level buyers and champions at our top customers, expand engagement to promote enterprise-wide platform adoption, and take a customer-centric approach to solving our customers' most challenging business problems."
---
The Executive Sponsorship Program aims to grow our relationships with senior-level buyers and champions at our top customers, expand engagement to promote enterprise-wide platform adoption, and take a customer-centric approach to solving our customers' most challenging business problems

## Executive Sponsorship Program Vision & Goals

This program presents a real opportunity to make customer centricity a habit

**Build Deeper Relationships**

By thoughtfully mapping our Executive Sponsors, Field Leaders, and Account team members to key customer personas and engaging regularly.

**Continuously learn from our customers**

By engaging in cooperative account planning, success planning, and disciplined opportunity management and Executive Sponsor advocacy.

**Make our customers successful**

By systematically removing roadblocks and activating all GitLab functions to deliver measurable customer business outcomes.

### Success goals and measurement

We have three main areas of focus (1) relationship strength, (2) net promoter score, (3) platform adoption.
Our KPI(s) are **relationship score**, which is based on the influence, sentiment, strength and engagement activity of the account; **net promoter score** based on satisfaction and likelihood to recommend, the number of roadblock removed and 2 public customer references annually; **platform adoption** through number use cases fully adopted, time to value and net ARR Growth.
We will measure the success of our KPIs through relationship mapping and account planning (monthly), NPS and qualitative survey feedback (quarterly) and product usage as well as account health and SFDC data.

### Account & Sponsor Selection Process

Account selection for the Executive Sponsorhip Program will happen annually and focuses on accounts with a combination of high customer strategic value to GitLab, GitLab's ability to provide high strategic value to the account, as well as account health and propensity to churn.

Sponsor selection takes into account the accounts' strategic, long term needs and pairs them with our sponsors' capabilities and areas of expertise. We also consider executive compatibility, cultural fit, and pre-existing relationships.

Ultimately our aim is to identify the best fit for both parties, and allow our sponsors to really focus on their relationships with their accounts. To that end, we target a maximum of four assigned accounts per Sponsor on an annual basis.
Once selected, Sponsors are to be engaged for a minimum 1 year commitment to their assigned accounts.

Short listed accounts and sponsor pairings are presented to the CRO Leadership team for review prior to the accounts being confirmed and onboarded to the program.

### Roles & Responsibilities

**CEO & CRO**
Validate and reinforce the program expectations. Drive accountability for Executive Sponsors and Account Team Leadership in support of the program goals.

**ESP Program Manager**
Own and execute the operating cadence, facilitate Account Team and Sponsor engagement, measure success, iterate on the program, and ensure that the goals are exceeded.

**Account Team**
Own and execute all account planning, customer success planning, and related customer activities on the operating cadence.

**Executive Sponsor**
Act as an advocate and amplify the voice of the customer and Account Team throughout GitLab. Regularly engage senior-level customer contacts (formally and informally) to deliver industry and business strategy insights.

### Operating Cadence

**Weekly**

1. Action Planning execution and reviews (asynch)
2. Customer engagement (account teams)

**Monthly**

1. Account team and Exec Sponsor account planning session
2. E-Group and CRO LT program update

**Quarterly**

1. ESP Forums
2. Program scorecard update
3. NPS and qualitative survey feedback
4. Customer EBRs (as necessary)
5. Minimum of 1 informal virtual or in-person touchpoint between Sponsor and key Customer contacts

**Annually**

1. Review program impact  and funding model
2. Reassess tier 1 accounts and sponsor mapping
3. Consider additional tiers or creation of a self-service ESP model
4. Minimum of 1 face-to-face Sponsor & Customer meeting

### How to work with us

Engage with the Executive Sponsorship program team by connecting with us on Slack, use #executive-sponsor-program
