---
title: "Field Team Recognition Programs"
description: "Field Team Recognition Programs aim to recognize Field team members for significant contributions to team performance. These programs are a direct result of Sales engagement survey data and CRO leaders' commitment to fostering a culture of recognition"
---

### Why Recognition?

Why is recognition so important? [Research shows](https://greatergood.berkeley.edu/article/item/how_gratitude_can_transform_your_workplace) that gratitude fundamentally alters our brain chemistry and primes us for more compassion and happiness.

When it comes to work, [Harvard Business Review](https://hbr.org/2020/10/use-gratitude-to-counter-stress-and-uncertainty) shares that gratitude can help improve coworker relationships, increase perseverance through difficult tasks, and make teams more collaborative. Specifically:

1. Improved mental wellness
1. Resilience to stress
1. Helps with team bonding
1. Positively impacts our ability to make hard decisions and express self-control
1. Increased retention
   - 63% of employees who are recognized are very unlikely to look for a new job ([source](https://www.spiceworks.com/hr/engagement-retention/articles/employee-recognition-and-retention-statistics/))
1. Increased trust
   - 50% of employees believe being thanked by managers not only improved their relationship but also built trust with their managers/executives ([source](https://web.archive.org/web/20230131145032/https://www.tinypulse.com/blog/sk-employee-recognition-stats))

It's important to note that these results rely on a steady gratitude practice over a longer period, which means **we must make recognition a daily practice for our teams**.

## Quarterly MVPs

The Quarterly MVP (most valuable person) program recognizes Field team members who have excelled in a given quarter – not only in revenue-generating activities like closing big deals, but also in exhibiting great behaviors and setting a positive example for other team members.

The program recognizes one MVP per region/team (7 total) and one "United Win" (cross-functional account team) each quarter.

1. Global Enterprise Champion
   1. Eligible teams: ENT AMER, PubSec, EMEA and APJ
1. Global Commercial & SMB Champion
   1. Eligible teams: COMM (MM) AMER, EMEA and APJ + Global Digital SMB
1. Customer Results Champion (Post-Sales)
   1. Eligible teams: CSM + Renewals and ProServ
1. Technical Sales Superstar
   1. Eligible teams: Solution Architects and Field CTOs
1. Partner MVP
   1. Eligible teams: Internal partner team
1. RSOE (Revenue Strategy, Operations & Enablement) MVP
   1. Eligible teams: Internal RSOE team
1. Cross-Functional MVP
   1. Eligible teams: Any team outside of the Sales division (ex. Product, Marketing, Legal, Finance, etc.)

MVPs and the United Win account team are recognized by the CRO on the WW Field Org Call and they can enjoy a recognition dinner to celebrate their accomplishments with family and friends. Note: Field Communications work with the United Win account team to identify key cross-functional players in the win that should qualify for the recognition dinner.

Team members can only win the MVP title once in a fiscal year. We reserve one of the six MVP seats at President's Club for this program, meaning CRO LT will select one Quarterly MVP from the pool of all Quarterly MVPs in a fiscal year to fill a Club seat each year.

### Selection Criteria

MVPs are selected by their leadership teams. There is no set criteria to qualify, but leadership teams are provided quantitative and qualitative sample criteria to assist in making their selection:

**Quantitative**

1. Net ARR - Recognize a big deal and how we got there
1. New Logo - Highlight the steps that were taken to land a new win
1. Pipe Gen / Forecast Accuracy - Recognize someone who is excelling in operational rigor

**Qualitative**

1. Effort - Recognize someone who went above and beyond on a project
1. Collaboration - Recognize someone who brought a team together to achieve strong results
1. Values - Recognize someone who truly lived [GitLab's CREDIT values](/handbook/values/)

The United Win is identified by the CRO leadership team. The "United Win" recognizes the cross-functional account team (Sales + CS, Partners, Product, Marketing, Finance, Legal, etc., as applicable) that secured the quarter's most impactful,  well-orchestrated and/or skilled win and is an example of "what good looks like."

### Quarterly MVP Process and Timeline

1. *[2 weeks before quarter close]* Field Comms opens an issue reminding CRO leaders of the due date to select MVPs and sample criteria.
1. *[3 weeks after quarter close]* Segment leaders' directs provide the names of their MVPs in the issue along with a brief (3-4 sentence) description of why this individual was selected.
1. *[4 weeks after quarter close]* CRO leaders to work directly with their leadership teams to identify one winner from their org along with a brief (3-4 sentence) description of why this individual was selected.
   1. Sales Strategy can be tapped to provide data if applicable.
   1. Note: Can be done as a part of the Leadership QBRs.
1. *[4 weeks after quarter close]* CRO LT identifies the United Win and associated team members. A delegate from the CRO LT provides a brief (3-4 sentence) description of why this deal / team was chosen.
   1. Note: This can be done as a part of the CRO QBR.
1. *[5 weeks after quarter close]* CRO recognizes Quarterly MVPs on the [WW Field Org Call](/handbook/sales/sales-meetings/#ww-field-org-call).
   1. 2 minutes per MVP + 4 minutes for the United win = +/- 15 minutes total for recognition.
1. *[5 weeks after quarter close]* e-Cards send from CRO including details about recognition dinner
1. *[5-6 weeks after quarter close]* Achievers recognized in the next-available [Field Flash](/handbook/sales/field-communications/field-flash-newsletter/)

### Quarterly MVP Recognition Dinner

As part of this initiative, Quarterly MVPs are able to expense a meal up to $250.00 USD within the same quarter they were selected in. For example, if a team member is selected as a Quarterly MVP in November, they must expense their meal before the end of Q4 (the last day in January). Please submit your meal expense in Navan and in the description field link to this section of the handbook for approval.

The $250.00 USD is reimbursable for a meal only, other items do not qualify.

### Additional Resources for Recognition

You can find more guidance on recognition and what is "recognition worthy" at GitLab [in this handbook page](/handbook/people-group/guidance-on-feedback/#recognition).

Some additional resources include:

1. [The Positive Power of Gratitude for Remote Teams](https://www.heykona.com/post/the-positive-power-of-gratitude-for-remote-teams) - Kona Blog
