---
title: "Sales Manager Best Practices"
description: "Successful management includes onboarding, reviewing Command Plans, opportunity coaching, strategic coaching, career development and performance management"
---

## Onboarding New Team Members

- Successful onboarding plays a critical role in getting your team member on the path to success! Before a new team member joins, please review the onboarding process so you know what to expect and can help set expectations with your new hire! [The onboarding page](/handbook/people-group/general-onboarding/) has a lot of great resources including links to the [Sales specific onboarding issue](/handbook/people-group/general-onboarding/#role-specific-templates).
- For more information on the onboarding process, please feel free to check out the Onboarding Education Session and AMA we had with Sales leaders on June 3, 2020:

<!-- blank line -->
<iframe width="560" height="315" src="https://www.youtube.com/embed/hambdfyj0xU" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
<!-- blank line -->

## Review Account Plans

- Regularly review account plans with your team. Quarterly reviews of the account plan(s) are recommended. For more information, review the [Account Planning Coaching](/handbook/sales/account-planning/coaching/) page.

## Review Command Plans

- Regularly review an aggregate of your team's Command Plans in this [Salesforce Report](https://gitlab.my.salesforce.com/00O4M000004e1dZ). This will allow you to scan your team's progress on both a macro and micro level and identify possible information gaps or obstacles that can hinder an opportunity.

## Opportunity Coaching

- Check out the [Opportunity Consults Handbook page](/handbook/sales/command-of-the-message/opportunity-consults)
- Regularly leverage the Command of the Message and MEDDPPICC [Sales Manager Materials](https://internal.gitlab.com/handbook/sales/command-of-the-message/sales-manager-materials/) (internal only).

## Strategic Coaching

- Celebrate your wins and socialize success stories to help with motivation across teams
- Continue to leverage your fellow managers for feedback and input on what is working well
- Lead with "Why" in team and 1:1 rep discussions (GitLab has done a good job of explaining "Why" for GitLab organizationally, but managers will want to ensure that daily interactions lead with "Why" for teams and individual reps)
- Enable partner sellers to jointly run deals leveraging Command of the Message and MEDDPPICC
- Conduct Command of the Message and MEDDPPICC refresh sessions covering 1-2 slides/tools per week

## Career Development

- Leverage GitLab's [Career Development](/handbook/people-group/learning-and-development/career-development/) resources

## Performance Management

- [Performance Assessment and Succession Planning](/handbook/people-group/talent-assessment/)
- [Performance Management Overview for Sales Managers](https://youtu.be/mIPFhq0Th1w) (May 2020, 18 minutes, private)

## Leadership Handbook

- For additional leadership resources, check out the [Leadership handbook](/handbook/leadership/)
