---
title: "Deal Desk Handbook"
description: "The Deal Desk team's mission is to streamline the opportunity management process while acting as a trusted business partner for field sales."
---

## **Welcome to The Deal Desk Handbook**

The Deal Desk team's mission is to streamline the opportunity management process while acting as a trusted business partner for field sales. We are the first point of contact for sales support.

### Helpful Links

- **Salesforce Reports and Dashboards**
  - [Current Quarter WW Sales Dashboard](https://gitlab.my.salesforce.com/01Z4M0000007H7W)
  - [Monthly Bookings Report](https://gitlab.my.salesforce.com/00O61000004Ik27)
  - [Deal Desk Pending Opportunity Approvals Report](https://gitlab.my.salesforce.com/00O4M000004e0Dp)

- **Frequently Used Handbook Pages**
  - [Sales Order Processing](/handbook/sales/field-operations/order-processing/)
  - [Deal Desk Opportunity Approval Process](/handbook/sales/field-operations/order-processing/)
  - [Useful Company Information](https://gitlab.com/gitlab-com/finance/wikis/company-information)
  - [Account Ownership Rules of Engagement](/handbook/sales/field-operations/gtm-resources/rules-of-engagement/#account-ownership-rules-of-engagement)
  - [ARR in Practice](https://docs.google.com/document/d/1UaKPTQePAU1RxtGSVb-BujdKiPVoepevrRh8q5bvbBg/edit#heading=h.yycfjurntovz)
  - [Vendor Setup Form Process](/handbook/sales/field-operations/order-processing/#how-to-process-customer-requested-vendor-setup-forms)
  - [Security Questionnaire Process](/handbook/security/#process)
  - [Troubleshooting: True Ups, Licenses + EULAS](/handbook/business-technology/enterprise-applications/entapps-crm/quote-to-cash/troubleshooting/)
  - [Licensing FAQ](https://about.gitlab.com/pricing/licensing-faq/)
  - [Legal Authorization Matrix](/handbook/finance/authorization-matrix/)
  - [Trade Compliance (Export/Import)](/handbook/sales/field-operations/order-processing/#trade-compliance-export--import-and-visual-compliance-tool-in-salesforce)

- **Other Resources**
  - [Quote Approval Matrix](https://docs.google.com/document/d/1-CH-uH_zr0qaVaV1QbmVZ1rF669DsaUeq9w-q1QiKPE/edit?ts=5d6ea430#heading=h.ag75fqu12pf0)
  - [Billing FAQs and Useful Tips](https://gitlab.com/gitlab-com/finance/-/wikis/Billing-Team-FAQs-&-Useful-Tips)
  - [Sample Order Form](https://gitlab.my.salesforce.com/0698X00000EvCuE)

### What We Do

- Sales Support
- Troubleshooting Quote Configuration
- Complex/Non-standard Deal Structure
- Deal Structure Approval Guidance
- Month End / Quarter End Reconciliation

#### Out of Scope

- Standard Quote Creation
- Opportunity Creation
- Forecast Management
- RFP/Vendor Form Responses
- Customer / Partner facing communication

### Who and Where We Are

#### Regional Support

The Deal Desk team is located around the world and will be available during standard business hours within most regions. We operate under a Regional Support Model, meaning, each region (EMEA/APAC/AMER) will receive support from a dedicated regional team of Deal Desk Specialists and Analysts.

For Alliances & Private Offer Creation, this process is supported by one team member globally, with managers trained as back ups for escalation points. For all Alliances deals, each region will be supported by a dedicated Deal Desk Analyst who specializes in Alliances, based out of AMER (Pacific Time).

During holidays, or when team members are on PTO, individuals located in different regions may step in to support and ensure appropriate coverage. This is reserved for End of Month/End of Quarter, or other times when the team is short-staffed.

Support will be provided based on the following business hours in the respective region. If a complex case or non standard deal request is submitted after 4:00PM (Local Time) the case will be prioritized the following business day.

|     Region    | Standard Support Hours |
|:-------------:|------------------------|
| APAC          | 8:00AM to 5:00PM (IST)   |
| EMEA          | 8:00AM to 5:00PM (GMT)   |
| AMER / LATAM  | 7:00AM to 5:00PM (PT)    |

##### Support Model - Public Holidays, Friends & Family Days

Our regional teams do not operate on a 24/7 support model. If your request is submitted after 4:30PM local time, or outside of standard support hours, it may not be reviewed until the following business day. The only exceptions for this are End of Month/End of Quarter. Support hours and availability will be shared in advance of high volume periods through #field-fyi.

Regional Teams observe all local Public/Federal Holidays. There will be no coverage on [Public/Federal Holidays](https://www.timeanddate.com/holidays/us/2022).

The team also participates in Family & Friends day - there will be very limited coverage on these days.

It is the responsiblity of the Sales team to plan ahead and submit requests prior to regional holidays.

#### Regional Structure

As of 2022-02-01, the Deal Desk team is structured as follows:

**AMER Team:**

- Manager, Deal Desk (AMER)
  - Deal Desk Analyst, Alliances (Global)
  - Deal Desk Specialist (AMER)
  - Deal Desk Specialist (AMER)
  - Deal Desk Specialist (AMER)

**EMEA/APAC TEAM:**

- Manager, Deal Desk (EMEA/APAC)
  - Deal Desk Analyst (APAC)
  - Deal Desk Analyst (EMEA)
  - Deal Desk Specialist (EMEA)
  - Deal Desk Analyst (Alliances) (Open Req)

### Communicating with the Deal Desk Team

#### Salesforce Chatter Communication

Deal Desk's primary communication channel is Salesforce Chatter. When you chatter `@Sales-Support`, it will automatically create a case in the Deal Desk/Order Management queue.

- Always use `@Sales-Support` for SFDC requests or post `#sales-support` in Slack for general questions.
  - Please do not tag Deal Desk team members directly in chatter or make a request through Slack direct message. This ensures our team is working as efficiently as possible and that you are covered in case the DD team member who replied first is unavailable.
  - Direct chatters to team members will not create a case in the Sales Support case queue, and therefore will not be prioritized. You may experience a significant delay in response, or no response at all. Please always use `@Sales-Support` to communicate with the team in chatter.
- If someone is working on a case, they will continue to support until the case is closed.  If an issue has been resolved, please chatter @Sales-Support to reopen a case.
- If you tag @Sales-Support on an existing Chatter post/comment by editing it, that action won't generate a request to Deal Desk and we will not receive a notification. Please make sure tag Sales Support on an original post or on a new comment to the original post.

For cases related to Account Segmentation (ROE, Territory), account data, or account merges, Deal desk will reassign these cases to our Sales Operations team to review and resolve.

#### Slack Communication

##### Primary Slack Channel**

Use our Slack channel in case of general, non-record related requests and/or urgent questions:
**#sales-support** [If the request is related to a quote, opportunity, or account - please chatter on the page in Salesforce instead of the Slack channel.]

##### Slack Best Practices**

**Please avoid contacting the DD team members directly via Slack.** Utlizing the `#sales-support` channel is best to ensure timely coverage, helps others who may have similar questions, and aligns with our **Transparency** value.

In case of a specific opportunity or quote related question please use SF Chatter (see section [Salesforce Chatter Communication](#salesforce-chatter-communication))

##### Slack Announcements

Deal Desk process updates and announcements will be communicated via #field-fyi, #sales and #sales-support Slack channels.

#### Deal Desk Office Hours

Weekly Deal Desk Office Hours are scheduled as follows:

- EMEA Office Hours: Thursday at 10:30 GMT,
- US Office Hours: Wednesday at 12:00 PM EST.

During Month End, Office Hours will take place on Monday, Wednesday, and Friday, scheduled in both AMER and EMEA time zones. Calendar invites will be sent to Sales-All Distribution group. Priority will be given to opportunities closing within the quarter.

Supported topics include:

- Create or modifying a quote
- Quote approval acceleration
- Net ARR calculation
- Submitting an opportunity for close
- Validation/segmentation of closed opportunities
- And anything else to help drive opportunities closing within the quarter!

#### Deal Desk AMA

Deal Desk AMA's are an opportunity to invite someone from Deal Desk to your local team call. We can help address any questions regarding quote processes, best practices, or unique deal structures. Think of this as an opportunity for your team to learn together on general topics for quoting or opportunity management. For specific questions related to in-flight opportunities, it is best to join [Deal Desk Office Hours](/handbook/sales/field-operations/sales-operations/deal-desk/#deal-desk-office-hours).

Chatter or Slack #sales-support if you are interested in having Deal Desk join your team call!

### Key Performance Indicators

#### 1. Deal Desk  Case SLAs

The Deal Desk team will do their best to respond to each request to '@sales-support' within 6 business hours. Revenue generating or current quarter requests will take priority, especially during Month & Quarter End. If a task is not resolved within 24 hours it will be escalated (if necessary).
The SLAs below are applicable (especially for contract resets and ramp deals) if all the necessary information is provided in the request.

| Type of Request | First Response | Resolution |
|----- | ----- | ------|
| Basic Quote Assistance | 6 Hours | 8 Hours |
| Ramp Deal | 6 Hours | 24 hours |
| Alliances, General Support | 8 Hours | 48 Hours |
| Alliances, Private Offer Creation | 24 Hours | 48 Hours |
| Flat Renewal | 6 Hours | 24 Hours |
| IACV/ARR Review | 6 Hours | 24 Hours |
| Contract Reset / Co-Term | 6 Hours | 24 Hours |
| RFP/Vendor Forms | 6 Hours | Dependent on AM |

##### SLA for EoA Ramp Deal Requests

The Deal Desk team will respond to EoA Ramp requests as quickly as possible. However, due to the complexity involved in building ramp deals, the SLA for an EoA Ramp Deal Order Form creation is as follows:

| Subscription Term Start Date | First Response | Resolution |
|----- | ----- | ------|
| < 30 days in the future | 6 Hours | 1 Business Day |
| > 30 days in the future| 6 Hours | 3 Business Days |

A Deal Desk team member will respond to your chatter request with an estimate on when the Order Form will be complete. Please let us know if your customer requires the quote in advance due to lengthy procurement cycles or budget planning reasons - exceptions will be considered in cases of urgency, or to meet a customer's needs.

##### Escalation Path for Case Review

Cases that are urgent, customer impacting, or critical to business may be prioritized upon request. If the case has been submitted after Standard Support hours, you may escalated the case for a different regional team to review in the #sales-support Slack channel. You may also tag regional Deal Desk Managers for review and assistance in delegating the case.

Cases in this queue must be urgent and business critical. Cases that are routinely escalated out of individual convenience instead of legitimate urgency will be addressed with Sales Management.

##### Reports To Track Deal Desk SLA

[Cases / Average First Response](https://gitlab.my.salesforce.com/00O4M000004edoT)

#### 2. Regional Support Satisfaction

All regions will receive a Quarterly Customer Satisfaction survey at the beginning of each new quarter. Our team aims for a 92% satisfaction rating for their supported region. This survey is a valuable tool to provide feedback on areas of improvement related to the Quote to Cash lifecycle.

Results from the survey will be used to evaluate team member performance and to identify areas for improvement.

**Measuring Regional Support Satisfaction:**

- A positive satisfaction rating is determined by measuring the ratio of positive responses to the question: "How would you describe the level of support you received from Deal Desk during Q1?"
- Available responses include:
  - Excellent
  - Good
  - Neutral
  - Poor
  - Very Poor
- Satisfaction rating is determined by the percentage of Excellent, Good, and Neutral responses, as compared to the total number of responses. The outcome in percentage form is the Regional Support Satisfaction rating.

#### Case Reduction through Proactive Support - Training, Documentation, and System Improvements

The Deal Desk team will be responsible for taking action on feedback received in our Quarterly CSAT survey by improving process related to common quoting errors, opportunity bugs, or gaps in process documentation. The goal is to decrease the number of cases and enable the field to complete the standard duties related to quoting without Deal Desk intervention. Deal Desk will always assist in complex or non-standard deals.

### Key Performance Indicators: Results

To review quarterly KPI results, see: [Deal Desk & Order Management KPI - Results](/handbook/sales/field-operations/sales-operations/Deal-Desk-Order-Mgmt-KPIs/)

### Proactive Opportunity Review

In an effort to proactively prevent common order issues (especially those that would require a customer to resign our order form) the Deal Desk team will conduct a manual review of all opps that meet the following criteria:

- Close Date = Within Current Quarter
- Net ARR = $100k+
- Opportunity Stage - 4 OR 5

Team members will review opps in their region each week. We are looking for anything that would prevent the opportunity from booking smoothly, including:

1. Check that quote is built correctly for the opportunity type and route to market (direct, channel, marketplace)
2. Review quote approval requirements are met
3. Review IACV / ARR (IACV review through FY21Q1)
4. Review PO Requirement. If the account requires a PO, chatter the rep with a reminder
5. Check with rep to determine whether any questions or additional needs, especially if you see something structured oddly on the opp/quote, or if it is a complex deal

**Review Cadence**

The team will review opps on a monthly basis, as time allows throughout the work week. During the last month of any quarter, the review will be conducted weekly.

### Calculating ARR

To calculate ARR, please review the [ARR in Practice](/handbook/sales/sales-term-glossary/arr-in-practice/#annual-recurring-revenue-arr-and-salesforce) handbook page.

### **Zuora Quote Configuration Guide - Standard Quotes**

The following is intended as a step by step guide for opportunity owners or ISRs to learn how to create standard quotes for New Subscriptions, Amendments, and Renewal opportunities in CPQ X: Quote Studio.

#### Additional Quote Studio Enablement Materials

In addition to the step-by-step quoting guides that follow this paragraph, check out these additional quoting resources!

1. [Highspot Page](https://gitlab.highspot.com/items/63c04679ce74a0ae63ca5e49)
2. [RISE Course](https://rise.articulate.com/share/HzJgdaWzK1C_SwlMSCwQchgV9PbpRNvi#/)

### Quote Creation: General Tips & Tricks

#### Required Fields

- The following fields must be populated to successfully create a quote:
  - Start Date (this is the first day the license will be usable)
  - Initial Term (this is the term of the subscription in months)
  - Renewal Term (this is the term that the subscription will renew for after the Initial Term is complete)
  - Quote Template
  - Bill To Contact
  - Sold To Contact

#### Selecting a Quote Template

| Template                            | Use For                                                                                                  |
|-------------------------------------|----------------------------------------------------------------------------------------------------------|
| Standard Order Form                 | Most quotes, including alliance marketplace transactions, EDU/OSS/YC, or Customers with an Existing Agreement (MSA) in place |
| Standard Order Form (Hide Discount) | Hide the Discount Column for Direct Deals. Otherwise Identical to the Standard Order Form Template       |
| Authorized Reseller Order Form      | Authorized Reseller Transactions                                                                         |
| MSP Order Form                      | Managed Service Provider Transactions                                                                    |
| Distributor Order Form              | Distributor Transactions                                                                                 |

#### Negotiated Subscription Agreements (or "MSA")

- If there is a **signed MSA** between the customer and GitLab, the **"MSA Effective Date" field** should be populated with the date of the MSA's signature. If "MSA Effective Date" is populated on the quote object, the Order form will automatically generate with Acceptance Language that References the existing agreement. If it **is not populated** the language will default to Standard terms.

#### Add Language to the Order Form Automatically

- Add any preapproved legal language selections to the order form. Checking the box next ot the language selection will automatically generate an order form with pre approved legal language - no need for Deal Desk intervention. Selections are as follows:

| Toggle Field                   | Output                                                                                   |
|--------------------------------|------------------------------------------------------------------------------------------|
| Annual Payments                | Annual Payment Language will populate in Payment Details on the Order Form PDF           |
| Customer Reference Language    | Customer Reference Language will populate in Notes Section of the order form             |
| Add Quarterly True Up Language | Standard Quarterly True Up language will populate in the Notes section of the Order Form |
| Remove Signature Block         | Signature Block will be removed. Use for customers with Existing Agreements (MSA)        |

#### Non-Standard Deal Elements

As of 2024-11-20, we have created a new quote section called **Non-Standard Deal Elements.** The fields in this section should be populated when certain non-standard deal elements are requested. If populated, these fields will trigger an approval requirement. By populating the applicable fields and clicking [“Submit for Approval,”](/handbook/sales/field-operations/order-processing/#standard-quote-approval) users can seek approvals via automated quote approval workflow.

![Non-Standard Deal Elements](/images/handbook/sales/nonstandarddealelements.png)

The below guide is meant to help users determine if they should populate the Non-Standard Deal Elements fields on a quote, and what should be populated in each field.

##### Deferred Payments

![Payment Schedule](/images/handbook/sales/paymentschedule.png)

- Criteria: If a customer’s payment schedule is not prepaid or paid annually, approval is required. The default value is Prepaid.
- Process: When creating a quote that will not be prepaid, users should follow the instructions [here](/handbook/sales/field-operations/sales-operations/deal-desk/#billingpayment-schedule) to build the quote. On the quote, users should leverage the **Payment Schedule** field to select the appropriate value.
  - The options are as follows:
    - Prepaid (default)
    - Annual Payments
    - Custom Payment Schedule
    - GCP Prepay
    - GCP Postpay
    - AWS Prepay
  - If a payment schedule other than Prepaid or Annual Payments is requested, users should select **Custom Payment Schedule** and populate the request details in the **Custom Payment Schedule Details** field (required). This requires approval per the [Deal Approval Matrix](https://docs.google.com/document/d/1-CH-uH_zr0qaVaV1QbmVZ1rF669DsaUeq9w-q1QiKPE/edit?tab=t.0#bookmark=kix.tmxlca7fg47o).
  - Opportunity Mapping: The “Payment Schedule” field on the quote maps to the “Billing Schedule” field on the opportunity - i.e. if you select “Annual Payments” on the quote, the opportunity will be updated automatically to reflect “Annual Payments.”
  - Order Form Language: If “Annual Payments” is selected, “[Language] Add Annual Payments” will flip to TRUE automatically.
- Example: I am creating a 18 month deal, where I’d like 6 months billed up front, and then the final 12 months billed at the 6 month mark. When I create the quote, I select “Custom Payment Schedule” in the “Payment Schedule” field. I then populate “Custom Payment Schedule Details” with the following: _I would like a payment schedule for this deal where the first 6 months are billed up front, and the final 12 months are billed at the 6 month mark_. When I’m ready to seek this and all other applicable approvals, I click “Submit for Approval” on the quote. After I receive approvals, I make sure to work with Legal to obtain applicable language for the Order Form.

##### Price Lock / Optional Future Pricing

![Price Lock](/images/handbook/sales/pricelock.png)

- Criteria: If a price lock or any optional future pricing language is to be included on an Order Form, approval is required per the [Deal Approval Matrix](https://docs.google.com/document/d/1-CH-uH_zr0qaVaV1QbmVZ1rF669DsaUeq9w-q1QiKPE/edit?tab=t.0#bookmark=kix.gn5oe9x9lsfk).
- Process: When creating a quote that will require a price lock or optional future pricing language, users should check the box next to **Price Lock/Optional Future Pricing** and populate the request details in the **Price Lock Details** field.
  - Note: Request details should be entered in this field, but final language must be sought from Legal via Legal Request case after approvals have been obtained for the price lock request.
- Example: I am selling a deal where I would like to lock in the price of any add-ons during the subscription term at a certain rate. The customer would like this stated on the Order Form. When I create the quote, I check the box next to “Price Lock/Optional Future Pricing.” I populate “Price Lock Details” with the following: _I would like a price lock that states that any users added during the subscription term will be priced at $XXX.XX per user per year._ When I’m ready to seek this and all other applicable approvals, I click “Submit for Approval” on the quote. After I receive approvals, I make sure to work with Legal to obtain applicable language for the Order Form.

##### Deal Contingent on Future Product/Feature Release

![Deal Contingency](/images/handbook/sales/dealcontingency.png)

- Criteria: In the _rare_ scenario that we are selling a deal that is contingent on a future product or feature release, approval is required from a number of stakeholders, including executives, per the [Deal Approval Matrix](https://docs.google.com/document/d/1-CH-uH_zr0qaVaV1QbmVZ1rF669DsaUeq9w-q1QiKPE/edit?tab=t.0#bookmark=kix.lp6f9bgfr9bd).
- Process: When creating a quote for a deal that is contingent on a future product or feature release, users should check the box next to **Deal Contingent on Product Release** and populate details in the **Deal Contingency Details** field.
  - Note: Details should be entered in this field, but final language regarding the deal contingency must be sought from Legal via Legal Request case after approvals have been obtained for the deal contingency.
- Example: I am selling a deal that is contingent on a new feature release. Specifically, the customer says they are only going to sign this Order Form is we confirm that a specific feature will be available. When I create the quote, I check the box next to “Deal Contingent on Product Release.” I populate “Deal Contingency Details” with the following: _I would like language that states that X feature will be available as of Y date._ When I’m ready to seek this and all other applicable approvals, I click “Submit for Approval” on the quote. After I receive approvals, I make sure to work with Legal to obtain applicable language for the Order Form.

##### Multiple Production Instances

![Secondary Subscription](/images/handbook/sales/secondarysubscription.png)

- Criteria: In the scenario where a customer is requesting a secondary production instance free of charge (i.e. $0 subscription), approval is required per the [Deal Approval Matrix](https://docs.google.com/document/d/1-CH-uH_zr0qaVaV1QbmVZ1rF669DsaUeq9w-q1QiKPE/edit?tab=t.0#bookmark=kix.ku5uwebuwk1h) and will not be granted in all circumstances. The most common example of this scenario is a migration, where the customer requests a $0 subscription to maintain their existing instance for a period of time while they transition to the new instance (which is paid).
- Process: When creating a quote for a secondary $0 subscription, users should check the box next to **Secondary Production Instance ($0 Sub).**
- Example: My customer is migrating from Self-Managed to SaaS. They need both environments for 3 months to support the migration. As such, I need to create a $0 subscription for 3 months to maintain the Self-Managed instance. On my quote, I check the box next to “Secondary Production Instance ($0 Sub).”  When I’m ready to seek this and all other applicable approvals, I click “Submit for Approval” on the quote. After I receive approvals, I make sure to work with Legal to obtain applicable language for the Order Form.

##### Non-Standard Ramp Deal

![Non-Standard Ramp](/images/handbook/sales/nonstandardramp.png)

- Criteria: A Non-Standard Ramp is defined as a ramp deal where the ramp intervals are not annual - i.e. the ramp periods are not equal to 12 months. This requires approval per the [Deal Approval Matrix](https://docs.google.com/document/d/1-CH-uH_zr0qaVaV1QbmVZ1rF669DsaUeq9w-q1QiKPE/edit?tab=t.0#bookmark=kix.n3wzwlv9dv7v).
- Process: The user creating the ramp deal should check the box next to the **Non-Standard Ramp** field and populate details regarding the request in the **Non-Standard Ramp Details** field.
  - Note: If the ramp deal requires multiple unique quotes, this approval is only required on the initial year's quote.
- Example: My customer would like a 24 month subscription with non-standard ramps - they’d like to increase users every 6 months. When I create the quote, I check the box next to “Non-Standard Ramp” and I populate “Non-Standard Ramp Details” with the following: _I’d like a 24 month deal where users increase by X every 6 months._ When I’m ready to seek this and all other applicable approvals, I click “Submit for Approval” on the quote. After I receive approvals, I make sure to work with Deal Desk to build the ramp deal.

#### Billing/Payment Schedule

At GitLab, the default billing/payment schedule is full prepayment. In the case of multi-year deals, you may opt to choose Annual Payments. As noted above, you must select" Annual Payments" in the **Payment Schedule** field, which will automatically update the Annual Payments toggle field on the quote to populate language on the order form that commits the order in question to an annual billing/payment schedule.

If you choose to add Annual Payments to a quote, please keep in mind the following:

1. On a New Business quote, Initial Term must equal 24, 36, 48, or 60. On a Renewal quote, Renewal Term must equal 24, 36, 48, or 60.
2. All quotes with Annual Payments must use the "1 Year" Product SKU. You will see an error message if you select Annual Payments and anything other than the 1 Year SKU.
3. All opportunities with Annual Payments should have "Annual Payments" selected in the "Payment Schedule" field.
4. You may not convert a prepaid deal to Annual Payments via Add-On/Amendment quote, or vice versa. Add-Ons will always follow the original billing/payment schedule.

#### Contact Requirements

- **Select "Sold To" and "Bill To" contacts.** Note that the "Sold To" contact will receive the EULA or License file via email. Note: Each contact record must have a complete address, if the address is not fully populated, you will need to update this before you can proceed with the quote.
- For **One-Tier Reseller or MSP deals,** populate the "Invoice Owner", "Invoice Owner Contact" and "Resale Partner" fields. For **Distrbutor deals,** populate the "Invoice Owner", "Invoice Owner Contact", "Resale Partner" and "Distributor" fields. For **Direct Deals** leave "Invoice Owner", "Invoice Owner Contact," "Resale Partner," and "Distributor" fields blank.
  - "Invoice Owner" and "Invoice Owner Contact" should reflect the account and contact of the party being quoted by GitLab. This means we should leverage the Resale Partner's Billing Account and Billing Account Contact for One-Tier Reseller and MSP deals, and the Distributor's Billing Account and Billing Account Contact for Distributor deals.
  - Search for the Partner Account Name in the "Invoice Owner" field to select the Billing Account for the partner. If there are no results matching the partner account, this means that a Billing Account does not yet exist for the partner. Chatter `@Billing-ops` and the Partner Account Owner listed on the Partner Account Record and ask for a Billing Account to be created.
  - "Invoice Owner Contact"
    - The Billing Account on the Partner Account lists the accounts payable contact information associated with that account (refer to "Contact Information" section on the billing account), so that contact should be used as the "Invoice Owner Contact". If that contact does not exist on the Partner Account as a Contact Record, please create the contact using the following naming convention "[Partner Account Name] - Accounts Payable".
    - Ensure that the "Invoice Owner Contact" is connected to the Partner Account record and matches the contact information from the partner's Billing Account (i.e., Invoice Owner).
  - The "Resale Partner" field should be populated with the Partner Account of the Reseller or MSP transacting (please note a partner may have both a Customer and Partner Account Record, the Partner Account must be selected. Check the "Account Record Type" field on an account to identify whether it is Customer or Partner account).
  - For deals through distribution, the "Distributor" field should be populated with the Distributor Account of the Distributor transacting (for all Distributor Deals, you must also populate Resale Partner).

#### Term Requirements

- Populate **"Initial Term"** in months. (i.e. for a two-year deal, enter "24"). For standard deals, "Initial Term" should always match the SKU that you are quoting (i.e. Premium - 2 Year = Initial Term 24 Months).

#### VAT ID

- If the customer or reseller is based in the EU, enter the "VAT ID" number. This is required to book the order.

### Quote Creation: Step by Step Guide by Quote Type

#### New Subscription Quote

Follow this step by step guide for creating a **New Subscription** quote in Quote Studio. Use a New Subscription quote when the customer is purchasing a brand new subscription, OR if the deal structure includes a Contract Reset.

A.  Open the New Business opportunity and click the **"New Quote"** button.

B.  This button launches the first of two pages in the quoting experience: The Billing Accounts and Subscriptions page. You have two options to create a new subscription quote on this page:

- If the customer has an existing Billing Account, and you intend to sell a new subscription using the same Sold To Contact listed under the Billing Account, select the applicable Billing Account and click "New Quote."
- If the customer does not have an existing Billing Account, or if the Sold To Contacct you intend to use is not listed under one of the existing Billing Accounts, click "New Billing Account."

C.  On this second and final page of the quoting experience, populate Quote Detail Information.

- The following fields must be populated to successfully create a quote:
  - Start Date (this is the first day the license will be usable)
  - Initial Term (this is the term of the subscription in months)
  - Renewal Term (this is the term that the subscription will renew for after the Initial Term is complete)
  - Quote Template
  - Bill To Contact
  - Sold To Contact

- Selecting a Quote Template

| Template                            | Use For                                                                                                  |
|-------------------------------------|----------------------------------------------------------------------------------------------------------|
| Standard Order Form                 | Most quotes, including alliance marketplace transactions, EDU/OSS/YC, or Customers with an Existing Agreement (MSA) in place |
| Standard Order Form (Hide Discount) | Hide the Discount Column for Direct Deals. Otherwise Identical to the Standard Order Form Template       |
| Authorized Reseller Order Form      | Authorized Reseller Transactions                                                                         |
| MSP Order Form                      | Managed Service Provider Transactions                                                                    |
| Distributor Order Form              | Distributor Transactions                                                                                 |

- If there is a **signed MSA** between the customer and GitLab, the **"MSA Effective Date" field** should be populated with the date of the MSA's signature. If "MSA Effective Date" is populated on the quote object, the Order form will automatically generate with Acceptance Language that References the existing agreement. If it **is not populated** the language will default to Standard terms.

- Add any preapproved legal language selections to the order form. Checking the box next ot the language selection will automatically generate an order form with pre approved legal language - no need for Deal Desk intervention. Selections are as follows:

| Toggle Field                   | Output                                                                                   |
|--------------------------------|------------------------------------------------------------------------------------------|
| Annual Payments                | Annual Payment Language will populate in Payment Details on the Order Form PDF           |
| Customer Reference Language    | Customer Reference Language will populate in Notes Section of the order form             |
| Add Quarterly True Up Language | Standard Quarterly True Up language will populate in the Notes section of the Order Form |
| Remove Signature Block         | Signature Block will be removed. Use for customers with Existing Agreements (MSA)        |

- **Select "Sold To" and "Bill To" contacts.** Note that the "Sold To" contact will receive the EULA or License file via email. Note: Each contact record must have a complete address, if the address is not fully populated, you will need to update this before you can proceed with the quote.
- For **One-Tier Reseller or MSP deals,** populate the "Invoice Owner", "Invoice Owner Contact" and "Resale Partner" fields. For **Distrbutor deals,** populate the "Invoice Owner", "Invoice Owner Contact", "Resale Partner" and "Distributor" fields. For **Direct Deals** leave "Invoice Owner", "Invoice Owner Contact," "Resale Partner," and "Distributor" fields blank.
  - "Invoice Owner" and "Invoice Owner Contact" should reflect the account and contact of the party being quoted by GitLab. This means we should leverage the Resale Partner's Billing Account and Billing Account Contact for One-Tier Reseller and MSP deals, and the Distributor's Billing Account and Billing Account Contact for Distributor deals.
  - Search for the Partner Account Name in the "Invoice Owner" field to select the Billing Account for the partner. If there are no results matching the partner account, this means that a Billing Account does not yet exist for the partner. Chatter `@Billing-ops` and the Partner Account Owner listed on the Partner Account Record and ask for a Billing Account to be created.
  - "Invoice Owner Contact"
    - The Billing Account on the Partner Account lists the accounts payable contact information associated with that account (refer to "Contact Information" section on the billing account), so that contact should be used as the "Invoice Owner Contact". If that contact does not exist on the Partner Account as a Contact Record, please create the contact using the following naming convention "[Partner Account Name] - Accounts Payable".
    - Ensure that the "Invoice Owner Contact" is connected to the Partner Account record and matches the contact information from the partner's Billing Account (i.e., Invoice Owner).
  - The "Resale Partner" field should be populated with the Partner Account of the Reseller or MSP transacting (please note a partner may have both a Customer and Partner Account Record, the Partner Account must be selected. Check the "Account Record Type" field on an account to identify whether it is Customer or Partner account).
  - For deals through distribution, the "Distributor" field should be populated with the Distributor Account of the Distributor transacting (for all Distributor Deals, you must also populate Resale Partner).
- Populate **"Initial Term"** in months. (i.e. for a two-year deal, enter "24"). For standard deals, "Initial Term" should always match the SKU that you are quoting (i.e. Premium - 2 Year = Initial Term 24 Months).
- If the customer or reseller is based in the EU, enter the "VAT ID" number. This is required to book the order.

- Note: Non-standard payment terms (Net 30 = standard) should be reflected on the quote object, and will require approval per the approval matrix.

D.  **To Add Products to your quote,** locate the search bar between "Subscription" and "Browse Products" at the bottom of the page, and search for the Product SKU you would like to sell. Once you have located the correct Product SKU, click the circular + button to add that product to the quote. Repeat this process to add additional Product SKUs.

E.  EntFor each Product SKU you have added to the quote, edit Quantity, Discount, and/or Effective Price as desired. **After you have correctly configured Product SKUs, you can click "Preview Metrics" to preview the quote total while still in draft mode. Once you are ready to save the quote, click "Submit" at the top of the screen.**

- For **Channel deals**, see this [cheat sheet](https://docs.google.com/document/d/1qiT_2EsnL20c4w0hyZ_CGaJQIzj8CSCsHERoR80cwws/edit#heading=h.9e3o7yaxw8mu) to confirm correct discounts to apply. Partner discounts must be added in addition to any customer discounts and required approvals must be received by submitting the quote in the system, per the quote approval matrix. If there are no customer discounts and standard partner program discounts are used, additional quote approvals will not be required. Chatter `@Partner Operations` for questions.

F.  **Add Annual Payments** to a order form by:

- Checking "Annual Payments" checkbox on Quote Detail Page
- Updating "Initial Term" to 24, 36, 48, or 60. **If Intital Term is not updated correctly, the quote will not generate the correct Total**"
- **All Annual Payment quotes** must use the 1 - Year Product SKU. You will see an error message if you select Annual Payments and anything other than the 1 - Year SKU.

G. SuperSonics: Review the Zuora fields to determine whether any Cloud Licensing features apply to the subscription. For more information on Cloud Licensing, see: [SuperSonics and Sales Assisted Transactions](/handbook/sales/field-operations/order-processing/#supersonics-and-sales-assisted-transactions)

H.  **Order Form Generation**

- If no discounts or special terms are requested, click "Generate PDF."
- If the deal contains discounts that require approval, please submit the quote for approval using the button on the quote. The quote must be approved before the PDF can be generated.
  - In the case of reseller deals, please obtain the approvals in Chatter based on the approval matrix.
- **Order Form Manual Edits**
  - Please note that Sales reps may only generate PDF versions of the Order Form. If you require special wording or other manual edits, please make the request by tagging `@Sales-Support` in chatter.

**To supplement these steps, review the [Highspot Page](https://gitlab.highspot.com/items/63c04679ce74a0ae63ca5e49) or the [RISE Course](https://rise.articulate.com/share/HzJgdaWzK1C_SwlMSCwQchgV9PbpRNvi#/) to see each step live for a New Subscription quote.**

#### Amend Subscription Quote

The following is intended as a step by step guide for opportunity owners or ISRs to learn how to create standard quotes for amendments in CPQ X: Quote Studio.

This quote type should only be used when **new users are being added to an existing subscription during the current subscription term** or when **you are changing or adding products during the current subscription term.** Please note: Amendment quotes **cannot** extend a subscription term.

Add On Opportunity should be Closed-Won before submitting a Renewal opportunity for approval.

#### Additional Zuora Quote Studio Enablement Materials

In addition to the step-by-step quoting guides that follow this paragraph, check out these additional quoting resources!

1. [Highspot Page](https://gitlab.highspot.com/items/63c04679ce74a0ae63ca5e49)
2. [RISE Course](https://rise.articulate.com/share/HzJgdaWzK1C_SwlMSCwQchgV9PbpRNvi#/)

#### **A.  Add-On Quote Creation**

- Create the Add-on opportunity on the latest closed won annual opp (Renewal or New Business) that is related to that subscription (use the "New Add On Opportunity" button)
- Fill out all required fields on the opportunity level (i.e Close date) and save.
- Open the Add-On opportunity and click the **"New Quote"** button.
- Select the **applicable billing account**.
- Next, locate the subscription you would like to amend. If you are unsure which subscription to amend, click on the blue subscription name (i.e. A-S00263985) - this will open a new window that details that subscriptions products, quantities, pricing, etc.
- Click the pencil icon to amend that subscription.
- Note: If there are subscriptions available, click on the subscription name to open the subscription information and review the dates, products, and pricing of that subscription.
- If you are still unable to determine which to choose, please ask @Sales-Support via Chatter to help confirm. and click "Next."
- On this second and final page of the quoting experience, populate Quote Detail Information.

- The following fields must be populated to successfully create a quote:
  - Start Date (this is the first day the license will be usable)
  - Initial Term (this is the term of the subscription in months)
  - Renewal Term (this is the term that the subscription will renew for after the Initial Term is complete)
  - Quote Template **(Amendments must transact through the same route to market as the original order)**
  - Bill To Contact
  - Sold To Contact

- The **Start Date** cannot be set before the subscription start date.
  - The **End Date** will automatically be set to co-terminate with the existing subscription.
  - The **Initial Term** is automatically updated to reflect the initial term of the original New Business or Renewal subscription which is being amended by this quote.**Please do not override the automatically populated Initial Term on Amend Subscription quote objects**  (i.e. if you're amending the quote halfway through a 12 month term, the Initial Term should be 12, not 6.)
  - The **GitLab Entity** must be the same as it was on the initial deal you're amending.
  - For **One-Tier Reseller or MSP deals,** populate the "Invoice Owner", "Invoice Owner Contact" and "Resale Partner" fields. For **Distrbutor deals,** populate the "Invoice Owner", "Invoice Owner Contact", "Resale Partner" and "Distributor" fields. For **Direct Deals** leave "Invoice Owner", "Invoice Owner Contact," "Resale Partner," and "Distributor" fields blank.
    - "Invoice Owner" and "Invoice Owner Contact" should reflect the account and contact of the party being quoted by GitLab. This means we should leverage the Resale Partner's Billing Account and Billing Account Contact for One-Tier Reseller and MSP deals, and the Distributor's Billing Account and Billing Account Contact for Distributor deals.
    - Search for the Partner Account Name in the "Invoice Owner" field to select the Billing Account for the partner. If there are no results matching the partner account, this means that a Billing Account does not yet exist for the partner. Chatter `@Billing-ops` and the Partner Account Owner listed on the Partner Account Record and ask for a Billing Account to be created.
    - "Invoice Owner Contact"
      - The Billing Account on the Partner Account lists the accounts payable contact information associated with that account (refer to "Contact Information" section on the billing account), so that contact should be used as the "Invoice Owner Contact". If that contact does not exist on the Partner Account as a Contact Record, please create the contact using the following naming convention "[Partner Account Name] - Accounts Payable".
      - Ensure that the "Invoice Owner Contact" is connected to the Partner Account record and matches the contact information from the partner's Billing Account (i.e., Invoice Owner).
    - The "Resale Partner" field should be populated with the Partner Account of the Reseller or MSP transacting (please note a partner may have both a Customer and Partner Account Record, the Partner Account must be selected. Check the "Account Record Type" field on an account to identify whether it is Customer or Partner account).
    - For deals through distribution, the "Distributor" field should be populated with the Distributor Account of the Distributor transacting (for all Distributor Deals, you must also populate Resale Partner).
    - **We cannot change route to market through an Amendment quote**. If the original order was sold Direct, all subsequent amendments must also be Direct. If it was initially sold through a Partner, all amendments must go through the same partner for the duration of the subscription.
  - If the customer or reseller is based in the EU, enter the "VAT ID" number. This is required to book the order.
  - If there is a **signed MSA** between the customer and GitLab, the **"MSA Effective Date" field** should be populated with the date of the MSA's signature. If "MSA Effective Date" is populated on the quote object, the Order form will automatically generate with Acceptance Language that References the existing agreement. If it **is not populated** the language will default to Standard terms.

- **To add, remove, or edit Product SKUs on the quote,** locate the search bar between "Subscription" and "Browse Products" at the bottom of the page, and search for the Product SKU you would like to add. Once you have located the correct Product SKU, click the circular + button to add that product to the quote. Repeat this process to add additional Product SKUs. You can also remove a Product SKU by clicking on the trash can icon under the SKU name.

- For each Product SKU you have added to the quote, edit Quantity, Discount, and/or Effective Price as desired. **After you have correctly configured Product SKUs, you can click "Preview Metrics" to preview the quote total while still in draft mode. Once you are ready to save the quote, click "Submit" at the top of the screen.**

- Note: If a product has been amended multiple times during a subscription period, the product will display multiple lines with each quantity of the product shown.  In this instance, **only modify one line with the new quantity**. Do not modify multiple lines.  Additional [information can be found here](https://gitlab.com/groups/gitlab-com/business-technology/enterprise-apps/financeops/-/wikis/Zuora-CPQ-Legacy-UI:-Limitations).
- **To add users to the existing subscription at a different price or discount**, the new user licenses should be added as a separate product line.
- **True-Ups:** NOTE: The true-up SKU does not add users to the license - it's simply a retroactive one time charge. If you are conducting a quarterly or semi annual true-up for a customer with our former percentage-based fee schedule, do not use the true-up SKU unless the true-up is in conjunction with their renewal and the customer will be renewing for less users. Instead, you should add users using an appropriately priced subscription product SKU. If you are quoting true-up users, search for the applicable True-Up SKU and add it to the quote. Edit the quantity and effective price. Click "Submit."
- **Order Form Generation**
  - If no discounts or special terms are requested, click "Generate PDF."
  - If the deal contains discounts that require approval, please submit the quote for approval using the button on the quote. The quote must be approved before the PDF can be generated.
    - In the case of reseller deals, please obtain the approvals in Chatter based on the approval matrix.
  - **Order Form Manual Edits**
    - Please note that Sales reps may only generate PDF versions of the Order Form. If you require special wording or other manual edits, please make the request by tagging @Sales-Support in chatter.

##### Prorata calculation of add-on order forms

[Explanation with screenshot of example order form](https://docs.google.com/presentation/d/1HV4jYVP4yITm0FyhGbDPGmb6f-ebI0Fh480cLfw7u9M/edit#slide=id.ga42daef6d7_0_0)

- On add-on/amendment order forms the amounts are prorated based on calendar days as per the following example (adding 10 users to existing subscription)
- Annual fee for 10 add-on users: 10 users x $228 = $2,280.00
- Number of calendar days of the add-on period: 177 days (7 Apr 2022 - 1 Oct 2022 in this example)
- Prorated fee calculation: ($2,280.00 / 365 days) x 177 days = $1,105.64

#### **B.  Upgrade or Switch Products During the Subscription Term**

Follow this process to change products mid-term. A common use case for this process is migrations from Self-Managed to SaaS or from SaaS to Self-Managed. In such scenarios, once the opportunity becomes Closed Won, the standard licensing process will occur.

- Create an "Amend Subscription" quote by following the steps in Section 2 (A) above.
  - The **Start Date** should be the date of the product exchange.
  - In the Product search bar, search for the **new** product type, and add the correct SKU.
  - Remove the prior existing product by clicking on the trash can icon under that Product's Name.
  - Adjust the new product line - quantity, discount. Click "Submit."
  - Note: On the Order Form, the product being removed will display with a negative amount reflecting the credit for that product for the remainder of the subscription term.
  - Mid-term product upgrade can only be processed via the same route to market.

**To supplement these steps, review the [Highspot Page](https://gitlab.highspot.com/items/63c04679ce74a0ae63ca5e49) or the [RISE Course](https://rise.articulate.com/share/HzJgdaWzK1C_SwlMSCwQchgV9PbpRNvi#/) to see each step live for a New Subscription quote.**

##### Mid-Term Upgrades with Reduction in Seat Count

GitLab only allows customers to reduce their seat count mid-term during an upgrade if there is a positive ARR implication. Keep in mind the following licensing nuances for this scenario:

When a customer upgrades mid-term and reduces their paid seat count below the max billable users count as of the upgrade date, GitLab will immediately show an overage of max billable users - new paid seat count, regardless of the prior paid seat count. This overage will be shown in the GitLab product and will be billable unless waived at the customer's next renewal.

For example:

1. Customer had a premium license for 50 users, and had 48 max billable users as of the upgrade date.
2. Customer upgrades to Ultimate but reduces seat count to 25.
3. GitLab will immediately show a seat overage of 48 (max billable users during upgrade) - 25 (new paid seat count) = 23 until the next renewal (unless the customer then goes above 48 seats, in which case the overage will increase).
4. **A True Up for the difference of 23 will be required at renewal. Consider seeking approval for a true up waiver in this scenario, during the renewal, to prevent licensing issues.**

We don't have a way today to track separately how many Ultimate seats are used after the upgrade, the max billable users calculation always looks at the full term, in this case including the time period prior to the upgrade.

NOTE: this wouldn't be a problem if the customer goes from 50 to 25 users but their max billable users was 25 or less at renewal time. It's only a problem when they go below their current max billable users count.

##### Payment Schedule for Amendment Quotes

Amendment quotes on Multiyear Terms (13 or more months) will default to the same billibg schedule as the originating agreement (New Subscription Order Form or Renewal Order Form, whichever is most recent). This means:

If the originating agreement's billing schedule was set up for:

- Annual billing - any amendment quote will be billed annually as well (without the need for redundant Annual Terms language). If the Amend Order Form includes Annual Billing language, it will also be accepted for bookings so long as the originating agreement also included Annual Billing language.
- Prepaid - the customer will be billed for the prorated amount for the remainder of the current subscription period.
- For any custom billing schedule, please engage Deal Desk as your Order Form may need customizations.

It's important to note that the term's billing schedule should not be changed mid-term. If a change in billing frequency mid-term is your intent, this should be done at renewal. Otherwise, updating billing schedule mid-term will require you to engage with Deal Desk.

#### Renew Subscription Quote

This quote type should be used when the customer has reached the end of their subscription term and wishes to renew the subscription for another term.

Important:

1. "Renew Subscription" quotes should be used even if the customer is renewing for a different term length than the previous period. i.e. If the customer is renewing a 12 month subscription for 24 months, choose "Renew Subscription" and enter "24" in the Renewal Term field.
2. Gaps are not allowed between opps linked to the same subscription ie. new subscription quote object cannot be used on a renewal opportunity, unless you encounter one of the following scenarios.
3. Scenarios when new subscription quote is allowed on a renewal opp:
     - Contract reset (aka early renewal)
     - Customer has lost access or customer decided to renew after 30 days (this is the only scenario where a gap is allowed between renewals)

#### Additional Renew Quote Studio Enablement Materials

In addition to the step-by-step quoting guides that follow this paragraph, check out these additional quoting resources!

1. [Highspot Page](https://gitlab.highspot.com/items/63c04679ce74a0ae63ca5e49)
2. [RISE Course](https://rise.articulate.com/share/HzJgdaWzK1C_SwlMSCwQchgV9PbpRNvi#/)

##### **A. Standard Renewal**

The following is intended as a step by step guide for opportunity owners or ISRs to learn how to create standard quotes for renewals in CPQ X: Quote Studio.

- Open the Renewal opportunity and click the **"New Quote"** button.
- Select the **applicable billing account**.
- Next, locate the subscription you would like to renew. If you are unsure which subscription to renew, click on the blue subscription name (i.e. A-S00263985) - this will open a new window that details that subscriptions products, quantities, pricing, etc.
  - Note: If there are multiple billing accounts or subscriptions available, and you are unable to determine which to choose, please ask @Sales-Support via Chatter.
- Click the curved arrow renew icon to remew that subscription.
- Note: If there are subscriptions available, click on the subscription name to open the subscription information and review the dates, products, and pricing of that subscription.

- On this second and final page of the quoting experience, populate Quote Detail Information.
- The following fields must be populated to successfully create a quote:
  - Renewal Term (this is the term that the subscription will renew for after the Initial Term is complete)
  - Quote Template **(Amendments must transact through the same route to market as the original order)**
  - Bill To Contact
  - Sold To Contact

- The **Start Date** cannot be edited. This will be the true renewal date.
  - The **End Date** will automatically be determined by the Renewal Term.
  - Populate **"Renewal Term"** in months. (i.e. for a two-year renewal, enter "24")

  - For **One-Tier Reseller or MSP deals,** populate the "Invoice Owner", "Invoice Owner Contact" and "Resale Partner" fields. For **Distrbutor deals,** populate the "Invoice Owner", "Invoice Owner Contact", "Resale Partner" and "Distributor" fields. For **Direct Deals** leave "Invoice Owner", "Invoice Owner Contact," "Resale Partner," and "Distributor" fields blank.
    - "Invoice Owner" and "Invoice Owner Contact" should reflect the account and contact of the party being quoted by GitLab. This means we should leverage the Resale Partner's Billing Account and Billing Account Contact for One-Tier Reseller and MSP deals, and the Distributor's Billing Account and Billing Account Contact for Distributor deals.
    - Search for the Partner Account Name in the "Invoice Owner" field to select the Billing Account for the partner. If there are no results matching the partner account, this means that a Billing Account does not yet exist for the partner. Chatter `@Billing-ops` and the Partner Account Owner listed on the Partner Account Record and ask for a Billing Account to be created.
    - "Invoice Owner Contact"
      - The Billing Account on the Partner Account lists the accounts payable contact information associated with that account (refer to "Contact Information" section on the billing account), so that contact should be used as the "Invoice Owner Contact". If that contact does not exist on the Partner Account as a Contact Record, please create the contact using the following naming convention "[Partner Account Name] - Accounts Payable".
      - Ensure that the "Invoice Owner Contact" is connected to the Partner Account record and matches the contact information from the partner's Billing Account (i.e., Invoice Owner).
    - The "Resale Partner" field should be populated with the Partner Account of the Reseller or MSP transacting (please note a partner may have both a Customer and Partner Account Record, the Partner Account must be selected. Check the "Account Record Type" field on an account to identify whether it is Customer or Partner account).
    - For deals through distribution, the "Distributor" field should be populated with the Distributor Account of the Distributor transacting (for all Distributor Deals, you must also populate Resale Partner).
  - If the customer or reseller is based in the EU, enter the **"VAT ID"** number. This is required to book the order.
  - If there is a **signed MSA** between the customer and GitLab, the **"MSA Effective Date"** field should be populated with the date of the MSA's signature.
  - Note: Non-standard payment terms (Net 30 = standard) should be reflected on the quote object, and will require approval per the approval matrix.

- **To add, remove, or edit Product SKUs on the quote,** locate the search bar between "Subscription" and "Browse Products" at the bottom of the page, and search for the Product SKU you would like to add. Once you have located the correct Product SKU, click the circular + button to add that product to the quote. Repeat this process to add additional Product SKUs. You can also remove a Product SKU by clicking on the trash can icon under the SKU name.

- For each Product SKU you have added to the quote, edit Quantity, Discount, and/or Effective Price as desired. **After you have correctly configured Product SKUs, you can click "Preview Metrics" to preview the quote total while still in draft mode. Once you are ready to save the quote, click "Submit" at the top of the screen.**

- **Renewal Scenarios**
  - For a flat renewal, simply leave the existing Product SKU (marked Original) as is.
  - To add additional users to the existing Product SKU, simply increase the quantity.
  - If you want to add additional users at a different Effective Price, leave the existing Product SKU untouched, and instead add a new duplicate Product SKU for the additional users at unique pricing.
  - To add a Product SKU, locate the search bar between "Subscription" and "Browse Products," and simply search for the product SKU you would like to sell. Click the circular + button to add that product to the quote.
  - To remove a Product SKU, click the trash icon associated with the Product SKU.

- Note: If a product has been amended multiple times during a subscription period, the product will display multiple lines with each quantity of the product shown.  In this instance, **only modify one line with the new quantity**. Do not modify multiple lines.  Additional [information can be found here](https://gitlab.com/groups/gitlab-com/business-technology/enterprise-apps/financeops/-/wikis/Zuora-CPQ-Legacy-UI:-Limitations).
  - For **Channel renewals**, please refer to this [cheat sheet](https://docs.google.com/document/d/1qiT_2EsnL20c4w0hyZ_CGaJQIzj8CSCsHERoR80cwws/edit#heading=h.9e3o7yaxw8mu) to help identify what discounts and product lines to add for a renewal. Quote approvals may be triggered due to system limitations.
    - Partner discounts must be added in addition to any customer discounts and required approvals must be received by submitting the quote in the system, per the quote approval matrix.
    - If you have questions about Channel discounts when building a quote, chatter `@Partner Operations` for help.

- **True-Ups:** NOTE: The true-up SKU does not add users to the license - it's simply a retroactive one time charge that should only be used to account for overages in the prior subscription term. If you are quoting true-up users, search for the applicable True-Up SKU and add it to the quote. Edit the quantity and effective price.
  - Example: If customer A has purchased a 100 user SaaS - Premium subscription previously, and now at renewal they inform you that they overused prior to the renewal by 10 seats, you will need to add an Annual True Up SKU for SaaS - Premium for 10 users.
  - Upgrade at Renewal Example: If customer A has purchased a 100 user SaaS - Premium subscription previously, and now at renewal they are upgrading to SaaS - Ultimate, but they also inform you that they overused prior to the renewal by 10 seats, you will need to add the Annual True Up SKU for SaaS - Premium for 10 users, in addition to adding the SaaS - Ultimate SKU for the customer's license going forward. You should also remove the SaaS - Premium license SKU given that the customer is upgrading to SaaS - Ultimate.

- **Add Annual Payments** to a order form by:
  - Checking "Annual Payments" checkbox on Quote Detail Page.
  - Updating "Renewal Term" to 24, 36, 48, or 60. **If Renewal Term is not updated correctly, the quote will not generate the correct Total**".
  - All Annual Payment quotes **must use the 1 Year Product SKU**. You will see an error message if you select Annual Payments and anything other than the 1 Year SKU.

- **SuperSonics**: Review the Zuora fields to determine whether any Cloud Licensing features apply to the subscription. For more information on Cloud Licensing, see: [SuperSonics and Sales Assisted Transactions](/handbook/sales/field-operations/order-processing/#supersonics-and-sales-assisted-transactions).

##### **B. Renewal Using a New Subscription Quote**

If the customer needs to change the Quote Start Date (typically for Billing purposes) at time of Renewal, you will need to build a New Subscription quote. We will also use a New Subscription quote if the deal includes a Contract Reset.

- Open the Renewal opportunity and click the **"New Quote"** button.

  This button launches the first of two pages in the quoting experience: The Billing Accounts and Subscriptions page. You have two options to create a new subscription quote on this page:

  - If the customer has an existing Billing Account, and you intend to sell a new subscription using the same Sold To Contact listed under the Billing Account, select the applicable Billing Account and click "New Quote."
  - If the customer does not have an existing Billing Account, or if the Sold To Contacct you intend to use is not listed under one of the existing Billing Accounts, click "New Billing Account."

    - Note: If there are multiple billing accounts or subscriptions available, and you are unable to determine which to choose, please ask @Sales-Support via Chatter.

- Fill out the necessary information on the quote per the instruction under the **New Subscription Quote** section above.
  - **Note: The Start Date can be later than the original renewal date only if customer has lost access after the renewal grace period. Otherwise no subscription gap is allowed.**
- Select a Quote Template
- Click Next and follow the steps listed above (New Subscription Section)

##### **C. Late renewal**

For information on how to quote late renewals, [see here](/handbook/sales/field-operations/order-processing/#late-renewals) .

**To supplement these steps, review the [Highspot Page](https://gitlab.highspot.com/items/63c04679ce74a0ae63ca5e49) or the [RISE Course](https://rise.articulate.com/share/HzJgdaWzK1C_SwlMSCwQchgV9PbpRNvi#/) to see each step live for a New Subscription quote.**

##### **Transacting a Separate Add-on Opportunity prior to Renewal**

Customers and partners may wish to transact an add-on opportunity ahead of their renewal (e.g., within one month of renewal date) to avoid true-ups on the renewal order. Important to note, the add-on opportunity must be closed-won in Salesforce before the renewal quote can be created. This ensures the license count and revenue metrics on the active subscription are updated to reflect the additional seats prior to quoting the renewal opportunity.

#### Quoting Channel Deals

##### Standard Partner/Reseller Quotes

Creating a reseller-direct (i.e., one-tier reseller) quote is very similar to the process of creating a direct customer quote, where `Sold to Contact` and `Bill to Contact` are still linked to the end-customer account (**Sold to** will receive the license email). The only differences are with the following fields:

- **Resale Partner** = Reseller's SFDC account
- **Distributor** = Blank (do not populate)
- **Quote Template** = Authorized Reseller Quote Template
- **Invoice Owner** = Reseller's billing account
- **Invoice Owner Contact** = Reseller's billing contact (this person will receive the invoice)
- **Discount** - Programmatic partner discounts for the reseller must be added in addition to any customer discounts applied to the quote. There is a [Partner Discount Cheat Sheet](https://docs.google.com/document/d/1qiT_2EsnL20c4w0hyZ_CGaJQIzj8CSCsHERoR80cwws/edit?usp=sharing) for use by internal GitLab Team Members for ease of quoting.

Refer to the [Reseller and Distributor step-by-step quoting guide](https://gitlab.highspot.com/items/6412421bfb9e0fdf947cc90a) for further information.

##### Distributor Quotes

Creating a distributor (i.e., two-tier distribution) quote is very similar to the process of creating a direct customer and/or reseller-direct quote, where `Sold to Contact` and `Bill to Contact` are still linked to the end-customer account (**Sold to** will receive the license email). The only differences are with the following fields:

- **Resale Partner** = Reseller's SFDC account
- **Distributor** = Distributor's SFDC account
- **Quote Template** = Distributor Quote template
- **Invoice Owner** = Distributor's billing account
- **Invoice Owner Contact** = Distributor's billing contact (this person will receive the invoice)
- **Discount** - Programmatic partner discounts for distributor and reseller must be added in addition to any customer discounts applied to the quote. There is a [Partner Discount Cheat Sheet](https://docs.google.com/document/d/1qiT_2EsnL20c4w0hyZ_CGaJQIzj8CSCsHERoR80cwws/edit?usp=sharing) for use by internal GitLab Team Members for ease of quoting.

Refer to the [Reseller and Distributor step-by-step quoting guide](https://gitlab.highspot.com/items/6412421bfb9e0fdf947cc90a) for further information.

##### MSP Quotes

A **Managed Service Provider (MSP)** purchases licenses on behalf of an end user. The MSP will be the owner and manager of the licenses but their customer, the end user, is the one using the licenses.

A. MSP Opportunity Details:

- MSP opportunities are always linked to the MSP partner account, not to the end user (i.e., customer) account
- MSP opportunities should be owned by the sales rep that owns the underlying end user (i.e., customer) account
- MSP new business opportunities are created by the Channel Manager via the [Deal Registration](/handbook/sales/field-operations/channel-operations/#partner-sourced-deal-registration-msp-opportunities) process. If the end user has an existing subscription either directly or via partner, the related renewal opp will need to be set to Closed Lost by the opp owner on the customer account
- MSP opportunities should have the following standard naming convention "[MSP End User] - [# of Seats] [Product Tier] [Deployment] [Order Type] (MSP via [Partner Name])". For example, "CompanyABC - 100 Premium SaaS Renewal (MSP via PartnerXYZ)"

B. MSP Quote Creation Steps:

- New MSP subscription: A new subscription quote needs to be created by the sales rep who manages the MSP opp.
- Add-on to existing MSP subscription: The correct subscription should be located on the MSP partner account based on the start and end dates of the existing booked opp containing the same customer account name.
- Renewal to existing MSP subscription: Same as above, the related subscription needs to be identified on the MSP partner account before creating the quote.
- Quote fields:
  - **Resale Partner** = MSP's SFDC account
  - **Distributor** = Blank (do not populate)
  - **Quote Template** = MSP Quote template
  - **Special Terms & Notes** = Add the MSP end user name with the following verbiage "MSP owns the licenses on behalf of their end customer [Insert MSP End User name]".
  - **Sold to and Bill to Contact** = MSP partner contacts (**Sold to** from the MSP will receive the license email)
  - **Invoice Owner** = Billing Account record of the MSP partner
  - **Invoice Owner Contact** = Billing Account Contact record (this person will receive the invoice) of the MSP partner
  - **Discount** = Programmatic partner discounts for the MSP must be added to the quote. There is a [Partner Discount Cheat Sheet](https://docs.google.com/document/d/1qiT_2EsnL20c4w0hyZ_CGaJQIzj8CSCsHERoR80cwws/edit?usp=sharing) for use by internal GitLab Team Members for ease of quoting.

Refer to the [MSP step-by-step quoting guide](https://gitlab.highspot.com/items/641241c62d511fd525a390e1) for further information.

More details on MSP Deal Registration can be found in the [Partner Ops handbook](/handbook/sales/field-operations/channel-operations/#partner-sourced-deal-registration-msp-opportunities).

#### Quoting Annual True-Ups

In accordance with Section 6 of the [GitLab Subscription Agreement](/handbook/legal/subscription-agreement/#6-payment-of-fees), customers may be required to pay for Overage Users upon the expiration of a Subscription Term in order to renew the Software.

##### New Annual True-Up SKUs as of 2021-11-15

Effective 2021-11-15, the "True-up" SKU has been deprecated and replaced with 6 new annual True-Up SKUs, each of which ties to the related subscription SKU. When creating quotes that include a backward looking, one-time True-Up charge, please select the appropriate True-Up SKU as listed below. **For the avoidance of doubt, you must select the True-Up SKU related to the subscription SKU that was in use when the True-Up was incurred.**

- Example 1: A customer has a 100 user SaaS - Premium subscription. At renewal, you learn that the customer incurred 5 Overage Users during the initial subscription term. On the renewal quote, you will select True-Up (Annually) - SaaS - Premium SKU with a quantity of 5.

- Example 2: A customer has a 500 user Self-Managed - Premium subscription. At renewal, they are upgrading to Self-Managed Ultimate for 600 users. During the renewal conversation, you learn that the customer incurred 50 Overage Users during the initial subscription term. On the renewal quote, you will select the True-Up (Annually) - Self-Managed - Premium SKU with a quantity of 50. You will also add the Self-Managed Ultimate SKU for 600 users, and then remove the Self-Managed - Premium SKU.

**Self-Managed True-Up SKUs**

- True-Up (Annually) - Self-Managed - Ultimate: $1,188/seat/year
- True-Up (Annually) - Self-Managed - Premium: $228/seat/year
- True-Up (Annually) - Starter: $48/seat/year

**SaaS True-Up SKUs**

- True-Up (Annually) - SaaS - Ultimate: $1,188/seat/year
- True-Up (Annually) - SaaS - Premium: $228/seat/year
- True-Up (Annually) - Bronze: $48/seat/year

##### Note for Quoting True-ups

True-ups shouldn't be added to an amendment quote, because functionally they will do nothing. Overuse is only recognised at renewal and hence, true-ups are necessary only at renewal to unlock a license when the customer had gone over their licensed user count in the previous subscription term.
Example- The customer had 100 licensed users and they used 108, the 8-user overuse will be covered and quoted as True-up during renewal.

**Reading Through Customer's Dashboard:**

- **Billable Users:** Current number of active users (forward looking license) - Customer needs renew at least that number of licenses
- **Users over License:** True-ups (being charged for the overuse occurred in the previous licensing period). **Users over License = Maximum users - Users in license**
- **Users in License:** Number of licenses purchased previously (at the beginning of the term)
- **Maximum Users:** Number of maximum users reached during the previous term (before renewal)

![Customer_s_Dashboard_Example](/uploads/f7b584e202c4902a25082ed38e5a69cb/Customer_s_Dashboard_Example.png)

#### Co-Terming

There are 2 types of co-terming:

1. **Automatic/ Same Subscription:** Creating a co-termed Amendment quote to an existing subscription. The Amendment quote will have the same start date and initial/ renewal term as the related existing subscription by default.

2. **Manual/ Separate Subscriptions:** Customer needs a separate new subscription with the same end date as their existing subscription. In order to create a new co-termed subscription, you will need to use the monthly SKU and also set the start date of the new subscription quote in line with the existing subscription (currently there is no option to create new subscription for a calendar day based prorated period but month based only). For example, if the existing subscription runs from 15 February 2022 to 15 February 2023, and they need another subscription with the same end date but as of April start date, you would create a new subscription quote with 15 April 2022 start date, set the initial term to 10 months and select the monthly product SKU instead of the standard annual one. When creating a new subscription for period < 12 months in order to co-term it with an existing, no approvals are need for a shorter subscription term as per the approval matrix. Additionally, New Business or Renewal Subscriptions with < 12 month term lengths require approval, unless the subscription is meant to co-term with another pre-existing subscription.

#### Quoting Guide: Starter/Bronze End of Availability + Tier Re-naming

**As of 2021-01-26, the following changes have been made to the quoting process in relation to the end of availability of Starter/Bronze:**

- Starter/ Bronze SKUs will no longer be selectable for new subscription quotes.
- Starter/ Bronze new subscription deals quoted before 2021-01-26 will be honoured and booked through and until the Quote Expiration Date, provided that they have received CRO approval.
- Starter/ Bronze SKUs will still be selectable for amendment and renewal quotes. Existing Starter/Bronze subscriptions can be amended to add users at the current list price, or renewed for one year at the current list price, until 2022-01-26. Any discounts applied to Starter/Bronze Add-Ons or Renewals will be subject to the [standard discount approval matrix](https://docs.google.com/document/d/1-CH-uH_zr0qaVaV1QbmVZ1rF669DsaUeq9w-q1QiKPE/edit?ts=5d6ea430#) and [Starter/Bronze EoA upgrade offer](https://docs.google.com/document/d/19T-ysFuEFWIlAv7Z9o1Q6-kVU9HKFb_nzGZ1uumpMLA/edit) .

**Silver/Premium + Gold/Ultimate Legacy SKU Quoting Guide**

As of 2021-01-26, the following changes have been made to the quoting process in relation to the renaming of Silver and Gold:

Salesforce Guided Selling filters have been updated. Legacy SKUs have been removed where appropriate, resulting in a shorter, cleaner list of products that can be sold. Legacy SKUs from previous product deprecations have also been removed.

- All legacy Premium, Silver, Gold, and Ultimate SKUs will begin the deprecation process. **New SKUs have been created in place of these legacy SKUs:**

| New Rate Plan Name      | Legacy Name |
|-------------------------|-------------|
| SaaS - Premium          | Silver      |
| Self-Managed - Premium  | Premium     |
| SaaS - Ultimate         | Gold        |
| Self Managed - Ultimate | Ultimate    |

- **New Business:** New Subscription quotes can only be created using the new SKUs listed above.
- **Add-Ons:** For existing subscriptions that contain legacy SKUs, all Amend Subscription quotes will use the existing legacy SKU, i.e.; If you upsell an existing Gold subscription, your amendment quote and Order Form will still use the legacy Gold SKU.
- **Renewals:** For existing subscriptions that contain legacy SKUs, **all Renew Subscription quotes will require that the legacy SKU be removed from the quote, and that the new SKU be added to the quote in its place for the renewal.** When quoting a renewal, _please follow the steps below to change the SKU:_
  - First, click **Select Products**
  - On the **Edit Products and Charges** page, select "Add Products"
  - Click "Select" and then click "Add Base Products"
  - Select the new SKU. Click Next.
  - Select the **Remove** drop down button next to the legacy SKU.
  - On the new SKU, adjust the quantity and pricing as needed. Click "Submit."
  - Note: On the Order Form, the legacy SKU will appear as "Removed."

- **Legacy SKU Grace Period**: Any quotes/Order Forms created before 2021-01-26, on which a legacy SKU was used, will be accepted for booking. All quotes/Order Forms created on or after 2021-01-26 must follow the applicable quoting requirements for each quote type listed above.

**Quote Discount Approval Module Updates**

- The quote approval module has been updated to recognise the new Premium and Ultimate SKUs referenced in the table above.
- The quote approval module has been updated to recognise the [Starter/Bronze EoA Option 2 upgrade offer](https://docs.google.com/document/d/19T-ysFuEFWIlAv7Z9o1Q6-kVU9HKFb_nzGZ1uumpMLA/edit) (one year renewal/add-on upgrade).

#### SuperSonics Billing and Subscription Management Experience

GitLab's Cloud Licensing experience allows for the activation and provisioning of Quarterly Subscription Reconciliation and Auto-Renewals, which apply to both SaaS and Self-Managed Subscription plans. In addition, the Cloud Licensing experience introduces Operational Data.

To learn more about the SuperSonics Billing and Subscription Management experience and how it impacts your quote, review the following:

- [SuperSonics and Sales Assisted Transactions](/handbook/sales/field-operations/order-processing/#auto-renewal-quarterly-subscription-reconciliation-and-operational-data-sales-assisted-transactions)
- [How To Opt-Out of SuperSonics Features](/handbook/sales/field-operations/order-processing/#how-to-opt-out-of-auto-renewal-quarterly-subscription-reconciliation-and-operational-data)
- [How to Temporarily Pause SuperSonics Features](/handbook/sales/field-operations/order-processing/#how-to-temporarily-pause-auto-renewal-quarterly-subscription-reconciliation-and-operational-data)
- [More Resources](/handbook/sales/field-operations/order-processing/#resources)

#### Quoting Professional Services

**There are two separate ways to quote Professional Services, depending on whether the services are standard, or scoped/custom.**

##### Creating a Professional Services Quote for Standard Services

- Standard services are those for which a SKU exists in Zuora CPQ.
- Standard services can be added to any New Business, Add-On, or Renewal quote alongside subscription product SKUs. (i.e. If you are selling a 12 month SaaS Ultimate deal, you can add a separate SKU on the same quote to sell instructor led training offering(s).)
- For Standard Services, a signed Order Form is sufficient to book the deal. (Note, some customers may also require issuance of a PO)
- More information on [Professional Services SKUs](https://about.gitlab.com/services/catalog)

##### Before submitting a Scoped/Custom Professional Services Opportunity for Closure

- For [standard professional services SKUs](/handbook/customer-success/professional-services-engineering/SKUs/), only a signed order form is required.

##### Creating a Professional Services Quote for Scoped/Custom Education or Services

**General Quoting Instructions**

- Scoped/Custom Education or Services are those that require consultation with the Professional Services team, and require a custom SOW to be drafted and signed by the customer. This includes any Professional Services or Education Services that are not fully prepaid, and any cases where a combination of standard SKU offerings and custom-scoped services are being sold together in a single opportunity.
- Scoped/Custom Services must always be quoted on a standalone opportunity, separately from any subscription products SKUs. (i.e.; You may NOT sell a 12 month SaaS Ultimate SKU on the same quote/ opportunity as Scoped/Custom Services).
- Create a New Business Opportunity and select "Professional Services Only" under "Opportunity Record Type."
- Create a new subscription quote under the Professional Services opportunity by following the steps above under "new Subscription Quote."
  - **If the SOW contains purely Professional Services**, select the "GitLab Service Package" SKU. Update the price to reflect the total price on the SOW. **DISREGARD DISCOUNT APPROVALS**.
  - **If the SOW contains purely Education Services**, select the matching training and/or certification SKUs. Update the price to reflect the total price on the SOW. If you cannot find a match, use the `Custom PS Education Services` SKU.
  - **If the SOW contains a mixture of Professional Services and Education Services**, two separate quotes should be created under the same opportunity.
    - Create one quote using the `GitLab Service Package` SKU and reflect the Time and Materials value from the SOW.
    - Create a second quote using the matching training/certification SKU(s).
    - The sum of the values from these two quotes should equal to the total price on the SOW. **Note: Once this second quote is added, it is likley to overwrite the "Professional Services Value" field against the opportunity. Please ensure that this field continues to reflect the sum of both quotes, in line with the overall SOW.**
  - To determine which portion of the SOW is for Professional Services vs. Education Services, note the following: Education and Services are split out on the SOW in separate sections. The Education portion would display standard SKU names such as "CI/CD Training" and "Admin Training" and will contain a total cost for the full Education portion. The Services portion would be custom, but would often denote "Time and Materials" or "PS Hours" and will contain a total cost for the full Services Portion.

**Note: You do not need to submit the quote for Custom services for approval.** Approvals will be handled by the Engagement Manager via the scoping issue, and any discounts in rate should be handled separately via Chatter, as per the [Approval Matrix](https://docs.google.com/document/d/1-CH-uH_zr0qaVaV1QbmVZ1rF669DsaUeq9w-q1QiKPE/edit#heading=h.dccvx02huo2y). The SAE/AE remains responsible for obtaining any approvals required. As well as discounts in price, this also includes increased payment terms. Once approved, the SOW will be sent to the customer for signature, not the quote/order form.

- To gain support from the Professional Services team with a Custom SOW, initiate a scoping issue using the [Services Calculator](https://services-calculator.gitlab.io/) and work with a Professional Services [Engagement Manager](/handbook/customer-success/professional-services-engineering/engagement-mgmt/).

##### Before submitting a Scoped/Custom Education or Professional Services Opportunity for Closure

- Ensure that a supporting Quote object has been created with the amount matching the SOW amount (as per above)
- Please note that the following items must be attached to the opportunity before it can be Closed Won:
  - SOW signed by **both the customer and GitLab's VP, Revenue Accounting**
  - Cost Estimate (COGS) spreadsheet (Link provided by the PS team)
  - A supporting Purchase Order (PO), or email from the Customer stating that a PO is not required for invoicing

### My Customer Bought the wrong Product

If a deal was booked with SaaS but the customer wanted Self Managed (vice versa), you will need to build an Add On Opp and Amendment quote to make the change to the subscription.

1. Navigate to the Closed Won opportunity. Click "Create New Add On Opportunity" button.
1. Once the Add On Opp has been created, follow the guide above to create an **Amendment Quote**.
1. On the Amendment quote, in the product section:
      - Remove the incorrect product line. There is an arrow with a drop down to remove the SKU on the left side of the screen, near the product name.
      - Add the correct product line (either Self Managed or SaaS). The quantity and price should be the exact same as the original order.
1. Save the quote. The subtotal on the quote should be $0.00. There may be tax implications due to switching from Self Managed to SaaS.
1. Generate a PDF of the order form. The customer **must sign the order form** to acknowledge the change to the subscription.
1. Attach the signed order form to the opportunity and submit the opp for approval.
1. No PO is required for $0 opportunities.

Once the deal has been closed won, the customer will be issued the correct product.

### **Non-Standard Quotes**

Occasionally an opportunity will require a unique structure that is outside of the normal quote format. Examples of these scenarios are listed below. Deal Desk will partner with the Account Owner to structure the opportunity and provide guidance on creating the quote. Please chatter @ Sales Support on the opportunity if you need assistance with one of these scenarios!

#### Contract Reset

Contract Resets are used to perform an "Early Renewal" - i.e. start a new 12 month subscription before the renewal date. They can also be used if a customer needs to change a billing date or would like to change the term length, mid term. Contract reset can only be requested via the same party that originally purchased the subscription.

- Open the related open Renewal opportunity and click the **"New Quote"** button.
- This button launches the first of two pages in the quoting experience: The Billing Accounts and Subscriptions page. You have two options to create a new subscription quote on this page:

  - If the customer has an existing Billing Account, and you intend to sell a new subscription using the same Sold To Contact listed under the Billing Account, select the applicable Billing Account and click "New Quote."
  - If the customer does not have an existing Billing Account, or if the Sold To Contacct you intend to use is not listed under one of the existing Billing Accounts, click "New Billing Account."

- On this second and final page of the quoting experience, populate Quote Detail Information.

  - Note: When you open the account level, "Subscription section" there is a list of all subscriptions the customer purchased and are active and you can determine the subscriptions and billing account by opening related subscription
- Fill out the necessary information on the quote per the instruction under the New Subscription Quote section above.
  - **Note: The Start Date should be the new subscription term's start date, or the "Early Renewal" date.**
- Click Next and update the products and fees per the steps above.
- **IMPORTANT:** Next, tag `@Sales-Support` in Chatter on the Renewal Opportunity to create a credit opportunity and quote to cancel the existing subscription, which in this scenario is being replaced with the new subscription. Deal Desk will then manually generate a Contract Reset Opp and Order Form to add the credit line into the order form once the quote has been fully approved.

For GitLab.com subscriptions, Deal Desk will follow the below steps to ensure the customer is not downgraded to free when their initial subscription is cancelled. These are outlined in more detail in [this presentation](https://docs.google.com/presentation/d/1fv_QMzPJ4Al5AaPBNd-IW5dCwuac56ShrzcpjUO_S60/edit?usp=sharing).

- From the Account, click on the relevant Subscription record for the existing subscription under "Subscription Products and Charges".
- Copy the `GitLab Namespace Id` and `GitLab Namespace Name` data into these same fields on the New subscription quote.
- Once ready, ensure the New subscription quote is submitted to Zuora _prior_ to the Cancellation quote.

If any issues with this process occur, the customer may [change the linked namespace](https://docs.gitlab.com/ee/subscriptions/gitlab_com/#change-the-linked-namespace) or contact support. For a demo see, [Linking GitLab Subscription to the Namespace](https://gitlab.com/gitlab-com/support/support-team-meta/-/issues/4770#note_1194437643)

- Deal Desk will attach a PDF of the consolidated quote to the opportunity
- Sales team will send the order form to the customer for signature
- Upload the signed order form to the renewal opp and to the credit opp as well and submit both opps for approval
On the main contract reset opportunity, Deal Desk will populate the "Opportunity Category" field with "Contract Reset." On the associated credit opportunity, Deal Desk will populate the "Opportunity Category" field with "Credit."

All Contract Reset opportunities will be classified as a "Renewal" and will be subject to ARR Basis, which will impact overall Net ARR depending on the scenario.

For more information on ARR calculation for Contract Resets, see [ARR in Practice](/handbook/sales/sales-term-glossary/arr-in-practice/#calculating-net-arr-for-contract-resets).

#### Concurrent Subscriptions

Concurrent Subscriptions are two unique subscriptions (instances) for Self Managed and SaaS issued for the purpose of supporting a large customer migration over an extended period. **This does not allow the customer to use Self Managed and SaaS on the same instance.**

SaaS Subscription with Privilege Access Token (P.A.T) cannot be extended via trial. If your client (almost) expired subscription with P.A.T need to be extended, a $0 order for 1 month new subscription is required. **Rep  will build new opportunity & new sub quote (Initial Term & Renewal Term = 1 month), then collaborate with Deal Desk tag `@Sales-Support` and [legal](/handbook/legal/customer-negotiations/#requesting-content) to finalize the Order Form.**

Approvals for this deal strucutre will follow the [standard approval matrix](https://docs.google.com/document/d/1-CH-uH_zr0qaVaV1QbmVZ1rF669DsaUeq9w-q1QiKPE/edit#heading=h.f8920bj8v6l9).

**Deal Structure Requirements**

- The Start Date and End Date must align on both subscriptions, if the Self Managed and SaaS instance are created / booked at the same time.
- If the customer is adding a migration mid term, the End Date of the added subscription must align with the existing subscription. (Ex. Self Managed 1 Year. The customer adds a SaaS instance mid way through the term to support migration efforts. The start date of the Self Managed Subscription is 01-01-2000 to 12-31-2000. The SaaS instance term dates should be 06-01-2000 to 12-31-2000.)
- SKU type is subject to our standard bookign requirements - SKU term must match the Initial Term, unless the deal includes Annual Payments.
- Custom Legal Langauge is required on all order forms dictating the terms and purpose of the migration.
- The Sold To and Bill To Contact for Self Managed and SaaS can be the same person. The subscriptions can be attached to the same billing account.
- Each subscription (Self Managed / SaaS) will be booked on separate opportunities / separate quotes within SFDC. A consolidated order form will be provided to the customer for convieninece.

Deal Desk will work closely with Sales, Legal, and Revenue to ensure all booking requirements are met. Please work directly with Deal Desk to structure this deal accurately. Please tag sales support early in the deal negotiation.

If the customer needs parallel access for 1 month only that can be managed through a trial license via Support Team.

#### Multi-Year Deals

In the case of multi-year deals, the Initial Term should be updated to reflect the number of months in the subscription term - 24, 36, 48, 60, etc.

- For **prepaid multi-year deals**, you must select the correct multi-year SKU (i.e. for a prepaid 2 year SaaS - Premium deal, select "SaaS - Premium - 2 Year"). Prepaid multi-year deals that do not utilize the correct multi-year SKU will be rejected.

- For **multi-year deals paid annually**, you must select the 1 Year SKU, and click on the Annual Payments checkbox to add the necessary payment language to the Order Form. Multi-year deals paid annually that do not utilize the correct 1 Year SKU will be rejected.

  - In case the customer is looking to add additional users on a multi-year deal paid annually the subtotal on the created quote object will not be calculated correctly as it will include future unpaid years. Tag Sales Support on the related opportunity and the order form will be updated accordingly by the Deal Desk team.

- Additional users can only be added on the same route to market a multi-year deal via add-on and amend subscription quote object.  To switch route to market, use an add-on opportunity with a new subscription quote object, co-termed with the existing subscription (there is no daily SKU, therefore the start date should be adjusted based on the end date; if the term is less than 12 months, use a monthly SKU).
- Mid-term product upgrade can only be processed via the same route to market.

For more information on ARR calculation for Multi-Year Deals, see [ARR in Practice](/handbook/sales/sales-term-glossary/arr-in-practice/#how-net-arr-is-calculated-for-standard-deals).

#### Ramp Deals

A Ramp Deal is a multi-year deal in which products can vary in price, quantity, or discount over set annual schedule or can remain flat for the entire duration of the subscription term.
Customer pays upfront or annually, for all users planned in the ramp schedule.

- In a ramp [add-on](/handbook/sales/field-operations/sales-operations/deal-desk/#amend-subscription-quote), customer adds users throughout the subscription with no set schedule and pays a pro-rata rate.
- Ramp deals are limited to multi-year deals, with 12 month ramp periods. See [ARR in Practice](/handbook/sales/sales-term-glossary/arr-in-practice/#calculating-net-arr-for-ramp-deals) for more information.

##### How to Create a Ramp Deal

Below are two sets of insructions: (1) How to amend an existing ramp deal, created before 2023-04-03; and (2) How to create a net new ramp deal via CPQ X: Quote Studio.

###### Additional Ramp Deal Enablement Materials

In addition to the step-by-step quoting guides that follow this paragraph, check out these additional quoting resources!

1. [Highspot Page](https://gitlab.highspot.com/items/63c04679ce74a0ae63ca5e49)
2. [RISE Course](https://rise.articulate.com/share/HzJgdaWzK1C_SwlMSCwQchgV9PbpRNvi#/)

###### What is a ramp deal?

Ramp Deals are multi-year deals in which products can incrementally vary in price, quantity, or discount over different ramp intervals (time-based periods). This provides customers with the flexibility to negotiate deals aligned to their growing business.

- Example: Multi-year ramp deal, increasing quantity

1. Year 1: SaaS - Premium - 1 Year | QTY: 100 | Effective Price: $228 per user per year
2. Year 2: SaaS - Premium - 1 Year | QTY: 150 | Effective Price: $228 per user per year
3. Year 3: SaaS - Premium - 1 Year | QTY: 200 | Effective Price: $228 per user per year

- Example: Multi-year ramp deal, increasing in price

1. Year 1: SaaS - Premium - 1 Year | QTY: 100 | Effective Price: $200 per user per year
2. Year 2: SaaS - Premium - 1 Year | QTY: 100 | Effective Price: $214 per user per year
3. Year 3: SaaS - Premium - 1 Year | QTY: 100 | Effective Price: $228 per user per year

- Example: Multi-year ramp deal, increasing in both price and quantity

1. Year 1: SaaS - Premium - 1 Year | QTY: 100 | Effective Price: $200 per user per year
2. Year 2: SaaS - Premium - 1 Year | QTY: 150 | Effective Price: $214 per user per year
3. Year 3: SaaS - Premium - 1 Year | QTY: 200 | Effective Price: $228 per user per year

###### About Ramp Deals in Zuora

**Previous State**: Prior to today, ramp deals were requested and created for GitLab customers, but they were unsupported by our systems. Each ramp deal required manual creation of multiple opportunities and quotes by Deal Desk, leading to delays in booking and complicated data tracking.

**Zuora CPQ**: Zuora Ramps provides out-of-the-box functionality that allows sales reps to easily configure a ramp deal themselves from within the UI. This saves time, clicks, and allows for greater utilization of ramp offerings.

###### Ramp Deal Policies

- Core Requirements
  - A Ramp Deal can be created on any New Business or Renewal Subscription - this includes direct purchases, or purchases via channel/alliance partner.
  - Amendments to ramp deals must be done as ramp deals, but you cannot turn a non-ramping subscription into a ramp deal via amendment - that can only be done upon renewal.
- Term Length Requirements
  - A ramp deal can only be created with **annual ramp intervals.** For example, you may sell a 3 year deal that ramps in quantity and/or pricing each year - i.e. Year 1 = 100 users, Year 2 = 150 users, Year 3 = 200 users.
  - You may not create ramp deals with shorter intervals - i.e. **we cannot create a 12 month deal for 100 users in the first 6 months, and 150 users for the next 6 months.**
- User Count Requirements
  - **User count may not decrease over the course of a ramp deal** - i.e. if you sell 100 users in ramp interval 1, you must sell at least 100 users in future ramp intervals.
  - **ARR may not decrease over the course of a ramp deal** - i.e. the interval subtotal may not decrease. If you increase the discount year over year, ensure that the second/third Interval Subtotal is not lower than the prior Interval Subtotal.

**Opportunities submitted for booking that do not meet these requirements will be rejected by the Order Management team.**

###### How to amend an existing ramp deal, created before 2023-03-01

To amend a ramp deal created before 2023-03-01, tag @Sales-Support in chatter on the opportunity. Deal Desk will create the quotes and Order Form. **Provide the following information for each ramp period:**

- Start date and term length
- Product, quantity, discount
- Bill To and Sold To Contact
- Invoice Owner and Invoice Owner Contact (If Partner Deal)
- Payment Terms (i.e. Net 30)
- Any other requests (i.e. Price Lock, true up language, etc.)

On the opportunity, Deal Desk will populate the "Opportunity Category" field with "Ramp."

###### How to create a Ramp Deal via CPQ X: Quote Studio

To create a ramp deal, follow the foundational steps shared in the relevant [New Subscription Quote](/handbook/sales/field-operations/sales-operations/deal-desk/#new-subscription-quote), [Amend Subscription Quote](/handbook/sales/field-operations/sales-operations/deal-desk/#amend-subscription-quote), or [Renew Subscription](/handbook/sales/field-operations/sales-operations/deal-desk/#renew-subscription-quote) quote sections above.

**Quote Detail Section**

- On the Quote Detail page, ensure that Initial Term (if New Business or Amend), or Renewal Term (if Renew) is populated with a multi-year term - i.e. to sell a 24 month New Business ramp deal, ensure Initial Term is populated with 24.
- **To create a ramp quote, click on the Ramp toggle button**
- After entering a multi-year Initial Term or Renewal Term figure and clicking the Ramp button, the Subscription section will display unique ramp intervals for each year of the subscription.
  - For example, if you are selling a 3 year ramp deal starting on 2023-04-01, you will see three intervals:
    - 2023-04-01 - 2024-03-31
    - 2024-04-01 - 2025-03-31
    - 2025-04-01 - 2026-03-31
- Add a Product SKU to the first ramp interval by searching for the Product SKU and pressing the + icon. Once you have added a Product SKU to the first ramp interval, it will automatically be added to subsequent ramp intervals.
  - **For ramp deals, always select the "1 Year" SKU**
- After adding the Product SKU to the first ramp interval, click on each ramp interval to adjust the quantity and/or pricing for each ramp interval.
- After successfully configuring the products in each ramp interval, **click through each ramp interval to ensure that it properly reflects the deal you intend to create.**
  - Keep in mind the policy requirements listed above. **Opportunities submitted for booking that do not meet these requirements will be rejected by the Order Management team.**

To finalize the quote, click "Preview Metrics" to review the total for each ramp interval, as well as the full quote subtotal. To save and load the saved quote, click "Submit." After clicking Submit, Quote Studio will redirect you to the saved Quote.

Items to Note:

- The Quote Subtotal will reflect the value of the entire multi-year deal.
- Ramp quotes should always use the "1 Year" Product SKU.
- Multi-year Ramp Deals are prepaid by default. For Annual Payments, select the "[Language] - Add Annual Payments" checkbox on the quote.

**To supplement these steps, review the [Highspot Page](https://gitlab.highspot.com/items/63c04679ce74a0ae63ca5e49) or the [RISE Course](https://rise.articulate.com/share/HzJgdaWzK1C_SwlMSCwQchgV9PbpRNvi#/) to see each step live for a New Subscription quote.**

For more information on ARR calculation for Ramp Deals, see [ARR in Practice](/handbook/sales/sales-term-glossary/arr-in-practice/#calculating-net-arr-for-ramp-deals).

### **Quotes - Miscellanous**

#### How to Process a Professional Services SOW Amendment (Change Order)

Occasionally, changes will be made to a Custom SOW after an opportunity has been booked. These changes could include delivery (invoice) schedules or types of services delivered. The total value of the opportunity **should not change.** If the total value of an opportunity is negatively impacted, this will require an internal refund and rebooking of the order. Should there be additional revenue generated as a result of this Change Order, a new Professional Services Only opportunity is required to account for the _delta value_.

#### Creating Decomission Opportunties

Deal Desk will create Decommission (Refund) Opportunities for both Sales Assisted and Web Direct Orders. All refund requests should be sent to AR Team at AR@gitlab.com. Once approved AR Team will tag Sales Support (Deal Desk) to create a refund opportunity. Deal Desk will then contact Billing Ops Team who will processed the refund in Zuora.

#### Adding "GitLab Admin" to a Salesforce Contact Record

You will receive an error when submitting an opportunity for approval if the "Sold To" contact on the quote is not a GitLab Admin. Follow the below steps to update the contact record to GitLab Admin so that you may submit your opportunity for approval.

1. Navigate to Contacts on the customer account record
2. Select the contact record you would like to make the GitLab Admin
3. Edit `Role` on the contact to select GitLab Admin
4. Save the contact record

#### Recall a Quote from Approvals

The quote record locks once it has been submitted for approval. If you have already submitted the quote for approval but find you need to make further changes, you can recall the quote from approvals, make the changes, and then resubmit. To recall a quote from approvals for further edits:

1. Scroll down to the Approval History section of the quote and click `Recall`
2. Make changes to the quote and save
3. Submit for Approval

#### How to Clone an Existing Quote

If you'd like to save time by cloning an existing quote, you can do so by doing the following:

1. On the Quote Detail page of the quote you want to clone, click "Clone Quote".
2. On the Quote Clone Configuration page, select the following options:
    - Clone Products: Select to clone the products associated with the quote. This option only applies to the New Subscription quotes. Ensure that the products associated with the quote are maintained in the current version of the product catalog.
    - Maintain Quote: Select to be directed to the first step in the quote object workflow that allows you to edit the newly cloned quote. The flows are configured based on the quote type, i.e., New Subscription, Amendment, and Renewal, in the quote object workflow.
3. Click Next.
    - If you selected the Maintain Quote option, you are redirected to the first step in the Quote Wizard of the newly cloned quote.
    - If you did not select the Maintain Quote option, you are redirected to the Quote Detail page of the newly cloned quote.
4. Please note that you cannot clone the products on an amendment (add-on or renewal quote.)

#### How to Extend a Quote Expiration Date

1. On the Quote Detail page of the quote you want to extend, click "Edit Quote Details".
2. On the "Edit Quote Details" page change the "Valid Until" field to the new expiration date
    - The quote should not be extended for more than 30 days past the day it's updated.
3. Click save on the bottom of the page and the new expiration date should be relfected on the quote PDF.

#### Quoting Different Product Tiers, Deployment Types, and Term Lengths on the Same Quote

Can we have different product tiers (premium and ultimate) on one quote?

- We cannot have different product tiers (premium and ultimate) on one quote. They will have to be on two quotes as separate instances."

Can we have different deployment types (SaaS and Self-Managed) on one quote?

- We cannot have different deployment types (SaaS and Self-Managed) on one quote. They will have to be on two quotes and separate instances."

Can we have different term lengths on one quote?

- We cannot have different term lengths on one quote. They will have to be on two quotes as separate instances."

#### How to Create a Draft Proposal

Follow the standard process for [quote creation](/handbook/sales/field-operations/sales-operations/deal-desk/#zuora-quote-configuration-guide---standard-quotes). The Quote Object **does not** need to be approved before generating a Draft proposal.

1. Click Edit Quote Details.
2. Select the DRAFT - New Proposal quote template. Save.
3. Click Generate PDF. A Draft Proposal PDF will be attached to the Notes & Attachments section of the opportunity.

**Important Notes**

- A Draft Proposal PDF is not an Order Form. All quotes must go through the applicable approval process before you can generate an Order Form. Draft Proposals are not guaranteed approval.
- A Draft Proposal PDF will not be accepted in place of an Order Form under any circumstance. To generate a legitimate order form, click on "Edit Quote Details" and you must update the Quote Template from Draft selection to the relevant order form template for the opportunity before it is submitted for approvals.

#### Payment Schedule

- Clone the original Closed-Won opportunity. Update the opportunity name to include "Amended SOW".
- Update the Original Closed-Won opportunity as duplicate, linking to the Amended SOW Opportunity.
- Build a quote identical to the original closed-won opportunity. Update the quote to primary.
- Attach the original SOW, the Amended SOW, and link to Cost Estimate to the Amendment Opportunity.
- Submit the Opportunity for Deal Desk/Billing Approval.
- The Opportunity Close Date for the Amended SOW should be manually updated to match the original Closed-Won opportunity.

In FY22, multi year deals for recurring subscription products, paid annually, will be captured on one opportunity.

**Opportunity Structure**

- Invoice Only Opp type should be New Business
- Each individual opportunity will require a quote object that is equal to the amount being invoiced
- All products, dates, and contacts should match the original opp / quote
- Build Invoice Only quote objects as a "New Subscription" quotes

**Invoice Amounts**

If all payments associated with the opportunity are equal (ex. 3 payments of $10,000) the quote on the original opporunity must reflect the entire opportunity term.

**Ex.**

3 Year Subscription worth $30,000, broken out into 3 equal annual payments of $10,000.

- Only 1 Opp and 1 Primary Opp Quote - 3 Year New Subscription Quote (using the 1 Year Product SKU). Term Length should be 36.

If the payment amounts or user count per year are not identical, (ex. Year 1 - $15,000 Year 2 - $10,000, Year 3 $5,000)- 3 opportunities should be created, each one with primary opp quote. The original opporunity quote should only reflect the first year (invoice period) of the subscription, the full opportunity term and amount (36 months and subtotal of 3 years). Second and Third Opportunity should have quote object created (12 months term each) but the amount will be updated to 0, only correct NetARR reflected.

**Ex.**

3 Year Subscription worth $30,000, broken out into 3 payments. Year 1 - $10,000, Year 2 - $7,000, Year 3 $13,000

- First year Opp Quote - 1 Year New Subscription Quote (using the 1 Year Product SKU). Term Length should be 12. The opportunity should reflect 36 months term and subtotal of 3 years.
- Second Year Opp Quote - 1 Year New Subscription Quote (using the 1 Year Product SKU). Term Length should be 12. The opportunity should reflect 12 months term and amount = 0. Only correct NetARR should be populated.
- Third Year Opp Quote - 1 Year New Subscription Quote (using the 1 Year Product SKU). Term Length should be 12. The opportunity should reflect 12 months term and amount = 0. Only correct NetARR should be populated.

**Ex.** Professional Services Deal -Opportunity amount $300,000. 4 Deliverables are outlined in the Custom SOW to the customer, each deliverable includes a different date for delivery. This requires 4 opportunities because the customer will be invoiced after completion of each deliverable.

- Opp 1 (Original Opportunity) - First Deliverable - $50k in services
- Opp 2 (Cloned from Original) - Second Deliverable -$50k in services
- Opp 3 (Cloned from Original) - Third Deliverable - $100k in services
- Opp 4 (Clone from Original) - Fourth Deliverable - $100k in services

To create opportunities requiring multiple invoices:

- Clone the original forecasted opportunity
- Update the opportunity name to include "Deliverable # and the Date of delivery. The close date should be the same for all opportunities (if SOW and Cost Estimate was received on 1/1/2020, all opportunities should show 1/1/2020 as the close date even if it will be invoiced in a future period).
- Create a quote reflecting the value of the Deliverable. Build out each quote using the same SKU and discount (if applicable). The start date should match the delivery date outlined in the SOW.
- The quote should follow the standard quote creation process (link to quote building process). Set the quote as primary. Repeat for all opportunities. The sum amount of all opportunities should equal the total amount for the SOW.
- Attach the signed SOW and Cost Estimate link to **each opportunity.**
- Submit the Opportunity for Deal Desk/Billing approval. The Billing team will flag each deliverable opportunity for future invoice periods.

Note: The "Payment Schedule" field on each opportunity should be populated with the value "Annual Payments" or "Custom Payment Schedule," whichever applies.

A.  **To add users to an existing license at a different price**, please add the users on a new, separate product line.

B. To add users to an existing license at the same price please note that no additional line needs to be added (to avoid multiple lines at renewal) and existing product line should be updated by increasing the quantity.

C.  **To create a true-up/add-on quote for a multi-year deal**, please add **both** the true-up and increase the license count by the same number of users. Note that the user number cannot decrease during the term of a multi-year deal - i.e. in the case of a three-year deal, if the customer exceeds the 100 license count by 25 users, (1) True-Up SKU with 25 users, and (2) increase the license quantity from 100 to 125.

D.  **If the customer signs a renewal quote, but a true-up is required before the renewal date**, create an add-on opportunity from the closed renewal opportunity, use the same start date as the renewal, and add the necessary true-up.

E.  If you have **multiple quote objects** under one opportunity, the quote you are using **must be marked Primary.**

F.  Please note that we should avoid processing contract reset if the customer is only looking to add additional users mid-term as this can be processed via add-on and amend subscription quote object.

G. Please note that backdated amendments for adding additional users can be processed before renewal but once renewal is processed any overusage can only be processed by charging the customer for true-ups.

### Alliance Marketplace Private Offers

Deal Desk manages AWS and GCP Private Offer creation and acceptance.

#### Process Overview

- **All Private Offer requests must be made in chatter by tagging @Sales-Support on the related SFDC opportunity.** All Private Offer requests must include the following information:
  - Customer's AWS or GCP Billing ID
  - Customer Contact name and email address
  - Alliance margin
  - For GCP deals Mode of payment(Prepay or Postpay) should be confirmed when making a private offer request
    - Note: This contact must have the necessary permissions to accept the Private Offer in the marketplace
- After a Private Offer request is made, Deal Desk will review the request and confirm the quote is tagged appropriately for AWS/GCP and confirm the Order Form acceptance section also includes AWS or GCP marketplace language.
- Deal Desk will then create the private offer and send the offer to the contact identified by the opp owner. Notification emails will be sent to the opp owner to track the offer status.
- At time of acceptance, an email will be sent to the GitLab Team and Deal Desk will chatter the documentation to close the deal.
- The AWS and GCP deals do not need to be signed.
- When the deal is Closed Won, the license key file/subscription details will be automatically sent to the 'Sold To' contact on the GitLab Order Form.
-For Route-to-market changes contract reset needs to be done. Credit will not be included in the order form and will be refunded at the time of booking based on the original mode of payment.
-All Private offers are sent via Tackle.
- Any queries related to tackle can be reached out at support@tackle.io
-For AWS Portal queries i.e trouble accepting private offers or setting up an account can be reached at mpcustdesk@amazon.com
- For GCP Portal queries can be reached at private-offers-team@google.com

#### Working with Deal Desk vs. Partner Territory Managers (PTMs) and Partner Account Managers (PAMs)

Please note that Deal Desk handles only Private Offer creation, edits to Private Offers, and the acceptance of Private Offers. For any other matters related to Alliances deals, **Sales must work with the appropriate PTM or PAM.** The Alliances team can provide assistance and best practices that are vital to a successful marketplace transaction.

To reach a PTM or PAM, use the #cloud-aws or #cloud-gcp Slack channels.

#### Alliance Deal/Private Offer Resources

Refer to [Cloud Co-selling](https://internal.gitlab.com/handbook/alliances/cloud-co-selling/) for additional information.

### Opportunity Categorization

The following fields are maintained by Deal Desk to distinguish standard vs. non-standard opportunities:

#### Opportunity Category

Opportunity Category Definitions are viewable [here](https://docs.google.com/document/d/1UaKPTQePAU1RxtGSVb-BujdKiPVoepevrRh8q5bvbBg/edit#heading=h.te2fab3byieu).

#### Opportunity to Decommission

- This is a lookup field, where the name of the original opportunity (now being decommissioned) is entered. This field is required by validation rule if Opportunity Category = Decommission. Upon saving, the linked opportunity will automatically be categorized as "Decommissioned" via process builder.

#### Payment Schedule

- Prepaid (Default Value)
- Annual Payments
- Custom Payment Schedule

#### Quote Entity Information

On Order Forms, GitLab entity information will be populated via the following rules. This table is based on the [ISO-2 billing country code](https://www.nationsonline.org/oneworld/country_code_list.htm) of the direct customer or reseller we are delivering invoices to:

**New Subscription and Renew Subscription Quotes**

| Customer's Billing Country | Partner's Billing Country | GitLab Quote Entity |
| ------ | ------ | ------ |
| NL | NL | BV (NL) |
| DE  | DE | GmbH (DE)|
| UK | UK | Ltd (UK) |
| All countries outside of NL, DE, UK, AU  |All countries outside of NL, DE, UK, AU | Inc. (US) |
| AU  | AU | PTY LTD (AU) |

**Note** For direct deals, Billing Country is based on the mailing address of the Bill To contact listed on the quote object. For partner deals, Billing Country is based on the mailing address of the Invoice Owner Contact listed on the quote object.

**Amend Subscription Quotes**

| Initial Transaction Method | Amendment Transaction Method | GitLab Quote Entity |
| ------ | ------ | ------ |
| Web Direct | Web Direct | Inc. (US) |
| Web Direct   | Sales-Assisted | Inc. (US) |
| Sales-Assisted | Sales-Assisted | Same quote entity as on base subscription`s billing account |
| Sales-Assisted  | Web Direct | Same quote entity as on base subscription`s billing account |

**Note**: All initial web direct subscriptions ordered through the web store are placed on the US entity. For sales-assisted add-ons to subscriptions initially purchased via web store, the amendment quote/Order Form must reflect the US entity.

**Custom Quote Entity Rules**

| SFDC Account Name | Name Of Billing Account(s) | Search Word For Exception Rule In Invoice Owner Field | GitLab Quote Entity |
| ------ | ------ |------ |------ |
| [Amazic EMEA (Parent)](https://gitlab.my.salesforce.com/0016100001ecGXx?srPos=0&srKp=001) | Amazic, Amazic BV, Amazic Germany GmbH, Amazic UK Ltd | "Amazic"| Inc. (US)|
| [Google Cloud (Parter)](https://gitlab.my.salesforce.com/0014M00001nJhks)  | Google Cloud Marketplace | "Google Cloud Marketplace" |Inc. (US) |
| [Amazon Web Services](https://gitlab.my.salesforce.com/0014M00001ldTdt?srPos=1&srKp=001) | Amazon Web Services, Inc. | "Amazon Web Services" |Inc. (US) |
| [Epidata SA](https://gitlab.my.salesforce.com/00161000015Lyf9?srPos=0&srKp=001) | Epidata SA | "Epidata SA" | BV (NL) |
| [Epidata LLC](https://gitlab.my.salesforce.com/a0u8X00004iUosZ) | Epidata LLC | "Epidata LLC" | Inc. (US) |
| [Epidata Columbia SAS](https://gitlab.my.salesforce.com/a0uPL0000001DGC) | Epidata Columbia SAS | "Epidata Columbia SAS" | Inc. (US) |

##### How to Update Account IDs in Zuora

Zuora Account information is linked to Salesforce Account Information via `Account IDs`. If this information is not updated, Zuora cannot sync existing billing or subscription information to new quotes.

1. Go to Zuora, under the Customers tab, search the account name, naviagate to the Account Overview page
1. Ensure that the CRM Account ID shows a hyperlinked account name with a green check mark.
1. If it shows a Yellow exclamation mark, go to the primary account that is left from the merge. Copy the last 15 characters in the account page URL and paste into the CRM Account ID field in Zuora. Click Save.

If Zuora successfully maps to the correct account, a green check box will appear.
