---
title: "PO Acceptance Criteria"
description: "Acceptance criteria for Customers and Partners who require POs to accept Invoice"
---

## PO Acceptance Policy

If a customer requires a Purchase Order to accept our invoice, the following information is required on the PO and match the signed order form before we can book the order.

**Direct Customers with signed order form:**

1. Currency (USD only) - No exceptions
1. Product Description matches Order Form
1. Subtotal matches Order Form
1. Payment Terms matches Order form OR is less than the Order Form
1. GitLab entity name and address matches Order Form (top right corner of Page 1)
1. Sold To contact name, email, and address
1. Bill To contact name, email and address

**Partners / MSA customers without signed order form:**

1. Currency (USD only) - No exceptions
1. Product Description matches Order Form
1. Subtotal matches Order Form
1. Payment Terms matches Order form OR is less than the Order Form
1. GitLab entity name and address matches Order Form (top right corner of Page 1)
1. Sold To contact name, email, and address
1. Bill To contact name, email and address
1. Quote number reference, must match related Order Form (**required**)
1. End customer name, email, and address (partner only)

**Exceptions:**

1. When the payment terms listed on the PO is less than the agreed terms on signed order form, we can accept and book per the PO terms.

1. When the Sold To contact name/email differs for direct customers it is often due to the procurement person being listed on PO v.s. actual end user, we book as is with a confirmation from the Customer on the correct Sold To contact / end user address.

1. For partner POs, when end customer name/email differ from order form, chatter confirmation from the rep on the correct end user is required to book.

1. A revised PO or order form is required when there is mismatched information between the two documents. PO exceptions outside of EOQ will be reviewed on a case by case basis. Approvals will be at the discretion of the Sales Operations team with acceptance language/reason validated in Finance Notes of the opportunity record.

1. If a customer is switching between SaaS & Self-Managed on the same product tier, that results in no change to the total contract value, no PO is required. A signed order form is required at minimum to book the order. If transacting through a partner, a 0.00 PO must be issued to complete the order.

### Exception Email Requirements

If a customer is listed as **PO Required** , they must issue a PO following the guidelines above OR they must provde the following email confirmation (attached to the opportunity):

"We will accept the invoice for [QUOTE NUMBER] without issuing a Purchase Order".
