---
title: "Sales Operations Owned Provisioning"
---

## Instructions

Below are instructions on how to provision new users within various Sales-owned systems and the process we follow.
[Sales Operations Access Request Board](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/boards/1959331)

### Sales Opeartions Access Request Labeling System

1. SalesOpsAR::Action Needed - Sales Ops action item is immediate or within current FQ.
1. SalesOpsAR::In Progress - Sales Ops action item is presently being worked on.
1. SalesOpsAR::On Hold - SalesOps AR that is blocked or not presently w/in scope of work.
   1. SalesOPS: Waiting on SFDC License - a reason an AR might be on hold.
1. SalesOpsAR::Completed - Sales Ops has completed their task on this issue although the issue may not be closed.

### Sales Operations Provisioning Workflow

### Baseline Templates | New Hires

1. The onboarding issue will auto create the AR on day 2
1. The templates will automatically:
   - Add the SalesOpsAR::Action Needed label
   - Leave the assignee blank
   - CC Amber and Meri as the Provisioning DRIs
1. The DRIs will receive an email when a new AR is created
1. All will be able to monitor the [Sales Ops Access Request Board](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/boards/1959331)proactively.
1. When the AR is picked up by the Sales Operations team member, the team member will:
    - assign the issue to themself
    - add the label SaelsOpsAR::In Progress
1. The Assignee should be responsible for working the AR to completion by completing all Sales Operations task items and working the label system accordingly.
1. If Assignee is out of office, the rest of the team is responsible for moving the AR forward in a timely fashion and can see ARs in flight by looking at the [Sales Ops Access Request Board](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/boards/1959331)proactively.

### Single Person or Bulk Access Request

1. The user will manually create a [single person or bulk AR](/handbook/it/end-user-services/onboarding-access-requests/access-requests/#singlebulk-access-requests-instructions)
1. In the instructions, they are directed to the Tech Stack doc with the following tasks:
   - Add the SalesOpsAR::Action Needed label
   - Leave the assignee blank
   - CC Amber and Meri as the Provisioning DRIs
1. The DRIs will receive an email when a new AR is created
1. All will be able to monitor the [Sales Ops Access Request Board](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/boards/1959331)proactively.
1. When the AR is picked up by the Sales Operations team member, the team member will:
    - assign the issue to themself
    - add the label SaelsOpsAR::In Progress
1. The Assignee should be responsible for working the AR to completion by completing all Sales Operations task items and working the label system accordingly.
1. If Assignee is out of office, the rest of the team is responsible for moving the AR forward in a timely fashion and can see ARs in flight by looking at the [Sales Ops Access Request Board](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/boards/1959331)proactively.

### Chorus

1. From the [Settings Page](https://chorus.ai/settings/personal-settings) in Chorus, click in **User Management** and then on the **Invite New User** button.
1. To invite users to Chorus, enter their emails in the designated field separated by commas and click the **Add To List** button.
1. Updated the Role, Team and License Type.  These will be based off of the users job role/region and should be listed and or approved in the Access Request. If questionable, look at other provisioned users of the same title/role.
1. Click the **Send Invites** button to invite the user to Chorus.

### DataFox

1. From the [Settings Page] (https://app.datafox.com/settings/general-information) in DataFox located in the top right under your name, click on **Team Management** located on the left.
1. From **Team Management**, click the **Invite Your Team** button, enter the email addresses of the users to be provisioined, click **Send Invitations**.
1. Most users will have a **Status of Member**, unless otherwise stated in the Access Request.
1. Most users will also have the permission to **Bulk Sync Accounts** unless otherwise noted in the Access Request

### Clari

### SalesForce
