---
title: "Channel Sales Manager Operating Rhythm"
description: "Successful management includes onboarding, reviewing joint partner business plans, aligning with regional sales leaders, coaching, career development and performance management"
---

## Overview

As a complement to the [Channel Sales Manager Operating Rhythm (MOR) 1-pager](https://docs.google.com/spreadsheets/d/1OAu6tTPu4BmI0PWcXbe6VOURCzIzOm59_yS-UPRcE8g/edit?usp=sharing), the below content provides more granular guidance into how each of these responsibilities is conducted. The content has been sourced from experienced GitLab Channel Sales Leaders and is meant to serve as a guide (not hard and fast mandates) to help you manage your business and optimize results.

## Planning and Execution

### Partner | Sales Alignment

Channel Sales leaders should meet with regional sales leaders at least twice per quarter to align on the regional partner plan. Regional plans help to ensure that the team is recruiting, maintaining, and growing the right set of Select partners to support the business based on the 4 Cs:

1. Commitment
1. Capability
1. Coverage
1. Competition

All GitLab Select partners should have an active joint business plan with GitLab and is reviewed and updated (as needed) on a quarterly basis. These joint business plans should include financial targets, new logo and growth targets, services goals, outbound marketing, training & enablement plans, and more. These plans are often referenced during weekly cadence calls.

### Partner | Account Mapping

There should be a regular cadence (monthly to start and evolving to quarterly over time) between regional Channel & Sales leaders to align partners with top customer accounts and to discuss and agree to partner engagement strategies to land and expand within those key accounts.

### Opportunity Reviews

Channel sales leaders should ensure that their Channel Account Managers are having regular weekly meetings with Area Sales Managers to help ensure the right partners are engaged with open opportunities. The Channel Sales team in EMEA also holds weekly office hours to answer questions from the regional sales team, work through how to handle edge cases, and more.

### Forecasting

The VP of WW Channel Sales hosts a weekly forecast call with regional Channel Sales Directors to review and discuss details from the Channel & Alliances Dashboard including but not limited to:

- Partner sourced vs. partner co-sell pipeline & forecasts
  - For growth as well as for First Order (new) business
  - For current quarter and future quarters
- Partner coverage for new opportunities

### Team Meetings and 1x1s

Regional Channel Sales leaders typically host weekly team calls and have weekly 1x1s with direct reports. In addition, the EMEA team conducts 15-minute standup meetings twice weekly to align on priorities, identify and address obstacles, and track progress against the week's goals.

## Talent Management

### Recruiting

Always be recruiting! As outlined in the [Winning Top Talent](/handbook/sales/field-manager-development/#winning-top-talent) portion of the GitLab Field Manager Development Program, the importance of effective recruiting to GitLab's continued growth and success cannot be understated. Channel Sales leaders should meet regularly with your Talent Acquisition Recruiter (exact cadence will vary based on hiring needs) and should also be comfortable and confident in selling the amazing opportunity here at GitLab.

**Key Resources**

- Success Profile
- Interview Guide
- Networking tools
- "Why GitLab" Summary

### Onboarding

Channel Sales leaders should work with new Channel Account Managers to develop and monitor progress against a documented 30/60/90 day plan, set clear performance expectations, and provide regular feedback during the onboarding process. New CAMs should be encouraged to complete their general GitLab onboarding issue, and Channel Sales leaders should ensure that they actively participate in and complete [Sales Quick Start](/handbook/sales/onboarding/).

### Performance Management

Individual performance assessments are conducted on a semi-annual basis within the GitLab Channel Sales team (mid-year review and end-of-year review).

### Developing and Retaining

Developing and retaining key talent is constantly top-of-mind for high-performing Channel Sales leaders. The best Channel Sales leaders provide regular [coaching](/handbook/leadership/coaching/), follow [Performance Management](/handbook/sales/field-manager-development/#performance-management-and-giving-feedback) best practices, and leverage GitLab's [Field Functional Competencies](/handbook/sales/training/field-functional-competencies/) to reinforce the critical skills and behaviors that will lead to desired outcomes/results.

### Team Assessment

Last but not least, Channel Sales leaders also assess their teams annually following the [Performance / Growth Matrix](/handbook/people-group/talent-assessment/#the-performancegrowth-matrix) (including the identification of at-risk as well as high-potential team members), proactively identify resource needs, and define their succession plan.

## Visibility

### GTM Planning

Channel Sales leaders actively participate in annual planning discussions and provide input to inform and align partners to organization changes and/or account and territory assignments in the region and to identify and secure the proper internal and partner resources to help execute against regional business objectives.

### Quarterly Business Reviews

Every three months, Channel Sales leaders provide an update on their business. These updates include but are not limited to:

- Previous quarter's results relative to targets
- Business outlook for the coming quarter
- Assessment of strategic initiatives and resources needed with accompanying business justification
- Select Partner retention
- 4 Cs for each Select Partner
    1. Commitment
    1. Capability
    1. Coverage
    1. Competition
