---
title: "MEDDPPICC"
description: "MEDDPPICC is a proven methodology used for strategic opportunity management and complex sales process orchestration for enterprise organizations"
---

## Overview

MEDDPPICC is a proven methodology used for strategic opportunity management and complex sales process orchestration for enterprise organizations and is an acronym for:

- [Metrics](/handbook/sales/meddppicc/#metrics)
- [Economic Buyer](/handbook/sales/meddppicc/#economic-buyer)
- [Decision Process](/handbook/sales/meddppicc/#decision-process)
- [Decision Criteria](/handbook/sales/meddppicc/#decision-criteria)
- [Partner](/handbook/sales/meddppicc/#partner)
- [Paper Process](/handbook/sales/meddppicc/#paper-process)
- [Identify Pain](/handbook/sales/meddppicc/#identify-pain)
- [Champion](/handbook/sales/meddppicc/#champion)
- [Competition](/handbook/sales/meddppicc/#competition)

Qualify your opportunities throughout the sales process (but especially during the "1-Discovery" and "2-Scoping" stages) leveraging the resources below to put yourself in the best position to earn the customer's business. MEDDPPICC is part of the Command Plan and is required for all new business opportunities above a certain threshold (see [Opportunity Management Requirements](/handbook/sales/forecasting/) for additional details).

### Resources

- [MEDDPPICC training slides](https://drive.google.com/open?id=1i3D64esfBitwn1ZXKB1-yjs52Z5hMsUggVClUKTcqjk)
- [MEDDPPICC template](https://docs.google.com/document/d/1WbHoSL4r7S553n90sAEVuSdBNImWfCk3vTJINw2ud8A/copy)
- [Opportunity Qualifier](https://docs.google.com/document/d/1Tz6bQKD4Ff2-XqpSXRQslD8yvrphwXaL6oEl74DAjeQ/copy)

## Metrics

**(M) Metrics: *the economic impact of the solution***

### Video

Check out the [Demystifying the Metrics Conversation](/handbook/sales/command-of-the-message/metrics/) Handbook page.

### Qualifying Questions

- What is the business case?
- Have you quantified the challenge(s) the customer is having and the impact to the organization?
- What quantifiable metrics/measurements have been identified?
  - Top-line metrics include quicker time to market, higher quality (improvements towards sales and revenue)
  - Bottom line metrics include reduction in operating costs
- How will you prove the business benefits of the solution?
- Has the customer bought into your Metrics?
- Are your Metrics aligned with the desired business outcomes?
- Is your Champion(s) leveraging your Metrics?
- Are your Metrics in the business justification or decision criteria (or both)?
- Has the Economic Buyer made reference calls based on your Metrics?

## Economic Buyer

**(E) Economic Buyer: *the individual within the customer's organization who is required for the final "yes"***

### Video

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/WkGFcUkK7TY" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

### Qualifying Questions

- Have you identified and met with the Economic Buyer(s) (EB) (the individual(s) who has the power to spend and/or has profit/loss responsibility for this solution)?
- How do you know they're actually the EB (versus someone higher in the organization)?
- How can you leverage your Champion to gain access?
- What does the Economic Buyer(s) care about most?
- How do you establish credibility with your EB(s)?
- How will you leverage your EB(s) during key decision events and milestones?

## Decision Process

**(D) Decision Process: *the process and timeline by which the customer will evaluate, select, and purchase a solution***

### Video

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/WQ5qCI-nuLA" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

### Qualifying Questions

- What will the decision-making process look like?
- What steps are included in the customer's decision process?
- What key stakeholders are involved in the Decision Process and what do we know about them?
- How will the decision ultimately be made (e.g. one person's influence, decision by committee)?
- How have you influenced the Decision Process in favor of GitLab?
- Have you documented all of the validation and approval activities/steps?
- Have you developed a reverse timeline and workback plan?
- Are you and the customer vested in the above workback plan?
- Have you reviewed and socialized the timeline with all interested parties?
- Who can change the process?

## Decision Criteria

**(D) Decision Criteria: *the formal solution requirements against which each participant in the decision process will evaluate (includes the technical and financial lens with which the customer views GitLab)***

### Video

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/2WIUNFXC6yw" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

### Qualifying Questions

- What is the customer's criteria for selection?
  - What is the Business Decision Criteria (BDC)?
  - What is the Technical Decision Criteria (TDC)?
- What are the highest priority Required Capabilities?
- How will these criteria be weighted during the decision process?
- Have all key customer stakeholders helped shape the above requirements?
- How have you influenced (or how are you actively influencing) the Decision Criteria in favor of GitLab?
- How does our technology align with their technical wish list?
- How does our subscription model align with how they usually buy software?
- What other criteria have they told us about?

## Partner

**(P) Partner: *the process of validating the partner landscape and opportunity implications***

### Video

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/4NvS4vMTGwE" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

### Qualifying Questions

- What cloud platform(s) is the customer using?
- Who is/are the customer's trusted fulfillment partner, system integrator, and/or trusted advisor?
- What alliance relationships/incentives can and should be leveraged to influence and accelerate the sales cycle?
- Is there a channel partner involved that might slow down/speed up the order process?
- Is there a partner involved (systems integrator or other) that is helping/influencing the technology decision?

## Paper Process

**(P) Paper Process: *the process by which the customer will document and execute the process of purchasing (including the MSA, order form, PO, etc.)***

### Video

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/GtXRLNFwdqM" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

### Qualifying Questions

- What does the purchasing (budget and funding release) process entail?
- What paperwork will be required to make the purchase happen?
- Do you know how each step gets approved? Are there any SLAs we need to be aware of along the way?
- Does the purchasing process include a board or committee review/approval?
- How has this process and timeline expectations for each step been documented and communicated?
- Is there a legal team involved in contract negotiations?
- Who is involved in this and how long does it take?
- What does a purchase of this size look like?
- Has a purchase of this size happened before?
- Do you know who the actual signer is? Is there more than one signatory?
- Do you know if the PO gets automatically generated once the business approves the order form or if the PO needs to also get approved by someone in purchasing/procurement?
- Is there enough time left in the quarter to complete this?

## Identify Pain

**(I) Identify Pain: *the problems created by the customer's current state (nobody buys until there is pain!)***

### Video

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/TIhPAiPhaBc" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

### Qualifying Questions

- What are the customer's primary objectives with this project or initiative?
- What are the biggest business and technical pains?
- Are those pains resulting in lost productivity, reduced revenues, increased costs, etc.?
- How severe is the pain?
- How long have they been dealing with this pain?
- Who has the pain and who is in charge of fixing it? What happens if they don't fix it (or don't fix it by or before a specific point in time)? (Commercial Account Executives are expected to identify this person by name and role within the Command Plan --> Identify Pain section prior to requesting a GitLab Demo delivered by a GitLab Solution Architect )
- How does your Champion and Economic Buyer prioritize this pain?
- Where have we solved this pain before?
- Does the customer perceive that the pain of change is less than the pain of doing nothing and sticking with the status quo?
- What is the customer's compelling event and how does that add to the pain they are experiencing?
- What information do we have to justify the recommended solution?

## Champion

**(C) Champion: *the person(s) with power and influence inside the customer's organization who are actively selling on your behalf and willing to give you inside information to help you win the deal***

### Video

Check out the below podcasts

- [Coaches vs. Champions](https://podcasts.apple.com/gb/podcast/24-coaches-vs-champions-w-john-kaplan/id991362894?i=1000487042596) (12.5 minutes)
- [How to Test Your Champion](https://podcasts.apple.com/us/podcast/10-how-to-test-your-champion-w-john-kaplan/id991362894?i=1000472867963) (11 minutes)

### Qualifying Questions

- Who is your Champion?
- Does this person know they are your Champion?
- How do you know if you're working with a champion vs. a coach?
- Is your Champion strong enough to help you connect the dots, give you access to people, and tell you if you're on track or not?
- How is your Champion(s) aligned within the organization?
- How have you tested them to ensure they are a true Champion?
- Who are your other potential Champions?

## Competition

**(C) Competition: *competitive strengths, weaknesses, and differentiators, including competitor's champions***

### Video

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/J3Ophqeftjk" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

### Qualifying Questions

- Who is our top competition in this opportunity?
- Who are your internal and external competitors?
- Where are we strong (Differentiators) and where are we weak relative to the competition as perceived by the customer (perception is reality!)?
- Have you discussed this with your client?
- Who are your competitors' Champions and what is their champion's role and level of influence?
- What is the competition's relative power and influence in the account?
- What is your plan to counter your competition's sales strategy?
