---
title: "Sales Quick Start"
description: "Sales and Customer Success Onboarding at GitLab is a blended learning experience focused on what new sales/ customer success team members need to know, do, and be able to articulate within their first 30 days or so on the job"
---

## The Goals of Sales Quick Start

Onboarding for Field Team Members at GitLab is a blended learning experience (virtual, self-paced learning path paired with an immersive, hands-on in-person workshop called Sales Quick Start) focused on what new field team members need to **KNOW**, **DO**, and **BE ABLE TO ARTICULATE** within their first 30 days or so on the job so they are "customer conversation ready" and they are comfortable, competent, and confident leading customer engagements before the end of their first several weeks on the job. There are some formal learning components with a heavy emphasis on social learning (learning from others) and learning by doing to help bridge the knowing-going gap.

For a detailed list of SQS Learning Objectives, please visit [this page](/handbook/sales/onboarding/sqs-learning-objectives/).

## GitLab Learner Journey

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vTyv_Feq5LDMF3owCfU8phMT5N-035PuNhcz-FXyLcXZMXcKIP0crSmJ4aWHnVZg1raxklCBFW820x-/embed?start=false&loop=false&delayms=3000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

## Key SQS Details

- [Target Roles](/handbook/sales/onboarding/target-roles/)
- [Learning Objectives](/handbook/sales/onboarding/sqs-learning-objectives/)
- [Sales Onboarding Process](/handbook/sales/onboarding/sales-learning-path/onboarding-process/)
- [SQS Workshop](/handbook/sales/onboarding/SQS-workshop/)
- [Graduating from Sales Quick Start](/handbook/sales/onboarding/graduating-SQS/)

## Current & Upcoming Sales Quick Start (SQS) Workshops

| DATES | GEO | LOCATION | ISSUE |
| ------ | ------ | ------ | ------ |
| December 9th, 2024 - January 17th, 2025  | AMER / EMEA | Virtual | [SQS 43 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/2898) |
| January 24th - February 21st, 2025  | AMER / EMEA | Virtual | [SQS 44 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/2946) |

## Past Sales Quick Start (SQS) Workshops

| DATES | GEO | LOCATION | ISSUE |
| ------ | ------ | ------ | ------ |
| October 14th - October 28th, 2024  | AMER / EMEA | Virtual | [SQS 42 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/2857) |
| August 22nd - September 13th, 2024  | AMER / EMEA | Virtual | [SQS 41 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/2795) |
| July 15th - 26th, 2024  | AMER / EMEA | Virtual | [SQS 40 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/2660) |
| June 7th - 24th, 2024  | AMER / EMEA | Virtual | [SQS 39 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/2425) |
| April 15th - 26th, 2024  | AMER / EMEA | Virtual | [SQS 38 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/2424) |
| February  26th - March 8th, 2024  | AMER / EMEA | Virtual | [SQS 37 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/2423) |
| January 8th - 23rd, 2024  | AMER / EMEA | Virtual | [SQS 36 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/2318) |
| October 9th - 20th, 2023  | AMER / EMEA | Virtual | [SQS 35 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/2236) |
| August 21st - September 1st, 2023  | AMER / EMEA | Virtual | [SQS 34 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/2056) |
| May 15th - 30th, 2023  | AMER / EMEA | Virtual | [SQS 33 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/1944) |
| March 13th - 27th, 2023  | AMER / EMEA | Virtual | [SQS 32 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/1889) |
| January 17th - 27th, 2023  | AMER / EMEA | Virtual | [SQS 31 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/1738) |
| Nov 29th - Dec 8th, 2022  | AMER / EMEA | Virtual | [SQS 30 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/1737) |
| October 11 - 20, 2022  | AMER / EMEA | Virtual | [SQS 29 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/1543) |
| September 12 - 23, 2022  | AMER / EMEA | Virtual  | [SQS 28 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/1542)  |
| August 10 - 19, 2022  | AMER / EMEA | Virtual | [SQS 27 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/1541) |
| July 13 - 22, 2022  | AMER / EMEA | Virtual | [SQS 26 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/1540) |
| June 15 - 23, 2022  | AMER / EMEA | Virtual | [SQS 25 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/1454) |
| May 11 - May 19, 2022  | AMER / EMEA | Virtual | [SQS 24 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/1379) |
| Apr 13 - Apr 21, 2022 | AMER / EMEA | Virtual | [SQS 23 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/1301) |
| Mar 9 - Mar 18, 2022 | AMER / EMEA | Virtual | [SQS 22 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/1259) |
| Feb 16 - Feb 25, 2022 | AMER / EMEA | Virtual | [SQS 21 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/1191) |
| Jan 12 - Jan 21 2022 | AMER / EMEA | Virtual | [SQS 20 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/1042) |
| Dec 1 - Dec 10, 2021 | AMER / EMEA | Virtual | [SQS 19 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/953) |
| Oct 4 - Oct 14, 2021 | AMER / EMEA | Virtual | [SQS 18 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/902) |
| Aug 30 - Sep 9, 2021 | AMER / EMEA | Virtual | [SQS 17 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/896) |
| Jul 6 - Jul 16, 2021 | AMER / EMEA | Virtual | [SQS 16 issue](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/827) |

## Role-Based Onboarding

To accelerate ramp time and to support the GitLab values of results, iteration and efficiency, we have optimized the field onboarding program to provide new team members with the core information and essential competencies paired with the day-to-day skills that they need to be successful in their individual role. Learning is combined with specialized on the job training and a more robust shadowing program to ensure that new team members can contextualize and apply what they are learning throughout the entire onboarding journey.

The onboarding program includes individual role-based learning journeys for AEs, SAs, CSMs, CSEs, RMs, SDRs, & BDRs. Each role-based learning journey is designed based on the unique needs of each segment and includes the following milestones:

- Month 1: Understand role and GitLab product (SQS & Pre-work)
- Month 2: Become customer-ready certified & meet customers
- Month 3: Close first deals
- Month 4 and Beyond: Continue to develop intermediate and advanced skills

### How To Get Started

**Check out the links below to find the specific onboarding handbook page for your role. On these pages you can find additional role based onboarding and shadow program information including learning objectives, manager expectations & graduation requirements.**

- Enterprise, Commercial & Ecosystem Sales - [Sales Onboarding (Shadow Program) Handbook](/handbook/sales/shadow-program/)
- Renewals Managers: [RM Onboarding Handbook](/handbook/customer-success/renewals-managers/rm-onboarding/)
- Customer Success: [CSM Onboarding Handbook](/handbook/customer-success/csm/csm-onboarding/)
- Customer Success: [CSE Onboarding Handbook](/handbook/customer-success/csm/segment/cse/cse-tm-onboarding/)
- Solutions Architects: [SA Onboarding Handbook](/handbook/solutions-architects/sa-onboarding/)
- Sales and Business Development - [SDR & BDR Onboarding (Tanuki Tech) Handbook](/handbook/marketing/sales-development/tanuki-tech/)

**Click on a link below to begin your role based e-learning journey.**

- Enterprise, Commercial & Ecosystem Sales - [Sales (AE) Onboarding Journey](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/learning-path/enterprise-sales-onboarding-journey)
- Renewals Manager: [Renewals Manager (RM) Onboarding Journey](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://university.gitlab.com/learn/learning-path/renewals-manager-onboarding-journey)
- Solutions Architect - [Solutions Architect (SA) Onboarding Journey](https://university.gitlab.com/learn/learning-path/solutions-architect-sa-onboarding-journey)
- Customer Success Management: [(CSM) Onboarding Journey](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/learning-path/technical-account-manager-tam-onboarding)
- Customer Success Management: [(CSE) Onboarding Journey](https://levelup.gitlab.com/access/saml/login/internal-team-members?returnTo=https://levelup.gitlab.com/learn/learning-path/scale-customer-success-engineer-cse-onboarding)
- Sales Development - [Inbound (SDR)](https://university.gitlab.com/pages/sales-development?labels=%5B%22Sales%20Development%22%5D&values=%5B%22Inbound%20(SDR)%22%5D) or [Outbound (BDR)](https://university.gitlab.com/pages/sales-development?labels=%5B%22Sales%20Development%22%5D&values=%5B%22Outbound%20(BDR)%22%5D)
- All Other Roles - [Sales Quick Start](https://levelup.gitlab.com/learn/course/sales-quick-start)

### Role Based Journeys Coming Soon

- Ecosystem Sales

### Onboarding Program Health Measurement

The Kirkpatrick model is a popular framework used to evaluate the effectiveness of training programs. Below is a summary of the four levels of evaluation used to measure the success of the sales onboarding program at GitLab using the Kirkpatrick model.

**Level 1: Reaction** - At this level, we gather feedback from new team members on their reactions to the sales onboarding program.

For the level 1 reaction, we measure the quality of the program by asking learners for feedback on various aspects of the training. The feedback is collected via a post-workshop survey, which includes the following questions:

1. Presentations were clear and organized
2. Instructors stimulated student interest
3. Instructors were available and helpful
4. Learning objectives were clear
5. Course content was organized and well planned
6. Course workload was appropriate
7. Course organized to allow all students to participate fully
8. On a scale of 1-5, how likely are you to recommend Sales Quick Start to future new hire sales professionals at GitLab?

The survey respondents are asked to rate each of these metrics on a scale of 1 to 5, with the following options:

1. Strongly disagree
2. Disagree
3. Neutral
4. Agree
5. Strongly agree

New team members are also asked to give qualitative written feedback about their onboarding experience via the following questions:

1. What aspects of this course were most useful or valuable?
2. How would you improve this course?
3. Do you have any additional feedback you would like to share (good, bad, or otherwise)?

By collecting feedback on these metrics, we can assess how well the training program met the learners' expectations and identify areas for improvement. The results of the level 1 reaction evaluation can be used to improve the overall quality of the training program and ensure that learners have a positive experience.

**Level 2: Learning** - This level evaluates how much new team members learned during the sales onboarding program. This is measured via the successful completion of Sales Quick Start e-learning courses which include: 9 e-learning courses with 7 quizzes (Total of 60 multiple choice questions), 4 free response questions, 3 coffee chats with peers, and 2 surveys (pre & post workshop).

For level 2 of the Kirkpatrick Evaluation Model, we also measure the effectiveness of the onboarding program by assessing the learners' knowledge and skills before and after the training. This is done via the post-workshop survey which includes the following questions:

1. Level of effort you put into the course
2. Level of skill/knowledge at the start of the course
3. Level of skill/knowledge at the end of the course
4. Contribution of the course to your skill/knowledge

New team members are asked to answer each question on a scale of 1 to 5, with the following choices:

1. Poor
2. Fair
3. Satisfactory
4. Very Good
5. Excellent

By collecting feedback on these questions, we can assess how much the learners' knowledge and skills have improved as a result of the training program.

**Level 3: Behavior** - At this level, we assess how the new team members are applying the knowledge and skills they learned during onboarding. During Sales Quick Start, this is done via completion of a mock call for customer facing team members using the Command of the Message value selling methodology taught during sales onboarding.

For level 3 of the Kirkpatrick Evaluation Model, we also measure the improvement in learners' confidence levels before and after the training program. To do this, we administer a pre-workshop and post-workshop survey that both include the following questions:

1. On a scale of 1-5, how confident are you now in your ability to lead a discovery call with a prospect (for GitLab)?
2. On a scale of 1-5, how confident are you now in your ability to clearly articulate the GitLab elevator pitch?
3. On a scale of 1-5, how confident are you now in navigating issues and merge requests, etc. on GitLab.com?
4. On a scale of 1-5, how confident are you now in being able to find information you need to do your job in the GitLab Sales Handbook?
5. On a scale of 1-5, how confident are you now in being able to clearly articulate the differences in GitLab's pricing tiers?

Learners are asked to rate their confidence level for each question on a scale of 1 to 5, with 1 being the lowest level of confidence and 5 being the highest level of confidence.

By comparing the learners' pre-training and post-training confidence levels, we can measure the impact of the training program on their confidence levels. This information is used to determine the effectiveness of the training program and identify areas for improvement.

**Level 4: Results** - Finally, we evaluate the overall long term business impact of the sales onboarding program on the company's sales performance. This includes tracking key performance indicators such as time to ramp and sales cycle length for each market segment.

By using the Kirkpatrick model to evaluate the sales onboarding program at each of these four levels, we gain a holistic view of the program's effectiveness and make data-driven decisions to improve it.

### Sales Quick Start Onboarding Workshop & e-learning Feedback

Your feedback on the onboarding process and content is important to us and we welcome your thoughts and ideas about how we can improve in the future.

Please share your feedback by opening an issue using the following [SQS Feedback issue template.](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/new)
