---
title: "Graduating from Sales Onboarding"
---

## Graduating from Sales Onboarding

In order to officially "graduate" from Sales Onboarding at GitLab and be awarded the [Sales Quick Start - Core Curriculum badge](https://gitlab.badgr.com/public/badges/4zi-duhsTHG-jtWFYVgGRQ), we have identified a few components that are considered milestones of achievement (many of these must be done concurrently to ensure completion):

### Sales, Customer Success and SDR Roles

- Complete [Sales Quick Start learning path in LevelUp](https://levelup.gitlab.com/courses/sales-quick-start) prior to the SQS Workshop (at least 80% completion required before starting the SQS Workshop, though 100% is preferred). The Sales Quick Start pre-work is an 15 hour time commitment consisting of 20 action items.
  - 11 eLearning Courses
  - 11 Quizzes (Total of 75 multiple choice questions)
    - You must score 80% or better to pass each quiz.
  - 4 Free Response Questions
  - 3 Coffee Chats
  - 2 Surveys (Pre & Post Workshop)
- The [Sales Quick Start Workshop](/handbook/sales/onboarding/SQS-workshop/#sqs-remote-agenda) is a 19 hour time commitment consisting of 17 instructor led trainings including Command of the Message, our value based selling methodology, with 5 hands on group activities.
  - Customer Focus: Command of the Message - Value Selling Methodology - (6 hours)
  - Solution Focus: Intro to GitLab Product & Personas - (50 minutes)
  - Solution Focus: Intro to the Competition - (50 minutes)
  - Operational Excellence: MEDDPPICC - (1 hour 30 minutes)
  - Operational Excellence: Intro to GitLab's Partner Ecosystem - (50 minutes)
  - Operational Excellence: Intro to GitLab Legal - (30 minutes)
  - Operational Excellence: Intro to Deal Desk - (30 minutes)
  - Operational Excellence: Into to GitLab Field Security - (30 minutes)
  - Customer Focus: Customer Success Management Overview - (50 minutes)
  - Customer Focus: Intro to Professional Services - (50 minutes)
  - Customer Focus: Intro to Renewals Manager Organization - (30 minutes)
  - Customer Focus: Working with Sales Devlopment & Marketing - (50 minutes)
  - Customer Focus: Mock Calls - (2 hours)
- Complete 1 mock discovery call at the SQS Workshop with a PMM, Manager, or a more experienced SA or CSM.
  - Mock calls are scored using a point system, with 80 points required to pass. Points are awarded as 0 points, half points, or full points across 6 core skills outlined below using this [Google Form](https://forms.gle/BWVQBMRruf1TUb5S6) as the official rubric and system of record.
- Mock Call Grading Criteria

  - Uses open-ended (Discovery Questions and/or Trap-Setting Questions) **- 30 Points**
  - Effectively identifies customer challenges (Before Scenarios or Negative Consequences) **- 20 Points**
  - Draws out specific customer needs and goals (Positive Business Outcomes, Required Capabilities, or Metrics) **- 20 Points**
  - Delivers a value statement about the GitLab solution related to customer challenges and/or effectively respond to competitive objections. (How We Do It / Better) **- 10 Points**
  - Leverages Proof Points that are relevant to the Positive Business Outcomes **- 5 Points**
  - Uses the Mantra to confirm what they heard and gain agreement to move forward. **- 10 Points**

For now, the same requirements apply for all customer-facing roles. Upon completion of SQS, the final grade report will be provided to the managers for review.
