---
title: "Sales & Customer Success Quick Start Learning Path"
description: "Core curriculum for GitLab's Sales & Customer Success onboarding"
---

## Sales & Customer Success Learning Path - Core Curriculum

<details>
<summary markdown="span">1. Welcome to GitLab Sales!</summary>

### 1. Welcome to GitLab Sales

- **ACTIVITY: Let's Git To Know Each Other! (Assignment, 5 minutes, 1 Point - Pre Work)**
  - Please complete this brief [google form](https://docs.google.com/forms/d/e/1FAIpQLScXH3QSAcqUP4mRJsqUWbn7BUJS_SYJVjFg2oXqOoOwzBMzLA/viewform) to introduce yourself.
- **What is GitLab? (Material - Video, 31 Minutes)**
  - GitLab is a single application for the entire DevOps lifecycle. [Watch the video](https://youtu.be/-_CDU6NFw7U).
  - GitLab customers buy GitLab for 3 primary reasons: 1) Increase Operational Efficiencies, 2) Deliver Better Products Faster, and 3) Reduce Security and Compliance Risk. Check out the [GitLab Customer Deck](https://docs.google.com/presentation/d/1SHSmrEs0vE08iqse9ZhEfOQF1UWiAfpWodIE6_fFFLg/edit?usp=sharing) and [watch the video](https://www.youtube.com/watch?v=MqL6BMOySIQ).
- **Company Infomercial (Material - Video, 5 Minutes)**
  - Check out our [company infomercial](https://youtu.be/gzYTZhJlHoI)!
- **GitLab Culture (Material - Video, 3 Minutes)**
  - Every year, our entire remote workforce gets together in one location for the GitLab Summit. We use this time to bond, build community, and get a bit of work done. It's an essential part of the GitLab experience—watch the video to learn more about our culture, and what it's like to be on our globally distributed team.
  - [Watch the video](https://www.youtube.com/watch?v=Mkw1-Uc7V1k)
  - Read the [Handbook](/handbook/company/culture/gitlab-101/)
- **Everyone Can Contribute (Material - Video, 3 Minutes)**
  - Learn more about how we live out our Contribute value! [Watch the video](https://www.youtube.com/watch?v=V2Z1h_2gLNU).
- **Short Toes (Material - Handbook - 15 minutes)**
  - Learn about how we live the collaboration value at GitLab.
  - Read the [Handbook](/handbook/values/#short-toes)
- **Org Chart (Material - Handbook - 10 Minutes)**
  - You can see more information about team members and who reports to whom on the team page. Throughout the course you will be asked to schedule a few brief meetings with your peers. Keep in mind that it is always ok to put a meeting on someone's calendar, if they can't make it and decline it is not a problem. We hope you enjoy getting to know your super cool co-workers!
  - Check out the [org chart](https://comp-calculator.gitlab.net/org_chart) and the [Team Page](/handbook/company/team/)

</details>

<details>
<summary markdown="span">2. DevOps Technology Landscape</summary>

### 2. DevOps Technology Landscape

- **DevOps Technology Landscape**
  - Please click on the link below and go through the course modules.
  - [DevOps Technology Landscape](https://gitlabfieldenablement.s3.us-east-2.amazonaws.com/DevOps+Technology+Landscape+-+Storyline+output/story.html)
- **GitLab SDLC Quiz (Quiz - 9 Points - Pre Work)**
  - Take a look at the [handbook page on the SDLC](https://about.gitlab.com/stages-devops-lifecycle/) and take this short [quiz](https://forms.gle/Ed9JjNmKsXPhJ4Fr7)
- **Increase Operational Efficiencies (Material - Video - 5 Minutes)**
  - Compare the traditional DevOps Daisy Chain of disparate tools to an integrated solution for Complete DevOps. GitLab delivers a seamlessly integrated platform for developers and operators to collaborate in real-time and move ideas into production faster.
  - [YouTube - Traditional DevOps Daisy Chain](https://www.youtube.com/watch?v=YHznYB275Mg)
  - Manage Your Toolchain Before It manages You! white paper ([gated link](https://about.gitlab.com/resources/whitepaper-forrester-manage-your-toolchain/)) ([internal link](https://gitlab.com/gitlab-com/www-gitlab-com/-/blob/master/source/resources/downloads/201906-gitlab-forrester-toolchain.pdf))
  - [YouTube - You're Living Like This?](https://www.youtube.com/watch?v=w6X4Ha1oC6I)
- **QUIZ: Increase Operational Efficiencies (Assignment - 25 Minutes - 6 Points - Pre Work)**
  - GitLab is a single application for the entire DevOps lifecycle! Please read the "Manage Your Tool Chain Before it Manages You" white paper from Forrester (see link above) to answer the questions in the [Google Form Quiz.](https://forms.gle/namX7dcg1dbo5KQQ7)

</details>

<details>
<summary markdown="span">3. Our Customers</summary>

### 3. Our Customers

- **Our Customers**
  - Please click on the link below and go through the course modules.
  - [Our Customers](https://gitlabfieldenablement.s3.us-east-2.amazonaws.com/Our+Customers+-+Storyline+output/story.html)
- **QUIZ: Buyer Personas (Assignment - 5 Points - Pre Work)**
  - Please take a moment to complete this short [quiz](https://docs.google.com/forms/d/e/1FAIpQLSeIDnYn4kWcBZSeRJ98AjUZK7pfj0DqOsnVIcbZjE-atYFExg/viewform) based on information in the [handbook.](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/roles-personas/buyer-persona/)
- **QUESTION: Personas & Pain Points (Assignment - 1 Point - Pre Work)**
  - Please share your thoughts on the question below. This is a classroom discussion board, let's crowdsource some knowledge! Why is it important to understand different buyer personas as a salesperson?
- **Customer Success Stories & Proof Points (Material - Handbook - 10 Minutes)**
  - References are an age old tenet of sales pros! Your prospective clients will definitely be impressed by the positive business outcomes of our customers. Check out our [customer case studies](https://about.gitlab.com/customers/) and [proof points](/handbook/sales/command-of-the-message/proof-points/) on GitLab value.
- **Marketing Materials Repository (Material - GitLab.com - 10 Minutes)**
  - Check out the GitLab [marketing materials repository](https://docs.google.com/spreadsheets/d/1NK_0Lr0gA0kstkzHwtWx8m4n-UwOWWpK3Dbn4SjLu8I/edit?usp=sharing) to see all of our best and most relevant sales collateral. Please be careful to only view or download these files, and feel free to send copies to your clients to help them understand GitLab value. If you would like to share one of these assests on social media please be careful to only use the gated links to content.

</details>

<details>
<summary markdown="span">4. Our Portfolio</summary>

### 4. Our Portfolio

- **Our Portfolio**
  - Please click on the link below and go through the course modules.
  - Our Portfolio (no longer available)
- **QUESTION: Pitch Deck Video (Material - Video - 15 Minutes)**
  - Please write one thing you learned or found interesting from watching the GitLab Pitch Deck video.
- **GitLab Features & Functionality**
  - GitLab is a complete DevOps platform, delivered as a single application, fundamentally changing the way Development, Security, and Ops teams collaborate. GitLab helps teams accelerate software delivery from weeks to minutes, reduce development costs, and reduce the risk of application vulnerabilities while increasing developer productivity. Check out this [reference guide](https://about.gitlab.com/stages-devops-lifecycle/) to learn more about what is included in each of the different stages of GitLab.
- **Product Tiering Quiz (Assignment - 25 Minutes - 10 Points - Pre Work)**
  - Take a moment to complete this short knowledge check [quiz](https://docs.google.com/forms/d/e/1FAIpQLScahosIQoghrijLvRacseegt65O3SBycTIubvzJsaFn5wp2RQ/viewform)
- **GitLab Security Solutions (Material - Slides and Video - 30 minutes)**
  - Security is one of the biggest differentiators to Ultimate. In this course, you will learn detailed information about GitLab security capabilities with a click through demo.
  - Using [GitLab for Software Security Video](https://youtu.be/SP0VSH-NqJs)
  - [GitLab Secure Doc](https://docs.gitlab.com/ee/user/application_security/index.html)
  - [GitLab Security and Compliance Capabilities Deck](https://docs.google.com/presentation/d/1WHTyUDOMuSVK9uK7hhSIQ_JbeUbo7k5AW3D6WwBReOg/edit)
- **Selling Professional Services (Material - Video - 30 Minutes)**
  - Our [Professional Services](/handbook/customer-success/professional-services-engineering/selling/) team is made up of not only GitLab subject matter experts but seasoned DevOps professionals who have experience in deploying and maintaining both large-scale applications as well as creating and teaching best practices throughout the SDLC. Our experts help lead Concurrent DevOps Transformations, providing direct support to our customer's strategic business initiatives. GitLab's Professional Services team exists to enable your clients realize the full value of their GitLab installation. We can provide direct implementation support to ensure the GitLab installation is resilient and secure. We also offer migration services to facilitate the transition to GitLab by delivering a clean dataset to resume operations at once. Our education and specialized training provide training in best practices, such as CI/CD, version control, metrics, and more.
  - You can also watch the [Sales Enablement Session](/handbook/customer-success/professional-services-engineering/sales-enablement/) about how to sell services
- **GitLab Direction & Latest Releases**
  - Our vision is to replace disparate DevOps toolchains with a single application that is pre-configured to work by default across the entire DevOps lifecycle. We aim to make it faster and easier for groups of contributors to deliver value to their users, and we achieve this by enabling:
  - Faster cycle time, driving an improved time to innovation
  - Easier workflows, driving increased collaboration and productivity
  - Our solution plays well with others, works for teams of any size and composition and for any kind of project, and provides ongoing actionable feedback for continuous improvement. You can read more about the principles that guide our prioritization process in our product handbook.
  - Be sure to review the information from our latest release!
    - [GitLab Direction](https://about.gitlab.com/direction/#single-application)
    - [GitLab Releases](https://about.gitlab.com/releases/categories/releases/)
- **Product Maturity**
  - GitLab has a broad scope and vision, and we are constantly iterating on existing and new features. Some stages and features are more mature than others.
  - To convey the state of our feature set and be transparent, we have developed a [GitLab Product Maturity framework](https://about.gitlab.com/direction/#maturity) for categories, application types, and stages.
- **Additional Resources**
  - The below are resources you might want to review or bookmark for later.
    - [GitLab Terms & Conditions](https://about.gitlab.com/terms/)
    - [GitLab Marketing Materials Repository](https://gitlab.com/gitlab-com/www-gitlab-com/tree/master/source/resources/downloads): Check out the GitLab.com marketing materials repository to see all of our best and most relevant sales collateral. Please be careful to only view or download these files, and feel free to send downloaded copies to your clients to help them understand GitLab value.
    - [GitLab Pricing Model](/handbook/company/pricing/): Check out the chart to understand our pricing model. For additional context take a look at the handbook page on [pricing](https://about.gitlab.com/pricing/).

</details>

<details>
<summary markdown="span">5. Field Roles & Expectations</summary>

### 5. Field Roles & Expectations

- **Sales Roles (Material, - Handbook - 30 minutes)**
  - Review the sales roles based on the customer segment you will cover.
  - Read the [Handbook](/handbook/sales/)
  - Read the [Strategic Account Executive (Enterprise) Role Description](/job-families/sales/enterprise-account-executive/)
  - Read the [Account Executive (Mid-Market) Role Description](/job-families/sales/account-executive/)
  - Read the [Customer Advocate (SMB) Role Description](/job-families/sales/smb-customer-advocate/)
  - Read the [Sales Development Representative Role Description](/job-families/marketing/sales-development-representative/)
- **Solutions Architects (Material - Handbook - 15 minutes)**
  - GitLab's Solutions Architects (SAs) are trusted advisors to GitLab prospects and customers during the presales motion, demonstrating how the GitLab application and GitLab Professional Services address common and unique business requirements.
  - Read the [Solutions Architect Role Description](/job-families/sales/solutions-architect/)
  - Read about the [Proof of Value Deliverable](/handbook/solutions-architects/tools-and-resources/pov)
- **Customer Success Managers (Material, - Handbook - 15 minutes)**
  - GitLab's Customer Success Managers serve as trusted advisors to GitLab's customers. This section outlines to CSM role and their key deliverables: Health Checks, Sucess Plans, and Executive Business Reviews.
  - Read the [CSM Handbook](/handbook/customer-success/csm/#what-is-a-customer-success-manager-csm)
  - Read about [Customer Health Scores in the Handbook](/handbook/customer-success/csm/health-score-triage/)
  - Read about [Success Plans in the Handbook](/handbook/customer-success/csm/success-plans/)
  - Read about [Executive Business Reviews in the Handbook](/handbook/customer-success/csm/ebr/)
- **Professional Services Engineers (Material - Handbook - 10 minutes)**
   -Professional Services Engineers (PSEs) provide professional services on-site or remote deployment of GitLab technology and solutions as well as training. The PSE will act as the technical representative leading the direct interaction with the customer's personnel and project teams by rolling out best practices.
  - Read the [PSE Role job description](/job-families/sales/professional-services-engineer/)
  - Read the [Handbook](/handbook/customer-success/professional-services-engineering/)
- **Customer Success Handbook (Material - Handbook - 10 minutes)**
  - Skim and bookmark the [Handbook](/handbook/customer-success/)

</details>

<details>
<summary markdown="span">6. Sales Process</summary>

### 6. Sales Process

- **Command of the Message Intro Course (Assignment - 2 Hours - 10 Points - Pre Work)**
  - Please complete the Command of the Message learning path.
  - Time to complete is approximately 1.5 hours
- **MEDDPPICC Full E-Learning Course (Assignment - 2 Hours - 10 Points - Pre Work)**
  - Please review the [MEDDPPICC handbook page](/handbook/sales/meddppicc/). The full elearning is optional.
  - Time to complete is approximately 1.5 hours
- **GitLab Value Framework (Material - Sales Collateral - 35 Minutes)**
  - The GitLab [value framework](https://internal.gitlab.com/handbook/sales/command-of-the-message/#resources-core-content) (internal only) is one of the most useful tools available for salespeople. Take a look to understand our value drivers, how to uncover customer needs, and how to articulate value and differentiation. A [framework summary](https://internal.gitlab.com/handbook/sales/command-of-the-message/#resources-core-content) (internal only) is also avaliable for quick reference.
- **Seller Deficit Disorder (Material - Sales Collateral - 15 Minutes - Pre Work)**
  - Please read this [short document](https://drive.google.com/file/d/1heCPCI9bT1sc05Xj0hrp8BJrlzMc8VEc/view?usp=sharing) by Force Management to prepare for the Command of the Message training in Sales Quick Start.
- **Co-Selling with Partners (Course - 30 Minutes - Pre Work)**
- **Social Selling 101 ( Material - Video - 20 Minutes)**
  - Social selling is the art of using social networks to find, connect with, and nurture your customers and prospects. Watch the [video](https://www.youtube.com/watch?v=w-C4jts-zUw) and use this [guide](https://drive.google.com/open?id=1UCRF6PC6al8XxT8E_4rDKkQjkW6WGPA6gybWeuRIg7A&authuser=0) to learn how to make a profile that will resonate with your prospects.
- **QUESTION: Business Development (Assignment - 15 Minutes - 10 Points - Pre Work)**
  - Business development is hard... because not everyone gets marketing qualified leads or has a big referral network. Take a look at the [Sales Development](/handbook/marketing/sales-development/) handbook page to understand more about your XDR partners and their processes. Please share 1-2 insights on strategy or best practices from your experience. How do you consistently keep the pipeline full of leads? Let's crowdsource some best practices!
- **QUESTION: Account Development (Assignment - 15 Minutes - 10 Points - Pre Work)**
  - One of the most important parts of a salesperson's job is account development. Your clients bought from you once, and they are very likely to do it again! Please share 1-2 insights on strategy or best practices from your experience. How do you keep your clients buying more and sending referrals? Let's crowdsource some experience!

</details>

<details>
<summary markdown="span">7. Our Competition</summary>

### 7. Our Competition

- **The Industry In Which GitLab Competes (Material - Video - 11 Minutes)**
  - Sid Sijbrandij, CEO of GitLab, discusses the overall industry where GitLab competes.
  - [You Tube - The Industry GitLab Competes In](https://www.youtube.com/watch?v=qQ0CL3J08lI)
- **ACTIVITY: Review & Subscribe: Industry Insights (Assignment - 1 Point - Pre Work)**
  - Review and subscribe to the following blogs recommended by Sid to get the latest industry insights.
  - [https://news.ycombinator.com/](https://news.ycombinator.com/)
  - [https://thenewstack.io/](https://thenewstack.io/)
  - [https://martinfowler.com/](https://martinfowler.com/)
  - [https://about.gitlab.com/blog/](https://about.gitlab.com/blog/)
- **Competitor Overview (Material - Handbook - 30 Minutes)**
  - There are a lot of [DevOps tools](https://about.gitlab.com/competition/) out there. As a single application for the entire DevOps life cycle, GitLab can remove the pain of having to choose, integrate, learn, and maintain the multitude of tools necessary for a successful DevOps tool chain. However, GitLab does not claim to contain all the functionality of all the tools listed here. Click on a DevOps tool to compare it to GitLab. Last thing dont forget to log into [Crayon](https://app.crayon.co/intel/gitlab/battlecards/), our competitive intelligence platform to view all of our latest competitive advantages.
- **GitLab vs. GitHub (Material - Video - 3 Minutes)**
  - No... we are not the same company! This short YouTube video on [GitLab vs. GitHub](https://www.youtube.com/watch?v=s8DCpG1PeaU) covers some basic differences.
  - Check out the [GitLab vs. GitHub](https://about.gitlab.com/competition/github/)
- **Azure DevOps**
  - Check out the [GitLab vs. Azure DevOps](https://about.gitlab.com/competition/azure/)
- **ACTIVITY: Phone-A-Friend: Competitors (Assignment - 45 Minutes - 10 Points - Pre Work)**
  - Talk with 3 tenured GitLab sales professionals (individual contributors or people managers) and ask them for their tips and tricks on successfully beating the competition. Please take notes from your calls and briefly summarize one or two things you learned from each conversation in the [Google Form](https://docs.google.com/forms/d/e/1FAIpQLSdCwvGRS_-fV9J57KGYIjkXNEUHDigKoPXss-kf9r3Zjozo9w/viewform?usp=sf_link) to submit the assignment.
- **QUIZ: Competitors (Assignment - 5 Points - Pre Work)**
Please take a moment to answer the questions in this short [quiz.](https://docs.google.com/forms/d/e/1FAIpQLSc6-LgwwSBBnsXDn1spi68FCseBY8OjP0rur_DKqa9RmEwQIg/viewform) The information in this quiz is covered in the handbook pages on [Competitive Intelligence](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/competitive-intelligence/) and [DevOps Tools Landscape.](https://about.gitlab.com/competition/)

</details>

<details>
<summary markdown="span">8. Tools to Get Your Job Done</summary>

### 8. Tools to Get Your Job Done

- **Using GitLab: The Basics (Material - Handbook - 45 minutes)**
   -This module includes information to help you learn GitLab, and walks you through Projects, Issues, Merge Requests, Pipelines, Settings, User & Admin Area. It includes the Git Basics Training commonly delivered to customers by Professional Services and documentation to help you feel more comfortable with using GitLab.
   -[Learning GitLab with Git Basics](https://gitlab-training.gitlab.io/basics/deck/both.html#/1)
   -[GitLab Basics Guides](https://docs.gitlab.com/ee/tutorials/)
   -[Introduction to GitLab Workflow](https://about.gitlab.com/blog/2023/07/27/gitlab-flow-duo/)
   -[Description Templates](https://gitlab.com/help/user/project/description_templates)
- **GitLab Tech Stack Details (Material - Handbook - 10 Minutes)**
  - Take a look to understand all the [tools that GitLab uses](/handbook/business-technology/tech-stack/) to keep the business running smoothly.
- **ACTIVITY: You've Got Issues! (Assignment - 20 Minutes - 10 Points - Pre Work)**
  - Please find the [Sales Enablement Sandbox](https://gitlab.com/gitlab-com/sales-team/sales-enablement-sandbox) Project, and read the handbook page ["No Tissues with Issues"](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/getting-started/101/). Create an issue with a label, due date, weight, and assign it to yourself. Submit the link to your issue to complete this assignment. Also take a look at the [Markdown syntax guide](https://www.markdownguide.org/basic-syntax/) to learn more about how to code using Markdown. This will be very helpful as you create issues and merge requests.
- **ACTIVITY: Practice Searching Issues and Filtering Labels (Assignment - 10 minutes - 10 points)**
  - Practice [searching issues and filtering using labels](https://gitlab.com/gitlab-org/gitlab-foss/-/labels)
- **Update Your LinkedIn Profile! (Assignment - 30 Minutes - 10 Points - Pre Work)**
  - Check out the [slide deck](https://drive.google.com/open?id=1UCRF6PC6al8XxT8E_4rDKkQjkW6WGPA6gybWeuRIg7A&authuser=0) on creating a great profile that will look good to your prospects and clients!
- **Salesforce - Booking Orders (Material - Handbook - 10 Minutes)**
  - [Learn how to create](/handbook/sales/field-operations/order-processing/) Accounts, Contacts, Opportunities, and [Quotes](/handbook/sales/field-operations/sales-operations/deal-desk/#zuora-quote-configuration-guide---standard-quotes) in Salesforce.
- **Lead Scoring - Filtering Prospects in Salesforce (FOR SALES ONLY - Material - Level Up Video Course - 20 minutes)**
  - [Lead Scoring - How Does It Work?](https://university.gitlab.com/access/saml/login/internal-team-members?returnTo=https://university.gitlab.com/learn/course/lead-scoring-training) Learn the fundamentals of lead scoring and how to use lead score classifications
- **Reference Edge (Material - Video - 10 Minutes)**
  - Reference Edge Software will help reps to easily see what available references are the best fit for their current opportunity. Check out the [video](/handbook/sales/training/#functional-and-technical-skills--processes), and [Powerpoint](https://docs.google.com/presentation/d/18odHX0PTzifRJaeAr-yxa9jdg1_nw4RYDiBqAkYFAyM/edit?usp=sharing) on this new tool.

</details>

<details>
<summary markdown="span">9. Sales and Customer Success Support</summary>

### 9. Sales and Customer Success Support

- **The Product Teams (Material - Handbook - 60 minutes)**
   -Review the Product Stages Handbook page to see who you should reach out if you have questions or need assistance with a [particular product.](/handbook/product/categories/)
- **The GitLab Legal Team (Material - Handbook - 10 Minutes)**
  - Familiarize yourself with submitting Contract Requests for Legal/Contract assistance. [Presentation](https://docs.google.com/presentation/d/1lesWNvPAFd1B3RuCgKsqQlE85ZEwLuE01QpVAKPhQKw/edit#slide=id.g5d6196cc9d_2_0), [Video](https://www.youtube.com/watch?v=CIWdsqRX7E0&amp=&feature=youtu.be) and [Handbook Page](/handbook/sales/field-operations/order-processing/#process-for-agreement-terms-negotiations-when-applicable-and-contacting-legal)
  - You can reach out to the [Legal Team](/handbook/legal/) on the #legal Slack chat channel. The legal Slack chat channel is reserved for everyday legal questions. If you are making a request that requires some sort of deliverable, please do not use the legal Slack chat channel. Slack is reserved for immediate, informal communications. Also, please do not share confidential information on Slack that is not meant for the entire company to see, and do not use it to seek legal advice. You can email the legal team at legal@gitlab.com.
- **Support for GitLab Team Members (Material - Handbook - 10 Minutes)**
  - [GitLab Support](/handbook/support/internal-support/#what-does-the-support-team-do) provides technical support to our Self-managed and GitLab.com customers for the GitLab product. We are not internal IT Support, so we probably can't help you with your MacBook, 1Password or similar issues.
- **GitLab Alliances (Material - Handbook - 10 Minutes)**
  - Watch the [video](https://www.youtube.com/watch?v=Mi3dtKxypkA&feature=youtu.be), check out the [handbook](/handbook/alliances/) page, and [slides](https://docs.google.com/presentation/d/1iSW8-h6nVaqIdHm5jJZqRrHMB-GCiOe-9ODFo0oke4E/edit?usp=sharing) to understand how we parter with other companies to accelerate GitLab's trajectory by connecting the great work every team is doing with the outside world.
- **GitLab Terms & Conditions (Material - Handbook - 10 Minutes)**
  - The following [terms and conditions](https://about.gitlab.com/terms/) govern all use of the GitLab.com website, or any other website owned and operated by GitLab which incorporate these terms and conditions) (the "Website"), including all content, services and support packages provided on via the Website. The Website is offered subject to your acceptance without modification of all of the terms and conditions contained herein and all other operating rules, policies (including, without limitation, procedures that may be published from time to time on this Website by GitLab (collectively, the "Agreement").
- **Where to Find Sponsored Marketing Events (Material - Handbook - 10 Minutes)**
  - Take a look at the [marketing issue board](https://gitlab.com/groups/gitlab-com/marketing/-/boards/933457?&label_name[]=West) to see when and where we will be hosting marketing events.

</details>

<details>
<summary markdown="span">10. GitLab's Customer Support Team</summary>

### 10. GitLab's Customer Support Team

- **Review the GitLab Customer Support Documentation (Material - Handbook - 5 minutes)**
  - The GitLab Support Team provides technical support to GitLab.com and Self-Managed GitLab customers. The Support Team Handbook is the central repository that explains our work processes and the reasons behind them. To learn more, check out the [Handbook](/handbook/support/).
- **Review the following workflows in the GitLab Customer Support Documentation (Material - Handbook - 15 minutes)**
  - Read the [Working with GitLab Support](/handbook/support/internal-support/) page as it details how to get in touch with us for common requests requiring Support involvement.
    - The [Support Tickets & Customer Information](/handbook/support/internal-support/#support-tickets--customer-information) and the [Common Requests](/handbook/support/internal-support/#common-requests) sections have a list of workflows that you might frequently encounter.
    - Check out this [Slack workflow](/handbook/support/internal-support/#i-want-to-escalate-a-ticket) if you have to escalate a ticket for a customer to understand the expectations around it.
      - Read the [Trials and Prospect Support](/handbook/support/internal-support/#trials-and-prospect-support) workflow that should be followed for prospects looking to evaluate Support experience.
    - Make note of Support's [internal-requests](https://gitlab.com/gitlab-com/support/internal-requests) project - you will be filing issues under this for some of the workflows listed in the above page.
- **Review the Zendesk Workflow (Material - Handbook - 15 minutes)**
  - Zendesk is the tool the GitLab Support Team uses to work tickets for customers. Please familiarize yourself with the associated workflows.
  - Review the workflows in this section of the [Handbook](/handbook/support/workflows/#zendesk).
- **Sign up for Zendesk (Assignment - 5 Minutes - 10 Points - Pre Work)**
  - All GitLab staff can request a 'Light Agent' account so that you can see customer tickets in Zendesk and leave notes for the Support team.
    - To do so, follow the process outlined in the [handbook](/handbook/support/internal-support/#requesting-a-zendesk-light-agent-account). Once the account is created, you'll need to wait 24 hours for it to be assigned in Okta. Once Zendesk is assigned, you should be able to login to Zendesk at https://gitlab.zendesk.com/agent.

</details>

<details>
<summary markdown="span">In-Class Assignments</summary>

### In-Class Assignments

- **Essential Questions Exercise (Assignment - 30 Minutes - 10 Points - In-Class)**
  - Please work in small groups to answer the questions on the [attached document.](https://docs.google.com/document/d/1XvFKnDdueKeUhdk-x9vp9_ASS1rHIPmFhN63z0wlZcs/edit?usp=sharing)
- **Value Card Exercise - Group Activity (Assignment - 30 Minutes - 10 Points - In-Class)**
  - Please work in small groups to create a value card for your assigned differentiator with the [attached document.](https://docs.google.com/document/d/1XvFKnDdueKeUhdk-x9vp9_ASS1rHIPmFhN63z0wlZcs/edit?usp=sharing).
- **Discovery Questions Exercise (Assignment - 30 Minutes - 10 Points - In-Class)**
  - Please work in small groups to fill out the [attached document.](https://docs.google.com/document/d/1bKe4AGwg1gGhvUqovuQdm3b7y5bQb6EOvu5BxC4ZUSw/edit?usp=sharing) Think of a real opportunity that you or someone in your group is currently working and write some good discovery questions & expected responses.
- **Defensible Differentiator Exercise (Assignment - 30 Minutes - 10 Points - In-Class)**
  - Please work in small groups to fill out the [attached assignment](https://docs.google.com/document/d/1V2yMIaHvp_s1RzSlsAR2_AsExSloyLKbVuSlqVkbufg/edit?usp=sharing) on defensible differentiators.
- **Searching GitLab Like a Pro (Assignment - 10 Minutes - 10 Points - In-Class)**
  - At GitLab, we're prolific at documenting what we do in the handbook, the website, and in GitLab documentation. This may make it difficult to find specific pieces of content. Google already indexes all our public facing pages and there is a search modifier google offers that will help. Take a look at the handbook page on how to [set up your search engine like the pros!](/handbook/tools-and-tips/searching/)
- **Role Play Notes (Assignment - 10 Minutes - 10 Points - In-Class)**
  - Please submit your notes from one of the role plays that you observed using the [notes template](https://docs.google.com/document/d/1bzuO-ngACn4Z1S55Z7EtNOb2HYCZbcBZZRYIVpkeMtw/edit?usp=sharing). Dont forget to check out the [handbook page](/handbook/sales/#sales-note-taking) on how we take notes at GitLab.

</details>

<details>
<summary markdown="span">Course Evaluation & Feedback</summary>

### Course Evaluation & Feedback

- Every participant is asked to please let us know how we can do better by taking [this brief survey](https://docs.google.com/forms/d/e/1FAIpQLSch3PLSzmoPUCSyhHUVwUfFSSPwiVGl2lAhRIc_bCmqZ6us6g/viewform?usp=sf_link)

</details>

## Customer Success Quick Start - Role Based Curriculum

<details>
<summary markdown="span">Technical Deep Dive (SA, CSM, and PSE ONLY</summary>

### 12. Technical Deep Dive (SA, CSM, and PSE ONLY)

- **GitLab Ultimate Demo (Material - Video - 60 minutes)**
   -Review the [GitLab Ultimate Demo](https://chorus.ai/meeting/1837148?tab=summary&call=5E63AE4EDCAD4960A59BEBBEF4CEE1BF)
- **Auto DevOps (Material - GitLab Docs - 15 minutes)**
   -Auto DevOps provides pre-defined CI/CD configuration which allows you to automatically detect, build, test, deploy, and monitor your applications. Leveraging CI/CD best practices and tools, Auto DevOps aims to simplify the setup and execution of a mature & modern software development lifecycle.
   -Review the [GitLab Doc on Auto DevOps](https://docs.gitlab.com/ee/topics/autodevops/)
- **GitLab API (Material - GitLab Doc - 15 minutes)**
   -Automate GitLab via a simple and powerful API.
   -Review the [GitLab Doc on API](https://docs.gitlab.com/ee/api/)
- **GitLab for Agile (Material - 30 minutes)**
   -Agile development is iterative, incremental, and lean approaches to streamline and accelerate the delivery of projects. Ever wondered if GitLab supports Agile methodology? If you're considering using GitLab it might not be obvious how its features correspond with Agile artifacts, so we've broken it down for you in a blog and the GitLab Agile Planning page.
   -Review the [Agile Delivery page on the company website](https://about.gitlab.com/solutions/agile-delivery/)
   -Review the [Agile Blog](https://about.gitlab.com/blog/2018/03/05/gitlab-for-agile-software-development/)
- **GitLab Runners (Material - GitLab Docs, Slides, and Video - 60 minutes)**
   -GitLab Runner is the open source project that is used to run your jobs and send the results back to GitLab. It is used in conjunction with GitLab CI, the open-source continuous integration service included with GitLab that coordinates the jobs.  Below are slides, the video presentation, and additional information about GitLab Runners.
   -[GitLab Runner Doc](https://docs.gitlab.com/runner/)
   -[GitLab Runner Deep Dive Slides](https://docs.google.com/presentation/d/1OhQllwfVNSbWymjf5MCxgWG86FnxjvqLUjL-8sQgZTg/edit#slide=id.g2823c3f9ca_0_9)
   -[GitLab Runner Deep Dive Reording](https://drive.google.com/file/d/1QdgNLxepxiNwUwykhOX6DBmUMp067ooQ/view)
- **GitLab Reference Architectures and GitLab GEO (Material - 20 minutes)**
   -Review the GitLab Reference Architectures and Geo Replication Overview, then hear Brian Wald, Solution Architect Manager, break it all down.
   -[GitLab Reference Architectures](https://docs.gitlab.com/ee/administration/reference_architectures/)
   -[GitLab High Availability and Geo Options Video](https://youtu.be/fji7nvmOHNQ)
- **ACTIVITY: Let's Install GitLab! (Material - Handbook - 60 minutes)**
   -Choose one of the installation options mentioned in the link below. Once installed populate with some test data. Be sure to include: Populate with some test data: User account, Project, Issue.
   -Review the [About GitLab Installation Page](https://about.gitlab.com/install/)
- **ACTIVITY: Let's Install A GitLab Runner! (Material - Handbook - 60 minutes)**
   -Choose one of the installation options mentioned in the link below. Become familiar with the executors and different use-cases they solve.
   -Review the [About GitLab Runner Page](https://docs.gitlab.com/runner/install/)
- **Kubernetes 101 (Material - 13 hours)**
   -It is essential that you understand the Kubernetes (k8s) fundamentals. Based on your existing Kubernetes experience you should either take the first course "Kubernetes for the Absolute Beginner" (6 hours) or "Learn DevOps: the Complete Kubernetes Course" (13 hours).
- **Resources (Optional Material)
   -Bookmark these [AWS and CI references](https://docs.google.com/document/d/1bB7vlefsD_jwVgRxwaGuc8-AmR5sMyGSssS_alkNxuc/edit)
   -Bookmark these [Marketing Demos](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/demo/)

</details>

<details>
<summary markdown="span">Integrations (SA, CSM, and PSE Only)</summary>

### 13. Integrations (SA, CSM, and PSE Only)

- **Category Overview**
  - GitLab's vision is to be the best single application for every part of the DevOps toolchain. However, some customers use tools other than our built-in features–and we respect those decisions. The Integrations category was created specifically to better serve those customers. Currently, GitLab offers [30+ project services](https://docs.gitlab.com/ee/user/project/integrations/) that integrate with a variety of external systems. Integrations are a high priority for GitLab, and the Integrations category was established to develop and maintain these integrations with key 3rd party systems and services.
- **Jira**
  - GitLab Issues are a powerful tool for discussing ideas and planning and tracking work. However, many organizations have been using Jira for these purposes and have extensive data and business processes built into it. While you can always migrate content and process from Jira to GitLab Issues, you can also opt to continue using Jira and use it together with GitLab through our [integration.](https://docs.gitlab.com/ee/integration/jira/) For a video demonstration of integration with Jira, watch [GitLab workflow with Jira issues](https://youtu.be/fWvwkx5_00E)
- **Jenkins**
  - GitLab's [Jenkins integration](https://docs.gitlab.com/ee/integration/jenkins.html) allows you to trigger a Jenkins build when you push code to a repository, or when a merge request is created. Additionally, it shows the pipeline status on merge request widgets and on the project's home page. Videos are also available on [GitLab workflow with Jira issues and Jenkins pipelines](https://youtu.be/Jn-_fyra7xQ) and [Migrating from Jenkins to GitLab.](https://youtu.be/RlEVGOpYF5Y)
- **Github**
  - GitLab provides an integration for updating the pipeline statuses on GitHub. This is especially useful if using GitLab for CI/CD only. This project integration is separate from the [instance wide GitHub integration](https://docs.gitlab.com/ee/user/project/import/github.html#mirroring-and-pipeline-status-sharing) and is automatically configured on [GitHub import.](https://docs.gitlab.com/ee/integration/github.html)
- **GitLab as OAuth 2 Authentication Service Provider (Material - GitLab Docs - 60 minutes)**
   -OAuth provides to client applications a 'secure delegated access' to server resources on behalf of a resource owner. In fact, OAuth allows an authorization server to issue access tokens to third-party clients with the approval of the resource owner, or the end-user.
   -Review this page to learn how to use [GitLab as an OAuth authentication service provider](https://docs.gitlab.com/ee/integration/oauth_provider.html)

</details>

<details>
<summary markdown="span">SAs Only: Set Up Your Demo Environment</summary>

### 14. SAs Only: Set Up Your Demo Environment

- **ACTIVITY: Obtain Gold Level Access to Enable All Features on GitLab.com (Assignment - 15 minutes - 10 points)**
   -An [example request](https://gitlab.com/gitlab-com/support/internal-requests/issues/310)
- **ACTIVITY: Create a demo account on gitlabdemo.com (Assignment - 10 points)**
  - Log in with your GitLab credentials using Okta. After login, a GitLab group will be created automatically and accessible on the [Cloud Sandbox](https://gitlabsandbox.cloud). From there, this group can serve as a ground for future demo projects. For an oveview of our demo systems, please review the [Demo Systems Handbook page](/handbook/customer-success/demo-systems/). For an overview of the Cloud Sandbox, please review the [Sandbox Cloud Realm Handbook Page](/handbook/company/infrastructure-standards/realms/sandbox/).
- **ACTIVITY: Set Up Standby Demo Project (Assignment - 1 day - 10 points)**
  - At any point in the day, you may be called in to do a quick demo and its helpful to have a standby project in your back pocket with commonly requested workflows.
  - Pair up with a member of your team on creating a standby project. Bonus - Collaborate on storytelling ideas when creating the standby project.
  - Create a project in a familiar framework and language. Add the following capabilities to the project:
    - Containerize the application and push to the container registry
    - Enable GitLab Kubernetes integration and [connect to the demo cluster](/handbook/customer-success/demo-systems/tutorials/getting-started/configuring-group-cluster/)
    - Add unit tests to the project and include [unit test reports](https://docs.gitlab.com/ee/ci/testing/unit_test_reports.html)
    - Add [static analysis](https://docs.gitlab.com/ee/user/application_security/sast/) to identify vulnerabilities in the codebase
    - Add [dependency scanning](https://docs.gitlab.com/ee/user/application_security/dependency_scanning/) to identify vulnerabilities in the projects dependencies
    - Add [multiple approvals rules](https://docs.gitlab.com/ee/user/project/merge_requests/approvals/rules.html) and review gating mechanisms
    - Enable [protected branches](https://docs.gitlab.com/ee/user/project/repository/branches/protected.html)
    - Create an [issue board with a workflow](https://docs.gitlab.com/ee/user/project/issue_board.html)
- **ACTIVITY: Deliver Your Demo (Assignment - 60 minutes - 10 points)**
   -Deliver a short demo of your choice in the SA Bootcamp Demo Scenarios below. Access to Jenkins and Jira and the associated GitLab.com project are available in the [SA Vault within 1Password](https://docs.google.com/document/d/1tIaZUU5YYyQtvQwZ2EOpeCoIK2TGDHbVfJv7jbAI0kk/edit)
   -Be sure to invite your manager and onboarding buddy.
   -Upload the below recorded scenarios to the below [Google Drive folder](https://drive.google.com/drive/folders/1EIN5iZnTWVUvWOsdCNkINIWOBfPGe4Bz)
- **OPTIONAL: Sign up for a Sandbox Cloud Environment**
  - [Sandbox Cloud](/handbook/company/infrastructure-standards/realms/sandbox/) is an automated provisioning platform for AWS or GCP environments. These environments are helpful for demo/sandbox/testing purposes and is paid for by GitLab.

</details>

<details>
<summary markdown="span">CSMs Only: Certifications to Complete and Lifecycle Processes</summary>

### 15. CSMs Only: Certifications to Complete and Lifecycle Processes

#### Certifications

1. Success Plans
1. Executive Business Reviews

#### Customer Onboarding

- **Customer Onboarding (Material - Handbook and Video - 60 Minutes)**
  - Customer on-boarding is a 45 day time period. Customer Success Managers and Professional Services Engineers should work closely together throughout the on-boarding process, with support from Solutions Architects and Strategic Account Leaders/Account Managers where appropriate. The Customer Kickoff is a moment that matters in the customer's journey. Below are resources you should familiarize yourself with as you get ready to start interacting with customers.
  - [Customer Onboarding](/handbook/customer-success/csm/onboarding/)
  - [Using Gainsight within Customer Success](/handbook/customer-success/csm/gainsight/)
  - [Customer Onboarding Dashboard](https://gitlab--jbcxm.na129.visual.force.com/apex/GainsightNXT?sfdc.tabName=01r4M000000wqZv#home%2358502af5-e7c2-4cbd-8645-d612b74424ff)
- **ACTIVITY: Record a Customer Kickoff Call (Assignment - 60 minutes - 10 points)**
   -Using Zoom, record a short mock customer kickoff call. Be sure to invite your manager and your onboarding buddy.
   -The [Rubric for the call](https://docs.google.com/forms/d/e/1FAIpQLSeZgqf6cU0rR0wvoOneGGh0jNaC0PXCzN5TEf_IBbBn80VxfQ/viewform)

</details>

<details>
<summary markdown="span">PSEs Only: Statement of Work</summary>

### 16. PSEs Only: Statement of Work

- **The Statement of Work (SOW) Process (Material - Handbook - 20 minutes)**
  - Review the SOW Creation Process, and review the below reference deck for details on creating a Professional Services SOW.
  - [Workflow for the SOW](/handbook/customer-success/professional-services-engineering/selling/)
  - [SOW Creation Instructions](https://docs.google.com/presentation/d/1ro9wlLHsoOMC-iYJpxy_RTCD4PfjDFZEdbuMyDD6WOk/edit#slide=id.g2823c3f9ca_0_9)
- **ACTIVITY: Create a Mock SOW (Assignment - 60 minutes - 10 points)**
   -Create a mock SOW using the calculator below and the automatic SOW creator on that page. This is for 1000 users. The prospect wants an HA deployment on AWS, admin training for 20 people, CI/CD training for 60 people and a migration of their existing data from their existing SVN system (assume this costs $15K). Send the link of the Google doc you create to your manager when it's complete.
   -[GitLab Services Calculator](https://services-calculator.gitlab.io/) Please note the SOW may have errors in it as the calculator is still WIP
  - Many example SOW's can be found in the [Google Drive Folder](https://drive.google.com/drive/folders/1J1HqK6lh36UYLnyRcpe3u-Hpl5xSy0Vp)

</details>
