---
title: "Sales & Customer Success Onboarding Process"
---

## Sales Onboarding Process

1. The GitLab Candidate Experience team initiates a general GitLab onboarding issue for every new GitLab team member
    - See the [People Ops onboarding issue template](https://gitlab.com/gitlab-com/people-group/employment-templates/-/blob/main/.gitlab/issue_templates/onboarding.md)
1. In the "Day 2" section of the general GitLab onboarding issue, a role-based entitlement access request (AR) will be created automatically for new team members if a [pre-approved template](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/tree/master/.gitlab/issue_templates/role_baseline_access_request_tasks) exists. The new team member will be tagged in the AR automatically, and the AR will also be automatically added to the new team member epic together with their onboarding issue. Pre-approved role-based entitlement access request templates for field roles are available here:
    - [department_business_development](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/tree/master/.gitlab/issue_templates/role_baseline_access_request_tasks/department_business_development)
    - [department_channel](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/tree/master/.gitlab/issue_templates/role_baseline_access_request_tasks/department_channel)
    - [department_commercial_sales](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/tree/master/.gitlab/issue_templates/role_baseline_access_request_tasks/department_commercial_sales)
    - [department_customer_success](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/tree/master/.gitlab/issue_templates/role_baseline_access_request_tasks/department_customer_success)
    - [department_enterprise_sales](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/tree/master/.gitlab/issue_templates/role_baseline_access_request_tasks/department_enterprise_sales)
    - [department_field_operations](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/tree/master/.gitlab/issue_templates/role_baseline_access_request_tasks/department_field_operations)
1. In the "Sales Division" section of that issue, Field Enablement is tagged with the action to add the new sales team member to the Sales Quick Start learning path in EdCast. They will be added to the learning path within their first week of joining GitLab. This learning path is designed to accelerate the new sales team member's time to productivity by focusing on the key sales-specific elements they need to know and be able to do within their first several weeks at GitLab.
1. The new sales team member will receive an email prompting them to login to EdCast to begin working through the Sales Quick Start learning path.
    - When possible, Sales Enablement will also update the new team member's onboarding issue and/or add a comment to explicitly reference the link to their Sales Quick Start learning path.
    - In the "New Team Member" section, there is a specific action for the new hire to "Complete your Sales Quick Start learning path."
    - See what's included in the virtual, self-paced [Sales Quick Start learning path.](/handbook/sales/onboarding/sales-learning-path/)
    - Non-Sales team members can choose to add themselves to the [SQS Learning Path](https://gitlab.edcast.com/pathways/sales-quick-start) regardless of role if interested in understanding what new Sales Team Members are expected to complete prior to attending an SQS Workshop.
1. Field team members will matriculate into an appropriate role-based learner journey after successful completion of Sales Quick Start to support onboarded / ramping team member's continued learning journey to greater success.

## Role-based onboarding journeys

To accelerate ramp time and to support the GitLab values of results, iteration and efficiency, we have optimized the field onboarding program to provide new team members with the core information and essential competencies paired with the day-to-day skills that they need to be successful in their individual role. Learning is combined with specialized on the job training and a more robust shadowing program to ensure that new team members can contextualize and apply what they are learning throughout the entire onboarding journey.

The onboarding program includes individual role-based learning journeys for AEs, SAEs, SAs, CSMs, CAMs, ABDMs and ISRs. Each role-based learning journey is designed based on the unique needs of each segment and includes the following milestones:

- Month 1: Understand role and GitLab product (SQS & Pre-work)
- Month 2: Meet customers
- Month 3: Become customer-ready certified
- Month 4: Close first deals
- Month 5 and Beyond: Continue to develop intermediate and advanced skills

### Learning Journeys

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vRUZzM8uy4aE4huFZ0eC1x_qI31obWQYjHxTtaDkOcz1nm_8QHg1Dr3Jlzq_AvHRAyK8tlGnYdzOy9Q/embed?start=false&loop=true&delayms=3000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

GitLab's role-based learning journeys are based on milestones and enable us to deliver relevant information and training over the first several months at GitLab.

## The Customer-Ready Shadow Program

Shadowing the customer calls of your peers offers a hands-on way to learn how different GitLab roles represent GitLab. We often learn best when we have the opportunity to learn from our peers, practice, and get feedback in an interactive way. It's also a great way for current team members to make new hires feel welcome and a part of our sales culture at GitLab. [Learn more on the Customer-Ready Shadow Program page.](/handbook/sales/shadow-program/)
