---
title: "Sales Quick Start (SQS) Learning Objectives"
description: "GitLab sales onboarding learning obejctives"
---

## Learning Objectives

<details>
<summary markdown="span">Introduction to GitLab</summary>

- Define DevOps.
- Describe how GitLab fits into the DevOps lifecycle.
- Describe GitLab's 3 value drivers.
- Discover GitLab's culture as a fully-distributed team.
- Discover the GitLab culture of "Everyone can contribute."

</details>

<details>
<summary markdown="span">Describe the DevOps Landscape</summary>

- Define the Software Development Lifecycle.
- Describe how GitLab fits into the Software Development Lifecycle.
- Discover why cloud native app development requires a shift to a DevOps operating structure.
- Differentiate between a traditional DevOps toolchain and GitLab's visions for a Complete DevOps solution.
- Describe how to integrate and automate security in the DevOps Lifecycle.
- Describe GitLab's advantages as an integrated platform for developers and operators.

</details>

<details>
<summary markdown="span">Our Customers</summary>

- Discover how customers are segmented at GitLab.
- Describe the various buyer personas.
- Examine GitLab's success stories.
- Locate helpful GitLab information.
- Locate internal-facing GitLab content that helps advance the sale.

</details>

<details>
<summary markdown="span">Our Portfolio</summary>

- Observe how to deliver the GitLab Pitch Deck and practice making it yours.
- Explain how GitLab helps in each stage of the DevOps Lifecycle.
- Differentiate what's included in each product tier and be ready to ask questions during the live session.
- Identify what sets higher tiers apart from Free and practice advising clients on how they can create a more efficient and secure environment.
- Review GitLab pricing at different tiers.
- Describe what a use case is and identify GitLab's unique use cases.
- Identify the GitLab Security Capabilities, practice using them, and observe a click-through demo of them.
- Identify GitLab's Professional Services offerings and describe what their team can do to enable your clients to realize the full value of their GitLab installation.
- Discover GitLab's Roadmap and review our latest releases.
- Describe GitLab as an overall product, identify our differentiating features, and be able to tell prospects/clients where to find this information when they ask.

</details>

<details>
<summary markdown="span">Field Sales Roles & Expectations</summary>

- Discover the different sales roles at GitLab and identify what constitutes "meeting expectations" when it comes to your particular role.
- Discover how the SA role at GitLab relates with your role and the prospect/customer.
- Discover how the CSM role at GitLab relates with your role and the prospect/customer.
- Discover how the PSE role at GitLab relates with your role and the prospect/customer.
- Recognize where to find your CS resources at GitLab.

</details>

<details>
<summary markdown="span">Sales Process</summary>

- Practice the basics of CoM and MEDDPPICC and visualize how it fits into selling here at GitLab.
- Describe what CoM is and practice how to use discovery questions, value drivers, defensible differentiators, trap-setting questions, and the Mantra to advance the sale.
- Describe what MEDDPPICC is and how it will advance the sale.
- Describe our value drivers and practice how to uncover customer needs and how to articulate value and differentiation.
- Observe where sellers turn off buyers and how this fits into CoM.
- Discover the art of using social networks to find, connect with, and nurture your customers and prospects. Develop a profile that will resonate with your prospects.
- Recognize the role of the SDR in the sales process and experiment with ways to keep your pipeline filled.

</details>

<details>
<summary markdown="span">Sales Action & Role Plays</summary>

- Predict the customer side of the sales equation so you can be better prepared to have a productive, consultative conversation with them.
- Prepare for a sales conversation by using the GitLab value framework.
- Practice the flow of a sales call with your peers.

</details>

<details>
<summary markdown="span">Our Competition</summary>

- Examine the DevOps industry from our CEO's perspective.
- Describe our different features and explain how we stack up against our competitors. Recognize where to find the resources you'll need during the sales cycle.
- Identify the differences between GitLab and GitHub and practice articulating them with your peers/prospects/customers.
- Identify the differences between GitLab and Cloudbees/Jenkins and practice articulating them with your peers/prospects/customers.
- Observe from other sellers at GitLab how they would approach a sales conversation involving a competitor.

</details>

<details>
<summary markdown="span">Tools to Get Your Job Done</summary>

- Practice using GitLab - specifically, practice using Projects, Issues, MRs, Pipelines, Settings, User & Admin Areas.
- Discover all the tools you use on a daily basis and identify the tools your counterparts in related departments will be using as well.
- Practice creating an issue.
- Practice searching for an issue and filter to find the issue you're looking for.
- Modify your LinkedIn profile to encourage social selling.
- Discover how GitLab has set up its instance of SFDC and practice how you'll use it in your role.
- Determine how to gather current references (case studies) and discover how to contribute to the bank of case studies in the future.

</details>

<details>
<summary markdown="span">Sales & CS Support</summary>

- Identify which teams/team members are responsible for which products so you know which teams to contact with questions in the future.
- Observe how our GitLab Support team works with customers and with us internally to keep our product functioning seamlessly.
- Summarize how the Alliances team can help you advance a sale that involves our partners.
- Review the process of submitting contract requests for Legal/Contract assistance.
- Review the following terms and conditions which govern all use of the GitLab.com website, or any other website owned and operated by GitLab which incorporate these terms and conditions (the "Website"), including all content, services and support packages provided on via the Website.
- Review our various marketing events and how to sign up and participate.

</details>

<details>
<summary markdown="span">GitLab Customer Support Team</summary>

- Review the GitLab Support Team Handbook, which is the central repository for why and how we work the way we do.
- Sign up for Zendesk Light Agent.
- Visualize the process a customer might experience if they submit a support ticket to our support team. Review the different issues a customer might experience to understand some of their pain points.

</details>
