---
title: "Enterprise Sales"
description: "The Enterprise Sales department at GitLab focuses on delivering maximum value to strategic and large prospects and customers throughout their entire journey with GitLab."
---

## Overview

Welcome to the Enterprise Sales handbook page!

The Enterprise Sales department is part of [GitLab Sales](/handbook/sales/#welcome-to-the-sales-team-homepage) and includes both Large and Public Sector sales teams. The sales field in Enterprise is made up of [Major and Strategic Account Executives (MAEs and SAEs)](/job-families/sales/enterprise-account-executive/) who collaborate closely with their [deal team](/handbook/sales/#customer-success) (Inside Sales, Customer Success, Sales Development, Channel & Alliances and more) and work across functions to deliver maximum value to strategic and large prospects and customers throughout their entire journey with GitLab. When thinking about 'what good looks like' in this department, refer to your [job family](/job-families), the [field competencies](/handbook/sales/training/field-functional-competencies/), and our [GitLab values](/handbook/values/).

Besides this page, there are a few bookmarks you'll want to set that will be your main sources of truth during your everyday work. These are:

- **[The GitLab Sales handbook page](/handbook/sales/#welcome-to-the-sales-team-homepage):** This page serves as our home base. From here, you can find a wealth of resources that are relevant to the entire sales field. Whether you're looking for sales order processing info, or wondering how to get executive support, this is where you'll find what you need.
- **[Field Slack Channels](/handbook/sales/sales-google-groups/#field-slack-channels):** View and join these Slack channels based on your role and team to stay connected with your peers.
- **[GitLab Level Up Learning Platform](https://levelup.gitlab.com/learn/dashboard):** You'll receive access to GitLab Level Up during your first week of onboarding. This learning hub includes training and refresher courses on everything related to Sales at GitLab, including our sales methodology, tools, and sales skills.
- **[The Enterprise Sales Google drive](https://drive.google.com/drive/folders/14obWsdpYmaASD186cXyUIA19mk2Id_db?usp=sharing):** You'll use this folder and the [GitLab Sales drive](https://drive.google.com/drive/folders/0BzQII5CcGHkKSFFJWkx3R1lUdGM?resourcekey=0-A23lzowP5l3KyPLQtvxIgA&usp=sharing) to reference and store internal-only resources relevant to your work. You'll find everything from running notes docs for your accounts to planning toolkits and templates for proposals and presentations.
- **[Enterprise Sales Highspot landing page](https://gitlab.highspot.com/spots/6329c1e293fedc634e196730):** You'll receive access to Highspot in Okta during your first week of onboarding. It's where all sales content is stored - whether you're looking for competitive intelligence, solution selling guidance, templates to use in proposals, or the latest marketing assets.
- **[The Customer-Ready Shadow Program](/handbook/sales/shadow-program/):** Shadowing customer calls offers a hands-on way to learn how different GitLab roles represent GitLab. We often learn best when we have the opportunity to learn from our peers, practice, and get feedback in an interactive way. It's also a great way to make new hires feel welcome and a part of our sales culture at GitLab. All sellers in Enterprise Sales participate in the shadow program in some way - whether they shadow or host their peers.

## The Enterprise Seller playbook

[The Enterprise Seller playbook](https://docs.google.com/presentation/d/1S-8Jvr-NcMAEjqB5j0i53WZg4aEtTGTicCpWbZ9JaNk/edit#slide=id.g10c6ab6d93e_0_318) is how a typical, high-performing SAE runs their business on an annual, quarterly, monthly, and weekly basis. Use it as a guide to understand the basics of what key activities and collaboration points are required for things to run smoothly in your territory. This includes collaborating with your deal team. This playbook aligns directly to [the manager version used by Area Sales Managers in Enterprise Sales](/handbook/sales/manager-operating-rhythm/enterprise-sales/).

### Collaborating with your team

As the account lead, your role centers on successfully orchestrating all of the resources and support available to you and your prospect or customer to reach their defined outcome on a reasonable timeline. That means knowing who's who and how to collaborate with them.

[View the Enterprise Seller playbook](https://docs.google.com/presentation/d/1DSaVx25EmzGN9vbjsE1llXRl7hnNzHWYxOH8eBORIF4/edit#slide=id.g116c2ce1845_0_0) for guidance on what types of meetings to host with your deal team and extended team, as well as how their roles and responsibilities might intersect with yours.

#### At a glance: How to collaborate with extended deal team members

|Extended deal team members | How you collaborate |
|---------------------------|---------------------|
|[Channel Account Manager (CAM)](https://partners.gitlab.com/English/directory/):| Understand and map the partner landscape: opportunities and collaborations, suggest partners for onboarding and recruiting, incorporate System Integrators into your plan, view current partners in the [Partner Directory](https://partners.gitlab.com/English/directory/) |
|[Professional services](/handbook/customer-success/professional-services-engineering/working-with/):| Match the needs of your solution or customer to  training, education, and adoption or deployment support provided by this team. Or bring them in to help you pitch services to your prospects or customers.|
|[Field marketing](/handbook/marketing/field-marketing/#whats-currently-scheduled-in-my-region) and account-based marketing:| Include this team during strategic planning for your territory, accounts, and pipe generation. And when planning to run & host events or webinars, attend relevant third-party events. Learn what's scheduled: [GitLab event site](https://about.gitlab.com/events/) , [All marketing activities (internal)](https://docs.google.com/spreadsheets/d/1ni6gKeWhjtrNppMdYvPESsCRjDbfVdYjTNtUtcNBFGg/edit#gid=571560493). Nominate priority accounts for [Account-based marketing (ABM) support](/handbook/marketing/account-based-marketing/abm-campaign-approach/). Slack: #abmteam, #emea_marketing (EMEA), #fieldmarketing (Global)|
| Sales leaders and executives | You may need to [provide executive sponsorship of an account](/handbook/sales/field-operations/gtm-resources/#executive-sponsorship-program), [request an e-group member in a meeting](/handbook/eba/#customer-prospect-and-partner-meetings-with-an-e-group-member), or [request that Sid join a meeting](/handbook/eba/ceo-scheduling/#how-to-request-a-meeting-with-ceo) |
|[Sales operations and deal desk:](/handbook/sales/field-operations/sales-operations/deal-desk/) |For structuring and closing deals, you'll often work with Deal Desk, especially for non-standard quotes. #sales-support is also the go-to channel for any urgent questions around progressing a deal through our processes. |
| [GitLab Support](/handbook/support/): | The Support Team serves our customers at different levels depending on what they've purchased.|
|[Product team](/handbook/product/categories/): | For strategic deals, it often makes sense to bring in an expert from Product to speak to your customer about the benefits or maturity of features they care about the most. Often times, if something is not yet possible in GitLab, Product has a plan and roadmap for when it will be available. |
|[Strategic Field Organization](/handbook/solutions-architects/strategic-field-org/)| Or the strategic field team for large engagements that require a high degree of strategic planning - such as DevSecOps transformation, solution recommendations, and advisory for our customer's senior technical leadership in high-value, strategic deals ($400k+).|
| Compete:| You may also bring in the compete team to help with intelligence or positioning. Use the #competition channel on Slack to collaborate and view important resources in their bookmarks.  |
| [Customer Advocacy team](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/customer-advocacy/sales-support/):| You may want to construct a deal where the customer agrees to be reference or to logo usage, or perhaps you've delivered incredible value and they are ready to be a case study. |

## Sales planning

Every Strategic Account Executive in Enterprise Sales should have a **territory plan** for how they're approaching their patch.

- The first step is to [create a sales territory plan](https://internal.gitlab.com/handbook/sales/territory-planning/): a collaborative, workable plan for targeting the right customers and implementing goals for income and consistent sales growth over time. It's usually done annually and updated throughout the year.
- Your MVP territory plan will help you prioritize and rank your accounts. We use the **Account Rank** field in Salesforce to mark priority accounts.
- This is followed by creating [account plans](/handbook/sales/account-planning/) for those accounts. Every priority account identified in your territory plan should have an account plan complete and linked in the Gainsight overview in Salesforce.
- View the territory planning template and worksheet in [our internal handbook](https://internal.gitlab.com/handbook/sales/territory-planning/). And view the [account planning template here](https://gitlab.highspot.com/items/6369653ef05315a895837bf6?lfrm=isd.1).
- And view additional data sources and reports in the plan template (beneath the slides) as well as at the [bottom of this page](/handbook/sales/playbook/#quick-links-to-common-tools).
- If an account is moving to a new seller, use the [Account Handover issue template](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/1240) and associated process to give the new rep everything they need to best support their customer.

## Prospecting and keeping your pipeline healthy

*View important guidance on the [Sales Prospecting](/handbook/sales/prospecting/) handbook page. The expectation for Enterprise Sellers is that they have 3.5x pipe coverage.*

Generally, surprises - whether in the form of sudden, major deals or sudden, major losses - are a bad thing. We have to strive to create predictable results. At first, this seems like trying to predict the vast unknown. But if you have a strong strategy in place for your pipeline, you'll be able to see exactly how your year will turn out well before it happens. This means better, more reliable forecasts and less stress for you on whether you'll meet that target. When forecasting, use the **[Sales Forecasting handbook page](https://internal.gitlab.com/handbook/sales/sales-forecasting/)** and [Clari cheat sheet](https://docs.google.com/presentation/d/1ZvQzFrmmqsJPUIk_FxfTy5X0G59IIWDve0Rfmfw1Wec/edit#slide=id.g133719dda83_2_102) to help you.

**Validate, validate, validate.** Effective qualification is just the first step. As you invest in a prospect, it's important to continuously validate the opportunity throughout the sales cycle and make sure it can deliver results for you and that we are the effective solution for the prospect.

## Moving a deal through the pipeline

**Pipeline management** is key to predictable, scalable revenue attainment and can make the difference between simply hitting your number and overachieving. It helps you allocate your time correctly, increase deal velocity, and increase total deal volume, size, and revenue through accurate forecasting practices.

**The Sales Stages Criteria** defines activities and exit criteria for each stage and serves as a roadmap for moving a deal from discovery to closed won (or qualified out quickly).

- [View GitLab's Sales Stages, criteria, and resources in this Google spreadsheet](https://gitlab.highspot.com/items/623e24381f87632cd3327e93?lfrm=ssrp.0)

**How to use it:** As you move a deal through the pipeline, the Sales Stage criteria defines activities and exit criteria for each stage and serves as a roadmap to getting a deal from discovery to closed won (or qualified out quickly). Use it to help you validate your opportunity and forecast it correctly. This guidance gives definitions for each stage, tells you who might be involved on your team, what activities are typically done in each stage, and what is required before you can move it further in the pipeline.

**Additional resources for opportunity management:**
During each stage in the detailed spreadsheet, you'll also see major strategic resources that can help you be successful during each milestone of a deal - from prospecting to transitioning to a the post-sales team. For operational resources, head to the general sales page up top. For commonly used sales assets like marketing plays and pitch decks, head to the [marketing resources handbook page](https://gitlab.highspot.com/spots/615dd7e3911d70c4887812a7).

### Opportunity management

Opp management starts with [effective discovery](/handbook/sales/playbook/discovery/). At GitLab, that means [MEDDPPICC](/handbook/sales/command-of-the-message/command-plan/#meddppicc) and having a complete [Command Plan](/handbook/sales/command-of-the-message/command-plan/) for all $50k+ NARR opportunities.

**Use data to validate your opportunities.** If you're making big bets because you 'hope' a prospect will change their mind it's a sign that you need to go back to the validation process:

- What evidence do you have that this deal is 'real'?
- What data tells you it will happen this quarter or next?
- What is not being talked about is usually a sign something is not going as planned. For example, do you know their paper process inside and out? Do you know the potential people on their team that could derail the deal later?
- Meet with your team and get their help and feedback on validating what's in your pipeline and hold regular meeting cadences with them to walk through your top prospects.

**Keep your opps squeaky clean:** Pay attention to how long something has been sitting in a specific stage, and close it out when the time is right. For a tech company, the average strategic deal takes 6 months to a year to close. While it's normal for an opportunity to sit, holding it prevents another team (or other resources) from helping it progress.

Holding hurts our prospective customers because while they're sitting there, they aren't getting any real value from us (and likely to get more value from a competitor). It's for their benefit that we push deals along or move them to close.

## Sales enablement resources

If you're looking for templates, guides, customer 1-pagers, and other editable sales content, head to the [Enterprise Sales Highspot page](https://gitlab.highspot.com/spots/6329c1e293fedc634e196730). If you're looking for skills-based training, [LevelUp](https://levelup.gitlab.com/learn/dashboard?_gl=1*1ejz71x*_ga*MTEwMjkzNzM1MS4xNjI1NTI2MTE3*_ga_ENFH3X7M5Y*MTY3NDI1MjgyMS4zOS4xLjE2NzQyNTU4MjYuMC4wLjA.) is where you need to go.

**External training opportunities:** GitLab also has a robust [growth and development benefit](/handbook/total-rewards/benefits/general-and-entity-benefits/#growth-and-development-benefit) to help you supplement your learning. And if you want to stretch your technical muscle and hear customer feedback, you can sign up to join our audiences in our [CS webinars](/handbook/customer-success/csm/segment/scale/webinar-calendar/).

If you want to know more about what's available to help you be successful, reach out to your enablement lead in the #field-enablement Slack channel.

## Quick links to common tools

If you don't have access to the items below and believe you should, open an [Access Request](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/new?issuable_template=Individual_Bulk_Access_Request).

### **Executing your strategy**

- [GitLab Version Compare Tool](https://gitlab-com.gitlab.io/cs-tools/gitlab-cs-tools/what-is-new-since/?tab=features), also known as the 'What's new since?' tool, is a tool that allows you to populate a comparison all the additional features and functions from one version of GitLab to another (or the current release). Use it with your customers to understand what product they purchased previously, and what the value is now to support your proposals and pricing. Using this tool a quarter before the renewal or whenever you start contract discussions can be helpful in showing all the work we continue to build into the product.
- [Gainsight](/handbook/sales/gainsight/) is used for documenting account details, timelines, and objectives
- [ZenDesk](/handbook/support/workflows/zendesk_organizations_and_users_overview/) is our ticketing system. Access is usually provided during onboarding. Ask your manager if you need access to ZenDesk.
- [LucidChart](https://apis.google.com/additnow/l?applicationid=7081045131&__ls=ogb&__lu=https%3A%2F%2Flucid.app%2Fusers%2FgoogleLogin%3Fdomain%3Dgitlab.com) for creating diagrams and org charts for account plans.
- [Chorus](/handbook/sales/field-operations/sales-operations/go-to-market/chorus/) is used to view recordings of GitLab sales calls and demos.
- Use [GitLab's Design Toolkit](https://design.gitlab.com/brand/overview) to download our logos, access our illustration and icon libraries, and build out your documents and presentations for prospects and customers.
- [Product Usage Data & Health Scores in Gainsight](/handbook/customer-success/product-usage-data/using-product-usage-data-in-gainsight/#using-product-usage-data-in-gainsight) is used by your CSM and can provide you with insights into current customer usage data by use case by walking you through the relevant dashboard in Gainsight. All AEs have read access to Gainsight. Health scores can be found in Salesforce at the account level as well. When running a report on your accounts, pull in the Health Score field to understand what urgent actions you may need to take.
- [CustomersDot Admin](https://customers.gitlab.com/admin/) (see [overview video here](https://youtu.be/G9JuHXqV5LM)): most customers have an account that breaks down their purchases and provides some insight into SaaS usage. Also good for linking purchases to VersionDot usage data

### **Prospecting tools**

- Completing RFPs/RFxs (Requests for vendor information): Use the [RFP process here](/handbook/security/security-assurance/field-security/field-security-rfp/) combined with our [Trust Center page](https://trust.gitlab.com/)
- Learn what events we're attending or sponsoring via the [GitLab event site (external)](https://about.gitlab.com/events/) and the [marketing activities spreadsheet (internal)](https://docs.google.com/spreadsheets/d/1ni6gKeWhjtrNppMdYvPESsCRjDbfVdYjTNtUtcNBFGg/edit#gid=571560493). Or work with your local field marketer or manager to plan your own smaller-scale event.
- [LinkedIn Sales Navigator](https://www.linkedin.com/business/sales/blog/sales-navigator/what-is-linkedin-sales-navigator) is one of the main prospecting tools we use at GitLab. It features a powerful set of search capabilities, improved visibility into extended networks, and personalized algorithms to help you reach the right decision maker. All SAEs have access to LSN. And view additional videos and tutorials on the [handbook page](/handbook/sales/training/social-selling/).
- [Account-based marketing (ABM)](/handbook/marketing/account-based-marketing/) uses [DemandBase](/handbook/marketing/account-based-marketing/demandbase/) to develop account-based strategy campaigns, create focused account lists, and push out and measure advertising to targets. You can view this data with them or with your Sales Development Representative (SDR).
- [Salesforce Inbox](https://www.salesforce.com/sales/engagement-platform/) is a productivity tool to integrate Salesforce with emails. You may need to request access. View the
- [Outreach.io](https://university.outreach.io/prospecting-specialist-badge) is a tool used to automate emails in the form of sequences. Users can track open rates, click through rates, response rates for various templates and update sequences based on these metrics. Outreach.io also helps to track sales activities such as calls. All emails/calls/tasks that are made through Outreach.io are automatically logged in Salesforce with a corresponding disposition.
- [Conversica](/handbook/marketing/marketing-operations/conversica/) is a conversational AI tool that helps enterprise marketing, sales, customer success, and finance teams attract, acquire and grow customers at scale across the customer revenue lifecycle. The AI Assistant works by engaging the prospect in a human-like conversation over email in an effort to further qualify the prospect.
- [Thnks](https://www.thnks.com/) is a way to send small tokens of appreciation to customers, prospects, or contacts while only needing an email or phone. It's not provided by GitLab at this time, but you can talk to your manager about options for expensing. Remember to abide by [our policies](/handbook/legal/anti-corruption-policy/) around gifts for prospects or customers and check with #legal in Slack if you have questions.
- [The GitLab Swag store](https://shop.gitlab.com/) is another way to send thanks or share the GitLab spirit with busienss contacts or family. [View our policies on swag here.](/handbook/marketing/brand-and-product-marketing/brand/merchandise-handling/) Remember to abide by [our policies](/handbook/legal/anti-corruption-policy/) around gifts for prospects or customers and check with #legal in Slack if you have questions. You can also use the #swag channel in Slack to get urgent questions answered.

### **Understanding your business**

- View internal data resources in our [internal handbook for Territory Planning here](https://internal.gitlab.com/handbook/sales/territory-planning/#data-sources).
- Salesforce (View in Okta), including reports that contain [propensity model data](https://internal.gitlab.com/handbook/sales/propensity_models/).
- [Clari](/handbook/sales/forecasting/) is used to view and document forecasting and pipeline data.
- [Tableau](https://10az.online.tableau.com/#/site/gitlab/home) is a data visualization tool. Your manager can send you specific dashboards relevant to your team to view.
- [DemandBase](/handbook/marketing/account-based-marketing/demandbase/) is used by SDRs who can show you relevant data related to your target prospects. It has a wealth of intent and propensity to buy data that is married with account engagement indicators to create a holistic intent mapping for each account.
- [Datafox](/handbook/business-technology/tech-stack/#datafox) is used to view relevant account information.
- [LeanData](/handbook/marketing/marketing-operations/leandata/) is automatically pulled into Salesforce as data that you can use to better understand contacts and accounts. You don't need to request access.
-[GitLab Propensity Models](https://internal.gitlab.com/handbook/sales/propensity_models/) allow you to dive deep into data provided by our Data Science Team including Propensity to Buy, Propensity to Churn, and Propensity to Expand. You can also find these fields in Salesforce and use them to inform your strategy in your territory.

Looking for information on the Commercial Sales Organization? View the [Commercial Sales Playbook](/handbook/sales/commercial/) here.
