---
title: "Tim Poffenbarger's README"
---

<!-- This template will help you build out your very own GitLab README, a great tool for transparently letting others know what it's like to work with you, and how you prefer to be communicated with. Each section is optional. You can remove those you aren't comfortable filling out, and add sections that are germane to you. -->

## Tim Poffenbarger's README

**[Senior Manager, Solutions Architects - Commercial](/handbook/company/team/#poffey21)**

## Related pages

<!-- Add links to relevant pages that add context to who you are. Examples include blog posts, social media profiles, portfolios, reels, personal homepages, etc. -->

- [LinkedIn](https://www.linkedin.com/in/timpoffenbarger/)
- [GitLab](https://gitlab.com/poffey21)
- My Contributions: [GitLab Product Issues](https://gitlab.com/groups/gitlab-org/-/issues?scope=all&utf8=%E2%9C%93&state=opened&author_username=poffey21) | [GitLab Product Merge Requests](https://gitlab.com/groups/gitlab-org/-/merge_requests?scope=all&utf8=%E2%9C%93&state=opened&author_username=poffey21) | [GitLab Marketing Merge Requests](https://gitlab.com/groups/gitlab-com/-/merge_requests?scope=all&utf8=%E2%9C%93&state=opened&author_username=poffey21)

<!--
## About me

[**Consider embedding a video of you working or being interviewed, along with 5-10 bullet points outlining interesting tidbits about you and your interests. Focus these on non-work attributes. Also, add detail on what GitLab values and sub-values resonate most with you. This enables ice-breakers to occur ahead of meetings.**]
-->
## How you can help me

<!-- Add 5-10 bullet points on what others can do to make your life easier when working with you. Strive to include elements that are nonobvious, or that people would not typically think to ask or consult you about. This enables others to be more efficient in helping you in a way that feels like help. -->

In the Solutions Architect role, the more our team can get an opportunity to focus on communicating value and stay away from very deep technical and troubleshooting conversations, the more the team can help you achieve target sales. The team is happy to review and contribute to business plans so we remain in sync.

The team is happy to recommend and propose services for prospects and customers. For any custom statement of work, the team can begin scoping out the initial scope of work (SOW) and get approvals from the [Professional Services](/services/) team.

## My working style

<!-- Add 5-10 bullets on how you prefer to work, interact with others, and learn. You may optionally include intel from Strength Deployment Inventory, Myers—Briggs, etc. This is most effective when you are precise and specific about your norms, assumptions, and expectations. If you are unsure what would be helpful here, ask your colleagues for their input. You may learn something from listening to outside perspective! -->

**Response time for emails and meeting follow-ups**: I will always do my best to provide same-day responses to customer inquiries and follow-ups unless otherwise noted. I like to provide customers top-notch service, but interruptions can impact that target. I will use my out-of-office when traveling so customers can expect delayed responses during those times. Feel free to contact me if it's approaching the end of the day and you didn't see me address a customer request. Slack is the easiest way to find me most of the time.

**Calendar**: Schedule things as necessary right on my calendar during working hours — I'll do my best to keep my calendar up to date. However, if you see only one empty slot for a day or if it looks like the meeting would be back to back with something else, please check with me before confirming dates and times with the customer. If you want me at my best for you, I will need time to prepare and follow-up. If we schedule back to back, I've found I'm often late to arrive due to the last meeting, flustered as I context shift, lacking answers for known questions, unprepared with demo environments that were altered in the last call, etc.

**Synchronous Communication for Ongoing Efforts**: If I have an ongoing effort with individuals, they should feel encouraged to setup weekly strategy 25-minute calls with me and others involved. If more frequent synchronous communication is desirable or required, we should work together as a team to identify a viable cadence, required attendees, convenient time and agenda for those calls.

**Where Information is Stored**: You can assume that all information is kept in the `Customers & Prospects` folder in Google Drive under the appropriately designated letter. This folder will be linked in Salesforce. Email communication with customers will also be bcc'd to Salesforce. If you prefer to record notes and actions differently, please let me know what that collaborative method is.

**Continuous Learning**: Things at GitLab move really fast, and I need time to keep up. I'll block a few hours on my calendar coincident with releases to absorb the latest GitLab feature set, but new technologies and competitive products also appear regularly. Please expect that I will need to allocate additional time to learning about those on a regular basis to sufficiently support our customers.

## What I assume about others

<!-- Add 5-10 bullets on the assumptions you typically hold when working with others. Strive to be as open with these as possible, so others understand your perspective when engaging with you on projects. Remember, the honesty put forth in these answers enables others to be more understanding and empathetic. -->

I assume that if there is anything you are expecting from me to do, it is clearly stated and written down somewhere that we both can access. Unless it is at the genesis of a particular ask, it is best to ensure that you and I agree that this is my task before others are engaged in our conversation.

## What I want to earn

<!--Consider 3-5 bullets on your goals for earning things like trust and respect, or a broader understanding of new topics. This enables others to understand what motivates you. -->

- Your trust - specifically so that positive intent is assumed by default

## Communicating with me

<!-- Consider 5-10 bullets on your communication preferences. This includes traditional styles such as verbal, textual, and visual, but you are encouraged to be precise. You can mention things like routine, availability, your travel habits, etc. This helps others understand why you communicate in the manner than you do, and it enables them to tailor their communication in a way that resonates most with you.
-->

I will always do my best to provide same-day responses to customer inquiries and follow-ups unless otherwise noted. Here are the mediums I am most responsive (in order of responsiveness):

1. Slack
1. Email
1. GitLab Issues (ones in which I am mentioned via `@poffey21`)
1. Mentions in Google Docs/Sheets/etc.

Again, expect a same-day response and don't hesitate to try a different medium if my response time is poor.

## Strengths/Weaknesses

<!-- These may be covered in the above sections. If you prefer a section devoted to strengths and weaknesses, this will enable others to lean on your areas of published expertise and offer support in weak areas without passing judgment. -->

**Strengths**: I am technically proficient and can come up to speed on a technical topic quickly. I feel that I provide most value to customers that are engineering software. Although, I can speak to the needs of folks that are across all stages of the Software Development Life Cycle.

**Weaknesses**: I can get consumed with building out a technical solution and let other priorities slip. If you feel that I'm letting priorities slip that are important to you and the organization, do not hesitate to call me out.
