---
title: "Field-FYI Slack Channel"
description: "GitLab's official field announcements channel"
---

The #field-fyi channel is the official field announcements channel. This is a read-only channel with permission levels restricted to Field and Company Leadership as well as Field Operations. The purpose of this channel is to pull news and announcements out of #sales, where they can easily get buried, and consolidate them in a streamlined channel. Anyone is free to react to and comment on posts in this channel, and field team members are encouraged to star it to stay up-to-date. For general field channels, see #sales and #customer-success.

## Best Practices

1. Even though the read only channel will help cut down on noise, we still aim to post **no more than 3 updates in one day** to avoid saturating the team. (Some days we will have nothing to post, which is a plus!)
   1. If we've already hit the 3 post limit, please consider if your update can wait until the following business day before posting.
1. Feedback from the team already stresses that there is too much reading/block text. Slack should be a reprieve from this. We should aim to keep Slack updates as short and consumable as possible – 100 words or shorter as a best practice.
   1. Use numbered lists when possible to summarize key points.
   1. Link out to relevant documentation for any points that need additional context. Hit on the highlights in the update and let the documentation take it from there.
   1. Avoid having multiple link previews accompanying a post. Only keep the ones that are valuable to getting the point across. Delete all others. (Deleting all is okay, too.)
1. ALL #field-fyi messages should contain a header in the approved format. Please see [#field-FYI Post Headers](/handbook/sales/sales-google-groups/field-fyi-channel/#field-fyi-post-headers) section below for more details.
1. A peripheral goal of the field-fyi channel is to cut down on noise in other channels like #sales and #customer-success to make them more easily consumable. As a result, this channel should be the single source of Slack truth for important field announcements. Avoid cross posting to other channels when possible, as this will create more noise and defeat the purpose of the channel.

## #field-fyi Post Headers

Based on team member feedback, each #field-fyi post has a bolded header that helps team members quickly identify the audience, topic and level of urgency/type of action. The header follows this format: `[AUDIENCE] | [TOPIC] | [TYPE] | [URGENCY]`. You can find instructions on what to include in this header and how to format it in the [Field announcement request issue template](/handbook/sales/field-communications/#requesting-field-announcements) when requesting an announcement.

1. Audience
   - All Field (Sales, CS, Channel & Alliances, Ops)
   - All Sales (ENT & COMM)
   - ENT Sales
   - COMM Sales
   - Customer Success
   - Channel Team
   - Alliances Team
   - Field Operations
1. Topic
   - Operations
   - Enablement
   - Competitive Intelligence
   - Customer Reference
   - Product Marketing
   - Marketing
   - Product
   - Pricing & Packaging
1. Type
   - New mandatory enablement
   - New optional enablement
   - System Changes/System Updates
   - Bookings Update
   - New Resource
   - Survey
   - Process Change
   - Roadmap Update
   - Org Announcement
1. Urgency
   - 🚨 Action Required - urgent, action required with a due date
      - Example: Mandatory enablement launch
   - 🧠 Need to Know - urgent, update directly impacts audiences' workflows/processes
      - Example: Sales Ops process change
   - 📊 Feedback Requested - less urgent, action requested (with or without long-lead due date) but not required
      - Example: Survey from Product org
   - 👀 Review - less urgent, does not directly or materially impact audiences' workflows/processes
      - Example: New customer story or new competitive resource

## Q&A

**What are some examples of a post fit for #sales vs #field-fyi?**

1. Examples of #sales posts: General team questions, reminders about meetings, general chatter from team members, non time-sensitive updates/resources.
1. Examples of #field-fyi posts: Updates from CRO, noteworthy process changes, important and time-sensitive resources, (enablement, sales ops, marketing etc.) time-sensitive People Ops information.

**What is the difference between #field-fyi and #cro channels?**

1. The #cro channel is for announcements and communication specifically from/to the CRO about business-related topics. Examples include recognition, observations, CRO calls-to-action.
1. In some rare cases, process-related updates that come from the CRO will be posted to #field-fyi.
1. Alluding again to the format that we've taken with #company-fyi - the CEO still has their #ceo channel that they uses to communicate with the team/field questions, but organization-wide posts go on #company-fyi.

**Do I have to run my #field-fyi post by Field Communications?**

1. Yes! Field Comms' primary responsibility is to ensure that the Field team gets their information in the most effective and efficient way. They are here as a resource for you to help you get the largest reach possible out of your announcement by collaborating with you on the best timing and a milti-channel communication plan.

**If someone has an update fitting for #field-fyi but doesn't have posting permissions, how can they get their news shared?**

1. If it's a one-off request, please reach out to #field-enablement-team or create a brief issue summarizing your requested announcement using the [Field announcements request process](/handbook/sales/field-communications/#requesting-field-announcements).
1. If a team member needs the ability to share updates on a recurring basis, they can work directly with the [Field Enablement team](/handbook/sales/field-operations/field-enablement/) to discuss posting permissions.
