---
title: "Field Team Meetings"
description: "Overview of the primary meetings for the worldwide GitLab Field team"
---

The below page overviews the primary all-hands meetings for the WW Field Team.

## Field All-Hands Meetings

The team meets as a full group multiple times in a given quarter, with each meeting series serving a different enablement or planning purpose.

The high-level cadence of Field all-hands meetings in a given quarter is:

1. **Month 1**
   1. [WW Field Manager Call](/handbook/sales/sales-meetings/#ww-field-manager-call)
   1. [Quarterly Business Reviews (QBRs)](/handbook/sales/sales-meetings/#quarterly-business-reviews)
1. **Month 2**
   1. [WW Field Org Call](/handbook/sales/sales-meetings/#ww-field-org-call)
1. **Month 3**
   1. No all-hands meeting; quiet time for end-of-quarter activities.

### WW Field Manager Call

- **When:** Quarterly in the first month of each quarter. The call is 50 minutes.
  - The call recording is shared with Japan/APAC managers once available with a CTA to watch the prepared remarks (watching the Q&A is not required). The CRO then leads a dedicated follow-up Japan/APAC Manager Q&A session 1-3 business days after the initial call.
- **Who:** All Field Managers (people managers and above in the CRO's organization), People Business Partners supporting the Field, Sales Development Management
- **What:** The goal of this meeting is to provide manager-specific updates, CTAs and enablement topics, and to give managers a forum to provide feedback and ask questions to senior leaders. The sample call format is:
   1. [5 min] Manager Icebreaker
   1. [10 min] CRO Business Update
      1. Past quarter themes (to the extent we can share before earnings)
      1. Past quarter key win
      1. Observations on pipe gen & forecasts
      1. Current quarter focuses/themes (ex. Current quarter pipe coverage - here are the levers to pull)
      1. Current quarter OKR preview
      1. Board meeting insights
      1. Top investments
   1. [20 min] Flex Time
      1. Guest speaker (enablement on manager-specific topic or skill)
      1. Field manager spotlight
      1. Manager feedback
   1. [15 min] Q&A
   1. [Async] Your help needed: Cross-functional updates

### Quarterly Business Reviews

QBRs commence in the final week of the previous quarter for Customer Success and continue into the second or third week of the current quarter for Sales, with the CRO LT completing the QBR cycle.

For a full overview of the QBR planning and execution process, QBR request tracking, best-practices for organizers and attendees, and where to find past QBR content, [see here](/handbook/sales/qbrs).

### WW Field Org Call

- **When:** Quarterly in the second month of each quarter. Typically on a Monday or Tuesday in the morning PT for 50 minutes.
  - The call recording is shared with Japan/APAC team members once available with a CTA to watch the prepared remarks (watching the Q&A is not required). The CRO then leads a dedicated follow-up Japan/APAC Q&A session 1-3 business days after the initial call.
- **Who:** This meeting includes all members of the CRO organization as well as stakeholders of the Field team from the Marketing, Finance, Legal and People Groups.
  - If you are in the Field organization and do not have the calendar invite, first confirm that your manager has opened a [role-based access request](/handbook/people-group/engineering/onboarding/#access-request-issue-creation) to add you to your team's Google Group (ex. sales-ent). Field attendance is informed by the sales-all Google Group, which is made up of all team sub-groups. Using this method, the calendar invite will auto-add new team members to the invite once they're added to their group.
  - If you are not in the Field organization, reach out in #sales-vp to be added to this meeting series,
- **What:** The primary purpose of the call is to drive knowledge-sharing across the Field organization, with an emphasis on CRO and leadership business/organizational updates and Q&A time for Field team members and leadership. The typical format is:
   1. [20-30 min] CRO Organizational Update
      1. High-priority topics/announcements from the CRO and CRO LT
      1. Quarterly MVP recognition
      1. CRO Fireside Chat/interview
   1. [5-10 min] Guest Speaker Updates
   1. [15-20 min] Q&A
   1. Update Ticker (included asynchronously)
- If you would like to add topics to the agenda, please coordinate with Field Communications using their [announcement request process](/handbook/sales/field-communications/#requesting-field-announcements).

#### General Guidelines for Attendees

1. This call is most effective when we all contribute! Please ask questions in the Q&A using the Slido link provided in the agenda doc.
1. Any updates or Q&A questions that are not covered on the call will be addressed asynchronously in the agenda. Please read the agenda in full each time, including the important updates in the async Update Ticker.
1. The agenda can be found in the meeting calendar invite.
1. Zoom recording links for past calls are included inline in the agenda document under the meeting date.
1. If you cannot join the call, consider reviewing the recorded call, or at minimum, read through the meeting agenda.
1. If you have feedback on how we can improve the WW Field Org Call, share it in the post-meeting survey provided via Zoom when you log off the call.

## Enablement/Planning/Strategy Meetings

### Field Enablement Spotlight series

- **When:** Weekly on Thursday at 9am Pacific time, except in the last two weeks of a quarter
- **Who:** The entire GitLab Field team is invited to this meeting series. The series can be found on the [Field Enablement Google Calendar](https://calendar.google.com/calendar/u/0?cid=Z2l0bGFiLmNvbV81bjNnNjBsNTh0aHVtOWFvdnA4aWlzYXYzNEBncm91cC5jYWxlbmRhci5nb29nbGUuY29t).
- **What:** The purpose of this series is to enable Field team members on the latest resources and selling tactics. Enablement topics vary weekly. See more on [the handbook page](/handbook/sales/training/sales-enablement-sessions/).

### Sales Group Conversation

- **When:** Happens once every 8 weeks at 8am Pacific time
- **Where:** Zoom link varies - please be sure to check the calendar invitation
- **What:** The CRO Leaders will rotate and provide the company with an update on their business, overall team performance, notable wins, accomplishments, and relevant strategies planned.
You can view previous updates in the "Group Conversation Sales" (previously "Functional Group Update Sales") folder on the Google Drive.

### Sales Monthly Key Review

- **When:** Happens once every month
- **Where:** Zoom link varies - please check the calendar invitation
- **What:** Michael McBride (CRO) will present to the CEO, CFO, and other company leaders a monthly Sales update.

This update will include the current status of:

- Sales KPI's
- [OKR's](/handbook/company/okrs/fy21-q3/)

The meeting will cover:

- the quarterly forecast
- QTD performance
- most recent month's performance

We will provide key takeaways as to what is on-track (green), needs improvement (yellow), or is of urgent concern (red).

We will review the standard IACV/ARR look back on historical performance, as well as the Pipeline X-Ray, which includes future-looking metrics like pipeline generation, coverage, and pacing for the current and next quarters.

### Focus Fridays

The Field team practices Focus Fridays. The goal is to encourage all field team members to clear out their calendars on Fridays as much as possible in hopes that this will help all of us be more efficient, allow space within our weeks for focused work, and reduce potential burnout. Guidance for Focus Fridays includes:

- Cancel or move any standing meetings occurring on Fridays
- Customer/prospect/partner/external meetings are exceptions
- Some one-off internal meetings might not be avoidable, but aim to minimize them as much as possible
- Consider blocking off your calendar as "busy" on Fridays to block your work time

You are encouraged to talk to your manager for guidance on how best to embrace Focus Fridays on your team and with your individual schedule.
