---
title: "Sales Operating Procedures"
description: "GitLab sales process documentation"
---

This documentation is based on the [GitLab Sales Process](https://docs.google.com/spreadsheets/d/1ISe3kb5bIbUKxo8lSYQlU-OddgfRgZgl9D0Y5CJ1iew/edit#gid=901742865) document approved in February 2020.

1. [Engage and Educate the Customer](/handbook/sales/sales-operating-procedures/engage-and-educate-the-customer)
1. [Facilitate the Opportunity](/handbook/sales/sales-operating-procedures/facilitate-the-opportunity)
1. [Deal Closure](/handbook/sales/sales-operating-procedures/deal-closure)
1. [Retain and Expand](/handbook/sales/sales-operating-procedures/retain-and-expand)

## How to Use

The intention of SOPs is to make our sales processes clear and document them in detail in a single place. These SOPs will also serve as the pillars for the [Field Certification Program.](/handbook/sales/training/field-certification/)

SOPs are *not* meant to solve for every permutation of selling scenarios that you might face. There will be times that the processes outlined in the SOPs do not apply or need to be expanded upon/deviated from. In this case, we encourage you to feel empowered to do what is necessary to support your customer and your business.

Please reach out to your manager or the Field Enablement team (Slack: field-enablement-team) with any questions.

For more information on each SOP phase, see the recordings from our four-part webinar series:

| Date | SOP Phase |
| ------ | ------ |
| 2020-05-15 | [Phase 1: Educate and Engage the Customer](https://www.youtube.com/watch?v=FsHzfxMy0jw) |
| 2020-05-29 | [Phase 2: Facilitate the Opportunity](https://www.youtube.com/watch?v=LQOES-oXLvQ) |
| 2020-06-11 | [Phase 3: Deal Closure](https://www.youtube.com/watch?v=Va4Ih5Tj89Q) |
| 2020-07-09 | [Phase 4: Retain and Expand](https://www.youtube.com/watch?v=aiiHttbbVc4) |
