---
title: "The Customer-Ready Shadow Program"
description: "The Customer-Ready shadow program offers a hands-on way to learn how different GitLab roles represent GitLab. We often learn best when we have the opportunity to learn from our peers, practice, and get feedback in an interactive way. It's also a great way to make new hires feel welcome and a part of our sales culture at GitLab."
---

## Overview

Shadowing the customer calls of your peers offers a hands-on way to learn how different GitLab roles represent GitLab. We often learn best when we have the opportunity to learn from our peers, practice, and get feedback in an interactive way. It's also a great way to make new hires feel welcome and a part of our sales culture at GitLab.

A good shadow program creates a culture of curiosity and peer-to-peer learning that increases productivity and confidence, while decreasing time to ramp. The Customer Ready Shadow Program begins with a training in GitLab LevelUp that shows participants:

- how the program works and the benefits of participating,
- how to be a good shadow or host one yourself,
- how shadows achieve certification,
and how to get started shadowing or hosting.

**By participating, everyone can:**

- Develop stronger relationships with your peers across the globe while creating and contributing to a positive sales culture at GitLab.
- Strengthen your skills through the experience of sharing them with others. After all, the way you go about something in your territory or country may be different from the way someone in another country may go about it.

## Getting started

**Start as soon as you begin onboarding.** Shadows can begin shadowing immediately after taking the introduction training. As a shadow, new hires benefit from a stronger understanding of the customer: hearing in real-time what they're looking for, what their pain points are, and how GitLab may be able to help. As a shadow, you'll also:

- See how your peers position and frame solutions to current and potential customers and spot opportunities to learn from or improve those interactions
- Hear ideas, questions, challenges, and concerns directly from customers and prospects
- Collaborate with your peers and get feedback on your approach
- And apply all your knowledge to the test in a real pitch scenario.

**Onboarding buddies:** A big part of an onboarding buddy's responsibility is offering calls to shadow or connecting the new hire with peers that can offer calls to shadow.

**Hosts:** A person hosting a call and inviting the new hire to it is a 'Host'. They invite new hires to customers calls, provide them with a link to the opportunity, and may also brief or debrief with the new hires before or after the call. Hosting is a great opportunity to:

- Create and contribute to a positive sales culture at GitLab
- Expand your coaching skillset, simply by having someone shadow you live.
- A great way to show your ready to take on more responsibility whether through a promotion of job title change

**Managers:** Managers should be familiar with the program when they assign an onboarding buddy to their new hire. They can take the introduction training to learn more about it, and will receive updates throughout the program. It's the manager's role to ultimately ensure the new hire is getting enough calls to shadow and receiving support from their peers. A manager will also grade the new hire's pitch at the end of the program so they can achieve certification.

## Shadow etiquette

Shadow etiquette is one of the most important parts of being a shadow or having one. Adhering to it builds trust in the program, but also with each other. And the relationships you build now will deliver benefits long after the program is over.

**What is shadow etiquette?** These are your rules of engagement with each other. They can change at any time but they should always be communicated before they change. Below are the expected rules of engagement that both people should start from.

View the introduction training (link coming soon) to learn the basic expectations you should start from when shadowing or hosting.

### What to look for on calls

Not every call is a hit. And you may attend calls where it goes really well or poorly for multiple reasons. Use your time in these calls to determine for yourself what works well and what doesn't with customers and prospects. Challenge your assumptions and that of the customer or even the host.

This is your chance to sit back and put on your critical-thinking hat. As you go through the rest of your training, compare what you've learned to what you're seeing and decide what you want to improve as you prepare to take the stage yourself.

## Graduating from the program

At some point during onboarding, new hires are invited to a weekly series with their peers where they'll share and learn from each other, hear advice and lessons learned from tenured SAEs, and even customers. This looks different for different segments, and may run at different times depending on your start date. If this is relevant to you, you'll receive an invite from your sales enablement lead and attending will be part of your certification.

**Certification:** The program completes with a pitch review where new hires record themselves presenting the One Platform story. This is also a key part of graduating from the overall onboarding journey and usually occurs at the end of the new hire's first 90 days. This recording is graded by a manager and a passing score must be achieved to graduate. Once shadows graduate from this program, they'll achieve the coveted Customer-Ready certification badge.

View additional resources on GitLab LevelUp (coming soon) or reach out in the #customer-ready-shadow-program channel.
