---
title: "Territory Planning"
---

## Overview

Every Account Executive regardless of segment or geo should have a plan for how they're approaching their patch. A sales territory plan is a workable plan for targeting the right customers and implementing goals for income and consistent sales growth over time.

It's usually done annually and updated throughout the year. It can be used for plotting a specific geographical location, or for different industries, customer types and other segments.

*When do you need one?* Some AEs might be starting up a whole new territory and need a detailed, comprehensive plan, whereas others may be one of several AEs operating in their territory and may benefit from a narrower plan. The key is that you have a plan documented to reach your goals.

## Why it matters

Benjamin Franklin once said, "If you fail to plan, you are planning to fail."

A clear plan reflects clear thinking and a clear road to success. Your territory plan is a living document that you'll go back to again and again to update. Use it in your strategy meetings to communicate your goals and approach with your team, and to bring them along on your vision so they can contribute effectively. Use it to help you keep track of how you're doing against your goals over time.

Keeping your plan up-to-date will also save you time during reporting, forecasting, and quarterly business reviews as a lot of the content can be reused. As well as during performance reviews when you can easily look back on your progress as a reference point.

Crafting a plan like this involves more work and effort upfront, but gets easier over time. Be sure to dedicate time to doing it right. After all, delivering a plan like this one is a core element of what it means to be a strategic account leader.

**During the planning process you will:**

- Analyze territory, pipeline, and account data.
- Identify internal and external factors that can affect your plan.
- Identify strengths, weaknesses, opportunities, and threats operating in your territory.
- Set goals and create targets.
- Analyze and prioritize your accounts.
- Develop strategies and action plans to reach your goals and targets.
- Review and track your results.

View the [internal handbook](https://internal.gitlab.com/handbook/sales/territory-planning/) to access the **[Territory Planning Toolkit](https://drive.google.com/drive/folders/1fW6SUOws6T7qlxtvMOr_EGN6779_VdsZ)** and to get started on your plan.
