---
title: "Additional Resources for Sales Training"
---

### Customer Success (CST) Courses

**Explainer Videos**

- CST201 [GitHub.com vs. GitLab](https://www.youtube.com/watch?v=ZdmDJFPNQuI&index=1&list=PLFGfElNsQthbFw3QxWjoTsDMoLmZx1SbP)
- CST202 [Hosting GitLab in the Cloud](https://www.youtube.com/watch?v=1OLCDtUkw0Q&index=2&list=PLFGfElNsQthbFw3QxWjoTsDMoLmZx1SbP)
- CST203 [Integrating Atlassian and GitLab](https://www.youtube.com/watch?v=o7pnh9tY5LY&index=3&list=PLFGfElNsQthbFw3QxWjoTsDMoLmZx1SbP)
- CST204 [GitLab Maintenance and Support](https://www.youtube.com/watch?v=X8jsj59b4vk&index=4&list=PLFGfElNsQthbFw3QxWjoTsDMoLmZx1SbP)
- CST205 [We already use JIRA, so shouldn't we go with Bitbucket?](https://www.youtube.com/watch?v=-JRab22h9Dg&index=5&list=PLFGfElNsQthbFw3QxWjoTsDMoLmZx1SbP)
- CST206 [Traditional DevOps Dasiy Chain](https://www.youtube.com/watch?v=YHznYB275Mg)

### Best Practices on Customer/Prospect Framework

1. [Basic Principles to follow in any meeting](#basic-principles-to-follow-in-any-meeting)
2. [Preparing for your meeting](#preparing-for-your-meeting)
3. [Types of External Meetings at GitLab](#types-of-external-meetings-at-gitlab)
    - Discovery Meeting
    - Technical Meeting
    - Close Plan Meeting
4. [After the meeting: Personal Development Plan and Next Steps](#after-the-meeting-personal-development-plan-and-next-steps)

#### Basic Principles to follow in any meeting

See External Communication [guidelines](/handbook/communication/#external-communication).

#### Preparing for your meeting

In order to have the best meeting, preparation prior to the meeting is key. The following action items are ways to prep for a customer meeting:

Look over notes of previous engagement and keep handy for customer meeting. Write key items to remember during the meeting - make sure to cover these items throughout the meeting.
Look over your agenda and notes for call.
Do research on the company and person(s) and get an understanding of the current state of affairs at their company.
Look over the basic principles of customer meetings and resources in GitLab handbook and make sure you're ready for the meeting.

#### Types of External meetings at GitLab

Note: Depending on each use case, there may be more or less meetings involved. It's always best to still implement basic principles in each meeting. It's up to one's own judgement to decide what to cover on each meeting.

##### 1. Discovery meeting

- Purpose: Uncover the needs and goals of the audience.
- How to: Qualification questions
  - Tell me at a high level your role, your team, and what you're currently working on
  - State Objective
  - Why the interest in GitLab?
  - What does your current tool stack look like?
  - Why are you making the change?
  - What does the decision making process look like for this evaluation?
  - Budget allocation
  - Timeline
  - Next steps

##### 2. Technical Evaluation

- Purpose: Answer the technical questions that was presented in the previous
conversation. Depending on the circumstances of the situation, a Solutions Architect may be present.
- How to:
During discovery meetings, technical questions may pop up that need to be written down and taken to SA's to answer. The goal of this call is to answer the prospect's technical questions and either have a SA on the call or answer the questions yourself. If they need more information, recorded demos and or trials can be leveraged at this point.

##### 3. Close Plan meeting

- Purpose: Wrap up the pre-sales cycle and negotiate contract.
- How to:
This is a short meeting, possibly lasting from 15-20 minutes. This is where you finalize and set up next steps or complete the sales cycle.

#### After the meeting: Personal Development Plan and Next Steps

For your own benefit, here's a [Google form](https://docs.google.com/forms/d/1cFJnIi0hkVc6gwdRPQrDTrZTv1t35a55vDbP-tCz8Go/edit) that you can make a copy of and fill out for your own self evaluation after every external meeting. This will help you to track your progress on key practices and to see where you can make improvements.

### 5 Signs You're Talking At (Not Talking To) Your Prospects <a name="signs"></a>

You'd think that for a salesperson, talking a lot about their product would be the best way to win a deal. After all, how can prospects decide to buy (or not) unless they know what they're paying for?

Yet one of sales' biggest ironies is that the more you talk about your product, the less likely you are to actually sell it. While speaking with your prospects is absolutely necessary to close sales, it's all too easy to slip from talking to them into talking at them. The five signs below are easy-to-spot indicators that it's time to let your prospect take center stage.

#### 1. You talk for more than half of each conversation

In general, listening is more valuable to salespeople than talking. It's the best, and in the early stages of a sales conversation, the only way to assess your prospect's business pain, whether they're being truthful, and their level of proficiency in implementing your product.

And listening early on sets the stage for the rest of your sales process. Don't know what your prospect's business strengths and weaknesses are because you never asked? You won't be able to sell to their strengths or bridge the gap in weaker areas.

Can't assess whether your prospect's telling you the truth because you haven't heard them speak enough to understand their voice tone? You won't be able to distinguish between true blockers and brush-off objections.

Haven't fully grasped the root causes of your prospect's business pain? You won't be able to position your product in a way that gets to the heart of a solution.

If you're sensing a trend here, you're right. Not listening enough severely limits your ability to sell successfully. It's like trying to score a goal without knowing which team you play for.

#### 2. You're telling more than asking

But it's not just how much you talk, but also what you say that's important. It's crucial to get your prospect talking as much as possible so you're familiar with their personalities and problems. And this is hard to do if you're not asking questions.

Of course, eventually you'll have to talk more than you ask. Once you get a clear sense of the problem your prospect is trying to solve and their priorities, you'll take the reins. But before that point, err on the side of asking more than you tell.

Dive deep into areas that are important for your prospect and make sure to clarify anything you don't understand. This style lends itself to a slower sales process than showing up with a pitch ready, but you'll set yourself up for success in the long run by building a foundational understanding of your prospect from day one.

#### 3. Your prospect isn't engaging with you

You (hopefully) wouldn't continue to send email after email after email to a prospect who'd never opened or responded to a single message. And that principle applies to conversations as well.

If your prospect's gone quiet, there's a reason. Maybe they're confused. Maybe you started talking about something completely irrelevant to their situation. Maybe you're just not leaving them any opportunity to respond or ask questions.

Make a habit of pausing every few minutes to ask your prospect if they understand or simply give them an opening to speak. Taking your prospect's temperature every so often is invaluable to making sales conversations helpful for them, and ultimately boosts your chances of closing the deal.

#### 4. Your statements could apply to any prospect

Q: Why are conversations about the weather so boring to us?

A: Because they're impersonal and could happen between any two random people.

If you find that you're making generic statements and struggling to resonate, it's because you haven't done enough discovery. Gut check yourself by listening to call recordings or reviewing meetings while they're still fresh in your mind. Did the insights you shared apply specifically to your prospect's situation, or were they overly high-level and universally true?

If it's the latter, dig deeper. While many of your sales conversations will run along the same lines, the nuances and minutia of every situation will vary. If you can't get right to the heart of your prospect's concerns, take a beat to circle back to discovery.

#### 5. You can't define your prospect's problem

Another way to check whether your sales conversations are productive for your prospect is to quiz yourself. Can you explain the deal to someone else on your team?

To test his understanding of a prospect's problems, Dan Tyre, a sales director at HubSpot, tries to define three reasons his prospects would buy, three reasons his prospects would balk, and what the next step should be. If he can't, he knows he needs to get on another call with his prospect to further understand what they want and discuss how to move forward in a mutually productive way.

### Ways to influence decision making by using the Psychology of Persuasion

Dr. Robert Cialdini's theory of influence from his book "Influence: The Psychology of Persuasion" defines six principles that guide human behavior. The first principle is reciprocity, the desire to give back to someone who has given to us. E.g. if someone does you a favor you feel obligated to return a favor.

In a sales conversation this principle can be used to influence the direction and outcome of a conversation from the very beginning.
For example if a prospect signs up for a free trial, you can initiate the conversation by offering help with potential issues or questions and making sure the prospect has received the relevant information from the trial confirmation mail, e.g. the license key.
Nearly everyone of us has experienced a situation where a confirmation email didn't arrive or went to the spam folder. So by starting the conversation with a favor, the prospect will feel obligated to take the time to reply and answer your open-ended question.
The principle of reciprocity is also reason why sales emails should always provide value to a customer.
Here are a few examples about how to start a conversation with a prospect who started a trial:

Hi [prospect] and thanks for your interest in GitLab.

In case you didn't see the email from our CustomersDot, I've attached a copy of your trial license key. Let me know if you need help installing or configuring GitLab.

Perhaps let me know what's driving your interest, what you're looking to validate during the trial period and how we can help you (demo, docs technical support etc).

Cheers,

Hi [prospect],

Thank you for your interest in GitLab Enterprise Edition.

In case you did not receive the email with the license file yet, I have attached it to this email.

Do you have any questions or issues regarding GitLab so far?

It would be great to understand what the problems and tasks are, that you are trying to solve with GitLab Enterprise Edition?

Looking forward hearing from you.

Best regards,

### 6 Ways to Make Your Sales Email Insanely Valuable to Prospects {#insanely}

The "just checking in" sales email isn't just ineffective -- it's also selfish.

Reps who send these types of emails aren't offering any value. They're trying to force or persuade buyers into replying to their message and making a purchase on the rep's preferred timeline.

However, in today's sales world, providing value to a customer throughout their individual buying process is the only way for a rep to close a deal. Hard selling tactics are bad for the buyer, and bad for the rep.

Modern reps are committed to providing guidance, information, and value to buyers whenever they reach out. They know it's important the prospect sees just as much return on their time as the rep does.

Here are six easy ideas as to how you can provide value with each sales email you send.

#### 1. Attach a piece of content

The easiest way to provide value to a buyer in a sales email is to include a piece of helpful content. Remember: The goal of an initial sales email is to not try to convert a buyer into a customer instantly, but to give them something that will truly interest them, and get a conversation going.

Spend some time researching the prospect's company and observing their behavior on social media. Use this knowledge to offer a piece of content specific enough to their interests that they take the time to read it.

Email subject: a resource for you...

Hey [prospect],

Saw you sent out a tweet about [subject] and thought I'd pass along this blog post. It talks a lot about that subject, and provides some interesting takes and opinions. I would love to hear what you think about it.

All the best,

#### 2. Reference a mutual connection

Having a mutual connection in common with a buyer can go a long way. In fact, a prospect is five times more likely to engage with a seller when they share a connection.

Surfacing a common connection is valuable to the buyer because it fosters trust. The buyer can now check with that mutual connection and determine whether or not this is the right product or service for them.

Email subject: I see we both know Leslie…

Hey [prospect],

I know you've been doing your research on GitLab, so I thought I'd put you in touch with someone we both know. [Mutual connection] and I have known each other for a while and they have been using GitLab, and it turns out you know each other too.

Maybe all three of us can get together some time. Talk to you soon.

All the best,

#### 3. Offer a customer review

Simply put, customers love reviews. How often do you check out Yelp before you make a decision on where to eat? How deep in the reviews do you go? I know I scan for a while, and I'm willing to bet you do too.

Learning what other people are saying about a product or service plays an important role in buying decisions. In fact, 88% of people take online reviews as seriously as they do personal recommendations, according to a study from Bright Local.

It's clear that reviews are valuable for prospects, so why not send one along in your next email?

Email subject: the people have spoken

Hey [prospect],

I spent the weekend surfing the web, and came across some pretty cool reviews about what we've been talking about. I know you've been trying to solve [pain point] so I'm sending you these links to help you gather some more info.

Link 1
Link 2
Link 3

In these reviews, customers go into depth about how the product works and what they think of it. They're honest, real, and I think you'll appreciate them.

If you have any other questions, let me know. Talk to you soon.

#### 4. Send over a case study

A case study can add instant value to a sales email. If the prospect is in a difficult spot and unsure how to proceed, sharing a story about a customer in a similar situation that describes how they solved their problem can be incredibly helpful.

Email subjectL I've seen this story before

Hey [prospect],

It's funny, but after talking with you this last week I remembered that one of our customers was actually in the same situation you are in now. They were cruising along and crushing their market, but they were having problems with [pain point].

I attached their story to this email. It's an interesting take, and I think it will provide a wealth of insight into how exactly they became one of the leaders in their market. Would love your feedback on it.

All the best,

#### 5. Provide a tactical suggestion

If you notice an area of weakness in the buyer's business that you think you can help improve, let the prospect know. Offering insights not only strengthens your relationship, but it builds your credibility in their eyes.

Email subject: have you tried doing this…

Hey [prospect],

I was on your website earlier, and noticed a new blog post. I was wondering if you have ever tried out [suggestion]. It's a really simple way to help blog posts rank better in search. It can also boost social shares, and help you build out your brand.

Here are a few examples of blog posts that use this technique:

Example 1
Example 2
Example 3

If you're not sure what I mean, just give me a shout. Great post, by the way. I just shared it. Let's connect soon.

All the best,

#### 6. Just respond

Simply responding to a question, voicemail, tweet, or email is the easiest way of all to provide value. And keep in mind that you don't have to give the final answer right away. A simple "I'm looking into this for you" will assure the prospect that you're on the case.

The value of responding quickly extends beyond solving specific problems. According to Sprout Social, 26% of customers who don't hear back from a company take to social media to post negative comments. Remember the importance of good reviews? Responding quickly plays a major role in prospects' perception of your business.

Email subject: thanks for the question!

Hey [prospect],

Thanks for getting in touch. That's a great question, and I'm glad you asked. I'm in the middle of a few meetings this morning, but I've sent your question along to our support experts (cc'd on this email). They'll be able to help, and I'll follow up with you at the end of the day.

Thanks again! If anything else comes up, please let me know.

All the best,

As author Michael Port recently wrote, "Give away so much value that you think you've given too much -- and then give more."

Sales reps need to understand that the modern buyer is busy and doesn't have time for "just checking in" emails. Strive to offer buyers an instant ROI with each and every message you send.

Every word you say during a sales process is important. Every conversation you have is an opportunity to drive the process forward or derail it. With this in mind, it's crucial to make sure these conversations count.

### 3 Seemingly Scary Words Reps Shouldn't Be Afraid to Use <a name="scary"></a>

How often have you experienced an awkward silence during a sales call because the prospect asked a question you weren't exactly sure how to respond to? If you've been in this position, don't worry -- this happens on sales calls more than you think.

The common reaction for most sales reps is to get back to the parts of the service or product they are most knowledgeable about and move the conversation forward. But what about the question the prospect asked? If you just forget about it and keep talking about the benefits of your product, they'll decide to buy eventually -- right?

Probably not.

So if ignoring the question and hoping it goes away doesn't work, what does? What should you do when the prospect poses a question you don't quite know how to answer?

Say three short words:

"I don't understand."

While some reps might be afraid to say these words and reveal a chink in their "trusted advisor" armor, let me make the case for why this is the best option when you're truly stumped.

#### "I don't understand" allows you to clarify

Understanding exactly what your prospect is saying allows you to avoid deal-disrupting miscommunications down the road. With this opening, the prospect can explain the question further so you can gather as much information as possible before responding.

#### "I don't understand" provides an opportunity to follow up

In the event you get stumped with a prospect, saying you don't know but will pursue the information with someone who does creates a perfect opportunity to follow up after the call is over. You can add value to your follow up by providing the requested information, while impressing the prospect with your diligence and commitment.

#### "I don't understand" allows you to gain new knowledge

From now on you'll know how to properly inform prospects seeking similar information. A knowledgeable sales rep is a trustworthy sales rep, and any opportunity you have to gain information is one you want to take advantage of.

#### "I don't understand" helps you become more likable

Recent studies suggest that being honest makes you more likable. Instead of feeling like you don't know what you're talking about, a prospect will likely be impressed with a sales rep who admits that they don't understand something. This proves your honesty and your willingness to be up front.

#### "I don't understand" enables you to ask better questions

Instead of just moving on to the next part of the call, use "I don't understand" to gather more information about your prospect and gain insight on how to refine your questions. Asking the right questions can help prospects paint a clear picture of their business, their plan, and their pain. With additional information, you can adjust your strategy to fit exactly what the buyer is looking for.

#### "I don't understand" prompts them to use their own words

Instead of trying to rephrase the prospect's question for them, prompting them with "I don't understand" gives the prospect the freedom to explain their situation and pain point in their own words. The rep can now get insight into how this prospect views their pain points, which is incredibly valuable when trying to tailor a solution and sell value.

Saying "I don't understand" on a sales call isn't the end of the world. Sales reps can strategically use this phrase to uncover a prospect's meaning and give a genuine response. Remember, the prospect isn't going to have all the answers. It's okay if you don't either. Put the focus on the relationship and providing value, and you'll be okay.

Understand?

### 6 Questions Sales Reps Should (But Don't) Ask Themselves Before Sending an Email <a name="questions"></a>

Few things top getting off on the right foot with a prospect. When you and the buyer connect off the bat, making the sale just comes naturally.

And where does that first impression happen? More often than not, online, with the first email you send. So here are a few things to ask yourself before you reach out to prospects for the first time to ensure your message will make a great first impression.

#### 1. Do I know their pain point?

A prospect's pain is the primary reason they are going to make a purchase. Before writing that crucial first email, you need to understand how your product can help turn their pain point into a strength. If you don't understand their pain point, or at least have a general idea of what they're likely struggling with, it makes positioning your product as a solution difficult. Without knowing what it is they need to solve, how can you help them solve it?

To determine pain, commit to research. Study their business and look for a weakness or a point where they could improve.

#### 2. Do I know what's happening in their market?

Studying a prospect's market gives you insight into their biggest challenges and where they need to improve. If you notice that some companies are hiring and expanding while others are cutting back, you have a clear picture of which companies are trending in the right direction.

By demonstrating knowledge of the prospect's market in your initial email, you can build credibility with this person. You're not only knowledgeable about their business, but you've taken the time to study their competitors and can now help implement an effective strategy for change.

#### 3. Will my name be familiar?

With an average response rate of 1.7%, the cold email is clearly losing its effectiveness.

Why? It lacks context. Today, we all screen our calls and emails. If we're unfamiliar with the person reaching out to us, we'll probably ignore them.

If the prospect doesn't recognize your name, their initial reaction might be to hit the "report spam" button on your email. In sales, this a less-than-ideal outcome.

So instead of this person seeing your name for the first time in their inbox, aim to become familiar online first. To create rapport with a person before the first email, connect with them on social media, comment on a blog post they've written, or reach out to a mutual connection and ask for an introduction. All three of these techniques give you a chance to spark a discussion and make your name familiar.

#### 4. Do I have the right mindset?

Approaching a sale with the mindset of helping, guiding, and offering clarification is the mindset of the modern rep. According to CEB, today's buyer is going through almost two-thirds of the journey without talking to anyone in sales. With this in mind, reps need to adjust and be ready to embrace the "always be helping" mentality, instead of "always be closing."

This takes the stigma of an annoying, pesky, or pushy sales rep out of the equation because you're looking to guide prospects through their buying journey. If write your email thinking you have to close, you might shove your product down their throat or force them through the funnel faster than they want to go.

#### 5. What's the value of this email?

What does the prospect get out of your message? What insights can you offer them in this email that they can't get somewhere else?

Keep in mind that any touch can be the deciding factor behind whether or not this person buys from you. Bothering a prospect with an email they don't need can be the downfall of a rep -- before the sale ever begins. When you're able to offer value from the jump, you prompt responses and move the conversation forward.

Here are a few things you can include to make your email valuable:

Offer a strategy suggestion
Reference a mutual connection
Include a blog post about your product
Send a customer review

#### 6. What action do I want the recipient to take?

What's the goal of this email? Do you want the prospect to reach out when they need more information or are you looking to set up a product demonstration?

Reps can often forget to include a call-to-action in their emails, making it difficult for the prospect to respond. Without giving prospects a defined next step, it can be a challenge to move forward.

Here are some examples of calls-to-action reps can include in their sales emails:

1. Include a calendar invite
1. Provide a case study and ask the buyer to read it
1. Ask when they're free for a discussion
1. Send them to a piece of content for review
1. Ask a question about something they've written

The introductory email sets the tone for the relationship. Before you reach out, ask yourself these six questions to determine whether or not you're fully prepared to send that email. If you can't answer all of these questions, hit the reset button and get back to the drawing board.

### Bill Cates from Hubspot {#art}

Wrote [a great article about "The Art of Asking Open-Ended Questions."](https://blog.hubspot.com/sales/the-art-of-asking-open-ended-questions) Here are some highlights

High-value questions bring value to the conversation and creates a learning experience for you and your prospect/client.

High-value questions are open-ended instead of closed-ended.

If your question can be answered with a simple "yes" or "no", that is a closed-ended question.   Questions that begin with "Did", "Are", "Would" and "Is" are closed-ended.

To turn a closed-ended question to an open-ended question, start with "How", "If", "What", "Why", "Who".  The result of an open-ended question is you gather more insight from the prospect/client and they become more involved in the process as well.

Here are some open-ended, high-value questions that reps can ask their prospects:

- What are the top priorities in your business at the moment?
- What are some of the best decisions you've made related to ____________?
- How are you feeling about your current situation related to _____________?
- If we were meeting five (10, 20) years from today, what must happen for you to feel good about your situation related to ___________?
- What opportunities do you see on your horizon?
- What challenges do you see in making this happen?
- If we were to work together on this, what are the top two or three outcomes you'd like to see?
- How will you be measuring our success related to these outcomes?
- What's the biggest risk for you to not make progress on this situation?

### 4 Ways to Ruin a Sales Presentation <a name="presentation"></a>

A perfect sales presentation paints the product, the company, and the rep in an ideal light, while captivating the audience and turning a target company into a customer on the spot.

However, while a great meeting with a prospect can set you apart from your competitors, a bad presentation can do the same thing. Sales reps can often fall into the traps of a bad presentation without even realizing it. Everything is going smoothly in the rep's mind ... until they realize the CEO has fallen asleep.

So how does a rep avoid this scenario? Below are four avoidable sales presentation mistakes to keep in mind for your next meeting.

#### 1. Being overly general

Not personalizing the presentation is a mistake because every buyer is different. Each buyer has a unique pain point, and is in need of a unique solution. By failing to customize the presentation, the buyer can't see themselves using your product. All the buyer knows is that the product works in general, or a different business used it and had success.

When we tell stories, the people listening feel as if what's happening to the protagonist is happening to them too, according to studies. By personalizing the message, a sales rep can put the potential buyer into the shoes of another customer who has experienced success using the product, and help them visualize how the offering could help their company as well.

#### 2. Listing too many benefits

Speaking about too many benefits can turn a prospect off because our brains can only process so much information at once. In fact, recent studies have found that consuming too much information can distract a person, resulting in a negative impact on personal well-being and decision making, among other things.

Instead of bragging about everything your product can do, sales reps should focus on three to four benefits that will solve a very specific pain point for the prospect. Studies have found that humans retain information best when they find it useful. By highlighting a few key, relevant benefits in your presentation, the prospect is more likely to retain the information, which will be critical when they make a decision.

#### 3. Slipping into autopilot

Beginning a presentation with a monotone voice, bad body language, or an obviously scripted intro can kill your momentum in a hurry. According to Sherrie Bourg Carter, emotions are contagious. So if a sales rep lacks energy and enthusiasm during their presentation, this lackluster mood will likely wear off on the stakeholders in attendance.

There are a multitude of ways to avoid autopilot. By giving the presentation beforehand to coworkers, reps can discover where they need to improve and where the information could be strengthened. Another trick is to have a cup of coffee or work out the morning before the presentation to raise your energy. If you're full of energy and enthusiastic about your product, these feelings can spread to your audience.

#### 4. Dodging questions

Dodging questions after a sales presentation is a bad idea because it doesn't allow the audience to clarify information, and according to 24Slides, can weaken your credibility. When prospects aren't able to have specific questions answered, they can't learn about what matters most to them. Instead of leaving the presentation feeling great about the product, the prospect is likely to leave with more questions than answers, which defeats the whole purpose of the presentation.

While reps might have a fear of answering questions after a presentation, it's important to open the floor to the audience. Reps who take the extra time to answer tough questions can showcase what it's like to work with them on an ongoing basis and the commitment they have to their prospects and customers. And remember, if you're truly unsure, there's nothing wrong with saying "I don't understand" and moving forward.

A sales presentation can be tricky to master. Reps can give 1,000 of them but still have an off day every once in awhile. By focusing on reversing some bad habits, reps can ensure their prospects enjoy their presentations and find it valuable.

### Persistent or Just Plain Pushy? 7 Sales Behaviors Decoded <a name="behaviors"></a>

When was the last time you called a prospect and they said, "I'm so glad you called! I love salespeople!"?

Probably never.

#### Salespeople: Are You Being Persistent or Pushy?

Salespeople face a unique dimemma.  On one hand, tenacity is key to getting business -- 80% of sales requires five follow-ups to close.

On the other, coming off as annoying is a real concern.  Salespeople have a negative perception to overcome, and many buyers assume the worst.

In sales, the line between pushiness and persistence can be hard to walk.  Here is a list of pushy behaviors to avoid -- and what to do instead.

##### PROSPECTING

- Pushy: Cold calling witout doing research and delivering a cookie-cutter pitch

- Persistent: Following up on an inbound lead with an introduction customized to the prospect's activity and context.

##### CONNECTING

- Pushy: Pitching immediately without providing context on who you are and why you're calling

- Persistent: Providing a reason for your call (ideally the prospect's previous activity or a referral) and offerign to help.

##### NURTURING

- Pushy: Sending "just checking in" emails without providing new value

- Persistent: Providing your prospect witha  a strategically sequenced progression of new, helpful resources and insights

##### DISCOVERY

- Pushy: Rushing through a long list of discovery questions so you can "cover all your bases."

- Persistent: Diving deep into areas yur  prospect is interested in, letting conversation flow naturally toward their priorities, and following up with more discovery calles if necessary.

##### DEMONSTRATION

- Pushy: Attempting to cover every feature of your product at once.

- Persistent: Focusing your presentation only on features and benefits relevant to your prospect's needs.

##### OBJECTION HANDLING

- Pushy: Glossing over your prospect's concerns and not taking them seriously.

- Persistent: Creating a plan that accommodates your prospect's objections, and actively addresses their hesitations.

##### CLOSING

- Pushy: Trying to "slam a deal" through on your timeline and your terms.

- Persistent: Making sure your prospect's on track to achieve their goals and is ready to implement your product upon purchase.

Recognize that there's a fine line between being annoying and tenacious. The same sales activities can be executed in very different ways -- some good, some bad.

### A Two-Step Formula for Handling Pricing Objections <a name="objections"></a>

Below is a proven two-step formula that can help you handle any pricing (or any other) objection, for those times when your ounce of prevention may not be 100% foolproof….

#### Step 1: Count to three

Whenever you're faced with a difficult question or objection, the first thing you need to do is take a deep breath, make eye contact with your prospect and silently count to three.

It is amazing how many clients will answer their own objections, or at least give you some much-needed information, when you simply say nothing. Don't be afraid of silence. Practice it until the three-second pause becomes one of the most effective tools in your arsenal.

A couple of years ago, I was buying a new pair of glasses and having lenses put in an old pair. The optician was clearly afraid to talk about price, and even went so far as to write the estimate down on a piece of paper and pass it to me instead of saying the price out loud.

To my surprise, the number actually struck me as very reasonable. I had left my purse at home, so I turned to my husband to get his wallet. The optician took my silence as an objection and immediately dropped the price 15%.

This seemingly minor transaction was a great demonstration of the power of silence, and the lengths most people will go to in order to fill it. In sales, you can use silence to effectively handle almost any objection, particularly those related to price.

Whenever a client tells you your price is too high, just breathe and be quiet. You will find that around 40% of all prospects will fill that silence with information you can use to move the sale forward.

#### Step 2: Ask questions

Step 2 is to ask questions. You can ask up to three questions before you have to answer an objection – provided you ask the right questions in the right way.

The key is to acknowledge what the customer is saying and then offer them a compliment before asking your question. For example, try saying something like "I appreciate you asking that," "that's a really great question," "I understand how you feel" or "good point, I never thought about that!"

Including a nice warm statement in front of your question will encourage your customer to answer it, because they will feel like you are giving them something first. The compliment is a gift. It makes them feel that they are special, that you are paying attention to them and that you truly care about them, and they will be more likely to respond in kind.

Which questions to ask?

Once you've paid the client a compliment, ask them a question that is both direct and phrased to elicit more information. The following are some responses you can use to answer a few of the more common objections.

##### OBJECTION: "Your price is too high!"

##### RESPONSES: "Your price is too high!"

- Thanks for sharing that. How much too high are we?
- I appreciate your telling me that. Have you found a less expensive product?
- You are right, we are more expensive than some of our competitors. How much were you hoping to pay?
- You're right, we are not the cheapest. Is price the only consideration? • Thanks for being honest. Is the price higher than you expected, or is it because we combined the services and training in one proposal?
- I'm not surprised to hear you say that. Are we only too high overall or is our per-unit cost too high as well?
- Thanks for sharing that. Is our price a showstopper?
- I appreciate your honesty. Does our current price mean we will never be able to do business together?
- Too high? Really?
- What do you suggest we do?
- Thanks for letting me know. I'm curious, how much were you expecting to invest?

##### OBJECTION: We don't have any budget

##### RESPONSES: We don't have any budget

- Budget?
- Oh! I appreciate that makes it difficult to buy. When does your budget come up for renewal or review?
- Thanks for letting me know. Is your budget renewed annually or quarterly?
- Does not having a budget mean we will never get a chance to do business together this year?

##### OBJECTION: I need a discount

##### RESPONSES: I need a discount

- Discount?
- It's good of you to be looking for the best deal. How much of a discount do you need? Why that much?
- Making sure you're getting the best deal for your company is a good idea. If we can't budge on the price, does that mean it's over between us?

#### Echo! Echo

Another option for asking questions is to use the ECHO technique.

The echo technique is simply the art of taking the last word (or last important word) in a client's sentence and turning it into a question.

Whenever a client says "I need a discount," look them squarely in the eye and say "discount?" Ninety-nine times out of a hundred, the customer either tells the rep exactly what they need to do from a price and terms point of view to move the deal forward, or offers alternatives to the pricing model that will make both parties happy.

What could be simpler than that!

### Price Objections - The Script that Always Closes <a name="script"></a>

You hear it all the time – if your price is higher than your competition you're told to "build value." You're instructed to stress the quality, the warranty, the features, etc. But your prospects have heard all that before, haven't they? Want a better way?

Let's face it – prospects will often buy from people they like, know, or trust. Your enthusiasm for your product or service is also a big factor in getting your prospects to place an order with you as well. Knowing this, I've often used the following script to not only build value in my product or service, but also to build value in myself. Here's what to say:

If your prospects says, "I can get cheaper," or "Well the XYZ company has something similar or for less money," or anything like that, say:

"You know _________ I'm aware of all the other options for this Git Repository Management and quite frankly if I thought any of them were better for my clients, I'd be working there and selling them.

"When I got into this industry I did my own research, and I looked for the best company that not only offered the best product but also delivered the best customer service and follow-up. I chose GitLab because they give my clients the best overall value and the best experience and that means they continue to do business with me and refer new business to me as well.

"If there was a better product or company for you to be doing business with I'd be there and we'd be talking about that. But there isn't.

"Bottom line – if you want the best overall value, results, and experience, then do what I do did – choose GitLab – You'll always be glad you did. Now, do you want to start with the X size order or would the Y size order be better?"

This technique builds value in the most important part of any sales transaction — you and your belief in your product or service. Use it each time you get the price/competition objection and watch your sales and confidence growth.

### Mixed Tier Objections - Refocus on the value and deployment

Scenario: Customer really likes Ultimate but feels that only 1,000 of the 4,500 developers really *need* it.  They ask to buy 1,000 seats of Ultimate and 3,500 seats of Premium and to have it all work together as one.

Translation: I don't understand why Ultimate is so valuable that it's a no-brainer to buy it for all of my users.

Solutions:

- Refocus the conversation on the business outcomes and value of those outcomes.  The customer already pays more than the price of Ultimate for a collection of tools that do not deliver the outcomes they want.  This is an opportunity to pay less *and* get the outcomes they want.
- Is the customer worried that only part of the team is cloud native?  That's okay!  Ultimate is for all developers and approaches and makes it easy to support legacy and cloud-native approaches at the same time.  The DevOps value applies to all of their developers.
- [We don't support multiple types of users on one deployment](/handbook/company/pricing/#single-plan-for-one-customer) because it would make a bad experience.  We also don't split the servers for the same reason.  Our job is to make the customer successful and splitting the deployment is not the path to success.
- Listen to the customer when this question is asked. They either understand the value but are still asking for a discount in the form of mixed tiers or they don't understand the value at all.
- If they are really talking about price, dig into the details (deployment timing, sequence, services needed) to ensure we've optimized every possible angle for the customer.
- Work with the customer to use more stages of GitLab in their deployment.  They will see improved business outomes and results. This validates the price.
- Leverage the CS team!  A customer considering Ultimate should have hands-on experiences to see the massive benefit they get from the product.
- Is the customer uncomfortable because they are uset to paying for security products for only a few users to operate?  Refocus on the value.  In many cases they may $250,000 for a product operated by 5 people to drive security outcomes.  With GitLab, they may pay a hither tier price for every user to ensure better security outcomes end-to-end, but the *total cost* of the increase is actually *much less* than the products they use today and *provides better business outcomes!* Focuse on the value because price per user is misleading if you are not focused on overall value to the customer.

### 5 B2B Sales Call Techniques That Get More Meetings <a name="techniques"></a>

If there's anything I've learned from listening to thousands of sales calls, it's this: despite all the tools intended to help sales reps engage with prospects -- email, lead and account scoring, content, social media alerts, and many more -- calls are still where relationships are forged or lost forever.

To put it simply, every other sales activity is leading up to one thing: a phone call. Not surprisingly, reps that have the best phone skills are almost always the most successful. In my experience, here are the five sales call techniques that the best reps put into practice with every prospect.

#### 1. Show Maximum Respect

Many of your calls are no doubt scheduled in advance, but some aren't. Near the beginning of unscheduled calls, ask this one simple question: "Have I caught you at a bad time?" You'll be surprised how few people say yes. That's because by simply asking the question, you're conveying that you're a thoughtful and respectful human being.

#### 2. Justify the Call

Before even dialing, imagine your prospect asking you, "Why are you calling me?" (with the emphasis on the word "me"). If you can answer that question eloquently and convincingly, then you're bound to add value during the call.

For example, "I'm calling because we're in the same beekeeping LinkedIn group, and I noticed you asked whether any group members could recommend a good supplier." Or, with a repeat customer, "You've ordered four cedar hives from us in the past, so I thought you'd want to know that we released a brilliant new model."

#### 3. Verify the Role

One of the keys to B2B sales is reaching out directly to the person whose job/career/life your product will improve. As a sales rep, you'll do research to ensure that you're calling the right person. But because people change roles all the time, you should verify this up front as well, even if you've talked to the person in the past.

For example, "Just to make sure, you're still involved in managing beekeeping operations -- do I have that right?" You'll be surprised how often people will respond with something like, "Actually, I changed roles, but I'd be happy to intro you to the person who's doing it now."

#### 4. Personalize

For best results, use public information to find common ground that helps you to connect as a person. For example, "I noticed that we're both connected to Jack White. Great guy, and an incredible guitarist. How'd you meet?"

Alternatively, you can reference prior engagement. For example, "I saw that you downloaded our bee relocation cheat sheet, and I wondered if our mobile cedar hives might be a good investment for you."

#### 5. Verify Compatibility

As is often the case in B2B sales, you may have a technology, size, or geography requirement. You're obviously going to research compatibility ahead of the call, but you also need to verify it before you waste anyone's time. For example, "Just so you know, our new hive frames are only compatible with WBC hives. Would that be an issue for you?"

If there's one common thread in all these tips, it's that the most successful sales reps put their customers' needs first. Add value, be honest and respectful, and offer information -- not a sales pitch. If you can put all of these sales call techniques into use, you'll be crushing your meeting quota in no time.

### Dan Tyre wrote

[a great article about "How to Create a Sales Plan"](https://blog.hubspot.com/sales/ultimate-guide-creating-sales-plan?utm_campaign=blog-rss-emails&utm_source=hs_email&utm_medium=email&utm_content=26033406)<a name="buyingplan"></a>.  Here are some highlights

First, I would like to change our thinking from being a sales plan to a buying plan.  This puts us in the mindset of the buyer and helps us use words focused on them and not us. The purpose of a buying plan is to help the process move forward.  To avoid inertia.  Time kills deals so we putting a plan in place that moves the conversation and process forward is essential.

To determine if you need a buying plan at all or how comprehensive it should be, you fist need to understand the sophisitication of your buyer.  A good question to ask is: "Have you bought a similar product before?"

This question is crucial. If this is the first time they've ever bought something like your offering, your plan needs to outline how to buy in the first place. You'll need to walk them through how to get internal buy-in and how to evaluate if your product is a good solution, working closely with them throughout.

#### Your Buying Plan needs to have Goal-Related Questions

1. What are your goals?
    - People who don't have goals don't make good customers. Your job is to find great prospects who will also make great customers.

2. What's your why?
    - Prospects don't buy for rational reasons -- they buy for emotional reasons. Your product is a rational means to an end, but that end is usually influenced by emotion. Your prospect has an image of the future in their head, and your product is what can help them get there. Getting a prospect talking about that future helps them understand why they should invest time and money in your solution.

3. What changes will result from this plan?
    - This is an impact question.  What is the impact of them using this product successfully? What fundamental changes will need to be made to their business?

4. If you don't know the answers to these questions, do you know who to ask to find out?
    - This is crucial as it brings in additional "champions" to the discussion.

#### Your Buying Plan needs to have Process-Related Questions

1. Who's responsible for buy-in?
    - Knowing who will be impacted by using the product, where the budget will come from as well as impacted by the change in moving to GitLab is essential.
    - It is also just as important to identify and bring into the conversation any stakeholder who is or acted as a champion for a competitor. Find that person and get them on your side.

1. What are your biggest challenges to the purchase?
    - Identify the roadblocks to purchase as soon as possible. This question will help you understand what still needs to be done.

1. What happens if you don't complete this purchase?
    - Find out your prospect's Plan B. It could be that they're totally screwed if they don't make this purchase, and asking them to envision that possibility will kickstart the sales process. It could also reveal that you're in a competitive situation, in which case it's time to reach out to a coach or champion and figure out where you stand.

1. What's your personal goal?
    - Know whether my prospect has skin in the game. This informs you of the motivating levers you can pull to move the deal ahead and forces the prospect to revisit exactly why this deal is important to them. The closer you get to the end of a sales cycle, the higher the chance that your prospect will be fatigued. Refocusing them on the prize is crucial.

#### Now that you have created the Buying Plan, what to do after

1. Ask the prospect to review it. Formally present it if you need to and ask how you can help them get buy-in.

2. Get buy-in from stakeholders on the plan so that everyone is on the same page.

3. Answer the naysayers. Go straight to your blockers with the plan to air out all their objections.

4. Define the purchasing process by asking questions like the ones below.
    - Who needs to be involved in the actual purchase -- signing contracts, approving budgets, etc.?
    - Does the purchase require an RFI (request for information), an RFQ (request for quotation), or any other documentation you'll be responsible for coordinating?
    - Does Legal need to get involved?
    - If additional documentation or reviews are needed, how long will those processes take?

### 73 Insightful "How" Sales Questions That Get Buyers Talking <a name="73"></a>

Art Sobczak wrote a great article on [73 Insightful "How" Sales Questions That Get Buyers Talking](https://blog.hubspot.com/sales/how-sales-questions?utm_campaign=blog-rss-emails&utm_source=hs_email&utm_medium=email&utm_content=28057486)

These HOW questions are broken down into categories

1. Fact-Gathering and Qualifying Questions
1. Need Identification Questions
1. Closing Questions
1. Addressing Resistance and Objections
1. Customer Service Questions
1. Questions to Ask Yourself

### 25 Phrases That Signal a Prospect Is Ready to Buy <a name="25-phrases"></a>

Aja Frost wrote an insightful article on [25 Phrases That Signal a Prospect Is Ready to Buy](https://blog.hubspot.com/sales/phrases-signal-prospect-is-ready-to-buy?utm_campaign=Sales+Blog+-+Manual+Emails&utm_source=hs_email&utm_medium=email&utm_content=36014993#sm.00000thjdio2kmcx3y923dyo5fe5u)

As Aja points out, salespeople get happy ears and interpret the buyers response and interest as something not true and inaccurate.  The key is to understand is your buyer in the consideration phase or the buying phase.  This article
calls out buying phrases that are committal.  Which phrases are you hearing?  Vague, abstract, no-committal.  If so, then your buyer is in the consideration stage and not buying.  Or is your buyer asking you or making very specific references to their interest in purchasing?

Quiz: Which phrase is a signal that the prospect is ready to buy?

  1. "That seems like it could be helpful." or
  1. "This tool would help us do X faster."

Answer is "This tool would help us do X faster.".  Read the article to gain more insight and to help you translate what the customer is really asking and to tame our happy ears.

### 11 Sales Negotiation Mistakes You Might Be Making <a name="11-mistakes"></a>

Leslie Ye wrote an article on [11 Sales Negotiation Mistakes You Might Be Making](https://blog.hubspot.com/sales/essential-negotiation-skills-for-salespeople)

Even the best negotiators fall victim to one of these mistakes from time to time.  Here is a list of the 11 mistakes with point 4, 5, and 10 resonating with me.

1. Treating negotiation as a zero-sum game
2. Not knowing why the prospect would buy
3. Not knowing why the prospect wouldn't buy
4. Negotiating too early
5. Negotiating with the wrong person
6. Treating all objections the same
7. Thinking price as the only lever you can pull
8. Giving something away without getting something in return
9. Not knowing when to walk away
10. You don't understand the prospect's decision criteria
11. You take things personally

### How to Qualify an Account From Afar <a name="Qualify Accounts From Afar"></a>

1. Target accounts have at least one of the following:
     - The company's core business model relies on software. Using Salesforce Navigator these companies are in the gaming, internet, ecommerce and software industries.
     - At least 20% of the company's staff are software developers or other types of DevOps practitioners. Use Salesforce Navigator's advanced features to see this.
     - Companies with more than 100 software developers. Use Salesforce Navigator's advanced features to see this.

2. Great target accounts have all three of the aforementioned characteristics or at least one of the aforementioned characteristics and  at least one of the following:
     - The company's headcount growth has been greater than 10%. This is best seen in the Insights tab of the company's LinkedIn page.
     - The company is hiring DevOps practitioners. This is best seen in the jobs tab of the company's LinkedIn page.
     - The company's technology stack lends itself to what GitLab has to offer.

3. The best target accounts have at least 3 bullet points from the first two buckets, with at least one bullet point in the second bucket along with one of the following:
     - The company has targets with LinkedIn profiles that show an interest in the GitLab value proposition.
     - The company published something in its blog or social media that indicates a need for the GitLab value proposition.
     - The company has a number of internal users of GitLab core or free plans; this can be seen via https://version.gitlab.com.
