---
title: "Technical Skills Exchange"
description: "Continuous education webcast series for GitLab's technical field team members"
---

The Technical Skills Exchange (previously known as Customer Success Skills Exchange) is a bi-weekly webinar focused on topics for the technical field team members. While this series is primarily planned with our Customer Success and SA organizations in mind, any and all field team members are welcome to attend.

- Each training session has a [speaker](#speaker-responsibilities) and a [moderator](#moderator-responsibilities)
- Sessions are approximately 50 minutes long

## Upcoming Training

To see what training is coming soon, view the [Technical Skills Exchange Issue Board](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/boards/7792277?label_name[]=Technical%20Skills%20Exchange).

### Get an invite to the weekly session

To get a calendar invite to the Technical Skills Exchange, make sure you are added to the sales-cs email group

You can [fill out an access request](/handbook/it/end-user-services/onboarding-access-requests/access-requests/) to request access to the email group. These groups are invited to the meeting so that each individual person does not need an invite.

### Training Playlist

There are a few places to see previous Technical Skills Exchange Sessions:

- [Technical Skills Exchange Highspot Page](https://gitlab.highspot.com/items/6554f9b2501316c929028227)
- [Technical Skills Exchange Youtube playlist](https://www.youtube.com/playlist?list=PL05JrBw4t0KorkxIFgZGnzzxjZRCGROt_) on GitLab Unfiltered YouTube
- [Technical Skills Exchange Q&A Doc](https://docs.google.com/document/d/1Zyj8u4JfiBi4gUSn9xAbRZ5H1erY9qpb8j0NzvFwwWg/edit)

### To request new Technical Skills Exchange session

- Comment on the current quarter planning issue which you can find on the [Technical Skills Exchange Issue Board](hhttps://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/boards/7792277?label_name[]=Technical%20Skills%20Exchange) to connect with our team

### Speaker Responsibilities

- Come prepared at least 2 mins before session is scheduled to begin to make sure you are ready to begin on time.
- Send your slides to the Customer Success and SA Enablement Program Manager and add them to the [notes document](https://docs.google.com/document/d/1Zyj8u4JfiBi4gUSn9xAbRZ5H1erY9qpb8j0NzvFwwWg/edit)
- Include any other relevant links to the [notes document](https://docs.google.com/document/d/1Zyj8u4JfiBi4gUSn9xAbRZ5H1erY9qpb8j0NzvFwwWg/edit)

### Moderator Responsibilities

#### Overall Technical Skills Exchange Management

As the moderator for the Technical Skills Exchange, you are responsible for identifying topics, speakers, and dates for the quarter.

#### Webinar Moderator Responsibilities

**Prior to Webinar**

- One week before the webinar, confirm with the speaker that they are prepared and available for the session. This can help eliminate the need for last minute cancellations.
- Day before webinar, send an announcement in the #customer-success, #tim-tams, and #solutions-architects Slack Channels.

**During the Webinar**

The moderator for each webinar should serve as the host of the call and overall wingperson for the presenter. The moderator monitors chat to raise questions to the presenter and searches for links that are mentioned on the call to make sure they get linked in the handbook page for the training.

- Log in to zoom 5 minutes ahead of time
- The video should not be recording, but pause if this is the case
- Promptly welcome everyone to the call and remind them that the call will be recorded. Specifically mention how to talk about sensitive info on every intro. Be sure to start the meeting as close to the start time as possible.
- Record the call.
- Monitor the time.

**After the Webinar**

- After the session, upload the recording to the [Technical Skills Exchange Highspot](https://gitlab.highspot.com/items/6554f9b2501316c929028227).
- Post a announcement in the #customer-success, #tim-tams, and #solutions-architects Slack channels, and link to the [Highspot page](https://gitlab.highspot.com/items/6554f9b2501316c929028227).

Sample Announcement:

> If you missed yesterday's Technical Skills Exchange session  with <Presenter> discussing < Summary of session>, the recording is now live on Highspot!
>
> You can find links to all previously recorded sessions on the [Highspot page](https://gitlab.highspot.com/items/6554f9b2501316c929028227) and see the team Q&A in the session [notes document](https://docs.google.com/document/d/1Zyj8u4JfiBi4gUSn9xAbRZ5H1erY9qpb8j0NzvFwwWg/edit).
