---
title: "Field Accreditation Program"
description: "To support and scale GitLab's continued growth and success, the Field Enablement Team has developed a role-based accreditation program that includes functional, soft skills, and technical training for field team members"
---

## Field Accreditation Program

## Field Accreditation Program Overview

During [Sales Quick Start](/handbook/sales/onboarding/), every GitLab field team member is trained on [customer value drivers](/handbook/sales/command-of-the-message/#customer-value-drivers) and GitLab's value-based messaging framework (see the [Command of the Message](/handbook/sales/command-of-the-message/) page). Once new team members complete SQS, they will begin their role-based certifiction program.

To improve efficiency & predictability with a consistent and scalable customer engagement, the Field Enablement Team has developed a role based accreditation program that includes functional, soft skills, and [product training](/handbook/sales/training/product-certification/) for field team members.

The Accreditations align to the customer's journey and the [field functional competencies](/handbook/sales/training/field-functional-competencies/) that address the critical knowledge, skills, role-based behaviors, processes, and tools to successfully execute customer engagements.

Note: This accreditation program is different from resources like other [GitLab Certifications](https://about.gitlab.com/learn/certifications/public/) that focus on how to *use GitLab* or tied to GitLab competencies (though we encourage field team members to take these as well)!

### Purpose of the Field Accreditation Program

These role-based accreditation programs allow us to validate GitLab skills and knowledge, recognize individual mastery, and motivate continuous learning and skills growth all aligned to expectation setting and performance discussions as part of the onboarding learner journey and beyond.

The goal of the Field Accreditation Program is to validate that:

- Knowledge has been transferred (Do you know it?)
- The learner can apply that knowledge in simulated & live scenarios (Can you do it?)
- The learner has taken ownership of effective skill execution and can demonstrate proficiency over time (Can you do it independently and continue to execute over time?)

### Audience

The Field Accreditation Program will include functional and soft skills training for:

- [Strategic Account Leaders](/handbook/sales/training/field-certification/sal/)
- [Account Executives](/handbook/sales/commercial/enablement/required7/)
- [Solution Architects](/handbook/sales/training/field-certification/sa/)
- [Customer Success Managers](/handbook/sales/training/field-certification/csm/)
- [Partners](/handbook/resellers/training/)

### Architecture and Approach

With the customer in mind, learning will be focused on helping field team member create engagements with a customer that make a lasting emotional impression. The foundation of this approach is based on the concept explained in "Blueprints for a SAAS Sales Organization: How to Design, Build and Scale a Customer Centric Sales Orgnization" by Jacob Van Der Kooj and Fernando Pizarro.

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vR-T2H_KC9sJ5RwDLubKccE7ZdBJZGlfHPqTovGPD0qgQbR40u-G5loZsPMc4MVX4LjzLjBDH6XhEfZ/embed?start=false&loop=false&delayms=3000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

**Please note:* Processes continue to mature and evolve. To see that latest, please check out the slide below.*

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vQNYu_4jB3j3i_fYukM3yMtcbhgbpKbivbaaiKnuih3X6pdn-oI9ic0k6TqtwP2qjqVAaC-HXIC0uD7/embed?start=false&loop=false&delayms=3000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure>

## Delivery

Course content will be a combination of handbook pages, YouTube videos, and interactive content delivered through the new Learning Experience Platform (LXP). This new system is not intended to replace the Handbook as the single source of truth, and instead will serve to curate content from a variety of sources and provide a guided tour of curated content for the learner.

### Accreditation Assessments

To achieve GitLab "certified" status, candidates must complete both the online written exam (knowledge) and practical assessment (skill) with a passing score on each exam.

- Anyone can sign up and take the written exam, but only learners who successfully pass the online written assessment will be granted access to the practical assessment
- The practical assessment will require team members to demonstrate the ability to deliver customer engagements to GitLab's standards
- Upon completion of all courses within each accreditation, learners will receive a badge

#### GitLab Use Cases Overview

The GitLab use cases help define the categories of related features with a **business value** narrative. In other words, why are customers buying GitLab and what do they think that we offer. You can read more about each of our use cases by navigating to the Product navigation menu at the top of this page or from anywhere on [about.gitlab.com](https://about.gitlab.com/).

- [Source Code Management](https://about.gitlab.com/stages-devops-lifecycle/source-code-management/)
- [Continuous Integration and Deployment/Delivery (CI/CD)](https://about.gitlab.com/features/continuous-integration/)
- [Auto DevOps](https://about.gitlab.com/stages-devops-lifecycle/auto-devops/)
- [Security and DevSecOps](https://about.gitlab.com/solutions/dev-sec-ops/)
- [Agile Delivery](https://about.gitlab.com/solutions/agile-delivery/)
- [Value Stream Management](https://about.gitlab.com/solutions/value-stream-management/)
- [GitOps and Infrastructure-as-Code](https://about.gitlab.com/solutions/gitops/)

There are also resources available to cater to the size of customer and their needs.

- [Small Business](https://about.gitlab.com/small-business/)
- [Enterprise](https://about.gitlab.com/enterprise/)

Currently available courses include the following:

#### Continuous Integration (CI)

- Access the [Continuous Integration Customer Use Case learning path](https://gitlab.edcast.com/pathways/continuous-integration-customer-use-case)

#### DevSecOps

- Access the [DevSecOps Customer Use Case learning path](https://gitlab.edcast.com/pathways/devsecops-customer-use-case)

#### DevOps Platform

- Access the [DevOps Platform Use Case learning path](https://gitlab.edcast.com/pathways/devops-platform-customer-use-case)

#### Agile Management

- Access the [Agile Management Use Case learning path](https://gitlab.edcast.com/insights/agile-management)

## Feedback

To get involved or follow along with the development, check out the [Field Accreditation Issues Board](https://gitlab.com/groups/gitlab-com/-/boards/2714682?label_name[]=Field%20Learning%20Programs). We love feedback and questions, so check us out on Slack in #field-enablement-team.
