---
title: "Field Accreditation: Customer Success Managers"
description: "To support and scale GitLab's continued growth and success, the Field Enablement Team is developing an accreditation program for Customer Success Managers that includes functional, soft skills, and technical training for field team members"
---

## Field Accreditation Program for Customer Success Managers

## Overview

To support and scale GitLab's continued growth and success, the Field Enablement Team is developing an accreditation program for Customer Success Managers that includes functional, soft skills, and technical training for field team members.

Accreditation badges will align to the critical customer engagements as well as the [field functional competencies](/handbook/sales/training/field-functional-competencies/) that address the critical knowledge, skills, role-based behaviors, processes, content, and tools to successfully execute each customer interaction.

## Customer Success Managers Curriculum

Below is the holistic learner journey for CSMs and provides context for the information included throughout the learning program.

**Course 1: [Building Success Plans](https://gitlab.edcast.com/pathways/ECL-47775d76-4bc6-4fe8-bdde-07f6ffc56578)**

- Define success plans and their purpose
- Distinguish between success plans and collaboration projects
- Explain the process of creating a success plan
- Define well-written customer outcomes

**Course 2: Success Plans in Gainsight**

- How to build success plan in gainsight
- What to put into fields like Strategy
- Building objectives and related tasks in Gainsight

**Course 3: Executive Business Reviews**

- Define what is an EBR
- Describe why we do EBRs
- List who should be at EBR, and their role
- Utilize content from success plan to build EBR Deck
- Demonstrate the value of an EBR to customers (to assist in getting EBR scheduled)
- Facilitate scheduling EBRs in a timely fashion with execs and economic buyers.

**Course 4: SALSA-CSM Meeting**

- Identify roles & responsibilities in the SALSA-CSM Meeting
- Review SALSA-CSM Meeting best practices
- Leverage tools during call

**Course 5: Pre- to Post Sales Handoff**
*Differentiate between when a CSM should get involved in commercial and enterprise accounts

- Review the Customer Use Case with SAE and SA
- Analyze the Customer's Background
- Identify gaps in understanding for planning phase

## Recognition

Upon completing each course, passing the written exam and practical assessment, the team member will receive a badge.

## Feedback

We want to hear from you! You can follow along with course development by checking out the issues on the [Field Enablement Team Board](https://gitlab.com/groups/gitlab-com/-/boards/2714682?label_name[]=Field%20Learning%20Programs).
