---
title: "Field Accreditation: Strategic Account Leaders"
description: "To support and scale GitLab's continued growth and success, the Field Enablement Team is developing an accreditation program for Strategic Account Leaders that includes functional, soft skills, and technical training for field team members"
---

## Field Accreditation Program for Strategic Account Leaders

## Overview

To support and scale GitLab's continued growth and success, the Field Enablement Team is developing an accreditation program for Strategic Account Leaders that includes functional, soft skills, and technical training for field team members.

Accreditation badges will align to the critical customer engagements as well as the [field functional competencies](/handbook/sales/training/field-functional-competencies/) that address the critical knowledge, skills, role-based behaviors, processes, content, and tools to successfully execute each customer interaction.

## Strategic Account Executive Curriculum

The below slide shows the holistic learner journey for SAEs and provides context for the information included throughout the learning program.

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vQvjB6E9JlplzwqBHVv2fFGAEGZwqjg4AZQO-p_DqjX7znjZGOC_q2-d2xCbwr2LbfXCmyOvVxcirYb/embed?start=false&loop=false&delayms=3000&slide=id.g94bb3b04a3_0_271" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure>

## Building the Territory & Pipeline Learning Path

This is the first learning path in development for SAEs which will consist of 5 courses. The learning objectives for each course are outlined below.

**Course 1: [Co-Selling with Partners](https://gitlab.edcast.com/insights/ECL-9a30df21-dff0-4ac5-8ffa-e67429860dfd)**

- The different types of partners GitLab works with
- Key elements of both the Channel and Alliances programs
- How to effectively co-sell with partners in the field
- How to engage with key stakeholders within GitLab

**Course 2: Account Planning**

- Define an account plan
- Identify differences between Territory Planning, Account * Planning, Opportunity Planning, and Success Planning
- Explain the criteria to justify creating an account plan
- Explain the components of an account plan
- Explain the methodology used to create each component of an account plan
- Explain how to collaboratively execute an account plan
- Build an account plan template based on one of your existing accounts

**Course 3: Account Planning in Gainsight**

- Create a strategy for 6, 12, and 18 mos*
- Organize people/ influence map in Gainsight
- Build white space map in Gainsight
- Organize an action plan for the account team

**Course 4: Generate Pipeline**

- Differentiate between lead generation and pipeline generation
- Describe how to conduct various pipeline generation activities
- Prepare for an initial qualification meeting
- Conduct an initial qualification meeting (OODA)

**Course 5: Manage Forecasting Activities**

- Differentiate between pipeline management and forecasting
- Describe pipeline best practices
- Calculate your quote gap
- Determine your ideal pipeline size to meet your quota
- Explain the process to accurately forecast

## Recognition

Upon completing each course, passing the written exam and practical assessment, the team member will receive a badge.

## Feedback

We want to hear from you! You can follow along with course development by checking out the issues on the [Field Enablement Team Board](https://gitlab.com/groups/gitlab-com/-/boards/2714682?label_name[]=Field%20Learning%20Programs).
