---
title: CorpSec Helpdesk
---

## Need Help?

Visit the [Corporate Security Support](/handbook/security/corporate/support) and/or [Corporate Security Systems](/handbook/seecurity/corporate/systems) handbook page to get help.

This page provides the "what" and links to the services that we provide and our internal processes. The support page provides the "how" that you will find helpful.

## Overview

We have 24x5 coverage provided by Helpdesk Support Analysts that can help you with access requests, account lockouts, authentication issues, laptop hardware, laptop software configuration problems, 1:1 training for unfamiliar technologies, and triage problems for any [Corporate Security Systems](/handbook/security/corporate/systems).

- [Identity and Access Management](/handbook/security/corporate/services/identity)
  - [Access Requests](/handbook/security/corporate/services/access-requests)
  - [Account Password and 2FA Resets](/handbook/security/corporate/services/account-resets)
  - [Career Mobility (Mover) and Role Changes Provisioning](/handbook/security/corporate/services/role-changes)
  - [External Collaborators (Customers, Partners, Vendors)](/handbook/security/corporate/services/external-collaborators)
  - [Onboarding (Joiner) Provisioning (Baseline Entitlements) and User Support](/handbook/security/corporate/services/onboarding)
  - [Offboarding (Leaver) Deprovisioning](/handbook/security/corporate/services/offboarding)
  - [Service Accounts](/handbook/security/corporate/services/service-accounts)
  - [Temporary Service Providers](/handbook/security/corporate/services/temporary-service-providers)
- [Infrastructure Management](/handbook/security/corporate/services/infrastructure)
  - [AWS](/handbook/security/corporate/systems/aws)
  - [GCP](/handbook/security/corporate/systems/gcp)
- [Laptops and Logistics](/handbook/security/corporate/services/laptops)
- [Tech Support for Team Members](/handbook/security/corporate/services/support)

**Please ask for assistance in the `#it_help` Slack channel.**

For systems not managed by Corporate Security, you can locate the owner in the [tech stack](https://gitlab.com/gitlab-com/www-gitlab-com/-/blob/master/data/tech_stack.yml). If you're not sure where to ask, please ask in `#it_help` and we will redirect you to the right person or place.

## Support Hours

We provide support 24x5 to support standard working hours for our team members during the work week from Sunday 22:00 UTC to Friday 23:59 UTC. We do not provide support coverage on weekends.

In the event of an emergency or urgent request, `#it_help` is still the fastest and best place to ask.

**Courtesy Reminder:** Our team members have scheduled on-call shifts, so we kindly ask that you ask in the channel and **not send Slack direct messages to specific individuals (unless it's for a sensitive matter)**. There is no need to tag any group or person in the `#it_help` channel since your request **will be responded to by the first available person**.

### Holiday Schedule

- 2024-12-25 (Wednesday)
- 2025-01-01 (Wednesday)

### On Call Schedule

<table class="display: table;">
<thead>
<tr>
<th>Region</th>
<th>Analyst Name</th>
<th>Support Hours</th>
<th>Projects/Provisioning Hours</th>
</tr>
</thead>
<tbody>
<tr>
<td>JAPAC</td>
<td><a href="/handbook/company/team/#sladgrove"><div style="display: inline-block; vertical-align: top;"><img class="avatar" src="https://about.gitlab.com/images/team/sladgrove-crop.jpg" style="max-width: 50px !important; width: 50px !important; max-height: 50px !important; height: 50px !important;" alt="Steve Ladgrove"></div><div style="display: inline-block; vertical-align: top">Steve Ladgrove</a><br>
<small>Australia Eastern (UTC+10)</small></td>
<td>22:00 to 06:00 UTC<br>3:00pm to 11:00pm PT</td>
<td>22:00 to 06:00 UTC<br>3:00pm to 11:00pm PT</td>
</tr>
<tr>
<td>JAPAC</td>
<td><a href="/handbook/company/team/#mhirata-gl"><div style="display: inline-block; vertical-align: top;"><img class="avatar" src="https://about.gitlab.com/images/team/maximilianhirata-crop.jpg" style="max-width: 50px !important; width: 50px !important; max-height: 50px !important; height: 50px !important;" alt="Maximillian Hirata"></div><div style="display: inline-block; vertical-align: top">Maximillian Hirata</a><br>
<small>Japan (UTC+9)</small></td>
<td>23:00 to 07:00 UTC<br>4:00pm to 12:00am PT</td>
<td>23:00 to 07:00 UTC<br>4:00pm to 12:00am PT</td>
</tr>
<tr>
<td>EMEA</td>
<td><a href="/handbook/company/team/#bferreira-ext"><div style="display: inline-block; vertical-align: top;"><img class="avatar" loading="lazy" src="https://about.gitlab.com/images/gitlab-logo-extra-whitespace.png" style="max-width: 50px !important; width: 50px !important; max-height: 50px !important; height: 50px !important;" alt="Bruno Ferreira"></div><div style="display: inline-block; vertical-align: top">Bruno Ferreira</a><br><small>Ireland (UTC+1)</small><br>
<td>07:00 to 11:00 UTC<br>11:00pm to 3:00am PT</td>
<td>11:00 to 15:00 UTC<br>3:00am to 8:00am PT</td>
</tr>
<tr>
<td>EMEA</td>
<td><a href="/handbook/company/team/#edunne-ext"><div style="display: inline-block; vertical-align: top;"><img class="avatar" loading="lazy" src="https://about.gitlab.com/images/gitlab-logo-extra-whitespace.png" style="max-width: 50px !important; width: 50px !important; max-height: 50px !important; height: 50px !important;" alt="Eoghan Dunne"></div><div style="display: inline-block; vertical-align: top">Eoghan Dunne</a><br>
<small>Ireland (UTC+1)</small></td>
<td>11:00 to 16:00 UTC<br>3:00am to 9:00am PT</td>
<td>08:00 to 11:00 UTC<br>12:00am to 3:00am PT</td>
</tr>
<tr>
<td>AMER</td>
<td><a href="/handbook/company/team/#akrusiec"><div style="display: inline-block; vertical-align: top;"><img class="avatar" loading="lazy" src="https://about.gitlab.com/images/gitlab-logo-extra-whitespace.png" style="max-width: 50px !important; width: 50px !important; max-height: 50px !important; height: 50px !important;" alt="Alex Krusiec"></div><div style="display: inline-block; vertical-align: top">Alex Krusiec</a><br>
<small>AMER Pacific/Mountain (UTC-7)</small></td>
<td>15:00 to 19:00 UTC<br>8:00am to 12:00pm PT</td>
<td>19:00 to 23:00 UTC<br>12:00pm to 4:00pm PT</td>
</tr>
<tr>
<td>AMER</td>
<td><a href="/handbook/company/team/#mrohr-ext"><div style="display: inline-block; vertical-align: top;"><img class="avatar" loading="lazy" src="https://about.gitlab.com/images/gitlab-logo-extra-whitespace.png" style="max-width: 50px !important; width: 50px !important; max-height: 50px !important; height: 50px !important;" alt="Mic Rohr"></div><div style="display: inline-block; vertical-align: top">Mic Rohr</a><br>
<small>AMER Central (UTC-5)</small></td>
<td>16:00 to 21:00 UTC<br>5:00am to 10:00am PT</td>
<td>21:00 to 23:59 UTC<br>10:00am to 1:00pm PT</td>
</tr>
<tr>
<td>AMER</td>
<td><a href="/handbook/company/team/#jwong6"><div style="display: inline-block; vertical-align: top;"><img class="avatar" src="https://about.gitlab.com/images/team/jennywong-crop.jpg" style="max-width: 50px !important; width: 50px !important; max-height: 50px !important; height: 50px !important;" alt="Jenny Wong"></div><div style="display: inline-block; vertical-align: top">Jenny Wong</a><br>
<small>AMER Pacific (UTC-7)</small></td>
<td>16:00 to 19:00 UTC<br>9:00am to 12:00pm PT</td>
<td>19:00 to 23:59 UTC<br>12:00pm to 5:00pm PT</td>
</tr>
<tr>
<td>AMER</td>
<td><a href="/handbook/company/team/#jeffford_"><div style="display: inline-block; vertical-align: top;"><img class="avatar" src="https://about.gitlab.com/images/team/jeffford-crop.jpg" style="max-width: 50px !important; width: 50px !important; max-height: 50px !important; height: 50px !important;" alt="Jeff Ford"></div><div style="display: inline-block; vertical-align: top">Jeff Ford</a><br>
<small>AMER Pacific/Mountain (UTC-7)</small></td>
<td>17:00 to 22:00 UTC<br>10:00am to 3:00pm PT</td>
<td>22:00 to 01:00 UTC<br>3:00pm to 6:00pm PT</td>
</tr>
</tbody>
</table>
