---
title: Laptops and Logistics
---

## Purpose

This page displays different pieces of information surrounding GitLab laptop procurement and management.

## Scope

At GitLab, we use centralized laptop management for company-issued laptops. If you are in possession of a company-issued laptop, the details below apply to you. However, not all endpoint management technologies GitLab deploys will be required for Apple, Linux, and Windows laptops. Some technologies may be specific to the hardware platform or operating system.

## Roles & Responsibilities

| Role                                        | Responsibility                                                                 |
|---------------------------------------------|--------------------------------------------------------------------------------|
| GitLab Team Members                         | Responsible for following the requirements in this procedure                   |
| Corporate Security                          | Responsible for implementing and executing this procedure                      |
| Corporate Security Management (Code Owners) | Responsible for approving significant changes and exceptions to this procedure |

## Guides

### Policies

- [Procurement Guide and Shipping Times](/handbook/security/corporate/services/laptops/procurement)
- [Hardware Models and Specs](/handbook/security/corporate/services/laptops/hardware)
- [Operating System Standards](/handbook/security/corporate/services/laptops/os)
- [Apps and Software Standards](/handbook/security/corporate/services/laptops/software)
- [Security Configuration Standards](/handbook/security/corporate/services/laptops/security)
  - [Apple ID for Work](/handbook/security/corporate/services/laptops/security/appleid)
  - [Backups](/handbook/security/corporate/services/laptops/security/backups)
  - [Disk Encryption](/handbook/security/corporate/services/laptops/security/encryption)
  - [Firewall](/handbook/security/corporate/services/laptops/security/firewall)
  - [Hostnames and Usernames](/handbook/security/corporate/services/laptops/security/names)
  - [iCloud Drive](/handbook/security/corporate/services/laptops/security/icloud)
  - [Locking When Unattended](/handbook/security/corporate/services/laptops/security/unattended)
  - [Password Management](/handbook/security/corporate/services/laptops/security/passwords)
  - [Personal Use](/handbook/security/corporate/services/laptops/security/personal)
  - [Remote Management (MDM and EDR)](/handbook/security/corporate/services/laptops/security/management)
  - [Software Updates](/handbook/security/corporate/services/laptops/security/updates)
  - [Touch ID (Biometric Passwords and 2FA)](/handbook/security/corporate/services/laptops/security/touchid)
  - [Web Browsers](/handbook/security/corporate/services/laptops/security/browsers)
  - [Wireless Networks and VPN](/handbook/security/corporate/services/laptops/security/networks)

### New Laptops

- 👀 [Onboarding Hardware Ordering Guide](/handbook/security/corporate/services/laptops/onboarding)
- [Onboarding Software Setup Guide](/handbook/security/corporate/support/onboarding)
- [Apple macOS Setup Guide](/handbook/security/corporate/systems/macos/setup)
- [Linux Setup Guide](/handbook/security/corporate/systems/linux)

### Laptop Replacement and Repairs

- [Refresh/Replace Guide](/handbook/security/corporate/services/laptops/refresh)
- [Repair Guide](/handbook/security/corporate/services/laptops/)

### Old Laptops

- [Wipe (Factory Reset) Guide](/handbook/security/corporate/services/laptops/wipe)
- [Buy Back Guide](/handbook/security/corporate/services/laptops/buy-back)
- [Donation Guide](/handbook/security/corporate/services/laptops/donation)
- [Recycle/Return Guide](/handbook/security/corporate/services/laptops/recycle)

## Legal Holds and Investigations

If the team member is under an active Legal Hold or possesses material related to an active Company investigation, they must comply with the notice requirements. Failure to comply with an active Legal Hold may expose the team member or the Company to adverse consequences, including civil or criminal penalties and sanctions. Their obligation to follow the procedures outlined in the notice continues until the hold is lifted, even if they depart the Company. If the team member departs the Company, all Company devices and any material they're holding in accordance with any active Legal Hold Notice or active Company investigation should be turned over upon their departure.
<!-- Intentional duplicate on /handbook/security/corporate/services/laptops/security/management -->
