---
title: Laptop Procurement for New Team Members
---

## Overview

The laptop ordering process for new hires starts as soon as an offer is accepted by a candidate and the initial Welcome email is sent by the Candidate Experience Specialist.

This email will include a link to the Laptop Order Form where the new team member will state their intent for obtaining or ordering hardware.

Please review the [Macbook Model Eligibility](/handbook/security/corporate/services/laptops/hardware#macbook-model-eligibility) to choose the appropriate model.

> **Important:** If your job title includes the word `Engineer` and your team is not approved for a performance model, it may be an oversight or typo. Please ask in [#it_help](https://gitlab.enterprise.slack.com/archives/CK4EQH50E) before submitting an order form to confirm whether you can order the performance model. If you have not started at GitLab yet, please send this question via email to your Candidate Experience Specialist.

Team members that live in these countries can be serviced via the Laptop Ordering Process:

- USA
- Canada
- Mexico
- Thailand
- China
- Japan
- Philippines
- Singapore
- Australia
- New Zealand
- India
- UK
- All of the EU

Please note that we are adding supported countries to this list as we discover our ability to order in them.

You can test this by going to order a MacBook Pro (or Dell) from the regional Apple store, and seeing if they let you customize a build or alternately refer you to local retailers.

If the latter, see below.

We currently cannot procure Apple laptops for Brazil or Israel. If your country is not listed above or for any general laptop procurement questions please contact `IT-Help@gitlab.com` or your Candidate Experience Specialist to discuss alternate options.

If the team member desires financial assistance to purchase the hardware, the Company will advance the funds to help facilitate the purchase (see Exception Processes below).

**Warning: fake job scams**: Scammers may impersonate GitLab and target job seekers. GitLab will never ask new hires to send us funds for equipment purchases.

Read the ["What to know about a fake job scam impersonating GitLab"](https://about.gitlab.com/blog/2023/06/29/fake-gitlab-job-scam/) blog post to learn the warning signs and how to protect yourself.

### Exception Processes

If you are in a region where we are not able to have a laptop delivered, and you need to request funds be advanced in order for a local purchase to take place;
Obtain two quotes from local retailers (online or physical).

Email your manager with those quotes attached, requesting the funds advance and detailing the reason why (geo region, unable to have laptop delivered).
Your manager will supply this information and follow the [process to initiate an advance](/handbook/finance/expenses/#team-member-expense-temporary-advances).

Should a laptop not be available to a new GitLab team-member upon their start date, it is permissable for a team member to temporarily use a personal macOS or Linux laptop.

If in the rare case that your laptop arrives damaged or unusable prior to your start date, please reach out to your Candidate Experience Specialist and CC [laptops@gitlab.com](mailto:laptops@gitlab.com) for next steps on an immediate replacement or repair.

If you are unable to complete any of the steps above, you may request a Laptop Exception using this [template](https://gitlab.com/gitlab-com/gl-security/security-assurance/security-risk-team/third-party-vendor-security-management/-/blob/master/.gitlab/issue_templates/Laptop%20Exception%20Request). These requests require approval from leadership across multiple departments and are discouraged due to the possibility of data leakage.
