---
title: Laptop Repairs and Replacements
---

### GitLab Laptop Replacement Program

We get it, sometimes things happen! If your laptop is broken or not sufficient for your role you can request a replacement laptop if you do not qualify for the 3 year refresh yet.

Replacement laptops for broken GitLab laptops can be requested as needed by [creating an issue](https://gitlab.com/gitlab-com/it/end-user-services/issues/laptop-issue-tracker/-/issues/new?issuable_template=Laptop_Replacement). Please describe the reason for your replacement in the issue. (i.e., my screen and battery are damaged) also, please note replacements will require your manager's approval in the issue.

Many team members can use their company issued laptop until it breaks. If your productivity is suffering, you can request a new laptop. The typical expected timeframe for this is about three years, but it can depend on your usage and specific laptop.

**Please note**

Laptops paid for or reimbursed by the company are property of GitLab. They need to be reported with serial numbers, make, model, screen size and processor to IT Ops by enrolling the device for proper [asset tracking](/handbook/finance/accounting/#fixed-asset-register-and-asset-tracking).
Since these items are company property, you do not need to buy insurance for them unless it is company policy to do so (for example, at the moment we do not purchase Apple Care), but you do need to report any loss or damage to IT Ops as soon as it occurs.

### Laptop Repair

#### Creating the Request

Before repairing, you must open an issue in the [End User Services Issue Tracker](https://gitlab.com/gitlab-com/it/end-user-services/issues/laptop-issue-tracker/-/issues/new?issuable_template=Laptop_Repair) to document the repair. Prior to the repairs being done, the issue must include the following:

- Include the quote for the cost of repairs
- Approval from an IT team member
- Your manager's approval

#### Getting a quote

Take the MacBook to the Apple Store (or any authorized service center). You should ensure that you have a recent backup before doing so, and that your laptop is not your only registered device for iCloud two-factor authentication.

If the repair is less than `$1,000 USD`, follow the below process to repair and expense.

Please make sure to attach/include any estimates or receipts for the repair that you get from Apple (or any authorized service center) in the issue. Picture or PDF will work just fine.

Do not provide the repair center with any credentials to your laptop. If they ask, you can tell them that they're authorized to do a factory reset on the laptop should it be necessary to run diagnostics. This will help prevent sensitive data from being accidentally or intentionally leaked during repair.

If the repair is going to be greater than `$1,000 USD` and take several weeks to fix and you have no back up laptop, your best option is to replace the laptop. You can skip the steps blow and create a [laptop replacement issue](ttps://gitlab.com/gitlab-com/it/end-user-services/issues/laptop-issue-tracker/-/issues/new?issuable_template=Laptop_Replacement).

#### During the repair process

If the repair is going to take longer than a day and you are blocked for work. The IT team may have spares MacBooks to send to you. Please reach out to us in #it_help via Slack or in your created laptop repair issue so we can check if we are able to provide a loaner device

#### After the repair process

Once you receive your laptop back, [re-install MacOS](https://support.apple.com/en-au/HT208496) and restore your data from a recent backup. This is to ensure that no unauthorized software was added during the repair process. Make sure that your [disk is encrypted](/handbook/security/corporate/services/laptops/security/encryption) and you've reinstalled [Jamf for Mac](/handbook/security/corporate/systems/jamf/setup) or [DriveStrike for Linux](/handbook/security/corporate/systems/driverstrike/setup). Also, ensure that you have installed [SentinelOne](/handbook/security/corporate/systems/sentinelone/setup) in order to keep your laptop secure.

In this case please open a [laptop replacement issue](https://gitlab.com/gitlab-com/it/end-user-services/issues/laptop-issue-tracker/-/issues/new?issuable_template=Laptop_Replacement).

When you receive the new laptop, please follow the guidelines in the template. After you have moved to the replacement laptop, we can have the old one sent off to be [recycled](/handbook/security/corporate/services/laptops/recycle).
