---
title: Laptop Wireless Networks
---

## Overview

It is safe to connect to the wireless network at your home or a friend or family member's house.

- [Vendor Docs - Wi-Fi: Connecting to WiFi Networks](https://support.apple.com/guide/mac-help/use-the-wi-fi-status-menu-on-mac-mchlfad426fa/14.0/mac/14.0)
- [Vendor Docs - Wi-Fi: Status Symbols](https://support.apple.com/guide/mac-help/wi-fi-menu-icons-on-mac-mchlcedc581e/mac)

## Smart Home

There are security implications involved in the use of "smart home devices" such as Amazon Echo or Google Home. In rare instances these devices can record conversations you might not have intended them to record. Many smart home devices will provide a visual and/or auditory indicator to let you know they're activated; for many such devices, when they're activated, they're recording you and save a transcript of what you say while it's active.

If a smart home device is activated while you're verbalizing sensitive information, wait for it to turn off or manually turn it off. If you think a smart device may have been activated while verbalizing sensitive information, most smart home devices allow you to delete transcripts and recordings.

Please use your best judgement about the placement of these devices and whether or not to deactivate the microphone during sensitive discussions related to GitLab.

## Traveling

The safest wireless network when traveling outside of your house is using the hotspot on your phone if possible.

When connecting to a wireless network at a coffee shop or co-working space or hotel, you should use [NordLayer VPN](/handbook/security/corporate/systems/vpn) to establish a secure connection to avoid local network traffic interception.

**Security Best Practice:** When traveling in public spaces (ex. airports, airplanes, trains, etc.), it is a security best practice to disable Wi-Fi on your laptop until you need to use it. Even if you are not connected to a wireless network, your wireless chip is still scanning for networks "on the wire" and may try to connect to a familiar or known network.

- [System Guide - NordLayer VPN](/handbook/security/corporate/systems/vpn)
- [Vendor Docs - Wi-Fi: Using iPhone or iPad as Hotspot](https://support.apple.com/guide/mac-help/iphone-ipad-connect-mac-internet-mchl7594e36f/14.0/mac/14.0)
- Legacy Handbook Page: [Personal VPN](/handbook/tools-and-tips/personal-vpn/)

## Separate Network

Refer to the [network isolation guide](/handbook/security/network-isolation/) for setting up a dedicated WiFi so that your work laptop is isolated from other personal devices in your home network, including smart home devices and [home media servers](https://thehackernews.com/2023/03/lastpass-hack-engineers-failure-to.html).
