---
title: CorpSec Onboarding Services
---

The Corporate Security Helpdesk provides day-to-day support and handles the provisioning of accounts, hardware, and software for new team members (aka employees), temporary service providers (aka contractors), and any external collaborators (aka customers, partners, and vendors).

If you need any help with onboarding that isn't answered in the handbook or you're overwhelmed, simply ask in the [#it_help](https://gitlab.enterprise.slack.com/archives/CK4EQH50E) Slack channel.

## Related Services

- [External Collaborators](/handbook/security/corporate/services/external-collaborators) (Customers, Partners, Vendors)
- Team Members (Employees)
  - [Access Requests](/handbook/security/corporate/services/access-requests)
  - [Career Mobility (Role Changes)](/handbook/security/corporate/services/role-changes)
  - [Laptops](/handbook/security/corporate/services/laptops)
  - [Offboarding](/handbook/security/corporate/services/offboarding)
- Temporary Service Providers (Contractors)
  - [Contractors (Temporary Service Providers)](/handbook/security/corporate/services/temporary-users)
  - [Laptops](/handbook/security/corporate/services/temporary-users/laptops)

## Overview

At GitLab, we use the term **onboarding** to refer to the first few weeks after a team member was hired and enabling you to be productive. The onboarding processes are cross-functionally managed with Corporate Security, [People Operations](/handbook/people-group/general-onboarding/), and [Security Assurance](/handbook/security/security-assurance/).

We also enable our customers, partners, and vendors that are external to GitLab to collaborate with internal teams on GitLab.com, Google, Slack, etc. Please see the [external collaborators](/handbook/security/corporate/services/external-collaborators) handbook page for access requests related to users without a `@gitlab.com` email address.

## Contractors

At GitLab, we use the term **team member** instead of **employee**, except in documentation (like this page) when trying to relate to what you already may be familiar with. See the [People Group Employment Solutions](/handbook/people-group/employment-solutions/#team-member-types-at-gitlab) page to learn more about the different types of team members, including **contractors**.

The fundamental difference between a **team member contractor** and **temporary service provider contractor** is:

- **Team Member Contractors:** You were hired by a GitLab recruiter and signed an employment agreement, even if you are employed by a Professional Employer Organization (PEO) based on the country that you live in.
- **Temporary Service Provider Contractors:** You are employed by a managed service provider or an agency to work on a specific program or project at GitLab for a specified period of time (usually up to 1 year).

Corporate Security also supports the onboarding of both types of contractors, however we have separate processes for [temporary service provider contractors](/handbook/security/corporate/services/temporary-users).

## Guides

### Contractor (Temporary Service Provider) Guides

### Manager Guides

- Access Requests
  - Adding Team Member to Groups and Systems
  - Create an AR for Team Member (Single System)
  - Create an Onboarding AR for Missing Baseline Entitlement
- Approvals
  - Approving an Access Request
- Baseline and Role Entitlements
  - Create a Baseline Template
  - Deprecate a Baseline Template
  - Missing Baseline Entitlement for New Team Member
  - Rename a Baseline Template
  - Update a Baseline Template
- Group Memberships
  - GitLab Groups
  - Google Workspace Groups
  - Slack Groups
- Offboarding
- Role Changes (Career Mobility)
- Provisioning

### Team Member Guides

- Access Requests
  - New request for a single system
  - New temporary service provider onboarding
  - New team member onboarding (for new team member)
  - Escalate the priority of an access request
  - Find an existing access request
- Baseline Entitlements
  - Create a role-based entitlement

## Issue Trackers

- [Access Request Issue Tracker (Team Members)](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues)
- [Access Request Issue Tracker (Temporary Service Providers)](https://gitlab.com/gitlab-com/temporary-service-providers/lifecycle/-/issues)
- [Offboarding Checklist Issue Tracker](https://gitlab.com/gitlab-com/team-member-epics/employment/-/issues/?sort=created_date&state=opened&label_name%5B%5D=offboarding&first_page_size=20)

## Policies and Processes

- [Access Management Policy](/handbook/security/security-and-technology-policies/access-management-policy/)
- [Baseline Entitlements](https://internal.gitlab.com/handbook/it/end-user-services/access-request/baseline-entitlements/)
