---
title: Apple macOS Setup Guide
---

## Overview

The first time your MacBook starts up, the Setup Assistant will walk you through the simple steps needed to get start using your new Mac. Please see the [operating system installation](#os-steps) and [application installation and configuration](#apps-steps) instructions below.

<!-- TODO: Add step-by-step guide for latest MacOS before reaching the desktop -->

## New to Mac

If you are new to using a Mac (ex. used Windows before), you may find the Vendor Docs or training helpful.

- [Vendor Docs - macOS User Guide](https://support.apple.com/guide/mac-help/welcome/14.0/mac)
- [Vendor Docs - Get started with your Mac](https://support.apple.com/guide/mac-help/get-started-with-your-mac-mchl3a2c2cb0/mac)
- [Vendor 101 Training Webinars - New to Using a Mac](https://events.apple.com/content/events/pst/us/en/default.html?token=xww6uj7woR0X9A3Y9qIMRkNVdH60MurN7MAvJSY75sHQxWqaTEhMjEmalXqC7MMJuZhb5dzJ1P9mLUXaAAfCMipX6qVTaNqFY_njjpamZQfrSbMYEpe-edwBN1r5nI4t-GCxEY8&a=1&l=e)

## Security Policies

Please read through the [security standards](/handbook/security/corporate/services/laptops/security) pages before proceeding to learn more about GitLab-specific configuration requirements or recommendations.

- [Apple ID for Work](/handbook/security/corporate/services/laptops/security/appleid)
- [Backups](/handbook/security/corporate/services/laptops/security/backups)
- [Disk Encryption](/handbook/security/corporate/services/laptops/security/encryption)
- [Firewall](/handbook/security/corporate/services/laptops/security/firewall)
- [Hostnames and Usernames](/handbook/security/corporate/services/laptops/security/names)
- [iCloud Drive](/handbook/security/corporate/services/laptops/security/icloud)
- [Locking When Unattended](/handbook/security/corporate/services/laptops/security/unattended)
- [Remote Management](/handbook/security/corporate/services/laptops/security/management)
- [Touch ID (Biometric Passwords and 2FA)](/handbook/security/corporate/services/laptops/security/touchid)
- [Wireless Networks](/handbook/security/corporate/services/laptops/security/networks)

## OS Steps

**Do not use your personal email address Apple ID.** Please create a new Apple ID using your `{handle}@gitlab.com` work email address to keep your personal and work data separate.

<!-- TODO -->

## Apps Steps

<!-- TODO -->

This is a placeholder.

### Transfer Information from a Mac (Migration Assistant)

If you are a new GitLab team member, choose the `Don't transfer any information now` option. Do not try to transfer information from a personal Mac or your previous company's computer.

If you received a replacement laptop from GitLab, you can choose to transfer information from your old MacBook or start over with a clean slate.

- [Vendor Docs - Migration Assistant](https://support.apple.com/guide/mac-help/transfer-information-mac-computer-device-mh27921/14.0/mac/14.0)
- [Vendor Migration - Migration Assistant](https://support.apple.com/en-us/102613)

### Siri

**Most team members do not use Siri on their work Mac.** You can always turn it on later if you have a need.

You can use Siri if you'd like. Remember that Siri is tied to your work Apple ID and won't be able to access or control any smart home devices or send messages to your contacts on your personal phone or devices.

## Mac Cheat Sheet

If you are new to using a MacBook or switched from another OS such as windows, check out these useful shortcuts and options.

![mactips2.png](/handbook/security/corporate/systems/macos/setup/images/mactips2.png)

![mactips1.png](/handbook/security/corporate/systems/macos/setup/images/mactips1.png)
