---
title: Okta Workforce Identity and SSO
---

## Overview

Okta is an Identity and Single Sign On solution for SaaS applications and Cloud platforms that is used for accessing most applications at GitLab. This allows us to consolidate authentication and authorization to applications we use daily through a single dashboard and ensure a consistent, secure and auditable login experience for all our GitLab team members.

## Quick Links

- 👀 [Okta Access Requests](/handbook/security/corporate/systems/okta/ar)
- [Okta Applications](/handbook/security/corporate/systems/okta/app)
  - 👀 [New Application Setup Guide](/handbook/security/corporate/systems/okta/app/setup)
- [Okta Groups](/handbook/security/corporate/systems/okta/group)
- [Okta Users](/handbook/security/corporate/systems/okta/user)
  - 👀 [Setup Guide](/handbook/security/corporate/systems/okta/user/setup)
    - [Android Setup Guide](/handbook/security/corporate/systems/okta/user/android)
    - [Apple iOS (iPhone/iPad) Setup Guide](/handbook/security/corporate/systems/okta/user/ios)
    - [Linux Setup Guide](/handbook/security/corporate/systems/okta/user/linux)
    - 👀 [macOS Setup Guide](/handbook/security/corporate/systems/okta/user/macos)
    - 👀 [Passkey Setup Guide](/handbook/security/corporate/systems/okta/user/passkey)
    - 👀 [Touch ID 2FA Setup Guide](/handbook/security/corporate/systems/okta/user/touchid)
    - [YubiKey 2FA Setup Guide](/handbook/security/corporate/systems/okta/user/yubikey)
  - Authentication
    - 😱 [Lockouts and Password and 2FA Resets](/handbook/security/corporate/systems/okta/user/)
    - ❓ [Frequently Asked Questions (FAQ)](/handbook/security/corporate/systems/okta/user/faq)
  - [Provisioning Architecture](/handbook/security/corporate/systems/okta/user/provisioning)
- [Okta Verify (Device Trust)](/handbook/security/corporate/systems/okta/verify)
  - [Android Setup Guide](/handbook/security/corporate/systems/okta/verify/android)
  - [Apple iOS Setup Guide](/handbook/security/corporate/systems/okta/verify/ios)
  - [Apple macOS Setup Guide](/handbook/security/corporate/systems/okta/verify/macos)
- [Okta Workflows (No Code Automation)](/handbook/security/corporate/systems/okta/workflows)
- [Vendor Docs - Okta Documentation](https://help.okta.com/en-us/content/index.htm)

## Benefits

- **Application Owners**
  - Automated user provisioning and group management
  - Ability to transparently manage shared credentials to web applications without disclosing the credentials to users
  - Centralized access for users, making it easy to add, remove and change the application profile without the need to update all users.
- **Business Security Benefits**
  - Enable Zero-Trust based authentication controls upon our assets, so that we can allow authorized connections to key assets with a greater degree of certainty.
  - Manage the login process to the 80+ and growing cloud applications that we use within our tech stack.
  - Manage the provisioning and deprovisioning process for our users to access these application, by use of automation and integration into our HRIS system.
  - Make trust and risk based decisions on authentication requirements to key assets, and adapt these to ensure a consistent user experience.
- **User Benefits**
  - Single Dashboard with all the applications you need in a single place.
  - Managed SSO and Multi-Factor Authentication that learns and adapts to your login patterns, making life simpler to access the applications you need.
  - Transparent security controls with a friendly user experience.
  - Improved 2FA user experience.
