---
title: Individual Development Plan
---

## From FY24-Q2 - Individual Growth Plan

Since the launch of the company wide [Individual Growth Plan](/handbook/people-group/learning-and-development/career-development/igp-guide/) in Workday per FY24-Q2 we recommend Security team members to leverage that tool in Workday to collaborate with their manager on their career path and growth opportunities. Team members can read all about that progress in [this guide](/handbook/people-group/learning-and-development/career-development/igp-guide/). We have deprecated the [The Individual Development Plan (IDP) template](https://docs.google.com/document/d/1Df4ITI_ZBXK51B5MP2nzAXS24O-9lmi5itVUniop8MU/edit?usp=sharing)

## Till FY24-Q2 - Individual Development Plan

[The Individual Development Plan (IDP) template](https://docs.google.com/document/d/1Df4ITI_ZBXK51B5MP2nzAXS24O-9lmi5itVUniop8MU/edit?usp=sharing) was used by Security team members till FY24-Q1 to help collaborate on a team member's career path and growth opportunities. The template was designed to document a team member's personal choices and the direction they want to take their career while allowing their manager to provide guidance and assist with career growth. The use of this template is entirely voluntary and optional. In fact, the template format and process used are also both flexible and adaptable to each manager and team member. Feel free to adapt the template in manners that meet the needs of the manager and team member.

### Process

The process a manager and team member follow is entirely up to them. However, it is strongly encouraged to use team member 1:1 meetings to discuss career opportunities and growth in conjunction with the performance review process. This template and any process that is followed, is not intended to replace the [Engineering Performance Review](/handbook/support/workflows/team/performance_review/) process. Lastly, while managers should be engaging their team members and actively involved in their direct report's growth, it is the responsibility of the team member to take the initiative to start this process with their manager and subsequently follow through with actions assigned to them. A team member should drive this process and their own personal development at a pace they are comfortable with. IDPs should be shared with the team member's direct manager and others only as chosen by the team member.

### Professional goals and aspirations

This section of the template should be solely filled out by the team member and used to clearly communicate both short term and long term career goals. These goals can be as small as obtaining a certification and as large as working to take on the role of CEO some day. While these goals drive the entire conversation from the start, a team member should not feel pressured to document a long term goal but at a minimum, a short term goal is required.

### Strengths and talents

The team member and their manager should agree upon what is documented in this section. The strengths and talents of the team member should help determine what aspects of their current skill set can be leveraged to foster continued growth and show sustained performance of responsibilities for a role the team member may be interested in obtaining.

### Development opportunities

Possibly the most important section of the template, clearly establishing the skills, knowledge, and experience that will be required of a team member to achieve their goals and aspirations is critical to the success of a development plan. Agreement between the manager and team member on the documented development opportunities is equally important. These should be discussed in detail to ensure both team members have a clear understanding of the development opportunities.

### Action plan

The action plan must clearly describe the steps to be taken, potentially in a specific order, and what the specific action plan step will accomplish. These steps should align closely with the development opportunities documented. Additionally, action plans should be specific and achievable. Though the action plan items should be tracked with agreed to dates, missing these dates must not reflect negatively on the team member. The goal of the IDP is to provide the basic means for a manager to assist with the growth of a team member and the team member to clearly understand that which is required to grow their career in the direction they have defined. It is not intended to be a measure of performance.

### Questions

Feel free to contact the [Security Team](https://gitlab.slack.com/archives/CM74JMLTU) in our Slack Channel.
