---
title: "Philippe Lafoucrière README"
job: "Security Architect"
---

## Philippe Lafoucrière's README

### About me

Hi! I'm a [Security Architect](/job-families/security/security-engineer#security-architect) at
GitLab, which is a specialty on top of my [Security Distinguished Engineer](/job-families/security/security-engineer#distinguished-security-engineer) role.

I have an Engineering background, having graduated from the
[Université de Technologie de Compiègne](https://www.utc.fr/en/) (France) with a Master's Degree in Computer Science.
Nevertheless, my career almost involved an Entrepreneur aspect. This makes me a Jack of all
trades and a master of none.

I have worked in various industries, ranging from telecoms to online betting.

A few facts about me:

- I live in Quebec City, Quebec, Canada.
- I have dual citizenships: French & Canadian.
- I have 2 teenagers.
- I have lived, studied and worked in France and other European countries, but also in South East Asia.
- I spent some of my childhood in South Pacific Islands near Australia.
- I love all things outdoors.

### Background story at GitLab

I joined GitLab with the [acquisition of Gemnasium](https://about.gitlab.com/press/releases/2018-01-30-gemnasium-acquisition.html)
in 2018, when I become the first
manager of the [Secure Stage](https://about.gitlab.com/direction/secure/). After having designed and developed security
products, I decided to switch to the other side of the mirror and joined the [Security Department](/handbook/security) in 2020.

![timeline](../timeline.png)

### Communicating with me

I'm pretty informal, message me on Slack, send an email, or tag me on a thread, and I'll respond as
soon as I can. I don't use TODOs in GitLab, preferring to use emails instead. This allows me to see
updates on issues where I've been involved, without getting pinged explicitly.

You can always book a slot in my agenda (during working hours) if you want to talk to me, no need to
ask.

My English is not perfect. The best way for me to improve is to correct myself when I'm using wrong
words or expressions.

Also, you can tell I'm tired when my English is worse than usual!

### My working style

I live by our [values](/handbook/values/) and embrace every one of them as much as I can. By
default, I will go async via an issue or a merge request. I create a lot of issues, but they do not
all translate into an action item. I use issues as a placeholder for discussions too. Sometimes,
it's to document why I or we think it's not a good idea to do something. We can re-evaluate the
topic long after, and still get the context which might have changed in the meantime.

I enjoy merge requests too, and consider them as the new workspace. They invite everyone to contribute,
keep track of context and changes, let us loop in whoever is needed to review or approve, and least
but not least have great flexibility for approval rules.

I love UX and by extension simplicity, which is something I will always strive for. Complexity is
growing exponentially, so I tend to push back on ideas that can be simplified.

Having managed a company for a decade, I have an affinity for:

- added value: Return On Investment (ROI) is a great way to think about the value provided when a
  decision is made. In everything I'm doing or planning to do, I'm always asking
  myself what my added value in this matter is. How do I contribute to the success of the Security
  Department and GitLab, the product and the company.
- risk assessment and management: Blind spots and dark corners keep me up at night. Legal and
  security risks can arise everywhere, and I usually have a natural ability to find and recognize
  them.

### Typical workday

I wake up at 6 am, exercise until 8 am, breakfast until 8:30 am I usually don't work before
this time, but always check my emails and slack messages when I wake up (old CEO habit).

I take a 1-hour break for lunch, usually between 11:30 am - 12:30 pm.

I end the day around 6 pm to cook dinner for the family.

I get back to the computer between 7 and 8 pm After that, Slack and emails are still in "monitor
mode", but it's usually family time.

### Projects

I maintain the [GitLab Inventory Builder](https://gitlab.com/gitlab-com/gl-security/product-security/gib)
as well as our [internal inventory](https://gitlab.com/gitlab-com/gl-security/product-security/inventory)
(private project).

### Office Hours

As a Distinguished Engineer, I host Office Hours for the Security Department, but anyone else is
free to join if you want to talk about security. These Office Hours usually happen on Mondays at
9:30 AM PST (the event is stored in the "Security" shared calendar, available to all team members of
the department). Reach out to me if you're not in this department and want to be invited.

### Roadmap and Vision

My roadmap and vision can be found [here](https://gitlab.com/groups/gitlab-com/gl-security/-/epics/174).

### Tooling

These tools make my day, every single day. I would have a really hard time working without:

#### Alfred

[Alfred](https://www.alfredapp.com/) is a productivity app for mac. It's a blazing-fast application
launcher with some nice extra features. The best is the [clipboard history](https://www.alfredapp.com/help/features/clipboard/)
that stacks everything copied in the clipboard.
I can copy many different links for example and then switch to another window to paste
them. It's also smart enough to remove secrets from 1password from the history once pasted.

#### Little Snitch

[Little Snitch](https://www.obdev.at/products/littlesnitch/index.html) is a smart firewall for Mac.
It monitors all traffic and lets me choose what I accept or not. More importantly, it will trigger a
pop-up when a new and unexpected connection is initiated, so I can spot if a program is trying to
send something behind my back.
