---
title: "Field Security Team"
---

[Governance and Field Security team charter]({{< ref "governance_and_field_security_team_charter" >}})
{.h2}

## <i class="fas fa-bullseye" style="color:rgb(110,73,203)" aria-hidden="true"></i> Field Security Team

The Field Security team serves as the public representation of GitLab's internal Security function. Our **vision** is to be the leading example in collaborative and transparent Customer Assurance Programs. Our **mission** is to empower the GitLab community with confidence and trust that their data is protected with high levels of security assurance to drive revenue growth. We partner with our fellow GitLab team members and customers to provide a **pathway to yes!**

## <i class="far fa-lightbulb" style="color:rgb(110,73,203)" aria-hidden="true"></i> Core Competencies

The Field Security team is tasked with providing high levels of security assurance to internal and external customers. We work with all GitLab departments to document requests, analyze the risks associated with those requests, and provide value-added remediation recommendations. We do this in four main ways:

- Conducting [Customer Assurance Activities]({{< ref "customer-security-assessment-process" >}}) such as completing Security, Privacy, and Risk Management Questionnaires, assisting in Contract Reviews, participating in Customer Pre-Sales Meetings, and making available our Security Documents (such as GitLab's SOC2 or Penetration Test reports). These activities are managed through the [Customer Assurance Activities Service Desk](https://gitlab.com/gitlab-com/gl-security/security-assurance/field-security-team/customer-assurance-activities/caa-servicedesk/-/issues).
- Proactively maintaining self-service security and privacy resources including the [SafeBase Trust Center](https://trust.gitlab.com/) and the [Knowledge Base]({{< ref "knowledge_base" >}}).
- Providing recommendations based on customer security concerns in support of revenue growth through the annual [Field Security Study]({{< ref "field-security-study" >}}) and participation in the [Quarterly Business Review](/handbook/sales/qbrs/) Process.
- Building the GitLab Security brand by improving internal and external awareness of GitLab's security practices and the security of our platform. Engaging with customers and prospects through [Evangelism Activities]({{< ref "evangelism" >}}) and with internal stakeholders via the [Field Security Sales Training Program]({{< ref "fsstp" >}}).

---

## <i id="biz-tech-icons" class="fas fa-tasks"></i>Metrics and Measures of Success

[Security Impact on Net ARR](/handbook/security/performance-indicators#security-impact-on-net-arr)

## <i class="fas fa-id-card" style="color:rgb(110,73,203)" aria-hidden="true"></i> Contact the Team

[Ayoub Fandi](/handbook/company/team/#ayofan), @ayofan, Staff Security Assurance Engineer, Field Security

- [Customer Assurance Activities]({{< ref "customer-security-assessment-process" >}})
- [Evangelism]({{< ref "evangelism" >}})
- Collateral Development for the Trust Center
- [Field Security Sales Training Program]({{< ref "fsstp" >}})
- Customer Engagements
- Contract Reviews
- Trust Center administration, maintenance and development (Knowledge Base, content, documents, integrations and metrics)

[Jonathan Snow](/handbook/company/team/#jgsnow), @jgsnow, Senior Security Assurance Engineer, Field Security

- [Customer Assurance Activities]({{< ref "customer-security-assessment-process" >}})
- Trust Center maintenance and development (Knowledge Base, content, documents, integrations and metrics)

[Joe Longo](/handbook/company/team/#jlongo_gitlab), @jlongo_gitlab, Senior Manager, Governance and Field Security

- [Customer Assurance Activities]({{< ref "customer-security-assessment-process" >}})
- [Field Security Study]({{< ref "field-security-study" >}})
- [Independent Security Assurance]({{< ref "independent_security_assurance" >}})
- Contract Reviews
- Trust Center administration and development (Knowledge Base, content, documents, integrations and metrics)

{{% note %}}
The areas above related to each team members primary responsibility. However, each team member is cross trained in all processes and provide back up to each other if applicable.
{{% /note %}}

- GitLab Issues
  - `/gitlab-com/gl-security/security-assurance/field-security-team`
- Email
  - `security-assurance@gitlab.com`
- Slack
  - Group Handle
    - `@field-security`
  - Primary Slack Channels
    - `#sec-fieldsecurity`
    - `#sec-assurance`

## Feedback and the Future of Field Security

Do you have an idea, feedback, or recommendation for how Field Security can better support you? Please open a General Request issue in the [Field Security Project.](https://gitlab.com/gitlab-com/gl-security/security-assurance/field-security-team/field-security)

## <i class="fas fa-book" style="color:rgb(110,73,203)" aria-hidden="true"></i> References

- [Customer Assurance Activities Procedure]({{< ref "customer-security-assessment-process" >}})
- [Trust Center]({{< ref "trust_center_guide" >}})
- [RFP Completion]({{< ref "field-security-rfp" >}})
- [Knowledge Base]({{< ref "knowledge_base" >}})
- [Field Security Study]({{< ref "field-security-study" >}})
- [Evangelism]({{< ref "evangelism" >}})
- [Field Security Sales Training Program]({{< ref "fsstp" >}})
- [Independent Security Assurance]({{< ref "independent_security_assurance" >}})
- [Security Shadow Program]({{< ref "security-shadow-security-assurance" >}})

<div class="d-grid gap-2 my-4">
<a href="{{< ref "security-assurance" >}}" class="btn bg-primary text-white btn-lg">Return to the Security Assurance Homepage</a>
</div>
