---
title: AnswerBase Quality Guide
---

## Purpose

The purpose of this guide is to establish quality expectations for AnswerBase.

## Quality Expectations

### Answers

Answers in AnswerBase should have the following characteristics:

- More than just a `yes` or `no` answer
  - Answers should contain a supporting narrative.
    - The supporting narrative should accurately explain why we are answering `yes` or `no` to a question.
    - The supporting narrative should refer back to a control, product feature, policy/procedure, etc. that justifies our `yes` or `no` answer.
      - We are not obligated to provide the supporting narratives to customers in questionnaires.
      - The supporting narratives will enhance all team members' understanding of the topics covered by the answers.
      - The supporting narratives will help establish AnswerBase as a true knowledgebase for all team members.
  - Answers will be reviewed for accuracy on at least an annual basis.

### Tags

- Answers should have tags assigned to them.
  - Tags will support quicker and smoother searching for team members.
  - Tags will be reviewed for accuracy on at least an annual basis.

### Libraries

- Libraries should have appropriate names and descriptions assigned to them.
  - The names should describe the nature of the answers contained within each library.
  - The descriptions should further describe the nature of the answers contained within each library so every team member accurately understands what they are viewing when they enter a library.
  - Libraries that are not populated with content should have `(COMING SOON)` appended to the library name.
  - Library owners should represent the SME responsible for maintaining the library.
  - The justification for a library's existence should be evaluated on an annual basis.
  - Libraries should be decomissioned when their existence is no longer justified.
    - Libraries should have a decomissioned date, which should be communicated through the library description. Example:
        `***This library is set for decommissioning on YYYY/MM/DD*** Description of Library`
    - The decomissioned date should be 30 days after a library is determined to be unjustified.
