---
title: "Security Evangelism"
---

## Why do we evangelise?

One of Field Security's critical missions is to improve internal and external awareness of GitLab's security practices and the security of our platform. As we continue to iterate and grow, we must improve our ability to engage and impact prospects and customers in a meaningful way.

Security evangelism allows us to develop a better understanding of our prospects' and customers' "needs" and "wants", and it allows us to better position ourselves to provide them with a valuable product and service.

## How do we evangelise?

Field Security's goal is to take a holistic approach to security evangelism. We want to be dynamic and transcend traditional methods of gathering and sharing information.

### Written engagements

- An annual [Field Security Study]({{< ref "field-security-study" >}}) that documents areas of concern or improvement identified for GitLab's products and services.
- Whitepapers and collaterals
- Blog posts
- Surveys

### Audio & video engagements

- Webinars
- Podcasts
- Videos

### Live engagements

- Customer meetings
- Conferences (Information gathering and speaking engagements)
- Roadshows

## How can you help?

Continuous and open feedback from all of our team members is more than appreciated. If you're interfacing with a prospect or a customer and you learn of a concern, a suggestion, a "want" or a "need", please forward that information to Field Security. Your feedback will help drive our roadmap and strategy so that we can help GitLab deliver more value to our customers and the industry.

### Contact

To contact Field Security, please tag @field-security, or send us a message in #Sec-Fieldsecurity.
