---
title: "Request for Information Process"
---

## Request for Information / Details

If a customer, or potential customer, has questions related to Product, Marketing, Legal and/or Environmental, Social and Governance (ESG)--including for renewals or during an active term--please follow the Request for [Proposal (RFP) Process](#request-for-proposal-rfp-process) below.

## Request for Proposal (RFP) Process

The Field Security Team, Legal & Corporate Affairs, Field Ops and Sales have created a process to assist and simplify the Request for Proposal or Information process for the Field Team. With regards to RFP's, the Field Team should follow the below steps:

1. Upon receipt of a Request for Proposal (RFP) or Request for Information (RFI), the Sales Team Member should ensure that an Account and Opportunity are created in SFDC;
1. If the RFP will require more than a quote being created (e.g. insight and assistance from various stakeholders), the Sales Team Member should request and receive ASM (or higher) approval via Chatter in the SFDC Opportunity.
1. The Sales Team Member will review content in GitLab's Trust Center [Knowledgebase](https://trust.gitlab.com) for any questions related to Security, Corporate, Privacy, Commercial Legal, and ESG. *NOTE:* All Team Members have a base-line entitlement.
1. Sales Team Member should engage [Deal Desk](/handbook/sales/field-operations/sales-operations/deal-desk/#communicating-with-the-deal-desk-team), per standard process, for any question related to pricing and/or quoting.
1. For questions related to Product, Security, Corporate, Privacy, Commercial Legal, and ESG which were not answered following the steps above, the Sales Team Member can open an Issue [here](https://gitlab.com/gitlab-com/legal-and-compliance/-/issues/new?issuable_template=RFP_Intake%20Form): **be sure to select the RFP Intake Issue Template**
1. When filling out the **RFP Intake Issue Template** please do the following:
    - Select the box for the applicable Content Area(s); and
    - Delete any Content Area elements that are not applicable.
1. RFP Intake Issues will be assigned to applicable DRIs.

## What Field Security Can't Do

There are parts of the Request for Proposal or Request for Information process that fall outside of Field Security's scope. *We cannot write the proposals or provide the following: product or service specifications, implementation schedule, and plans; training or support specifications and terms; information surrounding GitLab's ability to provide the appropriate resources; other GitLab customers' experiences; and anything related to costs, values, pricing, payments, etc.*

What *we can do* is respond to requests relating to security and facilitate other SME's responses to areas such as People/HR, Finance, Privacy, Commercial Legal, etc.

## Helpful resources

While our team will do our very best to facilitate the process, there are some self-service resources to help you complete certain documents.

If you receive a `Vendor Set Up Form`, you can find more information [here](/handbook/sales/field-operations/order-processing/#how-to-process-customer-requested-vendor-setup-forms).

If you need an `NDA`, you can find more information on obtaining one [here](/handbook/legal/nda/).

Please review [our SLAs]({{< ref "customer-security-assessment-process#service-level-agreements" >}}) regarding the timelines for each type of customer assurance activity.

For any **financial information**, please use the [Sales Team New Customer Form Resources](https://gitlab.com/gitlab-com/Finance-Division/finance/-/wikis/Sales%20Team%20New%20Customer%20Form%20Resources) which has all the relevant information inclding banking information for all GitLab entities. Also review the [investor relations](https://ir.gitlab.com/) page for filings and financial results data.

### Participants

The following GitLab groups participate in the shared RFP program:

- Legal Privacy, DRIs: @emccrann ; @Bronwyn
- Legal Operations, DRIs: @rnalen; @ktesh
- Legal, DRI: @mtaylor
- ESG, DRI: @slcline
- People Ops, DRI: @cgudgenov
- Security, DRI: @ayofan

Interested in participating? Contact @ayofan today!
