---
title: "Field Security Sales Training Program"
---

## Why a security sales training program?

One of Field Security's critical missions is to improve internal and external awareness of GitLab's security practices and the security of our platform. As we continue to iterate and grow, we must improve our ability to engage and impact prospects and customers in a meaningful way.

The Sales organization is a central part of this initiative. They have the critical role of selling GitLab and being trusted advisors to customers and prospects alike. From a security perspective, this role is critical from two angles:

- As the first DevSecOps platform, security is a central reason why prospects chose GitLab and want to natively integrate security into their development process
- As company supply chains are becoming more complex, security stakeholders are often central to the sales process. Showcasing the maturity of our internal security program is therefore a great competitive advantage.

The goal of the security sales enablement program is to focus on fulfilling these objectives using the approach detailed in the next sections.

## Program presentation

{{< youtube "Ijjjuk_A_dk" >}}

## 5 Objectives

### Embed Security early

> Help the Sales stakeholders proactively engage with customers/prospects about security

### Streamline Security work

> Reduce the administrative burden linked to customer security review processes

### Understand Security's role

> Strengthen the understanding of the customer assurance activities and Field Security work

### Help better position Security

> Guide Sales in positioning our security documentation and resources to shorten the cycle

### How to reach Security?

> Know where to go and who to reach out for questions, support and escalations

## Holistic security training and enablement

{{% details summary="1. Throughout the pipeline" %}}

- **At the discovery stage**
- **During scoping discussions**
- **With the technical evaluation**
- **When drafting the proposal**
- **In the negotiation stage**
{{% /details %}}

{{% details summary="2. During their time at GitLab" %}}

- **Before they join GitLab**
- **During the onboarding process**
  - Sales Quick Start
  - 30-60-90
- **At each milestone of their career at GitLab**
  - After a promotion
  - When expanding territory
{{% /details %}}

{{% details summary="3. Across the different roles" %}}

- **SDR/BDR**
- **Account Executives**
- **Strategic Account Leaders**
- **Solutions Architect**
- **Customer Success Managers**
- **Professional Services**
- **Support Roles**
  - Legal
  - Product Marketing
{{% /details %}}

{{% details summary="4. In every territory" %}}

- **EMEA**
- **APAC**
- **AMER**
- **Dedicated Markets**
{{% /details %}}

{{% details summary="5. For every type of customer" %}}

- **SMB**
- **Mid-Market**
- **Enterprise**
- **Public Sector**
{{% /details %}}

## Next generation of sales security training

Our objective is to build the next generation of GitLab's [Field Security]({{< ref "../field-security" >}}) program. Part of enhancing this program is establishing a Security Sales Training and Enablement program. We want to spearhead the following initiatives:

- **GitLab Security on Demand,** the Netflix of sales security enablement
- **Just in time micro-enablement,** learn what you need, when you need it
- **AI-powered AnswerBase,** the companion to your security conversations
- **Customer-focused Security Enablement sessions**, building proficiency in the topics your prospects care about
- **Integrated feedback process,** so we can always improve the program to suit your needs
- **Handbook-first comprehensive documentation,** only a handbook page away from the information you need

## Contact us

- #sec-fieldsecurity Slack channel
- On Slack please feel free to tag @ayofan or @field-security
