---
title: Knowledge Base
---

## What is the knowledge base?

The knowledge base is a library of question and answer pairs related to GitLab, Inc. and the GitLab solutions. The knowledge base is a living library that is updated and expanded by questionnaires from our prospects and customers. These questionnaires are related to efforts such as RFx requests, third party risk assessments, and supplier due diligence requests. The knowledge base is designed to serve both Field Security and all other team members.

## How can I use the knowledge base?

You can use the knowledge base in a manner similar to any other digital or physical library, **to answer questions and conduct research.**

The knowledge base is a self-service tool that enables you to quickly search for keywords related to topics of interest from our prospects and customers. Your searches will produce a list of question and answer pairs that closely match your keywords, providing you with the information you need to confidently respond to prospects and customers.

### What are some use cases for the knowledge base?

- Preparing talking points for a prospect or customer meeting
- Responding to an email from a prospect or customer; and
- Learning more about the GitLab solutions and how we operate internally at GitLab, Inc.

### How does Field Security use the knowledge base?

- To increase our efficiency and effectiveness when executing [Customer Assurance Activities]({{< ref "customer-security-assessment-process" >}})

## How can I access the knowledge base?

The knowledge base is powered by our Trust Center tool, [SafeBase](https://app.safebase.io/knowledge).

Please check out this [page](https://help.safebase.io/en/articles/6117207-knowledge-base-overview#h_615c8940e2) to learn more about how to navigate the Knowledge Base!

When you have Knowledge Base viewer access, you will also be able to access the Q&As through **Slack!** Just type **/kb-search *security keywords*** into any Slack channel to view potential answers. A link is available to view the entries in SafeBase as well.

Of course, everyone can always query the Knowledge Base regardless of their access level by browsing it directly from the Trust Center.

## Maintenance and Improvements

The knowledge base is a living library that is continuously being updated and expanded. As Field Security completes questionnaires, the  base libraries are updated with current and accurate answers. Field Security updates the structure and tagging within the knowledge base in an ad-hoc manner to ensure The knowledge base remains an easy to navigate and effective self-service tool for all team members.

If you have suggestions for improvements, please reach out to Field Security via any of the contact methods listed below.

## Contact the Field Security Team

- Email
  - `fieldsecurity@gitlab.com`
- Slack
  - Feel free to tag us with `@field-security`
  - The `#sec-fieldsecurity`, `#sec-assurance`, `#security-division` slack channels are the best place for questions relating to Field Security (please add the above tag).

<div class="d-grid gap-2 my-4">
   <a href="{{< ref "security-assurance" >}}" class="btn bg-primary text-white btn-lg">Return to the Security Assurance Homepage</a>
</div>
