---
title: Trust Center Guide
---

Are you looking for GitLab's Trust Center?

<div class="d-grid gap-2 my-4">
<a href="https://trust.gitlab.com" class="btn bg-primary text-white btn-lg">GitLab's Trust Center (Click Here!)</a>
</div>

## Do you have 120 seconds to learn more about the Trust Center?

{{< youtube "uOURJS7jpBw" >}}

## GitLab offers Trust Centers tailored to customer needs

- **GitLab.com page**:
This page provides detailed security information to prospective and existing GitLab.com SaaS and self-managed customers for completing vendor security assessments.

- **GitLab Dedicated page**:
This page provides detailed security information to prospective and existing GitLab Dedicated customers for completing vendor security assessments.

## Two types of Trust Center documentation

- **Readily available information**: The first step on the trust journey, these documents are publicly available and are designed to introduce GitLab's approach to security. Directly available from the [Trust Center](https://trust.gitlab.com).

- **Information under NDA**: These documents provide detailed security information to prospective and existing customers for completing vendor security assessments. Due to the sensitive nature of the documentation, an NDA is required to be in place prior to viewing specific documents (such as SOC 2 Type 2). The NDA signing process will happened directly through the Trust Center.

Due to the nature of some of GitLab's security reports, certain documents on the [Trust Center](https://trust.gitlab.com) are only available once an NDA has been signed through the clickwrap process on the Trust Center.

### Requesting new collateral for the Trust Center

To request new or updated Trust Center collateral, click the button below:

<div class="d-grid gap-2 my-4">
<a href="https://gitlab.com/gitlab-com/gl-security/security-assurance/field-security-team/field-security/-/issues/new?issuable_template=cap_collateral_request" class="btn bg-primary text-white btn-lg">New or updated Trust Center collateral</a>
</div>

#### SME owned collateral

For collateral owned by SMEs outside of Field Security, we perform an annual review and maintenance session. SMEs are notified via a GitLab issue and assigned relevant collateral pieces for review and maintenance. Upon completion, the updated collateral pieces are added to the appropriate CAP and prepared for publishing.

### Additional support

If you have any further questions, please follow the below steps:

- Prospective Customers: Please [fill out a request](https://about.gitlab.com/sales/) and a representative will reach out to you.
- Current Customers: Please contact your [Account Owner](/handbook/sales/#initial-account-owner---based-on-segment) at GitLab. If you don't know who that is, please [reach out to sales](https://about.gitlab.com/sales/) and ask to be connected to your Account Owner.
- GitLab Team Members: Contact the Field Security team using the **Customer Assurance workflow** in the [#sec-fieldsecurity](https://gitlab.slack.com/archives/CV5A53V70) slack channel.

<div class="d-grid gap-2 my-4">
<a href="https://handbook.gitlab.com/handbook/security/security-assurance/field-security/" class="btn bg-primary text-white btn-lg">Return to the Field Security Homepage</a>
</div>
