---
title: "Security Terms Glossary"
description: "A glossary of common Security Terms that may be encountered in Security Assurance documentation."
---

## Overview

The [Security Assurance team]({{< ref "security-assurance" >}}) performs various types of security questionnaires, assessments and audits. If you have any questions, please feel free to contact us:

- Join our slack channel: #sec-assurance
- Email: <security-assurance@gitlab.com>

## Security Questionnaire

A document that is meant to provide an overview of a Security Program or portions thereof. Security Questionnaires are routinely used during Security Assessments. An example of an industry standard security questionnaire includes the [CAIQ](https://cloudsecurityalliance.org/star/registry/gitlab/) and which GitLab makes publicly available in our [Customer Assurance Package](https://about.gitlab.com/security/cap/)

## Security Assessment

An activity in which a Security Program or portions thereof are investigated for fit and function. For instance GitLab conducts [Third Party Risk Management assessments]({{< ref "third-party-risk-management" >}}) of our third parties. Security Assessments are generally conducted by an organization who is intending to procure services from another organization. GitLab supports Security Assessments for customers by publishing and maintaining the [Customer Assurance Package](https://about.gitlab.com/security/cap/)

## Security Audit

A comprehensive examination of a Security program, Security Relevant System or Security Controls. Security Audits are more comprehensive than security assessments as they require access to trusted information. It is important to understand the scope and covered period of a Security Audit to correctly interpret results. Security Audits can be internal or external.

### Internal Security Audit

A Security Audit conducted by personnel under the employment of the organization conducting the Audit. For example the [Internal Audit Team](https://internal.gitlab.com/handbook/internal-audit/) and [Security Compliance Team]({{< ref "security-compliance" >}}) at GitLab conduct Internal Audits of GitLab's Security Program.

### External Security Audit

A Security Audit conducted by a contracted and independent 3rd party. For example GitLab routinely undergoes [SOC2]({{< ref "security-compliance/certifications" >}}) audits and [Penetration Testing](https://about.gitlab.com/security/#external-testing) from independent 3rd party auditors.
