---
title: Trust & Safety Team
description: "GitLab.com Trust & Safety Team Overview"
---

<link rel="stylesheet" type="text/css" href="/stylesheets/biztech.css" />

The Trust and Safety team is a sub department of the Security Team at GitLab that forms part of the [Security Operations](/handbook/security/security-operations) subdepartment in [Security](/handbook/security) at GitLab Inc and are tasked with the mitigation of [Abuse on gitlab.com]({{< ref "abuse-on-gitlab-com" >}}).

## Mission

Our mission is to help build and maintain user trust, while keeping the GitLab platform safe and harm-free to help enable everyone to contribute.

We aim to achieve this by building a culture of care, protection, and a respect for privacy. We aim to stop the "bad" while also enabling the "good".

## Vision

Our vision for GitLab Trust and Safety is to build a team and tooling capable of achieving both accuracy and scale in our work.

We want to make our corner of the internet a little safer, but also be the best internet citizens we can be by helping to detect and report abuse externally.

## Our Responsibilities

- Detect user generated [Abuse on GitLab.com]({{< ref "abuse-on-gitlab-com" >}})
- Review reported accounts for abusive activity on GitLab.com.
- Remove user generated content on GitLab.com that violate of our [Terms of Service](https://about.gitlab.com/terms/).
- Mitigating malicious user generated activity on GitLab.com.
- Review Account Reinstatement requests.
- Review [DMCA](/handbook/legal/dmca/) (Digital Millennium Copyright Act) and Trademark Infringement notices.
- Reporting malicious activity impacting GitLab.com to the relevant service providers.

### <i class="fas fa-users" id="biz-tech-icons"></i> The Team

<table>
<thead>
<tr>
<th>Person</th>
<th>Role</th>
</tr>
</thead>
<tbody>
<tr>
<td>Joanna Rubi</td>
<td><a href="/job-families/security/trust-and-safety">Security Engineer, Trust & Safety</a></td>
</tr>
<tr>
<td>Shawn Sichak</td>
<td><a href="/job-families/security/trust-and-safety">Security Engineer, Trust & Safety</a></td>
</tr>
<tr>
<td>Westley van den Berg</td>
<td><a href="/job-families/security/trust-and-safety">Security Analyst, Trust & Safety</a></td>
</tr>
<tr>
<td>Ruby Nealon</td>
<td><a href="/job-families/security/trust-and-safety">Security Engineer, Trust & Safety</a></td>
</tr>
<tr>
<td>Pedro Lopez</td>
<td><a href="/job-families/security/trust-and-safety">Security Engineer, Trust & Safety</a></td>
</tr>
</tbody>
</table>

---

### Reporting Abuse

- To report **abusive** activity, see our [Abuse on GitLab.com page]({{< ref "abuse-on-gitlab-com" >}}).
- Copyright and Trademark infringements, see our [Intellectual Property on GitLab.com page]({{< ref "intellectual-property-on-gitlab-com" >}}).
- Frequently Asked Questions, see our [FAQ page](faq/).

### Working with GitLab Trust and Safety Team

- For [Open Source Program Partners](https://about.gitlab.com/solutions/open-source/partners/), [Premium](https://about.gitlab.com/pricing/premium/) and [Ultimate](https://about.gitlab.com/pricing/ultimate/) customers that would like to discuss, and potentially improve, your current abuse prevention and mitigation strategies, you can reach us at `abuse@gitlab.com`. Include any relevant information as to the abuse issue you are currently experiencing to help us provide the most relevant information.

- Abuse prevention/mitigation feature requests or suggestions should be created in the [Feature Proposal](https://gitlab.com/gitlab-org/gitlab/-/issues/new?issue%5Bmilestone_id%5D=) issue from the provided templates in the Project, add the `~Abuse Prevention` label.

Feature proposals can be submitted for the following:

- [GitLab.com](https://gitlab.com/gitlab-com),
- GitLab [CE](https://about.gitlab.com/install/?version=ce) and;
- GitLab [EE](https://about.gitlab.com/install/);

You can tag `@gitlab-com/gl-security/security-operations/trust-and-safety` and `@gitlab-org/modelops/anti-abuse` to review the GitLab issue.

### GitLab team members can reach Trust and Safety via

- Slack: `#abuse` channel using the team Slack handle: `@trust-and-safety`
- Non-urgent queries should be created in our [Operations Tracker](https://gitlab.com/gitlab-com/gl-security/security-operations/trust-and-safety/operations) or tag us (`@gitlab-com/gl-security/security-operations/trust-and-safety`) in the issue and notify us in the `#abuse` slack channel.
- For `URGENT` issues that require the immediate attention of the Trust and Safety team, use the `/security` Slack slash command, the command triggers the `Trust and Safety Escalation Workflow` and requests that you file an incident using a form. The form asks questions about the incident, which will help the Trust and Safety Team automatically determine severity and priority. Depending on which labels get assigned, the Trust and Safety on-call will be paged.
  - `URGENT` Trust and Safety issues are defined as instances of user generated abuse :
    - *that is or has a high probability of resulting in service degradation or outages of `GitLab.com` and/or its features.*
    - *on `GitLab.com` that has the potential of causing significant legal, financial or reputational damage or liability to the company.*

### Non GitLab team members

- Non GitLab members should use the `report Abuse` button to report abuse.
- More detailed abuse reports can be sent to abuse@gitlab.com

## <i class="fas fa-book" id="biz-tech-icons"></i> Abuse DIY

If you are running your own GitLab instance and looking for some tips and tricks to manage abuse on your instance, have a look at our DIY page for more information.

- [Do It Yourself]({{< ref "diy" >}})
