---
title: Account Planning for Solutions Architects
---

## Account Planning in Gainsight Overview

[Account planning](/handbook/sales/account-planning/) helps the Strategic Account Leaders (SAE) and the Solutions Architects (SA) develop a plan to elevate opportunity-driven conversations into value-based conversations that focus on the customer's value drivers. This is a critical step is helping the team evaluate the customer's organization and work more strategically across the territory. Gainsight is a the tool for SAEs, SAs, and Customer Success Managers (CSMs) to manage the account planning process. Since it sits within SalesForce, it provides a comprehensive view of your customers, allows you to understand trends and risks, and empowers you to execute a strategy to help you win deals.

## Accessing Gainsight

- Steps to access Gainsight are outlined on this [Handbook Page](/handbook/sales/gainsight/#getting-started)

## SA Role Specific Gainsight Usage

- **How to create and edit a Technical Win Plan from Gainsight:**
- You can create an objective under account plan. Here is a sample Success Plan to use as guidance:

  [Sample Success Plan - Flowchart](https://lucid.app/documents/view/3f6a8cf8-f63a-4649-b797-c540034c3f1e)

  [Creating a Technical Win Plan Using Gainsight - Video](https://drive.google.com/file/d/1dLeFXZsU-1ArzQlpeSEcdqCP6u59vJSd/view)

## How does an SA contribute to the Account Planning?

A rationale describing how an SA can contribute to the Account Planning is documented here in the [Handbook](/handbook/sales/field-operations/customer-success-operations/gainsight/gainsight-gtm/)

## Collaborating with Other Team Members

It is important to note that Gainsight brings the entire account team onto a single platform to plan, and by having the SAE, SA, and CSM in one place, it allows the SA to visualize the dependencies between the tasks of each individual much more clearly and understand how each team member is working towards the 6, 12, and 18 month goals.

- SAs should collaborate with the SAE/CSM on a Technical Win Plan and ensure that the plan encompasses Workshops, PoVs, deep dives, etc.

**NOTE**

- The Techincal Win Plan is still part of the SAEs account plan and SAs don't have to create anything new.
- SAs should be DRIs on the technical activities for new lands.
- SAs should own technical activities on account expansions where CSMs are not engaged.
- SAs should collaborate with the CSMs on account expansions where deemed necessary especially where there's a need for tier upgrade and  onboarding of new teams.
- SAs are not the DRIs of a customer's initial account plan. By the time the opportunity reaches the Account Planning stage, basic account details should have been entered into Salesforce. Thus, the main purpose of completing the Account Profile section of the account plan,should be to capture important details about the customer or prospect, including information about the organization's business, strategic objectives, goals, motivations, competitive landscape, pertinent technology stack details, etc. The account profile should be all about the customer (not GitLab).

## FAQs

- **How is Gainsight different from Troops and SFDC?**
  - Gainsight is a platform that enables collaboration between SAE, SA & CSMs. SA are expected to collaborate during Account Planning. SAs should own the objective of creating a technical win plan during account planning. Troops is used for day to day activity capture for meetings.
- **Will using Gainsight save me time?**
  - Yes, Gainsight will save time by making sure all teams are working & collaborating in the same system.
- **How is it going to help me in my daily job?**
  - It's going to help in our daily jobs since now all the account plans by SAEs, Success plans by TAMS are listed in the same system encouraging collaboration.
- **Why use gainsight for account planning**
  - It's an existing platform already loved by existing teams in GitLab. Gainsight provides metrics, timelines, call to action like reminders. It also has the ability to create playbooks defining different steps in a process for eg: [an ultimate play](/handbook/solutions-architects/sales-plays/)
- **How is it related to SFDC?**
  - SFDC is still the best place to record customer information for accurate forecating, creating accounts so on. Gainsight gives you the power to forecast plans for accounts, create objectives, identify tasks to be completed for those objectives. The timeline, attributes section of gainsight is fed back into SFDC.
- **What if there is no account plan from the SAE?**
  - The SA together with the SAE will create a Technical Win Plan using Gainsight.

## Gainsight Example: How an SA Adds/Update a Success Plan

**Creating a New Success Plan or Adding a Success Plan to an Existing Customer Entry**
<div style="position: relative; padding-bottom: 69.76744186046511%; height: 0;"><iframe src="https://lucid.app/documents/embeddedchart/3f6a8cf8-f63a-4649-b797-c540034c3f1e" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen style="position: absolute; top: 0; left: 0; width: 100%; height: 100%;"></iframe></div>

## Gainsight Enablement

- [Account Planning Handbook Page](/handbook/sales/account-planning/)
- [Account Planning with Gainsight Overview and Demo](https://www.youtube.com/watch?v=Xhor2IIsCQQ)
- [Account Planning for SAs](https://gitlab.edcast.com/pathways/gainsight-for-solutions-architects-sas)
- [Using Gainsight in Team Meetings](https://www.youtube.com/watch?v=gT_pz9PoHHg)

## Additional Reading

- Documentation about Gainsight Go-To-Market Technical Documentation is located [here](/handbook/sales/field-operations/customer-success-operations/gainsight/gainsight-gtm/)
- More information about how Sales uses Gainsight can be found on the Using [Gainsight within Sales page](/handbook/sales/gainsight/account-planning/)
- Information about how Customer Success uses Gainsight is located on the [Using Gainsight within Customer Success page](/handbook/customer-success/csm/gainsight/)
