---
title: Alliance SA Engagement Model
---

## Alliance Solutions Architect: Role & Responsibilities

The Alliance SA is an influential technical representative from GitLab to [Alliance partners](https://about.gitlab.com/partners/technology-partners/) like AWS, Google, IBM, Microsoft, VMWare, Red Hat, etc. The Alliance SA role also entails communicating technical concerns of partners back into GitLab Product, Engineering, Marketings and other areas as appropriate. This role involves pre-sales and supporting partners. It often involves finding out what a stakeholder needs and wants in real-time, and coming up with a plan to meet those goals. This can include providing relevant suggestions and offering alternative options.

| GTM Solution / Offering Development | Partner Enablement | PreSales Engagement | Technical Evangelism | Marketing | Community Contribution |
| -------------- | ------- | --------- | ---- | ------ | ------ |
| 35% | 20% | 20% | 10% | 10% | 5% |

**Note:**
These percentages are averages and may vary according to specific partnerships, calendar periods or other natural variations of the work required.

### Team Charter and Mission

- **Partner Development:** Works across the partner ecosystem, helps with offerings, enablement and field marketing, both internal and external.
- **Subject Matter Expertise:** Recognized as a trusted advisor within an area of focus, with exceptional soft / public speaking skills and "hands on the keyboard" depth. Frequently this expertise involves entire technical ecosystems and technical cultural attributes of partner organizations.
- **Sales Effectiveness:** Proactively identifies market demand with solutioning. Engages as lead Subject Matter Expert (SME) including pitches, solution envisioning, proposal development and estimate preparation as related to a Partner.
- **Internal and External Evangelism:** Communicates, grows and evolves awareness of applicable Partner technology, services, success stories, market trends and best practices.
  - **GitLab Alliances Strategy:** generates ideas for and participates in Alliances group strategy formulation for both business and technical considerations.
- **Feedback:** Tightens feedback loops from the field to R&D, Marketing, and Customer Success @GitLab. Proactively breaks down silos to envision and co-create products with cross-team, cross-company communication and collaboration.
  - **Content Creation::** Develops and maintains content that is easy to find and use, and helps meet the goals of GitLab and its Alliance partners.

## Alliance Solutions Architecture Engagement Model

The below documented interactions are between internal GitLab roles.

### When to engage an Alliance SA

| As a GitLab ... | I can engage an Alliance SA to ... |
| -------------- | ------- |
| Alliance Director (AD) | \- Lead and coordinate technical conversations between Partner, GitLab, and Customers <Br> \- Enable Partner pre-sales on the GitLab value prop and technology <Br> \- Work with Marketing on technical assets for Partner conferences and events <Br> \- Drive process improvement related to Support, R&D, field engagement, etc <Br> \- Help run public events such as bootcamps, etc to promote the joint tech and generate sales leads |
| Alliance Business Dev Manager (ABDM) | \- Enable Partner pre-sales on the GitLab value prop and technology <Br> \- Act as a SME in customer sales cycles|
| SAE / Field SA |  \- Enable Partner pre-sales on the GitLab value prop and technology <Br> \- Act as a SME in customer sales cycles <Br> \- Provide general internal enablement on partner technology and partnership status <Br> \- Connect me with my peers at Partner <Br> \- Identify ways to effectively collaborate with the Partner |
| Customer Success Manager (CSM) |  \- Provide general internal enablement on partner technology and partnership status <Br> \- Occasionally be a SME in post-sales scenarios to help unblock GitLab adoption at a customer  |
| PS Engineer (PSE) |  \- Provide general internal enablement on partner technology and partnership status <Br> \- Connect me with my peer PS engineers from the partner side in a services engagement at a customer <Br> \- Collaborate on reference architecture updates. Cloud infrastructure evolves and therefore so do our reference architectures used by our PSE providing customer services |
| Support Engineer |   \- Provide general internal enablement on partner technology and partnership status <Br> \- Connect me with my peer Support engineers from the partner side in a Support case at a named account |
| Product Manager |  \- Consolidate product feedback from field and customers to work with R&D and drive improvements in product features <Br> \- Validate integration implementations as being built with appropriate best practices of the Partner - if the GitLab SA is unfamiliar with the Partner technology area, they can coordinate a Partner resource to comment <Br> \- Develop business cases with Alliance Director and R&D to drive priority for new features and/or products <Br> \- Gain an audience with a specific Partner Development team to get best implementation advice or otherwise resolve technical challenges <Br> \- Take advantage of partnership certification programs for their focus area (e.g. AWS Service Ready, AWS Competencies. <Br> \- Seek overall operational excellence advice for availability and resilient technology design. |

### When can Alliance SA engage other roles

Alliances SAs have a variety of needs to reach out to other roles at GitLab

**As an Alliance SA...**

| I may reach out to ... | In regard to ... |
| -------------- | ------- |
| Alliance Director (AD) | - General guidance on overall business strategy and prioritization of activities in the partnership |
| Alliance Business Dev Manager (ABDM) | - Ask for account mapping activities based on technical requests by anyone on a GitLab field account team |
| SAE / Field SA | - Ask for status and or follow-up if a co-customer of a partner has initiated an issue or request through the partnership level contacts |
| Customer Success Manager (CSM) | - Ask for status and or follow-up if a co-customer of a partner has initiated an issue or request through the partnership level contacts |
| Support Engineer | - Ask for status and or follow-up if a co-customer of a partner has initiated an issue or request through the partnership level contacts |
| Product Manager | - Ask for collaboration if a partner development team has initiated an issue, request or go to market motion through the partnership level contacts |
