---
title: Channel SA Engagement Model
---

## Channel Solutions Architecture Engagement Model

GitLab Field Teams can engage a Channel SA when a GitLab Partner is involved in an opportunity and needs presales support, general enablement, or general practice building support.  We work closely with our Partner Account Managers (PAM) and Partner Territory Managers (PTM) who own the business aspects of the partner relationship, and foster relationships at an opportunity level between GitLab Account Managers and the Partner Account teams.

Channel SA's ensure that partners get the most value possible out of their relationship with GitLab through their sales and delivery of GitLab's products and services. Channel Solutions Architects (CSA) organize their activities to facilitate partner sales opportunities and mature GitLab partners quickly in their ability to independently deliver customer value.

To mature Partners through their Partner Journey, CSA's engage in a variety of activities designed to help Partners win deals, and mature their practices.  CSA activities can be seen as contributing to these themes, Align, Enable, and Expand partner value to customer success. The [partner maturity model](/handbook/resellers/services/#partner-capabilities-journey) has more details on the partner journey.

### Align

- Coach partner sales teams through opportunities with customers and help drive them to close through the Partner's sales stages
- Coach the partner SA on Technical Discovery that will lead to successful outcomes tied to Business Value
- Engage account alignment activity between partner sales teams and GitLab Field Sales
- Identify and promote existing awareness, enablement, and training material available for Partners to consume on demand
- GitLab Technical enablement based on guidance received from the partner
- Co-develop with the Partner and GitLab CAM a Partner Success Plan

### Enable

- Identify / Enable GitLab Champions within the Partner to be SME's internally
- Work with Partner to develop internal lab environments and demo use cases
- Assist the partner with their GitLab certification leveraging Partner Support Desk
- Deliver the use case enablement sessions/workshops/lunch & learns to ensure the teams, leadership and end users are setup for success and adopting the platform successfully
- Regular communication and updates on GitLab features
- Product and feature guidance - new feature presentations
- Coach partners through their presales activites for the partner led GitLab opportunities.
- Advocate on support escalations

### Expand

- Assist to develop and review the partner positioned services and solutions and be the customer advocate for our partners
- Develop sales plays and solutions between GitLab, Channel Partners, GitLab Alliances Partners
- Presenting on GitLab technology at partner events
- Help Partner GTM teams identify new use cases and associated enablement & guidance
- Internal Advocacy: CSA is the partner champion for product guidance and feedback, a liaison between the Partner and other GitLab technical teams
- With CAM, conduct Executive Business Reviews

More details on Channel SA engagement model can be found in this [RACI spreadsheet](https://docs.google.com/spreadsheets/d/1AxDrQp2HeIXfomw8QRrb0gemQCHktt_BR3ufpLTtxNc/).

### How to Engage a Channel SA

The `#partner-solutions-architects` slack channel is monitored by the CSA's globally.  If you do have a specific Partner related topic or question best handled by an SA, reach out to us there.

Regionally the Channel SA's coordinate issues within the following projects:

#### AMER

- https://gitlab.com/gitlab-com/partners/channel/amer/amer-internal

#### APAC

- https://gitlab.com/gitlab-com/partners/channel/apac/apac-internal

#### EMEA

- https://gitlab.com/gitlab-com/partners/channel/emea/emea-internal
