---
title: Ecosystem SA Engagement Model
---

## Engaging an Ecosystem Solutions Architect

To request the assistance of an ESA, reach out to the team in the **#ecosystem-solutions-architects** internal slack channel.  @Mention any of the team to create a thread of 1:1 interaction.  By leveraging this single work queue, we can easily cover for each other and create tracking issues from this channel.  Don’t be surprised if we “move” DMs over to this public channel.

For issues, the ESA team will leverage the **~Partner-SA**, **~Partner Region-AMER|APAC|EMEA**, and **Partner-Acct-<Name>** labels.

## Ecosystem Solutions Architect: Role & Responsibilities

The Ecosystem Team’s north star is GitLab NetARR.  ESAs will support the Ecosystem Sales Managers (ESM) whose main responsibility is to work with field account teams to achieve their revenue goals leveraging partners to scale the quantity, value, and strategic relevance of deals.  

The ESA primary contribution is to help the GitLab Global Ecosystem team drive our sales strategy by empowering an ecosystem of partners with mature GitLab GTM solutions, services practices, and GTM solutions.  The Ecosystem SA role also entails communicating technical concerns of partners back into GitLab Product, Engineering, Marketings and other areas as appropriate. This role involves pre-sales and supporting partners.

## Field and Ecosystem SA Opportunity Responsibility

### GitLab Sourced Opportunities

If a new opportunity is sourced by a direct account team, regardless if there is a partner involved, the direct account SA owns the responsibility for progressing the technical aspects of the opportunity to close. The Ecosystem Solutions Architect (ESA) is there to support the progression of the deal by enabling an aligned Partner account team to collaborate with the GitLab SA on technical discovery and effective demos of a GitLab based solution.

### Partner Sourced Opportunities

If a new opportunity is sourced by a partner, it is the ESA who takes responsibility to enable the partner should they need assistance to progress the opportunity. Especially when the partner has yet to submit a Deal Registration, the ESA is the trusted advisor to the partner for the opportunity, and will even speak to prospects directly to enable the partner on effective Discovery and Demo practices. The Ecosystem team will encourage the partner to submit a Deal Registration and begin coordinating with the field account team.

As soon as the partner's account team is willing, the ESA will hand over all customer intelligence to the field SA to take over ownership of the opportunity and begin working with the partner account team to progress it to close.

### ESA Opportunity Handoff

The ESA will not retain primary opportunity responsibility beyond GitLab deal Stage 2 unless approval is made by both the Global Ecosystem SA Manager and the Regional SA Manager.  

### Furthermore

The ESA also promotes partner Delivery teams to get trained and certified to provide great customer outcomes after the deal is won including implementation and adoption services.

### Team Charter and Mission

- **Partner Champion Development:** Identify and empower partner technical teams to become Champions of GitLab through “last mile” technical enablement and evangelism sessions.  Develop Partner Champions who can evangelize GitLab solutions, conduct hands-on workshops and demos, and address competitive scenarios in the sales cycle.
- **Partner Practice Solution Building:** Ensure partner services practices effectively cover the entire GitLab subscription lifecycle leveraging cloud services & competitive takeouts.  Assist in designing partner service offerings.  Provide technical guidance on integrating GitLab with partner technologies
- **Assist ESM to Drive Partner Opportunities:** With the Ecosystem Sales Managers, assist partner account teams’ deal progression as needed to get the technical win.  Provide partners with competitive positioning and differentiation strategies.
- **Partner Solution Evangelism:** Evangelization of the partners’ GitLab aligned service catalog within the GitLab field and within the partner organizations themselves
- **Ecosystem Expansion:** Consult on the identification of potential new technology partners.  Evaluate technical fit and integration opportunities.  Support the onboarding of new partners from a technical perspective.

## Ecosystem Solutions Architecture Engagement Model

### Developing Partner Champions

The Ecosystem SA goal is to effectively enable an entire ecosystem of associated services, platform, technology, and transaction partners.  We cannot do this unless we develop [GitLab Partner Champions](/handbook/resellers/partner-champions-program/) within our partner community.  Selling and services relationships are personal.  We don’t “enable partners."  We develop champions who can share and scale our reach delivering simple messages that unlock services and consumption.  This effort requires focus and achieves scale.

### Working with Strategic Alliance Partners

The Ecosystem SA is an influential technical representative from GitLab to our strategic an technical alliance partners. This role involves pre-sales and driving partner solutions and joint GTM initiatives.  The Ecosystem SA role also entails communicating technical concerns of partners back into GitLab Product Management, and driving integration intitiatives with our Product Marketing and Engineering counterparts.

In terms of key responsibilities, the Ecosystem SA is responsible for supporting these Strategic Alliance Partnerships through the following activities:

- Partner Go To Market (GTM): Proactively identifies market demand prior to solutioning. Engages business leaders with proposal development and estimate preparation to validate business alignment to solution development.  Works across technical and services partners to identify and develop joint solutinos, enablement and messaging, both internal and external.  
- Subject Matter Expertise: Recognized as a trusted advisor within an area of focus, with exceptional soft / public speaking skills and “hands on the keyboard” depth.
- Internal and External Evangelism: Communicates, grows and evolves awareness of applicable Partner technology, services, success stories, market trends and best practices.
- GitLab Strategy: Generates ideas for and participates in Ecosystem group strategy formulation for both business and technical considerations.
- Content Curation: Sources and curates content with Partner Enablement team that is easy to find and use, and helps meet the goals of GitLab and its partners.

### TODO Working with Services Partners

### MBO Guidelines

The charter of the Global Ecosystem Team is to develop an ecosystem of partners that can scale the number and size of GitLab opportunities, engage with our customers to ensure rapid and widespread adoption of GitLab licenses, and create GTM solutions that drive mutual revenue growth for GitLab and our partners.  This indirect path to GitLab revenue establishes a need to have an objectives based compensation model for the entire Global Ecosystem Team and ESAs.

25% of the variable Bonus component of ESA compensation, is awarded based on completion of quarterly [SMART Objectives](https://www.mindtools.com/a4wo118/smart-goals) (MBO) variously used for prjects and planning throughout GitLab.  Four (or so) quarterly SMART Objectives will be assigned by the Ecosystem SA Manager to each ESA team member.

- The MBOs will vary quarter over quarter, to align to the changing needs of the business
- A balance will be made of consistency of MBOs across the global team vs. recognition of the individual strengths and responsibilities of team members will be made with 2-3 shared MBOs and 1-2 indivualized MBOs
- MBO payout will be a single payment made after the conclusion of the quarter
- The MBO payout will be evaluated as a whole, and the Team Member will be evaluated as:
  - does not meet MBO expectations - 0% of the payment
  - meets some MBO expectations - 75% of the payment
  - meets majority of MBO expectations - 100% of the payment
  - exceeds majority of MBO expectations - 110% of the payment
