---
title: SA Career Development
description: >-
  For career development Solution Architects can choose between an individual
  contributor or leadership track
---

## Career Development

Solutions Architecture team members you should review the [GitLab People Group Career Development page](/handbook/people-group/learning-and-development/career-development/) for the roles, responsibilities, and helpful career development resources.

### Solution Architecture Specific Career Development

#### Career Paths

Because of the valuable experience and skills gained while driving customer outcomes, Solutions Architects can move to a variety of technical, sales and leadership roles in GitLab and across industries.
The diagram below can help you exploring potential evolutions of your career development.

<iframe style="border: 1px solid rgba(0, 0, 0, 0.1);" width="800" height="450" src="https://www.figma.com/embed?embed_host=share&url=https%3A%2F%2Fwww.figma.com%2Fboard%2FGbJpPTw3N06rIoDk93HQG9%2FSA-Career-Path%3Fnode-id%3D0-1%26t%3D3bKqHgWXxzLX3oSk-1" allowfullscreen></iframe>

While maturing a decision or assessing options, the below steps can help you throughout the process:

1. Have a [career development conversation](/handbook/people-group/learning-and-development/career-development/#what-is-career-development) with your manager to discuss the learning opportunity. It's important to:

    - Discuss the Career Path you want to explore and your motivation
    - Learn about what involves to be in these roles (for instance, you can read the job description for the roles you are interested in or speak directly with people who are in these roles)
    - Draft an [Individual Growth Plan](/handbook/people-group/learning-and-development/career-development/#individual-growth-plan) where you highlight:

         - Options you are looking to explore
         - Gaps you might see with where you are now in your development compared you want to be
         - Timing
         - Explore existing and future job openings in GitLab

2. If the career move you are looking to do is in GitLab but outside of your current team, discuss with your manager to speak to the DRI for the job opening you are looking to potentially apply for
3. Before speaking to the DRI, draft a clear set of questions you want to ask, based on job description and any doubts/questions you have from chatting with others already in the role
4. Schedule a coffee chat or start a slack DM with the DRI of the job opening
5. Discuss with your manager the outcome of these conversations and your decision
6. If you are ready to apply, go ahead and apply for the role. Good Luck with your application!

#### Promotion Process

The Solutions Architecture promotion process augments the [People Group Promotion Process](/handbook/people-group/promotions-transfers/) with the following:

1. The Planning stage of the calibration process [here](/handbook/people-group/promotions-transfers/#twice-per-year-promotion-calibration-process--timeline) typically means the SA leaders have completed all the required set of approvals including the VP of Customer Success.
1. Before the SA Manager starts the [Promotion Approval Process](/handbook/people-group/promotions-transfers/#processing-a-promotion), the manager will inform the Director/VP of Solutions Architecture that the justification document is ready for review, typically during a 1 on 1 weekly meeting.
    - For Staff and Principal level promotions, the promotion justification document must be completed 2 quarters prior to promotion date and submitted to the Sr Director of SA for review.  The Sr Director of SA will in turn review the justification with the VP of Customer Success.
    - For Staff and Principal level promotions, the promotion candidate's manager will consult with the SA leadership team, typically during a weekly team meeting. This is to ensure continuous calibration for Staff and above-level roles that have lower representation amongst the SA organization.  This must occur 2 quarters before the expected promotion quarter.  For example, for a Q1 promotion, the calibration should occur in Q3 of the prior FY.
    - For Staff level promotions, the promotion candidate's manager will consult with existing Staff and Principal level SAs for peer-level review and feedback while taking detailed notes.
    - For Principal level promotions, the Principal candidates will prepare and present their accomplishments and their vision for improving GitLab and the SA organization to a panel of SA leaders and Principal level SAs after calibration has occurred.
    - The Principal promotion panel will then meet to discuss the candidate's suitability for the Principal SA role.
1. After reviewing and providing feedback, the VP of Solutions Architecture will inform the Manager or Director of his/her approval.
1. At this point, the standard quarterly promotion process is followed

### Associate Solution Architecture Program

In FY23, GitLab kicked off its first ever Associate Program across Customer Success with the aim to:

- Build the next generation of highly-diverse, well-prepared GitLab Solutions Architects
- Grow pre-sales engineering skill sets that are focused on GitLab's product offering, business model and aligned to customer needs
- Give existing SAs an opportunity to grow in their careers through having early-in-career SAs to mentor and coach

The program leverages the enablement material that all SAs use in the onboarding process in addition
to providing team members earlier in their careers content that instills a passion for a single DevOps Platform built on open source.

The program helps build technical, trusted advisory muscle memory, places team members in a role serving the SMB segment, and in a function where there is
high awareness of priorities that are aligned to visible results.

#### Supplemental Onboarding Content

The Associate SA Program aims to embody as many GitLab values as possible as it aims to instill a passion for DevOps, Open-Source Software, and GitLab.  Key values and sub-values include:

- [Dogfooding](/handbook/values/#dogfooding) (Results Sub-value)
- [Self-service and self-learning](/handbook/values/#self-service-and-self-learning) (Efficiency Sub-value)
- [Be a mentor](/handbook/values/#be-a-mentor) (Diversity, Inclusion & Belonging Sub-Value)
- [Iteration](/handbook/values/#iteration)
- [Transparency](/handbook/values/#transparency)

The content is supplemental to the [30/60/90 day onboarding](/handbook/solutions-architects/sa-onboarding/#30-60-90-day-program) that all SAs go through.

| Activity / Content                       | Timeline / Frequency            | Description                             |
|------------------------------------------|---------------------------------|-----------------------------------------|
| **End of Week Debrief**         |  Weekly from Week 1         |  The SA Manager overseeing the Associate SA Cohort will setup an end of week debrief for 30 minutes where the cohort can ask questions and provide feedback on the week thus far. This time is also used to review and provide synchronous feedback on any assignments that were due throughout the week.  Please note that any synchronous feedback should be secondary as the preferred way of relating feedback to individuals us [asynchronous](/handbook/values/#bias-towards-asynchronous-communication) |
| **[Call Review](https://gitlab.com/gitlab-com/customer-success/solutions-architecture/associate-program/training/-/issues/new?issuable_template=Bi-Weekly%20Call%20Review)**                |  Bi-Weekly, first 3 months        | Upon receiving access to Chorus, the cohort ought to review a single call at least every other week |
| **[Getting Good with Troops](https://gitlab.com/gitlab-com/customer-success/solutions-architecture/associate-program/training/-/issues/new?issuable_template=Getting%20Good%20With%20Troops)** | For 4 weeks at the 3-4 months mark | Associate SAs should plan to attend at least 3 calls per week and record these calls via Troops |
|**[GitLab Exercise](https://gitlab.com/gitlab-com/customer-success/solutions-architecture/associate-program/training/-/issues/new?issuable_template=GitLab%20Exercise)**||The goal of this activity is to become comfortable with GitLab mechanisms for educating oneself about the wider GitLab initiatives throughout the organization|
|**[Capability Deep Dives](https://gitlab.com/gitlab-com/customer-success/solutions-architecture/associate-program/training/-/issues/new?issuable_template=Weekly%20Capability%20Deep%20Dive)**|Weekly upon Completion of Demo2Win|These weekly capability deep dives aim to solidify good Tell-Show-Tell practices. These ought to continue until SAs begin doing demos with customers.|
|**[SA-to-AE Coffee Chats](https://gitlab.com/gitlab-com/customer-success/solutions-architecture/associate-program/training/-/issues/new?issuable_template=SA-to-AE%20Coffee%20Chats)**||As the cohort becomes comfortable with demoing and taking the lead on calls, it is important to begin establishing relationships with the Account Executives they will support. |
|**[Associate SA Reference Materials](https://drive.google.com/drive/folders/1NRp-a8WHdaY3nq_lLb6ejJt4Am0JEyG2)**||Associate SAs can refer to examples of demos leveraging Demo2win strategies along with the slide deck, as well as other supplemental materials. |

#### Cohort Coaches

Coaches meet with the entire cohort for either a specific session or multiple sessions.

##### Americas May Cohort

| Coaches        | Frequency     | Description                                                 |
|----------------|---------------|-------------------------------------------------------------|
| Taylor Medlin  | Weekly        |                                                             |
| Joe Randazzo   |               |                                                             |
| Noah Ing       |  One-time     |  Kubernetes                                                 |
| Jan Kunzmann   |               |  Observability 101                                          |

#### Cohort Mentors

Coaches meet with the entire cohort for either a specific session or multiple sessions.

##### Americas May Mentors

| Mentor            | Associate SA     |
|-------------------|------------------|
| Taylor Medlin     | Jerez Solis      |
| Sarah Bailey      | Sophia Manicor   |
| Corina Patachia   | Christian Nnachi |

#### How to Get Engaged with the Program

**If you are looking to coach or mentor Associate SAs** that are going through the program you can do so by helping the Associate SAs understand
the value of different [GitLab categories within our stages](/handbook/product/categories/#hierarchy). Upon completion of Demo2Win, every week, the team is assigned a new Category to learn about and
show the value of that category through the tell-show-tell methodology. Sign up for updates by including your GitLab username as a CC recipient to the
[Weekly Capability Deep Dive](https://gitlab.com/-/ide/project/gitlab-com/customer-success/solutions-architecture/associate-program/training/tree/main/-/.gitlab/issue_templates/Weekly%20Capability%20Deep%20Dive.md/) issue template which is used to determine the weekly category.

Additionally, the team is finalizing a mentoring program that is slated to begin in Q3 of FY23.

**If you are looking to be considered for the Associate SA Program**, look at our Job Board for any Associate SA postings.

## Recognition

Recognizing the hard work that the Solutions Architects bring to the sales process and to GitLab itself is something we hold dear.  The SA organization should feel proud of the wins they achieve.  Whether they are business related or personal goals reached, SA's deserve to be called out for their accomplishments.

### Peer Recognition

Recognizing (and being recognized) by your peers is extremely fulfilling.  If an SA is recognized by a peer, it may appear in one or more of these places:

- The #thanks Slack Channel (Used by the entire organization for all manner of appreciation.)
- The #deal-gratitude Slack Channel (Used primarily by the [Field Organization](/handbook/sales/field-operations/field-enablement/field-team-recognition/#deal-gratitude-slack-channel) for recognizing work on sales deals.)
- The #wins-key-deals Slack Channel (When an SA is associated with a high profile win, they are automatically added to the details of the win within this channel. SA Leadership is working with Sales Ops to bring more attention to this notification.)
- Various team meetings (At the start of most SA calls, there is a devoted section for expressing gratitude and appreciation.)
- [Discretionary Bonuses](/handbook/total-rewards/incentives/#discretionary-bonuses-for-individuals) (If an SA has gone above and beyond and truly lived up to GitLab's CREDIT values, a discretionary bonus of $1000 US can be awarded. These nominations can come from anyone in the company and at any time.)

### Management Recognition

At various points of the year, SA's have the opportunity to be recognized by their managers and/or Customer Success leadership.

- [Field Organization Quarterly Achievers](/handbook/sales/field-operations/field-enablement/field-team-recognition/#field-quarterly-achievers-chat) (12 various winners from accross the Field Organization for outstanding performance in the Quarter. A designated chat with the CEO, CRO and the other winners as well as a $250 US expensed dinner are included)
- [President's Club](https://internal.gitlab.com/handbook/sales/presidents-club/) (13 members of the SA organization (and their optional guests) from across the globe are selected based on contributions throughout the year. More on the selection criteria can be found in the internal link)
