---
title: Solutions Architects People Leader Shadow Program
description: "Program for Solutions Architects (SA) to shadow a Solutions Architect people leader."
---

## Overview

The SA people leader shadow program is an immersive quarterly assignment where team members can apply to shadow a SA people leader.

### Program Goals

- Allow team members to experience a "day in the life" of an SA people leader to better gauge interest in pursuing a leadership role in the future
- Give SAs serving in individual contributor roles greater exposure to GitLab's SA people leaders and their decision-making processes to increase awareness of those decision making processes
- Enlist a larger group of people to help drive and inform key initiatives
- Foster transparency, diversity, inclusion, and belonging within the SA organization
- Develop the next generation of SA people Leaders

## Participating in the program

### Eligibility

The SA people leader shadow program is open to all team members who complete the following:

1. Complete your [Individual Growth Plan (IGP)](/handbook/people-group/learning-and-development/career-development/igp-guide)
2. Review your IGP with your manager and discuss your desire for growing into a leadership role

### How to apply

1. Create a merge request to add yourself to the [rotation schedule](#rotation-schedule)
2. Assign your manager and ask them to approve and merge the merge request

### Rotation Schedule

| Start Date| Shadow Name |
|-----------|-------------|
| FY25 Q3 | [arun_kg](https://gitlab.com/arun_kg) |
| FY25 Q4 | [Chloé Cartron](https://gitlab.com/ChloeCartron), [Regnard Raquedan](https://gitlab.com/rraquedan), [Paul Dumaitre](https://gitlab.com/pdumaitre)  |
| FY26 Q1 | [Nupur Sharma](https://gitlab.com/nsharma2) |
| FY26 Q2 | [Julia Gätjens](https://gitlab.com/jgaetjens) |
| FY26 Q3 | |
| FY26 Q4 | |
| FY27 Q1 | |
| FY27 Q2 | |
| FY27 Q3 | |
| FY27 Q4 | |

## Preparing for the program

### Confidentiality

Participating in the shadow program is a privilege where you will be exposed to confidential information. This is underpinned by trust in the shadows to honor the confidentiality of topics being discussed and information shared. The continuation of this program is entirely dependent on shadows past, present, and future honoring this trust placed in them.

### Consider adding goals

Develop goals for your time as a SA People Leader Shadow. To make your goals more actionable, you may want to use the [SMART goals framework](https://www.mindtools.com/pages/article/smart-goals.htm).

### Coffee chat with SA People Leaders

Before your scheduled rotation, try to schedule coffee chats with a few SA people leaders before you start the program. This gives you the opportunity to get to know them before the rotation.

Use this coffee chat to express to them your interest in people leadership as well as to seek advice / feedback on your goals.

## During the program

During the program, you will:

1. Experience a "day in the life" of an SA people leader to better gauge interest in pursuing a leadership role in the future
2. Gain greater exposure to GitLab's SA people leaders and their decision-making processes
3. Work on developing the [skills required](/job-families/sales/solutions-architect/#manager-solutions-architects-responsibilities) to become an SA people leader

| Skill | Action |
|-------|---------|
| Lead by Example | Continue taking primary responsibility for your accounts and opportunities. Be litigious in recording activities via Rattle and take a proactive approach with your customers |
| Grow a Highly Effective Team | Get [TeamOps Certified](https://university.gitlab.com/learn/course/teamops/introduction-to-teamops/introduction?client=internal-team-members) |
| Interviewing | If possible, complete [Interview Training](https://university.gitlab.com/learn/course/interviewer-training), participate in one interview, and provide feedback on that interview format |
| Retention of Personnel | Take feedback from the Retrospective, prepare the QBR Retrospective Slide for your given team and lead the discussion on that slide, and build an initiative around improving one aspect of the team |
| Give Feedback | Participate in five [ride alongs](/handbook/solutions-architects/sa-practices/ride-alongs) and provide feedback to the driver |
| Clear Communication | Attend SA Leadership Meetings within your timezone and participate in note-taking. There may be specific meetings from which you will be asked to abstain. |
| Sales Strategy | Attend at least 3 sales forecasting calls |
| Mentorship | Assign yourself as a mentor |
| Personal Development | Identify key areas of growth and work with a mentor on growing areas in monthly cadenced meetings |

## Other shadow programs

- [CEO Shadow Program](/handbook/ceo/shadow/)
- [CFO Shadow Program](/handbook/finance/growth-and-development/cfo-shadow-program/)
