---
title: SA Offsites
description: "This page provides an overview of the process SA Managers undertake when organising a team offsite."
---

## SA Offsites (in-person)

This page provides the SA leadership with guidance when organising a in-person team offsite or gathering. The page outlines considerations prior to the event start date, during the event and follow up considerations.

During the global pandemic (COVID-19) and a fully-remote working sales force at GitLab, in-person team gathering events have proven to be of positive value to GitLab to fascilitate more effective communication, help improving stronger team relationships and increase collaborative engagements. This page is meant to be a guide.

## Offsite planning and before the event start

The following list of considerations could be valuable for the SA leaders to go through ahead of engaging further GitLab divisions:

1. Engage with your SA Management to seek pre-approval for a in-person team offsite/gathering
1. Prepare a business justification for your SA Management articulating clearly the team's locations
    - Provide reasons for in-person team meetings choice of location
    - Start communicating anticipated event arrival, start, end and departure dates
1. Engage with our CS divisional FP&A Analyst in Finance to understand the preferred methods/formats for the budget estimates document - the below section applies to flights, car rentals, mileage calculations or any alternative travel mode:
    - US based regions: research domestic flight options for team members and specify estimated costings in the budget in a from/to section per team member
    - EMEA / APAC regions: research international travel arrangements and verify with individual team members the appropriate travel arrangements and specify estimated costings in the budget in a from/to section per team member
1. Put together a budget estimates document and submit to Finance for review/approval
    - Often when the group books their accomodation in the same hotel as the required meeting venue, a more beneficial group rate can be arranged
    - Consider adding breakfasts and lunches during the team offsite as part of the hotel and conference room booking
    - Note: Given approval cycles and travel arrangement cost changes due to a future bookings and economic changes - it is recommended to include a 10% surcharge on top of the estimates in the budget
    - Consider organising team dinners on-site in the hotel as well as on other days outside of the hotel. It is recommended to work with the hotel event organizer for guidance on suitable restaurants as the hotel can arrange for appropriate transportation as well
1. Once Finance Approval has been obtained - advise the team to start booking initial travel arrangements to secure the most cost-effective travel

### Additional Tips

1. Collaboration within the team is critical when planning the offsite to ensure an enjoyable and inclusive environment for all team members.
1. When planning team building activities, consider that team members interests may vary deeply and ensure everyone's comfort level is paramount (also that no activity is mandatory).
1. Make sure you are aware of all team member's dietary requirements, and coordinate with the hotel / restaurants to ensure there are options available for all needs.
    - Ideally, request that team members with dietary requirements look at the menus prior to finalising bookings, to ensure they are satisfied with the options available.

## Venue selection

Once the SA leader(s) has identified a suitable location (city) for the team offsite, it is recommended that you coordinate with the local Field Marketing team to gather their guidance on suitable venues to accommodate the offsite. The Field Marketing team is likely to have the best know-how and local experience, which may invaluable to the SA leadership when organizing an event.

1. Get in touch with the hotel sales / reservation team and articulate the required dates for the offsite
1. Review team member's out-of-office dates and commit to a minimum number of attendees with the sales event organizer
1. Consider to articulate the need for hotel reservations in the same venue, a COVID-19 safe conference room size, meals, internet connectivity, projector setup, etc.
1. Note: Hotel venues often would encourage organisation to consider a team gala cocktail / socialising event in-house, meaning in the hotel.
1. Once an agreement has been found between the SA Offsite organizer and the hotel - submit the terms and conditions via our GitLab official procurement mechanism outlined here - [Coupa End Users Guide](/handbook/business-technology/enterprise-applications/guides/coupa-guide/)
    - Step 1: Ensure the supplier is a vendor to GitLab
    - Step 2: Raise a Requrest and seek contracts reviews and required approvals
    - Step 3: If needed, raise a request for a [Virtual Credit Card](/handbook/business-technology/enterprise-applications/guides/coupa-virtual-cards/)
    - Step 4: Work with supplier to seek appropriate invoices for PO

### Additional Tips

- Do not underestimate the value of constantly accessible coffee, tea and water, as well as healthy snacks - cordinating with the event organizer
- Consider the conference rooms carefully - you'll be spending a lot of time in them
  - Does the room have adequate lighting?
  - Does it have natural light?
  - Where are the Restroom facilites (WC, toilets, washrooms) nearby?
  - Temperature controls independent of the rest of the building? (AC (aircon)/Heating)
  - Dedicated smoking area nearby?

## Weeks leading to event start date

Consider reviewing COVID-19 restrictions and requirements during regular team meetings as well as through asynchronous communication methods.

- US regions: Work within the COVID-19 requirements for dommestic travel
- EMEA / APAC regions: Review countries incoming travel requirements as a team and try to understand mandatory pre-arrival PCR or Rapid Antigen Tests needs

1. As the SA leader, ensure appropriate calendar placeholders have been put in place for the team members
1. Start by communicating with Sales and Channels Management around the offsite dates
1. Communicate with Sales and Channels Sales team that the team will be unavailable for client and channels meetings during those dates
1. Collaborate on the team offsite agenda and collaborate with the team - make it interactive
1. Consider to structure and organise the team offsite in form of gdocs documents, GitLab Wiki pages, Issues or any other collaborative methods
    - [APAC example of a Wiki page - FY23 April](https://gitlab.com/gitlab-com/customer-success/apj-customer-success-team/-/wikis/FY23-APAC-SA-Offsite-April) (internal)
1. As a SA leader, consider to organize collaborative document for the event to transparently share on arrival and departure dates, flight numbers, end-to-end team members stays and what team building activities would be beneficial during the offsite as it is meant to be fun

## Offsite Start / Kickoff

As the organizer of the offsite, ensure that the purpose, objectives and vision of the offsite are clearly articulated and covered during the opening / kickoff at day 1.

1. For a smooth start, the SA Leader should consider meeting the event organiser from the hotel at least an hour ahead of the kickoff time on day 1. Ensuring the internet connectivity works, microphones, speakers and projectors are available and working
1. Coordinate with the event organizer to understand morning tea, lunch and afternoon tea breaks and incorporate into the agenda
1. As the SA Leader, consider summarising the objectives, the agenda for the entire offsite, housekeepings overviews, daily breaks in a Powerpoint deck
1. Have fun during the event

## Offsite Completion

On the last day, cordinating with the event organizer to understand that all invoices have been covered and review additional charges.

1. Connect with the procurement team upon your return to your remote based location and ensure that all payment requests have been finalised in Coupa

In the spirit of our company values, it is recommended to transparently share the success the of the Offsite with our SA team worldwide. Offering assistance and ideas for future events and don't forget to share picture via internal communications channels.
