---
title: Business Value Services
---

Business Value Services is a practice and approach that allows the GitLab deal team (AEs and SAs as well as the extended team) to:

- Focus on customer challenges and required GitLab DevSecOps capabilities to address these challenges
- Quantify value of the GitLab solution with performance improvements and measurable business outcomes

The practice starts from the first conversation at the discovery and scoping stages. The output of the business value discussion can consist of the Return on Invesment (ROI), Total Cost of Ownership (TCO), Cost of Inaction, and other quantified & qualified benefits and outcomes, all of which constitutes the **Business Case**. This allows the team to:

- Drive value discussion to address challenges, support organizational goals and vision
- Expand the customer reach and engage right stakeholders
- Demonstrate hard cost savings along with validated efficient gains and performance improvements
- Amplify GitLab business values across the customer organization
- Co-build a business value justification as one team between the customer and GitLab
- Derisk the buyers decision with credible, quantifiable justification

## Why Business Value Discussion

Derisking a customer's buying decision by incorporating the business value discussion and exercise into the customer engagement is important. GitLab provides a comprehensive AI-powered DevSecOps platform that provides the software delivery solution with high impacts on business, technology and teams across the organization. Organizations need to make their strategic investment in DevSecOps with demonstrable ROI and path to value realization.

Often times, the business value conversation started with the customers wanting to understand more value proposition and business outcomes. GitLab as the industry leader in DevSecOps can provide referencable customer journey and quantitiative measures. SAs can provide the consultative advices to identify transformational drivers for the organizations and help measure the results of DevSecOps transformation as the performance improvement.

## Utilizing the Business Value Platform to create Business Cases

GitLab's Business Value Platform is a tool integrated into Salesforce that takes GitLab’s proprietary ROI modeling and provides a scalable, consistent way for AEs to build business cases and demonstrate ROI in customer conversations. It also allows them to tailor these generated business cases and proposals to their customers as well as to GitLab’s value framework and Command of Message methodology. The sales field starts from several ROI model templates and co-builds a strong business case with their customer that allows them to engage around the right value drivers, and communicate the value of GitLab that targets meaningful customer outcomes.

This tool allows us to democratize value-based conversations by creating a self-serve model that balances business value positioning with quantitative analysis. Instead of a centralized team that holds onto this, we are enabling everyone to create, customize, and communicate value to customer organizations in partnership with their customer.

Benefits of the Business Value Platform:

- Create a consistent and scalable way to show ROI & quantifiable value as to why a customer should partner with GitLab on their desired business outcomes
- Derisk the buyers decision with credible, quantifiable justification
- Allow sellers to self-serve and create meaningful, personalized business cases that stand out from the competition
- Make it easy for customer champions to co-build & co-sell in and across their business with GitLab
- Track and facilitate meaningful collaboration with our customers on desired and realized outcomes
- Open doors to C-Level conversations with customized business justifications for high-value, complex deals

## Activities Conducted by the account team

The account team can incorporate the value consulting into early sales stages while building a trusted relationship on both technology leadership and business impacts.

- Discovery stage
  - Identify challenges and opportunities and position GitLab DevSecOps platform
  - Engage with discover questions for the values and benefits
- Scoping stage
  - Conduct value stream workshop (VSW) with the customer with identified key stakeholders
  - Align the orgnaization vision and initiative to DevSecOps roadmap while building the trusted relationship
  - Surface the value drivers in the customer context that can drive the organization transformation. Often times, the top drivers can be tool consolidation for better efficiency and reduced cost, and securing the software supply chain for improved compliance and reduced security risk.
  At this time, customers or prospects may request a budgetary proposal along with the value drivers and associated benefits that are quantified as the dollar amount and business hours reclaimed for the performance improvement.
- Technical evaluation
  - Conduct technical evaluation activitiones including Proof of Value (POV) along with the required capabilities and strategic DevSecOps solution in the customer's context
  - Identify and quantify business values associated with the agreed drivers, mapped to ROI and investment options, provide clearn understanding how to measure and realize the benefit realization
- Negotiation
  - Work on the commercial proposal with investment options and TCO by the deal team and led by AE, with measurable positive business outcomes from the proposed solution
  - Incorporate agreed ROI along with the adoption speed, and time to value with the Professional Services

## Top Value Drivers and Benefits

- Increase Operational Efficiencies - Simplify the software development toolchain to reduce total cost of ownership
  - Top value drivers: Tool consolidation, often this value driver can be mapped to a set of hardcost on tooling license, hosting, infrastracture incurred
- Deliver Better Products Faster - Accelerate the software delivery process to meet business objectives
  - Top value drivers: Automation and performance improvement for software delivery, with quantifiable benefits in either dollar amount and business hours reclaimed for teams focusing on software innovation. Forrester's GitLab Total Economic Impact Reports outlined many measurable benefits with customer case studies to support these soft cost areas.
  - Reduce Security and Compliance Risk - Simplify processes to comply with internal processes, controls and industry regulations without compromising speed
- Top value drivers: Secure the software supply chain, bring application security to developer's hand and mature organizational DevSecOps practice. Both individual tool cost can be calculated to consolidated into a DevSecOps platform along with associated cost on developer velocity when addressing security concerns early in the SDLC.
- Accelerate Cloud Adoption & Transformation - Standardize cloud processes to accelerate business outcomes
  - Top value drivers: Streamline and standardize cloud first practice for DevSecOps and applications to bring products and services to the market faster, safer and more accessible. The benefits of eliminating high on premise infrastracture cost with associated SREs can be realized with managed services by GitLab in the cloud. App development teams, infrastracture teams and security teams can deliver software faster and more securely.
