---
title: Effective Objection Handling Practice
---

Effective Objection handling skill is critical to becoming a trusted advisor in our respective sales/customer success roles. Objection handling means responding to the customer in a way that changes their mind or alleviate their concerns. Objections typically fall into these [categories](https://changingminds.org/disciplines/sales/objection/objection_types.htm).

## Objection Handling Process

The Objection Handling Process can be broken down into the following steps:

- **Listen**
  - Active listening is a key part of effective objection handling. Use methods like nodding and physically showing interest.
  - This is our chance to do more discovery & learn as much as about the customer as possible.
- **Question**
  - Ask [questions](https://changingminds.org/techniques/questioning/questioning.htm) if it makes sense, generally we find open ended questions are the best way to retrieve information. This not only shows you are interested in them, but it also gives you more information with which to make the sale.
  - As you question them, watch carefully for body language that gives you more information about what they are thinking and feeling.
  - You might also use the "[tip the bucket technique](https://changingminds.org/disciplines/sales/objection/tip_the_bucket.htm)" to see if there are more objections that can be answered.
- **Think**
  - Take a pause to think & figure out which [technique](https://changingminds.org/disciplines/sales/objection/objection_handling.htm) is the best for their objection. You will see that these techniques will become second nature with practice.
- **Handle**
  - Handle the objection in an appropriate time frame using the techniques above or however way you like.
  - You are under no obligation to try and force-fit a method where it is unlikely to work.
- **Check**
  - Finally, check to find out whether your objection-handling worked! Ask if you have answered their question. Ask if there are any more concerns. As necessary, handle outstanding objections.

Then go for the close using any of these [closing techniques](https://changingminds.org/disciplines/sales/closing/closing_techniques.htm).

## Objection Handling Techniques That Can Help

The techniques listed below are commonly used in the field to handle objections effectively. Sometimes, we might have to use more than 1 technique to handle an objection. Please remember to use empathy, establish yourself as trusted advisor & use sentences like "let me get back to you on it" when you are not sure on how to handle the objection instantly.

[LACE](https://changingminds.org/disciplines/sales/objection/objection_lace.htm): LACE is a 4 step objection handling technique which is broken down into 1)Listening to the objection 2)Accepting the objection 3) Seeking & making a commitment 4) Addressing the objection through explicit action.

[LAARC](https://changingminds.org/disciplines/sales/objection/laarc.htm): This is similar to LACE objection handling technique with the exception of assess stage where you can ask further probing questions to make sure you understood the objection.

[LAIR](https://changingminds.org/disciplines/sales/objection/lair.htm): This technique is 4 step process as well where you listen, acknowledge, identify the objection. Then trying to reverse the objection by stating the truth.

[Feel, felt, found](https://changingminds.org/disciplines/sales/objection/feel_felt_found.htm_): This technique is based on empathizing with the customer's objection.

[Fear, Uncertainty and Doubt (FUD)](https://changingminds.org/disciplines/sales/articles/fud.htm): FUD stands for fear, uncertainty and doubt, and is a method used in sales and marketing to dissuade customers from buying competing products and solutions by providing information that triggers fear and uncertainty, or sows seeds of doubt, about current customer thinking/products. Some of our competitors like to use this technique but we highly recommend leading with facts & not using this technique.

[Pushback](https://changingminds.org/disciplines/sales/objection/objection_pushback.htm): This is a technique where you use subtle pushback to object to their objection. Please remember to acknowledge their objection & use empathy while using this technique.

[Reframing](https://changingminds.org/disciplines/sales/objection/objection_reframe.htm): This technique suggests reframing the objection so you can turn it to your advantage.

[Renaming](https://changingminds.org/disciplines/sales/objection/objection_renaming.htm): This technique suggests renaming the words in your objection so you can turn it to your advantage.

[Reprioritize](https://changingminds.org/disciplines/sales/objection/objection_priority.htm): The technique focuses on being able to handle higher priority objections by reframing their objections & asking other probing questions.

[Boomerang](https://changingminds.org/disciplines/sales/objection/objection_boomerang.htm): By law of association, if you are stating what they stated to you previously then you have convinced the customer.

[Objection Chunking](https://changingminds.org/disciplines/sales/objection/objection_chunking.htm): Taking a higher or lower viewpoint on the stated objection.

[Conditional Close](https://changingminds.org/disciplines/sales/closing/conditional_close.htm_): Make closure a condition for resolving their objection.

[Curiosity](https://changingminds.org/disciplines/sales/objection/objection_curiosity.htm): Ask more questions to clarify the objection.

[Deflection](https://changingminds.org/disciplines/sales/objection/objection_deflection.htm): Acknowledge then avoid addressing it directly or mention that you will address it at a later stage. This technique is typically used when you are short on time & the objection has the ability to raise additional questions which can prove detrimental in achieving your objective.

[Fallback](https://changingminds.org/disciplines/sales/objection/fallback.htm): This technique suggest that you take a step back without dismissing or deflecting their objection.

[Humor](https://changingminds.org/disciplines/sales/objection/objection_humor.htm): This technique suggests that you diffuse the tension with gentle humor.

[Justification](https://changingminds.org/disciplines/sales/objection/objection_justification.htm): This technique suggests you justify the objection & provide a positive spin to it.

[Objection Writing](https://changingminds.org/disciplines/sales/objection/objection_writing.htm): This is a technique where you use [tip the bucket](https://changingminds.org/disciplines/sales/objection/tip_the_bucket.htm) to identify all objections, then writing them down & addressing them one by one to provide a visual aide. This also builds your credibility as a trusted advisor

[Pre-empting](https://changingminds.org/disciplines/sales/objection/objection_preempt.htm): This technique suggests you handle the objection before it happens according to your experience.

### Objection Handling Role Play Exercise

[Presentation](https://docs.google.com/presentation/d/1SvKvx1U9KWZ-ABfkJr3rgsePtaD-pIA--jn4ywRU_hQ/edit#slide=id.g153a2ed090_0_63)

[Recording](https://www.youtube.com/watch?v=vobGVMqUpqA)

### Facilitating Objection Handling Exercise

Practice Objection Handling in team meeeting by using the framework below:

Please note it's suggested to have these meetings weekly, biweekly so handling objections becomes a 2nd nature to us. The

1. Here's a list of objections that we have gathered from the [field](https://docs.google.com/spreadsheets/d/130m005uhn3oh-HWhpX1TZJWYgWEashG5Rp1DDPg6Whw/edit#gid=916047871). This is a starting point & more objections will be added with everyone's contribution. Please feel free to add additional objections to it.
1. Ask for volunteers who would like to participate in the objection handling practice
1. Use a randomized selection (like [wheel of misfortune](https://wheelofnames.com/jv5-ny3)) method to pick an objection & individual(s)(https://wheelofnames.com/xfb-yz5) to handle the objections using the techniques above or any way they prefer. Make it fun!!!
1. Please dedicate a fixed amount of time (say 5 mins) to handle the objection with the techniques mentioned above. Remember to pick a technique that feels natural to you.
1. Afterwards, a fixed amount of time (say 10 mins) to have a retro with the team to discuss the objection & brainstorm on different ways to handle the objection. Make sure to take notes in a feedback note like [this]( https://docs.google.com/document/d/1LQb62it3cVdvCFvAatzB7p39R13qltqbxGXieoIimfI/edit).
1. Please note the best objection handling method for the particular objection in a summary document like [this](https://docs.google.com/spreadsheets/d/130m005uhn3oh-HWhpX1TZJWYgWEashG5Rp1DDPg6Whw/edit#gid=916047871)
1. Repeat the exercise again.

[Example Facilitation recording](https://drive.google.com/file/d/16SQpH4EJedght5qRaNUikYCqm1t6G3tl/view)

### Best Practices

**Before the meeting:**

- Gather info about attendees & company (SDR, SAE, LinkedIn, 10k, Job Openings)
- Understand the higher level initiatives if any
- Brainstorm on potential objections, personas, successful meeting outcomes in a strategic meeting with SAE

**During the meeting:**

- Follow the objection handling process as described above
- Dig deeper with additional questions
- Acknowledge the objection with empathy
- Use objection handling techniques based on your research from the previous step. Feel free to make your own as deemed suitable.
- Try to position the bigger picture where it makes sense without going head-on with the competition
- Parking Lot questions, resources where it makes sense
- Close with definite next steps

**After the meeting:**

-  Follow up within 24/48 hours with resources, questions & next steps

### More resources

- <span class="colour" style="color:rgb(0, 0, 0)">SA handbook </span>[<span class="colour" style="color:rgb(0, 0, 255)"><u>resource</u></span>](/handbook/solutions-architects/sa-practices/effective-objection-handling-practice/)<span class="colour" style="color:rgb(0, 0, 0)"> for objection handling & "how to" facilitate additional exercises</span>
- <span class="colour" style="color:rgb(0, 0, 0)">LinkedIn Learning </span>[<span class="colour" style="color:rgb(0, 0, 255)"><u>course</u></span>](https://www.linkedin.com/learning/sales-handling-objections/the-buyer-and-seller-relationship?u=2255073)
- <span class="colour" style="color:rgb(0, 0, 0)">Potential Objections to </span>[<span class="colour" style="color:rgb(0, 0, 255)"><u>Ultimate sales plays</u></span>](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/#potential-objections)
- <span class="colour" style="color:rgb(0, 0, 0)">Additional Objection handling </span>[<span class="colour" style="color:rgb(0, 0, 255)"><u>techniques</u></span>](https://docs.google.com/presentation/d/1mLnmgQ5hqTzcwk3Vjh0BEIdx9SYgORV-2g7zPKmFKFc/edit#slide=id.g9e2080204d_0_0)<span class="colour" style="color:rgb(0, 0, 255)"> </span><span class="colour" style="color:rgb(0, 0, 0)">for secure & protect customer (SKO 2021) </span>
- <span class="colour" style="color:rgb(0, 0, 0)">7 Steps to Handling Objections: </span>[<span class="colour" style="color:rgb(95, 95, 95)"><u>https://www.youtube.com/watch?v=DBpLFAS2s3w</u></span>](https://www.youtube.com/watch?v=DBpLFAS2s3w)
- <span class="colour" style="color:rgb(0, 0, 0)">Changing Minds </span>[<span class="colour" style="color:rgb(0, 0, 255)"><u>Objection Handling Techniques</u></span>](https://changingminds.org/disciplines/sales/objection/objection_handling.htm)
- <span class="colour" style="color:rgb(0, 0, 0)">Solution Architect's </span>[<span class="colour" style="color:rgb(0, 0, 255)"><u>O'reilly playlist</u></span>](https://learning.oreilly.com/playlists/e2e7811d-9032-4b9d-9890-c41d6c29c8be/)<span class="colour" style="color:rgb(0, 0, 0)"> (objection handling)</span>
