---
title: "Monthly Release Quiz"
description: "Enable SAs and the larger CS team on new and existing features with a monthly quiz event"
---

Solutions Architects need to stay on top of all product changes and with GitLab releasing new features in each monthly update, it can be hard to keep track.
A monthly quiz is organized as a way for team members to test their knowledge on new and existing features.

### Participating to the Monthly Release Quiz

The quiz is scheduled every second Thursday of the month. This gives around two weeks for team members to read through the release blog post and get familiar with the new features.

[Kahoot](https://kahoot.it/) is the platform used to hold the quiz. The session lasts 30 minutes with 20 questions. Participants play individually and win points when entering the correct answer as fast as possible.

The top three winners receive a price in the form of a voucher for the [SWAG shop](https://shop.gitlab.com/).
This voucher needs to be spent during a given quarter or during the first month of the following quarter at the latest.

### Organizing the Monthly Release Quiz

It is recommended for two people to organize the quiz together.

#### Step by step

1. Read through the monthly release blog post
2. Each organizer comes up with 10 questions and reviews the other's questions (see [Formulating Questions](#formulating-quiz-questions))
3. One organizer enters the questions on the quiz platform, [Kahoot](https://kahoot.it/). The credentials can be found on 1Password in the shared Solutions Architect folder. If you do not have access to the credentials in this folder, please reach out to Siddharth Mathur or Chloe Cartron.
4. Before the beginning of the quiz, a message is shared on slack to encourage team members to join the event
5. During the event, one organizer shares their screen
6. The event starts by reminding participants on how to join Kahoot. Participants are encouraged to use their real name when playing.
7. Each organizer reads the questions they prepared and provides more information when delivering the answer
8. After the quiz, prices are requested following [this process](/handbook/marketing/brand-and-product-marketing/brand/merchandise-handling/#organizing-a-giveaway-or-gift).
The budget is $100 per month. The recommended giveaway amount is $45 for 1st place, $30 for 2nd place, and $25 for 3rd place.
9. An email is sent to the winners with information on how to redeem their voucher.

#### Formulating Quiz Questions

- Quiz questions should be:
  - Fact-based (this means that either docs and/or GitLab release notes are in alignment with the correct answers), rather than opinion-based
    - E.g. "Which security platform is our biggest competitor," this is a bad question because the answer is subjective.
  - Ideally, centered around features and capabilities of GitLab (while there is an emphasis on new features and recent changes, older features are also welcome)
  - True/false, single select, or multiselect format
- When creating questions, the following are good sources to pull from:
  - [GitLab documentation](https://docs.gitlab.com)
  - GitLab release notes: [Overview page](https://about.gitlab.com/releases/categories/releases/), [16.0 release notes example](https://about.gitlab.com/releases/2023/05/22/gitlab-16-0-released/#key-features)
