---
title: "Solutions Architects (SA) Ride Alongs"
description: "Ride alongs allow for Solutions Architects to learn from one another through shared customer experiences."
---

Ride alongs provide Solutions Architects working across segments (SMB, Mid-Market, Enterprise, Public Sector) to participate in calls to learn how Solutions Architects and their customers work through aspects of technical evaluations.  The aim is to create an additional opportunity for collaboration, exploration, and growth.

Ride alongs have a *Driver* and a *Passenger*. The driver is the one leading the call and is assigned as the primary Solutions Architect for the customer in a given region and segment. The passenger is the Solutions Architect looking to shadow the driver.

Ride alongs can be within a passenger's current segment or region or outside of the given segment or region.

##### Participating as a passenger in a Ride Along

In order to participate as a passenger in a ride along, a Solutions Architect
can leverage the list of drivers on this page to find a Solutions Architect you can accompany.

*For passengers interested in the public sector, information within the public sector is less widely available, please reach out to the available public sector drivers to get a ride along coordinated.*

1. Review the [list of drivers](#list-of-ride-along-drivers) to find someone who has a region or segment of interest to you.
1. Look at the driver's calendar and identify 3 customer meetings of which you would like to ride along.
1. Contact the driver and express an interest in riding along with the 3 meetings. The driver may choose 1-3 of those meetings for you to attend.
1. [Sync with the driver before the call](#sync-before-call).
1. Attend the Ride Along through a calendar invitation in the call.
   1. [Introduce yourself in the call](#introducing-yourself).
   1. Assist the driver throughout the customer call by contributing to any Running Notes which should be found in [the Customers & Prospects folder](https://drive.google.com/drive/u/0/search?q=parent:0B-ytP5bMib9Ta25aSi13Q25GY1U).
1. [Debrief after the call](#debrief-post-call). Use the [Feedback Description](#rattle-feedback-template) to populate your Troops Activity upon completion.

##### List of Ride Along Drivers

*Any Solutions Architect is eligible to be a driver. If you opt-in, please ensure your calendar is available for others to view*

To become a driver, submit an MR to this page adding yourself to the table below and assign your manager as a reviewer.

| Team Member            | Segment                      |
|------------------------|------------------------------|
| **Tim Poffenbarger**   | Americas SMB, Mid-Market     |
| **Noah Ing**           | Americas SMB, Mid-Market     |
| **Jeremy Wagner**      | Americas SMB, Mid-Market     |
| **Madou Coulibaly**    | EMEA, Enterprise             |
| **Alexander Dess**     | EMEA, Enterprise             |
| **Sujeevan Vijayakumaran** | EMEA, Enterprise         |
| **Dominique Top**      | EMEA, Enterprise             |
| **Sameer Kamani**      | PubSec                       |
| **Linc Williams**      | PubSec USN, USMC,DHA         |
| **Ben Ridley**         | APAC PubSec                  |
| **Sophia Manicor**     | Americas SMB, Mid-Market     |
| **Ken McKnight**       | Americas Enterprise West     |
| **Jefferson Jones**    | Americas SMB, Mid-Market     |
| **Edmond Chan**        | Americas Enterprise East.    |
| **__**                 |                              |

##### Sync before Call

Passengers before a customer call should:

- Review the SA Triage Issues Checklist, recent running notes, or Troops activities related to the account or opportunity
- Introduce themselves to Account Executive
- Discuss findings in reviewed Chorus Calls
- Align on messaging to the client and discuss desired outcomes of the call

##### Introducing yourself

Passengers should use the ride-alongs as an opportunity to practise their introductions as trusted advisors. Passengers should focus on being friendly and open. If possible, mention a personal technical experience that resonates with the audience (for example: if a customer plans a migration from Jenkins to GitLab CI and you have already done that yourself in the past).

For example

Hello, my name is ${PASSENGER}, and I am working along side ${DRIVER_NAME} to:

- Listen to your technical and business needs
- Act as your technical resource
- Help guide you through evaluating GitLab

It's a pleasure to meet all of you today.

##### Debrief post Call

Passengers debriefing after a customer call should:

- Review any action items to follow up on
- Discuss if messaging to client was successful completed
- Provide feedback to the driver on call
- Mention your shadow experience in #solutions-architects to help promote ride alongs!

##### Rattle Feedback Template

Record your ride along activity in Rattle as a call to **the account** (and not the opportunity) with the [appropriate activity type](/handbook/solutions-architects/processes/activity-capture/activity-desc/). Recording at the account level is required because ride alongs that are inter-segment or inter-region will not have their opportunities available to the riders.
The following can be used to guide how you record the description of your
troops activity.

```shell
Call Duration:

Region/Segment Currently Assigned:

Region/Segment Ride Along was in:

Differences in how the call was conducted:

Differences in how the customer interacted:

Key Takeaways that you'll be incorporating into your region/segment
```
