---
title:  SME Cadences 

description: To Outline the framework for the SME Cadences and meetings that should occur during a quarter, for a smooth running of the program

---

### **SME Cadence Framework**

1. The SME Program and SME Area Leads should set up the calendar of SME calls and cadences as specified by the framework below.  
2. Each program should have two calls per month, one, to calibrate, manage, allocate, categorize and prioritize requests, and the second to meet with the PMs for any updates.  
3. The SME Program Lead should ensure that SME Area Leads are represented in the ARR Driver meeting and PMs would be in attendance.  
4. The SME Area Leads should set up appropriate [SME slack channels](/handbook/solutions-architects/sa-practices/subject-matter-experts/sme-request/#sme-slack)

| Month | 1 |  |  |  | 2 |  |  |  | 3 |  |  |  |
| ----- | ----- | ----- | ----- | ----- | ----- | ----- | ----- | ----- | ----- | ----- | ----- | ----- |
| Week | 1 | 2 | 3 | 4 | 1 | 2 | 3 | 4 | 1 | 2 | 3 | 4 |
| **ARR Driver** (once a Quarter) |  |  |  |  |  | X |  |  |  |  |  |  |
| **SME Area Pods** (at least once a month) | AI | App Security | Agile | Dedicated | AI | App Security | Agile | Dedicated | AI | App Security | Agile | Dedicated |
| **PM/ SME Cadence per Area** (once a month (two weeks after SME Calibration meetings )) | Agile | Dedicated | AI | App Security | Agile | Dedicated | AI | App Security | Agile | Dedicated | AI | App Security |
| **SME Leaders Meeting** (once a quarter) |  |  |  |  |  |  |  | X |  |  |  |  |
| **Regional SME Corner Updates** (Weekly in Team calls) | X | X | X | X | X | X | X | X | X | X | X | X |
| **Technical Skills Exchange** (Bi-weekly webinars) Attendees: SAs CSMs PMS SMEs |  |  |  |  |  |  |  |  |  |  |  |  |

### **ARR Driver Meeting**

The objective of this meeting is to provide a forum in which SME Leads, along with Field CTOs, selected SA Leaders, and with cross functional leaders, meet to discuss main themes, roadmap items that can drive ARR at GitLab

#### **Audience:**

* Selected Solution Architect Leaders and Field CTOs  
* All SME Area Leads  
* PMs from different Stages

#### **Schedule and Timeline**

* Frequency: Once a Quarter

---

### **SME Area Pod Meeting** {#sme-area-pod-cadence}

Each SME Area Lead should hold a synchronous meeting with their regional SMEs per Area at least once a month. SME Associates can also attend.

Since SMEs are located globally, the meeting should be scheduled every month, with alternating time zones to accommodate all regions.

#### **Audience:**

* All SME Area Leads  
* SME Area Lead (Host)

#### **Schedule and Timeline**

* Frequency: (At Least) Once a Month

#### **Agenda**

* Customer Feedback and Requests  
  * Review new customer requests from SMEs and review prioritization. Review labels, context and ensure appropriate themes are assigned. If new requests lack context tag appropriate SMEs and SAs to provide more context.  
  * Optionally there can be an additional monthly async meeting on the calendar where all SMEs review, solicit more feedback and clarity from SAs in preparation for the monthly synchronous call.  
  * Review and update SME Area Issue board, those requests that were: 1.) New, 2.) Reviewed, 3.) Accepted by PMs, 4.) Added to Roadmap, 5.) Resolved. 6.) Declined, 7.) BackLog  
  * Tag requests that would be highlighted in the next PM/ SME Cadence  
  * Tag requests that would be highlighted in the next ARR Driver meeting.  
* With CS \- SME Collateral Updates  
  * Maintain a list of Recorded enablement sessions for each Area  
  * Review Golden demos  
  * Review Hands-on workshops  
  * Technical evaluation guidelines  
  * POV templates  
  * Competitive intelligence  
* Review SME enablement needs and make suggestions for the next Technical Skills meeting

---

### **Product Management/ SME Area Cadence Meeting** {#sme-product-cadence}

SME Area Leads would chair the meeting along with their PM counterparts, review the SME Area Issue board, and give context on any prioritized new requests.

SMEs (and Opportunity SAs if needed) will attend to add more color where needed. PMs can relay updates on existing requests back to the SMEs. Everyone gets updated at the same time.

Since GitLab releases are once a month, this also can be an opportunity for PMs to demo, enable, or solicit feedback from SMEs on upcoming changes, or even solicit beta participants for future functionality.

#### **Audience:**

* All SMEs for that Area  
* Opportunity SAs as needed  
* Engineering Manager (recommended)  
* SME Area Lead (Co-Host)  
* PM (Co-Host)

#### **Schedule and Timeline**

* Frequency: Once a Month (two weeks after SME Area Calibration meetings )

#### **Agenda**

* SMEs to Review New and Updated Customer Requests
  * SME Area Lead would review new customer requests with PMs. Set Status as reviewed  
  * PMs to highlight which requests would be backlogged, or accepted as per SLA  
  * PMs to relay any updates to any requests, that can be relayed backed to customers  
  * Facilitate joint customer visits or calls between SMEs and Product Managers to gather direct feedback and understand customer needs.
* Customer Trends and Adoption
  * Implement a system for SMEs to track and report on new feature adoption and impact in their regions, providing valuable data to Product Management.
  * Feedback loop where SMEs can share customer insights and market trends with Product Management to inform product decisions.
* Collateral Updates
  * Involve SMEs in updating or creating FAQs for the handbook to ensure accurate and up-to-date information.
  * Review the topics for the next Technical Skills exchange.
* SME Enablement Updates
  * Organize opportunities for SMEs to shadow Product Managers to better understand the product development process and decision-making.
  * PMs can engage requst SMEs to participate in beta programs to test and provide feedback on new features before general release.
  * PMs to demo, enable, or solicit feedback from SMEs on upcoming changes, or even solicit beta participants for future functionality.  
  * PMs to update roadmap presentations, walk through any new functionality, and share with SMEs so that they can deliver roadmap presentations as appropriate.

---

### **Regional SME Corner Updates** {#sme-corner}

The SMEs during their regional SA calls should have an opportunity to provide updates or get feedback from the SAs within the region.

1. Each SA leader should create a "SME Corner" during their regional or geographical team call to allow the SMEs to present. the Kanban Boards, discuss new requests or give any feedback on existing requests and any other updates from PMs. This is an opportunity to also get feedback from SAs.  
2. Having an SME Corner in regional or geographical SA team calls, allows the SAs to hear about important customer asks and have them add their own customers who may have the same requests  
3. SMEs should solicit topics for the next Technical Skills exchange in their regional team meetings

---

### **Technical Skills Exchange** {#sme-tech-skills}

The [Technical Skills Exchange initiative](https://gitlab.com/gitlab-com/sales-team/field-operations/enablement/-/issues/2800) should be supported by all SMEs.

* On a bi-weekly basis, PMs and SMEs can meet to enable the SA and CSM community, to facilitate demos, and update the SA, and CS org on topics that can reduce the gap of knowledge the field has.
* SMEs should use the Technical Skills Exchange to suggest and present on topics, as appropriate.  This is the forum by which SMEs can learn and share their knowledgein the form of demos, mini workshops, and other formats.
* The SME Area is responsibile to ensure that recordings are categorized by Area: AI, App Security, Agile, Dedicated, CICD, Observation and placed in HighSpot or in the Handbook to form a list of resources by which we can onboard and train new SMEs. This should be used by all SME Associates to gain expertise in different areas.
* Each Technical Skills Exchange, no matter the topic or format, should cover:
  * Context (Why does this feature exist)
    * What was the thinking behind the new functionality, why was it needed
    * What is the experience without this functionality? What would a customer resort to, or risk not having this functionality
    * Any Architectural principles for implementation.
  * Solution \<-- What is the GitLab solution/ demo it
  * Value (What happens when you have 100's of this thing)
    * What is the value to customers
    * What are the principles to adopt this at scale.

---

### **SME Leaders Meeting**

SME Program Lead should meet with all SME Area Leads at least once a quarter

#### **Audience:**

* All SME Area Leads  
* SME Program Lead (Host)

#### **Schedule and Timeline**

* Frequency: (At Least) Once a Quarter

#### **Agenda**

* Review SME program cadences  
* Review calendar of SME calls for all areas  
* Review appointment and rotation of SME Area Leads  
* Any adjustments needed in Customer Feedback Framework, templates, prioritization process  
* Review metrics in SME Utilization and Impact  
* Review any adjustments needed in PM Engagement  
* Help onboard any new SME programs or SME Areas
