---
title: SME Collateral and Resources 

description: Maintaining Collateral for each SME Area

---

## SME Content and Collateral (TBD)

To effectively organize and scale SME knowledge, we can implement the following structure:

1. Discovery Questions
   - Develop a comprehensive list of discovery questions for each SME area
   - Categorize questions by topic, complexity, and customer segment
   - Regularly update and refine questions based on customer interactions

2. Frequently Asked Questions (FAQs)
   - Compile FAQs for each SME domain
   - Provide clear, concise answers with relevant examples
   - Include links to additional resources or documentation

3. Standard Demos
   - Create a library of standardized demos for common use cases
   - Ensure demos are easily customizable for specific customer needs
   - Maintain version control and update demos regularly

4. Knowledge Base
   - Develop a centralized repository for SME knowledge
   - Organize content by topic, product area, and difficulty level
   - Include best practices, troubleshooting guides, and case studies

5. Learning Paths
   - Design structured learning paths for each SME area
   - Include recommended resources, training materials, and hands-on exercises
   - Define milestones and assessments to track progress

6. Collaboration Tools
   - Implement tools for SMEs to share knowledge and collaborate
   - Set up regular knowledge-sharing sessions and workshops
   - Encourage cross-functional collaboration between SMEs and other teams

7. Mentorship Program
   - Establish a mentorship program pairing experienced SMEs with aspiring experts
   - Define clear goals and expectations for mentors and mentees
   - Track progress and provide feedback on mentorship relationships

8. Continuous Improvement
   - Implement a feedback loop to gather insights from SAs and customers
   - Regularly review and update SME content based on feedback and industry trends
   - Measure the effectiveness of SME resources and adjust strategies accordingly

By implementing this structure, we can effectively scale SME knowledge, provide clear paths for skill development, and ensure consistent, high-quality support for customers across all SME areas.

The CS org has already started on content gathering, and creation  of content.  They have been meeting in Pods to accomplish this.

Here is the HighSpot page for the [CS SME Hub of content](https://gitlab.highspot.com/items/667095b95cc9b08c87d40b68?lfrm=srp.0).  Here is the [CS SME Charter](https://gitlab.com/gitlab-com/customer-success/subject-matter-experts/cs-subject-matter-experts) that talks about solving the problem of version controlled enablement content.

How can SAs help:  We need to also have a process to scale the SME knowledge beyond the SMEs, for example: creating discovery questions, creating frequently asked questions by customers per and creating or using some standard demos..

How can Enablement Help: We can approach enablement to structure the content so that if someone wants to become a SME there is a path. This is a long term outcome.

The  [Technical Skills Exchange initiative](/handbook/solutions-architects/sa-practices/subject-matter-experts/sme-cadences/#sme-tech-skills) can be utilized to that effect

### StackOverflow (TBD)

Make sure that whoever is designated as an SME is listed as such in Stack Overflow. This will ensure that questions tagged with those relevant topics get routed to the right folks.

It should be part of the regular rigor that SMEs review questions in Slack (specifically #cs-questions) and Stack Overflow to ensure the answers are upvoted and relevant as new changes/features get released.

We can also use Stack Overflow for FAQs and Articles related to those particular areas.
