---
title: Solutions Architect Sales Plays
description: "Discover GitLab Solutions Architects' Sales Plays practices"
---

## Sales Plays for new account & teams(existing customer) lands

The SA should either be included in a discovery call or provided with Outcome / Infrastructure / Challenges information uncovered by prior interactions with the account. Occasionally, SA's may support a combination call of discovery and technical demonstration/deep-dive on a single call, but this is suboptimal as the latter approach does not allow the SA time to prepare for and/or tailor the discussion.

The SA is also responsible for any pre-sales technical customer inquiry or audit from associated accounts, including RFI, RFP or security audits. For details on the audit process, proceed to the [Security](/handbook/security/security-assurance/field-security/customer-security-assessment-process/) page.

The SA is always responsible for drafting Professional Services SOW's, regardless of the account status (pre- and post-sales).

As a general guideline, no more than 2 Solutions Architects should join any single client-facing call, whether it be assistive for the topic or for learning / shadowing.

## Overview

**Objective** - Land new accounts, logos & new teams in existing account with GitLab Ultimate.

Who is this sales play for?

- Primary: SAEs, SDRs and SAs who handle new accounts, new teams in existing customers
- Secondary: CSMs who help in discovery with new teams in existing customers

## Who to meet

**Ideal Customer Profile** - Prospects or new teams in existing customers who are listed in this qualification [list](https://gitlab.my.salesforce.com/00O4M000004aULR) for enterprise customers

- Organizations/teams interested in shifting left & currently unhappy with their security tools OR not using security tool at all
- Organizations/teams unhappy with their deploy times, current operational efficiency, tool chain
- Organizations at lower maturity level undergoing or planning to undergoing tranformation
- Siloed teams with disparate tools, especially security, lacking visibility at the individual level and executive level
- Organizations with stringent regulatory security or compliance requirements

**Target Buyer Personas**

| Persona role | Possible titles |
| ------------ | --------------- |
| Economic buyers | CISO or Security Manager, VP of Security, Director of Security, VP of IT or CTO, App/Dev Director |
| Technical influencers | Chief Architect, App Dev Manager |
| Other Personas to consider | Infrastructure Engineering Director, Release and Change Management Director |

**Target Account Lists**

- [Account list](https://docs.google.com/spreadsheets/d/1Wb1oumCp8vA7hwexQ-bKm37mDbj4rzwpLJ11TtJDh98/edit#gid=1408744602)

## Getting Started

Consider the following questions:

- What has prevented the customer from moving to (or considering moving to) GitLab Ultimate?
- Does the customer have any strategic initiative or priority to which upgrading to Ultimate would align nicely?
- Are you engaged with the right personas/teams (see Target Buyer Personas above)?
- Do you have access to power/authority (a business decision maker)?
- Who are your champions within the account?
- Are the capabilities and PBOs that are enabled by GitLab Ultimate important to the customer? Why or why not? How do you know?

### Stage: Qualification

**Sales Play**

1. For SAEs/SDRs please make sure the customers are on the qualification list for your region. Eg: For enterprise west look at [this](https://gitlab.my.salesforce.com/00O4M000004aULR)
1. During qualification, make sure to identify the pain points, customer profile using the collaterals highlighted below:
    1. [Questions](/handbook/marketing/sales-plays-cicd/playbook-premium-to-ultimate/#engaging-the-customer) to better understand customer needs, future state & required capabilities
    1. Customer presentations & GTM use cases link [here](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/#customer-facing-presentations)
    1. [Discovery questions](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/#discovery-questions) for GitLab Protect/Secure
    1. Potential [objections](/handbook/marketing/sales-plays-cicd/playbook-premium-to-ultimate/#objection-handling) from prospects/customers
1. Review how to position GitLab's values & why does GitLab does it better [here](/handbook/marketing/sales-plays-cicd/playbook-premium-to-ultimate/#positioning-value)

**Expected Outcome**

Discovery

**Owner**

Primary: SDR, SAE
Secondary: SA

### Stage: Discovery

**Sales Play: New Customers(new logos)**

1. Choose & create a list of discovery questions based on your customer profile in order to identify pain points
    1. Discover the pain points through general discovery questions & resources below:
    1. SA technical discovery questionaire
    1. Market [requirements](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/#market-requirements-in-priority-order)
    1. Pick the ones that apply from value discovery pains, benefits & required capabilities [here](/handbook/marketing/sales-plays-cicd/playbook-premium-to-ultimate/#value-discovery)
    1. Discovery questions for customer currently not on secure/protect with specific entry points [highlighted](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/#discovery-questions)
    1. Please review potential [objections](/handbook/marketing/sales-plays-cicd/playbook-premium-to-ultimate/#objection-handling)from prospects/customers before the meeting
1. Identify & get access to high-level DRI for security
1. Identify & get access to high-level exec for higher-level initiatives using collateral below
        1. [Accelerating Digital Transformation](https://about.gitlab.com/solutions/digital-transformation/)
        1. [Value Stream Management](https://about.gitlab.com/solutions/value-stream-management/)
        1. [GitLab is optimized for cloud native](https://docs.google.com/presentation/d/1oq7ODy9TJpuZqH_tvVtCm2t-C0QkTbuG4ZRlRzRNcUY/edit#slide=id.gbb4f272403_0_546)
1. Propose next steps & get some time while you are speaking with the customer ideally a demo or workshop. We DONOT recommend starting with a POV since it leads to longer sales cycles & unexpected results before doing more discovery & agreeing to success criterias.

**Expected Outcome**

1. Additional Discovery
2. Technical Evaluation ideally a demo or hands on workshop

**Owner**

SA and SAE

**Sales Play: New Teams(existing customers)**

1. Choose & create a list of discovery questions based on your customer profile in order to identify pain points
    1. Discover the pain points through general discovery questions & resources below:
    1. SA technical discovery [questionaire](https://docs.google.com/document/d/1GZnbqE_rtGFRAJxoeje4mtFyP1AfpLLueESijXgikm4/edit#heading=h.4b6ktib5prk9)
    1. Market [requirements](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/#market-requirements-in-priority-order)
    1. Pick the ones that apply from value discovery pains, benefits & required capabilities[here](/handbook/marketing/sales-plays-cicd/playbook-premium-to-ultimate/#value-discovery)
    1. Discovery questions for customer currently not on secure/protect with specific entry points [highlighted](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/#discovery-questions)
    1. Please review potential [objections](/handbook/marketing/sales-plays-cicd/playbook-premium-to-ultimate/#objection-handling)from prospects/customers before the meeting
    1. Please review all the this [sales play](/handbook/marketing/sales-plays-cicd/playbook-premium-to-ultimate/#meetings-to-get-to-a-pov-agreement) if your customer is already on Premium
1. Identify & get access to high-level DRI for security
1. Identify & get access to high-level exec for higher-level initiatives using collateral below
        1. [Accelerating Digital Transformation](https://about.gitlab.com/solutions/digital-transformation/)
        1. [Value Stream Management](https://about.gitlab.com/solutions/value-stream-management/)
        1. [GitLab is optimized for cloud native](https://docs.google.com/presentation/d/1oq7ODy9TJpuZqH_tvVtCm2t-C0QkTbuG4ZRlRzRNcUY/edit#slide=id.gbb4f272403_0_546)
1. Propose next steps & get some time while you are speaking with the customer ideally a demo or workshop. We DONOT recommend starting with a POV since it leads to longer sales cycles & unexpected results before doing more discovery & agreeing to success criterias.

**Expected Outcome**

1. Additional Discovery
2. Technical Evaluation ideally a demo or hands on workshop

**Owner**

SA and SAE

### Stage: Technical Evaluations

1. Strategize with your sales team on which play would you like to run & agree on the expected outcome before the meeting. We dont recommend starting a technical evaluation with a POV.
    - Demo/Deck: Vision & transformation play, where you would likely focus on GitLab holistically
    1. [Customer facing slides](https://docs.google.com/presentation/d/1WHTyUDOMuSVK9uK7hhSIQ_JbeUbo7k5AW3D6WwBReOg/edit)
    1. [Why choose ultimate](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/#ultimate)
    1. [Customer proof point](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/#proof-points---customers)
    1. [How GitLab meets market requirements](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/#how-gitlab-meets-the-market-requirements)
    1. [Differentiators](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/#top-differentiators) - Feel free to pick as many you would like
    1. [SA Demo Repo](https://gitlabdemo.com/catalog/libraries/3c68d4b8) : break this down into multiple play
    1. [Demo catalog](https://gitlab.com/gitlab-com/customer-success/solutions-architecture/demo-catalog)
    1. [End to End TCO planning workshop](https://docs.google.com/spreadsheets/d/1wVghmLv3E_IKs7rz-quc6jtjZW0p-u3h4iSaDqmm1Nc/edit#gid=467701643), Recording
    1. [End to end demo with secure]
    - Nuts/Bolts play where you will focus on specific secure/ultimate capabilities
    1. [DevSecOps Nuts & Bolts deck](https://docs.google.com/presentation/d/1NSowoLzyrb_8ACnxwbQ2FcqaoDmavaedUrd2rVidehw/edit#slide=id.gc2a4740e21_0_554) by Darwin Sanoy
    1. [Building a continuous remediation habit](https://drive.google.com/file/d/1Gd7pb_-5V9jjJqT7zFNLpxoKjZuOFE63/view)
    1. [Additional info including TCO workshop](https://gitlab.com/gitlab-com/customer-success/tko/nuts-and-bolts-devsecops-motion-feedback)
    - Demo/Deck: Integrate vs Compete play
    1. [Compete : Argo CD/TeamCity](https://gitlabdemo.com/catalog/libraries/categories/ac509772)
    1. [GitLab advantages over competitors](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/#competitive-comparison)

**Expected Outcome**

1. Deeper Dive Demo
2. Workshops
3. [POV](/handbook/solutions-architects/tools-and-resources/pov/)
4. [Professional Services Engagement](#professional-service-resources)

**Owner**

SA and SAE

## Additional Resources to use

Will have specific resources under actions above. This is for additional resources.

- [GitLab Ultimate specific features and value handbook page](https://about.gitlab.com/pricing/ultimate/#ultimate-specific-features)
- [SKO Expanding to Ultimate slide deck](https://docs.google.com/presentation/d/1oq7ODy9TJpuZqH_tvVtCm2t-C0QkTbuG4ZRlRzRNcUY/edit#slide=id.gb4749ff26b_0_85)
- [Why GitLab Ultimate slide deck](https://docs.google.com/presentation/d/1TP5cXH5Nr0VkH7mE6M_-DFXT_Jnq7o5LPxuMUz2paI4/edit?usp=sharing)
- [Selling DevSecOps resource page](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/devsecops/#ultimate)
- Selling security (need link) see John Blevin's online classroom material
- New Gartner MQ for Plan (Expected in May)
- Gartner MQ for AST (expected in May 2021)

## Professional Service Resources

| Customer Persona | Services to Consider | Customer Desired Outcomes |
| ----- | ----- | ----- |
| CISO, CTO, VP Engineering, Director of DevOps Platform or Developer Experience, Head of Digital/DevOps Transformation | [Transformative services](https://www.loom.com/share/da035d54cda74c039524d940766d7621?sharedAppSource=personal_library), [slides](https://docs.google.com/presentation/d/1zH6l_qLtODL_gYD6YazKYl5BGY0FVDy08QAqS7ticuU/edit#slide=id.g11640e57389_0_21) | reducing functional silos, proactive risk management (e.g. shift left), standardizing CI/CD workflows, and innersourcing collaboration. |
| Sr. Manager App Dev, Director of Engineering | [Standard service packages](https://about.gitlab.com/services/catalog/) or Custom Scoped Offerings| Customers who are interested in [training](https://about.gitlab.com/services/education/) on one ore more specific topic. Customers who need help in [implementing GitLab Self Managed](https://about.gitlab.com/services/implementation/) or need data to be [migrated to GitLab](https://about.gitlab.com/services/migration/)  |

Not sure? Get in contact with your region's [PS Engagement Manager](/handbook/company/team/?department=practice-management) in [#professional-services](https://gitlab.slack.com/archives/CFRLYG77X) to discuss specific customer opportunities.

## Measuring progress

Please copy [this checklist](https://docs.google.com/spreadsheets/d/1YT-w0MXpD6-v2Z2PqNqU9tdKsNknzzLAKlb_ktuPNBo/edit?usp=sharing) per opportunity & update as needed.

Consider these milestones and adjust stages in SDLC as you progress.

**Milestones**

- [ ] Gameplan with GitLab champion (MEDDPPICC)
- [ ] Meeting with Security team or other economic buyer
- [ ] Agreement to do technical evaluations
- [ ] Technical evaluations requirements defined
- [ ] Successful technical evaluation
- [ ] Proposal

**Metrics:**

- [ ] Avg days per stage to progress
- [ ] Longest step (common blockage?)
- [ ] Economic buyer titles - common factor?
- [ ] Retro on sales play
