---
title: Solutions Architects - Strategic Field Organization
description: "The Strategic Field Organization is a team of Principal Solutions Architects that support global strategic sales opportunities and customers."
---

## Solutions Architecture - Strategic Field Organization

The Strategic Field Organization is a team of [Principal Solutions Architects](/job-families/sales/solutions-architect/#principal-solutions-architect-responsibilities) that support global strategic prospects and customers. This team collaborates with the regional account teams to work together on large engagements that require a high degree of strategic planning - such as DevSecOps transformation, solution recommendations, and advisory for our customer's senior technical leadership.

### Objective and Goals

The team's mission is to be the ambassadors for the strategic narrative of the platform and engage with our strategic accounts' senior leadership team to provide technical advisory on solving critical business objectives with GitLab.

To achieve this, the team focuses on internal and external initiatives:

#### Strategic Customer Advisory

Partner with our account team and their strategic customers' leadership team to deliver advisory services that will enable them to meet their business objectives and get the most out of the GitLab platform. The approach to achieving this varies based on the industry and maturity of the organization's development practice. Example engagements include:

- Deliver roadmap and vision presentations to senior leadership - evangelizing why it exists, where it's going, how it fits in the market, and what critical business problems it solves for the customer.
- Assess the technical and business impact through TCO and ROI, develop large-scale migration strategies, and provide cultural/workflow recommendations.
- Develop and deliver executive-level advisory services for strategic prospects and customers who require a broader level of expertise than our offering.
- Maintain ongoing cadence with technical leaders within a set of named strategic accounts.
Represents the company at key industry and customer events

#### Technical Sales Strategy

As advisors to our largest strategic customers on DevSecOps transformation, the team can provide new approaches and strategies that allow our Sales and Solution Architecture team to increase value and efficiency when positioning GitLab as a solution. This includes:

- Assist in the development and execution of value-driven workshops and assessments (DevSecOps/DORA/Value Stream)
- Development of scalable and repeatable strategies to drive long-term customer value with GitLab
- Partner with the sales leadership team to formulate and execute a sales strategy to exceed revenue targets through the adoption of GitLab.
- Collaborate with product marketing, engineering, and management on a market strategy that results in an improved win rate.
- Assist in the positioning and delivery of industry analyst reports

### Engagement Models

In the field, the Strategic field team focuses on two main engagement models:

**Land at scale (new logos)**

The core function of the team is to help drive larger, new logo opportunities.  Due to the complexities of a large-scale organizational shift, we must provide a holistic approach to adopting GitLab. The strategic field team engages as an extension to the prospect's senior leadership to help bridge the technical and business impact.

**Drive Ultimate adoption with existing strategic customers**

As our existing customers continue to mature their DevOps practice on GitLab Premium, the Strategic field Team can assist with advisory services such as workshops and assessments (DORA, DevSecOps workflow, or Value Stream Mapping) to provide guidance. This allows us to help ensure they are getting the most out of GitLab and position the value of GitLab Ultimate as a future state and help drive their business results.

### Engagement Process

Given the size of the team and the level of effort required, we have defined qualifications to maximize efficiency across our global accounts.

Qualifications for net-new deals:

- Deal opportunity ARR value is more than $400,000 ARR
- Reviewed and approved by the regional ASM and regional SA manager
- Access to engage with senior leadership and the economic buyer
