---
title: Staff Support Engineer
description: Staff Support Engineer activities and references
---

## Overview

This page is not meant to cover everything one needs to know about a Staff Support Engineer.
Instead, it's meant to cover things that are specific to the role.

You can learn about the promotion process to the Staff level in [Support Engineer Career Path](/handbook/support/support-engineer-career-path#path-to-promotion-staff-engineering).

## Role and Responsibilities

Staff Support Engineers at GitLab will generally focus on the following things:

- Improve and collaborate within Support and with other teams to improve our technologies and how we work.
- [Mentor]({{< ref mentorship >}}) and [coach](/handbook/leadership/coaching/) others on our technologies and how we work.
- Enable others to action on ideas and issues.
- Assist the team to meet [Support KPIs](/handbook/support/performance-indicators.md).

You can read more about the role in:

- [Support Engineer Responsibilities](/handbook/support/support-engineer-responsibilities).
- [Support Career Path: Staff Engineer resources](/handbook/support/support-engineer-career-path#considerations-and-recommendations-1).

## Reporting structure

A Staff Support Engineer should report to the level above Support Manager, meaning a Senior Manager or Director.

In FY23-Q2, Support Leadership trialed a Staff Level Engineer reporting to a Manager and then reporting to a Senior Manager.

Based on that trial, those involved believe that a Staff Support Engineer is more impactful and effective reporting to the Support Senior Leadership management level.

Following are some of the reasons (not an exhaustive list) behind the decision. The Staff Support Engineer reporting to a senior manager/director:

- has increased visibility on region or team-wide initiatives and projects, which allows for better coordination of work.
- has better alignment of prioritization with senior leadership.
- would likely have better alignment of work with OKRs and FY direction.
- can more easily make decisions regarding OKRs in discussion with a senior manager or higher.
- has regular meetings (through 1:1 and skip level) with senior leadership members, which more naturally allows for discussion on what to work on, or what is needed to get unblocked (such as cross-team prioritization).

## Staff, MRs, and Managers: How to move MRs forward

To work more efficiently, the Staff Support Engineer should assign merge requests to a relevant DRI instead of the more common "assign to your manager for review".

## Keeping track of Support strategies and goals

There are various ways to keep track of what's happening at a higher level in Support, including, but not limited to:

- Attend the Support [Key Review](/handbook/company/key-review/). (Highly recommended)
- Attend the Support [Group Conversation](/handbook/company/group-conversations/).
- See what [Support Managers are working on](/handbook/support/managers/_index.md#how-to-see-what-the-support-managers-are-working-on).
- Look over [Support (senior) leadership meeting notes](/handbook/support/managers/_index.md#support-leadership-meetings).
- Review [OKRs](../#okrs) and [KPIs](/handbook/support/performance-indicators.md)
- [Current FY Direction](/handbook/support/_index.md#fy23-direction)

## OKRs

Similar to [OKRs for Support Engineering Managers](/handbook/support/managers/_index.md#okrs), Staff Support Engineers can optionally work on [OKRs](/handbook/engineering/#engineering-okr-process).

Staff Support Engineers should discuss with their manager if and when to take on OKRs with the following considerations:

1. Have at most 1 Objective per quarter, split into multiple KRs as needed.
1. Decide on the definition of attainment. Depending on the OKR this may be 70% or 95%.
1. Ideas for the OKR may come from any number of sources, including (but not limited to):
    - Proposed OKRs
    - [Support Direction](/handbook/support/_index.md#fy23-direction)
    - E-group requests (typically from Key Review)
    - Skip level discussions
    - Identified trends or repeated inquiries (within Support or GitLab, or customers)

## Support Engineering READMEs

Staff Support Engineers are encouraged to have a README.
