---
title: Offering - Assigned Support Engineer (ASE)
description: Information about the ASE offering, being an ASE, and working with ASEs
canonical_path: "/handbook/support/enhanced-support-offerings/offering-assigned-support-engineer"
---

## The Assigned Support Engineer offering

An Assigned Support Engineer (ASE) is a senior level support engineer who leads
our support delivery for one to four accounts. The ASE strives to:

- develop excellent relationships with their main contacts at each account
- understand each account's GitLab environment, architecture and use cases
- be a trusted advisor to each account in order to guide them through tickets,
  upgrades and other situations efficiently and smoothly
- be available to work with their customers through tickets, issues and video
  calls during business hours
- be aware of all tickets submitted by each of their accounts, and lead as many
  of those as they can within the amount of time allotted in the contracts

By taking a personalized, customized approach to serving each account, the ASE
has the opportunity to ensure that these important customers are happy and
successful with GitLab.

For the official description of this offering, see the
[Assigned Support Engineer Delivery Data Sheet](https://drive.google.com/file/d/1I-GDQV9wZkTvTTMqIPw1mSLaeVUru4zU/view).

### ASE Leadership Team

Val Parsons, Director of Customer Support in EMEA, has led the effort to bring
this first Enhanced Support Offering into existence. She holds overall
responsibility for this part of GitLab Support, which includes things like
working with Sales as necessary to bring in new ASE contracts and driving the
definitions of what the service is and how we deliver it.

Lee Matos, Director of Customer Support in AMER, has partnered with Val as the
AMER DRI for the ASE Program, in large part due to the critical importance of
the AMER region as the source of a high percentage of likely and actual ASE
accounts. He has put a particular focus on determining how to find and develop
internal talent for the ASE role and how to hire external talent for it, too.

Mike Dunninger, Support Engineering Manager in AMER, manages all Global Support
ASEs in AMER. As the only current manager globally with specific ASE Program
responsibilities, he works to:

1. enable and encourage teamwork among all of the ASEs (not just those in AMER)
1. guide the team in identifying, developing and documenting best practices
1. define and document standard processes and reports for the program

Ilia Kosenko, Support Engineering Manager in EMEA, manages the EMEA ASEs.

Wei-Meng Lee, Support Engineering Manager in APAC, manages the APAC ASEs.

## The Assigned Support Engineer guide

The guide to all things ASE, whether you are an ASE, want to know about possibly
being an ASE or need to know how to work with ASEs. It's all here.

### ASE Communications

#### Slack

- ASE Program Slack channel:  [#support_assigned-support-eng](https://gitlab.enterprise.slack.com/archives/C06E61D9Z7E)
- ASE accounts' Slack channels:  many of the accounts make use of an external
  Slack channel, one per account, for informal communications with Sales,
  Customer Success, Professional Services and their ASE

#### Meetings

There are two recurring meetings in place to bring the ASEs and management
together for the purposes of supporting each other, sharing ASE practices, and
discussing needed process and program improvements. The meetings occur on
alternating weeks, one week being scheduled favorably for EMEA and AMER, and
the next for AMER and APAC. Both meetings can be found in the
[GitLab Support calendar](/handbook/support/#google-calendar).

- `ASE Sync - AMER/EMEA`: Wednesdays at 4:30 p.m. UTC
- `ASE Sync - APAC/AMER`: Thursdays at 1:00 a.m. UTC

To keep the meetings short and productive, much of the agenda is async. ASEs
and managers have agenda topics to update before each meeting.

#### GitLab Project

See the [Assigned Support Engineers project](https://gitlab.com/gitlab-com/support/assigned-support-engineers)
for issues and a wiki that are used by the ASE community. There is a lot of
organizational and logistical information there, as well as issues describing
out-of-office coverage plans and containing discussions about ASE processes.

### Working with ASEs

ASEs tend to work with GitLab Team Members from all around Support and all
around the company in order to meet the needs of their accounts. We want
each collaboration to be positive, mutually-beneficial and successful. So
we've created the following sections to provide information to you, our
partners, about working with us.

#### Global Support working with ASEs

If you're in Global Support, please familiarize yourself with our
[Global Support working with ASEs](working-with-ases/global-support-and-ases.html)
page. It should tell you everything you want to know about how these two parts
of Support can help each other to be more successful.

#### Account Teams working with ASEs

If you're part of a Sales, Customer Success or Professional Services team that
works with an account that has contracted for or is considering contracting for
one or more Assigned Support Engineers, please read our
[Account Teams working with ASEs](working-with-ases/account-teams-working-with-ases.html)
page.

### ASE workflows and other standard practices

- [ASE workflows and other standard practices](ase-workflows-and-standards)

### Becoming and Being an ASE

Please see our [Becoming and Being an ASE page](becoming-and-being-an-ase.html) if:

- you are considering whether to become an ASE
- you are about to become an ASE
- you are a new ASE

### Zendesk for ASEs

**<<<< COMING SOON >>>>**

Link to a page that includes:

- ticket routing and assignment
- views
- special fields
- special tags
