---
title: Planning PTO as ASE
description: Planning PTO for Assigned Support Engineers
---

## ASE PTO planning

As per the ASE contract, the customer expects to have a named engineer covering
for their ASE when that person is unavailable. This means that when an ASE
plans to take some time off, appropriate coverage needs to be found. This
workflow describes the recommended steps an ASE should follow to arrange
coverage for planned time off.

### Planning PTO

At least two weeks in advance of your time off, find people to cover for you
during the full length of that time.

If another ASE is able to cover for you, they should be your first choice. Next,
consider SEs who have expressed an interest in the ASE role. Finally, consider
any other SEs who you believe would be a good fit.

Once you have found suitable backups, create an issue in the
[Assigned Support Engineer project](https://gitlab.com/gitlab-com/support/assigned-support-engineers/-/issues).
Tag your manager and your backups in the issue. State clearly the dates you
will be out.

### The week before PTO

- Review the accounts and open tickets with your backups
- Inform the customers and account teams of your upcoming absence and your
  coverage plan
- Help the SEs who will be monitoring your accounts to configure the
  [Zendesk notifications app](/handbook/support/readiness/operations/docs/zendesk/apps/global-apps/#notifications-app)
  to notify them upon the arrival of new tickets.
- Use the [Delegate Tasks feature of `Time Off by Deel` in Slack](https://help.letsdeel.com/hc/en-gb/articles/11901927070737-How-To-Request-Time-Off-With-Deel-Plugin#h_01GNY1Q325CCDEMASHZCMMY4RS)
  to indicate who is covering for each of your accounts

### Returning from PTO

When you return, meet with your backups to review the work they did on your
behalf. And notify your customers and account teams of your return.

Add any lessons learned from this process to the issue that you created in the
[Assigned Support Engineer project](https://gitlab.com/gitlab-com/support/assigned-support-engineers/-/issues),
and then close the issue. Consider improving this Handbook page, too.
