---
title: Emergency Workflow
category: Assigned Support Engineer
description: Workflow for an ASE when their account submits an emergency
---

## Emergencies from ASE accounts

An account with an Assigned Support Engineer (ASE) can submit an emergency
either [while you're available](#when-youre-available)
or [while you're not](#when-youre-not-available).

In either case, it is important to note that you are not permanently on-call
and, thus, are **not required** to take the emergency unless you're the on-call
engineer. However, at times like these it is important to remember
that you are the Support Engineer with the most knowledge of the
customer's situation, problems and objectives, and therefore you might be able
to save GitLab Support and the customer many hours of troubleshooting by
working with the on-call team on such an emergency.

## Processes for the ASE

### When you're available

If the on-call engineer notifies you of an emergency and you are either
available or can be available, then work alongside the on-call engineer to
stabilize the customer's situation. This may involve *any* of the following:

- Taking over as
  [DRI](/handbook/people-group/directly-responsible-individuals.html) for the emergency
- Shadowing the emergency for some amount of time
- Troubleshooting the emergency in Slack, asynchronously
- Providing the on-call engineer with important information that will help them
  to work with the customer or to understand the customer's environment

Any help you can provide will be appreciated.

### When you're not available

If you come back to work and see that an emergency took place while you
weren't available, then catch up on what happened and reach out to the
customer to discuss any next steps.

If a big task is planned while you know you'll be unavailable
[be proactive](#be-proactive) and prepare the on-call engineer.

### Be proactive

If a task is planned after-hours that may lead to an emergency (an upcoming upgrade,
migration, etc.) then it would be useful to create a summary
of what's planned, possible problems that could arise (if you know any), and suggested solutions.
If you have other account-specific information that the on-call SE might need
while troubleshooting (architecture info, problems, etc.), please put it into
an internal note in the
existing ticket leading up to the task so the on-call engineer can see it.
