---
title: Requesting Gratis Support
description: Details on how to request gratis support for customers and prospects
---

## Overview

GitLab Premium and Ultimate subscriptions include Customer Support. Free or expired users, and prospects, are not typically entitled to contact Customer Support with technical questions. Under certain circumstances, Sales or Customer Success team members may wish to request a period of free support for a prospect or customer. This page describes the process for them to make such requests.

> **Important Note:** Gratis support requests are not for one-off technical problems, and they are not requests for help with a single ticket. They are meant for high-value situations where ongoing support may be needed over 30 days. See below for full descriptions of the intended valid scenarios.

## Restrictions on gratis support

1. Only **30** Gratis Support items may exist at any one time. The current reference sheet containing who is receiving gratis support [can be found here](https://docs.google.com/spreadsheets/d/11p3aBj1LTr-ngk1wxoMlae-UvJ3bOTuQHd48so2ZcXU/). The sheet can only be updated by Support Operations.
1. All requests for Gratis Support require approval from a manager within Sales or Customer Success. You must obtain approval prior to opening the request.
1. All requests are for **30 days** at a time. The maximum allowance for Gratis Support is 90 days, requested in 30 day increments.

Gratis support for prospects and former/expired customers includes the following limitations:

1. Does not include [emergency support](https://about.gitlab.com/support/#how-to-engage-emergency-support).
1. Does not include [upgrade assistance support](https://about.gitlab.com/support/scheduling-upgrade-assistance/).
1. Does not include [namesquatting requests](https://about.gitlab.com/support/gitlab-com-policies/#name-squatting-policy).
1. All response times are reasonable effort and will be given an internal SLO of 24 hours.

Further restrictions may exist depending on the type of Gratis Support you select below, and/or on the particular customer/prospect situation.

## Requesting gratis support using the webform

The webform is available here: [https://gitlab-com.gitlab.io/support/support-ops/forms/gratis-support-request-form/](https://gitlab-com.gitlab.io/support/support-ops/forms/gratis-support-request-form/)

If you have any questions or problems as you fill out the form, please ask in the `#support-operations` Slack channel.

### Required information

For all requests, you must provide the following:

1. Name of the manager within Sales or Customer Success who has already approved your request
1. Links to the Account **and** Opportunity within SFDC
1. Amount of ARR associated with the Opportunity

Some options require additional information as displayed in the webform for that option.

### Options on the webform

The gratis support webform has the following options, which are described in detail in each section below.

### a prospect

Please refer to the [Priority Prospects page](/handbook/support/priority_prospects/) for more information.

### a current customer migrating from one product to another

Use this when an existing customer is migrating from Self-managed to SaaS, or from SaaS to Self-managed. This step ensures that the customer receives support for both instances, not just the one that holds the valid subscription.

### a customer trialing a higher tiered plan

Use this when an existing Premium customer wants to trial Ultimate features. This step ensures that the customer receives support on the Ultimate features, even though their subscription is only for Premium tier.

### a former customer

Use this when a former or expired customer is trialing GitLab again (proof of value / POV) or is on a Trial/temp license during negotiations.

### an extension of previously requested Gratis Support

Use this when you have already obtained gratis support (following one of the above options), and you need to request a 30-day extension.

### a support leadership approved situation not covered by the above

Use this **only** when you have already negotiated a specific situation with Customer Support leadership team, and already have approval to make the request for gratis support. To discuss such a situation, post in `#support_leadership`.

## Further Reading

- [Support Operations workflow handbook page for gratis support](/handbook/support/readiness/operations/docs/policies/gratis_support/)
