---
title: Automation Request
category: CustomersDot
description: This workflow covers the steps to request an automation for any L&R related tasks.
---

## Overview

Any request that requires repetitive manual work should be simplified or automated.
This workflow covers the steps to request an automation for any L&R related tasks.

## Why ?

As per our [efficiency](/handbook/values/#efficiency) value:
> We care about working on the right things, not doing more than needed, and not duplicating work. This enables us to achieve more progress, which makes our work more fulfilling

## Scope

This process covers requests related to L&R and the [GitLab Customers Portal](https://customers.gitlab.com/).

## Workflow

1. Check to see if there's an existing feature request.  You can check for this on the [Customers Portal Issues](https://gitlab.com/gitlab-org/customers-gitlab-com/-/issues/?sort=created_date&state=opened&label_name%5B%5D=type%3A%3Afeature&first_page_size=100) tracker.
1. If the functionality you would like to see added to the Customers Portal exists, you can add to the issue. If not, create a new issue using the [Feature Proposal template](https://gitlab.com/gitlab-org/customers-gitlab-com/-/issues/new?issuable_template=feature-proposal).

## **`Note:`**

We are no longer adding functionality to Mechanizer. Any changes made to Mechanizer are strictly for the purpose of maintaining existing functionality and ensuring Mechanizer continues to work until the features found there are incorporated into the existing GitLab tooling such as the Customers Portal.
