---
title: Sending licenses to a different email address
description: "Information on the process for sending licenses to a different email address"
category: GitLab Self-Managed licenses
---

## Overview

A temporary license can be sent to a different email address.

A paid license is always sent to the `Sold to` contact used on the order, and this contact is mentioned in the license file.

We can send the license to another contact in either of the following cases:

- The contact has a Customers Dot account which is linked to the subscription.
- The contact is the `Sold to` contact for the Zuora account.

To send the license to a different email address, follow the process for [Associating purchases with additional accounts](/handbook/support/license-and-renewals/workflows/customersdot/associating_purchases). \
We cannot bypass doing this based on internal requests. It must be done via a customer submitted ticket. \
Once the new Customers Dot account is created or changed, the license can be re-sent (or obtained by the new account owner).

The Support team is **not allowed** to make changes to the contact information in the license itself.

To forward or resend a license or activation code:

- Find the license or activation code by searching using customer email or company name.
- To resend the license or activation code to the same user, click the `Resend to customer via email` button on the right. (Looks like an envelope icon).
- To forward the license or activation code to a different address using the `Forward license email` function:
    1. Navigate to the `Forward license email` tab if it's a license file or to the `Forward Cloud activation email` tab if it's an activation code.
    1. Enter the `Destination email address`. **NOTE** It is currently not possible to copy (cc) or send to multiple contacts at once.
    1. Click the **Forward** button.
    1. [Confirm whether the license was delivered](/handbook/support/license-and-renewals/workflows/self-managed/license_delivery#check-whether-the-license-has-been-delivered)
