---
title: Handling L&R Internal Requests
category: Working L&R requests
description: Describes how to service internal requests for licensing & renewals.
---

---

### Servicing Internal Requests

Choose the best [L&R Workflows](/handbook/support/license-and-renewals/workflows/) when servicing L&R internal requests. L&R Internal Requests can be found in the "L&R" View in Zendesk.

The L&R team works on licensing and subscription related internal requests that are filed by GitLab team members using the [GitLab Support Internal Request form](https://support-super-form-gitlab-com-support-support-op-651f22e90ce6d7.gitlab.io/).

**NOTE:** Use the `Support::L&R::Sales Internal Request - Office Hours Notice` macro in either your first or last response in the ticket to increase awareness of the regional office hours hosted by the L&R team.

A list of the different options available and example scenarios can be found in [this section](/handbook/support/internal-support/#common-internal-request-scenarios). Click for details.

### Order Management

**Note:** Team members who are part of Sales or another team should NOT use the `Order Management` option as the request will be rejected.

[The Order Management team](/handbook/sales/field-operations/sales-operations/order-management/) determines whether a license has been fulfilled automatically after opportunity closure, and if not, work with Support Engineering to ensure manual fulfillment by filing an internal request with the `Order Management` option as defined in [this issue](https://gitlab.com/gitlab-com/sales-team/field-operations/deal-desk/-/issues/157).

The `Order Management` option is therefore used to request manual license fulfillment, specifically for scenarios where a license has not been generated or sent automatically.

The requestor would ideally provide more information in the additional context field on whether a license was not found or the license exists but needs to be resent. The Support Engineer handling the ticket would follow the appropriate workflow according to the request in the ticket.
