---
title: Support Managers
description: Support Managers activities and references
---

## Role and Responsibilities

As a Support Manager at GitLab, you will be focusing on the following things:

- Meeting the [Support KPIs](/handbook/support/performance-indicators/)
- Growing and managing your team's efforts in support of the [Support KPIs](/handbook/support/performance-indicators/)
- Mentoring and [coaching](/handbook/leadership/coaching/) your team on our technologies and processes
- Collaborate with other managers across regions
- Enable our engineers to explore process change in a scalable way

You can read more about the role below:

- [Support Manager Responsibilities](/handbook/support/managers/manager-responsibilities)
- [Support Management Job Family](/job-families/engineering/support-management/)

### Regional Variations

Some teams have slight tactical differences, you can see distinctive of regional approaches on the following pages:

- [AMER](/handbook/support/managers/amer/)

## How to see what the Support managers are working on

### Epics

The Support Team uses [Epics](https://gitlab.com/groups/gitlab-com/support/-/epics/) to track and coordinate ongoing projects. [For the master epics](https://gitlab.com/groups/gitlab-com/support/-/epics?scope=all&utf8=%E2%9C%93&state=opened&search=area%3A), a Support manager will be assigned as a Directly Responsible Individual (DRI) you will see their name in parentheses after the Epic title.

## Support Leadership Meetings

As a larger leadership team, it's important that we remain in constant communication to ensure that we're building relationships and avoiding siloing. [You can read more about how we run our Leadership syncs in our handbook.](/handbook/support/managers/leadership-sync)

### Senior Leadership Meetings

While managers won't generally directly participate in Senior Leadership Meetings, it's important to know they exist, what topics are discussed at what cadence and where the public agenda is. [Read more about Senior Leadership Meetings](/handbook/support/managers/senior-leadership-sync).

## Working with your team

1. [Getting To Know Your Team Members](/handbook/support/managers/getting-to-know-you)
1. [Support 1-1s](/handbook/support/managers/support-1-1s) - guidance on conducting 1 to 1 calls.

## Hiring

See [Support Hiring](/handbook/support/managers/hiring)

## Promotions

See [Promoting a team member]({{< ref promoting-a-support-team-member >}})

## Metrics

As a Support Management group we should be aware of the tooling we use to generate the metrics that we report on.

1. Sisense
1. Zendesk Explore

### Sisense

Sisense is a general purpose visualization tool that is used by the greater company.
It's extremely powerful with a full SQL interface to our data across functions.
We work with the data team to generate "Stable" Graphs here. Think, KPIs and greater measures that make sense to report to the larger company.
As managers, we will not need to edit these reports often, but we should consuming it regularly.

### Zendesk Explore

Zendesk Explore was released to replace Zendesk Insights. We will use this tool
for quick interactions on new ideas or fact checking Sisense data. Support Managers
should be ready to work with Explore regularly and be comfortable with the tool.

### Why two metrics systems?

Sisense is a company wide tool that is extremely powerful which can make it unwieldy.
Explore gives us an interface that is much easier to navigate and use.
Additionally, Sisense data is a secondary source so it can contain errors.
By being comfortable using ZD Explore, a primary source, we can make sure that we have accurate data and insights.

### What happens if we are not hitting our KPIs?

Each week in the [Support Leadership Meetings](#support-leadership-meetings) we'll review the key metrics.

If the metrics are at or below the following floors for 2 sustained weeks, managers should [form a group](#forming-a-group) to analyze the cause and suggest actions to correct the trend.

1. Combined First Reply Time (L&R, GitLab SM and GitLab SaaS) at or below 93%
1. Combined SSAT (L&R, GitLab SM and GitLab SaaS) at or below 93%
1. Combined NRT (L&R, GitLab SM and GitLab Saas) at or below 83%

This action is unique to Support and is somewhere in-between a [Rapid Action issue](/handbook/engineering/development/#rapid-action-issue) and a [Working Group](/handbook/company/working-groups/).

The purpose of the group will be unique to each situation that triggers it, but generally the members will:

- form testable statements (e.g. *FRT has gone down because a lot of people have taken vacation*)
- gather and analyze data that falsify those statements (e.g. *After taking a look at PTO data, we can see that we've had a consistent 90% coverage for the period in question, which is consistent with other times in the year*)
- build a set of recommendations based on the data for how we can achieve consistent results
- document *how* they analyzed their hypothesis and include it in [Hypothesis and Actions](/handbook/support/managers/metrics-analysis/actions)

These criteria and actions came from the [Metrics Analysis Workgroup](/handbook/support/managers/metrics-analysis/index).

### Forming a Group

1. A manager opens an issue using the [Metrics Workgroup Template](https://gitlab.com/gitlab-com/support/metrics/-/issues/new?issuable_template=Metrics%20Workgroup)
1. Identify 2-3 Managers/ICs who will take part in the workgroup by asking for volunteers in a leadership meeting.
1. Determine hypothesis, gather data and propose temporary or permanent process changes as a result.

## OKR's

All Support Engineering Managers have at least 1 [OKR](/handbook/company/okrs/#what-are-okrs) each quarter. Each managers' OKR should align with one of the department level OKR's, although the scope may be smaller (confined to a region/team of direct reports rather than globally impactful). While OKR's are important, they are not the most important thing for managers to work on. To the end of effectively managing Support Engineers, a managers focus should be on:

1. [KPIs](/handbook/support/performance-indicators/)
1. Team Growth (Hiring and Development)
1. [OKRs](/handbook/engineering/#engineering-okr-process)

Having a project that is time bound to a quarter is completely acceptable as an OKR, and adjusting an OKR during the quarter (especially in light of other priorities) is also acceptable.

New managers will establish their own OKR after they have been in their role for a full financial quarter, allowing time for them to complete onboarding and see the OKR process in action.

## Support Engineering Manager READMEs

Support Engineering Manager READMEs are found in [Engineering Manager READMEs](/handbook/engineering/readmes/).
