---
title: Getting To Know Your Team Members
description: "Guideline on becoming not just a good manager, but the right manager for each individual member of your Support Engineering team"
---

## Introduction

One of our most important functions as managers in GitLab's Support Team is to
provide a safe, inclusive, supportive environment in which our team members
(direct reports) will be happy, productive and successful. We want them to
feel valued. We want to reward them for outstanding contributions. We want
to give them opportunities to grow and to be challenged. We want to offer
guidance for improvement when it's needed and get out of the way when it's not.
We want to be a readily available, trusted resource rather than a crutch or a
burden.

Given the uniqueness of each person on each of our teams, though, and their
correspondingly varied needs, skills, personalities and behaviors, how can we
possibly hope to succeed in this endeavor? We will need to tailor our management
approach uniquely for each individual team member. Offered on this page is what
we believe to be a good first step in doing that, and in becoming not just a
good manager, but the right manager for each individual member of your team.

## Laying the Foundation for a Tailored Management Approach

Begin each manager/direct-report relationship, whether you are the new manager
on the team or you have a new member joining the team that you manage, with a
special one-on-one meeting. The agenda for the meeting is two-part, and
essentially amounts to this:

1. Tell your story to your team member
1. Ask the team member to tell their story to you

It's important that you each give enough information about your personal and
professional background so that the other person can begin to know who you
are, what's important to you, what's meaningful to you, and how you do work. And
as you'll see when you look at the
[template](https://drive.google.com/drive/u/0/search?q=All%20about%20you%20template%20parent:1af-Yxe0Rem97877PIqiQH0AnxizjbLcE)
for this meeting, you as the manager have the added responsibility of learning
specific details about how to work with your team member.

### Preparing for and Conducting the Meeting

1. Use the [All About You Template](https://drive.google.com/drive/u/0/search?q=All%20about%20you%20template%20parent:1af-Yxe0Rem97877PIqiQH0AnxizjbLcE)
    1. Copy it to a folder in Google Drive where both of you will have access
    1. Add the team member's name to the file name (*e.g.* All About Lee Matos)
    1. Fill in their name inside the file, too, replacing `<Team member>`
1. In the calendar invitation, include a link to the new file. Invite the team
    member to fill it out in advance OR to wait for the meeting at which time
    you will take notes in the doc while they tell their story.
1. Use your [Support Engineering Manager Readme](/handbook/engineering/readmes/)
    1. If your Readme covers your whole story, meaning it answers pretty much
        all the questions in the template, then ask your team member to read it
        in advance.
    1. Here's an example of one such complete
        [Readme](/handbook/engineering/readmes/mike-dunninger/)
1. Conduct the Meeting!
    1. Build trust by being vulnerable - tell your story first. If your Readme
        tells the whole story, you can just ask your team member for any
        comments or questions they have. Otherwise, start by using the template
        as a guide and filling in the gaps between it and your Readme. Then ask
        for comments and questions.
    1. Then seek to learn about them
        1. Remind them of what the document calls out at the top - that they
        should only share what they feel comfortable sharing, and that the only
        purpose is for the two of you to learn about each other and how best to
        work together.
        1. Go through every question in the document, either reviewing the
        answers they've already provided or taking notes as they answer at that
        time. Remember that, unlike in a job interview, you can talk about
        almost whatever you want. Learn about them. Share stories as you find
        common interests and experiences. Build a connection.
    1. Thank them for going through this process with you.

### Then What?

Now that you have all this terrific information about your team member, make use
of it all the time! In the beginning, you might consider looking through it
before each one-on-one to refresh your memory on, well, everything. Over time
you'll probably remember some of the information and not need it as a cheat
sheet. Still, continue to use it as a reference as necessary. Some good uses
are:

- When you want to recognize them for an achievement, look to the document to
   remind yourself of how they want to be recognized
- When you want to talk about their development plan, look to the document to
   remind yourself what they've already told you about their aspirations
- When you want to coach them about something, look back to see how they want
   to work with their manager and receive feedback

## All About You

For those who don't have access to the Google Doc, the text of the template follows.

---

### What's this all about?

The purpose of this document is to facilitate a conversation between your manager and you about who you are, what you want, and how the two of you can best work together. It should be kept handy so that your manager can refer to it whenever they need to be sure they're following your guidance on being a great manager for you.

### Personal Background & Interests

Tell me anything you want me to know about who you are, and NOTHING you think is none of my business. I just want to learn about you so that I will learn about how to be a good manager for you.

#### Childhood

- Where did you grow up?
- Please tell me about growing up with your siblings, parents, and others

#### Education

- Where did you go?
- What did you study?

#### Current Situation

- Where (actual location) are you now and how did you get there?
- Do you have family of your own? Tell me about them.

#### Fun

- Hobbies? Interests? Activities? Passions?

### Professional Background & Interests

- What did you do before GitLab?
- What brought you here?
- What is your dream career?
- What do you love to do at work?
- What do you "prefer not to do?"

### Management Tips

- What do you want most from me as your manager?
- What should I avoid as your manager?
- What motivates you at work? What demotivates you?
- What excites you at work?
- What expectations do you have of yourself?
- How do you like to be rewarded and recognized?
  - Reward - what types of rewards really mean the most to you? Cash? Personalized gift? Special time off?
  - Recognition - where do you fall on the spectrum between "love and need public recognition" and "only want private recognition?"
- What else do I need to know in order to be a really good manager for you?
