---
title: Support Team hazards and challenges
description: Hazards, Challenges, and possible solutions to consider to solve them
---

## Hazards & Challenges

### Team morale suffers

| Hazard                     | Commitment                              |
|----------------------------|-----------------------------------------|
| Ticket volume is too high | Build (and adjust) hiring model based on the best data available, hire as quickly as possible while keeping quality up. |
| Team knowledge doesn't match ticket difficulty | Develop training materials, provide time for professional development, encourage specializations.  |
| We aren't hitting our SLOs | Hire and train as per above. Add regularity to scheduling and encourage efficient work patterns. |
| Leadership breaks trust    | Communicate in public channels, alert early and often of potential discussions, engender the GitLab value of Transparency. |
| Fear of conflict results in poor decisions | Provide focus on meta-issues by triaging issues in the [Active Now](/handbook/support/#improving-our-processes---active-now-issue-board) board. Encourage buy-in and bravery. Truly listen and respond. Explicitly overrule: state reasoning and thank everyone for voicing opinions. |
| Team lacks commitment to results or implementing decisions | Ensure voices are heard. Re-enforce "disagree and commit". Build accountability. |
| There's no accountability in poor results or not meeting commitments | Reinforce GitLab value of Results by paying attention and following up. |
| Lack of trust as the team grows | Make an intentional effort to frequently do pairing sessions between regions.|

### Scaling

As we continue to increase in size, there's a number of challenges that we need to address and/or questions we need to answer:

As we grow:

1. What process inefficiencies do we need to address? (e.g. *Do all engineers need to know about every component/configuration/deployment strategy of GitLab, or are there ways we can specialize?*)
1. Which process inefficiencies do we need to intentionally keep because of a positive externality? (e.g. *Do we keep around a synchronous meeting because it helps build relationships?*)
1. What have we lost in scaling? How can we build it back in a way that scales? (e.g. *Smaller groups lead to more ideation sessions, how can we make sure we're creating spaces for ideas to build off of each other?*)
1. How can we make sure we're broadcasting things appropriately so no one misses out on an important piece of information?
