---
title: Support Hiring
description: "Hiring new Customer Support team members is a multi-department process. An outline of the responsibilities of Customer Support in that process."
---

Hiring new Customer Support team members is a multi-department process involving talent acquisition and customer support.

Support Engineers comprise the vast majority of Customer Support. This page presents information specific to that job family. Exceptions are called out explicitly, such as in the [Reviewing Assessments](#reviewing-assessments) section.

## Hiring flow

Hiring is described on the [jobs page](/job-families/engineering/support-engineer/#hiring-process) for Support Engineers. The following are the stages carried out by Customer Support team members.

### Sourcing

If you have open positions on your team, you should join (or arrange) a [source-a-thon](#source-a-thons) on a regular basis to proactively identify candidates our recruiters can reach out to. More information can be found on the general [Sourcing page](/handbook/hiring/sourcing/).

### Technical questionnaire

**GitLab Participant**: Support Engineer

The assessment questionnaire contains a number of customer scenarios and technical questions relevant to the position, including written
English ability.  Support engineers are responsible for reviewing the candidate responses.

### Technical interview

**GitLab Participant**: Support Engineer

The technical interview for this role is conducted by support engineers. It is a practical interview that covers topical areas relevant to the position, including customer scenarios.

### Behavioural panel interview

**GitLab Participants**: Support Manager and one other (Support Manager or Support Engineer).  At least one interviewer will be non-male.

The behavioural interview may cover any topics of the previous interviews where there was unclear data or a need to dive deeper.

### Final interview

**GitLab Participants**: Senior Support Manager or Director, Customer Support

Candidates successful in all previous interviews may proceed to a *Senior Manager* or *Director, Customer Support* interview.

### Scorecard Feedback

**GitLab Participants**: Support Manager, Senior Support Manager

Managers are invited to provide feedback on scorecards submitted by other interviewers, in order to help improve the interviewing process. This feedback should be provided directly to the individual interviewer.

## Getting involved

If you want to be involved in the hiring process - let your manager know! The main ways you can be involved are:

- reviewing technical assessments
- conducting technical interviews

Each of these have a training module.  The technical assessments don't involve direct interaction with candidates, however the technical interviews do, so a component of the training module is to complete the GitLab Interview training. Have a chat with your manager, then create and complete your training issue.

- [Stage 1 - Assessment Review Training](https://gitlab.com/gitlab-com/support/support-training/issues/new?issuable_template=Support%20Hiring%20-%20Stage1%20Assessment%20review%20training)
- [Stage 2 - Technical Interview Training](https://gitlab.com/gitlab-com/support/support-training/issues/new?issuable_template=Support%20Hiring%20-%20Stage2%20Technical%20Interview%20Training)

### Reviewing Assessments

Guidelines for reviewing and giving feedback on assessments for the Support Engineer role can be found in the [Support-Assessment-Solutions](https://gitlab.com/gitlab-com/support/support-assessment-solutions/-/blob/master/README.md) project.

Assessments are assigned by the support aligned Recruiter in the Talent Acquisition team.  These are carried out asynchronously, so you could be asked to review assessments from candidates in all regions.

Assessments that are sent to candidates for all Support job families are available in the [people-ops/hiring-processes](https://gitlab.com/gitlab-com/people-ops/hiring-processes/tree/master/Engineering/Support) repository.

### Technical Interviews

The technical interview process is documented in the [Support Team project](https://gitlab.com/gitlab-com/support/tech-interview/se-interview). Follow the instructions there to conduct this interview. Take any notes in Greenhouse and make a note if you are inclined or not inclined to hire. Your role in the interview process for this candidate is complete!

## Pre-Hiring

Before you can do any of the above you'll need to have an open requisition and a vacancy in that requisition. You can learn more about these terms and the process at [Requisitions and Vacancies](/handbook/hiring/vacancies/) in the [Hiring Section of the Handbook](/handbook/hiring/).

### How a candidate gets routed to a manager

#### Hiring Plan

The VP of Customer Support is the DRI for the hiring plan. They will ensure that headcount is allocated to regions and approximate hiring dates.

#### Vacancies

1. When headcount is allocated, the [Support Hiring Report - Hiring Plan](https://drive.google.com/drive/u/0/search?q=title:%22support%20hiring%20reports%22)(internal only) will be updated by the hiring team.

For each vacancy there should be a:

- **Job title**
- **Region**
- **Hiring Manager**
- **Opening ID**
- **Opening Status**
- **Target/Actual Start Date**
- **Candidate**

1. When we get close to the target start date, the talent acquisition team will update Greenhouse with the vacancy and assign it an **Opening ID**.
1. When a vacancy is open in Greenhouse, the hiring manager (or Sr. Manager) will be noted in the spreadsheet.

## Source-a-thons

A source-a-thon is a synchronous or asynchronous activity where one or more individuals gets together to actively look for candidates.
If you want to participate, make sure you [upgrade your LinkedIn Account](/handbook/hiring/sourcing/#upgrading-your-linkedin-account).

More general information about this activity is on the [general Source-a-thon page](/handbook/hiring/sourcing/#source-a-thons).

### AMER - Sip 'n Source

On the first Monday of each month we have a Source-a-thon called the "Sip 'n Source". The position we'll be sourcing for will change depending on need, but
bring a special drink, get ready for some music and get ready to source! If you can't join, that's okay, you can still participate async.

Specific outcomes:

- Each manager sources >=40 candidates per month (10 per week)

Each month, before the synchronous event:

- AMER Managers identify REQs that need specific sourcing
- An AMER Senior Manager creates a new [source-a-thon issue](https://gitlab.com/gitlab-com/people-group/talent-acquisition/-/issues/new?issuable_template=source-a-thon) laying out the specific role, focuses and goals.
- AMER Senior Manager tags each AMER manager with a checkbox for completion
- AMER Senior Manager sets a due date for the end of the month
