---
title: Support Engineering Manager Responsibilities
description: "Support Engineering Manager Responsibilities"
category: Support Management
---

## Introduction

1. This page is an extension of the [Support Engineering manager job family](/job-families/engineering/support-management/) page.
1. The **aim** of this page is to **help you know how to carry out your responsibilities as a Support Engineering Manager**.

## Support Leadership at GitLab

Leadership at GitLab is a unique opportunity to embody and model the GitLab Values. The responsibilities of Support Managers can be grouped into two broad categories:

| Responsibilities | GitLab Values |
| ---------------- | ------------- |
| Consistently ensure high Customer Support Satisfaction | Results, Efficiency, Iteration, Transparency |
| Support and nurture team members in Customer Support | Collaboration, Diversity Inclusion Belonging |

Our [Hazards and Challenges page](/handbook/support/managers/hazards-and-challenges) describes some known issues and how we handle them.

## Consistently ensure high Customer Support Satisfaction

Our primary responsibility in the Support Leadership team is to ensure high quality Customer Support for GitLab customers. To fulfill this responsibility we set and achieve goals (aligned with GitLab Strategy and Engineering [OKRs](/handbook/company/okrs/)), and ensure Support Engineers can achieve *their* goals.

| SSAT Responsibility | Sub-responsibility |
| ------------------- | ------------------ |
| Help support engineers to resolve tickets accurately and efficiently | Understand GitLab [Support Service Levels](https://about.gitlab.com/support/#gitlab-support-service-levels) and [KPIs](/handbook/support/#how-we-measure-our-performance) |
|  | Know how we use Zendesk, [Slack](#working-in-slack), and GitLab for ticket management |
|  | Serve as [Support Manager On-Call](/handbook/support/on-call/) for Customer Emergencies and Escalations |
|  | Monitor and [respond to feedback](/handbook/support/workflows/how-to-respond-to-feedback) your Support Engineers receive |
|  | Know how to use Zendesk Explore to monitor KPIs |
|  | Work with GitLab Sales, Pricing, Product, and other teams when company initiatives change Support requirements |
| Help Support Engineers to manage tickets, manage customer expectations, and communicate well | Coach SEs on communication techniques |
|  | Understand Support Workflows and escalation paths |
|  | Support your team members' [participation in on-call rotations](/handbook/support/on-call/) to coordinate and resolve emergencies |
|  | Join [Customer Calls](/handbook/support/workflows/customer_calls) with SEs on request or according to your judgement |
|  | Propose, develop, and evaluate improvements to Support processes by acting as DRI for [issues in the Support Meta project](https://gitlab.com/gitlab-com/support/support-team-meta/-/issues) |
| Stay up-to-date on GitLab Product, Strategy, Pricing, etc. | Contribute to and read the [Support Week in Review](/handbook/support/#support-week-in-review) document every week |
|  | Participate (at the Section level or cross-functional level) in [Support Stable Counterparts](/handbook/support/#support-stable-counterparts) or [Cross-functional non-product counterparts](/handbook/support/#cross-functional-non-product-counterparts) |

## Support and nurture team members in Customer Support

We are equally responsible to ensure our team members are supported in their GitLab journey, and are able to bring their best selves to work every day.

| Team Member Responsibility | Sub-responsibility |
| -------------------------- | ------------------ |
| Support and nurture team members | Foster cross-regional connections among Support Engineers and Support Managers |
|  | Create an inclusive environment and foster DIB values within the team |
|  | Participate in [Support Weekly Meetings](/handbook/support/#weekly-meetings) |
|  | Build strong working relationships with your colleagues in Support leadership through [informal communication](/handbook/company/culture/all-remote/informal-communication/) |
|  | [Conduct weekly 1:1s](#conducting-weekly-11-meetings) with each direct report |
|  | Recommend projects, training, and leadership roles for your direct reports |
|  | [Support your direct reports](/handbook/support/support-stable-counterparts#expectations-from-managers) who are [Support Stable Counterparts](/handbook/support/#support-stable-counterparts) or [Cross-functional non-product counterparts](/handbook/support/#cross-functional-non-product-counterparts) |
|  | Ensure regular professional/career development for each direct report |
|  | Perform annual [360 Reviews](/handbook/people-group/360-feedback/) and Performance Factor Reviews (compensation) |
|  | Conduct [Performance Factor reviews](/handbook/total-rewards/compensation/compensation-review-cycle/#performance-factor) and [Compensation reviews](/handbook/total-rewards/compensation/compensation-review-cycle/) |
|  | Handle any HR / People Group questions and topics from direct reports |
|  | Review, approve, and merge GitLab Issues and MRs from direct reports |
|  | Support your team members' participation in on-call rotations |
|  | [Develop your own skills through learning and training](#develop-your-skills-through-learning-and-training) |
|  | [Develop your skills through direct interactions with customers and Support Engineers](#develop-your-skills-through-direct-interactions-with-customers-and-support-engineers) |
| Interview and hire new team members | Complete Interview Training learning module |
|  | Maintain a flexible schedule for interview timeslots |
|  | Stay up-to-date with the current [Hiring Process](/handbook/support/managers/hiring) |
|  | Stay up-to-date with hiring plans in the weekly Manager Sync documents/meetings |
|  | Grade assessments for SE and Manager candidates in Greenhouse |
|  | Work with your regional Recruiter to source potential candidates |
|  | Train Support Engineers via the [Interview Training module](https://gitlab.com/gitlab-com/support/support-training/-/issues/new?issue%5Bassignee_id%5D=&issue%5Bmilestone_id%5D=#) to prepare them for grading technical assessments and performing technical interviews |
| Foster sense of community within and between regions | Coach and encourage team members to resolve challenges|
|  | Engage in team building activities |
|  | Interact with team members to amplify successes and understand regional and global challenges |
|  | Encourage and support cross-region collaboration |

### Working in Slack

Ask and answer questions in Slack. (We don't have a way to easily track this, but feel free to share things you're proud of in 1:1 notes documents.)

Important Slack channels:

1. `#support_leadership`
1. `#support_ticket-attention-requests`
1. `#spt_hiring`
1. `#support_team_chat`
1. `#thanks`
1. `#team-member-updates`
1. `#managers`
1. `#eng-managers`

### Conducting weekly 1:1 meetings

Weekly 1:1 meetings are a crucial part of Remote Culture at GitLab. Refer to the [Support Engineer Responsibilities page](/handbook/support/support-engineer-responsibilities) to understand what your team members are aiming to achieve.

1. [Review at least two tickets per team-member in 1:1 calls](/handbook/support/workflows/working-on-tickets#1-weekly-ticket-review). This helps maintain and improve quality (technical, communication and collaboration).
1. Monitor for team members to have [around 50% to 60% of public replies to be on tickets that are assigned to them](/handbook/support/workflows/working-on-tickets#2-public-replies-on-your-assigned-tickets). Assigning tickets helps resolve customer problems quickly and efficiently as well as encouraging learning and collaboration.
1. Help ensure your team members [meet the ticket baseline](/handbook/support/workflows/working-on-tickets#3-meet-the-ticket-baseline) for solved tickets, public replies, and internal notes for the type of tickets they are working on. This encourages the even distribution of ticket volume across the team.
1. Review notable Incidents/Emergencies and Customer Calls in 1:1 notes/meetings with your team members.
1. Discuss [career development](/handbook/people-group/learning-and-development/career-development/) plans with team members at least once per quarter.

### Develop your skills through learning and training

We are committed to helping you develop your skills through continuous learning. The GitLab [Learning and Development team](/handbook/people-group/learning-and-development/) provides opportunities for exploration and training.

Be sure to include non-technical topics such as:

1. [Psychological safety in teams](/handbook/leadership/emotional-intelligence/psychological-safety/)
1. Time management
1. [Leadership skills](/handbook/leadership/)
1. [Coaching skills](/handbook/leadership/coaching/)
1. [Diversity, inclusion, and belonging](/handbook/company/culture/inclusion/)
1. [Remote work](/handbook/company/culture/all-remote/)
1. Trends and insights in the larger support world

Consider participating in [Team Member Resource Groups](/handbook/company/culture/inclusion/erg-guide/), and ensure your team members know about these.

Consider participating in, creating, or publicizing a [GitLab Book Club](/handbook/leadership/book-clubs/).

Support Engineers and Managers are also encouraged to complete courses and certification from external providers. Speak with your manager to plan your learning goals.

### Develop your skills through direct interactions with customers and Support Engineers

We are committed to being managers who [*know and understand what Support Engineers do day to day.*](/handbook/leadership/no-matrix-organization/).

The best way to be familiar with Support Engineer workflows and responsibilities is to step into the shoes of the engineers.

Each week, Support Managers should do one or more of these activities:

- own and resolve one ticket from first reply to closing statement
- join a pairing session with one or more Support Engineers
- join a scheduled or emergency call

By continually engaging with workflows, tickets, and customers we can build empathy and understand pain points through first-hand experience.

In this way, we build trust with engineers and customers while creating a sense of psychological safety by demonstrating that it's okay not to know.
