---
title: Metrics Analysis Workgroup
description: "Support team metrics analysis workgroup overview"
---

## 2020-08

### Attributes

| **Property** | **Value** |
| -- | -- |
| Date Created | 2020-08-13 |
| Date Ended | 2020-12-08 |
| Slack | [#spt_metrics-analysis](https://gitlab.slack.com/archives/C018W4ZFGP5) (only accessible from within the company) |
| Google Doc | [Metrics Analysis Workgroup Agenda](https://docs.google.com/document/d/12rzBFFpA5y6xH5PkPcRQF5eSHR03TaAH1JP2jp395VY/edit#heading=h.i3kbcfpbwgta) (only accessible from within the company) |
| Playlist of Meetings | [Support - Metrics Analysis](https://www.youtube.com/playlist?list=PL05JrBw4t0KoxMP7DvN_U7O2NORo4slPL) |

### KPIs that triggered this action

- [Support Satisfaction (SSAT)](/handbook/support/performance-indicators/#support-satisfaction-ssat): Target 95%
  - Trending down since May: [Support Metrics::SSAT](https://gitlab.zendesk.com/explore/dashboard/36925DBD1F5E3C7BA541DB38D11AC51E0EAAFDD30DCB63FDE83CF1389E555D96/tab/10099352) in Explore (GitLab internal)
- [Service Level Agreement (SLA)](/handbook/support/performance-indicators/#service-level-agreement-sla)
  - First Reply Time: Target 95%
    - Trending down since May: [Support Metrics::SLA](https://gitlab.zendesk.com/explore/dashboard/36925DBD1F5E3C7BA541DB38D11AC51E0EAAFDD30DCB63FDE83CF1389E555D96/tab/10100682) in Explore (GitLab internal)

### Exit Criteria

- Define conditions under which a metrics workgroup will be formed. => 100%
- Create a dashboard that exposes metrics and targets that will trigger actions on part of the support team (including forming this group) => 100%
- Document common hypothesis and expose the data to support/refute them. => 100%

### Roles and Responsibilities

| **Working Group Role** | **Person** | **Title** |
| -- | -- | -- |
| Facilitator | Lyle Kozloff | Senior Support Engineering Manager|
| Executive Stakeholder | Tom Cooney | VP of Support |
| Member | Ilia Kosenko | Support Engineering Manager |
| Member | Wei Meng Lee | Support Engineering Manager |
| Member | Donique Smit | Support Engineer |

### Artifacts

1. [Support KPIs Dashboard](https://gitlab.zendesk.com/explore/dashboard/593393F9EDD57F39F9745F442B691EEAD106AA49B6C907D3D50046FBB4AC151E/tab/12396352) to breakdown top-level KPIs
1. [Metrics Project](https://gitlab.com/gitlab-com/support/metrics/) to track hypothesis.
1. [Metrics Hypothesis Board](https://gitlab.com/gitlab-com/support/metrics/-/boards/2007128) to track outstanding hypothesis
1. [FY21-Q3 Working Group Milestone](https://gitlab.com/gitlab-com/support/metrics/-/milestones/1) to show a burndown chart.
1. [Metrics Workgroup Issue Template](https://gitlab.com/gitlab-com/support/metrics/-/blob/master/.gitlab/issue_templates/Metrics%20Workgroup.md) to provide instructions for how a metrics workgroup is formed.
1. [Metrics Hypothesis and Actions](/handbook/support/managers/metrics-analysis/actions) to track common hypotheses, data collection methodologies and actions.
