---
title: Performance Management for Support Managers
description: "Some support specific tips on performance management"
---

### What is this page?

This page is intended as a supporting structure for Support Managers in handling the particularities of performance in Support.  It is not intended to replace the more comprehensive [Underperformance Page](/handbook/leadership/underperformance/) in the Leadership section of the Handbook.

#### Goal setting

Managers should work with their reports to understand their current ability and their desire for growth. Using this understanding managers should set performance goals and track progress towards them on a regular cadence. (See [Tracking your Career Development](/handbook/people-group/learning-and-development/career-development/#tracking-your-career-development) for some ways of doing this.) Performance goals should contribute towards achieving our global KPIs.

PTO, training and other context are important in goal setting and should be taken into account. In some cases, it might be prudent to set goals of minimal to zero contributions towards team goals to help encourage engineers to focus on these individual activities.
Below are some common areas for goal setting:

##### FRT and Ticket Assignment

Contributing to the achievement of our
[first reply time target](/handbook/support/performance-indicators/#service-level-agreement-sla)
and [taking assignment of tickets](/handbook/support/workflows/working-on-tickets/#selecting-new-tickets)
are [Support Engineer Core Responsibilities](/handbook/support/support-engineer-responsibilities/#core-responsibility-of-a-support-engineer).

##### Public and internal comments

To [maintain good progress through to resolution on all assigned tickets](/handbook/support/support-engineer-responsibilities#3-maintain-good-progress-through-to-resolution-on-all-of-your-assigned-tickets) and [help others maintain progress on their tickets](/handbook/support/support-engineer-responsibilities#5-help-others-in-your-group-to-maintain-progress-on-their-tickets) engineers must communicate with our customers and collaborate with their peers. Public and internal comments can be an indication of performance, but be careful not to confuse it with the desired result of solved tickets.

See: [Ticket Baselines](/handbook/support/support-engineer-responsibilities#ticket-baseline)

##### Docs/Product MRs

Docs and Product MRs help prevent future tickets. All Engineers should be submitting Docs MRs regularly.

See:

- [Performance Indicators - Support MR Rate](/handbook/support/performance-indicators/#support-mr-rate)
- [Improve documentation and publicly share knowledge](/handbook/support/support-engineer-responsibilities#improve-documentation-and-publicly-share-knowledge-weekly)
- [Fix GitLab bugs and create features](/handbook/support/support-engineer-responsibilities#fix-gitlab-bugs-and-create-features-occasionally)

##### Pairing Sessions

Pairing sessions are good to be aware of, especially if [skills-based performance](/handbook/leadership/underperformance/#skills-based-performance) is being coached.

See: [Collaborate with team members](/handbook/support/support-engineer-responsibilities#collaborate-with-team-members-and-customers-daily)

##### Training

Support Engineers should regularly be working to expand their skills base through whatever resources are appropriate, be it
[Support Training Modules](https://gitlab.com/gitlab-com/support/support-training), LinkedIn Learning courses, [pairing sessions](#pairing-sessions), or other activities organized by [GitLab Learning and Development](/handbook/people-group/learning-and-development/).

See: [Develop your skills through learning and training](/handbook/support/support-engineer-responsibilities#develop-your-skills-through-learning-and-training-weekly)

### Detecting underperformance

Individual performance can be challenging to measure: week over week performance may be clouded by PTO, or time spent focusing on areas that have a high number of hours invested for a low overall output. For example, a Support Engineer working with a customer in an escalated state may spend many hours working on a challenging problem, take no new tickets during that time, and produce a small number of comments that solve the case. But when considered over time, such indicators can be helpful at evaluating [results](/handbook/values/#results).

For a more complete look, see [warning signs / patterns of underperformance](/handbook/leadership/underperformance/#warning-signspatterns-of-underperformance).

#### Underperformance in Support

Underperformance for Support Engineers is defined as an Engineer **not** meeting their agreed upon goals for **4 consecutive weeks**.

##### Working through Underperformance

Managers should act early by having a conversation with their direct report when a team member is underperforming. A good guideline to what is "early" is when a support engineer hasn't been meeting their goals for four consecutive weeks. At this point you should [discuss the situation and plan for moving forward with your manager](/handbook/leadership/underperformance/#immediately-discuss-with-the-managers-manager).

Once you and your manager agree, the next steps are to:

- [loop in the Team Member Relations Partner](/handbook/leadership/underperformance/#loop-in-the-team-member-relations-partner)
- Have a conversation with your direct report:
  - review [GitLab's guidelines on providing feedback](/handbook/people-group/guidance-on-feedback/#all-feedback), and any additional training you have received
  - communicate that you have identified specific behaviors that indicate the team member is not currently performing to standards (include specific examples)
  - be clear that this discussion is not a formal verbal warning or written warning
  - ensure [psychological safety](/handbook/leadership/emotional-intelligence/psychological-safety/) and provide space for the team member to respond and raise concerns
  - [identify and form an action plan](/handbook/leadership/underperformance/#manager-identify-and-take-action-as-early-as-possible)

If the goals in an action plan are not met over the next **two weeks** after this conversation, go to your manager and begin working on [options for remediation](/handbook/leadership/underperformance/#options-for-remediation) with [Team Member Relations](/handbook/people-group/team-member-relations/).
