---
title: Promoting a Support Engineer
description: "How to handle Support Engineer promotions"
---

### Support Engineer Promotion Process for Support Managers - Quick Guide

The companywide People Group process should be followed [For Managers: Requesting a Promotion or Compensation Change](/handbook/people-group/promotions-transfers/#process-for-managers-requesting-a-promotion). The steps below are an addendum for notification and review for Support Engineering managers, taking into account the Customer Support Department's organisational structure, and is not meant as a replacement for any steps in the companywide people group process.

#### Planning

[We follow the promotion cadence published by the People Group](/handbook/people-group/promotions-transfers/#twice-per-year-promotion-calibration-process--timeline).
Regularly:

1. Update the then-current [Support Promotion Projections spreadsheet](https://drive.google.com/drive/search?q=Support%20Promotion%20Projections%20type:spreadsheet)
   to be sure each of your candidates is listed and has an appropriate projected
   promotion target.
1. Review each of your candidates' progress toward promotion.

If you have any questions, please ask your manager or our [People Business Partner](/handbook/people-group/#people-business-partner-alignment-to-division).

#### Calibration

In Support we start the promotion-docs review process
as soon as the documents are ready for review.

- Create the promotion document using the appropriate template:
  - [Promotion to Senior Support Engineer - Template](https://drive.google.com/drive/search?q=Promotion%20to%20Senior%20Support%20Engineer%20-%20Template)
  - FY23Q3+ Promotion to Staff Support Engineer -- link TBD, updates in
      [this Epic](https://gitlab.com/groups/gitlab-com/support/-/epics/188)
- Add a link to the document into the Support Promotions Projects spreadsheet
- Complete the document with the Support Engineer
- Create a public Google Docs view link to the document for everyone at GitLab
  to allow sharing, as this is the document that will be used in the promotion
  calibration and approval process
- Discuss the promotion candidate with your manager
- Gather feedback from the Support Managers by:
  - making a copy of the promotion document and setting permissions on it so
    that only the Support Managers can see it (ensure they can Edit)
  - inviting them in the confidential cross-regional sync doc to provide
    feedback by the date of your choosing
- Update the public document based on the feedback from the Support Managers
- Get the approval to proceed from your manager

#### Submission

- Follow the [For Managers: Requesting a Promotion or Compensation Change](/handbook/people-group/promotions-transfers/#process-for-managers-requesting-a-promotion-or-compensation-change)
  process

#### Announcement

- Once approval has been received from People team, notify the support engineer.
- Ask the Support Engineer to create a [checklist issue](https://gitlab.com/gitlab-com/support/support-training/-/issues/new?issuable_template=Promotion-JobTitleUpdates) for themselves to update their job title where appropriate.
- Announce in the `#team-member-updates` Slack channel.
- Share the message from `#team-member-updates` into the `#support-team-chat` channel for Support Team visibility.
- Go multi-modal and [add an announcement](https://gitlab-com.gitlab.io/support/toolbox/forms_processor/SWIR/) to the [Support Week in Review (SWIR)](/handbook/support/#support-week-in-review), using the "Team Member Updates" category
- Move the promotion doc to the [Individual Docs folder](https://drive.google.com/drive/search?q=Individual%20Docs)
  in the shared `Support` drive on Google Drive.
