---
title: Senior Support Leadership Sync
description: "Weekly Senior Support Leadership Sync meetings"
---

### Purpose

Senior Support leadership (VP, Directors, and Senior Managers) participate in cross-regional meetings weekly.

The purpose of these meetings is to:

- build relationships, trust and context amongst senior leaders
- raise and identify DRIs for operational and strategic items
- explain context for issues and explore creative ideas in real time
- refine the problem statement of each raised issue by clarifying intent

The purpose of these meetings is **not** to:

- figure out the priority of issues
- gather feedback that can be given asynchronously on related issues
- refine solutions or merge requests related to issues
- make decisions

**Note:** It is worth reiterating that these meetings are not for making decisions or discussing things that could just as effectively be discussed within issues.

## Organization of Senior Support Leadership Meetings

### Schedule

1. As a smaller team of leaders, we have a single meeting slot that does not rotate.
1. The meetings are available in the GitLab Support calendar.
1. As we may flow in and out of confidential and non-confidential information, meetings are not recorded. However, the agenda is available to all GitLab Team Members and includes notes.

### Agenda

1. The agenda and notes are in a Google Doc: [Senior Support Manager Sync](https://drive.google.com/drive/search?q=Senior%20Support%20Manger%20Sync) (internal only) - also attached to the meeting invite.
1. Please follow the below guidelines when adding agenda items:
   1. **FYI**: Prepend any agenda items with FYI that don't need discussion, but are important to know about
   1. **Confidential Item**: Please note in the agenda that you have a confidential item to discuss and put it in the confidential doc. Use this document for discussion surrounding a specific individual's promotion, performance or individual situation, discussion about sensitive or confidential issues and processes.
1. All participants should be familiar with the [Video Calls Section](/handbook/communication/#video-calls) of the Communication page in the Handbook.

#### Standing Items

##### Weekly

- Metrics and KPIs

#### Monthly

- Upcoming promotions
- Underperformance
- Discretionary Bonuses

#### Quarterly

- Team building budget
