---
title: Alliance Partner Support Guide
description: "Guide for Support Engineering on how to work with Alliance Partners"
---

## GitLab contacts

- **DRI** Tine Sørensen - Manager, Support Engineering, EMEA - @tsorensen
- **Director** Val Parsons - Director of Support Engineering, EMEA - @vparsons
- **AMER timezone contact** Mike Dunninger - Manager, Support Engineering, AMER - @mdunninger
- **APAC timezone contact** Shaun McCann - Director of Support Engineering, APAC - @shaun

## Alliance Partner Support collaboration

Alliance Partners at GitLab may also have a Support collaboration with GitLab, for our shared customers. Shared customers have purchased both Alliance Partner product and GitLab product. All customers have Ultimate licenses.

Support collaboration means that for GitLab related tickets, our Alliance Partner does 1st level support and hands over tickets to GitLab for 2nd and 3rd level Support.

Most things work just as any other customer, but there are some differences listed below.

## General info

### Alliance Partner Slack channel

GitLab Support share a Slack channel with the Alliance Partner support team. These are named #a_[Alliance Partner name]. The channel is primarily used for escalations, but can also be used for collaboration between support teams, when warranted.

We do not solve issues in Slack, only in tickets. But we can reach out in the Slack channel if we need more information from the Alliance Partner support team. This could for instance be if an issue involves both GitLab and Alliance Partner products, or to help get material needed to troubleshoot an issue. If the topic is a specific ticket, do include the Alliance Partner ticket id.

### Regular touch points

We have regular meetings with our Alliance Partners' support team, to ensure collaboration works well and customers receive stellar support. Reach out to the [Alliance partner DRI](/handbook/support/partnerships/alliance-partner-support-guide/#gitlab-contacts) to get topics on the agenda.

### ZenDesk organization

Do not add anyone to Alliance Partner ZenDesk organizations. Reach out to [contacts above](/handbook/support/partnerships/alliance-partner-support-guide/#gitlab-contacts) if needed.

## Support Guide

### Ticket customer

Tickets are created by the Support team at the partner, but the tickets come from many different individual customers. The content in tickets is copied verbatim from customer report in our Alliance Partners ticket system, to ours. Meaning, the replies come directly from customers.

Customers in the tickets are customers both at GitLab and Alliance Partner.

### Ticket naming

Tickets will be named in this format: `[Customer name] - [Alliance partner internal ticket id] - [Ticket Subject]`

### Adding customer to ticket

Alliance Partner support team needs to add customer as cc when they create the ticket. Just as with any other customer, GitLab should not add any contacts to the ticket.

### Support Process differences

Be mindful that GitLab support process may differ from how the support team works at an Alliance Partner, which might not always be intuitive. Always [assume positive intent](/handbook/values/#assume-positive-intent).

Also note that specific partners can have [special processes](https://internal.gitlab.com/handbook/support/specific-alliance-partners/) (GitLab internal link, only team members can access).

### Scope

Alliance partner does initial ticket triage and 1st level support. GitLab Support are responsible for 2nd and 3rd level support.

### Ticket priority

Alliance partner triages tickets and set the initial ticket priority. GitLab support will assume the ticket priority is appropriately set in our initial response.

If the priority changes at a later point in time or we find the priority should be adjusted, we will clarify with customer in the ticket and change priority [per our normal process](/handbook/support/workflows/setting_ticket_priority/#resetting-ticket-priority).

### Customer calls

Do add relevant Alliance Partner support engineers to customer calls.
