---
title: Alliance Partners
description: "Support specific information for alliance partners"
---

## Contacting Support

Alliance and Technology Partners may contact us by submitting a ticket from the
[support portal](https://support.gitlab.com). Each representative of an
Alliance Partner must arrange for their account on the
[support portal](https://support.gitlab.com) to be created for  them
**prior to submitting a ticket for the first time**. To make that
arrangement, they should contact their Customer Success Manager, Account
Executive or other member of their GitLab Sales team.

Once the account has been created, an Alliance Partner should submit tickets
using only
[this specialized form](https://support.gitlab.com/hc/en-us/requests/new?ticket_form_id=360001172559).
Tickets submitted using any other form will not route correctly, which will
likely result in delays.

**Note to Support**: Pay close attention to the organization notes an Alliance
Partner has on their account. These often provide critical information about how
to provide the very best support possible.

[GitLab provides no support for NFR software issued to Alliance Partners.](https://about.gitlab.com/partners/technology-partners/integrate/#-additional-resources--support)

## File uploads

When Alliance Partners need to send files to GitLab Support, we have 3
methods available to them:

- Standard ticket uploads (20MB max)
- [Support Uploader](https://about.gitlab.com/support/providing-large-files/#support-uploader)
- A specialized connection to an s3 bucket
  - For this method, Support will use an application that is already
    available to them for listing and downloading the files as needed.

## Escalations

In rare events when an issue requires escalation, GitLab Support provides
Alliance Partners with a personalized Slack workflow form that will trigger
an escalation on.

The Slack workflow form asks for the following information:

- **What is the request ID or case number?**
  - This should be either the GitLab ticket ID or the Alliance Partner's case
    number (e.g. `123456` or `T123456789`). Only those values should be entered
    (omit any number signs or other text)
- **What is the reason for escalation?**
  - This is the reason the escalation is being requested.
- **What actions would you like done?**
  - This is the desired end result you would like to see from the escalation.

This form will locate the ticket and trigger a
[STAR](/handbook/customer-success/csm/escalations/) on the ticket/case.

**Note** This process is also what is used in the case an emergency needs to be
filed.
