---
title: Open Partners
description: "Support specific information for open partners"
---

## Open Partner Track Description

Resellers, integrators and other sales and services partners join the
partner program in the Open track. Open is for all partners in the DevOps
space, or ItaaS and other adjacent spaces that are committed to investing
in their DevOps practice buildout. Also, the Open track is for partners seeking
to develop customers or just wanting to learn about GitLab and participate in
the GitLab partner community. GitLab Open Partners may or may not be
transacting partners, and can earn product discounts or referral fees.

## Contacting Support

Open Partners and their end customers can contact us by submitting a ticket through the [Submit a Request](https://support.gitlab.com/hc/en-us/requests/new) form. To ensure efficient ticket handling and prevent any delays in receiving the first response, they have two options:

- Open Partners:
  - If the Open Partner is opening a ticket on behalf of a customer or themselves then they can use the [Submit a Request](https://support.gitlab.com/hc/en-us/requests/new) page and select the appropriate form for their problem.
- End Customers of Partners:
  - If the end customers would prefer to open a ticket directly with GitLab Support then they can also use the [Submit a Request](https://support.gitlab.com/hc/en-us/requests/new) page and select the appropriate form for their problem.

The only requirement for submitting a new ticket is that you must first register on the [GitLab Support Portal](https://about.gitlab.com/support/portal/).

**Note to Support**: Never associate a customer to a Select Partner's organization, or vice-versa!

## File uploads

When Open Partners needs to send support files, we have 2 options
available to accommodate this:

- Standard ticket uploads (20MB max)
- [Providing Large Files](https://about.gitlab.com/support/providing-large-files/#other-methods)

## Examples of Support Ticket Submission and Handling for Open Partners

Support provided to Open Partners and their customers will vary depending on
the circumstances under which a ticket is raised. Some examples are:

1. An Open Partner is doing commercial work for a customer and raises a
   ticket. They should do so under their own account using a subscription
   they have purchased for themselves. We will deliver support **based on the
   subscription the partner has purchased**.

1. An Open Partner is doing internal training, testing or knowledge
   building. They should raise a ticket under their account using their
   [NFR licences](/handbook/resellers/#nfr-programpolicy).

These examples are not exhaustive. If in doubt, ask questions about the
situation under which the ticket is being raised.
