---
title: Select Partners
description: "Support specific information for select partners"
---

Select partners are by invitation only and are reserved for partners that make
a greater investment in GitLab expertise, develop services practices around
GitLab and are expected to drive greater GitLab product recurring revenues.

## Contacting Support

Select Partners and their end customers can contact us by submitting a ticket through the [Submit a Request](https://support.gitlab.com/hc/en-us/requests/new) form. To ensure efficient ticket handling and prevent any delays in receiving the first response, they have two options:

- Select Partners:
  - If the Select Partner is opening a ticket on behalf of a customer or themselves then they can use the [Submit a Request](https://support.gitlab.com/hc/en-us/requests/new) page and select the appropriate form for their problem.

- End Customers of Partners:
  - If the end customers would prefer to open a ticket directly with GitLab Support then they can also use the [Submit a Request](https://support.gitlab.com/hc/en-us/requests/new) page and select the appropriate form for their problem.

The only requirement for submitting a new ticket is that you must first register on the [GitLab Support Portal](https://about.gitlab.com/support/portal/).

**Note to Support**: Never associate a customer to a Select Partner's organization, or vice-versa!

## File uploads

When Select Partners needs to send support files, we have 2 current methods
available to accomodate this:

- Standard ticket uploads (20MB max)
- [Support Uploader](https://about.gitlab.com/support/providing-large-files/#support-uploader)

## Examples of Support Ticket Submission and Handling for Select Partners

Support provided to Select Partners and their customers will vary depending on
the circumstances under which a ticket is raised. Some examples are:

1. A Select Partner creates a ticket to address a GitLab concern brought to
   them by their customer. The Select Partner will manage the ticket and
   serve as the go-between for the customer and GitLab Support. We will deliver
   **[Priority Support](https://about.gitlab.com/support/#priority-support)
   regardless of the customer's subscription**.

1. A Select Partner is doing commercial work for a customer and raises a
   ticket. They should do so under their own account using a subscription
   they have purchased for themselves. We will deliver support **based on the
   subscription the partner has purchased**.

1. A Select Partner is doing internal training, testing or knowledge
   building. They should raise a ticket under their account using their
   [NFR licences](/handbook/resellers/#nfr-programpolicy).

These examples are not exhaustive. If in doubt, ask questions about the
situation under which the ticket is being raised.
