---
title: Gratis Support for Prospects
description: Details on how to request support for prospects
---

## Overview

By default, [trial licenses do not include support](https://about.gitlab.com/support/#trials-support).

As a member of the Sales/CS team, if you have a prospect who wishes to have access to GitLab Customer Support as part of their trial or Proof of Value, you can request temporary support for their trial license. This program is for strategically important prospects, and eligibility must be considered by Sales leadership. Generally, prospects with potential ARR of less than $100,000 are not be likely to be approved.

**NOTE:** This option is solely for **prospects** where the account type in Salesforce is `Prospect`. This cannot be applied to any type of account other than `Prospect`. For any other account, please see our main handbook page on [Requesting Gratis Support](/handbook/support/gratis-support/).

## Restrictions on gratis support for prospects

All general policies in [the statement of support](https://about.gitlab.com/support/statement-of-support/) apply to prospect support.

- Only 30 prospects/customers can receive gratis support at any one time. The current reference sheet can be found
  [here](https://docs.google.com/spreadsheets/d/11p3aBj1LTr-ngk1wxoMlae-UvJ3bOTuQHd48so2ZcXU/edit?usp=sharing) (internal link).
- An area sales manager must pre-approve any request for gratis support.
- The period of gratis support is limited to 30 days per request.
- No more than 2 extension requests can be made for a prospect (total 90 days).
- If the prospect converts to customer status, they will automatically get the proper support
associated with their subscription purchase.

The following support specialties are excluded from gratis support for prospects:

- [emergency support](https://about.gitlab.com/support/#how-to-trigger-emergency-support)
- [upgrade assistance](https://about.gitlab.com/support/scheduling-upgrade-assistance/)
- migration assistance
- architecture review
- [namesquatting requests](https://about.gitlab.com/support/gitlab-com-policies/#name-squatting-policy)
- for [PoVs](/handbook/customer-success/solutions-architects/tools-and-resources/pov/), support is limited to resolving errors from a setup (and not the setup process itself)
- All response times are reasonable effort, with an internal SLO of 24 hours.

Limitations within Zendesk:

- A maximum of **3** [named contacts](https://about.gitlab.com/support/managing-support-contacts/#managing-contacts) are able to create support tickets for the organization.
- Gratis support does not include [shared organization setup in Zendesk](https://about.gitlab.com/support/managing-support-contacts/#shared-organizations).

## How to request support for a prospect

Please follow the instructions on our main handbook page for [Requesting Gratis Support](/handbook/support/gratis-support/).

## How to request an extension

**NOTE**: Please file extensions **one week** prior to the expiration date, to avoid interruptions in service.

Please follow the instructions on our main handbook page for [Requesting Gratis Support](/handbook/support/gratis-support/).

## Information for the prospect

The prospect should never submit a support ticket before gratis-support process is fully completed
(as indicated by Support Operations in the gratis support request issue). Doing so
can result in tickets being rejected.

After the process is fully completed, the prospect should be informed of the
following *vital* information for submitting tickets:

- All tickets must be filed by one of the 3 named contacts provided in the request.
  Any others will be rejected by the system, and the tickets automatically closed.
- All tickets must specify "Sales Assisted Trial" in the "Tell us about your GitLab
  subscription" field. Any other option can cause routing problems.
- All SaaS related tickets should be submitted via
  [this form](https://support.gitlab.com/hc/en-us/requests/new?ticket_form_id=334447),
  unless it is specifically about SaaS Account related matters
- All SaaS Account related matters should be submitted via
  [this form](https://support.gitlab.com/hc/en-us/requests/new?ticket_form_id=360000803379)
- All Self-Managed related tickets should be submitted via
  [this form](https://support.gitlab.com/hc/en-us/requests/new?ticket_form_id=426148)
