---
title: Division of Responsibilities
description: A breakdown of the division of responsibilities for the Support Ops team
canonical_path: "/handbook/support/readiness/operations/division_of_responsibilities/"
---

To help ensure the team doesn't get overwhelmed and has the ability to focus on
specialization and learning, we divide out the responsibilities among our team.
The current division of responsibilities is:

| Category            | Area                                                                                                                                                  | Primary DRI      | Secondary DRI    |
|---------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------|------------------|------------------|
| Access Requests     | [Internal License Requests](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/?state=opened&label_name%5B%5D=Internal-License) | Everyone         | Everyone         |
|                     | [Zendesk Global Provisioning](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/)                                              | @jcolyer         | @lyle            |
|                     | [Zendesk US Federal Provisioning](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/)                                          | @jcolyer         | @lyle            |
|                     | [FrameAI Provisioning](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/)                                          | @lyle | @jcolyer          |
| Account Deletions   | [Form](https://gitlab.com/gitlab-com/support/support-ops/forms/account-deletion)                                                                      | @jcolyer         | @dtragjasi       |
|                     | [Issues](https://gitlab.com/gitlab-com/gdpr-request/-/issues)                                                                                         | @avilla4         | @rverschoor      |
|                     | [Processor](https://gitlab.com/gitlab-com/support/support-ops/other-software/account-deletion-processor)                                              | @jcolyer         | @avilla4         |
|                     | [Questions](https://gitlab.slack.com/archives/C04357HVCJD)                                                                                            | @jcolyer         | @secole          |
| Administration      | [SFDC Account Merge Requests](/handbook/support/readiness/operations/docs/policies/salesforce_customer_account_merge_requests/)                                               | @dtragjasi         | @jcolyer            |
| Audits              | [1Password](https://gitlab.com/gitlab-com/support/support-ops/support-ops-tools/audits/-/issues)                                                      | @jcolyer         | @lyle            |
|                     | [Calendly](https://gitlab.com/gitlab-com/support/support-ops/support-ops-tools/audits/-/issues)                                                       | @avilla4         | @jcolyer         |
|                     | [GitLab.com](https://gitlab.com/gitlab-com/support/support-ops/support-ops-tools/audits/-/issues)                                                     | @jcolyer         | @lyle            |
|                     | [Pagerduty](https://gitlab.com/gitlab-com/support/support-ops/support-ops-tools/audits/-/issues)                                                      | @dtragjasi       | @jcolyer         |
|                     | [Zendesk Global](https://gitlab.com/gitlab-com/support/support-ops/support-ops-tools/audits/-/issues)                                                 | @nabeel.bilgrami | @jcolyer         |
|                     | [Zendesk US Federal](https://gitlab.com/gitlab-com/support/support-ops/support-ops-tools/audits/-/issues)                                             | @secole          | @jcolyer         |
| Calendly            | [Management](https://gitlab.com/gitlab-com/support/support-ops/other-software/calendly)                                                               | @avilla4         | @dtragjasi       |
|                     | Procurement                                                                                                                                           | @jcolyer         | @lyle            |
|                     | [Provisioning](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/)                                                             | @jcolyer         | @lyle            |
| Forms                | [Free User Offer Form](https://gitlab.com/gitlab-com/support/support-ops/forms/free-user-offer-form)                                                  | @jcolyer         | @dtragjasi       |
|                     | [Gratis Support Request form](https://gitlab.com/gitlab-com/support/support-ops/forms/gratis-support-request-form)                                    | @jcolyer         | @lyle            |
|                     | [L&R Internal Requests Form (Global)](https://gitlab.com/gitlab-com/support/internal-requests-form)                                                   | @jcolyer         | @dtragjasi       |
|                     | [L&R Internal Requests Form (US Federal)](https://gitlab.com/gitlab-com/support/support-ops/forms/us-federal-internal-request-form)                   | @jcolyer         | @dtragjasi       |
|                     | [US Federal Customer Feedback](https://gitlab.com/gitlab-com/support/support-ops/forms/us-federal-customer-feedback)                                  | @secole          | @jcolyer         |
|                     | [Usage Ping Requests](https://gitlab.com/support/usage-ping-request)                                                                                  | @jcolyer         | @lyle            |
| Other Software      | [Customer Feedback Processor US Federal](https://gitlab.com/gitlab-com/support/support-ops/other-software/customer-feedback-processor-us-federal)     | @jcolyer         | @secole          |
|                     | [Free user offer processor](https://gitlab.com/gitlab-com/support/support-ops/other-software/free-user-offer-processor)                               | @jcolyer         | @dtragjasi       |
|                     | [Gratis Support Requests processor](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/gratis-support-requests/)                        | @jcolyer         | @lyle            |
|                     | [L&R Internal Request Processor (Global)](https://gitlab.com/gitlab-com/support/support-ops/other-software/lnr-ir-processor)                          | @jcolyer         | @secole          |
|                     | [L&R Internal Request Processor (US Federal)](https://gitlab.com/gitlab-com/support/support-ops/other-software/lnr-ir-processor-us-federal)           | @jcolyer         | @secole          |
|                     | [1-1-issue-generator](https://gitlab.com/gitlab-com/support/toolbox/1-1-issue-generator/)                                                             | @nabeel.bilgrami | @jcolyer         |
|                     | [support/team page](https://gitlab.com/gitlab-support-readiness/support-team)                                                                         | Everyone         | Everyone         |
| Pagerduty           | [Management](https://gitlab.com/gitlab-com/support/support-ops/other-software/pagerduty)                                                              | @avilla4         | @jcolyer         |
|                     | [Provisioning](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/)                                                             | @jcolyer         | @lyle            |
|                     | [Workflows](https://gitlab.com/gitlab-com/support/support-ops/other-software/slack-workflows)                                                         | @jcolyer         | @nabeel.bilgrami |
| Status.io           | [Provisioning](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/)                                                           | @jcolyer         | @lyle            |
| Support Ops Project | [Issues](https://gitlab.com/gitlab-com/support/support-ops/support-ops-project/)                                                                      | Everyone         | Everyone         |
| Ticket work         |                                                                                                                                                       | Everyone         | Everyone         |
| Zapier              | Support Ops Zap management                                                                                                                            | @jcolyer         | @secole          |
| Zendesk Global      | [Agents](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/agents)                                                                     | @avilla4         | @dtragjasi       |
|                     | [Articles](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/articles)                                                                 | @dtragjasi       | @jcolyer         |
|                     | [Automations](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/automations)                                                           | @nabeel.bilgrami | @avilla4         |
|                     | [Contacts](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/contacts)                                                                 | @jcolyer         | @nabeel.bilgrami |
|                     | [Gratis Support Requests issues](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/gratis-support-requests/-/issues)                   | @jcolyer         | Everyone         |
|                     | [Forms and Fields](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/ticket-forms-and-fields)                                          | @jcolyer         | @nabeel.bilgrami |
|                     | [Explore](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/explore)                                                                   | @nabeel.bilgrami | @avilla4         |
|                     | [Macros](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/macros)                                                                     | Everyone         | Everyone         |
|                     | [Priority Prospects](https://gitlab.com/gitlab-com/support/support-ops/support-ops-project/-/issues/new)                                              | @jcolyer         | @secole          |
|                     | Procurement                                                                                                                                           | @jcolyer         | @lyle            |
|                     | [Salesforce Cases](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/salesforce-cases)                                                 | @jcolyer         | @nabeel.bilgrami |
|                     | [SLAs](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/sla-policies)                                                                 | @jcolyer         | @lyle            |
|                     | [Ticket Processor](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/ticket-processor)                                                 | @jcolyer         | @nabeel.bilgrami |
|                     | [Ticket Round Robin](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/ticket-round-robin)                                             | @nabeel.bilgrami | @dtragjasi       |
|                     | [Triggers](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/triggers)                                                                 | @nabeel.bilgrami | @avilla4         |
|                     | [Views](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/views)                                                                       | @avilla4         | @nabeel.bilgrami |
|                     | [Wizard](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/wizard)                                                                     | @jcolyer         | @dtragjasi       |
|                     | [Zendesk Apps](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/zendesk-apps)                                                         | @dtragjasi       | @jcolyer         |
|                     | [Zendesk Theme](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/zendesk-theme)                                                       | @dtragjasi       | @jcolyer         |
|                     | [Zendesk-Salesforce Sync](https://gitlab.com/gitlab-com/support/support-ops/zendesk-global/zd-sfdc-sync-global)                                       | @jcolyer         | @secole          |
| Zendesk US Federal  | [Agents](https://gitlab.com/gitlab-com/support/support-ops/zendesk-us-federal/agents)                                                                 | @secole          | @jcolyer         |
|                     | [Automations](https://gitlab.com/gitlab-com/support/support-ops/zendesk-us-federal/automations)                                                       | @secole          | @jcolyer         |
|                     | [Macros](https://gitlab.com/gitlab-com/support/support-ops/zendesk-us-federal/macros)                                                                 | @secole          | @jcolyer         |
|                     | Procurement                                                                                                                                           | @jcolyer         | @lyle            |
|                     | [Salesforce Cases](https://gitlab.com/gitlab-com/support/support-ops/zendesk-us-federal/salesforce-cases)                                             | @jcolyer         | @secole          |
|                     | [Ticket forms and Fields](https://gitlab.com/gitlab-com/support/support-ops/zendesk-us-federal/ticket-forms-and-fields)                               | @secole          | @jcolyer         |
|                     | [Ticket Round Robin](https://gitlab.com/gitlab-com/support/support-ops/zendesk-us-federal/ticket-round-robin)                                         | @jcolyer         | @secole          |
|                     | [Triggers](https://gitlab.com/gitlab-com/support/support-ops/zendesk-us-federal/triggers)                                                             | @secole          | @jcolyer         |
|                     | [Views](https://gitlab.com/gitlab-com/support/support-ops/zendesk-us-federal/views)                                                                   | @secole          | @jcolyer         |
|                     | [Zendesk Apps](https://gitlab.com/gitlab-com/support/support-ops/zendesk-us-federal/zendesk-apps)                                                     | @secole          | @jcolyer         |
|                     | [Zendesk Theme](https://gitlab.com/gitlab-com/support/support-ops/zendesk-us-federal/zendesk-theme)                                                   | @secole          | @jcolyer         |
|                     | [Zendesk-Salesforce Sync](https://gitlab.com/gitlab-com/support/support-ops/zendesk-us-federal/zd-sfdc-sync-us-federal)                               | @jcolyer         | @secole          |
