---
title: Support Super Form
description: An overview of the Support Super Form
canonical_path: "/handbook/support/readiness/operations/docs/gitlab/support_super_form"
---

Located at: [support-super-form-gitlab-com-support-support-op-651f22e90ce6d7.gitlab.io](https://support-super-form-gitlab-com-support-support-op-651f22e90ce6d7.gitlab.io/)

## Support Related Requests

### A request for Gratis Support

GitLab Premium and Ultimate subscriptions include Customer Support. Free or
expired users, and prospects, are not typically entitled to contact Customer
Support with technical questions. Under certain circumstances, Sales or Customer
Success team members may wish to request a period of free support for a prospect
or customer.

## Support Readiness Related Requests

### Modifications to a Zendesk Organization

This is for making changes to Zendesk Global organizations. This includes items
such as:

- Toggling the escalation state of an org (turning it on or off)
- Set the collaboration project ID for an organization
- Setting an Assigned Support Engineer for an organization

### Request a team member license

This is for requesting a team member license. This cannot be used for licenses
that are not to gitlab.com email addresses.

### Add/Remove person from Pagerduty Support Shadow rotation

This is for requesting a person be added or removed to one of Support's shadow
oncall rotations.

### Enable US Government Support for an Account

This is for enabling US Government Support on a SFDC account that would not
normally be entitled to it. Please note the account must have already purchased
the required US Government SKU.

Keep in mind you _must_ have a Light Agent account on the US Government Zendesk
instance. Without one, your request will be declined.

### Create a Zendesk macro

Use this to request the creation of a macro in a Zendesk instance. If the
comment type for the macro is `Public` or `Private`, it will create a
corresponding managed content file within the correct project (if it does not
already exist).

**NOTE**: This is not creating an issue to discussion. This is creating an issue
for action. The issue made will be actioned on quite quickly and will not allow
room for discussion, outside of followup questions from Support Operations.

### Edit a Zendesk macro

Use this to request modifications of a macro in a Zendesk instance. If the
comment type for the macro is `Public` or `Private`, it will create a
corresponding managed content file within the correct project (if it does not
already exist).

**NOTE**: This is not creating an issue to discussion. This is creating an issue
for action. The issue made will be actioned on quite quickly and will not allow
room for discussion, outside of followup questions from Support Operations.

## License and Renewal Related Requests

### GitLab L&R Internal Request for Global customers

This is for internal requests regarding licensing, subscriptions, trials, and
grace period extensions in Zendesk Global. More information can be found
[within the Support Handbook](/handbook/support/internal-support/#internal-requests)

Keep in mind you _must_ have a Light Agent account on the Zendesk instance.
Without one, your request will be declined.

### GitLab L&R Internal Request for US Federal customers

This is for internal requests regarding licensing, subscriptions, trials, and
grace period extensions in Zendesk US Federal. More information can be found
[within the Support Handbook](/handbook/support/internal-support/#internal-requests)

Keep in mind you _must_ have a Light Agent account on the Zendesk instance.
Without one, your request will be declined.

## Request from SA

### Allows Solution Architects to request assistance from the Support team

Allows Solution Architects to request assistance from the Support team.

This request is internal. The work is between the Solution Achitect and the Support Engineer. Customers are not able to contribute.

Keep in mind you _must_ have a Light Agent account on the Zendesk instance.
Without one, your request will be declined.

## Fully Automated Requests

### Check namespace availability

This is for checking the availability of a namespace. In the event the namespace
is in use, this request will also check into the _potential_ of the namespace
being releasable.

Please note this is fully automated. The request will create an issue that has
the results of the check posted.
