---
title: Support Engineer Career Path
description: The details of this page are to outline more specific guidance around promotions for Support team members. Page should not be moved without a Support Global Change Management issue.
---

## Career Development in Support

Exploring your passions and interests is just as important as focusing on a plan of short and long-term goals needed for any career development plan. Taking that time to explore, prepare, learn, and self-reflect can help ensure that you remain on track with where you ultimately want to grow.

While it's important to understand the how (how do I accomplish my goal? how do I get promoted?) and the what (what do I want to do? what do I need to do to get there? what do I still need to learn?), understanding the *why* is what becomes your ultimate driving force.

Promotions within the Support Department are guided by the [Support Career Framework Matrix](/handbook/engineering/careers/matrix/support/), following [this track of role promotions](/handbook/engineering/careers/#support-department). Consider the matrix (competency requirements) and promotion path as your expected baseline targets. Utilize the resources and recommendations in this document to explore your *why*, and to build your path to promotion with an extended view of what you can expect as you decide on your direction.

When you are ready to start building your promotion document, take a look at the [Working on a Promotion](/handbook/support/workflows/team/promotions/) support workflow.  This will guide you on creating and completing your promotion document.  You will find the link to the promotion document template on that page, and suggestions for what to include depending on what role you are seeking promotion to. You will also find links there to a list of completed promotion documents that you can refer to while building your own document. Ask your manager for guidance and feedback as necessary.

### General Recommendations and Useful Resources (Applies to Any Promotion Path)

Familiarize yourself with what it means to plan your career path, and how leadership plays a role in your next step.

- Read about [Career Development at GitLab](/handbook/people-group/learning-and-development/career-development/).
- Read about [Engineering Career Development at GitLab](/handbook/engineering/careers/).
- Watch [this video on the Critical Career Path Conversation](https://www.youtube.com/watch?v=hMz6QDURQOM&list=PLBzScQzZ83I8H8_0Qete6Bs5EcW3p0kZF&index=7).
- Read [leadership books](/handbook/leadership/#books) (strongly suggested).
- Watch this [Engineering IC Leadership - Handbook Learning Session](https://www.youtube.com/watch?v=OXBwtaZ9edQ) to understand the difference between **IC leadership** and **Management**.
- Schedule a coffee chat or AMA with someone in the position to better understand what they do, and ask for advice on how to work towards this role.
- Speak with your manager about available openings, and review #spt_hiring for any opportunity announcements.
- Review and use the templates and resources available in the [Career Development, Promotion, Performance, etc. Docs Templates folder](https://drive.google.com/drive/search?role=writer&q=type:folder%20title:%22Career%20Development,%20Promotion,%20Performance%20etc%20Docs%20and%20Templates%22%20in:0AEeARMMpt4eDUk9PVA) to track your performance, career development, and path to promotion.
- As you begin to track and document your path to promotion document, use meaningful examples that highlight the relevant competencies and the type of work the promotion document asks for. See each section below for some specific conditions.

## Path to Promotion: Senior Support Engineering

A Senior-level Support engineer is a natural leader who has championed multiple areas of technical skillsets required to resolve both intermediate and complex customer issues. Senior engineers are direct mentors of Support Engineers, and extend their contributions to other areas, such as contributing to documentation, bug fixes, workflow improvements, or engaging as the next point of escalation for technical issues.

### Considerations and Recommendations

Recommendations to explore this path:

- Read about the [Senior Support Engineer role criteria](/job-families/engineering/support-engineer/#senior-support-engineer).
- Read about the [Senior level competencies and framework requirements](/handbook/engineering/careers/matrix/support/senior/).
- Watch or listen to the [Ask Us Anything - Being/Becoming a Senior Support Engineer sesssions from 2021-12](https://www.youtube.com/watch?v=jwjPvzz_f5g&list=PL05JrBw4t0KrQVEIzmhhQMR68JGBl3dDy).
- Watch or listen to the [Async Staff Support Engineer AMA 2024](https://www.youtube.com/playlist?list=PL05JrBw4t0KrWFkNej77kXspfjem_UA1J).

Considerations when building your path:

- You consistently collaborate with the team, and willingly jump in to help with critical escalations, customer calls, and emergency issues.
- You have the ability to influence positive change within the team.
- You support the growth of Support Engineers by frequently offering office hours and pairing sessions.
- You enjoy leading by example and look for ways to help improve various workflows, documentation, and training (including onboarding of new team members).
- You are willing to stretch yourself with new challenges, and learn to improve from setbacks versus settle for mediocrity.

## Path to Promotion: Staff Engineering

Choosing to pursue a Staff-level role within the Support team involves an advanced level of technical skills that are often both broad and deep, in combination with leadership skills that help support and mentor other engineers. Staff Engineers lead by example, and often help to breakdown barriers between customers, Support, and other cross-functional teams by engaging in technical deep dives, contributing to bug fixes, contributing to feature enhancements, or providing product-improving recommendations.

### Considerations and Recommendations

Recommendations to explore this path:

- Read about [what staff level means at GitLab](https://about.gitlab.com/blog/2020/02/18/staff-level-engineering-at-gitlab/).
- Read about the [Staff Support Engineer role criteria](/job-families/engineering/support-engineer/#staff-support-engineer).
- Read about the [Staff level competencies and framework requirements](/handbook/engineering/careers/matrix/staff/).
- Watch [this discussion about becoming a Staff engineer](https://www.youtube.com/watch?v=dN4LyA4nDg0).
- Watch or listen to the [Group AMA - Being/Becoming a Staff Support Engineer - 2022-05-26](https://www.youtube.com/watch?v=68jzHfG8SwU).

Considerations when building your path:

- Consider projects you've led or have participated in, and how your contributions positively impacted the business, team, or customer.
- You consistently collaborate with engineers across multiple teams, and willingly jump in to help with critical escalations, customer calls, and emergency issues; you are known within the team as someone they can count on in difficult situations.
- You have the ability to influence positive change and improvements with the product, technology, and cross-functional team collaboration.
- You support the growth of both Support Engineers and Senior Support Engineers by offering frequent office hours, pairing sessions, and deep dive technical training sessions.
- You perform at a level that is consistent with a technical team lead, and proactively pursue opportunities to find areas of improvement that benefit the business, customers, and team members.
- You are willing to stretch yourself with new challenges, and engage in customer meetings to provide a level of support that sets the customer on the path to success.

## Path to Promotion: Support Engineering Manager

People managers need a combination of skills involving not only [technical credibility](/handbook/engineering/management/#technical-credibility), but interpersonal and organizational skills in order to lead a team of diverse individuals. These skills include embodying the [GitLab Values](/handbook/values/), [coaching](/handbook/leadership/coaching/), [interviewing and hiring](/handbook/support/managers/hiring), and thinking holistically about the Support team, how we fit within the company, and interact with users. People managers also need to have *organizational awareness* within GitLab, so you know where to look for answers and how to guide team members toward solutions. Read more about [Leadership at GitLab](/handbook/leadership/).

Maintaining your technical skillsets becomes secondary, however you have the  autonomy (and ability) to balance your level of technical skill upkeep with the priorities and needs of your team. Above all, you keep team members and our customers your top priority.

### Recommendations and Considerations

Recommendations to explore this path:

- Read about [what you can expect in a Support Engineering Manager role](/job-families/engineering/support-management/#what-you-can-expect-in-a-manager-support-engineering-role-at-gitlab).
- Read about the [Support Engineering Manager Responsibilities](/handbook/support/managers/manager-responsibilities).
- Read about why [candidates should apply for a Support Manager role](/job-families/engineering/support-management/#you-should-apply-if) to understand general expectations of this role.
- Read [Transitioning from Individual Contributor to Manager](/handbook/engineering/development/dev/training/ic-to-manager/).
- Read about [Individual Contribution vs. Management](/handbook/engineering/careers/#individual-contribution-vs-management) and [Trying the Management Track](/handbook/engineering/careers/#trying-the-management-track).
- Read about the [Interim Manager](/handbook/engineering/careers/#interim-manager) role.
- Read about [Elevate](/handbook/people-group/learning-and-development/elevate-programs/) and consider participating.

Considerations when building your path:

- Consider experiences beyond what you have accomplished at GitLab (previous job experiences or even personal accomplishments) that can be used as supportive examples for building your case to transition into a manager role.
- You have the level of confidence needed to initiate change, address challenging situations, and make difficult decisions.
- You have the ability to show humility and accept pushback or failure with an eagerness to learn from them.
- You have the ability to accept accountability and ownership involving the support we provide through guidance, leadership support, and assisting team members and the company to overcome challenges.
- You have the ability to influence positive change (improvements), starting at the individual level.
- You have the ability to build (not demand) trust and respect with team members; including not only peers and direct reports, but also team members and senior management across the organization.
- You have the deep desire to grow every team member you work with, using both empathy and open communication to maintain honesty in every line of feedback you give.

## Looking Beyond Staff, Manager, and Support Roles

While this document is meant to primarily focus on career development opportunities for Support Engineering IC's, there are many other possible opportunities to pursue. This may include [transfer option examples](/handbook/engineering/careers/#transfer-options), or continued promotion opportunities that go beyond that of Staff and Support Engineering Manager, such as a [Principal Engineer](https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/74187) role, [Senior Engineering Manager](/job-families/engineering/development/management/senior-manager/) role, and [Promotions to Director and above](/handbook/people-group/promotions-transfers/#promotions-to-director-and-above).
