---
title: AI Support Pod
description: A space for Support Engineers to collaborate on Duo tickets and improve Support's workflows using AI
---

## Purpose

- Provide a space for Support Engineers to collaborate on Duo tickets
- Stay up-to-date on and deepen their expertise in Duo features
- Identify and test ways to improve Support's workflows using AI

## Scope

Topics in this pod will ideally align with these product groups:

- All groups in the [AI-Powered Stage](/handbook/product/categories/#ai-powered-stage)
  - [AI Framework](/handbook/product/categories/#ai-framework-group)
  - [Custom Models](/handbook/product/categories/#custom-models-group)
  - [Duo Chat](/handbook/product/categories/#duo-chat-group)
- From the [Create Stage](/handbook/product/categories/#create-stage)
  - [Code Creation](/handbook/product/categories/#code-creation-group)
  - [Editor Extensions](/handbook/product/categories/#editor-extensions-group)

Initiatives to improve Support workflows via AI (preferably by dogfooding Duo) will also be discussed and promoted in the Pod.

## Current objectives

- Keep regular meetings going that are available to all regions
- Stay updated on all things Duo
- Help each other with Duo tickets!
- Promote, discuss, and test Support workflow improvements that use AI

## Support Pod members

- Lead: {{< member-by-name "John Gaughan" >}} (`@jgaughan`)
- {{< member-by-name "Duncan Harris" >}} (`@duncan_harris`)
- {{< member-by-name "Edward Hilgendorf IV" >}} (`@edward`)
- {{< member-by-name "Luminus Alabi" >}} (`@lalabi`)
- {{< member-by-name "Hubert Maraszek" >}} (`@hmaraszek`)
- {{< member-by-name "Brie Carranza" >}} (`@bcarranza`)

## How to get involved

1. Talk with your manager.
1. Add Duo to your knowledge areas in the [Support Team data](https://gitlab.com/gitlab-support-readiness/support-team/-/tree/master/data/agents?ref_type=heads). If it already exists, adjust your level accordingly.
1. Let your teammates and groupmates know about your new focus area.
1. Join the [#spt_pod_ai](https://gitlab.enterprise.slack.com/archives/C06KMDBJT5F) Slack channel.
1. Add yourself to this page.
1. Attend AI pairing sessions. See [Regular meetings](#regular-meetings) and check the GitLab Support calendar for up-to-date meeting times

## Regular meetings

- AI Pod pairing sessions:
  - EMEA & AMER friendly: Tuesday, 13:00 / 14:00 UTC depending on DST (check the GitLab Support calendar)
  - AMER & APAC friendly: Thursday, 22:00 / 23:00 UTC depending on DST (check the GitLab Support calendar)

## Slack Channels

- AI Support Pod Slack channel: [#spt_pod_ai](https://gitlab.enterprise.slack.com/archives/C06KMDBJT5F)

Other Slack channels of interest:

- [#ai_reading_feed](https://gitlab.enterprise.slack.com/archives/C06RXQR3TGF)
- [#ai_strategy](https://gitlab.enterprise.slack.com/archives/C051V1CHBFE)
- [#ai-field-strategy](https://gitlab.enterprise.slack.com/archives/C051SLP8WNB)
- [#duo-chat-feature-flag-request](https://gitlab.enterprise.slack.com/archives/C070FUQ7JDN)
- [#f_code-suggestions](https://gitlab.enterprise.slack.com/archives/C06841NNQNS)
- [#cloud-connector-lounge](https://gitlab.enterprise.slack.com/archives/C04KWTK3GFJ)
- [#duo-chat-lounge](https://gitlab.enterprise.slack.com/archives/C06LWENL58F)
- [#g_ai_framework](https://gitlab.enterprise.slack.com/archives/C051K31F30R)
- [#g_ai_model_validation](https://gitlab.enterprise.slack.com/archives/C05CJ1T3P0W)
- [#g_duo_chat](https://gitlab.enterprise.slack.com/archives/C06D5C70MD2)
