---
title: Code Contributions Support Pod
description: Provide a space for SEs to collaborate in the context of Code Contributions.
---

## Purpose

Provide a space for SEs to collaborate in the context of Code Contributions.

## Current objectives

- Raise awareness for the pod
- Use async communication in the [#spt_pod_code-contributions](https://gitlab.slack.com/archives/C05DUHAG3EY) Slack channel to empower SEs and exchange knowledge

## Support Pod members

- Lead: {{< member-by-name "Anton Smith" >}} (`@anton`)
- Co-Lead: {{< member-by-name "Manuel Grabowski" >}} (`@manuelgrabowski`)
- {{< member-by-name "Brie Carranza" >}} (`@bcarranza`)
- {{< member-by-name "Ronald van Zon" >}} (`@rvzon`)
- {{< member-by-name "Cleveland Bledsoe Jr" >}} (`@cleveland`)

## How to get involved

1. Talk with your manager.
1. If you haven't yet, consider working on the [Code Contributions](https://gitlab.com/gitlab-com/support/support-training/-/blob/master/.gitlab/issue_templates/Code%20Contributions.md) Support training module.
1. Add Code Contributions to your knowledge areas in the [Support Team data](https://gitlab.com/gitlab-support-readiness/support-team/-/tree/master/data/agents?ref_type=heads). If it already exists, adjust your level accordingly – any level is welcome in the Pod!
1. Optionally: Let the team and your SGG know about your new focus area.
1. Join the [#spt_pod_code-contributions](https://gitlab.slack.com/archives/C05DUHAG3EY) Slack channel.
1. Add yourself to this page.

## Regular meetings

- None at this point, but setting a sync session up is just a Slack message away!

## Ways to Collaborate

- Slack channel: [#spt_pod_code-contributions](https://gitlab.slack.com/archives/C05DUHAG3EY)

In addition to collaborating with fellow Support Engineers, consider some of these opportunities for collaborating with other GitLab team members:

- Consider participating in **Backend Pairs**:
  - Slack channel: [#backend_pairs](https://gitlab.slack.com/archives/CLX2Z53A5)
  - Subscribe to the [Google calendar](https://calendar.google.com/calendar/u/0?cid=Y18waWFhcmdxdjUzZGY4cmR1N2g5YmhiNHBpZ0Bncm91cC5jYWxlbmRhci5nb29nbGUuY29t).
  - Watch the [Backend Pairing playlist](https://www.youtube.com/playlist?list=PL05JrBw4t0KrMuuWVieMsCG2XHWBCJi_2) on YouTube.
  - Read about [Backend Engineering](/job-families/engineering/backend-engineer/) at GitLab.
- Consider participating in **Frontend Pairs**:
  - Slack channel: [#frontend_pairs](https://gitlab.slack.com/archives/CGWPX7516)
  - Subscribe to the [Google calendar](https://calendar.google.com/calendar/u/1?cid=Y18waWFhcmdxdjUzZGY4cmR1N2g5YmhiNHBpZ0Bncm91cC5jYWxlbmRhci5nb29nbGUuY29t).
  - Read about [Frontend Engineering](/job-families/engineering/development/frontend/) at GitLab.

## Finding a Code Contribution opportunity

🌊 Want to make a code contribution but you aren't sure where to start?

- Search and [filter](https://docs.gitlab.com/ee/user/project/issues/managing_issues.html#filter-the-list-of-issues) issues strategically.
  - Have a play around with the labels to look around for issues depending on your interests. For easier issues you can search for `Seeking community contributions`, `Accepting UX contributions` and then add additional labels accordingly
  - If the issue has a weight, look for issues with a weight of `1` for smaller issues
  - `@anton`: I typically like to look for `api` labelled issues, because they tend to be backend only changes and Ruby code is what I like working on. Where possible I like to work on issues that will directly help Support in some way.
  - An interesting exercise would be to look at issues you opened early on in your time at GitLab to see how much you've grown since you opened the issue and to see if you could make a code contribution.
- For [Support Stable Counterparts](/handbook/support/support-stable-counterparts/) (SSCs): ask your product group if they have anything small you can work on.
- Audit events are normally easy ones to get into as there are plenty of examples to draw from. See the [Comprehensive audit log: instance settings](https://gitlab.com/groups/gitlab-org/-/epics/476) epic.
- Take a look at the [Papercut spreadsheet](https://docs.google.com/spreadsheets/d/1qFYgeSGbePumjViTbUr7Jn7T6emlDyxshw4YPb6YzEs/edit#gid=0).
- When you see something you might like to work on, add an emoji to the issue so you can refer to the emoji issue list later.
  - `@anton`: I personally use :ant: so if you have seen an issue with that emoji from me, I've earmarked that issue for a potential code contribution in the future :smile:
- Remember that there are plenty of code contribution opportunities outside of `gitlab-org/gitlab`. Consider `gitlab-org/charts`, `gitlab-org/gitlab-runner` or contributing to a project in [the Support Toolbox](https://gitlab.com/gitlab-com/support/toolbox).
- If you are interested on working on something but you aren't quite sure how to get started, feel free to reach out to the product team that owns the issue or you can ask in [#backend](https://gitlab.enterprise.slack.com/archives/C8HG8D9MY) or [#frontend](https://gitlab.enterprise.slack.com/archives/C0GQHHPGW). They can give you pointers and advise on the best approach.
