---
title: Example Support Pod
description: A template for team members who want to create their own Support Pod.
---

## Purpose

To serve as a template for team members who want to create their own Support Pod.

## Scope

Having a clearly defined scope makes it easier for others to know what topics to bring to the pod.
Try using the existing lines within GitLab to define the scope of a Pod: GitLab product groups as
defined in the [DevOps stages](/handbook/product/categories/#devops-stages)
are the SSOT for where which [part/feature of the product](/handbook/product/categories/features/)
is at home.

## Current objectives

- Document how to start, run and shut down a Support Pod.

## Support Pod members

- Lead: {{< member-by-name "Wei-Meng Lee" >}}
- {{< member-by-name "Ronnie Alfaro" >}}
- {{< member-by-name "Tine Sørensen" >}}

## Collaboration channels

- Slack channel: #spt_pods – please follow the `#spt_pod_$name` naming scheme when creating a
  dedicated channel for the pod. If `$name` has multiple words, use `-` to separate, e.g.
  `#spt_pod_code-contributions`.
- Optionally create a Slack group as well. You'll need to create an [access request](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/new?issuable_template=slack_googlegroup_1Passwordgroupvault)
  for IT to do so. As Slack group names can't be identical to existing channel names, please use
  `@spt-pod_$name` for the group name (a `-` instead of `_` between `spt` and `pod`). If `$name` has
  multiple words, use `-` to separate, e.g. `@spt-pod_code-contributions`.
- Epic - https://gitlab.com/groups/gitlab-com/support/-/epics/145
