---
title: GitLab Dedicated Support Pod
description: Enable others within the Support Team to answer GitLab Dedicated tickets.
---

## Purpose

Enable others within the Support Team to answer GitLab Dedicated tickets.

## Current objectives

- Spot gaps in knowledge within the team and improve training, resources and processes
- Enable quick answers that can help others troubleshoot faster
- Get more Support Engineers interested in Dedicated tickets

## Support Pod members

- Overall/AMER lead: {{< member-by-name "Brie Carranza" >}} (`@bcarranza`)
- Co-lead: {{< member-by-name "Wei-Meng Lee" >}} (`@weimeng-gtlb`)
- APAC lead: {{< member-by-name "Daphne Kua" >}} (`@dkua1`)
- EMEA lead: {{< member-by-name "Armin Hergenhan" >}} (`@ahergenhan`)
- US Gov lead: {{< member-by-name "Wade Jenkins" >}} (`@wwjenkins`)
- {{< member-by-name "Matthew Badeau" >}} (`@mbadeau`)
- {{< member-by-name "Cleveland Bledsoe Jr" >}} (`@cleveland`)
- {{< member-by-name "Gerardo Gutierrez" >}} (`@gerardo`)
- {{< member-by-name "Brenda Nyaringita" >}} (`@bnyaringita`)
- {{< member-by-name "Segolene Bouly" >}} (`@sbouly`)
- {{< member-by-name "Sam Bernal-Damasco" >}} (`@definitelynotsam`)

## Collaboration channels

- Slack channel - `#spt_pod_dedicated`
  - Slack group - `@spt-pod_dedicated`
- Epic - https://gitlab.com/groups/gitlab-com/support/-/epics/145

### Getting added to the `@spt-pod_dedicated` Slack group

Use the [Slack, Google Groups, 1Password Vaults or Groups Access Requests](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/new?issuable_template=slack_googlegroup_1Passwordgroupvault) issue template to get added to the `@spt-pod_dedicated` group on Slack.

There is more information about [Slack, Google Groups, 1Password Vaults or Groups Access Requests](/handbook/it/end-user-services/onboarding-access-requests/access-requests/#slack-google-groups-1password-vaults-or-groups-access-requests) in the handbook.

## 🍐 Syncs

Everyone is welcome to join these synchronous sessions focused on all things GitLab Dedicated:

- Every other Monday at 1530 UTC: Gerardo and Brie's Office Hours (on evenly numbered [ISO weeks](https://www.epochconverter.com/weeknumbers))
- Every Friday at 1300 UTC: GitLab Dedicated Pod Pairing
- Every other Tuesday at 0400 UTC: Matthew's Office Hours

Check the GitLab Support Google Calendar for the events and add yourself to the invite.

## Useful Links

- [GitLab Dedicated Handbook](/handbook/support/workflows/dedicated/)
  - This handbook is located in the [Support Workflows](/handbook/support/workflows/) and is a great starting point for more information when working GitLab Dedicated tickets
- See the training module for [GitLab Dedicated](https://gitlab.com/gitlab-com/support/support-training/-/blob/master/.gitlab/issue_templates/GitLab%20Dedicated.md) in the [Support Training](https://gitlab.com/gitlab-com/support/support-training) project.
- Read about [working with logs](/handbook/support/workflows/dedicated/#working-with-logs) when handling tickets for GitLab Dedicated.
- Review the [features _not_ in GitLab Dedicated](https://docs.gitlab.com/ee/subscriptions/gitlab_dedicated/#features-that-are-not-available) as these are almost as important as [the features in GitLab Dedicated](https://docs.gitlab.com/ee/subscriptions/gitlab_dedicated/#available-features)

## ℹ️  Stay Informed

The [Support Week in Review](https://gitlab.com/gitlab-com/support/readiness/support-week-in-review) and the GitLab Dedicated Support Pod syncs are great ways to remain informed. Beyond those Support-focused resources, consider the following sources of information in order to remain aware of what's going on with **GitLab Dedicated**:

- [GitLab Dedicated Issue Tracker](https://gitlab.com/gitlab-com/gl-infra/gitlab-dedicated/team/-/issues/?sort=created_date&state=opened&first_page_size=100)
- [GitLab Dedicated team sync](https://docs.google.com/document/d/1rxbSQAiUsTjJrCc6HwHPWK11lSMHMaDki9QGGyQoa4g/edit#heading=h.26hld95ocrkv) Google doc
- Slack channels
  - [#g_dedicated-team](https://gitlab.slack.com/archives/C025LECQY0M)
  - [#g_dedicated-switchboard-team](https://gitlab.slack.com/archives/C04DG7DR1LG)
  - [#f_gitlab_dedicated](https://gitlab.slack.com/archives/C01S0QNSYJ2)
  - [#dedicated_customer_problem_solving](https://gitlab.slack.com/archives/C05FFHWU6AH)
- [Category Direction - GitLab Dedicated](https://about.gitlab.com/direction/saas-platforms/dedicated/#q4)

Together, these are high volume sources of information. Being a [manager of one](/handbook/values/#managers-of-one) means you'll need to decide which ones to consume and how frequently.
