---
title: Support time off buddy system
description: Guidelines for leveraging the Support time off buddy system
---

## Overview

When you have upcoming time off, it can be daunting to prepare your tickets
before you're out. Sometimes, this can even lead us to avoid taking time off due
to the stress of dealing with ongoing tickets. While your peers and managers are
here to help, it can be difficult to ask for this help for some folks. In order
to help out with these challenges, consider finding a **Support time off buddy**!

Time off buddies are intended to help tackle the following common problems:

1. Reduce burden of taking time off
1. Provide continuity for customers and reports while out of office
1. Help keep each other accountable for taking time off
1. Help keep each other accountable for not checking in with work during time off
1. Provide opportunities for focus days

## The initial trial

We trialed the time off buddy system in 2022. You can find the original proposal
and further discussion in the
[Support Team Meta issue](https://gitlab.com/gitlab-com/support/support-team-meta/-/issues/4481).

The original trial buddies were:

| Aric Buerer        | Izzy Fee       |
| Bo Carbonell       | Brie Carranza  |
| Keelan Lang        | Julie Martin   |
| Sam Bernal-Damasco | Eric Rosenberg |

If you have questions about the method, please reach out to any of the original
participants to get their thoughts!

## Responsibilities

At a minimum, time off buddies are expected to review their buddy's tickets each
day until their buddy returns, and take action on tickets as needed. This
**does not** mean that buddies must take ownership of the tickets. Instead, a
buddy should be prepared to take action if a ticket needs attention. This may
include:

- Finding another resource to take over
- Communicating with the customer that the assignee is out of office, and
discussing if the customer is okay to wait for the assignee to return
- Alerting a manager of any spicy tickets or customers

Since this is intended to be a low barrier program, the base responsibilities
are intentionally simple. Time off buddies should work together to outline any
additional responsibilities or expectations.

## Choosing a buddy

We need to tell people how to choose buddies!

## Tips

Each engineer should manage their responsibilities in a way that works for
both buddies. To get started, here are things that we had success with in the
trial:

- Set up a "time off" pairing session with your buddy 1-2 days before you plan
to be out of office to discuss your open tickets and other expectations.
- Set up a "catch-up" pairing session with your buddy 1-2 days after your return
to get up-to-speed on the state of your tickets.
- Inform your buddy of upcoming out of office as soon as it's scheduled
- Set your buddy as covering for ticket reopens (and other agreed-upon
responsibilities) in Time Off by Deel.

### Use pairings

When preparing to leave for time off, or when returning from time off, consider
using a [pairing session](https://gitlab.com/gitlab-com/support/support-pairing/)
to keep your buddy informed.

### Use internal ticket comments

Put a brief comment explaining the state of a ticket and expected next steps
before leaving for time off. This also helps in the event that your buddy needs
to hand off your ticket to someone else in your absence.

### Use Zendesk views

You can set up a Zendesk view to track your buddy's tickets while they're out.

## FAQ

### Am I in charge of my buddy's tickets while they're out?

Your buddy is not expected to take over your tickets while you are out, but they
should serve as the interim DRI to help progress any of your active tickets.
See [responsibilities](#responsibilities) for more info.

### Should I use my time off buddy for holiday coverage?

You can use the time off buddy system however it works for you. However, please
follow the Support team guidelines around
[holiday time off ticket management](/handbook/support/support-time-off#how-support-handles-holidays)
to ensure that all Support coverage goals are met.

### Does my buddy need to be in the same region as me?

Where possible, you should follow the guidelines for
[choosing a buddy](#choosing-a-buddy) to ensure the best coverage. You may have
a buddy in another region, as long as it works for you and helps, rather than
hinders.

### How many people can I be a buddy for?

Ideally, buddy pairing should be 1 to 1. This lets you tailor a system that
works best for both engineers, so that you can get the most out of the system.

If you'd like, you can have more than one time off buddy. In this case, be sure
to keep the manager of one value in mind. It can be tempting to help as many
people as possible, but don't let it be to your own detriment.
