---
title: Support Hybrid Learning Path Checkpoint
description: "Checkpoints for new starters who are working through their support hybrid learning path. This is a guide only, progress is not linear."
---

## Support Hybrid Model Learning Path Checkpoints

Checkpoints for new starters who are working through their support hybrid learning path. This is a guide only, progress is not linear.

### Learn about GitLab

- You understand GitLab's mission, vision, values, and culture
- You understand what is expected of you in your role and what it means to be a successful [support engineer](/job-families/engineering/support-engineer/#support-engineer)
- You've met most of your region (if you're in EMEA or APAC) in the [Support Team call](/handbook/support/workflows/team/weekly_team_call)
- You've met up for '[coffee](/handbook/company/culture/all-remote/informal-communication/#coffee-chats)' with some of your teammates
- You understand how to make edits to a handbook page
- You've completed your compliance tasks in the Onboarding Issue
- You understand how we use Calendars and the different meeting types

### Learn about Your Support Team

- You've met with more teammates for '[coffee](/handbook/company/culture/all-remote/informal-communication/#coffee-chats)'
- You have submitted a new update to the handbook
- You understand who our customers are and why they use GitLab
- You are getting to know what the GitLab suite offers its customers
- You are getting to know how customers can get started with GitLab
- You may have completed and closed your Onboarding Issue
- You are establishing your [learning pathway](/handbook/support/training/#support-manager-onboarding-pathway) through the GitLab modules with the New Team Member Start Here module
- Pairing sessions setup with Onboarding buddy:
  1. Pairing session fundamentals - what's the point, what you get out of it, etiquette of pairing session
  1. Explaining ZD views and how to action things

### Working in Support at GitLab

- You are attending [crush sessions and started pairing](https://gitlab.com/gitlab-com/support/support-pairing/-/issues/?sort=popularity&state=all) for your training modules
- You understand how to triage, assign and [provide a first response on a ticket](/handbook/support/workflows/working-on-tickets#providing-a-first-response-to-a-ticket)
- You understand the types of customer tickets that are being worked on by support engineers
- You understand what your role as a support engineer entails
- You know which teams and roles outside of Support work closely with Support Engineers
- You have completed your New Support Team Member Start Here module

### Contributing Back to Your Peers and the Team

- You have completed:
  - GitLab-com SaaS Basics
- You have taken assignment of a couple of SaaS Account tickets
- You have shadowed some customer calls
- You understand how to ask for help through the different channels
- You know which views/dashboards to work from within Zendesk
- You understand the organizational structure of GitLab

### Leading Customer-Facing Video Interactions

- You have started/working through these modules:
  - Omnibus GitLab training module
  - GitLab.com prod console
  - License & Renewals module
- You have led customer calls
- You have submitted MRs

### Refining Your Documentation

- You can triage/solve SaaS, Self-Managed and L&R tickets - your initial [Support Learning Pathway](/handbook/support/training/#support-learning-pathways) is complete!
- You have confidence contributing to crush and pairing sessions
- You have gotten to know more folks outside your region or outside of Support
- You have started/working through the Documentation module

### Participate in Upgrade Assistance

- You have been DRI on upgrade assistance tickets
- You are comfortable initiating customer calls as necessary
- You have updated your Areas of Focus in the Support Team Page
- You have discussed which on-call roster you will be working towards ([CMOC](/handbook/support/workflows/cmoc_workflows#contacting-a-user) or [Customer Emergencies](/handbook/engineering/on-call/#sts=Customer%20Emergency%20On-Call%20Rotation)) with your manager

### On-call, Onboarding Buddy and Technical Assessment Interview Rotations

- You have begun shadowing for addition to the on-call roster for [Customer Emergencies](/handbook/engineering/on-call/#sts=Customer%20Emergency%20On-Call%20Rotation) or [CMOC](/handbook/support/workflows/cmoc_workflows#contacting-a-user)
- You are ready to be nominated as an Onboarding buddy for new team members
- You are working towards completion of the Technical Assessment Interview module
- You have scheduled in [The 90-Day Checkin](https://docs.google.com/document/d/1yTy8z0UQv84RmCkt3dLAYR8SWAXfcR7dcCnkixrbhKk/) discussion where several of your onboarding checklist items are reviewed
- You are achieving (or working closely towards) your [First 6 months achievable progress](/handbook/support/training/#support-engineer-achievable-progress---first-6-months)
