---
title: CMOC Practice Events
category: On-call
description: "Provides overview of Support Engineering CMOC quarterly practice events and how to run them"
---

## CMOC Practice Events

Support Engineering aims to conduct practice CMOC incident events globally every quarter. The exact date & time of each event (1 per region) will not be known to the CMOC ahead of time. This is to simulate the nature of live events being unexpected.

### Purpose

The practice events provide an opportunity to practice the activities and processes related to the CMOC responsibility. They are not a test that can be passed or failed, but rather a team exercise to gain experience, and an opportunity to iterate on the process and documentation.

### Outcomes

- Familiarity with tools like Status.io so that in a real emergency they're not a blocker to communication
- Increased familiarity with the CMOC process and confidence in a live event
- Familiarity with the incident room, Slack #incident-management channel and how communication is formalized between Incident Manager, EOC and CMOC during the course of an incident
- An opportunity to retrospect and get live feedback from a friendly audience

### Participants

- a manager or senior support engineer will fulfill the role of the **Incident Manager** (and EOC if appropriate) and facilitate the practice event and scenario
- a **note taker** (another manager or senior engineer) will take notes of any learnings, improvements or gaps in documentation or process identified during the event
- the rostered  **CMOC** will participate as though it were a live incident (but without the pressure of an actual incident or busy incident room!)

### Practice event tools, artefacts, references

- Practice event [Issue template](https://gitlab.com/gitlab-com/support/support-team-meta/-/blob/master/.gitlab/issue_templates/CMOC%20Practice%20Event.md)
- Practice Environment for status.io - [status.io test](https://app.status.io/statuspage/5b36dc6502d06804c08349f7)
- [Event feedback template](https://docs.google.com/document/d/1jMMpnwyfmQXI0uRoqk4AyvpwI75PevjyjeHOKNl1PPs/edit#heading=h.c2zm35l7tdgg) - coordinator of quarterly event creates a new version for the quarter
- [Script library](https://docs.google.com/document/d/1vz64G0KUVnDwyUbqNsk12VuakU_IkeEfZtBBGFNrLtM/edit#heading=h.1acgctaxu9mf) - confidential to Support Managers (and SEs who may carry out the Incident Manager role for practice events)
- [CMOC workflow](/handbook/support/workflows/cmoc_workflows) handbook page
- [Incident roles and responsibilities](/handbook/engineering/infrastructure/incident-management/#roles-and-responsibilities) handbook page

### How to: Create and coordinate a quarterly practice event

**Assumption**:  a DRI has been assigned to act as the coordinator for the quarter. The following needs to be completed (or delegated for completion) by the coordinator:

- Start by creating a new practice event issue from the [template](https://gitlab.com/gitlab-com/support/support-team-meta/-/blob/master/.gitlab/issue_templates/CMOC%20Practice%20Event.md)

The template includes instructions of other artefacts to create and how to schedule the events.
