---
title: Communication tips
category: References
description: "Provides general communication tips for the Support Engineering team"
---

This page is intended to provide general communication tips for the GitLab Support
Department. Anything related to communication useful for this department is
welcome here. It is meant to be an extension of the
[GitLab Communication handbook page](/handbook/communication/).

*Examples:*

 1. *How can a Support Engineer efficiently talk to other Support Engineers via
    Slack, Zoom or e-mail?*
 1. *How can a Support Engineer get the most out of their interaction with a
    team members posting in support Slack channels?*

---

## Slack reactions

In addition to the `:white_check_mark:` emoji that is mentioned in
[General Guidelines for Communication at GitLab](/handbook/communication/#general-guidelines)
and [Slack Workflows](/handbook/support/#slack-emoji-reaction-workflows),
consider utilizing the following emoji within Support Slack channels as well.

1. `:idontknow:` - when another Support Engineer is asking a question to which
   you don't know the answer
1. `:red_circle:` - when another Support Engineer is asking for something and
   you are unable to do it due to conflicts or time constraints, such as being
   unable to cover someone else's on-call shift because you'll be unavailable
   during the shift time.
   Note: We should avoid using this emoji when responding to high priority requests (emergencies, customer escalations, STARs).
1. `:eyes:` - to signal that you are looking into the request. It serves as an
   indication that someone is acting upon the request, and prevents duplication
   of effort. If you were unable to answer the request you should remove the
   `:eyes:` so other people know the request is not yet handled.

Note that it is better to send some signal, even though it might indicate that
you cannot help, than to ignore the message that has been sent. This helps the
person who started the thread as it prevents them from holding on to the hope
that someone will chime in and makes them focus on searching for help elsewhere.

Of course, whenever you can, share the idea you have in your mind no matter how
trivial you consider it to be, as you never know what can lead someone else in
the right direction.

---

## Tickets

Whenever there is a discussion in Slack regarding a ticket, please remember to
add a link to the discussion as an internal note on the ticket. Because all
Slack posts are removed after 90 days, please either summarize the Slack
discussion in that internal note or, if it's not too long, simply paste it in.
These actions make it possible for others to use the information from the
discussion to help themselves to contribute to the ticket, or simply to learn
from it.
