---
title: Subpoenas, Court Orders and other requests for user information
description: "Workflow for requests which do not fit other prescribed workflows, and may need input from our Legal team"
category: GitLab.com
subcategory: Legal
---

There may be times when a request comes in that seems to need input from our Legal team. This workflow explains how to handle such a request when it does not fit into one of the prescribed workflows.

## Workflows

### Incoming Subpoena or court order

From time to time we may receive subpoenas or other legal requests for information about GitLab users, their data or activity.
This workflow clarifies how to handle these requests and subsequent workflow related to delivering information if
our counsel and CISO approve.

*Note:* If a ticket comes in that you believe is Legal related, but is not a subpoena or court order, please check the list of other [legal workflows](/handbook/support/workflows/#legal).

If a subpoena or court order that is not covered by another workflow (e.g. DMCA, GDPR, information request) comes in:

1. Forward the email to <legal@gitlab.com>
1. Reach out on the Slack #legal channel to inform the Legal team.
1. Respond to the ticket with the [`Legal::Subpoena or court order`](https://gitlab.com/search?utf8=%E2%9C%93&group_id=2573624&project_id=17008590&scope=&search_code=true&snippets=false&repository_ref=master&nav_source=navbar&search=id%3A+360056759300) macro.

### GitLab.com specific support policies

These workflows should be used when a user question is addressed in a [specific Support policy](https://about.gitlab.com/support/gitlab-com-policies).

#### Namespace and Trademark claims

Respond to the ticket with the [`Legal::Namespace and Trademark`](https://gitlab.com/search?utf8=%E2%9C%93&group_id=2573624&project_id=17008590&scope=&search_code=true&snippets=false&repository_ref=master&nav_source=navbar&search=id%3A+360056759260) macro.

#### Ownership Disputes

*Note: This workflow is specifically related to inquiries about disputes on ownership. You can also check other [ownership-related workflows](/handbook/support/workflows/account_verification/) to ensure you are using the correct one.*

Respond to the ticket with the [`Legal::Ownership disputes`](https://gitlab.com/search?utf8=%E2%9C%93&group_id=2573624&project_id=17008590&scope=&search_code=true&snippets=false&repository_ref=master&nav_source=navbar&search=id%3A+360056759320) macro.

#### Log Requests

Please see [Log requests workflow](/handbook/support/workflows/log_requests/)

### Other Legal-related Questions

A request may come in that you believe needs legal input but does not fit into one of the prescribed workflows. Follow this workflow in such a situation:

1. Follow the instructions for [contacting Legal](/handbook/legal/#3-other-legal-requests) based on the specifics of the request.
1. Respond to the ticket with the [`Legal::General`](https://gitlab.com/search?utf8=%E2%9C%93&group_id=2573624&project_id=17008590&scope=&search_code=true&snippets=false&repository_ref=master&nav_source=navbar&search=id%3A+360056569419) macro

1. If ticket has not been resolved within 4 days (when ticket will auto-resurrect), check in with Legal for an answer.
1. If Legal requests more time, respond to the ticket with the [`Legal::Handover`](https://gitlab.com/search?utf8=%E2%9C%93&group_id=2573624&project_id=17008590&scope=&search_code=true&snippets=false&repository_ref=master&nav_source=navbar&search=id%3A+360056759280) macro.

1. Note the above response in the related Legal and Compliance issue.
1. Close ticket.

### Unsure? Other?

Support should be handling responses to any inquiries for clarifications. In most cases, an existing customer will be referred to their account manager.

If you're unsure on how to respond, post in the `#support_leadership` Slack channel for guidance.
