---
title: Support Team Knowledge Areas
description: "Describes the internal reference pages for Support team members who feel that they are knowledgeable and willing to assist with specific skills and knowledge"
category: References
---

### Overview

The following internal pages provide a reference of Support team members who feel that they are knowledgeable and willing to assist with tickets in a particular area.

- [Areas of Focus](https://gitlab-support-readiness.gitlab.io/support-team/area-of-focus.html)
- [Skills by Person](https://gitlab-support-readiness.gitlab.io/support-team/skills-by-person.html)
- [Skills by Subject](https://gitlab-support-readiness.gitlab.io/support-team/skills-by-subject.html)

Unlike the [GitLab Team page](/handbook/company/team/), team members listed here may or may not be [an expert](/handbook/company/structure/#expert) as defined in the Handbook. For example, they may be [working on a module](https://gitlab.com/gitlab-com/support/support-training/-/tree/main/.gitlab/issue_templates) but have not completed it. Additionally, some areas may not currently have a module, or the knowledge area is very specific, such as "GitLab.com SSO".

### When to Use

At GitLab, we [avoid Direct Messages in Slack](/handbook/communication/#avoid-direct-messages). Therefore, use discretion when trying to locate a team member with specific knowledge. It is *almost always better* to send a message to one of the Support Slack channels, the relevant Stage/Group channel, a technology channel (for example, `#kubernetes`), or `#questions`. You can also check the [GitLab team page](/handbook/company/team/) for non-support team members who can help.

**NOTE:** When deciding whether to ping a team member, first consult the internal [Areas of Focus page](https://gitlab-support-readiness.gitlab.io/support-team/area-of-focus.html), because team members allocate their time and expertise differently.

### How to update your knowledge areas

Knowledge areas, skills, and Areas of Focus are maintained in the [your support-team project entry](https://gitlab.com/gitlab-support-readiness/support-team) page.

Consult the [support-team project README](https://gitlab.com/gitlab-support-readiness/support-team/-/blob/master/README.md) for instructions on updating your entries.
