---
title: Performance reviews
category: Support Team
description: Information about performance reviews in Support Engineering
---

## Overview

Support Engineering currently uses the following performance factor worksheets
as an aid to evaluating performance:

- [Support Engineer](https://drive.google.com/drive/search?q=FY24%20Support%20Engineering%20-%20Performance%20Factor%20Template%20-%20Intermediate)
- [Senior Support Engineer](https://drive.google.com/drive/search?q=Support%20Engineering%20-%20Performance%20Factor%20Template%20-%20Senior)
- [Staff Support Engineer](https://drive.google.com/drive/search?q=Support%20Engineering%20-%20Performance%20Factor%20Template%20-%20Staff)
- [Support Engineering Manager](https://drive.google.com/drive/search?q=Support%20Engineering%20-%20Performance%20Factor%20Template%20-%20Support%20Engineering%20Manager)
- [Senior Support Engineering Manager](https://drive.google.com/drive/search?q=Support%20Engineering%20-%20Performance%20Factor%20Template%20-%20Senior%20Manager)

### Using the Worksheets: Tips

1. You might want to take notes as you determine each line item in each
   of your direct reports' worksheets. One good place for those notes
   is the space in the worksheet between the responsibility (or value or
   remote work) title and the weighting. This makes it easy to deliver
   the review to your direct report entirely from the worksheet.

### Updating this page

Updates to this page must be reviewed and approved by the VP, a Director or a
Senior Manager of Support Engineering before merging.

No changes should be merged from 16 October to 31 December. This is to avoid
changes during the [Formal Talent Assessment](/handbook/people-group/talent-assessment/#timeline)
cycle which begins on 1 November and concludes by the end of each year.

## Performance factor description

When making changes to this section, make sure that you also change the
corresponding entries in the "performance factor worksheet" tab in the
corresponding Google Sheet.

### Support Engineering Manager

#### Growth, development and hiring of team members (Weighting: 20%)

- **Developing:**
  - You are still getting to know your direct reports, and have not yet
    established a foundation to discuss career or learning goals.
  - You are still getting familiar with your direct reports' career or learning goals, and
    provide minimal input helping your direct reports set and progress their career or
    learning goals.
  - You're becoming aware of your regional team's hiring needs, and/or are not yet
    ready to conduct interviews and grade take-home assessments.

- **Performing:**
  - You encourage and coach your direct reports to set their own career or
    learning goals in alignment with Support Engineering's business needs.
  - You are aware of your regional team's hiring needs and contribute to hiring
    activities when the opportunity presents itself. You are ready to conduct
    interviews and grade take-home assessments when called upon to do so.

- **Exceeding:**
  - Extends Performing descriptor.
  - You play an active role in your direct reports' growth by connecting them
    with learning resources, creating opportunities for personal development
    and partnering with others to remove or smooth over obstacles to growth.
  - You shape hiring strategy and process to mitigate or resolve people
    resource-related gaps and weaknesses in Support Engineering and partner with
    Talent Acquisition to ensure effective execution of the hiring plan.

#### Process development and improvement (Weighting: 20%)

- **Developing:**
  - You are just starting to build an understanding of Support Engineering
    processes and workflows, and where friction exists in how we structure and
    interact with work.
  - You are still inwardly focused and haven't started engaging with your direct reports and your peers to understand
    the day-to-day challenges of Support Engineering work.
  - You're still finding your voice and aren't fully comfortable expressing your opinions or encouraging constructive participation in
    public discussions on processes and process improvement.
  - You're still working to get context and understand where you can contribute. As a result you do rarely propose, or play an active part in helping progress, process
    improvement initiatives.

- **Performing:**
  - You stay up-to-date on the challenges Support Engineering team members
    face in their day-to-day work and are able to understand and describe the
    conflicting priorities that cause them.
  - You take the initiative to [surface issues constructively](/handbook/values/#surface-issues-constructively)
    and carefully use your voice as a manager to create psychological safety
    that enables others on the team to contribute to discussions.
  - You propose and drive improvement initiatives, or play an active role in helping
    others progress implementation of their initiatives.

- **Exceeding:**
  - Extends Performing descriptor.
  - You make use of effective [iteration](/handbook/values/#iteration)
    and [decision making](/handbook/leadership/making-decisions/)
    to gain support of and buy in from stakeholders both within Support
    Engineering and in the wider GitLab organization to drive improvement
    initiatives. You carefully monitor the impact of improvement initiatives and
    are quick to adapt or reverse implementation if the desired outcome is not
    achieved.
  - You coach and enable your direct reports and other team members to own and
    independently drive improvement initiatives.

#### People care and performance management (Weighting: 30%)

- **Developing:**
  - You are just starting to build an understanding of most of your direct
    reports' productivity, engagement with work and personal well-being. You are
    just starting to discover their learning styles and coaching needs and as a result may not be able to quickly identify changes or needs in the same.

  - You are begining to develop an awareness of the quality of your direct reports' work
    with customers and the impact of their contributions to the Support Engineering team.
  - Identifying and taking action on underperformance is challenging.

- **Performing:**
  - You keep up to date with your direct reports' productivity, engagement with
    work and personal well-being, and provide a listening ear, encouragement and
    coaching when necessary.
  - You coach your direct reports to increase and/or maintain the quality of
    their work with customers and their contributions to the Support Engineering
    team.
  - You identify underperformance of your direct reports and act quickly and
    appropriately to manage it.

- **Exceeding:**
  - Extends Performing descriptor.
  - You identify issues which might impact your direct reports' productivity,
    engagement with work and personal well-being and work with your peers and
    your manager to address the issues before they become problems.
  - You enable your direct reports and amplify their voice where appropriate so
    they can model being a manager of one and values alignment in the
    areas of productivity, engagement with work and personal well-being to the
    Support Engineering team.

#### Managing customer service outcomes (Weighting: 30%)

- **Developing:**
  - You are just starting to build an understanding of service-related Support
    Engineering KPIs and the behaviors they drive. You are starting to build
    awareness of what positive customer service outcomes look like at GitLab.
  - You make minimal use of customer feedback to do service recovery in
    individual cases, and/or improve the quality of customer service provided.
  - You haven't begun to respond to and/or take the lead on customer escalations or
    incidents.
  - You do not actively monitor customer service-related Support Engineering KPIs and/or
    intentionally contribute to enabling the team's achievement of those KPIs.

- **Performing:**
  - You make use of customer feedback and escalations to coach and improve the
    quality of customer service provided by your direct reports.
  - You make use of customer feedback and escalations to surface flaws in the
    GitLab customer experience and/or how Support Engineering delivers customer
    support.
  - You monitor customer service-related Support Engineering KPIs, and coach and
    enable your direct reports to contribute to the team's achievement of those
    KPIs.

- **Exceeding:**
  - Extends Performing descriptor.
  - You make use of customer feedback and escalations as opportunities for your
    direct reports to independently drive outcomes that increase customer
    satisfaction.
  - You partner with your peers, manager and your direct reports to enable the
    team to become more effective at achieving customer service-related Support
    Engineering KPIs.
  - You make use of customer feedback and escalations to partner with relevant
    stakeholders to drive and execute improvements and fixes to the GitLab
    product, customer experience and/or how Support Engineering delivers
    customer support.
