---
title: Weekly Support Team Call
category: Support Team
subcategory: Meetings
description:
---

## Overview

Support team members in a region meet weekly to discuss metrics, demos,
upcoming events, and ask questions.

## Schedule

| Weekday  | Region | Meeting Name             | Agenda |
| :------: | :----: | :----------------------: | :----: |
| Tuesday  | AMER   | Support Team Call (AMER) | [Google Doc](https://docs.google.com/document/d/1Kcr_kZLlnYoJXIKw_KzHeZA9UngLK_4QEeioHR7GGbM/edit?usp=sharing)|
| Tuesday  | APAC   | Support Team Call (APAC) | [Google Doc](https://docs.google.com/document/d/1jwj5g0BIq3kTepw2-ZD9VSETs7Isf6YDHGzmYxmTt50/edit#) |
| Thursday | EMEA   | Support Team call (EMEA) | [Google Doc](https://docs.google.com/document/d/1oyi9BtoaNwZE99KNHC-9HiYX7g2bCLu986kjzJL9dO4/edit#) |

The regions listed above are the regions for which each call may be the most
convenient, but all are welcome on any call. Every call is recorded and notes
are taken on the agenda for each one. If you miss a meeting or otherwise can't
make it, you can always get caught up.

For the AMER team, **while attending the meetings is optional, engagement in
the meeting agenda is required**. Engagement opportunities include contributing to
the agenda, watching a meeting recording, and reading the meeting notes.

The APAC team meets at 03:00am UTC:

- This time works best for team members from all APAC timezones.
- It is intentional that the meeting schedule does not observe daylight savings.

## Meeting roles

### Role of the Chair

The main role of the chair is to start the meeting, keep the meeting moving
along, and end the meeting when appropriate. There is generally little
preparation required, but depending on the meeting, the chair will include
choosing a "feature of the week" or similar. Please check the agenda template
for parts marked as "filled in by chair."

During the meeting, the chair will:

- Ensure that each point in the agenda is covered by the listed person.
- Ask the team to move a discussion to a relevant issue when appropriate.
- Copy the agenda template for the following week and tag the next chair/secretary.

If the chair is not available and has not picked a substitute, follow the
rotation to the first person who is on the call to determine a replacement.

### Role of the Notetaker

The notetaker should take notes during the meeting and if action is required,
creates a comment and assigns it to the appropriate person.

If the notetaker is not available and has not picked a substitute, follow the
rotation to the first person who is on the call to determine a replacement.

During the AMER team call, [notetaking](/handbook/company/culture/all-remote/live-doc-meetings/#notetaking-and-structure-during-the-meeting) follows GitLab Meeting Best Practices on [Live Doc Meetings](/handbook/company/culture/all-remote/live-doc-meetings/). Anyone not speaking is encouraged to help take notes.

## Agenda sections

### Emergencies and CMOC events handled (APAC only)

We include two sections on emergencies and CMOC events handled the prior week.
We did this to highlight the work which on-call support engineers do as there
were concerns team members were not necessarily aware of on-call work that had
been done, especially on the weekends.
