---
title: "TeamOps Growth"
description: How to become a TeamOps expert
canonical_path: "/handbook/teamops/growth/"
images:
    - /images/opengraph/all-remote.jpg
---

The future of work is about human empowerment. So, as a company, we at GitLab support both strategies of work-life balance and employee experience through our **virtual-first operational model: TeamOps**. This method of organizational behavior enables professionals to enjoy the schedule and location flexibility that comes along with handbook-first, asynchronous-first, autonomy-first, and results-first ways of working, and also activates an attractive work environment in workflows and processes, including:

- **Psychological Safety** – In this era of stronger diversity and inclusion, we all know the importance of inclusivity and belonging. However, TeamOps takes this even further by enforcing protocols that prevent our tenacious proactivity from becoming offensive, and other protocols that encourage healthy debate and feedback from all levels of our workforce, so everybody has an opportunity to voice their opinion. Even further, our prioritization of iteration enables our team to embrace imperfection and never consider any result irreversible.
- **Trust and Empowerment** – To fuel intrinsic motivation, each team member is equipped to work with a bias for action and have as much ownership in their day-to-day work as possible. We "push decisions to the lowest level" and cultivate a strong self-management mindset to confirm that everyone feels that they have authority and control.
- **Performance Transparency** - Measurement clarity tools like OKRs, KPIs, and cadences are fairly traditional. But in TeamOps, GitLab has uniquely blended them with our mission that "everyone can contribute" to create progressive productivity management strategies that enables all team members to know exactly which days they need to dig deep, and which days are best for them to enjoy some of their unlimited PTO. We even go so far as to encourage our staff to reduce the scope of their work when they're feeling overwhelmed, so they can still achieving all of their goals on time without risking job security.

These principles are a reflection of GitLab's evolution from prioritizing our advocacy of [All-Remote](/handbook/company/culture/all-remote/guide/) to prioritizing our evangelism of TeamOps. **We want the world to understand that our success as a fully-distributed organization is not because of *where* we're working, it's because of *how* we're working.**

## TeamOps Learning Path

Eager to learn more about TeamOps and fuel successful adoption on your team? Upskill your organization with a series of courses and certifications available on GitLab's learning platform, [LevelUp](https://levelup.gitlab.com/).

### TeamOps Foundations

The best place for TeamOps enthusiasts to begin their learning journey is the introductory [TeamOps Foundations course](https://levelup.gitlab.com/courses/teamops). It's an interactive way for learners to explore TeamOps principles and tenets, not only read about them in the handbook.

### TeamOps Practitioner

Ready to transform inspiration into implementation? Through the [TeamOps Practitioners Certification](https://levelup.gitlab.com/learn/learning-path/teamops-practitioner-certification), TeamOps Practitioners are able to identify their unique strengths and weaknesses in the TeamOps framework, then optimize their information management behaviors for success.

### TeamOps for Leaders

Successful change management initiatives require expert facilitation by empowered change agents. To help support the adoption and maintenance of the TeamOps operating model, the [TeamOps for Leaders course](https://levelup.gitlab.com/learn/course/teamops-for-leaders/) instructs TeamOps Practitioners on how to measure, manage, and mentor a group's adoption of virtual-first operating principles and tenets.

### Practicing TeamOps in GitLab

Inspired by our GitLab's rapid growth and success, many organizations want to "work the GitLab way." The first step to achieving this goal is using the tool we do: GitLab. The second step is using that tool the same way we use it: TeamOps. The [Practicing TeamOps in GitLab course](https://levelup.gitlab.com/learn/course/practicing-teamops-in-gitlab) teaches our customers how to apply the TeamOps operating model while using GitLab tools. It explains how anyone — regardless of job role or function — can easily activate the action tenets of virtual-first ways of working for managing people and projects.

#### Contact Us

To learn more about TeamOps and its educational resources, please [contact the GitLab Education Services team](https://about.gitlab.com/services/education/).
