---
title: "TeamOps Partners"
description: Resources for change management support
canonical_path: "/handbook/teamops/partners/"
images:
    - /images/opengraph/all-remote.jpg
---

A TeamOps Partnership is a cooperation between TeamOps and future-of-work advocates, vendors, tools, or consultants to support employers in the process of understanding, measuring, and adopting virtual-first ways of working.

In this partnership, TeamOps provides the education and assessment resources required for change management, then converts learners into sales leads for the partners.

## Partnership Purpose

Building on the TeamOps mission to define universal new world of work operational standards, this corresponding partnership program has been created with the intent to simplify and streamline digital-first change management processes. In addition to supporting the business goals of both GitLab and its partners, the collaboration of these partners also contributes to the following benefits for the future of work industry:

- **Centralize Knowledge and Resources** – Universal operational standards will reflect and unify the goals of the diverse branches of the future of work industry (remote work, artificial intelligence, DEI (diversity, equity, and inclusion), freelancing, job sharing, four-day work weeks, etc.), and the categories of thought leadership within each (consultants, evangelists, tools, researchers, etc.)
- **Establish Informational Consistency** – The missions and success of the various branches of the future of work are often misrepresented in media coverage, marketing campaigns, and socially-circulated myths. The authoritative messaging of TeamOps will serve as a source of truth as a credible counterargument.
- **Lead Industry Growth and Development** – Building on the iconic reputation and thought leadership of GitLab, TeamOps will continue to pioneer emerging topics, and provide opportunities for continuing education and career development for thought leaders.
- **Endorse Credibility** -  GitLab has solidified itself as the go-to authority with its proven operating model. Strengthening the industry's understanding of modern work efficiency. Therefore, by becoming a TeamOps partner, industry professionals, vendors, and consultants will be recognized and endorsed by TeamOps, establishing their credibility as trusted advisors.

## Partner Profile

A TeamOps Partner is any professional (individuals or businesses) that applies the TeamOps principles and tenets as the ideal for universal virtual-first operational standards (including handbook-first, asynchronous-first, autonomy-first, and results-first ways of working), including:

- *Consultants* – Change management advisors that guide businesses through organizational adoption of TeamOps standards
- *Tools* - Products and services that facilitate the implementation of TeamOps standards

Our evaluation and approval process for TeamOps Partners is based on the following criteria:

- *TeamOps Partner Training:* All TeamOps Partners have completed a thorough training and onboarding program to confirm their expertise in the TeamOps principles and tenets.
- *Proven Track Record:* We look for partners with a history of successfully assisting companies to align with universal virtual-first operational standards, including handbook-first, asynchronous-first, autonomy-first, and results-first ways of working.
- *Published Case Studies:* We prioritize applicants who have published case studies or research that demonstrate expertise and successful interventions in their field of work.
- *Geographic Location & Language:* We aim to cater to a diverse range of markets. Therefore, the geographic location and service language will be evaluated to determine if they meet the needs of our market.

## Partnership Value

The TeamOps Adoption Assessment contained in the TeamOps Practitioner Certification defines and measures universal standards for successful virtual-first ways of working.

Consultants can rely on the TeamOps Assessment results to inform their service recommendations and SOW design, including:

- Low-scoring categories inform what type of consultancy is needed
- High scoring categories can be skipped or deprioritized
- Roadmap results will reveal critical change management steps that may have been inadvertently missed and/or what should be prioritized for completion next
- Customer profile data (company size, budget, location, languages, etc) will filter consultant recommendations, so every lead is qualified as a match for their target market

Consultants, tools, and advocates for the future of work need industry standards to diagnose adoption gaps and communicate the goals of virtual-first operations and ways of working (handbook-first, async-first, autonomy-first, and results-first).
= The partners'  clients (flexibility adopters) are struggling with hybrid and distributed working, and not understanding why. Change agents within those organizations aren't aligned on what needs to be done and in what order.

- The credibility of industry partners' arguments are unfounded. Arguments and cases for change ultimately are based on subjective opinions, private research, and based on personal experience.
- TeamOps has the metrics to diagnose what needs to be done to achieve success and sustainability, and can equip consultants with a prioritized to-do list for change management.

| What's in it for the Partner? | What's in it for GitLab? |
| ----- | ----- |
| Lead generation and qualification | Minimal marketing needs |
| Access to universal standards and guidelines for successful, sustainable virtual-first ways of working to measure client success and clarify service goals | Minimal overhead costs (removing needs for internal consultants and facilitators) |
| Standardized assessment system and automated tool for status measurement, benchmarking, and service recommendation | More scalable growth plan than in-house consulting |

## TeamOps Partners

A directory of approved and active TeamOps Partners is integrated into the TeamOps handbook pages. You can find a recommended Partner in a dropdown menu below each tenet description. To visit those pages, click on one of the following principles:

- [Shared Reality](/teamops/shared-reality.md)
- [Equal Contributions](/teamops/equal-contributions.md)
- [Decision Velocity](/teamops/decision-velocity.md)
- [Measurement Clarity](/teamops/measurement-clarity.md)
