---
title: "Editors and IDEs"
no_list: true
---

## Overview

We encourage everyone to use the right tools for the job, and since
everyone here does a lot of writing, using the
correct editor for you is really important. Developers will have more specialized needs, but everyone at GitLab needs
to write Markdown, and the best text editors make this much easier.

A good editor/IDE will have:

- syntax highlighting, showing structure as well as content
- plugins to enable customization (such as spell-checking)
- integration with `git`, enabling managing commits and branches from within the editor
- the ability to open very large files efficiently
- not require a persistent internet connection
- powerful and fast search facilities
- the ability to automatically navigate between code declarations and usages in a large codebase

Many editors are free to use, some require paid licenses to unlock all features.
GitLab team members can expense the cost of their tools, and in some cases we
have licenses we can hand out (for example, for [JetBrains IDEs](jetbrains-ides/#licenses)).

There are many, many good text editors.

## Sub-pages

See the following sub-pages for details on editors and IDEs used with GitLab

{{< subpages >}}
