---
title: Benefits
description: Find answers to your questions about GitLab's benefits.
---

## Related Benefits Pages

- [General & Entity Specific Benefits]({{< ref "general-and-entity-benefits" >}})
- [Modern Health]({{< ref "modern-health" >}})
- [Global Benefits Survey]({{< ref "benefits-survey" >}})
- [Parental Leave and Return Tool Kit for GitLab Managers and Team Members]({{< ref "parental-leave-toolkit" >}})

## Introduction

On this page, you can find information about the principles that guide GitLab's benefit strategies and decisions.

## Contact Total Rewards

For any questions relating to benefits, please reach out to [Total Rewards](/handbook/people-group/#how-to-reach-the-right-member-of-the-people-group).

## Benefits Strategy and Guiding Principles

These principles will guide our benefit strategies and decisions.

### Strategy

- Given Benefits vary by country, we do not offer the same benefits globally, instead we take a **country specific approach.** We will transparently outline why we do or do not offer benefits.
- Country specific approach based on **statutory requirements, entity status, headcount, and market practice**
- To provide **equitable programs** for team members within the **same country location** when possible.
- To continuously improve the **team member experience**

### Guiding Principles

- Globally aligned benefits with **local relevance**
- Ensure **statutory programs** are in place in each country
- Provide **core** medical, life, and pension benefits either through supplementary or statutory plans
- Create new programs/enhancement with *broad reach, high value, and sustainability**
- **CREDIT**: Collaboration, Results, Efficiency, Diversity, Inclusion & Belonging, Transparency
  - Collaboration
    - Work with providers, vendors, and global networks to benchmark benefit data from other similar sized companies.
    - Foster Cross Company understanding
  - Results
    - Evangelize benefit programs in each entity.
    - Transform "statutory" to "competitive."
    - Make benefits a very real aspect of compensation during the hiring process.
    - Measure team member engagement and benefit enrollment.
  - Efficiency
    - Iterate on changes for specific countries based on common practices and statutory regulations.
  - Diversity, Inclusion & Belonging
    - Actively work to ensure that our benefit choices are inclusive of all team members.
  - Iteration
    - Regularly review current benefits (bi-annually) and propose changes.- - Everything is always in draft.
  - Transparency
    - Announce and document benefits to keep them updated.
    - Share upcoming benefit plans internally before implementing them.
    - Invite discussion and feedback.

We do not have specific budgets around benefit costs, but instead look to increasing the ability to recruit and retain team members in favorable locations. We do not take a global approach to offering the same benefits in all countries, but will transparently outline why we do or do not offer the above benefits on their respective [entity specific benefits]({{< ref "general-and-entity-benefits#entity-benefits" >}}) page.

## Annual Global Benefit  Review Process

The Total Rewards team reviews GitLab's global benefits on an annual basis and proposes changes for the next Fiscal Year. The Planning Process is as follows:

### 1. Team Member Feedback

- In Q2, Total Rewards review  team member feedback via the Engagement Survey Results and assess  sentiments and gaps within the plans

### 2. Market Data Collection

- In Q2 & Q3,Total Rewards engages with the benefits broker to collect market data and benchmark benefit plans against other hi-tech employers.
Benchmarking Data is the broker's proprietary information that GitLab purchases. While some high-level benchmarking information can be shared with team members, most details cannot be disclosed outside of the People Team.

### 3. Fiscal Year Planning

- In Q3, Total Rewards drafts a Fiscal Year proposal of suggested enhancements and will prioritize based on market practice, statutory regulations, PEO or headcount restrictions and budget.

### 4. Multinational Pooling Review

- In Q3, Total Rewards will also review the possibility of pooling global plans on an annual basis with our brokers in order to leverage a larger headcount during plan proposals.
Multinational pooling merges several employee benefit programs to create an international pool of funds.
The decision to participate in a pooling plan will be based on financial savings, plan options, and better risk control.

### 5. Plan Approval

- In Q3/Q4, Total Rewards will present the plan to the Finance and Leadership Teams for approval. These proposals will be reviewed and approved along with the greater company budget for the upcoming fiscal year.

### 6. People Team & Team Member Issues

- Total Rewards will open People Team issues to inform Stakeholders (payroll, legal, finance, tax, etc.) and track the progress of the enhancement.
For major plan enhancements, the Total Rewards team will create a Team Member issue with plan details to get plan specific feedback. While Team Member feedback will be considered as a strong data point, a decision will be made by the Total Rewards team considering all factors (benchmarking, budget, administration, etc).  The Total Rewards team may not create an issue if the change or enhancement is a 'smaller' change (i.e. change in deductible amounts, increase in contributions, etc).

### 7. Announce Enhancements

- Total Rewards will announce the Country Enhancements directly to team members via email and slack, and will update the Handbook Benefit page with these details.

## Knowledge Assessment

You can test your knowledge on our benefits by taking the [GitLab Benefits Knowledge Assessment](https://docs.google.com/forms/d/e/1FAIpQLSekATud1Pzq6tHfX8bqXXu9kvMwLpUxOfoHWhD-GmSsSfEVeQ/viewform) quiz. For [Job Grades]({{< ref "compensation-calculator#job-grades" >}}) 10+ please select `Executive` for the `My Role Is` question on the form.

If you have questions about benefits or the content in the Knowledge Assessment, please reach out to the [Total Rewards](/handbook/people-group/#how-to-reach-the-right-member-of-the-people-group) team. If the quiz is not working or you have not received your certificate after passing the Knowledge Assessment, please reach out to the [Learning & Development](/handbook/people-group/learning-and-development/#how-to-communicate-with-us) team.
