---
title: Global Benefits Survey
description: Information on GitLab's Global Benefits Survey.
---

## Global Benefits Survey

GitLab has incorporated the annual benefits survey as part of the Engagement Survey from 2021 forward. The Total Rewards team will review the engagement scores relating to Benefits along with market data from our Broker, Willis Towers Watson, to iterate on benefits offerings each year.

If you have any feedback or questions please contact [Total Rewards](/handbook/people-group/#how-to-reach-the-right-member-of-the-people-group).

## Prior Global Benefits Surveys

### 2020 Survey Results Roadmap

- Increased Education around benefits as `I understand my benefits package at GitLab` decreased by 7% company wide. Also to increase awareness on the Total Rewards team is who to reach out to since there is company wide score of 3.82 out of 5 (lowest score among ICs). [Related Issue](https://gitlab.com/gitlab-com/people-group/total-rewards/-/issues/191).
  - Actions taken:
    - Updated the [Total Rewards landing page](/handbook/total-rewards) and the [People Group contacts page](/handbook/people-group/#how-to-reach-the-right-member-of-the-people-group) with our contact details.
    - Introduced the [Benefits calculator]({{< ref "compensation-calculator#use-the-calculator" >}}) so team members can work out their overall Total Rewards package, including fixed costs, general benefits, remote benefits and entity-specific benefits.
    - [WIP](https://gitlab.com/gitlab-com/people-group/peopleops-eng/people-group-engineering/-/issues/206) - Embed the entity-specific benefits calculator under respective [entity benefit pages]({{< ref "general-and-entity-benefits#entity-benefits" >}}).
    - Implemented the [Compensation]({{< ref "compensation#knowledge-assessment" >}}), [Benefits]({{< ref "benefits#knowledge-assessment" >}}) and [Equity]({{< ref "benefits#knowledge-assessment" >}}) Knowledge Assessments.
    - Updated the [onboarding issue](https://gitlab.com/gitlab-com/people-group/employment-templates/-/blob/main/.gitlab/issue_templates/onboarding.md) to prompt new team members to familiarize themselves on their Total Rewards package and complete the knowledge assessments.
    - Updated the [Becoming a GitLab Manager](https://gitlab.com/gitlab-com/people-group/Training/-/blob/master/.gitlab/issue_templates/becoming-a-gitlab-manager.md) issue template to prompt new managers to read the Total Rewards pages and check-in with their team members to ensure they understand their Total Rewards package.
    - Added the Total Rewards handbook link to promotion and compensation change letters.
    - Added the Benefits Calculator link and screenshot to all FY22 Total Rewards Statements.
- Country Conversion Benefits Reviews & New Entity Benefits Reviews ongoing based on list from the Country Conversions team.
- Existing Entity Benefits Review
  - Netherlands: Implement a Pension Plan, Complete.
  - [Canada Pension Plan](https://gitlab.com/gitlab-com/people-group/total-rewards/-/issues/110): Received FP&A budgetary pre-approval, review slated to begin in May.
  - [Belgium Benefits](https://gitlab.com/gitlab-com/people-group/total-rewards/-/issues/263): Received FP&A budgetary pre-approval, review slated to begin in April.
  - [UK Life/Income Protection](https://gitlab.com/gitlab-com/people-group/total-rewards/-/issues/262): Received FP&A budgetary pre-approval, review slated to begin in April.
  - [Germany Pension Plan](https://gitlab.com/gitlab-com/people-group/total-rewards/-/issues/264): Received FP&A budgetary pre-approval, review slated to begin in April.
  - Review US 401k plan match: Not approved from a budget perspective for FY22, will review vesting requirement.
- Review Paid Medical Leave Plan for 16 weeks
- Review Coaching Program for Parental Leave: Implemented in FY21.
- Review Wellness Offerings for FY22 as similar response to 2019 survey that this is the top benefit team members would want to see implemented (especially in EMEA market): Not approved from a budget perspective for FY22.

### Global Benefits Survey Results 2020

Participation: 62% (0% YOY change)

**Rating Rubric**
5 - strongly agree
4 - agree
3 - neutral
2 - disagree
1 - strongly disagree

#### Benefits Satisfaction Score

The benefits satisfaction score is an average of responses to all ratings questions including general company-wide benefits questions and country-specific questions. Country breakdown only provided for n>4.

By Country:

| Country             | Score |
| --------------------|-------|
| Australia           | 3.68  |
| Austria             | 3.32  |
| Canada              | 3.46  |
| Germany             | 3.52  |
| Hungary             | 3.44  |
| India               | 3.48  |
| Ireland             | 3.06  |
| Mexico              | 3.42  |
| Netherlands         | 3.26  |
| New Zealand         | 3.61  |
| Poland              | 3.59  |
| Romania             | 3.51  |
| Russian Federation  | 3.63  |
| Singapore           | 3.33  |
| South Africa        | 3.79  |
| Turkey              | 3.81  |
| Ukraine             | 3.43  |
| United Kingdom      | 3.48  |
| United States       | 3.69  |

By demographic:

| Demographic            | Score |
|------------------------|-------|
| Male                   | 3.60  |
| Female                 | 3.59  |
| Individual Contributor | 3.64  |
| Manager                | 3.47  |
| Leader                 | 3.49  |
| Company Overall        | 3.60  |

#### General Benefits Survey Responses

1. I understand my benefits package at GitLab.

    | GitLab                 | 2019 Score | 2020 Score | YOY Change |
    |------------------------|------------|------------|------------|
    | Male                     | 4.16       | 3.89       | -7.63%     |
    | Female                 | 4.21       | 3.87       | -6.86%     |
    | Individual Contributor | 4.13       | 3.88       | -6.15%     |
    | Manager                | 4.35       | 3.88       | -10.90%    |
    | Leader                 | 4.46       | 4.00       | -10.31%    |
    | Company Overall        | 4.18       | 3.88       | -7.07%     |

    By Country:

    | Country             | 2020 Score |
    | --------------------|------------|
    | Australia           | 3.98       |
    | Austria             | 3.40       |
    | Canada              | 3.73       |
    | Germany             | 3.72       |
    | Hungary             | 3.25       |
    | India               | 3.67       |
    | Ireland             | 3.70       |
    | Mexico              | 3.50       |
    | Netherlands         | 3.56       |
    | New Zealand         | 4.18       |
    | Poland              | 4.00       |
    | Romania             | 3.86       |
    | Russian Federation  | 4.00       |
    | Singapore           | 3.67       |
    | South Africa        | 3.40       |
    | Turkey              | 3.60       |
    | Ukraine             | 3.40       |
    | United Kingdom      | 3.86       |
    | United States       | 3.99       |

1. The general benefits at GitLab are equal to or better than what is offered by similar employers.

    | GitLab                 | 2019 Score | 2020 Score | YOY Change |
    |------------------------|------------|------------|------------|
    | Male                     | 3.67       | 3.42       | -6.90%     |
    | Female                 | 3.66       | 3.46       | -5.58%     |
    | Individual Contributor | 3.72       | 3.50       | -5.80%     |
    | Manager                | 3.33       | 3.23       | -2.98%     |
    | Leader                 | 3.46       | 3.12       | -9.96%     |
    | Company Overall        | 3.66       | 3.43       | -6.31%     |

    By Country:

    | Country             | 2020 Score |
    | --------------------|------------|
    | Australia           | 3.51       |
    | Austria             | 2.20       |
    | Canada              | 3.17       |
    | Germany             | 3.24       |
    | Hungary             | 3.13       |
    | India               | 3.00       |
    | Ireland             | 2.57       |
    | Mexico              | 2.67       |
    | Netherlands         | 2.75       |
    | New Zealand         | 3.55       |
    | Poland              | 3.58       |
    | Romania             | 3.29       |
    | Russian Federation  | 3.00       |
    | Singapore           | 2.67       |
    | South Africa        | 3.67       |
    | Turkey              | 3.40       |
    | Ukraine             | 3.60       |
    | United Kingdom      | 3.18       |
    | United States       | 3.64       |

1. The general benefits at GitLab save me a great deal of time and/or money, and add significant value to my employee experience.

    | GitLab                 | 2019 Score | 2020 Score | YOY Change |
    |------------------------|------------|------------|------------|
    | Male                     | 3.75       | 3.65       | -2.66%     |
    | Female                 | 3.79       | 3.59       | -5.40%     |
    | Individual Contributor | 3.83       | 3.70       | -3.39%     |
    | Manager                | 3.38       | 3.41       |  0.84%     |
    | Leader                 | 3.54       | 3.43       | -3.00%     |
    | Company Overall        | 3.77       | 3.63       | -3.71%     |

    By Country:

    | Country             | 2020 Score |
    | --------------------|------------|
    | Australia           | 3.67       |
    | Austria             | 3.20       |
    | Canada              | 3.40       |
    | Germany             | 3.86       |
    | Hungary             | 3.75       |
    | India               | 3.73       |
    | Ireland             | 3.00       |
    | Mexico              | 3.50       |
    | Netherlands         | 2.96       |
    | New Zealand         | 3.36       |
    | Poland              | 3.42       |
    | Romania             | 3.71       |
    | Russian Federation  | 3.33       |
    | Singapore           | 2.83       |
    | South Africa        | 3.50       |
    | Turkey              | 3.60       |
    | Ukraine             | 3.60       |
    | United Kingdom      | 3.21       |
    | United States       | 3.79       |

1. My benefits package provides quality coverage for myself and, if applicable, my dependents.

    | GitLab                 | 2019 Score | 2020 Score | YOY Change |
    |------------------------|------------|------------|------------|
    | Male                     | 3.59       | 3.82       |   6.45%    |
    | Female                 | 3.63       | 3.72       |   2.39%    |
    | Individual Contributor | 3.63       | 3.77       |   3.86%    |
    | Manager                | 3.38       | 3.83       |  13.36%    |
    | Leader                 | 3.58       | 3.81       |   6.41%    |
    | Company Overall        | 3.60       | 3.79       |   5.14%    |

    By Country:

    | Country             | 2020 Score |
    | --------------------|------------|
    | Canada              | 3.68       |
    | India               | 2.07       |
    | United Kingdom      | 3.06       |
    | United States       | 3.94       |

1. The wellness offerings at GitLab help me lead a happier, healthier life.

    | GitLab                 | 2019 Score | 2020 Score | YOY Change |
    |------------------------|------------|------------|------------|
    | Male                     | 3.39       | 3.23       | -4.86%     |
    | Female                 | 3.28       | 3.28       | -0.01%     |
    | Individual Contributor | 3.41       | 3.31       | -3.07%     |
    | Manager                | 3.26       | 3.01       | -7.76%     |
    | Leader                 | 2.92       | 3.18       |  8.78%     |
    | Company Overall        | 3.36       | 3.24       | -3.50%     |

    By Country:

    | Country             | 2020 Score |
    | --------------------|------------|
    | Australia           | 3.07       |
    | Canada              | 3.36       |
    | Germany             | 2.74       |
    | Hungary             | 2.88       |
    | India               | 3.27       |
    | Ireland             | 2.57       |
    | Mexico              | 3.33       |
    | Netherlands         | 2.74       |
    | New Zealand         | 3.20       |
    | Poland              | 2.83       |
    | Romania             | 3.14       |
    | Russian Federation  | 2.83       |
    | Singapore           | 3.50       |
    | South Africa        | 4.17       |
    | Turkey              | 3.80       |
    | Ukraine             | 3.20       |
    | United Kingdom      | 3.04       |
    | United States       | 3.41       |

1. I believe our benefits package is one of the top reasons people apply to work at GitLab.

    | GitLab                 | 2019 Score | 2020 Score | YOY Change |
    |------------------------|------------|------------|------------|
    | Male                     | 2.87       | 3.04       |  5.87%     |
    | Female                 | 2.81       | 3.16       | 12.40%     |
    | Individual Contributor | 2.96       | 3.18       |  7.38%     |
    | Manager                | 2.40       | 2.76       | 14.87%     |
    | Leader                 | 2.35       | 2.79       | 18.83%     |
    | Company Overall        | 2.86       | 3.08       |  7.55%     |

    By Country:

    | Country             | 2020 Score |
    | --------------------|------------|
    | Australia           | 3.19       |
    | Canada              | 2.57       |
    | Germany             | 3.24       |
    | Hungary             | 3.63       |
    | India               | 3.07       |
    | Ireland             | 2.48       |
    | Mexico              | 3.00       |
    | Netherlands         | 2.68       |
    | New Zealand         | 3.09       |
    | Poland              | 3.33       |
    | Romania             | 2.71       |
    | Russian Federation  | 2.67       |
    | Singapore           | 2.17       |
    | South Africa        | 3.40       |
    | Turkey              | 3.20       |
    | Ukraine             | 2.80       |
    | United Kingdom      | 2.73       |
    | United States       | 3.19       |

1. Should I have or care for a(nother) child, the parental leave policy is sufficient.

    | GitLab                 | 2019 Score | 2020 Score | YOY Change |
    |------------------------|------------|------------|------------|
    | Male                     | 3.95       | 3.95       |  0.09%     |
    | Female                 | 3.44       | 3.60       |  4.60%     |
    | Individual Contributor | 3.82       | 3.84       |  0.49%     |
    | Manager                | 3.61       | 3.89       |  7.68%     |
    | Leader                 | 4.04       | 3.80       | -6.04%     |
    | Company Overall        | 3.81       | 3.84       |  0.91%     |

    By Country:

    | Country             | 2020 Score |
    | --------------------|------------|
    | Australia           | 3.85       |
    | Austria             | 3.80       |
    | Canada              | 3.50       |
    | Germany             | 3.62       |
    | Hungary             | 3.88       |
    | India               | 3.79       |
    | Ireland             | 3.39       |
    | Mexico              | 4.00       |
    | Netherlands         | 3.57       |
    | New Zealand         | 3.44       |
    | Poland              | 3.64       |
    | Romania             | 3.00       |
    | Russian Federation  | 3.50       |
    | Singapore           | 3.33       |
    | South Africa        | 4.33       |
    | Turkey              | 4.60       |
    | Ukraine             | 3.20       |
    | United Kingdom      | 3.80       |
    | United States       | 3.97       |

1. The vacation policy allows me sufficient time to recharge.

    | GitLab                 | 2019 Score | 2020 Score | YOY Change |
    |------------------------|------------|------------|------------|
    | Male                     | 4.48       | 4.39       | -2.09%     |
    | Female                 | 4.40       | 4.37       | -0.68%     |
    | Individual Contributor | 4.49       | 4.43       | -1.29%     |
    | Manager                | 4.27       | 4.24       | -0.79%     |
    | Leader                 | 4.38       | 4.21       | -3.94%     |
    | Company Overall        | 4.46       | 4.38       | -1.76%     |

    By Country:

    | Country             | 2020 Score |
    | --------------------|------------|
    | Australia           | 4.49       |
    | Austria             | 4.80       |
    | Canada              | 4.30       |
    | Germany             | 4.21       |
    | Hungary             | 4.50       |
    | India               | 4.33       |
    | Ireland             | 3.83       |
    | Mexico              | 4.00       |
    | Netherlands         | 4.40       |
    | New Zealand         | 4.36       |
    | Poland              | 4.42       |
    | Romania             | 4.43       |
    | Russian Federation  | 4.50       |
    | Singapore           | 4.50       |
    | South Africa        | 4.67       |
    | Turkey              | 4.60       |
    | Ukraine             | 4.80       |
    | United Kingdom      | 4.47       |
    | United States       | 4.40       |

1. I believe our benefits package is one of the top reasons why people stay at GitLab.

    | GitLab                 | 2019 Score | 2020 Score | YOY Change |
    |------------------------|------------|------------|------------|
    | Male                     | 3.08       | 3.24       |  5.21%     |
    | Female                 | 3.13       | 3.31       |  5.77%     |
    | Individual Contributor | 3.21       | 3.35       |  4.36%     |
    | Manager                | 2.58       | 3.00       | 16.28%     |
    | Leader                 | 2.54       | 2.98       | 17.37%     |
    | Company Overall        | 3.09       | 3.26       |  5.58%     |

    By Country:

    | Country             | 2020 Score |
    | --------------------|------------|
    | Australia           | 3.30       |
    | Austria             | 2.80       |
    | Canada              | 2.80       |
    | Germany             | 3.41       |
    | Hungary             | 3.25       |
    | India               | 3.07       |
    | Ireland             | 2.65       |
    | Mexico              | 3.17       |
    | Netherlands         | 2.79       |
    | New Zealand         | 3.27       |
    | Poland              | 3.50       |
    | Romania             | 3.14       |
    | Russian Federation  | 3.50       |
    | Singapore           | 2.33       |
    | South Africa        | 3.50       |
    | Turkey              | 3.20       |
    | Ukraine             | 2.60       |
    | United Kingdom      | 3.04       |
    | United States       | 3.38       |

1. I believe investing more of the company's money into improving benefits at GitLab will help to attract and retain talent.

    | GitLab                 | 2019 Score | 2020 Score | YOY Change |
    |------------------------|------------|------------|------------|
    | Male                     | 4.16       | 4.13       | -0.68%     |
    | Female                 | 4.25       | 4.16       | -2.07%     |
    | Individual Contributor | 4.20       | 4.16       | -0.97%     |
    | Manager                | 4.25       | 4.11       | -3.27%     |
    | Leader                 | 3.85       | 4.02       |  4.39%     |
    | Company Overall        | 4.18       | 4.14       | -0.93%     |

    By Country:

    | Country             | 2020 Score |
    | --------------------|------------|
    | Australia           | 3.98       |
    | Austria             | 4.40       |
    | Canada              | 3.97       |
    | Germany             | 4.29       |
    | Hungary             | 4.13       |
    | India               | 4.33       |
    | Ireland             | 4.57       |
    | Mexico              | 4.00       |
    | Netherlands         | 3.92       |
    | New Zealand         | 3.82       |
    | Poland              | 3.83       |
    | Romania             | 3.43       |
    | Russian Federation  | 4.50       |
    | Singapore           | 4.33       |
    | South Africa        | 4.33       |
    | Turkey              | 4.60       |
    | Ukraine             | 3.40       |
    | United Kingdom      | 4.33       |
    | United States       | 4.12       |

1. When I take time off, I don't feel it is necessary to check in with work periodically.

    | GitLab                 | 2020 Score |
    |------------------------|------------|
    | Male                     | 3.67       |
    | Female                 | 3.40       |
    | Individual Contributor | 3.68       |
    | Manager                | 3.33       |
    | Leader                 | 3.23       |
    | Company Overall        | 3.59       |

    By Country:

    | Country             | 2020 Score |
    | --------------------|------------|
    | Australia           | 4.05       |
    | Austria             | 3.40       |
    | Canada              | 3.40       |
    | Germany             | 3.79       |
    | Hungary             | 3.25       |
    | India               | 4.20       |
    | Ireland             | 2.96       |
    | Mexico              | 2.83       |
    | Netherlands         | 3.52       |
    | New Zealand         | 3.55       |
    | Poland              | 3.83       |
    | Romania             | 3.71       |
    | Russian Federation  | 4.00       |
    | Singapore           | 4.00       |
    | South Africa        | 4.00       |
    | Turkey              | 4.00       |
    | Ukraine             | 3.60       |
    | United Kingdom      | 3.53       |
    | United States       | 3.50       |

1. I understand how our PTO works in sync with my local statutory PTO entitlement.

    | GitLab                 | 2020 Score |
    |------------------------|------------|
    | Male                     | 3.98       |
    | Female                 | 4.02       |
    | Individual Contributor | 4.02       |
    | Manager                | 3.85       |
    | Leader                 | 4.12       |
    | Company Overall        | 3.99       |

    By Country:

    | Country             | 2020 Score |
    | --------------------|------------|
    | Australia           | 3.79       |
    | Austria             | 3.60       |
    | Canada              | 4.00       |
    | Germany             | 4.00       |
    | Hungary             | 4.00       |
    | India               | 4.47       |
    | Ireland             | 3.78       |
    | Mexico              | 3.83       |
    | Netherlands         | 4.08       |
    | New Zealand         | 4.18       |
    | Poland              | 4.00       |
    | Romania             | 4.43       |
    | Russian Federation  | 4.67       |
    | Singapore           | 3.50       |
    | South Africa        | 3.33       |
    | Turkey              | 4.20       |
    | Ukraine             | 4.20       |
    | United Kingdom      | 3.88       |
    | United States       | 4.04       |

1. I believe our Employee Assistance Plan offered by Modern Health is a valuable benefit worth retaining.

    | GitLab                 | 2020 Score |
    |------------------------|------------|
    | Male                     | 3.10       |
    | Female                 | 3.40       |
    | Individual Contributor | 3.20       |
    | Manager                | 3.14       |
    | Leader                 | 3.22       |
    | Company Overall        | 3.19       |

    By Country:

    | Country             | 2020 Score |
    | --------------------|------------|
    | Australia           | 3.21       |
    | Austria             | 3.00       |
    | Canada              | 2.93       |
    | Germany             | 2.54       |
    | Hungary             | 2.86       |
    | India               | 3.14       |
    | Ireland             | 2.91       |
    | Mexico              | 3.80       |
    | Netherlands         | 2.70       |
    | New Zealand         | 3.00       |
    | Poland              | 2.67       |
    | Romania             | 3.14       |
    | Russian Federation  | 2.40       |
    | Singapore           | 3.33       |
    | South Africa        | 4.00       |
    | Ukraine             | 2.40       |
    | United Kingdom      | 3.20       |
    | United States       | 3.37       |

1. If I have questions or concerns regarding benefits, I know whom to reach out to.

    | GitLab                 | 2020 Score |
    |------------------------|------------|
    | Male                     | 3.85       |
    | Female                 | 3.78       |
    | Individual Contributor | 3.77       |
    | Manager                | 3.97       |
    | Leader                 | 4.08       |
    | Company Overall        | 3.82       |

    By Country:

    | Country             | 2020 Score |
    | --------------------|------------|
    | Australia           | 4.02       |
    | Austria             | 3.60       |
    | Canada              | 3.90       |
    | Germany             | 3.61       |
    | Hungary             | 3.25       |
    | India               | 3.73       |
    | Ireland             | 3.65       |
    | Mexico              | 3.50       |
    | Netherlands         | 3.52       |
    | New Zealand         | 3.91       |
    | Poland              | 3.75       |
    | Romania             | 4.14       |
    | Russian Federation  | 4.17       |
    | Singapore           | 3.50       |
    | South Africa        | 4.50       |
    | Turkey              | 3.60       |
    | Ukraine             | 3.40       |
    | United Kingdom      | 3.77       |
    | United States       | 3.87       |

1. What has worked best in convincing me to take PTO?

    | Response                                                                       | Count | % of Respondents |
    |--------------------------------------------------------------------------------|-------|------------------|
    | Stress                                                                         | 333   | 42%              |
    | Example from my manager.                                                       | 391   | 50%              |
    | Encouragement from my manager/peers to support my well-being through time off.  | 475   | 61%              |
    | Example from leaders, for example Sid.                                         | 456   | 58%              |
    | Reduced workload.                                                              | 101   | 13%              |
    | Other (Expanded on below.)                                                     | 118   | 15%              |

    - Summary of Other Responses:
      - When I feel it's needed.
      - Family first/family time.
      - Addressing burn out/taking time to rest.
      - Example from peers.
      - Time Off by Deel reminders.
      - Family and Friends Day specifically.

1. I participated in the Simple Habit free trial and would like to see this benefit offered permanently (survey respondents were instructed to select one).

    | Response                                                                                                                               | Count | % of Respondents |
    |----------------------------------------------------------------------------------------------------------------------------------------|-------|------------------|
    | Yes, I participated and agree with the statement above.                                                                                | 15    | 2%               |
    | No, I did not participate, but am interested in GitLab offering a meditation and mental-wellness benefit in addition to Modern Health. | 500   | 64%              |
    | Yes, I participated and do not agree with the statement above.                                                                         | 6     | 1%               |
    | No, I did not participate and am not interested in GitLab offering a mediation and mental-wellness benefit.                            | 258   | 33%              |

1. What corporate social responsibility activities would you like to see GitLab enter? The purpose of corporate social responsibility is to give back to the community, take part in philanthropic causes, and provide positive social value.
   - Summary of Responses:
     - Giving team members a set amount of money to donate to causes they support each year.
     - Donation matching for donations made by team members or hours volunteered.
     - Community/Volunteer Day(s) similar to Family and Friends Day where everyone has the day off.
     - Youth initiatives including supporting underrepresented, underprivileged, and/or minority youth in their education, coding, mentorship, etc.
     - Donating to and supporting causes that support ending inequality such as causes that support LGBTQ+ people, Black Lives Matter, organizations that support minorities and minorities in tech, etc.
     - Coding initiatives especially for women and minorities.
     - Donating to and supporting environmental causes, reducing our carbon footprint, creating an incentive program for team members to be more green.
     - Supporting open source projects.
     - Donating free licenses and GitLab support/training to charitable organizations.
     - Providing mentorships and internships in support of D&I initiatives.

#### Entity Specific Questions

1. The country-specific benefits provided by GitLab are comparable or better than what is offered by similar employers in my country.

    | GitLab                 | Australia Score | United States Score | Netherlands Score | Canada Score | India Score | United Kingdom Score | Germany Score | New Zealand Score |
    |------------------------|-----------------|---------------------|-------------------|--------------|-------------|----------------------|---------------|-------------------|
    | Male                     | 3.21            | 3.75                | 2.29              | 3.14         | 2.18        | 3.12                 | 2.91          | 3.50              |
    | Female                 | 4.67            | 3.72                | 2.71              | 3.00         | 2.75        | 2.79                 | 3.20          | 3.00              |
    | Individual Contributor | 3.50            | 3.79                | 2.53              | 3.19         | 2.29        | 3.05                 | 3.22          | 3.50              |
    | Manager                | 2.89            | 3.70                | 2.50              | 2.71         | 3.00        | 3.00                 | 1.50          | 3.00              |
    | Leader                 | 2.50            | 3.46                | 1.67              | 4.00         | n/a         | 2.00                 | n/a           | n/a               |
    | Overall                | 3.32            | 3.74                | 2.42              | 3.10         | 2.33        | 3.02                 | 2.96          | 3.43              |

1. My benefits package provides quality coverage for myself and, if applicable, my dependents.

    | GitLab                 | United States Score | Canada Score | India Score | United Kingdom Score |
    |------------------------|---------------------|--------------|-------------|----------------------|
    | Male                     | 4.00                | 3.71         | 1.91        | 3.12                 |
    | Female                 | 3.83                | 3.57         | 2.50        | 2.93                 |
    | Individual Contributor | 3.94                | 3.86         | 2.00        | 3.08                 |
    | Manager                | 3.99                | 3.00         | 3.00        | 3.00                 |
    | Leader                 | 3.83                | 4.00         | n/a         | 3.00                 |
    | Overall                | 3.94                | 3.68         | 2.07        | 3.06                 |

1. The benefits provided by Safeguard are comparable or better than what is offered by similar employers.

    | GitLab                 | Ireland Score   | Hungary Score |
    |------------------------|-----------------|---------------|
    | Male                     | 1.54            | 2.67          |
    | Female                 | 1.50            | 1.50          |
    | Individual Contributor | 1.59            | 2.20          |
    | Manager                | 1.25            | n/a           |
    | Leader                 | 1.50            | n/a           |
    | Overall                | 1.52            | 2.20          |

1. I am satisfied with my employment through Safeguard and know who to contact if any problems were to arise.

    | GitLab                 | Ireland Score   | Hungary Score |
    |------------------------|-----------------|---------------|
    | Male                     | 2.38            | 3.33          |
    | Female                 | 2.20            | 3.00          |
    | Individual Contributor | 2.35            | 3.20          |
    | Manager                | 2.25            | n/a           |
    | Leader                 | 2.00            | n/a           |
    | Overall                | 2.30            | 3.20          |

1. The 401k match is equivalent to or better than what is offered by similar companies.

    | GitLab                 | United States Score |
    |------------------------|---------------------|
    | Male                     | 2.66                |
    | Female                 | 2.73                |
    | Individual Contributor | 2.77                |
    | Manager                | 2.52                |
    | Leader                 | 2.48                |
    | Overall                | 2.69                |

1. The 17% uplift to my salary is sufficient to pay for costs and benefits that would ordinarily be paid for by an employer.

    | GitLab | Austria Score | Mexico Score | Poland Score | Romania Score | Russian Federation Score | Singapore Score | Turkey Score | Ukraine Score |
    |--------|---------------|--------------|--------------|---------------|--------------------------|-----------------|--------------|---------------|
    | Male | 3.20 | 3.33 | 3.57 | 2.67 | 4.00 | 3.00 | 3.00 | 3.50 |
    | Female | n/a | 2.33 | 3.00 | 3.25 | 2.50 | n/a | 5.00 | 4.00 |
    | Individual Contributor | 3.00 | 2.60 | 3.44 | 3.00 | 3.80 | 3.00 | 3.40 | 3.50 |
    | Manager | n/a | 4.00 | 3.00 | n/a | 2.00 | n/a | n/a | 5.00 |
    | Leader | 4.00 | n/a | n/a | n/a | n/a | n/a | n/a | n/a |
    | Overall | 3.20 | 2.83 | 3.40 | 3.00 | 3.50 | 3.00 | 3.40 | 3.80 |

1. Out of the following options, which benefit would you most like to see GitLab offer in the future? (select up to 4)

- Americas

    | Response | United States (% of Respondents) | Canada (% of Respondents) | Mexico (% of Respondents) |
    |----------|----------------------------------|---------------------------|---------------------------|
    | Paid parental leave above 16 weeks. | 14% | 30% | 0% |
    | 100% paid medical leave for 16 weeks. | 16% | 10% | 67% |
    | Expanded mental health offerings (ie. Therapy, meditation, etc.) | 24% | 27% | 50% |
    | Wellness stipend. | 47% | 40% | 33% |
    | Childcare stipend. | 18% | 20% | 0% |
    | Student loan assistance program. | 12% | 3% | 17% |
    | Health insurance. | n/a | n/a | n/a |
    | Parental leave transition coaching. | 1% | 0% | 0% |
    | Ergonomics consultations. | 5% | 13% | 0% |
    | Global Pension with employer match./Company pension plan. | n/a | 13% | 83% |
    | Annual company-wide bonus. | 60% | 57% | 50% |
    | Charitable giving. | 23% | 23% | 0% |
    | Higher 401k match/higher cap. | 79% | n/a | n/a |
    | Supplementary medical plans (Accident Insurance, Critical Illness Insurance, Hospital Indemnity Plan) | 3% | n/a | n/a |
    | Increased HSA contribution or HSA contribution for Team Member + Spouse/Team Member + Child(ren)/Family tiers of coverage. | 13% | n/a | n/a |
    | RRSP with employer match. | n/a | 63% | n/a |

- EMEA

    | Response | Ireland (% of Respondents) | Netherlands (% of Respondents) | United Kingdom (% of Respondents) | Germany (% of Respondents) | Hungary (% of Respondents) | Austria (% of Respondents) | Poland (% of Respondents) | Romania (% of Respondents) | Russian Federation (% of Respondents) | Turkey (% of Respondents) | Ukraine (% of Respondents) |
    |----------|----------------------------|--------------------------------|-----------------------------------|----------------------------|----------------------------|----------------------------|---------------------------|----------------------------|-----------------------------------------|---------------------------|----------------------------|
    | Paid parental leave above 16 weeks. | 26% | 8% | 35% | 10% | 25% | 20% | 42% | 43% | 33% | 20% | 40% |
    | 100% paid medical leave for 16 weeks. | 26% | 24% | 33% | 7% | 13% | 40% | 42% | 57% | 50% | 0% | 20% |
    | Expanded mental health offerings (ie. Therapy, meditation, etc.) | 35% | 16% | 33% | 10% | 50% | 20% | 25% | 29% | 33% | 40% | 0% |
    | Wellness stipend. | 39% | 8% | 51% | 31% | 13% | 40% | 33% | 0% | 50% | 0% | 20% |
    | Childcare stipend. | 22% | 8% | 16% | 28% | 0% | 20% | 33% | 43% | 17 % | 20% | 60% |
    | Student loan assistance program. | 9% | 0% | 12% | 14% | 0% | 0% | 0% | 14% | 0% | 0% | 0% |
    | Health insurance. | n/a | 40% | n/a | n/a | n/a | n/a | n/a | n/a | n/a | 0% | 0% |
    | Parental leave transition coaching. | 0% | 0% | 6% | 3% | 0% | 0% | 17% | 14% | 0% | 0% | 0% |
    | Ergonomics consultations. | 4% | 32% | 6% | 10% | 25% | 0% | 17% | 0% | 17% | 40% | 0% |
    | Global Pension with employer match./Company pension plan. | 78% | 88% | n/a | 62% | 63% | 60% | 25% | 57% | 33% | 40% | 20% |
    | Annual company-wide bonus. | 48% | 44% | 43% | 76% | 63% | 100% | 33% | 71% | 83% | 80% | 80% |
    | Charitable giving. | 13% | 12% | 24% | 38% | 38% | 0% | 25% | 29% | 0% | 0% | 20% |
    | Group disability policy. | n/a | n/a | 8% | n/a | n/a | n/a | n/a | n/a | n/a | n/a | n/a |

- APAC

    | Response | Australia (% of Respondents) | India (% of Respondents) | New Zealand (% of Respondents) | Singapore (% of Respondents) |
    |----------|------------------------------|--------------------------|--------------------------------|------------------------------|
    | Paid parental leave above 16 weeks. | 23% | 13% | 36% | 17% |
    | 100% paid medical leave for 16 weeks. | 14% | 53% | 36% | 33% |
    | Expanded mental health offerings (ie. Therapy, meditation, etc.) | 16% | 47% | 18% | 17% |
    | Wellness stipend. | 42% | 33% | 9% | 83% |
    | Childcare stipend. | 9% | 13% | 9% | 17% |
    | Student loan assistance program. | 5% | 13% | 9% | 17% |
    | Health insurance. | 60% | n/a | 45% | n/a |
    | Parental leave transition coaching. | 2% | 0% | 0% | 0% |
    | Ergonomics consultations. | 5% | 13% | 0% | 0% |
    | Global Pension with employer match./Company pension plan. | 21% | 47% | 9% | 50% |
    | Annual company-wide bonus. | 53% | 80% | 36% | 67% |
    | Charitable giving. | 28% | 0% | 27% | 33% |
    | Higher KiwiSaver contribution. | n/a | n/a | 45% | n/a |

1. Which benefit would you be most  willing to sacrifice to allow for new benefits?

- Americas

    | Response | United States (% of Respondents) | Canada (% of Respondents) | Mexico (% of Respondents) |
    |----------|----------------------------------|---------------------------|---------------------------|
    | Paid parental leave. | 4% | 0% | 0% |
    | Employee Assistance Program (Modern Health). | 21% | 40% | 50% |
    | Office supplies/furniture reimbursement. | 4% | 0% | 17% |
    | Tuition Reimbursement. | 14% | 3% | 0% |
    | Business Travel Accident Policy. | 10% | 3% | 0% |
    | Discretionary Bonuses. | 7% | 0% | 17% |
    | Referral Bonuses. | 13% | 23% | 0% |
    | Stock options | 0% | 0% | 0% |
    | Visiting grant | 21% | 20% | 0% |
    | $20,000 Life Insurance (Expression of Wishes)/Company Life Insurance Policy | n/a | 3% | 0% |
    | Medical/Health coverage | 0% | 0% | n/a |
    | Dental/Vision | 0% | n/a | n/a |
    | 401(k) Match | 1% | n/a | n/a |

- EMEA

    | Response | Ireland (% of Respondents) | Netherlands (% of Respondents) | United Kingdom (% of Respondents) | Germany (% of Respondents) | Hungary (% of Respondents) | Austria (% of Respondents) | Poland (% of Respondents) | Romania (% of Respondents) | Russian Federation (% of Respondents) | Turkey (% of Respondents) | Ukraine (% of Respondents) |
    |----------|----------------------------|--------------------------------|-----------------------------------|----------------------------|----------------------------|----------------------------|---------------------------|----------------------------|-----------------------------------------|---------------------------|----------------------------|
    | Paid parental leave. | 0% | 4% | 4% | 0% | 0% | 0% | 0% | 0% | 0% | 0% | 0% |
    | Employee Assistance Program (Modern Health). | 17% | 40% | 20% | 48% | 38% | 40% | 42% | 43% | 33% | 20% | 60% |
    | Office supplies/furniture reimbursement. | 0% | 4% | 4% | 0% | 0% | 0% | 0% | 0% | 0% | 0% | 40% |
    | Tuition Reimbursement. | 22% | 8% | 8% | 3% | 0% | 40% | 8% | 14% | 17% | 20% | 0% |
    | Business Travel Accident Policy. | 4% | 0% | 8% | 7% | 0% | 0% | 0% | 14% | 17% | 20% | 0% |
    | Discretionary Bonuses. | 9% | 4% | 12% | 7% | 13% | 0% | 0% | 0% | 0% | 0% | 0% |
    | Referral Bonuses. | 12% | 20% | 20% | 17% | 0% | 20% | 25% | 14% | 0% | 40% | 0% |
    | Stock options | 0% | 0% | 0% | 0% | 13% | 0% | 0% | 0% | 0% | 0% | 0% |
    | Visiting grant | 17% | 12% | 12% | 0% | 13% | 0% | 25% | 14% | 17% | 0% | 0% |
    | $20,000 Life Insurance (Expression of Wishes)/Company Life Insurance Policy | 13% | 8% | 0% | 14% | 0% | 0% | 0% | 0% | 0% | 0% | 0% |
    | Medical/Health coverage | n/a | n/a | 4% | n/a | n/a | n/a | n/a | n/a | n/a | n/a | n/a |
    | Pension | n/a | n/a | 0% | n/a | n/a | n/a | n/a | n/a | n/a | n/a | n/a |

- APAC

    | Response | Australia (% of Respondents) | India (% of Respondents) | New Zealand (% of Respondents) | Singapore (% of Respondents) |
    |----------|------------------------------|--------------------------|--------------------------------|------------------------------|
    | Paid parental leave. | 9% | 0% | 0% | 0% |
    | Employee Assistance Program (Modern Health). | 26% | 33% | 27% | 17% |
    | Office supplies/furniture reimbursement. | 5% | 0% | 0% | 0% |
    | Tuition Reimbursement. | 9% | 7% | 9% | 17% |
    | Business Travel Accident Policy. | 5% | 7% | 9% | 0% |
    | Discretionary Bonuses. | 14% | 13% | 0% | 17% |
    | Referral Bonuses. | 2% | 7% | 9% | 17% |
    | Stock options | 5% | 0% | 0% | 0% |
    | Visiting grant | 5% | 27% | 18% | 17% |
    | $20,000 Life Insurance (Expression of Wishes)/Company Life Insurance Policy | 19% | 0% | 27% | 17% |

1. Which benefits do you most want GitLab to retain? (select up to 4)

- Americas

    | Response | United States (% of Respondents) | Canada (% of Respondents) | Mexico (% of Respondents) |
    |----------|----------------------------------|---------------------------|---------------------------|
    | Paid parental leave. | 27% | 43% | 38% |
    | Employee Assistance Program (Modern Health). | 2% | 7% | 13% |
    | Office supplies/furniture reimbursement. | 22% | 67% | 50% |
    | Tuition Reimbursement. | 7% |  20% | 25% |
    | Business Travel Accident Policy. | 1% | 7% | 0% |
    | Discretionary Bonuses. | 17% | 30% | 38% |
    | Referral Bonuses. | 2% | 3% | 38% |
    | Stock options | 59% | 70% | 63% |
    | Visiting grant | 9% | 13% | 0% |
    | $20,000 Life Insurance (Expression of Wishes)/Company Life Insurance Policy | 0% | 13% | 13% |
    | Medical/Health coverage | 87% | 70% | n/a |
    | Dental/Vision | 74% | n/a | n/a |
    | 401(k) Match | 73% | n/a | n/a |

- EMEA

    | Response | Ireland (% of Respondents) | Netherlands (% of Respondents) | United Kingdom (% of Respondents) | Germany (% of Respondents) | Hungary (% of Respondents) | Austria (% of Respondents) | Poland (% of Respondents) | Romania (% of Respondents) | Russian Federation (% of Respondents) | Turkey (% of Respondents) | Ukraine (% of Respondents) |
    |----------|----------------------------|--------------------------------|-----------------------------------|----------------------------|----------------------------|----------------------------|---------------------------|----------------------------|-----------------------------------------|---------------------------|----------------------------|
    | Paid parental leave. | 57% | 56% | 41% | 55% | 60% | 17% | 83% | 86% | 83% | 60% | 60% |
    | Employee Assistance Program (Modern Health). | 4% | 12% | 6% | 7% | 0% | 0% | 0% | 0% | 0% | 20% | 0% |
    | Office supplies/furniture reimbursement. | 65% | 56% | 55% | 69% | 80% | 67% | 92% | 57% | 67% | 60% | 20% |
    | Tuition Reimbursement. | 35% | 32% | 12% | 14% | 0% | 33% | 25% | 0% | 0% | 0% | 20% |
    | Business Travel Accident Policy. | 4% | 4% | 2% | 3% | 0% | 33% | 0% | 14% | 33% | 0% | 0% |
    | Discretionary Bonuses. | 39% | 44% | 27% | 48% | 60% | 67% | 42% | 86% | 67% | 60% | 80% |
    | Referral Bonuses. | 22% | 8% | 8% | 3% | 0% | 0% | 17% | 29% | 0% | 0% | 20% |
    | Stock options | 87% | 84% | 69% | 62% | 100% | 100% | 83% | 86% | 100% | 80% | 80% |
    | Visiting grant | 0% | 40% | 22% | 38% | 60% | 50% | 17% | 14% | 17% | 0% | 40% |
    | $20,000 Life Insurance (Expression of Wishes)/Company Life Insurance Policy | 13% | 12% | 6% | 10% | 0% | 33% | 8% | 0% | 0% | 20% | 20% |
    | Medical/Health coverage | n/a | n/a | 37% | n/a | n/a | n/a | n/a | n/a | n/a | n/a | n/a |
    | Pension | n/a | n/a | 59% | n/a | n/a | n/a | n/a | n/a | n/a | n/a | n/a |

- APAC

    | Response | Australia (% of Respondents) | India (% of Respondents) | New Zealand (% of Respondents) | Singapore (% of Respondents) |
    |----------|------------------------------|--------------------------|--------------------------------|------------------------------|
    | Paid parental leave. | 40% | 40% | 73% | 50% |
    | Employee Assistance Program (Modern Health). | 16% | 7% | 0% | 17% |
    | Office supplies/furniture reimbursement. | 67% | 73% | 82% | 83% |
    | Tuition Reimbursement. | 23% | 33% | 18% | 33% |
    | Business Travel Accident Policy. | 19% | 13% | 0% | 0% |
    | Discretionary Bonuses. | 49% | 67% | 55% | 50% |
    | Referral Bonuses. | 2% | 20% | 0% | 17% |
    | Stock options | 77% | 73% | 36% | 100% |
    | Visiting grant | 49% | 33% | 73% | 33% |
    | $20,000 Life Insurance (Expression of Wishes)/Company Life Insurance Policy | 5% | 20% | 27% | 17% |

1. What provider for Health/Medical benefits do you prefer?

- **United States**

| Response                        | Count | % of Respondents |
|---------------------------------|-------|------------------|
| UHC                             | 185   | 43%              |
| Anthem/BCBS                     | 79    | 18%              |
| Cigna                           | 34    | 8%               |
| Kaiser                          | 32    | 7%               |
| Aetna                           | 20    | 5%               |
| Humana                          | 4     | 1%               |
| No Preference                   | 14    | 3%               |
| No Response                     | 63    | 15%              |
| Other (Expanded on below.)      | 16    | 4%               |

- Summary of Other responses:
  - Plan details would matter more.
  - Not enrolled in GitLab's plan.
  - Reflections on the American healthcare system.
  - Unsure how to compare.
  - Smaller provider not listed here.

- **Canada**

| Response                        | Count | % of Respondents |
|---------------------------------|-------|------------------|
| Canada Life                     | 14    | 47%              |
| Manulife                        | 6     | 20%              |
| Sunlife                         | 1     | 3%               |
| Blue Cross                      | 1     | 3%               |
| No Response                     | 4     | 13%              |
| No Preference                   | 2     | 7%               |
| Other                           | 2     | 7%              |

- **India**

| Response                        | Count | % of Respondents |
|---------------------------------|-------|------------------|
| ICICI Lombard                   | 4     | 27%              |
| HDFC ERGO / Apollo Munich       | 3     | 20%              |
| Bajaj Allianz                   | 2     | 13%              |
| No Response                     | 3     | 20%              |
| Other (Expanded on below.)      | 3     | 20%              |

- Summary of Other responses:
  - No opinion, but would like a higher coverage level.

- **United Kingdom**

| Response                        | Count | % of Respondents |
|---------------------------------|-------|------------------|
| BUPA                            | 12    | 24%              |
| AXA PPP                         | 11    | 22%              |
| Virgin Active                   | 2     | 4%               |
| Simply Health                   | 1     | 2%               |
| Aviva                           | 1     | 2%               |
| No Response                     | 12    | 14%              |
| Other (Expanded on below.)      | 22    | 45%              |

- Summary of Other responses:
  - No preference.
  - Vitality.

1. What provider for Dental/Vision do you prefer?

- **United States**

| Response                   | Count | % of Respondents |
|----------------------------|-------|------------------|
| Cigna                      | 153   | 35%              |
| Delta/Dental               | 96    | 22%              |
| UHC                        | 20    | 5%               |
| Anthem/BCBS                | 19    | 4%               |
| Aetna                      | 16    | 4%               |
| Metlife                    | 13    | 3%               |
| No Preference              | 19    | 4%               |
| No Response                | 87    | 20%              |
| Other (Expanded on below.) | 16    | 4%               |

- Summary of Other responses:
      - Plan details would matter more.
      - Unsure how to compare.
      - General reflections on the American healthcare system.
      - Not on GitLab's policy.
      - Provider not listed above.
      - This question should have been split out for Dental and Vision since not all of these providers do both (I also realized what I did here and will split them next year.)

1. What provider for spending accounts do you prefer (HSA, FSA, LPFSA)?

- **United States**

| Response                   | Count | % of Respondents |
|----------------------------|-------|------------------|
| Discovery                  | 113   | 26%              |
| Optum                      | 47    | 11%              |
| WageWorks                  | 44    | 10%              |
| No Preference              | 17    | 4%               |
| No Response                | 151   | 35%              |
| Other (Expanded on below.) | 53    | 12%              |

- Summary of Other responses:
  - Don't utilize this benefit.
  - Not informed enough on the choices to respond.
  - Option not listed above.

1. If GitLab were to convert you to a team member employed through an entity, what benefits would you expect to receive/are offered by most employers in your country? (select all that apply)

| Response | Austria (% of Respondents) | Mexico (% of Respondents) | Poland (% of Respondents) | Romania (% of Respondents) | Russian Federation (% of Respondents) | Singapore (% of Respondents) | Turkey (% of Respondents) | Ukraine (% of Respondents) |
|----------|----------------------------|---------------------------|---------------------------|----------------------------|---------------------------------------|------------------------------|---------------------------|----------------------------|
| Health insurance. | 80% | 100% | 92% | 100% | 100% | 83% | 100% | 60% |
| Dental insurance. | 60% | 33% | 42% | 71% | 83% | 100% | 60% | 40% |
| Vision insurance. | 20% | 33% | 25% | 43% | 17% | 83% | 40% | 20% |
| Optional life insurance. | 20% | 50% | 50% | 71% | 50% | 83% | 40% | 0% |
| Disability insurance. | 20% | 33% | 33% | 29% | 17% | 83% | 40% | 20% |
| Pension. | 80% | 67% | 58% | 86% | 50% | 50% | 100% | 40% |

1. If GitLab were to convert you to a team member employed through an entity, what benefits could GitLab offer that would be considered premium/only a top-tier employer would provide? (select all that apply)

| Response | Austria (% of Respondents) | Mexico (% of Respondents) | Poland (% of Respondents) | Romania (% of Respondents) | Russian Federation (% of Respondents) | Singapore (% of Respondents) | Turkey (% of Respondents) | Ukraine (% of Respondents) |
|----------|----------------------------|---------------------------|---------------------------|----------------------------|---------------------------------------|------------------------------|---------------------------|----------------------------|
| Health insurance. | 0% | 17% | 8% | 29% | 17% | 83% | 20% | 40% |
| Dental insurance. | 20% | 67% | 50% | 71% | 67% | 67% | 60% | 60% |
| Vision insurance. | 40% | 33% | 17% | 57% | 33% | 83% | 40% | 20% |
| Optional life insurance. | 60% | 0% | 25% | 71% | 50% | 67% | 60% | 20% |
| Disability insurance. | 20% | 17% | 8% | 43% | 50% | 83% | 20% | 40% |
| Pension. | 0% | 50% | 8% | 43% | 17% | 33% | 20% | 60% |

## Benefits Not Currently Being Implemented

This section serves to highlight benefits that we have previously researched, but have decided not to move forward with implementing at this time. As the company grows, circumstances change, and/or we receive new information, we may decide to revisit any benefits added to this list.

### Telehealth

We researched and selected four vendors to receive more information. Demo calls were conducted with three of these vendors where we learned more about the solutions and pricing. After reviewing the [results of the benefits survey](#global-benefits-survey), there wasn't enough interest in a telehealth solution to justify the price so we decided to not move forward with any of the vendors at this time.

While we aren't offering a global telehealth solution at this time, team members based in the US who are enrolled in our [Cigna]({{< ref "inc-benefits-us#cigna-telehealth" >}}) or [Kaiser]({{< ref "inc-benefits-us#kaiser-telehealth" >}}) medical plans can access telehealth services through these plans. Other team members may have options for telehealth available to them through their provider.

Further information and corresponding discussion are available under [Compensation Issue #15](https://gitlab.com/gitlab-com/people-ops/Compensation/issues/15) (internal).

### Coworking Space Agreement

We researched whether there was an account that could be set up with a coworking space chain that would make it easier for team members to utilize these spaces. Three major chains with global coverage were contacted with one responding. After conducting a survey, the type of account this chain offers doesn't align with the way the majority of team members utilize coworking spaces. Team members are still welcome to follow the existing process of [expensing a coworking space](/handbook/finance/expenses/#coworking-or-external-office--space).

Further information, survey results, and corresponding discussion are available under [Total Rewards Issue #30](https://gitlab.com/gitlab-com/people-group/total-rewards/-/issues/30) (internal).

### Wellness Program

We researched and selected three vendors and conducted a cost analysis with Finance. At this time, it does not fit into the budget for benefits to be offered for FY21, but will be revisited when we evaluate benefits and budget for the next fiscal year. Further information and corresponding discussion are available under [Total Rewards Issue #37](https://gitlab.com/gitlab-com/people-group/total-rewards/-/issues/37) (internal).

### SafetyWing

SafetyWing is a global medical benefits provider. At this time we will not be offering this benefit globally as we are focused on entity specific benefits (which many have medical plans already in place) and the ongoing international expansion process (where a team member is converted to an employee of either a PEO or a GitLab Entity). Further information, survey results, and corresponding discussion are available under [Total Rewards Issue #124](https://gitlab.com/gitlab-com/people-group/total-rewards/-/issues/124) (internal).

### Family Planning

GitLab has reviewed adding more comprehensive family planning benefits. We did a introductory call with a company that provides fertility benefits who advised the company would pay claims out of pocket which integrates better with self funded medical plans. Since we are not yet at the size or stage to be self funded it would currently be difficult to offer this benefit. At the time we are able to be self funded we will reevaluate. Further information and corresponding discussion are available under [Total Rewards Issue #196](https://gitlab.com/gitlab-com/people-group/total-rewards/-/issues/196) (internal).
