---
title: General & Entity Specific Benefits & Information
description: A list of the General & Entity Specific Benefits that GitLab offers as well as other entity-specific information.
---

## Introduction

For the avoidance of doubt, the benefits listed below in the General Benefits section are available to all team members, unless otherwise stated. Other benefits are listed by countries where GitLab has established an entity or uses a PEO and therefore are applicable to team members in those countries only via our benefits specific to that country. GitLab has also made provisions for Parental Leave which may apply to team members but this may vary depending on local country laws. If you are unsure please reach out to the Absence Management team.

## Contact Total Rewards

For any questions relating to benefits, please reach out to [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=b7d7b30d474c069067429ee0026d4382).

## Entity Benefits

- [GitLab BV (Netherlands)]({{< ref "bv-benefits-netherlands" >}})
- [GitLab BV (Belgium)]({{< ref "bv-benefits-belgium" >}})
- [GitLab BV (Finland)]({{< ref "bv-benefits-finland" >}})
- [Global Upside (India)]({{< ref "global-upside-benefits-india" >}})
- [GitLab Inc (US)]({{< ref "inc-benefits-us" >}})
- [GitLab LTD (UK)]({{< ref "ltd-benefits-uk" >}})
- [GitLab GmbH (Germany)]({{< ref "gmbh-germany" >}})
- [GitLab PTY (Australia & New Zealand)]({{< ref "pty-benefits-australia" >}})
- [GitLab Canada Corp]({{< ref "canada-corp-benefits" >}})
- [GitLab GK (Japan)]({{< ref "gitlab-gk" >}})
- [GitLab Ireland LTD]({{< ref "gitlab-ireland-ltd" >}})
- [GitLab Korea LTD]({{< ref "korea-ltd-benefits" >}})
- [GitLab France S.A.S.]({{< ref "france-sas" >}})
- [GitLab Singapore Pte Ltd]({{< ref "singapore-pte-ltd" >}})
- [GitLab Iberia s.r.l Spain](/handbook/entity/iberia-srl-spain/)
- [Remote Technology (Brazil, Denmark, Italy, Mexico, Switzerland, Hungary, and Sweden)]({{< ref "remote-com" >}})
- [Papaya Global (Italy)]({{< ref "papaya-global" >}})
- [Global Expansion (Austria, Chile, Costa Rica, Kenya, Latvia, Mexico, Philippines, South Africa, and UAE)]({{< ref "global-expansion" >}})

### Benefits Available to Contractors

Contractors of GitLab IT BV are eligible for the [general benefits]({{< ref "benefits" >}}), but are not eligible for entity specific benefits. A contractor may bear the costs of their own health insurance, social security taxes, payroll administration, or tax details.

Our contractor agreements and employment contracts are all on the [Employment Contracts](https://internal.gitlab.com/handbook/people-group/people-operations/people-connect/employment_contracts/) page in the internal handbook.

## Spending Company Money

GitLab will [pay for the items you need to get your job done](/handbook/finance/spending-company-money/).

## Equity Compensation

[Equity Compensation](/handbook/total-rewards/stock-options/) is offered to most GitLab team members. We strongly believe in team member ownership in our Company. We are in business to create value for our shareholders and we want our team members to benefit from that shared success.

## Life Insurance

In the unfortunate event that a GitLab team member passes away, GitLab will provide a [$20,000](/handbook/total-rewards/compensation/#exchange-rates) lump sum to anyone of their choosing. This can be a spouse, partner, family member, friend, or charity.

- This benefit is not applicable if there is a separate life insurance policy as part of the [Entity Specific Benefits](#entity-benefits) package.
- For all other GitLab team members, the following conditions apply:
  - The team member must be either an employee or direct contractor.
  - The team member must have indicated in writing to whom the money should be transferred. To do this you must complete the [Expression of wishes](https://docs.google.com/document/d/19p4IN-msvs4H10teBessfPx-1wu8J7Vs67Es8iVLlL8/edit?usp=sharing) form. To do this:
    - Copy the template to your Google Drive (File -> Make a copy), enter your information.
    - Export to PDF (File > Download > PDF Document (.pdf)).
    - To sign the document, you can use one of the following methods:
      - Print it, sign and digitize.
      - In macOS, use the native Preview app.
      - In Linux, use the Xournal app's pen tool to draw the signature.
      - Use a free document signing program like [smallpdf](https://smallpdf.com/sign-pdf); Please beware that there are always security concerns with tools that require uploading personal data. So, you may want to do this as a last resort only.
    - Upload to your Documents folder in Workday - [here](https://docs.google.com/document/d/19B0lsMu7dMhof1ghPuBxHP23DuDqi2qpWF8pCWyEUN4/edit) is the job aid for quick reference.
  - For part-time GitLab team members, the lump sum is calculated pro-rata, so for example for a team member that works for GitLab 50% of the time, the lump sum would be [$10,000]({{< ref "compensation#exchange-rates" >}}).

## HealthKick Well-being Platform & Discounts

Starting 2024, GitLab has partnered with HealthKick, a global well-being platform providing Team Members discounts across well-being, fitness, & overall lifestyle offerings/services.

- *This program is offered at no cost for team members.

We know that whole-person wellness is important for feeling good. That's why we are offering all employees access to HealthKick (at no-cost), a personal wellness membership dedicated to helping you feel your best. When you enroll you'll gain access to an array of 250+ brands, content and expert resources that will help you optimize your well-being. From fitness classes and personalized workout plans to nutrition workshops and mental health resources.

Please review HealthKick's member resources and the self-registration link/instructions to enroll with anytime throughout the year.
[GitLab self-registration link](https://www.health-kick.com/companies/1004/registration)
[HealthKick Overview](https://drive.google.com/file/d/1AitsrkUDA66UV5xZsv5ooqxmr7BpxlLh/view)
[HealthKick Welcome Packet](https://drive.google.com/file/d/1_vdASrSSzztvEwM7NOx_szEPYMkPBiiA/view?usp=sharing)

If team members have any questions about this service or would like to cancel this service, please reach out to the HealthKick support team via `concierge@health-kick.com`.

## Financial Wellness

GitLab offers resources related to [Financial Wellness]({{< ref "financial-wellness" >}}) to support team members in their financial journey.

## Paid Time Off

GitLab has a "Flexible PTO policy" [time off policy]({{< ref "paid-time-off" >}}) applicable to vacations up to 25 consecutive calendar days off.

## Growth and Development Fund

GitLab supports team members who wish to continue their education and growth within their professional career. GitLab team-members are eligible for a reimbursement of up to $10,000 USD per calendar year (January 1st - December 31st) depending on tenure, performance, company need for the learned skill, and available budget. A course/program is considered to be included in the calendar year in which the course/program is paid/reimbursed (which should also be the same calendar year in which it ends). If a course/program ends in December, team members have a grace period until the end of January to claim for Growth & Development reimbursements from the previous calendar year.

Budget estimations for the Growth & Development Fund are based on utilization rates from past years, adjusted for the size of the company. The budget is managed on a company-wide scale, not division-specific. For example, approving reimbursement for a team member in Engineering does not "take away" budget from other engineers. Eligibility is managed on an individual basis. Eligibility for this benefit is part of each GitLab team member's Total Rewards package.

The [Growth and Development]({{< ref "/handbook/people-group/learning-and-development/growth-and-development/" >}}) covers information on the application process and the different types of expenses that are eligible for reimbursement.

## Modern Health - Mental Health Benefit

GitLab offers Mental Health Support through therapy and coaching sessions to all team members via [Modern Health]({{< ref "modern-health" >}}).

## Vivvi Caregiving Benefits

GitLab recognizes the challenges that balancing caregiving responsibilities at home can bring, and we strive to support our team members with comprehensive benefits. GitLab team members are eligible to access **Backup Care & Tutoring Benefits** through Vivvi.

GitLab team members receive credits to use for backup care and learning benefits through Vivvi. [Click here](https://share.hsforms.com/1gj0LdnKCQ1-GXyLsGmFDjg47d19) to sign up and activate your benefits.

### Benefit Options & Taxability

- **Care Cash:** Use your preferred backup care provider and get reimbursed up to 100 USD per day for the cost.
- **Virtual Tutoring:** Weekly, 1-hour sessions for students (grades K–12) in subjects like math, SAT prep, or executive functioning skills.
- **Center-Based Backup Child Care:** Available at Vivvi’s NY campuses or network daycare centers in the US and UK.
- **In-Home Backup Child Care** For children ages 0–12 in the US, Canada, and UK.
- **In-Home Backup Adult & Elder Care** For adults of all ages in the US, Canada, and UK.

More information on the program can be found on the [Vivvi FAQ.](https://drive.google.com/file/d/1_AcfteDGUB9L6ZocdUsG3PuNaTGKbD-Y/view)

Please note that this benefit is considered **taxable income**. To ensure compliance, any usage of the benefit will be reported, and applicable taxes will be deducted through payroll.

## GitLab Summit

GitLab Summit (formerly known as Contribute) is our annual GitLab team event where we get together to interact with one another and cultivate our community. Since our team is scattered all over the globe, we try to plan a different location each year. Summit is an optional event, so team members should not feel pressured to attend.

From our first Summit in Serbia to our virtual event in 2020, team members from around the world have built friendships and experienced the values in person.
For more information and compilations of our past events check out our [previous Contributes](/handbook/company/culture/summit/previous/).

## Business Travel Emergency Assistance Program

In an emergency, International SOS (ISOS) can provide quick medical, safety, and security assistance and services to team members on business travel around the globe.

Your coverage as a GitLab team member is automatic and is year-round. There are several ways to interact with ISOS, depending on your preference:

- Team members can download the [ISOS emergency app](https://my.internationalsos.com/LP=8890) — it's the best way to get medical, safety, and security assistance abroad. Before traveling, open the App and register using your GitLab email address.
  - Please use a unique password and not the same as your existing GitLab credentials.
  - Note that this is not a GitLab application and is managed by ISOS. You can read more about the app [here](https://www.internationalsos.com/subscriber/assistance-app).
  - If you have medical, safety, or security questions before or during travel, open the ISOS app and press the Need Assistance button. You will be directed to ISOS's closest emergency alarm center, where a nurse, doctor, safety, or security expert will assist you.
  - If team members prefer not to download the app, we encourage you to follow this [link](https://www.internationalsos.com/Private/NET_StandardMembershipCards/comprehensive.aspx?CustomerNumber=401GDA935395IT&CompanyID=GitLab%2c+Inc.&ProgramName=Assignee+%26+International+Traveler+Assistance&PhoneNum1=Philadelphia+++%2b1+215+942+8226&PhoneNum2=Sydney+++%2b61+2+9372+2468&PhoneNum3=London+++%2b44+(0)20+8762+8008&PhoneNum4=Singapore+++%2b65+6338+7800&Language=en-US) and print or take a picture of the membership card with the emergency contact details. You can save the number in your phone for easy access.
  - Note that International SOS is an optional resource for team members and is only one of the ways you can receive care.

If you have questions, reach out in the [#peopleconnect](https://gitlab.enterprise.slack.com/archives/C02360SQQFR) Slack channel.

## Business Travel Accident Policy

[This policy](https://drive.google.com/a/gitlab.com/file/d/0B4eFM43gu7VPVl9rYW4tXzIyeUlMR0hidWIzNk1sZjJyLUhB/view?usp=sharing) provides coverage for team members who travel domestic and internationally for business purposes. This policy will provide Emergency Medical and Life Insurance coverage should an emergency happen while you are traveling. In accompaniment, there is coverage for security evacuations, as well a travel assistance line which helps with pre-trip planning and finding contracted facilities worldwide.

- Coverage:
  - Accidental Death [enhanced coverage]: 5 times Annual Salary up to USD 500,000.
  - The treatment of Covid is covered like any other illness under the Out-of-Country Medical Expense coverage, however there are no covid quarantine benefits covered under our policy.
  - Out of Country Emergency Medical: Coverage up to $250,000 per occurrence. If there is an injury or sickness while outside of his or her own country that requires treatment by a physician.
  - Security Evacuation with Natural Disaster: If an occurrence takes place outside of his or her home country and Security Evacuation is required, you will be transported to the nearest place of safety.
  - Personal Deviation: Coverage above is extended if personal travel is added on to a business trip. Coverage will be provided for 25% of length of the business trip.
  - Trip Duration: Coverage provided for trips less than 180 days.
  - Baggage & Personal Effects Benefit: $500 lost bag coverage up to 5 bags.
- For any assistance with claims, please reference the [claims guide (internal only)](https://drive.google.com/file/d/1vmLjhebsf81N8oSxqlCihYg5q1WT8Efw/view?usp=sharing).
- This policy will not work in conjunction with another personal accident policy as the Business Travel Accident Policy will be viewed as primary and will pay first.
- For more detailed information on this benefit, please reference the [policy document](https://drive.google.com/file/d/1ktx_mhlEYyQoLrQJ7DhIcibQhrlnB-lb/view?usp=sharing).
- If you need a confirmation of coverage letter, please reference the [visa letter generation document (internal only)](https://drive.google.com/file/d/1oesZnp-fVWWCakVejB7nTV39lntMFnSd/view?usp=sharing).
- For any additional questions, please contact the Total Rewards Analyst.

## Immigration

GitLab offers benefits in relation to [obtaining visas and work permits](/handbook/people-group/visas/) for eligible team members.

## Incentives

The following incentives are available for GitLab team members:

- [Discretionary Bonuses](/handbook/total-rewards/incentives/#discretionary-bonuses)
- [Referral Bonuses](/handbook/total-rewards/incentives/#referral-bonuses)
- [Visiting Grant](/handbook/total-rewards/incentives/#visiting-grant)

## All-Remote

GitLab is an [all-remote](https://about.gitlab.com/blog/2018/10/18/the-case-for-all-remote-companies/) company; you are welcome to [read our stories](/handbook/company/culture/all-remote/stories/) about how working remotely has changed our lives for the better.

You can find more details on the [All Remote](/handbook/company/culture/all-remote/) page of our handbook.

*If you are already a GitLab employee and would like to share your story, simply add a `remote_story:` element to your entry in `team.yml` and it will appear
on that page.*

## Meal Train

In order to foster a sense of community and support fellow GitLab team members, if a team member is in need or experiencing a life disruption, they have the option of having a Meal Train started for them. A Meal Train is when a community comes together to support someone experiencing a difficult or disrupting event in their life who would benefit from having a meal provided to them during this time.

Examples of when someone may request a meal train (this list isn't exhaustive):

- Arrival of a new baby
- Injuries/Surgeries
- Military deployment
- Extended illnesses
- Condolences

<details markdown="1">

<summary>Instructions for starting a Meal Train</summary>

1. You may create a Meal Train for yourself or for a fellow team member. If you are not the recipient of the Meal Train, please receive approval from the team member first and forward this to the Total Rewards team. We highly encourage managers to reach out to their team member to see if they would like a Meal Train if the manager informs them of a life disruption.
1. When creating a Meal Train, please create this in GitLab using the [Meal Train issue template](https://gitlab.com/gitlab-com/people-group/total-rewards/-/blob/master/.gitlab/issue_templates/meal_train.md).
    - Steps for completing the form are included in the issue template.
    - If you are completing this for someone else, please reach out to them to ensure the form is being completed accurately.
    - The Total Rewards team is also happy to create the issue on your behalf if you send the form details to total-rewards@ domain.
1. The issue template has 5 pre-populated entries to add a date to, but the Meal Train can be longer or shorter than this. Please add as many dates that are needed and if at the end, you feel more are needed, please add the additional dates and notify the Total Rewards Analyst assigned to the issue that you have added dates so they can help gather support.

</details>

<details markdown="1">

<summary>Instructions for participating in a Meal Train</summary>

1. All Meal Trains are posted by a member of the Total Rewards team in the #whats-happening-at-gitlab slack channel. You can also check the [Total Rewards issue tracker](https://gitlab.com/gitlab-com/people-group/total-rewards/-/issues) where all Meal Trains will be designated as such.
1. If there is a Meal Train occuring, please read through the entire issue. If you are interested in participating, please edit the issue and add your name to the date you would like to contribute to. There is also a field to add the meal you will be providing or the meal delivery service you intend to gift. More instructions for how to proceed as a team member will be located in the issue.
    - Please note, it is typically only possible to gift a gift card from within the same country. The Total Rewards team is researching possible ways to participate from a different country than the recipient, but until we have a solution, we don't advise participating in this from a different country and can not help facilitate this.
1. Ensure you can follow through on the date you sign up for or please help coordinate a replacement as soon as you know you can no longer participate.
1. Participation is voluntary and is **NOT** reimbursable by GitLab. Any expense incurred would be your responsibility.

</details>

## Fertility & Family Planning

Team Members can refer to their [entity-specific](#entity-benefits) medical plans to understand the fertility and family planning benefits available to them, as applicable. Please contact [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=b7d7b30d474c069067429ee0026d4382) should you have any questions.

GitLab plans to continue to iterate on fertility benefits as we evaluate and enhance our overall benefit plans. In a future state, GitLab aims to expand fertility and family planning services (including adoption support) in order to help our team members grow their families.

## Parental Leave

GitLab's paid Parental Leave is available for any active team member (regardless of gender) who becomes a parent through childbirth or adoption while working at GitLab. This benefit is available to all team members on their first day of work, as long as their child was born or newly adopted during their employment at GitLab.

GitLab team members are encouraged to decide for themselves how much time they'd like to take and how to take it, but the entire 16-week Parental Leave balance must be used prior to the child's first birthday or the first anniversary of the adoption.

The information in this section is specific to GitLab's 16-week paid Parental Leave. Different countries may provide team members with their own statutory Parental Leave (including maternity/paternity) benefits. Please review your country's statutory [Parental Leave](#entity-benefits) benefits for more information on how to apply and tenure requirements (if applicable). If you live in a country where a statutory Parental Leave benefit is available, you will be required to claim statutory Parental Leave pay (if eligible), and GitLab will supplement any gaps. When allowed by law GitLab's 16-week balance is per birth or adoption event per year and runs concurrently with these statutory benefits.

### Planning Your Parental Leave Dates

In some cases a team member may choose to begin their leave earlier. While we encourage you to begin your leave when your child arrives (to be able to capture as much time as possible with the newest addition to your family) if you would like to start your leave on a different date please notify leaves@gitlab.com; otherwise your Parental Leave will be administered according to the start date entered in Workday.

You don't have to take your Parental Leave in one continuous period, we encourage you to plan and arrange your Parental Leave in a way that suits you and your family's needs. You may take your leave all at once or split your Parental Leave into up to three segments, so long as all time is used prior to the child's first birth or first anniversary of the adoption event. The Absence Management team will receive a notification every time you edit your Parental Leave dates. Please request a Parental Leave in Workday, otherwise the Absence Management team won't get a notification.

**A few things to note:**

- If you are planning to change or extend your Parental Leave by using a different type of leave such as PTO or any local statutory leave, please send an e-mail to leaves@gitlab.com.
- When determining the dates of your leave, GitLab uses a 1/7 formula (1 week = 7 days). This means if you are planning on returning to work on a Monday, the last day of your leave will be Sunday. Please use this formula when submitting your Workday request.

### Taking PTO After Taking Parental Leave

If you need to take more time off after Parental Leave, you may utilize GitLab's [Paid Time Off policy]({{< ref "paid-time-off#a-gitlab-team-members-guide-to-time-off" >}}) with manager coordination. This time off should be discussed with your Manager following the same reporting guidelines outlined in the PTO policy (double the amount of notice as the amount requested), but if business critical deadlines will be missed your Manager may ask you to change the dates.

Please submit the dates of your PTO in Workday by selecting `Paid Time Off`.

<details markdown="1">

<summary>How to Initiate Your Parental Leave</summary>

Some team members may feel comfortable sharing their news sooner than other team members. You can share your news with your Manager whenever you feel comfortable, but we recommend communicating your plan to your manager at least 2-3 months before your leave starts for workload planning purposes. In the meantime, familiarize yourself with the steps below and specific leave requirements in your [country]({{< ref "general-and-entity-benefits#entity-benefits" >}}) (if any).

**30 days prior to the start of your leave** Enter your Parental Leave into Workday by selecting the `Parental Leave` option under the `Leaves` dropdown menu. We understand the Parental Leave dates may change, so you can edit the dates in Workday as needed. It's important that you submit the request in Deel, 30 days in advance, but some countries have their own reporting requirements. Please review your own [country's](#entity-benefits) reporting requirements to ensure you are reporting your leave according to these regulations.

We realize that if you are going on adoptive parental leave, a 30 day notice period may not be possible. In these situations, you should notify your manager as soon as possible and enter the dates in Workday when you can.

Your manager and the Absence Management team will be notified after you submit your leave. The Absence Management team will send you an e-mail within 48 hours (whenever possible) confirming that they've been notified of your Parental Leave dates, and provide you with additional follow-up items (if applicable).

**A few things to note:**

- Parental leave includes public holidays and scheduled Family and Friends Days that occur within the start and end date of parental leave, but some countries allow team members to rollover public holidays that occured while on Parental Leave. Be sure to review your country's policy on this when planning the dates of your leave.
  - If eligible to roll over public holidays, and you'd like to use them to extend your time away, please enter this as `Public Holiday` in Workday and add a note indicating "rolling over holidays which occured while on parental leave".
- Some countries require extra paperwork or have specific leave requirements, which are subject to change as legal requirements change. Please take a look at your [country's leave policy](#entity-benefits).

</details>

### Commission Payout and Quota Relief

<details markdown="1">

<summary>Commission Payments on Parental Leave</summary>

Team members on a parental leave of absence longer than 30 days in length will be eligible for parental leave commissions payments, as outlined below.

Team member commission payments with less than 6 months of past performance will be calculated on a variable floor of 50%.

Team members with 6 months or more of past performance are paid (parental leave only) based on the 12 prior months of performance with a cap at 100% of plan. For example, if a team member 8 months in role attained 85% of plan, they would be compensated at the same rate while on leave, but a team member 12 months in role will be compensated based on their prior 12 months of performance.

On the day you return from leave and going forward, your commissions will be based on current performance only. If your country of employment has specific laws regarding the payout of commissions when on leave, those would supersede our policy.

In all cases, target variable pay used for LOA commission payments is 1/12 of annual on-target incentives (OTI) per month on leave.

</details>

<details markdown="1">

<summary>Quota Relief While On Parental Leave</summary>

Additionally, effective Q1 FY22, commissioned roles are eligible to receive quota relief during their parental leave if the team member has six months or greater of tenure with GitLab before the start of their leave and their leave of absence is longer than 60 continuous days. The team member will receive credit and commissions as specified in their existing Participant Schedule that occur ***prior*** to the start of the leave. After 60 continuous days of parental leave, quota relief will be applied to the team member on leave for the total duration of the leave up to a total of 4 months. The team member would receive an amended Participant Schedule upon return from leave. That amended participant schedule will include a prorated On Target Incentive based off the number of days that a team member is in seat for the fiscal year. For example, If coming back from leave at the beginning of a fiscal year, the On Target Incentive will not be prorated. Please see a [reference slide here](https://docs.google.com/presentation/d/1pWM8UhJGL7G8w_QzLKM1q2Rqql4OKm7vLD9HSCKfT9g/edit#slide=id.p) for an example of how the quota relief process and calculation works. For more information on quota relief and commissions on leave, please refer to the terms in the [Sales Compensation Plan](/handbook/finance/sales-comp-plan/#sales-compensation-plan).

In all cases, quota relief is calculated based on the per-month quotas set for a team member in a role at the beginning of the fiscal year, which generally are not equal to 1/12 of annual quota per month, due to businss seasonality.

For Solution Architects and Sales Management and Customer Success Management, payment will be calculated for individuals using actual team performance. These roles will not be eligible for quota relief during parental leave.

For Sales roles with a utilization attainment, like the [Professional Services Engineer](/handbook/customer-success/professional-services-engineering/#team-metrics), since the utilization attainment is based on delivering above 70% of available billable hours, we apply the baseline attainment linked to utilization attainment. At the end of 90 continuous days of parental or medical leave, a one time payment of the 50% billable utilization attainment will be paid. Utilization payout during parental or medical leave is not based on prior individual performance, since projects identified for billable utilization are based on sales engagements and services attached, and not determined by individual performance.

On the day you return from leave, the utilization payout returns to the established utilization attainment ranges.

</details>

### Commission Payments on Non-Parental Leave

Effective Q1 FY25, team members on leave for 30 days or more will be eligible for Commissions to be paid for the first five weeks of non-parental leave. Commissions will be paid based on the 6 prior months of performance with a cap at 100% of plan. After five weeks of non-parental leave, the team member would become ineligible for commissions. Any local requirements for commission payments on non-parental leave would supersede this policy.

For Solution Architects and Sales Management and Customer Success Management, payment will be calculated for individuals using actual team performance for the first five weeks of non-parental leave. These roles will not be eligible for quota relief during non-parental leave.

<details markdown="1">

<summary>Quota Relief While On Non-Parental Leave</summary>

Additionally, effective Q1 FY24, commissioned roles are eligible to receive quota relief if the team member has been with GitLab for six months or longer prior to the start of the leave. The team member will receive credit and commissions as specified in their existing Participant Schedule that occur ***prior*** to the start of the leave. After 60 continuous days of leave, quota relief will be applied to the team member on leave for the total duration of the leave up to a total of 3 months. The team member would receive an amended Participant Schedule upon return from leave. That amended participant schedule will include a prorated On Target Incentive based off the number of days that a team member is in seat for the fiscal year. For example, if coming back from leave at the beginning of a fiscal year the On Target Incentive will not be prorated. Please review this [reference slide](https://docs.google.com/presentation/d/1pWM8UhJGL7G8w_QzLKM1q2Rqql4OKm7vLD9HSCKfT9g/edit#slide=id.p) for an illustration of the quota relief and calculation process. For more information on quota relief and commissions on leave, please refer to the terms in the [Sales Compensation Plan](/handbook/finance/sales-comp-plan/#sales-compensation-plan).

Sales management has discretion on how to cover a team member's territory while they are on leave. However, if another team member is assigned to cover business for someone on leave, they should be assigned the opportunity in SFDC but not the account. Team members covering opportunities will be compensated on the opportunities that they close in their name. Reassigning accounts may trigger quota changes.

You are entitled to and need to comply with your local regulations. They override our policy.

</details>

### Returning from Parental Leave

#### Confirming your return

About a week before your expected return, the Absence Management team will send you a welcome back email.  Please confirm you are returning and the date you are expected to return.

### Returning to work after parental leave

It's important to acknowledge that returning to work after [parental leave](#parental-leave) can be difficult. Even with smooth reentries, life and work interplay differently when one adds another member to their family. Everyone transitions differently, and the impact on an individual varies depending on role, as well as a litany of personal factors.

You can learn more about parental leave and how to apply in the [Benefits section of the GitLab Handbook](#parental-leave).

### Return-to-work Resources

#### Team member connections

It can be helpful to connect with other team members who are parents or caregivers as you return to work. Consider:

- Joining the `#intheparenthood` Slack channel to share tips, photos, and stories.
- Attending a [Caregivers Team Member Resource Group (TMRG)](/handbook/company/culture/inclusion/tmrg-caregivers/) event or participating in the group.
- Making a merge request to add contributions to this page.

#### Your 4th Trimester

[Your 4th Trimester](https://drive.google.com/file/d/1NOkpt1oBruKunt3IdR6bQuvR0P2ht6Tg/view) is a 90-day coaching program to help parents transition back to work.

- All team members taking Parental Leave are welcome to participate in this program (regardless of gender)
- Expecting parents sign up for the program before they start their Parental Leave. (If you decide you would like to participate in this program while on leave that is ok too!)
- Barbara (from [Your 4th Trimester](https://drive.google.com/file/d/1NOkpt1oBruKunt3IdR6bQuvR0P2ht6Tg/view)) will start working with the team member prior to their leave and 30 days before the end of their Parental Leave
- To apply for this coaching program, please notify Total Rewards that you would like to participate in the program by sending an email to growth-development@gitlab.com
- Note the program cost is funded within your [Growth and Development](/handbook/total-rewards/benefits/general-and-entity-benefits/#growth-and-development-benefit) benefit

#### Tips for a smoother transition

GitLab team members compiled tips in a four-part blog series, linked below, looking at an array of issues surrounding working remotely with children. These shed light on parental leave policies worldwide, provide an inside view of working at GitLab with a newborn, and highlight strategies for working remotely with older children.

1. [Parental/maternity leave around the world – how does your country stack up?](https://about.gitlab.com/blog/2019/07/18/how-is-it-being-a-new-mom-working-for-gitlab/)
1. [How I balance a baby, a career at GitLab, and cultural expectations of motherhood](https://about.gitlab.com/blog/2019/07/25/balancing-career-and-baby/)
1. [How to make your home a space that works with kids](https://about.gitlab.com/blog/2019/08/01/working-remotely-with-children-at-home/)
1. [5 Things to keep in mind while working remotely with kids](https://about.gitlab.com/blog/2019/08/08/remote-kids-part-four/)

Tips from GitLab team members are the greater community are below, as well as how each aligns with at least one of [GitLab's values](/handbook/values/).

> What has worked for me is to integrate GitLab into my life, and not the other way around. I set very clear boundaries in my calendar of when is work time and when is family time. Per GitLab's [recommendation](/handbook/communication/#google-calendar), my calendar is viewable by anyone and clearly has time for: `kids test prep`, `visual therapy for one`, `judo pick-up` and other appointments I have outside of work. This prevents team members from scheduling over these instances.
>
> If someone *does* schedule over family time or personal time, I feel confident to decline, unless it is very urgent and I'm blocking it (I always suggest a new time first, before using family time for a meeting). I am also inclined to say that if folks keep scheduling outside of your work time, to make sure you [respond back and highlight that](/handbook/values/#transparency), and check if you can find an alternative time that works for both of you. — [*Nadia V.*](https://gitlab.com/Vatalidis)

Nadia's recommendation leans on [Transparency](/handbook/values/#transparency), as well as an important operating principle of [Efficiency](/handbook/values/#efficiency): [Be respectful of others' time](/handbook/values/#be-respectful-of-others-time).

> When I joined GitLab, it was great to see things in people's calendars like `baby time`, `homework with kids`, `date night`, etc. Part of [onboarding](/handbook/company/culture/all-remote/getting-started/) was [coffee chats](/handbook/company/culture/all-remote/informal-communication/#coffee-chats) so I saw these "meetings" on calendars as I tried to schedule chats. It reinforced our [family first operating principle](/handbook/values/#family-and-friends-first-work-second), and also normalized these activities. It helped me understand that I could set up similar boundaries and not sacrifice bed time or something similar just to have an empty hour on my calendar. — [*Seth B.*](https://gitlab.com/sethgitlab)

Seth's recommendation ties to an operating principle of Diversity, Inclusion & Belonging : [Family and friends first, work second](/handbook/values/#family-and-friends-first-work-second).

> The hardest part of coming back from parental leave has been getting caught up/reintegrating with the GitLab team while sleep deprived. I recommend taking to heart the `don't worry` portion of GitLab's guide to paid time off, which states: "You don't need to worry about taking time off to go to the gym, take a nap, go grocery shopping, do household chores, help someone, take care of a loved one, etc. If you have urgent tasks, but something comes up or takes longer than expected, just ensure the rest of the team **knows** and someone can pick up the tasks (assuming you're able to communicate)." — [*Jonathan S.*](https://gitlab.com/jschafer)

Jonathan's recommendation adds a layer of nuance to [Accepting Uncertainty](/handbook/values/#accepting-uncertainty), an operating principle of [Results](/handbook/values/#results). It also touches on [Give agency](/handbook/values/#give-agency), an operating principle of [Collaboration](/handbook/values/#collaboration), which empowers team members to focus on what they think is most beneficial.

> Take advantage of GitLab's bias towards [asynchronous communication](/handbook/company/culture/all-remote/management/#asynchronous). A child's schedule shifts rapidly, and I've found it useful to structure my days around my son's routine rather than force him to operate on a rigid timeline. Being a part of a [100% remote team](/handbook/company/culture/all-remote/) empowers team members to [embrace work/life harmony](/handbook/company/culture/all-remote/people/#worklife-harmony) in whatever way suits them. Moreover, it's liberating to be able to shift when and where I work depending on the needs of my family.
>
> It's important to talk about family. For a company to sustain a culture that embraces parents and empathizes with the associated needs, these realities must be shared in the open and not allowed to become taboo. — [*Darren M.*](https://gitlab.com/dmurph)

### Returning to work at 50% capacity

Returning to work after [parental leave](#parental-leave) can be jarring if you're attempting to jump immediately back to 100%. Not only has your life changed dramatically with the expansion of your family, but you're reintegrating into a working world that has continued to progress in your absence. Merely catching up with months of work is a challenge unto itself, even without a new family member.

To alleviate the stress associated with returning to work after parental leave, GitLab supports team members coming back at 50% capacity. Team members should discuss this option with their Manager (ideally prior to the start of the leave or a few weeks prior to returning from leave) and find a working schedule that works best for the team member and for their team.  The general guideline (that can be approved by your Manager) is two to four weeks, but recognize that each reentry situation should be treated as a unique case to be discussed between the team member and their manager. The 50% figure should be viewed as a guide rather than an inflexible rule. Some team members may feel comfortable ramping more quickly, and that is OK.

This provides space for a team member to test out life adjustments and iterate further without feeling overwhelmed by a full workload. For instance, if a prearranged daycare solution turns out to be suboptimal, this 50% capacity window empowers a parent to iterate — to find a different solution with the air cover at work to put in the appropriate amount of research and care.

Parents at GitLab who are reentering work following parental leave are encouraged to read the [Team Member Tool Kit]({{< ref "parental-leave-toolkit#team-member-tool-kit" >}}) and to reach out to team members who self-designate as a [Parental Leave Reentry Buddy]({{< ref "parental-leave-toolkit#parental-leave-reentry-buddies" >}}).

Managers of soon to be parents should check out this [Parental Leave Manager Tool Kit]({{< ref "parental-leave-toolkit#manager-tool-kit" >}}) for best practices in supporting your team members as they prepare for and return from Parental Leave.

If you're interested in learning about how other GitLab team members approach parenthood, take a look at [the parenting resources wiki page](https://gitlab.com/gitlab-com/gitlab-team-member-resources/wikis/parenting) and [#intheparenthood](https://gitlab.slack.com/messages/CHADS8G12/) on Slack.

## GitLab Cares - Team Member Disaster Relief Program

When Team Members are affected by natural disasters such as fires, earthquakes, floods, etc..., GitLab has established a Team Member Relief Program to assist with financial hardship from these disasters or other emergencies. This program is managed in partnership with E4E Relief, a non-profit that helps businesses establish global disaster relief programs for their Team Members.

This program provides Team Members and their families with short-term, need-based assistance in times of extreme need. If you experience a difficult situation, please visit the [GitLab Cares Portal](https://gitlab.e4erelief.org/) to easily determine if you're eligible for program assistance and to apply for assistance.

GitLab started the fund with an initial contribution to support team members. Team Members may also choose to make donations to the fund as part of their annual giving and donation efforts. If you wish to make a donation, please visit the Portal and select 'Contribute to the Fund'. Donations are tax-deductable (country-specific tax laws apply).
