---
title: "GitLab BV (Belgium) Benefits"
description: "GitLab BV (Belgium) benefits specific to Belgium based team members."
---

Can't find what you're looking for? Try the main [People Operations page](/handbook/people-group/).

## Specific to Belgium Based Employees

Belgian employees are on state benefits. This includes sickness, medical, disability, pension, and unemployment. For more information, please take a look at the corresponding government website.

GitLab does not plan on offering pension benefits at this time due to the government cover.

GitLab will continue to review responses from the [Global Benefits Survey]({{< ref "benefits-survey#global-benefits-survey" >}}) as well as budgetary availability with respect to adding a Life Insurance policy for team members in Belgium.

Mandatory Indexation: Belgian GitLab team members fall under Joint Industrial Committee 227 (JIC 227). Under JIC 227 regulations, wages are automatically adjusted by increasing or decreasing them by 2% when the smoothed health index reaches or is brought back to one of the pivot index numbers. This indexation aims to maintain purchasing power as living costs change. Gitlab may process these mandated increases as part of the Annual Compensation Review. An email will be sent to affected team members that will state their salary increase is an advance payment (partly) on the given year indexation, aiming at compensating (partly) for the increased costs of living and will ask for an acknowledgment of receipt of said email to each employee.

## Healthcare Allowance

**Allowance: gross amount of 70 Euros Per month**

- Healthcare Monthly Allowance will be paid by Payroll as an allowance to team members to help subsidize the cost for their own Healthcare plans.
- Team Members will need to purchase their own healthcare plans. No documentation is needed to receive the allowance.
- This amount will be paid on a monthly basis with the regular payroll and will be taxed accordingly.
- The allowance will be prorated for New Hires that start in the middle of the month and terminations that end in the middle of the month.
- Team members on sick pay or unpaid parental leave will continue to receive the monthly allowance.
- The allowance is the first iteration of the Belgium Medical Benefits. Once it is possible to set up a group insurance plan in Belgium, the medical allowance policy will be removed.

## Ecocheques

Each year all employees will be sent ecocheques no later than July 31. In accordance with the local law these are provided by GitLab at no cost to the individuals. These are currently sent by GitLab's payroll provider in electronic form via a [Sodexo](https://be.sodexo.com/) card. A pin for this card will be sent separately. The maximum value is 250 Euros, the amount that will be granted is pro-rated depending on the employee's start date. The reference period is from July 1 of the previous year to June 30 of the year of payment. These ecocheques must be used to purchase ecological products and services; you can always find a current list of what is available on the [National Labor Council](https://cnt-nar.be/sites/default/files/documents/nl/cao-098-quinquies-%2823-05-2017%29.pdf) website. These ecocheques are exempt from social security contributions and may not be awarded for replacement or conversion of salary.

## First Aid Kit

Team members in Belgium should keep a basic first aid kit in their home, as per the Belgian Work Regulations and can purchase and expense one if needed. [This kit from Amazon](https://www.amazon.com.be/-/en/Medical-Outdoor-Survival-Emergency-Workplace/dp/B07R3RMFC4/ref%3Dsr_1_11?crid%3DBRSTI7BC72FQ%26keywords%3Dfirst%252Baid%252Bkit%252Bfor%252Bhome%252Boffice%26qid%3D1686872754%26sprefix%3Dfirst%252Baid%252Bkit%252Bfor%252Bhome%252Boffic%252Caps%252C198%26sr%3D8-11%26th%3D1&sa=D&source=docs&ust=1689883665744344&usg=AOvVaw3000OeBSFQU0GMfKNhd7KA) is suitable but team memebrs may purchase and expense a similar kit in a similar price range from elsewhere if preferred. Please, when expensing the first aid kit through Navan, add a link to this Handbook page in the description to assist the expenses team with approvals (/handbook/total-rewards/benefits/general-and-entity-benefits/bv-benefits-belgium/#first-aid-kit).

## Belgium Holiday Schedule

Pursuant to article 13 of the law on paid public holidays, employers are obliged to inform employees of observance holidays granted in lieu of public holidays which fall on a Sunday or another day of inactivity. Below is the 2024 Holiday and Observance schedule for Team Members in Belgium:

| Date                     | Holiday | Replacement Day |
|--------------------------|:---:|:----:|
| Monday January 1st         | New Year's Day  | |
| Monday April 1st     | Easter Monday  |  |
| Wednesday May 1st | Labour Day  |  |
| Thursday May 9th   | Ascension Day  |  |
| Monday May 20th        | Whit Monday   |  |
| Sunday July 21st     | National Holiday  | Monday July 22nd |
| Thursday August 15th | Assumption Day  |  |
| Friday November 1st  | All Saints Day   | |
| Monday November 11th    | Armistice  | |
| Wednesday December 25th     | Christmas  |  |

## GitLab B.V. Belgium Leave Policy

- Sick Leave
  - Every team member is entitled to have their remuneration to be paid by GitLab during the first 30-day period of incapacity for work, regardless of their seniority. This leave runs concurrently with GitLab's Sick Time policy. Team members must designate any time off for illness or injury as `Out Sick` in Workday to ensure that sick leave entitlement is properly tracked.
    - When two incapacities follow one another without interruption or where the second occurs within 14 days of the first (e.g. a relapse of the same illness or injury), there is only one period of incapacity and the guaranteed remuneration will not be due again.
    - Where a second or further incapacity occurs within 14 days of a previous incapacity, *and* the team member can prove by means of a medical certificate that this new incapacity for work is caused by a new illness or injury, a new guaranteed salary will be due again.
- Statutory Parental Leave
  - Pregnant team members are entitled to 15 weeks of maternity leave which consists of two periods: prenatal leave of 6 weeks and postnatal leave of 9 weeks.
    - Prenatal Leave: At the pregnant team member's request, this leave starts, at the earliest, six weeks before the expected date of delivery and is comprised of the following:
      - One week of obligatory rest before delivery. (It is prohibited for an employer to employ a pregnant team member from the seventh calendar day preceding the expected date of delivery)
      - An optional period of rest during the first five weeks. This may be taken up, at the team member's choice, either:
        - in full before the one-week obligatory prenatal rest,
        - after the nine week obligatory postnatal rest,
        - or partly before the obligatory prenatal rest and partly after the obligatory postnatal rest.
      - If the child is born later than the expected date of delivery, pre-natal leave is extended to the actual date of delivery.
    - Postnatal Leave is comprised of the following:
      - Nine weeks obligatory leave immediately after delivery. In no case may an employer employ the team member concerned during this period, even if they ask for it or agree to it.
      - Where appropriate, following this obligatory postnatal leave, the team member may take the whole or part of the period of five weeks of optional prenatal leave. This leave can be transferred only on condition that the team member resumed their work from the sixth week preceding the actual date of delivery.
    - It is prohibited for employers to allow pregnant team members to work overtime.
    - For team members who have been with GitLab for six months and completed a probationary period:
      - Both prenatal and postnatal leave run concurrently with [GitLab Parental Leave](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave).
      - GitLab will supplement statutory maternity leave payments so that the team member continues to receive 100% of their salary for up to 16 weeks.
  - Paternity / Co-Parent Leave: every team member is entitled to twenty days (fifteen days if birth has taken place before 1 January 2023) of leave following the birth of a child, to be used at the team member's discretion within four months following the date of child birth. This leave will run concurrently with [GitLab's 16-week Parental Leave policy](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave), and team members will be entitled to 100% of their salary for up to 16 weeks (minus any statutory entitlements).
    - After the initial 3 days of leave, team members are eligible for payment through the mutual insurance fund for the next 12 days. The amount paid by the fund will be 82% of capped daily gross salary at €  139.97 (leave from 1 January 2022).  GitLab will 'top up' the remainder (minus these funds) up to 100% of the team member's regular wages.
    - To process this leave request, GitLab will notify the payroll provider who will conversely update the pay code and notify the social office.
  - Team members should submit their request for Parental leave three months before the start of leave by selecting the `Parental Leave` label in Workday.
- Statutory Vacation Leave
  - Full-time team members are entitled to 20 statutory vacation days per year. If a team member leaves GitLab, the company will prepare a vacation certificate with the number of unused vacation days in the current year and early vacation pay for the vacation days that were already accrued for the following year. The employee can then hand over these documents to their next employer to determine vacation entitlements. Similarly, GitLab requires the vacation certificate from new team members' previous employer to ensure vacation pay is properly calculated and added to June payroll.
  - Vacation Leave runs concurrently with GitLab PTO. Team members must designate any vacation time taken as `Vacation` in Workday to ensure that vacation entitlement is properly tracked.

***Note: GitLab has a global [`flexible paid time off policy`](/handbook/people-group/paid-time-off/#paid-time-off), which is the guideline for all GitLab employees globally. We highlight statutory requirements for some countries as well to ensure local compliance, but stress that our Paid Time Off policy is applicable for all GitLab team members globally irrespective of local policy.**-

People Ops will consult with Vistra to ensure that the statute is met.
