---
title: "GitLab BV (Finland) Benefits"
description: "GitLab BV (Finland) benefits specific to Netherlands based team members."
---

Can't find what you're looking for? Try the main [People Operations page](/handbook/people-group/).

## Specific to Finland based team members

### Occupational Healthcare

The Employer is required by law to provide preventative occupational healthcare for their employees. Occupational healthcare for GitLab is through [Mehiläinen](https://www.mehilainen.fi/en).

### Pension Insurance

Both Employer and Employee must pay pension insurance contributions in Finland. The Employer must withhold the contributions through the Payroll and pay both the employee and employer social insurance contributions to the pension insurance company. GitLab administers all pension Insurance contributions through [ELO](https://www.elo.fi/en/about-elo#:~:text=We%20are%20Elo%2C%20a%20large,funds%20profitably%2C%20securely%20and%20responsibly.).

#### 2022 Contributions

| Pay to your insurance company                                                                                                                                              |    2022 |
|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------|--------:|
| Employee's pension insurance contribution (worker's ages 17 to 52)                                                                                                         |  7,15 % |
| Employee's pension insurance contribution (worker's ages 53 to 62)                                                                                                         |  8,65 % |
| Employee's pension insurance contribution (worker's ages 63 to 67)                                                                                                         |  7,15 % |
| An employer with an insurance contract: pension insurance contribution (average rate) An employer with an insurance contract is an employer who constantly employs people. | 17,40 % |
| Employer's pension insurance contribution (seafarers)                                                                                                                      |  11,4 % |

### Group Life & Accident insurance

Is administered by [IF](https://www.if-insurance.com/large-enterprises/insurance-solutions/employee-benefits/employee-benefits-finland)

### Unemployment Insurance

The employer must pay an unemployment insurance contribution if the total amount of wages paid to employees during the calendar year exceeds €1,300. The unemployment insurance contribution is paid for employees aged 17 to 64.

Employees must also pay unemployment insurance contributions. The employer must calculate the contribution based on the total wages and fringe benefits and deduct the employee's contribution from their net wages.

| Pay to the Employment Fund (Työllisyysrahasto/Sysselsättningsfonden)                                                                                                                                                                                         |                                                                                                                                        2022 |
|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------------------------------:|
| Employer's unemployment insurance contribution                                                                                                                                                                                                               | 0,50 %, if paid wages no more than €2,197,500 a year 2,05 %, if paid wages go over €2,197,500 a year 0,50 % for partial owners of a company |
| Employee's unemployment insurance contribution collected 1 January–31 July 2022 if the employee is 17 to 64 years old collected as of 1 August 2022 if the employee is 18 years old (from the beginning of the month following the employee's 18th birthday) |                                                                                                                                      1,50 % |
| The unemployment insurance contribution of a shareholder-employee                                                                                                                                                                                            |                                                                                                                                      0,74 % |

## Finland Statutory Leave Policies

### Annual Holidays

Annual holiday entitlement is based on the number of holiday credit months earned during the previous holiday credit year. Depending on the length of the employment relationship, the employee is entitled to either 2 or 2.5 weekdays (see section 5 for definition of weekday) of holiday for each full holiday credit month. In the case of an employment relationship that, by the end of the holiday credit year, has lasted for less than 12 months, the employee is entitled to 2 weekdays of holiday, and for an employment relationship that has lasted for more than 12 months, 2.5 weekdays of holiday, for each full holiday credit month. Under the Act, public officials in central government are entitled to 3 weekdays of holiday for each full holiday credit month after 15 years of service. When the number of days holiday is calculated, any fraction of a day is rounded up to constitute one full day of holiday.

### Family Leave

Recent reforms of family leave types in Finland will apply to parents expecting a baby with a due date of 4 September 2022 or later and to parents adopting a child if the child is placed in the parents' care on or after 31 July 2022. The types of leave are pregnancy leave and parental leave and in order to be eligible to receive the benefits, you must live in Finland or be covered by the Finnish social security system.

Whenever allowed by law GitLab's 16 weeks [Parental Leave policy](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave) will run concurrently with these benefits. Team members can request pregnancy or parental leave by selecting the Parental Leave option in Workday. The Absence Management team will contact you with more details after your request is received.

#### Pregnancy Leave

For [pregnancies with an expected due date of 4 September 2022 or later](https://www.kela.fi/during-pregnancy), the Finnish Social Insurance Institution (Kela) will pay pregnancy leave allowance for 40 continuous working days, to start from 14 to 30 days before the estimated due date.

#### Parental leave

All parents who have custody of their child have an equal right to parental leave regardless of whether they are biological or adoptive, and regardless of the gender of the parent (though generally only one parent may take parental leave at a time). Each parent is entitled to 160 days of parental allowance, with a maximum of 63 days being transferable. Kela pays parental allowance and it is paid regardless of family structure. Parental leave can be taken in up to four periods and must be taken before the child turns two. Single parents are entitled to both quotas and twins, triplets, or other multiple births are an exception to the model and the allowance quota will be extended by 84 days for the second child and every subsequent child.

#### *Before 31 July/4 September 2022*

Where a child is adopted by their parents (and placed into their care) before 31 July 2022 or a [maternity allowance period is due to start before 4 September 2022](https://www.kela.fi/families), the preceding system of maternity/paternity/adoptive/parental leave allowances, as set out below, will apply.

##### Maternity Leave

The right to the maternity allowance begins when the pregnancy reaches 154 days in duration. It is a requirement that the mother has been covered by the Finnish social security for at least 180 days immediately before the estimated date of delivery. This can also be calculated according to an insurance period in another EU or EEA country.

Maternity leave begins at the earliest 50 working days, and at the latest 30 working days, before the estimated due date. When maternity leave begins, Kela (Finnish Social Insurance Institution) will pay maternity allowance (äitiysraha) for a duration of 105 working days.

Mothers can claim a special maternity allowance (erityisäitiysraha) if, during the pregnancy, they have had to be absent from work before the actual maternity allowance period if:

1. their work involves exposure to chemical substances, radiation or infectious diseases,
1. risk factors are unavoidable at work, and
the employer cannot organise any other duties during the pregnancy.

Special maternity allowance does not reduce actual maternity allowance. It is paid until the maternity allowance period begins.

##### Paternity Leave

Fathers can, after the birth of the child, take paternity leave for a maximum of 54 working days. Of this, the father can be at home at the same time as the mother for a maximum of 18 working days, i.e. approximately three weeks. During paternity leave Kela pays a paternity allowance (isyysraha).

##### Parental Leave

Parental leave begins after maternity leave. Parental leave can be taken by either the mother or the father. [Kela](https://www.kela.fi/families) pays parental allowance (vanhempainraha) for 158 working days. If you receive pay during maternity, paternity or parental leave, Kela will pay a daily allowance for this time to your employer. Mothers who raise a child on their own can receive parental allowance for additional 54 working days. The extension is available only if paternity has not been confirmed and the mother does not have a spouse or partner who is entitled to paternity allowance.

You can claim special care allowance (erityishoitoraha) if you, as the parent of a seriously ill or disabled child under the age of 16, have to be temporarily absent from work without pay to take part in treatment or rehabilitation arranged for your child.

##### Adoption Leave

Adoptive parents are entitled to unpaid parental leave for a period of 233 days calculated from the date of the child's birth. Team Members are entitled to an allowance from social security. However, the parental allowance is paid for at least 200 workdays. If the child is received later than 54 weekdays after the child's birth, parental allowance is paid for 200 weekdays. Adoptive parent's paternity leave must be taken during the two years following the date the child is taken into care.

If you adopt a child from abroad, you can claim an adoption grant from [Kela](https://www.kela.fi/families) to meet some of the cost of the adoption. You can make the claim as soon as the international adoption agency has identified a child under 18 years of age for placement in your care and the Finnish Board of Inter-Country Adoption Affairs has authorised the adoption.

To qualify for the adoption grant, you must be covered by the Finnish social security system. The adoption grant is a tax-free lump sum payment.

#### Payment Calculations

The amounts for parental allowances, i.e. maternity allowance, special maternity allowance, paternity allowance and parental allowance, are calculated in the same way, but the size of the daily allowance varies according to the period.

Parental allowances are determined on the basis of the annual income which is calculated for a reference period of 12 calendar months prior to the calendar month that precedes the start of the entitlement to parental allowance.

The daily allowance can be paid according to the preceding benefit if you have been in rehabilitation, studying, ill or unemployed. The daily allowance can, in certain situations, be paid at the same level as previous parental daily allowance.

If the claimant does not have any working income, the daily allowances will be paid at the minimum levels. Daily allowance amounts are easy to find on Kela's website www.kela.fi/web/en.

### Sick Leave

Sometimes team members may become so ill that they are temporarily unable to work. In these situations, team members are entitled to 9 days of Sick Leave. [Kela](https://www.kela.fi/families) will compensate you for the loss of earnings for the period during which you were unable to work due to illness with a sickness allowance.

If you can work part time during the illness, without compromising your health or recovery, you can claim partial sickness allowance (osasairauspäiväraha).

#### Eligibility

Sickness allowance is paid to those between the ages of 16 and 67. The entitlement to sickness allowance commences nine working days after the illness begins (not counting the day of onset). A doctor's certificate is required for the period during which you are unable to work.

Team members must designate any time off for illness as `Out Sick` in Workday to ensure that sick leave entitlement is properly tracked.  If the time away extends beyond 9 days, team members should contact the Absence Management team (leaves@gitlab.com).

#### Sickness Allowance

If you become ill, you can [claim](https://www.kela.fi/main-page) sickness allowance (sairauspäiväraha) as compensation for loss of earnings.

Sickness allowance is calculated based on your annual income. The following are taken into account to calculate the annual income:

- wages and salaries
- salary for insurance purposes
- income under the self-employed persons' (YEL) and farmers' (MYEL) pension insurance schemes
- certain benefits you are entitled to (unemployment benefits, student allowance)

You can claim sickness allowance even if you have never received income from work or benefits. In such cases you will be paid at least the minimum amount. Find out how much you can claim in sickness allowance on the Kela website, www.kela.fi/web/en.

Sickness allowance is taxable income.

### Other Leave Types

Team members should contact the Absence Management team (leaves@gitlab.com) to request any of the follow leaves.

<details markdown="1">

<summary>Child Care Leave</summary>
Team Members are eligible for child care leave beginning after parental leave and lasting until the child reaches the age of 3. A child care benefit is payable for this period by the Social Insurance Institution.

The entitlement to unpaid childcare leave of the parent of an adopted child continues for at least 2 years following adoption, but not beyond the time when the child starts school. The minimum period for childcare leave is 1 month. This leave may only be taken by one of the parents or guardians of a child at a time. The leave can be taken in one or two periods of at least one month unless the employee and GitLab agree on more than 2 periods or a period shorter than 1 month. Employment Contract Act,(as amended 2021) Sec 3 (Chap 4).

</details>

<details markdown="1">

<summary>Study Leave</summary>

Unpaid Study leave is available to team members whose full-time employment with GitLab has lasted for one year in one or more periods. The maximum length of study leave is two years over a period of five years in one or more installments. If the employment has lasted for less than a year but at least three months, the maximum length of study leave is 5 days.

If the study leave is interrupted due to sickness, maternity, accident, etc, and such incapacity to work has lasted for more than 7 days, in such case, GitLab can at the request of the employee postpone the leave and grant the remaining study leave to some other days. Study Leave Act, No. 273 of 1979 (as amended), § §  4-6.

</details>

<details markdown="1">

<summary>Job Alteration Leave</summary>

Job alternation leave is an arrangement enabling a team member to take a temporary leave of absence from work lasting from 100 to 180 calendar days. The compensation for leave is not paid by GitLab but is paid via an unemployment fund or the Social Insurance Institution of Finland (Kela).

Team Members are eligible for job alternation leave when they have an employment history of at least 20 years. The maximum age to qualify for alternation leave is 60. Act on Job Alternation Leave, No. 1305 of 2002 (as amended), § §  2-7.

</details>

<details markdown="1">

<summary>Partial Care Leave</summary>

A Team Member who has been employed by the same employer for a period of at least 6 months in the previous 12 month calendar period is entitled to unpaid leave in order to take care of the child until the child finishes the second year of school, or, if the child has to start school one year earlier than normal, until the end of the third school year.

In the case of parents of a disabled child or a child with a long-term illness in need of particular care and support may be granted partial child-care leave until the child turns 18. Both the parents are entitled to such leave during the same calendar year but they cannot take the leave simultaneously.

The length of the leave and its time are determined by the team member's presentation. Partial care leave is then granted by reducing the daily working time to 6 hours. Part-time work must be uninterrupted, except for rest breaks. If working time is organized on average, it should be reduced to an average of 30 hours per week. Employment Contract Act,(as amended 2021) Sec 4 (Chap 4).

</details>

<details markdown="1">

<summary>Temporary Child Care Leave</summary>

The parents of children under the age of 10 have a right to a 4 working days' temporary unpaid child care leave in case of a sudden illness of the child. The team member must inform GitLab of the temporary care leave and its estimated duration as soon as possible. Employment Contract Act,(as amended 2021) Sec 6 (Chap 4).

</details>

<details markdown="1">

<summary>Leave for Family and Relatives</summary>

A team member shall be entitled to a temporary absence from work if their immediate presence is necessary for an unforeseeable and compelling reason affecting their family due to illness or accident. The team member must inform GitLab of the absence and the reason for it as soon as possible. At the request of GitLab, the employee must provide a reliable explanation of the reason for the absence.

If the team members's absence is necessary for the special care of a member of their family or another person close to them, GitLab shall endeavor to arrange the work so that the team member may be absent from work for a specified period. GitLab and the team member agree on the duration of the leave and other arrangements. Employment Contract Act,(as amended 2021) Sec 7 – 7a (Chap 4).

</details>

<details markdown="1">

<summary>Government Duty Leave</summary>

Team members are entitled to receive time off their work in order to attend to a position of trust in the municipal government. Section 18 (418/2015) of the Employment Contract Act.

</details>

<details markdown="1">

<summary>Natural Event Leave</summary>

If an employee is prevented from performing his or her work due to a fire, exceptional natural occurrence, or similar cause beyond their control, the employee shall be entitled to pay for the period of the impediment, up to a maximum of 14 days. Employment Contracts Act, No. 55 of 2001 (as amended), Sec 12.

</details>
