---
title: "GitLab BV (Netherlands) Benefits"
description: "GitLab BV (Netherlands) benefits specific to Netherlands based team members."
---

Can't find what you're looking for? Try the main [People Operations page](/handbook/people-group/).

## Specific to Netherlands based team members

### Answering Queries

| Team | How | For|
|-----|-----|-----|
| People Connect | [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=e2367f49474c069067429ee0026d43fa) | All general people related inquiries including time off policies |
| Non-US Payroll | [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=7b018859478c069067429ee0026d4352) | All general payroll-related inquiries  |
| Absence Management | leaves@gitlab.com | Leave of absence or sick leave questions and requests |
| HR Savvy | payroll@savvy-group.eu | Bike to work/tax saver commuter scheme, Regeling internet thuis, 30% tax ruling inquiries, and visa/sponsorship |

## Vacation Money

Dutch team members get the customary month of vacation money (Vakantiegeld) in the month of May, as defined [by the government](https://www.rijksoverheid.nl/onderwerpen/vakantiedagen-en-vakantiegeld/vraag-en-antwoord/hoe-hoog-is-mijn-vakantiegeld).
Note that Vakantiegeld is built into offers as well as our [Compensation Calculator](/handbook/total-rewards/compensation/compensation-calculator/).

## Medical

### Medical Allowance

Effective 1 August 2023, Full-Time Netherlands team members will be paid a gross monthly allowance of 100 Euros to subsidize healthcare costs.

Team Members will still need to purchase their own health insurance package (basisverzekering) with a health insurance company, as required by the Netherland's statutory healthcare system. If you do not have health insurance, you can be fined by the Sociale Verzekeringsbank.

Team Members will automatically receive the allowance via payroll. No documentation is needed to receive the allowance. The allowance is subject to taxes, which payroll will withhold on a monthly basis.

The allowance will be prorated for New Hires that start in the middle of the month and terminations that are effective in the middle of the month. Team members on sick pay or unpaid parental leave will still receive the monthly allowance. Team members who are on other unpaid leaves will not receive the stipend during their leave.

### Medical Collective Healthcare Policy

GitLab has partnered with [CZ](https://www.cz.nl/zorgverzekering/collectieve-zorgverzekering?015418634) to offer GitLab Team Members a collective healthcare policy in the Netherlands, effective 2023-10-01
The collective policy offers discounted rates for team members towards their supplementary insurance policies.

Instructions on enrolling on the policy, the policy number, and ID can be found on the [Netherlands CZ Collective Policy Enrollment Instructions](https://docs.google.com/document/d/1waw2rNECdmsinqqmtj4XNuL0zMQvFeyI17-0YBvKURM/edit).
The policy number is also listed on the [CZ Insurance document](https://docs.google.com/document/d/1waw2rNECdmsinqqmtj4XNuL0zMQvFeyI17-0YBvKURM/edit).

Team Members can include their dependents on the collective agreement as well.
Team members who join the plan will be able to pay CZ directly through their own bank account through invoice or direct debit. For more details on the policy please see the [GitLab CZ page](https://www.cz.nl/zorgverzekering/collectieve-zorgverzekering?015418634)

Team Members can enroll in the plans during the enrollment period at the end of each year. Team members must cancel their old insurance before January 1 and take out new insurance before February 1, you will be insured with a retroactive effective from January 1. For more details on transferring insurance, please see the ["Changing Health Insurance"](https://www.government.nl/topics/health-insurance/standard-health-insurance/changing-your-health-insurance) page on the Government of the Netherlands website.

Team Members can contact CZ directly if they have any questions at 088 555 7777

GitLab Team Members are not obligated to join CZ collective health policy. If they choose not to join the plan, they still must purchase their own health insurance package with another approved provider, as required by the Netherlands statutory healthcare system.

### Occupational Safety and Health

Due to the [Working Conditions Act](https://www.arboned.nl/en/compliance-law/dutch-working-conditions-act), GitLab contracts an occupational safety and health service. The OSH-service can assist employees who are not able to work because of illness. The contact information for GitLab's designated Occupational Health Service provider is:

**Leuk Personeel, Dorresteinweg 72-08, 3763 LL, Soest, the Netherlands

Tel: +0355436137

## Computer Glasses Reimbursement

Team Members experiencing eye problems due to work could be entitled to a reimbursement of corrective eye wear.
The Team Member must be seen by an optician and must provide proof that lenses are specifically required for reading a display screen only and not required for general day to day use.

Team Members should send their documentation (prescription) from the optician to total-rewards@gitlab.com for approval. The Team Member can request to be reimbursed for the frame, lenses, and eye test for a maximum reimbursement of 250 Euros.

Once Total Rewards approves, the team member should submit their reimbursement through [Navan](/handbook/business-technology/enterprise-applications/guides/navan-expense-guide/). For the Navan entry under "Expense Type" select "Other" and under "GL" select "Benefits Medical & Other".

## Pension

State pension (AOW) is standard and will be paid out at retirement age. Starting January 1, 2021, GitLab will offer a private pension plan through [ASR](https://www.asr.nl/zakelijk/inkomen-en-pensioen/doenpensioen)(formerly Brand New Day) for all team members over the age of 21 employed via a GitLab BV Netherlands employment contract. The pension plan will be a Defined Contribution Agreement with a flat rate of 5.00% of the pension base. The GitLab team member will contribute 2%, with the employer (GitLab) contributing 3%. The pension base equals the pensionable salary less the state pension offset. For additional training, ASR has provided [video](https://drive.google.com/drive/folders/1qjCicb0JxnCmG5i4l3Hv5CEs5q8mOuXX?usp=sharing) explanations on how the pension plan works. The pension plan is managed by our Netherlands benefits partner and team members are automatically enrolled upon hire.

**Pension Plan Summary:**

- Pension: The Pension plan is designed for team members to build up an invested pension fund that they cash in to purchase a retirement
pension and a partner's pension that pays benefits upon their death after their retirement via monthly contributions.
- Death Benefits: If a team member dies while in service and before the retirement date, the partner and/or children will receive death benefits. This is a life-long partner's pension for the spouse and a temporary dependant's pension for their children which pays benefits on the death of the team member. For more information on this please review section 8 of the [Pension Scheme](https://drive.google.com/file/d/1FaC8sHe-r_PHz4xrXbNYlH2zCHAU972h/view?usp=sharing)

The beneficiary is also entitled to additional lifelong partner's pension that is bough by the invested pension capital upon death. See article 18of the [Pension Scheme](https://drive.google.com/file/d/1FaC8sHe-r_PHz4xrXbNYlH2zCHAU972h/view?usp=sharing)

- Incapacity for Work: This is a waiver of premium for incapacity for work. If a team member becomes partially or fully incapacitated for
work, this portion of the plan continues to pay part or all of the pension contributions for team members to keep building up their pension fund and remain covered for the elected benefits.

**Voluntary Pension Plan Summary:**

- Extra Pension: Team members can make additional voluntary contributions to have extra funds to purchase a retirement pension and a partner's pension that pays benefits upon their death after retirement.
- Extra Death Benefits: Team members with a partner have the option of insuring an extra partner's pension upon their death prior to the retirement date. The following [2024 doc](https://docs.google.com/document/d/1vHUp7koRsOMVZk87uMGIpU8QJ0NhRE7x/edit) outlines additional information on how the voluntary ANW-gap pension works.

**Individual value transfer:**

A team member can have the pension value accrued at a former employer transferred to ASR. An individual value transfer must be requested from ASR within six months of joining the scheme. Once this is complete, the years of service at any former employers count towards Death Benefits.

**Investment Profile:**

Team members choose their own investment profile: neutral, defensive or offensive or their own mix of equities and bonds, within the limits set by ASR. Furthermore, you can choose to put all the contributions in a savings fund.

## Accident Policy

Effective November 1, 2022, all team members in the Netherlands will be enrolled in GitLab's Group Accident Insurance Policy with Hienfeld.

This cover provides peace of mind in the event of an accident. All team members are automatically enrolled at no cost to you.  The insured benefit per person is 2x annual salary in case of death or permanent disability due to an accident (maximum annual salary 250,000 euro per person.) You can find the General Terms and Conditions in [English](https://drive.google.com/file/d/10zMEoicyznarbiT_sJbwdKoQOdJb2rNK/view?usp=sharing) & [Dutch](https://drive.google.com/file/d/11dIBfZoIEIavIBYg-gWu7iZUbSxrnPJd/view?usp=sharing).

Because the insurance also pays out in case you pass away due to an accident, we urge you to inform your spouse about this benefit as well.

In the unfortunate event of an accident, please fill in the claim form and send it to total-rewards@gitlab.com as soon as possible. In case of death at least 36 hours before the funeral or cremation. The form is available both in [English](https://drive.google.com/file/d/1btOAO8HaIndD3rNyy2ZGM2v6pOqd5qet/view?usp=sharing) and [Dutch](https://drive.google.com/file/d/1TXDy9-OHgifVUtBht_vWoQ8Vdnr59pMe/view?usp=sharing)

Intern Coverage is a flat coverage amount: 50,000 Euro upon accidental death and 50,000 Euro in case of permanent disability.

## Life Insurance

GitLab offers Death Benefits via the Pension scheme:

- Death Benefits: If a team member dies while in service and before the retirement date, the partner and/or children will receive death benefits. This is a life-long partner's pension for the spouse and a temporary dependant's pension for their children which pays benefits on the death of the team member. For more information on this please review section 8 of the [Pension Scheme](https://drive.google.com/file/d/1FaC8sHe-r_PHz4xrXbNYlH2zCHAU972h/view?usp=sharing)

The beneficiary is also entitled to an additional lifelong partner's pension that is bought by the invested pension capital upon death. See article 18 of the [Pension Scheme](https://drive.google.com/file/d/1FaC8sHe-r_PHz4xrXbNYlH2zCHAU972h/view?usp=sharing)

## 30% Tax Ruling

Eligible team members may apply for the 30% Tax Ruling. More information can be found on our [Visas](/handbook/people-group/visas/#30-ruling-in-the-netherlands) page. Kindly note, this can also be [expensed](/handbook/people-group/visas/#expensing). Please submit any queries on the 30% tax ruling to HR Savvy (`payroll@savvy-group.eu`) and copy nonuspayroll@gitlab.com.

## Bike to Work/Tax Saver Commuter Scheme

GitLab uses HR Savvy to assist with the administration of [the bike to work/tax saver commuter scheme](https://business.gov.nl/running-your-business/environmental-impact/making-your-business-sustainable/buy-or-lease-a-company-bicycle/).

Effective 2024-02-15, The Cycle to work plan's maximum purchase limit will increase to 2000 EUR for a bike. The team members can avail this benefit every 2 years. This duration will be calculated based on the start date of the previously availed bike scheme benefit.

*Bike Applications:*

1. Send an email to HR Savvy (`payroll@savvy-group.eu`) to request participation in the scheme. In the email, mention the bike of your choice and accessories (if required).
1. HR Savvy will stage an addendum to the employment contract. Once signed by GitLab and the team member, HR Savvy will send a copy to Payroll and Total Rewards.
1. HR Savvy will purchase the bike on behalf of GitLab and send the invoice to Payroll.
1. Payroll will reduce the team member's gross salary by the cost of the bike as per the addendum.

If a team member would want to purchase a bike more expensive than the 2000 EUR maximum the process is as follows:

- HR Savvy will invoice the seller for the entirety of the bike.
- The difference between the cost of the bike and 2000 EUR will be deducted from the team member's net salary.
- This means the team member will only have a tax benefit over the first 2000 euro.

## Regeling Internet

See the relevant information in our [Global Travel and Expense Policy - Internet section](/handbook/finance/expenses/#internet).

## GitLab B.V. Netherlands Leave Policy

- Statutory Sick Leave
  - Team members who are unable to work due to illness are entitled to 70% of their salary for up to 104 weeks. This leave runs concurrently with GitLab's [Sick Time Policy]({{< ref "paid-time-off#sick-time---taking-and-reporting" >}}). Team members will receive 100% of their salary for the first 25 days of illness.
  - GitLab complies with [Dutch local Laws](https://business.gov.nl/regulation/reporting-employee-illness-recovery/) regarding sick leave. Local laws override any leave policy we have in the benefit of the team members.
  - Team members must select `Out Sick` in Workday to ensure that all sick time is properly tracked. For complete reporting procedures, please review [the sick time procedure for The Netherlands here]({{< ref "paid-time-off#sick-time-procedures---netherlands" >}}).
- Statutory Vacation Leave
  - Team members are entitled to at least 20 vacation days per year which run concurrently with GitLab PTO. The days will accrue at 1.67 days/month from the team member's start date. Any unused days will be carried into the next calendar year, but expire on July 1st. Should the team member leave GitLab within the calendar year, an entitlement to a pro rata part vacation days exists. Team members must designate all vacation days taken as `Paid Time OFF` in Workday to ensure that vacation entitlement is properly tracked.

We ask that team members submit any queries related to leave of absence or sick leave to the Absence Management team at leaves@gitlab.com. The Absence Management Team will consult with HR Savvy to ensure that the statute is met.

## Work and Care Act *(Wet arbeid en zorg)*

Team members are eligible for leaves as included in the Work and Care Act. Please find an overview below.

### Statutory Maternity leave Policy

- The team member is entitled to a maximum six weeks' leave prior to the estimated date of childbirth and for ten weeks after that date; therefore totaling sixteen weeks.
- The team member can reduce the leave period prior to the estimated date of childbirth to at least four weeks. In that case, the number of days not taken prior to the estimated date of childbirth is added to the leave period following the estimated date of childbirth.
- In the event of incapacity for work from six weeks prior to the estimated date of childbirth, the sixteen-week period for pregnancy and childbirth leave commences at that time, regardless of which agreements have been made.
- Besides this, you're also entitled to continuous wage during your leave which will still be paid out by GitLab. However, the [UWV](https://www.uwv.nl/en/about-uwv/executive-board) offers GitLab a WAZO (Work and Care Act) settlement which is designed to cover your salary while on leave. The UWV ensures expert and efficient implementation of team member insurance and the WAZO settlement is one of these insurances. This maternity benefit (WAZO) lasts at least 16 weeks and covers 100% of the [daily wage](https://www.uwv.nl/nl/zwangerschapsverlof-bevallingsverlof/zwangerschapsverlof-bevallingsverlof-berekenen) (GitLab will top this up to 100% of your normal base salary). In order for GitLab to receive this settlement HR Savvy will inform the UWV about your pregnancy via an application form. To apply, please inform the Absence Management Team (leaves@gitlab.com) when you'd wish for your maternity leave to start. The exact start date is up to you to decide. Please note that your leave can start 6 weeks prior to, but no later than, 4 weeks before your due date. HR Savvy will then work with GitLab directly to apply and keep leaves@domain.com in cc.
- If the team member is eligible for GitLab parental leave, the statutory leave will run concurrently with GitLab parental leave.
- Please do not communicate with HR Savvy directly, we ask that team members submit any queries related to leave to our Absence Management team by emailing leaves@gitlab.com.

### Statutory Paternity/Partner Leave Policy

- After your partner has given birth, you are entitled to up to five days of paid parental leave.
- Within 6 months of the birth you are also entitled to 5 weeks of additional paid leave (["Aanvullend geboorteverlof"](https://www.rijksoverheid.nl/onderwerpen/geboorteverlof-en-partnerverlof/geboorteverlof-voor-partners)) at a maximum of [70% of the maximum day wage](https://www.uwv.nl/nl/premies-bedragen/maximum-dagloon). If you have a compensation that is higher than the maximum day wage you will receive the 70% of the maximum day wage as set by the UWV.
- Please also refer to [the company policy]({{< ref "general-and-entity-benefits#parental-leave" >}}) as when more beneficial they supersede the statutory leave benefits.

### Adoption and Foster Leave

Team members who have adopted or taken in a foster child are entitled to 6 weeks of leave and [adoption or foster care allowance](https://www.uwv.nl/nl/adoptie-pleegzorg/voorwaarden-adoptie-pleegzorguitkering#hoe-hoog-is-mijn-adoptie-of-pleegzorguitkering).

- This leave runs concurrently with GitLab Parental Leave. GitLab will supplement adoption or foster care allowance for [eligible team members]({{< ref "general-and-entity-benefits#parental-leave" >}}) so that they receive 100% of their pay for the first 16 weeks of leave.
- Team members must notify the Absence Management team at `leaves@gitlab.com` of their intent to take adoption or foster leave at least three weeks in advance, and must designate this time off as `Parental Leave` in Workday to ensure that statutory entitlements are properly tracked.

#### Effective 2022-08-02

Adoptive and foster parents of children under 8 years old will be eligible for up to [9 weeks of partial payment through the UWV](https://www.rijksoverheid.nl/onderwerpen/ouderschapsverlof/invoering-van-2-maanden-betaald-ouderschapsverlof).  Parents are eligible for paid leave within the child's first year after the date of adoption or placement.

*Eligibility:*  Parents must be working (be employed) at the time and not yet have taken the full right of parental leave (26 times the weekly work hours).

- Employees working for GitLab that have a child under the age of 1 at the start of this new law, will also be eligible for this benefit.

*Pay Calculations:* The UWV will pay 70% of the daily wage (up to 70% of the maximum daily wage).  GitLab will to apply for the benefit with the UWV.  (More information to come)

### Statutory Parental Leave

- Team members who have a child 8 years old or younger and are qualified for parental leave, are entitled to take [unpaid parental leave](https://www.rijksoverheid.nl/onderwerpen/ouderschapsverlof/vraag-en-antwoord/recht-op-ouderschapsverlof). The amount of leave may not exceed 26 times the number of hours the team member works in one week.

#### Effective 2022-08-02

Parents will be eligible for up to [9 weeks of partial payment through the UWV](https://www.rijksoverheid.nl/onderwerpen/ouderschapsverlof/invoering-van-2-maanden-betaald-ouderschapsverlof).  Parents are eligible for paid leave within the child's first year after birth.*

*Eligibility:*  Parents must be working (be employed) at the time and not yet have taken the full right of parental leave (26 times the weekly work hours).

- Employees working for GitLab that have a child under the age of 1 at the start of this new law, will also be eligible for this benefit.

*Pay Calculations:* The UWV will pay 70% of the daily wage (up to 70% of the maximum daily wage).  GitLab will to apply for the benefit with the UWV.  (More information to come)

### Other Leave Types

- Short-term Care Leave
  - Short-term care leave is available to team members who must provide essential care to a person who is ill or otherwise in real need. Please find the definition of 'person' as it pertains to this policy below. In order to be eligible, the team member must be the only person who can look after the person in need during that period of time.
  - 'Person' means the following individuals: the team member's (grand)children, the team member's foster children living at his or her home, the spouse, registered partner or person with who the team member cohabits unmarried, a child living at home with the spouse, registered partner or person with who the team member cohabits unmarried, the team member's (grand)parents or brother/sister, others with who the team member has a social relationship (e.g. boyfriend, girlfriend, good neighbour) and persons who are part of the team member's household but are not a parent, child or partner (and not roommates with who there is a commercial or employment relationship).
  - Team members are entitled to a maximum of twice the number of their normal weekly hours agreed upon in their employment contract, per 12-month period. For example, if a team member's contract states that they have a 40-hour work week, then that team member may take 80 hours of short-term care leave in one 12-month period.
  - Team members are entitled to 70% of their salary to be paid by the employer. This leave runs concurrently with GitLab PTO. GitLab team members will receive 100% of their pay for the first 25 days of short-term care leave.
  - Team members must notify their manager and the Absence Management team at `leaves@gitlab.com` of their intent to take short-term care leave as soon as possible.
- Long-term Care Leave
  - Team members are entitled to long-term care in the event that their child, partner, or parent has a serious, life-threatening illness or in the event they have to provide necessary care to these persons due to illness or being in need of help. For all persons that fall under the scope of long-term care leave, GitLab refers to the definition of 'person' as included in the short-term care leave section above.
  - Team members are entitled to a maximum of 6 times the number of their normal weekly hours agreed upon in their employment contract, per 12-month period of time. For example, if a team member's contract states that they have a 40-hour work week, then that team member may take 240 hours of long-term care leave in one 12-month period.
  - There is no entitlement to pay during long-term care leave; however, this leave runs concurrently with GitLab PTO, so team members will receive 100% of their pay for the first 25 days of leave.
  - Team members should notify their manager and the Absence Management team at `leaves@gitlab.com` of their intention to take long-term care leave as soon as possible.

### Applying for Leave in the Netherlands

HR Savvy will assist GitLab in applying for maternity leave covered by social security. In this application GitLab can decide whether the benefit is paid to the team member directly, or the employer continues paying the salary and receives the benefit. The last option is done in most of the cases. Please do not communicate with HR Savvy directly, we ask that team members submit any queries related to leave to our Absence Management team by email at leaves@gitlab.com.

### Administration for Group Accident Policy

The Group Accident Policy is based on calculation in arrears. At the end of the insurance year, Hienfeld will send by post (in dutch) a letter with information requesting details to perform the premium payment in arrears. Once this letter is received, Total Rewards will send the letter to our HR Savvy contact, agnes@savvy-group.eu. HR Savvy will use the payroll data to share the updated Employee details with Heinfeld to calculate the final premium of previous years and a supplementary premium is invoiced.

On the invoice, a bank account number will be provided to pay the annual premium. Total Rewards will send the invoice to Accounts Payable for payment.

### Administration for Medical Allowance

All Full-Time team members and New Hires will automatically receive a medical allowance that will be taxed.
Payroll will add the allowance to New Hires' pay.
Payroll will continue to pay out the allowance during sick pay or unpaid parental leave
Payroll will cease payment of the allowance when team members are on other unpaid leave
