---
title: "GitLab Canada Corp"
description: "GitLab Canada Corp benefits specific to Canada based team members."
---

Can't find what you're looking for? Try the main [People Operations page](/handbook/people-group/).

## Specific to Canadian Team Members

The benefits decision discussions are held by Total Rewards and the Comp Group to elect the next year's benefits by the carrier's deadlines.

GitLab covers **100%** of team member, spouse, dependents, and/or domestic partner premiums for medical, dental, and vision coverage.

## Group Health Coverage

GitLab offers medical, dental, and vision coverage at no cost to the team member.

### Medical, Dental, and Vision Coverages

Effective 1 July 2024, GitLab Team Members will be enrolled in to the GitLab ManuLife Health Plan. For a high-level overview of the plan please see the [GitLab Canada Benefits Summary](https://drive.google.com/file/d/1ILDdpjn4_qPPflJQFz98bcMh8r7F2Se4/view?usp=sharing)

Please see the plan documents for additional details of the plan:

Plan A - Team Members Residing outside the Province of Quebec

- [English Version](https://drive.google.com/file/d/1xCtEk8bHHCkwdlQWeNBfTdQ7g-p1cSVM/view?usp=sharing)
- [French Version](https://drive.google.com/file/d/1Xj_IbV2Ppm_4Mpuy7-si0TK76B7aAKOG/view?usp=sharing)

Plan B - Team Members Residing in the Province of Quebec

- [English Version](https://drive.google.com/file/d/1EJc6uFSHXGl8rw45jAWMZk_kffFyuO-q/view?usp=sharing)
- [French Version](https://drive.google.com/file/d/1sPy7OiOm9KfWbgjYw4ABgLPTQNDMR69r/view?usp=sharing)

#### WorldCare Medical Second Opinion (MSO)

Medical Second Opinion provided by WorldCare Inc., easily connects you with a team of specialist who can evaluate diagnoses and treatment plans confidentially.

Please see the [GitLab Canada Benefits Summary](https://drive.google.com/file/d/1ILDdpjn4_qPPflJQFz98bcMh8r7F2Se4/view?usp=sharing) for more details.

#### Personalized Prescribing

Personalized Medicine is about learning about your genetics. Access reimbursement for genetic test that helps determine with medication and does may work best for you.

Please see the [GitLab Canada Benefits Summary](https://drive.google.com/file/d/1ILDdpjn4_qPPflJQFz98bcMh8r7F2Se4/view?usp=sharing) for more details.

#### Telus Health - Virtual Care

Offering 24/7 on-demand access to health practitioners via secure text, video, and chat, TELUS Health Virtual Care is available across Canada with services in English and French.

Connect via your ManuLife App for services including:

- Diagnostics
- Advice
- Prescriptions
- Lab & imaging orders
- Specialist referrals

Please see the [GitLab Canada Benefits Summary](https://drive.google.com/file/d/1ILDdpjn4_qPPflJQFz98bcMh8r7F2Se4/view?usp=sharing) for more details.

### Enrollment and Access

You can access your ManuLife portal [here](https://portal.manulife.ca/gb/sponsor-portal/public/welcomePage). See this video on how to [navigate the ManuLife Portal](https://drive.google.com/file/d/13Lxx8EC8FsWm5q-dc3kNkbAswNndzX2D/view?usp=sharing) and this video on the [ManuLife Mobile App access](https://drive.google.com/file/d/16bmw-RpeL8YKiz7MOWCJA03hQ0jEfubV/view?usp=sharing)

**For new hires:**
Once you've determined your enrollment coverage (family plan or single plan), email your decision to total-rewards@gitlab.com. This step must be completed in order for your enrollment process to begin.

During your first week with GitLab, you will be receiving an invitation from ManuLife with a directions on how to register for the a ManuLife account and add our Group Plan. Click on that link sent to you to set up your profile.
Please reach out to [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=b7d7b30d474c069067429ee0026d4382) if you have any questions!

More Details on setting up your ManuLife site can be found the [GitLab ManuLife Resource Page](https://eng4e.seismic.com/ls/0e8eb3a1-8323-43d7-b686-66c5d7745887/LkB_7-xfYTPGO0qT#/) including the following guides:

- Drug Plan Broucher
- Pharmacy Savings Tool-E
- HBD Personalized Medicine Program
- How To Designate a Beneficiary
- Emergency Travel Brochure
- Videos on how to navigate the ManuLife Portal

#### Updating Coverage Status, Life Events and Enrollment of Domestic Partners, Spouses, and Dependents

Definition of dependents include legally married or common law spouses, children under 21, including children of common law spouses. Children under 25 are also covered if they are a full time student - proof of school enrollment is required.

Team Members can change their plan status during certain Life Events. These Life events include:

- Marital Status
- Dependent Child (birth, adoption, legal gaurdianship, stepchild, etc)
- Death of a spouse or child
- Loss of spousal coverage
- Over-age student (ages 21-25) attends college/university each year (Sep 1- Aug 31)

##### Adding Dependents on to the ManuLife platform

If Team Members already have Dependents under the plan they can add more dependents during a life event themselves via the [ManuLife Portal](https://portal.manulife.ca/gb/sponsor-portal/public/welcomePage). Should you have any questions please reach out to ManuLife at 1-800-268-6195.

If this is the first dependent you are adding to the plan, please send Total-Rewards@gitlab.com an email with your request, please include your dependent's full legal name, date of birth, gender and if they have the additional coverage via their own employer or your spouse's employer for dependents.

#### Insurance Cards

Printed benefits cards are being phased out and it is recommended to print a PDF card for yourself and your spouse (if applicable). You can access this on the ManuLife Portal.

This card provides your group plan number and member identification number. Keep this information with you at all times and use it when requested by a health or dental provider or in case of medical emergency when traveling.

#### Offboarding and ManuLife Cover

Your benefits will cease on the day of your termination. There may be options to convert elements of your benefit plan to individual coverage, without medical questions. You can contact our brokers, SC Insurance, for more information about your options. You can find contact information below. Options are limited to a period of time after your coverage terminates, typically 30 or 60 days.

SC Insurance: info@scinsurance.ca or call 416.259.1166

### Frequently asked questions

- Can the pharmacist submit my prescription claim electronically without a drug card?
  - Yes, as long as you have the necessary information, a physical card is not needed for your prescription claim to be electronically submitted. Here are a few options for you: Log-on and print out a paper copy of your drug card. Provide your pharmacist you plan number, identification number, date of birth and identify if the patient is the employee, spouse or dependent child.
- Who should I contact with questions?
  - For general questions about group coverage, claims and more, you can contact manulife at 1-800-268-6195 (8 a.m. to 8 p.m. EST, Mon. to Fri.)
- What are my key responsibilities as a plan member?
  - If you experience a major lifestyles event, you must advise your plan administrator within 31 days of the event and complete any corresponding paperwork. Failure to notify Canada Life of a lifestyle event within 31 days of the event, could result in limitations or declined coverage. Please see your plan administrator for support.
  - Major lifestyles events include:
    - Marriage - legal or common-law (1st day of cohabitation)
    - Legal Separation
    - Divorce or termination of a common-law relationship
    - Death of spouse or insured child, Birth or adoption of a child
    - Loss of spouse's benefits
    - Dependents becoming ineligible for dependent coverage either because of their age or student status

## Life Insurance / AD&D

- Benefit: 2 times annual earnings to a maximum of $500,000
- Reduces by 50% at age 65, and terminates at age 71 or earlier retirement

### Beneficiary Designation

Team Members can designate a beneficiary for their life insurance policy directly on the ManuLife portal. Please see the [Beneficiary Designation Instructions](https://drive.google.com/file/d/1P8ekxi7aWF5FxI2wdAkO1dDYSCDEJovm/view?usp=sharing).

It's important to have this information up to date to ensure that team member's loved ones receive the funds tax free in the unfortunate event of a team member passing.  Without a beneficiary in place, the funds may go into an estate and could be subject to taxes before beneficiaries are eligible. Please note that there is a separate process for electing a beneficiary for the RRSP plan.

## Long Term Disability

- 90 day waiting period
- Benefit Period: to age  65 with a 2 year own occupation definition
- 66.67% of basic monthly earnings
- Maximum $12,500
- Tax-Status: Taxable benefit at time of claim
- Termination age: 65 or earlier retirement

## Personal Travel Assistance

Under the ManuLife plan, Team Members have cover for emergency travel assistance for personal travel, including up to 5,000 for trip cancellation.

Please see these resources for additional details:

- [Travel Assistance Brouchure](https://eng4e.seismic.com/ls/0e8eb3a1-8323-43d7-b686-66c5d7745887/LkB_7-xfYTPGO0qT#/content/076f2343-1136-49f8-a1ff-2d17a9fca17a)
- [Trip Cancellation Insurance](https://events.snwebcastcenter.com/manulife/GBRS/Prod/gbmessagecenter/Trip_Cancellation_InsEN.pdf)
- See the page 20-23 of the [policy](https://drive.google.com/file/d/1xCtEk8bHHCkwdlQWeNBfTdQ7g-p1cSVM/view?usp=sharing)

## Registered Retirement Savings Plan (RRSP)

Effective November 1, 2021, eligible Canadian Team Members can enroll in GitLab's Group Registered Retirement Savings Plan (RRSP). Under this plan you can begin contributing pre-tax income towards a retirement savings account managed by our provider, Canada Life.

### Plan Details

- Eligible: Start date or November 1, 2021 if hired before the plan effective date.
- Match: GitLab will match up to 3% of base salary with a cap of 2,500 CAD. Team members may voluntarily choose to contribute more than 3% with no employer match.
- Eligibility criteria: All full-time (defined as working at least 30 hours per week) team members of GitLab Canada Corp.
- Contributions may be updated at any time, but please allow 1 - 2 payroll cycles for the new contribution amount to reflect in your paycheck.
- Withdrawals are not permitted on the employer or member portion.  If the member has a voluntary account than they are permitted.

### RRSP Enrollment

For enrolling into the RRSP, please navigate to [Canada Life's RRSP portal](https://mycanadalifeatwork.com) and follow the directions in the [enrollment express pdf](https://drive.google.com/file/d/16K333QPsXllZFolC_yiXZYb3rUYJwXvu/view?usp=sharing). For a more detailed overview of enrolling and navigating the RRSP platform, please reference the [enrollment express guide](https://www.brainshark.com/1/player/grs?pi=zGWz97lF4zPVigz0&r3f1=c5ff81d2ded38b99c999f69cca80c7ded98198f2dbc5c1cd9e&fb=0).

- Once enrolled, a plan administrator will need to approve your enrollment. This may take up to two weeks.
- If you need any help, please contact Canada Life at 1-800-724-3402, our broker SC Insurance at info@scinsurance.ca, or [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=b7d7b30d474c069067429ee0026d4382).
- Please remember to select a beneficiary when enrolling. This is separate from the beneficiary elected for your life insurance plan.
- Team Members are responsible for monitoring their own contribution limits to ensure they do not over-contribute to their maximum limit. This is because team members can carry forward RRSP contribution room that they were unable to use in any particular year and is unique to each member.
- Team Members can also request to contribute their bonus or discretionary bonus towards their RRSP plan outside their normal salary. The employer match does not apply towards this contribution. In order to make this request, please email Nonuspayroll@gitlab.com and Total-Rewards@gitlab.com prior to the bonus being paid out.

## Canada Pension Plan (CPP)

Employer contributions are made to the federal Canada Pension Plan (CPP).

## PTO and Vacation Information

GitLab Canada Corp's statutory vacation requirements are found on the [GitLab PTO handbook page]({{< ref "paid-time-off#statutory-vacation-requirements" >}}). Vacation time runs concurrently with GitLab PTO. Team members must designate all vacation time taken as `Paid Time off` in Workday to ensure that vacation entitlement is properly tracked.

## Sick Pay

Canada Corp - Team members who have been employed by GitLab are entitled to 10 days per year, 3 days after the first month of employment. Employees must designate any time off for illness as `Out Sick` in Workday to ensure that annual sick leave entitlement is properly tracked.

Ontario - Team members who have been employed by GitLab for at least two consecutive weeks are entitled to up to three full days of job protected unpaid sick leave every calendar year under the Employment Standards Act (ESA). Leave under ESA runs concurrently with GitLab Sick Time. Employees must designate any time off for illness as `Out Sick` in Workday to ensure that annual sick leave entitlement is properly tracked.

Quebec - The Act Respecting Labour Standards (ALS) provides for two days of paid absence per calendar year (January 1 to December 31). This leave runs concurrently with GitLab Sick Time. Employees must designate any time off for illness as `Out Sick` in Workday to ensure that annual sick leave entitlement is properly tracked.

Québec - [La Loi sur les normes du travail (N-1.1)](https://www.legisquebec.gouv.qc.ca/fr/showdoc/cs/N-1.1) prévoit deux jours d'absence rémunérée par année civile (du 1er janvier au 31 décembre). Ce congé s'exécute simultanément avec les règles de congé de GitLab. Les employés doivent désigner tout congé de maladie par la catégorie «Out Sick» dans PTO par Roots, pour s'assurer que le droit aux congés de maladie annuels est correctement suivi.

## GitLab Canada Corp Parental leave

### Statutory General Entitlement

**Maternity Leave:**

*Ontario*

- Team members who have been employed at GitLab for at least 13 weeks before their due date are entitled to 17 weeks of Maternity Leave. This leave may begin as early as 17 weeks prior to the expected date of birth. If the child is not born within the first 17 weeks of maternity leave, then maternity leave is extended until the date of birth. Once maternity leave has started, it must be taken all at once.

*Quebec*

- Team members are entitled to 18 weeks of Maternity Leave. This leave may begin as early as 16 weeks prior to the expected date of birth and end no later than 20 weeks after the week of delivery. If the leave begins at the time of the delivery, the week of the delivery is not included in the calculation of leave. If delivery occurs after the expected date, the team member is entitled to at least 2 weeks of maternity leave after the delivery, even if the 18 week entitlement has already been used. At the request of the parent, this leave may be suspended, divided, or extended if the health conditions of the parent or child require it.

*British Columbia*

- Pregnant team members can take up to 17 consecutive weeks of unpaid maternity leave. Leave must begin on or before the date the baby is born. It cannot start earlier than 13 weeks before the expected date of birth. Leave continues for at least 6 weeks after childbirth. If the team member is unable to return to work for reasons related to childbirth, the leave can be extended for six weeks (for a total of 23 weeks) after the baby is born.

*Alberta*

- Team members who have been employed by GitLab for at least 90 days are entitled to up to 16 consecutive weeks of unpaid maternity leave. The number of weeks exceeds the Employment Insurance benefit length by one week in recognition of the waiting period. Leave can start up to 13 weeks prior to the expected date of birth, and no later than the date of birth. Pregnant team members must take at least 6 weeks of leave after birth.

*Manitoba*

- Team members who have worked with GitLab for at least seven consecutive months are entitled to up to 17 weeks of maternity leave. Generally, leave will end 17 weeks after it began; however, team members are entitled to more maternity leave equal to the number of days between the expected date and the actual date of birth. For example, if the actual date of birth is 14 days after the estimated date of delivery, the team member would receive an additional 14 days of maternity leave. Team members who have taken maternity leave and also wish to take parental leave, must do so immediately following maternity leave, unless another arrangement has been agreed upon.

**Paternity Leave**

*Quebec*

- Team members are entitled to 5 consecutive weeks of paternity leave. This leave may begin as of the week of the child's birth and end no later than 78 weeks after the child's birth. At the request of the parent, this leave may be suspended, divided, or extended if the health conditions of the parent or child require it.  This type of leave is exclusive to the biological father, or spouse of the biological mother.

- Benefits for a two-woman couple: The biological mother is entitled to maternity benefits and her spouse is entitled to paternity benefits if she is mentioned on the birth certificate. Both mothers are also entitled to parental benefits. In the case of spouses who adopt a child, both are entitled to adoption benefits.

- Benefits for a two-man couple: Paternity and parental benefits are granted to the biological father. A man who adopts his spouse's biological child may also be entitled to adoption benefits. In the case of spouses who adopt a child, both are entitled to adoption benefits.

**Parental Leave:**

*Ontario*

- All team members who have been employed at GitLab for at least 13 weeks prior to taking leave, are eligible for up to 61 or 63 weeks of Parental Leave. The parent who gives birth to the child is entitled to take up to 61 weeks of parental leave. All other new parents are entitled to take up to 63 weeks of parental leave. This leave may be taken at any time during the first 78 weeks after your child is born, or the day your child comes into your care. Parental leave must be taken in one continuous period.

*Quebec*

- Team members are entitled to up to 65 weeks of parental leave in addition to 18-week maternity leave or 5-week paternity leave. At the request of the parent, this leave may be suspended, divided, or extended if the health conditions of the parent or child require it.

*British Columbia*

- Team members can take up to 62 weeks of unpaid parental leave any time within 78 weeks of their baby being born, or an adoptive child being placed. Team members who take maternity leave are entitled to 61 weeks of parental leave which begins immediately after maternity leave ends (for a total of 78 weeks), unless another agreement is made. Parental leave can be extended by up to five weeks if the child needs more care due to a physical, psychological or emotional condition.

*Alberta*

- Team members who have been employed by GitLab for at least 90 days can take up to 62 weeks of unpaid parental leave. The number of weeks of leave exceeds the Employment Insurance benefit length by one week in recognition of the waiting period. Leave can start any time after the birth or adoption of a child, but must be completed within 78 weeks of the date the baby is born or placed with the parents. In the case of a pregnant team member, parental leave begins immediately following maternity leave.

*Manitoba*

- Team members who have been employed with GitLab for at least 7 consecutive months are entitled to 63 weeks of parental leave. Parental leave can begin up to 18 months after the birth or adoption of a child. Team members who have taken maternity leave and wish to take parental leave as well, must do so immediately following maternity leave.

### Maternity Leave Payment

- Team members in Ontario, British Columbia, Alberta, and Manitoba may be eligible to receive [Employment Insurance Maternity Benefit](https://www.canada.ca/en/employment-social-development/programs/ei/ei-list/reports/maternity-parental.html#h2.1) through the Government of Canada for up to 15 weeks of Maternity Leave if they meet the required eligibility criteria.
  - The Province of Québec is responsible for providing maternity, paternity, parental, and adoption benefits to residents of Quebec through a program called the [Québec Parental Insurance Plan](https://www.rqap.gouv.qc.ca/en/about-the-plan/general-information/premiums-and-maximum-insurable-earnings).
- Team members may also be eligible to receive Employment Insurance Parental Benefit (see below) if they meet the required eligibility criteria.
- If a team member is eligible to receive Employment Insurance and also eligible to receive payments under [GitLab's paid Parental Leave]({{< ref "general-and-entity-benefits#parental-leave" >}}), GitLab will supplement Employment Insurance payments for up to 16 weeks such that the gross amount of the Employment Insurance payments plus GitLab's top-up payment under Parental Leave will equal 100% of the team members' normal weekly salary during each week of the top-up payments.
- If a team member is ineligible to receive Employment Insurance, but eligible to take GitLab's paid Parental Leave, GitLab will pay 100% of the team members' normal weekly salary for up to 16 weeks of leave.
- To determine your eligibility for such benefits and/or apply for Employment Insurance, follow the instructions on the [Service Canada website](https://www.canada.ca/en/employment-social-development/programs/ei/ei-list/reports/maternity-parental.html#h2.3). Please note that GitLab is not responsible for, or at all involved in, the adjudication of claims for employment insurance benefits.

### Parental Leave Payment

- Team members in Ontario, British Columbia, Alberta, and Manitoba may be eligible to receive [Employment Insurance Standard Parental Benefit](https://www.canada.ca/en/employment-social-development/programs/ei/ei-list/reports/maternity-parental.html#h2.1-h3.2) through the Government of Canada of up to 35 weeks or [Employment Insurance Extended Parental Benefit](https://www.canada.ca/en/employment-social-development/programs/ei/ei-list/reports/maternity-parental.html#h2.1-h3.2) of up to 61 weeks if they meet the required eligibility criteria.
  - The Province of Québec is responsible for providing maternity, paternity, parental, and adoption benefits to residents of Quebec through a program called the [Québec Parental Insurance Plan](https://www.rqap.gouv.qc.ca/en/about-the-plan/general-information/premiums-and-maximum-insurable-earnings).
- If a team member is eligible to receive Employment Insurance and also eligible to receive payments under [GitLab's paid Parental Leave]({{< ref "general-and-entity-benefits#parental-leave" >}}), GitLab will supplement Employment Insurance payments for up to 16 weeks such that the gross amount of the Employment Insurance payments plus GitLab's top-up payment under Parental Leave will equal 100% of the team members' normal weekly salary during each week of the top-up payments.
- If a team member is ineligible to receive Employment Insurance, but eligible to take GitLab's Parental Leave, GitLab will pay 100% of the team members' normal weekly salary for up to 16 weeks of leave.
- To determine your eligibility for such benefits and/or apply for Employment Insurance, follow the instructions on the [Service Canada website](https://www.canada.ca/en/employment-social-development/programs/ei/ei-list/reports/maternity-parental.html#h2.3).  Please note that GitLab is not responsible for, or at all involved in, the adjudication of claims for employment insurance benefits.

### Applying for Parental Leave in Canada

- To initiate your parental leave, submit your time off by selecting the `Parental Leave` category in Workday at least 6 weeks before your leave starts. Please familiarize yourself with [GitLab's Parental Leave policy]({{< ref "general-and-entity-benefits#parental-leave" >}}).
- Pregnant team members must provide a certificate from a health care practitioner certifying their pregnancy to the Absence Management team at `leaves@domain.com`.

### GitLab Parental Leave Payments and Employment Insurance

The Employment Insurance benefit and Quebec Parental Insurance plan provides government financial assistance to parents who are away from work to care for their newborn or newly adopted child or if they are pregnant or have recently given birth.

The combined amount of Employment Insurance payments and supplementary payments from GitLab cannot exceed a team member's normal weekly earnings. The supplementary payment will not be used to reduce other statutory accumulated benefits such as sick leave, vacation leave or severance pay.

Per the statutory requirements in Canada, a team member is ineligible to receive any Employment Insurance payments if they are receiving full parental leave pay from GitLab.

- The ROE is provided through the payroll provider. You can visit [My Service Canada Account (MSCA)](https://www.canada.ca/en/employment-social-development/services/my-account.html) to view ROEs issued for you by past and recent employers, but if it's not there you can email or ping the Non-US payroll team and they will ask the payroll provider to provide one.

**It is important to be aware that the eligibility requirements for Employment Insurance benefits and eligibility to take a job-protected leave in your province may be different. For more information on Employment Insurance, contact [Government of Canada](https://www.canada.ca/en/services/benefits/ei/ei-maternity-parental.html) or [Government of Quebec](https://www.rqap.gouv.qc.ca/en/what-is-the-quebec-parental-insurance-plan)**

## Other Leave Types

<details markdown="1">

<summary>Ontario</summary>

The following statutory leave types run concurrently with GitLab PTO. Each leave is separate, and the right to each leave is independent of any right a team member may have to other leave(s). A team member may be entitled to more than one leave for the same event. A team member's entitlement to any statutory leaves of absence is governed by the legislation applicable in the province in which the employee works for the Company. Statutory leaves of absence will be tracked separately. Any additional paid or unpaid leaves provided by GitLab, are inclusive of, and not in addition to, any concurrent paid or unpaid leaves provided by the applicable employment standards legislation. Additional information can be found on the [Government of Ontario website](https://www.ontario.ca/document/your-guide-employment-standards-act-0). Statutory leave for which team members are not entitled to pay will be paid at 100% of the team member's salary for the first 25 days. If the team member is eligible for a government benefit, GitLab will supplement the payment so that the team member receives 100% of their salary for the first 25 days.

To initiate leave, and ensure that statutory entitlements are properly tracked, team members should contact `leaves@domain.com` and then submit the time off request by selecting the appropriate option in Workday. If you do not feel comfortable submitting your time away in Workday, the Absence Management team can enter your time off in Workday on your behalf.

**Bereavement Leave** *Team members who have been employed by GitLab for at least 2 consecutive weeks*

- 2 unpaid days each calendar year for the death of a family member.
- Team members should select `Bereavement` in Workday.

**Family Responsibility Leave** *Team members who have been employed by GitLab for at least 2 consecutive weeks*

- 3 unpaid days of leave each calendar year because of an illness, injury, medical emergency, or urgent matter relating to [certain relatives](https://www.ontario.ca/document/your-guide-employment-standards-act-0/family-responsibility-leave).
- Team Members should select `Out Sick` in Workday.

**Family Caregiver Leave**

- Up to 8 weeks per calendar year, [per specified family member](https://www.ontario.ca/document/your-guide-employment-standards-act-0/family-caregiver-leave).
- Team Members should select `Out Sick` in Workday.

**Family Medical Leave**

- Up to 28 weeks in a 52-week period to provide care or support to certain family members and other [qualifying individuals](https://www.ontario.ca/document/your-guide-employment-standards-act-0/family-medical-leave#section-0) who have a serious medical condition with a significant risk of death.
- Team Members should select `Out Sick` in Workday.

**Critical Illness Leave** *Team members who have been employed with GitLab for six consecutive months*

- Up to 37 weeks within a 52-week period of leave in relation to a critically ill minor child
- Up to 17 weeks within a 52-week period in relation to a critically ill adult.
- The team member must submit a [medical certificate](https://www.labour.gov.on.ca/english/es/pdf/medcert_2019_1.pdf).
- Team Members should select `Out Sick` in Workday.

**Child Death Leave** *Team members who have been employed with GitLab for at least six consecutive months*

- Up to 104 weeks of leave with respect to the death of a child. Team members who take time away from work because of a crime-related death of a child may apply for a [Federal Income Support Grant](https://www.canada.ca/en/employment-social-development/services/parents-young-victims-crime.html).
- Team Members should select `Bereavement` in Workday.

**Crime-related child disappearance leave** *Team members who have been employed with GitLab for at least six consecutive months*

- Up to 104 weeks of leave with respect to the crime-related disappearance of a child. Team members who take time away from work because of a crime-related death of a child may apply for a [Federal Income Support Grant](https://www.canada.ca/en/employment-social-development/services/parents-young-victims-crime.html).
- Team Members should select `Out Sick` in Workday.

**Domestic or sexual violence leave** *Team members who have been employed with GitLab for at least 13 consecutive weeks*

- 10 days and 15 weeks of domestic or sexual violence leave each calendar year. The first 5 days of leave are paid.
- Team Members should select `Out Sick` in Workday.

**Infectious disease emergency leave**

- Team members are entitled to take this leave for [specified reasons](https://www.ontario.ca/document/your-guide-employment-standards-act-0/infectious-disease-emergency-leave#section-7)  related to a designated infectious disease. The only disease for which infectious disease emergency leave may be taken as of 2021-03-09 is COVID-19.
- Team Members should select `Out Sick` in Workday.

**Organ Donor Leave** *Team members who have been employed with GitLab for at least 13 weeks*

- Up to 13 weeks of [organ donor leave](https://www.ontario.ca/document/your-guide-employment-standards-act-0/organ-donor-leave) for the purpose of undergoing surgery to donate all or part of certain organs to a person.
- This leave may be extended an additional 13 weeks for a maximum of 26 weeks.
- Team Members should select `Out Sick` in Workday.

**Reservist Leave** *Reservists who have been employed with GitLab for at least six consecutive months*

- Unpaid leave for the time necessary to engage in an international operation or an operation within Canada to deal with an emergency or its aftermath. This includes pre-deployment and post-deployment activities when applicable.
- Team Members should select `Military Service` in Workday.

</details>

<details markdown="1">

<summary>Québec</summary>

The following leave types run concurrently with GitLab time away policies (PTO, Sick Time, etc.). To initiate leave, and ensure that statutory entitlements are properly tracked, team members should contact the Absence Management team `leaves@domain` and then submit the time off request by selecting the appropriate option in Workday. If you do not feel comfortable submitting your time away in Workday, the Absence Management team can enter your time off in Workday on your behalf.  More information on these leave entitlements can be found on the [Commission des Normes, de l'Equité website](https://www.cnesst.gouv.qc.ca/fr/conditions-travail/conges/lies-famille).

**Reservist Leave**

- A reservist of the Canadian Armed Forces may be absent from civilian work, without pay, to conduct operations in Canada or abroad:
  - Abroad: After 12 months of uninterrupted service with their employer, reservists may be absent from work to take part in a Canadian Armed Forces operation abroad for a period of up to 18 months. An operation abroad includes preparation, training, rest and travel from their place of residence and back;
  - In Canada: A reservist may be absent from work to take part in a Canadian Armed Forces operation in Canada in order to:
    - provide assistance in the event of a major disaster within the meaning of the Loi sur la sécurité civile;
    - assist the civil authority at the request of the Attorney General of Québec pursuant to the National Defence Act;
    - intervene in any other emergency situation designated by the Government.
  - In Canada or abroad: A reservist may be absent from work to take part in any other Canadian Armed Forces operation under the circumstances, the conditions and for the period prescribed by regulation;
  - Annual training: A reservist may be absent from work to take part in annual training with the Canadian Armed Forces for a period of up to 15 days;
  - Exceptions: A reservist does not have the right to be absent from work in the following situations:
    - if there is a danger to the life, health or safety of other workers or the population;
    - if there is a risk of destruction or serious deterioration of buildings or movable property, or in a case of force majeure; if their absence is contrary to their professional code of ethics.
- Team Members should select `Mandatory Civilian Service` in Workday.

**Marriage or civil union**

- 1 day of paid leave for the team member's marriage or civil union when it falls on a week day.
- 1 day of unpaid leave for the marriage or civil union of a parent, child, sibling, or child of spouse.
- Team Members should select `Paid Time Off` in Workday.

**Parental or family obligations** *Team members who have been employed with GitLab for at least 3 months*

- 10 days per year; team members are entitled to pay for the first 2 days.
- Up to 16 weeks in one 12-month period to care for a loved one due to a serious accident or serious illness
- Up to 27 weeks in one 12-month period if the critically ill person suffers from a life-threatening illness
- Up to 36 weeks in a 12-month period if the seriously ill or injured person is a minor child.
- Team Members should select `Out Sick` in Workday.

**Bereavement Leave**

- 5 days of leave in the event of the death of an immediate family member. Team members are entitled to pay for the first 2 days.
- Up to 104 weeks of unpaid leave following the death of a minor child, or suicide of spouse, parent or child. If the death occurs when the team member is eligible for parental benefits, the benefits will be paid until the end of the 2nd week following the death.
- Team Members should select `Bereavement` in Workday.

**Disappearance of a minor child**

- Up to 104 weeks of unpaid leave.
- Team Members should select `Out Sick` in Workday.

**Organ or tissue donation:**

- Team members are entitled to up to 26 weeks of unpaid leave over a 12-month period for organ or tissue donation for transplant.
- Team Members should select `Out Sick` in Workday.

**Victims of a Crime**

- Team members who are victims of a crime that renders them unable to perform their regular job are entitled to unpaid leave for up to 104 weeks.
- Team members may also be entitled to leave if:
  - their minor child suffers serious injuries as a result of a criminal offense;
  - their spouse or child of full age dies as a result of a criminal offense.
  - Exceptions: The leave entitlement does not apply if the worker or the deceased person (spouse or child of full age) participated in the criminal offense or contributed to the injury through their gross fault, i.e., through their recklessness, carelessness or gross negligence.
- Team Members should select `Out Sick` in Workday.

**Victim of domestic or sexual violence:**

- Workers who must be absent from work as a result of domestic or sexual violence are entitled to an unpaid absence of up to 26 weeks over a 12-month period.
- Team Members should select `Out Sick` in Workday.

**Non-work related accident or illness** *Team members who have been employed with GitLab for at least 3 consecutive months*

- 2 paid days per calendar year (which do not roll over) and up to 26 weeks over a 12-month period for the following reasons:
  - Sickness or accident that is not related to their work and which renders them unable to work.
  - Family obligations relating to care, health, or education of child or spouse's child.
  - Family obligations as an informal caregiver for a relative or another person who is ill.
- Team Members should select `Out Sick` in Workday.

The following leave types **do not** run concurrently with GitLab time away policies (PTO, Sick Time):

- [Occupational disease](https://www.cnesst.gouv.qc.ca/en/procedures-and-forms/workers/work-accident-or-occupational-disease/occupational-disease)
- [Work accident](https://www.cnesst.gouv.qc.ca/en/working-conditions/leave/accidents-and-illnesses)

</details>

<details markdown="1">

<summary>British Columbia</summary>

The following leave types run concurrently with GitLab time away policies (PTO, Sick Time, etc.). To initiate leave, and ensure that statutory entitlements are properly tracked, team members should contact the Absence Management team `leaves@domain` and then submit the time off request by selecting the appropriate option in Workday. If you do not feel comfortable submitting your time away in Workday, the Absence Management team can enter your time off in Workday on your behalf.

More information on these leave entitlements can be found on the [Government of British Columbia's website](https://www2.gov.bc.ca/gov/content/employment-business/employment-standards-advice/employment-standards/time-off/leaves-of-absence).

**Leave respecting domestic or sexual violence**

- 5 days of paid leave, 5 days of unpaid leave, and 15 weeks of additional unpaid leave, if necessary. This leave also applies to parents of a child or dependent impacted by this kind of violence.
- Team Members should select `Out Sick` in Workday.

**Personal illness or injury leave** *Team members who have been employed with GitLab for at least 90 days*

- Up to 3 days of unpaid leave each year.
- Team Members should select `Out Sick` in Workday.

**Family Responsibility Leave**

- Up to 5 days of unpaid leave in each employment year (beginning on the date the team member started work) to help with the care, health or education of a child under the age of 19 in their care or to care for the health of any other immediate family member.
- Does not carry over from year to year
- Team Members should select `Paid Time Off` in Workday.

**Critical Illness or Injury Leave**

- Up to 36 weeks within a 52-week period to care for a child under the age of 19.
- Up to 16 weeks within a 52-week period to care for a family member who is 19 years of age or older.
- Team members must provide the Absence Management team at `leaves@domain.com` with a medical certificate certifying that the life of the family member is at risk, the care/support can be provided by someone who is not a medical professional, and specifying the period of time for which the family member will need care/support.
- Team Members should select `Out Sick` in Workday.

**Compassionate Care Leave**

- Up to 27 weeks within a 52-week period to care for a family member who is gravely ill.
- Team members are required to provide the Absence Management team at `leaves@domain.com` with a medical certificate stating that the family member has a serious medical condition and is at significant risk of death within 26 weeks.
- Team Members should select `Out Sick` in Workday.

**Bereavement Leave**

- Up to 3 days of unpaid leave.
- Team Members should select `Bereavement` in Workday.

**Leave respecting the disappearance of a child**

- Up to 52 weeks of unpaid leave for employees whose child has gone missing in circumstances where it is likely the child's disappearance is the result of a crime.
- Team Members should select `Out Sick` in Workday.

**Leave respecting the death of a child**

- 104 weeks of unpaid leave
- Team Members should select `Bereavement` in Workday.

**Reservists Leave** *Team members who are reservists for the Canadian Forces*

- Team members who are reservists are entitled to unpaid leave if they are deployed to a Canadian Forces operation outside Canada, or if they are engaged, either inside or outside Canada, in pre-deployment or post-deployment activities in connection with such an operation. Reservists are also entitled to unpaid leave if they are deployed to a Canadian Forces operation inside Canada that will be providing assistance in dealing with an emergency or its aftermath. Reservists are entitled to this leave for as long as the deployment circumstances apply.  In addition, team members who are reservists are entitled to 20 days per year of unpaid leave to participate in Canadian Forces training activities.
- Team Members should select `Mandatory Civilian Service` in Workday.

**Jury Duty**

- Unpaid leave to attend court as a juror
- Team Members should select `Jury Duty` in Workday.

**COVID-19 Related Leave**

- Team members can take unpaid leave if unable to work for specified reasons related to COVID-19: https://www2.gov.bc.ca/gov/content/employment-business/employment-standards-advice/employment-standards/time-off/leaves-of-absence.  This leave will be available for as long as the circumstances that require the leave are present.
- Team Members should select `Out Sick` in Workday.

</details>

<details markdown="1">

<summary>Alberta</summary>

The following leave types run concurrently with GitLab time away policies (PTO, Sick Time, etc.). To initiate leave, and ensure that statutory entitlements are properly tracked, team members should contact the Absence Management team `leaves@domain.com` and then submit the time off request by selecting the appropriate option in Workday. If you do not feel comfortable submitting your time away in Workday, the Absence Management team can enter your time off in Workday on your behalf.

More information about these leave types can be found on the [Government of Alberta website](https://www.alberta.ca/job-protected-leaves).

**Bereavement Leave** *Team members who have been employed with GitLab for at least 90 days*

- 3 days of unpaid leave per year for the death of a [family member](https://www.alberta.ca/bereavement-leave.aspx)
- Team Members should select `Bereavement` in Workday.

**Citizenship Ceremony Leave** *Team members who have been employed with GitLab for at least 90 days*

- Up to a half-day of unpaid leave to attend citizenship ceremony
- Team Members should select `Paid Time Off` in Workday.

**Compassionate Care Leave** *Team members who have been employed with GitLab for at least 90 days*

- Up to 27 weeks of unpaid leave to give care or support to a gravely ill [family member](https://www.alberta.ca/compassionate-care-leave#jumplinks-2) with a significant risk of dying within 26 weeks.
- Team members must submit a medical certificate to the Absence Management team at `leaves@gitlab.com`
- Team members may also be eligible for [Employment Insurance](https://www.canada.ca/en/services/benefits/ei/caregiving.html)
- Team Members should select `Out Sick` in Workday.

**COVID-19 Leave**

- 14 days of unpaid leave for team members who are in quarantine due to COVID-19
- Team Members should select `Out Sick` in Workday.

**Critical Illness of a Child Leave** *Team members who have been employed with GitLab for at least 90 days*

- Up to 36 weeks for the critical illness of the team member's child.
- Team members may be eligible for Employment Insurance.
- Team Members should select `Out Sick` in Workday.

**Death or disappearance of a child leave** *Team members who have been employed with GitLab for 90 days*

- Up to 52 weeks if the child has disappeared
- Up to 104 weeks if the child has died as the probable result of a crime
- Team Members should select `Bereavement` in Workday.

**Domestic Violence Leave** *Team members who have been employed with GitLab for at least 90 days*

- Up to 10 days of unpaid leave each calendar year. This does not carry over if unused.
- Team Members should select `Out Sick` in Workday.

**Long-term illness and injury leave** *Team members who have been employed with GitLab for at least 90 days*

- Up to 16 weeks of unpaid leave.
- Team members may be eligible for Employment Insurance.
- Team members must submit a medical certificate issued by a nurse practitioner or physician stating the estimated duration of leave.
- Team Members should select `Out Sick` in Workday.

**Personal and family responsibility leave** *Team members who have been employed with GitLab for 90 days*

- Up to 5 days each calendar year to care for their own health or to meet family responsibilities in relation to a [family member](https://www.alberta.ca/personal-family-responsibility-leave.aspx#jumplinks-2). This does not carry over to the following year if unused.
- Team Members should select `Out Sick` in Workday.

**Reservist Leave** *Team members who have been employed with GitLab for at least 26 consecutive weeks*

- Up to 20 days each calendar year for annual training
- As long as necessary to accommodate the period of service required for [international or domestic deployment](https://www.alberta.ca/reservist-leave.aspx#jumplinks-2).
- Team Members should select `Military Service` in Workday.

</details>

<details markdown="1">

<summary>Manitoba</summary>

The following statutory leave types run concurrently with GitLab time away policies (PTO, Sick Time, etc.). A team member's entitlement to any statutory leaves of absence is governed by the legislation applicable in the province in which the employee works for the Company. Statutory leaves of absence will be tracked separately. Any additional paid or unpaid leaves provided by GitLab, are inclusive of, and not in addition to, any concurrent paid or unpaid leaves provided by the applicable employment standards legislation.

To initiate leave, and ensure that statutory entitlements are properly tracked, team members should contact the Absence Management team `leaves@domain.com` and then submit the time off request by selecting the appropriate option in Workday. If you do not feel comfortable submitting your time away in Workday, the Absence Management team can enter your time off in Workday on your behalf.

More information can be found on the [Government of Manitoba website](https://www.gov.mb.ca/labour/standards/doc,unpaid-leave,factsheet.html).

**Family Leave** *Team members who have been employed with GitLab for at least 30 days*

- 3 days of unpaid leave for a team member to deal with family responsibilities or personal illness.
- Team Members should select `Out Sick` in Workday.

**Bereavement Leave** *Team members who have been employed with GitLab for at least 30 days*

- 3 days of unpaid leave for a team member to deal with the death of a family member
- Team Members should select `Bereavement` in Workday.

**Compassionate Care Leave** *Team members who have been employed with GitLab for at least 90 days*

- 28 weeks of unpaid leave for a team member to care for a seriously  ill family member
- Team Members should select `Out Sick` in Workday.

**Long-term Leave for Serious Illness or Injury** *Team members who have been employed with GitLab for at least 90 days*

- 17 weeks of unpaid leave for team members who have a long-term serious illness or injury.
- Team Members should select `Out Sick` in Workday.

**Interpersonal Violence Leave** *Team members who have been employed with GitLab for at least 90 days*

- 10 days and 17 weeks of unpaid leave for a team member to address a situation of violence in the home. Team members are entitled to pay for the first 5 days.
- Team Members should select `Out Sick` in Workday.

**Leave for Citizenship** *Team members who have been employed with GitLab for at least 30 days*

- 4 hours of unpaid leave for a new Canadian to receive their certificate of citizenship.
- Team Members should select `Paid Time Off` in Workday.

**Leave Related to the Death or Disappearance of a Child** *Team members who have been employed with GitLab for at least 30 days*

- Up to 52 weeks for parents dealing with the disappearance of a child
- Up to 104 weeks for parents dealing with the death of a child  as the result of a crime
- Team Members should select `Bereavement` in Workday.

**Reservist Leave** *Team members who have been employed with GitLab for at least 3 months*

- Unpaid leave for the duration of their deployment or service.
- Team Members should select `Military Leave` in Workday.

**Organ Donation Leave** *Team members who have been employed with GitLab for at least 30 days*

- 13 weeks of unpaid leave for a team member to donate an organ or tissue.
- Team Members should select `Out Sick` in Workday.

**Critical Illness Leave** *Team members who have been employed with GitLab for at least 30 days are entitled for Critical Illness Leave to care for a child under 18 years. Team members who have been employed with GitLab for at least 90 days are entitled to Critical Illness Leave to care for an adult.*

- Up to 37 weeks of leave within a 52-week period to provide care or support to a critically ill child under 18 years old.
- Up to 17 weeks of leave within a 52-week period to provide care or support to a critically ill adult.
- Team Members should select `Out Sick` in Workday.

</details>

## Administrative Details for Benefits Team

### Onboarding & Offboarding in Collage

1. Total Rewards is tagged in Onboarding & Offboarding issues
1. Total Rewards will update Collage with new hire information/termination
1. Team Member receives onboarding notification and enrolls in to the plans

### Updating Payroll with Employer Premium Rates (Monthly)

Prior to the 1st Canada Payroll Cutoff date of the Month, Total Rewards will look up Employer Premium changes Amounts on the Canada Life Website & New Hires since the Last month

New Hires

1. Log on to Workday. Pull a report of Canada Team Members that have started within the past month (or since the last time the report was pulled)
1. Log on to the Canada Life Portal. Select "Enrollment" > "Mantain/Inquire on Employee"
1. Enter the following
    - Function: View In Force Premiums and Taxes
    - Employee ID of the team member
    - Effective date: Todays Date
1. Locate the details under the "Total Benefit Cost Including Tax" column and enter these details to the Canada Payroll Change Report in the following columns:
    - Employee ID
    - Effective Date
    - Tier
    - Total Monthly Cost
    - Basic Employee Life
    - Accidental Death and Dismemberment
    - Long Term Disability
    - Healthcare
    - Dentalcare

Adjustments for Current Team Members

1. Log on to Group Net Canada Life portal
1. Select "Billing" > View or Print Bill > Current month's Bill
1. Open up the Current Statement. Scroll down to the "Adjustments for Prior Periods" section. Anyone on this list needs to have thier Employer Premiums.
1. On the Canada Life Portal Select "Enrollment" > "Mantain/Inquire on Employee"
1. Enter the following
    - Function: View In Force Premiums and Taxes
    - Employee ID of the team member
    - Effective date: Todays Date
1. Locate the details under the "Total Benefit Cost Including Tax" column and enter these details to the Canada Payroll Change Report in the following columns:
    - Employee ID
    - Effective Date
    - Tier
    - Total Monthly Cost
    - Basic Employee Life
    - Accidental Death and Dismemberment
    - Long Term Disability
    - Healthcare
    - Dentalcare

### Updating Collage with Employee Salary Changes (Monthly)

1. Log on to the Canada Payroll Changes Report
1. Review the Compensation changes that have occurred in the last 2 months
1. Log on to Collage
1. Search for the team member > click their name > Job > Update Employment Info > Update Salary Details > Save

### Checking if Employees are Eligible for Excess LTD Insurance & need underwriting (Quarterly)

1. Log on to Group Net Canada Life
1. Enrollment tab > request reports> coverage summary> effective date(today's date)> sort by Employee name
1. Review the data to identify  if the team member is eligible for more Life Insurance and LTD Coverage than they are currently receiving (i.e. compare the LTD and LTD eligible Amount Columns to see if there is a delta)
1. Reach out to the team member with the Eligibility of Insurance Document and instructions so that they can complete their EOI. Notify SC Insurance that the quarterly audit was completed as an fyi.

- View additional Instructions & email template in the [Quarterly Check for Excess LTD folder](https://drive.google.com/drive/folders/1BCIGQIKJxPOrPHfhdZbnccGEFZTNhh6C?usp=sharing)

### RRSP Process (Semi-monthly)

1. Team members create Canada Life account and sign up for RRSP
1. Total Rewards logs on to Canada Life, approves RRSP requests: Menu > Administrative Functions > Online Enrollments > Search for a list: All Full Time Employees - 01. Add an Enrollment date and Approve the enrollment.
1. Total Rewards generates a Canada Life report that lists all of the Contribution %s: Menu > Client Reporting & Tools > Create Reports
     - Select a report: Payroll Deduction details
     - Select a plan: Registered Retirement Savings Plan
     - Select a subgroup: All Full time Employees - 01
     - Select a layout: Excel File, includes SIN
     - Select details to be displayed on report: Payroll deduction instructions for active members from selected date/Time
     - Look up when the last date & time you pulled the report reported on the "20XX RRSP Payroll Report", and enter that date.
     - Download the report, and create a new tab in the "20XX" RRSP Payroll Report" with today's date" - copy and paste the data from the downloaded report in to the tab for record keeping.
1. Open the "Canada Payroll Changes" Report and open the tab Payroll created for the current pay period. Enter the information on the RRSP report in to the Canada Report:
     - Emp ID - You'll need to look this up in Workday
     - Last Name, First Name, Initial, certificate number, status, subgroup plan type, enrol date, account type, date of change, Employee Amount %: you can find these details on the downloaded CanadaLife Report
     - Employer amount%: You'll need to enter this manually, since this is a match, you'll enter the same % as the Employee Amount %
     - Member Voluntary%: Check the CanadaLife report to see if the team member has any member % and update on the same line.
1. Canada Payroll will then deducts the percentage from team member's pay and sends TR the dollar amount that was deducted in a Remittance Report. Follow up with Canada payroll if they don't send the remittance report before you update the next pay periods' RRSP change report.
1. Total Rewards sends the Remittance report to CanadaLife and the remit the payments Canada Life Charges the total to GitLab, and we pay out the amount Special Instructions for when team members want to contribute one-off bonuses:
1. Team Members have the opportunity to request to contribute their one-off bonuses towards their RRSP if they so choose, the team member will email Total Rewards with their request.
1. Total rewards will add a line in the Canada Payroll Change Report with the team member's entry. If there are no other changes, they can leave the Employee and Employer amount blank and just add the Member Voluntary amount with an explanation of the payment.

Offboarding:

- The Canada Life RRSP portal is not able to be connected to Collage so team members will need to be manually removed from the RRSP plan upon termination.

Please see the [administration guide](https://drive.google.com/drive/u/0/folders/1qJ3NmOzDjeXKFpwwO2J0upF5ZVBs_YLD) for additional instructions.
