---
title: "GitLab France S.A.S."
description: "GitLab France S.A.S. benefits specific to France-based team members."
---

Can't find what you're looking for? Try the main [People Operations page](/handbook/people-group/).

## Medical

- GitLab offers Supplementary Medical insurance through AXA Health Insurance which covers 100% of team member contributions and 66% for spouse & kids of premiums for medical, vision, dental and maternity coverage.
- For specific information on how your benefits operate, please read the following documents:
  - [Policy detail-1](https://drive.google.com/file/d/1xfkzQXwiITrhJ0HJk9K-eTtSjLEONiNB/view?usp=sharing)
  - [Policy detail-2](https://drive.google.com/file/d/1lKcSkHJKpOaJwVFUgCQDWgOHyFRkSib8/view?usp=sharing)
  - [Enrollment process](https://drive.google.com/file/d/11JmUP7lVhzyqO0QJGfEr4YpYLH7vbMb6/view?usp=sharing)
  - [Unilateral Employer Decision Medical Document](https://drive.google.com/file/d/1qPpQqg9WZsDaF8lxhXIc4tPEt5GbJc8R/view?usp=sharing) for Cost Sharing, Scheme Conditions & Waiver Voucher information

### Enrollment

New team members should expect an email from no-reply@axa.fr with instructions on how to enroll in to the Medical Scheme. Team members should expect this email within thier first two weeks from their hire date. Please be sure to action upon the email to complete your enrollment in to the Medical Plan.

## Pension

GitLab does not plan to offer pension benefit at this time as team members registered to the France's Social Security Program are also registered with the National Pension Scheme.

## Life Insurance and Disability

GitLab offers company paid [Group Life and Disability Plans](https://docs.google.com/document/d/1MBz0k5KkXC2GeITvh2uXNXjMJE07TU3_9MTp8N9MlwM/edit?tab=t.0#heading=h.uewazgm9e8qx) through Generali effective 1 January 2025. This covers Life Insurance, Accidental Death & Accidental Dismemberment, Short Term Disability and Long Term Disability.

Team Members can designate their beneficiaries in the case of death with [Generali here](https://designation-beneficiaires.generali.fr/). You’ll find step-by-step instructions in both [French](https://drive.google.com/file/d/11iFBV6PkA7phsXXgtIyHa79DlKwrY0Oh/view?usp=sharing) and [English](https://docs.google.com/presentation/d/1VzjaQYxnDrAQ8Ax5I6Z4y0XytxjPHNKi/edit?usp=sharing&ouid=115600862362829120699&rtpof=true&sd=true). You will need the scheme/contract number to update your beneficiaries, which can be found [here](https://docs.google.com/document/d/12muwdp-9XvQGO8B2cCGoEfZ7-dU2BeMY8GivNcbJCDM/edit?tab=t.0).

## France Holiday Bonus

Eligible France Team Members will receive an Holiday Bonus annually. The Holiday Bonus is paid once a year during the June Payroll.

The bonus is 1% of Total Gross Compensation that was paid through the prior 12 month period (June 1st to May 31st). Variable compensation such as bonus, commission, and overtime are included in the total compensation calculation.
The Holiday Bonus is taxable, and subject to social charges and income tax. Team Members must be employed in the month of June to receive the annual bonus.

## GitLab France S.A.S. Parental Leave

### Statutory Parental Leave

**Maternity Leave:** Team members are entitled to

- 16 weeks maternity leave for first child and second child (6 weeks before and 10 weeks after birth)
- 26 weeks maternity leave for third child (8 weeks before and 18 weeks after birth)
- 34 weeks maternity leave for twins (12 weeks before and 22 weeks after birth)
- 46 weeks maternity leave in case of triplets or more (24 weeks before and 22 weeks after birth)

**Paternity Leave:** Team members are entitled to 28 days of paternity leave and 35 days in case of multiple births (twins, triplets, etc.). Team members are eligible for paternity and childcare leave after the birth of your child or that of your spouse, common-law partner or PACS partner.

- This consists of the following:
  - Three days of mandatory leave to begin, at the team member's choice, on the date of birth or the first working day following the date of birth.
  - Four days mandatory leave immediately following the initial 3-day birth leave.
  - A final period of 21 days. The team member may choose to split this period into two parts of at least five days.

#### Maternity Leave Payment

- [Eligible team members](https://www.ameli.fr/assure/remboursements/indemnites-journalieres/conge-maternite-salariee) may apply for maternity allowance through social security. Statutory maternity leave runs concurrently with GitLab Parental Leave. If you are [eligible]({{< ref "general-and-entity-benefits#parental-leave" >}}) for GitLab Parental Leave and you receive a maternity leave allowance, GitLab will supplement your pay so that you receive 100% of your salary for the first 16 weeks of leave.

#### Paternity Leave Payment

- Team members are entitled to be paid by their employer for the first 3 days of paternity leave. [Eligible](https://www.ameli.fr/assure/remboursements/indemnites-journalieres/conge-paternite-accueil-enfant) team members may apply for paternity benefits through social security. Statutory paternity leave runs concurrently with GitLab Parental Leave. If you are [eligible]({{< ref "general-and-entity-benefits#parental-leave" >}}) for GitLab Parental Leave and you receive a paternity leave allowance, GitLab will supplement your pay so that you receive 100% of yor salary for the first 16 weeks of leave.

#### Applying for Parental Leave in France

To initiate your parental leave, submit your time off by selecting `Parental Leave` in Workday at least 30 days before your leave starts. Please familiarize yourself with [GitLab's Parental Leave policy]({{< ref "general-and-entity-benefits#parental-leave" >}}).

## GitLab France S.A.S. Paid Time Off (Vacation)

- GitLab France S.A.S. team members can review [statutory requirements for paid time off in relation to vacation](/handbook/people-group/paid-time-off/#gitlab-sas-france).
- GitLab France S.A.S. team members should be aware of their applicable leave categories and can review [the requirements for logging time away from work and the suggested order for using leave balances](https://internal.gitlab.com/handbook/finance/payroll/timekeeping/france/#logging-time-away). (*_internally accessible only_)
- Team members must always submit their leave via the [Mihi Platform](https://2.mihi.info/Account/Login?ReturnUrl=%2F) **as well as** Workday in Slack.
For all technical support inquiries or any inquiries relating to your balances in Mihi, please contact `support@mihi.info` and cc `gitlabHRSS@globalupside.com`.

## Sick Time

Team members in France are eligible for up to 6 months of sick leave if on the day they stop working they meet the following conditions:

- having worked for at least 150 hours over the 3 calendar months or 90 days before stopping work;

or

- having received a salary totalling at least 1,015 times the amount of the hourly Smic over the 6 calendar months before stopping work.

After the 6th month of sick leave team members have to satisfy the following conditions:

- on the date that work was stopped, prove 12 months payments into the sickness benefits scheme;
- and have worked for at least 600 hours during the 12 calendar months or the 365 days before the date of stopping work;
- or have received an income totalling at least 2,030 times the hourly Smic over the 12 calendar months (or 365 days) prior to stopping work.

### Sick Leave Pay

The daily allowance is equal to 50% of the daily basic wage.  The gross reference wage is limited to €3,076.70 gross per month. Therefore, the daily allowance paid cannot exceed €50.58 (check [sick time policies and procedures in France](https://ec.europa.eu/social/main.jsp?catId=1110&langId=en&intPageId=4535) webpage for latest up-to-date information).

GitLab's Sick Time policy will run concurrently with this benefit for the first 25 working days, "topping up" the team members salary to 100%.  After that, the sick leave will become unpaid by GitLab.

### Reporting Requirements

Team members who fall ill are required to inform GitLab as soon as possible (but no later than 48 hrs) by selecting `Out Sick` in Workday AND entering the time away into the Mihi platform. You must provide proof by sending the Absence Management Team (leaves@gitlab.com) the sheet no. 3 of the medical sheet drawn up by your physician specifying the dates and reasons for being unable to work. Sheet no. 1 & 2 should be sent to your social security organization.

If an extension is needed, team members must notify GitLab as soon as possible (but no later than 48hrs) and send an updated sheet no. 3.

For more information, read about the [sick time policies and procedures in France](https://ec.europa.eu/social/main.jsp?catId=1110&langId=en&intPageId=4535).

## Additional Leave Types

### Family Care Leave

Team members in France are entitled to take up to 3 days of family care leave each year, or 5 days if the child is under 12 months old. These days are generally considered unpaid unless the team member is eligible for GitLab's Sick Time policy; which will run concurrently. If you would like to request Family Care Leave please contact the Absence Management Team (leaves@domain). Team members must include a medical certificate, regardless of the leave duration, along with their request.

## Tracking Working Hours

- Team members located in France are required to track their working hours and time away from work in Mihi as applicable and the working time policies and processes at GitLab France are set out in detail [here](https://internal.gitlab.com/handbook/finance/payroll/timekeeping/france/) for our team members (*_accessible internally only_).
