---
title: "GitLab GK (Japan) Benefits"
description: "Discover GitLab's benefits for team members in Japan"
---

## Specific to Japan Based Team Members

Team members in Japan have the following statutory state benefits available: medical, pension, and unemployment.

GitLab does not plan on offering additional private medical or pension benefits at this time due to the government cover.

GitLab will continue to review responses from the [Global Benefits Survey]({{< ref "benefits-survey#global-benefits-survey" >}}) as well as budgetary availability with respect to adding supplementary benefits in Japan.

### Medical

All the Japanese team members will be covered by a statutory benefit known as Social Insurance. This health insurance plan will be managed by the National Health Insurance Association (Zenkoku-Kenkohoken-Kyokai or in short Kyokai Kenpo). For more information see the [Leaflet section of the Kyokai Kenpo website](https://www.kyoukaikenpo.or.jp/event/kohoshizai/20220411/).

### Pension

Team members registered to the Social Insurance are also registered with the Employee Pension system. This system provides a pension to members who have worked in Japan at least 25 years from the age of 60 years old. Pension benefits depend form individual career so there is no standard payments.

### Unemployment Insurance

- All the Japanese team members are entitled to the government's unemployment insurance system, known as koyou hoken (unemployment insurance). Koyou hoken, also known as shitsugyou hokken (unemployment benefit), is meant to help members, including foreign members, who have recently been unemployed.
- Members enrolling in unemployment insurance must be working at least 20 hours per week, and to expect to be employed for at least 31 days.
- Unemployment Insurance covers Unemployment benefits, Childcare Leave Allowance, Nursing Care Leave Allowance and Education/Training Allowance.

### Annual Health Check Up

- Members covered by the Social general insurance system "Kyokai Kenpo" are entitled to a benefit of an annual health check up in any of the hospitals designated under "Kyokai Kenpo". The Japanese team members can also have a checkup in a non-designated institution.
- In both the cases the team members can expense up to 15000 JPY against the actual bills via Navan Expense.
  - The invoice must be uploaded to Navan Expense to validate the total reimbursable amount. Please do not upload any personal medican data, only the invoice with the total amount due. If you have any questions or concerns please reach out to Total Rewards.

### GitLab GK Leave Policy

#### Sick Leave

- When a person is unable to work because of injury or sickness and GitLab provides no pay, the Health Insurance Scheme provides 60% of the standard monthly remuneration (determined on the basis of the insured person's basic monthly salary/wage) as a sickness or injury benefit from the fourth day, for up to 18 months.
- Team members must designate any time off for illness as `Out Sick` in Workday to ensure that time off is properly tracked. In the event that a team member is out sick for greater than three consecutive calendar days, the team member must then follow the process with regard to [Communicating Illness-Related Leave]({{< ref "paid-time-off#communicating-illness-related-leave" >}}).

#### Annual/Vacation Leave

A team member who has been continuously employed for six months is entitled to a minimum of ten days' annual paid leave on the day after completing six months of employment. The entitlement increases by one day per year for the following two years and by two days per year thereafter, up to a maximum of 20 days per year. Annual paid leave runs concurrently with GitLab PTO. Team members must designate all vacation time taken as `Paid Time Off` in Workday to ensure that vacation entitlement is properly tracked. Unused annual paid leave expires after two years if not used. Team members are not entitled to payment for unused vacation time upon termination of employment.

#### Statutory Maternity Leave

The statutory entitlement for maternity leave is 14 weeks. The leave must start **6 weeks prior to the scheduled delivery date**. During the entire period of maternity leave, when the team member is not paid from GitLab, the team member is entitled to 2/3 of her base salary from the government as maternity leave allowance, as listed below, which is covered by health insurance.

#### Statutory Parental Leave (Child Care Leave)

- Team members are entitled to unpaid leave until their child's first birthday (or second if certain conditions are met).
- Child care leave starts from the day after the maternity leave ends (i.e. 8 weeks after the birth date) or from the birth day of the child for fathers, to the day before the child reaches the age of 1.
- If both parents take child care leave, the end date of leave can be extended to when the child is 1 year and 2 months old, however, total duration of child care leave including post-birth maternity leave should be up to 1 year.
- During the entire period of child care leave, if the team member is not paid by GitLab, the team member is entitled to 2/3 of their base salary (with the cap of monthly JPY305,712) for the first 6 months and 50% (with the cap of monthly JPY228,150) after 7th month, which is covered by labor insurance.
- Fathers can take childcare leave twice: once during the postnatal period (8-week period directly following childbirth) and once during the remainder of the year following the postnatal period, up until the child turns one year old.
- Fixed-term team members must have been employed with GitLab for over a year to qualify for childcare leave.
- Additionally, the team member must return to work after childcare leave ends and continue to work for GitLab until at least two days before the child turns 2 years old in order to be entitled to childcare leave.

#### Maternity Leave Payment

- Team members may be eligible for maternity leave allowance equal to 2/3 of the team member's base salary for the duration of maternity leave. The allowance also covers the delay period if the actual date of birth is later than the expected due date.
  - If the team member is a dependent under their spouse's health insurance, they will not be eligible for maternity leave allowance.
- If [eligible]({{< ref "general-and-entity-benefits#parental-leave" >}}), the team member may choose to take GitLab Parental Leave for the first 16 weeks of maternity leave. During this time, the team member will not be eligible for maternity leave allowance from the government. GitLab parental leave and government maternity leave allowance *do not* run concurrently.

#### Childcare Leave Payment

- Team members must have been enrolled in social insurance for at least one year in the past 2 years prior to applying for childcare leave in order to be eligible for childcare leave allowance.
- Social insurance will pay the team member 67% of their base salary for the first 6 months of Child Care Leave and 50% of their salary for the remainder of leave.
- If [eligible]({{< ref "general-and-entity-benefits#parental-leave" >}}), the team member may choose to take GitLab Parental Leave for the first 16 weeks. During this time, the team member will not be eligible for child care leave allowance from the government. GitLab Parental Leave and government child care leave allowance *do not* run concurrently.

#### Other Job-Protected Leave

**Nursing Care Leave:** Team members may be eligible to take up to 93 days of leave to provide nursing care to a family member. Team members who meet the conditions of nursing care leave may apply for an allowance.

**Child Nursing Care Leave:** : Team members who need time off to care for a sick or injured child are entitled to up to 5 days for 1 child or up to 10 days for 2 or more children. This leave runs concurrently with GitLab PTO.

**Family Care Leave:** Team members are entitled to 5 days of leave to look after a sick or injured family member, or up to 10 days for 2 or more family members. This leave runs concurrently with GitLab PTO.

**Menstrual Leave**:  A female team member whose ability to attend work is significantly impeded by menstruation can request unpaid menstrual leave.

**Time off To Exercise Civil Rights**: A team member exercising their civil right such as voting or serving as a juror can request unpaid time off.
