---
title: "GitLab Ireland Ltd"
description: "Discover GitLab's benefits for team members in Ireland"
---

## Medical

GitLab offers a private medical plan through VHI which gives you access to cutting-edge medical treatments, health screenings and protection against the high medical costs of private care. GitLab covers 100% of the premiums for team members and eligible dependents.

Please see the [brochure](https://drive.google.com/file/d/1s2Wa8K1tJm9E720ml5r1eJehjkQjIx-p/view?usp=sharing) to help guide you through the range of benefits and services available.

For a full breakdown of plan descriptions please review the [Table of Benefits](https://drive.google.com/file/d/1RLJJDK7qConEmjvw8wiFmGrPX4O3SLIX/view?usp=sharing).

To find out which hospitals and treatment centers are covered on your plan, please refer to the directories of approved facilities which are available at `Vhi.ie/downloads` or contact VHI directly via the Corporate Advice Line: `056 777 5800`.

**Does Lifetime Community Rating (LCR) Apply?**

From 1st of May 2015, if you are 35 or over when you first take out private health insurance, you will pay an additional amount of 2% for each year that you are aged 35 and over. Please contact VHI if you think this may apply.

### Dependent Eligibility

Dependents eligible for the GitLab subsidy include Team Member's Spouse, Domestic Partner, and Children up to the age of 21 as long as they are still enrolled in school.

Domestic Partnership is defined as follows:

- Neither partner is currently married to anyone else nor currently has a different Domestic Partner.
- Partners have assumed mutual obligations for the welfare and support of each other.
- Partners reside together as a non-married cohabiting couple and share the common necessities of life.
- Partners are living together as a couple in the same household as each other’s sole Domestic Partner and intend to do so indefinitely.

### Enroll in the VHI Plan

GitLab's VHI scheme will renew November 1. You can choose to enroll from this date or
from your hire date (if later than Nov 1st). Team members will need to enroll via VHI
directly either through the [Online portal](https://www.vhi.ie/groups/?token=1EFD9A4A7D274CF193FDD729F3AFC145) or by calling VHI.

When enrolling please enter your GitLab Employee ID as your "Employee Number" and
your GitLab Department listed in Workday as your "Cost Centre".

GitLab has selected [PMI 4316](https://drive.google.com/file/d/1RLJJDK7qConEmjvw8wiFmGrPX4O3SLIX/view?usp=sharing) company wide. If you feel that
this does not suit your needs (or family member needs), please call VHI on 0567775800 and
they will discuss your requirements.

The policy may renew automatically at the end of each policy year. If renewed,
notification will be sent to the team member by email.

### Tax Implications of Medical Plans

The health insurance allowance is treated like any other income or allowance under Revenue Commissioners rules. Your normal tax rate including other statutory deductions will apply. You will be liable for Benefit in kind on your health insurance premium, for more information please read [here](https://www.revenue.ie/en/personal-tax-credits-reliefs-and-exemptions/health-and-age/medical-insurance-premiums/index.aspx).

## Eye Exams

Team members in Ireland are entitled to regular eye and eyesight exams under the [Safety, Health, and Welfare at Work Regulations 2007](https://www.irishstatutebook.ie/eli/2007/si/299/made/en/print#partii-chapv). GitLab will reimburse team members for the cost of the exams. If an eye exam determines that a team member needs glasses solely and exclusively for VDU (visual display unit i.e. computer screen) use, GitLab will reimburse towards the cost of a basic pair of frames and lenses (i.e. not designer frames) up to 140 Euro.

The team member needs to provide documentation (a prescription) from the optician that confirms if the lenses are specifically required for reading a display screen only and not required for general day to day use.

If you are enrolled in the VHI Medical plan, please submit any eligible claims through the plan first, any out of pocket cost not covered by the plan can be reimbursed up to the max amount in accordance to the Vision policy

Please submit your receipts via navan and prescription to Total Rewards.

## Pension

GitLab offers a private pension plan via a defined contribution scheme. Orca Financial is an Irish owned Financial Services company to help with the administration of the pension on behalf of GitLab. The pension provider is **Aviva**. Aviva allows for transfers into the plan and can set up an AVC pension for any members that wish to contribute above the minimum required contribution.

Orca has put together the following [video](https://docs.google.com/document/d/1i5ir2xMWMIQznq-tEGCmTkSfZ_GuuV46ARlKhAGYrS0/edit) with information about the plan as a resource.

### Pension Match

GitLab will match up to 5% of annual base salary of the team member's contributions. Team members may opt for a higher contribution but GitLab will only match up to 5%.

### Enrollment

To enroll in the pension plan or to make changes to an existing contribution, please email `total-rewards@gitlab.com` with the desired percent contribution. Total Rewards will add Orca Financial `employeebenefits@orca.ie` to the email thread. Orca will gather all relevant information from the team member to add to the pension plan. On the 7th of every month, Orca will send Payroll and Total Rewards a summary of any changes to the pension plan which Total Rewards will update in the appropriate payroll changes spreadsheet. Total Rewards will also file the original election email in Workday under the "Benefits and ISO" folder for an audit trail.

After each pay cycle, Payroll will send Aviva (ccing Orca and Total Rewards) a spreadsheet with all contributions for Aviva to reconcile.

If you have any questions about a pension plan, how pension benefits work in Ireland, or anything else, please reach out to Orca Financial who will be able to assist you directly. Email: `employeebenefits@orca.ie` Phone: `+353 1 2103030`

You will be able to review the investment strategy once enrolled through the Fund centre on the Aviva website.

## Death in Service

All full-time GitLab team members in Ireland are eligible for death in service at 4x base annual salary. Team members are automatically enrolled in this benefit. This benefit is administered through Aviva. Team members may be contacted to complete an additional questionnaire if their covered amount is over the scheme limits, with potential medical underwriting required.  More information can be found on the [Retirement and Death Benefit Scheme Rules document](https://drive.google.com/file/d/1T1HjLXj2f3FmMiX3D4HVhpYF_k8zwvyr/view?usp=sharing).

Team members can complete a [Expression of Wish Form](https://drive.google.com/file/d/1YSkmogbYIsAVhSESJXLSYBr-T_uH1x2c/view?usp=sharing) to request a beneficiary for this benefit.  Once completed, please send directly to `employeebenefits@orca.ie`

## Disability

All full-time GitLab team members are eligible for disability cover in the amount of 66% of base salary less social welfare to age 65 (after 13 weeks deferred period). This benefit is administered through Aviva.

Please find the following documentation to assist you with the disability claim, and notify Total-Rewards@gitlab.com should you need to file a claim.

- [Group Income Protection Claim Form](https://drive.google.com/file/d/1pHwaBoc0raokcgVsInJeE6QqhVa22XtF/view?usp=sharing)
- [Early Intervention and Claim Expertise Flyer](https://drive.google.com/file/d/1ESvfiqTa6Gw3OsvMvgXrykgUZA80QImn/view?usp=sharing)
- [Claims Services and Resources](https://drive.google.com/file/d/1z5fSzu2QR1qc_MEY62vYFy7493InBHK5/view?usp=sharing)

## Additional Benefits Through Aviva

- [Best Doctors](https://drive.google.com/file/d/1U4qZSavFwBYSJlbJ1-EnEeYqW6AV07Ft/view?usp=sharing)
- Up to 15% off Aviva general insurance products.  To retrieve the discount, members should contact [Aviva](https://www.aviva.ie/about-and-support/contact-us/) and quote the promocode on the [discount flyer](https://docs.google.com/document/d/103R3aoktGOafEJz_qGuLoG3ObIas6vEKT-W9mJhIJ10/edit?usp=sharing).
- Free travel insurance if you take our Car & Home together. Members can access this benefit via the [Insurance Discount Flyer](https://drive.google.com/file/d/1TjPKiTMYYTUvoxz0p83bseMgPM2G3K_Z/view?usp=sharing)

## Bike to Work/Tax Saver Commuter Scheme

GitLab uses TravelHub to assist with the administration of the bike to work/tax saver commuter scheme. The GitLab specific online portal can be found at [GitLab Travel Hub](https://gitlab.travelhub.ie/). Team members will need to register and account to enter the GitLab specific online portal. Here is a link to TravelHub's [FAQs](https://support.hubex.ie/hc/en-ie/articles/360044040031) about these programs.

From 2021, Cycle to work will have a maximum expenditure of 1250 EUR or 1500 EUR for an electric bike. The scheme may now be availed of once in 4 consecutive tax years, previously this was once every 5 years.

**Bike Applications:**

1. Once your account is created, select a Bike to Work Ltd partner shop.
1. Pick the new bike and accessories if required.
1. Upload the quote received from the bike ship to the TravelHub portal to have the order approved.
1. The Total Rewards team will receive an email with the request to login, review, and approve the application (credentials can be found in 1password). Please note that all payments should be made to TravelHub directly and not to the supplier chosen by staff. TravelHub will pay the supplier once the employee has received their Bike or Ticket.
1. Total Rewards will notify payroll to reduce the team member's gross salary by the cost of the bike using a Salary Sacrifice Agreement.

**Ticket Applications:**

1. Once your account is created, select a Travel Operator.
1. Select either a monthly or yearly ticket.
1. Submit the travel ticket to the TravelHub portal to have the order approved.
1. The Total Rewards team will receive an email with the request to login, review, and approve the application (credentials can be found in 1password).
1. Total Rewards will notify payroll to reduce the team member's gross salary by the cost of the ticket using a Salary Sacrifice Agreement.
1. Note: There is a 4% (plus VAT) booking fee for annual tickets and a 10 EUR (VAT inclusive) booking fee for monthly tickets paid for by the team member by being added to the price of the ticket.

Once the total rewards team has approved the bike or ticket application, an invoice is generated. Once payment as been received, TravelHub emails the team member a voucher to use in the bike shop or tickets are dispatched in to the team member.

## GitLab Ireland LTD Leave Policy

### Statutory Sick Leave

From 1 January 2023, team members in Ireland are entitled to 3 days of paid sick leave per year (increasing in subsequent years) under the [relevant legislation](https://www.irishstatutebook.ie/eli/2022/en/act/pub/0024/index.html). The new entitlement will be phased in as part of a 4-year plan, starting with 3 days Statutory Sick Pay (SSP) per year in 2023, increasing to a maximum of 10 days paid SSP over 4 years, as follows:

- 2023: 3 days
- 2024: 5 days
- 2025: 7 days
- 2026: 10 days

Ireland's statutory sick leave policy offers a floor level of protection and does not interfere with existing, more favorable, sick pay schemes such as GitLab's [Sick Time policy]({{< ref "paid-time-off#sick-time---taking-and-reporting" >}}). When allowed by law, GitLab's Sick Leave policy will run concurrently with this leave policy.

#### Statutory Sick Leave Pay Calculations

GitLab will be required to pay a minimum of 70% of an team member's gross wage, subject to a daily cap of €110, but will continue the team member's salary up to 100%. Team members must identify the absence as sickness-related (and comply with the notification requirements below) in order to receive the SSP.

- This daily cap is based on the 2019 average weekly earnings and equates to an annual salary of €40,889.16. It may be revised in the future in line with inflation and changing incomes.

#### Statutory Sick Leave Eligibility

- Worked for GitLab for more than 13 continuous weeks, and
- Must provide a medical certificate for consecutive absence exceeding 2 days.

#### Applying for Statutory Sick Leave

- If your absences exceed 2 consecutive days, please contact the Absence Management Team `leaves@gitlab.com` and include your medical certificate in the email.
- Team members must designate all time off for illness as `Out Sick` in Workday to ensure the Sick Leave is properly tracked.

#### Illness Benefit

Team members may also be eligible for Ireland's [Illness Benefit](https://www.citizensinformation.ie/en/social_welfare/social_welfare_payments/disability_and_illness/disability_benefit.html). Please contact `leaves@gitlab.com` for more information.

### Statutory Domestic Violence Leave

If a team member in Ireland has experienced, or is currently experiencing, domestic violence, they may take up to 5 days per 12 month period of paid domestic violence leave. Team members are not required to give notice in advance of taking this leave but should communicate that the leave has been taken and the relevant dates as soon as is reasonably possible by contacting the Absence Management Team at `leaves@gitlab.com`. The purpose of the leave is, among other things, to enable the team member to seek medical attention, to obtain counselling or other support services, to seek legal advice or to relocate. The leave can be taken as needed and does not need to be used consecutively.

### Vacation Leave

- Team members are entitled to a maximum of four weeks of statutory vacation each year, which is calculated in accordance with the [Organisation of Working Time Act of 1997](https://revisedacts.lawreform.ie/eli/1997/act/20/revised/en/html#SEC19). Part-time team members' entitlement is calculated on a pro-rata basis. Unused statutory vacation time may not be carried over into the following calendar year, other than under exceptional circumstances and with GitLab's prior written consent. GitLab does not provide pay in lieu of unused statutory vacation entitlement other than on termination of employment. If your employment terminates for any reason, you will receive pay for any accrued but unused statutory vacation entitlement. If your employment terminates, and at the date of termination you have exceeded your statutory vacation entitlement, the excess may be deducted from your final pay. Vacation leave runs concurrently with GitLab PTO. Team members must designate any vacation time taken as `Paid Time Off` in Workday to ensure that vacation entitlement is properly tracked.

### GitLab Ireland LTD Maternity, Adoptive, Paternity, Parent's and Parental Leave

#### Statutory Leave Entitlement

**Maternity Leave:** Team members can take up to 26 weeks of ordinary Maternity Leave. The leave must start at least 2 weeks before the baby's due date and be taken for at least 4 weeks after the baby is born. Team members can take additional unpaid Maternity Leave for up to 16 more weeks, beginning immediately after the end of 26 weeks of ordinary Maternity Leave. If you wish to take additional unpaid Maternity Leave, please notify the Absence Management team at `leaves@gitlab.com` at least 4 weeks before the ordinary Maternity Leave is due to end.

**Adoptive Leave:** All team members who qualify as ["qualifying adopters"](https://www.citizensinformation.ie/en/employment/employment_rights_and_conditions/leave_and_holidays/adoptive_leave.html) are entitled to a minimum of 24 consecutive weeks of ordinary Adoptive Leave beginning on the first day of the placement of the child, and up to 16 weeks of additional unpaid Adoptive Leave, beginning immediately after the end of the 24 weeks of ordinary Adoptive Leave. If you wish to take additional unpaid Adoptive Leave, please notify the Absence Management team at `leaves@gitlab.com` at least 4 weeks before the ordinary Adoptive Leave is due to end.

**Paternity Leave:** All team members who qualify as ["relevant parents"](https://www.citizensinformation.ie/en/employment/employment_rights_and_conditions/leave_and_holidays/paternity_leave.html) can take up to 2 consecutive weeks of Paternity Leave, taken within the first 6 months following the birth/adoption.

Relevant parents can take paternity leave. These are:

- The father of the child
- The partner (spouse, civil partner or cohabitant) of the mother of the child
- The parent of a donor-conceived child

**Parent's Leave:** All team members who qualify as ["relevant parents"](https://www.citizensinformation.ie/en/employment/employment_rights_and_conditions/leave_and_holidays/parents_leave.html) can take up to 7 weeks of Parent's Leave during the first 2 years of their child's life, or within 2 years of the adoption event. Leave may be taken in one continuous period, or in several periods of not less than one week.

**Parental Leave:** All team members who qualify as ["relevant parents"](https://www.citizensinformation.ie/en/employment/employment_rights_and_conditions/leave_and_holidays/parental_leave.html) can take up to 26 weeks of unpaid Parental Leave.

#### GitLab Parental Leave Payment

- For team members who are eligible for GitLab Parental Leave and are eligible to receive State Maternity/Adoptive/Paternity/Parent's benefit from the Department of Social Protection (DSP), GitLab will supplement their pay so that they receive 100% of their salary for up to a total of 16 weeks of leave taken in the first year after the birth/adoption event. The 16-week balance is per birth or adoption event.
- If a team member is eligible for GitLab Parental Leave, but ineligible for State Maternity/Adoptive/Paternity/Parent's benefit from the DSP, they will receive 100% of their pay from GitLab for up to a total of 16 weeks of leave taken in the first year after the birth/adoption event. The 16-week balance is per birth or adoption event.

#### State Maternity Leave Payment

- You may be eligible to receive State [Maternity Benefit](https://www.citizensinformation.ie/en/social_welfare/social_welfare_payments/social_welfare_payments_to_families_and_children/maternity_benefit.html) at €250 per week for up to 26 weeks subject to your PRSI contributions.
  - Effective 2023 the PRSI contributions will increase to €262/week.
- To apply for State Maternity Benefit, please notify leaves@gitlab.com of the start and end date of your leave.
  - The Absence Management team will then send you a completed [MB2 form]( https://assets.gov.ie/10309/8753cb545c3a4e4890dda6f3ff69e310.pdf).
  - Submit your application via the [Maternity Benefit gov.ie website](https://www.gov.ie/en/service/apply-for-maternity-benefit/) at least 6 weeks before you intend to start your leave.

#### State Adoptive Leave Payment

- You may be eligible to receive State [Adoptive Benefit](https://www.citizensinformation.ie/en/social_welfare/social_welfare_payments/social_welfare_payments_to_families_and_children/adoptive_benefit.html) at €250 per week for up to 24 weeks subject to your PRSI contributions.
  - Effective 2023 the PRSI contributions will increase to €262/week.
- To apply for State Adoptive Benefit, please notify leaves@gitlab.com of the start and end date of your leave.
- Submit your application via the [Adoptive Benefit gov.ie website](https://www.gov.ie/en/service/295b84-adoptive-benefit/) at least 6 weeks before you intend to start your leave.

#### State Paternity Leave Payment

- You may be eligible to receive State [Paternity Benefit](https://www.citizensinformation.ie/en/social_welfare/social_welfare_payments/social_welfare_payments_to_families_and_children/paternity_benefit.html#:~:text=Paternity%20Benefit%20is%20a%20payment,or%20after%201%20September%202016) at 250 EUR per week for up to 2 weeks subject to your PRSI contributions.
  - Effective 2023 the PRSI contributions will increase to €262/week.
- To apply for State Paternity Benefit, please notify leaves@gitlab.com of your child's due date.
  - The Absence Management team will then send you a completed [PB2 form](https://assets.gov.ie/10312/a293b948613c41edaeb84ae4396725e3.pdf).
  - Submit your application via the [Paternity Benefit gov.ie website](https://www.gov.ie/en/service/apply-for-paternity-benefit/) at least 4 weeks before you intend to start your leave.

#### State Parent's Leave Payment

- You will be entitled to take 7 weeks of Parent's leave in the first 2 years of a child's birth or adoption and you can take 7 consecutive weeks or 7 separate weeks of leave.
- Team members must give written notice to the Absence Management team at `leaves@gitlab.com` of their intention to take parent's leave at least 6 weeks before the intended start date.
- You may also qualify for 7 weeks [Parent's Benefit](https://www.citizensinformation.ie/en/social_welfare/social_welfare_payments/social_welfare_payments_to_families_and_children/parents_benefit.en.html) if you have enough social insurance (PRSI) contributions.
- To apply for Parent's Benefit, submit your application via the [Parent's Benefit gov.ie website](https://www.gov.ie/en/service/b321b1-parents-benefit/) at least 4 weeks before the date you start your parent's leave.
- Parent's Leave runs concurrently with [GitLab Parental Leave]({{< ref "general-and-entity-benefits#parental-leave" >}}).

#### Parental Leave

- Team members who have been employed for at least one year are entitled to up to 26 weeks of unpaid parental leave to care for a child under the age of 12 (or the age of 16 for a child with a disability). If you have been employed for at least 3 months, and your child is near the age threshold, you are entitled to pro-rata parental leave.
- This leave may be taken in one continuous period or in two separate periods (with at least 10 weeks between each period), or broken into days/half days if agreed upon with your manager.
- Team members with more than one child may only take a maximum of 26 weeks parental leave in a 12 month period, except in the case of multiple births (e.g. twins).
- Periods of parental leave taken during any previous employment will be taken into account in calculating the entitlement to parental leave.
- Team members must give written notice to the Absence Management team at `leaves@gitlab.com` at least six weeks before taking leave.
- Team members must sign a [confirmation document](https://docs.google.com/document/d/1AuD4itCJb2TsUw6bkKZJWUIfL4UM1Q0MMuY_bNlpJsM/edit?usp=sharing) at least four weeks before leave is set to begin.

#### Midwife Support Service

The Vhi Midwife Support Service is a new and improved benefit that's available to team members. The midwife service gives expectant parents the opportunity to have three antenatal consultations staged throughout each trimester of their pregnancy. Once the team members new baby arrives, you can avail of four postnatal consultations over the following six weeks. The team member's dedicated midwife will guide them through the pregnancy journey offering education and support for each stage along the way. Expectant parents can register via the Vhi App or by emailing midwife@vhi.ie. Once registered, you will receive an email confirmation followed by a call from the Vhi midwife team within 2 working days. For more information please see the [Midwife Support Service flyer](https://drive.google.com/file/d/1NpfuZN0GUbenPVH3hsVuTSwu4NhmgPWk/view?usp=sharing)

#### Applying for Maternity, Adoptive, Paternity, Parent's or Parental Leave in Ireland

To initiate your leave, submit your time off by selecting the `Parental Leave` category in Workday at least 30 days before your leave starts and contact total-rewards@gitlab.com. Please familiarize yourself with [GitLab's Parental Leave policy]({{< ref "general-and-entity-benefits#parental-leave" >}}).

<details>
<summary markdown="span">Other Types of Statutory Leave</summary>

**Carer's Leave**

- Team members who have been continuously employed for 12 months are entitled to up to 104 weeks of unpaid leave to personally provide full-time care and attention to a person who needs such care.
  - The decision as to whether the relevant person is in need of full-time care and attention will be made by a Deciding Officer or Appeals Officer of the Dept. of Employment Affairs and Social Protection based on information provided by the person's general medical practitioner and assessment by the Department's medical advisor.
- Leave may be taken in one continuous period of 104 weeks, or in several periods that amount to no more than 104 weeks.
- The minimum period of Carer's Leave you can take is 13 weeks. If Carer's Leave is taken in more than one period, there must be at least 6 weeks in between each period.
- You must submit written notice to the Absence Management team at `leaves@gitlab.com` of your intention to take Carer's Leave at least 6 weeks before the leave begins. Written notice must include the following details:
    1. The date on which you intend to commence the leave
    1. The duration of the leave
    1. The manner in which you propose to take the leave
    1. A statement that an application for a decision that the person to be cared for is a relevant person for the purposes of the Carer's Leave Act, 2001, has been made to the Department of Employment Affairs and Social Protection
    1. Your signature and date
- Once notice has been given, the team member must submit a copy of the decision from the Deciding Officer of the Department of Employment Affairs and Social Protection, that the person to be cared for is medically certified as requiring full-time care and attention.
- Once Carer's Leave has been approved, at least two weeks before the start of leave, the team member must complete a [confirmation document](https://docs.google.com/document/d/1uQ6EldAAxS0gvr9bQ7SXkrsWVh-Yccs5M9HZgvZMRMc/edit?usp=sharing). GitLab will retain a copy, and provide the team member with a copy.
- If you have enough PRSI contributions, you may qualify for [Carer's Benefit](https://www.citizensinformation.ie/en/social_welfare/social_welfare_payments/carers/carers_benefit.html) from the Department of Social Protection. If you do not qualify for Carer's Benefit, you may qualify for [Carer's Allowance](https://www.citizensinformation.ie/en/social-welfare/carers/carers-allowance/). You can take Carer's Leave even if you do not qualify for these payments.
- Carer's Leave runs concurrently with GitLab's Sick time policy. If you receive Carer's Benefit or Carer's Allowance from DSP, GitLab will supplement your payment so that you receive 100% of your salary for the first 25 working days.

**Force Majeure Leave**

- Team members are entitled to paid Force Majeure Leave when, due to urgent family reasons, their immediate presence is indispensable due to the injury or illness of a [close family member](https://www.citizensinformation.ie/en/employment/employment_rights_and_conditions/leave_and_holidays/types_of_leave_from_work.html#lcdc92).
- The maximum amount of leave is 3 days in any 12-month period or 5 days in any 36-month period.
- This leave runs concurrently with GitLab PTO.

**Jury Service**

- Team members are entitled to paid time off to attend jury selection/jury duty. This leave runs concurrently with GitLab PTO. Team members must select `Jury Duty` in Workday to ensure that statutory entitlements are properly tracked.

## Company stamp

Please see 'Company Stamp Ireland' in the People Connect 1password folder for contact details to request a company stamp on any forms or letters.

</details>

## Administration for Ireland Plans

### Benefit in Kind Reporting

The Medical Plans premiums are considered a benefit in kind and must be reported on the team member's payslips

1. On a monthly basis Non-US Payroll will log on to the Vhi portal and download two reports from the Vhi Employers online Group Account profile:
    1. Changes Report: this report shows the list of new joiners per particular month (select the relevant month when pulling the report)
    1. Invoice Member Breakdown: The gross subsidy amount per employee per this invoice is the monthly benefit in kind value
1. Payroll will collect this report and apply it to the team member's paycheck.
