---
title: "Global Expansion"
description: "Global Expansion"
---

## Austria

- Contact: gx_employeeexperience@globalexpansion.com
- [Platform Instruction Guide](https://drive.google.com/file/d/1l68UexMJxglZ1dkcqbeGRdjf9Ym8sxVl/view)

All benefits listed below are administered and managed by [Global Expansion](https://www.globalexpansion.com/countrypedia/austria)

The Austrian Social Security Act General Social Insurance Act (Allgemeines Sozialversicherungsgesetz, ASVG) has employer and team member contributions to cover statutory requirements such as pension, health insurance, accident insurance and unemployment.

### Medical

Austria can access the public Austrian health insurance system. This health insurance scheme covers all the team members and their family members.

Team members have the option to select GX’s global medical insurance plan through AXA at their own cost via **salary deduction**.

Review the [AXA Benefit guide](https://drive.google.com/file/d/1EW0J9S3kEnNxOk9UpoHhNL4EKVUdfPIZ/view).

- The AXA plan will be administered directly through GX.
- During the onboarding of a *new hire*, GX will collect the team member and eligible dependent’s census for enrollment via the GX1 platform.
- GX will then email the cost of the medical insurance plan directly to the team member to confirm whether they would like to opt in or not.
- Once the plan is implemented, the team member will receive the documentation along with a digital pass via a secure link directly from AXA.
- For any addition or modification a team member can reach out to the GX team at: gx_employeeexperience@globalexpansion.com.

### Pension

GitLab does not plan to offer pension benefits at this time as Austria has their uniform pension system through The Act on the Harmonisation of Austrian Pension Systems. The amount of a pension is calculated on the basis of the duration of the pension insurance and amount of the contributions paid. In order to receive the pension a team member must have paid contributions for at least 180 months (15 years).

### Life Insurance

There is no plan to offer life insurance at this time as team members can access the benefits via the social security system which covers illness, injury & disability.

### Bike Leasing Benefit

Global Expansion, through partnership with the local provider, is able to offer a bike leasing option to team members via [BikeLeasing.AT](https://bikeleasing.at/arbeitnehmer#c2991).

#### Benefits of Bike Leasing

- Team members can lease bikes at a lower cost than purchasing, thanks to tax advantages and bulk pricing offered by leasing companies.
- Encourages team members to stay fit and healthy by cycling regularly, which can lead to better overall well-being and potentially reduce sick days.
- Promotes eco-friendly commuting, helping reduce a company's carbon footprint.
- The cost is deducted from the team member's salary, spread over a fixed period, making the bike more affordable.

#### Salary Deduction

The exact salary deduction depends on the terms of the lease agreement, but typically, a portion of the gross salary is deducted monthly. This could be calculated based on the bike's value over the leasing period (usually 36 months).

#### Tax Efficiency

Bike leasing is considered a tax-efficient measure in Austria. Since the salary deduction occurs pre-tax, it reduces the employee’s taxable income, thus lowering their income tax liability.

#### Process if resignation is submitted

If you resign before the end of the leasing period, you will generally have a few options:

- Pay the Remaining Balance: You may be required to settle the outstanding lease payments (remaining balance) in a lump sum or through continued payments after resignation.
- Purchase the Bike: Buy the bike at the end of the lease or upon resignation by paying a predefined residual value.
- Transfer to a New Employer/Leasing Company: It may be possible to transfer the leasing contract to a new employer, but this depends on the policies of both the current leasing provider and the new company. So this would need to be clarified with bikeleasing.at directly.

If you would like to sign up for this benefit or have any questions regarding this, please reach out to the Global Expansion team via `gx_employeeexperience@globalexpansion.com`.

### GX Leave policy

### Annual leave (statutory)

Team members are entitled to 25 days in each year of work.

In the first six months of the first year of employment, the leave entitlement is calculated in proportion to the time worked. From the start of the seventh month, employees receive the full leave entitlement; from the second year of employment, the full leave entitlement accrues from the beginning of the working year.

#### Maternity leave

The statutory entitlement for maternity leave (Mutterschaftsurlaub) is 16 weeks. The leave must start 8 weeks prior to the scheduled delivery date.

- For high-risk births, leave after the birth can be extended to 12 weeks.

#### Parental leave (statutory)

Mothers and fathers are entitled to parental leave until the child reaches the age of 24 months (maximum), provided the parent in parental leave lives in the same household as the child. The minimum period of the parental leave is two months. The dismissal and termination protection ends four weeks after the end of the parental leave.
During the time of parental leave, and provided the conditions are satisfied, parents are entitled to childcare allowance(Kinderbetreuungsgeld) under the Child Care Payment Act from social security.

#### Applying for parental leave in Austria

Please familiarize yourself with [GitLab’s Parental Leave policy](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave). You will need to submit your parental leave via [Workday - Time Off](https://docs.google.com/document/d/1ZatJdGp485lOS2QVrxYJByQK8dD_CMGiLVOykgd338w/edit) at least 30 days before starting the leave.

#### Time-tracking

Time tracking is required in Austria with the exception of roles that are manager and above ([Grade Level 8 or higher](https://docs.google.com/spreadsheets/d/1FX4NBwF099uMBm7mGBtf1orIJZuHEjtiEa3jSbg9jJs/edit?gid=0#gid=0)). Please refer to the process below:

1. Team members who are required to fill out a monthly timesheet must do so on a monthly basis using the [timesheet template](https://docs.google.com/spreadsheets/d/1xFoAfYdGSNNyaRD0dlfccngv86qcVu2m/edit?gid=1142620404#gid=1142620404)
2. Timesheets to be submitted to the local partner before the 8th of each month for the prior month
    - To Andreas Vilits (andreas.vilits@coneo.eu) and in cc Irene Schinagl (irene.schinagl@coneo.eu) and Global Expansion Employee Experience Team (gx_employeeexperience@globalexpansion.com)

## Chile

- Contact: gx_employeeexperience@globalexpansion.com
- [Platform Instruction Guide](https://drive.google.com/file/d/1l68UexMJxglZ1dkcqbeGRdjf9Ym8sxVl/view)

All benefits listed below are administered and managed by [Global Expansion](https://www.globalexpansion.com/countrypedia/chile)

### Medical

Review the [AXA Medical guide](https://drive.google.com/file/d/1PqIC6xjfthcX5PCkmsr1X6CLz8uEnkII/view).

- Team members will be able to avail of GX’s global health insurance plan through AXA. GitLab will cover 100% of the team members' cost and 66%  of eligible dependent premiums.
- The AXA plan will be administered directly through GX.
- During the onboarding of a new hire, GX will collect the team member and eligible dependent’s census for enrollment via the GX1 platform. If dependants are added GX will need to ask team members to sign an authorisation form detailing the amount that will be deducted through Payroll.
- Once the plan is implemented, the team member will receive the documentation along with a digital pass  via a secure link directly from AXA
- For any addition or modification a team member can reach out to the GX team at: gx_employeeexperience@globalexpansion.com.

### Pension

GitLab does not plan to offer pension benefit at this time as Chile has their pension system known as [Chile pension system](https://www.ips.gob.cl/servlet/internet/inicio/beneficios-y-pensiones/pensiones)

### Life Insurance

There is no plan to offer life insurance at this time as team members can access the benefits via the social security system which covers illness, injury & disability.

### GX Leave policy

### Annual leave (statutory)

15 days

### Maternity leave

Team members can take up to 30 weeks of Maternity Leave, made up of 6 weeks of prenatal leave (“Prenatal leave”) before the expected date of birth and 12 weeks of post-natal leave (“Post-natal leave”) after the birth, and are prohibited from working during this period. After Post-natal leave, they have parental leave (“Parental leave”) that can be used in two ways: 12 weeks full-time or 18 weeks working half-time.

### Paternity leave

Team members can take up to 5 working days of Paternity Leave.

#### Maternity leave payment

- If you are [eligible](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave), team members will receive 100% paid Parental Leave from GitLab for up to 30 weeks.

##### Paternity leave payment

- If you are [eligible](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave), team members will receive 100% paid Parental Leave from GitLab for up to 16 weeks.

### Bereavement leave

Team members are entitled to seven consecutive days of paid leave in the event of the death of a child, spouse or civil partner. Three working days of paid leave in the event of the death of a parent or an unborn child.

### Marriage leave

In case of marriage or civil union, a team member is entitled to have five continuous working days of paid leave.

#### Applying for parental leave in Chile

category in Time Off by Deel at least 30 days before your leave starts. Please familiarize yourself with [GitLab’s Parental Leave policy](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave).

## Costa Rica

- Contact: gx_employeeexperience@globalexpansion.com
- [Platform Instruction Guide](https://drive.google.com/file/d/1l68UexMJxglZ1dkcqbeGRdjf9Ym8sxVl/view)

All benefits listed below are administered and managed by [Global Expansion](https://www.globalexpansion.com/countrypedia/costa-rica)

### Medical

Review the [AXA Medical guide](https://drive.google.com/file/d/1PqIC6xjfthcX5PCkmsr1X6CLz8uEnkII/view).

- Team members will be able to avail of GX’s global health insurance plan through AXA. GitLab will cover 100% of the team members' cost and 66%  of eligible dependent premiums.
- The AXA plan will be administered directly through GX.
- During the onboarding of a new hire, GX will collect the team member and eligible dependent’s census for enrollment via the GX1 platform. If dependants are added GX will need to ask team members to sign an authorisation form detailing the amount that will be deducted through Payroll.
- Once the plan is implemented, the team member will receive the documentation along with a digital pass  via a secure link directly from AXA.
- For any addition or modification a team member can reach out to the GX team at: gx_employeeexperience@globalexpansion.com.

### Pension

GitLab does not plan to offer pension benefits at this time as Costa Rica has a [Public pension scheme](https://www.oecd-ilibrary.org/).

### Life Insurance

GitLab offers company paid [International Group Life and Disability Plans through AXA](https://drive.google.com/file/d/1Nsdcwb3RGgbpA82nCWrFBz0wbf8vd6hW/view?usp=sharing).

### Anguinaldo (13th salary)

The 13th salary is equal to a month’s pay and must be paid within the first 20 days of December each year.

### GX Leave policy

### Annual leave (statutory)

14 days

### Parental leave

#### Maternity leave payment

- If [eligible](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave), team members will receive 50% paid Parental Leave from GitLab for up to 4 months. The Social Security Administration pays the remaining 50%.

#### Paternity leave payment

- If [eligible](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave), team members will receive paid Parental Leave from GitLab for up to 16 weeks.

### Adoption leave

Team members who adopt a child are entitled to 3 months’ paid leave starting from the date of child birth. To take adoption leave, team members need to submit a certificate from the National Foundation for Children or a family court confirming the adoption, to the employer.

#### Applying for parental leave in Costa Rica

Please familiarize yourself with [GitLab’s Parental Leave policy](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave). You will need to submit your parental leave via [Workday - Time Off](https://docs.google.com/document/d/1ZatJdGp485lOS2QVrxYJByQK8dD_CMGiLVOykgd338w/edit) at least 30 days before starting the leave.

## Kenya

- Contact: gx_employeeexperience@globalexpansion.com
- [Platform Instruction Guide](https://drive.google.com/file/d/1l68UexMJxglZ1dkcqbeGRdjf9Ym8sxVl/view)

All benefits listed below are administered and managed by [Global Expansion](https://www.globalexpansion.com/countrypedia/kenya)

### Medical

(Health Care Allowance)

- Healthcare Monthly Allowance will be paid by GX as an allowance to the team members for their own Medical Coverage.
- The allowance will be up to 300 USD per month for team members and up to 500 USD per month for team members plus Dependents. (USD amount can be converted to the local currency using the latest Currency Conversion Factor)
- This amount will be paid on a monthly basis with the regular payroll as a reimbursement.
- Team Members are required to share proof of registration to the GX1 (Global Expansion) portal.
- If a team member has a change in cost and coverage / renewal, please ensure to upload the new proof of cost and cover to the GX1 (Global Expansion) portal and send an email to `gx_employeeexperience@globalexpansion.com` cc'ing `total-rewards@gitlab.com` to advise the new proof has been uploaded so that this can be adjusted on the next available payroll.
- If a team members policy is already in KES, GX will convert from the USD allowance amount to local currency (KES) around the 21st of each month, and include the converted amount in that specific months salary payment.

Once a year, Global Expansion may reach out to team members to complete an audit and request that team members upload proof of coverage and cost.

### Pension

GitLab does not plan to offer pension benefits at this time as Kenya has their Pension system called [National Social Security Fund (N.S.S.F).](https://www.nssf.or.ke/).

### Life Insurance

GitLab offers company paid [International Group Life and Disability Plans through AXA](https://drive.google.com/file/d/1Nsdcwb3RGgbpA82nCWrFBz0wbf8vd6hW/view?usp=sharing).

### GX Leave policy

### Annual leave (statutory)

21 Days

### Maternity leave

Team members can take up to 3 months maternity leave.

**Maternity leave payment**

If [eligible](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave), team members will receive 100% paid Parental Leave from GitLab for up to 16 weeks.

### Paternity leave

Team members can take up to 2 weeks of Paternity Leave.

**Paternity leave payment**

If [eligible](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave), team members will receive 100% paid Parental Leave from GitLab for up to 16 weeks.

#### Applying for parental leave in Kenya

To initiate your parental leave, submit your time off by selecting the Parental Leave category in Workday - Time Off at least 30 days before your leave starts. Please familiarize yourself with [GitLab’s Parental Leave policy](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave).

## Latvia

- Contact: gx_employeeexperience@globalexpansion.com
- [Platform Instruction Guide](https://drive.google.com/file/d/1l68UexMJxglZ1dkcqbeGRdjf9Ym8sxVl/view)

All benefits listed below are administered and managed by [Global Expansion](https://www.globalexpansion.com/countrypedia/latvia)

### Medical

Review the [AXA Benefit guide](https://drive.google.com/file/d/1EW0J9S3kEnNxOk9UpoHhNL4EKVUdfPIZ/view).

- Team members will be able to avail of GX’s global health insurance plan through AXA. GitLab will cover 100% of the team members' cost and 66%  of eligible dependent premiums.
- The AXA plan will be administered directly through GX.
- During the onboarding of a *new hire*, GX will collect the team member and eligible dependent’s census for enrollment via the GX1 platform.
- Once the plan is implemented, the team member will receive the documentation along with a digital pass  via a secure link directly from AXA.
- For any addition or modification a team member can reach out to the GX team at: gx_employeeexperience@globalexpansion.com.

### Pension

GitLab does not plan to offer pension benefits at this time as Latvia has their Pension system called as [State Funded Pension Scheme](https://latvija.gov.lv/Services/)

### Life Insurance

GitLab does not plan to offer life insurance at this time.

### GX Leave policy

### Annual leave (statutory)

20 days

### Parental Leave

All team members are entitled to up to 1 ½ years of parental leave for the birth or adoption of a child until the child reaches eight years old.

- This leave may be taken in a single period or in parts. If taken in parts, the total leave must not exceed 1 ½ years.
- Team members must notify the Absence Management team at leaves@gitlab.com one month in advance of beginning parental leave, and at least two weeks in advance if returning from leave early.

### Maternity Leave

Team members are entitled to up to 56 calendar days of prenatal leave and 56 calendar days of maternity leave for a total of 112 days.

- Supplementary *prenatal* leave of 14 days may be granted (for a total of 70 days of prenatal leave)if a woman who has initiated pregnancy-related medical care at a preventive medical institution by the 12th week of pregnancy has continued for the whole period of pregnancy.
- Supplementary *maternity* leave of 14 days bay be granted (for a total of 70 days of maternity leave) if there are complications in pregnancy, childbirth, or the postnatal period or if two or more children are born.

**Maternity Leave payment**

- If [eligible](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave), GitLab will supplement your pay to ensure you receive 100% pay for up to 16 weeks of your leave.

### Paternity Leave

Team members are entitled to take up to 10 days of Paternity Leave which must be taken within the first two months of the child’s birth.

- In the event that the mother has died, refuses to care for the child, or cannot take care of the child due to illness, injury, or other health-related reason up to the 42nd day of the period following childbirth, the father (or another person who actually takes care of the child) will be entitled to leave for the period up to the 70th day of the child’s life.

**Paternity leave payment**

- If [eligible](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave), GitLab will supplement your pay to ensure you receive 100% pay for up to 16 weeks of your leave.

### Adoption Leave

For a family which has adopted a child up to 18 years of age, one of the adopters is entitled to 10 days of leave.

## Mexico

- Contact: gx_employeeexperience@globalexpansion.com
- [Platform Instruction Guide](https://drive.google.com/file/d/1l68UexMJxglZ1dkcqbeGRdjf9Ym8sxVl/view)

All benefits listed below are administered and managed by [Global Expansion](https://www.globalexpansion.com/countrypedia/mexico)

### Social Security

All workers employed in Mexico must be registered with and contribute to the following institutions that deal with different social security insurance benefits:

- Mexican Institute of Social Security (IMSS):
Provides medical services, child day care, accident and sickness compensation, pregnancy benefits and disability pensions
- National Workers’ Housing Fund Institute (INFONAVIT):
rovides subsidized housing to employees as well as loans, and the Retirement Savings Program (SAR). SAR provides employees with retirement benefits when they reach 65 years of age.
Employees in Mexico are covered by the Social Security Law, under IMSS who is responsible for administering social security insurance benefits and the collection of contributions.
- Both the employer and employee are required to contribute to social security, although the employer has the responsibility of withholding the employee’s contribution.
- These contributions fund retirement pensions, health and maternity insurance, occupational risk, day-care, disability and life insurance, and unemployment/old age insurance.

### Medical

**For team members hired before October 1, 2024**
Healthcare Monthly Allowance will be paid by GX as an allowance to the team members until December 31, 2024.
The allowance will 5000 USD per annum broken into monthly installments.

### Health Insurance

- New hires as of October 1, will be able to opt into the GX Global Health plan by AXA.
- Team members who's allowance will be retired as of December 31, 2024 will be able to opt into the GX Global health plan by AXA.
- GitLab will cover 100% of the team members' cost and 66% of eligible dependent premiums.
- The AXA plan will be administered directly through GX.
- During the onboarding of a new hire, GX will collect the team member and eligible dependent’s census for enrollment via the GX1 platform.
- Once the plan is implemented, the team member will receive the documentation along with a digital pass  via a secure link directly from AXA.
- For any addition or modification a team member can reach out to the GX team at: gx_employeeexperience@globalexpansion.com.

### Life Insurance

Life insurance cover provided via GX AXA plan

### Monthly Remote Working Allowances

- Team members in Mexico will receive a monthly allocation of 2200 MXN for internet and electricity to support their remote work. These reimbursements are tax-exempt and will be reflected as a separate line item on your payslips to cover remote working expenses such as internet and electricity.
- **Erganomic Chair Allowance**
Team members are entitled to a one-time claim of up to 3000MXN for the purchase of an ergonomic chair to support their comfort and health while working remotely.

**Instructions** for reimbursement is outlined in the [Navan policy](/handbook/finance/expenses/#equipment)

### Christmas Bonus (Aguinaldo)

- GitLab offers 30 working days pay (which includes total earnings + taxable allowances + commissions).
- Paid by December 20th
- Team members with less than one year of services will recieve a pro-rated Christmas bonus.

### Vacation Bonus

The vacation premium is an additional cash benefit given to employees for use on their vacation. It is calculated as a minimum of 25% of daily salary multiplied by the number of days of vacation. Employees who have provided one year of service must be afforded a minimum of 6 paid vacation days in their first year of employment. Two working days will be added to that vacation time every following year through the fourth year. After five years, employers are required to add two days of vacation time every five years.

- [Please see the government website for more information](https://www.gob.mx/profedet/articulos/la-ley-federal-del-trabajo-es-tu-aliada-en-tu-derecho-a-recibir-vacaciones?idiom=es#:~:text=Durante%20el%20periodo%20de%20vacaciones%20el%20patr%C3%B3n%20deber%C3%A1,que%20les%20correspondan%20durante%20el%20per%C3%ADodo%20de%20vacaciones)

### GX Leave policy

### Annual leave (statutory)

Below is the information related to Mexico’s statutory leave policies. Please note that team members hired in Mexico are hired via GX (PEO) and you should always check with GX first for the most up to date information.

Annual leave (statutory) 21 Days

### Maternity leave

- Team members can take 12 weeks of Maternity Leave (6 weeks before the child is born and 6 weeks after birth) to run concurrently with GitLab’s 16 week [Parental Leave policy](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave).

**Maternity leave payment**

- 12 weeks of the team member’s Maternity Leave will be paid by the Mexican Social Security Institute (MSSI).
- GitLab Parental leave calculations: If [eligible](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave), will be supplemented up to 100% minus any MSSI payments received for up to the 16 weeks of leave.
*For example: If the team member receives 80% of their pay from MSSI payments, GX will provide the remaining 20% of their pay during the normal payroll calendar.

### Paternity leave

If [eligible](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave), the team member will receive 100% paid parental leave from GX for up to 16 weeks.

**Applying for Parental leave**

To initiate parental leave, submit your time off by selecting parental leave category in [Workday - Time Off](https://docs.google.com/document/d/1ZatJdGp485lOS2QVrxYJByQK8dD_CMGiLVOykgd338w/edit) at least 30 days before the leave starts. Please familiarize yourself with GitLabs [Parental leave policy](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave).

**Paternity leave payment**

If [eligible](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave), team members will receive 100% paid Parental Leave from GitLab for up to 16 weeks.

### Sick leave

Team members unable to work because of a nonwork-related injury or illness and who have made payments into the social security system for the four weeks before the condition developed are eligible for paid sick leave through the Social Security Institute. The benefit, which is 60% of an employee’s regular wage, is paid from the fourth day of the illness for up to 52 weeks and maybe extended for another 52 weeks.

## Philippines

- Contact: gx_employeeexperience@globalexpansion.com
- [Platform Instruction Guide](https://drive.google.com/file/d/1l68UexMJxglZ1dkcqbeGRdjf9Ym8sxVl/view)

All benefits listed below are administered and managed by [Global Expansion](https://www.globalexpansion.com/countrypedia/philippines)

### Social Security System

The Philippine Social Security System has employer and team member contributions to cover benefits such as pension, unemployment, maternity disability, sickness, death and funeral.

### Home Development Mutual Fund (HDMF)

The HDMF, also known as the Pag-IBIG Fund, is a provident savings system to provide affordable shelter financing to members employed by local / foreign-based employers as well as self-employed members.

### Philippine Health Insurance Corporation (PhilHealth)

PhilHealth is a government corporation attached to the Department of Health. It provides health insurance coverage and ensures affordable & accessible health care services for all members.

### Medical

Review the [AXA Medical guide](https://drive.google.com/file/d/1PqIC6xjfthcX5PCkmsr1X6CLz8uEnkII/view).

- Team members will be able to avail of GX’s global health insurance plan through AXA. GitLab will cover 100% of the team members' cost and 66%  of eligible dependent premiums.
- The AXA plan will be administered directly through GX.
- During the onboarding of a *new hire*, GX will collect the team member and eligible dependent’s census for enrollment via the GX1 platform.
- Once the plan is implemented, the team member will receive the documentation along with a digital pass via a secure link directly from AXA
- For any addition or modification a team member can reach out to the GX team at: gx_employeeexperience@globalexpansion.com.

### 13th Month Pay

The 13th month pay is mandatory in the Philippines under the labor code and by Presidential Decree 851. Every level of team member is entitled to 13th month pay as long as they have worked at least one month during the calendar year. It is calculated as 1/12 of the total basic salary earned during the year. It has to be paid out by December 24 or the end of the contract, whichever is sooner.

### GX Leave policy

### Annual leave (statutory)

Team members are entitled to five days of paid vacation leave after 12 months of service, referred to as “service incentive leave” by the Labour Code.

### Parental Leave

### Maternity leave

Team members can take up to 105 days of Maternity Leave. Team members may request an additional 30 days of unpaid Maternity Leave. Solo mothers have the option to extend by 15 days.

**Maternity leave payment**

- Team members may receive Maternity Leave payment from the SSS for up to 105 days.
- If [eligible](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave), GitLab will supplement your pay to ensure you receive 100% pay for up to 16 weeks of your leave.

### Paternity Leave

Team members can take up 7 days of Paternity Leave or up to 14 days if the team member’s wife allocates him 7 days of extra Paternity Leave.

**Paternity leave payment**

- Team members may receive Paternity Leave payment from the SSS for up to 7 days (if allocated from the wife’s Maternity Leave payment).
- If [eligible](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave), GitLab will supplement your pay to ensure you receive 100% pay for up to 16 weeks of your leave.

**Applying for Parental leave**

To initiate parental leave, submit your time off by selecting parental leave category in [Workday - Time Off](https://docs.google.com/document/d/1ZatJdGp485lOS2QVrxYJByQK8dD_CMGiLVOykgd338w/edit) at least 30 days before the leave starts. Please familiarize yourself with GitLabs [Parental leave policy](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave).

## South Africa

- Contact: gx_employeeexperience@globalexpansion.com
- [Platform Instruction Guide](https://drive.google.com/file/d/1l68UexMJxglZ1dkcqbeGRdjf9Ym8sxVl/view)

All benefits listed below are administered and managed by [Global Expansion](https://www.globalexpansion.com/countrypedia/south-africa)

### Medical Allowance

Team members receive up to ZAR 5,000 /month for a single employee or up to ZAR 8,500/month for the employee and legal dependents (not a flat amount). Team Members are required to share proof of registration to the GX1 (Global Expansion) portal. If a team member has a change in cost, please ensure to upload the new proof of cost and cover to the GX1 (Global Expansion) portal and send an email to `gx_employeeexperience@globalexpansion.com` cc'ing `total-rewards@gitlab.com` to advise the new proof has been uploaded so that this can be adjusted on the next available payroll.

Once a year, Global Expansion may reach out to team members to complete an audit and request that team members upload proof of coverage and cost.

### Provident fund

The employer (Global Expansion) and team member both pay 5% each to the Provident fund as contributions. Applicable tax laws provide that any contribution the employer makes is treated as a contribution made by the member. The contributions will qualify for a tax deduction in each tax year of assessment.

### Life Insurance

[Risk cover plan](https://drive.google.com/file/d/1-cCb2RgoZWtxiUU_5OD5V5LUYy8l4OyY/view?usp=drive_link)

### GX Leave policy

### Annual leave (statutory)

15 working days

### Parental Leave

Below is the information related to South Africa’s statutory leave policies. Please note that team members hired in South Africa are hired via GX (PEO) and you should always check with GX first for the most up to date information.

To initiate your parental leave, submit the dates via Workday under the Parental Leave category. This will prompt the Absence Management team to process your leave. You can find out more information about our Parental Leave policy on the [general benefits page](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave).

If you are eligible for GitLab’s parental leave, your payments will be made up of payments from UIF and then supplemented up to 100%.

Please submit the dates of your leave in Workday by selecting the Parental Leave option. The Absence Management team will contact you with more information. Once you send your parental leave notification in Workday, the Absence Management team will notify GX. GX will then get in touch with you to explain the UIF payment claim process.

### Maternity Leave

Female employees have a right to four months’ maternity leave when they are pregnant.
By law your employer is not obliged to give you paid maternity leave, but you are entitled to four consecutive months of maternity leave.
The maternity leave may begin at any time from at least four weeks before the birth of the baby.

### Paternity Leave

An employee, who is a parent of a child is entitled to 10 consecutive days of parental leave.

**Applying for Parental leave at GitLab**

To initiate parental leave, submit your time off by selecting parental leave category in [Workday - Time Off](https://docs.google.com/document/d/1ZatJdGp485lOS2QVrxYJByQK8dD_CMGiLVOykgd338w/edit) at least 30 days before the leave starts. Please familiarize yourself with GitLabs [Parental leave policy](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave).

### Sick Leave

Section 22(1) to 22(4) of South Africa’s Employment Act stipulates that during each 36-month cycle starting from the first day at work, an employee is entitled to a paid sick leave. This should be equivalent to the exact number of days that they usually work in a typical 6-week period. Therefore, in case the employee works five days per week, then they are entitled to a 30-day sick leave on full pay. On the other hand, if the person works six days per week, then they will have a 36-day sick leave on full pay. When distributed across the three years, one may have a 10 to 12-days paid sick leave per year on average.

## United Arab Emirates

- Contact: gx_employeeexperience@globalexpansion.com
- [Platform Instruction Guide](https://drive.google.com/file/d/1l68UexMJxglZ1dkcqbeGRdjf9Ym8sxVl/view)

All benefits listed below are administered and managed by [Global Expansion](https://www.globalexpansion.com/countrypedia/united-arab-emirates)

Team members can find a more detailed breakdown of the benefits below [here](https://docs.google.com/spreadsheets/d/1eXT_0-mP2bNQtTO6opLjYSjdbH_Yuj8JIqMPM7DT80g/edit?gid=0#gid=0), but please note some of the allowances are dependent on circumstance, so figures may vary.

### Allowances

- Housing Allowance
- Car Allowance
- Child Education Allowance

### Housing Allowance

Team members are eligible for a housing allowance which is paid monthly and the details will be outlined in the employment agreement. If circumstances arise in which a lump sum is required before the employment start date, there may be an option to request the first 3 months up front (with the monthly amount for the remainder of the year being reduced accordingly). If this is required, the request will need to be sent to both GX and Total Rewards, where it will be reviewed. If approved, the conditions of this variation will be outlined in a separate letter.

### Child Education Allowance

The Team Member’s Child Education Allowance will be outlined in their agreement. The Child Education Allowance is provided for up to three children.

In order to be eligible for the allowance, the child(ren) must be the age of 18 or younger and be attending primary, preparatory or secondary school in the UAE. Higher education (i.e. college) is not covered under the child education allowance.

Upon your start date, please send total-rewards@gitlab.com a copy of the invoice for your child’s schooling in order to verify attendance, and age.

It is the team member’s responsibility to notify Total-Rewards when their child is no longer eligible in order to remove the allowance. If the team member neglects to inform Total-rewards in a timely manner, the team member would be responsible for repayment of the allowance.

Should a Team Member’s dependent become eligible, the team member should notify Total-rewards@gitlab.com with a copy of the invoice for our child’s schooling, and Total-Rewards will work with GX to update your allowance.

### Annual Return Flighs Home

UAE Team Members are eligible for Annual Return Flights Home for themselves and their dependents. Dependents are defined as the team member’s spouse and child(ren).

The flights must be booked back to the team member’s “home country”. With the exception of layovers no additional stops or travel may be added.

The annual flights do not roll over year to year, in the event that the team member does not use their flight that year.

### Process on requesting return flights home

During onboarding the eligible team members will have a policy set up in Navan where the team member can book their flights home. More information on the policy can be found [here](https://docs.google.com/spreadsheets/d/1eXT_0-mP2bNQtTO6opLjYSjdbH_Yuj8JIqMPM7DT80g/edit?gid=0#gid=0). The trip purpose should be selected as ‘UAE - Annual Flights’.

Please refer to the [GitLab Travel page](/handbook/finance/travel/) of the Handbook on how to book flights through Navan.

### Medical

Review the Medical Insurance [AXA Plan](https://drive.google.com/file/d/1-Xx71vfS0eEcNvfPIKYyqHR418QbXceD/view?usp=sharing) Guide

- Team members will be able to avail of GX’s global health insurance plan through AXA. GitLab will cover 100% of the team members' cost and of eligible dependent premiums.
- The AXA plan will be administered directly through GX.
- During the onboarding of a *new hire*, GX will collect the team member and eligible dependent’s census for enrollment via the GX1 platform.
- For any addition or modification a team member can reach out to the GX team at: gx_employeeexperience@globalexpansion.com.

### GX Leave policy

### Annual Leave (Statutory)

Team members in UAE are entitled fully paid annual leave of

- 30 days/22 working days after one year of service
- 2 days per month after completing 6 months of service but have not worked a full year

Part-time team members are entitled to annual leave according to the actual working hours they spent at work, as specified in the employment contract, and in accordance with the ‘Executive Regulations of the Labour Law’- Available in Arabic only- (PDF, 10.9 MB).

### Sick Leave

Eligibility for a sick leave (paid and unpaid)

A UAE team member is entitled to a sick leave of not more than 90 days per year, only after the end of probationary period. The 90 days’ sick leave can be continuous or intermittent, and the salary is paid as follows:

- ull pay for the first 15 days.
- half pay for the next 30 days.
- no pay for the rest 45 days.

However, during the probationary period, the employee may get a sick leave without pay, subject to the approval of the employer and based on a medical report issued by the medical entity that stipulates the necessity of the leave.

*Note*: The above provisions are subject to conditions and do not apply to sick leave because of occupational illness.

Notifying your employer of a sick leave
According to Article 31 of the UAE Labour Law, the team member must notify the employer about their sickness within a maximum of three days and submit a medical report on their condition, issued by the medical entity.

Ineligibility for a paid sick leave
A team member is ineligible for a paid sick leave in the following situations:

- During probation period.
- If the illness directly arises from the misconduct of the worker, such as the consumption of alcohol or narcotics.
- If the worker violated the safety instructions in accordance with the effective legislations in the UAE, and the rules set out in the firm’s regulations, which the employee was informed of.

### Parental Leave

Team members of the private sector are entitled to a parental leave of 5 working days from the day of the birth of their child to six months. The parental leave is a paid leave that can be applied for by both mother and father of the baby.

To apply for leave, please enter the dates into Time Off by Deel and select the Parental Leave label. The Absence Management team will reach out to you with more information.
Sabbatical Leave (National Service).

As per ‘UAE Labour Law’, Emiratis working in the private sector are entitled to a paid sabbatical leave (extended break from work) to perform national service.

### Maternity Leave

A female worker is entitled to a maternity leave of 60 days, out of which:

- 45 days will be fully-paid leave
- 15 days will be half-paid leave during the probation period

A female worker may apply for her maternity leave up to 30 days prior to the expected date of delivery.
In addition to the basic maternity leave above, she may take additional 45 without pay, if she has an illness as a result of pregnancy or childbirth, and is unable to resume work. The illness must be proved via a medical certificate issued from the respective medical authority. These leave days can be consecutive or intermittent.

If the baby is sick or suffers from a disability, the female worker may take additional leaves of 30 days fully-paid. This leave can be extended for additional 30 days without pay. The illness or the disability of the child must be proved via a medical certificate issued from the respective medical authority.

After the female worker resumes work, she is entitled to one or two additional breaks each day for nursing her child. The duration of the two breaks must not exceed one hour. The woman is entitled to such breaks for 6 months following the date of delivery. Such breaks are fully paid for.

**Applying for Parental leave at GitLab**

To initiate parental leave, submit your time off by selecting parental leave category in [Workday - Time Off](https://docs.google.com/document/d/1ZatJdGp485lOS2QVrxYJByQK8dD_CMGiLVOykgd338w/edit) at least 30 days before the leave starts. Please familiarize yourself with GitLabs [Parental leave policy](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave).

### Bereavement Leave

A team member is entitled to:

- A paid leave of five days in the event of the death of spouse and
- A paid leave of three days in the event of the death of a parent, child, sibling, grandchild or grandparent.

### Hajj Leave

Team members may be granted a special leave for the performance of Hajj under the provisions that the leave:

- Is given without pay
- May not exceed 30 days
- Is granted only once during the employment duration with the company.
