---
title: "GitLab Inc (US) Benefits"
description: "GitLab Inc (US) benefits specific to US based team members."
---

Related Pages:

- [Total Rewards Processes & Audits for US Benefits](/handbook/total-rewards/benefits/general-and-entity-benefits/inc-benefits-us/total-rewards-processes/)
- [People Policies - Leave of Absence](/handbook/people-policies/leave-of-absence/us/)

## Specific to US based team members

US based benefits are arranged through Willis Towers Watson and managed on the PlanSource platform. The benefits decision discussions are held by Total Rewards, the CFO, and the CEO to elect the next year's benefits by the carrier's deadlines. Total Rewards will notify the team of open enrollment as soon as details become available.

## 2025 Plan year

As the costs of healthcare increase, Gitlab strives to offer a competitive benefits program and maintain low costs for Team Members.   For 2025, GitLab will continue to cover the majority of costs for your total benefits package.

### 2025 Open Enrollment

GitLab’s US Benefit Open Enrollment for Calendar Year 2025 will take place from 2024-11-04 through 2024-11-15.

This year is a **passive enrollment**, so no action is needed if you are not making changes to your current benefits or enrolling in a Flexible Spending Account (FSA). **FSA elections do not roll over and you must actively (re)enroll in Flexible Spending Accounts (FSAs) and Dependent Care FSAs each year.** To enroll in an FSA or make changes, log in to PlanSource between Monday, November 4, and Friday, November 15.

Please see additional information on the 2025 US Benefit Plans

- Need help selecting a plan? Use the [Flimp PlanSelect tool](https://myplanselect.com/navigation/Gitlab/2024) to help you find the plan that best fits you and your family’s needs.
- Review the [2025 Benefits Memo](https://drive.google.com/file/d/1-1Y15FG5oiksax_871eIX-bJBeDxIF_k/view) for highlights and updates
- See the [2025 US Benefits Guide](https://drive.google.com/file/d/15L8LMWI1CoUUoU3DcimxU3edITKs8QrV/view) for a full review of the GitLab Benefit Plans
- Watch our [2025 Benefits Video](https://www.brainshark.com/1/player/willis?pi=zHgzXkIHdzaInCz0&r3f1=&fb=0) for a review of all the plans.
- See our 2025 [Annual Rights Notices](https://drive.google.com/file/d/1t17_KcSPt4l09YQL3Iiy544yxXf5z8Bx/view?usp=sharing)
- GitLab offers Mental Wellness Services through [Modern Health](/handbook/total-rewards/benefits/modern-health/). In addition to these services, team members that enroll in the Cigna and Kaiser plans have access to their network of [Mental Health Programs and Resources](https://drive.google.com/file/d/1LT_LG1Px3xrGMBP0-iMPXaFyQvopfSiL/view?usp=sharing)
- See the [Transparency in Coverage](https://www.cigna.com/legal/compliance/machine-readable-files). These machine readable files are made available in response to the federal Transparency in Coverage Rule and include negotiated service rates and out-of-network allowed amounts between health plans and healthcare providers. The machine-readable files are formatted to allow researchers, regulators, and application developers to more easily access and analyze data

## 2024 Plan Year

GitLab offers a benefits package that provides health and financial security for you and your family.

- Review the [2024 Benefits at Glance](https://drive.google.com/file/d/1TbBefUlpuWpErJ8eEVppZZX_bAoqbT2n/view?usp=sharing) for a high-level Summary of the plans
- Review the [2024 US Benefits Guide](https://drive.google.com/file/d/1KTgW9U2ByTBHRrjNg623K6DY3-_pKsUD/view?usp=sharing) for full plan details and plan rates. - Candidates and New hires who are about to start with GitLab can view this document by clicking on the link and requesting access, access will be granted shortly after request.
- Watch the [2024 Benefits Video](https://www.brainshark.com/1/player/willis?pi=zGdz14BY3EzaInCz0&r3f1=&fb=0)
- Need help selecting a plan? Check out the [PlanSelect Tool](https://myplanselect.com/navigation/Gitlab/2022) to help you find a plan that best suits your needs. You can also reach out to the [Cigna One Guide Service](https://drive.google.com/file/d/1eIvtYtYPSt3Q0h-Byd16CFFfT0bxv8yF/view?usp=sharing) to walk through the GitLab Cigna plans available.

</details>

<details markdown="1">

<summary>Documents, Rights, and Notices</summary>

- Please review the most recent [Summary of Material Modifications](https://drive.google.com/file/d/1_j61NVNqUQ0A4RBWM3ihooRuf094QdWr/view?usp=sharing) from Jan 1, 2022. Please review the [2024 Annual Rights and Notices](https://drive.google.com/file/d/1fB5r88VUiydWz3pFk76DFK3h5DTyVaDw/view?usp=sharing) and the [2025 Annual Rights and Notices](https://drive.google.com/file/d/1t17_KcSPt4l09YQL3Iiy544yxXf5z8Bx/view)
- [Transparency in Coverage](https://www.cigna.com/legal/compliance/machine-readable-files) Starting July 1, 2022, this link leads to the machine readable files that are made available in response to the federal Transparency in Coverage Rule and includes negotiated service rates and out-of-network allowed amounts between health plans and healthcare providers. The machine-readable files are formatted to allow researchers, regulators, and application developers to more easily access and analyze data

**Illinois Team Members:** In accordance to the Illinois Consumer Coverage Disclosure Act, please find the [2023 Coverage Summary](https://drive.google.com/file/d/1LUjsk4eWyQIktMR1li_Mp0KIKQ2ZKarF/view?usp=sharing) for the essential health benefits available to you.

</details>

<details markdown="1">

<summary>Archived Plans & Tax Details</summary>

Team Members can find Archived benefit plans, details, and open enrollment for prior years listed below:

- [**2023 Calendar Year**](https://gitlab.com/gitlab-com/content-sites/handbook/-/blob/5b8646cc905cb0aad9890c38ab4636f17ff3d5ef/content/handbook/total-rewards/benefits/general-and-entity-benefits/inc-benefits-us/_index.md)

Team Members can access their 1095-C Documents Via PlanSource
You can log into PlanSource through your Workday profile. There is an integration built between Workday and Plansource that allows for single sign on.

1. Login into the [Workday](https://www.myworkday.com/gitlab/d/home.htmld) Note: Plansource does not appear in Okta but in Workday directly.
1. Once you have logged into Workday click `View All Apps` link. Click `Personal Information` app
1. Scroll to the bottom of the page under `External Links`, select `US Benefits Enrollment - PlanSource`
1. On the left Column on the PlanSource home page, select `Documents`, select `Tax Documents`
1. Select `Prior Calendar Year` and Download the 1095-C form. You can also elect to go Paperless moving forward.

</details>

## Who To Contact & Claims Escalations

- Need Help with your Claims? We got you covered. WTW Claim Escalation Services are here to assist you when you encounter issues with your benefit claims. If your claim has been denied, delayed, or you’re facing challenges in resolving it, the WTW team can step in and provide support. **You can request this assistance via [HelpLab](https://helplab.gitlab.systems/esc).**
- For Cigna related questions please use the [Cigna One Guide Service](https://drive.google.com/file/d/1eIvtYtYPSt3Q0h-Byd16CFFfT0bxv8yF/view?usp=sharing)
- For questions regarding the PlanSource system internal policies, etc. 401(k), : [HelpLab](https://helplab.gitlab.systems/esc).

## ID Cards

Cigna issues Digital ID cards, which are available through the mycinga.com website or the myCigna mobile app. Team members can request a physical medical card on mycigna.com. Please allow up to two weeks for ID cards to generate after completing your enrollment.

Kaiser cards will be mailed within 3 weeks of submitting your benefit elections.Kaiser Digital ID cards are available through the Kaiser website or the Kaiser mobile app.

## Enrolling in Benefits

Team Members have 30 days from their Hire Date to enroll in the benefit plans. Enrollment is through our benefit administrator, PlanSource.

**In 2024, New Hires that do not enroll in a plan within your benefits election period will be automatically enrolled in the High Deductible Health Plan (HDHP).**

**In 2025, New Hires that do not enroll in a plan within your benefits election period will be automatically enrolled in to the [Medical Waiver Allowance](/handbook/total-rewards/benefits/general-and-entity-benefits/inc-benefits-us/#medical-allowance) and waive all other lines of optional cover**

More information on the processed deductions in payroll from PlanSource can be found on the [Accounting and Reporting page](/handbook/finance/accounting/).

To learn more about how US Benefit Programs work, please see the following [PlanSource Video Library](https://videolibrary.plansource.com/).

### Logging into PlanSource

You can log into PlanSource through your Workday profile. There is an integration built between Workday and Plansource that allows for single sign on.

1. Login into the [Workday](https://www.myworkday.com/gitlab/d/home.htmld) site via Okta. Note: Plansource does not appear in Okta but in Workday directly.
1. Once you have logged into Workday click `View All Apps` link. Click `Personal Information` app
1. Scroll to the bottom of the page under `External Links`, select `US Benefits Enrollment - PlanSource`
1. The benefits enrollment portal will then open in a separate screen for you to complete your enrollments or review your plans.

Review the [PlanSource Login & Enrollment](https://drive.google.com/file/d/1py7C8ngTpVlYNSKG4If3yBw43dg3F6Ml/view?usp=sharing) Guide for additional details on logging in and electing benefits.

</details>

<details markdown="1">

<summary>Eligibility</summary>

Any active, regular, full-time team member working a minimum of 30 hours per week are eligible for all benefits. Benefits are effective on your date of hire. Others eligible for benefits include:

- Your legal spouse or domestic partner,
- Your dependent children up until age 26 (including legally adopted and stepchildren), and/or
- Any dependent child who reaches the limiting age and is incapable of self-support because of a mental or physical disability

Note: If you and an eligible dependent (as defined above) are both employed by GitLab, you may only be covered by GitLab's coverage once. This also applies to enrolling in either your own supplemental life insurance or supplemental spouse/dependent life insurance through your dependent who is employed by GitLab, but not both.

A domestic partnership is an arrangement in which two people live together and are in a committed relationship without being legally married. Domestic partnerships are composed of two people of any gender, which includes male, female, or nonbinary people. If you have recently entered in to a Domestic Partnership, or your Domestic Partner goes through a Qualifying Life Event, you may add them to the GitLab plans as outlined in the instructions below. During the documentation step, you will be asked to fill out and submit a [Domestic Partner Affidavit](https://drive.google.com/file/d/11cV-WXJXu8G626muav2aJvpYS4CMleeE/view?usp=sharing) in to PlanSource. If you are adding your Domestic Partner during New Hire Enrollment or Open Enrollment, there is no need to fill out the Domestic Partnership Affidavit.

</details>

#### Qualifying Life Events

Due to IRS guidelines, you cannot make changes to your health insurance benefits outside of GitLab's annual open enrollment period unless you experience a [Qualifying Life Event](https://www.healthcare.gov/glossary/qualifying-life-event/).

A QLE is a change in your situation — like getting married, having a baby, etc that can make you eligible for a special enrollment period. You must wait until the event date has passed to submit your Qualifying Life Event. You have ***30 days from the date of your qualifying event*** to submit your requested change to PlanSource.

Once approved, coverage will be backdated to the date of the event.

Please see the [FSA](/handbook/total-rewards/benefits/general-and-entity-benefits/inc-benefits-us/#flexible-spending-account-fsa-plans-) and [HSA](/handbook/total-rewards/benefits/general-and-entity-benefits/inc-benefits-us/#health-savings-account-hsa) section of the Handbook for details on Mid-Year Qualifying Life Event changes to these plans.

</details>

<details markdown="1">

<summary>Process for submitting a Qualifying Life Event</summary>

1. Log into [PlanSource]({{< ref "inc-benefits-us#logging-into-plansource" >}})
1. Select `Update your current Benefits`.
1. Select the Life Event that applies to your situation from the list & enter the event date.
1. The system will ask you to review your personal details, update as necessary and select continue.
1. If your Life Event includes adding a new dependent, select `Add Dependent` and add their information. (For Birth Event: If you are still pending the SSN for your newborn, you may continue the request without this information and can add later when received.)
1. Click `Select Benefits` and the system will lead you to the Benefit plans you can update.
     - **If adding a dependent to the plan(s)**, scroll to the plan(s) you wish to add them on and select `View or Change Plan`. On the next page, select the specific plan you want to enroll in (if you wish to continue on your current plan, select that plan). On the specific plan page, add your new dependent by checking their name. Click `Update Cart`.
     - **If removing a dependent from the plan(s)**, scroll to the plan(s) you wish to remove them from and select `View or Change Plan`. On the next page, select the specific plan you want to enroll in without your dependent (if you wish to continue on your current plan, select that plan). On the specific plan page, remove your dependent by unchecking their name. Click `Update Cart`.
     - **Adjust savings accounts or insurance plans** by clicking on the `View or Change Plan` button next to the plan name. Click `Update Cart` after you've made your desired changes.
1. Once you have made all of your changes, please click the button to `Review and Checkout`
1. You will be taken to a screen to review the costs of your benefits and will need to click Checkout again to confirm your changes. The request will be routed to the Total Rewards team for review.

If your Qualifying Life Event requires documentation the steps below will follow your QLE request

1. Following your QLE request, you will receive an email from PlanSource requesting documentation for your Qualifying Life Event.
1. Log into [PlanSource](/handbook/total-rewards/benefits/general-and-entity-benefits/inc-benefits-us/#logging-into-plansource). On your PlanSource Homepage, scroll down to "Your To-Do List". Select the Task requesting documentation for your life event.
1. Upload the documentation in to PlanSource.
1. Once submitted the Total Rewards Team will review your request and documentation for approval.

</details>

## Group Medical Coverage

GitLab offers plans from Cigna, as well as additional Kaiser options for residents of California. Hawaii residents are offered Kaiser options for medical plan enrollment. For those who actively waive medical coverage, GitLab offers a medical allowance.

If you do not enroll in a plan within your benefits election period, you will automatically be enrolled in the High Deductible Health Plan (HDHP), with no HSA.

GitLab has confirmed that our medical plans are CREDITABLE page 9 of the [2024 Annual Notice](https://drive.google.com/file/d/1fB5r88VUiydWz3pFk76DFK3h5DTyVaDw/view?usp=sharing) and [2025 Annual Notice](https://drive.google.com/file/d/1t17_KcSPt4l09YQL3Iiy544yxXf5z8Bx/view?usp=sharing) the If you or your dependents are Medicare eligible or are approaching Medicare eligibility, you will need this notice to confirm your status when enrolling for Medicare Part D. For more information about Medicare prescription drug coverage:

- Visit [www.medicare.gov](https://www.medicare.gov)
- Call your State Health Insurance Assistance Program (see the ["Medicare & You" handbook](https://www.medicare.gov/medicare-and-you) for their telephone number) for personalized help.
- Call 1-800-MEDICARE (1-800-633-4227). TTY users should call 1-877-486-2048.

Please see the [2024 Annual Notice](https://drive.google.com/file/d/1fB5r88VUiydWz3pFk76DFK3h5DTyVaDw/view?usp=sharing) and [2025 Annual Notice](https://drive.google.com/file/d/1t17_KcSPt4l09YQL3Iiy544yxXf5z8Bx/view) for all of GitLab's notices surrounding the Health and Welfare plans & contacts

### PlanSelect Tool

**Need help selecting a plan? Check out the [PlanSelect Tool](https://myplanselect.com/navigation/Gitlab/2025) to help you find a plan that best suits your needs. You can also reach out to the [Cigna One Guide Service](https://drive.google.com/file/d/1eIvtYtYPSt3Q0h-Byd16CFFfT0bxv8yF/view) to walk through the GitLab Cigna plans available.

### Medical Waiver Allowance

If you already have current group medical coverage, **you may choose to waive or opt out of group health benefits. If you choose to waive health coverage, you will receive a $300.00 monthly benefit allowance** and will still be able to enroll in dental, vision, optional plans, and flexible spending accounts. <br> In order to receive the monthly benefit allowance you must [log on to PlanSource](/handbook/total-rewards/benefits/general-and-entity-benefits/inc-benefits-us/#logging-into-plansource) and actively waive medical cover.<br>

If you do not enroll in a plan within your benefits election period, you will automatically be enrolled in the High Deductible Health Plan (HDHP).

### Cigna Medical Plans

Below are the details for the 2024 & 2025 Calendar Year

<details markdown="1">

<summary>2024 & 2025 Cigna Plans & Coverage Details</summary>

Cigna plans are available to team members located in all US states, with the exception of Hawaii.

In Network:

| Plan Details               | [2024 Cigna HDHP - HSA](https://drive.google.com/file/d/1N80QyfcQuJhBpSmEXEVXlK0af_4qziGE/view?usp=sharing) <br>  [2025 Cigna HDHP - HSA](https://drive.google.com/file/d/1Gb6HaLmEeswxdszUxOQhh5m24jdrmTNp/view?usp=sharing) <br> [Webinar on this plan here](https://drive.google.com/file/d/1DEvMLEdiR793GXKGcUzt8F6lweJVMYVb/view?usp=sharing) | [2024 Cigna EPO (PPO $0)**](https://drive.google.com/file/d/12VZeqYPUlh2m8UWanEOGT3WroQsotuXh/view?usp=sharing) <br>  [2025 Cigna EPO (PPO $0)**](https://drive.google.com/file/d/1V9oWpbYWBVuyYoiKNyFj_y7LoFH0QR8P/view?usp=sharing) | [2024 Cigna PPO 500***](https://drive.google.com/file/d/18GAbC5h1Rr2iC1RjNG_8Y-tWbh2IwH7q/view?usp=sharing) <br> [2024 Cigna PPO 500***](https://drive.google.com/file/d/1QCjFCIsbE73WnAvQTruangFOnPYsDhlP/view?usp=sharing) |
|:---------------------------|:----------------------:|:------------------:|:-----------------:|
| Deductible (Single/Family) | $2,000 / 3,200 (3,300 for 2025)    | $0 / $0            | $500 / $1,000     |
| Out of Pocket Max (Single/Family)    | $4,000 / $8,000        | $2,500 / $5,000    | $3,000 / $6,000   |
| Primary Care Visit         | 20%                    | $20 per visit      | $20 per visit     |
| Specialist Visit           | 20%                    | $20 per visit      | $20 per visit     |
| Urgent Care                | 20%                    | $50 per visit      | $50 per visit     |
| Emergency Room             | 20%                    | $100 per visit     | $100 per visit    |
| Hospital Inpatient         | 20%                    | $250 per admission | 10%               |
| Hospital Outpatient        | 20%                    | 0%                 | 10%               |
| Generic                    | $10                    | $10                | $10               |
| Brand - Preferred          | $30                    | $30                | $30               |
| Brand - Non-Preferred      | $50                    | $50                | $50               |
| HSA Annual Employer Contribution      | $1200 /$1500 (2024)      | N/A                | N/A               |
| Rx Plan^                   | [2024 Standard 3-tier](https://drive.google.com/file/d/1yFWmDQFreGvjmUSmSTK9YKfb-1s_UaJ7/view?usp=sharing) <br> [2025 Standard 3- Tier](https://drive.google.com/file/d/1mPLR54AnbOelaif1oh0e_KnMGNIXdnMw/view)  | [2024 Standard 3-tier](https://drive.google.com/file/d/1yFWmDQFreGvjmUSmSTK9YKfb-1s_UaJ7/view?usp=sharing) <br> [2025 Standard 3- Tier](https://drive.google.com/file/d/1mPLR54AnbOelaif1oh0e_KnMGNIXdnMw/view) | [2024 Standard 3-tier](https://drive.google.com/file/d/1yFWmDQFreGvjmUSmSTK9YKfb-1s_UaJ7/view?usp=sharing) <br> [2025 Standard 3- Tier](https://drive.google.com/file/d/1mPLR54AnbOelaif1oh0e_KnMGNIXdnMw/view)  |
| Fertility Services | $15,000 Lifetime Benefit | $15,000 Lifetime Benefit| $15,000 Lifetime Benefit |
| Summary Plan Descriptions  | [2025 HDHP](https://drive.google.com/file/d/1UoSJxzk4oCUvDlrtpFSn6XYaON_2neiC/view?usp=sharing) | [2025 EPO](https://drive.google.com/file/d/1MAn1Y5GRKV_YaBGQK6onUeGI0fzbqTBL/view?usp=sharing) |  [2025 PPO](https://drive.google.com/file/d/147BcT7rRqth-m5VsU0zoMDvC6nawxxoi/view?usp=sharing) <BR>  [2025 PPO Utah](https://drive.google.com/file/d/17amF3mBc7duZbsjw92eLhBtmsInfhoUM/view?usp=sharing) |

\*\* In order for the EPO plan to be compliant in all states, it has been set up as a PPO plan with bad out-of-networks benefits including a deductible of $10k/$20k, an Out of Pocket Max of $20k/$40k, and a coinsurance of 50%. **Please do not enroll in this plan if you are intending to use the out-of-networks benefits and instead review the Cigna PPO 500 or Cigna HSA plans.** 

\*\*\* Cigna will provide an extended network PPO Plan for Utah team members which will include the Intermountain Healthcare System.

^ The linked Prescription Drug List is subject to change. When making a change mid-year, Cigna states that they will send out the following communication to impacted members: centralized notification 60 days prior, 2 letters before the change, and 1 letter after the change.

Accredo is Cigna's specialty pharmacy. For more information on managing your speciality medication please review the [Accredo Customer Flyer](https://drive.google.com/file/d/1qnRKNGj9a9L9j-7Of-ru32sNSEm__2FD/view?usp=sharing).

</details>

<details markdown="1">

<summary>2024 & 2025 Cigna Team Member Premium Costs</summary>

#### *2024 Rates*: The following costs are monthly rates which would be deducted from your paycheck

| Tier                     | HDHP-HSA* | EPO  | PPO  |
|--------------------------|:---:|:----:|:----:|
| Team Member Only         | $0  | $92   | $88   |
| Team Member + Spouse     | $38  | $358 | $346 |
| Team Member + Child(ren) | $28  | $294 | $282 |
| Family                   | $62  | $548 | $528 |

#### *2025 Rates*: The following costs are monthly rates which would be deducted from your paycheck

| Tier                     | HDHP-HSA* | EPO  | PPO  |
|--------------------------|:---:|:----:|:----:|
| Team Member Only         | $0  | $102   | $98   |
| Team Member + Spouse     | $42  | $400 | $384 |
| Team Member + Child(ren) | $32  | $328 | $316 |
| Family                   | $70  | $612 | $588 |

*Note: For the **HSA**, GitLab will contribute $100 per month for individuals and $125 per month for team members + dependent(s) cover. For residents of California, Alabama, and New Jersey this additional contribution is taxable on the state level.

Watch the [2024 High Deductible (HDHP) & HSA Deep dive Webinar](https://drive.google.com/file/d/1DEvMLEdiR793GXKGcUzt8F6lweJVMYVb/view?usp=sharing) to learn more about this health plan and the tax advantages of enrolling in the HDHP plan with an HSA.

</details>

<details markdown="1">

<summary>Cigna Emotional Well-Being Virtual Support</summary>

Enrolled Cigna members can find in-network mental health providers by logging in to their mycigna.com account, selecting "connect now" under "My Health Team". For more information on virtual support please see the [Emotional Well-Being Virtual Support flyer](https://drive.google.com/file/d/12-4LPGTPPsw4rBH7l-BBz_dbr3nPwHRm/view?usp=sharing).

</details>

<details markdown="1">

<summary>Cigna Infertility Services</summary>

Infertility services will be included in all Cigna Plans. This includes a $15,000 lifetime infertility benefit for each covered member.

Coverage will be provided for the following services:

- Testing and treatment services performed in connection with an underlying medical condition.
- Testing performed specifically to determine the cause of infertility.
- Treatment and/or procedures performed specifically to restore fertility (e.g. procedures to correct an infertility condition).
- Artificial Insemination, In-vitro, GIFT, ZIFT, etc.

Coverage will includes treatment and/or procedures performed to enable conception with or without an infertility condition. Coverage for Artificial Insemination/Intrauterine insemination will be available regardless of an infertility condition (e.g. In Vitro, GIFT, ZIFT, etc.).

See the [2024 HDHP](https://drive.google.com/file/d/1zAQExWPX3Bm131RdZQaFqMY-K1RdfMlR/view?usp=sharing), and  [2024 PPO](https://drive.google.com/file/d/1O9LW50Wa7Dq6C9SRoEiCR422XK-0_2ZB/view?usp=sharing). 2025 Plan Summaries will be available soon.

</details>

<details markdown="1">

<summary>Cigna Transgender Benefit Coverage</summary>

Cigna has advised they will provide [WPATH](https://www.wpath.org/) compliant coverage for all plans. For more information on their coverage, please see the [coverage policy document](https://drive.google.com/file/d/1sdsiFcTFEWsIidOXwPBcNNOCqFVERSXg/view?usp=sharing). For Cigna to provide coverage, medical necessity must be proven. It is highly recommended to go through the prior authorization process when seeking treatment.

Please reach out to the [Total Rewards team and WTW]({{< ref "inc-benefits-us#who-to-contact" >}}) with any questions or if you need help while seeking authorization for a treatment.

</details>

<details markdown="1">

<summary>Cigna Provider Search</summary>

1. Visit [myCigna](https://my.cigna.com/web/public/guest). If you haven't previously registered for an account, you will want to register.
1. Select "Find Care & Costs" at the top of the page.
1. Here you can select to search by Doctor Type, Name, Reason for Visit, Facility, or you can price a medication at local pharmacies.
1. When you scroll down, there are quick links for your nearest urgent care and telehealth.

Potential joiners who do not have a myCigna account yet can search for providers on the [Cigna Website](https://hcpdirectory.cigna.com/web/public/consumer/directory/plan-selection). When selecting a plan everyone at GitLab (PPO, EPO, and HDHP members) will use the OPEN ACCESS PLUS selection, except for Utah members, who will use the PPO option.

Team Members and potential joiners can also reach out to the [Cigna One Guide service](https://drive.google.com/file/d/1eIvtYtYPSt3Q0h-Byd16CFFfT0bxv8yF/view?usp=sharing) to check if their doctors are in-network and walk through the GitLab plans with a Cigna rep.

{{% alert title="Important Note" color="warning" %}}
As an additional measure to confirm "Contracted Providers" (i.e. In-Network), it's always a good idea to follow up with Providers directly (phone, email or otherwise) to additionally confirm if a Provider is contracted with Cigna or not and if the type of service is covered. In some instances, the same provider may be covered In-Network for certain types of services, but may be Out-Network for other services.
Provider contracts change and sometimes the contracts change faster than the website maintenance teams for the insurance carriers. It's better to spend time researching and confirming rather than assuming and being stuck with *balance billing* from Out of Network providers.
*Balance billing* is if the Out of Network provider's charge is $100 and the carrier's maximum allowed reimbursement (MAR) amount is $70, the provider is within rights to bill you for the remaining $30. A "Cigna Contracted Provider" cannot balance bill Cigna members.
{{% /alert %}}

</details>

<details markdown="1">

<summary>Cigna Virtual Care</summary>

Virtual visits for Cigna members can be accessed by visiting [myCigna](https://my.cigna.com/web/public/guest), selecting "Find Care & Costs" and scrolling down to the bottom of the page.

</details>

<details markdown="1">

<summary>Cigna Coverage Outside Service Area - International travel</summary>

Benefits for services and supplies received outside the Service Area are covered only for medical emergencies and other urgent situations where treatment could not have been reasonably delayed until the insured person was able to return to the United States

</details>

### Kaiser Medical Plans

#### Kaiser 2024 and 2025 Calendar Year Plans

The following Kaiser options are available for Hawaii residents.
Residents in California and Colorado have the Kaiser options below, in addition to the Cigna plan options.

<details markdown="1">

<summary>2024 & 2025 Kaiser Plans & Coverage Details</summary>

The Kaiser Coverage details can be found below.

| Plan Details               |  [2024 HMO NorCal](https://drive.google.com/file/d/1tgPibtd99vxasyCP0lq9nqA2W7n2104W/view?usp=sharing) <br> [2025 HMO NorCal](https://drive.google.com/file/d/1kSjaldsszNYJGdG7qofBbX1wYIbxjVfL/view?usp=sharing) | [2024 HMO 20 SoCal](https://drive.google.com/file/d/1lF5Bth3dfmR2W9Ys5PrCz-nM-RBC-Ok9/view?usp=sharing) <br> [2025 HMO SoCal](https://drive.google.com/file/d/1yrNt4Y0PSfCSEXWnp5YbOs0f2OKtYhz3/view?usp=sharing) |  [2024 HMO 20 HI](https://drive.google.com/file/d/1XmGl0xwnQmfY8vfL3eiRRFKfJSdedxta/view?usp=sharing)  <br> [2025 HMO HI](https://drive.google.com/file/d/1qkWTsJ2vPOAGuWSzCxgpLWhZvCyzG-q0/view?usp=sharing) |
|----------------------------|:--------------------:|:---------------:|:---------------:|
| Deductible (Single/Family) | $0 / $0              | $0 / $0         | $0 / $0         |
| Out Of Pocket Max (Single/Family)    | $1,500 / $3,000      | $1,500 / $3,000 | $2,500 / $7,500 |
| PCP/Specialist Copay       | $20 / $35            | $20 / $35       | $15 / $15       |
| Emergency Room             | $100                 | $100            | $100            |
| Urgent Care                | $20                  | $20             | $15             |
| Hospital Inpatient         | $250/admit           | $250/admit      | 10%             |
| Hospital Outpatient        | $35/procedure        | $35/procedure   | 10%             |
| **Rx - Deductible**        |                      |                 |                 |
| Generic                    | $10                  | $10             | See SBC (tier 1), $3 (tier 1a), $15 (tier 1b)             |
| Brand - Preferred          | $35                  | $35             | $50             |
| Brand - Non-Preferred      | $35                  | $35             | $50             |
| Specialty Drugs            | 20% up to $150       | 20% up to $150  | $200            |
| Disclosures Benefit Summary          | [2024 HMO Norcal](https://drive.google.com/file/d/1aAp75b2yQnGsndRCkn46g27vgqxDd2UO/view?usp=sharing) <br>  [2025 HMO NorCal](https://drive.google.com/file/d/1byP2FD7CcA8cszh_1SZoRTBP_cjUXuOh/view?usp=sharing) |  [2024 HMO SoCal](https://drive.google.com/file/d/1g5rUj6SqB7oWhKyY7zPGG-XvKvSxd18n/view?usp=sharing) <br> [2025 HMO SoCal](https://drive.google.com/file/d/1by7QbMF1eZ1jhXEJpeSi-zWV1cjwNh4G/view?usp=sharing) | <br> [2024 HMO HI](https://drive.google.com/file/d/1XmGl0xwnQmfY8vfL3eiRRFKfJSdedxta/view?usp=sharing)   <br> [2025 HMO HI](https://drive.google.com/file/d/1NSxUxvL_L_rLIDMTJW654lkLCycpCR4H/view?usp=sharing) |

Please see the [2024 Disclosure Part 2 form for Kaiser CA Plans](https://drive.google.com/file/d/1ItWP_IsUjmDwZfGgkGt-67M-sVZAthFL/view?usp=sharing) and [2025 Disclosure Part 2 form for Kaiser CA](https://drive.google.com/file/d/14bPYtF6Xg_P09PahsVNBeLu8xK9IhGK6/view?usp=sharing)

</details>

<details markdown="1">

<summary>2024 & 2025 Kaiser Team Member Premium Costs</summary>

The following costs are monthly rates which would be deducted from your paycheck.

#### *2024 Rates*: The following costs are monthly rates which would be deducted from your paycheck

| Tier                     | HMO CA North | HMO CA South | HMO HI |
|--------------------------|:------------:|:------------:|:------:|
| Team Member Only         | $36           | $36           | $26     |
| Team Member + Spouse     | $264         | $264         | $152   |
| Team Member + Child(ren) | $216         | $216         | $126   |
| Family                   | $388         | $388         | $276   |

#### *2025 Rates*: The following costs are monthly rates which would be deducted from your paycheck

| Tier                     | HMO CA North | HMO CA South | HMO HI |
|--------------------------|:------------:|:------------:|:------:|
| Team Member Only         | $74           | $74           | $50     |
| Team Member + Spouse     | $316         | $316         | $172   |
| Team Member + Child(ren) | $268        | $268         | $148   |
| Family                   | $450         | $450         | $294   |

</details>

<details markdown="1">

<summary>Kaiser Telehealth</summary>

Virtual visits for Kaiser members can be accessed by logging into Kaiser's [online portal](https://healthy.kaiserpermanente.org/). Please consult the online portal and your plan details for your copay amount.

</details>

<details markdown="1">

<summary>Kaiser Coverage</summary>

Kaiser provides or arranges for Services or supplies directly to you and your Family Dependents through an integrated medical care system.
You must receive your health care from KP providers and in KP facilities within the Kaiser Service Area except for these services:

Written and authorized referrals (by a KP provider and/or our Authorizations and Referrals department)

- Emergency care
- Out-of-state Urgent Care when traveling
- Dependent child benefits (as described in this EOC) while out-of-state

Outside the Service Area

Your benefits outside the Service Area are limited to:

- Emergency Services or out-of-state Urgent Care benefits described in the Benefit Summary
- Dependent Child outside the Service Area benefits described in the Benefit Summary
- Authorized referrals by KP provider

</details>

<details markdown="1">

<summary>Kaiser Period to Submit Claims</summary>

For in-network services: N/A.

For out-of-network services: 365 days from Date of Service.

</details>

<details markdown="1">

<summary> Kaiser Infertility Services</summary>

Kaiser California is covered for infertility services at 50% co-insurance. Coverage includes services for diagnosis and treatment of infertility. Coverage does not include conception by artificial means (IVF/GIFT/ZIFT/etc).

Kaiser Hawaii Plan members are covered for an infertility consultation and certain In Vitro Fertilization (IVF) procedures. More information on the Infertility services for Hawaii Kaiser members can be found on the [2025 Hawaii Health Plan](https://drive.google.com/file/d/1NSxUxvL_L_rLIDMTJW654lkLCycpCR4H/view?usp=sharing ).

</details>

<details markdown="1">

<summary>Kaiser Chiropractic and Acupuncture</summary>

Review the [2024 Kaiser Permanente Chiropractic and Acupuncture Benefits Flyer](https://drive.google.com/file/d/1lV6QAA-LMGHbGKdPAaMq72ZTxG92NFV3/view?usp=sharing) and [2025 Norcal Kaiser Permanente Chiropractic and Acupuncture Benefits](https://drive.google.com/file/d/12qyoqvb5Pse5TYjGaHvDWzEY6niTvFO5/view?usp=sharing) and [2025 SoCal Kaiser Permanent Chiropractic and Acupuncture Benefits](https://drive.google.com/file/d/1vCgieamGBND65l1i262rRgzkc3YSRnTB/view?usp=sharing)

</details>

<details markdown="1">

<summary>Kaiser Pregnancy & Maternity Care</summary>

With medical plans, GitLab offers pregnancy and maternity care. Depending on the plan you selected, your coverages may differ for in-network vs out-of-network, visits, and inpatient care. To learn more about Parental Leave, please refer to our [Parental Leave policy](#parental-leave). Once your child has arrived, please follow the steps outlined above in regard to this [Qualifying Life Event]({{< ref "inc-benefits-us#qualifying-life-events" >}}).

You may need a [reasonable accommodation]({{< ref "inc-usa#reasonable-accommodation" >}}) during your pregnancy. For more information regarding GitLab's [Pregnancy Accommodation]({{< ref "inc-usa#pregnancy-accommodation" >}}) policy, please also refer to our [Individuals with Disabilities]({{< ref "inc-usa#individuals-with-disabilities-policy" >}}) policy.

</details>

## Dental

Dental is provided by Cigna, plan: DPPO. GitLab offers a Base and Buy-Up Dental Plans

Dental does not come with individualized insurance cards from Cigna, although you can download them by setting up a Cigna account through the [Cigna website](https://my.cigna.com). Cigna's site and app will house individualized ID cards team members can access at any time. For the most part, dental providers do not request or require ID cards as they look up insurance through your social security number.

<details markdown="1">

<summary>2024 & 2025 Dental Plans and Coverage</summary>

**Coverages:**

| Plan Details                         | [DDPO 2024 Base](https://drive.google.com/file/d/1JKKaGIudKjGWwikOztQ0-m60HjKnBA-K/view?usp=sharing) <br> [DDPO 2025 Base](https://drive.google.com/file/d/1cBwl-Hkf7E8EqbRfHgCJzS1oJpSoHvA5/view?usp=sharing) | [DDPO 2024 Buy Up](https://drive.google.com/file/d/1f0ZvigwP_eG4HQnh0O6Cs61jJIqkqE6d/view?usp=sharing) <br> [DDPO 2025 Buy Up](https://drive.google.com/file/d/1wFpHm0mHX1vqbIxun59DjhvNhi3RxRc4/view?usp=sharing) |
|--------------------------------------|----------|-----|
| Deductible (Single/Family)                          | $50/$150 | $50/$150 |
| Maximum Benefit                      | $2,000     | $3000 |
| Preventive Care CoInsurance (in/out) | 0% / 0%    | 0% / 0% |
| Basic Care Coinsurance (in/out)      | 20% / 20%  | 10% / 10%  |
| Major Care Coinsurance (in/out)      | 50% / 50%  | 40% / 40%  |
| Out of Network Reimbursement         | 90th R&C   | XXX |
| **Orthodontia**                      |            |   |
| Orthodontic Coinsurance (in/out)     | 50% / 50%  | 50% / 50% |
| Orthodontic Max Benefits             | $1,000     | $2,500 |

</details>

<details markdown="1">

<summary>2024 & 2025 Dental Team Member Premium Costs</summary>

The following costs are monthly rates which would be deducted from your paycheck.

*2024 Rates*: The following costs are monthly rates which would be deducted from your paycheck

| Tier                     | DPPO Base | DPPO Buy Up |
|--------------------------|----|-----|
| Team Member Only         | $0   | $14 |
| Team Member + Spouse     | $14  | $40 |
| Team Member + Child(ren) | $18  | $ 48 |
| Family                   | $32  | $78 |

### *2025 Rates*: The following costs are monthly rates which would be deducted from your paycheck

| Tier                     | DPPO Base | DPPO Buy Up |
|--------------------------|----|-----|
| Team Member Only         | $0   | $14 |
| Team Member + Spouse     | $16  | $45 |
| Team Member + Child(ren) | $22  | $ 55 |
| Family                   | $36  | $87 |

</details>

<details markdown="1">

<summary>Cigna Dental Period to Submit Claims</summary>

For in-network services: N/A.

For out-of-network services: 365 days from Date of Service.

</details>

## Vision

Vision is provided by Cigna. GitLab offers a Base and Buy-Up Vision Plans

Cigna has partnered with EyeMed for their vision plan offerings, you can check coverage details on mycigna.com

<details markdown="1">

<summary>2024 & 2025 Vision Plans and Coverage</summary>

| Plan Details                      | [Vision 2024 Base](https://drive.google.com/file/d/1oEPOCvtuHBvfPY4MWCiVKuCsC_SJudIR/view?usp=sharing) <br> [Vision 2025 Base](https://drive.google.com/file/d/1D5KEum39RHjD2iCD-jo5SAdSck-_To23/view?usp=sharing)  | [Vision 2024 Buy up](https://drive.google.com/file/d/1GUplU7IiPVXJQXIM3yX-x6wHh9omgZcG/view?usp=sharing) <br> [Vision 2025 Buy Up](https://drive.google.com/file/d/13kattV90EQVyJN3ifV5suG4_kLLENvEw/view?usp=sharing) |
|-----------------------------------|---------|--------|
| Frequency of Services  Exam/Lenses/frames   | 12/12/24 months |12/12/12 months |
| Copay Exam                        | $20          | $0 |
| Copay Materials                   | $20           | $0  |
| Single Vision                     | $20           | $0 |
| Bifocal                           | $20           | $0 |
| Trifocal                          | $20           | $0 |
| Frame Allowance                   | up to $150   |  up to $200 |
| Elective Lenses Contact Allowance | up to $150   | up to $200 |

</details>

<details markdown="1">

<summary>2024 & 2025 Vision Team Member Premium Costs</summary>

The following costs are monthly rates which would be deducted from your paycheck.

*2024 Rates* and *2025 Rates*: The following costs are monthly rates which would be deducted from your paycheck

| Tier                     | Vision Base | Vision Buy Up |
|--------------------------|------|------|
| Team Member Only         | $0     | $4 |
| Team Member + Spouse     | $4  | $10 |
| Team Member + Child(ren) | $2  | $8 |
| Family                   | $4  | $12 |

</details>

<details markdown="1">

<summary>Cigna Vision Claims and Period to Submit Claims</summary>

For in-network services: 365 days from Date of Service.

For out-of-network services: 365 days from Date of Service.

Vision claims can be submitted online through the vision section of the site, rather than the regular online submission. This is because the claims are routed differently via EyeMed. Below are steps on how to submit Vision/EyeMed claims online via mycigna.com:

1. Hover over Coverage.
1. Click Vision.
1. Click on Visit Cigna Vision button.
1. Hover over Claims.
1. Click on Out-of-Network Claim Form.
1. Scroll down to Online Claim Form.
1. Fill out online form, upload receipt(s) and Click Submit Claim.

</details>

## Basic Life Insurance and AD&D

GitLab offers company paid basic life and accidental death and dismemberment (AD&D) plans through Cigna which is a subsidiary of New York Life. The Company pays for basic life insurance coverage valued at two times annual base salary with a maximum benefit of $500,000, which includes an equal amount of AD&D coverage. Please find additional details, limitations, and exclusions on the [summary of benefits](https://drive.google.com/file/d/1rkA8n3zgZvnoiqzu3ZJuLwZ_9zMaNbZW/view?usp=sharing) and the [Life Insurance Flyer](https://drive.google.com/file/d/1i7JmrI5paxfRnIIp8fi1jvJwAGjCa2By/view?usp=sharing) and [AD&D Insurance Flyer](https://drive.google.com/file/d/1uhMSM2PfeMigPQDR95wQ5rdLG9xZ-6td/view?usp=sharing)

Inclusive of the life insurance policy is [survivor assurance and support](https://drive.google.com/file/d/1Uhh7S9uotOtHxogCh7Z7AmLfgdufLsig/view?usp=sharing)

### Employee Assistance Program

Under the New York Life Group Benefit, US Team Members also have access to the New York Life Employee Assistance Program. The Program includes:

- Visits with a specialist: 3 face to face sessions with a behavioral counselor
- [Legal Consultations and referrals](https://drive.google.com/file/d/1B8Uh9OZq7BqoZ0PbeuDbwTRVCzrWunhR/view?usp=sharing): a free 30 minute consultation with a network attorney and up to 25% discount on select fees
- [Financial Consultations}(https://drive.google.com/file/d/1B8Uh9OZq7BqoZ0PbeuDbwTRVCzrWunhR/view?usp=sharing): a free 30 minute consultation and a 25% discount on tax planning and preparation
- An advocate that can help assess your needs, develop solutions, direct you to resources and more!
- [Health Advocacy] (https://drive.google.com/file/d/1ycM4zFn3Cj41SnwtPGJCEQ9ndBkwgEBl/view?usp=sharing)
- [Additional travel protection](https://drive.google.com/file/d/1h15_UmnrwGccxCddWQOe8FH54VpARwEL/view?usp=sharing) (separate from the company business travel policy)

For more information and how to access these benefits, please see the [EAP flyer](https://drive.google.com/file/d/1RRAOZKmhNzXLuXrSxt1mJJRs6Pr3ni-q/view?usp=sharing)

GitLab team members in the United States are also eligible for a complementary [Employee Assistance program](https://www.cigna.com/individuals-families/member-resources/employee-assistance-program), dependents who are enrolled in a Cigna coverage are also eligible. More information can be found online on [myCigna](https://my.cigna.com/web/public/guest) for the following topics: Emotional Health and Family Support, Home Life Referrals, Financial and Legal Assistance, Job and Career Support, and other topics.

## Group Long-Term and Short-Term Disability Insurance

GitLab provides, at no cost to our Inc and Federal team members, a disability policy through NY Life that may replace up to 66.7% of your base salary, for qualifying disabilities. For [short-term disability](https://drive.google.com/drive/folders/1CkZ9rlAw8cql0AwiTVrd2m7yZo_A3Yko?usp=sharing) there is a weekly maximum benefit of $2,500; for [long-term disability](https://drive.google.com/drive/folders/178xRCnUwXuWLvw4OvZGyC1-YYG_O1Y2-?usp=sharing), there is a monthly benefit maximum of $12,500.

Short-term disability insurance has a 7-calendar day waiting period before payments begin. Benefits coverage (medical, dental, vision, etc.) and vesting will continue for the time the team member is receiving short-term disability pay.

See the [disability insurance flyer](https://drive.google.com/file/d/1sN3LR0mz7mQnHf8-HrerZ55AhXme3qou/view?usp=sharing) for a summary of the plans.

</details>

<details markdown="1">

<summary>GitLab Process for Disability Claims</summary>

1. Team Members unable to work due to disability, as defined by the applicable short-term disability plan, should contact the Absence Management team (leaves@gitlab.com) as soon as possible.  See [Sick Time reporting procedures in the US]({{< ref "paid-time-off#sick-time-procedures---usa" >}}).
1. The Absence Management team will complete the Employer portion of the [Short-Term disability](https://drive.google.com/file/d/1guydUTEc0vBFMaa_IsSktZ5hXAbOXdvD/view?usp=sharing) application and email the completed portion along with the [Assignment of Benefits](https://drive.google.com/file/d/1nd0r5qj9PS21HDFH97Jbft9dZzlpTOsr/view?usp=sharing) form.
1. At the end of the maximum benefit period for short-term disability of 12 weeks, the team member will determine whether they are able to return back to work.
   - If the team member intends to return on or before the end of the 12 weeks, they should email leaves@gitlab.com a Return to Work authorization form from their physician stating that they are able to return to work and listing any accommodations needed, if applicable, at least 5 calendar days before their return date. The Absence Management team will request this at least 5 business days before the team member's anticipated return to work date if not already provided by the team member.
   - If the team member is unable to return, the team member will be moved to unpaid leave and will have the option to continue their benefits by electing [COBRA coverage](https://www.dol.gov/sites/dolgov/files/ebsa/about-ebsa/our-activities/resource-center/faqs/cobra-continuation-coverage.pdf). The team member will be eligible to apply for long-term disability at this time.

</details>

<details markdown="1">

<summary>Short-Term Disability Claim Process via NYLife</summary>

1. Team member will submit the Claimant portion of the [Short-Term Disability](https://drive.google.com/file/d/1guydUTEc0vBFMaa_IsSktZ5hXAbOXdvD/view?usp=sharing) application and remit to their physician to complete the rest.
     - The completed application can be sent directly to NYLife (using the mail or fax number at the top of the form) or can be returned to the Absence Management team and will be submitted on the team member's behalf.
     - This is completely at the preference of the team member or the requirement from the doctor, but the team member should confirm the choice with the Absence Management team.
1. If the team member opts to send the form directly to NYLife, the Absence Management team will email the completed employer portion of the Short-Term Disability form to NYLife via email: `GBSIntakePaper@newyorklife.com`.
1. NYLife Claims Process:
     - Within 3 business days of NYLife receiving the claim, their claims team will contact the team member to gather additional medical or eligibility data, if needed.
     - The claims team will also contact the Absence Management team to confirm eligibility and verify job responsibilities, if needed.
     - The NYLife claims team will immediately begin reviewing the information available to make a decision. NYLife may also contact the team member's physician (if needed) once NYLife has the team members authorization to do so.
     - If the claim is denied, the team member will receive a call from NYLife explaining the decision. The Absence Management team will also receive a notification of the denial and process any pay owed to the team member.
     - If approved, communication is sent to the Absence Management team and claim status reports with approval date and estimated return-to-work date is provided.
1. The Absence Management team will process the approval or denial and file all related paperwork in Workday.

</details>

## 401(k) Plan

The company offers a 401(k)  plan in which you may make voluntary pre-tax contributions toward your retirement.

</details>

<details markdown="1">

<summary>Administration of 401(k) and Enrollment</summary>

1. You are eligible to participate in GitLab's 401(k) as of your hire date. There is no auto-enrollment. You must actively elect your deductions.
1. You will receive an invitation to register for access to your account on Fidelity [NetBenefits](https://nb.fidelity.com/public/nbpreloginnav/spa/fidelitywork/core/home) who is GitLab's plan recordkeeper.
1. Any changes to your plan information will be effective within 2 payroll cycles (typically updated within 1 payroll cycle, depending on when the change is made and cut-off changes dates).
1. Once inside the platform you may elect your annual/pay-period contributions and investments.
1. If you have any questions about making changes to your elections, we recommend that you reach out to Fidelity directly, by chat in the app, or by phone at 800-835-5097.
1. Please review the [Summary Plan Document](https://drive.google.com/file/d/1I8JrLhxBH7rGBjfztsRyrjdhQXINQpBe/view?usp=sharing), [QDIA](https://drive.google.com/file/d/1dYIe2NRFCNeOY843KfSyMUhJiLuGGTXg/view?usp=sharing), [Fee Disclosure](https://drive.google.com/file/d/138hjLkXsQ0tdCCqoC-iWnaydkl33GdLn/view?usp=sharing). If you have any questions about the plan or the documents, please reach out to [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=b7d7b30d474c069067429ee0026d4382). Total Rewards is not able to advise you on your financial decisions.
1. ADP payroll system monitors and will stop the 401(k) contribution when you have reached the IRS limit for the year. Please keep in mind, if you have prior contributions from another employer, ADP will not have access to this information.
1. If your employment with GitLab terminates and you are unable to access your Fidelity account due to this being connected to your GitLab email, please contact Fidelity at 800-835-5097 to have the email address on file updated.

</details>

### 401(k) Match

GitLab offers matching 50% of contributions on the first 6% of allocated gross earnings per pay period with a yearly cap of $1,500 USD. If a hypothetical team member's salary is $50,000 USD, their gross pay per period is $50,000 / 24 = $2083.33. This is then matched at a rate of $2083.33 \* 6% \* 50% = $62.50.

Employer match contributions will automatically vest when received.

As you are eligible to participate in GitLab's 401(k) as of your hire date, you are *also* eligible for GitLab matching contributions as of your hire date.

All employer contributions are pre-tax contributions. Team members can still make Roth 401(k) team member contributions and receive pre-tax employer contributions to your Traditional 401(k) account.

<details markdown="1">

<summary>Administration of 401(k) Match</summary>

- The employer will use the calculation on each check date effective as of January 1.
- The team member must have a contribution for a check date to be eligible for the employer match.
- Employer matching will be released into participant accounts three business days after the check date.
- For team members who defer more than 6% on each check date, an annual true-up will be conducted after calendar year end.
- The 401(k) match runs calendar year.

</details>

### 401(k) Plan Features

<details markdown="1">

<summary>401(k) After-Tax Contributions with Automatic In-Plan Roth Conversion</summary>

Effective 2024-08-01, Team Members can elect to make after-tax contributions to their 401(k) with automatic Roth in-plan conversions. Follow [these instructions](https://drive.google.com/file/d/16Xpn4FiuX0EcCOkegSG5KwYi8IQhr3--/view?usp=sharing) to make these elections and set up conversions. Note that team members must call Fidelity in order to request and set up automatic conversions. See the [considerations and benefits](https://drive.google.com/file/d/1AO61oKXd1zUlZpNTEEpM3ut0XfTZponI/view?usp=sharing) of enabling automatic conversions.

Please see the [Fidelity Roth 401(k) contributions, after-tax contributions, and the Roth in-plan conversion FAQ](https://drive.google.com/file/d/1WtisN4O4O7X_vtS6YP4X8nVP1xukc2uL/view?usp=sharing) for more details.

Please also see our [webinar with SageView](https://drive.google.com/file/d/1u0LrgJFh3-_lQ-vgXlI2CBbnKJ0t7eX6/view?usp=sharing) on how this 401(k) feature works, the benefits of using the feature, and considerations team members should be aware of before participating.

Team Members should take note that the 401(k) after-tax deductions takes priority over ESPP contributions.
Team Members should calculate their after-tax contributions carefully to ensure that they have enough funds for ESSP contributions, should they wish to participate in both features.

</details>

<details markdown="1">

<summary>401(k) In-Plan Roth Conversion (pre-tax source)</summary>

You may now convert money from your pre-tax source, to the Roth source, all within the 401(k) Plan.

- Please consult with your tax advisor as any amount converted will be taxable in the year it is moved to the Roth source.
- Fidelity is available at 800-835-5097 to assist you with processing changes or answer any questions you may have.

*Questions on the 401(k) Loan or In-Plan Roth Conversion?*

- To process changes or to discuss taking a 401(k) Loan or making an In-Plan Roth Conversion, please directly contact Fidelity's team at 800-835-5097.
- *If you'd like to speak with an advisor* about the investments in the plan, or about your larger financial picture including tax strategies and retirement planning – please reach out to SageView Advisory Group. [Click here](https://calendly.com/elamb-financial/30min?month=2023-10) to schedule a complimentary financial consultation at your convenience.
- If you have general questions, please reach out to [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=b7d7b30d474c069067429ee0026d4382).

</details>

<details markdown="1">

<summary>401(k) Rollover</summary>

If you leave GitLab and would like to rollover your 401(k) account, contact Fidelity directly to get more information about this process. If you need to locate your account number, you can find it by clicking Settings and then Accounts. You can reach Fidelity, by Chat in the app, or by phone at 800-835-5097. They also have a Rollovers section on their site going into detail.

</details>

<details markdown="1">

<summary>401(k) Loans</summary>

You may now take a loan from your GitLab 401(k) Plan.

- Loans may be requested online or by calling Fidelity at 800-835-5097 for help to initiate the process online.
- Payments will be made via ACH from your personal bank account.
- You can request up to 50% of your vested account balance, or $50,000, whichever is less.
- An interest rate of Prime + 1% will apply and will be paid to yourself. It's important to note that loans are repaid with after-tax dollars, meaning you will be "double taxed" on this money – once now, and again at retirement.
- Fidelity is available at 800-835-5097 to assist with any additional questions you may have.

</details>

<details markdown="1">

<summary>401(k) Committee</summary>

The 401(k) Committee meets on a regular cadence with Fidelity to review how the plan is doing as well as updates from the Fidelity investment team. The Committee Members are:

- Chief People Officer
- Principal Accounting Officer
- Director, Total Rewards
- Director, Treasurer

*Note:* Chief Legal Officer will serve as an committee observer.

</details>

## Navia - Health Reimbursement Arrangement (HRA)

Effective 2022-10-01, GitLab offers a TravelHealth Reimbursement Arrangement (HRA) benefit to reimburse eligible team members and their dependents for transportation and lodging expenses related to travel while obtaining medical care not offered within 100 miles of the location the member resides.

To be eligible for the Travel HRA benefit, team members and their dependents must be enrolled in one of the Cigna Medical Plans. Navia Benefit Solutions administers the HRA benefit.

The HRA Benefit is split into a pre-tax account, in which team members can receive reimbursement of up to $2,100 USD for eligible pre-tax travel expenses, and a post-tax account of $900 USD for eligible travel expenses that exceed the pre-tax travel limits.

Please see the [HRA Summary of Benefits and Coverage](https://drive.google.com/file/d/10qDNSuYWYqPXGMQCc8hE1bQ1FT6fxDkB/view?usp=sharing) document for information on coverage and the [Navia Navigation Guide](https://drive.google.com/file/d/1mTGCLX73yFTEbBWYhabaYwhM7kOsBKMx/view?usp=sharing) for information on claim eligibility and how to submit claims. Additional details can be found in our [Health Reimbursement Arrangement (HRA) FAQ](https://docs.google.com/document/d/1ZpVaDB62vG2djOOjYNBjHnoKVEvwcbELF9gMdwwM2Go/edit?usp=sharing)

</details>

<details markdown="1">

<summary>How to Submit an HRA Claim</summary>

To access the benefit, eligible team members can create an account on the [Navia Portal](https://app.naviabenefits.com/app/#/signup), first time users will click the Register button in the top right corner of the page.

To register for online account access you will be requested to provide the following
information:

- Last Name, First Initial
- E-mail Address
- Employer Code: Please click the link to receive the [GitLab Employer Code](https://docs.google.com/document/d/1VTuyywdcPpfzMjQzVwaED_smzePzSgYxPwq_z-P1620/edit?usp=sharing)
- Last four digits of your social security number/employeeID
- Date of Birth
- Choose a Username
- Answer three security questions

Reminder!  review and accept the Terms and Conditions. After clicking Submit for online access, you will receive an email confirmation with a temporary link to set your
password to complete your registration.

If you are a newly hired GitLab Team Member, please allow 1 month following your start date to access the portal. Should you require access to the portal earlier, please contact [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=b7d7b30d474c069067429ee0026d4382). Once you have access to the portal you can submit a claim directly with Navia, and view plan documents.

</details>

## Optional Plans Available at Team Member Expense

### WEX (Discovery Benefits) Health Savings Accounts, Flexible Spending Accounts, and Commuter Accounts

If you are enrolled in a Health Savings Account (HSA), Flexible Spending Account (FSA), Dependent Care Flexible Spending Account (DCFSA) or commuter benefits, the funds are held through WEX (Discovery Benefits). After your benefit enrollment effective start date, [create an account with WEX (Discovery)](https://benefitslogin.wexhealth.com/Login.aspx?ReturnUrl=%2f) to manage your funds. You will only receive one debit card upon enrollment. To obtain a second card (for a dependent, etc.) you will need to login to your account on WEX (Discovery) or call and they will send one to your home of record.

Wex Contact:  866-451-3399; customerservice@wexhealth.com; www.wexinc.com

#### Health Savings Account (HSA)

GitLab contributes $100 per month for those enrolled in the HSA under Individual cover, and $125 per month under team member + dependent(s) cover. You must be enrolled in the HDHP plan in order to contribute to the HSA.

</details>

<details markdown="1">

<summary>HSA Details</summary>

Your HSA account allows you to set aside money on a pre-tax basis to pay for qualified medical expenses. By using untaxed dollars in an HSA to pay for deductibles, copayments, coinsurance, and some other expenses, you may be able to lower your out-of-pocket health care costs. Some benefits of on HSA account are:

Your HSA contributions go into your account before taxes. The money you save to your HSA lowers your taxable income – so you may pay less in taxes.
Money in your HSA account earns tax-free interest.
Any unused HSA funds roll over to the next year.  The money is yours forever. It doesn't expire.
You can spend your HSA dollars on eligible health care expenses, or save and invest them for the future.
Once your HSA account hits a certain balance, you can invest a portion of your HSA balance in mutual funds, stocks and bonds.
You can use your HSA to save for retirement. At age 65, you can use the funds for any purpose without a penalty. The money you take out to pay for eligible health care expenses continues to be tax free. You also can take money out for other reasons without paying a penalty.

</details>

<details markdown="1">

<summary>HSA Account Rollover & Administration</summary>

If you would like to transfer your HSA from a previous account, please contact WEX (Discovery) and request a HSA Transfer funds form. On the form you will put your old HSA provider's account number and any other required personal information. You will then submit the form to WEX (Discovery), and they will get in contact with your old HSA provider and process the transfer of funds. You can reach WEX (Discovery) at 866.451.3399 or `customerservice@discoverybenefits.com`.

HSAs roll over completely year-to-year and are 'owned' by the team member. If you leave GitLab and would like to keep your HSA account, GitLab will no longer be responsible for the administration fee. The account holder will become responsible for the per month admin fee.

Domestic Partner Reimbursements: If the team member is not legally married to their domestic partner, the domestic partner's expenses are not eligible for disbursement from the HSA. However, if the domestic partner is covered under the family HDHP through the team member, the domestic partner can open their own HSA and contribute up to the full family contribution maximum. The team member may also contribute up to the full family contribution maximum to their own HSA.

</details>

<details markdown="1">

<summary>Mid-Year HSA Contribution Change</summary>

Team Members can make changes to their HSA contribution throughout the year. Any changes will be reflected as of the 1st of the following month. You can make these changes via the [Qualifying Life Event Process](/handbook/total-rewards/benefits/general-and-entity-benefits/inc-benefits-us/#process-for-submitting-a-qle). Select "Mid-Year HSA Contribution" under event type.

You can also choose to front-load the team member portion of your HSA contributions directly with Wex. Please contact Wex to assist you with this request. If you do choose to front-load your HSA, please be sure to take into account GitLab's contribution amount to your front-load calculation, and adjust your HSA deductions in PlanSource to update payroll deductions. GitLab is unable to track your maximum contribution if you fund the HSA outside of your payroll deductions.

</details>

<details markdown="1">

<summary>Health Savings Account and Offboarding GitLab </summary>

Your Health Savings Account and any funds within the account as of your date of termination are yours to keep. You may continue to use the dollars in your account for eligible healthcare expenses at your next employer, and/or allow the money to remain in the account and grow over time. Wex may charge fees to manage your HSA account directly. Please contact WEX (Discovery) at 866.451.3399, via live chat or customerservice@discoverybenefits.com with any questions about your HSA accounts.

</details>

#### Flexible Spending Account (FSA) Plans

FSAs help you pay for eligible out-of-pocket health care and dependent day care expenses on a pretax basis. You determine your projected expenses for the Plan Year and then elect to set aside a portion of each paycheck into your FSA. FSA contributions can only be updated during open enrollment or through a [qualifying life event (QLE)](#qualifying-life-events).

There are three types of FSAs that team members may enroll in:

- *Dependent Care FSA:* restrict eligible expenses to dependent care expenses exclusively. A qualifying 'dependent' may be a child under age 13, a disabled spouse, or an older parent in eldercare. Dependent Care FSA claims may be incurred through March 15 and must be submitted no later than March 31.
- *Medical FSA:* Lets you pay for all eligible medical expenses, including dental and vision expenses, as well as over-the-counter medications. Team Members who have an HSA cannot participate in a medical FSA.
- *Limited Purpose FSA:* restrict eligible expenses to dental and vision expenses exclusively. Team members with an HSA can participate in a limited purpose FSA.

 </details>

<details markdown="1">

<summary>Rollover Details for Medical and Limited Purpose FSA</summary>
Per WEX Health, FSA rollover funds are not available for 2024 expenses until 5-15 business days after 2024-03-31 (should be no later than 2024-04-22).
In 2024 the maximum salary deferral contribution has increased to $3,200 USD, with the maximum rollover amount increasing to $640 USD.
In 2025 the maximum salary deferral contribution has increased to $3,300 USD, with the maximum rollover amount increasing to $660 USD.

A  minimum amount of $5 USD will apply to the rollover. Note if the FSA rollover funds are $5 or less, the funds will be forfeited. Team members can use the roll-over FSA amount the following year regardless if they enroll in the FSA the following year.

</details>

<details markdown="1">

<summary> Flexible Spending Accounts and Leaving GitLab </summary>

FSAs are employer-owned accounts. If you leave GitLab Medical FSA account will be terminated on your date of termination unless you continue this through COBRA. You are able to use your full FSA amounts up to and on your last day, but not afterwards unless you enroll into COBRA. WEX (Discovery) requires that all claims be submitted up to 90 days after termination date. You can enroll into COBRA FSA if you have spent less out of your account than you have contributed to it. If you decide to enroll, you will be required to continue making your monthly contributions on a post-tax status. For additional information, please reach out to WEX (Discovery) at 866.451.3399 or customerservice@discoverybenefits.com.

Dependent Care FSAs cannot be continued via COBRA. You are able to use your dependent care FSA for expenses that occur up to your last day, but not afterwards. Wex requires that all claims be submitted up to 90 days after termination date. For additional information, please reach out to WEX (Discovery) at 866.451.3399 or customerservice@discoverybenefits.com.

</details>

<details markdown="1">

<summary>FSA Period to Submit Claims</summary>

Up to 90 days after the plan year has concluded (also known as the runout period).

</details>

<details markdown="1">

<summary>Mid-Year FSA Contribution Changes</summary>

Team Members can only make changes to their FSA contributions during a Qualifying Life Event. You cannot reduce your FSA contributions, you can only increase the FSA during the Qualifying Life Event.

Note that if you increase the amount of your FSA, you will only be able to use the additional funds for claims that incur on or after your Qualifying Life Event. See Example Below:

| Scenario                     | Resolution | Example |
|--------------------------|------|------|
| A participant gets married       | The participant can only increase their election amount.     | A participant originally elected $500. They get married and update their election amount to $2,000 as of the date of the qualifying life event. Note: The participant can only be reimbursed up to $500 for claims with dates of service between the plan effective date and the date of the qualifying life event.|

</details>

#### Commuter Benefits

GitLab offers [commuter benefits](https://drive.google.com/file/d/0B4eFM43gu7VPek1Ia0ZqYjhuT25zYjdYTUpiS1NFSXFXc0Vn/view?usp=sharing) which are administered through WEX (Discovery Benefits).

In 2025 the contribution limits are $325/month for parking and $325 per month of transit. These contributions rollover month to month.

</details>

<details markdown="1">

<summary>Commuter Benefits Period to Submit Claims</summary>

For active employees: Up to 180 days after plan year has concluded (also known as the runout period).

For terminated employees: Up to 90 days after the termination date.

</details>

### Cigna Supplemental Life Insurance/AD&D

Team members who wish to elect additional life insurance above what is provided by GitLab through the Basic Life Insurance or elect life insurance for their dependents, can elect [Voluntary Life Insurance](https://drive.google.com/file/d/1tybaRkRL5SGpDObdRVlSt-VG5GQMoHeX/view?usp=sharing) through Cigna.

- $10,000 Increments up to the lesser of 6x annual salary or $750,000 for team members
- $5,000 Increments up to the lesser of $250,000 or 100% of team member election for spouses and domestic partners
- $10,000 of coverage available for children

See the [2024 Cost Sheet](https://drive.google.com/file/d/1B_fNqboB3Nkkiq0mvd_yLs_-HceoY2ad/view?usp=sharing) for more details on the Cost and Employe Coverage amounts

</details>

<details markdown="1">

<summary>Evidence of Insurability</summary>

If you elect supplemental life insurance greater than the guaranteed issue of voluntary life insurance for yourself or dependent, you or your dependent may be required to complete an evidence of insurability (EOI). If required, you will be prompted and provided with the form during the enrollment process and can also access it [here](https://drive.google.com/file/d/1Q1AjhGGia1QT2U_OC7TnMUtTk50ZuLBN/view?usp=sharing).

Please complete this form to the best of your ability, but if you're unsure for any field, please leave it blank. No information needs to be filled out for the ID # field and for security, you may also leave the Social Security Number field blank.

Once complete, please send the form to `total-rewards@gitlab.com`. The Total Rewards team will then help fill in any missing information, if applicable, and will forward to the carrier for review. Total Rewards will confirm receipt of the EOI with the carrier, track its status, and the team or the carrier will reach out to the team member with any issues that need to be addressed in order for the EOI to be approved.

If you leave GitLab, all supplemental life insurance is not included in COBRA and will terminate on your last day at GitLab unless you choose to continue your or your spouse/children's life insurance directly with the carrier. Please contact the carrier (Cigna) for more information on premiums and setting this up.

</details>

### ARAG Legal Insurance

Team Members can enroll in a Legal Insurance plan with ARAG during Open Enrollment and New Hire Enrollment.

Legal Insurance provides:

- Network attorney fees are 100% paid in full for most covered matters.
- Save hundreds, possibly thousands, when dealing with common legal matters.
- Work with a network of local, experienced attorneys who can provide advice, review documents and represent you.
- Use DIY Docs®, an online tool that helps you create a variety of legally valid documents, including state-specific templates.

Team Members can choose between Two Legal Plan Options:

[UltimateAdvisor](https://drive.google.com/file/d/1rYFWTxDG8i8wIxQDuZMfFdFJ7_o9wwBG/view?usp=sharing), which provides comprehensive legal coverage, and [UltimateAdvisor Plus™](https://drive.google.com/file/d/1sXbG2plFRX5FQ8kpq299A9pacZ2HQEnf/view?usp=sharing), which offers even more legal protection and additional services like, financial education and counseling, tax services and services for parents/grandparents. With UltimateAdvisor Plus™, custody and alimony matters are also covered.

**UltimateAdvisor® Legal Insurance:**
$18.25 per month

**UltimateAdvisor Plus™ Legal Insurance:**
$20.90 per month

</details>

<details markdown="1">

<summary>ARAG Resources</summary>

- [Mobile Arag Legal App Flyer](https://drive.google.com/file/d/1MGpQ6C-uNwRZS3VrUkuTZ4d6vkIqNmOk/view?usp=sharing)
- [Common Legal Needs ARAG can assist with](https://drive.google.com/file/d/1bFdnlVxmIzJ5Rixu94643AjwkZD-7OrB/view?usp=sharing)
- [ARAG learning Center (Resources for ALL team members)](https://drive.google.com/file/d/1_91UohgMqY-fjRuQlTzISuKwXdVSdLNJ/view?usp=sharing)
- [ARAG FAQ](https://drive.google.com/file/d/1x9MJVttezz0KOvW2IZXIkY7qtkIMk8p7/view?usp=sharing)
- [Diversity, Equity, and Inclusion Benefits](https://drive.google.com/file/d/1HnfzAbxs-T1yx_r4vBmmUPaLIdQc9YEq/view?usp=sharing)

</details>

### Pet Insurance

GitLab offers team members to join the MetLife group Pet Insurance plan. A MetLife Pet Insurance plan helps cover the costs when unexpected accidents or illnesses occur, so
nothing gets in the way of caring for your pet when they need it most.

With MetLife Pet Insurance, you can get:

- Flexible insurance plans that can cover the entire pet family with no breed exclusions
- Family plans covering multiple cats and dogs on one policy – a benefit exclusive to MetLife Pet2
- 24/7 access to Telehealth Concierge Services for immediate assistance
- Coverage of previously covered pre-existing conditions when switching providers

For more details and steps on how to enroll please see the [MetLife Pet Insurance flyer](https://drive.google.com/file/d/11Q3NeSqNjqXMxSqADgNmKbGFCWTKLasH/view?usp=sharing) & [Enrollment Instructions](https://drive.google.com/file/d/1KDrCVNlTo9Kl8EZ3sp_HhtP2Cz36ZxTg/view?usp=sharing)

### 529 Savings Plans

GitLab offers access to 529 plan investments to US team members so that you can use tax-advantaged savings for your child's future education expenses.

- ScholarShare 529 Workplace Savings is a direct deposit program that can make it easy for you and them
- This plan offers 100% tax-free growth on investment earnings and tax-free withdrawals for qualified expenses, making the most of every dollar you save

To learn more visit ScholarShare529.com/employer or email: workplace529@scholarshare.com

Enroll anytime at [ScholarShare529](https://www.ScholarShare529.com) or call 800-544-5248.
[ScholarShare Flyer Guide](https://drive.google.com/file/d/1D3k31fDxkeks7XigTa_Cn0_itIYoQW1A/view?usp=sharing) & [529 Overview](https://drive.google.com/file/d/1GXAdVLVJLsruj-2s9twpQ3p1c6CzOAFn/view?usp=sharing).

Want more information?

- Register for [webinars](https://www.scholarshare529.com/events) that fits your schedule, hosted monthly, [Schedule a consultation](https://www.scholarshare529.com/appointments) with a 529 specialist.

### Student Loan Guidance & Tools

GitLab has partnered with Sofi to offer student loan guidance services, discounts & perks, and financial well-being products with SoFi.

Team members can schedule an appointment with a Sofi Student Loan Specialist to discuss their loans and situation and habe access to a central location for team members to focus on financial well-being, and help navigate their student debt

Enroll anytime at [SoFi.com/GitLab](sofi.com/gitlab)
[GitLab SoFi Flyer](https://drive.google.com/file/d/1kKZXeqwY96cHE4QpjrWjONSawwe-rkIf/view?usp=sharing). You're eligible for an exclusive 0.25% rate discount* when you refinance your student loans through SoFi.com/GitLab, plus you could save big by locking in a lower rate.

## Team Member Discount Platforms

### PerkSpot

GitLab has partnered with PerkSpot: a discount platform providing Team Members with discounts on over 10,000 brands and more than 25 different categories, including electronics, home goods, mortgages, travel, and more.
This discount platform is offered at no cost to you.

PerkSpot is a one-stop shop for thousands of exclusive discounts and in more than 25 different areas of interest. You can enroll anytime at [gitlab.perkspot.com](https://gitlab.perkspot.com)

- Click on "Create Your Account"
- [Using Access Code](https://docs.google.com/document/d/1gWhxyWgqxdHA8LskuG93FiFXFJhA7TNWwu3MDifjyQ4/edit)

PerkSpot [Overview Flyer](https://drive.google.com/file/d/1k0CsjErpcy4DUXqmOq3BYe8fHAC02t0B/view?usp=sharing)
If you have any questions on discounts or the PerkSpot platform,please reach out to cs@perkspot.com or 866-606-6057.

### LifeMart through ADP

US team members have access to a discount platform offered through ADP. This platform provides discounts for national and local brands and services.

To access LifeMart through ADP:

1. Login to ADP using the following link: [workforcenow.adp.com](https://workforcenow.adp.com).
1. Click on the "MYSELF" tab in the navigation bar, hover your mouse over "Benefits" in the dropdown menu, and click "Employee Discounts - Life Mart".
1. Confirm the email you use to access ADP and click "View my discounts" to enter the website.

## COBRA

If you are enrolled in medical, dental, and/or vision when you terminate from GitLab (either voluntarily or involuntarily), you may be eligible to continue your coverage through [COBRA](https://www.dol.gov/sites/dolgov/files/ebsa/about-ebsa/our-activities/resource-center/faqs/cobra-continuation-coverage.pdf).

</details>

<details markdown="1">

<summary>COBRA Timeline</summary>

1. Typically terminations are updated in Workday on the date of the termination and once updated, will then be updated in PlanSource by the end of the next business day.
1. Once the termination has been added to PlanSource, the information will then be sent over to [WEX (Discovery Benefits)](https://cobra.discoverybenefits.com/), our COBRA administrator. The file feeds over every Wednesday morning. Government guidelines give 30 days for WEX (Discovery) to be notified of the COBRA eligibility, but typically this will take about 1-2 weeks.
1. Once notified, WEX (Discovery) has 14 days to generate and send the COBRA enrollment packet. Allow normal mailing timelines (5-10 business days) to receive the packet once sent. You may also contact `total-rewards@ gitlab` at least a week after your termination date and we can send an electronic copy of your COBRA enrollment packet to you if it has been generated.
1. You will have 60 days from the time you receive the COBRA packet to enroll either through the mail or online. Instructions for how to enroll will be included in your COBRA packet. Coverage will be retro-effective to the date coverage was lost.
1. From the day you enroll, you have 45 days to bring your payments to current.
1. You may remain on COBRA for up to 18 months. Please see the COBRA enrollment packet for information on extending COBRA an additional 18 months, if applicable. The state you reside in may allow for additional time on COBRA, but may be more expensive and include only Medical. Please consult the laws for your state for more information.

If you are currently employed and have any general COBRA questions, feel free to contact the Compensation & Benefits team. If you have terminated already or have specific questions on the administration of COBRA, feel free to contact WEX (Discovery) Benefits directly: (866) 451-3399.

</details>

## GitLab Inc. United States Leave Policy

 All information regarding leave policies in the United States (including FMLA, CFRA) can be found on the [Leave of Absence - US](/handbook/people-policies/leave-of-absence/us) handbook page.

## Parental Leave

### Apply For Parental Leave in the US

Information regarding GitLab's Parental Leave policy and how to apply, can be found on our [Parental Leave]({{< ref "general-and-entity-benefits#parental-leave" >}}) overview on our Benefits handbook page.

## State-Specific Allowed Leaves

To learn more about State-specific leave laws, please visit the [Leave of Absence - US](/handbook/people-policies/leave-of-absence/us) handbook page.
