---
title: "GitLab LTD (UK) Benefits"
description: "GitLab LTD (UK) benefits specific to UK based team members."
---

Can't find what you're looking for? Try the main [People Operations page](/handbook/people-group/).

For any queries related to UK benefits, please reach out to [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=b7d7b30d474c069067429ee0026d4382) for further assistance.

## Medical Insurance

For UK-based team members, GitLab provides 100% paid membership of medical insurance with AXA PPP. This private medical insurance level is named Business Health Select with core cover. Family members can be added to the insurance and GitLab will pay 66% of the cost to include them.
Please note: team members enrolled will still be responsible for the BIK ("Benefits in-Kind") taxes on their healthcare coverage. If you have questions on your BIK taxes, please reach out via [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=b7d7b30d474c069067429ee0026d4382).
Further information can also be found in the [AXA PPP Brochure](https://drive.google.com/file/d/130IiyCm1qoCUYunqgGvwQGu7btvu0e0R/view?usp=sharing).

### Enrollment

Please let the Total Rewards team know if you would like to join the scheme via email to `total-rewards@gitlab.com` and `Lisa.Holland@wtwco.com`  Include the following details:

 1. Full name
 1. Date of Birth
 1. Current address
 1. Employee ID
 1. Dependent Details if you'd like to add them to the plan (Full Name, DOB, and address).

Team members who join the plan prior to the 24th of the month will have the BIK and deductions reported in full for that month, team members who join after the 24th of the will see deductions and BIK reporting begin the following month.

Please note that it can take 7 - 10 working days to receive a reply and confirmation from AXA PPP.

### Coverage Details

The current coverage includes:

- Full outpatient cover
- £0 Excess (meaning that employees are fully covered)
- Extra covers (all included)
  - Therapies cover option
  - Mental Health cover option
  - Extra Care option includes hospital at home, cash benefit, oral surgery, chiropody
  - Extra Cancer care option
  - Dental £400 (80%)
  - Optical £200 (80%)
  - £25 a year for eye test
- Virtual GP appointments – [DR@Hand](https://drive.google.com/file/d/1YzkeG0qMLPLi6TEY6mQXqV8xooMQb4_Z/view?usp=sharing)

**Please note: the AXA plan underwriting is based on a MHD (Medical History Disregarded) basis, meaning that pre-existing medical conditions that existed prior to the date on which the individual joined the AXA scheme will be covered for treatment** (subject to the rules and benefits of the AXA policy, please review your AXA membership package sent by AXA for further reference).

\* Current team members enrolled and new joiners to the AXA plan will have cover for treatment of pre-existing medical issues they may have had before joining, without being a member for two years or being required to have 12 consecutive months of "trouble-free" from when the condition began (pre-existing moratorium terms no longer apply).

For additional details regarding coverage please review the [AXA Coverage Summary](https://drive.google.com/file/d/1TMk8xTt6yfzm-wI1X_wMyYfJF3GAgb4k/view?usp=sharing).
For claims assistance, please contact [HelpLab](https://helplab.gitlab.systems/esc?id=emp_taxonomy_topic&topic_id=b7d7b30d474c069067429ee0026d4382). While we are unable to take over the claims process on behalf of the team member, our broker can assist in reaching out to AXA to escalate.

Please also note that this is a taxable benefit. Team members enrolled will still be responsible for the BIK ("Benefits in-Kind") taxes on their healthcare coverage.

### Medical Premiums and Benefit In Kind Reporting

Please see the Annual 2024 Rates effective 2024-03-01:

| Tier                     | Total| GitLab's Cover <br> Benefit in Kind Value  | Team Member Cost <br> 34% of Dependent Cost  |
|--------------------------|:---:|:----:|:----:|
| Team Member Only         | £904  | £904   | £0   |
| Team Member + Spouse     | £1,808 | £1500.64 | £307.36 |
| Team Member + Child.     | £1537  | £1321.78 | £215.22 |
| Family                   | £2,441  | £1918.42 | £522.58 |

Please see the Monthly 2024 Rates effective 2024-03-01:

| Tier                     | Total| GitLab's Cover <br> Benefit in Kind Value  | Team Member Cost <br> 34% of Dependent Cost  |
|--------------------------|:---:|:----:|:----:|
| Team Member Only         | £75.34  | £75.34   | £0   |
| Team Member + Spouse     | £150.67 | £125.05 | £25.62 |
| Team Member + Child.     | £128.08 | £110.14 | £17.94 |
| Family                   | £203.41  | £159.87 | £43.55 |

The Team Member cost will be deducted from their paycheck on a monthly basis. The Benefit in Kind amount will be reported on a monthly basis and team members will be taxed on the value of the benefit. An audit and reconciliation of Benefit in Kind reporting and Deductions will occur annually around February.

### Vision

As GitLab team members work (DSE) display screens equipment on a regular basis, GitLab will reimburse team members for a full eye examination and vision test up to 30 GBP.

If the test shows that the team member needs corrective lenses exclusively for DSE work, GitLab will reimburse towards the cost of a basic pair of frames and lenses (i.e. not designer lenses) up to 120 GBP.

The team member needs to provide documentation (a prescription) from the optician that confirms if the lenses are specifically required for reading a display screen only (this is normally a very small proportion of users) and not required for general day to day use.

If you are enrolled in the AXA Medical plan, please submit any eligible claims through the plan first, any out of pocket cost not covered by the plan can be reimbursed up to the max amount in accordance to the Vision policy.

Please submit your receipts via Navan and prescription to Total Rewards.

## Life Insurance

Life Insurance provides peace of mind for you and your loved ones with a tax-free lump sum payout in the event of your untimely death, helping to relieve financial concern during a time of grief. GitLab offers Life Insurance via Unum to all team members between age 16 and State Pension Age.

Team Members are automatically enrolled in to the pension benefit of **4x basic annual salary** up to the Free Cover Limit. Team Members with a base salary of £375,000 or higher will need to apply for a medical assessment to receive cover over the Free Cover Limit. Please reach out to Total Rewards if you are eligible and wish to apply for the additional cover. Please see the [Life Insurance Policy User Guide](https://drive.google.com/file/d/1D7QXKKvVtafQFbBFD4mPuKqbi1mqBsLh/view?usp=sharing)

To designate a beneficiary for this benefit, please complete the [Expression of Wish Form](https://docs.google.com/document/d/1L5PFNeeZPmC5CArxrm7YX8W4BwKzdLFo/edit?usp=sharing&ouid=115600862362829120699&rtpof=true&sd=true) and send the completed form to the Total Rewards Team.

See additional details on the [Life Insurance Policy](https://drive.google.com/file/d/1wS3XP7C9N64iistpsYPUiD709nTkutvt/view?usp=sharing).

### Employee Assistance Program (EAP)

As part of the life insurance benefit, Unum also offers an Employee Assistance Program for those based in the United Kingdom. For information on how to use the EAP, please see the following [document in the google drive](https://drive.google.com/file/d/1OEXPZxNOq0alVB1fWmF_dso642_F-Yub/view?usp=sharing).

### Help @ Hand

As part of the life insurance benefit, Unum also offers [Help@hand](https://drive.google.com/file/d/1Xh7o57jBac-BfHTdWuUMh7yKi5gXdIIr/view?usp=sharing) providing you and your family with fast, direct access to medical experts through one easy-to-use app, including:

- Remote GPs
- Physiotherapy
- Mental Health Support
- Medical Second Opinions
- Life, money, and well-being support

New Team Members should expect an enrollment email from Help@Hand the first week of the month following their hire date.

## Income Protection

Income Protection provides financial support if you're unable to work due to illness or injury for a specified length of time, and aims to help you, your family and others who depend on the money you earn. GitLab's policy with Unum will help us to ensure you receive a percentage of your income if you can't work because of illness or injury. It also includes direct access to expert Vocational Rehabilitation Consultants who can support you while you're off and ease your return to work. See more details on the [Income Protection Policy](https://drive.google.com/file/d/1G-3vu-zO38OGAZNcZS9mc-DwCm9laOaC/view?usp=sharing). Please see the [Income Protection User Guide](https://drive.google.com/file/d/1GGLFrzJRUCD7OM41O4F7kNyCqkuBHsyt/view?usp=sharing)

All team members (between age 16 and State Pension Age) are automatically enrolled in Income Protection of **66% of base salary up to the Free Cover Limit payable after you've been absent for 13 weeks** effective as of the date of hire. Employees with a base salary of £226,000 or higher will need to apply for a medical assessment to receive cover over the Free Cover Limit. Please reach out to Total Rewards if you are eligible and wish to apply for the additional cover.

Please reach out to Total Rewards for information on how to use your Income Protection benefit with Unum. Payments are made exactly like your salary, and tax and National Insurance contributions are deducted in the usual way. If you are absent due to illness or injury on the day your cover or an increase in cover is due to begin, you may not be eligible until you return to active work in your usual role.

## Pension Introduction

GitLab provides and contributes into an Auto-Enrollment personal pension scheme with [Scottish Widows](https://www.scottishwidows.co.uk/retirement/retirement-explained/basics/auto-enrolment/)

Willis Towers Watson act as employee benefit advisers to the GitLab GPPP and although cannot provide you with financial advice are available to explain the details of the GitLab GPPP and answer any questions you may have.

Willis Towers Watson

3 Temple Quay, Temple Back East, Bristol, BS1 6DZ
Nick Allen, Associate Director
Direct Line: 07920 213595
E-mail: nick.allen@wtwco.com

Please refer to the [Company Pension Plan FAQ](https://drive.google.com/file/d/1BEADGm7sUbroEkxzGvB-DBIhMIbbLG46/view?usp=sharing) for additional information on the plan. Please note that all eligible team members will be auto-enrolled in the scheme. Please also watch the [2022 UK Pension Webinar](https://drive.google.com/file/d/1JggpHxQvtWZK1P6NdE9-77LFPE6Q5DZY/view?usp=sharing) for an overview of UK Pension System.

### Salary Sacrifice

Team Members who have signed a UK Employment contract after 13 December 2022 will be automatically enrolled in to Company Pension Scheme via Salary Exchange. Please note that if you signed your contract prior to 13 December 2022 will have to request to opt in to the Salary Sacrifice Scheme. You can do so by emailing total-rewards@gitlab.com and nonuspayroll@gitlab.com. As part of this Salary Exchange offering GitLab will be passing on their employer NI saving to you as an employee in the form of an increased pension contribution. You can find more information in the following [document](https://drive.google.com/file/d/1L-YfEulL4SlJ22dVRrMqi9Yq82ircl-f/view?usp=sharing) detailing the benefits and potential disadvantages of changing to a Salary Exchange arrangement.

**Salary Sacrifice FAQ**

- Can we change the amount during the period we're contracted for salary exchange?
  - Yes it is possible to change the amount/increase your employee percent
- What happens if our 'actual' salary changes during the period?
  - Your employee contribution is a percent of basic pay so if your basic pay increase the pension contribution will too.
- What happens if we receive a discretionary bonus?
  - Your definition of pensionable pay is basic salary the percent will not automatically be applied to the bonus. Should you wish to contribute part of you bonus to your pension pot you can do that.
- Is it possible to start from any month?
  - Yes it is; it would be processed on the next available payroll.
- How do I opt in or out or make changes to my salary sacrifice amount?
  - Team Members who have signed a UK Employment contract after 13 December 2022 will be automatically enrolled in to Company Pension Scheme via Salary Exchange. Please note that if you signed your contract prior to 13 December 2022 will have to request to opt in to the Salary Sacrifice Scheme. Email total-rewards@gitlab.com and nonuspayroll@gitlab.com with the new percentage of your salary that you would like to sacrifice or to opt in/out of the salary sacrifice provision.

### Auto-Enrollment

Auto-enrollment is a scheme brought in by the Government as they want everyone to save more for their retirement. Employees will receive a letter from GitLab informing them when they have been auto enrolled in the scheme. As this is now law, employees will be auto enrolled into the GitLab UK Group Personal Pension Scheme from January 1, 2018 or as soon as they join the company if:

- Earnings are over £10,000 a year
- Employees are aged 22 or over; and
- Are under the state pension age

If an employee does not meet these criteria then they will be considered an **Entitled Worker** (earn less than £6,240 p.a) or a **Non-Eligible Jobholder** (earn between £6,240 and £10,000 p.a).

- **Entitled workers** must be offered the opportunity to join the pension scheme. They can make contributions to the pension scheme if they choose. However, there is no requirement for GitLab to make a contribution
- **Non-Eligible jobholders** must be offered the opportunity to opt in to an automatic enrollment scheme.

</details>

<details markdown="1">

<summary>Scottish Widows Group Personal Pension Scheme & Enrollment</summary>

The following process is followed by GitLab People Operations to join the Scheme during onboarding:

- During onboarding, the People Connect Team informs Papaya Payroll of a new hire that joined the company in the UK.
- Once Papaya payroll has this information, the employee will be set up on the payroll and added to the pension file for Scottish Widows in preparation to be uploaded.
- The pension file is sent to Scottish Widows around the end of 6th of each month and will include any joiners/changes/leavers from the previous month's payroll run. For example everyone who has been included on the pension file in October (the cut off is 15th October) Scottish Widows will be notified around 6th November
- Any employee who joins after 20th or has not been included on the pension file will be picked up in the following month's file.
- Scottish Widows receive the pension file around 6th of each month and will process all joiners/changes/leavers accordingly.
- New joiners should expect to receive their welcome pack in the mail within 14 working days after Scottish Widows receives the pension file.

When an employee joins the scheme they will be sent a welcome pack in the post stating that they are now a scheme member, it will also have their login details. Employees can login to access their own personal fund and can make adjustments as they see fit.

If the team member hasn't received their Scottish Widows package in the mail within their first 2 months of their joining date, they can log on to their
[Scottish Widows Portal](https://www.scottishwidows.co.uk/personal). Select "Register Now', and fill out your details (no need to fill out the Policy Number, as you can use your National Insurance Number instead). Please do not try to log in via the portal before Papaya has uploaded your information in accordance to the schedule above, as you will be denied access.

</details>

Some other key points of the scheme are as follows:

- The default fund is the Scottish Widows Pension Investment Approach - Balanced.
- There are over 50 funds and 9 lifestyle profile options
- This is a personal pension which means it can be taken with the employee if they leave GitLab
- Employees will receive tax relief on their contributions, between 20% and 45% depending on their current income tax band
- Each individual plan has an Annual Management Charges (AMC) of 0.60% per annum.
- There are no charges on contributions or transfers into the plan
- There are no charges on transfers out of the plan
- Scottish Widows has a workplace pension webpage with lots of documentation about the scheme. Find the URL in [this document.](https://drive.google.com/file/d/1e38np_Q8_s9Ty5JdbXTiMFXYVPTa20UQ/view?usp=sharing)

### Pension Contribution Percentages

The certification level that has been chosen is **basic salary** only and will not include commission, bonuses or any over time payments. The contributions will be paid monthly and will be shown on the pay-slips.

- From April 6, 2019 to a minimum of:
  - Employee: 5% of basic salary
  - GitLab:   4% of basic salary

- As your contribution is a percentage of your pay, the amounts will automatically increase or decrease in accordance with your basic pay. These contributions will be taken from your pay and will include tax relief.
- You may increase the contribution percentage you pay by contacting Non US Payroll team via email. Please note the company contribution will remain fixed as above. The standard Annual Allowance for the 2024/2025 year is £60,000 p.a.  The Annual Allowance includes all contributions, both employer and employee payable to the pension plan in the tax year. You may carry forward unused Annual Allowance for up to three tax years. Your Annual Allowance will be reduced if your Adjusted Income exceeds £260,000 or if you 'flexibly access' pension
benefits from a Defined Contribution pension arrangement. Please see the [Annual Allowance Fact Sheet](https://drive.google.com/file/d/1MMA-0wfzUsO70pBsweDAHK-FVc-P_iR1/view?usp=sharing).
- These percentages are gross percentages using the [relief at source](https://www.gov.uk/workplace-pensions/managing-your-pension) method. As basic rate tax relief is then added by the pension provider, the amount on your payslip will typically be the net amount, which is 80% of the employee's contribution.

These contribution percentages are in line with [The Pension Regulator's Auto-enrollment legislation](https://www.thepensionsregulator.gov.uk/en/document-library/automatic-enrolment-detailed-guidance).
Should the government's minimum contribution standards change further GitLab will contact you to advise the new levels to comply with legislation.

</details>

<details markdown="1">

<summary>Opting Out</summary>

If you decide to opt out of the scheme you can do this within one month of the enrollment date by following the instructions in the information from Scottish Widows. The Opt Out deadlines are:

- You have four weeks from when the Scottish Widows welcome letter is dated.
- **If you do opt out by this date**, any contributions that have already been taken from your pay will be returned to you and you'll be treated as if you had never joined the pension scheme.
- **If you don't opt out by this date**, you can stop contributing at any time, in accordance with the pension scheme rules. If you do this, both your contributions and GitLab's, up to that point, will remain invested in your pension pot until you take your benefits.
- You can opt-out by completing the Scottish Widows [Opt-out form for Group Pension Scheme](https://drive.google.com/file/d/1FDCXW2qa3pniHIbkJ4vSkK-C_KGmLiNa/view?usp=sharing). The form must be completed, then returned to Total Rewards at total-rewards@gitlab.com
- The pension provider will also be able to tell you when the one month opt-out period started, if you aren't sure.
- An opt-out from the pension scheme normally lasts for **three years**. If you've opted out, or stopped contributions to the scheme, GitLab is required to automatically enroll you into the scheme at a later date (normally every three years).

</details>

<details markdown="1">

<summary>Re-joining</summary>

If you decide to re-join the scheme you can do so by emailing or sending a signed letter to People Operations. If you send an email, it should be from your personal email address, please ensure it contains the phrase `I confirm I personally submitted this notice to join a workplace pension scheme`. You can only re-join once in any 12 month period.

</details>

### Contacts

You can find all the information on the pension scheme including FAQS, understanding your pension, Investment Choices and Tools and Calculators at:

Scottish Widows:

- [www.scottishwidows.co.uk/gppae](https://www.scottishwidows.co.uk/gppae)
- (t) 0345 755 6557

You can also reach out to Willis Towers Watson to explain the details of the GitLab GPPP and answer any questions you may have.

3 Temple Quay, Temple Back East, Bristol, BS1 6DZ
Nick Allen, Associate Director
Direct Line: 07920 213595
E-mail: nick.allen@wtwco.com

### Reports

Each month payroll will provide reports to People Operations that need to be kept for compliance. These will be filed in the Auto-Enrollment Pension folder on the Google Drive, accessible only to the People Operations team.

### Changing the Pension Scheme Investment Approach

There's a workplace pension webpage linked from this [pdf](https://drive.google.com/file/d/1e38np_Q8_s9Ty5JdbXTiMFXYVPTa20UQ/view?usp=sharing) that contains information about all the options available.

When your policy is first set up, it'll be set to:

- 'Pension Investment Approach' (PIA)
- A lifestyle switching approach for managing your investments as you approach retirement.
- A default investment fund (such as 'Scottish Widows Pension Portfolio Two Pension')

The [policy website](https://personal.secure.scottishwidows.co.uk/) will tell you:

> Although you are currently invested in a Pension Investment Approach you also have other options such as investing in our range of individual funds or changing to a Premier Pension Investment Approach.

Read about all these investment options, and the funds available, on the [workplace pension webpage.](https://drive.google.com/file/d/1e38np_Q8_s9Ty5JdbXTiMFXYVPTa20UQ/view?usp=sharing)

Changing your investment approach or funds could adversely affect your retirement income. Get advice, such as from [Oakley Financial](#contacts).

#### Selecting funds online

This is an advanced feature that carries significant risk. For team-members comfortable with this, it's not obvious how to enable it.

To access 'investing in our range of individual funds' online you need to call Scottish Widows, and ask:

- To come out of the lifestyle approach.
- To come out of 'Pension Investment Approach' (PIA)
- For online access to the range of funds.

The change may take a couple of days to come into effect, and they'll write and confirm the change.

Having enabled online fund management, you can search for and select the funds on the [policy website.](https://personal.secure.scottishwidows.co.uk/)

The [workplace pension page](https://drive.google.com/file/d/1e38np_Q8_s9Ty5JdbXTiMFXYVPTa20UQ/view?usp=sharing) also has a link to a fund list, plus a PDF which explains:

- The different groups of funds Scottish Widows offers.
- A summary of each fund.

A fund fact sheet is provided for each fund with usual information such as previous performance.

Management charges vary by fund and are not on the fact sheets: use the charges sheet tool on the [workplace pension page.](https://drive.google.com/file/d/1e38np_Q8_s9Ty5JdbXTiMFXYVPTa20UQ/view?usp=sharing).

## Bike to Work/Tax Saver Commuter Scheme

GitLab uses TravelHub to assist with the administration of the bike to work/tax saver commuter scheme. The GitLab specific online portal can be found at [GitLab Travel Hub](https://gitlab.biketowork.co.uk/). Team members will need to register and account to enter the GitLab specific online portal.

See the [Bike To Work Flyer](https://drive.google.com/file/d/1vLmVX18ptsKj-AFpAK24-eOaNj7fxlfs/view?usp=sharing) and the [Bike To Work Employee site](https://www.biketowork.co.uk/employees-information) for more details

The Bike to Work limit is £3000 for the total cost of the bicycle and accessories. The scheme may be availed once in 4 consecutive tax years.

### Bike Applications

Once your account is created, select a Bike to Work UK partner shop.
Pick the new bike and accessories if required.
Upload the quote received from the bike ship to the TravelHub portal to have the order approved.
The Total Rewards team will receive an email with the request to login, review, and approve the application (credentials can be found in 1password). Please note that all payments should be made to TravelHub directly and not to the supplier chosen by staff. TravelHub will pay the supplier once the employee has received their Bike or Ticket.
Total Rewards will notify payroll to reduce the team member's gross salary by the cost of the bike using a Salary Sacrifice Agreement.

## GitLab LTD United Kingdom Leave Policy

### Sick Leave

Team members are entitled to Statutory Sick Pay ("SSP")for up to 28 weeks, to be paid by GitLab. SSP is paid when a team member is sick for at least 4 days in a row (including non-working days); however, team members are not entitled to SSP for the first three "waiting" days.

- A team member who is out sick for at least four days, but no more than 7 days will need to complete a [Company Self-Certification Form](https://docs.google.com/document/d/1Cy-xUgWwNKroUEEJ0ut80HGVA0d3RJV5mQO-amLjoCs/edit?usp=sharing) and return it to leaves@gitlab.com.
- Team members who will be out sick for more than 7 days must provide a [fit note](https://www.gov.uk/taking-sick-leave) and notify the Absence Management team at `leaves@gitlab.com` as soon as possible.
- Team members who have received SSP in the last 8 weeks who need additional sick pay will be paid for waiting days, including the initial 3-day period of the second leave.
- Sick Leave runs concurrently with GitLab PTO. Team members must designate any time off for illness as `Out Sick` in Workday to ensure that annual sick leave entitlement is properly tracked.  GitLab PTO is inclusive of any entitlement in respect of statutory sick pay.

### Statutory Vacation Leave

Team members are entitled to at least 28 vacation days which consist of 20 days of standard annual leave plus 8 public holidays. These days will accrue from the team member's start date.

- Entitlement to vacation leave is pro rata for any part-time team members based on hours worked.
- It is important for UK team members to utilize time off for public holidays as the total amount of annual leave is accrued here inclusive of public holidays.
- Team members must designate any vacation time taken as `Paid Time Off` in Workday to ensure that vacation entitlement is properly tracked.
- Under normal circumstances, there is no carryover for unused vacation days, with exceptions where a team member cannot take annual leave due to sickness or maternity leave.

### Parental Leave

This section details the statutory maternity, paternity, parental, and adoption leave as offered by the UK Government. For more information, please review the government's [webpage](https://www.gov.uk/browse/childcare-parenting).

**Note:** GitLab offers up to 16 weeks of paid [general parental leave benefit]({{< ref "general-and-entity-benefits#parental-leave" >}}) where, if eligible, statutory pay is supplemented up to 100% regular salary.

**Statutory Maternity Leave:** Team members can take up to 52 weeks of Maternity Leave.

- The earliest that the Maternity Leave can start is 11 weeks before the expected week of childbirth.
  - If the baby is early, maternity leave will start the day after childbirth
  - Maternity leave will begin automatically if the team member is off work for a pregnancy-related illness in the 4 weeks before the expected week of childbirth.
- Team members are not required to take the full 52 weeks of maternity leave, but **must** take at least 2 weeks of leave after the baby is born.  Team members should give at least eight weeks' notice if they would like to change their return to work date.

**Statutory Paternity Leave:** Team members can take up to 2 weeks of Paternity Leave or up to 50 weeks of [Shared Parental Leave](https://www.gov.uk/shared-parental-leave-and-pay).  Paternity Leave *cannot* be taken after Shared Parental Leave.

- Eligibility:
You must be taking time off to look after the child and be one of the following:

  - the father
  - the husband or partner of the mother (or adopter) - this includes same-sex partners
  - the child's adopter
  - the intended parent (if you're having a baby through a surrogacy arrangement)

`*` There are extra conditions you need to meet to qualify for leave and pay.

**Statutory Adoption Leave:** Team members can take up to 52 weeks of Adoption Leave.

- Leave can start:
  - up to 14 days before the expected placement date
  - when a team member has been matched with a child by a UK adoption agency
  - when the child arrives in the UK or within 28 days of this date (for overseas adoptions)
  - the day the child is born or the day after (for parents in surrogacy arrangements).
- Only one person in a couple can take adoption leave.  The other parent may be entitled to take paternity leave.
- Team members must notify the Absence Management team at `leaves@gitlab.com` within 28 days if the date of placement (or UK arrival date for overseas adoptions) changes.
- Team members should give at least 8 weeks' notice if they would like to change their return to work date.

#### Maternity Leave Payment

Team members can receive Statutory Maternity Pay for up to 39 weeks:

- Eligibility:
  - Team members must have continuous employment with GitLab for at least 26 weeks leading up to the "qualifying week" (15th week before the expected week of childbirth).
- Eligible team members are entitled to:
  - 90% of the team member's average weekly earnings (before tax) for the first 6 weeks.
  - £172.48 or 90% of the team member's average weekly earnings (whichever is lower) for the next 33 weeks. This also applies to the leave amounts provided for Paternity Leave and Adoption Leave.

To apply for Maternity Leave:

- Submit your time off by selecting the `Parental Leave` category in Workday at least 30 days before your leave starts.
- Send the Absence Management team at `leaves@gitlab.com` a completed [MATB1 Certificate](https://www.gov.uk/government/publications/maternity-certificate-mat-b1-guidance-for-health-professionals/maternity-certificate-form-mat-b1-guidance-on-completion) no later than 21 days before your leave start date.
- The Absence Management team will then complete a [Risk Assessment Form](https://docs.google.com/document/d/1qHdbaeFSnqdwkQDTEurHD5QMbLPLuZGBQO_CBnRkpiE/edit) within 1-3 days of receiving notification of your leave. The purpose of the assessment is to make the team member aware of any hazards or "risks" to her in the workplace/home office to reduce potential injury to her or her baby.
- The Absence Management team will notify payroll and email Vistra a copy of the MATB1, start date of leave, and outline what pay the team member is eligible for (statutory, supplemental, etc). Payroll will then automatically calculate the SMP due each pay period based on this information. The recovery of 90% will be outlined on the monthly payroll spreadsheet so that the finance team has indication of the amounts being offset each month.
- Payroll will continue to be the same while on parental leave but Vistra will file for reimbursement of any statutory funds once the proper paperwork has been sent.
If you do not qualify for Statutory Maternity Pay, you may qualify for [Maternity Allowance](https://www.gov.uk/maternity-allowance).

#### Paternity Leave Payment

Team members can receive Statutory Paternity Pay for up to 2 weeks or up to 37 weeks if taking Shared Parental Leave:

- Eligibility:
  - Team members must have been continuously employed with GitLab for at least 26 weeks leading up to the "qualifying week" (15th week before the baby is due or the matching week if adopting).
- Eligible team members are entitled to:
  - £172.48 or 90% of the team member's average weekly earnings (whichever is lower) for up to 2 weeks OR up to 37 weeks if taking Shared Parental Leave.

To apply for Paternity Leave:

- Submit your time off by selecting the `Parental Leave` category in Workday at least 30 days before your leave starts.
- Send the Absence Management team at `leaves@gitlab.com` a completed [SPP Form](https://www.tax.service.gov.uk/print-and-post/form/PersonalTax_iForms/1.0/SC3/sc3.xdp) if applying for Statutory Paternity Pay or one of the [SPL Forms](https://www.acas.org.uk/shared-parental-leave-form-templates) if applying for Shared Parental Leave pay.
- The Absence Management team will notify payroll and email Vistra a copy of the form, dates of leave and outline what pay the team member is eligible for (statutory, supplemental, etc).

#### Adoption Leave Payment

Team members can receive statutory adoption pay for up to 39 weeks:

- Eligibility:
  - Team members must have had continuous employment with GitLab for at least 26 weeks leading up to the week they were matched with the child.
- Eligible team members are entitled to:
  - 90% of your average weekly earnings (before tax) for the first 6 weeks
  - £172.48 or 90% of your average weekly earnings (whichever is lower) for the next 33 weeks

To apply for Adoption Leave:

- Submit your time off by selecting the `Parental Leave` category in Workday at least 30 days before your leave starts.
- The Absence Management team will notify payroll and email Vistra a copy of the form, dates of leave and outline what pay the team member is eligible for (statutory, supplemental, etc).

#### Unpaid Parental Leave

- Team members who have been employed with GitLab for more than one year are eligible for up to 18 weeks of unpaid leave to look after their child's welfare.
  - The entitlement is per child up to the age of 18, regardless of the person's employer.
  - The balance of unpaid parental leave carries over to each employer. For example, if someone has taken 10 weeks of unpaid parental leave with their previous employer, they would be entitled to 8 weeks of leave with their new employer.
  - Each parent can take up to 4 weeks each year per child, unless otherwise agreed with their employer.

### Other Job-Protected Leave

The following leave types run concurrently with GitLab PTO. Team members should initiate leave by selecting the appropriate option in `Workday`. If none applies, the team members should notify their manager and the Absence Management team `leaves@gitlab.com` to initiate leave.

**Carer's Leave:** Team members are entitled to at least one week of unpaid leave (pro-rated) each year to provide or arrange care for a dependent with a long-term care need.

**Magistrate Duty:** Any team member who is a magistrate is entitled to leave to carry out their duties. Magistrates will need to be in court for at least 13 days or 26 half-days per year.

**Justice of the Peace (Scotland):** Any team member who is a Justice of the Peace is entitled to leave to carry out their duties.

**Jury Service:** Team members who are called for jury service are entitled to time off to complete the service. Jury Service usually lasts up to 10 days, but can last longer.

**Parental Bereavement Leave:** Team members are entitled to 2 weeks of leave for a child under 18 who has died or if the team member has a stillbirth after 24 weeks of pregnancy.

**Time off for Public Duties:** Team members are entitled to a reasonable amount of time off if they are a local councillor, a school governor, a member of any statutory tribunal, a member of the managing or governing body of an educational establishment, a member of a health authority, a member of a school council or board in Scotland, a member of the Environment Agency or the Scottish Environment Protection agency, a member of the prison independent monitoring boards (England or Wales) or a member of the prison visiting committees (Scotland), a member of Scottish Water or a Water Customer Consultation Panel, or a trade union member. The amount of time should be agreed upon between the team member and the manager beforehand based on how long the duties might take, the amount of time the team member has already taken off for public duties, and how the time off will affect the business.

## Employers' Liability Insurance

You can view the `Certificate of Employers' Liability Insurance` [here](https://drive.google.com/file/d/1RCbwcUClPUxmkJALT9Ojk_TdTyCWOHgs/view?usp=sharing).

## Administrative Details for Benefits Team

### Adding/Removing Team Members from Help@Hand

1. Pull a the UK Help@Hand Report from Workday
1. Log on to the Employer Help@Hand Platform
1. To add joiners, select "Add Employees" > "Import Employees" > Include new hire emails in CSV file and upload to the portal.
1. To remove leavers select "De-register Employees" > "Import Employees", include leaver's emails in CSV file and upload to portal
1. To remind Team Members of Help@Hand benefit, select "Export Employees", copy emails of "Unregistered" team members and send a reminder email to register

Additional details can be found on the [Adding/Removing Team Members Help@hand Guide](https://docs.google.com/document/d/1jrSe8lyPuDkgQyx_HeDQTcC8lO1xZKk5/edit).

### Applying for Income Protection when Team Members go on Leave for Illness/Injury

1. Team Member reaches out to Total Rewards to start the Income Protection request.
1. Total Rewards Team retrieves the Absence Management form from Unum and completes the form.
1. Total Rewards sends the completed form to premier.referral@unum.co.uk
1. Unum will do a case review and send the claims forms to the Team Member.

### Reporting AXA Premiums to Payroll for Deduction and P11D reporting

- Monthly Report: WTW will send a report to Total-Rewards and Non US payroll on a monthly basis (around the 10-12 of the month) with a list of the premiums and deduction calculations.
- Premium Reporting: The report will include premiums for all team members, Team members that are new to the plan and need to be added to payroll will have a 'join date' indicated in the spreadsheet.
- Mid-Year Changes: If a current team member adds/removes a dependent from the plan, WTW will highlight the change in yellow and include a change effective date. Payroll will be responsible for prorating the calculation for the month of the change.
- Premium Calculations: The report will have the monthly amounts for P11d reporting and deductions already calculated, however Payroll will calculate the prorated amount for the month the team members leave or join the plan.

#### Annual AXA Premium Audit and Reconciliation

1. The first week of February WTW will send Total Rewards a report of the actual annual premiums along with Calculations for BIK, and Employee Premium amounts. If TR does not receive this in the first week of February, contact Helen.Dutton@willistowerswatson.com
1. Total Rewards will request a report from Non-US Payroll of the BIK and Employee Premium Amounts for the Tax Year.
1. Total Rewards will preform a reconciliation between the data no later than February 15th.
1. If a team member needs an adjustment, Total Rewards will inform the team member & the Non-US Payroll team to make the adjustment in the February pay period.
