---
title: "Papaya-Global"
description: "Papaya Global"
---

## UAE

The following benefits are provided by [Papaya Global](https://www.papayaglobal.com/) and apply to team members who are contracted through Papaya Global. If there are any questions, these should be directed to Katie Taylor: KatieTa@papayaglobal.com

You can find a more detailed breakdown of the benefits below [here](https://docs.google.com/spreadsheets/d/1eXT_0-mP2bNQtTO6opLjYSjdbH_Yuj8JIqMPM7DT80g/edit#gid=0), but please note some of the allowances are dependant on circumstance so figures may vary.

### Allowances

- Housing Allowance
- Car allowance
- Child Education Allowance

#### Housing Allowance

Team members are eligible for a housing allowance which is paid monthly and the details will be outlined in the employment agreement. If circumstance arise in which a lump sum is required before the employment start date, there may be an option to request the first 3 months up front (with the monthly amount for remainder of the year being reduced accordingly). If this is required, the request will need to be sent to both Papaya Global and Total Rewards, where it will be reviewed. If approved, the conditions of this variation will be outlined in a separate letter.

#### Child Education Allowance

The Team Member's Child Education Allowance will be outlined in their agreement. The Child Education Allowance is provided for up to three children.

In order to be eligible for the allowance, the child(ren) must be the age of 18 or younger and be attending primary, preparatory or secondary school in the UAE. Higher education (i.e. college) is not covered under the child education allowance.

Upon your start date, please send Total-Rewards@gitlab.com a copy of the invoice for your child's schooling in order to verify attendance, and age.

It is the team member's responsibility to notify Total-Rewards when their child is no longer eligible in order to remove the allowance. If the team member neglects to inform Total-rewards in a timely manner, the team member would be responsible for repayment of the allowance.

Should a Team Member's dependent become eligible, the team member should notify Total-rewards@gitlab.com with a copy of the invoice for our child's schooling, and Total-Rewards will work with Papaya to update your allowance.

#### Annual Return Flights Home

UAE Team Members are eligible for Annual Return Flights Home for themselves and their dependents. Dependents are defined as the team member's spouse and child(ren).

The flights must be booked back to the team member's "home country". With the exception of layovers no additional stops or travel may be added.

The annual flights do not roll over year to year, in the event that the team member does not use thier flight that year.

##### Process on Requesting Return Flights Home

During onboarding the eligible team members will have a policy set up in Navan where the team member can book their flights home. More information on the policy can be found [here](https://docs.google.com/spreadsheets/d/1eXT_0-mP2bNQtTO6opLjYSjdbH_Yuj8JIqMPM7DT80g/edit#gid=0). The trip purpose should be selected as 'UAE - Annual Flights'.

Please refer to the GitLab Travel page of the Handbook on how to book flights through Navan [here](/handbook/finance/travel/)

### Medical

Papaya Global will offer healthcare by [Cigna](https://drive.google.com/drive/folders/14gS4fI9MSsf4ng4AFi6yS5SBptpw3GWz), this will include dependants.

## Papaya Global - UAE Leave policies

Below is information related to UAE's statutory leave policies. Please note that team members hired in the UAE are hired via Papaya Global (PEO) and should always check with the PEO, first, for the most up to date information.

### Annual leave

Team members in UAE are entitled fully paid annual leave of

- 30 days/22 working days after one year of service
- 2 days per month after completing 6 months of service but have not worked a full year

Part-time team members are entitled to annual leave according to the actual working hours they spent at work, as specified in the employment contract, and in accordance with the 'Executive Regulations of the Labour Law'- Available in Arabic only- (PDF, 10.9 MB).

### Sick leave

Eligibility for a sick leave (paid and unpaid)

A UAE team member is entitled to a sick leave of not more than 90 days per year, only after the end of probationary period. The 90 days' sick leave can be continuous or intermittent, and the salary is paid as follows:

- full pay for the first 15 days
- half pay for the next 30 days
- no pay for the rest 45 days.

However, during the probationary period, the employee may get a sick leave without pay, subject to the approval of the employer and based on a medical report issued by the medical entity that stipulates the necessity of the leave.

Note: The above provisions are subject to conditions and do not apply to sick leave because of occupational illness.

#### Notifying your employer of a sick leave

According to Article 31 of the UAE Labour Law, the team member must notify the employer about their sickness within a maximum of three days and submit a medical report on their condition, issued by the medical entity.

#### Ineligibility for a paid sick leave

A team member is ineligible for a paid sick leave in the following situations:

- during the probation period
- if the illness directly arises from the misconduct of the worker, such as the consumption of alcohol or narcotics
- if the worker violated the safety instructions in accordance with the effective legislations in the UAE, and the rules set out in the firm's regulations, which the employee was informed of.

### Maternity Leave

A female worker is entitled to a maternity leave of 60 days, out of which:

- 45 days will be fully-paid leave
- 15 days will be half-paid leave during the probation period

A female worker may apply for her maternity leave up to 30 days prior to the expected date of delivery.

In addition to the basic maternity leave above, she may take additional 45 without pay, if she has an illness as a result of pregnancy or childbirth, and is unable to resume work. The illness must be proved via a medical certificate issued from the respective medical authority. These leave days can be consecutive or intermittent.

If the baby is sick or suffers from a disability, the female worker may take additional leaves of 30 days fully-paid. This leave can be extended for additional 30 days without pay. The illness or the disability of the child must be proved via a medical certificate issued from the respective medical authority.

After the female worker resumes work, she is entitled to one or two additional breaks each day for nursing her child. The duration of the two breaks must not exceed one hour. The woman is entitled to such breaks for 6 months following the date of delivery. Such breaks are fully paid for.

To apply for leave, please enter the dates into Workday and select the `Parental Leave` label. The Absence Management team will reach out to you with more information.

### Parental Leave

Team members of the private sector are entitled to a parental leave of 5 working days from the day of the birth of their child to six months. The parental leave is a paid leave that can be applied for by both mother and father of the baby.

To apply for leave, please enter the dates into Workday and select the `Parental Leave` label. The Absence Management team will reach out to you with more information.

### Sabatical Leave (National Service)

As per 'UAE Labour Law', Emiratis working in the private sector are entitled to a paid sabbatical leave (extended break from work) to perform [national service](https://u.ae/en/information-and-services/social-affairs/preserving-the-emirati-national-identity#the-uae-national-service-law).

### Bereavement Leave

A team member is entitled to:

- a paid leave of five days in the event of the death of spouse and
- a paid leave of three days in the event of the death of a parent, child, sibling, grandchild or grandparent.

### Hajj leave

Team members may be granted a special leave for the performance of Hajj under the provisions that the leave:

- is given without pay
- may not exceed 30 days
- is granted only once during the employment duration with the company.

## Italy - Dirigente

The following benefits are provided by [Papaya Global](https://www.papayaglobal.com/) and apply to team members who are contracted through Papaya Global. If there are any questions, these should be directed to

The mandatory contributions are below:

| Dirigente                             |   |   |   |                                  Rate                                 |               |   |   |   |   |   |
|---------------------------------------|---|---|---|:---------------------------------------------------------------------:|---------------|---|---|---|---|---|
| Social Security (INPS)                |   |   |   | 26.54% + 10% of (Private Pension + Life Insurance + Health Insurance) |               |   |   |   |   |   |
| Private Pension                       |   |   |   |                                 763,51                                | Fixed Monthly |   |   |   |   |   |
| Life Insurance                        |   |   |   |                                 381,96                                | Fixed Monthly |   |   |   |   |   |
| Health Insurance                      |   |   |   |                                 222,43                                | Fixed Monthly |   |   |   |   |   |
| Training Funds                        |   |   |   |                                 24,17                                 | Fixed Monthly |   |   |   |   |   |
| FASDAC Dirigenti Pensionati           |   |   |   | 98,01                                                                 | Fixed Monthly |   |   |   |   |   |
| INAIL                                 |   |   |   |                                 1,01%                                 |               |   |   |   |   |   |
| TFR                                   |   |   |   |                                 6907%                                 |               |   |   |   |   |   |
| Disability Fund & Liability Insurance |   |   |   |                                  5,5%                                 |               |   |   |   |   |   |

### Medical

Medical is covered by the [FASDAC](https://www.fasdac.it/) healthcare pension fund, to fill the gap for supplementary team members may be entited to a taxable allowance of €300 each month to go toward private medical insurance. To apply for this you must reach out to total-rewards@gitlab.com and save a copy of your medical insurance quote/invoice into WorkDay.

### Pension

[FONDO MARIO NEGRI](https://www.fondonegri.it/): provide the supplementary social security benefits provided for in the NCBA  - integration to the Inps pension

### Disability

[ANTONIO PASTORE](https://www.associazionepastore.it/): consists in a private life insurance combined with guarantees of assistance and protection for illness and disability.

### Annual leave

According to the NCBA in force team members are entitled to 30 days of vacation per year (on a 6 day working week = 1.2 days of vacation for each day used within five working days) in addition to 4 days of *ex-festività*
