---
title: "PTY LTD Benefits"
description: "GitLab PTY Australia benefits specific to Australia and New Zealand based team members."
---

Can't find what you're looking for? Try the main [People Operations page](/handbook/people-group/).

## GitLab PTY Australia Specific Benefits

[Fair Work Information Statement](https://www.fairwork.gov.au/sites/default/files/migration/724/Fair-Work-Information-Statement.pdf)

## Medical

Effective 2023-07-27, all Australian Team members will be eligible to enroll into one of BUPA's hospital plans and add/mix it with extra coverage options if you prefer. GitLab employees can mix and match (one Hospital plan level and one Extras option) to suit their needs.

- [BUPA Hospital Plan Highlights](https://drive.google.com/drive/folders/18kU_lHdKau2xBoKLC_6hAsC7UP43HzZ9?usp=sharing)
  - Gold (Nil, $250, $500, $750)
  - Silver Plus (Nil, $250, $500, $750)
- [BUPA Extra Options Highlights](https://drive.google.com/drive/folders/1nV7Z_9p_5uMybo2Hi_SerdcerAWGMud3?usp=sharing)
  - Corporate 60, 70, 80, & 90 Extras Options

The full plan & extra options pdfs are available when reviewing your options on the GitLab BUPA portal (see below "Enrolling" section).

### Waiting Periods

For most services there's a period of time before coverage for the services on the new policy starts.

The following waiting periods apply for hospital cover:

- palliative care, psychiatric and rehabilitation services – two months
- pre-existing conditions, ailments or illnesses and pregnancy (including childbirth) – 12 months
- all other treatments included in your cover – two months.
- emergency ambulance transport or on-the-spot treatment – one day

The following waiting periods apply for extras cover:

- All 2 & 6 month waiting periods on "Extra" options  are waived for GitLab employees.
- major dental, root fillings, orthodontics, selected health aids and appliances - 12 months
- emergency ambulance transport or on-the-spot treatment – one day

Waiting period for pre-existing conditions: 12-month waiting period applies for pre-existing conditions; however, *if a team member has served the waiting period with their previous health provider, they will not need to serve the waiting period when joining GitLab's medical offering.*

#### Monthly Plan Premium

GitLab will be covering the monthly premium cost *(up to 350 AUD)* of your elected coverage to cover yourself and dependents (if applicable).
Please note: In addition to the monthly premium credit (up to 350 AUD), GitLab will also cover any fringe benefit tax associated.

Up to 350 AUD will be applied to your monthly premium rate when going through your enrollment on BUPA's employer portal. You will be responsible for paying any premiums that may exceed the 350 AUD applied subsidy. *Plan rates can be seen through the [GitLab BUPA employer portal](https://www.bupa.com.au/corporate/gitlab) when reviewing your plan & extra options.*
Payment details will be required to complete your enrollment process on BUPA.

#### Enrolling

Starting on 2023-07-27, Australian team members will be able to review their plan options & rates, elect their hospital plan & extra option, and enroll directly on [BUPA's employer portal](https://www.bupa.com.au/corporate/gitlab) for GitLab.

- https://www.bupa.com.au/corporate/gitlab
- Click on "Get a quote" and go through the 6 quick registration questions (residency status, single or family coverage, DOB, State, income bracket, contact details).
- Once you confirm your details, you'll be able to view your hospital & extra options, plan pdf summaries, extra highlights, and their monthly plan rates (please ensure "paying" is set to "monthly").
- Once you "select and proceed" your preferred coverage, click "join now"
- You'll then need to complete BUPA's application process to complete your enrollment: Contact & Medicare details, Rebate application, Payment details, Current health cover information.

#### Contact & Support for Enrollment, Plan Questions

If you have any questions on the plan, help enrolling on BUPA's portal, have any other questions comparing your current plan with BUPA's offerings - you can reach out to BUPA for direct plan support at *1300-662-074* or utilize their virtual chat support on the portal for basic questions.

Additionally, please feel free to reach out to our consultants, WTW, for direct support and assistance on any enrollment, plan, or questions you may have with the medical plan.
Please email *paul.dervan@wtwco.com* and cc' *total-rewards@gitlab.com*

### Superannuation

GitLab will make superannuation contributions directly to the team member's nominated super fund according to the Australian Government Super Guarantee rate. Effective 2024, the superannuation rate is set at 11.5% of the team member's total salary, with a quarterly cap of $7,483.05 AUD. Super is on top of the salary listed in the compensation calculator/contract.

#### Superannuation payments due dates

Super payment due dates has been a common topic in [#loc_australia](https://app.slack.com/client/T02592416/CHHFS9DR7). However, there is no reason to worry when payments do not happen monthly as they may be done quarterly.

The Australian Taxation Office (ATO) states the following:

> You pay super for eligible employees calculated from the day they start with you. You must make the payments at least four times a year, by the quarterly due dates.

Payments due dates can be found on the [ATO website](https://www.ato.gov.au/business/super-for-employers/paying-super-contributions/when-to-pay-super/).

#### Superannuation Salary Sacrifice

Team members in Australia have the option to make concessional super contributions by sacrificing some of their pre-tax pay and arrange to have it paid into their superfund instead. Effective July 1, 2024 the combined total of GitLab and salary sacrificed contributions [must not be more than $30,000](https://www.ato.gov.au/Individuals/Super/In-detail/Growing-your-super/Super-contributions---too-much-can-mean-extra-tax/?page=2#Concessional_contributions_and_contribution_caps), per financial year.

*Salary Sacrifice FAQ*

- How do I make concessional contributions to my superannuation?
  - Email total-rewards@gitlab.com with the percentage or amount of your salary that you would like to sacrifice.
- Can I change the amount or opt out?
  - Yes, if you wish to change the amount/percentage or opt out, simply send total-rewards@gitlab.com an email.
- Is it possible to start from any month?
  - Yes, it would be processed on the next available payroll.
- Does the payroll provider monitor or stop the concessional cap per year?
  - No, Team Members have no limit on the concessional salary sacrifice. If the contribution goes beyond the annual limit, it will be taxed at a higher rate. The Employer portion, however, stops once it reaches the quarterly cap.

### Life insurance

GitLab does not plan to offer life insurance at this time as Australians can access [government payments and services](https://www.servicesaustralia.gov.au/living-with-disability) if they get ill, injured or have a disability. Most Australians who choose to have life insurance take out cover from their super fund.

### Workers' Compensation

[Fair Work statement](https://www.fairwork.gov.au/employment-conditions/workers-compensation)

GitLab renews the Workers' Compensation premium annually for each state. Premium are based on the annual declared wages.

Below are the list of Workers' Compensation regulator for each state:

| State| Regulator |
| ------ | ------ |
|NSW|iCare Worker Insurance|
|QLD|WorkCover|
|NT|WorkCover|
|SA|ReturnToWorkSA|
|TAS|Allianz|
|WA|WorkCover|
|VIC|WorkSafe|

If you need to file a claim, kindly reach out to the Payroll Team or email nonuspayroll@gitlab.com.

### On-Call (Engineering only)

Certain groups in the Engineering division are expected to participate in on-call for business continuity and/or customer support. For more details on the on-call procedure, please reference the [on-call page](/handbook/engineering/on-call/). The purpose of this section is to provide an overview of **time in lieu that will be offered for the Development and Infrastructure departments effective February 1, 2021.** We will continue to review and implement to other departments within Engineering iteratively.

With our global team, we strive for a "follow the sun" model for on-call rotation. This way, team members can participate in on-call during their daytime rather than their nighttime in their respective regions (APAC, EMEA and AMER). In APAC, the majority of the team members are located in Australia. We want to ensure engineers in Australia are 1) eligible for on-call shifts, and 2) stay aligned with local laws to ensure proper rest/recovery time after on-call shifts.

Engineers based in Australia who are part of the Development and Infrastructure departments will be eligible for time in lieu after on-call shifts. Time in lieu is time off from work that is granted to team members to work outside of standard working hours (I.E. ordinary hours).

#### How much time in lieu will I receive for volunteering for on-call shifts?

- 4-hour shift = ½ day time in lieu
- 8-hour shift = 1 day time in lieu
- 24-hour shift = 3 days time in lieu

For weekend shifts please be particularly mindful about managing your time to **ensure you are not exceeding a 38 hour work-week**, and feel free to leverage our [flexible PTO policy]({{< ref "paid-time-off#paid-time-off" >}}) to complement time in lieu.

*Note: The full shift (state of readiness) is compensated by time in lieu - rather than only the "actual time worked"*

#### What should I do when I want to take more time off after an on-call shift?

If you need additional time to ensure a good work/life balance, on top of the time in lieu, you can leverage our Flexible [PTO policy as described here]({{< ref "paid-time-off#paid-time-off" >}}).

#### When can time in lieu be taken?

Time in lieu should be taken *within 2 weeks after completion of the on-call shift*. We want to ensure that time in lieu is taken close to the on-call shift to ensure that team members have sufficient time to rest.

#### Do all on-call shifts result in time in lieu?

No, only on-call shifts outside of working hours (I.E. weekends, evenings, etc.). *Please note that not all teams require weekend or evening on-call shifts, so this may not be applicable for all.*

#### How do I request time in lieu?

Time in lieu should be requested via Workday by selecting the `Time Off in Lieu` under the `Time Offs` dropdown menu option.

### GitLab PTY Australia Annual, Sick and Carer's Leave, and Other Statutory Leaves

#### Annual Leave

- Full-time team members are entitled to 4 weeks paid annual leave in accordance with the Fair Work Act 2009 (Cth) per year of continuous service.  This amount will be pro-rated for part-time team members by reference to the team member's ordinary hours of work.
- Annual leave accrues progressively and accumulates from year to year.
- This leave runs concurrently with GitLab PTO.  Team members should select `Paid Time Off` in Workday to ensure that leave entitlements are properly tracked.  For team members who are not covered by a modern award or enterprise agreement, they may be asked to take a period of paid annual leave if such request is reasonable, such as when a team member has accrued an excessive amount of paid annual leave.

#### Personal/Carer's Leave

Sick and carer's leave (also known as personal leave or personal / carer's leave) lets an employee take time off to help them deal with personal illness, caring responsibilities and family emergencies. Team members will be entitled to personal/carer's leave in accordance with the Fair Work Act 2009 (Cth) as varied from time to time.

**Paid Personal/Carer's Leave:**

Currently team members are entitled to 10 days of paid personal/carer's leave for each year of continuous service for full-time team members and pro rata for part-time team members based on ordinary hours of work.

- Personal/carer's leave is cumulative and accrues progressively.
- This leave runs concurrently with GitLab's Sick Time policy.

*Eligibility:*

A team member can take paid carer's leave to care for or support a member of their immediate family or household who is sick, injured or has an unexpected emergency.

An immediate family member is a:

- spouse or former spouse
- de facto partner or former de facto partner
- child
- parent
- grandparent
- grandchild
- sibling, or
- child, parent, grandparent, grandchild or sibling of the employee's spouse or de facto partner (or former spouse or de facto partner)

\* This definition includes step-relations (for example, step-parents and step-children) as well as adoptive relations

- A household member is any person who lives with the employee

*How to Apply:*

1. Email leaves@gitlab.com at least 1 day prior to the start date (whenever possible)
    - Include a medical certificate or statutory declaration noting you weren't able to work because of an illness or injury, or needed to provide care or support to an immediate family or household member (because of an illness, injury, or unexpected emergency affecting the family member).
1. Select `Out Sick` in Workday to ensure that leave entitlements are properly tracked.
    - If you wish to take Carer's Leave but don't want to change your Slack status to Out Sick, send your Carer's Leave request to leaves@gitlab.com and the Absence Management team will manually add your leave to Workday and notify payroll.

**Unpaid Carer's Leave:**

All team members are entitled to 2 days unpaid carer's leave.

*Eligibility:*

Team Members are eligible for 2 days unpaid carer's leave each time an immediate family member or household member of the employee needs care and support because of:

- Illness
- Injury or
- An unexpected emergency

Full-time team members can only get unpaid carer's leave if they don't have any paid sick / carer's leave left.

An immediate family member is a:

- spouse or former spouse
- de facto partner or former de facto partner
- child
- parent
- grandparent
- grandchild
- sibling, or
- child, parent, grandparent, grandchild or sibling of the employee's spouse or de facto partner (or former spouse or de facto partner).

\* This definition includes step-relations (for example, step-parents and step-children) as well as adoptive relations.

- A household member is any person who lives with the employee.

Unpaid carer's leave can be taken:

- In 1 continuous period (for example, 2 working days in a row) or,
- In separate periods as agreed between the employee and employer (for example, 4 half days could be taken in a row).

*How to Apply:*

1. Email leaves@gitlab.com at least 1 day prior to the start date (whenever possible)
    - Include a medical certificate or statutory declaration noting you weren't able to work because of an illness or injury, or needed to provide care or support to an immediate family or household member (because of an illness, injury, or unexpected emergency affecting the member).
1. Select `Out Sick` in Workday to ensure that leave entitlements are properly tracked.
    - If you wish to take Carer's Leave but don't want to change your Slack status to Out Sick, send your Carer's Leave request to leaves@gitlab.com and the Absence Management team will manually add your leave to Workday and notify payroll.

#### Long Service Leave

- Team members may be eligible for long service leave in accordance with state/territory based legislation as varied from time to time.
- This leave runs concurrently with GitLab PTO. Team members should select `AUS Long Service` in Workday to ensure that leave entitlements are properly tracked.

#### Other Types of Leave

<details markdown="1">

<summary>Family and Domestic Violence Leave</summary>

\* From February 1, 2023 all team members, including part-time and casual employees, are entitled to 10 days of paid family and domestic violence leave each year. This leave will run concurrently with GitLab PTO. Team members should notify the Absence Management team (leaves@gitlab.com) if they need to make use of this leave.

- For more information on Family and Domestic Violence Leave, please visit the [Fair Work Ombudsman Website](https://www.fairwork.gov.au/leave/family-and-domestic-violence-leave).
- Resources:
  - [1800RESPECT](https://www.1800respect.org.au/)
  - [Safe Steps](https://www.safesteps.org.au/)
  - [Victims Services](https://www.victimsservices.justice.nsw.gov.au/)
  - [Domestic Violence Resource Centre Victoria](https://www.dvrcv.org.au/help-advice)
  - [JobWatch](https://jobwatch.org.au/)
  - [MensLine Australia](https://mensline.org.au/)
  - [Men's Referral Service](https://ntv.org.au/)

</details>

<details markdown="1">

<summary>Compassionate and Bereavement Leave</summary>

All team members are entitled to 2 days of paid compassionate leave if:

- A member of their immediate family or household dies, or contracts or develops a life-threatening illness or injury,
- A baby in their immediate family or household is stillborn,
- They have a miscarriage,
- Their current spouse or de facto partner has a miscarriage

An immediate family includes:

- spouse or former spouse
de facto partner or former de facto partner
- child
- parent
- grandparent
- grandchild
- sibling

Immediate family members may also include:

- the immediate family of the employee's spouse or de facto partner (or former spouse or de facto partner)
- step-relations (for example, step-parent and step-child)
- adoptive relations

Team Members can take compassionate leave for other relatives (for example, cousins, aunts and uncles) if they are a member of the employee's household or if their employer agrees.

This leave runs concurrently with GitLab PTO. Team members should select `Bereavement Leave` in Workday to ensure that leave entitlements are properly tracked.

</details>

<details markdown="1">

<summary>Public Holidays</summary>

- All team members are entitled to at least their base pay rate for all hours worked on [public holidays](https://www.fairwork.gov.au/employment-conditions/public-holidays).
- Team members who take time off for public holidays are entitled to their base pay rate for the ordinary hours they would have worked. GitLab encourages all team members to take time off for the holidays they observe.
- Team members must select `Public Holiday` in Workday to ensure that statutory entitlements are properly tracked.

</details>

<details markdown="1">

<summary>Community Service Leave</summary>

- All team members are entitled to unpaid community service leave for voluntary emergency management activities. Team members are also entitled to paid community service leave for jury duty.
- A team member engages in a voluntary emergency management activity if:
  - The activity involves dealing with an emergency or natural disaster
- The team member engages in the activity on a voluntary basis if:
  - The team member was either requested to engage in an activity, or it would be reasonable to expect that such a request would have been made if circumstances had permitted, and
  - The team member is a member of, or has a member-like association with a recognized emergency management body. More information can be found on the [FairWork Ombudsman Website](https://www.fairwork.gov.au/leave/community-service-leave).

</details>

<details markdown=1>

<summary>Jury Duty</summary>

- Team members are entitled to "make-up pay" for the first 10 days of jury selection and jury duty. GitLab will supplement the difference between the amount that the team member has been paid and their ordinary pay to ensure that the team member receives 100% of their salary for the first 10 days of jury duty/selection.
- This leave runs concurrently with GitLab PTO. Team members must select `Military Leave` under the `Leaves` dropdown menu in Workday to ensure that statutory entitlements are properly tracked.
- Team members must notify their manager of the period or expected period of leave as soon as possible and provide evidence showing they attended jury selection or jury duty.

</details>

### GitLab PTY Australia Parental Leave

**Statutory Leave Entitlement**

All team members are entitled to up to 12 months of unpaid parental leave if they have been at GitLab for at least 12 months. They can also request up to 12 months of additional unpaid parental leave.

**Australian Government Parental Leave Payment**

Team members may be eligible for pay from either or both of the following:

- [Australia's Government Parental Leave Pay Scheme](https://www.fairwork.gov.au/leave/parental-leave/during-parental-leave/payment-during-parental-leave#australian-government-parental-leave-pay)
- GitLab's Parental Leave

Eligible employees who are the carer of a child born or adopted from 1 July 2024 can get up to 22 weeks’ Parental Leave Pay, which is paid at the National Minimum Wage.  For more information visit [Services Australia – Parental Leave Pay] (https://www.servicesaustralia.gov.au/parental-leave-pay)

- If you are applying for government-funded Parental Leave Pay, you can apply up to 3 months before your child's due date.

**Applying for Parental Leave in Australia**

- To initiate your parental leave, please enter the dates of your leave into Workday by selecting the `Parental Leave` label.

**Record-keeping for paid Parental Leave:**

- In addition to the usual record-keeping requirements, employers that have team members getting government-funded Parental Leave Pay also have to keep the following records:
  - the amount of Parental Leave Pay funding received from the government for each team member and the period it covers
  - the date each parental leave payment was made to the team member
  - the period each payment covers
  - the gross amount of the payment
  - the net amount paid and the amount of income tax withheld (including other payments, if any, were made)
  - a statement identifying the payment as Parental Leave Pay under the Australian Government Paid Parental Leave Scheme
  - the amount of any deductions made from each payment.

**Pay slips for Parental Leave payments:**

- Team members who get Australian Government Parental Leave Pay have to be given a pay slip for each payment. The pay slip must specify that the payments are Parental Leave Pay under the Australian Government Paid Parental Leave Scheme.
- Ordinary pay slip requirements apply to pay slips given to team members getting government-funded Parental Leave Pay.

### GitLab PTY Australia Right to Disconnect

At GitLab (the “Company”), we care about the safety, health, and well-being of all team members and focus not on hours worked but rather on [asynchronous communication](/handbook/values/#bias-towards-asynchronous-communication) and results. We believe that [family and friends come first and work comes second](/handbook/values/#family-and-friends-first-work-second). In line with the Company’s values, we understand that “[unplugging](/handbook/company/culture/all-remote/mental-health/#your-rest-ethic-is-as-important-as-your-work-ethic)” from work is essential to a [healthy and balanced life](/handbook/company/culture/all-remote/people/#worklife-harmony). Technological advancements, global events, and work demands can sometimes make us forget that we need a break to recharge.

Team members are expected to disconnect from work and work-related communications outside of normal working hours and during PTO and there are many suggestions in the Handbook for [communicating when you will be away](/handbook/people-group/paid-time-off/#communicating-your-time-off) so other people can manage their time efficiently, projects don’t slip through the cracks, and so that team members are not disturbed while away.

This guidance reminds team members in Australia of their workplace right to disconnect (codified from 26 August 2024) and how the Company is committed to supporting team members in doing so.

The right to disconnect means that a team member is not required, outside of their working hours, to monitor, read or respond to contact, or attempted contact, from an employer or a third party (where the contact relates to their work), unless it would be unreasonable to refuse.

In addition to the suggestions for communicating when you will be away, take a look at these tips to increase a team member’s ability to disconnect from work:

- unsubscribe from any MRs that will likely resolve while you’re away, and then you won’t have to deal with all the emails from them when you return;
- set up some email filters to move emails into buckets that you can address one-at-a-time when you return;
- disconnect yourself from Slack and Gmail in any of these ways (*note: Workday is supposed to turn off Slack notifications on your phone and set DND mode):
  - log out from Slack and Gmail on your phone, or
  - remove Slack and Gmail from your phone, or
  - pause the Slack and Gmail apps on your phone, or
  - manually configure Slack and Gmail not to send notifications on your phone

At GitLab, team members should communicate respectfully and professionally at all times, in line with the Company’s values, with a bias towards asynchronous communication and documentation-first and should [assume positive intent in dealings with others](/handbook/values/#assume-positive-intent) (including in relation to the tone and timing of communications).

In considering whether contact is unreasonable, think about:

- the reason for contact;
- how contact might be made and the level of disruption contact may cause;
- the extent to which the team member is being compensated (eg with time off after an on-call rotation):
  - to remain available to perform work during the period in which contact is made; or
  - for working additional hours outside of their ordinary hours of work;
- the nature of the team member’s role and their level of responsibility; and
- the team member’s personal circumstances.

In case of an issue arising relating to whether a team member has reasonably (or unreasonably) refused to monitor or respond to contact, the team members involved are encouraged to raise the issue with their manager or contact [Team Member Relations](teammemberrelations@gitlab.com).

The FWC will update all modern awards to incorporate the right to disconnect in due course and awards can be checked [here](https://www.fwc.gov.au/agreements-awards/awards/find-award).

## GitLab PTY New Zealand Specific Benefits

### Medical

Effective 2024-02-01, GitLab offers Eligible New Zealand Team members a comprehensive medical plan ["Well Being Two"](https://drive.google.com/file/d/17WUPQMvvWka77Khe6_adSOiSbibNY3GC/view) via Southern Cross.

GitLab covers 100% of the Team Member costs for the plan. Eligible family members can be added to the plan at a significant discount. Eligible Team Members who wish to add their family members to the plan can arrange ongoing direct debit billing directly with Southern Cross.

The plan offers immediate cover for qualifying pre-existing conditions if you sign up within 90 days of the plans commencement date or team member's start date (whichever is later).

Please note this benefit is considered a "Fringe Benefit" and will be subject to Fringe Benefit Tax. The benefit is optional and team members are not required to enroll.

GitLab retains the right to replace the provider or policy at any time and is not required to offer this benefit to those that may be ineligible. Any benefits provided under the plan do not impact the Team Member's or GitLab's rights to end the employment relationship.

For additional details please refer to the [FAQ](https://drive.google.com/file/d/1Sd2DpIAf7kgl_A5au0VIUYdRuOZ1ZdJx/view?usp=sharing) [Benefit Summary](https://drive.google.com/file/d/17WUPQMvvWka77Khe6_adSOiSbibNY3GC/view?usp=sharing), and the full [Policy](https://drive.google.com/file/d/1oGOlDjxFKKV96f8URZ31vNlzCYv8kgru/view?usp=sharing)

For a full overview of the plan please view our [2024 New Zealand Webinar](https://drive.google.com/file/d/1CCqSMJTBV8NUtvk5YilKPgZ8kPw2bVcb/view?usp=sharing)

For questions regarding the plan or enrollment please contact WTW:
email: benefits.nz@willistowerswatson.com
telephone: 0800 329 920

### Enrollment for Eligible New Hires and Family Members

Eligible New Hires will be given a link and an access code on their onboarding issue to register for the plan on the Southern Cross portal. Eligible Team Members may also receive an email shortly after their start date with a link to the portal as a reminder of the benefit. The plan will commence once registration is completed.

Eligible Team Members and their families can join the plan at any time, but please note that the plan offers immediate cover qualifying pre-existing conditions only if you sign up within 90 days of your start date.

### Adding a new-born child

The special pre-existing condition cover concession above is extended to a newborn child if they are
added to the policy within three months of the child’s birth. Congenital conditions are not covered, please refer to the policy document to review all exclusions. Please contact WTW (benefits.nz@willistowerswatson.com) by email to help add members to your policy.

## Medical Plan Administration Details

### New Hires

Eligible New Hires will be given a link and code to access the portal and enroll in the plan during their onboarding issue
Total Rewards will also send a monthly report to WTW with new hires as a backup (This process will soon be replaced by automated notifications from Workday)
WTW will have Southern Cross email the eligible new hire with enrollment instructions.

### Leavers

Total rewards will send a monthly report to WTW with leavers (this process will soon be replaced by automated notifications from Workday) - Terminations need to be updated no later than 1 month after the termination date to avoid any overcharging.

### Payroll Reporting

Subsidies for Health insurance are considered a non-cash benefit and are therefore subject to "Fringe Benefit Tax" and must be reported as such.

The Southern Cross portal will generate reports outlining the benefit. The payroll team will have access to the Southern Cross portal to download these reports as needed.

### Invoicing

Southern Cross will load invoices and cover schedules on a monthly basis to the portal. The contact person at GitLab will be notified whenever a new invoice is ready. Payments will be made via bank transfer.

## Annual Leave

Team members are entitled to a minimum of four weeks' annual leave per year. Annual leave does not expire and can be carried over each year, but GitLab may set expectations on how much annual leave employees may accumulate and may require employees to take entitled leave with 14 days notice. Annual leave runs concurrently with GitLab PTO. Team members must select the `Paid Time Off` option in Workday when taking vacation time to ensure that annual leave entitlement is properly tracked.

## On-Call (Engineering-only)

New Zealand employment law requires that work on a formal [Public Holiday](https://www.govt.nz/browse/work/public-holidays-and-work/public-holidays-and-anniversary-dates/), including [on-call](https://www.employment.govt.nz/leave-and-holidays/public-holidays/alternative-holidays), is compensated with time-in-lieu. Overtime pay is also required in certain situations, for example: whether the on-call shift fell on a "normal" working day or not, and whether the team member was called to work during their on-call shift. The policy linked above covers for the [time-in-lieu requirement](#on-call-engineering-only) but we do not yet have a set mechanism for handling overtime pay requirements.

New Zealand-based team members *may not be on-call on a New Zealand Public Holiday*, and must seek/find a replacement for any shifts where they may be indicated as being on call on a Public Holiday. To ensure we remain compliant with local laws we team members to consider local laws when volunteering for/accepting shifts.

The process is as follows:

1. When scheduling we should avoid on-call taking/assigning on-call shifts on Public Holidays. A "Public Holiday" will be deemed as any day included in the official holidays on [this website](https://www.govt.nz/browse/work/public-holidays-and-work/public-holidays-and-anniversary-dates/).
1. If a team member is assigned for an on-call shift that falls on a Public Holiday, they need to align with their manager and try to find a replacement for that shift.
If it's impossible to find a replacement and the team member ends up taking the on-call shift on a Public Holiday, the process to follow is:

- Team member should obtain manager approval for taking the shift.
- If the team member is not called in to work during their on-call shift, a regular time-in-lieu compensation for the shift should be applied.
- If the team member is called in to work during their on call shift, they are responsible for recording their hours worked during the shift and report to payroll/manager in order for overtime payment processing.

*Note: To stay in compliance with local laws we would follow [the New Zealand government website](https://www.employment.govt.nz/leave-and-holidays/public-holidays/public-holidays-rights-for-employees#scroll-to-7) with regards to compensation for worked time during on-call.*

## Statutory Sick Leave

- Team members in New Zealand are entitled to 10 days' of statutory sick leave after six months of current continuous employment with GitLab. For each 12 months after meeting the above criteria, each team member gets at least ten days sick leave.
- If in any year the team member doesn't meet the criteria, then they don't get any new sick leave entitlement, but can use their sick leave balance which may have carried over. An employee may re-qualify for sick leave as soon as they meet the criteria.  The maximum amount of sick leave that can be accumulated under the Holidays Act 2003 is 20 days.
- Sick Leave runs concurrently with GitLab's [Sick Time Policy]({{< ref "paid-time-off#sick-time---taking-and-reporting" >}}).

*How to Apply:*

- Team members must contact leaves@gitlab.com when reporting their leave.
  - In accordance with the Holidays Act, GitLab may require a medical certificate
- Designate any time off for illness as `Out Sick` in Workday to ensure that sick leave entitlement is properly tracked.
- Unused sick leave will not be paid out to the team member upon termination of employment.

**Injured Leave**

- When the team member is taking leave for the first week of a non-work accident, they can use sick leave and/or annual leave if they have any. This leave runs concurrently with GitLab PTO/Sick Time.

*How to Apply:*

- Team members must notify the Absence Management team (leaves@gitlab.com) as soon as possible when they will need to go out on injured leave.
- Team members must designate time off for injury as `Out Sick` or `Vacation` in Workday if they wish to use sick leave or annual leave for the first week of an injury.
- If the leave will last longer than five days and is [covered by the Accident Compensation Corporation (ACC) scheme](https://www.acc.co.nz/im-injured/what-we-cover/), GitLab will top up the ACC payment from 80 to 100% for the first 25 days.

## GitLab PTY New Zealand Parental Leave

### Statutory Leave Entitlement

**Primary Carer Leave**

- Team members who have been employed for at least six months and become a "Primary Carer" as defined under the Parental Leave and Employment Protection Act 1987 can receive government-funded parental leave pay (Primary Carer Leave).
- A Primary Carer is either the biological mother OR a person (that is not the biological mother or her spouse/partner) who will take primary responsibility for the care, development, and upbringing of a child under six years old on a permanent basis.
- Primary Carer Leave can last up to 26 weeks and must be taken in one continuous period.
- Primary Carer Leave typically starts on the due date or date of birth, but may begin up to 6 weeks earlier if arrangements are made between the team member and manager.

**Parental Leave**

Extended Leave

- Team members who have been employed for at least six months, but less than twelve and are eligible under the Parental Leave and Employment Protection Act 1987 are entitled to up to a total of 26 weeks of unpaid leave (less time taken for Primary Carer Leave, if applicable).
- Team members who have been employed for at least twelve months and are eligible under the Parental Leave and Employment Protection Act 1987 are entitled to up to 52 weeks of unpaid leave (less time taken for Primary Carer Leave. A maximum of 26 weeks may be deducted from extended leave).

Special Leave

- Team members who are pregnant can also take up to 10 days of unpaid special leave for pregnancy-related reasons such as antenatal classes, scans, or midwife appointments. This is in addition to primary carer leave.
- This leave will run concurrently with GitLab PTO.
  - If you do not want to select `Out Sick` in Workday, you may email `leaves@gitlab.com` with the date(s) that you will be taking special leave.

Partner Leave

- If you are a spouse or partner of a primary carer and have been employed for at least six months, but less than twelve months, you are entitled to one week of unpaid partner's leave.
- If you are a spouse or partner of a primary carer and you have been employed for at least twelve months, you are entitled to two weeks of unpaid partner's leave.
- Partner Leave will run concurrently with GitLab Parental Leave and provide up to 100% of a team member's regular salary for up to 16 weeks.
- Team members must select `Parental Leave` in Workday to ensure that their time off is properly tracked.

### Applying for Parental Leave in New Zealand

- To initiate your parental leave, submit your time off by selecting the `Parental Leave` category in Workday at least 30 days before your leave starts.
  - Please familiarize yourself with [GitLab's Parental Leave policy]({{< ref "general-and-entity-benefits#parental-leave" >}}).
- To apply for government-funded Parental Leave pay, please submit your application via [IRD](https://www.ird.govt.nz/paid-parental-leave/apply).
  - If there is anything GitLab needs to provide, please let the Absence Management team know by emailing leaves@domain
- If you are [eligible]({{< ref "general-and-entity-benefits#parental-leave" >}}), GitLab will supplement the government-funded payment to ensure that you receive 100% pay for up to 16 weeks of your Parental Leave.

### Other Types of Leave

</details>

<details markdown="1">

<summary>Leave for Defence Force Volunteers</summary>

- Under the Volunteers Employment Protection Act 1973, all team members who are members of the Armed Forces are entitled to unpaid job-protected leave during military training and/or service.
- This leave runs concurrently with GitLab PTO for up to 25 days.

*How to Apply:*

- Team members must email the Absence Management team `leaves@gitlab.com` as soon as possible to notify them of the first date of leave and, if possible, the end date of their leave.
- Team members must select `Military Leave` in Workday to ensure that statutory entitlements are properly tracked.

For more information related to this policy, please reivew the [Employment New Zealand website](https://www.employment.govt.nz/leave-and-holidays/defence-force-volunteers)

</details>

<details markdown="1">

<summary>Election Voting Leave</summary>

- Team members are entitled to 2 hours of paid time off to vote in general (parliamentary) elections on polling day if they are registered as an elector of the district and have not had a reasonable opportunity to vote before starting work. GitLab encourages you to [take time off to vote]({{< ref "paid-time-off#a-gitlab-team-members-guide-to-time-off" >}}) or volunteer at the polls.
- This leave runs concurrently with GitLab PTO. Team members must select `Paid Time Off` in Workday to ensure that statutory entitlements are properly tracked.

For more information related to this policy, please reivew the [Employment New Zealand website](https://www.employment.govt.nz/leave-and-holidays/time-off-to-vote)

</details>

<details markdown="1">

<summary>Jury Service</summary>

- All team members who have been called for jury service are entitled to unpaid leave for the duration of the service. Team members who attend jury service receive an attendance fee from the Ministry of Justice.
- Jury Service Leave runs concurrently with GitLab PTO. Team members must select `Jury Duty` in Workday to ensure that statutory entitlements are properly tracked.

For more information related to this policy, please reivew the [Employment New Zealand website](https://www.employment.govt.nz/leave-and-holidays/jury-service)

</details>

<details markdown="1">

<summary>Bereavement Leave</summary>

All team members who have been employed for six months are entitled to three days of paid leave in the event of the death of a spouse or partner, parent, child, sibling, grandparent, grandchild, or parent of a spouse or partner, and one day in the event of the death of another person not previously listed.

- This leave runs concurrently with GitLab PTO. Team members must designate this time off as `Bereavement Leave` in Workday to ensure that statutory entitlements are properly tracked.
- All team members who have been employed for six months are entitled to three days paid leave if a pregnancy ended by way of a miscarriage or still-birth in circumstances that give rise to an entitlement to bereavement leave under the Holidays Act 2003.

For more information related to this policy, please reivew the [Employment New Zealand website](https://www.employment.govt.nz/leave-and-holidays/bereavement-leave/).

</details>

<details markdown="1">

<summary>Family Violence Leave</summary>

  All team members who have been employed for a six month continuous period are entitled to 10 days of paid leave if they have been affected by family violence.

- This leave may also be taken to support a child who has experienced domestic violence as long as they live with the team member for some of the time.
- A person is affected by family violence if they are a person against whom any other person is inflicting, or has inflicted family violence, and/or a person with whom there ordinarily or periodically resides a child against whom any other person is inflicting or has inflicted, family violence.
- Team members may also request [short-term flexible working arrangements](https://www.employment.govt.nz/leave-and-holidays/family-violence-leave/taking-family-violence-leave#scroll-to-8) for up to 2 months.
- This leave runs concurrently with GitLab PTO. Team members should notify the Absence Management team (leaves@gitlab.com) if they need to make use of this leave.
- Team members must designate this time off as `Out Sick` in Workday to ensure that statutory entitlements are properly tracked.

For more information regarding this policy, please reivew the [Employment New Zealand website](https://www.employment.govt.nz/leave-and-holidays/family-violence-leave/).

</details>

<details markdown="1">

<summary>Garden Leave</summary>

A GitLab team member may use Garden Leave when they have provided their resignation and a Garden Leave is mutually agreed upon by both the team member and GitLab.  Team members can not be forced to take a Garden Leave, but both the team member and GitLab may find it useful in the following situations:

- The team member has access to commercially sensitive information and is going to be working for a competitor at the end of their notice period. Any limit of trade provision would take effect after the employee's employment ends.
However, employers should be aware that if an employee's employment agreement contains both a garden leave provision and a restraint of trade provision, the period the employee is on garden leave may be taken into consideration in working out whether or not the restraint of trade provision is reasonable (and therefore enforceable). The restraint of trade provision takes effect after the end of the garden leave period.
- Is distracting other team members while they're in their notice period
- Is being made redundant and the employer is not requiring them to report to work during their notice period so they can look for other job opportunities while they can still say they're currently employed
- Has been dismissed on notice and their presence is creating an uncomfortable atmosphere for everyone.

</details>

<details markdown="1">

<summary>Leave Without Pay</summary>

Leave without pay is when GitLab allows an team member time off work when they would otherwise be working, but doesn't pay them for this time. Leave without pay (LWOP) doesn't end an team member's employment, and usually the team member returns to their same position and terms and conditions after taking leave without pay (unless the employee and team member agree otherwise). Leave without pay can affect the employee's annual holidays payment and entitlement in some situations.

- Team members must designate this time off as `Out Sick` in Workday.

For more information regarding Leave without Pay, please review the [Employment New Zealand's website](https://www.employment.govt.nz/leave-and-holidays/other-types-of-leave/leave-without-pay/).

</details>

<details markdown="1">

<summary>Long Service Leave</summary>

While not a legal requirement, long service leave may be negotiated between a team member and GitLab as additional entitlements under their employment agreement.

- This leave runs concurrently with GitLab PTO. Team members must designate this time off as `Paid Time Off` in Workday.

</details>

### Pension

GitLab's KiwiSaver contributions will be 3% on top of base salary. Team members will automatically be enrolled in the KiwiSaver scheme but may elect to opt out within the first 56 days of employment. To opt-out they should follow the [process on IRD site](https://www.ird.govt.nz/kiwisaver/kiwisaver-individuals/opting-out-of-kiwisaver/opt-out-of-kiwisaver). GitLab will deduct a participating team member's contributions from their before-tax pay at the team member's chosen contribution rate (3%, 4%, 6%, 8% or 10%). If a team member does not choose a contribution rate, the default rate of 3% will be used to calculate deductions.

### Life Insurance

GitLab does not plan at this time to offer Life Insurance benefits because New Zealanders can access [government payments and services](https://www.workandincome.govt.nz/providers/health-and-disability-practitioners/health-and-disability-related-benefits.html) to help if they get ill, injured or have a disability.
