---
title: "Remote.com"
description: "Discover the benefits for Remote team members"
---

The following benefits are provided by [Remote](https://www.remote.com/) and apply to team members who are contracted through Remote. If there are any questions, these should be directed to help@remote.com.

## Brazil

All of the benefits listed below are administered and managed by [Remote](https://remote.com/country-explorer/brazil). Queries can be directed to help@remote.com. See [Benefits Guide](https://remote.com/benefits-guide/brazil) for the complete list of benefits offered through Remote.

- 13th Salary - Also known as a 'Christmas Bonus', this payment is an amount equal to one month's salary which is paid out to employees in two parts in November (by the 20th) and December. The pro-rated 13th-month salary is also due upon termination. The 13th-month payment is a legally mandated benefit and not part of the base salary. During negotiations with candidates, it is important to clearly state what salary is being offered and whether it is inclusive or exclusive of the 13th-month payment. The Christmas Bonus is calculated at 8.33% of the base annual salary
- Vacations Bonus - Professionals in Brazil are entitled to 30 calendar days of vacation per year after every 12 months of service, and the employee must be paid 1/3rd of a month's salary as a Vacations bonus. Holiday pay and holiday bonus payments are pro-rated upon termination. The Vacation bonus is calculated at 2.77% of the base annual salary.

### Medical & Dental

Remote will offer healthcare through Remote. See [Benefits Guide](https://remote.com/benefits-guide/brazil) for the complete list of benefits offered through Remote. . Team members have the option to add dependents to the healthcare plan at an additional cost.

Team Members hired prior to April 2022 are legacied in to the medical allowance policy. Team Members hired after April 2022 are not eligible for this policy.

### Meal Vouchers & Grocery Card

#### Meal Vouchers

- Employees are entitled to a monthly meal voucher payment in Brazil.
- Remote pays the vouchers once a month (by the 30th) to the employees into their meal/food cards (VR Card).
- This amount is annually updated per the union renewal.
- The amount is only due for the days worked by the employee, meaning the employer is not obliged to pay during justified or unjustified absences, sick leaves, and vacations.

#### Grocery Card

- All employees who receive a monthly gross salary of 6,189.94 BRL or less (approx. $1,200 USD, annually adjusted) receive this benefit.
- If the employee is taking sick leave this should be paid for 30 days (but no longer).
- In the case of PTO, maternity leave, or other absences allowed by law, the payment is still required.

### Life Insurance

Remote provides Life Insurance through Prudential. Coverage amount is 24x your monthly salary. Gitlab covers 100% of the premiums. Team Members can assign their Beneficiaries in the Remote portal.

### Remote - Brazil  Statutory Leave policies

Below is the information related to Brazil's statutory leave policies.  Please note that team members hired in Brazil are hired via Remote (PEO) and you should always check with Remote first for the most up to date information.

### Annual leave

Brazil has specific requirements that govern statutory leave to remain compliant. For reference, after 12 months of service, you are entitled to 30 calendar days of paid time off. Team members are also eligible for [GitLab's paid time off policy](/handbook/people-group/paid-time-off/#paid-time-off). If the time off taken falls under the requirements for statutory time then the time off will automatically be deducted from the statutory allowance first (you may see this reflected as "dummy days" on your pay slip).
If the time off does not fall under the requirements it will be used as Flex Time Off, then once you have exhausted the full statutory leave allowance all ongoing time off will be Flex Time Off per GitLab policy.

Please keep the below in mind before [submitting your time off request via Workday or the Workday Slack App](/handbook/people-group/paid-time-off/#communicating-your-time-off).

- Vacations can only be divided in up to 3 periods. One of the vacation periods must be at least 14 days long, while the other two vacation periods need to be at least five days long each.
- Team members cannot start their vacation two days before a holiday or a weekend as per the leave rules in Brazil. This means the team member cannot start their vacation on Thursday or Friday under the Statutory Leave allowance.
- Vacations earned must be taken during the concession period and cannot be accumulated or carried over to the following year.
- Team members are required to submit their time off request with at least 30 days’ notice. Although, we recommend team members submit their time off request 45 days in advance (this is to ensure accuracy and reporting for statutory compliance).
- Our GitLab Payroll Team sends a time off report (past and current month) to the PEO vendor on a monthly basis to ensure their processing of your vacation bonus two days before you go on vacation.
- Conversion into cash: 1/3 of vacations (10 days) can be converted into cash upon request to the PEO vendor. The funds will be paid on the last period of vacation days taken.
- Team members will be provided the "Aviso de Férias" document from the PEO vendor which will need to be returned with signature (this document will be provided via the PEO portal).

If you need further information on the laws that govern vacation days in Brazil, please visit the [Remote Help Center](https://support.remote.com/hc/en-us/sections/8577490511885-Statutory-Leave-in-Brazil) or reach out to help@remote.com

### Statutory Pregnancy & Maternity leave

Team members in Brazil, including contractors, are entitled to 120 days of statutory maternity leave.  This leave will run concurrently with GitLab's 16-week [Parental Leave policy]({{< ref "general-and-entity-benefits#parental-leave" >}}). Team members are eligible to receive up to 100% of their regular salary, paid by the employer who is later refunded by the government. This leave applies to adoption as well.

To apply for leave, please enter the dates into Workday and select the `Parental Leave` option.  The Absence Management team will reach out to you with more information.

### Statutory Partner/Paternity leave

Team Members in Brazil are entitled to up to five days of paid statutory paternity leave.  Team members are also eligible for GitLab's 16-week paid [Parental Leave]({{< ref "general-and-entity-benefits#parental-leave" >}}); run concurrently.

Team members will receive up to 100% of their regular salary during their statutory Paternity Leave.  If eligible, team members will receive up to 100% of their regular salary for the full 16 weeks of leave.

Same-sex couples in Brazil may apply to receive full maternity leave benefits beginning on the day the caregiver takes leave from work.

To apply for leave, please enter the dates into Workday and select the `Parental Leave` option.  The Absence Management team will reach out to you with more information.

### Bereavement leave

Team members are entitled to two consecutive days of paid leave following the death of an immediate family member such as a spouse, parent, or child.

Please enter the dates in Workday and select the `Bereavement` option.

### Marriage Leave

Team Members in Brazil are entitled to three consecutive days of paid leave when they get married.  Team members needing more time away should refer to our [PTO policy]({{< ref "paid-time-off" >}}).

Please enter the time away in Workday and select the `Paid Time Off` option.

### Statutory Sick Leave

In the event a team member in Brazil is unable to work due to illness, their pay will be supplemented up to 100% of their base salary until the 15th day of absence. After the 16th day of absence, team members are eligible to receive compensation paid by the Social Security Authorities.

To ensure all statutory sick leave is tracked appropriately, please email the Absence Management Team (leaves@gitlab.com) to report your leave.  Then enter the dates into Workday by selecting the `Out Sick` option.

## Denmark

All of the benefits listed below are administered and managed by [Remote](https://remote.com/country-explorer/denmark). Queries can be directed to help@remote.com.

### Medical

Team members have the option to select Remotes medical insurance through Allianz (for team members only). If they wish to add dependents this will be deducted through the Payroll (usd) $106.50 (for partner), $85.20 (children under 18). Dependents will need to be added within 30 days from the start date, however, if this window is missed team members can reach out to help@remote.com to connect with the benefits team to see if this option can be unlocked and enable the team member to enroll the same (this may depend of circumstances). Dependents can be added through the [ThanksBen](https://www.thanksben.com/) platform (this is where team members can view their Allianz information).

More information can be found below:

- [Remote Allianz Benefit Guide](https://drive.google.com/file/d/1krO_RGt_H1_kPNgudHeuSIFjJohJuq-h/view)
- [Allianz](https://drive.google.com/file/d/1hMw61FsriqRPfcFRQ-mzQsu6HF03IUFB/view)

Team members in Denmark can also access the [public healthcare system](https://www.healthcaredenmark.dk/). This healthcare system covers all the team members and their family members.

Team members can expense up to $250 for eye examination and glasses if they require corrective eyeware to work at a computer screen for extended periods of time. (Login required to see [policy](https://support.remote.com/hc/en-us/articles/20050865403149-Screen-Work-Eye-Examination))

### Eye Examination and Corrective Lenses

Team Members who spend a significant portion of their working hours in front of a screen are entitled to receive an eye and vision examination. This examination should be conducted by either an optician or an ophthalmologist. The employer is responsible for covering the cost of this examination, and every effort should be made to schedule it during regular working hours.

In cases where the Team Member requires corrective eyewear, the employer is obligated to provide, at a minimum, one standard frame with lenses or standard contact lenses at no expense to the Team Member.

Remote has implemented a self-service model to facilitate this process, with a budget allocation of $250 USD to cover frame with lenses or standard contact lenses. This approach allows employees to independently arrange their eye examinations, purchase necessary eyeglasses, and then submit their expenses for reimbursement through the Remote platform.

### Pension

Remote will directly contribute to a Group Pension Plan (Soderberg & Partners). The team member will contribute 4% of the monthly base salary, with the Employer contributing 8% of the team members monthly base salary. The pension contribution includes both the retirement savings and the associated insurance and administration fees. The contribution to the pension savings plan will be paid directly into the pension plan in conjunction with the Employer’s payment of the monthly salary to the team member.

### Life Insurance

GitLab does not plan to offer life insurance at this time as team members can access the benefits from Social insurance system if they get ill, injured or have a disability. The [GitLab Life Insurance plan]({{< ref "general-and-entity-benefits#life-insurance" >}}) still applies.

### Remote - Denmark Statutory Leave Policies

Below is the information related to Denmark's statutory leave policies.  Please note that team members hired in Denmark are hired via Remote (PEO) and you should always check with Remote first for the most up to date information.

#### Holiday Leave

All full-time workers are entitled to 5 weeks days paid holiday leave a year under the Holiday Act (Lov om ferie). Holidays accrue from the previous calendar year and can be taken in the holiday year which runs from 1 May to 30 April in the following year.

#### Pregnancy, Maternity and Paternity leave

In total, parents in Denmark get 52 weeks of paid parental leave. The general rule is that the mother has the right to four weeks of leave directly before the planned birth and then to a further 14 weeks of leave after birth.

The father or co-mother is entitled to take two weeks of leave during the first fourteen weeks after the birth of the child. Then 32 weeks follow where the mother and father can freely share leave between them. They can choose to be on parental leave at the same time or in periods one after the other.

#### Maternity Leave Payment

As an employee, you can receive maternity benefits if you meet these three conditions:

- You must be employed on the first day of your leave or the day before.
- You must have at least 160 hours within the last four full months before the leave.
- You must have at least 40 hours per month for at least three of the four months.
- In addition, you must also be with your child daily, ie. physically spend time with the child.

**Payment Denmark automatically receives the information about your employment and hours from your employer.**

During maternity leave (after childbirth), birthing parents will receive 50% of their salary from the State. However, Remote and the employee can agree to full pay entitlement.

The allowance during parental leave is calculated as an amount per week. The amount depends on how much you work. The maximum amount per week is DKK 4.460 (2021).

- If you are [eligible]({{< ref "general-and-entity-benefits#parental-leave" >}}), you will receive 100% paid Parental Leave for up to 16 weeks. Any additional leave time taken (up to 52 weeks total used between both parents) will be paid at 50% from the State.

*Remote will seek reimbursement from the public authority; Udbetaling Danmark.

#### Applying for Maternity Leave Pay

**If you receive pay during the leave**

If you receive pay during the leave, reimbursement will be sought by your employer. You can only apply for maternity benefit yourself when the salary stops.

Your employer must notify Udbetaling Danmark when the salary stops. They can do this at the earliest on your first day without pay. As soon as your employer has given notice, you will automatically receive a letter requesting maternity benefits.

They must also give notice if part of your salary stops. In some cases, you can then receive an amount in maternity benefit in addition to the salary.

If you have not received the letter shortly after the salary stops, you must contact your employer to start applying. You must have applied, no later than 8 weeks after all or part of your salary has stopped.

If you do not know what day your pay will stop, ask your employer. Payment Denmark only knows after your salary has stopped and your employer has given notice.

**If you do not receive pay during the leave**

If you do not receive pay during the leave, you must apply for maternity benefit yourself from the start of the leave.

Your employer or unemployment insurance fund must first notify Udbetaling Danmark that you are going on leave. They can do this your first day on leave at the earliest.

As soon as they have given notice, you will receive a letter with a link to apply for maternity allowance. It also says when you last applied.

If you have not received the letter shortly after you have gone on leave, you must contact your employer or unemployment insurance fund to start applying.

To help you plan for your leave, click on [Calculating your Maternity Leave](https://www.borger.dk/Handlingsside?selfserviceId=9afd00f4-efd1-448f-94b9-6d66fd95d505&referringPageId=a2a65391-2201-4d47-ad25-2b0e0a343fad&type=DK).

Please submit the dates of your leave in Workday by selecting the `Parental Leave` option.  The Absence Management team will contact you with more information.

#### Paternity Leave

Fathers are entitled to 2 weeks of paternity leave before the birth and 14 weeks after. There is no statutory right to salary, but the father may receive leave benefits from Danish authorities.

#### Paternity Leave Payment

- If you are [eligible]({{< ref "general-and-entity-benefits#parental-leave" >}}), you will receive 100% paid Parental Leave for up to 16 weeks. GitLab's Parental leave will run concurrently with any statutory leave and/or pay entitlements the team member is eligible for.

Please submit the dates of your leave in Workday by selecting the `Parental Leave` option.  The Absence Management team will contact you with more information.

#### Parental leave

Parents are entitled to 32 weeks leave with a possibility to extend to a maximum of 46 weeks. Leave pay is due for 32 weeks given relevant conditions are met.

#### Applying for Parental Leave in Denmark

To initiate your parental leave, submit your time off by selecting the `Parental Leave` category in Workday at least 30 days before your leave starts. Please familiarize yourself with [GitLab's Parental Leave policy]({{< ref "general-and-entity-benefits#parental-leave" >}}).

#### Other Leave Policies

- **Adoption Leave:** Adoptive parents are entitled to 4 weeks of leave prior to receiving the child, if the adoptive parents have to reside outside of Denmark to adopt. If the child is adopted in Denmark, and it is necessary to reside where the place child is situation, parents are eligible for one week of leave before the adoption. **In all cases of adoption, one of the adoptive parents is entitled to adoption leave of 14 weeks and the other with to leave with statutory benefits for 2 weeks. The remaining 12 weeks can be split between the adoptive parents.**
- **Care leave(omsorgsdage):** Intended to allow team members to care for a sick child. This is not a statutory requirement, but is common.

## Sweden

All of the benefits listed below are administered and managed by [Remote](https://remote.com/country-explorer/sweden). Queries can be directed to help@remote.com.

### Healthcare

Team members have the option to select Remotes medical insurance through Allianz (for team members only). If they wish to add dependents this will be deducted through the Payroll (usd) $106.50 (for partner), $85.20 (children under 18).  Dependents will need to be added within 30 days from the start date, however, if this window is missed team members can reach out to help@remote.com to connect with the benefits team to see if this option can be unlocked and enable the team member to enroll the same (this may depend of circumstances). Dependents can be added through the [ThanksBen](https://www.thanksben.com/) platform (this is where team members can view their Allianz information).

More information can be found below:

- [Remote Allianz Benefit Guide](https://drive.google.com/file/d/1krO_RGt_H1_kPNgudHeuSIFjJohJuq-h/view)
- [Allianz](https://drive.google.com/file/d/1hMw61FsriqRPfcFRQ-mzQsu6HF03IUFB/view)

### Pension

The Swedish Pension is with Nordnet Hållbar/SPP

This plan has required enrollment for all employees. There is no opt-out option.

*Contribution rates are:*

- Pensionable Salary between 0 and 7.5 x the [Income Base Amount (IBA*)](https://ec.europa.eu/social/main.jsp?catId=1130&langId=en&intPageId=4814#:~:text=The%20income%20base%20amount%20is,is%20also%20a%20lower%20limit.) = 4.5% On Pensionable Salary between 7.5 and 30 x the IBA = 30% No contributions are payable on Pensionable Salary above 30 x the IBA.
- The company pays all the contributions and no contributions are required from employees.
- Pensionable salary is defined as Basic Salary only.
- Membership of the pension scheme is open to employees aged 18 to 65.

Example for 2024 Income Base Amount:

An employee with an annual salary of 800 000 SEK.

- the 2024 IBA (income base amount) is 76 200 SEK. This means that 7,5 IBA x 76 200 is= 571 500
- Up to a salary of 571 500 the employee has 4,5% contribution (coming from the employer), and above 571 500 (up to 800 000) they have a 30% contribution. There is also a roof of 30% IBA, so if an employee has an annual salary over 30 IBA (2 286 000 SEK), there would be no contribution beyond that level.
To the top of that amount, 24,26% taxes should be added.

### Life Insurance

Mandatory TGL life insurance is provided via Bliwa Livförsäkring. Lump sum benefit: the basic amount is SEK 285,600 (6 x Price Base Amount – PBA*) upon death before age 55, or after age 55 if there are children under age 17. It decreases for death above age 55, to 1 times PBA between age 64 and age 65.

### Remote - Sweden Statutory Leave Policies

Below is information related to Sweden's statutory leave policies.  Please note that team members hired in Sweden are hired via Remote (PEO) and you should always check with Remote first for the most up to date information.

### Holiday Leave

Part-time and full-time employees are entitled to 25 days of paid time off per year. Employers are required to enforce the use of their employees' vacation time. Employees may roll over vacation days for up to five years, but employers should not let employees fail to take time off.

### Sick Leave

Employers in Sweden must compensate employees at 80% of their salary for the first 14 days of sick leave. For any sick leave beyond 14 days, employees must apply for long-term illness benefits with the Swedish Social Insurance Office.

### Parental (föräldraledighet) Leave

Sweden's Parental (föräldraledighet) Leave affords parents 480 days of leave; 390 of these days paid at a rate of 80% of your salary up to a capped limited of 1006 SEK a day.  If you have twins, you are eligible for an additional 180 days.  Parents are encouraged to split these days equally between them.  However, it is possible for one parent to take up to 390 days of the 480 days. To do this the other parent has to 'transfer' these days to the other parent.

#### Eligibility

As long as you are a legal resident of Sweden you are entitled to the basic parental leave payment which is 250 SEK a day. To claim your benefit and find out how much you are entitled to, employees should contact your local branch of Försäkringskassan.

## South Africa

### Medical

#### Registered Medical Aid Plan

Effective November 1, 2023, Remote will offer a Registered Medical Aid plan for Team Members. GitLab will cover the cost to enroll in the "Priority Plan" for the Team Members. Team Members can opt to upgrade to a higher plan at their own cost, the difference will be deducted from their payslip.

#### Dependents

Team Members can add dependents to their plans. While the actual cost will be deducted from the team member's payslips, GitLab will subsidize the benefit through a Dependent Medical Allowance up to R3500 a month. Please send total-rewards@gitlab.com an email with documentation of your dependent's enrollment along with the cost of enrollment. The Total Rewards team will verify and send to Remote & the Non-US payroll Team to process the monthly allowance.

#### Grandfathered Medical Policy

Team Members who were hired before November 1, 2023 have the option to join the Registered Medical Plan in place of their medical allowance, or opt out of the plan and keep their monthly allowance. Should the team member move to the group plan, they will be unable to revert back to the allowance policy at a later time. The allowance policy is not available for team members hired after November 1, 2023.

### Discovery Life Provident Umbrella Fund (Provident fund match)

Under the Remote Technology scheme, the employer and member both pay **5% each to the Provident fund** as contributions. Applicable tax laws provide that any contribution the employer makes is treated as a contribution made by the member. The contributions will qualify for a tax deduction in each tax year of assessment.

### Group Life including the Global Education Protector & Funeral Family Benefit

- Sum insured of the Group Life Cover will be 4 times of the annual salary.
- The primary protection offered by group life cover is as follows:
  - Provide for living expenses for surviving dependants
  - Extinguish debt
  - Protect the lifestyle of the surviving dependants
  - Fund for the education costs of the surviving children
- Upon the death of the member, spouse or child, a benefit payment equal to the amount of the Funeral Cover will be made.
- The sum assured for this benefit is up to R30,000
- This benefit is 100% contributed and covered by Remote.

### Disability - Income Continuation Benefit

- The Income Continuation Benefit is designed to provide team member with a payment equal to the income they received before they became disabled or severely ill.
- Disability refers to injury, illness or disease that has resulted in a member being unable to perform his or her own job based on objective medical criteria.
- Due to changes in the tax treatment of income protection benefits, the disability income benefit will be calculated on a flat **75% of member salary**, but subject to a maximum of the team members's net of tax salary or specified rand maximum including any retirement fund waiver benefits.
- The 75% income continuation will come into effect from the **4th month** of the leave.
- This benefit is 100% contributed and covered by Remote.

### Disability - Severe Illness

- A severe illness is an illness that affects a person's lifestyle in such a way that their ability to function normally is altered.
- Sum assured of this benefit is twice the annual salary of the team member (2 x Annual Salary).
- Discovery Life provides insurance to cover team member against the impact of a severe illness. The Severe Illness Benefit pays a lump sum if a team member is diagnosed with a covered physiological or anatomical severe illness. The claim payment is proportional to the severity of the illness, with severity levels that have been set to reflect the financial impact of the illness on their lifestyle.
- The lump sum benefit provides financial assistance to ensure that the team member can maintain their lifestyle after a life-changing event. This could mean having their homes modified to accommodate their injury or illness, or reinvesting the money to replace the monthly income they can no longer earn
- This benefit is 100% contributed and covered by the Remote.

For more details on benefits managed by Discovery: [Remote Technology Employee Benefits](https://gitlab.com/gitlab-com/www-gitlab-com/uploads/bfd6b16936b7cfaccc8fe0992bd7271f/ZA_Remote_Technology.pdf)

### Parental Leave

Below is the information related to South Africa's statutory leave policies.  Please note that team members hired in South Africa are hired via Remote (PEO) and you should always check with Remote first for the most up to date information.

To initiate your parental leave, submit the dates via Workday under the Parental Leave category. This will prompt the Absence Management team to process your leave. You can find out more information about our Parental Leave policy on the [general benefits page]({{< ref "general-and-entity-benefits#parental-leave" >}}).

If you are eligible to for GitLab's parental leave, your payments will be made up of payments from UIF and then supplemented up to 100%.

Please submit the dates of your leave in Workday by selecting the `Parental Leave` option.  The Absence Management team will contact you with more information.  Once you send your parental leave notification in Workday, the Absence Management team will notify Remote. Remote will then get in touch with you to explain the UIF payment claim process.

### Expenses

**Important note:**

Please read carefully the additional requirements outlined in Remote's taxation of [expenses article](https://support.remote.com/hc/en-us/articles/21097725062285-Taxation-of-expenses-in-South-Africa) accessible by logging into the Remote platform.

Team members located in South Africa must submit all expenses via Navan (GitLab's expense tool). Additionally, Remote is committed to ensuring team member's tax compliance and may require additional details for specific Navan-approved expenses to process through the payroll in accordance with local tax regulations.

**Example:**

A team member has an approved expense on Navan for incidental costs like meals and parking related to a business event.
Remote will require the team member to complete an additional spreadsheet containing details of the business trip (local or abroad) and submit this spreadsheet through the Remote portal. Please refer to this [guide](https://support.remote.com/hc/en-us/articles/4411238221965-Add-an-expense) for more detailed instructions on submitting expenses.

If you experience any issues, please contact Remote via email: help@remote.com. **No other expenses need to be submitted via the Remote portal, only Navan should be used.**

## Italy

All of the benefits listed below are administered and managed by [Remote](https://remote.com/). Queries can be directed to help@remote.com.

### Health Insurance

Team members have the option to select Remotes medical insurance through Allianz (for team members only). If they wish to add dependents this will be deducted through the Payroll each month (usd) $135.92 (for partner), $108.73 (children under 18). Dependents will need to be added within 30 days from the start date, however, if this window is missed team members can reach out to help@remote.com to connect with the benefits team to see if this option can be unlocked and enable the team member to enroll the same (this may depend of circumstances). Dependents can be added through the [ThanksBen](https://www.thanksben.com/) platform (this is where team members can view their Allianz information).

More information can be found below:

- [Remote Allianz Benefit Guide](https://drive.google.com/file/d/1krO_RGt_H1_kPNgudHeuSIFjJohJuq-h/view)
- [Allianz](https://drive.google.com/file/d/1hMw61FsriqRPfcFRQ-mzQsu6HF03IUFB/view)
- Team members also have access to government-subsidized supplementary healthcare, either Fondo Est or Qu.AS, depending on their role. The annual cost for Fond Est is 24 EUR paid by the team member and 120 EUR paid by the company. There's more information [on the Fondo Est website](https://www.fondoest.it/). The annual cost for Qu.AS. (available for quadro level only) is 56 EUR paid by the team member and 350 EUR paid by the company. There's more information [on the Qu.AS website](https://www.quas.it/).
- Pension and Life Insurance - As part of Remote payroll, mandatory contributions are made towards social security funds. Remote currently does not offer a supplementary pension but will be reviewing this in the upcoming year. The [GitLab Life Insurance plan](/handbook/total-rewards/benefits/general-and-entity-benefits/#life-insurance) still applies.

### Statutory Leave Policies

Below is the information related to Italy's statutory leave policies.  Please note that team members hired in Italy are hired via Remote (PEO) and you should always check with Remote first for the most up to date information.

#### Holiday leave

All full-time workers are legally entitled to a minimum of four week's paid holiday leave a year. In addition, full-time workers have 12 public holidays a year. Individual contracts can provide for a longer period of holiday entitlement and holidays cannot be replaced by a payment in lieu. Amount of holiday leave also depends on the national collective agreement that the employment contract is under.

Based on the NCLA applied by Remote ROL every employee has right to:
32 hours per year of Ex Festività
0 hours per year of ROL, with seniority < 2 years
36 hours per year of ROL, with seniority > 2 years, but < 4 years
72 hours per year of ROL, with seniority > 4 years

When submitting holiday leave via Workday team members must add a comment on which type of leave they are taking, EG: "Ex Festiva" this will then be submitted to & processed by Remote accordingly.

To ensure all holiday leave is tracked accurately, please enter all holiday leave requests in Workday by selecting the `Paid Time Off` option.

#### Pregnancy & Maternity leave

Below is the information related to Italy's statutory leave policies.  Please note that team members hired in Italy are hired via Remote (PEO) and you should always check with Remote first for the most up to date information.

In Italy, maternity leave is compulsory and women must take up to two months off from work before her due date and three months off after the baby's birth. In certain scenarios, women may ask their employers for more time off before the baby's due date if her pregnancy is considered at risk and if her workplace puts her health or her baby's in danger. In some instances, women can request to work up to one month before her due date with the approval of her doctor and employer. However, this means that she will have to take a total of four months off after the birth of her child

#### Maternity Leave Payments

These pensions are funded by the INPS (National Institute for Social Security) which are financed by the employers and employees through the rate established by the employment sector. Workers can either be paid from INPS or through the employer who is compensated by the INPS. During the five-month leave, women are paid up to 80% of their wage.

If eligible, a team member's first 16 weeks of leave will be supplemented the remaining 20% per GitLab's [Parental Leave policy]({{< ref "general-and-entity-benefits#parental-leave" >}}).  GitLab's Parental leave will run concurrently with any statutory leave and/or pay entitlements the team member is eligible for.

#### Applying for Maternity Leave in Italy

To initiate your parental leave, submit your time off by selecting the `Parental Leave` category in Workday at least 30 days before your leave starts. Please familiarize yourself with [GitLab's Parental Leave policy]({{< ref "general-and-entity-benefits#parental-leave" >}}).

#### Paternity Leave

Below is the information related to Italy's statutory leave policies.  Please note that team members hired in Italy are hired via Remote (PEO) and you should always check with Remote first for the most up to date information.

Fathers are also obligated to take a seven-day paid leave of absence from work during the five months of maternity leave. The mother has the option to extend the father's paternal leave if she transfers one of her maternity days to him.

If eligible, team members can take up to 16 weeks of time away (in total) per GitLab's [Parental Leave policy]({{< ref "general-and-entity-benefits#parental-leave" >}}).  GitLab's Parental leave will run concurrently with any statutory leave and/or pay entitlements the team member is eligible for.

#### Applying for Paternity Leave in Italy

To initiate your parental leave, submit your time off by selecting the `Parental Leave` category in Workday at least 30 days before your leave starts. Please familiarize yourself with [GitLab's Parental Leave policy]({{< ref "general-and-entity-benefits#parental-leave" >}}).

#### Parental Leave

In addition to maternity and paternity leave, parents can take extended unpaid parental leave for up to 10 months. For a mother this can be up to 6 months in addition to the maternity leave.  Parental leave allowance is significantly less than maternity leave allowance; only 30% of one's wages, and is paid through the INPS.

#### Other leave policies

Below is the information related to Italy's statutory leave policies.  Please note that team members hired in Italy are hired via Remote (PEO) and you should always check with Remote first for the most up to date information.

= **Adoption leave:** upon adoption of a child, employees are entitled to 3 months of maternity or paternity leave and employees are entitled to the same financial benefits of natural children. Parents can also take parental leave in the first three years the child is in the family for same periods and financial benefits. Applies to both parents

- **Work-related Injust leave:**  collective bargaining agreements or individual contracts generally provide for a period paid time off in the case of work injury. The period is generally between 6 and 12 months and applies for both a single period of sick leave and multiple periods. The employee is entitled to keep their job and receive their salary in proportion to the period set out in the collective bargaining agreement or individual employment contract.

## Switzerland

All of the benefits listed below are administered and managed by [Remote](https://remote.com/)

Note that pensionable salary includes base salary and commissions. Remote will use the estimated commissions on your monthly payslip. At the end of the year, Remote Payroll will conduct a reconciliation and re-declare pensionable salary based on actual earnings.

The social security obligations through Remote are divided between the employee and the employer, with each party contributing their respective shares:

- The Unemployment Insurance is 50% paid by the Employer & 50% paid by the employee.
- The whole of the Non Occupational Accident insurance contribution is paid by the employee.
- The whole of the Occupational Accident insurance contribution is paid by the employer.
- The Supplementary Unemployment insurance (if over a certain value) is 50% paid by the employer and 50% paid by the employee.
- The Old age, survivors disability insurance is 50% paid by the employer and 50% paid by the employee.
- The whole of the Family Compensation Fund is paid by the employer.
- All Administrative fees are paid by the employer.
- Pension plan: [AXA Basisvorsorge AG J25](https://docs.google.com/document/d/1OlFzuWWJQfw5wOEr6hq0yGM4JoNoxjZTzKIFct2FlEQ/edit), per the retirement credits.

### Statutory Leave Policies

Below is the information related to Switzerland's statutory leave policies.  Please note that team members hired in Switzerland are hired via Remote (PEO) and you should always check with Remote first for the most up to date information.

#### Paid Time Off

Team members 20 years old and above receive at least four weeks of paid time off per year. Team Members younger than 20 years old are entitled to five weeks. Team members are also entitled to paid time off for public holidays in the canton in which they live.

Team members are eligible for additional time off to get married.  Team members are eligible for 1 day + 1/2 day on the preceding day and 1/2 day on the following day or can log up to 2 full days.
Please enter the time off into Workday using the label `Paid Time Off` and then add a comment noting the time away is for Marriage leave.
For this type of time off request, you will also need to enter it into Remote's platform. Please select the "Other" category and enter the details "wedding leave".

#### Pregnancy and maternity leave

Birthing parents in Switzerland are eligible for 14 weeks (98 days) of maternity leave that begins when the child is born.  Team members are prohibited from working for the first 8 weeks after birth.

#### Maternity Leave Pay

Team members are eligible for up to 80% of their wages during leave; capped at CHF 196 per day.

- Employees in the Geneva canton receive 16 weeks.

Employees must contribute to AHV (social security) for the nine months preceding childbirth and must be actively employed for five months preceding childbirth to be eligible.

If eligible, a team member's leave pay will be supplemented the remaining 20% per GitLab's [Parental Leave policy]({{< ref "general-and-entity-benefits#parental-leave" >}}). GitLab's Parental leave will run concurrently with any statutory leave and/or pay entitlements the team member is eligible for.

#### Applying for Maternity Leave in Switzerland

To initiate your maternity leave, submit your time off by selecting the `Parental Leave` category in Workday at least 30 days before your leave starts. Please familiarize yourself with [GitLab's Parental Leave policy]({{< ref "general-and-entity-benefits#parental-leave" >}}).

#### Partner/Paternity leave

Since 1 January 2021, new fathers can take two weeks of paid paternity leave (14 days' daily allowance).

If eligible, team members can take up to 16 weeks of time away (in total) per GitLab's [Parental Leave policy]({{< ref "general-and-entity-benefits#parental-leave" >}}).  GitLab's Parental leave will run concurrently with any statutory leave and/or pay entitlements the team member is eligible for.

#### Paternity Leave Pay

Paternity allowance amounts to 80% of earnings up to a maximum of CHF 196 per day. Cantonal provisions, personnel regulations, and collective employment contracts may provide for more generous solutions.

If eligible, a team member's leave pay will be supplemented the remaining 20% per GitLab's [Parental Leave policy]({{< ref "general-and-entity-benefits#parental-leave" >}}). GitLab's Parental leave will run concurrently with any statutory leave and/or pay entitlements the team member is eligible for.

To initiate your paternity leave, please enter the dates of your leave into Workday by selecting the `Parental Leave` option at least 30 days prior to the start of your leave.

#### Sick leave

Employees are entitled to ongoing payments during sick leave, depending on how long they have worked for the company. Typically, employees receive three weeks of sick leave during the first year. Employers commonly have benefits insurance schemes in lieu of sick leave, under which employees can receive 80% of their most recent salary for up to 720 days.

### Family Allowance

Team members may be eligible for family allowances once the required [criteria](https://www.ch.ch/en/family-and-partnership/maternity-and-paternity/pregnancy-and-birth/family-allowance/) has been met. The amount can vary depending on the canton.

The family allowance is not paid out automatically, it must be applied for.

#### How to apply via Remote

- Write an email to help@remote.com to request an application form for the family allowance.
- Remote will send the required documents that need to be filled.
- Once the forms are filled they must be sent via post to the following address for processing:

**Madison Hofmann - Intertrust Services,**

**Zählerweg 6, 6300, Zug**

- Intertrust will reach out directly if anything further is needed.
- Once approved by the local authority the family allowance will be paid out in the next coming paychecks.

**On the form please note:**

- Section G - Requires a signature and stamp from the local municipality - please note if for any reason the local municipality will not sign, the local provider can still proceed without.
- Section H - Lists the supporting documents that need to be sent.
- Section F - Will be filled out by Remote's local partner (Intertrust Services) once the application form is complete with the supporting documents.

## Mexico

### Social Security

All workers employed in Mexico must be registered with and contribute to the following institutions that deal with different social security insurance benefits:

- Mexican Institute of Social Security (IMSS):
  - Provides medical services, child day care, accident and sickness compensation, pregnancy benefits and disability pensions
- National Workers' Housing Fund Institute (INFONAVIT):
  - Provides subsidized housing to employees as well as loans, and the Retirement Savings Program (SAR). SAR provides employees with retirement benefits when they reach 65 years of age.

Employees in Mexico are covered by the Social Security Law, under IMSS who is responsible for administering social security insurance benefits and the collection of contributions.

- Both the employer and employee are required to contribute to social security, although the employer has the responsibility of withholding the employee's contribution.
- These contributions fund retirement pensions, health and maternity insurance, occupational risk, day-care, disability and life insurance, and unemployment/old age insurance.

### Medical Benefits

- Healthcare Monthly Allowance will be paid by Remote as an allowance to the team members.
- The allowance will be 5000 USD per annum.
- This amount will be paid on monthly basis with the regular payroll

### Life Insurance

- Life insurance cover provided via Remote. Effective January 1, 2024, all Team Members will be enrolled in the Remote Global Life Insurance plan with a cover level of 200,000 USD at no cost to the team member.

### Monthly Remote Working Allowances

Team members in Mexico will receive a monthly allocation of 1100 MXN for internet and electricity to support their remote work. These reimbursements are tax-exempt and will be reflected as a separate line item on your payslips to cover remote working expenses such as internet and electricity.

- If remote work related expenses for internet and electricity are greater than the 1100 MXN allowance team members can expense the difference for reimbursement. For expenses over the allowance team member's will need to upload all receipts for proper reimbursement.
- Use Expense code: `Work From Home` for the additional expenses.

### Ergonomic Chair Allowance

- Team members are entitled to a one-time claim up to 3000 MXN for the purchase of an ergonomic chair to support their comfort and health while working remotely.
- Follow the reimbursement procedure outlined in the [NAVAN policy](/handbook/finance/expenses/#equipment) for reimbursement.

### Christmas Bonus (Aguinaldo)

- GitLab offers 30 working days pay (which includes total earnings + taxable allowances + commissions)
- Paid by December 20th (so the employee can use it for the holiday)
- Employees with less than one year of service will receive a pro-rated Christmas bonus.

### Vacation Bonus (Prima)

The vacation premium is an additional cash benefit given to employees for use on their vacation. It is calculated as a minimum of 25% of daily salary multiplied by the number of days of vacation. Employees who have provided one year of service must be afforded a minimum of 6 paid vacation days in their first year of employment. Two working days will be added to that vacation time every following year through the fourth year. After five years, employers are required to add two days of vacation time every five years.

- Here is a chart on how vacations days increase:

| Year(s)  | Days |
|----------|------|
| 1        | 6    |
| 2        | 8    |
| 3        | 10   |
| 4        | 12   |
| 5 to 9   | 14   |
| 10 to 14 | 16   |
| 14 to 19 | 18   |

**Calculation:**

- To calculate the vacation bonus based on 25% and a salary of $50,000 USD per year:
- $50,000 USD divided by 365 days = $136.99 USD daily pay rate
- $136.99 USD daily pay rate multiplied by 25% = $34.25 USD
- $34.25 USD multiplied by 6 vacation days (first year) = $205.50 USD vacation bonus
- It can be paid right away when the vacation is taken, or as a lump sum upon completing one year of service (or employment ends). It is the employer's choice which method to use.
- Unused leave must also be paid when employment ends (in other words, the employee does not 'forfeit' unused vacation time)

### Mexico Statutory Leave Policies

Below is the information related to Mexico's statutory leave policies.  Please note that team members hired in Mexico are hired via Remote (PEO) and you should always check with Remote first for the most up to date information.

#### Statutory Leave Entitlement

**Maternity Leave:**

- Team members can take 12 weeks of Maternity Leave (6 weeks before the child is born and 6 weeks after birth) to run concurrently with GitLab's 16 week [Parental Leave]({{< ref "general-and-entity-benefits#parental-leave" >}}) policy.

**Paternity Leave:**

- Team members can take 5 days of Paternity Leave to run concurrently with GitLab's 16 week [Parental leave]({{< ref "general-and-entity-benefits#parental-leave" >}}) policy.

#### Payroll Process

##### Maternity Leave Payment

- 12 weeks of the team member's Maternity Leave will be paid by the Mexican Social Security Institute (MSSI).
- GitLab Parental Leave Pay Calculations: If [eligible]({{< ref "general-and-entity-benefits#parental-leave" >}}), pay will be supplemented up to 100% minus any MSSI payments received for up to 16 weeks of leave.
  - For example: if the team member receives  80% of their pay from MSSI payments, Remote will provide the remaining 20% of their pay following the normal payroll calendar.

##### Paternity Leave Payment

- If [eligible]({{< ref "general-and-entity-benefits#parental-leave" >}}), the team member will receive 100% paid Parental Leave from Remote for up to 16 weeks.

#### Applying for Parental Leave in Mexico

To initiate your parental leave, submit your time off by selecting the `Parental Leave category` in Workday at least 30 days before your leave starts. Please familiarize yourself with [GitLab's Parental Leave policy]({{< ref "general-and-entity-benefits#parental-leave" >}}).

### Mexico Sick Leave

Team members unable to work because of a nonwork-related injury or illness and who have made payments into the social security system for the four weeks before the condition developed are eligible for paid sick leave through the Social Security Institute. The benefit, which is 60% of an employee's regular wage, is paid from the fourth day of the illness for up to 52 weeks and maybe extended for another 52 weeks.

## Hungary

All of the benefits listed below are administered and managed by [Remote](https://remote.com/). Queries can be directed to help@remote.com.

### Social Security

The Hungarian Social Security Act has employer and team member contributions to cover statutory requirements such as pension, health insurance, and unemployment.

### Medical

Team members have the option to select Remotes medical insurance through Allianz (for team members only). If they wish to add dependents this will be deducted through the Payroll each month (usd) $106.50 (for partner), $85.20 (children under 18).  Dependents will need to be added within 30 days from the start date, however, if this window is missed team members can reach out to help@remote.com to connect with the benefits team to see if this option can be unlocked and enable the team member to enroll the same (this may depend of circumstances). Dependents can be added through the [ThanksBen](https://www.thanksben.com/) platform (this is where team members can view their Allianz information).

More information can be found below:

- [Remote Allianz Benefit Guide](https://drive.google.com/file/d/1krO_RGt_H1_kPNgudHeuSIFjJohJuq-h/view)
- [Allianz](https://drive.google.com/file/d/1hMw61FsriqRPfcFRQ-mzQsu6HF03IUFB/view)

### Pension

GitLab does not plan to offer pension benefit at this time as the Hungarian pension system provides for a minimum pension, with a qualifying condition of minimum 20 years of service, of HUF 28,500 per month. If the average contribution base is less than the amount of the minimum pension, the pension will equal 100% of the average monthly wage.

### Life Insurance

GitLab does not plan to offer life insurance at this time as team members can access the benefits from [Social insurance system](https://www.allamkincstar.gov.hu/) if they get ill, injured or have a disability.

### Hungary Statutory Leave Policies

Below is the information related to Hungary's statutory leave policies.  Please note that team members hired in Hungary are hired via Remote (PEO) and you should always check with Remote first for the most up to date information.

#### Statutory General Entitlement

**Maternity Leave**

- Team members can take up to 24 weeks of Maternity Leave. The leave must start 4 weeks prior to the scheduled due date.

**Paternity Leave**

- Team members can take 5 days of Paternity Leave or 7 days in case of twins.

**Parental Leave:**

Team members can take unpaid leave to care for their child until the child reaches the age of 3 or until the child reaches the age of 10 if the team member receives child care allowance. Team members are also entitled to extra vacation days based on the number of children they have:

- two working days for one child;
- four working days for two children;
- a total of seven working days for more than two children under sixteen years of age.

#### Payroll Process

##### Maternity Leave Payment

- The team member will receive Pregnancy and Confinement Benefit (CSED) at a rate of 70% of their salary for 24 weeks.
- If [eligible]({{< ref "general-and-entity-benefits#parental-leave" >}}), pay will be supplemented up to 100% pay (minus any CSED benefits received) for up to 16 weeks.

##### Paternity Leave Payment

- Team members will receive payment from the Hungarian State Treasury for 5 days of their leave.
- If [eligible]({{< ref "general-and-entity-benefits#parental-leave" >}}), pay will be supplemented up to 100% pay (minus State Treasury benefits) for up to 16 weeks.

#### Applying for Parental Leave in Hungary

To initiate your parental leave, submit your time off by selecting the `Parental Leave category` in Workday at least 30 days before your leave starts.

## Luxembourg

All of the benefits listed below are administered and managed by [Remote](https://www.remote.com/). Any queries can be directed to help@remote.com

### Medical

Team members have the option to select Remotes medical insurance through Allianz (for team members only). If they wish to add dependents this will be deducted through the Payroll each month (usd) $135.92 (for partner), $108.73 (children under 18). Dependents will need to be added within 30 days from the start date, however, if this window is missed team members can reach out to help@remote.com to connect with the benefits team to see if this option can be unlocked and enable the team member to enroll the same (this may depend of circumstances). Dependents can be added through the [ThanksBen](https://www.thanksben.com/) platform (this is where team members can view their Allianz information).

More information can be found below:

Remote Allianz Benefit Guide

- [Allianz](https://drive.google.com/file/d/1krO_RGt_H1_kPNgudHeuSIFjJohJuq-h/view)
- [Remote Allianz Benefit](https://drive.google.com/file/d/1hMw61FsriqRPfcFRQ-mzQsu6HF03IUFB/view)

### Remote Technology - Luxembourg Statutory Leave policy

Below is the information related to Luxembourg's statutory leave policies.  Please note that team members hired in Lexembourg are hired via Remote (PEO) and you should always check with Remote first for the most up to date information.

#### Maternity leave

Birthing parents are entitled to 20 weeks of maternity leave, starting eight weeks before delivery and lasting until 12 weeks postpartum, and compensated at a rate equivalent to their normal wage, capped at five times the minimum wage, i.e. roughly ~€12,000 per month.

In addition to the statutory maternity benefits, pregnant and postpartum employees are entitled to enjoy exemption from hazardous work, dismissal following maternity, and any obligations to work overtime or night shifts.

#### Paternity leave

Non-birthing parents "fathers" are entitled to 10 days of paid paternity leave financed by the employer within the first two months after the birth of their child.  Employees should notify their employer at least two months before the intended start of their leave.

#### Parental leave

Employees are entitled to parental leave ranging from four to six months following each new birth into their family, which can be exercised until their child turns six, or 12, if the latter is adopted.

Both leaves can be taken either in full, partially, or split with the other parent and are based on the number of hours in the employee's contract:

40 hours per week- 4–6 months of full-time leave; 8-12 months of part-time leave (50% of regular working hours); 4 periods of 1 month leave within a 20–month period; 1-2 half days of leave per week within a 20–month period.
At least 20 hours per week- 4-6 months of full-time leave; 8-12 months of part-time leave (50% of regular working hours)
At least 10 hours per week- 4-6 months of full-time leave
Split or partial leave is at the discretion of the employer. To be eligible:

The parent must be registered with social security at the time of the birth or adoption of the child for at least 12 continuous months
Salaried employees- must have worked at least 10 hours per week
Have an employment contract during the leave
Instead of wages, an allowance is given by the Children's Future Fund.

- If [eligible]({{< ref "general-and-entity-benefits#parental-leave" >}}), pay will be supplemented up to 100% pay (minus any statutory benefits received) for up to 16 weeks.

#### Applying for Maternity, Paternity, and/or Parental Leave in Luxembourg

To initiate your parental leave, submit your time off by selecting the `Parental Leave category` in Workday.

#### Sick leave

Sick employees are entitled to their full wages paid by the employer for the 77 days (or the end of the month after the 77th day of illness elapses) after which an employee will draw sickness benefits from the Caisse Nationale de Santé equivalent to 100% of the normal wages, without exceeding 500% of the minimum wage, i.e. roughly capped at ~€12,000 per month.

Employees should enter their Sick Time into Workday by selecting `Out Sick`.  After the 5th consecutive workshift missed due to illness, employees should contact leaves@gitlab.com.

## Austria

The Austrian Social Security Act General Social Insurance Act (Allgemeines Sozialversicherungsgesetz, ASVG) has employer and team member contributions to cover statutory requirements such as pension, health insurance, accident insurance and unemployment.

### Medical

GitLab does not plan to offer Private Health Insurance at this time because team members in Austria can access the public Austrian health insurance system. This health insurance scheme covers all the team members and their family members.

### Pension

GitLab does not plan to offer pension benefit at this time as Austria has their uniform pension system through The Act on the Harmonisation of Austrian Pension Systems. The amount of a pension is calculated on the basis of the duration of the pension insurance and amount of the contributions paid. In order to receive the pension a team member must have paid contributions for at least 180 months (15 years).

### Life Insurance

GitLab does not plan to offer life insurance at this time as team members can access the benefits from Social insurance system if they get ill, injured or have a disability.

### Bonus Payment

The salary will be paid 14 times a year. This includes 12 months salary and two bonuses.

### Remote Technology - Austria Leave Policy

Below is the information related to Austria's statutory leave policies.  Please note that team members hired in Austria are hired via Remote (PEO) and you should always check with Remote first for the most up to date information.

### Austria Parental Leave

#### Statutory Maternity Leave

The statutory entitlement for maternity leave (Mutterschaftsurlaub) is 16 weeks. The leave must start **8 weeks prior to the scheduled delivery date**.

- For high-risk births, leave after the birth can be extended to 12 weeks.

#### Applying for Maternity Leave in Austria

To initiate your parental leave, submit your time off by selecting the `Parental Leave category` in Workday at least 30 days before your leave starts.

##### Statutory Parental Leave

Mothers and fathers are entitled to parental leave until the child reaches the age of 24 months (maximum), provided the parent in parental leave lives in the same household as the child. The minimum period of the parental leave is two months. The dismissal and termination protection ends four weeks after the end of the parental leave.

During the time of parental leave, and provided the conditions are satisfied, parents are entitled to childcare allowance(Kinderbetreuungsgeld) under the Child Care Payment Act from social security.

#### Applying for Parental Leave in Austria

To initiate your parental leave, submit your time off by selecting the `Parental Leave category` in Workday at least 30 days before your leave starts.
