---
title: "GitLab Singapore Pte Ltd"
description: "Discover GitLab's benefits for team members in Singapore"
---

The Total Rewards team hosted a [Singapore Benefits Webinar](https://drive.google.com/drive/folders/1xoXT7VPy6LvHjBp-T6CnY57EE1Y05TYr) on 31-07-2024 with WTW to go over the benefit plans below.

## Medical

Effective 2024-08-01 GitLab Singapore Team Members will be enrolled in Medical Insurance Benefits via HSBC Insurance.

Coverage will inlcude:

- Group Hospital and Surgical
- Group Major Medical
- Group Maternity
- Group Outpatient General Practitioner
- Group Outpatient Specialist
- Group Dental

Please see an overview of coverage on the [GitLab Singapore Benefit Deck](https://drive.google.com/file/d/1EhdoC9Dgkf_5919-WZeuBJtdWeNz8hWp/view?usp=sharing) on Slide 15 - 38
See Slide 51 for details on Claims procedures.

Please see the list of [IHP Panel Clinics](https://drive.google.com/file/d/1FO3ZpkrHGuaqooMNDUrCI62i2JQOW6vE/view?usp=sharing)

### Team Members undergoing Specialist visits

1. Confirm if your provider is under the [IHP Panel Clinics](https://drive.google.com/file/d/1FO3ZpkrHGuaqooMNDUrCI62i2JQOW6vE/view?usp=sharing)
2. If your specialist is under the IHP Panel:, contact IHP at  +64 6715 9422,  before your appointment. IHP will inform the clinic in advance of your visit for a smooth cashless arrangement.
3. If your specialist is not under the IHP Panel:, please obtain a specialist memo indicating the purpose of the visit and medical diagnosis. Submit the memo along with your claim on the IHP portal.

### IHP Portal Access

Login to the IHP Portal to

- Submit your claims and view your claims history
- Teleconsultation
- Find a panel provider location
- Request of Letter of Gaurantee
- View Entitlement Table
- Connect to the Hotline
- I-Health Palace - Market Place
- Online Resources.

**How to register**

See the [IHP Portal and Mobile Guide](https://drive.google.com/file/d/1OajuRXQ1Td9zfsrAcxYGjPZZ0uCv8G4h/view?usp=sharing) for instructions on enrolling in to the portal and mobile guide.

### Letter of Guarantee (LOG)

Please see slide 49 of teh [IHP Portal and Mobile Guide](https://drive.google.com/file/d/1OajuRXQ1Td9zfsrAcxYGjPZZ0uCv8G4h/view?usp=sharing) for instructions on requesting a Letter of Gaurantee.

### Willis Towers Watson Claims Assistance

[Willis Towers Watson](https://www.wtwco.com/en-SG/Solutions/health-and-benefits) (WTW) is the broker for GitLab's group benefit plans and can assist members with any benefit questions or claims issues.

For any claims issues or benefits queries, please reach out to the WTW team at `claims.sg@willistowerswatson.com` .

### Enrollment

New Team Members will be prompted to fill out a Singapore Benefits Onboarding Form during onboarding.
Once completed, the Total Rewards team will receive the form and will work with our broker,  Willis Towers Watson, to enroll team members into the group plans.
Team Members will receive underwriting forms from WTW within the first month from their hire date.

Team Members who experience a qualified status change can update their information by sending an email to the Total Rewards Team at total-rewards@gitlab.com

When adding a new dependent to the plan, please include the following information in your request to Global Upside:

- Dependent Name
- Dependent Date of Birth
- NRIC Number
- Gender
- Nationality

## Annual Health Screening

Effective November 20, 2023, GitLab offers all Singapore Team Members an annual Health Screening through Fullerton Health.

Team Members can book an Executive Health Screening at one of Fullerton Health's locations throughout Singapore. The cost of the screening will be invoiced directly to GitLab.  The benefit renews in the Calendar Year.

Team Members can add Optional Tests and Screenings at their own cost. For additional details on the locations, what is included in the screenings, as well as information on how to book your appointment, please see the [Fullerton Health Guide](https://drive.google.com/file/d/1O7lgEE-lbo2I1lkekc39TDKBDpAV9FXG/view?usp=sharing).

You can sign up for the benefit and book an appointment via the [Fullerton Health Website](https://bookappt.fullertonhealth.com/#/login). Click on "Sign Up", fill out your information, and search for "GITLAB SINGAPORE PTE LTD" under the Company drop down.

Note: Since GitLab pays for the benefit directly, this benefit is not considered CPF payable

Contact Details for Fullerton Health:
Email ehs@fullertonhealth.com
+65 6333 3636 (Option 3)

### Administration of Health Screening

Fullerton Health will send the invoice directly to total-rewards@gitlab.com team for payment. The Total Rewards team will review and forward to Accounts Payable to process the invoice. These invoices will come through on an ad-hoc basis. As with all discretionary benefit offerings, GitLab may modify or remove this benefit at its discretion.

## Pension

GitLab does not plan to offer a supplementary private pension benefit at this time as Singapore has their Pension system called as [Central Provident Fund](https://www.cpf.gov.sg/members)

## Life Insurance

GitLab offers company paid Group Term Life through HSBC Insurance. Coverage is sum insured $500,000 SGD per member.

**Underwriting**:  Members are automatically coverd up to the Free Cover Limit of $150,000 SGD. In order to recieve the full coverage of $500,000 SGD, team members must complete medical underwriting requirements.

For more details on the coverage of the Life Insurance plan, please refer to slides 39-44 of the [GitLab Singapore Benefit Deck](https://drive.google.com/file/d/1EhdoC9Dgkf_5919-WZeuBJtdWeNz8hWp/view?usp=sharing)

## Group Personal Accident Insurance

As of 1 Aug 2022, the Group Personal Accident plans will be covered by [Zurich](https://www.zurich.com/). Coverage is sum insured $500,000 SGD per member. Under the Zurich Personal Accident coverage, team members will also recieve extended benefits including ambulance cost coverage, emergency travel expenses, trauma counseling, and more.

For more information on the Group Personal Accident insurance plan, please refer to slides 46-49, of the [GitLab Singapore Benefit Deck](https://drive.google.com/file/d/1EhdoC9Dgkf_5919-WZeuBJtdWeNz8hWp/view?usp=sharing) and the [Group Personal Accident Insurance Policy](https://drive.google.com/file/d/1LHYCWa0Q_8_giWC7-B-_H1okVNbo-qA8/view?usp=sharing).

## GitLab Singapore Pte Ltd Parental Leave

### Statutory Leave Entitlements

#### Maternity Leave

Team members who have been continuously employed by GitLab for at least 3 months immediately before the birth of their child may be entitled to either 16 weeks of government-paid maternity leave in accordance with the Child Development Co-Savings Act or 12 weeks of maternity leave in accordance with the Employment Act. Eligibility can be determined by visiting the [Ministry of Manpower](https://www.mom.gov.sg/employment-practices/leave/maternity-leave/eligibility-and-entitlement) website.

**Government-paid maternity leave entitlement**

- For 1st and 2nd births, team members are entitled to 8 weeks paid by their employer and 8 weeks paid by the government.
- The first 8 weeks of leave must be taken in one continuous block. The following 8 weeks may be broken up into different periods; however, it must end no later than 12 months from the child's date of birth.
- For [eligible](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave) team members, this leave runs concurrently with GitLab Parental Leave. Team members must initiate their leave by selecting `Parental Leave` in Workday at least 30 days before leave starts.

**Applying for government paid maternity leave**

- Team members must submit a [GPML Declaration](https://file.go.gov.sg/gpml1form.pdf) to [the Absence Management team](mailto:leaves@gitlab.com) as soon as possible.
- GitLab will continue to pay the team member's salary during their leave and [submit a claim for reimbursement](https://web.archive.org/web/20210918095026/https://www.profamilyleave.gov.sg/Pages/GPML.aspx#What%20should%20I%20do%20as%20an%20employer?).
- For 1st and 2nd births, GitLab will apply for reimbursement for the 9th - 16th weeks of leave. For 3rd and subsequent births, GitLab will apply for reimbursement for the full 16 weeks.

**Maternity Leave entitlements under the Employment Act**

- Eligible team members may be entitled to 12 weeks of maternity leave. This entitlement includes 8 weeks of leave paid by their employer and 4 weeks of unpaid leave.

**To initiate leave:**

- Team members must submit their leave request through Workday by choosing the `Parental Leave` option.
- For [eligible](/handbook/total-rewards/benefits/general-and-entity-benefits/#parental-leave) team members, this leave runs concurrently with GitLab Parental Leave. If eligible, team members would receive up to 16 weeks of paid maternity leave.

#### Paternity Leave

Team members who have been continuously employed by GitLab for at least 3 months immediately before their child's due date may be entitled to 2 weeks of government-paid paternity leave. Please visit the [Ministry of Manpower website](https://www.mom.gov.sg/employment-practices/leave/paternity-leave) for more information on eligibility.

- For [eligible]({{< ref "general-and-entity-benefits#parental-leave" >}}) team members, this leave runs concurrently with GitLab Parental Leave. If eligible, team members would receive up to 16 weeks of paid paternity leave.

**Applying for Government-Paid Paternity Leave**

- Team members must submit their leave request through Workday by choosing the `Parental Leave` option.
- Team members must submit a [GPPL Declaration](https://file.go.gov.sg/gppl1form.pdf) to the Absence Management team at `leaves@gitlab.com` as soon as possible.
- GitLab will continue to pay the team member's salary during their leave and [submit a claim for reimbursement](https://www.profamilyleave.msf.gov.sg/schemes/maternity-leave).

#### **Annual Leave**

- Team members in Singapore are entitled to Fourteen (14) days of annual leave per year which accrues on a pro rata basis throughout the year. This leave runs concurrently with GitLab PTO. Team members should initiate leave by entering their time off into Workday by selecting the `Paid Time Off` option under the `Time Offs` dropdown menu.
- Team members must coordinate with their team prior to taking time off to ensure business continuity. The Company may in its absolute discretion rescind its approval for any leave applied for where the exigencies of work so require.
- Unused annual leave may not be carried forward from any year to a succeeding year except with the prior approval of the Company.
- Unless the Company approves or requires otherwise, annual leave may not be used to offset any notice periods related to a team member's resignation or termination.

#### **Other Leave**

- Team members in Singapore are entitled to such outpatient sick leave and hospitalization leave as provided in the Employment Act.
- Your entitlement (if any) to maternity leave and benefits, adoption leave, childcare leave, extended childcare leave, unpaid infant care leave, shared parental leave and paternity leave shall be as provided in the Child Development Co-Savings Act and the Employment Act.
