---
title: Modern Health
description: Information on GitLab's Employee Assistance Program.
---

## Mental Wellness Services

GitLab offers mental health care services to all team members and their eligible family members via [Modern Health](https://www.joinmodernhealth.com/). Modern Health provides technology and professional support to help reduce stress, feel more engaged, and be happier. Through GitLab, you have access to 6 coaching sessions and 6 therapy sessions each at no cost to you as well as 100+ digital programs & mediations and unlimited live provider-led group sessions or circles.

<iframe src="https://player.vimeo.com/video/680639730?h=d48b608b3f" width="640" height="360" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" allowfullscreen></iframe>
<p><a href="https://vimeo.com/680639730">Introducing Modern Health</a> from <a href="https://vimeo.com/modernhealth">Modern Health</a> on <a href="https://vimeo.com">Vimeo</a>.</p>

For more information on Modern Health and getting started, we recorded an [information session](https://drive.google.com/file/d/10jn8_UoqtMwHpYLaKQpGRfDwgxeN_65h/view?usp=sharing) in October 2022 that walks team members through valuable information about this benefit and how to start utilizing it.

Check out what GitLab team members are saying about their experience with Modern Health:

1. *Mindfulness and Meditation Coaching:* `I listen to a podcast that referenced a study that showed 12 minutes of meditation a day can improve focus and reduce anxiety/stress. Modern Health has a lot of guided meditations available and I bookmark the 12 minute body scan meditation to perform (almost) every day. I think it's helped me.`
1. *Career Coaching:* `I've absolutely had an amazing and helpful experience. My coach helped me advocate for myself, something I've never really felt comfortable doing before. She supported and uplifted me as well, cheering me on as I made improvements and learned how to handle adversity.`
1. *Confidence Coaching:* `I've only had one session so far but it was great and led to helpful insights. I'm looking forward to another in a few weeks. I wanted help with imposter syndrome and overall lack of confidence. My coach talked with me about the source of the imposter syndrome, dug in to how it's manifested earlier in my career, and suggested a few strategies for reframing the negativity of my inner dialog into something more productive. I already feel better by having a "to-do" list of things to work on, and I feel a lot more supported and validated. I highly recommend it!`

### What does Modern Health offer?

Modern Health is the one-stop shop for all tools related to mental well-being and self-improvement. Members gain access to the following features:

- **Personalized Plan:** Take a well-being assessment and review which tools may be most helpful for you.
- **Professional Support**: Get matched to a dedicated professional who can help you reach your personal and professional goals. As a GitLab team member, your first 6 coaching sessions are complimentary. After the allotted sessions have been utilized, team members can work directly with the provider to determinate a path forward at an additional cost to the team member.
- **Therapy**: As of `2021-03-18`, GitLab has added Therapy to the offerings through Modern Health. As a GitLab team member, your first 6 therapy sessions are complimentary. After the allotted sessions have been utilized, team members can work directly with the provider to determinate a path forward at an additional cost to the team member.
- **Courses**: Provider led, self-paced, programs designed to help you navigate specific topics with video content, meditations & programs, and practice assignments. Courses are available on the Modern Health app or [online](https://my.joinmodernhealth.com/course/managing-stress)
- **Curated Content Library:** Learn quick tips and tricks to prevent burnout, manage stress, and cope with anxiety or depression based on our evidence-based digital programs. You can use these digital programs for in-the-moment support or to build your own toolkit of techniques to improve your mental well-being.
- **Circles:** [Live community sessions](https://circles.modernhealth.com/) led by Modern Health therapists and coaches, designed to help you proactively improve your mental health. Access to circles is unlimited and center around topics such as foundations of mental health, healing asian communities, power of women, and others.

If you're still not sure where to get started, we recommend that you:

1. Download the app and register your account
1. Register and take the well-being assessment and
1. Get matched to a dedicated coach and/or therapist who can work with you to figure out next steps.

#### Should I see a coach or therapist from Modern Health?

{{< youtube "eyGIRMBrgrc" >}}

### Which areas does Modern Health support?

Modern Health cultivates the resilience needed to weather the ups and downs of everyday life. Here are the specific areas where we can help:

| Coaching Topic | Description |
| ----- | ---------- |
| **Work Performance** | Career Growth, Productivity, Leadership Skills, Work Relationships, Professional Development |
| **Relationships** | Romantic Relationships & Dating, Family, Friends, Breakups |
| **Stress & Anxiety** | Anxiety, Depression, Stress, Resilience |
| **Healthy Lifestyles** | Sleep, Physical Activity, Eating Well, Habits |
| **Financial Well-being** | Goals, Budgeting Savings and Debt, Management, Investing |
| **Diversity, Inclusion & Belonging** | Gender, Equality, Unconscious Bias, LGBTQ |
| **Life Challenges** | Pregnancy/Parenting, Elder/Child Care, Loss of a Loved One, Illness |
| **Mindfulness & Meditation** | Stress Less, Sleep Better, Focus Better, Meditation for Beginners |

Note: This list isn't intended to be comprehensive. Please reach out to `help@joinmodernhealth.com` with any questions about how or where to get started.

### How does Modern Health think about mental health?

The philosophy towards mental health comes from the World Health Organization (WHO): "in which every individual realizes his or her own potential, can cope with the normal stresses of life, can work productively and fruitfully, and is able to make a contribution to her or his community."

### How can Modern Health support my career goals?

Professional coaches from Modern Health can help you set, achieve, and stay accountable in your career and personal growth. Professional coaching through Modern Health is a great choice for individuals who have a skill they want to develop, like influence, leadership, or communication styles. Learn more about professional coaching at Modern Health in [this 42 second video](https://app.box.com/s/eaodx06qv9n6cope8koill1wx0onm2d7)

### Is Modern Health backed by science?

Modern Health's model is grounded in evidence-based approaches, primarily Cognitive Behavioral Therapy, Acceptance and Commitment Therapy, Motivational Interviewing, and Mindfulness.

### When do my Modern Health benefits reset?

These benefits reset annually on 03-20.
Note: Unused sessions do not rollover when your benefits reset.

### What languages/countries is Modern Health available in?

The platform is currently available in English and Spanish. If English or Spanish is not your preferred language, please note Care is provided in most languages. Feel free to email `help@joinmodernhealth.com` to find out more.

Modern Health is available globally.

For members that are recommended to therapy and are located in the United States, Canada, Mexico, Costa Rica, France, India, South Korea, Japan, Australia, Ireland, & United Kingdom, they will be able to match with a therapist right within the Modern Health application.

For members that are recommended to therapy and are located outside of one of these countries, the member will be notified that the Modern Health Care Matching team will reach out to the member directly to match them with the best fit therapist based on their needs and their assessment. These members will be introduced to their therapist via email. If a member in this scenario would like to change their therapist, please reach out to help@modernhealth.com.

For members in any location that are not initially recommended to therapy (perhaps, they are recommended to Coaching or another modality of care), but would like to engage with a therapist, we ask that they contact our Member Support team at help@modernhealth.com to express their needs and they will work to make an appropriate match.

### What family members are eligible for Modern Health?

Eligible family members are defined as a team member's spouse, legal/domestic partner, children up to the age of 27, and/or children of the team member's legal/domestic partner up to the age of 27.

Adult family members 18+ have full access to Modern Health's resources via the app and their own set of 6 Coaching and 6 Therapy sessions.

Minor Family Members:

- In the US, family members of all ages can be invited to participate in Therapy via Modern Health.
- Globally outside the US, family members ages 13-17 can be invited to participate in Therapy via Modern Health
- In both instances, the eligible parent and/or legal guardian will be responsible for facilitating the minor dependent's introduction to Modern Health. Modern Health will work with the parent/guardian in connecting the minor dependent to Therapy
- Coaching is not available for minors.

### Team Member & Family Registration

You can register via the Modern Health Mobile App or on your Desktop Browser:

- Visit [my.joinmodernhealth.com](https://my.joinmodernhealth.com) on your desktop browser or download the Modern Health app in the [Google Play Store (Android)](https://play.google.com/store/apps/details?id=com.modernhealth.modernhealth) or [App Store (iOS)](https://itunes.apple.com/us/app/modern-health/id1445843859?ls=1&mt=8) & select "Join Now".
- Use the first and last name you have on file with GitLab.
- Verify using your company email.
- Enter your GitLab email and the password of your choice. (Reminder that you must register with your GitLab email, but you can change your Modern Health account email to your personal email in Settings upon registration.)
- Select "Register" on the web or "Agree & Join" on the mobile app to complete registration.

Once you are registered you can you grant access to your eligible family members via the Modern Health app

- You can invite your adult family members (18+) through the Modern Health app using these [instructions](https://support.modernhealth.com/hc/en-us/articles/360045577552-How-do-I-invite-my-dependents-)
- You can invite minor family members through Modern Health app using these [instructions](https://support.modernhealth.com/hc/en-us/articles/5386344007451-How-do-I-invite-my-minor-dependents-)

If you have trouble registering for Modern Health, please don't hesitate to reach out to `help@joinmodernhealth.com` with a note or screenshot. Their customer support team will verify the information against what they have on file to provide you the best instructions on how to successfully access Modern Health. For new starters, please note that your account might not be immediately available but will be within the first 14 days.

### What is the well-being assessment, and why should I take it?

Similar to an annual physical with your primary care physician, Modern Health's well-being survey serves as a check up for your mental health. You can retake the survey to track your progress overtime.

Your well-being score empowers experts at Modern Health to provide you the best user experience. It enhances the customization of your personalized wellness plan, which makes it more effective in addressing your specific needs. Although the ups and downs in well-being score are inevitable, the data-driven approach keeps up with how you're doing over time to support you with the tools to improve no matter where your score is at today.

### Care

**What is coaching?**

Coaching is a collaborative process to help you make important changes in your personal and professional life. Your coach is there to help you figure out how you want to change and the steps you need to take to do so. Your coach's job is to help you organize your thoughts, emotions, and goals and break things down into smaller steps that create forward movement and growth. The client is the driver of these sessions, while the coach is there to provide reflection, clarity, and accountability.

**What is therapy?**

Therapy is talk-based mental health treatment delivered by licensed clinicians to help with mental health needs. Therapy is appropriate if there is a clinical concern, as defined by the duration of symptoms (e.g., most of the time for two weeks) and their severity (e.g., interfering with someone's ability to function in an important area of life). Those with a clinical need essentially experience symptoms (e.g., depression, anxiety) that are strong, last a long time, and impact the ability to function.

**What is the difference between coaching and therapy?**

Modern Health's belief is that anyone can benefit from working with a coach, and some people need therapy in addition to or instead of coaching. The primary difference between coaching and therapy is that therapy is conducted by licensed mental health professionals who are trained to treat clinical difficulties (e.g., depression, anxiety), whereas coaches work on non-clinical issues (e.g., personal growth, financial well-being, and professional development). You can maybe think about it as the difference between seeing an orthopedic surgeon and a physical therapist. If you have broken your leg, you should see a surgeon since they are uniquely qualified to support you. But if you've sprained your ankle, a physical therapist is a much better fit. Not only would seeing a surgeon be more intense than you need, but physical therapists are better trained to help you gain strength. In this metaphor, therapists serve as the surgeon and coaches serve as the physical therapist.

Here is a breakdown of the different types of providers in our coaching and therapy networks:

Coaching: Coaches work with individuals to help them have the kind of lives they want. While there is no specific degree or license required to practice as a coach, all Modern Health coaches are rigorously vetted, certified, and trained in evidence-based approaches.

Therapy: Therapy can be provided by therapists or psychologists. Therapists can have a variety of titles (counselors, therapists, clinicians, etc.). What they have in common is a master's degree (M.A., or M.S.) in clinical psychology or a related field and are licensed in the state in which they practice. Common licenses include Licensed Marriage and Family Therapist (LMFT), Licensed Clinical Social Worker (LCSW), and Licensed Professional Counselor(LPC). These therapists are also trained in the assessment and treatment of
mental health concerns. Psychologists have a doctoral degree (Ph.D., or Psy.D.) in clinical psychology or a related field such as counseling psychology or education and are licensed in the state in which they practice. They are trained in the assessment and treatment of mental health concerns.

**Why do I only see coaching as an option?**

Based on your answers to the well-being survey, Modern Health will determine the appropriate care for your level of well-being needs and direct you to match with either a coach and/or a therapist. We believe that everyone can benefit from working with a coach and some people can benefit from working with a therapist if they have a clinical need.

If you weren't matched to a therapist based on your well-being survey, but would still like to be matched with a therapist, you can reach out to help@joinmodernhealth.com and notify the Care Team that you were matched to coaching, but would like to be matched to a therapist. The Care Team will then work with you on your preferences, areas of focus, etc. and make sure you receive great matches for therapy.

**How do you match me to a provider?**

Modern Health matches you to appropriate coach based on a proprietary algorithm that takes into account your well-being assessment and areas you want to focus on.

**How often should I meet with my coach or therapist?**

How often you meet with your coach or therapist depends on your personal situation. Some people like to meet weekly, whereas others meet every month or two.

**Can I complete sessions with my partner or a family member?**

Yes, you are able to use your sessions with your partner or a family member. If you choose to do so, each completed session will count as one of your covered sessions.  Please discuss this directly with your coach or therapist.

**What can I expect during my first coaching session?**

During the first session, your coach will kick things off with an introduction to what coaching is and what you can expect during the session, including reviewing confidentiality (nothing you discuss is shared with Modern Health or your employer unless you request more support or need crisis resources). They will then ask you a few questions to better understand what you hope to get out of the coaching experience and what a successful experience would be for you. By setting expectations up front, the coach will be able to better help you identify personal goals and take steps towards achieving them. In subsequent sessions, the coach will follow up on any action items to understand their impact and you will together come up with next steps. The standard coaching session is 30 minutes and takes place over video, usually every two weeks or once a month.  In between sessions, you are encouraged to reach out to your coach with any follow up questions or advice via Modern Health's digital messaging tool in the app as well as utilize the digital CBT and meditation programs.

**What can I expect during my first therapy session?**

Similar to coaching, therapists will start each session with an introduction and review of expectations and confidentiality to make sure that you feel comfortable with them and the process. They will then ask you a series of questions to get a better understanding of your symptoms and background to best identify how you can work together to achieve your goals. After this initial assessment, they will work collaboratively with you to formulate a treatment plan and review different methods to help you address your needs (e.g. Cognitive Behavioral Therapy, Acceptance and Commitment Therapy, Dialectical Behavior Therapy). They will likely give you some follow up action items that you can take away from the session.  In follow up sessions they will review specific action items and alter your treatment plan based on your needs. Typically, therapist visits will be 45-50 minutes in length and occur in person or via video, often weekly.

**How should I prepare for my first session?**

Before your first session, we encourage you to ask yourself a few questions. As with many other aspects of your life, the more effort you put into your coaching and/or therapy experience, the more you'll get out of it. These can help guide your initial conversations with your coach or therapist.

- Where do you want to start?
  - You might have a lot of areas of interest (e.g., you want to learn mindfulness, and work on your finances). Spend some time thinking about where you want to get started before your first visit. What is most on your mind or stressing you out?
- Do you know what your goals are or do you need help figuring that out?
- What do you want to get out of coaching or therapy?
- What do you want your coach to be like? Do you want someone who holds you accountable, who is a cheerleader, who challenges you?
- How do you want your life to look when you are done? What does success look like?

**What happens if my provider isn't a good fit?**

Our goal at Modern Health is to find someone that you feel you can do good work with and who can do good work with you! If you think the first person you meet with doesn't seem like a good fit, just let the Modern Health team know (help@joinmodernhealth.com) and they will connect you with someone new.

### Modern Health Manager Resources

Managers can set up Coaching Sessions through Modern Health to receive guidance on managing a team, including advice on how to best support your team's mental health.

Once you register for your Modern Health account, you can add "Managing Others and Supporting a Team" to your topics of focus and schedule a session.

In addition to Coaching, please see additional Modern Health Manager Resources:

- [How To Lead Conversations Around Mental Wellness Video](https://youtu.be/P0jk8fIDlt8?list=PLZoFVlbgk0-O7jumbk28ItgOUjVrGUFdy) & [Flyer](https://drive.google.com/file/d/1sPNzCQGjfFuaqvgQ2w_d5hM_u3bEKSbP/view?usp=sharing)
- [Steps to address Stress & Burnout in the Workplace](https://drive.google.com/file/d/1WrhE2uXtRjhsi8EjkY26Lu_IzNH3lo0p/view?usp=sharing)
- [Self-Guided Digital Resources for Managers](https://drive.google.com/file/d/1yEE4W-ttxC7pumjzius97hnE_g_Ggtlv/view?usp=sharing)

### Logistics

- You have unlimited access to your coach over text and/or email.
- Coaching and therapy sessions are held over video/phone.
- If you need to miss a scheduled session please let your coach/therapist know at least 24 hours before your appointment. If you cancel after that time, or miss the session, it will count towards your total covered sessions.
- Remember that the [GitLab PTO policy](/handbook/people-group/paid-time-off/) and a [non-linear workday structure](/handbook/company/culture/all-remote/non-linear-workday/) are meant to enable you to make time for your mental health. Team members should feel empowered to make an appointment for therapy in the middle of the day or take time off to attend an appointment.

**What do I do if I need support in between sessions?**

Beyond sessions, your coach is available through chat to check in on your progress toward your goals, as well as provide ad hoc support when situations come up that you might need advice on, but don't need a full session for. To chat with your coach, click the blue text bubble on the bottom center of the mobile app.

Note: Modern Health is not a crisis resource. If you are experiencing a mental health emergency, please go to the nearest emergency room or contact a local emergency response line. You can find local and international resources by selecting "Information" on the bottom right of your mobile app, and then clicking the red "Access to 24/7 Crisis Information" banner at the top of the screen.

### Confidentiality and Security

**Does my employer know if I'm using Modern Health?**

No, a list of new GitLab team members is sent to Modern Health on a weekly basis so they can update GitLab's database but whether a team member chooses to use Modern Health or not is confidential and will not be shared with GitLab. All information submitted through the Modern Health application is kept confidential and used to deliver a more personalized experience. No individual usage data will ever be shared back with your employer.

**Is what I discuss with my coach/therapist confidential?**

All information between you and your coach is confidential, except in the following cases:

- You are at risk of harming themselves and/or others
- Child, elder adult, or dependent adult abuse
- Court subpoenas

**How do you protect my information?**

Hypertext Transfer Protocol Secure (HTTPS) encryption measures for all data exchanged between our members and the application. Conversations are encrypted in transit via SSL (TLS v1.2) and each conversation (between a member and a provider) has its own encryption key which is stored in a separate, secure management system. Message contents are encrypted upon receipt by the web server and are transported and stored in internal systems.

### Crisis Support

**What do I do in a crisis?**

If you are experiencing a crisis (e.g., thoughts about suicide, thoughts about harming yourself or others, medical crisis, or in a dangerous situation) please call:

- emergency responders (911 or the [appropriate local emergency number for your area](https://en.wikipedia.org/wiki/List_of_emergency_telephone_numbers))
- in the US (988 or https://988lifeline.org/)
- in the US/Canada, (https://suicidepreventionlifeline.org/ or 1-800-273-8255) or [a crisis line in your area](https://en.wikipedia.org/wiki/List_of_suicide_crisis_lines)
- head to the nearest emergency room.

### Modern Health Weekly Reporting

The purpose of the Modern Health Weekly Reporting is to share a list of new team members to Modern Health to ensure that anyone who joins GitLab will have access to Modern Health within one week of their hire date. The information that Modern Health requires from us are: employee number, names, work emails, hire date, country, department and job title.

Instructions for Total Rewards:

- Pull the Modern Health Workday report
- Sort by hire date, remove anyone who hasn't started and copy the report
- Open the `Modern Health Upload` spreadsheet on the google drive and paste the report under a new tab
- Rename the tab to today's date
- Download as a CSV file
- Email the file the secure upload using Box
