---
title: "Chief of Staff to the CEO"
---

The Chief of Staff to the CEO is a very talented individual who serves as a trusted advisor and confidant to the Chief Executive Officer (CEO). The Chief of Staff to the CEO and the CEO work closely together to get twice as much done as the CEO would be able to do alone. The Chief of Staff to the CEO leads the Office of the CEO at GitLab.

This is a senior leadership role. This role does not do any work our [Executive Business Administrators](/job-families/people-group/executive-business-administrator/) (EBAs) are already doing, for example, calendaring. The Chief of Staff to the CEO has some EBA support. A detailed list of the types of projects the Chief of Staff to the CEO might work on can be found in the Chief of Staff to the CEO [handbook page](/handbook/ceo/office-of-the-ceo/#what-projects-does-the-cost-work-on).

## Job Grade

The Chief of Staff to the CEO is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Q&A Videos

- [2019-07-24 Chief of Staff to the CEO Q&A Video with the CEO](https://youtu.be/uUwmlJfim6U)
- [2021-12-15 Chief of Staff partnership with the CEO Q&A Video](https://youtu.be/jdlNhxFTAnM)

## Responsibilities

The responsibilities include both directed work that will mostly be triggered by a direction from the CEO as well as leadership work that is self-directed. The mix will shift from majority directed work to majority leadership work. As the Head of the Office of the CEO, the Chief of Staff to the CEO is responsible for managing team members within the Office of the CEO and supporting their success in their roles.

### Directed Work

1. Create written material and presentations on behalf of the CEO.
1. Suggest changes to processes via [the handbook](/handbook/about/handbook-usage/) based on discussions during meetings or from the CEO and address any comments on them. The [CEO shadows](/handbook/ceo/shadow/) will keep doing the majority of these.
1. Ensure upcoming [E-Group Weekly](/handbook/company/e-group-weekly/) meetings are relevant, well structured, and that the preparation is complete and correct.
1. Moderate the [E-Group](/handbook/company/structure/#e-group) meetings.
1. Ensure action points coming out of meetings (i.e. executive, OKR, key, or incident meetings) are implemented.
1. Reinforce [communication guidelines](/handbook/communication/).
1. Prep for the CEO [Quarterly Kick-offs](/handbook/company/gitlab-all-company-meetings/#quarterly-kickoff).
1. Draft blog posts and articles about areas of interest to the CEO.

### Leadership Work

1. Initiate and guide the OKR process according to the [OKR schedule](/handbook/company/okrs/#schedule).
1. Identify opportunities to acknowledge success and ensure that they are appropriately recognized by the CEO.
1. Review OKR suggestions during the [scheduled OKR meetings](/handbook/company/okrs/#schedule) and outside of the meetings.
1. Own agenda for the [E-Group offsite](/handbook/company/offsite/).
1. Serve as a proxy for the CEO by attending meetings in place of the CEO and making decisions on the CEO's behalf.
1. Participate in every E-Group meeting. The person will not be an executive or part of the E-Group, but they will take part in E-Group activities.
1. Act as a communication arm for the CEO with team members and other stakeholders.
1. Act as a sounding board to the CEO for new ideas and initiatives.
1. Prepare ahead of formal and informal Board meetings. Ensure CEO has up to date information from every function in advance of questions from the board.
1. Run special projects that are urgent and important, for example building a company wide [compensation model](/handbook/total-rewards/compensation/compensation-calculator/).
1. Lead key [many-functional efforts](/handbook/ceo/office-of-the-ceo/#many-functional).

## Requirements

1. Capacity to be a [senior leader](/handbook/company/structure/#senior-leaders) at GitLab.
1. Proven ability to quickly learn new things.
1. Concise written and verbal communication.
1. Ability to work during Pacific Time (PT) friendly hours.
1. Structured about how to prioritize work and time.
1. Able to make a clear business case for proposals.
1. Master's degree in Engineering or Business Administration or equivalent experience.
1. Experience with data analysis.
1. Proven success in project coordination and reporting.
1. Proven track record of effectively interacting with senior stakeholders on cross-functional projects.
1. Experience leading a team.
1. 5+ years combined experience in:
   - Senior operating role at a significant fast-growing startup,
   - Strategy consulting,
   - or Venture capital.
1. 3+ years people management experience.
1. Operational experience in a previous role.
1. Ability to use GitLab.

### Preferred Requirements

1. Knows how to use git.

## Performance Indicators

- [Meetings shifted from CEO - hours spent in meetings decreases overtime by Chief of Staff to the CEO stepping in, supported by Internal Consultants](/handbook/ceo/office-of-the-ceo/performance-indicators/#executive-time-for-the-ceo)
- [Throughput - Issues or merge requests closed as measurement of projects iterated on](/handbook/ceo/office-of-the-ceo/performance-indicators/#throughput-for-the-cost)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

   1. Qualified candidates will be invited to schedule a 25 minute screening call with a Recruiter
   1. Next, candidates will be invited to schedule a 25 minute interview with the CEO
   1. Then, candidates will be invited to schedule a 50 minute interview with the Director, Strategy & Operations and a 50 minute interview with the Senior Engineering Manager, Infrastructure (second team member)
   1. In tandem, candidates will be asked to complete a project
   1. Next, candidates will be invited to schedule a 50 minute interview with the Chief Revenue Officer and a 50 minute interview with the Chief Technology Officer
   1. Then, candidates will be asked to complete another project
   1. Next, candidates will be invited to a 80 minute face to face interview with the CEO
   1. Finally, candidates may be asked to do another call with a Board Member, CEO Mentor, or other industry professional

As always, the interviews and screening call will be conducted via a [video call](/handbook/communication/#video-calls). See more details about our interview process [here](/handbook/hiring/interviewing/).

## References

- [What Is a Chief of Staff to the CEO and When Do You Need One?](https://www.bridgespan.org/insights/library/careers/chief-of-staff-role#sidebar-two) by Madeleine Niebauer 2018-09-26
- [The Chief of Staff to the CEO role in Silicon Valley](https://medium.com/@juliadewahl/the-chief-of-staff-role-in-silicon-valley-182eb93e636e) by Julia DeWahl 2019-04-29
- [The Unrepentant Generalist: How to Be a Great Chief of Staff in Tech](https://www.nehrlich.com/blog/2019/10/31/how-to-be-a-great-chief-of-staff-in-tech/)
- [NYT: Hail to the Chief of Staff](https://www.nytimes.com/2019/11/07/style/what-does-a-chief-of-staff-do.html)
- 2020 March: [Chief of Staff in the Tech Industry](https://medium.com/@alexismonville/chief-of-staff-in-the-tech-industry-c7dc3a43dae6)
- [Emilie Schario's Notes on the CoS to the CEO Book](https://docs.google.com/document/d/1ZjWmqhv78eic57gxR825FvC9GMHo91pYakb3Jc7ximU/edit?usp=sharing)
- [Chief of Staff Tech Network](https://costechnetwork.com/)
- [Chief of Staff Resources](https://www.chiefofstaff.expert)
- [Prime Chief of Staff](https://primechiefofstaff.com)
- [The First 90 Days](https://medium.com/@robdickins/a-90-day-impact-plan-for-a-new-chief-of-staff-97768d9b04bd)
- [I've Logged 10,000 Hours as a Chief of Staff in a Large Tech Company](https://medium.com/@robdickins/ive-logged-10-000-hours-as-a-chief-of-staff-in-a-large-tech-company-here-s-my-pov-on-the-role-7c4aa095f5e8)
- [The Role of a Corporate Chief of Staff](https://medium.com/cos-tech-forum/part-1-the-role-of-a-corporate-chief-of-staff-8db0142318f1)
- [Better CoS to the CEO: Decision Making](https://medium.com/@robdickins/better-cos-decision-making-5d97d14152e3)
- [Becoming a Chief of Staff with Brian Rumao](https://www.linkedin.com/learning/become-a-chief-of-staff-with-brian-rumao)
- [HBR: The Case for a Chief of Staff](https://hbr.org/2020/05/the-case-for-a-chief-of-staff)
- [How a Chief of Staff Makes Leaders more Effective](https://www.inc.com/inc-masters/how-a-chief-of-staff-makes-leaders-more.html)
