---
title: Strategy and Operations
description: The Strategy and Operations team are GitLab's internal strategy consultants who move from problem to problem in different functional areas.
---

The Strategy and Operations team are GitLab's internal strategy consultants who move from problem to problem in different functional areas. This team also plays an operational role in helping to support key initiatives while supporting the Chief of Staff to the CEO and CEO.

## Levels

### Senior Strategy and Operations Manager

The Senior Strategy and Operations Manager reports to the [Chief of Staff to the CEO](/job-families/chief-executive-officer/chief-of-staff/) or another designated individual within the Strategy and Operations Team.

#### Senior Strategy and Operations Manager Job Grade

The Senior Manager Strategy and Operations is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) role.

#### Senior Strategy and Operations Manager Responsibilities

- Achieve results on assigned projects and activities
- Support the creation of prepared materials, content, and programs
- Translate practical needs into technical and/or business requirements
- Support one or two projects on an ongoing basis
- Provide input into the broader strategy
- Demonstrate GitLab values in all work

#### Senior Strategy and Operations Manager Requirements

- Detail-oriented forward thinker
- Ability to influence cross-functionally without direct authority
- Strong business acumen and application of company priorities
- Excellent written, verbal, and technical communicator
- Able to manage work to meet deadlines
- Track record of being a manager of one
- Demonstrated ability to take a project from ideation through to implementation
- Ideally, 2+ years experience in high growth startup environments
- Familiarity with the industry is a plus
- Ability to use GitLab

### Staff Strategy and Operations

The Staff Strategy and Operations reports to the [Chief of Staff to the CEO](/job-families/chief-executive-officer/chief-of-staff/) or another designated individual within the Strategy and Operations Team.

#### Staff Strategy and Operations Job Grade

The Staff Strategy and Operations is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) role.

#### Staff Strategy and Operations Responsibilities

- Extends that of the Sr. Manager of Strategy and Operations requirements
- Fill in knowledge gaps of the Chief of Staff to the CEO
- Identify procedural gaps in existing workflows and work to resolve with optimization, automation, and data
- Support the creation of prepared materials (documents, decks) for the Chief of Staff to the CEO and the CEO
- Support special projects that are urgent and important
- Execute on projects and ongoing assignments for the Chief of Staff to the CEO
- Readiness to partner directly with the CEO, Office of the CEO, or other Strategy and Operations Team members on high priority initiatives
- Determine long-term owners outside of the Strategy and Operations team for initiatives and asks that are best served through a functional home. Partner with future owners to ensure that ownership and responsibilities are understood and agreed upon
- Demonstrate GitLab values in all work

#### Staff Strategy and Operations Requirements

- Detail-oriented forward thinker
- Excellent written, verbal, and technical communicator
- Experience making data-driven decisions
- Able to manage multiple tasks with competing timelines and deliverables
- Track record of leadership independent of role
- History of working cross-functionally to move projects forward
- Evidence of success in leading key business initiatives. Demonstrated ability to take a project from ideation through to implementation
- Experience at a strategy consulting firm is preferred
- Ideally, 2+ years experience in high growth startup environments
- Familiarity with the industry is a plus
- Ability to use GitLab

### Principal Strategy and Operations

The Principal Strategy and Operations reports to the [Chief of Staff to the CEO](/job-families/chief-executive-officer/chief-of-staff/).

#### Principal Strategy and Operations Job Grade

The Principal Strategy and Operations is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) role.

#### Principal Strategy and Operations Responsibilities

- Extends that of the Staff Strategy and Operations responsibilities
- Collaborate cross-functionally with counterparts throughout the business
- Identify opportunities to improve business efficiency and make changes to improve the business
- Translate practical needs into technical and/or business requirements

#### Principal Strategy and Operations Requirements

- Extends that of the Staff Strategy and Operations requirements
- Track record of success as an individual contributor or manager
- Ability to work collaboratively and drive results with junior and senior team members
- Strategic or operational work experience, preferably both
- 5+ years of work experience. Ideally, 2+ years experience in high growth startup environments

### Director of Strategy and Operations

The Director of Strategy and Operations reports to the [Chief of Staff to the CEO](/job-families/chief-executive-officer/chief-of-staff/).

#### Director of Strategy and Operations Job Grade

The Director of Strategy and Operations is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) role.

#### Director of Strategy and Operations Responsibilities

- Responsible for the success of 1-3 high priority, cross-functional initiatives at any given moment. For example, market entries, pricing and packaging projects, important communications, and organizational realignments
- Fill in gaps in other parts of the business when there are short-term vacancies or a lack of relevant skills or capacity
- Collaborate cross-functionally with senior counterparts throughout the business
- Identify opportunities to improve business efficiency and make changes to improve the business
- Prepare materials (documents, decks) for the Chief of Staff to the CEO and the CEO
- Translate practical needs into technical and/or business requirements
- Execute on projects and ongoing assignments for the Chief of Staff to the CEO and/or CEO
- Demonstrate GitLab values in all work

#### Director of Strategy and Operations Requirements

- Track record of leadership independent of role
- Ability to work collaboratively and drive results with senior leadership
- Strategic and operational work experience
- Detail-oriented forward thinker
- Excellent written, verbal, and technical communicator
- Experience making data-driven decisions
- Able to manage multiple tasks with competing timelines and deliverables
- History of working cross-functionally to move projects forward
- Evidence of success in leading key business initiatives. Demonstrated ability to take a project from ideation through to implementation
- Experience at a strategy consulting firm and/or working across multiple functions at a fast growing company
- 8+ years of work experience. Ideally, 4+ years experience in high growth startup environments
- Familiarity with the industry is a plus
- Ability to use GitLab

### Senior Director of Strategy and Operations

The Senior Director of Strategy and Operations reports to the [Chief of Staff to the CEO](/job-families/chief-executive-officer/chief-of-staff/).

#### Senior Director of Strategy and Operations Job Grade

The Senior Director of Strategy and Operations is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) role.

#### Senior Director of Strategy and Operations Responsibilities

- Owns initiatives of great importance to the business and consistently delivers great results
- Act as a [DRI](/handbook/people-group/directly-responsible-individuals/) for top priority initiatives. Play a leadership role in achieving desired business outcomes for projects of high importance to the business
- Exercise great autonomy in guiding a project, including leading decision making. This means both having good discretion in making decisions and escalating and involving others, as appropriate
- Enter projects of great complexity at any point (scoping, alignment, execution, etc.) and can successfully align key stakeholders and steward them toward results
- Can lead when projects have limited scoping and asks are abstract
- Fill in gaps in other parts of the business when there are short-term vacancies or a lack of relevant skills or capacity
- Collaborate cross-functionally with senior counterparts throughout the business
- Identify opportunities to improve business efficiency and make changes to improve the business
- Prepare materials (documents, decks) for the Chief of Staff to the CEO and the CEO
- Translate practical needs into technical and/or business requirements
- Execute on projects and ongoing assignments for the Chief of Staff to the CEO and/or CEO
- Demonstrate GitLab values in all work

#### Senior Director of Strategy and Operations Requirements

- Evidences the ability to seemlessly align cross-functional stakeholders in important initiatives with tradeoffs and
dependencies to achieve project goals
- Can directly partner with the CEO and other E-Group leaders on projects of importance. Proactively flags areas that need input, and can proactively lead projects
- Exercises great discretion. Knows when to ask for input, how to effectively work with other team members, and is aware of business sensitivities
- Can fill in for the Chief of Staff to the CEO on an interim basis
- Track record of leadership independent of role
- Strategic and operational work experience
- Can build strong partnership relationships with other Director+ leaders
- Detail-oriented forward thinker
- Excellent written, verbal, and technical communicator
- Experience making data-driven decisions
- Able to manage multiple tasks with competing timelines and deliverables
- History of working cross-functionally to move projects forward
- Evidence of success in leading key business initiatives. Demonstrated ability to take a project from ideation through to implementation
- Is viewed as a role model for how to work within GitLab
- Experience at a strategy consulting firm and/or working across multiple functions at a fast growing company
- 8+ years of work experience. Ideally, 4+ years experience in high growth startup environments
- Some familiarity with DevOps
- Ability to use GitLab

### Specialties

#### Strategy and Operations (Data)

- Extends that of the Staff or Principal level Strategy and Operations
- Hands on experience in a data analytics/engineering/science role
- Experience working with senior leadership to define and measure KPIs and other operating metrics
- Familiarity with proxy metrics where actual measurements aren't available
- Deep understanding of SQL, relational databases (we use Snowflake)
- Familiarity with system observability data (logs, metrics, traces) is preferred (we use Elastic Stack)
- Familiarity with data management policies and regulations (GDPR, SOX, PCI) is preferred
- Ability to take meetings with and work synchronously with folks in Pacific Time

#### Strategy and Operations (Operations)

- Extends that of the Senior Manager, Staff, Principal, or Director level Strategy and Operations
- Experience leading ongoing projects and initiatives
- Proven ability to manage cross-functional projects with folks at different levels of the business
- Track record of moving key initiatives from idea to delivery
- Experience in setting goals and driving toward quantifiable results
- Ability to operate [iteratively](/handbook/values/#iteration)
- Ability to take meetings with and work synchronously with folks in Pacific Time

#### Strategy and Operations (Technical)

- Extends that of the Staff, Principal, or Director level Strategy and Operations
- Deeply understands and is able to synthesize the market, competition, and upcoming solutions in the DevOps space
- Proven ability to manage cross-functional projects. Need to not only excel in operating at a strategic level but also need to understand when to dive deep to keep the project on track
- Technical background and clear understanding of developer products. Familiarity with Git, Continuous Integration, Containers, Kubernetes, and Project Management software a plus
- Ability to find opportunities where teams need to collaborate with each other and help them make those decisions that are optimal for the company even if they maybe sub-optimal in the short term for particular groups
- Ability to take meetings with and work synchronously with folks in Pacific Time

#### Strategy and Operations (Workplace)

- Extends that of the Senior Manager, Staff, Principal, or Director level Strategy and Operations
- Clearly articulate, communicate, and evangelize Workplace OS
- Create supporting documentation and curriculum
- Secure opportunities to amplify and showcase Workplace OS in different mediums
- Facilitate and drive certifications and learning opportunities globally for Workplace OS
- Demonstrate expertise in GitLab values, operating principles, and ways of working

#### Strategic Technical Partnership Manager for JiHu

- Extends that of the Staff, Principal, or Director level Strategy and Operations
- Is GitLab's key point of contact with [JiHu](https://about.gitlab.com/blog/2021/03/18/gitlab-licensed-technology-to-new-independent-chinese-company/), an indepedent company in China that is licensed to sell GitLab software
- Has experience with B2B and startup tech businesses in China
- Has a proven ability to manage strategic business alliances and support external groups while coordinating with the internal team, including finance, sales, legal, technical and other team members
- Has cross-functional and operational experience. This should include direct experience in supporting the operations of different business functions
- Has experience in building and managing relationships with folks at executive and more junior levels
- Has enough technical understanding to help coordinate required activities between JiHu and GitLab Inc. For instance, understands repos and licensing
- Can speak Mandarin and read Simplified Chinese
- Can work with some overlap with PST and CST timezones. This role would likely be based somewhere in APAC. Not based in China, Macau, or Hong Kong

#### Strategy and Operations (Content)

- Extends that of the Senior Manager, Staff, Principal, or Director level Strategy and Operations
- Proven ability to write high-quality, long-form or short-form content on complex topics
- Captures the voice of the CEO in key internal and external communiations
- Manages end-to-end development of content with internal teams, ensuring all production deliverables are met on-time and within scope on multiple concurrent projects
- Strategically translates messaging into accurate, targeted, and compelling content
- Ability to produce multiple blogs, LinkedIn posts, and Twitter blasts each week
- 3+ years in a content-related role
- Proven experience writing for technical audiences on one or more of the following topics: Coding, DevOps, Cloud Computing, IT Infrastructure, Cyber Security, or Application Security
- In-depth industry experience and knowledge in a specialty

## Performance Indicators

- [Throughput - Issues or merge requests closed as measurement of projects iterated on](/handbook/ceo/office-of-the-ceo/performance-indicators/#throughput-for-the-office-of-the-ceo)

In addition, we are exploring [additional ways to measure performance](/handbook/ceo/office-of-the-ceo/#measuring-results).

## Career Ladder

This is a cross-functional role, so team members will have exposure to broader parts of the organization. They may choose to join other teams. They may also be considered for the [Chief of Staff to the CEO role](/job-families/chief-executive-officer/chief-of-staff/) as the Chief of Staff to the CEO completes the rotation.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/)

- Qualified candidates will be invited to schedule a 30 minute screening call with one of our global recruiters
- Next, candidates will be invited to schedule a 50 minute interview with a team member from another department
- Then, candidates will be invited to schedule a 50 minute interview with the Chief of Staff to the CEO and be asked to complete a homework assignment
- Next, candidates will be invited to schedule a 50 minute interview with a member of our Engineering team and be asked to complete a product assessment
- Then candidates will be invited to schedule a 50 minute interview with our CLO or another member of the executive team
- Finally, candidates will meet with our CEO who will conduct the final interview

As always, the interviews and screening call will be conducted via a video call. See more details about our hiring process on the [hiring handbook](/handbook/hiring/).
