---
title: "Cloud Native Engineer"
---

Cloud Native Engineers at GitLab work with our
[Distribution](/job-families/engineering/backend-engineer/#distribution) team to create and
maintain a Cloud Native GitLab deployment, along with all associated
upgrade and release management methods.

## Requirements

- Experience with Docker and Kubernetes in production use cases
- Chef experience (writing complex cookbooks from scratch, custom providers, custom resources, etc.)
- Extensive Linux experience, comfortable between Debian and RHEL based systems
- Running applications at scale in Kubernetes
- Transforming existing applications to cloud native oriented applications
- Designing, building and packaging cloud native applications
- Positive and solution-oriented mindset
- English written and verbal communication skills
- Effective communication skills: Regularly achieve consensus with peers, and clear status updates
- An inclination towards communication, inclusion, and visibility
- Experience owning a project from concept to production, including proposal, discussion, and execution.
- Demonstrated ability to work closely with other parts of the organization
- Share our values, and work in accordance with those values
- Ability to thrive in a fully remote organization
- Self-motivated and self-managing, with strong organizational skills.
- Ability to use GitLab

## Responsibilities

- Deploying, building, and configuring deployment methods of GitLab for
  Kubernetes
- Promoting best practices for development and deployment in a Cloud Native
  environment
- Keep current with new technologies and developments in the Cloud Native space
- Constantly improve product quality, security, and performance
- Write good code
- Catch bugs and style issues in code reviews
- Ship small features independently

## Levels

Level progression for Cloud Native Engineers follows the pattern described
for our [Developer roles](/job-families/engineering/backend-engineer/#levels).

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates receive a short questionnaire from our Recruiting team
- Selected candidates will be invited to schedule a 30min [screening call](/handbook/hiring/#screening-call) with our Recruiting team
- Next, candidates will be invited to schedule a first 45 minute [behavioral interview](/handbook/hiring/#behavioral-questions-star) with the hiring manager
- Next, candidates will be invited to schedule a [technical interview](/handbook/hiring/interviewing/technical/) with a team manager
- Candidates will then be invited to schedule an interview with Director of Backend
- Candidates will then be invited to schedule an additional interview with VP of Engineering
- Finally, candidates may be asked to interview with the CEO
- Successful candidates will subsequently be made an offer via email

As always, the interviews and screening call will be conducted via a video call.
See more details about our hiring process on the [hiring handbook](/handbook/hiring/).
