---
title: Associate Backend Engineer
---

Backend Engineers at GitLab work on our product. This includes both the open source version of GitLab, the enterprise editions, and the GitLab.com service as well. They work with peers on teams dedicated to areas of the product. They work together with product managers, designers, and frontend engineers to solve common goals.

<a id="associate-responsibilities"></a>

## Responsibilities

- Develop features and improvements to the GitLab product in a secure,
  well-tested, and performant way
- Collaborate with Product Management and other stakeholders within Engineering (Frontend, UX, etc.) to maintain a high bar for quality in a fast-paced, iterative environment
- Advocate for improvements to product quality, security, and performance
- Solve technical problems of moderate scope and complexity.
- Craft code that meets our internal standards for style, maintainability, and best practices for a high-scale web environment. Maintain and advocate for these standards through code review.
- Conduct [Code Review](/handbook/engineering/workflow/code-review/) within our [Code Review Guidelines](https://docs.gitlab.com/ee/development/code_review.html) and ensure community contributions receive a swift response.
- Represent GitLab and its values in public communication around specific projects and community contributions.
- Confidently ship small features and improvements with minimal guidance and support from other team members. Collaborate with the team on larger projects.

<a id="associate-requirements"></a>

## Requirements

- Experience with Ruby on Rails **or** [language](#primary-programming-language) required by the specialty
- Experience with any other technologies that may be required by the specialty
- Proficiency in the English language, both written and verbal, sufficient for success in a remote and largely asynchronous work environment
- Demonstrated capacity to clearly and concisely communicate about technical, and/or organizational problems and propose thorough iterative solutions
- Comfort working in a highly agile, [intensely iterative](/handbook/values/#iteration) software development process
- Ability to onboard and integrate with an organization long-term
- Positive and solution-oriented mindset
- Effective communication skills: [Regularly achieve consensus with peers](/handbook/values/#collaboration), and clear status updates
- An inclination towards communication, inclusion, and visibility
- [Self-motivated and self-managing](/handbook/values/#efficiency), with strong organizational skills.
- Ability to work closely with other parts of the organization
- Share [our values](/handbook/values/), and work in accordance with those values
- Ability to thrive in a fully remote organization
- Ability to use GitLab

<a id="associate-nice-to-haves"></a>

## Nice-to-haves

- Experience in a peak performance organization, preferably a tech startup
- Experience with the GitLab product as a user or contributor
- Product company experience
- Experience working with a remote team
- Enterprise software company experience
- Developer platform/tool industry experience
- Experience working with a global or otherwise multicultural team
- Computer science education or equivalent experience
- Passionate about/experienced with open source and developer tools

### Professional Experience

At GitLab, due to the pace we're moving, people joining our team will be expected to have **significant** professional experience in the
[primary programming language](#primary-programming-language) of the specialty that they'll be joining.
Because the majority of our codebase is written in Ruby, even in specialized roles, a knowledge of Ruby and Ruby on Rails or a desire to learn and contribute is necessary.

For context, see this merge request with some [history on this policy](https://gitlab.com/gitlab-com/www-gitlab-com/merge_requests/2695).

---

### Primary programming language

Some specialties within GitLab are using primary programming languages other than Ruby.
These programming languages are defined as being primary in terms of an engineer's experience and what they'll be writing day to day.
The expectation from the specialty is that engineers will have extensive experience in this primary programming language
as well as some level of understanding of Ruby and Ruby on Rails.

## Levels

- Associate
- [Intermediate](/job-families/engineering/backend-engineer/#intermediate-backend-engineer)
- [Senior](/job-families/engineering/backend-engineer/#senior-backend-engineer)
- [Staff](/job-families/engineering/backend-engineer/#staff-backend-engineer)

## Job Grade

The Associate Backend Engineer is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to complete a short written assessment.
- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 90 minute technical interview with either a Backend Engineer or a Backend Engineering Manager
- Next, candidates will be invited to schedule a 45 minute behavioral interview with an Engineering Manager
- Candidates will then be invited to schedule a 60 minute interview with a Senior Manager or Director of Engineering
- Successful candidates will subsequently be made an offer.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
