---
title: Intermediate Fullstack Engineer
---

Fullstack Engineers work across the backend and frontend parts of our product. This includes both the open-source version of GitLab, the enterprise editions, and the GitLab.com service. They work with peers on teams dedicated to areas of the product. They work together with product managers, designers, [backend engineers](/job-families/engineering/backend-engineer/), and [frontend engineers](/job-families/engineering/development/frontend/) to solve common goals.

## Job Grade

The Intermediate Fullstack Engineer is a [grade](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) 6 job.

## Responsibilities

- Develop features and improvements to the GitLab product in a secure, well-tested, and performant way
- Analyze and interpret highly complex data to arrive at actionable recommendations
- Collaborate with Product Management and other stakeholders within Engineering (e.g. UX) to maintain a high bar for quality in a fast-paced, iterative environment
- Advocate for improvements to product quality, security, and performance
- Solve technical problems of moderate scope and complexity.
- Craft code that meets our internal standards for style, maintainability, and best practices for a high-scale web environment. Maintain and advocate for these standards through code review.
- Represent GitLab and its values in public communication around specific projects and community contributions.
- Confidently ship small features and improvements with minimal guidance and support from other team members. Collaborate with the team on larger projects.
- Participate in Tier 2 or Tier 3 weekday and weekend and occasional night [on-call rotations](/handbook/engineering/development/processes/infra-dev-escalation/process/) to assist troubleshooting product operations, security operations, and urgent engineering issues.

## Requirements

- Professional experience with Ruby and Rails
- Professional experience with JavaScript and associated web technologies (CSS, semantic HTML)
- Proficiency in the English language, both written and verbal, sufficient for success in a remote and largely asynchronous work environment
- Demonstrated capacity to clearly and concisely communicate about complex technical, architectural, and/or organizational problems and propose thorough iterative solutions
- Experience with performance and optimization problems and a demonstrated ability to both diagnose and prevent these problems
- Comfort working in a highly agile, [intensely iterative](/handbook/values/#iteration) software development process
- Demonstrated ability to onboard and integrate with an organization long-term
- Positive and solution-oriented mindset
- Effective communication skills: [Regularly achieve consensus with peers](/handbook/values/#collaboration), and clear status updates
- An inclination towards communication, inclusion, and visibility
- Experience owning a project from concept to production, including proposal, discussion, and execution.
- [Self-motivated and self-managing](/handbook/values/#efficiency), with strong organizational skills.
- Demonstrated ability to work closely with other parts of the organization
- Share [our values](/handbook/values/), and work in accordance with those values
- Ability to use GitLab
- Ability to thrive in a fully remote organization

## Nice-to-haves

- Experience working with modern frontend frameworks (eg. React, Vue.js, Angular)
- Experience in a peak performance organization, preferably a tech startup
- Experience with the GitLab product as a user or contributor
- Product company experience
- Experience working with a remote team
- Enterprise software company experience
- Developer platform/tool industry experience
- Experience working with a global or otherwise multicultural team
- Computer science education or equivalent experience
- Passionate about/experienced with open source and developer tools

## Levels

- Intermediate

## Specialties

### Growth

The [Growth sub-department](/handbook/engineering/development/growth/) analyzes the entire customer journey from the acquisition of a customer, to the flow across multiple GitLab features, and even reactivation of lost users. They work in small groups with a product manager, product designer, and a data analyst to scale GitLab usage by connecting users to the existing value that GitLab already delivers.

#### Growth Requirements

- Due to the nature of our tech stack, the volume and complexity of work is weighted more strongly towards backend, rather than frontend.

### Software Supply Chain Security

The [Software Supply Chain Security sub-department](/handbook/engineering/development/sec/software-supply-chain-security/) contributes to development in the [Sec](/handbook/product/categories/#sec-section) section.

#### Software Supply Chain Security Requirements

- Passion for security.
- Understanding of all levels of OSI network model and common network protocols.
- Understanding of infrastructure & application deployment models (Kubernetes, Docker, AWS/GCP/Azure).
- Understanding of detecting and preventing attacks at the network, container, operating system, and application level.

## Performance Indicators

- [Backend Unit Test Coverage](/handbook/engineering/development/performance-indicators/#backend-unit-test-coverage)
- [Frontend Unit Test Coverage](/handbook/engineering/development/performance-indicators/#frontend-unit-test-coverage)
- [Open MR Review Time (OMRT)](/handbook/engineering/development/performance-indicators/#open-mr-review-time-omrt)
- [Open MR Age (OMA)](/handbook/engineering/development/performance-indicators/#open-mr-age-oma)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
{Insert hiring process steps here.}

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
