---
title: Director, Engineering
---

Directors in Engineering at GitLab see their team as their product. While they are technically credible and know the details of what engineers work on, their time is spent safeguarding their team's health, hiring a world-class team, and putting them in the best position to succeed. They own the delivery of product commitments and are always looking to improve productivity. They must also coordinate across departments to accomplish collaborative goals. Directors will often be given ambiguous ill-defined problems with the implicit goal of gaining clarity and driving execution/direction.

## Job Grade

The Director, Engineering is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

- Prioritization of hiring efforts to focus on areas of most need and quickly recruit top engineering talent
- Motivate and communicate across multiple levels of their department
- Have successful peer partnerships with other department leaders in Engineering, and cross-functionally (Product Management, sales, marketing, alliances, etc)
- Provide a consistent/successful interface between Engineering Development and Product Management
- Development, measurement, and management of key metrics for group's performance
- Drive high throughput
- Standardize the development process where needed, allow local differences where advantageous

## Requirements

- Excellent communication skills
- Expert hiring manager skills and experience
- Experience managing managers, and a strong people management philosophy for both managers and engineers.
- Track record of structuring, staffing, and maintaining a high-performing organization that is resourced appropriately and cost-effectively.
- Ability to coordinate complex technical projects that span multiple teams, while providing high-level progress updates in clear, business-friendly terms.
- Ability to develop long-term technical roadmaps and broker architectural decisions across teams.
- Experience prioritizing technical debt at the organizational level, identifying risks, and balancing short-term delivery with long-term system health.
- Expertise in agile methodologies, with a focus on optimizing overall organizational velocity and execution against business goals.
- Demonstrate longevity at, at least, one recent job
- Ability to be successful managing at a remote-only company
- Humble, servant leader

## Levels

- Senior Engineering Manager
- Director, Engineering
- Senior Director, Engineering
- VP, Development

## Performance Indicators

- [Hiring Actual vs. Plan](/handbook/engineering/performance-indicators/#engineering-hiring-actual-vs-plan)
- [Team/Group MR Rate](/handbook/engineering/development/performance-indicators/#mr-rate)
- [Team/Group Review To Merge Time (RTMT)](/handbook/engineering/development/performance-indicators/#review-to-merge-time-rtmt)
- [Handbook Update Frequency](/handbook/engineering/development/performance-indicators/#handbook-update-frequency)

## Hiring Process

Candidates for this position can generally expect the hiring process to follow the order below. Note that as candidates indicate preference or aptitude for one or more specialties, the hiring process will be adjusted to suit. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/#screening-call) with one of our Technical Recruiters
- Next, candidates will be invited to schedule a 60 minute first interview with a VP of Development
- Next, candidates will be invited to schedule a 45 minute second interview with a Director, Engineering
- Next, candidates will be invited to schedule a 45 minute third interview with another member of the Engineering team
- Next, candidates will be invited to schedule a 45 minute fourth interview with a member of the Product team
- Next, candidates will be invited to schedule a 45 minute fifth interview with the Chief Technology Officer
- Finally, candidates may be asked to schedule a 50 minute final interview with our CEO
- Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
