---
title: "Distinguished Engineer"
---

## Distinguished Engineer Roles at GitLab

Distinguished Engineers are recognized experts in multiple technology domains within GitLab, and represent the senior technical leadership within their organization and throughout the company at large. They are responsible for helping shape the future direction of the organization, assisting management establish strategic roadmaps, and driving priorities to meet objectives. They also have a strong track record of growing and influencing others, working with all levels of senior leadership, and fostering the psychological safety and happiness of members of their team. This role reports to Director-level managers.

Unless otherwise specified, all Distinguished Engineer roles at GitLab share the following requirements and responsibilities.

<a id="intermediate-requirements"></a>

## Job Grade

The Distinguished Engineer is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Requirements

### General

- 10+ years of experience, at least 4 in a lead position (such as Engineering Manager or Staff Engineer)
- Creative thinker and problem solver, able to distill complex problems down to actionable items with boring solutions
- Ability to thrive in a fully remote organization
- Ability to use GitLab

### Technical

- Deep and broad knowledge of current and emerging technologies that affect the business
- Expert on GitLab's product, architecture and workflow at both typical and large scale
- Expert in designing, implementing, and troubleshooting major portions of a production stack

### Communication

- Proficiency in the English language, with excellent written and oral communication skills
- An inclination towards communication, inclusion, visibility, and transparency

### Leadership

- Experience in leading teams technically

## Responsibilities

### General

- Develop architecture and systems that meet the test of time iteratively
- Provide a point of escalation for teams facing extremely complex technical challenges
- Attain a measurable impact on the work of teams across the company
- Achieve a wide sphere of influence

### Technical

- Identify challenges and technical interdependencies and suggest solutions to address them
- Use quantitative analysis to impact key business decisions

### Communication

- Evangelize successful adoption and use of tooling and technologies
- Lead conversations to encourage collaboration across teams
- Present at relevant events (e.g., conferences, user groups, meetups, webinars)
- Write extensively about technology applicable to GitLab (e.g., blog posts, white papers)
- Develop and/or consult on internal training programs
- Embody the GitLab values and demonstrate humility in the way they interact with individuals

### Leadership

- Take central role in decision making for technical, business, and organizational issues
- Teach, mentor, grow, and advise other domain experts, individual contributors, and teams in the organization
- Build technology and organizational bridges to key organizational partners
- Work with key customers in assigned areas to address technical challenges
- Exemplify GitLab values through code, reviews, communications, and processes (following and setting)

### Ops and Enablement

#### Requirements

- Proficient in Golang, Ruby, SQL and other relevant technologies
- Expert in low level development and debugging of memory and performance issues
- Expertise in Docker and Kubernetes platform development
- Expert in the Continuous Integration and Continuous Delivery product space
- Expert and deep knowledge of the GitLab code base

#### Responsibilities

- Provide technical direction for the department by being an expert in the Ops and Enablement space
- Deliver POCs to quickly identify direction and gaps in proposed architecture and feature development
- Collaborates across groups to help them improve their skills (development and security)
- Collaborates with Product Management to help properly position and advance our product in the market
- Meet with customers and prospects to discuss our DevOps capabilities
- Provide technical support to our customer-facing organizations
- Present and attend conferences to evangelize and represent the GitLab Product
- Collaborate with our internal Security Department on technical initiatives
- Participate in technical interviews for  Development

### Secure

#### Requirements

- In depth knowledge of SAST, DAST, Dependency Scanning, Container Scanning
- Expertise in Kubernetes and Openshift
- Proficient in Golang, SQL, and shell scripting

#### Responsibilities

- Provide technical direction for the team by being an expert in the security product space
- Engage with the Secure team PM regularly to collaborate on vision items and provide technical details around our competitive landscape
- Collaborates with the Secure team Engineering Manager to improve process and simplify implementation
- Collaborates with our PMM team to help properly position and advance our product in the market
- Meet with customers and prospects to discuss our Security Products and provide technical support to our customer facing teams
- Present and attend conferences to evangelize and represent the Secure team
- Benchmark new security tools for integration with our Security Products
- Collaborate with our internal Security team on technical initiatives
- Work with our internal security researchers to define their deliverables and set expectation
- Participate in technical interviews for the Secure team
- Assist the Secure team engineers with feature development and technical debt issues

## Career Ladder

For more details on the engineering career ladders, please review the [engineering career development](/handbook/engineering/careers/#roles) handbook page.
