---
title: Engineering Manager
---

The Engineering Manager specializes in Engineering Management as a manager of people.
Engineering Managers at GitLab see their team as their product.
While they are technically credible and know the details of what engineers work on, their time is spent safeguarding their team's health,
hiring a world-class team, and putting them in the best position to succeed.
They own the delivery of product commitments and are always looking to improve productivity.
They must also coordinate across departments to accomplish collaborative goals.

## Job Grade

The *Engineering Manager* role is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

- Manage a [team](/handbook/engineering/starting-new-teams/#team-construction) of engineers.
- Help your engineers grow their skills and experience
- Author project plans for epics
- Run agile project management processes
- Provide guidance and coaching to team members on technical contributions, product architecture, and other areas.
- Maintain empathy for the team by keeping awareness of engineering processes and practices. Examples might be: evaluating individual workflow during one on ones, conducting code reviews, or working on non-critical path bugs and/or features.
- Actively seek and hire globally-distributed talent
- Conduct managerial interviews for candidates, and train the team to do technical interviews
- Contribute to the sense of psychological safety on your team
- Generate and implement process improvements
- Hold regular [1:1s](/handbook/leadership/1-1/) with all members of their team
- Give regular and clear feedback around the [individual's performance](/handbook/leadership/1-1/suggested-agenda-format/)
- Foster technical decision making on the team, but make final decisions when necessary
- Draft quarterly OKRs and [Engineering KPIs](/handbook/company/kpis/#engineering-kpis)
- Improve product quality, security, and performance
- May have more than one specialty on their team, per our [shared manager team](/handbook/engineering/starting-new-teams/#team-construction) concept
- Participate in the [Incident Management on-call rotation](/handbook/engineering/infrastructure/incident-management/#incident-manager-responsibilities) to help ensure the availability goals for GitLab.com are met, by working with reliability engineers and development team members.

## Requirements

- Ability to use GitLab
- Exquisite brokering skills: regularly achieve consensus amongst departments
- Demonstrated progressive experience in a leadership role with current technical experience
- In-depth technical experience in at least one of the core languages, frameworks, or technologies used by the team
- Familiarity with other functional areas of your team
- Any additional experience required by the position's specialty
- Excellent written and verbal communication skills
- You share our [values](/handbook/values/), and work in accordance with those values

## Nice-to-haves

- Experience in a peak performance organization
- Working knowledge of the backend technologies used by your team such as Ruby on Rails or Go
- Working knowledge of modern frontend frameworks such as React or Vue.js
- Product company experience
- Startup experience
- Enterprise software company experience
- Computer science education or equivalent experience
- Passionate about open source and developer tools

## Levels

- Senior [Frontend](/job-families/engineering/development/frontend/senior/),
  [Backend](/job-families/engineering/development/backend/senior/),
  or [Fullstack](/job-families/engineering/development/fullstack/#job-grade) Engineer
- Engineering Manager
- [Senior Engineering Manager](/job-families/engineering/development/management/senior-manager/)

## Performance Indicators

Engineering Managers have the following job-family performance indicators. Performance indicators for a Manager role usually apply to the team, meaning the manager and their direct reports.

- [Key Performance Indicators](/handbook/engineering/development/performance-indicators/#key-performance-indicators)
  - [Past Due Infradev Issues](/handbook/engineering/development/performance-indicators/#past-due-infradev-issues)
  - [Open MR Review Efficiency (OMRE)](/handbook/engineering/development/performance-indicators/#open-mr-review-efficiency-omre)
  - [Development Team Member Retention](/handbook/engineering/development/performance-indicators/#development-team-member-retention)
  - [Development Average Age of Open Positions](/handbook/engineering/development/performance-indicators/#development-average-age-of-open-positions)

- [Regular Performance Indicators](/handbook/engineering/development/performance-indicators/#regular-performance-indicators)
  - [Development Department MR Rate](/handbook/engineering/development/performance-indicators/#development-department-mr-rate)
  - [New Hire Average Location Factor](/handbook/engineering/development/performance-indicators/#development-department-new-hire-average-location-factor)
  - [Open MR Age (OMA)](/handbook/engineering/development/performance-indicators/#open-mr-age-oma)
  - [Open To Merge](/handbook/engineering/development/performance-indicators/#open-to-merge)
  - [Overall MRs By Type](/handbook/engineering/development/performance-indicators/#overall-mrs-by-type)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to a 60 minute interview with the Hiring Manager.
- Candidates will then be invited to a 60 minute peer interview with another Engineering Manager
- Candidates may then be invited to a 60 minute product manager interview
- Candidates may then be invited to a 60 minute interview with a senior leader in the development department (optional)
- Successful candidates will subsequently be made an offer

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
