---
title: "Principal Engineer"
---

## Principal Engineer Roles at GitLab

Principal Engineers are recognized experts in multiple technology domains relevant to GitLab, and represent the senior technical leadership within their organization. They are responsible for driving the direction of their part of the organization, assisting management and other senior technical leaders create strategic roadmaps, and driving priorities to meet various objectives. This role reports to Senior Manager and above.

## Job Grade

The Principal Engineer is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

Share our values, and work in accordance with those values.

- Collaborates and makes proposals across several teams on their engineering work, and helps their team members make informed decisions in alignment with the sub-department strategic plans.
- Proactively identifies opportunities to reuse or generalize existing services and product features. Avoids duplication of effort by encouraging collaboration.
- Exposes technology and organizational needs throughout their department.
- Teach, mentor, grow, and provide advice to other domain experts, individual contributors, across several teams in their sub-department.
- Play a central role in technical, business, and organizational contributions affecting the sub-department/department.
- Plan improvements and features with a 6 month view.
- Solves technical problems of the highest scope, complexity, and ambiguity for their sub-department.
- Interfaces with EMs and Senior Manager or above and enables Staff Engineers to engage on department-level aspects of larger (sub-department wide) initiatives.
- Looks for innovation opportunities between several teams with a willingness to experiment and to boldly confront problems of large complexity and scope.
- Proposes initial technical implementation which supports architectural changes that solve scaling and performance problems.
- Ensures that OKR level goals are aligned across several teams in their sub-department.
- Guides conversations to remove blockers and encourage collaboration across teams.
- Provides a point of escalation for sub-department teams facing complex technical challenges.
- Attain a measurable impact on the work of sub-department teams.
- Interact with customers and other external stakeholders as a consultant and spokesperson for the work of your sub-department.
- Exposes the work of the sub department and their business impact internally.
- Knowledgeable in all specialities practiced within the Department or Sub Department
- Participate in either Tier 2 or Tier 3 weekday and weekend and occasional night [on-call rotations](/handbook/engineering/development/processes/infra-dev-escalation/process/) to assist troubleshooting product operations, security operations, and urgent engineering issues **OR** the [Incident Management on-call rotation](/handbook/engineering/infrastructure/incident-management/#incident-manager-responsibilities) to help ensure the availability goals for GitLab.com are met, by working with reliability engineers and development team members.
- Complete [Interview Training](/hiring/conducting-a-gitlab-interview/#interviewer-training-requirements) in support of hiring efforts for the department. Participation as either a technical interviewer or part of their team's interview panel may be expected from hiring managers, given ongoing hiring needs.

## Career Ladder

For more details on the engineering career ladders, please review the [engineering career development](/handbook/engineering/careers/#roles) handbook page.
