---
title: VP of Development
---

Engineering Managers at GitLab see their team as their product. While they are technically credible and know the details of what engineers work on, their time is spent safeguarding their team's health, hiring a world-class team, and putting them in the best position to succeed. They own the delivery of product commitments and are always looking to improve productivity. They must also coordinate across departments to accomplish collaborative goals. Engineering Leadership at GitLab is cross-discipline. A VP of Development unifies and focuses all development for a particular product.

## Responsibilities

- Drive recruiting of a world class team at all levels
- Help their (senior) directors, senior managers, managers, and engineers grow their skills and experience
- Measure and improve the happiness of Engineering
- Make sure the handbook is used and maintained in a transparent way
- *Implement* technical and process improvements that are causal to most critical needs
- *Participate and support* a sense of psychological safety of the department
- *Drive* quarterly OKRs around company goals
- *Define* the agile project management process
- *Be accountable for* product quality, security, and performance
- Work across departments within engineering
- Work closely with Senior leaders of Product Management to provide a consistent/successful interface between Engineering Development and Product Management
- Support constantly changing priorities between product features, availability, performance, security and reliability
- Support process for incident management including quality control of RCAs

## Job Grade

The VP of Development is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).
This role extends the [Senior Director, Development](/job-families/engineering/development/management/senior-director/) role.  It expands the role to cover
full functional and product capabilities at GitLab.

## Performance Indicators

- [Sale Renewal CSAT](/handbook/engineering/development/performance-indicators/#sales-renewal-csat)
- [Hiring Actual vs. Plan](/handbook/engineering/performance-indicators/#engineering-hiring-actual-vs-plan)
- [Team/Group MR Rate](/handbook/engineering/development/performance-indicators/#mr-rate)
- [Team/Group Review To Merge Time (RTMT)](/handbook/engineering/development/performance-indicators/#review-to-merge-time-rtmt)
- [Handbook Update Frequency](/handbook/engineering/development/performance-indicators/#handbook-update-frequency)

## Hiring Process

Candidates for this position can generally expect the hiring process to follow the order below. Note that as candidates indicate preference or aptitude for one or more specialties, the hiring process will be adjusted to suit. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/#screening-call) with one of our Technical Recruiters
- Next, candidates will be invited to schedule a 60 minute first interview with a Director of Engineering
- Next, candidates will be invited to schedule a 45 minute second peer interview with an Engineering Manager
- Next, candidates will be invited to schedule a 45 minute third interview with another member of the Engineering team
- Next, candidates will be invited to schedule a 45 minute fourth interview with a member of the Product team
- Next, candidates will be invited to schedule a 45 minute fifth interview with our VP of Engineering
- Finally, candidates may be asked to schedule a 50 minute final interview with our CEO
- Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
