---
title: "Engineering Leadership - Roles & Responsibilities"
---

The Engineering Leadership becomes a cross-discipline management.
A [Senior Engineering Manager](/job-families/engineering/development/management/senior-manager)
manages [Engineering Managers](/job-families/engineering/development/management/engineering-manager/)
with fullstack teams (frontend, backend, and fullstack engineers), and/or Engineering Individual Contributors (frontend, backend, and fullstack engineers)

## Levels

### Senior Manager, Engineering

- The Senior Manager, Engineering role extends the [Engineering Manager](/job-families/engineering/development/management/engineering-manager/) role.
- The Senior Manager, Engineering reports to the [Director, Engineering](#director-engineering).

#### Senior Manager, Engineering Job Grade

The  Senior Manager, Engineering is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Engineering Responsibilities

- Manage up to six engineering teams
- Conduct managerial interviews for candidates, and train engineering managers to do said interviews
- Generate and implement process improvements, especially cross-team processes
- Hold regular [1:1s](/handbook/leadership/1-1/) with team managers and skip-level 1:1s with all members of their team
- Management mentorship

#### Senior Manager, Engineering Requirements

- Professional experience as an engineer in at least one primary language or framework of the organization, or a closely related language or framework.
- Ability to discuss architectural concepts and systems design, and to broker technical decisions at a high-level between individual contributors.
- Experience across the devops lifecycle, with deep understanding of at least one area.
- Exposure to automation through CI/CD pipelines.
- An understanding of multiple delivery and distribution strategies, including an ability to maintain velocity within GitLab's dual cadence of continuous deployment and a monthly release cycle.
- Understanding of a variety of security principles and best practices including the ability to ensure a secure development process.
- Understands how to maintain and enforce Quality Assurance through testing frameworks and code review standards.
- Ability to communicate technical concepts to non-technical stakeholders.
- Past experience (3 to 5 years) as an engineering manager.
- Proven track record of execution that demonstrates an understanding of the software development lifecycle.
- Ability to understand, communicate and improve the quality of multiple teams
- Demonstrate longevity at, at least, one recent job
- Ability to be successful managing at a remote-only company
- Humble, servant leader
- Ability to use GitLab

#### Senior Manager, Engineering Nice-to-have Requirements

- Be a user of GitLab, or familiar with our company
- Prior Developer Platform or Tool industry experience
- Prior product company experience
- Prior high-growth startup experience
- Experience working on systems at massive (i.e. consumer) scale
- Deep open source experience
- Experience working with global teams
- We value diversity, inclusion and belonging in leadership
- Be inquisitive: Ask great questions

### Principal Engineer

- The Principal Engineer reports to the [Senior Manager, Engineering](#senior-manager-engineering).

#### Principal Engineer Job Grade

The Principal Engineer is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Principal Engineer Responsibilities

- The Principal Engineer role acts as the individual equivalent of a Senior Engineering Manager, Development.
- Extends that of the [Staff Frontend Engineer](/job-families/engineering/development/frontend#staff-frontend-engineer) and the [Staff Backend Engineer](/job-families/engineering/development/backend/#staff-backend-engineer) responsibilities
- Collaborates and makes proposals across several teams on their engineering work, and helps their team members make informed decisions in alignment with the sub-department strategic plans.
- Exposes technology and organizational needs across their sub-department.
- Teach, mentor, grow, and provide advice to other domain experts, individual contributors, across several teams in their sub-department.
- Play a central role in technical, business, and organizational contributions affecting the sub-department/department.
- Plan improvements and features with a 6 month view.
- Solves technical problems of the highest scope, complexity, and ambiguity for their sub-department.
- Interfaces with EMs and Senior management, and enables Staff Engineers to engage on department-level aspects of larger (sub-department wide) initiatives.
- Looks for innovation opportunities between several teams with a willingness to experiment and to boldly confront problems of large complexity and scope.
- Proposes initial technical implementations which support architectural changes that solve scaling and performance problems.
- Ensures that OKR level goals are aligned across several teams in their sub-department.
- Guides conversations to remove blockers and encourage collaboration across teams.
- Provides a point of escalation for sub-department teams facing complex technical challenges.
- Attain a measurable impact on the work of sub-department teams.
- Interact with customers and other external stakeholders as a consultant and spokesperson for the work of your sub-department.
- Exposes the work of the sub department and their business impact internally.
- Knowledgeable in all specialities practiced within the Department or Sub Department

#### Principal Engineer Requirements

- Extends either the [Staff Frontend Engineer](/job-families/engineering/development/frontend#staff-frontend-engineer) or the [Staff Backend Engineer](/job-families/engineering/development/backend/#staff-backend-engineer) requirements

### Director, Engineering

- The Director of Engineering role reports to the [Senior Director, Development](/job-families/engineering/engineering-management/#senior-director-development).

#### Director, Engineering Job Grade

The  Director, Engineering is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Engineering Responsibilities

- Extends that of the [Senior Manager, Engineering](#senior-manager-engineering) responsibilities

#### Director, Engineering Requirements

- Excellent communication skills
- Expert hiring manager skills and experience
- Experience managing managers, and a strong people management philosophy for both managers and engineers.
- Experience managing relationships with external vendors.
- Track record of structuring, staffing, and maintaining a high-performing organization that is resourced appropriately and cost-effectively.
- Ability to coordinate complex technical projects that span multiple teams, while providing high-level progress updates in clear, business-friendly terms.
- Ability to develop long-term technical roadmaps and broker architectural decisions across teams.
- Ability to use understanding of both established systems and general industry direction to help guide strategic decisions.
- Experience prioritizing technical debt at the organizational level, identifying risks, and balancing short-term delivery with long-term system health.
- Expertise in agile methodologies, with a focus on optimizing overall organizational velocity and execution against business goals.
- Thorough understanding of Security practices across the entire software lifecycle from product security to threat management.
- Demonstrate longevity at, at least, one recent job
- Ability to be successful managing at a remote-only company
- Humble, servant leader

#### Director, Engineering Nice-to-have Requirements

- Be a user of GitLab, or familiar with our company
- Prior Developer Platform or Tool industry experience
- Prior product company experience
- Prior high-growth startup experience
- Experience working on systems at massive (i.e. consumer) scale
- Deep open source experience
- Experience working with global teams
- We value diversity, inclusion and belonging in leadership
- Be inquisitive: Ask great questions

### Distinguished Engineer

*The Distinguished Engineer reports to the [Director, Development](/job-families/engineering/engineering-management/#director-engineering).

#### Distinguished Engineer Job Grade

The Distinguished Engineer is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Distinguished Engineer Responsibilities

- The Distinguished Engineer role acts as the individual equivalent of a Director, Engineering
- Extends that of the [Principal Engineer](#principal-engineer) responsibilities
- At this level the person's contribution plays to their strength and role on the team. These contributions come in different forms such as: Ship *large* feature sets with team, completes *feature discovery* independently, publishes technical blogs and speaks at conferences, interfaces with customers and provides technical direction to stakeholders (Product, Sales, others)
- *Generate* technical and process improvements
- Contribute to the sense of psychological safety on your team
- Work cross-departmentally
- Be a technical mentor for other backend engineers
- Author architecture documents for epics
- Hold team members accountable within their roles

#### Distinguished Engineer Requirements

- Extends that of the [Principal Engineer](#principal-engineer) requirements

### Senior Director, Development

*The Senior Director, Development reports to the [VP of Development](#vp-of-development).

#### Senior Director, Development Job Grade

The  Senior Director, Development is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director, Development Responsibilities

- This role is defined by the functional area(s) the person manages
- Extends that of the [Director, Engineering](#director-engineering) responsibilities
- Organizational credibility: Past experience in managing an entire functional area of Engineering
- Prioritization of hiring efforts to focus on areas of most need and quickly recruit top engineering talent
- Motivate and communicate across multiple levels of their department
- Have successful peer partnerships with other department leaders in Engineering, and cross-functionally (Product Management, sales, marketing, alliances, etc)
- Provide a consistent/successful interface between Engineering Development and Product Management
- Development, measurement, and management of key metrics for functional area's performance
- Drive high throughput
- Standardize the development process where needed, allow local differences where advantages
- Help shift the organization toward CD over time

#### Senior Director, Development Requirements

- Extends that of the [Director, Engineering](#director-engineering) requirements

### Senior Distinguished Engineer

The Senior Distinguished Engineer reports to the [Senior Director, Development](/job-families/engineering/engineering-management/#senior-director-development) or [Director, Engineering](/job-families/engineering/engineering-management/#director-engineering) of their sub-department.

#### Senior Distinguished Engineer Job Grade

The Senior Distinguished Engineer is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Distinguished Engineer Responsibilities

- The Senior Distinguished Engineer role acts as the individual equivalent of a Senior Director, Engineering
- Extends that of the [Distinguished Engineer](#distinguished-engineer) responsibilities
- At this level the Senior Distinguished Engineer's minimal sphere of influence is across multiple sub-departments if not across their entire department
- *Generate* technical and process improvements
- Drive innovation within Engineering
- Identifies the balance between the immediate and long term impact of technical direction and guides the organisation to execution in this balance
- Be a technical, architectural, and career development mentor for other backend engineers
- Author architecture documents for epics, coordinate the interaction between architectural directions across the engineering organization

#### Senior Distinguished Engineer Requirements

- Extends that of the [Distinguished Engineer](#distinguished-engineer) requirements

### Engineering Fellow

*The Engineering Fellow reports to the [VP of Development](#vp-of-development).

#### Engineering Fellow Job Grade

The Engineering Fellow is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Engineering Fellow Responsibilities

- The Engineering Fellow acts as the individual contributor equivalent of a VP of Engineering.
- Extends that of the [Senior Distinguished Engineer](#senior-distinguished-engineer) responsibilities
- Advocate for improvements to product quality, security, and performance that impact all of Engineering at GitLab.
- Solve technical problems of the highest scope and complexity for the entire
  organization.
- Exert significant influence on the overall objectives and long-range goals of GitLab.
- Ensure that our standards for style, maintainability, and best practices are suitable for the unique problems of scale and diversity of use represented by the GitLab product. Maintain and advocate for these standards through code review.
- Drive innovation across Engineering with a willingness to experiment and to boldly confront problems of immense complexity and scope.
- Actively seek out and prioritize our toughest technical challenges with a goal of creating significant improvement for GitLab's use, ease of development, and/or technical efficiency.
- Represent GitLab and its values in public communication in all aspects of our software development lifecycle and public relations. Interact with customers and other external stakeholders as a consultant and spokesperson for critical projects and aspects of our technical architecture.
- Provide mentorship for Senior and Staff Engineers at the company to help them grow in their technical responsibilities and to share your great expertise across the organization.
- Confidently ship immense or otherwise extremely high-impact features and improvements with minimal guidance and support from other members of the organization.
- Help create the sense of psychological safety in the department

#### Engineering Fellow Requirements

- Extends that of the [Distinguished Engineer](#distinguished-engineer) requirements

### VP of Development

The VP of Development reports to the [Chief Technology Officer](#chief-technology-officer).

#### VP of Development Job Grade

The VP of Development is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### VP of Development Responsibilities

- Exends that of the [Senior Director, Development](#senior-director-development) responsibilities.  It expands the role to cover full functional and product capabilities at GitLab
- Drive recruiting of a world class team at all levels
- Help their (senior) directors, senior managers, managers, and engineers grow their skills and experience
- Measure and improve the happiness of Engineering
- Make sure the handbook is used and maintained in a transparent way
- *Implement* technical and process improvements that are causal to most critical needs
- *Participate and support* a sense of psychological safety of the department
- *Drive* quarterly OKRs around company goals
- *Define* the agile project management process
- *Be accountable for* product quality, security, and performance
- Work across departments within engineering
- Work closely with Senior leaders of Product Management to provide a consistent/successful interface between Engineering Development and Product Management
- Support constantly changing priorities between product features, availability, performance, security and reliability
- Support process for incident management including quality control of RCAs

#### VP of Development Requirements

- Exends that of the [Senior Director, Development](#senior-director-development) requirements

## Performance Indicators

- [Response to Community SLO](/handbook/engineering/development/performance-indicators/#response-to-community-slo)
- [Hiring Actual vs. Plan](/handbook/engineering/performance-indicators/#engineering-hiring-actual-vs-plan)
- [Team/Group MR Rate](/handbook/engineering/development/performance-indicators/#mr-rate)
- [Handbook Update Frequency](/handbook/engineering/development/performance-indicators/#handbook-update-frequency)

## Career Ladder

For more details on the engineering career ladders, please review the [engineering career development](/handbook/engineering/careers/#roles) handbook page.

## Hiring Process

Candidates for this position can generally expect the hiring process to follow the order below. Note that as candidates indicate preference or aptitude for one or more specialties, the hiring process will be adjusted to suit. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/#screening-call) with one of our Technical Recruiters
- Next, candidates will be invited to schedule a 60 minute first interview with a Director of Engineering
- Next, candidates will be invited to schedule a 45 minute second peer interview with an Engineering Manager
- Next, candidates will be invited to schedule a 45 minute third interview with another member of the Engineering team
- Next, candidates will be invited to schedule a 45 minute fourth interview with a member of the Product team
- Next, candidates will be invited to schedule a 45 minute fifth interview with our VP of Engineering
- Finally, candidates may be asked to schedule a 50 minute final interview with our CEO
- Successful candidates will subsequently be made an offer via email

### Chief Technology Officer

The Chief Technology Officer reports to the Chief Executive Officer.

#### Chief Technology Officer Job Grade

The Chief Technology Officer is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Chief Technology Officer Responsibilities

- Drive recruiting of a world class team
- Collaborate with the CEO and [VP of Incubation Engineering](/job-families/engineering/incubation/management/vp/) on the 3-5 year vision
- Help their directors, senior managers, managers, and engineers grow their skills and experience
- Measure and improve the happiness of Engineering
- Make sure the handbook is used and maintained in a transparent way
- *Sponsor* technical and process improvements
- *Own* the sense of psychological safety of the department
- *Set* quarterly OKRs around company goals
- *Define* the agile project management process
- Spend time with customers to understand their needs and issues
- *Be accountable for* product quality, security, and performance

#### Chief Technology Officer Requirements

#### Chief Technology Officer Performance Indicators

- [Response to Community SLO](/handbook/engineering/development/performance-indicators/#response-to-community-slo)
- [Hiring Actual vs. Plan](/handbook/engineering/performance-indicators/#engineering-hiring-actual-vs-plan)
- [Development Department merge request rate](/handbook/engineering/development/performance-indicators/#development-department-mr-rate)
- [Diversity](/handbook/engineering/performance-indicators/#diversity)
- [Handbook Update Frequency](/handbook/engineering/performance-indicators/#handbook-update-frequency)
- [Team Member Retention](/handbook/engineering/performance-indicators/#team-member-retention)

#### Chief Technology Officer Hiring Process

Candidates for this position can generally expect the hiring process to follow the order below. Note that as candidates indicate preference or aptitude for one or more specialties, the hiring process will be adjusted to suit. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/#screening-call) with one of our Technical Recruiters
- Next, candidates will be invited to schedule a 60 minute first interview with a Director of Engineering
- Next, candidates will be invited to schedule a 45 minute second peer interview with an Engineering Manager
- Next, candidates will be invited to schedule a 45 minute third interview with another member of the Engineering team
- Next, candidates will be invited to schedule a 45 minute fourth interview with a member of the Product team
- Next, candidates will be invited to schedule a 45 minute fifth interview with our VP of Engineering
- Finally, candidates may be asked to schedule a 50 minute final interview with our CEO
- Successful candidates will subsequently be made an offer via email

---

*This is the typical reporting structure however deviations can be made based business need, technical alignment, current positions, career development, and/or organization size.
