---
title: Engineering Fellow
---

The Engineering Fellow role is the individual contributor [equivalent](/handbook/company/structure/#layers) to a VP of Engineering.

## Job Grade

The Engineering Fellow is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

- Help create the sense of psychological safety.
- Solve technical problems of the highest scope and complexity for the entire organization.
- Drive innovation across Engineering with a willingness to experiment and to boldly confront problems of immense complexity and scope.
- Advocate for improvements to product quality, security, and performance that impact all of Engineering at GitLab.
- Exert significant influence over GitLab's long-term goals and execution.
- Ensure that our standards for style, maintainability, and best practices are suitable for the unique problems of scale and diversity of use represented by the GitLab product.
- Drive significant improvements for GitLab's use, ease of development, and technical efficiency through effective collaboration and prolific technical contributions.
- Represent GitLab and its values in public communication in all aspects of our software development lifecycle and public relations. Interact with customers and other external stakeholders as a consultant and spokesperson for critical projects and aspects of our technical architecture.
- Provide mentorship for engineers, with a particular focus on Staff+ engineers, to help them grow in their responsibilities.
- Share expertise across the entire organization.
- Ship extremely high-impact features and improvements with minimal guidance and support from other members of the organization.
- Own the Architecture Evolution Workflow, including the Blueprint Review meeting.
- Manage the [Engineering Fellow Shadow Program](/handbook/engineering/fellow/shadow/).
- Help Engineering avoid the architecture ["ivory tower"](https://en.wikipedia.org/wiki/Ivory_tower).

## Specializations

### Infrastructure

- Drive the technical strategy for GitLab.com Infrastructure.
- Heavily influence product technical strategy with a focus on Infrastructure requirements.
- Make skill-gap recommendations for future hiring in Infrastructure and other departments.
- Author technical vision artifacts with >1 year time horizon.
- Assist teams throughout Engineering to interpret this vision into actionable backlogs.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 60 minute first interview with a VP of Development
- Next, candidates will be invited to schedule a 45 minute second interview with an Engineering Fellow
- Next, candidates will be invited to schedule a 45 minute third interview with another member of the Engineering team
- Next, candidates will be invited to schedule a 45 minute fourth interview with a Director of Engineering
- Next, candidates will be invited to schedule a 45 minute fifth interview with a Chief Technology Officer
- Finally, candidates may be asked to schedule a 50 minute final interview with our CEO
- Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
