---
title: "Incubation Engineer Roles"
description: "Incubation Engineers are experienced Full Stack Software Engineers with deep knowledge in a specific domain that are able to work independently to deliver a solution to market."
canonical_path: "/job-families/engineering/incubation/engineer/"
---

Incubation Engineers are experienced Software Engineers with deep knowledge in a specific domain that are able to work independently to deliver a solution to market.  The goal of an Incubation Engineer is to reach a [Viable](https://about.gitlab.com/direction/#maturity) level of maturity of their respective area within the GitLab project.

Incubation Engineers work within the [Incubation Engineering Department](/handbook/engineering/incubation/).

### Responsibilities

- Develop features and improvements in a secure, well-tested, and performant way
- Work closely with company leadership to guide GitLab's entry into the market represented by the SEG
- Interact with community members and help drive initial user adoption
- Develop strategies for scaling beyond the Incubation phase
- Craft code that meets our internal standards for style, maintainability, and best practices for a high-scale web environment. Maintain and advocate for these standards through code review.
- Regularly [demonstrate](/handbook/engineering/demos/#single-engineer-groups-demo) progress to stake holders
- Contribute to documentation and UI design as required

### Requirements

- Good technical skills - Ability to work across backend and frontend.  Experience with Ruby, Go, or Vue.js are particularly relevant given GitLab's current tech stack.
- Desire to work in a "startup within a startup" with a broad scope of ownership and high degree of autonomy.
- Demonstrated interest and experience in the subject matter.
- They must be excited about the ability to work independently, or have prior success in a similar model.
- Understand the competitive landscape and market opportunities in their area.
- Be comfortable with changing direction based on internal and external stakeholder feedback and market conditions.
- Experience across product management and software engineering. You'll have worked as an early-stage team member at start-ups or on projects that are pre-market fit.
- Ability to discuss tactics and strategies that will enable you to develop a vision for the SEG and deliver upon it iteratively.
- Ability to deliver despite ambiguity.
- Ability to build and sustain relationships with internal and external stakeholders.
- Understand and articulate market fit for the Incubation project you are leading.

#### Nice-to-haves

- Being a prior company technical cofounder
- Being an early contributor to a successful open source project
- Working successfully on a prior Incubation Engineering project
- Extensive familiarity with the GitLab project and application
- Experience working with people around the globe

## Levels

### Incubation Engineer

#### Incubation Engineer Job Grade

The Intermediate Incubation Engineer is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Incubation Engineer

#### Senior Incubation Engineer Job Grade

The Senior Incubation Engineer is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Incubation Engineer Requirements

- The engineer must meet the requirements for an [Incubation Engineer](#incubation-engineer) (or above).
- Great technical skills - Ability to work across backend, frontend, and infrastructure management code
- Ability to instrument qualitative and quantitative sensing mechanisms that will guide decisions and directions.
- Extensive experience across product management and software engineering. You'll have worked as a founding or early-stage team member at start-ups or on projects that are pre-market fit.

### Staff Incubation Engineer

#### Staff Incubation Engineer Job Grade

The Staff Incubation Engineer is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Staff Incubation Engineer Requirements

- The engineer must meet the requirements for a [Senior Incubation Engineer](#senior-incubation-engineer) (or above).
- Exemplary technical skills and architectural ability across front end, backend and Infrastructure.
- Ability to discuss tactics and strategies that will enable you to contribute to the vision for the SEG and deliver upon it iteratively.
- Ability to contribute to qualitative and quantitative sensing mechanisms that will help inform decisions and directions.
- Able to take on team leadership and mentoring responsibilities to provide guidance and support across the team.

## Performance Indicators

Incubation Engineers have the following Performance Indicators

- [SEG Category Maturity](/handbook/engineering/incubation/performance-indicators/#seg-category-maturity)
- [Community Engagement](/handbook/engineering/incubation/performance-indicators/#community-engagement)

## Career Ladder

For more details on the engineering career ladders, please review the [engineering career development](/handbook/engineering/careers/#roles) handbook page.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next candidates will meet the Hiring Manager.
- There will then be 2x Technical Interviews - one Frontend and one Backend.
- The next *optional* step is an architectural discussion
- Next you will meet a Product Manager
- The Final interview is with a senior member of the Incubation Engineering Department

Additional details about our process can be found on our [hiring page](/handbook/hiring)
