---
title: "Incubation Engineering Leadership"
---

The Incubation Engineering Leadership manage the [Incubation Engineering Department](/handbook/engineering/incubation/). The team members in this department focus on long-term trends and features that are too early to measure via usage or revenue, but are critical to the long term growth and success of GitLab. The projects this department works on align with the "new markets" [investment type](https://internal.gitlab.com/handbook/product/investment/). Long term, the budget for this area will be ~10% of R&D.

## Levels

### Director, Incubation Engineering

*The Director, Incubation Engineering reports to the [VP of Incubation Engineering](#vp-of-incubation-engineering).

#### Director, Incubation Engineering Job Grade

The Director, Incubation Engineering is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Incubation Engineering Responsibilities

- Manage and help set the direction for 4-6 Incubation Engineers across a range of domains
- Recruit top talent to build a best-in-class Incubation Engineering Department; responsible for hiring and capacity planning
- Develop strategies to support scaling beyond the Incubation phase and advise on the project lifecycle for their team
- Collaborate with Engineering peers and company executives on key innovation initiatives
- Provide transparent status to stakeholders
- Support SEGs by validating and debating approaches to test ideas
- Serve as champion of the Incubation department and the work that the engineers engage in
- Stay abreast of long term technical trends in the market
- Stay informed about other products' functionality and positioning
- Advocate for broad changes in the GitLab project to stay ahead of scalability and performance bottlenecks

#### Director, Incubation Engineering Requirements

- Demonstrated success in leading teams of engineers or other technical experts in a fast moving, high growth environment
- Experience scaling products without compromising on security
- Broad knowledge of technology trends with a focus on managing innovation / incubation / accelerator teams
- Diplomatic communication skills with the ability to utilise storytelling and narration to evangelize the Incubation Engineering Department's story
Experience in a variety of stages of the startup lifecycle, from inception to launch

### VP of Incubation Engineering

*The VP of Incubation Engineering reports to the [Chief Technology Officer](/job-families/engineering/engineering-management/#chief-technology-officer).

#### VP of Incubation Engineering Job Grade

The VP of Incubation Engineering is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### VP of Incubation Engineering Responsibilities

- Recruit excellent senior individual contributors to act as [Single-engineering Groups (SEGs)](/handbook/company/structure/#single-engineer-groups)
- Effectively wield technical influence within a larger company and codebase
- Provide [lightweight project management](/handbook/engineering/demos/) to the Single-Engineer Groups under their purview
- Provide transparent status to stakeholders
- Stay abreast of long term technical trends in the market
- Stay informed about other products' functionality and positioning
- Advocate for broad changes in the GitLab project to stay ahead of scalability and performance bottlenecks

#### VP of Incubation Engineering Requirements

- Able to enable people to go from 0 to 1: get something shipped
- Maintain the prioritized, justified list of future investment opportunities
- Learn, live, and teach our [core values](/handbook/values/#credit)
- Be technically credible (at the VP level)
- Be an excellent recruiter of engineering talent
- Have a defined management philosophy
- Excellent verbal & written (async) communication skills
- Demonstrated longevity and perseverance at a fast-growing organization
- Be effective in an all-remote setting
- Humility

#### VP of Incubation Engineering Nice-to-haves

We'd like the successful candidate to have at least a simple majority of the following attributes:

- Extensive familiarity with the GitLab project and application
- Prior success at startup or entrepreneurial organizations
- Experience at multiple product-oriented technology companies
- Experience growing a company to massive scale
- Prior developer platform or tool industry experience
- Experience working with people around the globe
- Extensive open-source work
- Demonstrate curiosity for new topics and domains

## Performance Indicators

- Community Contribution rate
- Hiring Actual vs Plan
- Team MR Rate
- Team Marketing activities

## Career Ladder

For more details on the engineering career ladders, please review the [engineering career development](/handbook/engineering/careers/#roles) handbook page.
