---
title: "Distinguished Engineer, Infrastructure"
description: "Distinguished Engineers are recognized experts in multiple technology domains within GitLab, and represent the senior technical leadership within their organization and throughout the company at large."
---

## Distinguished Engineer Roles at GitLab

Distinguished Engineers are recognized experts in multiple technology domains within GitLab, and represent the senior technical leadership within their organization and throughout the company at large. They are responsible for helping shape the future direction of the organization, assisting management establish strategic roadmaps, and driving priorities to meet objectives. They also have a strong track record of growing and influencing others, working with all levels of senior leadership, and fostering the psychological safety and happiness of members of their team.

<a id="intermediate-requirements"></a>

## Distinguished Engineer Infrastructure

The **Infrastructure Department** is the primary responsible party for the **availability**, **reliability**, **performance**, and **scalability** of all user-facing services (most notably **GitLab.com**). Other departments and teams contribute greatly to these attributes of our service as well. In these cases it is the responsibility of the Infrastructure Department to close the feedback loop with monitoring and metrics to drive accountability.

The **Distinguished Engineer, Infrastructure** is a key member of the Infrastructure team and works with both management and individual contributors to achieve the department's objectives.

This role reports to Director-level managers.

### Job Grade

The Distinguished Engineer is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Requirements

#### General

- 10+ years of experience, at least 4 in a lead position (such as Engineering Manager or Staff Engineer)
- Creative thinker and problem solver, able to distill complex problems down to actionable items with boring solutions
- Ability to thrive in a fully remote organization
- Ability to use GitLab

#### Technical

- Deep and broad knowledge of current and emerging technologies that affect the business
- Expert on GitLab's product, architecture and workflow at both typical and large scale
- Expert in designing, implementing, and troubleshooting major portions of a production stack

#### Communication

- Proficiency in the English language, with excellent written and oral communication skills
- An inclination towards communication, inclusion, visibility, and transparency

#### Leadership

- Proven track record of technical leadership

### Responsibilities

#### General

- Provide technical direction for the team by being an expert in the infrastructure space
- Iteratively develop architecture and systems that meet the test of time
- Provide a point of escalation for teams facing extremely complex technical challenges
- Collaborates with Reliability Engineers to help them improve their skills (infrastructure and development)
- Collaborates with Product Management team to help properly position and advance our product in the market
- Meet with customers and prospects to evangelize our DevOps capabilities
- Attain a measurable impact on the work of teams across the company
- Provide technical support to our customer facing teams
- Present and attend conferences to evangelize and represent the Infrastructure team
- Achieve a wide sphere of influence
- Collaborate with our internal Security team on technical initiatives
- Participate in technical interviews for the Infrastructure team

#### Technical

- Identify challenges and technical interdependencies and suggest solutions to address them
- Use quantitative analysis to impact key business decisions
- Proficient in Golang, Ruby, SQL, Elastic, BigQuery and other relevant technologies
- Cloud Infrastructure (GCP, AWS) and containers (Kubernetes)
- Expert in Continuous Integration and Continuous Delivery
- Experience with Infrastructure management tools: Chef, Terraform, CDNs, load balancers, monitoring and observability, logging, storage, DR, high-availability, data analytics, and security tools

#### Communication

- Evangelize successful adoption and use of tooling and technologies
- Lead conversations to encourage collaboration across teams
- Present at relevant events (e.g., conferences, user groups, meetups, webinars)
- Write extensively about technology applicable to GitLab (e.g., blog posts, white papers)
- Develop and/or consult on internal training programs
- Embody the GitLab values and demonstrate humility in the way they interact with individuals

#### Leadership

- Take central role in decision making for technical, business, and organizational issues
- Teach, mentor, grow, and advise other domain experts, individual contributors, and teams in the organization
- Build technology and organizational bridges to key organizational partners
- Work with key customers in assigned areas to address technical challenges
- Exemplify GitLab values through code, reviews, communications, and processes (following and setting)

## Senior Distinguished Engineer Infrastructure

The Senior Distinguished Engineer role reports to and acts as the individual contributor equivalent of a Senior Director or Director, Infrastructure role.

### Job Grade

The Senior Distinguished Engineer is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Requirements

- Extends that of the [Distinguished Engineer](#requirements) requirements, with a exclusive focus on leadership and team-member enablement

### Responsibilities

Share our company values, and work in accordance with those values.

- Extends that of the [Distinguished Engineer](#responsibilities) responsibilities
- The Senior Distinguished Engineer's minimal sphere of influence is across the Engineering division, representing Infrastructure department interests in the company as well as across the industry
- Focuses on the long term technical vision for the product, engages and contribute to the most important strategic initiatives in the company
- Works closely with their management peer to influence changes across the technical, as well as process driven intitiatives
- Acts as a role model for individual contributors by following the established processes and workflows, and ensures that any divergence is recognised timely
- Identifies risks, and ensures the balance between the immediate and long term impact of a technical direction
- Drive innovation within their sphere of influence in the industry
- Be a technical, architectural, and career development mentor for other engineers
- Authors architecture proposals, and coordinates the interaction on architectural directions across the engineering organization

## Career Ladder

For more details on the engineering career ladders, please review the [engineering career development](/handbook/engineering/careers/#roles) handbook page.
