---
title: "Engineering Productivity Manager"
description: "Driving Engineering Efficiency and Productivity"
---

As our Engineering Productivity Manager/Senior Manager, you'll play a pivotal role in shaping the Velocity, Efficiency and Productivity of our engineering teams.

## Levels

### Engineering Manager, Engineering Productivity

#### Job Grade

The role is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Lead a team of engineers focused on improving development efficiency and streamlining workflows.
- Analyze engineering processes and identify areas for improvement.
- Develop and implement strategies to enhance developer velocity, scalability, and overall team productivity.
- Collaborate with engineering leadership to define and prioritize the Engineering Productivity team's roadmap.
- Manage and maintain developer tooling and infrastructure for optimal performance.
- Identify, evaluate, and implement new tools and technologies to support engineering efficiency.
- Track key metrics related to engineering productivity and report on progress and impact.
- Drive a culture of continuous improvement within the engineering organization.
- Conduct performance reviews and career development planning for team members.
- Foster collaboration between the Engineering Productivity team and other engineering teams.

#### Requirements

- 5+ years of experience in software engineering with a strong understanding of development methodologies and best practices.
- 2+ years of experience leading and managing a team.
- Proven track record of identifying and implementing solutions to improve engineering efficiency.
- Excellent analytical and problem-solving skills.
- Strong communication and interpersonal skills, with the ability to influence and collaborate with diverse stakeholders.
- Experience with developer tooling and infrastructure is a plus.
- Experience working in working in a remote environment.

### Senior Engineering Manager, Engineering Productivity

#### Job Grade

The role is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- All of the responsibilities listed for Engineering Productivity Team Manager.
- Develop and lead a high-performing Engineering Productivity team, fostering a strong team environment.
- Partner with senior engineering leadership to define the overall engineering productivity strategy and roadmap.
- Manage the Engineering Productivity team's budget and resources.
- Identify and recruit top talent to join the Engineering Productivity team.
- Conduct performance reviews and career development planning for managers and team members.
- Represent the Engineering Productivity team in cross-functional meetings and initiatives.
- Stay up-to-date on industry trends in engineering productivity and tooling.
- Develop and deliver presentations on engineering productivity best practices to the broader engineering organization.

#### Requirements

- 8+ years of experience in software engineering with a deep understanding of software development lifecycle (SDLC) and best practices.
- 5+ years of experience leading and managing a team, with a proven track record of success.
- Extensive experience in implementing solutions to improve engineering productivity at scale.
- Strong leadership skills with the ability to motivate, inspire, and coach team members.
- Excellent communication and presentation skills.
- Experience building and managing budgets.
- Experience working in a fast-paced, high-growth environment.

## Performance Indicators

- [GitLab.com Availability](/handbook/engineering/infrastructure/performance-indicators/#gitlabcom-availability-slo)
- [Infrastructure corrective action SLO](/handbook/engineering/infrastructure/performance-indicators/#corrective-action-slo)
- Project Completion rate
  - Measure by tracking the percentage of projects completed on time and within budget.
- Stakeholder Satisfaction score
  - Measure through regular feedback surveys or interviews with stakeholders, assessing the program management effectiveness, communication and responsiveness.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

1. Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
1. Candidates will be invited to schedule a 50-minute interview with the VP of Infrastructure & Quality.
1. Candidates will be invited to schedule a 50-minute interview with a Director/Sr. Director in the Infrastructure department.
1. Candidates will be invited to schedule a 50-minute interview with a Manager/Sr. Manager in the Infrastructure department.
1. Candidates will be invited to schedule a 50-minute interview with a engineer on the Engineering Productivity team
1. Candidates may be asked to schedule a final 30-minute discussion with the VP of Infrastructure & Quality.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
