---
title: "Engineering Management - Engineering Analytics"
---

Engineering Analytics Manager manages a team of Engineering Analysts that work on data capabilities for the Engineering Division.

## Responsibilities

- Define the tools and process to deliver data-driven insights for the Engineering Division.
- Define and maintain Engineering Division's data visualizations guidelines and standards.
- Ensure accuracy of Performance Indicators in the Engineering Division and all it's departments.
- Drive efficiency of Engineering Division's dashboards and metrics.
- Author team's quarterly OKRs and project plans to deliver on them.
- Run Engineering Analytics agile process and stand-up.
- Plan Engineering Analytics's long-term tasks and align with Quality Department's direction and vision.
- Hire and growth a team of Engineering Analysts.
- Provide guidance and coaching to Engineering Analysts.
- Collaborate closely with GitLab's Data team.

## Requirements

- [Self-motivated and self-managing](/handbook/values/#efficiency), with strong organizational skills.
- Share our [values](/handbook/values/), and work in accordance with those values.
- A track record of using quantitative analysis to generate insights, and drive better organizational decision making.
- Track record of solving scaling challenges and high growth optimizations with positive impact to the business.
- 5 years or more experience with hands-on SQL and relational databases.
- 2 years or more experience in leadership position managing an analytics team.
- Experience with Data Visualization Tools (E.g. Sisense, Looker, Tableau)
- Experience with Data warehouses (e.g. Snowflake)
- Clear and concise communication, able to convey complex business logic, and analytical recommendations to stakeholders.
- Proficiency in the English language, with excellent written and oral communication skills.
- Working knowledge of Git and source control.
- Working knowledge of basic Ruby scripting.
- Working knowledge of HTML.
- Able to thrive in a fully remote organization.
- Able to use GitLab.
- BS degree in Computer Science, Finance, Accounting or Economics (MS Prefered)
- Confidentiality in handling sensitive organizational information.

### Nice to haves

- Experience in a peak performance organization
- Enterprise software company experience.
- Developer platform/tool industry experience.

## Levels

### Manager, Engineering Analytics

#### Manager, Engineering Analytics Job Grade

The Manager, Engineering Analytics is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Engineering Analytics Responsibilities

- Author team quarterly OKRs and drive them to completion.
- Align Engineering Analytics team OKRs with Engineering Division's needs.
- Write detailed and actionable metrics proposals, delegate and drive them to completion.
- Drive process and work stream efficiency that results in Engineering Analytics team's output.
- Participate in all of Engineering Key Reviews and ensure that the needs of Engineering leaders are met.
- Collaborate with Engineering leaders on business needs and capture them as requirements for the Engineering Analytics team.
- Listen and capture feedback from team members and prioritize actionable improvements.
- Own the hiring and team formation process of the Engineering Analytics team.
- Provide guidance to Engineering Analysts on technical and non-technical aspects.
- Own project management, agile process of the Engineering Analytics team.
- Collaborate with GitLab's Data team on data dependencies for Engineering.
- Partner with GitLab's Data team on training activities for Engineering Analysts.

### Senior Manager, Engineering Analytics

This is a future level where we will outline the requirements and responsibilities at the time of the business need for the role.

The Senior Manager, Engineering Analytics role extends the [Manager, Engineering Analytics](#manager-engineering-analytics) role.

#### Senior Manager, Engineering Analytics Job Grade

The Senior Manager, Engineering Analytics is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Engineering Analytics Responsibilities

- Extends Manager, Engineering Analytics responsibilities
- We are not currently hiring for this role & will add more detail requirements when the business need arises.

#### Senior Manager, Engineering Analytics Requirements

- Extends Manager, Engineering Analytics requirements
- We are not currently hiring for this role & will add more detail requirements when the business need arises.

### Director, Engineering Analytics

The Director, Engineering Analytics role extends the [Senior Manager, Engineering Analytics](#senior-manager-engineering-analytics) role.

#### Director, Engineering Analytics Job Grade

The Director, Engineering Analytics is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Engineering Analytics Responsibilities

- Extends Manager & Senior Manager, Engineering Analytics.
- Define and own all of GitLab's Engineering Analytics efforts.
- Define Engineering Analytics fiscal year Direction (in handbook).
- Define Engineering Analytics quarterly OKRs and align efforts strategically across Engineering and Product.
- Define roadmap & execution plans to deliver business results measured by key objectives & performance indicators.
- Drive quarterly OKR retrospectives and identify improvements that impact the business bottom-line.
- Drive results of KPIs and PIs that is in Engineering Analytics's line-of-work and job-family.
- Publish and socialize the achievements of Engineering Analytics broadly throughout the company.
- Align day-to-day execution of Engineering Analytics to the top objectives of the company & communicated them broadly.
- Collaborate closely with senior leadership in Engineering, Product & GitLab's central data team.
- Foster healthy conflict amongst the teams to resolve issues quickly.
- Hire world class Data Analysts & Managers for the Engineering Division.
- Define & grow GitLab's Engineering Analytics roles for what is needed from the business in the next 3-4 years.

#### Director, Engineering Analytics Requirements

- Extends Manager & Senior Manager, Engineering Analytics.
- Outstanding leadership skills, takes initiative, makes hard decisions & be accountable.
- Demonstrate capability to drive initiatives, develop thoughtful strategies, & deliver results at a senior level.
- Track record of delivering analytics capabilities that improves the business bottom-line.
- Track record of influencing business stakeholders from multiple domains to deliver results.
- Track record of hiring data analysts within the Engineering domain.
- Excellent written & verbal communication skills, able to deliver bottom-line messaging to executives at C-suite & VP level.
- Bias for action & adaptability to work in a fast-paced environment with shifting priorities.
- Able to work collaboratively & efficiently with stakeholders throughout the organization.
- Demonstrate experience building a world-class data analytics function.
- Demonstrate longevity in management in at least one recent job.
- Demonstrate open humility & servant leadership traits.
- Understands how to be successful in management at a remote-only company.
- Has ability to use GitLab.

## Performance Indicators

- Engineering PI Content MR Rate
- Handbook MR Rate
- Open Engineering Analytics Issue Age

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to fill out a short questionnaire.
- Next, candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with our Global Recruiters.
- Next, candidates will be invited to schedule a first interview with the hiring manager, currently the VP of Quality
- Next, candidates will be invited to schedule a second interview with a peer Engineering Manager in the Quality Department.
- Next, candidates will be invited to schedule a third technical interview with an Engineering Analyst.
- Next, candidates will be invited to schedule a forth interview with a member of the GitLab Data team.
- Finally, candidates will be asked to interview with the CTO.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
