---
title: "Software Engineering Intern"
---

Software Engineering Interns will work on the GitLab Product, like all engineers who work on the product.
This may include both the open source version of GitLab, the enterprise editions, and the GitLab.com service.
You will work in either a Frontend or Backend team on a mature stage product at GitLab.

## Requirements

- Experience coding with Ruby on Rails or JavaScript framework (ideally Vue.js or other JS frameworks) either through university, personal projects or previous work experience.
- Proficiency in the English language, both written and verbal, sufficient for success in a remote and largely asynchronous work environment
- The ability to understand complex technical, architectural, and/or organizational problems
- Comfort working in a highly agile, intensely iterative software development process
- Positive and solution-oriented mindset
- Effective communication skills: Regularly achieve consensus with peers, and clear status updates
- An inclination towards communication, inclusion, and visibility
- Self-motivated and self-managing, with strong organizational skills, but with plenty of support from mentors, managers and internship managers throughout the programme
- Share our values, and work in accordance with those values
- Ability to thrive in a fully remote organization
- Computer Science Education or equivalent courses
- Contributor to open source projects
- Ability to use GitLab

## Nice-to-haves

- Experience with the GitLab product as a user or contributor
- Completed foundation studies (1st year of college/university) in Computer Science or equivalent courses

## Responsibilities

- Develop features and improvements to the GitLab product in a secure, well-tested, and performant way
- Collaborate with Mentors and your Manager to maintain a high bar for quality in a fast-paced, iterative environment
- Advocate for improvements to product quality, security, and performance
- Solve technical problems of varying level of complexity
- Craft code that meets our internal standards for style, maintainability, and best practices for a high-scale web environment.
- Confidently ship small features and improvements with guidance and support from mentors and managers.

## Hiring Process

Due to the high volume of applications, the bar is set very high and applications will be looked at extensively when making a decision to move a candidate forward.

1. Application
   1. Candidates are required to provide answers to:
        1. Technical Questions
        1. Situational Questions rather than STAR, as may not have any direct work/relatable experience.
        1. Cover Letter addressing 1-2 specific topics
1. Technical Assessment
    1. Automated online technical assessment
    1. Technical assessment interview
1. Behaviourial and Values based panel interview consisting of 3 panelists:
    - Hiring Manager
    - Recruiter/HR
    - Misc Interviewer
1. Decision is made and successful candidates will subsequently be made an offer. Additional details about our process can be found on our [hiring page](/handbook/hiring/)

## Performance Indicators

To Be Determined
