---
title: "Support Engineer"
description: "The core responsibility of a GitLab Support Engineer is to deliver an excellent support experience to our customers on a daily basis by working with them to solve the problems and answer the questions that they present to us in support tickets."
canonical_path: "/job-families/engineering/support-engineer/"
---

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/fLTs1oiKabI" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

This position is 100% remote.

## Customer Support Representative

### Job Grade

The Customer Support Representative is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

For a Customer Support Representative role we expect:

- Someone who's been in a previous customer facing role, whether in a technical or non-technical company, and thrives on supporting other people
- Someone who is able to understand process workflow and communicate via written word and video conferencing

As we evolve our handbook and adopt a career matrix approach, you can read more about a Customer Support Representative on our [Customer Support Representative Career Matrix Page](/handbook/engineering/careers/matrix/support/csr/) which covers more of the details you see in the roles below.

## Associate Support Engineer

### Job Grade

The Associate Support Engineer is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

For an Associate Support Engineer role we expect:

- Someone who's been in a previous customer facing role, maybe in a technical company, but also maybe outside of tech
- We expect this person to be early in their career of "technical debugging" - They may have worked support before, but not deep technical troubleshooting.

As we evolve our handbook and adopt a career matrix approach, you can read more about associate engineer on our [Associate Support Engineer Career Matrix Page](/handbook/engineering/careers/matrix/support/associate/) which covers more of the details you see in the roles below.

## Support Engineer

### Job Grade

The Support Engineer is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### What you can expect in a Support Engineer role at GitLab

As a Support Engineer, you will:

- resolve customer issues via email and video conferencing.
- support a mix of Self-managed and GitLab.com (SaaS) customers.
- collaborate with our [Product](/handbook/product/) and [Development](/handbook/engineering/development/) Teams to build new features and fix bugs.
- create and update documentation based on customer interactions.
- work hard to solve customer problems while delighting them along the way.
- participate in regular rotations for weekday and weekend on-call coverage (daytime only), providing emergency support to our Self-managed and SaaS customers, or working with our SaaS Production team to coordinate incident communications.
- work alongside Product Managers to define and shape the product goals, roadmap, priorities, and strategy based on your frontline knowledge of customer needs.
- continually research and learn the current and future best practices of using GitLab.
- participate in our hiring processes by reviewing applications and assessments, and by participating in interviews.
- suggest and implement improvements to Support workflows.

### Projects you might work on

When you're not tackling difficult customer challenges, you'll have a lot of freedom to work on things that will make your life, and the lives of your coworkers, easier. Current and past support engineers have:

- created a tool to [quickly analyze strace output](https://gitlab.com/gitlab-com/support/toolbox/strace-parser)
- built and maintained tooling to handle our call scheduling
- scripted a [solution to capture the state of a customer's server](https://gitlab.com/gitlab-com/support/toolbox/gitlabsos) for easier troubleshooting
- added functionality to [ChatOps](https://docs.gitlab.com/ee/ci/chatops/) to make it easier to identify user accounts on GitLab.com
- written a [Chrome Extension to route downloads from Zendesk tickets into organized folders](https://gitlab.com/gitlab-com/support/toolbox/zd-dl-router)
- … [done even more](https://gitlab.com/gitlab-com/support/toolbox?sort=latest_activity_desc)!

## Requirements

You should [apply](https://boards.greenhouse.io/gitlab) if:

### You've got the personality

- you're a natural communicator and delight in using those skills to help others.
- you love exploring new technologies and figuring things out the hard way.
- you enjoy solving many small problems per day.

### You're a support professional

- you've got 2+ years of experience in a support or other service-oriented customer facing role.
- within the last 5 years, you've worked at one company for at least 2 years.
- you're experienced in writing support content.
- you're experienced in managing cases throughout the entire support lifecycle from initial customer inquiry to triage and reproduction, writing bug reports for hand off to the development team, and case resolution.
- you have experience being on-call and can jump into a complex situation and make sense of and communicate clearly to stakeholders what's going on.
- you're comfortable using support platforms such as ZenDesk and Salesforce.

### You've got the technical acumen

- you have knowledge of DevOps methodologies and you appreciate the value technologies like Serverless and Kubernetes bring to the software deployment and development process.
- you're able to communicate complex technical topics to customers and coworkers of varying technical skill levels.
- you have excellent Ruby on Rails knowledge and are fluent on the Rails console, or you're proficient in working with another MVC framework (Django, Laravel or others) and will be able to pick up Rails quickly.
- you're experienced with Git and CI/CD.
- you have excellent Linux systems administration knowledge (LFCE or RHCE equivalent knowledge).

### You'll be able to thrive at GitLab

- You can successfully complete a background check -- see the [GitLab Code of Business Conduct and Ethics](https://ir.gitlab.com/static-files/7d8c7eb3-cb17-4d68-a607-1b7a1fa1c95d).
- you can demonstrate excellent spoken and written English.
- you have the ability to use GitLab.
- our [values](/handbook/values/) of collaboration, results, efficiency, diversity, iteration, and transparency resonate with you.

## Specialties

### Assigned Support Engineer (ASE)

For Support Engineers who are nearing or at Senior Level

#### The ASE role

- Prioritize a mix of Self-managed and GitLab.com (SaaS) customers with a higher support offering and resolve their issues via Zendesk tickets, merge requests, email and video conferencing
- Lead the relationship with up to 5 assigned accounts while also contributing to global tickets
- Become familiar with customer environments and business - to provide an enhanced support experience
- Build relationship with customer's team
- Build a relationship with internal field team
- Be available during timezone business hours (or arrange temporary cover when not available)
- Take assignment of, own communication for, and progress all non emergency tickets for your Assigned Accounts within SLAs
- Be available to take Emergency tickets during business hours for ASE contract (Tickets will be handled via CEOC/CMOC rotation who will engage ASE during agreed ASE availability hours)
- Provide timely ticket updates at a cadence agreed with customer
- Partner with CSM (where allocated) in scheduled review calls to discuss ticket priorities and progression
- Coordinate with internal teams as necessary to drive decreased time to resolution
- Coordinate with customer to enable successful upgrades
- Participation in CMOC/CEOC rotations remains unchanged and is expected

#### What is it like to be an ASE?

We asked some questions of our two first ASEs, Harish and Gerardo, to find out about the work life of an ASE. See what they had to say:

- Watch the [whole video](https://www.youtube.com/watch?v=H4352jlI2MQ) (42:28)

OR, Skip to the topics of interest to you:

- [The ASE Role](https://youtu.be/H4352jlI2MQ?t=57)  (0:56)
- [How Is the ASE Role Different from the SE Role?](https://youtu.be/H4352jlI2MQ?t=113)  (3:00)
- [Is the Scope of Support Different?](https://youtu.be/H4352jlI2MQ?t=293)  (1:24)
- [What Is Success for an ASE?](https://youtu.be/H4352jlI2MQ?t=377)  (2:54)
- [How Will Managers Measure Success?](https://youtu.be/H4352jlI2MQ?t=551)  (1:29)
- [What Do I Need To Know / How Did I Become an ASE?](https://youtu.be/H4352jlI2MQ?t=640)  (2:30)
- [What Did You Need to Know?](https://youtu.be/H4352jlI2MQ?t=790)  (5:00)
- [What Makes for a Good ASE?](https://youtu.be/H4352jlI2MQ?t=1090)  (2:44)
- [How Do You Balance ASE Work with Normal Queue Work?](https://youtu.be/H4352jlI2MQ?t=1254)  (3:50)
- [What Do You Like about Being an ASE?](https://youtu.be/H4352jlI2MQ?t=1484)  (5:22)
- [How Does the Stress Differ Between ASE and SE Roles?](https://youtu.be/H4352jlI2MQ?t=1806)  (3:15)
- [What Are the Challenges and Dislikes of Being an ASE?](https://youtu.be/H4352jlI2MQ?t=2001)  (9:07)

### US Government Support Engineer

Support Engineers with verified US Citizenship may join the GitLab US Government Support Team. This group works through the [US Government Support portal](https://about.gitlab.com/support/us-government-support/) to collaborate with Public Sector organizations and United States Government agencies in order to support, maintain, and resolve issues in their GitLab environments.

There are a number of challenges that are unique when it comes to supporting the customer environments that an engineer may encounter in the US Government space. Some of those challenges may include highly sanitized and redacted troubleshooting information, inability to screen share or provide screenshots, etc. You can learn more about working on tickets in the US Government Support portal [here](/handbook/support/workflows/usgovernment_tickets/). If you look forward to the aforementioned challenges and meet the requirements for US Government Support, apply today!

### Support Engineer (Shift)

Responsibilties mirror that of a Support Engineer with the primary variance being that the working hours and on-call shifts do not necessarily align with the traditional working hours of the engineer's region. This role is important for situations where it is not feasible to staff in a "follow the sun" manner.

#### Requirements

In addition to the above requirements for Global Support Engineers, you will need:

- Valid proof of US Citizenship

### What it's like to work here at GitLab

The [culture](/handbook/company/culture/) here at GitLab is something we're incredibly proud of. Because GitLab team members are currently located in over 60 different countries, you'll spend your time collaborating with kind, talented, and motivated colleagues from across the globe. Some of the [benefits](/handbook/total-rewards/benefits/) you'll be entitled to vary by the region or country you're in. However, all GitLab team members are fully remote and receive GitLab's [Flexible PTO policy](/handbook/people-group/paid-time-off/), where there is no set limit per year on the amount of paid time off a team member can take. You can work incredibly flexible hours, enabled by our [asynchronous approach](/handbook/communication/) to communication. We'll also help you set up your [home office environment](/handbook/finance/spending-company-money/), pay for your membership to a co-working space, and contribute to the [travel costs](/handbook/total-rewards/incentives/#visiting-grant) associated with meeting other GitLab employees across the world.

Also, every year or so, we'll invite you to our [Contribute event](/handbook/company/culture/summit/).

Find more information about what it's like to work here in [our candidate FAQ](/handbook/hiring/candidate-faq/).

Our hiring process for this Support Engineer position typically follows five stages. The details of this process and the compensation for this role can be found in our [hiring process](#hiring-process).

### How you'll grow in the role

Support career progression is documented in [Engineer Career Development - Support Department](/handbook/engineering/careers/#support-department).

### Senior Support Engineer

A Senior Support Engineer is a more experienced engineer who continues to contribute as an individual while operating with equal comfort at the level of team enablement. That is, they work at the team level to increase *every member's* ability to contribute. With the wider focus, the specializations of the Intermediate role begin to disappear.

#### Job Grade

The Senior Support Engineer is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

Generally they meet the following criteria. They:

- are involved in mentoring teammates on new technologies and new GitLab features.
- possess expert debugging skills.
- submit merge requests to resolve GitLab bugs.
- drive product enhancements and fixes based on product expertise and customer interactions.
- contribute to one or more complementary projects.

A Senior Support Engineer may be interested in exploring Support Management as an alternative at this point. See [Engineering Career Development](/handbook/engineering/careers/) for more detail.

### Staff Support Engineer

#### Job Grade

The Staff Support Engineer is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades). Promotion to the Staff level is based on [merit and company need](/handbook/engineering/careers/#support-department).

A Senior Support Engineer will be promoted to Staff Support Engineer when they have
demonstrated significant leadership and impact; typically around resolving customer issues. A Staff engineer displays attributes such as:

- **Global Impact and Technical Leadership**: Staff Support Engineers possess robust expertise, impacting operations at a global scale. They manage significant projects and incidents that not only reduce workload and increase support team efficiency but also directly enhance customer experiences at scale. Their work significantly influences customer satisfaction and loyalty through improved product features and support strategies.

- **Complex Problem-Solving**: Staff Support Engineers are known for their ability to develop simple solutions to complex problems, tackling major architectural and customer-related issues. Identify and drive significant projects that result in substantial cost savings or revenue increases, or relate to wider initiatives involving other teams beyond Support.

- **Mentorship and Skill Development**: Staff Support Engineers are vital in intentionally imparting their extensive knowledge to Support Engineers at all levels through mentoring and training strategies for the global team. Staff Support Engineers are someone who grows Seniors into even better leaders and someone who sheds light on opportunities for intermediate Support Engineers to grow, too. Staff Support Engineers also provide targeted, in-the-moment training on specific issues, operating effectively at both the micro and macro levels to enhance individual and team skills.

- **Strategic Involvement and Customer Advocacy**: They play a strategic role by being the voice of the customer within broader product and engineering teams, contributing to cross-functional projects, and focusing on customer-centric problem solving.

- **Proactive Organizational Leadership and Impact**: Staff Support Engineers exhibit proactive, visible technical leadership in addressing complex issues and significantly impacting both the team and customers. This includes engagement with leaders within customer organizations, particularly during escalations and proactive engagements that involve Support. They actively contribute to discussions, and influence decisions. They also steer product development by communicating customer needs and priorities, and from work with customers they anticipate product limitations.

## Career Ladder

For more details on the engineering career ladders, please review the [engineering career development](/handbook/engineering/careers/#roles) handbook page.

## How you'll be measured

### Performance Indicators

Support Engineers have the following job-family Performance Indicators.

- [Customer satisfaction with Support](/handbook/support/performance-indicators/#support-satisfaction-ssat)
- [Maintain at least average monthly tickets](/handbook/support/performance-indicators/#average-daily-tickets-closed-per-support-team-member)
- [Service Level Agreement](/handbook/support/performance-indicators/#service-level-agreement-sla)
- [Ticket deflection through documentation updates](/handbook/support/workflows/how-to-respond-to-tickets/#improving-the-customer-experience-through-ticket-deflection)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Technical assessment.
- 30-minute screening call with a Recruiter.
- 90-Minute [Technical Interview](/handbook/hiring/interviewing/customer-support-interviewing/#4-90-minute-technical-interview-with-a-member-of-the-support-team) with a member of the Support team.
  - The Technical Interview will involve live break-fix/bug-fix scenarios as well as customer scenarios. You will need to have access to a terminal with Bash or similar. You will also need to have an SSH key pair installed locally so you can connect to the server. Windows users must have 'Git Bash for Windows' installed prior to the call. If the Technical Interview is not passed, the Behavioral Interview will be canceled.
- (optional) Zoom call with a member of the Support team – an opportunity for you to discuss any questions you might have about the role. This optional call has no influence on our decision, this is meant to help *you* clarify whatever you need to make your decision.
- 60-Minute Behavioral Panel Interview with a Support Engineering Manager & one other member of the team.
- 60-Minute Interview with a Senior Manager or Director of Support.
- Reference Checks.
- (optional) Zoom call with a member of a [Team Member Resource Group](/handbook/company/culture/inclusion/erg-guide/#definition-of-the-tmrg---team-member-resource-groups). Similarly to the optional call with a Support team member, this is an opportunity for you to learn more about your potential new workplace.
- Successful candidates will subsequently be made an offer.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
