---
title: "Support Operations Management"
description: Support Operations Specialists at GitLab support the daily operations and systems of the global support engineering team
---

## Support Operations Specialist

As a Manager, Support Operations, you are responsible for being a technical
expert in Zendesk system administration along with data and business process
analysis. Additionally, you will need to be proficient across multiple other
cloud-based application services. We are building world-class and
industry-leading best practices to ensure our Support Engineers and Support
Agents deliver unparalleled customer experiences. We are seeking a highly
motivated Manager, Support Operations who is organized, cool under pressure, a
leader, and an innovative problem solver; someone with fantastic troubleshooting
and analytical skills, well-rounded experience working in customer support or
other operational roles, and is motivated by team as well as personal success.
Your work mantra is to solve the problem, not the symptom.

### Job Grade

The Support Operations Manager is a
[grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### What you can expect in a Support Operations Specialist role at GitLab

As a Support Operations Manager you will:

- hire, develop, and manage a team of specialists to complete projects focused
  on excellence in the operations of a global Support Engineering organization.
- develop processes and execution strategy toward a Support Operations Roadmap
  to support the growth and scalability objectives of GitLab Support and
  contribute to a rolling 6-month plan in order to drive towards department and
  company wide initiatives.
- own and drive projects to completion in agreement with relevant stakeholders
  in a cross-departmental function.
- contribute to the administering all software systems used by GitLab's
  Technical Support team (e.g. Zendesk Suite, GitLab, Slack, SFDC, Google
  groups, Insights/Explore, and GitLab internal systems) including user
  administration in accordance with written and audited security controls and
  configuration changes when needed.
- develop processes to prioritize and implement configuration changes and
  feature deployments toward a common vision.
- partner with coworkers, managers, and executives, as well as external
  partners to gather system requirements, understand business needs, and
  identify resources as necessary to ensure customer and employee success.
- work with GitLab Support leadership, define workflows, practices, and
  standards to ensure that Support Engineers and Support Agents can deliver
  fast, reliable, and accurate customer support globally.
- work with management to develop Key Performance Indicators (KPIs) for the
  systems and tools administered by the team; capture and report those KPIs
  regularly to confirm system health. Improve process and education around
  analysis and resolution of escalated customer and/or technical issues in a
  timely and effective manner.
- drive towards becoming a Subject Matter Expert (SME) in product or process
  areas as needed.

### Requirements

#### Requires Skills/Experience

- 3+ Years Customer Support or Operations experience required, preferably in a
  global organization.
- Zendesk Administrator or equivalent enterprise application system
  administration experience preferred, with the ability to gain Zendesk
  Administrator Certification within 6 months of start date (required).
- 3+ years experience managing and leading a team of people, including
  goal-setting, time management, and career development.
- Content management experience; writing and troubleshooting JSON and/or
  JavaScript and HTML; familiarity with principles of change management.
- Experience implementing business processes, sufficient for regulatory and
  security compliance and working with auditors.
- You share our [values](/handbook/values/), and work
  in accordance with those values.
- An ability to use GitLab, or a readiness to learn how to fully utilize GitLab.

#### Desired Skills

- Demonstrated understanding of technical software support processes and
  concepts
- Experience in CRM or a related industry
- Familiarity with change management processes and risk control compliance
- Experience working on the Zendesk platform as an admin or developer
- Experience with enterprise integration tools
- Demonstrated leadership, analytical, communication, and problem-solving
  skills and the ability to act/decide accordingly
- Ability to collect, synthesize, and research complex issues and diverse
  information
- Exceptional customer service skills, and the ability to plan, organize, and
  exercise sound judgment.

### Career Ladder

For more details on the engineering career ladders, please review the
[engineering career development](/handbook/engineering/careers/#roles)
handbook page.

### How you'll be measured

#### Performance Indicators

Support Operations collaborates with the global
[Support Engineering team](https://about.gitlab.com/support/) to achieve the
following performance indicators, by ensuring we have the most efficient
workflows through our applications:

- Providing top tier support to the GitLab Support Engineering team
- Driving the Support Operations
  [mission](/handbook/support/support-ops/#mission) and
  [vision](/handbook/support/support-ops/#vision)
- Maintenance of
  [Support Operations documentation](/handbook/support/support-ops/documentation/)
- Adherence and improvement of
  [Support Operations workflows](/handbook/support/support-ops/workflows/)

#### Span of Control

Support Operations Management roles have the following spans of control:

- Support Operations Manager: no more than 10 reports consisting of Support
  Operations Specialists

### Hiring Process

Candidates for this position can expect the hiring process to follow the order
below. Please keep in mind that candidates can be declined from the position at
any stage of the process. To learn more about someone who may be conducting the
interview, find their job title on our
[team page](/handbook/company/team).

- Qualified candidates will be invited to schedule a 30 minute screening call
  with our Global Recruiters.
- Selected candidates receive a short assessment from our Global Recruiters.
- Candidates will then be invited to schedule a 30 minute technical interview
  with a Support Operations Specialist.
- Candidates will then be invited to schedule a 45 minute behavioral interview
  with a panel consisting of a Support Operations Manager and a Support
  Engineering Manager.
- Candidates will then be invited to schedule a 45 minute behavioral interview
  with our VP of Customer Support.
- Candidates will then undergo reference checks.
- Successful candidates will subsequently be made an offer via email.

Additional details about our process can be found on our
[hiring page](/handbook/hiring/).

### Compensation Calculator

To find out more about the compensation for this role, please apply to a open role on our [careers page](https://about.gitlab.com/jobs/) first. Once you've applied and are selected for a screening call, you'll be able to sign up here to view our
[compensation calculator](https://comp-calculator.gitlab.net/?role=Support%20Engineer).
Be sure to use the same email address for both.

### About GitLab

GitLab Inc. is a company based on the GitLab open-source project. GitLab is a
community project to which over 2,200 people worldwide have contributed. We are
an active participant in this community, trying to serve its needs and lead by
example. We have one [vision](https://about.gitlab.com/strategy): everyone can
contribute to all digital content, and our mission is to change all creative
work from read-only to read-write so that everyone can contribute.

We [value](/handbook/values/) results, transparency,
sharing, freedom, efficiency,
[self-learning](/handbook/company/culture/all-remote/self-service/#how-self-learning-leads-to-success-in-your-role),
frugality, collaboration, directness, kindness, diversity, inclusion and
belonging, boring solutions, and quirkiness. If these values match your
personality, work ethic, and personal goals, we encourage you to visit our
[primer](/handbook/company/) to learn more. Open source is our
culture, our way of life, our story, and what makes us truly unique.
