---
title: "Engineering Technical Program Management Leadership"
description: "Driving Engineering strategy and initiatives company-wide"
---

Engineering Technical Program Management Leadership is responsible for leading a team of Engineering TPMs who are responsible for planning, execution, and delivery of complex projects across Engineering and Product. Engineering TPM Leaders work with a variety of stakeholders, including engineers, architects, and business leaders across Engineering and the Company to ensure that projects are completed on time and within budget. This includes the tracking, monitoring and influencing priority of significant objectives, goals, and plans from all Engineering sub-departments.

Engineering TPM Leaders typically have a background in engineering or computer science, and have a deep understanding of the technical aspects of infrastructure components. They have been TPMs as an individual capacity before as well as people manager experience. They also have strong leadership and communication skills, and able to work effectively in a fast-paced and demanding environment.

## Responsibilities

- Manage a team of Engineering Technical Program Managers.
- Responsible for staffing requirements for the TPM organization.
- Establish a reliable and visible cadence for initiative reviews, decision making, prioritization, and staffing management.
- Lead and drive Engineering projects such as: Availability, Disaster Recovery, Releases, CI/CD Pipeline Efficiency, and Engineering Productivity
- Provide technical program management, coordination, and inter/intra team communications to deliver outstanding program outcomes.
- Work closely with Software Engineers, SREs, Engineering Leadership, and other Product & Engineer teams to deliver a high quality and resilient SaaS Infrastructure Platform with world class Availability.
- Manage Engineering programs, define milestones and success criteria, staffing allocation to ensure successful on-time deliverables.
- Lead strategic planning with direct influence over staffing decisions, project timelines, and planning stakeholders.
- Work on massive distributed, large-scale systems, storage solutions, applications, and new platforms.
- Be a change advocate responsible for initiating and leading multiple organizations through pivots needed to address shifts in business trends and priorities.
- Provide guidance and coaching to TPMs on technical contributions, product architecture, and other areas
- Utilize technical acumen in working with large, cross-functional distributed teams.

## Requirements

- Experience managing execution of complex programs that span multiple engineering teams through the software project lifecycle (build, test, and release on time).
- Experience with technologies such as virtualization and complex software infrastructure systems, compute, storage, data migration, capacity, load balancing, and software defined networking.
- Experience driving cross-functional initiatives according to plan and timelines
- Prioritize effectively and multitask efficiently
- Proven track record of successful collaboration with internal and external partners
- Communication, presentation, and documentation skills

## Levels

### Senior Manager, Technical Program Management

This is a future level where we will outline the requirements and responsibilities at the time of the business need for the role.

#### Senior Manager, Technical Program Management Job Grade

The role is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Technical Program Management Responsibilities

- We are not currently hiring for this role & will add more detail requirements when the business need arises.

#### Senior Manager, Technical Program Management Requirements

- We are not currently hiring for this role & will add more detail requirements when the business need arises.

### Director, Technical Program Management

#### Director, Technical Program Management Job Grade

The role is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Technical Program Management Responsibilities

- Own technical program management budgeting and staffing
- Own multi-year roadmap, strategy, and vision for the technical program manager team
- Define headcount requirements and is accountable for headcount fiscal year plans
- Own technical program budgets and any financial reporting artifacts
- Expanded sphere of influence in driving Engineering initiatives across R&D and the company
- Creates a measurable impact on the work of teams across the company
- Takes a central role in decision making for technical, business, and organizational issues
- Drive goals and objectives that results in further progress of the Engineering division roadmap and strategy
- Accountable and responsible for overflow responsibilities from the CTO and Engineering Leadership Team
- Identify, define, and implement Engineering programs across the company

#### Director, Technical Program Management Requirements

All [requirements of the management role](#requirements) plus:

- 15+ years of experience in technical program/project management or equivalent
- Ability to influence and implement change across the company
- Speak to and represent GitLab to customers, vendors, and external key stakeholders

## Specialties

- Currently no specialties defined

## Performance Indicators

- Individual TPM’s Performance Indicators will be defined based on their quarterly goals
- Project Completion rate
  - Measure by tracking the percentage of projects completed on time and within budget.
- Stakeholder Satisfaction score
  - Measure through regular feedback surveys or interviews with stakeholders, assessing the program management effectiveness, communication and responsiveness.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

1. Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
1. Candidates will be invited to schedule a 50-minute interview with a Manager/Sr. Manager within Engineering.
1. Candidates will be invited to schedule a 50-minute interview with a Director/Sr. Director in Engineering.
1. Candidates will be invited to schedule a 50-minute interview with a cross-functional stakeholder.
1. Candidates will be invited to schedule a 50-minute interview with an existing TPM/Program Manager.
1. Candidates will be invited to schedule a 50-minute interview with the CTO.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
