---
title: "Accounting Operations Management"
description: "The Manager, Accounting Operations helps drive operational improvements within the finance department, developing a highly efficient, world class accounting process."
---

The Manager, Accounting Operations  helps drive operational improvements within the finance department, developing a highly efficient, world class accounting process.

## Manager, Accounting Operations

### Job Grade

The Manager, Accounting Operations is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Supervise accounting staff on daily tasks.
- Provide training to new and existing staff as needed.
- Ensure an accurate and timely month end close by providing management and support to the accounting close process. This role includes serving as a hands-on team member responsible for performing and reviewing transactions.
- Assist with daily banking requirements.  Monitor and forecast cash position.
- Enforce proper accounting policies and processes.
- Assist in development and implementation of new procedures to enhance the workflow of the department.
- Responds to inquiries from the CFO, Controller, and company wide managers regarding financial results, special reporting requests and the like.
- Assist in preparing for and managing annual external audit.  Coordinate with other auditors as needed.
- Support overall department goals.
- This person will initially coordinate third party providers. Over time this person will be expected to build and manage a team.

## Requirements

- Proven work experience as an Accounting Manager or similar managent role.
- Actively contribute to the career development of the team and culture, encouraging team work.
- Working knowledge of GAAP and financial statements.
- Must have experience with Netsuite.
- Proficient with excel and google sheets.
- International experience preferred.
- Detail-oriented and able to effectively complete tasks with minimal supervision.
- Proficiency with GitLab.
- You share our [values](/handbook/values/), and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#management-group)
- Ability to use GitLab

## Performance Indicators

- [Average days to close](/handbook/finance/accounting/#average-days-to-close-kpi-definition)
- [Number of material audit adjustments = 0](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-and-finance-function-related-to-audit)
- [Percentage of ineffective Sox Controls = 0%](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-and-finance-function-related-to-audit)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30 minute screening call with our Global Recruiters
- Next, candidates will be invited to schedule a 45 minute interview with our Controller
- Candidates will then be invited to schedule a 45 minute interview with our CFO
- Finally, candidates may be asked to interview with the CEO
- Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring/interviewing/).

## Career Ladder

The next step in the Accounting Operations job family is to move to the [Controller](/job-families/finance/corporate-controller/) job family.
