---
title: "Accounts Payable - Roles & Responsibilities"
description: "The Accounts Payable team is responsible for timely and accurate processing and payment of vendor invoices, processing vendor credits and expense reports submitted by GitLab team members."
---

The Accounts Payable team is responsible for timely and accurate processing and payment of vendor invoices, processing vendor credits and expense reports submitted by GitLab team members. The Accounts Payable team ensures that all transactions are SOX compliant including obtaining all required supporting documentation and appropriate authorization for disbursements.

## Levels

### Junior Accounts Payable Analyst

The Junior Accounts Payable Analyst reports to the Manager, Accounts Payable.

### Junior Accounts Payable Analyst Job Grade

The Junior Accounts Payable Analyst is a grade 5. (/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Junior Accounts Payable Analyst Responsibilities

- Experience with Coupa and Netsuite preferred
- Process full-cycle accounts payable including vendor and invoice management approval
- Ensure proper GL coding for all AP activity recorded in accordance with the GitLab chart of accounts
- Assist in obtaining documents for year-end 1099 filings
- Assist with audit requests related to the accounts payable function
- Assist with journal entries such as AP accruals/reclasses, along with reconciliations, and other assigned tasks related to accounts payable, in a timely manner to comply with the close calendar and checklists
- Assist team with ad hoc projects, as needed
- Assist with implementation of accounting tools to help automate and streamline processes

#### Junior Accounts Payable Analyst Requirements

- Experience with Netsuite preferred
- Experience with Navan and Coupa is a plus
- 1+ years of related accounts payable experience is required
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results
- Knowledge of SOX
- Proficient with Excel and Google Sheets
- International experience is a plus
- Knowledge of basic accounting principles
- Self-starter with the ability to work remotely and independently and interact with various teams when needed.
- You share our values, and work in accordance with those values.
- Ability to use GitLab

### Accounts Payable Analyst (Intermediate)

The Accounts Payable Analyst (Intermediate) reports to [Senior Manager, Accounts Payable](/job-families/finance/accounts-payable/).

#### Accounts Payable Analyst (Intermediate) Job Grade

The Accounts Payable Analyst (Intermediate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Accounts Payable Analyst (Intermediate) Responsibilities

- Process full-cycle accounts payable including vendor and invoice management, approval and weekly disbursement activities
- Ensure proper GL coding for all AP activity recorded in accordance with the GitLab chart of accounts
- Process expense reports as needed and serve as an administrator for Navan
- Administrator for Navan expense reporting tool including the review of all corporate card transactions to ensure proper coding and processing in NetSuite
- Update cash flow report for disbursements on a daily basis
- Credit card account reconciliation
- Assist in year-end 1099 filings
- Gather and review supporting documentation for VAT filings
- Assist with implementation of accounting tools to help automate and streamline processes
- Assist team with ad hoc projects, as needed
- Assist with audit requests related to the accounts payable function
- Ensure internal controls are followed and maintained as related to the accounts payable function
- Fulfill all duties, including journal entries such as AP accruals/reclasses, along with reconciliations, and other assigned tasks related to accounts payable, in a timely manner to comply with the close calendar, - - checklists, and other due dates as assigned

#### Accounts Payable Analyst (Intermediate) Requirements

- Experience with Netsuite preferred
- Experience with Navan and Coupa is a plus
- 3+ years of related accounts payable experience is required
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results
- Knowledge of SOX
- Proficient with Excel and Google Sheets
- International experience is a plus
- Knowledge of basic accounting principles
- Self-starter with the ability to work remotely and independently and interact with various teams when needed.
- You share our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab

### Senior Accounts Payable Analyst

The Senior Accounts Payable Analyst reports to [Senior Manager, Accounts Payable](/job-families/finance/accounts-payable/)

#### Senior Accounts Payable Analyst Job Grade

The Senior Accounts Payable Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Accounts Payable Analyst Responsibilities

- Extends the Accounts Payable Analyst (Intermediate) responsibilities
- Manage 1099 tax filings
- Lead project implementation of AP accounting tools to help automate and streamline
- Establish and enforce proper accounting policies and principles as it pertains to accounts payable
- Train and support new hires
- Ensure SOX compliance for AP controls

#### Senior Accounts Payable Analyst Requirements

- Extends the Accounts Payable Analyst (Intermediate) requirements
- 5+ years of related accounts payable experience is required
- International experience
- Knowledge of basic accounting principles
- High degree of attention to detail
- Strong analytical skills

### Manager, Accounts Payable

The Manager, Accounts Payable reports to The [Senior Manager, Accounts Payable](/job-families/finance/accounts-payable/)

#### Manager, Accounts Payable Job Grade

The Manager, Accounts Payable is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Accounts Payable Responsibilities

- Extends that of the Senior Accounts Payable Analyst responsibilities
- Lead project implementation of AP accounting tools to help automate and streamline
- Own end to end pay process including PO creation, billing cycle, vendor onboarding, purchase to pay cycle and expense management
- Establish and enforce proper accounting policies and principles as it pertains to accounts payable
- Train and support staff and new hires on procure to payment, plus expense life cycle
- Ensure SOX compliance for AP and expense controls
- Responsible to supervise activities of accounts payable staff to ensure consistent application of best practice, productivity, and adherence to internal controls for accounts payable compliance

#### Manager, Accounts Payable Requirements

- Extends that of the Senior Accounts Payable Analyst requirements
- 8+ years of related accounts payable experience is required
- International experience
- Knowledge of accounting principles
- High degree of attention to detail
- Strong analytical skills
- Strong collaboration and iteration principal

### Senior Manager, Accounts Payable

The Senior Manager, Accounts Payable reports to the [Senior Director, Corporate Controller](/job-families/finance/corporate-controller/).

#### Job Grade

The Senior Manager, Accounts Payable is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager Responsibilities

- Review and approve 1099 filings
- Review and approve accuracy of support provided for VAT filings to the tax team
- Lead project implementation of AP tools to help automate and streamline processes
- Train and support new hires, manage assignment of tasks across team
- Prepare, review and approve various AP and AP related balance sheet reconciliations
- Maintain AP metrics, recommend and implement process improvements to improve efficiency and accuracy
- Ensure SOX compliance for AP controls
- Responsible to supervise activities of accounts payable staff to ensure consistent application of best practice, productivity, and adherence to internal controls for accounts payable compliance

#### Senior Manager Requirements

- 8+ years of related accounts payable experience
- Strong analytical skills
- Prior experience implementing systems, tools and process improvements

### Director, Accounts Payable

The Director, Accounts Payable position provides the strategic vision for accounts payable and expense management at GitLab. The Director is responsible for the performance and effectiveness of this department. Responsibilities include, but are not limited to; managing the daily work-flow of the department, monitoring processes and performance to identify trending issues and develop training solutions or procedures to address these issues, and will lead an AP/Expense management team to ensure key performance goals are attained and exceeded.

The Director, Accounts Payable reports to the VP, Corporate Controller (or PAO in absence).

#### Job Grade

The Director, Accounts Payable is a grade 10.

#### Director, Accounts Payable Responsibilities

- Leads the Accounts Payable and Expenses team and effectively manages company wide payments while ensuring the DPO and cash disbursement is kept within acceptable limits as set forth by Finance Leadership
- Deploy interim solutions for business-critical needs; must have ability to quickly assess unfamiliar situations and provide remediation, including modifying standard processes to address longer term issues
- Drive transformation, improve productivity and streamline business operations
- Manage review and analysis of business systems and upgrades
- Define and manage performance metrics of AP and Expense Teams
- Build, optimize and automate performance reporting
- Partners with the General Ledger, Financial Planning and Analysis and Procurement teams to drive process improvement and implementation
- Manages high level accounts payable and expense escalations and makes related business decisions
- Analyzes departmental performance and advises the teams on high risk decisions
- Educates, trains, monitors, problem-solves, and ensures company policies are followed across the Accounts Payable department and provides strategic direction to management and their team
- Ensures all team members are effectively trained and have the tools available to carry out their tasks in an accurate and efficient manner
- Responsible for oversight of the monthly accounts close process (accounts payable), resulting in timely delivery of accurate data for management reporting
- Responsible to participate in external and internal audits as they relate to accounts payable functions
- Responsible to supervise and direct activities of accounts payable staff to ensure consistent application of best practice, productivity, and adherence to internal controls for accounts payable compliance

#### Director, Accounts Payable Requirements

- Bachelor's Degree in Accounting, Finance, or Business Administration required
- 10+ years in Accounts Payable experience, 5+ years in management role
- 3+ Years experience with procure to pay and expense related software
- Proven ability to perform strategic planning and set priorities for an accounts payable department
- Proven track record for improving processes and problem- solving
- Strong leadership skills with an ability to coach and motivate
- Solid understanding of accounts payable and financial concepts
- Strong analytical and problem-solving skills
- Excellent verbal and written communication skills and ability to collaborate with cross-functional teams. Able to work in stressful situations with firm deadlines

## Performance Indicators

- [Average days to close](/handbook/finance/accounting/#average-days-to-close-kpi-definition)
- [Number of material audit adjustments = 0](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-and-finance-function-related-to-audit)
- [Percentage of ineffective Sox Controls = 0%](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-and-finance-function-related-to-audit)

## Career Ladder

The next step in the Accounts Payable job family is to move to the [General Ledger](/job-families/finance/general-ledger-accounting/) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- 30 minute screening call with our Recruiters
- 30 minute interview with Hiring Manager
- 2 - 4 30 minute peer interviews
- 45 minute interview with an Executive for any Manager and above role.

Additional details about our process can be found on our [hiring page](/handbook/hiring/interviewing/).
