---
title: "Accounts Receivable"
---

## Accounts Receivable Team Levels

### Accounts Receivable Associate

The Accounts Receivable Associate reports to the Manager, Accounts Receivable or above.

#### Accounts Receivable Associate Job Grade

The Accounts Receivable Associate is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Accounts Receivable Associate Responsibilities

- Support posting of cash receipts and report preparation
- Support weekly reconciliations of Professional Services Billing
- Prepare weekly PO/Portal reconciliation reporting and submission of billing in 3rd party billing portals
- Maintain weekly reconciliations for Alliance Partner disbursement files
- Support AM/PM Zendesk ticket triage for Accounts Receivable Team
- Support all W9 and remittance requests in Zendesk
- Assist AR Team with low-moderate collections issues and escalations
- Perform additional duties as assigned

#### Accounts Receivable Associate Requirements

- 1-2 years accounts receivable experience
- 1-2 years in SaaS/software preferred
- Ability to work and achieve deadlines independently
- Solid understanding of accounts receivable and financial concepts
- Excellent verbal and written communication skills and ability to collaborate with cross-functional teams.
- Ability to adapt to business technology and leverage available resources
- Knowledge in Zuora Billing, Salesforce CRM, Google Suite (Gmail, Docs, Sheets, etc.) required
- You share our values, and work in accordance with those values.
- Able to work in a fast paced environment while meeting deadlines and objectives
- Some roles may be required to work in US time zones mainly Pacific and Eastern time zones with the overlap of at least 4 hours
- Ability to use GitLab

### Accounts Receivable Analyst

The Accounts Receivable Analyst reports to the Manager, Accounts Receivable or above.

#### Accounts Receivable AnalystJob Grade

The Accounts Receivable Analyst is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Accounts Receivable Analyst Responsibilities

- Extends that of the Accounts Receivable Associate responsibilities
- Negotiate and collaborate with customers to resolve delinquent account matters providing guidance on complex issues for problem resolution
- Provide a positive customer experience by discussing options and setting up payment arrangements
- Maintain and notate all appropriate information and documentation on customer and accounts in Zuora Billing and Tesorio
- Manage assigned portfolio(s) of 15-25 million using an analytical approach that is systemized and sustainable
- Conduct deep dives in response to client requests for adjustments related to and impacting billing, revenue, subscription management, licenses provisioning, and automated/sales assisted billing
- Identify and proactively provide solutions for automation and process improvement, while also ensuring daily responsibilities are completed with detail, accuracy, and timeliness
- Tracks payments, promises of payments (PTP), and disputes in our internal AR systems
- Critical thinking and concept application skills - ability to comprehend tools provided for securing payment, and apply them to differing accounts to result in payment
- Manage Zendesk ticket queue in excess of 1K inquiries per month
- Participate actively in ERP system/process/automation UAT and implementation
- Lead meetings/conference calls with customers to align on the billing and payment processes
- Assist management with cash on account and bad debt analysis and collection
- Work together as both team member and individual contributor in a goal-oriented environment to meet individual and team targets

#### Accounts Receivable Analyst Requirements

- Extends that of the Accounts Receivable Associate requirements
- 5+ years accounts receivable experience
- 1-2 years in SaaS/software preferred
- Ability to work and achieve deadlines independently
- Solid understanding of accounts receivable and financial concepts
- Strong analytical and problemsolving skills
- Strong working knowledge of business systems
- Excellent verbal and written communication skills and ability to collaborate with cross-functional teams.
- Some roles may be required to work in US time zones mainly Pacific and Eastern time zones with the overlap of at least 4 hours
- Able to work in a fast paced environment while meeting deadlines and objectives

### Senior Accounts Receivable Analyst

The Senior Accounts Receivable Analyst reports to the Manager, Accounts Receivable or above.

#### Senior Accounts Receivable Analyst Job Grade

The Senior Accounts Receivable Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Senior Accounts Receivable Analyst Responsibilities

- Extends that of the Accounts Receivable Analyst responsibilities
- Oversee collections of accounts by contacting customers as needed to assist AR staff, making recommendations for adjustments to credit limits and payment terms,  negotiating and resolving conflicts, and expediting payments.
- Manage the generation of weekly accounts receivable aging and forecast in Tesorio
- Manage global AR portfolio for reseller partner accounts in excess of 40 million
- Coordinate collection efforts for collections team with support of Sr. Management
- Manage weekly review of accounts 60+ days past due
- Create weekly forecast reporting in Tesorio
- Monitor and escalate team member tasks in Tesorio
- Support Management with building the credit policies and procedures for the Finance Organization
- Weekly review and reconciliation of deposits, cash applied & unapplied cash (CCOA)
- Perform month end reconciliation of cash receipts, accounts receivable, customer cash on account, allowance for doubtful accounts, bad debt, and credit cards
- Manage credit card chargeback and dispute process
- Perform additional duties as assigned

#### Senior Accounts Receivable Analyst Requirements

- Extends that of the Accounts Receivable Analyst requirements
- 5+ years accounts receivable experience
- 1-2 years accounts receivable supervisory experience
- 1-2 years in SaaS/software preferred
- CBA Preferred
- Proven ability to perform strategic planning and set priorities for an AR department
- Ability to work and achieve deadlines independently
- Proven track record for improving processes and problem- solving
- Strong leadership skills with an ability to coach and motivate
- Solid understanding of accounts receivable and financial concepts
- Strong analytical and problem solving skills
- Strong working knowledge of business systems
- Excellent verbal and written communication skills and ability to collaborate with cross-functional teams.
- Some roles may be required to work in US time zones mainly Pacific and Eastern time zones with the overlap of at least 4 hours
- Able to work in a fast paced environment while meeting deadlines and objectives

### Lead Accounts Receivable Analyst

The Lead Accounts Receivable Analyst reports to the Manager, Accounts Receivable or above.

#### Lead Accounts Receivable Analyst Job Grade

The Lead Accounts Receivable Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Lead Accounts Receivable Analyst Responsibilities

- Extends that of the Sr. Accounts Receivable Analyst responsibilities
- Train in leadership values at GitLab
- Acts as resource deal processing inquiries/escalations for Collections team
- Act as 1st point of escalation on collection and AR related inquiries
- Strong working of billing principles related to GitLab operations and translare to team members
- Develop knowledge in month/quarter/year end activities for Billing and AR team
- Build upon existing Policy and Procedures – document day-to-day processes as well as one-off situations
- Proven ability to work effectively in GitLab projects and issues

#### Lead Accounts Receivable Analyst Requirements

- Extends that of the Senior Accounts Receivable Analyst requirements
- 5+ years accounts receivable experience
- 3-5 years accounts receivable supervisory experience
- 1-2 years in SaaS/software preferred
- Proven ability to perform strategic planning and set priorities for an AR department
- Ability to work and achieve deadlines independently
- Proven track record for improving processes and problem solving
- Strong leadership skills with an ability to coach and motivate
- Solid understanding of accounts receivable and financial concepts
- Strong analytical and problem-solving skills
- Strong working knowledge of business systems
- Excellent verbal and written communication skills and ability to collaborate with cross-functional teams.
- Some roles may be required to work in US time zones mainly Pacific and Eastern time zones with the overlap of at least 4 hours
- Able to work in a fast paced environment while meeting deadlines and objectives

### Manager, Accounts Receivable

The Manager, Accounts Receivable reports to the Director, Billing & Collections or above.

#### Manager, Accounts Receivable Job Grade

The Manager, Accounts Receivable is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Manager, Accounts Receivable Responsibilities

- Management and supervision of staff including setting expectations, training, coaching, and developing.
- Ensures the AR Team is meeting expectations and is in compliance with policy and procedures
- Oversee monthly AR Close cycle, ensuring all reporting activities are completed in a timely manner
- Ensures regular and effective reporting of the Key Performance Indicators (KPIs/HealthChecks) to minimize risk and proactively identify problem areas
- Review and approve month end reconciliation of cash receipts, accounts receivable, customer cash on account, allowance for doubtful accounts, bad debt, and credit cards
- Lead weekly AR review meetings and support escalations to sales and/or management
- Implement or enhance accounts receivable systems, processes, and reporting
- Resolve high complexity disputes and inquiries from staff and stakeholders
- Maintain Tesorio templates, workspaces, and campaigns to support collection staff
- Work closely with Billing Operations in strategic initiatives to optimize all billing and collection related activities
- Review and approve CC refund requests up to LOA
- Actively participate in monthly, quarterly and annual audits

#### Manager, Accounts Receivable Requirements

- Bachelor's degree in Accounting/Finance or equivalent experience
- 10+ Years of experience in an accounts receivable or collections role
- 5+ Years experience with Zuora and Salesforce from quote to cash
- Proven ability to perform strategic planning and set priorities for an accounts receivable department
- Proven track record for improving processes and problem solving
- Strong leadership skills with an ability to coach and motivate
- Solid understanding of accounts receivable and financial concepts
- Strong analytical and problem-solving skills
- Excellent verbal and written communication skills and ability to collaborate with cross-functional teams. Able to work in stressful situations with firm deadlines
- Ability to use GitLab
- System knowledge
  - Zuora Billing
  - Salesforce CRM
  - Google Suite (Gmail, Google Docs, Sheets, etc.)
  - Slack (preferred, not required)
- Some roles may be required to work in US time zones mainly Pacific and Eastern time zones with the overlap of at least 4 hours

## Performance Indicators

- Average Days Sales Outstanding (DSO), Average Days Collected, and Average Days Delinquent
- Accounts Receivable Aging Greater Than 90 Days

## Career Ladder

The next step in the Accounts Receivable job family is to move to the [Revenue Accounting](/job-families/finance/revenue-accounting/) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute screening call with a member of the Recruitment team
- Then, candidates will be invited to schedule a 45 minute interviews with the Hiring Manager and a 30 minute interview with a Peer
- Finally, candidates will be invited to a 45 minute interview with a member of the Executive team.

See more details about our interview process [here](/handbook/hiring/interviewing/).
