---
title: Billing Operations GPO Global Process Owner
---

## Billing Operations Global Process Owner (GPO)

The Billing Operations Global Process Owner (GPO) Team at GitLab forms part of the Revenue Organization. This problem solving, process oriented and outcome based team play a crucial role in system implementation, automation and enhancement, defining new processes and/or refining existing processes within the Billing and Accounts Receivable space. The GPO team provides technical guidance and consultation to the larger Revenue Accounting Team, liaising with internal audit for Billing Operations SOX compliance and participating in cross functional projects.

## Billing Operations GPO Levels

### Billing Operations Analyst, GPO

The Billing Operations Analyst, GPO will report to the Manager, Billing Operations GPO or above.

#### Billing Operations Analyst, GPO Job Grade

The Billing Operations Analyst, GPO is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Billing Operations Analyst, GPO Responsibilities

- Perform system data collection, help maintain billing fields in Zuora Billing
- Support ad hoc billing projects, including systems implementation, automation and enhancements in Zuora Billing/Revenue
- Ensure integrity of existing billing activities and processes
- Participate in cross functional systems projects
- Support management with audit inquiries and PBCs
- Support DRI checklists and UAT user case preparation for projects in Zuora Billing/Revenue

#### Billing Operations Analyst, GPO Requirements

- Bachelor degree or equivalent experience (Accounting, Business, Finance or equivalent degree preferred)
- 1-2 years of relevant experience with a public company
- Experience working with Zuora Billing
- Proficient with excel and google sheets
- Ability to work effectively as part of a team and cross functionally to support a variety of complex projects
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results
- Process oriented, outcome based problem-solving skills
- You share our values, and work in accordance with those values
- Successful completion of a background check
- Ability to use GitLab

### Senior Billing Operations Analyst, GPO

The Senior Billing Operations Analyst, GPO will report to the Manager, Billing Operations GPO or above.

#### Senior Billing Operations Analyst, GPO Job Grade

The Senior Billing Operations Analyst, GPO is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Billing Operations Analyst, GPO Responsibilities

- Extends that of the Billing Operations Analyst, GPO responsibilities
- Take a leading role in improvement and review of month-end close activities
- Take a leading role in performing and resolving system data collection
- Open & escalate support tickets with Zuora and in GitLab as issues are identified
- Engage with stakeholders when potential issues are identified, perform root cause analysis and assess impact
- Support ad hoc billing and revenue projects, including systems implementation, automation and enhancements in Zuora Billing UI
- Define new processes, identify inefficiencies and refine existing processes as required
- Liaise with internal audit for SOX compliance
- Take a supporting role in participation of cross functional systems projects

#### Senior Billing Operations Analyst, GPO Requirements

- Bachelor degree or equivalent experience (Accounting, Business, Finance or equivalent degree preferred)
- 2-3 years of relevant experience with a public company
- Experience working with Zuora Billing
- Proficient with excel and google sheets
- Ability to work effectively as part of a team and cross functionally to support a variety of complex projects
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results
- Process oriented, outcome based problem-solving skills
- Self-directed and able to effectively complete tasks with minimal supervision
- You share our values, and work in accordance with those values.
- Successful completion of a background check
- Ability to use GitLab

### Lead Billing Operations Analyst, GPO

The Lead Billing Operations Analyst, GPO will report to the Manager, Billing Operations GPO or above.

#### Lead Billing Operations Analyst, GPO Job Grade

The Lead Billing Operations Analyst, GPO is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Lead Billing Operations Analyst, GPO Responsibilities

- Extends that of the Senior Billing Operations Analyst GPO responsibilities
- Train in leadership values at GitLab
- Proven ability to manage your work to deliver on agreed to dates and deadlines and communicate any risks or issues to those.
- Support management with communications to stakeholders on projects
- Take a lead role in participation of cross functional systems projects as assigned by management

#### Lead Billing Operations Analyst, GPO Requirements

- Bachelor degree or equivalent experience (Accounting, Business, Finance or equivalent degree preferred)
- 2-3 years of relevant experience with a public company
- Experience working with Zuora Billing
- Proficient with excel and google sheets
- Ability to work effectively as part of a team and cross functionally to support a variety of complex projects
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results
- Process oriented, outcome based problem-solving skills
- Self-directed and able to effectively complete tasks with minimal supervision
- You share our values, and work in accordance with those values.
- Successful completion of a background check
- Ability to use GitLab

### Manager, Billing Operations GPO

The Manager, Billing Operations GPO will report to the Senior Manager, Billing Operations GPO or above.

#### Manager, Billing Operations GPO Job Grade

The Manager, Billing Operations GPO is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Billing Operations GPO Responsibilities

- Identify areas of improvement in current billing processes
- Conceptualize requirements, assess technical feasibility in Zuora Billing, and oversee testing and go-live for automation of manual activities within these processes
- Develop a remediation plan when potential issues are identified within the current process
- Communicate impact to the leadership team and stakeholders
- Collaborate with cross-functional teams on system implementations and enhancements, including prioritization of roadmap items
- Support management of Zuora Billing including approving role creation, accounting policies, rules, change in set-up to facilitate new/additional requirements from the Billing Operations Team
- Review existing processes and policies and communicate with stakeholders for changes in Zuora Billing in alignment with Zuora Revenue requirements
- Perform periodical review of SOX compliance, collaborate with internal audit team for any change in process and controls
- Support external and internal audit requirements related to revenue reporting
- Support management with on long-term, multi-stage projects of high complexity

#### Manager, Billing Operations GPO Requirements

- Bachelor degree or equivalent experience (Accounting, Business, Finance or equivalent degree preferred)
- 3-5 years of relevant experience with a public company
- Ability to manage a team and to train and leverage the skills of others to achieve objectives
- Experience working with Zuora Billing
- Proficient with excel and google sheets
- Ability to work effectively as part of a team and cross functionally to support a variety of complex projects
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results
- Process oriented, outcome based problem-solving skills
- Self-directed and able to effectively complete tasks with minimal supervision
- You share our values, and work in accordance with those values.
- Successful completion of a background check
- Ability to use GitLab
- Effective communication skills, including an ability to listen to the needs of the business units, research and comprehend complex matters, articulate issues in a clear and simplified manner, and present findings and recommendations in both oral and written presentations
- Successful completion of a background check
- Ability to use GitLab

### Senior Manager, Billing Operations GPO

The Senior Manager, Billing Operations GPO will report to the Director, Billing & Collections or above.

#### Senior Manager, Billing Operations GPO Job Grade

The Lead Billing Operations Analyst, GPO is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Billing Operations GPO Responsibilities

- Take the leading role in collaboration with cross-functional teams on system implementations and enhancements, including prioritization of roadmap items
- Manage Zuora Billing UI including approving role creation, accounting policies, rules, change in set-up to facilitate new/additional requirements from leadership
- Perform weekly/monthly/quarterly/annual health checks on data within Zuora Billing UI
- Create and manage dashboards for data hygiene in Zuora Billing UI
- Collaborate with other functions across the company by building reports and dashboards with useful analysis and data insights as needed
- Support automation of operational billing data reporting and team statistical information
- Regularly communicate with internal stakeholders on in flight projects and provide status reports
- Communicate with users on GitLab issues and epics
- Testing and test design: Follow A/B testing best practices, execute analysis for A/B tests, experiments across multiple functions
- Deep understanding of the full cycle of the quote to cash process
- Explain trends across data sources, potential opportunities for growth or improvement, and data caveats for descriptive, diagnostic, predictive (including forecasting), and prescriptive data analysis
- Manage the operational aspect of on-boarding new employees and transitions of existing employees
- Work on long-term, multi-stage projects of high complexity

#### Senior Manager, Billing Operations GPO Requirements

- Bachelor degree or equivalent experience (Accounting, Business, Finance or equivalent degree preferred)
- 4-7 years experience in technical or operational leadership position
- Experience in Zuora Billing or related billing system
- Deep understanding of QTC process
- Deep understanding of subscription billing
- Superior attention to detail
- Understanding of databases, business intelligence reporting, and data visualization tools
- Self-starter with the ability to drive projects to completion
- Completion of statistical analysis
- Proven ability to use GitLab
- Strong Excel/G-sheets and some Structured Query Language (SQL) experience
- Strong interpersonal and communication skills effective across all levels of management
- Passionate about data, analytics and automation
- Expert level experience in process documentation
- Proven experience in training delivery and timeline management
- The ability to absorb abstract and complex problems and then communicate these problems clearly and concisely to others
- Ability to identify training needs and gaps
- Substantial understanding of project lifecycles
- Demonstrated success working in cross-functional teams to meet business objectives
- You share our values, and work in accordance with those values
- Successful completion of a background check
- Ability to use GitLab

## Career Ladder

The next step in the Revenue GPO job family is to move to the [Revenue Accounting](/job-families/finance/revenue-accounting/) job family.

## Hiring Process

Candidates for the Revenue Accounting Organization can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute screening call with a member of the Recruitment team
- Then, candidates will be invited to schedule a 45 minute interviews with the Hiring Manager and a 30 minute interview with a Peer
- Finally, candidates will be invited to a 30-45 minute interview with the Department Director or a member of the Executive Team.

As always, the interviews and screening call will be conducted via a [video call](/handbook/communication/#video-calls). See more details about our interview process [here](/handbook/hiring/interviewing/).
