---
title: "Billing Operations"
description: "The Billing Operations Team at GitLab form part of the Revenue Accounting Group and are responsible for the Global Billing Operations within the order to cash process."
---

The Billing Operations Team at GitLab form part of the Revenue Accounting Group and are responsible for the Global Billing Operations within the order to cash process.

## Billing Operations Team Levels

### Billing Opertions Intern

The Billing Operations Intern reports to the Manager, Billing or above.

The Billing Operations Associate is a [grade 4](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Billing Operations Intern Responsibilities

- Aid in the maintenance and update of customer billing portals, ensuring invoices are processed accurately
- Handle customer inquiries related to customer billing inquiries, customer promise to pay, and W9 requests
- Assist in the management of pending invoices, ensuring timely follow-up and resolution
- Support the Accounts Receivable (AR) team by reviewing, coding, and updating cash on account
- Engage in learning opportunities to understand the order to cash process

#### Billing Operations Intern Requirements

- Currently enrolled in or recently graduated from a degree program in Finance, Accounting, Business Administration, or relevant experience in related field
- Excellent verbal and written communication skills. Ability to communicate effectively with team members and customers
- Strong attention to detail and accuracy in handling financial information and customer accounts
- Ability to work collaboratively in a team, contributing positively to team operations and culture
- Proactive in learning new skills and taking on challenges to support team objectives

### Billing Operations Associate

The Billing Operations Associate reports to the Manager, Billing or above.

#### Billing Operations Associate Job Grade

The Billing Operations Associate is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Billing Operations Associate Responsibilities

- Review and evaluation of billing data for accuracy
- Sync of quote information between Salesforce and Zuora
- Responsible for updating any billing errors as they occur prior to invoice submission
- Escalation of disputes related to billing functions
- Maintenance of billing team Salesforce and Zendesk queues

#### Billing Operations Associate Requirements

- 1-2 Years experience billing in a high-volume environment
- Understanding of subscription billing preferred
- Superior attention to detail
- Excellent computer skills, self starter in picking up new and complex systems
- Ability to work independently to meet deadlines and objectives
- System knowledge
  - Zuora Billing
  - Salesforce CRM
  - Google Suite (Gmail, Google Docs, Sheets, etc.)
  - Slack (preferred, not required)

### Billing Operations Analyst

The Billing Operations Analyst reports to the Manager, Billing or above.

#### Billing Operations Analyst Job Grade

The Billing Operations Analyst is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Billing Operations Analyst Responsibilities

- Extends that of the Billing Operations Associate
- Approve, adjust, or reject opportunities according to guidelines, and provide guidance to Sales Operations, Revenue Accounting, and Accounts Receivable teams
- Serve as the trusted advisor and sales operations lead to area sales leaders
- Drive hygiene and governance of Zuora Billing UI
- Ensure transactions comply with revenue recognition and business operational policies
- Process system workflow interfaces to sync quote information between Salesforce and Zuora
- Promptly address day-to-day issues and queries as they arise in an efficient and effective manner
- Responsible for ownership of regional billing queue and portfolio, managing standard and complex deal configuration and analysis
- Escalate issues and concerns as required to EntApps, Data, and Fulfillment teams in GitLab applications to support operational efficiencies
- Maintenance of billing team Zendesk and Salesforce case queue for regional billing portfolio
- Oversee the quality of data inputs and outputs for functional tasks, including but not limited to daily billing reconciliations, professional services T&M and expense based billing and reconciliation as well as web direct reconciliations
- Provide information to internal and external customers in respect of log-in, navigation, invoice approval process (alerts, workflow, approval, and rejection procedures)
- Develop collaborative working relationships Sales Operations, Accounts Receivable, ISRs, CSMs, Support, Sales Executives, Alliance, and Channel Teams
- Support training and enablement of new hires and continuous education of best practices within the CRM
- Participate actively in ERP system/process/automation UAT and implementation
- Act as subject matter expert (SME) for billing related automation inquiries and change management
- Reflect the level autonomy, decision-making authority, concept application, breadth and level of work/accountability within assigned responsibilities

#### Billing Operations Analyst Requirements

- 3+ Years experience billing in a high-volume environment
- Experience in high volume subscription based billing environments
- Superior attention to detail
- Excellent computer skills, self starter in picking up new and complex systems
- Ability to work independently to meet deadlines and objectives
- System knowledge
  - Zuora Billing
  - Salesforce CRM
  - Google Suite (Gmail, Google Docs, Sheets, etc.)
  - Slack (preferred, not required)

### Senior Billing Operations Analyst

The Senior Billing Operations Analyst reports to the Manager, Billing or above.

#### Senior Billing Operations Analyst Job Grade

The Senior Billing Operations Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Billing Operations Analyst Responsibilities

- Extends that of the Billing Operations Analyst
- Support month-end ad-hoc reporting/tasks as needed
- Working knowledge of all billing requirements and policies by deal type, entity, and channel
- Specialization in a particular process to develop subject matter expertise
- Identify and track billing variances through daily, weekly and monthly reconciliations
- Demonstrate continuous effort to improve operations, decrease turnaround times, and streamline work processes
- Coordinate special projects as assigned, which may include preparing monthly reports and researching variances
- Work cross functionally to research and resolve customer issues related to billings
- Assist with the development and implementation of billing system improvements, including defining requirements and performing user acceptance tests
- Fulfill quarterly and annual audit requests
- Perform special projects as requested

#### Senior Billing Operations Analyst Requirements

- Experience in high volume subscription based billing environments
- Intermediate Excel/Google Sheets
- Understanding of billing and revenue
- Superior attention to detail
- Excellent computer skills, self starter in picking up new and complex systems
- Ability to work independently to meet deadlines and objectives
- System knowledge
  - Zuora Billing
  - Salesforce CRM
  - Google Suite (Gmail, Google Docs, Sheets, etc.)
  - Slack (preferred, not required)

### Lead Billing Operations Analyst Job Grade

The Lead Billing Operations Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Lead Billing Operations Analyst Responsibilities

- Extends that of the Sr. Billing Operations Analyst
- Train in leadership values at GitLab
- Acts as resource deal processing inquiries/escalations for billing team
- Act as 1st point of escalation on billing related inquiries
- Strong working of billing priciples related to GitLab operations
- Develop knowledge in month/quarter/year end activities for SubOps team
- Build upon existing Policy and Procedures – document day-to-day processes as well as one-off situations
- Proven ability to work effectively in GitLab projects and issues

#### Lead Billing Operations Analyst Requirements

- Experience in high volume subscription based billing environments
- Intermediate Excel/Google Sheets
- Understanding of billing and revenue
- Superior attention to detail
- Excellent computer skills, self starter in picking up new and complex systems
- Ability to work independently to meet deadlines and objectives
- System knowledge
  - Zuora Billing
  - Salesforce CRM
  - Google Suite (Gmail, Google Docs, Sheets, etc.)
  - Slack (preferred, not required)

### Manager, Billing Operations

The Manager, Billing Reports to the Sr. Manager, Billing or above.

#### Manager, Billing Operations Job Grade

The Manager, Billing is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Billing Operations Responsibilities

- Manage a group of Billing Operations Analysts across territory (EMEA/APAC or AMER)
- Responsible for planning, organizing, and leading a billing operations team, including setting strategic direction and mentoring
- Responsible for the resolution of complex billing matters; ensuring the department's systems are sufficient and meet current and future business needs and that all submissions and handling of data is performed with accuracy
- Work closely with Billing Operations and Analytics Manager in strategic initiatives to optimize all billing related activities
- Utilize privileged level access to applications in order to gather information, maintain and request changes
- Working knowledge of all billing requirements by deal type, entity, and channel
- Manage relationships with Sales Operations, Accounts Receivable and Revenue team
- Manage weekly, monthly, and quarterly reconciliation reporting
- Lead monthly invoice validation analysis against booking and billing
- Establish and iterate on quality assurance processes and controls in monthly billing processes for compliance and internal audit
- Develop and implement billing system improvements, including defining requirements and performing user acceptance tests
- Perform routine operational tasks related to the Billing Applications and related components such as monitoring of queues, error reporting and overall system health
- Fulfill quarterly and annual audit requests
- Write and conduct performance evaluations for Subscription Billing direct reports

#### Manager, Billing Operations Requirements

- Bachelor's degree in Accounting/Finance or equivalent experience
- 5+ Years of experience in billing and collections
- 3+ Years experience with Zuora and Salesforce from quote to cash
- Proven ability to perform strategic planning and set priorities for a billing department
- Proven track record for improving processes and problem- solving
- Strong leadership skills with an ability to coach and motivate
- Solid understanding of billing and financial concepts
- Strong analytical and problem-solving skills
- Excellent verbal and written communication skills and ability to collaborate with cross-functional teams. Able to work in stressful situations with firm deadlines
- Ability to use GitLab
- System knowledge
  - Zuora Billing
  - Salesforce CRM
  - Google Suite (Gmail, Google Docs, Sheets, etc.)
  - Slack (preferred, not required)

### Senior Manager, Billing

The Senior Manager, Billing Reports into the Director, Billing & Collections.

#### Senior Manager, Billing Job Grade

The Senior Manager, Billing is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager Billing Responsibilities

- Responsible for all aspects of the Billing Operations team
- Develops policies, programs, and procedures for efficient billing operations
- Establishes and implements short/long range organizational goals, objectives, strategic plans, policies, and operating procedures; monitors and evaluates programmatic and operational effectiveness, and effects changes required for improvement
- Increase the effectiveness of Zuora Billing data management, forecasting, quotes, opportunities, contracts, dashboards, and reporting to support accurate reporting and analysis.
- Manage Salesforce to Zuora integrations, including ongoing maintenance and problem-solving, and provide strategic insight as needed
- Ensure audit compliance in all related functions
- Motivates staff to achieve peak performance and productivity
- Proactively manage and ensure compliance with control objectives
- Must be competent in troubleshooting complex billing challenges, identifying and prioritizing gaps in processes
- Collaborate with Revenue, IT, Vendors and internal stakeholders, to resolve roadblocks across various internal organizations
- Partner to resolve system discrepancies and to develop systemic enhancements to gain efficiencies
- Approves employee schedules, absences, overtime, and vacation
- Oversees the hiring and termination process with support from the People Team
- Writes and conducts performance evaluations of Billing & Collections staff

#### Senior Manager, Billing Requirements

- 5+ Years of management of Billing/Collections Team
- 5+ Years of experience in billing and collections
- 3+ Years experience with Zuora and Salesforce from quote to cash collection
- Bachelor's Degree in Finance/Accounting or related field  preferred
- Proven ability to perform strategic planning and set priorities for a billing department
- Proven track record for improving processes and problem- solving
- Strong leadership skills with an ability to coach and motivate
- Solid understanding of billing and financial concepts
- Strong analytical and problem-solving skills
- Strong working knowledge of business systems
- Excellent verbal and written communication skills and ability to collaborate with cross-functional teams.
- Able to work in stressful situations with firm deadlines
- Ability to use GitLab
- System knowledge
  - Zuora Billing
  - Salesforce CRM
  - Google Suite (Gmail, Google Docs, Sheets, etc.)
  - Slack (preferred, not required)

### Director, Billing and Collections

The Director, Billing & Collections reports to the Senior Director, Billing & Collections or above.

#### Director, Billing and Collections Job Grade

The Director, Billing and Collections is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Billing and Collections Responsibilities

- Leads the Billing and Collections teams and effectively manages the risk of credit extensions while ensuring the DSO and dilution on accounts is kept within acceptable limits as set forth by Finance Leadership
- Deploy interim solutions for business-critical needs; must have ability to quickly assess unfamiliar situations and provide remediation, including modifying standard processes to address longer term issues
- Drive transformation, improve productivity and streamline business operations
- Manage review and analysis of business systems and upgrades
- Define and management performance metrics of Billing and AR Teams
- Build, optimize and automate performance reporting
- Partner with Revenue Director and Sales Operations team to drive process improvement and implementation
- Manages high level billing escalations and makes related business decisions
- Analyzes departmental performance and advises the teams on high risk decisions while maintaining established credit and underwriting controls to prevent loss exposure
- Educates, trains, monitors, problem-solves, and ensures company policies are followed across the Billing/Collection departments and provides strategic direction to management and their teams
- Ensures all team members are effectively trained and have the tools available to carry out their tasks in an accurate and efficient manner
- Responsible for oversight of the monthly accounts close process (billing/collections), resulting in timely delivery of accurate data for management reporting
- Responsible to participate in external and internal audits as they relate to billing functions
- Responsible to supervise and direct activities of billing and collections staff to ensure consistent application of best practice, productivity, and adherence to internal controls for billing compliance

#### Director, Billing and Collections Requirements

- Bachelor's Degree in Accounting, Finance, or Business Administration required
- 7+ years in Billing/Collections management
- 3+ Years experience with Zuora and Salesforce from quote to cash collection
- Proven ability to perform strategic planning and set priorities for a billing department
- Proven track record for improving processes and problem- solving
- Strong leadership skills with an ability to coach and motivate
- Solid understanding of billing and financial concepts
- Strong analytical and problem-solving skills
- Excellent verbal and written communication skills and ability to collaborate with cross-functional teams. Able to work in stressful situations with firm deadlines
- Ability to use GitLab

### Senior Director, Billing and Collections

The Senior Director, Billing & Collections position provides the strategic vision for billing & collections at GitLab. The Director is responsible for the performance and effectiveness of each department. Responsibilities include, but are not limited to; managing the daily work-flow of the department, monitoring processes and performance to identify trending issues and develop training solutions or procedures to address these issues, and will lead a Billing/Collections management teams to ensure key performance goals are attained and exceeded.

The Director, Billing & Collections reports to the VP, Revenue Accouting.

#### Senior Director, Billing and Collections Job Grade

The Director, Billing and Collections is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director, Billing and Collections Responsibilities

- Extends that of the Director, Billing & Accounts Receivable
- The Senior Director reports directly to the VP, Revenue Accounting and is responsible for assisting with practice financial operations and managing all aspects of professional billing revenue cycle operations
- Responsible for approximately 13 internal support staff FTEs in end to end Billing/AR Operations
- Sets goals and monitors performance of coding, billing, follow-up, cash posting, customer service, and collection activities helping to improve cash flow, days in A/R and other performance metrics
- Oversees complex analytical reports including forecasts, revenue and expense analysis, business trends analysis, and special ad-hoc projects related to the designated business units
- Works with department directors of all divisions, considers policy changes that have financial implications related to Billing/AR systems and processes
- Initiates systems that contribute to enhancing cash flow and reduce accounts receivable days
- Provides strategic direction, leads innovations and operational enhancements/standardization by leveraging best practices and technology to create best in class corporate accounts receivable and billing operations functions
- Demonstrates strong strategic thinking, collaboration, leadership, problem solving and communication skills with all levels of the organization

#### Director, Billing and Collections Requirements

- 10-15 years experience in a Billing Operations & Accounts Receivable leadership role
- Bachelor degree in Accounting, Business, Finance or equivalent degree preferred
- A successful track record in setting priorities; keen analytic, organization and problem solving skills which support and enable sound decision making
- Excellent communication and relationship building skills with an ability to prioritize, negotiate, and work with a variety of internal and external stakeholders
- A multi-tasker with the ability to wear many hats in a fast-paced environment
- Technology savvy with experience selecting and overseeing software installations and managing relationships with software vendors; knowledge of accounting and reporting software
- Ability to translate financial concepts to and to effectively collaborate with colleagues to drive initiatives forward
- Ability to use GitLab and related technology

## Performance Indicators

- [Average days of sales outstanding](/handbook/finance/accounting/#accounts-receivable-performance-indicators)
- [Time for Invoices to be generated when a deal is closed won in Salesforce](/handbook/finance/accounting/#accounts-receivable-performance-indicators)
- [Percentage of ineffective Sox Controls](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-and-finance-function-related-to-audit)

## Career Ladder

The next step in the Billing & Collections job family is to move to the [Revenue Accounting](/job-families/finance/revenue-accounting/) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/)

- Qualified candidates will be invited to schedule a 30 minute screening call with a member of the Recruitment team
- Then, candidates will be invited to schedule a 45 minute interviews with the Hiring Manager and a 30 minute interview with a Peer
- Finally, candidates will be invited to a 45 minute interview with a member of the Executive team.

As always, the interviews and screening call will be conducted via a [video call](/handbook/communication/#video-calls). See more details about our interview process [here](/handbook/hiring/interviewing/).
