---
title: "Payroll Roles"
description: "The payroll department is responsible for processing and distributing payroll in a timely and accurate manner and coordinates with external vendors."
---

The payroll department is responsible for processing and distributing payroll in a timely and accurate manner and coordinates with external vendors including payroll processing platforms, payroll partners and PEOs and internal customers including PeopleOps, Tax, Legal and Accounting. The payroll department is responsible for reports, earnings information and other payroll data on a recurring basis as well as compliance with federal, state and local requirements.

## Responsibilities

- Provide prompt, courteous, and efficient customer service to inquiries from team members
- Process multiple payrolls concurrently
- Coordinate with internal customers including but not limited to PeopleOps, Tax, Legal and Accounting
- Coordinate with external service providers including payroll partners, PEOs and benefit providers
- Compliance with federal, state and local requirements
- Support internal and external audits

## Requirements

- Working knowledge of payroll best practices
- Knowledge of federal, state and local regulations
- Proficient with Google sheets (formula, pivot tablet, vlookup etc.)
- Strong work ethic and team player
- High degree of professionalism
- Ability to deal sensitive and confidential information
- Strong verbal and written communication skills
- Organization, multi-tasking, and prioritization skills
- Demonstrate initiative and handle constantly evolving priorities and contending demands
- Highly organized and attentive to detail when working within the constraint of tight deadlines
- Ability to collaborate and establish relationships cross-functionally within GitLab
- Ability to use GitLab

## Job Grades

Read more about GitLab [Job Grades](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Payroll Specialist

The Payroll Specialist reports directly to the Manager, International Payroll (EMEA/APAC/LATAM).

### Payroll Specialist Job Grade

The Payroll Specialist is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Payroll Specialist Responsibilities

- Provide prompt, courteous, and efficient customer service to employees who have questions regarding their pay
- Review and approve expense reports
- Assists with Year-End process
- Prepare ad hoc reports as needed
- Assist in the development and documentation of payroll procedures designed to streamline the process and scale with the organization
- Support internal and external payroll audit requests
- Verify and audit data processed by external payroll providers
- Provide timely and accurate response to team members' payroll related queries

### Payroll Specialist Requirements

- Extends that of Payroll

## Payroll Analyst, US

The Payroll Analyst, US reports directly to the Senior Manager, Global Payroll Operations.

### Payroll Analyst, US Job Grade

The Payroll Analyst is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Payroll Analyst, US Responsibilities

- Extends the Payroll Specialist Responsibilities
- Own and process payroll, including tax changes, direct deposits, loan repayments, deductions, retroactive adjustments, prorated payments, bonuses, fringe benefits, special pays, etc.
- Process 401(k) and benefit changes
- Responsible for data integration between HRIS and payroll systems
- Register new state/local/SUI tax withholding account with local tax agency
- Responsible for Washington and Ohio worker compensation insurance on annual and quarterly basis
- Ensuring compliance with all compensation and tax regulations
- Responsible for quarterly tax reconciliations for federal, state, and local
- Responsible for managing Family leave and Medical leave for states
- Responsible for month end reports
- Conduct regular audits on payroll procedures and records
- Report to management on payroll issues and changes
- Stay current on state, federal and local payroll and tax laws
- Support year-end reporting tasks

### Payroll Analyst, US Requirements

- Extends the Payroll Specialist Requirements
- 3-5 years payroll processing experience
- Decision-making, problem-solving, and analytical skills
- Ability to collaborate and establish relationships cross-functionally

## Payroll Analyst, EMEA/APAC,LATAM

The Payroll Analyst, EMEA/APAC/LATAM reports directly to the Manger, International Payroll (EMEA/APAC/LATAM).

### Payroll Analyst, EMEA/APAC,LATAM Job Grade

The Payroll Analyst, EMEA/APAC/LATAM is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Payroll Analyst, EMEA/APAC,LATAM Responsibilities

- Extends the Payroll Specialist Responsibilities
- Own and process payroll and payment for 65+ countries and all non-US team members
- Managing review and approval of PEO invoices on monthly basis
- Partner with PeopleOps, Country conversion team on international expansion
- Responsible for working with Accounting on payroll funding for non-US legal entities
- Responsible for monthly payroll tax filing and payments for various countries
- Ensure compliance with all compensation and tax regulations
- Responsible for data integration between HRIS and payroll systems
- Conduct regular audits on payroll procedures and records
- Report to management on payroll issues and changes
- Prepare ad hoc reports as needed
- Stay up-to-date on countries payroll tax laws and regulations
- Support with year-end tasks for all legal entities outside of the US
- Flexibility in dealing with multiple payrolls concurrently

### Payroll Analyst, EMEA/APAC/LATAM, Requirements

- Extends the payroll specialist requirements
- 3-5 years payroll processing experience
- Decision-making, problem-solving, and analytical skills
- Ability to collaborate and establish relationships cross-functionally

## Senior Payroll Analyst

The Senior Payroll Analyst reports directly to the Manger, International Payroll (EMEA, APAC, LATAM).

### Senior Payroll Analyst Job Grade

The Senior Payroll Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Payroll Analyst Responsibilities

- Extends the Payroll Analyst Responsibilities
- Coordinates global payroll processing operations. Currently the company runs payroll in five countries and has partners in another three countries that provide payroll solutions to contributors
- Responsible for managing the relationship with all PEO providers
- Ensure that all relevant data is processed and track through the applicable payroll systems
- Responsible for working with local tax and legal advisors to ensure the company follows local regulations with respect to payroll
- Work closely with GitLab contributors and the People Ops team to ensure timely response to questions and requests that have been processed
- Complete filings for payroll subsidies, where applicable
- Support with year end tasks for all legal entities outside of the US
- Establish and enforce proper policies, processes and controls
- Mentor payroll analysts and contribute to review and approval of their deliverables

### Senior Payroll Analyst Requirements

- Extends the Payroll Analyst Requirements
- 5 - 7  years experience in payroll administration

## Manager, Payroll

The Manager, Payroll reports directly to the Senior Manager, Global Payroll Operations.

### Manager, Payroll Job Grade

The Manager, Payroll is a grade 8.

### Manager, Payroll Responsibilities

- Extends the Senior Payroll Analyst Responsibilities
- Lead, manage and develop direct reports
- Ensure stock activity for team members is properly processed and reported for team member and tax reporting purposes
- Own relationship with PeopleOps
- Subject matter expert for payroll implementation projects
- Ensure compliance with local compensation and tax regulations
- Responsible for data integration between personnel records and payroll systems
- Stay up-to-date on local payroll tax laws and regulations including working closely with local tax and legal advisors to ensure the company follows local regulations with respect to payroll
- Work closely with GitLab contributors and the People Ops team to ensure timely response to questions and requests that have been processed
- Primary ownership for management and external reporting
- Development and implementation of processes and procedures to enhance and streamline the workflow of payments
- Primary contact point for external audit with respect to payroll matters

### Manager, Payroll Requirements

- 7+ years experience in payroll administration, including 3+ years experience in managing a payroll team
- Experience with SOX compliance
- Public company experience a plus
- Proficient with google sheets
- Detail-oriented, self-directed and able to effectively complete tasks with minimal supervision

#### Specialties

### US Payroll

#### US Payroll Responsibilites

- Own and process payroll and payment for all team members in US
- Review payroll vendor invoices on a monthly basis.  Ensure that all invoices are coded properly and submitted to Accounts Payable prior to month end close
- Own relationship with payroll vendor, ADP
- Responsible for working with Accounting and Treasury on payroll funding and forecasting for US payrolls
- Responsible for managing the relationship with payroll vendor, ADP

#### US Payroll Requirements

- Experience with full-cycle payroll
- Experience with ADP and Workday preferred
- Experience with payroll accounting
- Experience with processing stock transactions (ISO, NSO, RSU, ESPP)

### International Payroll (EMEA, APAC, LATAM)

### International Payroll (EMEA, APAC, LATAM) Responsibilities

- Own and process payroll and payment for 65+ countries and all team members outside of the US
- Review and approve PEO invoices on monthly basis
- Own relationship with PeopleOps, Country conversion team on international expansion
- Responsible for working with Accounting on payroll funding for legal entities outside of the US
- Responsible for managing the relationship with all PEO providers
- Responsible for working with Accounting on payroll funding for non-US legal entities
- Responsible for Worker Compensation Insurance compliance for entities outside of the US
- Development and implementation of processes and procedures to enhance and streamline the workflow of payments

### International Payroll (EMEA, APAC, LATAM) Requirements

- Experience with international payroll
- Experience with CloudPay a plus

## Manager, Global Payroll Operations

The Manager, Global Payroll Operations reports directly to the Director, Global Payroll Operations.

### Manager, Global Payroll Operations Job Grade

The Manager, Global Payroll Operations is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Manager, Global Payroll Operations Responsibilities

- Manage global operations of payroll for an assigned number of countries
- Provides oversight of Professional Employer Organization's ("PEOs") and partners with the People Team where necessary to hold them accountable to SLAs for payroll.
- Helps resolve team member issues that arise with taxation treatment including of equity transactions
- Proactive research of various tax treatment for payroll in new and existing countries including equity income reporting requirements
Serves as a point person for country compensation/payroll audits and helps coordinate cross-functional responses to audit requests.  Identifies and resolves discrepancies
- In collaboration with the general ledger accounting team, helps streamline the payroll accounting process.
- Contributes to the strategic direction for the payroll function while meeting key controls and payroll compliance
- Partner with Legal, Tax, and Country conversion teams for international expansion projects
- Project manager for payroll when changing PEOs in partnership with People Group
- Develop internal relationships and vendor partnerships to improve process efficiencies
- Ensure all operational processes are controlled from a risk perspective, and have built-in control plans and assessments to regularly review their effectiveness
- Assist the International Payroll Manager as needed with the set up of payroll processes in new countries as we expand operations
- Ensure stock activity is properly processed and reported
- Serve as a subject matter expert and point of contact for escalations and various ad hoc requests
- Be a role model for the team, and develop a strong sense of shared team vision
- Maintains professional and technical knowledge by attending educational workshops and reviewing professional publications
- Work with PeopleOps, Legal, Tax and Accounting to ensure compliance with all laws, tax reporting and other duties as needed

### Manager, Global Payroll Operations Requirements

- 6+ years of experience in international payroll processing
- Experience with global third party payroll providers
- Payroll accounting experience

## Senior Manager, Global Payroll Operations

The Senior Manager, Global Payroll Operations reports directly to the Director, Global Payroll Operations.

### Senior Manager, Global Payroll Operations Job Grade

The Senior Manager, Global Payroll Operations is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Manager, Global Payroll Operations Responsibilities

- Extends the Manager, Global Payroll Operations responsibilities
- Manage overall global operations of payroll for 65+ countries
- Leads the strategic direction for the payroll processes while meeting key controls and payroll compliance
- Manage and mentor the payroll team
- Partner with Legal, Tax, and Country conversion teams for international expansion projects
- Project manager for all payroll implementations
- Develop internal relationships and vendor partnerships to improve process efficiencies
- Develop and prioritize processes to improve the payroll experience for team members
- Ensure all operational processes are controlled from a risk perspective, and have built-in control plans and assessments to regularly review their effectiveness
- Evaluate, develop and enforce the use of audit tools which support the payroll process
- Set up payroll processes in new countries as we expand operations
- Lead significant systems and process changes in the payroll function
- Support month end close activities
- Responsible for Worker's Compensation policies and audits for US and locations outside of the US
- Review and analyze current payroll, benefits and tax procedures in order to recommend changes to Company policies resulting in best practices
- Oversee payroll audit process and reporting aspects of internal and external audits; identifies and resolves discrepancies
- Ensure that all monthly, quarterly and annual payroll tax filings are met; ensure all local statutory payroll and fringe benefit reporting requirements are met
- Ensure stock activity for US and international employees is properly processed and reported for employee and tax reporting purposes
- Maintain compliance with all federal, state, and local payroll tax laws
- Responsible for all system year-end tasks including the reset of 401K, FSA, HSA limits per yearly IRS guidelines
- Preparer and administrator of W-2's for US entities and annual tax documents for non-US entities
- Serve as a subject matter expert and point of contact for escalations and various ad hoc requests
- Special projects as assigned
- Be a role model for the team, and develop a strong sense of shared team vision
- Maintains professional and technical knowledge by attending educational workshops and reviewing professional publications
- Prepare and manage budget related to payroll programs
- Work with PeopleOps, Legal, Tax and Accounting to ensure compliance with all laws, tax reporting and other duties as needed

### Senior Manager, Global Payroll Operations Requirements

- Extends the Manager, Global Payroll Operations requirements
- 8+ years of experience as a payroll administrator
- Experience managing people
- Experience with large payroll platforms such as ADP or Paychex
- CPP a plus

## Director, Global Payroll Operations

The Director, Global Payroll Operations is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Director, Global Payroll Operations Responsibilities

- Serve as a key contributor to the development of the operational and system road map for Payroll
- Responsible for leading Payroll system and process improvement across the organization
- Exemplify a collaborative approach in the payroll organization and ensure issues are addressed timely with the appropriate sense of urgency
- Bring the payroll accounting function fully into the payroll organization and partner with the wider accounting team to ensure reporting and audit deadlines are met timely
- Ensure global payroll compliance tasks are understood, documented and addressed timely
- Provide critical input to the VP, Corporate Controller, and other members of senior management regarding the operational performance of the Payroll team, including recommendations for action and collaboratively developing operating policies and procedures to enable the attainment of corporate and business objectives
- Evaluate PEO relationships from a payroll perspective and collaborate cross-functionally to recommend improvements or changes where needed
- Support all M&A finance operations integrations
- Lead the efforts for international expansions for payroll
- Leading, motivating, developing, and retaining a high-quality global Payroll team
- Develop Payroll reporting KPIs, including operational and financial metrics, and PEO related metrics and SLAs
- Serve as a strategic business advisor and prepare ad-hoc reports and special analyses to facilitate management's ability to understand business issues and drivers
- Implement internal controls and maintain SOX compliance related to global Payroll procedures and processes

### Director, Global Payroll Operations Requirements

- 15+ years of progressive growth in a global payroll function with experience at high growth companies, Software/SaaS industry experience is preferred
- 7+ years of management experience
- 5+ years of payroll accounting experience
- Knowledge of ADP and Workday preferred
- Experience working predominantly within Slack highly preferred
- You share our [values](/handbook/values/), and work in accordance with those values
- [Leadership](/handbook/company/structure/#director-group) at GitLab
- Ability to use GitLab

## Performance Indicators

- [Payroll accuracy for each check date](/handbook/finance/payroll/#payroll-accuracy-for-each-check-date--100)
- [Payroll journal entry reports submitted to Accounting](/handbook/finance/payroll/#payroll-journal-entry-reports-submitted-to-accounting--payroll-date--2-business-days)
- [Percentage of ineffective SOX Controls](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-and-finance-function-related-to-audit)

## Career Ladder

The next step in the Payroll job family is to move to an Accounting leadership role such as Director, Accounting Operations or other undefined role.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their title on our [team page](/handbook/company/team/).

- 30 minute screening call with our Recruiters
- 50 minute interview with Hiring Manager
- 2 - 4 30 minute direct report and peer interviews
- 30 minute interview with our Senior Manager, Total Rewards
- 45 minute interview with an Executive for any Manager and above role

Additional details about our process can be found on our [hiring page](/handbook/hiring/)
