---
title: "Procurement Operations"
---

The Procurement Operations job family supports procurement and spend management activities.

### Procurement Operations Analyst

#### Procurement Operations Analyst (Intermediate) Job Grade

The Procurement Operations Analyst is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Procurement Operations Analyst (Intermediate) Responsibilities

- Support the Procurement Team and internal stakeholders for procurement and sourcing related initiatives.
- Maintain and update the procurement process to meet the business needs in a rapid manner.
- Support the business stakeholders with requisition and process questions.
- Conduct evaluation of various tools to support procurement activities including spend analysis, budget analysis, bid analysis, etc.
- Leverage spend analytics to identify consolidation opportunities, understand total cost of ownership, and rationalize opportunities.
- Update and leverage data within multiple enterprise software solutions to support business objectives.
- Utilize market intelligence to build business cases and cost models to identify and quantify improvement opportunities for demand management, process improvements, build vs. buy, etc.
- Develop and maintain procurement metrics (Performance Indicators, benchmarking & SLAs) with collaboration of procurement and internal stakeholder teams.
- Provide procurement reporting on a recurring basis.

#### Procurement Operations Analyst (Intermediate) Requirements

- Bachelor's degree in relevant field
- Ability to navigate cultural differences and build global but locally relevant solutions
- Social and communication skills (verbal and written), across all levels
- Excellent organizational, time management, and priority setting skills
- Deadline oriented; able to work in a fast-paced environment with ever-changing priorities
- Self-motivated with the ability to work both independently and collaboratively
- Proficient in Google Docs
- You share our values, and work in accordance with those values
- Ability to use GitLab

### Senior Procurement Operations Analyst

#### Senior Procurement Operations Analyst Job Grade

The Senior Procurement Operations Analyst is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Procurement Operations Analyst Responsibilities

- Extends the Procurement Operations Analyst (Intermediate) responsibilities
- Support RFx activities
- Work with vendors to obtain renewal quotes
- Own Supplier Onboarding Process and partner with AP to resolve any gaps
- Engage with external vendors to support professional services category.

#### Senior Procurement Operations Analyst requirements

- Extends the Procurement Operations Analyst (Intermediate) requirements

### Procurement Category Manager

#### Procurement Category Manager (Intermediate) Job Grade

The Procurement Category Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Procurement Category Manager (Intermediate) Responsibilities

- Drive year-over-year cost reduction and cost avoidance for indirect suppliers
- Develop and implement procurement strategies to optimize business needs with suppliers across all indirect categories of spend.
- Negotiate price and payment terms with existing and new vendors
- Build strong internal and cross-functional partnerships with key stakeholders to identify and develop suppliers aligned to business need.
- Lead and support internal stakeholders through the purchase requisition process.
- Manage Vendor Data in the procurement system of record
- Lead and/or participate in the RFx process and vendor meetings
- Partner with AP to ensure vendor payments and resolve issues
- Deep understanding and knowledge of the category in order to make strategic recommendations to internal stakeholders
- Maintain and update the procurement process to meet business needs in a rapid manner

#### Procurement Category Manager (Intermediate) Requirements

- 2-3 years of experience in a similar role
- Deep understanding of the source to pay process
- Excellent team player with internal customer service skills across all levels of the organization
- Ability to partner and negotiate with vendors with a spirit of influence and partnership
- Communication Skills, both verbal and written, and ability to lead meetings and drive decisions.
- Ability to evaluate and compare supplier quotes, bids and information to make a presentation and recommendation.
- Deadline oriented; able to work in a fast-paced environment with ever-changing priorities
- Self-motivated with the ability to work both independently and collaboratively
- Ability to navigate cultural differences and build global but locally relevant solutions
- You share our values, and work in accordance with those values
- Proficient in Google Docs
- Ability to use GitLab

### Manager, Procurement

#### Manager, Procurement Job Grade

The Manager, Procurement is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Procurement Responsibilities

- Develop and manage GitLabs procurement program by implementing low-bureaucracy, efficient new policies, procedures and systems for best purchasing practices
- Control spend and build a culture of long-term saving on procurement costs
- Build relationships with internal and external stakeholders to negotiate and finalize terms and conditions on contracts
- Manage contracts renewals, month over month usage, and vendor due diligence
- Manage the execution of request for proposals, bid analysis, contract development, and negotiation, ensuring that the end to end process is well documented and transparent.
- Evaluate and process purchase requisitions efficiently to reduce downstream holds and positively impact payment cycles
- Drive process improvement and continuous improvement in all aspects of assigned job duties
- Work closely with Accounts Payable and internal business partners to promptly resolve supplier payment issues
- Facilitate supplier selection and develop data analysis and requirements for informed supplier decisions
- Serve as subject matter expert for best-in-class procurement practices and tools, and experienced in working with numerous cross-functional disciplines
- Work with operations teams to identify and execute new or creative approaches, strategies and processes to address a business need
- Develop policies and procedures and conduct negotiations with key business partners

#### Manager, Procurement Requirements

- At least 3-5 years of experience in procurement at a technology company
- BA/BS in Supply Chain, Business, Finance, or other related field; MBA preferred
- Experience in contract analysis, negotiation, financial modelling and RFP/ RFI/RFQ creation and evaluation.
- Knowledge and experience negotiating in support of the following functions Marketing, Sales, IT, and Professional Services
- Experience with acquisition integration in a Sourcing Role is a plus
- Candidate should be able to effectively build relationships as well as influence and drive change in a cross-functional team environment
- Top-notch communication, analytical and organization skills, including experience manipulating data to derive insights for senior management or executives
- Self-starter with ability to own projects from initial inquiry to completion
- Ability to use GitLab

### Senior Manager, Procurement

#### Senior Manager, Procurement Job Grade

The Senior Manager, Procurement is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Procurement Responsibilities

- Extends the Manager, Procurement responsibilities
- Understand and implement best practices
- Build a *great* procurement program at GitLab
- Drive new and creative approaches, strategies and processes to address business needs, drawing on relevant first hand experience for what works
- Generate sourcing and procurement process improvement recommendations across functions and implement them
- Great communication: Regularly achieve consensus amongst teams

#### Senior Manager, Procurement Requirements

- Extends the Manager, Procurement requirements
- At least 5-7 years of experience in procurement at a technology company

### Director, Procurement

#### Director, Procurement Job Grade

The Director, Procurement is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Procurement Responsibilities

- Extends the Senior Manager, Procurement responsibilities
- Develop end to end source to pay procurement policies, and ensure adherence to purchase controls
- Create long term sourcing strategies and track metrics to reduce spend and improve effectiveness
- Create processes to perform supplier risk assessments; supplier health and contract management
- Create processes to track supplier performance; lead business reviews and track scorecards for SLAs and ROI
- Create, drive, and mentor staff in long-term strategic planning efforts for sourcing categories

#### Director, Procurement Requirements

- Extends the Senior Manager, Procurement requirements
- At least 7-10 years of experience in procurement at a technology company

### Senior Director, Procurement

#### Senior Director, Procurement Job Grade

The Director, Procurement is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director, Procurement Responsibilities

- Extends the Director, Procurement responsibilities
- Creates, communicates, and executes a procurement strategy in support of GitLab's overall objectives
- Owns policies, practices, and systems to support a fast-growth environment while managing risk and improving operational efficiency
- Develops procurement processes, systems and purchase controls to ensure compliance and develop a communication strategy to bring awareness to the policies
- Works with external auditors and advisors on audit, accounting and other matters as needed; work cross functionally with business partners to continue to challenge efficiencies in the procurement and negotiation processes
- Builds and maintains relationships with internal stakeholders to ensure customer satisfaction and that programs meet business need
- Drives vendor negotiation strategy, including Leading negotiations with vendors to ensure best-in-class pricing and terms
- Analyzes spend data and category intelligence to inform strategic vendor management
- Define team KPIs. Root cause and develop plans to improve KPIs to drive efficiency in procurement operations.
- Leads and manage procurement team by fostering a culture of continuous iteration and professional development in alignment with our CREDIT values

#### Senior Director, Procurement Requirements

- Extends the Director, Procurement requirements
- At least 10 years of experience in procurement at a technology company
- At least 5 years managing a procurement team
- Drive for results. Counted on to deliver goals, constantly pushes self and others to achieve OKR's.
- Makes good decisions based upon wisdom, experience and judgment based on industry knowledge.
- Understands broad stakeholder needs, knowledgeable in current and possible future policies, practices, trends, and information affecting his/her business organization.
- Strong operational skills required to drive consistency and speed in the execution of our procure to pay processes
- Ability to craft solutions that meet current business needs while providing a framework for growth and scale

## Performance Indicators (PI)

- [Percent of vendor spend on Purchase Order](https://internal.gitlab.com/handbook/it/it-performance-indicators/#percent--of-vendor-spend-on-purchase-order)
- [Vendor cost avoidance](https://internal.gitlab.com/handbook/it/it-performance-indicators/#vendor-cost-avoidance)

## Career Ladder

The next step in the Procurement job family is not yet defined.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their title on our team page.

- Selected candidates will be invited to schedule a screening call with a member of our Recruiting team
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2 - 4 Team Members
- Finally, candidates may be invited for a final inteview if applicable to the leveling of the role.

Additional details about our process can be found on our [hiring page](/handbook/hiring/)
