---
title: "Stock Administration"
description: "Responsible for administering GitLab's equity incentive program which includes option and RSU grants to team members."
---

## Levels

## Stock Administrator

### Stock Administrator

The Stock Administrator is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Stock Administrator Responsibilities

- Support day-to-day administration of the company's equity programs, including processing new equity awards, exercises, cancellations and repurchases.
- Maintain data in Equity Edge Online/E*TRADE database to ensure accuracy of participant information.
- Respond to employee inquiries regarding equity programs and education while providing excellent service to plan participants at all levels.
- Collaborate with PeopleOperations, Legal and Payroll teams on equity related items as needed.
- Prepare reports for internal partners and respond to ad hoc data requests.
- Assist with development and delivery of employee trainings and communications.
- Responsible for the tracking and reporting of 83-B information and reporting requirements.
- Owns responsibility for ensuring compliance with US and international tax laws regarding equity incentive.

#### Stock Administrator Requirements

- 2-4 years of relevant equity administration experience on the Equity Edge Online platform.
- Experience with both Option and RSU programs.
- Familiarity with U.S. federal and state taxation relating to equity compensation.
- Familiarity with International tax law relating to equity programs.
- Strong analytical, communication and organization skills.
- Sensitivity to employee privacy laws such as GDPR and ability to maintain strict confidentiality.
- Ability to interact with employees at all levels.
- CEP Level I Completion (or in process of obtaining CEP Level I).
- Experience with Google Workspace.
- Ability to use GitLab

## Senior Stock Administrator

The Senior Stock Adminstrator reports to the Director, Stock Administrator.

### Senior Stock Administrator Job Grade

The Senior Stock Administrator is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Stock Administrator Responsibilities

- Support day-to-day administration of the company's equity programs, including processing new equity awards, exercises, cancellations and repurchases.
- Maintain data on the Equity Edge Online platform to ensure accuracy of participant information.
- Respond to employee inquiries regarding equity programs and education while providing excellent service to plan participants at all levels.
- Collaborate with PeopleOperations, Legal and Payroll teams on equity related items as needed.
- Prepare reports for internal partners and respond to ad hoc data requests.
- Assist with development and delivery of employee trainings and communications.
- Will assist in the future with preparation and filing of Section 16 reports (Form 3, 4 and 5) and tracking of executive 10b5-1 plans.
- Lead role in setting up and administering ESPP plans, if applicable, including enrollment, contribution changes and semi-annual purchases.
- Responsible for the tracking and reporting of 83-B information and reporting requirements.
- Owns responsibility for ensuring compliance with US and international tax laws regarding equity incentive.

#### Senior Stock Administrator Requirements

- Considered a specialist in the field within the function.
- Demonstrates an ability to coordinate multiple projects simultaneously.
- A seasoned, experienced professional with a full understanding of area of specialization; resolves a wide range of issues in creative ways.
- Demonstrates further technical development and a track record of project success.
- 3-5 years of relevant equity administration experience on the Carta platform.
- Experience with both Option and RSU programs.
- Familiarity with U.S. federal and state taxation relating to equity compensation.
- Familiarity with International tax law relating to equity programs.
- Strong analytical, communication and organization skills.
- Prior responsibility working with Big 4 CPA firms in connection with audits.
- Sensitivity to employee privacy laws such as GDPR and ability to maintain strict confidentiality.
- Ability to interact with employees at all levels.
- Experience with international stock options and equity grants.
- CEP Level II Completion (or in process of obtaining CEP Level II).
- Experience with Online systems.
- Ability to use GitLab

## Stock Administration Manager

### Stock Administration Manager

The Stock Administration Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Stock Administration Manager Responsibilities

- Everything under Senior Stock Administrator" plus the following items:
- Assist with the preparation of stock related tables for 10Q/10K/Proxy filings
- Perform monthly reconciliations with HR, Payroll and external vendors
- Provide reporting for SOX controls
- Ensure global equity reporting and compliance with international tax and regulatory requirements, including year end equity related tax filings

#### Stock Administration Manager Requirements

- Considered a specialist in the field within the function.
- Demonstrates an ability to coordinate multiple projects simultaneously.
- A seasoned, experienced professional with a full understanding of area of specialization; resolves a wide range of issues in creative ways.
- Demonstrates further technical development and a track record of project success.
- 8+ years of relevant equity administration experience on the Equity Edge Online platform.
- Experience with both Option and RSU programs.
- Familiarity with U.S. federal and state taxation relating to equity compensation.
- Familiarity with International tax law relating to equity programs.
- Strong analytical, communication and organization skills.
- Prior responsibility working with Big 4 CPA firms in connection with audits.
- Sensitivity to employee privacy laws such as GDPR and ability to maintain strict confidentiality.
- Ability to interact with employees at all levels.
- Experience with international stock options and equity grants.
- CEP Level III Completion (or in process of obtaining CEP Level III).
- Experience with Google Workspace.
- Ability to use GitLab

### Director, Stock Adminstrator

The Director, Stock Adminstrator reports to the VP, Cash Management.

#### Director, Stock Adminstrator Job Grade

The Director, Stock Adminstrator is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Stock Adminstrator Responsibilites

- Lead the stock administration function and manage GitLab's global equity programs, including process improvement, implementing automated solutions, and evaluating service providers with a focus on scale and team member experience..
- Oversee the management and administration of GitLab's stock plans globally (stock options, RSUs and ESPP), including eligibility, enrollment, approvals, processing equity awards, handling vestings, exercises and settlements, tax withholdings, lock up restrictions, expirations, cancellations, repurchases, terminations and other plan-related actions
- Partner with other functional leads (including in Legal, People Team (HR), Payroll, Accounting and Finance) to develop processes which ensure the accuracy of all equity data, including all aspects of record-keeping, withholding, reporting, reconciliation and auditing as well as ensure that appropriate internal controls are in place and procedures are followed to satisfy periodic review of compliance with SOX
- Ensure database integrity, and accuracy of record keeping of employee data and equity data in the stock administration system
- Provide the information for filing of section 16 filings (e.g., Form 4s) for section 16 officers and directors
- Oversee and manage relationships with external equity trading platform (E*TRADE) and transfer agent (Computershare)
- Collaborate and partner with internal teams on all equity-related matters to ensure accurate dataflow, provide support for reporting needs, and respond to ad hoc requests
- Work with our E*TRADE platform as instructed from the Legal team on the list of employees affected by trading blockout periods, pre-clearance, and enforce insider trading policy restrictions, including coordination with brokers on Rule 10b5-1 trading plans,
- Prepare equity-related materials for the Board and Compensation Committee meetings, working with our Team Resources
- Maintain compliance with the terms and condition of global equity plans and internal processes and procedures related to equity administration
- Support employee understanding of equity awards programs and policies through the preparation of training materials, employee communications, and providing training to employees
- Provide a superior level of service, prioritizing and satisfying multiple questions and requests from employees, management, and others, supporting employee understanding of stock plan services, enrollment, and transactions
- Provide stock-related input to quarter end and annual reporting: Forms 3, 4 and 5 filings; data for 10-Q, 10-K, Proxy Statements and D&O questionnaires;
- Reconcile monthly equity activity, including shares outstanding and share reserves among company records, the transfer agent and broker records
- Maintain share pool balances
- Participate in the preparation of the annual proxy filing, including providing and reviewing equity data included in the document
- Review 10Q and 10K Equity Note
- Effectively build and lead team in an all-remote environment in alignment with GitLab's CREDIT values

#### Director, Stock Adminstrator Requirements

- Relevant stock administration experience or equivalent experience in a multi-national, publicly traded company
- Experience managing processes and systems to maximize effectiveness in a SOX compliant environment
- Advanced analytical ability and ability to identify issues and provide solutions
- Works well in a high-pressure, high-volume environment and able to juggle multiple assignments, concurrent deadlines, and changing priorities
- Knowledge of U.S. federal and state taxation and global taxation of equity compensation
- Strong verbal, written, and interpersonal communication skills; able to communicate effectively with all levels of employees and internal/external partners
- Exceptional organization skills, attention to detail, and work ethic.
- Ability to build strong relationships cross-functionality and inspire action
- Proficient in Google Docs
- Certified Equity Professional (CEP) designation

### Senior Director, Stock Adminstrator

The Senior Director, Stock Adminstrator reports to the VP, Cash Management.

#### Senior Director, Stock Adminstrator Job Grade

The Senior Director, Stock Adminstrator is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director, Stock Adminstrator Responsibilites

- Extends responsibilities of Director, Stock Administrator
- Lead the stock administration function and manage GitLab's global equity programs, including process improvement, implementing automated solutions, and evaluating service providers with a focus on scale and team member experience.
- Oversee the management and administration of GitLab's stock plans globally (stock options, RSUs and ESPP), including eligibility, enrollment, approvals, processing equity awards, handling vestings, exercises and settlements, tax withholdings, lock up restrictions, expirations, cancellations, repurchases, terminations and other plan-related actions
- Partner with other functional leads (including in Legal, People Team (HR), Payroll, Accounting and Finance) to develop processes which ensure the accuracy of all equity data, including all aspects of record-keeping, withholding, reporting, reconciliation and auditing as well as ensure that appropriate internal controls are in place and procedures are followed to satisfy periodic review of compliance with SOX
- Ensure database integrity, and accuracy of record keeping of employee data and equity data in the stock administration system
- Provide the information for filing of section 16 filings (e.g., Form 4s) for section 16 officers and directors
- Oversee and manage relationships with external equity trading platform (E*TRADE) and transfer agent (Computershare)
- Collaborate and partner with internal teams on all equity-related matters to ensure accurate dataflow, provide support for reporting needs, and respond to ad hoc requests
- Work with our E*TRADE platform as instructed from the Legal team on the list of employees affected by trading blockout periods, pre-clearance, and enforce insider trading policy restrictions, including coordination with brokers on Rule 10b5-1 trading plans,
- Prepare equity-related materials for the Board and Compensation Committee meetings, working with our Team Resources
- Maintain compliance with the terms and condition of global equity plans and internal processes and procedures related to equity administration
- Support employee understanding of equity awards programs and policies through the preparation of training materials, employee communications, and providing training to employees
- Provide a superior level of service, prioritizing and satisfying multiple questions and requests from employees, management, and others, supporting employee understanding of stock plan services, enrollment, and transactions
- Provide stock-related input to quarter end and annual reporting: Forms 3, 4 and 5 filings; data for 10-Q, 10-K, Proxy Statements and D&O questionnaires;
- Reconcile monthly equity activity, including shares outstanding and share reserves among company records, the transfer agent and broker records
- Maintain share pool balances
- Participate in the preparation of the annual proxy filing, including providing and reviewing equity data included in the document
- Review 10Q and 10K Equity Note
- Effectively build and lead team in an all-remote environment in alignment with GitLab's CREDIT values

#### Senior Director, Stock Adminstrator Requirements

- Relevant stock administration experience or equivalent experience in a multi-national, publicly traded company
- Experience managing processes and systems to maximize effectiveness in a SOX compliant environment
- Advanced analytical ability and ability to identify issues and provide solutions
- Works well in a high-pressure, high-volume environment and able to juggle multiple assignments, concurrent deadlines, and changing priorities
- Knowledge of U.S. federal and state taxation and global taxation of equity compensation
- Strong verbal, written, and interpersonal communication skills; able to communicate effectively with all levels of employees and internal/external partners
- Exceptional organization skills, attention to detail, and work ethic.
- Ability to build strong relationships cross-functionality and inspire action
- Proficient in Google Docs
- Certified Equity Professional (CEP) designation

## Career Ladder

The next step in the Stock Administration job family is to move to a higher level technical or management job family which is not yet defined at GitLab.

## Performance Indicators

- [Number of award transactions processed](/handbook/total-rewards/stock-options/#number-of-award-transactions-processed)
- [Number of participants supported](/handbook/total-rewards/stock-options/#number-of-participants-supported)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30 minute screening call with our Global Recruiters
- Next, qualified candidates will meet with the hiring manager
- Next, qualified candidates will meet with 2 - 4 team members

Additional details about our process can be found on our [hiring page](/handbook/hiring/interviewing/).
