---
title: "Business Technology Service Desk"
---

## Business Technology Service Desk Analyst

### Responsibilities

- Triage all Business Technology and Enterprise Applications related questions as they arise
- Enrich the knowledge base and known error database in the Business Technology handbook to help with future troubleshooting.
- Navigate assigned applications to support common identity related tasks such as account creation, password or mfa reset and other profile related tasks.
- Provide first level troubleshooting support for business applications.
- Capture and document troubleshooting steps to help speed up issue resolutino if escalation is necessary.
- Provide initial training to GitLab team members for new technology or applications.
- Use all available support channels to resolve issues including but not limited to phone, web meeting, collaboration tools or remote desktop technology.
- Perform scheduled tasks in support of compliance or application maintenance activities.

### Requirements

- Bachelor's degree in Information Technology, Computer Science,or other related field, or relevant experience.
- Experience navigating administrative portals for software applications (Netsuite, Salesforce, Google Workspace, Okta).
- Hands-on experience supporting Mac and or Linux.
- Tolerance for repetitive or manual tasks, with a mind for automating said tasks.
- An active / empathic listener
- Experience working on ITSM tools such as ServiceNow, Freshservice, Jira Service Management.
- Experience in using developer tools to isolate between network, personal computer or application issues.

## Levels

### Business Technology Service Desk Analyst (Intermediate)

#### Job Grade

The BT Service Desk Analyst (Intermediate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

The BT Service Desk Analyst (Intermediate) share the same responsibilities outlined above.

#### Requirements

The BT Service Desk Analyst (Intermediate) share the same requirements outlined above.

### Senior BT Service Desk Analyst

#### Job Grade

The Senior BT Service Desk Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Extends that of the BT Service Desk Analyst (Intermediate) responsibilities
- VIP Support and Escalations
- Work on complex issues requiring deeper analysis of systems, problems or logs.
- Provide mentorship to peers and intermediate service desk analysts.
- Provide escalation or next tier support for service desk analysts.
- Collaborate closely with Security, Information Technology, Enterprise Applications and other business units to resolve issues.
- Have strong capability in setting priorities, meeting deadlines and make time sensitive decisions with limited information.
- Excellent practical understanding of Incident Management, Change &  Problem Resolution
- Be an integral team player, stand in when needed and cover any role in times of need.

#### Requirements

- Extends that of the BT Service Desk Analyst (Intermediate) requirements
- Experience of writing procedural and/or support documentation
- Knowledge and understanding of best practice framework (such as ITILv3, ITILv4, ISO20k) for the delivery of services.
- Ability to clearly and accurately communicate processes and procedures
- Experience of working accurately and confidently with Service Desk tools and technology, such as ITSM, remote access, knowledge resources
- Experience of developing professional and effective working relationships with customers and key stakeholders
- Experience of delivering a high level of customer service

## Performance Indicators (PI)

- Ticket Volume per period.
- Mean-time to resolve issues relative to catalog type or incident severity.
- Customer Satisfaction based on survey captured per issue resolved.
- Age of open issues/tickets.
- Age of closed issues/tickets.
- First contact resolution.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Next, candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with our Global Recruiters
- Next, candidates will be invited to schedule a first interview with our Director of Business Operations
- Next, candidates will be invited to schedule a second interview with one of our Sys Admins
- Candidates will then be invited to schedule a third interview with one of our Executive Admins
- Finally, candidates may be asked to interview with our CEO

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
