---
title: "Chief Accounting Officer"
---

The Chief Accounting Officer (CAO) leads the accounting function including spanning technical accounting, reporting, and accounting operations. The CAO serves as the Directly Responsible Individual for the financial reporting process and SoX controls as GitLab manages its current growth while preparing the company for operating as a public company. The ideal leader will be able to strike the right balance of controllership and integrity with business practicality. The CAO leads and directs an accounting team capable of dealing with a rapidly growing and changing business environment. Experience leading and scaling a public company accounting team. Experience in software, global operations and managing remote teams is strongly desired.

## Job Grade

The Chief Accounting Officer (CAO) is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Primary Job Responsibilities

1. Manage a globally distributed team whose functions include accounting, accounts payable, payroll, technical accounting, and reporting
1. Lead all aspects of accounting operations including month-end close and annual audit
1. Develop a high-quality corporate governance environment, introduce and improve policies and procedures, participate and lead relevant portion of Audit Committee meetings, own relationships with auditors
1. In partnership with the CFO, serve as the technical accounting decision-maker for the company – implement accounting policies across the organization.
1. Manage the accounting budget – establishing the right mix of internal and outside spend and demonstrating innovation in how finance services are delivered
1. Implement a control structure that complies with SOX
1. Build efficiencies into all aspects of the group's operations including systems and process.
1. Build an effective remote-only team with broad geographical composition comprised of at least half of professional team members from low cost geographies including India, Ireland, Philippines, Hungary, etc.
1. Shorten close processes, close financials quarterly and ensure company is in a position to operate on a public record.
1. Champion and roll out system enhancements and ensure team is fully maximizing the potential
1. Serve on the finance leadership team and collaborate with CFO and fellow leaders on functional and people priorities. Bring to life the team vision to transform the function with technology and the finance skill sets of the future.

## Job Requirements

1. You are an organizational fit for GitLab who shares our Values. You will have a point of view of how to balance the company's values, particularly transparency with the realities of being a public company.
1. You have 20+ years of experience including leading a publicly traded company's accounting function.
1. You have led a startup growth company through the IPO process.
1. You have Big Four accounting experience and an active CPA.
1. You have a bachelor's degree (required) with a major in Accounting or Finance preferred.
1. You have excellent technical accounting skills with detailed understanding of current GAAP standards
1. You have experience with enterprise software, Experience with SaaS a plus.
1. You have experience working with accounting and financial reporting systems, and designing and implementing systems and procedures
1. You have experience implementing SOX compliance
1. You have experience in global tax structures and managing international operations
1. You possess outstanding leadership skills with the ability to coach, mentor, and develop others. Ability to motivate teams to produce quality work within tight timeframes and simultaneously manage several projects
1. You have business perspective and the ability to have critical judgment.
1. You have meticulous attention to detail and analytical thinking
1. You have superb time management, decision-making and problem solving skills.
1. You are capable of taking initiative, multi-tasking
1. You have expert interactive communication and presentation skills with the ability to impact and influence
1. You have strong personal integrity with the highest ethical standards
1. Ability to use GitLab

## Performance Indicators

1. [Average days to close](/handbook/finance/accounting/#average-days-to-close-kpi-definition)
1. [Number of material audit adjustments = 0](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-related-to-audit)
1. [Average days of sales outstanding](/handbook/finance/accounting/#11-accounts-receivable)
1. New hire location factor
1. [Percentage of ineffective SOX Controls = 0%](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-related-to-audit)

## Interview team and focus areas for each person

Candidates for this position can expect to interview with future direct reports, the CFO, CEO and at least one board member.

## Career Ladder

The next step in the CAO job family is to move to the [CFO](/job-families/finance/chief-financial-officer/) job family.
