---
title: "Accounting"
---

## International Accountant

### Job Grade

The International Accountant is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Supporting all aspects of international statutory accounting operations together with some US GAAP responsibilities
- Engage with external service providers to ensure maintenance of local accounting records and preparation of high quality statutory financial statements
- Ensuring changes to local accounting requirements are captured, understood and operationalised
- Engage with local auditors, ensuring local statutory audits are executed on time and within budget while also helping to navigating any audit complexities as they arise
- Supporting the  US GAAP to STAT GAAP reconciliation process
- Preparation of  intercompany reconciliations and manage resolution of reconciling items
- Preparation of monthly intercompany settlement file
- Collaborating with internal legal, tax and treasury teams for intercompany and other activities while always keeping a lens on statutory implications
- Critically evaluate current systems and processes and act as a driver for identifying and implementing new initiatives

### Requirements

- International statutory experience, ideally in a multinational environment
- Self-starter with the ability to work remotely and independently and interact with various teams when needed
- Proficient with Excel, GSuite and Slack
- You share our [values](/handbook/values/), and work in accordance with those values
- Ability to use GitLab

## Accountant

### Job Grade

The Accountant is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Manage full-cycle accounts payable process including vendor and invoice management, approval and weekly disbursement activities.
- Manage expense reports, credit card account reconciliations and payable side bank reconciliation.
- Compile and prepare entries to general ledger accounts, providing support that is organized, accurate, and descriptive.
- Prepare balance sheet reconciliations on a monthly basis for assigned accounts, identifying and resolving any differences within the close period. Reconciliations must be organized, accurate, compete. Full understanding of account in accordance with GAAP is necessary.
- Fulfill all duties, including journal entries, reconciliations, and other assigned tasks, in a timely manner to comply with the close calendar, checklists, and other due dates as assigned.
- Implementing and maintaining documented system of accounting policies and procedures
- Assist with investor and bank reporting.
- Perform ad hoc analysis and process improvement project

### Requirements

- Must have experience with Netsuite
- Proficient with Excel and Google Sheets
- International experience is a plus
- Self-starter with the ability to work remotely and independently and interact with various teams when needed.
- You share our [values](/handbook/values/), and work in accordance with those values.

- Ability to use GitLab

## Senior Accountant

### Job Grade

The Senior Accountant is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Support the external audit processes, working directly with the external auditors and internal team members from Technical Accounting and Accounting Operations.
- Collaborate with local service providers for each operating entity to ensure compliance with statutory and tax reporting.
- Support the efficient, accurate, and timely production of consolidated financial statements.
- Perform tasks as needed to support the possibility of a public filing, which would include Form S-1 and the related subsequent SEC reporting requirements including Forms 10-K, 10-Q, 8-K and Proxy filings.
- Ensure compliance with Sarbanes-Oxley Section 404 key controls in the financial areas of responsibility, as applicable.
- Assist with monitoring the need for business process improvements and assist with the design processes, procedures, and reporting enhancements to improve financial and operational processes.
- Support the design and implementation of new policies and procedures related to audit requirements and business activities.
- Assist with preparation of reports and presentations for Board of Directors and Audit Committee meetings.
- Respond to inquiries from the CFO, Controller, and company wide managers regarding financial results, special reporting requests and the like.
- Work with and support the accounting team in day-to-day activities, special projects, and workflow process improvements.
- Support overall department goals and objectives.
- This position reports to the Accounting and External Reporting Manager.

### Requirements

- 3-5 years experience in public accounting, preferably with a large firm, and/or in financial reporting at a US public company
- Experience with SEC companies required.  Public accounting experience must include working on SEC clients.
- Software company experience preferred
- Public company experience preferred
- Some tax experience preferred but not required
- Strong working knowledge of GAAP principles
- Experience with Netsuite or other big ERP system preferred but not required
- Proficient with Microsoft Office suite and/or Google Docs and Sheets
- Experience working with international subsidiaries, including statutory reporting requirements, strongly preferred
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results
- Detail-oriented, self-directed and able to effectively complete tasks with minimal supervision
- You share our [values](/handbook/values/), and work in accordance with those values.

## Manager, Accounting

### Job Grade

The Manager, Accounting is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Assist accounting staff on daily tasks, as needed.
- Provide training to new and existing staff, as needed.
- Ensure an accurate and timely month end close by providing leadership and support to the accounting close process. This role includes serving as a hands-on team member responsible for performing and reviewing transactions which includes but not limited to equity, intercompany and allocations.
- Assist with daily banking requirements. Monitor and forecast cash position
- Assist in implementation of new procedures to enhance the workflow of the department.
- Enforce proper accounting policies and principles.
- Responds to inquiries from the CFO, Controller, and company wide managers regarding financial results, special reporting requests and the like.
- Assist in preparing for annual external audits. Coordinate with other auditors as needed.
- Support overall department goals and objectives

### Requirements

- Proven work experience as an Accounting Manager or similar leadership role.
- Public company accounting experience is required
- Ability to contribute to the career development of staff and a culture of teamwork
- Strong working knowledge of GAAP principles and financial statements
- Must have experience with Netsuite
- Proficient with excel and google sheets
- International experience preferred.
- Detail-oriented, self-directed and able to effectively complete tasks with minimal supervision
- Proficiency with GitLab
- You share our [values](/handbook/values/), and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#management-group)
- Ability to use GitLab

## Senior Manager, Accounting

### Job Grade

The Senior Manager, Accounting is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

Senior accounting managers share the same requirements as the Intermediate Accounting Manager listed above, but also carry the following:

- Manage 3rd party accounting consultants and other accounting professional contractors as needed.
- Administrator of NetSuite including chart of accounts maintenance.
- Establish and enforce proper accounting policies and principles.
- Reviews and posts journals from the GL Accountant and/or Sr. Accountant roles.
- 1st level reviewer to various balance sheet reconciliations prepared by the GL Accountant and/or Sr. Accountant roles.
- Backup to the Senior Accounting Operations Manager

## Career Ladder

The next step in the Accounting job family is to move to the [Controller](/job-families/finance/corporate-controller/) job family.

## Performance Indicators

- [Average days to close](/handbook/finance/accounting/#average-days-to-close-kpi-definition)
- [Number of material audit adjustments = 0](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-and-finance-function-related-to-audit)
- [Percentage of ineffective Sox Controls = 0%](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-and-finance-function-related-to-audit)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30 minute screening call with our Global Recruiters
- Next, candidates will be invited to schedule a 45 minute interview with our Controller
- Candidates will then be invited to schedule a 45 minute interview with our CFO
- Finally, candidates may be asked to interview with the CEO
- Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring/interviewing/).

## Specialties

### Payroll Accountant

Responsibilities

- Work with the Payroll and Stock teams to prepare payroll and stock tax (RSUs, Options, ESPP) journal entries
- Perform reconciliations for all payroll-related general ledger accounts and investigate variances
- Perform monthly and quarterly flux analysis over payroll-related accrual and expense balances
- Document and maintain payroll accounting processes and procedures
- Provide recommendations for streamlining or automating processes
- Support internal and external audits and ensure compliance with internal controls
- Participate in payroll and other ad hoc projects as needed
- Perform balancing activities between the payroll and the vendor(s)
- Participate in the execution of payroll accounting compliance activities; SOX and internal audits, controls

Requirements

- Experience with international subsidiaries, PEO providers, and recording and reconciling in multiple currencies
- 3-5 years US GAAP public company experience is required.
- Software company experience preferred.
- Strong working knowledge of GAAP principles.
- Experience with Netsuite or other big ERP system preferred but not required.
- Proficient with Microsoft Office suite and/or Google Docs and Sheets.
- ExperIence working with international subsidiaries.
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results.
- Detail-oriented, self-directed and able to effectively complete tasks with minimal supervision.
- You share our values, and work in accordance with those values.

### International Reporting

The Internal Reporting Accountants plays an integral role in financial reporting, our external audit, coordination with local service providers for each of our entities, and more with a proven ability to work independently and keep up with a fast-paced environment. This role helps to create a highly efficient, world class accounting and reporting function. Additional requirements are to know your way around GAAP principles and financial statements.

### Technical Accounting

TODO

### Tax

#### Additional Responsibilities

- Preparation and review of month management accounts
- Contribute to the month-end close process
- Contribute to filing statutory returns (including GST, VAT, Intrastat, local reports)
- Contribute to the preparation and completion of CIT returns for GitLab's entities
- Contribute to the audit processes of annual financial statements
- Contribute to the preparation of transfer pricing calculations
- Ownership of filing deadlines for all our entities
- Collaborate with local service providers and tax authorities on compliance requirements
- Contribute to efficient, accurate and production of consolidated financial statements
- Increase efficiency for existing processes and design new processes (e.g. use of AI)
- Contribute to ERP improvements for tax reporting in Netsuite (VAT, Accounting)
- Contribute to GitLab's international expansion activities (e.g. entity setup)
- Collaborate with the finance team in day-to-day activities, requests and projects
- Contribute to the overall finance & tax OKR's
- Prepare meetings for the board of directors of GitLab BV
- This position reports to the Director of Tax

#### Additional Requirements

- Experience in public accounting, IPO experience preferred
- Experience with SEC companies
- Software company experience
- Knowledge of implementation of software solutions
- Experience with international subsidiaries
- Tax experience preferred
- Knowledge of GAAP principles

#### Performance Indicators

- [Effective Tax Rate](https://internal.gitlab.com/handbook/tax/performance-indicators/#effective-tax-rate-etr)
- [Budget vs. Actual](https://internal.gitlab.com/handbook/tax/performance-indicators/#budget-vs-actual)
- [Audit Adjustments](https://internal.gitlab.com/handbook/tax/performance-indicators/#audit-adjustments)

#### Hiring Process

Candidates for the Tax Accountant position can expect the hiring process to follow the order below:

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to attend a 45 minute interview with Director of Tax
- Candidates will then be invited to attend a 30 minute interview with our Corporate Controller
- Candidates will then be inbited to attend a 30 minute interview with Sr. External Accounting & Reporting Manager
- At final stage, candidates will be invited to a 30 minute interview with our Principle Accounting Officer

Please note that a candidate may be declined from the position at any stage of the process.
Additional details about our process can be found on our [hiring page](/handbook/hiring/).
