---
title: "Accounting Operations"
description: "The Accounting Operations function is responsible for the strategy and leadership of our Accounting shared services teams"
---

## Levels

### Director, Accounting Operations

The Director, Accounting Operations leads our Accounting Shared Services teams including Payroll and Accounts Payable.

#### Director, Accounting Operations Job Grade

The Director, Accounting Operations is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Accounting Operations Responsibilities

- Serve as a key contributor to the development of the operational and system road map for finance
- Responsible for leading system and process improvement across the organization, especially in the areas of Payroll and Accounts payable
- Oversee the accounts payable (A/P) team and provide hands-on management and oversight of A/P and travel and expense (T&E) activities, including related accounting
- Support all activities under the procure-to-pay cycle and serve as the primary contact for all accounts payable matters on the accounting team
- Ensure efficient day-to-day operations across the finance organization through the management and execution of best practices in all internal processes and systems
- Develop unified desktop procedures across the organization to enable better training across the organization
- Drive the implementation and enhancement of tools and technology in partnership with our systems team
- Provide critical input to the VP, Corporate Controller, and other members of senior management regarding the operational performance of the finance team, including recommendations for action and collaboratively developing operating policies and procedures to enable the attainment of corporate and business objectives
- Develop and report key operational metrics indicating the health of the finance operations
- Support all M&A finance operations integrations
- Lead the efforts for international expansions for finance
- Leading, motivating, developing, and retaining a high-quality team
- Develop reporting KPIs, including operational and financial metrics
- Serve as a strategic business advisor and prepare ad-hoc reports and special analyses to facilitate management's ability to understand business issues and drivers
- Implement internal controls and maintain SOX compliance

#### Director, Accounting Operations Requirements

- 15+ years of progressive growth in financial management roles in high growth companies, Software/SaaS industry experience is preferred
- 3+ years in a finance operations role, leading various finance operations functions
- Knowledge of Coupa and Workday preferred
- You share our [values](/handbook/values/), and work in accordance with those values
- [Leadership](/handbook/company/structure/#director-group) at GitLab
- Ability to use GitLab

### VP, Accounting Operations

The VP, Accounting Operations is responsible for the leadership, strategy, and execution of Accounting Operations, including developing policies and procedures to enable the attainment of key corporate and business objectives.

This role reports to the VP, Chief Accounting Officer.

#### VP, Accounting Operations Job Grade

The VP, Accounting Operations is a grade 12.

#### VP, Accounting Operations Responsibilities

- Serve as the key leader in the development of the operational and system road map for finance
- Responsible for leading system and process improvement across the organization, especially in the areas of Payroll, Accounts Payable, Billing Operations and Commissions
- Ensure efficient day-to-day operations across the finance organization through the management and execution of best practices in all internal processes and systems
- Develop unified desktop procedures across the organization to enable better training across the organization
- Drive the implementation and enhancement of tools and technology in partnership with our systems team
- Provide critical input to the VP, Chief Accounting Officer, and other members of senior management regarding the operational performance of the finance team, including recommendations for action and collaboratively developing operating policies and procedures to enable the attainment of corporate and business objectives
- Develop and report key operational metrics indicating the health of the finance operations
- Support all M&A finance operations integrations
- Lead the efforts for international expansions for finance
- Leading, motivating, developing, and retaining a high-quality team
- Develop reporting KPIs, including operational and financial metrics
- Serve as a strategic business advisor and prepare ad-hoc reports and special analyses to facilitate management's ability to understand business issues and drivers
- Implement internal controls and maintain SOX compliance

#### VP, Accounting Operations Requirements

- 15+ years of progressive growth in financial management roles in high growth companies, Software/SaaS industry experience is preferred
- 10+ years in a finance operations role, leading various finance operations functions
- Knowledge of Coupa and Workday preferred
- You share our values, and work in accordance with those values
- Have built and led a world class Accounting Operations function for scale
- You have built and executed against a vision for a newer function
- Ability to use GitLab

## Performance Indicators

- Ability to close timely, and influence a faster close cycle
- Number of off payroll cycle runs
- Billing accuracy and collection timeliness
- Commission accuracy
- Efficiencies in processing through automation
- New hire location factor

## Career Ladder

The next step for the Accounting Operations job family is not yet defined.

### Hiring Process

Applicants for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30min [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 team members
- There may be a final executive interview

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
