---
title: "Corporate Controller"
description: "The Corporate Controller job family leads the accounting and financial reporting activities and is responsible for the leadership, development and execution of the company's corporate accounting function."
---

The Corporate Controller job family leads the accounting and financial reporting activities and is responsible for the leadership, development and execution of the company's corporate accounting function. Reporting to the Principal Accounting Officer, the Corporate Controller enhances financial controls, processes and oversees compliance with our policies and procedures. These functions and processes produce timely and accurate monthly financial results in compliance with US GAAP and SEC reporting requirements. The Controller is also responsible for capturing, defining and ensuring accuracy of non-gaap financial metrics. The Controller works closely with our external and internal auditors, and other members of the organization to complete our monthly and quarterly reporting on a timely basis. This role instills a culture of strong internal controls across the company and is responsible for compliance with our technical accounting standards, GL and sub-modules for efficient operations and global revenue.

## Responsibilities

- Guides financial decisions by establishing, monitoring, and enforcing policies and procedures.
- Protects assets by establishing, monitoring, and enforcing internal controls.
- Monitors and confirms financial condition by conducting audits and providing information to external auditors.
- Accountable to ensure consistent compliance of corporate accounting principles and procedures in full compliance with US GAAP and SEC reporting standards.
- Experience with and direct responsibility for Netsuite, our G/L system.
- Partner effectively with other finance team members and non-accounting functions to drive improved controls and process enhancements.
- Subject matter expert to make decisions, prioritize effectively and meet deadlines while maintaining the highest level of standards for completeness and accuracy.
- Efficiency in leading remote employees.

## Requirements

- Proven experience developing and leading a high-performing accounting and control organization.
- Leadership experience at the Sr. Director level or higher in a software or global technology company.
- Detailed experience of showing strategic and tactical vision with best-practices to guide a high-performing accounting team.
- Demonstrates strong business judgment applied to routine and complex financial and accounting issues.
- Proven international experience working with overseas financial operations.
- Over fifteen (15) years of experience dealing with complex accounting matters.
- Active CPA license along with a bachelor's degree in Accounting or equivalent is required.
- Proven success as a Sr. Director - Corporate Controller managing complex global business entities, and proven ability to handle the financial accounting and  reporting duties.
- Self-motivated team player who can credibly communicate with and relate to individuals at all levels in the finance and accounting organization and other associated internal customer teams, with demonstrated experience in mentoring and leading distributed accounting teams.
- Ability to both grow in the role and grow with the company, demonstrating leadership capabilities and upward progression.
- Ability to use GitLab.

## Levels

### Director, Corporate Controller

#### Director, Corporate Controller Job Grade

The Director, Corporate Controller is a [10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Corporate Controller Responsibilities

- Oversees the monthly close process and is accountable for achieving our target for days to close.
- Ensure consistent compliance of corporate accounting principles and procedures in full compliance with US GAAP and SEC reporting standards.
- Be involved in the global revenue recognition review.
- Hands-on experience in managing accounting operations, monthly/quarterly accounting close and preparation of financial statements.
- Ability to optimize and automate accounting processes to drive a faster monthly/quarterly close cycle.
- Experience with Netsuite.
- Work with the team to assess and report status of existing accounting and reporting standards, procedures and internal controls to identify areas of improvements.
- Contribute to remediation plans when deficiencies are noted in testing of internal controls.
- Partner effectively with other finance team members and non-accounting functions to drive improved controls and process enhancements.
- Ability to make decisions, prioritize effectively and meet deadlines while maintaining the highest level of standards for completeness and accuracy.
- Enable increased level of employee job satisfaction and employee engagement through leadership, coaching and development of the team.
- Efficiency in leading remote employees.

#### Director, Corporate Controller Requirements

- Proven experience leading to a high-performing accounting and control organization.
- Leadership experience in a software or global technology company.
- Strategic vision and best-practices to guide the team.
- Tactical approach to enable effective implementation.
- The individual will demonstrate strong business judgment applied to routine and complex financial and accounting issues.
- Professional curiosity when addressing business and accounting issues.
- Demonstrated ability to work with investor facing teams to showcase the company's financial results.
- International experience working with overseas financial operations.
- Over 10 years of experience dealing with complex accounting matters.
- A CPA along with a bachelor's degree in Accounting or equivalent is required.
- Proven success as a Corporate Controller of complex global business entity, and ability to handle the financial accounting and financial reporting.
- Significant technical accounting background.
- Willing to get into the details to understand business processes at a deep level with the ability to drive efficiencies.
- Proven ability to drive change in accounting processes driving faster monthly/quarterly close while improving employee engagement.
- Self-motivated team player who can credibly communicate with and relate to people at all levels in the finance and accounting organization, with experience to mentor the team.
- Demonstrated ability to work across culturally and to succeed in a dynamic environment.
- Ability to use GitLab.

#### Director, Corporate Controller Performance Indicators

1. [Average days to close](/handbook/finance/accounting/#average-days-to-close-kpi-definition)
1. [Number of material audit adjustments](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-related-to-audit)
1. [Average days of sales outstanding](/handbook/finance/accounting/#11-accounts-receivable)
1. New hire location factor
1. [Percentage of ineffective SOX Controls](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-related-to-audit)

### Senior Director, Assistant Controller

#### Senior Director, Assistant Controller Job Grade

The Senior Director, Corporate Controller is a [11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director, Assistant Controller Responsibilities

- Responsible for and drives the monthly close process and is accountable for achieving our target for days to close.
- Accountable to ensure consistent compliance of corporate accounting principles and procedures in full compliance with US GAAP and SEC reporting standards.
- Be involved in the global revenue recognition review and reporting.
- Direct responsibility for managing accounting operations, monthly/quarterly accounting close and preparation of financial statements.
- Ability to optimize and automate accounting processes to drive a faster monthly/quarterly close cycle.
- Experience with and direct responsibility for Netsuite, our G/L system.
- Directs the team to assess and report status of existing accounting and reporting standards, procedures and internal controls to drive efficiency and identify areas of improvements. Responsible for and directs remediation plans when deficiencies are noted in testing of internal controls.
- Partner effectively with other finance team members and non-accounting functions to drive improved controls and process enhancements.
- Subject matter expert to make decisions, prioritize effectively and meet deadlines while maintaining the highest level of standards for completeness and accuracy.
- Viewed as a leader and coach for increased levels of employee job satisfaction and employee engagement through development of the accounting team.
- Leader in hiring and developing remote employees.

#### Senior Director, Assistant Controller Requirements

- Proven experience developing and leading a high-performing accounting and control organization.
- Leadership experience at the Sr. Director level or higher in a software or global technology company.
- Detailed experience of showing strategic and tactical vision with best-practices to guide a high-performing accounting team.
- Tactical approach to enable effective implementation of accounting software, SOX 404 controls and efficiency in record to report and purchase to pay and payroll cycles.
- The Sr. Director has demonstrated strong business judgment applied to routine and complex financial and accounting issues.
- Professional acumen when addressing business and accounting issues.
- Demonstrated ability to work with investor facing teams to showcase the company's financial results.
- Proven international experience working with overseas financial operations.
- Over fifteen (15) years of experience dealing with complex accounting matters.
- Active CPA license along with a bachelor's degree in Accounting or equivalent is required.
- Proven success as a Sr. Director - Corporate Controller managing complex global business entities, and proven ability to handle the financial accounting and  reporting duties.
- Significant technical accounting background.
- Demonstrated ability to get into the details, understand business processes and resolve issues at a deep level with the acumen to drive process efficiencies.
- Proven ability to drive change in accounting processes resulting in  faster monthly/quarterly close processes while improving employee engagement and ownership.
- Self-motivated team player who can credibly communicate with and relate to individuals at all levels in the finance and accounting organization and other associated internal customer teams, with demonstrated experience in mentoring and leading distributed accounting teams.
- Proven ability to explain complex accounting issues across the organization and resolve accounting issues as needed.
- Ability to
both grow in the role and grow with the company, demonstrating leadership capabilities and upward progression.
- Ability to use GitLab.

#### Senior Director, Assistant Controller Performance Indicators

1. [Average days to close](/handbook/finance/accounting/#average-days-to-close-kpi-definition)
1. [Number of material audit adjustments](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-related-to-audit)
1. [Average days of sales outstanding](/handbook/finance/accounting/#11-accounts-receivable)
1. New hire location factor
1. [Percentage of ineffective SOX Controls](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-related-to-audit)

### Vice President, Corporate Controller

#### Vice President, Corporate Controller Job Grade

The Vice President, Corporate Controller is a [12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Vice President, Corporate Controller Responsibilities

- DRI and owner of and will lead the monthly close process and is responsible for achieving our target for days to close (initial is eight day close).
- Will develop and ensure compliance of GitLab's corporate accounting policies and procedures in full compliance with US GAAP and SEC reporting standards.
- Will own the Global Balance Sheet, Statement of Income and Statement of Cash Flow reporting.  As part of this ownership, will be responsible for the timely reporting of entries to GitLab's statements including Revenue, Commissions, Accruals, Equity Reporting, Tax, Transfer Pricing and ensure accounts are reconciled monthly and statements are in compliance with US GAAP and SEC Reporting.
- Direct responsibility for managing accounting operations, monthly/quarterly accounting close and preparation of financial statements.  Will ensure all accounts are reconciled and major variances are disclosed.
- Drive processes  to optimize and automate accounting operations to drive efficient monthly/quarterly close cycles and improve accuracy and efficiency.
- Experience with and own our financial systems, including NetSuite, Coupa, Stock Administration, Workiva, FloQuast and Xactly.
- Owns the existing accounting and reporting standards, procedures and internal controls to drive efficiency and identify areas of improvements. Will be responsible to ensure new standards are implemented and GitLab is in compliance. Responsible for and directs remediation plans when deficiencies are noted in testing of internal controls.
- Partner effectively with other finance team members and non-accounting functions to drive improved controls and process enhancements.
- Subject matter expert to make decisions, prioritize effectively and meet deadlines while maintaining the highest level of standards for completeness and accuracy.
- Sets the standard as a leader and coach for increased levels of employee job satisfaction and employee engagement through development and mentoring of the accounting team.
- Leader in hiring and developing remote employees.

#### Vice President, Corporate Controller Requirements

- Proven experience developing and leading a high-performing accounting and control organization.
- Leadership experience at the Vice-President or Senior Director level in a software or global technology company.  Will have both Public and Private Company experience with Public Accounting background desired.
- Detailed experience with specific knowledge of strategic and tactical vision and understands and drives best-practices to guide a high-performing accounting team.
- Tactical approach to enable effective implementation of accounting software, SOX 404 controls and efficiency in record to report, purchase to pay and payroll cycles.
- The Vice President has demonstrated strong business judgment applied to routine and complex financial and accounting issues.
- Professional acumen and demonstrated ability in addressing business and accounting issues and ability to explain to all levels of management and the accounting team
- Demonstrated ability to work with investor facing teams to showcase the company's financial results.
- Has driven international teams working with overseas financial operations.
- Over fifteen to twenty (15-20) years of experience dealing with complex accounting matters.
- Active CPA license along with a bachelor's degree in Accounting or equivalent is required.
- Proven success as a Sr. Director or VP - Corporate Controller managing complex global business entities, and proven ability to handle the financial accounting and reporting duties.
- Demonstrated technical accounting background.
- Demonstrated ability to understand the details behind transactions, understand business processes and resolve issues at a deep level with the acumen to drive process efficiencies.
- Demonstrated ability to drive change in accounting processes while improving employee engagement and ownership.
- Self-motivated team player who can credibly communicate with and relate to individuals at all levels in the finance and accounting organization and other associated internal customer teams, with demonstrated experience in mentor and lead distributed accounting teams.
- Ability to work with the FP&A/Tax/Investor Relations/CIO organization on all aspects of the accounting and financial functions.
- Proven ability to explain complex accounting issues across the organization and resolve accounting issues.
- Ability to both grow in the role and grow with the company, demonstrating leadership capabilities and upward progression.  Viewed as the DRI on all accounting issues and processes.
- Ability to use GitLab.

#### Vice President, Corporate Controller Performance Indicators

- [Average days to close](/handbook/finance/accounting/#average-days-to-close-kpi-definition)
- [Number of material audit adjustments](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-related-to-audit)
- New hire location factor
- [Percentage of ineffective SOX Controls](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-related-to-audit)

## Career Ladder

The next step in the Corporate Controller job family is to move to a senior leader or executive leadership job family which would be the PAO role or similar.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Meet with PAO for 50 minutes
- Meet with Key Reports and Key Finance Leaders - for 30 minutes each
- Meet with People Business Partner for the CFO Organization for 25 minutes
- Meet with VP of Finance for 50 minutes
- Meet with CFO for 50 minutes

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
