---
title: "General Ledger Accounting"
description: "The General Ledger Accounting team are responsible for providing timely and accurate month end close financials, that are GAAP compliant."
---

The General Ledger Accounting team are responsible for providing timely and accurate month end close financials, that are GAAP compliant.

## Responsibilities

- Ensure an accurate and timely month end close by preparing various journal entries and account reconciliations for cash, prepaids, accruals, inter-company, fixed assets and various other accounts
- Coordinate with other departments to obtain transaction information, research reconciling items, and resolve issues
- Assist and or reconcile bank statements as needed
- Ensure proper accounting policies and principles are followed in accordance with GAAP
- Assist in project implementation of new procedures to enhance the workflow of the department
- Ensure compliance of internal controls as related to SOX
- Assist in quarterly reviews and annual audit with external auditors
- Support overall department goals and objectives
- Provide backup support to the accounts payable team as needed
- Provide backup support to the reporting, FPA, and operations as needed
- Assist with ad-hoc projects and management inquiries

## Requirements

- Working knowledge of GAAP principles and financial statements
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results
- Must have experience with a large ERP system, Netsuite is a plus
- Proficient with excel and google sheets
- Software Company Experience preferred
- International experience preferred.
- Detail-oriented, self-directed and able to effectively complete tasks with minimal supervision
- You share our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab

## Levels

### Associate General Ledger Accountant (Junior)

The Associate General Ledger Accountant reports to the [Senior Manager, Accounting](/job-families/finance/accountant/).

#### Job Grade

The Associate Accountant is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Associate General Ledger Accountant Responsibilities

- Assist with accurate and timely month end close by preparing various journal entries and account reconciliations for cash, prepaids, accruals, inter-company, fixed assets payroll, and other various accounts.
- Assit with proper accounting policies and principles are followed in accordance with GAAP
- Posting and processing journal entries to ensure all business transactions are recorded
- Assist with compliance of Sarbanes-Oxley Section 404 key controls in the financial areas of responsibility, as applicable.
- Assist with reviewing of cash, expenses, payroll records etc. as assigned
- Reconciles assigned balance sheet accounts monthly
- Work with and support the accounting team in day-to-day activities, special projects, and workflow process improvements.
- Assist senior accountants in the preparation of monthly/yearly closings
- Assist with other accounting projects

#### Associate General Ledger Accountant Requirements

- 1-3 years public accounting experience
- Preferrably have or be working towards a CPA
- Proficient with Microsoft Office suite and/or Google Docs and Sheets
- Experience working with international subsidiaries, including statutory reporting requirements, strongly preferred
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results
- Detail-oriented, self-directed and able to effectively complete tasks with minimal supervision
- You share our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab

### General Ledger Accountant (Intermediate)

The General Ledger Accountant (Intermediate) reports to the [Senior Manager, Accounting](/job-families/finance/accountant/).

#### Job Grade

The Intermediate Accountant is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### General Ledger Accountant (Intermediate) Responsibilities

- Extends the Associate General Ledger Accountant responsibilities
- Ensure proper accounting policies and principles are followed in accordance with GAAP
- Understand how to perform a flux analysis for month end that summarizes and tells the "story" of the activity.
- Understand the activity for 2 of the 5 areas of the company organization (Marketing, G&A, R&D, Sales, COS) and the related month end accounting processes.
- Ensure compliance of Sarbanes-Oxley Section 404 key controls in the financial areas of responsibility, as applicable.
- Assist with reviewing of expenses, payroll records etc. as assigned
- Provide account detail and support and explain variances to internal stakeholders.
- Work with and support the accounting team in day-to-day activities, special projects, and workflow process improvements
- Support overall department goals and objectives.
- Work with operations and other areas to ensure accruals are properly captured
- Assist with other accounting projects
- This position reports to the Accounting Manager.

#### General Ledger Accountant (Intermediate) Requirements

- Extends the Associate General Ledger Accountant requirements
- 3-5 years public accounting experience
- Have or actively pursuing CPA

### Senior General Ledger Accountant

The Senior General Ledger Accountant reports to the [Manager, Accounting](/job-families/finance/accountant/).

#### Job Grade

The Senior Accountant is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior General Ledger Accountant Responsibilities

- Extends the General Ledger Accountant (Intermediate) responsibilities
- Perform flux analysis for month end that summarizes and tells the "story" of the activity on balance sheet accounts assigned
- Train associate/general ledger accountants and other staff by answering questions and reviewing their work on basic questions
- Proficient with accruals and understanding their impact and can assist others.
- Assist with monitoring the need for business process improvements and assist with the design processes, procedures, and reporting enhancements to improve financial and operational processes.
- Support the design and implementation of new policies and procedures related to audit requirements and business activities.
- Play a vital part in the company's financial management which includes account reconciliations and reporting to necessary parties.
- Part of the development and implementation of systems related to the accounting team.
- Work with and support the accounting team in day-to-day activities, special projects, and workflow process improvements.
- Producing error-free accounting reports and present their results
- Help update the Controller's package that will be presented to the CFO
- Analyzing financial information and summarizing financial status
- Spot errors and suggest ways to improve efficiency of systems or processes
- Support overall department goals and objectives.

#### Senior General Ledger Accountant Requirements

- Extends the Associate General Ledger Accountant requirements
- 5-7 years public accounting experience
- Have or actively pursuing CPA

### Senior General Ledger Accountant, Team Lead

The Senior General Ledger Accountant, Team Lead reports to the Senior Manager, Accounting.

#### Job Grade

The Lead General Ledger Accountant, Accounting is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior General Ledger Accountant, Team Lead Responsibilities

- Leads meetings on their topic area, topics such as payroll, AP, cash or commissions
- Guides the general accounting activities for their assigned areas, including recording company transactions, reviewing transactions, classifications, and reconciliation of account balances in accordance with GAAP and company policy
- Play a vital part in the company's financial management which includes account reconciliations and reporting to necessary parties, including Senior Manager of Accounting, Director of Accounting, and VP Controller
- Help manage a timely and accurate month end close by reviewing various journal entries and account reconciliations for various accounts.
- Key participant in process improvement initiatives in Financial Close, Commissions Accounting and Director's Bonus
- Responsible for the timely and accurate preparation and reporting of financial information and ensuring that information adheres to GAAP and internal company policies
- Prepare flux analysis for the month end that summarizes and tells the "story" of the activity
- Ensure compliance with Sarbanes-Oxley Section 404 key controls in the financial areas of responsibility, as applicable, and work with IA to update key controls as necessary
- Monitor the need for business process improvements and assist with the design processes, procedures, and reporting enhancements to improve financial and operational processes.
- Part of the development and implementation of systems related to the accounting team.
- Point person for audit requests from internal and external auditors for assigned areas as needed
- Can cover for manager during PTO or other absences as needed
- Supports development of the team through coaching and mentorship of GL Accountants as needed

#### Lead General Ledger Accountant, Accounting Requirements

6-8 years experience with 2-3 years in public accounting
Have or actively pursuing CPA

### Manager, Accounting

The Manager, Accounting reports to the [Senior Manager, Accounting](/job-families/finance/accountant/).

#### Job Grade

The Manager, Accounting is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Accounting Responsibilities

- Leads meetings on their topic area, topics such as payroll, AP, cash or commissions
- Guides the teams' general accounting activities, including recording company transactions, reviewing transactions, classifications, and reconciliation of account balances in accordance with GAAP and company policy
- Train  other team members and other staff by answering questions and reviewing their work on technical questions and technical reconciliations.
- Responsibilities include closing the books under generally accepted accounting principles, performing accounting research, preparing/reviewing SEC financial reporting, developing audit procedures and controls
- Play a vital part in the company's financial management which includes account reconciliations and reporting to necessary parties, including CFO, CAO and Controller
- Help manage a timely and accurate month end close by reviewing various journal entries and account reconciliations for cash, prepaids, accruals, inter-company, fixed assets payroll, financial statement consolidation process (including foreign currency re-measurement, translation and allocations, etc) and other various accounts.
- Lead process improvement initiatives in Financial Close, Consolidation and Reporting areas and provide recommendations based on Financial Close & Consolidations leading practices
- Responsible for the timely and accurate preparation and reporting of financial information and ensuring that information adheres to GAAP and internal company policies
- Review and/or prepare flux analysis for the month end that summarizes and tells the "story" of the activity.
- Collect business requirements and apply financial concepts to translate them into solution design and proposes recommendations for changes and improvements to accounting policies/procedures
- Ensure compliance with Sarbanes-Oxley Section 404 key controls in the financial areas of responsibility, as applicable, and work with IA to update key controls as necessary
- Implements new accounting policies and ensures those policies are communicated to team as well as the business
- Monitor the need for business process improvements and assist with the design processes, procedures, and reporting enhancements to improve financial and operational processes.
- Support the design and implementation of new policies and procedures related to audit requirements and business activities.
- Part of the development and implementation of systems related to the accounting team.
- Guides and partners with cross-functional teams to develop and implement approved changes
- Prepares and/or reviews reports supporting internal and external audits
- Mentors, guides, and develops employees through orientation, training, establishment of goals, communication of policies and rules, and constructive discipline; Strengthens morale and motivation
- Participate in the preparation of monthly and quarterly Controllers slide deck
- Leads the works with internal and external audit as needed

#### Manager, Accounting Requirements

- 8-9 years experience with 2-3 years in public accounting
- Have or actively pursuing CPA

### Senior Manager, General Ledger Accounting

#### Senior, General Ledger Accounting Responsibilities

- Extends the Manager, Accounting responsibilities
- Responsible for and drive a timely and accurate month end close by approving various journal entries and account reconciliations the financial statements and sign off on the accuracy of the Statement of Income and Statement of Balance Sheet and Statement of Cash Flows.
- Approve the flux analysis for month end that summarizes and tells the "story" of the activity.
- Reviews GL teams work on the Controlles Reprt
- Drive the Standard Operating Procedure (SOP) manual for accounting policy and regulations, and roll out reconciliation procedures to establish best practices.
- Mentor and provide career advise to the areas responsible for.
- Subject matter expert on all phases of the close process which includes accruals, close and reconciliation process, that will entail payroll, general ledger and accounts payable areas.
- Be the Business partner from the accounting to the organizations outside the finance/accounting arena. (Marketing, G&A, R&D, Sales, COS areas).
- Responsible for compliance with Sarbanes-Oxley Section 404 key controls in the financial areas of responsibility, as applicable, and work with IA to own key controls as neccessary
- Responsible for business process improvements and drive the design processes, procedures, and reporting enhancements to improve financial and operational processes.
- Drive the design and implementation of new policies and procedures related to audit requirements and business activities.
- Play a key part in the company's financial management which includes all areas of the financial close and actual financial statements
- Key role in driving the development and implementation of systems related to the accounting team.
- Key partner within the accounting team in day-to-day activities, special projects, and workflow process improvements.
- Establish and drive overall department goals and objectives.
- Drive error-free accounting reports and present their results
- Sign off on the financial information and summarizing financial status
- Spot errors and suggest ways to improve efficiency and spending

#### Director, General Ledger Accounting Requirements

- Extends the  Manager, Accounting Requirements
- 10 plus years experience with 4 plus years in public accounting experience

## Performance Indicators

- [Average days to close](/handbook/finance/accounting/#average-days-to-close-kpi-definition)
- [Number of material audit adjustments = 0](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-and-finance-function-related-to-audit)
- [Percentage of ineffective Sox Controls = 0%](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-and-finance-function-related-to-audit)

## Career Ladder

The next step in the General Ledger Accounting job family is to move to the [Controller](/job-families/finance/corporate-controller/) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidate will have a 30 minute interview with the Hiring Manager,
- Next, candidates will have separate 30 minute interview with 2 or 3 peers,
- Finally, candidates will have a 30 minute interview with a member of the Executive team or the next level manager.

See more details about our interview process [here](/handbook/hiring/interviewing/).
