---
title: "International Accounting"
---

### Manager, Accounting, Global Consolidation & Reporting

This role report to Director or Senior Director, International Accounting

#### Manager, Accounting, Global Consolidation & Reporting Job Grade

Manager, Accounting, Global Consolidation & Reporting is a grade [8].

#### Manager, Accounting, Global Consolidation & Reporting Responsibilities

- Will be directly responsible for all aspects of accounting for our international subsidiaries, intercompany transactions and consolidations
- Will Lead process improvement initiatives in Financial Close, Consolidation and Reporting areas and provide recommendations based on Financial Close & Consolidations leading practices
- Oversee the monthly financial statement consolidation process (including foreign currency re-measurement, translation and allocations, etc)
- Collect business requirements and apply financial concepts to translate them into solution design and proposes recommendations for changes and improvements to accounting policies/procedures
- Responsible for the timely and accurate preparation and reporting of financial information and ensuring that information adheres to GAAP and internal company policies
- Responsibilities include closing the books under generally accepted accounting principles, performing accounting research, preparing/reviewing SEC financial reporting, developing audit procedures and controls
- Having knowledge and insight special accounting functions such as mergers and acquisitions. And helping get the accounting and entries correct.
- Participate in the preparation of monthly and quarterly management slide deck
- Guides and controls the teams' general accounting activities, including recording company transactions, classifications, and reconciliation of account balances in accordance with GAAP and company policy
- Implements new accounting policies and ensures those policies are communicated to team as well as the business
- Guides and partners with cross-functional teams to develop and implement approved changes
- Prepares and/or reviews reports supporting internal and external audits
- Works with internal and external audit as needed
- Mentors, guides, and develops employees through orientation, training, establishment of goals, communication of policies and rules, and constructive discipline; Strengthens morale and motivation

#### Manager, Accounting, Global Consolidation & Reporting Responsibilities Accounting Requirements

- 7+ years of progressive growth in financial management roles in high growth companies, Software/SaaS industry experience is preferred
- 2+ years in a finance international role, leading various finance operations functions
- Knowledge of Netsuite is required
- You share our values, and work in accordance with those values
- Leadership at GitLab
- Ability to use GitLab

#### Manager, Accounting, Global Consolidation & Reporting Performance Indicators

- Stat audit status
- Efficiencies in the process with automation
- Clean intercompany balances

### Global Consolidation & Reporting Manager

This role report to Director or Senior Director, International Accounting

#### Global Consolidation & Reporting Manager

Global Consolidation & Reporting Manager is a grade [8].

#### Global Consolidation & Reporting Manager Responsibilities

- Will be directly responsible for all aspects of accounting for our international subsidiaries, intercompany transactions and consolidations
- Will Lead process improvement initiatives in Financial Close, Consolidation and Reporting areas and provide recommendations based on Financial Close & Consolidations leading practices
- Oversee the monthly financial statement consolidation process (including foreign currency re-measurement, translation and allocations, etc)
- Collect business requirements and apply financial concepts to translate them into solution design and proposes recommendations for changes and improvements to accounting policies/procedures
- Responsible for the timely and accurate preparation and reporting of financial information and ensuring that information adheres to GAAP and internal company policies
- Responsibilities include closing the books under generally accepted accounting principles, performing accounting research, preparing/reviewing SEC financial reporting, developing audit procedures and controls
- Having knowledge and insight special accounting functions such as mergers and acquisitions. And helping get the accounting and entries correct.
- Participate in the preparation of monthly and quarterly management slide deck
- Guides and controls the teams' general accounting activities, including recording company transactions, classifications, and reconciliation of account balances in accordance with GAAP and company policy
- Implements new accounting policies and ensures those policies are communicated to team as well as the business
- Guides and partners with cross-functional teams to develop and implement approved changes
- Prepares and/or reviews reports supporting internal and external audits
- Works with internal and external audit as needed

#### Global Consolidation & Reporting Manager Responsibilities Accounting Requirements

- 7+ years of progressive growth in financial management roles in high growth companies, Software/SaaS industry experience is preferred
- 2+ years in a finance international role, leading various finance operations functions
- Knowledge of Netsuite is required
- You share our values, and work in accordance with those values
- Leadership at GitLab
- Ability to use GitLab

#### Global Consolidation & Reporting Manager Performance Indicators

- Stat audit status
- Efficiencies in the process with automation
- Clean intercompany balances

### Director, International Accounting

The Director, International Accounting  is responsible for the leadership, strategy, and execution of International Accounting, including developing policies and procedures to enable the attainment of key corporate and business objectives.

This role reports to the [VP, Corporate Controller](/job-families/finance/corporate-controller).

#### Director, International Accounting Job Grade

The Director, International Accounting is a [10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, International Accounting Responsibilities

- Collaborate with local service providers for each operating entity to ensure the compilation of the statutory financials, collaborating with the Accounting team
- Identify and calculate US GAAP to Local GAAP adjustments
- Collaborate with the GL team on intercompany balances
- Responsible for account recons (Due to / from accounts, TP, AR and AP)
- Review of IC account activity to ensure all accounts net to zero / TP accounts match, Review of IC AR / AP
- FX review to determine if there are "open" foreign currency balances that are being revalued to adjust as needed
- Collaborate with the Tax Team as needed for purposes of Stat to Tax Analysis, Intercompany contributions, Transfer Pricing related activities
- Ensure correct JE's to reflect the intercompany contributions and loan offsets
- Ownership of transfer pricing calculations
- Ownership of AP reclasses, Computer equipment, Movement of cash
- Collaborate with Treasury on projects of relating to intercompany funding, intercompany contributions
- Perform analysis to determine the impact of e.g. new accounting standards, changes in accounting policies, impact of non-GAAP policies on statutory reporting requirements for the non-US entities
- Initiate design and implementation of new policies and procedures for non-US entities to support new audit requirements and business activities in non-US jurisdictions
- Drive the implementation of any tools to improve financial reporting for current and future non-US entities
- Ensure all disclosures are properly included in the financial statements of non-US entities
- Identify the need for resources, hire and train new staff
- People manager of one or more team members
- Managing India entity
- Implement internal controls and maintain SOX compliance

#### Director, International Accounting Requirements

- 15+ years of progressive growth in financial management roles in high growth companies, Software/SaaS industry experience is preferred
- 3+ years in a finance international role, leading various finance operations functions
- Knowledge of Netsuite preferred
- You share our values, and work in accordance with those values
- Leadership at GitLab
- Ability to use GitLab

#### Director, International Accounting Performance Indicators

- Stat audit completion on time
- Value adding and building efficiencies on cross-functional relationships within the company in setting up new foreign entities
- Clean inter-company transactions and processes, including compliance with Inter-company Transfer Pricing agreements, as well as the completeness and accuracy of the Inter-company accounts, and eliminations
- Improvement of automation and efficiency in the consolidation and reporting process

##### Director, International Accounting and Finance Transformation

##### Director, International Accounting Job Grade

The Director, International Accounting and Finance Transformation is a [10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

###### Director, International Accounting and Finance Transformation Responsibilities

- Lead and mentor the international accounting team
- Complete review of annual US GAAP to Statutory GAAP adjustments at statutory audit completion, by country.
- Review of Intercompany reconciliations and approval of journal entries.  Ensure ICO relationships are in balance, by entity, by currency
- Collaborate with the Tax Team as needed for purposes of Stat to Tax Analysis, Intercompany contributions, Transfer Pricing related activities
- Ensure Transfer Pricing profit per Statutory Financials are in line with Transfer Pricing agreements by country.
- Collaborate with Tax and Treasury teams to identify and process intercompany settlements
- Participate in Quarterly Subsidiary Board meetings. Provide and speak to quarterly financial statement results.
- Strategic partner in the execution of GitLab’s global expansion strategy and country conversions from a PEO country to Legal Entity  
- Ensure the international accounting team perform analysis to determine the impact of e.g. new accounting standards, changes in accounting policies, impact of non-GAAP policies on statutory reporting requirements for the non-US entities
- Initiate, design, and implementation of new policies and procedures for non-US entities to support new audit requirements and business activities in non-US jurisdictions
- Ensure all disclosures are properly included in the financial statements of non-US entities
- Oversee US GAAP consolidations.  Monitor impact of foreign exchange
- Netsuite business administration.  Monitor and approve changes to Netsuite Chart of Accounts.
- Manage integration of International M&A events
- Develop and oversee Controllership & Accounting Operations transformation roadmap.  Ability to translate strategic vision and objectives into measurable and executable milestones.
- Execute multi-year plans to enable transformation efficiency and scale.
- Participant in quarterly IT portfolio project prioritization process.
- Comfortable building and driving new frameworks and processes with cross-functional teams.
- Interpersonal skills and the ability to collaborate effectively with stakeholders at all levels of the organization.
- Build partnerships with Enterprise Applications, Business Technology Operations, Business Technology Program Management, and Integrations Engineering IT organizations
- Identify, scope, and prioritize projects based on business needs. Prepare business cases and project plans.
- Identify project phases and determine project timeline.   Consider Accounting  black out periods and management of project resources.  
- Communicate changes to program status, risks and dependencies. Identify, assess, and escalate program blockers.  Ability to work through impasse.
- Possess an ownership mentality, intellectual curiosity, and an ability to execute in a dynamic fast-paced environment.
- Challenges the status quo.   Ability to influence new strategic / operational direction
- Experience with design and solutions using next-generation technology such as data analytics, machine learning. and generative AI.

###### Director, International Accounting and Finance Transformation Requirements

- Bachelor’s degree or equivalent experience in finance, accounting, business administration or related field
- 15+ years of progressive experience and a proven record of leading high performing diverse teams
- 3+ years in a finance international role, leading various finance operations functions
- Public company experience in a fast-growing global company
- Systems experience with large GL applications (e.g., NetSuite, Workday)
- Strong project management skills, with the ability to manage complex projects, multitask, and prioritize competing demands effectively.
- Strong oral and written communication skills.
- Ability to tailor communication and key messages to the audience.
- High initiative and a self-starter who operates with a sense of urgency and is highly process-driven and detail-oriented
- Change agent with the ability to influence and lead cross-functional teams
- Strategic thinker capable of translating a vision into tactical execution
- Ability to use GitLab

### Senior Director, International Accounting

The Director, International Accounting  is responsible for the leadership, strategy, and execution of International Accounting, including developing policies and procedures to enable the attainment of key corporate and business objectives.

This role reports to the [VP, Corporate Controller](/job-families/finance/corporate-controller).

#### Senior Director, International Accounting Job Grade

The Senior Director, International Accounting is a [11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director, International Accounting Responsibilities

- Collaborate with local service providers for each operating entity to ensure the compilation of the statutory financials, collaborating with the Accounting team
- Identify and calculate US GAAP to Local GAAP adjustments
- Collaborate with the GL team on intercompany balances
- Responsible for account recons (Due to / from accounts, TP, AR and AP)
- Review of IC account activity to ensure all accounts net to zero / TP accounts match, Review of IC AR / AP
- FX review to determine if there are "open" foreign currency balances that are being revalued to adjust as needed
- Collaborate with the Tax Team as needed for purposes of Stat to Tax Analysis, Intercompany contributions, Transfer Pricing related activities
- Ensure correct JE's to reflect the intercompany contributions and loan offsets
- Ownership of transfer pricing calculations
- Ownership of AP reclasses, Computer equipment, Movement of cash
- Collaborate with Treasury on projects of relating to intercompany funding, intercompany contributions
- Perform analysis to determine the impact of e.g. new accounting standards, changes in accounting policies, impact of non-GAAP policies on statutory reporting requirements for the non-US entities
- Initiate design and implementation of new policies and procedures for non-US entities to support new audit requirements and business activities in non-US jurisdictions
- Drive the implementation of any tools to improve financial reporting for current and future non-US entities
- Ensure all disclosures are properly included in the financial statements of non-US entities
- Identify the need for resources, hire and train new staff
- People manager of one or more team members
- Managing India entity
- Implement internal controls and maintain SOX compliance
- Ensure compliance with intercompany pricing agreements and other intercompany accounts
- Complete monthly reconciliations, variance and Ad Hoc analysis and audit requests
- Implement and streamline accounting policies and procedures, as well as reporting functions
- Collaborate closely with key stakeholders, internal/external customers, IT and Operations daily

#### Senior Director, Corporate Controller Requirements

- 20+ years of progressive growth in financial management roles in high growth companies, Software/SaaS industry experience is preferred
- 7+ years in a finance operations role, leading various finance operations functions
- Knowledge of Coupa and Workday preferred
- You share our values, and work in accordance with those values
- Leadership at GitLab
- Ability to use GitLab

#### Senior Director, Corporate Controller Performance Indicators

- Stat audit completion on time
- Value adding and building efficiencies on cross-functional relationships within the company in setting up new foreign entities
- Clean inter-company transactions and processes, including compliance with Inter-company Transfer Pricing agreements, as well as the completeness and accuracy of the Inter-company accounts, and eliminations
- Improvement of automation and efficiency in the consolidation and reporting process

## Career Ladder

The next step for the International Accounting  job family is not yet defined.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30min screening call with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 team members
- There may be a final executive interview

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
