---
title: Revenue Accounting
description: "The Revenue Accounting Team at GitLab forms part of the Revenue Organization. The Revenue Accounting Team is responsible for Worldwide Revenue Accounting."
---

The Revenue Accounting Team at GitLab forms part of the Revenue Organization. The Revenue Accounting Team is responsible for Worldwide Revenue Accounting.

## Revenue Accounting Team Levels

### Associate Revenue Accountant

The Associate Revenue Accountant will report to the Manager, Revenue Accounting or above.

#### Associate Revenue Accountant Job Grade

The Associate Revenue Accountant is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Associate Revenue Accountant Responsibilities

- Learn and apply ASC 606 and company revenue recognition policies.
- Assist in the review of customer contracts for proper revenue recognition in accordance with company policy and revenue recognition accounting standards.
- Assist with monthly balance sheet account reconciliations and journal entries for month end close.
- Assist with revenue team projects and process improvements.
- Assist with correct application of internal controls.

#### Associate Revenue Accountant Requirements

- Bachelor degree or equivalent experience (Accounting, Business, Finance or equivalent degree preferred)
- Proficient with excel and google sheets
- Ability to work effectively both independently and with a team, assist with a variety of projects of varying degrees of complexity
- Leverage knowledge gained through education and on-the-job experience as well internal and external training and coaching to perform essential functions of the job
- Strong analytical skills and attention to detail
- You share our values, and work in accordance with those values.
- Ability to use GitLab

### Revenue Accountant

The Revenue Accountant will report to the Manager, Revenue Accounting or above.

#### Revenue Accountant Job Grade

The Revenue Accountant is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Revenue Accountant Responsibilities

- Apply ASC 606 and company revenue recognition policies.
- Review of customer contracts for proper revenue recognition in accordance with company policy and revenue recognition accounting standards.
- Prepare monthly balance sheet account reconciliations and journal entries and contribute to the month end close process.
- Work on revenue team projects and process improvements.
- Ensure correct application of internal controls.

#### Revenue Accountant Requirements

- Bachelor degree or equivalent experience (Accounting, Business, Finance or equivalent degree preferred)
- 2 years of related accounting experience, public company accounting experience is a plus
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results

### Senior Revenue Accountant

The Senior Revenue Accountant will report to the Manager, Revenue Accounting or above.

#### Senior Revenue Accountant Job Grade

The Senior Revenue Accountant is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Revenue Accountant Responsibilities

- Apply ASC 606 and company revenue recognition policies.
- Review and summarize customer contracts for proper revenue recognition in accordance with company policy and revenue recognition accounting standards
- Key contributor in the monthly financial close, ensuring accurate and timely recording of transactions and the completeness of financial statements
- Work on revenue team projects and process improvements.
- Ensure correct application of internal controls.
- Work towards becoming a subject matter expert on revenue and ASC 606.
- Supports and trains junior team members as required by the Manager, Revenue Accounting or above.

#### Senior Revenue Accountant Requirements

- Extends the Revenue Accountant (Intermediate) Responsibilities
- Strong working knowledge of US GAAP principles and financial statements, including ASC 606 and multi-element experience
- 3-5 years of related accounting experience, public company accounting experience is a plus
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results
- Experience with Netsuite, Zuora or Revpro considered an advantage
- International experience preferred.
- Detail-oriented, self-directed and able to effectively complete tasks with minimal supervision

### Senior Revenue Accountant, Team Lead

The Senior Revenue Accountant, Team Lead will report to the Manager, Revenue Accounting or above.

#### Senior Revenue Accountant, Team Lead Job Grade

The Senior Revenue Accountant, Team Lead is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades). This job is the same grade as the Senior Revenue Accountant.  The Senior Revenue Accountant, Team Lead has responsibilty for supporting, training and reviewing the work of team members.

#### Senior Revenue Accountant, Team Lead Responsibilities

- Apply ASC 606 and company revenue recognition policies.
- Takes a lead role in the review of customer contracts for proper revenue recognition in accordance with company policy and revenue recognition accounting standards.
- Leading contributor in the monthly financial close, ensuring accurate and timely recording of transactions and the completeness of financial statements
- Works closely and help manage complex transactions with the billing and deal desk teams and other stakeholders in the business.
- Takes a lead role in the preparation and review of monthly account reconciliations and journal entries and the financial reporting process.
- Work on with revenue team projects, process improvements.
- Ensure correct application of internal controls.
- Subject matter expert on revenue and ASC 606.
- Supports, trains and reviews the work of other members of the team as required by the Manager, Revenue Accounting or above.

#### Senior Revenue Accountant, Team Lead Requirements

- Strong working knowledge of US GAAP principles and financial statements, including ASC 606 and multi-element experience
- 5-7 years of related accounting experience, public company accounting experience is a plus
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results
- Ability to support and manage the work of others
- Experience with Netsuite, Zuora or Revpro considered an advantage
- Proficient with excel and google sheets
- International experience preferred.
- Detail-oriented, self-directed and able to effectively complete tasks with minimal supervision
- Ability to use GitLab
- Ability to support and coach other team members as the go-to for first line questions in the Revenue Accounting team

### Manager, Revenue Accounting

The Manager, Revenue Accounting will report to the Senior Manager, Revenue Accounting or above.

#### Manager, Revenue Accounting Job Grade

The Manager, Revenue Accounting is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Revenue Accounting Responsibilities

- Review and approve customer contract review packs in accordance with review thresholds.
- Lead the monthly financial close, ensuring accurate and timely recording of transactions and the completeness of financial statements
- Work closely with legal, sales and other stakeholders on structuring of contracts and non standard deal approvals
- Takes a leading role on management and collaboration of complex transactions with the billing and deal desk teams and other stakeholders in the business.
- Review month end balance sheet account reconciliations and journal entries and contribute to the financial reporting process
- Manage revenue team projects and process improvements.
- Manages application of internal controls.
- Identify and develop best practices and process improvements.
- Guides and manages the revenue team
- Liaises with External auditors, present significant item updates, supporting documentation for the quarterly reviews and year-end audits

#### Manager, Revenue Accounting Requirements

- Strong working knowledge of US GAAP principles and financial statements, including ASC 606 and multi-element experience
- 7-10 years of related accounting experience, public company accounting experience is a plus
- Ability to manage people
- Experience with managing a team
- Strong ability to work well within a team structure and an ability to influence, train, mentor and leverage the skills of others to achieve objectives
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results

### Senior Manager, Revenue Accounting

The Senior Manager, Revenue Accouting reports to the Director, Revenue Accounting or above.

#### Senior Manager, Revenue Job Grade

The Senior Manager, Revenuer Accouting is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Revenue Accounting Responsibilities

- Leads the revenue contract review process.
- Review and approve customer contract reviews for proper revenue recognition in accordance with company policy and revenue recognition accounting standards
- Takes a leading role in collaboration with legal, sales and other stakeholders on structuring of contracts and non standard deal approvals
- Take the leading role in the monthly financial close, ensuring accurate and timely recording of transactions and the completeness of financial statements
- Takes a leading role on management and collaboration of complex transactions with the billing and deal desk teams and other stakeholders in the business.
- Reviews and approves month end balance sheet account reconciliations and journal entries and contribute to the financial reporting process
- Manage revenue team projects and process improvements.
- Manages application of internal controls.
- Work on special revenue projects including implementation of new systems and standards.
- Identify and develop best practices and process improvements
- Guide, manage and mentor the revenue team
- Subject matter expert and trusted business advisor on revenue and ASC 606
- Liaise with External auditors, present significant item updates, supporting documentation for the quarterly reviews and year-end audits

#### Senior Manager, Revenue Accouting Requirements

- Strong working knowledge of US GAAP principles and financial statements, including ASC 606 and multi-element experience
- 10-12 years of related accounting experience, public company accounting experience is a plus
- 3-5 years of experience in managing a team
- Polished communication skills, including an ability to listen to the needs of the business units, research and comprehend complex matters, articulate issues in a clear and simplified manner, and present findings and recommendations in both oral and written presentations
- Strong ability to work well within a team structure and an ability to influence, train, mentor and leverage the skills of others to achieve objectives
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results

### Performance Indicators

- [Average days to close](/handbook/finance/accounting/#month-end-review--close)
- [Number of material audit adjustments](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-and-finance-function-related-to-audit)
- [Percentage of ineffective Sox Controls](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-and-finance-function-related-to-audit)

## Director, Revenue Accounting Levels

### Director, Revenue Accounting

The Director, Revenue Accounting reports to the Principal Accounting Offer (PAO).

#### Director, Revenue Accounting Job Grade

The Director, Revenue Accounting is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Revenue Accounting Responsibilities

- Guide, mentor and manage the world-wide revenue organization, which includes the revenue accounting, revenue gpo, billing and accounts receivable teams.
- Matrix management capabilities to communicate with and educate finance and non-finance personnel on revenue accounting guidance, GitLab specific policies and procedures as well as inputs on structuring of customer arrangements
- Review customer arrangements for proper revenue recognition in accordance with company policy and revenue recognition accounting standards
- Ensure the integrity of the world-wide license, support, service and training revenue and assist in new product offerings that may be developed over time
- Review license and service revenue related balance sheet account reconciliations
- Be a global partner with subject matter expertise in revenue and work diligently on finding solutions to critical issues
- Develop and maintain strong collaborative working relationships across Customer Service, Legal, Sales, FP&A, Accounting and Tax teams
- Research and review technical revenue accounting memos that addresses the issue, and provide analysis and conclusions related to various customer contracts or new technical revenue pronouncements
- Ensure the integrity of key processes by understanding systems, flow of transactions, internal controls, and recommending efficiency and effectiveness improvements
- Stay current on new revenue accounting rules and help develop appropriate policies and processes
- Provide revenue training to other groups within GitLab
- Liaison with External auditors, present significant item updates, supporting documentation for the quarterly reviews and year-end audits
- Lead the ongoing revenue automation process, and work with IT to prioritize further potential system enhancements and development projects related to revenue

#### Director, Revenue Accounting Requirements

- CPA is required, with at least 12 years of professional experience including significant management, and technology industry experience
- A combination of public company experience in a revenue leadership role and experience with public accounting firms
- Polished communication skills, including an ability to listen to the needs of the business units, research and comprehend complex matters, articulate issues in a clear and simplified manner, and present findings and recommendations in both oral and written presentations
- Strong ability to work well within a team structure and an ability to influence, train, mentor and leverage the skills of others to achieve objectives
- Experience with ERP systems and processes and with commission and billing systems
- Ability to use GitLab

### Senior Director, Revenue

The Senior Director, Revenue Accounting reports to the Principal Accounting Offer (PAO).

#### Senior Director, Revenue Accounting Job Grade

The Senior Director, Revenue Accounting is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director, Revenue Accouting Responsibilities

- Guide, mentor and manage the world-wide revenue organization, which includes the revenue accounting, revenue gpo, billing and accounts receivable teams.
- Trusted advisor to the business on commercial and go to market decisions
- Drive continuous scalability, automation and efficiency
- Matrix management capabilities to communicate with and educate finance and non-finance personnel on revenue accounting guidance, GitLab specific policies and procedures as well as inputs on structuring of customer arrangements
Review customer arrangements for proper revenue recognition in accordance with company policy and revenue recognition accounting standards
- Ensure the integrity of the world-wide license, support, service and training revenue and assist in new product offerings that may be developed over time
- Review license and service revenue related balance sheet account reconciliations
- Be a global partner with subject matter expertise in revenue and work diligently on finding solutions to critical issues
- Develop and maintain strong collaborative working relationships across Customer Service, Legal, Sales, FP&A Accounting and Tax teams
- Research and review technical revenue accounting memos that addresses the issue, and provide analysis and conclusions related to various customer contracts or new technical revenue pronouncements
- Ensure the integrity of key processes by understanding systems, flow of transactions, internal controls, and recommending efficiency and effectiveness improvements
- Stay current on new revenue accounting rules and help develop appropriate policies and processes
Provide revenue training to other groups within GitLab
- Liaison with External auditors, present significant item updates, supporting documentation for the quarterly reviews and year-end audits
- Lead the ongoing revenue automation process, and work with IT to prioritize further potential system enhancements and development projects related to revenue

#### Senior Director, Revenue Accounting Requirements

- CPA is required, with 12-15 years of professional experience including significant management, and technology industry experience
- A combination of public company experience in a revenue leadership role and experience with public accounting firms
- Polished communication skills, including an ability to listen to the needs of the business units, research and comprehend complex matters, articulate issues in a clear and simplified manner, and present findings and recommendations in both oral and written presentations
- Strong ability to work well within a team structure and an ability to influence, train, mentor and leverage the skills of others to achieve objectives
- Experience with ERP systems and processes and with commission and billing systems
- Ability to use GitLab

### VP, Revenue Accounting

The Vice President, Revenue leads the world-wide revenue organization spanning revenue assurance, accounting & reporting, revenue operations, billing operations, accounts receivable and cash collection as well as SOX compliance for the revenue organization. This senior leadership role will set the long term direction for the revenue organization and will be a highly visible presence in commercial and go to market decision making, supporting complex contract negotiations and influencing policy making and complex issues of great significance across GitLab. The VP, Revenue reports to the Principal Accounting Officer (PAO).

#### Job Grade

The Vice President, Revenue, is a [job grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### VP, Revenue Accounting Responsibilities

- Develop a long term vision for the revenue organization at GitLab.
- Set direction, develop and drive strategic plans and objectives for the revenue organization and influence across GitLab.
- Drive the ongoing maturation and automation of systems, processes and teams within the revenue organization and across GitLab.
- Develop an excellent working relationship with the sales organization and establish yourself as a highly visible and trusted advisor to sales on complex contract negotiations, commercial and go to market decisions.
- Approve non standard deal terms in accordance with the deal approval matrix and set Annual Recurring Revenue policy for non routine transactions.
- Develop and maintain excellent collaborative working relationships with other teams across GitLab, not only with Sales and the * Sales Organization but also including Customer Service, Legal, FP&A, IT, Accounting and Tax.
- Develop an excellent working relationship with external auditors, present significant item updates, supporting documentation for the quarterly reviews and year-end audits.
- Provide frequent education to the business on complex revenue matters including ASC 606 and provide highly visible communications to critical audiences across GitLab.
- Ensure robust and effective control environment and successful SOX implementation and compliance.

#### VP, Revenue Accounting Requirements

- CPA is required, with minimum 20 years of professional experience with a publicly traded company in a senior revenue leadership role including technology industry experience.
- Ability to lead a diverse, globally distributed team at scale in a fully remote environment.
- Ability to negotiate and influence opinions and decision making at the senior leadership level across GitLab.
- Outstanding business and commercial acumen and ability to educate and translate complex revenue issues to non-finance personnel.
- Outstanding leadership skills with ability to create a high performing and inclusive organization and to develop and effectively communicate a clear sense of mission, purpose, and priority for long term direction for multiple teams and across GitLab.
- Polished communication skills, including an ability to listen to the needs of the business, research and comprehend complex matters, articulate issues in a clear and simplified manner, and present findings and recommendations in both oral and written presentations.
- Excellent technical accounting knowledge with detailed understanding of current US GAAP standards.
- Experience implementing SOX controls.
- Meticulous attention to detail and analytical thinking.
- Superb time management, decision-making and problem solving skills.
- Demonstrates strong personal integrity, GitLab values and ethics.
- Ability to use GitLab.

### Performance Indicators

- [Deals reviewed for revenue recognition = 100%](/handbook/finance/accounting/#deals-reviewed-for-revenue-recognition--100)
- [Non GAAP Revenue (Ratable Recognition)](/handbook/finance/accounting/#non-gaap-revenue-ratable-recognition)
- [Average days to close](/handbook/finance/accounting/#average-days-to-close-kpi-definition)
- [Number of material audit adjustments = 0](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-related-to-audit)
- [Average days of sales outstanding](/handbook/finance/accounting/#11-accounts-receivable)
- [Deals reviewed for revenue recognition = 100%](/handbook/finance/accounting/#deals-reviewed-for-revenue-recognition--100)
- [Non GAAP Revenue (Ratable Recognition)](/handbook/finance/accounting/#non-gaap-revenue-ratable-recognition)
- [Revenue recognition and accounting for other quote to cash transactions in Net Suite](/handbook/finance/accounting/#8-revenue-recognition-and-accounting-for-other-quote-to-cash-transactions-in-net-suite)
- [Percentage of ineffective SOX Controls = 0%](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-related-to-audit)

## Career Ladder

The next step in the Revenue Accounting job family is to move to the Principal Accounting Officer job family.

## Hiring Process

- Candidates for the Vice President, Revenue can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our team page.
- Qualified candidates will be invited to schedule a 30 minute screening call with one of our Global Recruiters.
- Meet with PAO for 50 minutes
- Meet with Senior Director, Revenue Accounting for 50 minutes
- Meet with other Key Reports and Key Finance Leaders - for 30 minutes each
- Meet with People Business Partner for the CFO Organization for 25 minutes
- Meet with VP of Finance for 50 minutes
- Meet with CFO for 50 minutes

Additional details about our process can be found on our [hiring page](/handbook/hiring/interviewing/)
