---
title: Revenue GPO Global Process Owner
description: "The Revenue Global Process Owner (GPO) Team at GitLab forms part of the Revenue Organization. This problem solving, process oriented and outcome based team play a crucial role in systems implementation, automation and enhancement, defining new processes and/or refining existing processes within the Revenue space, providing ASC 606 technical guidance and consultation to the Revenue Accounting Team, liaising with internal audit for Revenue SOX compliance and participating in cross functional projects.
"
---

The Revenue Global Process Owner (GPO) Team at GitLab forms part of the Revenue Organization. This problem solving, process oriented and outcome based team play a crucial role in system implementation, automation and enhancement, defining new processes and/or refining existing processes within the Revenue space, providing ASC 606 technical guidance and consultation to the Revenue Accounting Team, liaising with internal audit for Revenue SOX compliance and participating in cross functional projects.

## Revenue GPO Team Levels

### Revenue Analyst, GPO

The Revenue Analyst, GPO role will utilize their technical knowledge and expertise to support GitLab's systems and processes within the Revenue space. The Revenue Analyst, GPO will report to the Manager, Revenue GPO or above.

#### Revenue Analyst, GPO Job Grade

The Revenue Analyst, Revenue GPO is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Revenue Analyst, GPO Responsibilities

- Perform month-end close activities, prepare reconciliations, analysis & reporting.
- Perform standalone selling price analysis for GitLab's offerings and document corresponding policies, procedures, and controls.
- Provide ASC 606 technical accounting guidance to the Revenue Accounting Team for non routine transactions.
- Perform system data collection, help maintain revenue fields in Zuora Billings & identify data stuck in stage in Zuora Revenue.
- Support ad hoc revenue projects, including systems implementation, automation and enhancements in Zuora Revenue.
- Ensure integrity of existing revenue processes.
- Liaise with internal audit for SOX compliance.
- Participate in cross functional systems projects.

#### Revenue Analyst, GPO Requirements

- Bachelor degree or equivalent experience (Accounting, Business, Finance or equivalent degree preferred)
- 1-2 years of relevant experience with ASC 606 and US GAAP with a public company
- Experience working with Zuora Revenue
- Proficient with excel and google sheets
- Ability to work effectively as part of a team and cross functionally to support a variety of complex projects
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results
- Process oriented, outcome based problem-solving skills
- You share our values, and work in accordance with those values.
- Successful completion of a background check
- Ability to use GitLab

### Senior Revenue Analyst, GPO

The Senior Revenue Analyst, GPO role will be a technical and subject matter expert as well as a key contributor to the support of GitLab's systems and processes within the Revenue space. The Senior Revenue Analyst, GPO will report to the Manager, Revenue GPO or above.

#### Senior Revenue Analyst, GPO Job Grade

The Senior Revenue Analyst, GPO is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Revenue Analyst, GPO Responsibilities

- Take a leading role in preparation and review of month-end close activities, prepare reconciliations, analysis & reporting.
- Take a leading role in preparation and review of standalone selling price analysis for GitLab's offerings and document corresponding policies, procedures, and controls.
- Provide ASC 606 subject matter expertise & guidance to the Revenue Accounting Team for non routine transactions
- Take a leading role in performing and resolving system data collection, help maintain revenue fields in Zuora Billing & identify data stuck in stage in Zuora Revenue.
- Open & escalate support tickets with Zuora as issues are identified.
- Engage with stakeholders when potential issues are identified, perform root cause analysis and assess impact.
- Support ad hoc revenue projects, including systems implementation, automation and enhancements in Zuora Revenue.
- Define new processes, identify inefficiencies and refine existing processes as required.
- Liaise with internal audit for SOX compliance.
- Take a leading role in participation of cross functional systems projects.

#### Senior Revenue Analyst, GPO Requirements

- Bachelor degree or equivalent experience (Accounting, Business, Finance or equivalent degree preferred)
- 2-3 years of relevant experience with a public company and a subject matter expert in ASC 606 and US GAAP
- Experience working with Zuora Revenue
- Proficient with excel and google sheets
- Ability to work effectively as part of a team and cross functionally to support a variety of complex projects
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results
- Process oriented, outcome based problem-solving skills
- Self-directed and able to effectively complete tasks with minimal supervision
- You share our values, and work in accordance with those values.
- Successful completion of a background check
- Ability to use GitLab

### Manager, Revenue GPO

The Manager, Revenue GPO role will manage the Revenue GPO Team on a day to day basis while utilizing their extensive technical knowledge and subject matter expertise to support GitLab's systems and processes within the Revenue space. The Manager, Revenue GPO will report to the Senior Manager, Revenue GPO or above.

#### Manager, Revenue GPO Job Grade

The Manager, Revenue GPO is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Revenue GPO Responsibilities

- Manage period-end close activities, including systems close, and review of associated reconciliations, analysis, and reporting
- Approve ASC 606 subject matter expertise & guidance to the Revenue Accounting Team for non routine transactions
- Identify areas of improvement in current revenue processes. Conceptualize requirements, assess technical feasibility in Zuora Revenue, and oversee testing and go-live for automation of manual activities within these processes
- Develop a remediation plan when potential issues are identified within the current process. Communicate impact to the leadership team and stakeholders
- Collaborate with cross-functional teams on system implementations and enhancements, including prioritization of roadmap items
- Manage Zuora Revenue including approving role creation, accounting policies, rules, change in set-up to facilitate new/additional requirements from the Revenue Accounting Team
- Review standalone selling price analysis, communicate with stakeholders for changes in SSP and ensure timely updating of Zuora Revenue to facilitate data collection
- Perform periodical review of SOX compliance, collaborate with internal audit team for any change in process and controls
- Support external and internal audit requirements related to revenue reporting

#### Senior Manager, Revenue GPO Requirements

- Bachelor degree or equivalent experience (Accounting, Business, Finance or equivalent degree preferred)
- 3-5 years of relevant experience with a public company and a subject matter expert in ASC 606 and US GAAP
- Ability to manage a team and to train and leverage the skills of others to achieve objectives
- Experience working with Zuora Revenue
- Proficient with excel and google sheets
- Ability to work effectively as part of a team and cross functionally to support a variety of complex projects
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results
- Process oriented, outcome based problem-solving skills
- Self-directed and able to effectively complete tasks with minimal supervision
- You share our values, and work in accordance with those values.
- Successful completion of a background check
- Ability to use GitLab
- Effective communication skills, including an ability to listen to the needs of the business units, research and comprehend complex matters, articulate issues in a clear and simplified manner, and present findings and recommendations in both oral and written presentations

### Senior Manager, Revenue GPO

The Senior Manager, Revenue GPO role will take the leading and strategic role in managing the Revenue GPO Team while utilizing their extensive technical knowledge and subject matter expertise to support GitLab's systems and processes within the Revenue space. The Senior Manager, Revenue GPO will report to the Director, Revenue Accounting or above.

#### Senior Manager, Revenue GPO Job Grade

The Senior Manager, Revenue GPO is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Revenue GPO Responsibilities

- Manage period-end close activities, including system close, and review of associated reconciliations, analysis, and reporting.
- Approve ASC 606 subject matter expertise & guidance to the Revenue Accounting Team for non routine transactions
- Identify areas of improvement in current revenue processes. Conceptualize requirements, assess technical feasibility in Zuora Revenue, and oversee testing and go-live for automation of manual activities within these processes
- Lead the remediation when potential issues are identified within the current process. Communicate impact to the leadership team and stakeholders
- Take the leading role in collaboration with cross-functional teams on system implementations and enhancements, including prioritization of roadmap items
- Manage Zuora Revenue including approving role creation, accounting policies, rules, change in set-up to facilitate new/additional requirements from the Revenue Accounting Team
- Review standalone selling price analysis, communicate with stakeholders for changes in SSP and ensure timely updating of Zuora Revenue to facilitate data collection
- Perform periodical review of SOX compliance, collaborate with internal audit team for any change in process and controls
- Support external and internal audit requirements related to revenue reporting

#### Senior Manager, Revenue GPO Requirements

- Bachelor degree or equivalent experience (Accounting, Business, Finance or equivalent degree preferred)
- 4-7 years of relevant experience with a public company and a subject matter expert in ASC 606 and US GAAP
- Ability to manage a team and to influence, train, mentor and leverage the skills of others to achieve objectives
- Experience working with Zuora Revenue
- Proficient with excel and google sheets
- Ability to work effectively as part of a team and cross functionally to support a variety of complex projects
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results
- Process oriented, outcome based problem-solving skills
- Self-directed and able to effectively complete tasks with minimal supervision
- You share our values, and work in accordance with those values.
- Successful completion of a background check
- Ability to use GitLab
- Polished communication skills, including an ability to listen to the needs of the business units, research and comprehend complex matters, articulate issues in a clear and simplified manner, and present findings and recommendations in both oral and written presentations

### Performance Indicators

- [Deals reviewed for revenue recognition = 100%](/handbook/finance/accounting/#deals-reviewed-for-revenue-recognition--100)
- [Non GAAP Revenue (Ratable Recognition)](/handbook/finance/accounting/#non-gaap-revenue-ratable-recognition)
- [Revenue recognition and accounting for other quote to cash transactions in Net Suite](/handbook/finance/accounting/#8-revenue-recognition-and-accounting-for-other-quote-to-cash-transactions-in-net-suite)

## Career Ladder

The next step in the Revenue GPO job family is to move to the [Revenue Accounting](/job-families/finance/revenue-accounting/) job family.

## Hiring Process

Candidates for the Revenue Organization can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30 minute screening call with our Global Recruiters
- Next, candidates will be invited to meet with the Revenue Manager, GPO
- Next, candidates will be invited to meet with the Manager, Revenue Accounting
- Next, candidates will be invited to meet with the Sr Director, Revenue Accounting
- Finally, candidates may be asked to interview with the Principal Accounting Officer
- Successful candidates will subsequently be made an offer via email or phone call

Additional details about our process can be found on our [hiring page](/handbook/hiring/interviewing/)
