---
title: "SEC & Technical Accounting"
---

## Levels

### Senior SEC Analyst

#### Senior SEC Analyst Job Grade

The Senior SEC Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior SEC Analyst Job Responsbilities

- Assist with the preparation of external financial reporting and supporting schedules, including S-1, 10Q, 10K, 8K and quarterly investor slides, and other financial reporting as required.
- Assist in earnings release process including preparation of the quarterly management reporting package and review of financial information included in the earnings release and script.
- Prepare the disclosure checklist; assist with XBRL review process.
- Prepare journal entries and reconciliations in assigned areas (e.g. stock-based compensation and stock repurchase); assist with preparation of equity rollforward, EPS calculation and other PBC schedules as required.
- Assist in ensuring compliance with SEC and U.S. GAAP reporting requirements; assist in the implementation of new accounting pronouncements.
- Assist with researching, resolving and documenting accounting issues that arise during the quarter.
- Ensure Sarbanes-Oxley requirements are met for relevant areas (e.g. disclosure and equity accounting controls).
- Assist with internal and external reporting packages preparation as needed, including key investor reporting.
- Provide assistance with special projects as required.

#### Senior SEC Analyst Job Requirements

- BA/BS degree in Accounting; CPA or in the process of completing the licensing preferred.
- Relevant experience at a public Company;
- Highly detail oriented, organized, self-motivated and proactive. Must have strong work ethic and be able to meet critical deadlines.
- Strong analytical and problem-solving skills, including the ability to research and interpret accounting guidance.
- Strong written and verbal communications skills.
- Excellent team player who can work effectively with cross-functional teams.
- Proficiency in Word, Excel and PowerPoint required.
- Knowledge and proficient experience with WDesk and Netsuite highly preferred.

### SEC Reporting and Technical Accounting Manager

The SEC Reporting and Technical Accounting Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsbilities

- The technical accounting expert for complex accounting issues related to non revenue contracts: asset acquisitions, business combinations, impairments, strategic investments, contract acquisition costs, VIEs, non-gaap, etc
- Perform thorough research and assessment to draft technical accounting memos and policies
- Partner with the FP&A and accounting teams to prepare and review quarterly and annual financial statements, including the cash flow statement, statement of equity, non-gaap, earnings per share, etc
- Perform the review of non-revenue contracts and assist with the conclusion of the accounting treatment of non-routine deals
- Assist with development and maintenance of internal controls for external reporting, equity, stock-based compensation
- Prepare Forms 10-Q and 10-K, earnings releases and other regulatory filings as needed
- Manage the preparation of supporting schedules and documentation for SEC filings and perform tie-outs of the numbers
- Support external audits and testing of internal controls
- Prepare quarterly and annual disclosure checklists
- Prepare earnings release tables
- Lead the implementation and ongoing monitoring of new accounting pronouncements that may have a material impact on the financial statements or disclosures
- Own the stock-based compensation and equity accounting
- Process automation and implementation of best practices

#### Requirements

- Relevant work experience with a Bachelor’s Degree and at least 6-8 years of work experience
- Excellent knowledge of U.S. GAAP, including ability to research accounting guidance, establish a position, and develop processes and procedures for implementation
- Proven ability to collaborate cross-functionally with multiple departments across the organization
- Experience mentoring and coaching other team members for technical accounting areas
- CPA certification
- Combination of relevant years of Big 4 public accounting experience and industry/public company experience
- Workiva wDesk experience is a plus
- Strong Excel skills
- Ability to use GitLab

### Manager, SEC

The Manager, SEC reports to the Director, SEC.

#### Manager, SEC Job Grade

The SEC Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Lead the preparation of the Company's financial statements and SEC filings, including Forms 10-Q, 10-K, 8-K and proxy
- Coordinate the review of SEC filings with external auditors, outside legal counsel, accounting staff, and executive management
- Manage the preparation and maintain support for all areas of our external reporting process, including the Statement of Cash Flows, Statement of Stockholders' Equity, EPS calculations, and Share-Based Compensation
- Prepare documentation supporting internal controls related to financial reporting cycle
- Assist in the implementation of significant new accounting pronouncements, including ongoing communication with other company departments
- Assist with corporate or technical accounting topics (for e.g. quarter or year-end close adjustments) as needed
- Review earnings releases, earnings scripts and investor presentations
- Partner with external auditors on business transactions to ensure accounting issues are properly concluded
- Develop formal Company-wide accounting policies to ensure alignment with business and relevant accounting guidance
- Assist with month-end close activities and monthly financial package

#### Nice to Have

- Leadership and management experience preferred
- Proven ability to collaborate cross-functionally with multiple departments across the organization
- Experience coaching other team members for technical accounting areas
- Extends that of the Senior SEC Analyst Requirements
- CPA
- Relevant years of Big 4 public accounting experience, +industry experience
- Ability to use GitLab

### Senior Manager, SEC and Technical Reporting

The Senior Manager, SEC and Technical Reporting reports to the Director, SEC.

#### Senior Manager, SEC and Technical Reporting Job Grade

The Senior Manager, SEC and Technical Reporting is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, SEC and Technical Reporting Responsibilities

- Lead the preparation of the Company's financial statements and SEC filings, including Forms 10-Q, 10-K, 8-K and proxy
- Coordinate the review of SEC filings with external auditors, outside legal counsel, accounting staff, and executive management
- Develop and maintain effective internal controls in relation to the Financial External Reporting process (SOX compliance)
- Must take initiative and ready to guide the business for best industry practices around non-GAAP metrics, etc
- Lead the evaluation and adoption of accounting standard updates, including drafting and maintaining relevant accounting policies.
- Lead the preparation of accounting memos for the Company's accounting position on complex technical nonroutine transactions.
- Manage the preparation and maintain support for all areas of our external reporting process, including the Statement of Cash Flows, Statement of Stockholders' Equity, EPS calculations, and Share-Based Compensation
- Review earnings releases, earnings scripts and investor presentations
- Partner with external auditors on business transactions to ensure accounting issues are properly concluded
- Develop formal Company-wide accounting policies to ensure alignment with business and relevant accounting guidance
- Assist with month-end close activities and monthly financial package

#### Senior Manager, SEC and Technical Reporting Requirements

- Relevant work experience with a Bachelor's Degree or at least 6-8 years of work experience
- Proven ability to collaborate cross-functionally with multiple departments across the organization
- Experience coaching other team members for technical accounting areas
- Extends that of the Manager, SEC Requirements
CPA
- Relevant years of Big 4 public accounting experience, industry experience
- Ability to use GitLab

### Director, SEC Reporting and Technical Accounting

The Director, SEC Reporting and Technical Accounting reports to the [Corporate Controller](/job-families/finance/corporate-controller/#director-corporate-controller).

#### Director, SEC Reporting and Technical Accounting

The Director, Record to Report is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, SEC Reporting and Technical Accounting Responsibilities

- Own all aspects of the external reporting processes and ensure the high quality of the Form 10-Ks and 10-Qs, as well as earnings releases
- Review the supporting documentation of the external filings, including the financials, f-page disclosures, non-gaap schedules, statement of stockholders’ equity, cash flow statements, EPS calculations, and share-based compensation
- Coordinate the review of SEC filings with external auditors, outside legal counsel, investor relations, and executive management
- Own the design and operating effectiveness of internal controls related to the external reporting cycle, business combinations, equity.
- Oversee the accounting of share-based compensation, goodwill, intangible assets, asset impairments, M&A activity, etc.
- Perform the review of the non-revenue contracts and propose the accounting treatment of non-routine deals
- Lead the implementation efforts of new accounting pronouncements that would have a material impact on the financials or the f-page disclosures
- Provide technical accounting guidance and the review of the technical memos related to special terms contracts or projects, including asset acquisitions, business combinations, impairments, strategic investments, contract acquisition costs, VIEs, non-gaap, etc.
- Drive increased automation efforts of the day-to-day tasks and reporting, reducing the manual work required

#### Director, SEC Reporting and Technical Accounting Requirements

- The requirements for a Director extend from the foundational requirements of SEC Reporting and Technical Accounting Manager
- A minimum 10+ years public accounting and/or industry experience
- Demonstrated experience with executive communication and presentations
- Proven technical expertise related to U.S. GAAP and external reporting, including SEC reporting, share-based compensation accounting, business combinations, valuations, etc.
- Strong analytical and problem-solving skills
- Excellent communication skills, both written and verbal, and Demonstrated experience with executive communication and presentations
- Ability to effectively facilitate and present in group meetings.
Strong analytical, problem-solving, and strategic-thinking skills with a forward-looking focus.
- Proven ability to collaborate cross-functionally with multiple departments across the organization
- Excellent time management, organizational, and project management skills with experience in working toward tight deadlines.
- Extensive team management skills, including career development and coaching
- Driven to add value and continuously seek opportunities for improvement both individually and as a team.

## Performance Indicators

1. [Average days to close](/handbook/finance/accounting/#average-days-to-close-kpi-definition)
1. [Number of material audit adjustments](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-related-to-audit)
1. [Average days of sales outstanding](/handbook/finance/accounting/#11-accounts-receivable)
1. New hire location factor
1. [Percentage of ineffective SOX Controls](https://internal.gitlab.com/handbook/internal-audit/#performance-measures-for-accounting-related-to-audit)

## Career Ladder

The next step in the Corporate Controller job family is to move to a senior leader or executive leadership job family which would be the PAO role or similar.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Qualified candidates will then be invited to interview with 2 - 4 team members
- Qualified candidates may be invited for a final executive interview

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
