---
title: "Treasury"
---

### Levels

## Treasury Analyst

The Treasury Analyst reports to the [Director Treasury](/job-families/finance/corporate-controller/treasury-manager/#director---treasury)

### Treasury Analyst Job Grade

The Treasury Analyst is a [grade #6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Treasury Analyst Responsibilities

- Partner effectively across functional teams (AP, Payroll, Accounting, Legal, and Tax) to execute on key Treasury initiatives and cross-functional projects involving Treasury
- Maintain worldwide banking relationships
- Execute the 13-week Cash Forecasting Process
- Execute and continuously improve daily treasury operations not limited to cash management, Treasury systems, processes and controls, foreign exchange, domestic and international intercompany settlement/funding and short-term investments
- Assist with ongoing bank account administration including opening and closing of accounts, updating account documentation, maintain authorized signatories, and KYC (Know Your Customer) requirements
- Ensures compliance with SOX controls, FBAR, anti-money laundering regulations, and other rules governing cash transactions and banking
- Actively monitor and analyze bank fees, FX pricing and other treasury-specific budgets
- Prepare monthly, quarterly and ad-hoc management reporting
- Support internal /external audit requirements and reporting
- Ad-hoc Treasury projects as needed

#### Treasury Analyst Requirements

- Bachelor's Degree in Finance, Business Administration, or Accounting preferred
- 1-2 years' progressive experience in corporate treasury or international commercial bank
- Basic understanding of cash management, corporate finance and accounting
- Experience with Netsuite or similar ERP software
- Experience with major banking portals
- Ability to work remote and independently

## Senior Treasury Analyst

The Senior Treasury Analyst reports to the [Director Treasury](/job-families/finance/corporate-controller/treasury-manager/#director---treasury)

### Senior Treasury Analyst Job Grade

The Senior Treasury Analyst is a [grade #7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Treasury Analyst Responsibilities

- Manage the global cash positions, optimize cash flows across global subsidiaries, provide support for tax/international accounting related cash flows and support of funding entities. Continue to leverage best in class tools to drive business requirements.
- Help develop short and long-term strategies for the Company and be responsible to prioritize and execute treasury and cash management initiatives
- Assist with building out FX trading & hedging activities by driving forecasting efforts, developing strategy, mitigating risk, and optimizing execution for hedging
- Support the global ERP system to help implement Treasury best practices and actively contribute to cross-functional organizational development such as business process management with accounts receivable and accounts payable (automation, lockbox structure, credit card program, etc.) within the ERP platform
- Help manage annual insurance renewals by directing and coordinating data collection and application submission
- Keep up to date with Treasury best practices and trends
- Ad-hoc Treasury projects as needed

#### Senior Treasury Analyst Requirements

- Bachelor's Degree in Finance, Business Administration, or Accounting preferred
- 3-5 years' progressive experience in corporate treasury or international commercial bank
- Deep understanding of cash management, corporate finance and accounting
- Experience with Netsuite or similar ERP software
- Experience with major banking portals
- Ability to work remote and independently

### Performance Indicators

- Understand Treasury controls and ensure department is SOX compliant
- Process bank transfers and make sure they are recorded correctly
- Meet month end and quarter end reporting deadlines
- Effectively work with AP, Payroll, Accounting, Legal, and Tax

## Director - Treasury

The Director Treasury reports to the VP Cash Management

### Director - Treasury Job Grade

The Director - Treasury is a [grade #10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director - Treasury Responsibilities

- Is responsible for financial risk exposures including foreign exchange, recommend, drive and execute the Company's financial risk management strategies and potentially hedging programs
- Responsible for bank strategy and work to open bank accounts in new foreign entities
- Responsible for debt covenant compliance
- Will drive and be responsible to develop and manage relationships with banking institutions and investment groups and direct our adherence to our investment policy
- Responsible for subsidiary operations in treasury matters including cash management and banking relations
- Responsible for  treasury and cash management operations and helps develop strategies to maximize efficiencies, safeguard assets and minimize costs
- Drives investing activities
- Support internal customers
- Responsible for treasury process improvement and systems integration efforts including publishing and maintaining Treasury Policies and Procedures, maintaining treasury applications, and implementing treasury best practices
- Responsible for and drive treasury reporting and budgeting/forecasting responsibilities including cash flow and financial income/expense
- Main contact related to treasury operations for the internal and external audit, public filing, and investor relations activities
- Responsible for performing internal controls for treasury processes, identifying areas which need improvement and implementing plans to correct and prevent problems
- Additional responsibilities/projects as required

#### Director - Treasury Requirements

- B.A. in Finance required; MBA or MA in Finance preferred. CFA helpful but not required.
- Minimum 8-12 years finance experience involving analyzing currency risks, executing hedging strategies utilizing FX, and experience in investment strategy.
- Experience with derivatives accounting rules and hedge accounting requirements preferred.
- Must demonstrate overall business acumen and understanding of international treasury operations and have been responsible for the activities for at least 4 years
- Must have excellent interpersonal and communication skills for success in this position (verbal, written, presentations, and consultative).
- Experience with ERP systems such as NetSuite.
- Ability to use GitLab.
- Performance Indicators
- No deviations from Investment Policy and Compliance with all Loan covenants
- Average Return of Return on Investments vs. Benchmarks
- Develop Hedging Strategy that will minimize Foreign Exchange Exposure
- Work with Sales and Billing to Develop Credit Policy that minimizes risk of Bad Debt not to exceed .5% per year for write offs on average accounts receivable.
- Develop cash forecasting and measure accuracy of actual vs. forecast
- Measure payments released timely and develop metrics
- ACH payments vs. manual or wires (Achieve over 90% ACH payments)

## Career Ladder

The next step in the Treasury job family is to move to the Principal Accounting Officer job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Meet with Director Treasury for 50 minutes
- Meet with VP Cash Management for 30 minutes

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
