---
title: Director, Business Technology Operations
---

The Director, Business Technology Operations Job Family leads a team of a highly-collaborative and results-oriented team members tasked with delivering global business technology services across the company. The Director, Business Technology Operations is in charge of scaling, increasing performance, and providing great team member experience in order to help drive forward business success based on world class service delivery & operations.

## Levels

### Director, Business Technology Operations

The Director, Business Technology reports to the [Sr. Director, Business Technology Operations](/job-families/finance/director-bt-operations/#sr-director-bt-operations)

#### Director, Business Technology Operations Job Grade

The Director, Business Technology Operations is a [level 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Business Technology Operations Responsibilities

- Head a multi-continent team in an all-remote Organization.
- Build and lead a team of  technology leaders, engineers, analysts, and service management staff.
- Create the Business Technology Strategy and roadmap, effectively defining and delivering on new SOPs, process improvements, and projects.
- ITIL: Lead the design, implementation, and enhancement of ITIL processes like Incident, Problem, Change, Configuration, and Release Management to achieve operational excellence.
- Business Technology Service Desk: Foster customer-centricity in business technology operations, manage a responsive service desk, focusing on end-user satisfaction. Prioritize incident resolution, escalate effectively, and strategize for optimal first-call resolution.
- Manage the Business Technology Operations departmental budget.
- Vendor Management: Build / maintain relationships with software and hardware vendors and service providers.
- Directly participate in technology and process improvements and support as required (i.e., be hands-on).
- Establish seamless processes to onboard, change and offboard resources from business technology and enterprise application services.
- Document and enforce new and current business technology policies and procedures.
- Measure, monitor, and maintain team's ability to meet or exceed contact and resolution Service Level Agreements (SLA).
- Run the Business Technology Service desk, define and manage ticket SLAs, and move towards greater automation (and where appropriate) self-service of tickets.
- Proven ability to successfully recruit, manage, motivate and develop high performing teams.
- Negotiates and influences the opinions and decision making of internal senior leaders on matters of significance to the division.
- Consistently demonstrates, models and coaches managers and senior managers on GitLab's remote working competencies.
- Proactively communicates with leadership about progress and outcomes and how strategy and contributions support higher-level priorities and initiatives.
- Focuses the team's communication and productivity.

#### Director, IT Operations Requirements

- Bachelor's degree in IT, Computer Science, or related field
- 10+ years of IT management and leadership experience
- 5+ years' experience in IT operations management, focusing on ITIL processes, service desk, identity and access management, infrastructure, and support.
- Desirable: PMP, ITIL certification (Foundation or higher), CISSP or similar certification is a plus.
- Strong understanding of Identity Management (SSO, SAML, OAuth, etc.), API integration (REST), Scripting (Bash, Powershell), Directories (LDAP, Universal Directory, AD, etc.), Wifi.
- SaaS experience: Expert level understanding of tools like Google Workspace, Okta, Zoom, Slack etc.
- InfoSec experience - partnering with internal information security and compliance teams. SOX experience is a plus.
- Team building experience. Past experience managing a global support team.
- Exposure to process automation, RPA, ML, and AI basics.
- Proven ability to effectively lead and meet business objectives in a global, collaborative and high performance work environment.
- Change management knowledge and ability to operate effectively in fast paced environment.
- Demonstrated experience in vendor management and capacity planning in a fast growth environment.

### Sr. Director, IT Operations

The Sr. Director, IT Operations reports to the [VP, Information Technology](/job-families/finance/vp-information-technology/)

#### Sr. Director, IT Operations Job Grade

The Sr. Director, IT Operations is a [level 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Sr. Director, IT Operations Responsibilities

- Extends that of the Director of IT Operations responsibilities.
- Provides leadership and develops direction and strategy through directors and/or senior managers within the Department.
- Sets key objectives within the Department and enables the team to achieve results through removing blockers and allocating resources.
- Engages with Senior Leadership to develop strategic plans and objectives. Makes final decisions on implementation and ensures operational effectiveness within their Department. They are accountable for actions that impact function or Department budgets.
- Communicates Department(s)' strategy and makes sound decisions that support the strategy. Cascades important and relevant information to their and other teams in a timely manner.
- Develops frameworks and strategy to hire and retain a high performing workforce to create a competitive advantage.
- Identifies and resolves strategic and GitLab wide problems or issues by developing new or innovative solutions.
- Consistently works with abstract ideas or situations across areas of the business, assessing variables, evaluating fundamental issues, and providing direction within the Department.Decisions have a long-term effect on GitLab's success.
- Uses financial information to keep Department on budget and focused on right business priorities.
- Champions change and reinvent business practices or processes aligned to the scale of the organization.

#### Sr. Director, IT Operations Requirements

- Extends that of the Director of IT Operations requirements.
- 15+ years of experience at Director or Senior Director level in an IT Leadership role.
- Candidate must have proven ability to consistently and collaboratively resolve issues, mitigate roadblocks, and meets all financial and management goals on time.
- Excellent team management, coaching, and mentoring skills.
- Business acumen with the ability to understand business priorities, operations, and IT enablement potential.

## Performance Indicators

1. [New Hire Location Factor < 0.69](https://internal.gitlab.com/handbook/it/it-performance-indicators/#new-hire-location-factor--069)
1. [Average Delivery Time of Laptop Machines < 21 days](https://internal.gitlab.com/handbook/it/it-performance-indicators/#average-delivery-time-of-laptop-machines--21-days)
1. [Cycle Time for IT Support Issue Resolution](https://internal.gitlab.com/handbook/it/it-performance-indicators/#cycle-time-for-it-support-issue-resolution)

## Career Ladder

The next step in the IT Systems Engineer job family is to move to the [VP, IT](/job-families/finance/vp-information-technology/) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below.

1. Screening call with a team member from our recruiting team.
1. Interview with Manager, IT
1. Interview with Senior Director, Data and Analytics or Senior Director, Enterprise Applications.
1. Interview with the VP, IT
1. Interview with the CFO

Please note that a candidate may declined from the position at any stage of the process.
Additional details about our process can be found on our [hiring page](/handbook/hiring/).
