---
title: "VP, Financial Planning and Analysis"
---

The VP of Finance is responsible for implementing financial processes and systems as GitLab continues to grow. The team member has proven success developing robust financial reporting processes, financial controls and insightful KPI dashboards necessary for a fast-moving leading software/SaaS company. Experience leading a company through an IPO process and operating as a public company post IPO. This leadership role actively partners with other leaders across the GitLab team in addition to leading finance organization. The VP finance has a passion for how the finance function can transform the strategy, accountability and operations of the Company as a whole. The position reports directly to the CFO.

## Job Grade

The VP, FP&A is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Accounting and Reporting

1. Ensure an effective and robust finance and planning infrastructure: manage the Corporate FP&A team as well as the Finance Business Partners that support the business functions.
1. Responsible for maintaining the financial planning cadence on a rolling 4 quarter basis.
1. Responsible for building, maintaining and communicating the Street Model to internal and external constituents.
1. Develop integrated and scalable financial systems that provide highly predictable and understandable financial results.
1. Ensure timely and accurate budget vs actual analysis and future projections.
1. Work with leaders of business groups to ensure forecasts and financial targets will be achieved.
1. Responsible for creating KPI and dashboard framework such that all KPIs have definitions and are integrated into the Company's financial model.
1. Ensure non-gaap financial metrics are properly defined, measured and reported on a consistent basis.
1. Coordinate and prepare quarterly board package for review and analysis by the Board of Directors.
1. Analyze the company's financial results - profits, trends, costs and compliance with budgets. Issue regular status and ad hoc reports to senior management.
1. Provide strategic guidance around capital financing options to support company growth needs.
1. Build detailed financial modeling processes that are consistent across Company.
1. Work closely with internal and external investor relations team.

## Requirements

1. 15 + years of related experience, with increasing levels of responsibility and seniority with most of this experience in the technology industry
1. Experience with Software/Saas company with revenues in excess of $100M.
1. Five + years experience leading the finance function in a public company.
1. Experience supporting IPO preparation
1. Track record of driving positive results in hands-on environments
1. Demonstrated success in consistently producing timely and highly predictable financial models.
1. Experience with Anaplan, Adaptive insights or other financial planning tools.
1. Ability to use GitLab

## Performance Indicators

1. [Plan vs Actual](/handbook/finance/financial-planning-and-analysis/#plan-vs-actual)
1. [IACV Efficiency](/handbook/sales/#iacv-efficiency-ratio)
1. New hire location factor

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below.

1. Screening call with a team member from our recruiting team.
1. Interview with CFO
1. Interview with 1-2 finance team members
1. Interview with 1-2 executive team members
1. Interview with CEO plus 1-2 board members

Please note that a candidate may declined from the position at any stage of the process.
Additional details about our process can be found on our [hiring page](/handbook/hiring/).

## Career Ladder

The next step in the VP, FP&A job family is to move to and EVP or C-level role.
