---
title: "IT Global Logistics Analyst"
---

## IT Global Logistics Analyst

### Responsibilities

- Ability to respond to questions for IT Analyst and act as an escalation to hardware and software logistical issues
- Building and maintaining relationships with global vendors
- Maintaining and expanding e-commerce stores functionality for Apple
- Maintain, inform, and update current information regarding assets in each region
- Create, maintain and approve invoices POs for global logistics
- Maintain the asset management tool to include all assets and users
- Keep record of all assets ordered each month/quarter/year including: Vendor managed assets and VC purchased assets
- Keep record of all assets retained, break/fix, lost or stolen, E-wasted
- Coordinate reverse logistics operations for each region
- Analyze data regarding assets within our endpoint management system
- Work with other teams to keep records up to date (Finance, Security, People Ops)
- Asset reconciliation (Monthly, quarterly, yearly)
- Create and maintain best practices knowledge base articles around logistics (Including hardware specs changes and Hand book updates)
- Coordinate contingent workforce engagements for hardware and asset life cycle
- Project coordination for roll outs or updates to assets

### Requirements

- Experience with CMDB databases and an interest in its administration
- Experience working with cross-fucntional teams internally and externally
- Experience working with JAMF Pro, ServiceNow and customer portals
- Finance experience woring with Reqs, POs, and invoices
- Hands-on experience supporting Mac and or Linux
- Experience working with Git
- Ability to use GitLab for merge requests
- Customer service centric
- Excellent communication skills both written and verbal

## Levels

### IT Global Logistics Analyst(Intermediate)

#### IT Global Logistics Analyst (Intermediate) Job Grade

The IT Global Logistics Analyst (Intermediate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### IT Global Logistics Analyst (Intermediate) responsibilities

IT Global Logistics Analyst(Intermediate) share the same responsibilities outlined above.

#### IT Global Logistics Analyst (Intermediate) requirements

The IT Global Logistics Analyst (Intermediate) share the same requirements outlined above.

### Senior IT Global Logistics Analyst

#### Senior IT Global Logistics Analyst Job Grade

The Senior IT Global Logistics Analystis a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior IT Global Logistics Analyst Responsibilities

- Extends that of theIT Global Logistics Analyst (Intermediate) responsibilities
- Mentoring and developing a team of IT Global Logistics Analyst
- Leadership and mentoring skills
- Coordinates automation for reporting and analytics
- Act as escalation point for IT Global Logistics team
- Collaborate closely with Security and IT teams
- Have strong capability in setting priorities, meeting deadlines and make time sensitive decisions with limited information
- Excellent practical understanding of Incident Management, Change &  Problem Resolution
- Be an integral team player and stand in when needed and cover any role in times of need
- Ability to analyse problems and present solutions for logistical issues

#### Senior IT Global Logistics Analyst Requirements

- Extends that of the IT Global Logistics Analyst (Intermediate) requirements
- Experience of writing procedural and/or support documentation
- An active / empathic listener
- Demonstrable ability to think around issues and look at the wider picture in order to provide solutions through a variety of problem-solving techniques
- Knowledge and understanding of best practice framework (such as ITIL, ISO20k) for the delivery of IT logistics and analysis
- Ability to clearly and accurately communicate processes and procedures
- Experience of working accurately and confidently with Service Desk tools and technology, such as ITSM, remote access, knowledge resources
- Experience of developing professional and effective working relationships with customers and key stakeholders
- Experience of delivering a high level of customer service

## Performance Indicators (PI)

- [Cycle Time for IT Support Issue Resolution](https://internal.gitlab.com/handbook/it/it-performance-indicators/#cycle-time-for-it-support-issue-resolution)
- [Support Issues and Access Request Closed per Employee](https://internal.gitlab.com/handbook/it/it-performance-indicators/#support-tickets-and-access-request-closed-per-employee)
- [Average Merge Request](https://internal.gitlab.com/handbook/it/it-performance-indicators/#average-merge-request)
- [Average Delivery Time of Laptop Machines < 21 days](https://internal.gitlab.com/handbook/it/it-performance-indicators/#average-delivery-time-of-laptop-machines--21-days)
- [Customer Satisfaction Survey (CSAT)](https://internal.gitlab.com/handbook/it/it-performance-indicators/#customer-satisfaction-survey-csat)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Next, candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with our Global Recruiters
- Next, candidates will be invited to schedule a first interview with our Director of IT Operations
- Next, candidates will be invited to schedule a second interview with one of our IT Admins
- Candidates will then be invited to schedule a third interview with the End User Services Manager
- Finally, candidates may be asked to interview with VP or higher in Security

Additional details about our process can be found on our [hiring page](/handbook/hiring/)
