---
title: "IT EntApps Business Systems"
---

The IT EntApps Business Systems job family at GitLab is in charge of designing, delivering, and maintaining high quality business systems solutions by applying project management methodologies.

## Business Systems Specialist

The Business Systems Specialist is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Is focused on the day-to-day activities and tasks that support the broader objectives of business systems analysis such as requirements elicitation, documentation, research, project & testing support.
- Plays a crucial role in assisting Senior Business Systems Analysts.
- Explains moderately complex issues and works to build alignment.
- Assists in collecting and documenting business requirements by conducting interviews and workshops with stakeholders. This involves actively listening to user needs and translating them into clear and concise requirements.
- Assists in creating and maintaining documentation, such as requirement specifications, process flows, data models, and user manuals.
- Conducts research on industry best practices, emerging technologies, and potential solutions to support senior analysts in making informed recommendations.
- Aids in the testing process by preparing test cases, participating in testing activities, and documenting test results. This may include functional, user acceptance, and regression testing.
- Learns and develops understanding of GitLab's way of working.
- Adapts to GitLab communication framework.
- Develops skills and behaviors aligned with GitLab Values.
- Has awareness of GitLab remote working best practices.

### Requirements

- Strong analytical thinking and problem-solving skills to identify and address business process issues and system inefficiencies.
- Effective communication skills, both written and verbal, to collaborate with various stakeholders, including business users, IT teams, and management.
- Familiarity with basic software development concepts and understanding of IT systems.
- Certifications such as Certified Business Analysis Professional (CBAP), Certified Scrum Master (CSM), or other relevant certifications are desirable.

## Business Systems Analyst

The Business System Analyst is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Collaborate with stakeholders to elicit, document, and analyze business requirements for new projects, system enhancements, or process improvements.
- Translate business requirements into detailed functional specifications for IT engineering and architecture teams.
- Create and maintain process flowcharts, data models, and other visual representations to illustrate current and proposed business processes.
- Assist in the design of technology solutions that align with business requirements.
- Work closely with IT engineering and architecture teams to ensure that the proposed solutions meet business needs.
- Act as a liaison between business stakeholders and IT teams, ensuring clear communication and understanding of project objectives, status, and issues.
- Present findings and recommendations to IT leadership in a clear and comprehensible manner.
- Track project progress, report on key milestones, and manage project-related issues and risks.
- Grows skills aligned with GitLab Values.
- Understands the concepts behind GitLab remote work best practices.

### Requirements

- 2-3 years of experience as a Business Systems Analyst or a related field demonstrating a strong foundation in business analysis in one or more cross functional global processes for Lead to Cash, CRM, and/or Finance and Accounting.
- Proven experience in one or more business systems areas:
- **CRM**: CRM systems, with a focus on platforms such as Salesforce. Experience in CRM system implementation, customization, and data management.
- **Finance and Accounting**: ERP systems (e.g., NetSuite) and financial reporting tools (e.g., FloQast, Xactly). Experience in financial system implementation, customization, and data management.
- **Lead to Cash**: Billing platforms (e.g., Zuora Billing). Familiarity with industry best practices and emerging trends in Lead to Cash processes.
- Strong analytical and problem-solving skills with the ability to translate business requirements into technical solutions.
- Good written and verbal communication skills to interact with various business stakeholders, including business users and IT teams. Capability to articulate technical concepts in a clear and understandable manner for non-technical stakeholders.
- Strong understanding of business analysis methodologies, tools, techniques, and software development concepts (SDLC).
- Certifications such as Certified Business Analysis Professional (CBAP), Certified ScrumMaster (CSM), or other relevant certifications are highly desirable.
- Familiarity with project management principles and practices to assist in project planning, monitoring, and coordination.
- Familiarity with audit and compliance requirements and processes.

## Senior Business Systems Analyst

The Senior Business Systems Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Lead collaboration with business stakeholders to conduct in-depth analyses of business requirements for new IT projects, system enhancements, or process improvements. Provide strategic insights and recommendations to enhance the effectiveness of proposed solutions.
- Translate complex business requirements into comprehensive and detailed functional specifications for IT engineering and architecture teams.
- Lead stakeholders in prioritizing and managing changing requirements.
- Collaborate with technical teams to design high-level system architectures that meet business needs.
- Oversee the implementation of applications, coordinating with business, development and QA teams.
- Work closely with IT engineering and architecture teams to ensure that proposed solutions not only meet business needs but also align with technical capabilities.
- Foster strong relationships with stakeholders to understand evolving business needs.
- Present findings, recommendations, and project updates to IT leadership and other relevant stakeholders. Communicate complex information in a clear, compelling, and influential manner.
- Act as a trusted advisor to senior management and executives, providing insights and recommendations, and driving for solutions.
- Lead and oversee complex projects, including project planning, budgeting, and resource allocation. Take a leadership role in tracking project progress and provide strategic guidance to project teams to ensure successful project delivery.
- Provide mentorship and guidance to junior analysts, contributing to their professional development and fostering a collaborative team environment.
- Enhance documentation practices to ensure clarity, accuracy, and ease of understanding.
- Models skills and behavior aligned with GitLab Values.
- Consistently demonstrates GitLab remote work best practices.

### Requirements

- 3+ years of experience as a Business Systems Analyst or a related field. This experience should include hands-on experience with business analysis in one or more cross functional global processes for Lead to Cash, CRM, and/or Finance and Accounting.
- Proficiency in one or more business systems areas:
- **CRM**: CRM systems, with a focus on platforms such as Salesforce. Experience in CRM system implementation, customization, and data management.
- **Finance and Accounting**: ERP systems (e.g., NetSuite) and financial reporting tools (e.g., FloQast, Xactly). Experience in financial system implementation, customization, and data management.
- **Lead to Cash**: Billing platforms (e.g., Zuora Billing). Industry best practices and emerging trends in Lead to Cash processes.
- Strong analytical and problem-solving skills with demonstrated proficiency in translating complex business requirements detailed into technical solutions.
- Excellent written and verbal communication skills to interact with various business stakeholders, including business users, IT teams, and senior management. This includes the ability to explain technical concepts to non-technical stakeholders.
- Demonstrated proficiency in business analysis methodologies, tools, and techniques. This includes a solid understanding of software development concepts (SDLC).
- Strong understanidng of project management principles and practices to assist in project planning, monitoring, and coordination.
- Strong understanding of audit and compliance requirements and processes, especially SOX.
- Multiple certifications such as Certified Business Analysis Professional (CBAP), Certified ScrumMaster (CSM), or other relevant certifications are highly desirable.

## Staff Business Systems Analyst

The Staff Business Systems Analyst is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

Extends the Senior Business Systems Analyst responsibilities plus:

- Lead strategic collaboration with business stakeholders, driving in-depth analyses of business requirements for IT projects, system enhancements, or process improvements.
- Translate intricate business requirements into comprehensive and advanced functional specifications for IT engineering and architecture teams. Ensure that functional specifications align with IT department strategies and industry best practices.
- Implement advanced documentation standards to elevate the quality and effectiveness of communication.
- Collaborate in a leadership capacity twith IT engineering and architecture teams to address complex technical requirements and optimize the solution design.
- Act as a trusted advisor for IT leadership, providing guidance on how technology solutions can address current and future business challenges.
- Present findings, recommendations, and project updates to IT leadership and other relevant business stakeholders. Communicate complex information with a high degree of clarity, persuasiveness, and influence.
- Proactively identify and address potential project risks, demonstrating a strategic approach to project delivery.
- Share expertise and insights gained from experience with other Business Analysts, fostering a collaborative and growth-oriented team culture.
- Coaches team members on skills and behaviors aligned with GitLab Values.
- Consistently demonstrates and educates other team members on GitLab remote work best practices.

### Requirements

- 5+ years of experience as a Business Systems Analyst or a related field. This experience should include successfully leading business analysis in one or more cross functional global processes for Lead to Cash, CRM, and/or Finance and Accounting.
- In-depth knowledge in one or more business systems areas:
- **CRM**: CRM systems, with a focus on platforms such as Salesforce. Experience in CRM system implementation, customization, and data management.
- **Finance and Accounting**: ERP systems (e.g., NetSuite) and financial reporting tools (e.g., FloQast, Xactly). Experience in financial system implementation, customization, and data management.
- **Lead to Cash**: Billing platforms (e.g., Zuora Billing). Industry best practices and emerging trends in Lead to Cash processes.
- Exhibit advanced proficiency in analytical and problem-solving skills with the ability to translate complex business requirements into technical solutions.
- Exceptional written and verbal communication skills to engage effectively with diverse stakeholders, including business users, IT teams, and senior management..Ability to convey complex technical concepts in a clear and compelling manner to non-technical stakeholders.
- Provide mentorship and guidance to junior analysts, contributing to the development of the IT EntApps PMO team's collective skill set.
- Lead efforts in incorporating best practices and methodologies into the SDLC processes, ensuring optimal outcomes for IT system development initiatives.
- Certifications such as Certified Business Analysis Professional (CBAP), Certified ScrumMaster (CSM), or other relevant certifications are desirable.

## Principal Business Systems Analyst

The Principal Business Systems Analyst is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

Extends the Staff Business Systems Analyst responsibilities plus:

- Lead and drive strategic collaboration with business stakeholders, conducting visionary analyses of business requirements for IT projects, system enhancements, or process improvements.
- Provide thought leadership and strategic insights to align IT solutions with the IT department goals and industry trends.
- Ensure that functional specifications align not only with IT department strategies but also with broader GitLab objectives and advanced industry best practices.
- Provide expert guidance in a leadership capacity on the application of advanced technologies and innovative approaches to meet business needs.
- Influence and shape IT strategy by leveraging deep insights into business processes and technology capabilities.
- Present findings, recommendations, and project updates to IT leadership and other executive level stakeholders, delivering information with a high degree of clarity, persuasiveness, and influence.
- Implement advanced risk mitigation strategies and contribute to overall project risk management.
- Provide mentorship at a strategic level, contributing to the professional development of other IT team members.

### Requirements

- 8-10 years of progressive experience as a Business Systems Analyst or a related field. This experience should include a proven track record of successfully leading business analysis in one or more cross functional global processes for Lead to Cash, CRM, and/or Finance and Accounting.
- Mastery expertise in one or more business systems areas:
- Proven experience in CRM system implementation, customization, and advanced data management (e.g., Salesforce).
- Extensive experience in financial system implementation, customization, and sophisticated data management (e.g., NetSuite, FloQast, Xactly).
- Deep understanding of industry best practices and emerging trends in Lead to Cash processes.
- Provide thought leadership in introducing innovative approaches to complex problem-solving scenarios.
- Provide mentorship and guidance to senior analysts, actively contributing to the continuous development of the IT EntApps PMO team's collective skill set.
- Demonstrate leadership in fostering a collaborative and growth-oriented environment within the IT EntApps PMO team.
- Drive strategic initiatives within the IT department to ensure the optimal outcomes of IT system development projects, aligning them with GitLab goals and objectives.
- Certifications such as Certified Business Analysis Professional (CBAP), Certified ScrumMaster (CSM), and other relevant certifications demonstrating continuous professional development are highly desirable.

## Distinguished Business Systems Architect

The Distinguished Business Systems is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

Extends the Principal Business Systems Analyst responsibilities plus:

- Lead and drive visionary strategic collaboration with business stakeholders, conducting innovative approaches for processes to align IT solutions with the overarching goals of GitLab.
- Assume a leadership role in shaping and executing transformative initiatives within the IT domain.
- Provide distinguished thought leadership and strategic insights, guiding the alignment of IT solutions with the strategic objectives of the IT department and the broader goals of GitLab.
- Influence and shape the strategic direction of IT initiatives by introducing cutting-edge technologies and approaches.
- Present findings, recommendations, and project updates to IT leadership and other executive-level stakeholders, delivering information with a level of clarity, persuasiveness, and influence that significantly impacts decision-making.
- Lead the development and execution of strategic IT initiatives that ensure successful project delivery.
- Foster a culture of continuous learning and innovation within the IT department, inspiring others to achieve excellence.

### Requirements

- 10+ years of progressive experience as a Business Systems Analyst or in a related field. Showcase a distinguished track record of successfully leading business analysis in multiple cross-functional global processes, with expertise in Lead to Cash, CRM, and Finance/Accounting.
- Mastery expertise in CRM system implementation, customization, and advanced data management, exemplified by a deep understanding of platforms (e.g., Salesforce).
- Mastery in financial system implementation, customization, and sophisticated data management, with extensive experience in platforms (e.g., NetSuite, FloQast, and Xactly).
- Demonstrate a profound understanding of industry best practices and emerging trends in Lead to Cash processes.
- Provide thought leadership by introducing innovative approaches to complex problem-solving scenarios, showcasing a forward-thinking and solutions-oriented mindset.
- Share expertise and insights gained from extensive business systems experience to elevate the proficiency of the entire IT EntApps PMO team.
- Demonstrate leadership in fostering a collaborative and growth-oriented environment within the IT PMO team, emphasizing continuous learning and professional development.
- Align IT projects with GitLab overarching goals and objectives, contributing to the long-term success of the organization.
- Certifications such as Certified Business Analysis Professional (CBAP), Certified ScrumMaster (CSM), and other relevant certifications demonstrating continuous professional development are highly desirable.

## Performance Indicators (PI)

- [Evaluating System or Process Efficiency](https://internal.gitlab.com/handbook/it/it-performance-indicators/#evaluating-system-or-process-efficiency)
- [Average Issues](https://internal.gitlab.com/handbook/it/it-performance-indicators/#average-issues)
- [Average Merge Requests](https://internal.gitlab.com/handbook/it/it-performance-indicators/#average-merge-request)

## Career Ladder

Any IT team member can explore lateral career moves within the broader IT job family, provided they fulfill the responsibilities and requirements associated with the desired role.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Next, candidates will be invited to schedule a [screening call](/handbook/hiring/talent-acquisition-framework/req-overview/#screening) with our Global Recruiters
- Next, candidates will be invited to schedule a first interview with our Business Systems Analysts in a panel interview
- Next, candidates will be invited to schedule a second interview with our IT Operations Team (may be a panel)
- Candidates will then be invited to schedule a third interview with a Team Member (may be member of the SalesOps, MarketingOps, or Data Ops team)
- Then the candidate will be invited to interview with the Director of Enterprise Applications
- Finally, candidates may be asked to interview with our CFO or CEO

Additional details about our process can be found on our [hiring page](/handbook/hiring/)
