---
title: "Enterprise Architecture"
---

## Junior Architect

### Job Grade

The Junior Architect is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the  IT Manager or Sr IT Manager or IT Director, Enterprise Architecture & Integration Engineering.

### Responsibilities

- Design & architect business systems solutions using an array of different platforms, technologies, APIs, databases, protocols and data formats.
- Collaborate and review design of business systems with other architects in IT architecture & engineering to ensure a consistent level of technical standards as set by the team.
- Work directly with Business Systems Analysts Or PM's to ensure that the data and the business processes that intersect in the Enterprise Applications ecosystem are as efficient and high fidelity as possible.

### Requirements

- Bachelor's degree, preferably in Computer Science, Information Technology, Computer Engineering, or related IT discipline; or equivalent experience.
- 0-2 years application architecture experience.
- Understand basics of SQL and relational databases.
- Proactive doer and communicator.
- SaaS and B2B experience preferred.
- Working with Visio, Lucid Charts preferred.
- Interest in GitLab and open source software.
- You share our values and work in accordance with those values.
- Aptitude to thrive in a fully remote organization.
- Enterprise architecture ecosystem experience across enterprise systems: SalesForce, Workato, DocuSign CLM, Netsuite, Zuora Billing, Zuora Revenue, Coupa, Zip, Navan, Workday, ADP, eTrade etc.

## IT Architect

### Job Grade

The IT Architect is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the  IT Manager or Sr IT Manager or IT Director, Enterprise Architecture & Integration Engineering.

### Responsibilities

- Document technical design & architecture details clearly to various stakeholders of different technical levels (VP of IT, Sales Operations, Software Engineer).
- Coordinate work to prevent overlap and ensure alignment with Enterprise Architecture Framework, IT strategy, SDLC, strategic drivers, standards and governance.
- Prepare as-is and to-be application architecture artifacts including system connect diagrams, application reference models, software requirements documents, interface descriptions, data dictionaries, performance monitoring and logging specifications, high availability and scaling designs, DR concepts and designs, and application staging plans.
- Develop current and future state application architectures, including but not limited to business transformation, identifying potential risks and opportunities, capturing the rationale for architecture design decisions, negotiating conflicting requirements, improving architectural documentation quality, and facilitating clear articulation architectural artifacts (Business, Data, Application, Infrastructure, Integration, Security etc.) recommendations to ensure value driven sustainable Architectural perspectives apply industry standard architectural frameworks to the enterprise to guide and update the architectural baselines within the enterprise.
- Apply industry standard architectural frameworks and capabilities within the enterprise.
- Design for redundancy, Scalability & efficient Performance

### Requirements

- Ability to use GitLabBachelor's degree, preferably in Computer Science, Information Technology, Computer Engineering, or related IT discipline; or equivalent experience.
- 2+ years of enterprise architecture experience.
- Working with Visio, Lucid Charts preferred.
- Enterprise architecture ecosystem experience across enterprise systems: SalesForce, Workato, DocuSign CLM, Netsuite, Zuora Billing, Zuora Revenue, Coupa, Zip, Navan, Workday, ADP, eTrade etc.
- Knowledge of programming stacks, emerging technologies and tools, RPA, Chat Bots, AI and ML, ETL tools, Data Lakes, Hadoop, JavaScript, React.
- Knowledge of cloud technologies (AWS, GCP, Azure, etc...) preferred.
- Knowledge of cloud native & micro services architectures.
- Experience with workflow, data integration, business intelligence, and/or analytics tools.
- Familiarity with Web service integration standards such as WSDL, SOAP, UDDI, and JSON Software as a Service work experience and/or knowledge of the delivery model and associated characteristics preferred.
- Knowledge of enterprise architecture frameworks such as Zachman; TOGAF certification.

## Senior Architect

### Job Grade

The Senior Architect is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the  IT Manager or Sr IT Manager or IT Director, Enterprise Architecture & Integration Engineering.

### Responsibilities

Extends the IT Architect responsibilities:

- Business Partnership: Influences cross-functional team regularly. Begins to build and manage holistic relationships with select partners.
- Business Operations: Build, maintain and improve internal analysis and planning processes to more efficiently deliver for our business partners. All processes should be documented in the handbook.
- Technical Delivery: Drive end to end delivery processes with minimal guidance.
- Project Management: Run medium-sized projects that improve our ability to make better data driven insights or make the company more efficient.
- Communication: Target audience Sr. Manager, Director, Sr. Director and functional VP.
- Communicate and document technical details clearly to various stakeholders of different technical capabilities (VP of IT, Sales Operations, Software Engineer).
- Ability to understand & define the long-term ("big picture") and short-term technology perspectives of changing business situations.
- One or more ERP, CRM, Subscriptions, Billing, Revenue, Web, Commerce, Data, AI related implementations.
- Understanding and implementation of Master Data Management concepts, tools and technologies.
- Application integration technologies and tools.
- Ability to quickly comprehend the functions and capabilities of new technologies.
- Preferred Business Systems Specific Skills:
  - SFDC:
    - Development experience with advanced Salesforce.com development tools and techniques (e.g. Apex language, Force.com custom development, triggers, controllers, JavaScript, Force.com SOAP and REST APIs, JSON, AngularJS, jQuery, JavaScript, sObjects, SOQL, SOSL, Chatter APIs, outbound messaging, Bootstrap, Lightning Design System (LDS), Lightning Components and Visualforce pages).
    - Experience with one or more sales cloud technologies i.e. Revenue Cloud, Service Cloud, Data Cloud, Analytics Cloud, etc.
  - NetSuite:
    - Good understanding of NetSuite stack and experience with all NetSuite modules (GL, AP, AR, FA, SuiteBilling, Procurement, etc.).
    - Technical knowledge of SuiteScript, SuiteTalk, SuiteFlow, CSV imports, user provisioning, defining roles, analytics, and scheduling scripts.
  - Workday:
    - Strong technical experience with XSLT, XTT, XML and object-oriented development including Java.
    - Experience with Web Services and APIs (WSDL, SOAP, REST and WS standards).
  - Zuora Billing & Revenue:
    - Experience working with Zuora, including experience with the Zuora 360, API and ZOQL.
    - Experience integrating Zuora with other systems such as Salesforce, Netsuite, and Avalara.
- Preferred Integration & RPA Specific Skills:
  - Integration & Automation:
    - Experience integrating business systems with Workato Platform
  - RPA:
    - Experience working and implementing BOTs using Ui Path

### Requirements

- Bachelor's degree, preferably in Computer Science, Information Technology, Computer Engineering, or related IT discipline; or equivalent experience.
- 5+ years of enterprise architecture experience.
- Working with Visio, Lucid Charts or EA tools preferred .
- Enterprise architecture ecosystem experience across enterprise systems: SalesForce, Workato, DocuSign CLM, Netsuite, Zuora Billing, Zuora Revenue, Coupa, Zip, Navan, Workday, ADP,Snowflake, Tableau,Big Query, RedShift, Zendesk, eTrade etc..
- Experience with various Big Data technologies & ELT/ETL experience.
- Experience with API Management tools.
- Experience with workflow, data integration, business intelligence, and/or analytics tools.
- Knowledge of cloud technologies (AWS, GCP, Azure, etc...) preferred.
- Knowledge of programming stacks, emerging technologies and tools, RPA, Chat Bots, AI and ML, ETL tools, Data Lakes, Hadoop, JavaScript, React.
- Knowledge of cloud native & micro services architectures.
- Strong proficiency in data querying languages (SQL), programming languages (Python, R), and data visualization tools.
- Be a self-starter, and thrive in a fast paced environment, customer centric and have the interpersonal skills necessary to manage business and technology relationships.
- Exceptional time management and prioritization skills, resilient under pressure, able to meet deadlines and able to work in a constantly changing environment.
- Exhibit strong security and confidentiality practices with systems that handle sensitive data.
- Knowledge of enterprise architecture frameworks such as Zachman; TOGAF certification.

## Staff Architect

### Job Grade

The Staff Architect is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the  IT Manager or Sr IT Manager or IT Director, Enterprise Architecture & Integration Engineering.

### Responsibilities

Extends the Senior Architect responsibilities:

- Provides input on strategic decisions within the team, such as: new system features and functionality, process definition, system roadmap, annual planning, portfolio management, etc.
- Lead the architectural design of applications, integrations and automations, ensuring scalability, performance, and alignment with business objectives.
- Participate in strategic discussions, providing technical insights and recommendations to support the organization's long-term objectives.
- Provide technical leadership to the IT architecture & integration engineering team, mentoring junior engineers, and guiding them in best practices and advanced development techniques.
- Design and implement solutions for specific business needs.
- Lead and maintain enterprise architecture for one or more cross functional global processes for Lead to Cash, G&A, Finance, Hire To Retire, Record To Report, etc.
- Lead and manage large-scale application, integration & automation development projects, ensuring timely delivery and alignment with business goals.
- Create and maintain comprehensive documentation of application, integration architectures, configurations, and processes.
- Closely work with business analysts, PMs, architects, engineers and business users to understand the business requirements, including working with 3rd party integrators.
- Provide recommendations for standard methodologies pertaining to application, integration design and development, with a mind towards best practices.
- Exceptional communication skills, both written and verbal Detail-oriented, organized, self-motivated, hardworking, and a great team player with excellent interpersonal skills.
- Extensive knowledge of various business systems for Sales, Customer Service, Customer Success, Fulfillment, Marketing, IT Operations, Finance, G&A, etc.

### Requirements

Extends the Senior IT Architect requirements:

- 5-8 years of enterprise architecture experience.
- Working with Visio, Lucid Charts or EA tools preferred.
- Multiple application & Integration certifications highly preferred.
- Knowledge of enterprise architecture frameworks such as Zachman; TOGAF certification.

## Principal Architect

### Job Grade

The Principal Architect is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the  IT Manager or Sr IT Manager or IT Director, Enterprise Architecture & Integration Engineering.

### Responsibilities

Extends the Staff Architect responsibilities:

- Define the overall enterprise architecture strategy, including selecting technologies, frameworks, and architectural patterns.
- Provide technical leadership to the IT architecture & integration engineering, setting standards, best practices, and mentoring junior and senior engineers.
- Act as a subject matter expert in application development and design.
- Lead large-scale application, integration & automation development projects and programs, overseeing all aspects from planning and resource allocation to execution and delivery.
- Contribute to the development of the organization's IT strategy, providing technical insights and recommendations to support long-term objectives.
- Facilitate knowledge sharing across the organization and mentor team members.
- A strategic leader within the organization.
- Collaborates and makes proposals across several teams, and helps team members make informed decisions in alignment with strategic plans.
- Lead master data management initiatives from the data modeling side. Design and promote the enterprise data model.
- POC or POV new enterprise application technologies & initiatives.
- Lead Enterprise Architecture Workshops & Hackathons.
- Tracks all project requests in functional area and updates status of projects on a regular basis.
- Adhere to IT controls and security protocols, ensuring compliance with data privacy regulations and maintaining a high level of data security throughout the integration processes.
- Collaborate with external vendors and partners, as necessary, to address business systems challenges and architecture alignment.
- Lead Solution, Domain, Technical, Application, Data, Security, SaaS & Transformation architecture end to end.
- Plan current and future business systems enterprise architecture roadmaps.

### Requirements

Extends the Staff Architect requirements:

- 8-12 years of enterprise architecture experience.
- Working with Visio, Lucid Charts or EA tools preferred.
- Multiple business systems & Integration certifications highly preferred.
- Knowledge of enterprise architecture frameworks such as Zachman; TOGAF certification

## Distinguished Architect

### Job Grade

The Distinguished Architect is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the  IT Manager or Sr IT Manager or IT Director, Enterprise Architecture & Integration Engineering.

### Responsibilities

Extends the Principal Architect responsibilities:

- Develop and articulate a forward-thinking technology vision and strategy for IT architecture, integration & business systems aligned with the organization's long-term goals.
- Provide leadership in defining the architectural framework for complex business systems solutions, ensuring scalability, security, and robustness.
- Serve as a technical mentor and role model, guiding and developing the skills of junior and senior engineers.
- Establish strategies for seamless scalability to accommodate rapid growth.
- Oversee the planning and execution of major business systems development projects and programs, aligning them with organizational objectives.
- Influence customer roadmaps and collaborate on innovative solutions.
- Collaborate with the executive team to align technology initiatives with the overall business strategy.
- Acts as an advisor to Senior Leadership.
- Influences Senior Leadership to adopt a different point of view when appropriate, and makes decisions that have an impact on business direction.
- Stay up-to-date with the latest industry trends and best practices in business systems related technologies, API, integration technologies, recommending improvements and innovations to enhance the overall enterprise application & architecture landscape.
- Actively and proactively manage and mitigate technical risks.
- Align organization to industry best practices, capabilities by actively participating in workshops, forums, conferences & be a thought leader.
- Familiarity working with Gartner, Forrester blueprints & solutions.
- Develop & maintain enterprise architecture business systems roadmaps for next 1, 3 and 5 years

### Requirements

Extends the Principal Architect requirements:

- 12+ years of enterprise architecture experience.
- Working with Visio, Lucid Charts or EA tools preferred.
- Multiple business systems & Integration certifications highly preferred.
- Knowledge of enterprise architecture frameworks such as Zachman; TOGAF certification.

### Performance Indicators

- [Evaluating System or Process Efficiency](/handbook/business-technology/metrics/#evaluating-system-or-process-efficiency)
- [Average Merge Request](/handbook/business-technology/metrics/#average-merge-request)
- Evaluating health of integrations
- Number of integrations implemented that increase the efficiency of the company
- Total hours saved by improving systems integrations
- Number of reference architecture designs
- Ensure that architecture related decisions follow the different department roadmaps

### Career Ladder

Any IT team member can explore lateral career moves within the broader IT job family, provided they fulfill the responsibilities and requirements associated with the desired role.

## Hiring Process

- Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with one of our Global Recruiters.
- Second round interviews will involve interviews with 2 SMEs in the Business and or IT Team.
- Third round interview is with the Senior Director, Enterprise Applications.
- At the final stage candidates will meet with the VP of IT.
- Additional details about our process can be found on our [hiring page](/handbook/hiring/).
