---
title: IT Enterprise Applications Administrator
---

The IT Enterprise Applications Administrator job family is responsible for the implementation and operational ownership of all Enterprise Applications.

## Levels

## Associate IT Enterprise Applications Administrator

Associate IT Enterprise Applications Administrator is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the IT Manager, Enterprise Applications.

### Associate IT Enterprise Applications Administrator Responsibilities

- Responsible for managing individual work and projects.
- Is focused on tactical responsibilities rather that strategic decisions.
- Works on problems of moderate complexity in which analysis of situation or data requires a review of existing factors.
- Follows specific instructions/frameworks in day to day work.
- Work and solutions are reviewed by more senior team members and/or their direct manager.
- Learns and develops understanding of GitLab's way of working.
- Explains moderately complex issues and works to build alignment.
- Collaborates with team members on their team to accomplish the team goals.
- Adapts to GitLab communication framework.

### Associate IT Enterprise Applications Administrator Requirements

- Bachelor's degree, preferably in Computer Science, Information Technology, Computer Engineering, or related IT discipline; or equivalent experience.
- Ability to use GitLab.
- 0-2 years of experience in a system administration role ideally with enterprise SaaS software model.
- Hands-on entry-level administrator experience across multiple platforms: SalesForce, DocuSign CLM, Netsuite, Zuora Billing, Zuora Revenue, Coupa, Zip, Navan, Workday, ADP, eTrade etc.
- Ability to thrive in a fully remote organization.
- Be a self-starter, and thrive in a fast paced environment, customer centric and have the interpersonal skills necessary to manage business and technology - relationships.
- Good time management and prioritization skills, resilient under pressure.
- Ability to learn strong security and confidentiality practices with systems that handle sensitive data.
- Willingness to pursue industry certifications.

## IT Enterprise Applications Administrator

IT Enterprise Applications Administrator is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to TO BE ADDED.

### IT Enterprise Applications Administrator Responsibilities

- Technical Delivery: Ability to administer and configure enterprise applications to support GitLab business processes while adhering to SOX compliant change management.
- Process Improvement: Accomplish improvements to processes that you support. Understanding the impacts of changes recommended and how to translate them into technical requirements. Document updated processes in the company handbook.
- Business Acumen: Understanding of core business processes of quote to cash, record to report, hire to retire and procure to pay. Motivation for continuous learning in these areas.
- Business Engagement: Engage with your team and stakeholders regarding their business strategy and objectives for automating and optimizing processes. Meet regularly with business partners to ensure that the applications are functioning as designed and supporting their needs.
- Compliance: Supports data, security, and legal governance processes and adherence of guidelines between internal business units and systems in order to ensure efficient and compliance of technical delivery.
- Project Management: Run small sized projects that improve our ability to make better data focused insights or make the company more efficient.
- Solve technical problems of moderate scope and complexity.
- Craft code as required in Dev that meets our internal standards for style, maintainability, and best practices.
- Conduct Code Review within our Code Review Guidelines and ensure community contributions receive a swift response.

### IT Enterprise Applications Administrator Requirements

- Bachelor's degree, preferably in Computer Science, Information Technology, Computer Engineering, or related IT discipline; or equivalent experience.
- Ability to use GitLab.
- 2-3 years of experience in a systems administrator.
- Hands-on administrator experience: SalesForce, DocuSign CLM, Netsuite, Zuora Billing, Zuora Revenue, Coupa, Zip, Navan, Workday, ADP, eTrade etc.
- Public company and SOX ITGC controls experience preferred.
- Ability to thrive in a fully remote organization.
- Be a self-starter, and thrive in a fast paced environment, customer centric and have the interpersonal skills necessary to manage business and technology - relationships.
- Exceptional time management and prioritization skills, resilient under pressure.
- Exhibit strong security and confidentiality practices with systems that handle sensitive data.

## Senior IT Enterprise Applications Administrator

Senior IT Enterprise Applications Administrator is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the IT Manager, Enterprise Applications.

### Senior IT Enterprise Applications Administrator Responsibilities

Extends the IT Enterprise Applications Administrator responsibilities:

- Provides input on strategic decisions within the team, such as: new system features and functionality, process definition, system roadmap, annual planning, portfolio management, etc.
- Applies technical and functional knowledge to assist in projects that enable the team to meet their goals.
- Works on problems in which analysis of situations or data requires an in-depth evaluation of various factors
- Solves problems of medium complexity that will have an impact to the business results of their team.
- Works independently and leverages their manager for feedback on critical problems.

### Senior IT Enterprise Applications Administrator Requirements

Extends the IT Enterprise Applications Administrator requirements:

- 3-5 years of experience in a system administration role ideally with enterprise SaaS software model.
- Hands-on administrator experience across multiple platforms: SalesForce, DocuSign CLM, Netsuite, Zuora Billing, Zuora Revenue, Coupa, Zip, Navan, Workday, ADP, eTrade etc.
- Multiple industry certifications preferred.

## Staff IT Enterprise Applications Administrator

Staff IT Enterprise Applications Administrator is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the IT Manager, Enterprise Applications.

### Staff IT Enterprise Applications Administrator Responsibilities

Extends the Senior IT Enterprise Applications Administrator responsibilities:

- Provides input and drives discussion on strategic decisions within the team, such as: new system features and functionality, process definition, system roadmap, annual planning, portfolio management, etc.
- Implements strategic decisions within the team and the department including technical solutions, roadmaps, sprint planning, and resource management.
- Works closely with the team's manager and Enterprise Applications leadership to make technical/project decisions for the team.
- Proposed solutions may impact results within a team member's department.
- Provides technical and functional knowledge to highly complex projects that contribute to overall direction across teams.
- Understands and works on complex problems that requires a deep understanding of multiple sources of data to make a recommendation.
- Exercises independent judgment in developing methods, techniques and evaluation criteria for obtaining results.
- Leads others by sharing solutions and problem solving approaches with others.
- Interacts with team members and other managers, in addition to suppliers, vendors and/or customers where applicable to the role.
- Collaborates with their team and other stakeholders within the department to maintain a high bar for quality in a fast-paced, iterative environment.

### Staff IT Enterprise Applications Administrator Requirements

Extends the Senior IT Enterprise Applications Administrator requirements:

- 5-8 years of experience in a system administration role ideally with enterprise SaaS software model.
- Hands-on expert-level administrator experience across multiple platforms: SalesForce, DocuSign CLM, Netsuite, Zuora Billing, Zuora Revenue, Coupa, Zip, Navan, Workday, ADP, eTrade etc.
- Multiple industry certifications – including architecture level – preferred.

## Performance Indicators (PI)

- [Evaluating System or Process Efficiency](/handbook/business-technology/metrics/#evaluating-system-or-process-efficiency)
- [Average Issues](/handbook/business-technology/metrics/#average-issues)
- [Average Merge Requests](/handbook/business-technology/metrics/#average-merge-request)

## Career Ladder

Any IT team member can explore lateral career moves within the broader IT job family, provided they fulfill the responsibilities and requirements associated with the desired role.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](https://about.gitlab.com/company/team/).

- Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to a 45 minute interview with a senior member of the team.
- Second round interviews will involve interviews with 2 SMEs in the Business and or IT Team.
- Third round interview is with the Senior Director, Enterprise Applications.
- At the final stage candidates will meet with the VP of IT.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
