---
title: IT Enterprise Applications Engineering
---

The IT Enterprise Applications Engineering job family is responsible for the implementation and operational ownership of all Enterprise Applications.

## Levels

### Associate IT Enterprise Applications Engineer

Associate IT Enterprise Applications Administrator is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the IT Manager, Enterprise Applications Engineering.

### Associate IT Enterprise Applications Engineer Responsibilities

- Assist in designing, developing, and maintaining software applications.
- Assist in deploying applications to different environments, such as development, testing, and production.
- Identify and resolve technical issues, bugs, and errors.
- Provide technical support to end-users experiencing issues with applications.
- Assist with troubleshooting user-reported problems and provide timely resolutions.
- Create and maintain detailed documentation of applications, configurations, and procedures.
- Work closely with cross-functional teams, including engineers, system administrators, and business analysts.
- Learns and develops understanding of GitLab's way of working.
- Adapts to GitLab communication framework.

### Associate IT Enterprise Applications Engineer Requirements

- Bachelor's degree, preferably in Computer Science, Information Technology, Computer Engineering, or related IT discipline; or equivalent experience.
- 0-2 years of experience in a system administration role ideally with enterprise SaaS software model.
Hands-on entry-level administrator experience across a single platform: SalesForce, DocuSign CLM, Netsuite, Zuora Billing, Zuora Revenue, Coupa, Zip, Navan, Workday, ADP, eTrade etc.

## Intermediate IT Enterprise Applications Engineer

Intermediate IT Enterprise Applications Engineer is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the Manager, IT Enterprise Applications Engineering.

### Intermediate IT Enterprise Applications Engineer Responsibilities

- Lead or participate in the design and development of complex software applications.
- Provide technical insights and recommendations to ensure that applications are scalable, maintainable, and aligned with the organization's long-term goals.
- Investigate and resolve complex technical issues and system outages.
- Perform root cause analysis and implement preventive measures.
- Create and maintain comprehensive documentation of application architectures, configurations, and processes.
- Work closely with cross-functional teams, influencing decisions related to integration with other systems, data management, and overall system architecture.
- Normally receives no instructions on routine work, general instructions on new assignments.
- Acts in alignment with GitLab communication framework.

### Intermediate IT Enterprise Applications Engineer Requirements

- 2-3 years of experience in a system development role ideally with enterprise SaaS software model.
- Hands-on developer experience across multiple platforms: SalesForce, DocuSign CLM, Netsuite, Zuora Billing, Zuora Revenue, Coupa, Zip, Navan, Workday, ADP, eTrade etc.

## Senior IT Enterprise Applications Engineer

Senior IT Enterprise Applications Engineer is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the Manager, IT Enterprise Applications Engineering.

### Senior IT Enterprise Applications Engineer Responsibilities

Extends the Intermediate IT Enterprise Applications Administrator responsibilities plus:

- Business Partnership: Influences cross-functional team regularly. Begins to build and manage holistic relationships with select partners.
- Business Operations: Build, maintain and improve internal analysis and planning processes to more efficiently deliver for our business partners. All processes should be documented in the handbook.
- Technical Delivery: Drive end to end delivery processes with minimal guidance.
- Project Management: Run medium-sized projects that improve our ability to make better data driven insights or make the company more efficient.
- Communication: Target audience Sr. Manager, Director, Sr. Director and functional VP.
- Application Specific Skills:
  - SFDC:
    - Build Salesforce solutions on Salesforce Cloud, Service Cloud, Marketing Cloud, Salesforce Communities or Knowledge.
    - Develop end to end Salesforce solutions using Configuration and Customization - APEX Class, Triggers, Visualforce pages, Lightning components etc.
    - Automate business processes using Salesforce automation tools, such as Process Builder, Workflows, Formulas, Flow, Assignment Rules and email Alerts.
    - Build integrations between Salesforce and external applications using REST, SOAP APIs, oAuth and Single Sign-On.
  - NetSuite:
    - Develop with NetSuite SuiteCloud development tools such as SuiteBuilder, SuiteFlow, SuiteAnalytics, and SuiteScript to develop new and maintain existing business workflows.
    - Build system integrations tools such as SuiteTalk, RESTlets and Netsuite SOAP APIs.
  - Workday:
    - Assist with the implementations, and post-production support, of Workday's HCM Suite of modules.
    - Develop technical integrations using Workday Studio, Workday RaaS Integrations, Enterprise Interface Builder (EIB), Calculated Fields, Web Services, Workday Custom Reports, Web Services, XSLT, and xPath.
    - Contribute to Workday R1/R2 release reviews and testing by identifying impact associated with new release features.
  - Zuora Billing & Revenue:
    - Create and maintain customizations within Zuora using the Zuora API and the Zuora Object Query Language (ZOQL).

### Senior IT Enterprise Applications Engineer Requirements

- Bachelor's degree, preferably in Computer Science, Information Technology, Computer Engineering, or related IT discipline; or equivalent experience.
- 3-5 years of experience implementing, configuring, customizing and integrating SaaS software Eg: SalesForce, DocuSign CLM, Netsuite, Zuora Billing, Zuora Revenue, Coupa, Zip, Navan, Workday, ADP, eTrade etc.
- Be a self-starter, and thrive in a fast paced environment, customer centric and have the interpersonal skills necessary to manage business and technology relationships.
- Exceptional time management and prioritization skills, resilient under pressure, able to meet deadlines and able to work in a constantly changing environment.
- Exhibit strong security and confidentiality practices with systems that handle sensitive data.
- Application Specific Skills:
  - SFDC:
    - Development experience with advanced Salesforce.com development tools and techniques (e.g. Apex language, Force.com custom development, triggers, controllers, JavaScript, Force.com SOAP and REST APIs, JSON, AngularJS, jQuery, JavaScript, sObjects, SOQL, SOSL, Chatter APIs, outbound messaging, Bootstrap, Lightning Design System (LDS), Lightning Components and Visualforce pages).
    - Experience with ETL tools like MuleSoft, Workato or Informatica Cloud would be a plus.
    - Salesforce.com certified Platform Developer, Salesforce.com App Builder, Architect or other advanced certifications.
  - NetSuite:
    - Full understanding of NetSuite stack and experience with all NetSuite modules (GL, AP, AR, FA, SuiteBilling, Procurement, etc.).
    - Working knowledge of SuiteScript, SuiteTalk, SuiteFlow, CSV imports, user provisioning, defining roles, analytics, and scheduling scripts.
    - Expertise in web technologies such as HTML, CSS, JavaScript, Web Services, and Eclipse.
    - Strong data analytics, reporting, and database experience (SQL and NetSuite and other reporting tools, ODBC).
    - NetSuite SuiteCloud Developer certifications a plus.
  - Workday:
    - Strong technical experience with XSLT, XTT, XML and object-oriented development including Java.
    - Experience with Web Services and APIs (WSDL, SOAP, REST and WS standards).
    - Experience with building web services integrations (REST/SOAP).
    - Workday Pro HCM, Compensation, Integrations, Reporting certifications a plus.
  - Zuora Billing & Revenue:
    - Experience working with Zuora, including experience with the Zuora 360, API and ZOQL.
    - Experience integrating Zuora with other systems such as Salesforce, Netsuite, and Avalara.
    - Zuora Certified Platform Admin, Zuora Billing and Revenue Certifications a plus.
  - ServiceNOW
    - Full understanding of ServiceNOW products, its modules and how object relate to them within the platform.
    - Export knowledge in ITIL and ITSM Processes and terminologies.
    - Experience with building and generating reports based on SLAs and OLAs withing ServiceNOW.
    - ServiceNOW Certified Application Developer, System Administrator or Implementation Specialist a plus.
  - CloudBlue
    - Strong technical experience managing Cloudblue configuration and service deployment.
    - Full understanding of how hyperscaler and distributor marketplaces (GCP/AWS) integrate with third party applications.
    - Experience dealing with software or license inventory control, order management and logistics processes.

## Manager, IT Enterprise Applications Engineering

Manager, IT Enterprise Applications Engineering is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the [Director, CRM Systems](/job-families/finance/information-technology/senior-director-enterprise-applications/#director-crm-systems).

### Manager, IT Enterprise Applications Engineering Responsibilities

Extends the Senior IT Enterprise Applications Engineer responsibilities plus:

- Business Partnership: Influences leadership within the cross-functional team and assists in roadmap planning. Solid relationships with key stakeholders at the VP level.
- Business Operations: Analyze and plan improvements in technical implementations to continue to deliver value to business partners. Drive the business to adopt recommended technical solutions
- Document related processes and technical configurations in the handbook.
- Technical Delivery: Provide hands-on, expert-level technical assistance to delivery teams. Drives adoption of technology and process changes. Drive end to end delivery on large, complex, cross-functional projects across multiple systems or integrations with minimal oversight. Proactively provides recommendations for system improvements.
- Project Management: Run the technical implementation of large-sized projects which improve our ability to make better data driven insights, or make the company more efficient. Drive intake and prioritization process for functional areas of expertise.
- Communication: Target audience Director, Sr. Director, VP, with presentations targeted to CFO staff for critical projects.
- Management: Build and manage global teams. Guide and coach team members. Mentors junior team members and models GitLab values for the team.

### Manager, IT Enterprise Applications Engineering Requirements

- Bachelor's degree, preferably in Computer Science, Information Technology, Computer Engineering, or related IT discipline; or equivalent experience.
5-7 years of experience implementing, configuring, customizing and integrating SaaS software Eg: SalesForce, DocuSign CLM, Netsuite, Zuora Billing, Zuora Revenue, Coupa, Zip, Navan, Workday, ADP, eTrade etc.
- Be a self-starter, and thrive in a fast paced environment, customer centric and have the interpersonal skills necessary to manage business and technology relationships.
- Exceptional time management and prioritization skills, resilient under pressure, able to meet deadlines and able to work in a constantly changing environment.
- Exhibit strong security and confidentiality practices with systems that handle sensitive data.

## Staff IT Enterprise Applications Engineer

The Staff IT Enterprise Applications Engineer is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the Manager, IT Enterprise Applications Engineering or [Director, CRM Systems](/job-families/finance/information-technology/senior-director-enterprise-applications/#director-crm-systems).

### Staff IT Enterprise Applications Engineer Responsibilities

Extends the Senior IT Enterprise Applications Engineer responsibilities plus:

- Provides input on strategic decisions within the team, such as: new system features and functionality, process definition, system roadmap, annual planning, portfolio management, etc.
- Lead the architectural design of enterprise-level applications, ensuring scalability, performance, and alignment with business objectives.
- Participate in strategic discussions, providing technical insights and recommendations to support the organization's long-term objectives.
- Provide technical leadership to the IT applications team, mentoring junior engineers, and guiding them in best practices and advanced development techniques.
- Lead or participate in the development and customization of complex enterprise applications.
- Design and implement solutions for specific business needs.
- Lead and manage large-scale application development projects, ensuring timely delivery and alignment with business goals.
- Create and maintain comprehensive documentation of application architectures, configurations, and processes.

### Staff IT Enterprise Applications Engineer Requirements

Extends the Senior IT Enterprise Applications Engineer requirements plus:

- 5-8 years of experience in a system administration role ideally with enterprise SaaS software model.
- Multiple industry certifications.

## Principal IT Enterprise Applications Engineer

The Principal IT Enterprise Applications Engineer is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the [Director, CRM Systems](/job-families/finance/information-technology/senior-director-enterprise-applications/#director-crm-systems)

### Principal IT Enterprise Applications Engineer Responsibilities

Extends the Staff IT Enterprise Applications Engineer responsibilities plus:

- Define the overall application strategy, including selecting technologies, frameworks, and architectural patterns.
- Provide technical leadership to the IT applications team, setting standards, best practices, and mentoring junior and senior engineers.
- Act as a subject matter expert in application development and design.
- Lead large-scale application development projects and programs, overseeing all aspects from planning and resource allocation to execution and delivery.
- Contribute to the development of the organization's IT strategy, providing technical insights and recommendations to support long-term objectives.
- Facilitate knowledge sharing across the organization and mentor team members.
- A strategic leader within the organization.
- Collaborates and makes proposals across several teams, and helps team members make informed decisions in alignment with strategic plans.

### Principal IT Enterprise Applications Engineer Requirements

Extends the Staff IT Enterprise Applications Engineer requirements plus:

- 8-12 years of experience in a system administration role ideally with enterprise SaaS software model.

## Distinguished IT Enterprise Applications Engineer

The Distinguished IT Enterprise Applications Engineer is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the [Director, CRM Systems](/job-families/finance/information-technology/senior-director-enterprise-applications/#director-crm-systems)

### Distinguished IT Enterprise Applications Engineer Responsibilities

Extends the Principal IT Enterprise Applications Engineer responsibilities plus:

- Develop and articulate a forward-thinking technology vision and strategy for enterprise applications aligned with the organization's long-term goals.
- Provide leadership in defining the architectural framework for complex enterprise applications, ensuring scalability, security, and robustness.
- Serve as a technical mentor and role model, guiding and developing the skills of junior and senior engineers.
- Establish strategies for seamless scalability to accommodate rapid growth.
- Oversee the planning and execution of major application development projects and programs, aligning them with organizational objectives.
- Influence customer roadmaps and collaborate on innovative solutions.
- Collaborate with the executive team to align technology initiatives with the overall business strategy.
- Acts as an advisor to Senior Leadership.
- Influences Senior Leadership to adopt a different point of view when appropriate, and makes decisions that have an impact on business direction.

### Distinguished IT Enterprise Applications Engineer Requirements

Extends the Principal IT Enterprise Applications Engineer requirements plus:

- 12+ years of experience in a system administration role ideally with enterprise SaaS software model.

## Performance Indicators (PI)

- [Evaluating System or Process Efficiency](https://internal.gitlab.com/handbook/it/it-performance-indicators/#evaluating-system-or-process-efficiency)
- [Average Issues](https://internal.gitlab.com/handbook/it/it-performance-indicators/#average-issues)
- [Average Merge Requests](https://internal.gitlab.com/handbook/it/it-performance-indicators/#average-merge-request)

## Career Ladder

The next step in the IT Enterprise Applications Engineering job family is to move to the [Director, CRM Systems](/job-families/finance/information-technology/senior-director-enterprise-applications/#director-crm-systems) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to a 45 minute interview with a senior member of the team.
- Second round interviews will involve interviews with 2 SMEs in the Business and or IT Team.
- Third round interview is with the Senior Director, Enterprise Applications.
- At the final stage candidates will meet with the VP of IT.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
