---
title: "IT Helpdesk"
---

## IT Helpdesk Analyst

### Responsibilities

- Triage all IT related questions as they arise
- Build a knowledge base of IT practices and pragmatic problem solving in the handbook
- Account management for password resets and lockout
- On call support for immediate software and hardware issues during local business hours
- Diagnose computer errors and provide technical support
- Troubleshoot software and hardware
- Support Weekly IT Onboarding Sessions for new Team Members
- Train end-users how to setup and use new technologies
- Provide technical support over the phone or Web
- Use specialized help desk support software to take control of end-users' computers to troubleshoot, diagnose and resolve complex issues

### Requirements

- Experience with Google Workspace and an interest in its administration
- Some experience Automation & Scripting Mac and Linux environment
- Hands-on experience supporting Mac and or Linux
- Tolerance for repetitive or manual tasks, with a mind for automating said tasks
- Some experience with SQL and Python
- Configure, build, test, and deploy
- Experience working with Git
- Ability to use GitLab

## Levels

### IT Helpdesk Analyst (Intermediate)

#### IT Helpdesk Analyst (Intermediate) Job Grade

The IT Helpdesk Analyst (Intermediate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### IT Helpdesk Analyst (Intermediate) responsibilities

The IT Helpdesk Analyst (Intermediate) share the same responsibilities outlined above.

#### IT Helpdesk Analyst (Intermediate) requirements

The IT Helpdesk Analyst (Intermediate) share the same requirements outlined above.

### Senior IT Helpdesk Analyst

#### Senior IT Helpdesk Analyst Job Grade

The Senior IT Helpdesk Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior IT Helpdesk Analyst Responsibilities

- Extends that of the IT Helpdesk Analyst (Intermediate) responsibilities
- Mentoring and developing a team of IT Helpdesk Support Analysts
- VIP Support and Escalations
- Own and coordinate Endpoint and Peripheral orders Globally
- Act as escalation point for IT Analyst team
- Collaborate closely with Security and Engineering teams.
- Have strong capability in setting priorities, meeting deadlines and make time sensitive decisions with limited information.
- Excellent practical understanding of Incident Management, Change &  Problem Resolution
- Be an integral team player, stand in when needed and cover any role in times of need.
- Ability to analyse problems and present solutions to technical support issues.

#### Senior IT Helpdesk Analyst Requirements

- Extends that of the IT Helpdesk Analyst (Intermediate) requirements
- Experience of writing procedural and/or support documentation
- An active / empathic listener
- Demonstrable ability to think around issues and look at the wider picture in order to provide solutions through a variety of problem-solving techniques
- Knowledge and understanding of best practice framework (such as ITIL, ISO20k) for the delivery of IT services
- Ability to clearly and accurately communicate processes and procedures
- Experience of working accurately and confidently with Service Desk tools and technology, such as ITSM, remote access, knowledge resources
- Experience of developing professional and effective working relationships with customers and key stakeholders
- Experience of delivering a high level of customer service

## Performance Indicators (PI)

- [Cycle Time for IT Support Issue Resolution](https://internal.gitlab.com/handbook/it/it-performance-indicators/#cycle-time-for-it-support-issue-resolution)
- [Support Issues and Access Request Closed per Employee](https://internal.gitlab.com/handbook/it/it-performance-indicators/#support-tickets-and-access-request-closed-per-employee)
- [Average Merge Request](https://internal.gitlab.com/handbook/it/it-performance-indicators/#average-merge-request)
- [Average Delivery Time of Laptop Machines < 21 days](https://internal.gitlab.com/handbook/it/it-performance-indicators/#average-delivery-time-of-laptop-machines--21-days)
- [Customer Satisfaction Survey (CSAT)](https://internal.gitlab.com/handbook/it/it-performance-indicators/#customer-satisfaction-survey-csat)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Next, candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with our Global Recruiters
- Next, candidates will be invited to schedule a first interview with our Director of Business Operations
- Next, candidates will be invited to schedule a second interview with one of our Sys Admins
- Candidates will then be invited to schedule a third interview with one of our Executive Admins
- Finally, candidates may be asked to interview with our CEO

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
