---
title: "IT Operations System Administration"
---

## IT Operations System Administrator

### Job Grade

The IT Operations System Administrator is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Work with Security, PeopleOps and Business Operations to develop automated onboarding and offboarding processes
- Develop secure integrations between Enterprise Business Systems and with our Data Lake
- Develop tooling and process to facilitate end-user asset management, provisioning and tracking
- Build API Integrations from the HRIS to third party systems and GitLab.com
- Triage all IT related questions as they arise
- Build and maintain cross-functional relationships with internal teams to champion initiatives
- Spearhead onboarding and offboarding automation efforts with a variety of custom API integrations, including GitLab.com and third-party resources, not limited to our [tech-stack](/handbook/business-technology/tech-stack/), with scalability in mind

### Requirements

- Ability to build and maintain multiple databases to maintain accountability of company assets and resources
- Experience administering Google Workspace
- Automation & Scripting experience deploying software to laptops and other devices - we are a Mac and Linux environment
- Hands-on experience supporting Linux
- Hands on experience working in GCP environment
- Experience working in a cloud native environment
- Design and implement any auditing workflows that are necessary for access groups
- Developing automation workflows and integrations for repetitive or manual tasks
- Very comfortable with SQL and Python
- Configure, build, test, and deploy multiple HR systems integration solutions
- Experience working with Git
- Ability to use GitLab

## Lead IT Operations System Administrator

### Requirements

- All of the responsibilities of an IT Operations System Administrator, plus:

- Advocate for improvements to systems administration
- Solve technical problems of high scope and complexity
- Exert influence on the overall objectives and long-range goals of your team
- Help to define and improve our internal standards and best practices
- Represent GitLab and its values in public communication around broader initiatives, specific projects, and community contributions
- Build close relationships with other functional teams
- Influence and implement our SLAs
- Proactively work on the efficiency and capacity planning
- Ensure communication across your team

## Performance Indicators (PI)

- [Mean Time between Failures (MTBF)](https://internal.gitlab.com/handbook/it/it-performance-indicators/#mean-time-between-failures-mtbf)
- [Mean Time to Repair (MTTR)](https://internal.gitlab.com/handbook/it/it-performance-indicators/#mean-time-to-repair-mttr)
- [Number of days since last environment audit](https://internal.gitlab.com/handbook/it/it-performance-indicators/#number-of-days-since-last-environment-audit)
- [Cycle Time for IT Support Issue Resolution](https://internal.gitlab.com/handbook/it/it-performance-indicators/#cycle-time-for-it-support-issue-resolution)
- [Customer Satisfaction Survey (CSAT)](https://internal.gitlab.com/handbook/it/it-performance-indicators/#customer-satisfaction-survey-csat)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Next, candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with our Global Recruiters
- Next, candidates will be invited to schedule a first interview with our Director of Business Operations
- Next, candidates will be invited to schedule a second interview with our Senior Total Rewards Analyst
- Candidates will then be invited to schedule a third interview with one of our Security team members
- Candidates will be then be invited to schedule a call with our Director of Security
- Finally, candidates may be asked to interview with our CEO

Additional details about our process can be found on our [hiring page](/handbook/hiring/).

## Career Ladder

The next step in the IT Operations System Administration job family is to move to the job family.
