---
title: Manager, IT Security Operations
---

The Manager, IT Security Operations job family leads a team of highly-collaborative and results-oriented IT Security and IT Compliance team members tasked with assessing, identifying gaps, and developing and maturing Security and Compliance processes and policies. The Manager, IT Security Operations is in charge of scaling, increasing performance, providing team leadership and guidance to help evolve the security programs in accordance with strategic objectives, identify and engineer technology initiatives, and develop and enhance defensive measures.

## Levels

### Manager, IT Security Operations

The Manager, IT Security Operations reports to the [Sr Director, IT Operations](/job-families/finance/director-it-operations/).

#### Manager, IT Security Operations Job Grade

The Manager, IT Security Operations is a [level 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, IT Security Operations Responsibilities

- Lead a team of highly capable Security engineering staff who maintain security for system environments (Mac OS X, Windows, LINUX, AWS, GCP VDI etc.)­­
- Ability to mentor and have the capability influencing the group.
- Create and drive proactive monitoring and reporting for endpoint and system health including, patching, compliance, and other performance metrics.
- Manage vulnerability remediation and incident handling across global resources
- Implement new security technologies as required to support a dynamic/challenging business environment
- Identify operational opportunities to implement security orchestration and automation capabilities
- Support InfoSec-managed tools and enforcement of global security controls
- Effectively provide general information security guidance & technology support to the business
- Manage on call schedule and incident escalations
- Maintain the day to day operations of configuration management platforms including application deployment and settings distribution
- Work as the escalation point between various teams for Security related activities.
- Drive client and system security model and best practices
- Drive business decisions through data using tools like Splunk
- Integrate with other internal systems and tools
- Manage transition plans for major upgrades or patches
- Diagnose and investigate unique and complex systemic problems
- Work proficiently with minimal daily guidance and bring mature seasoned skills when working
- Evaluate and communicate security risk to a wide and varying audience

#### Manager, IT Security Operations Requirements

- 5+ years leadership experience, with an IT Security focused role
- Experience executing in a cloud first technology organization
- Proficiency to communicate over a text-based medium (Slack, GitLab Issues, Email) and can succinctly document technical details
- Experience evaluating risk and assigning risk ranking or ratings
- Must have demonstrated ability to articulate a vision, service roadmap and be able to communicate status of key milestones
- Familiar with security controls or concepts related to various security community groups or standards: CISSP Domains, NIST cybersecurity & privacy frameworks, CIS benchmarks, OSI model
- Proven experience within Incident Response situations and demonstrated ability to handle and maintain confidential information in a professional manner
- Must possess strong written and verbal communication skills, and be capable of understanding, documenting, communicating, and presenting technical issues in a non-technical manner to audiences with varying degrees of technical expertise
- Be a team player and enjoy collaborating on cross-functional teams
- Familiar with compliance and privacy regulations such as PCI, GDPR, CCPA, SOX, and other regulations/standards
- Leadership skills and the ability to mentor or provide guidance to teams
- CISSP, CCSP, or other relevant industry security-focused certifications preferred
- Bachelor's Degree or equivalent work experience required
- Share our values, and work in accordance with those values
- [Leadership at GitLab](/handbook/company/structure/#management-group)
- Ability to use GitLab

## Performance Indicators

- Security tools compliance >95%
- Patch compliance >95%
- Vulnerability Score

## Career Ladder

The next step in the Manager, IT Security Operations is to move to the [Director, IT Operations](/job-families/finance/director-it-operations/) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a first interview with our Director of IT Operations
- Next, candidates will be invited to schedule a second interview with our Manager of IT Operations
- Next, candidates will be invited to schedule one or more interviews with members of the Business Technology team
- Finally, candidates may be asked to interview with our Vice President of Information Technology

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
