---
title: "IT Management"
---

## Levels

## Manager, IT

The Manager, IT reports to the [Sr Director, IT Operations](/job-families/finance/director-it-operations/).

### Manager, IT Job Grade

The Manager, IT is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, IT Responsibilities

- Hold regular 1:1's with all members of the IT Teams
- Embed an asynchronous, distributed philosophy in everything you do
- Regularly give IT group conversations
- Embed an asynchronous, distributed philosophy in everything you do

#### Manager, IT Requirements

- Experience growing a team in a fast-paced, high-growth environment
- Strong written and verbal communication skills
- Share and work in accordance with our values
- Must be able to work in alignment with Americas timezones
- [Leadership at GitLab](/handbook/company/structure/#management-group)
- Ability to use GitLab

## Specialties

### Manager, IT (Engineering)

#### Manager, IT (Engineering) Responsibilities

- Build, scale and manage our IT Engineering team to support our needs as distributed company
- Be the IT Expert at GitLab - Come with Solutions, not a Practice of No
- Hold regular 1:1's with all members of the IT Teams
- Represent the IT team in different company functions - be an advocate for modern, efficient, SIMPLE solutions
- Create and execute a plan to develop and mature our IT capabilities
- Collaborate with all functions of the company to ensure IT needs are addressed

#### Manager, IT (Engineering) Requirements

- 2+ years hands on experience in an IT Operations role, and experience managing or working service/support roles.
- 2+ years managing a team of 2 or more IT Administrators
- Experience working with leadership to execute on strategic IT investments, and creatively meeting the non-homogeneous needs of a technically savvy, specialized userbase in our R&D, go-to-market and G&A teams
- Contribute to and enable GitLab's operational strategy -- enabling distributed and asynchronous operations, and empowering our end users to take direct action
- Demonstrably deep understanding of IT Operations and Service/Support needs in a high-growth technology company
- Ability to reason holistically about end-to-end Enterprise ecosystems: from online sales portals to marketing tools to GCP
- Hands on experience working with Python
- Experience building and maintaining automation and integration of enterprise IT SaaS platforms
- Experience building corporate IT knowledge bases and writing policies/processes
- Experience with open source tools
- Be passionate about DevOps, or its principles, especially in applying software engineering principles to IT Operations and Services

### Manager, IT (End User Services)

The Manager, IT End User Services leads a team of highly-collaborative and results-oriented IT Analyst team members tasked with delivering global IT services across the company. The Manager, IT End User Services is in charge of scaling, increasing performance, and providing great team member experience in order to help drive forward business success based on world class infrastructure & operations.

#### Manager, IT (End User Services) Responsibilities

- Build, scale and manage our Service Desk team to support our needs as a distributed company
- Work with PeopleOps to enable smooth onboarding/offboarding of all team members, ensuring that all hardware and IT services are available day one
- IT Onboarding/101 sessions are regularly conducted, and enable team members to get comfortable working in their new tools
- A clear channel of feedback to improve the efficacy of onboarding and to measure team member satisfaction
- Offboarding process is followed without exception and all compliance requirements are met
- IT Asset and configuration management. Track, log and correct information to protect assets and components
- Customer service management. Translate 'lessons learnt' into continual service improvement
- Produce proactive reports, trending analysis, service level reporting, SLA compliance, process consultation and application of ITIL best practice
- Problem management. Initiate and monitor actions to investigate patterns and trends to resolve problems
- Hold regular 1:1's with all members of the IT Teams
- Triage and manage priorities of IT HelpDesk and Operations
- Embed an asynchronous, distributed philosophy in everything you do

#### Manager, IT (End User Services) Requirements

- 3-5 years experience managing a team, preferably within End User Services
- ITIL Service Management Framework certification
- The ability to build a cohesive Service Desk team and to manage people effectively. This includes the ability to coach and develop the team
- Experience working with and implementing Conversational AI technology to augment the capabilities of the Service Desk
- Experience with ITSM platforms
- A thorough understanding of the strategic vision for the Service Desk and the ability to set the long-term direction of the team
- An ability to balance and plan the short-term actions of the team
- Knowledge and understanding of best practices for service management
- Effectively managing, developing, and training the Service Desk team
- Ensuring that all processes used by the Service Desk are thoroughly documented, consistently audited, and regularly improved
- Conducting and sharing results from service and operation performance reviews
- Coordinating and managing all relevant stakeholders, including the support desk team, customers, and other teams that are involved in Service Desk operations

### Senior Manager, IT (End User Services)

#### Senior Manager, IT (End User Services) Responsibilities

- Extends the Manager, IT (End User Services) responsibilities
- Envision and draft Quarterly Objectives, driven by requirements gathered from multiple business partners
- Propose strategies to improve and scale the operations and the performance of the End User Services team
- Evaluate and introduce technology and automation to enhance the service we provide for team members and enable the team to scale
- Data Driven approach, develop KPIs and SLOs for the End User Services to measure team performance generate actionable data to identify opportunities to improve IT Service Delivery
- Manage Vendor Relationship and purchasing
- Responsible for the Asset Management program for End User Services
- Responsible for Team Member Lifecycle Operations
- Responsible for End User Service Delivery

#### Senior Manager, IT (End User Services) Requirements

- Extends the Manager, IT (End User Services) requirements
- 6+ years managing a team of 6 or more IT analysts/engineers
- 2+ years managing a team consisting of principal/staff/lead level team members
- 6+ experiences with team member career development including reviews, promotions, demotions, and performance improvement
- Experience working with management to define and measure KPIs and other operating metrics
- Experience creating and delivering multi-quarter roadmaps
- Ability to clearly articulate vision, mission, and objectives, and change the narrative appropriate to the audience
- Experience developing a team in a fast-paced, high-growth environment
Familiarity with data management policies and regulations (GDPR, SOX, PCI)

## Performance Indicators

- [New Hire Location Factor < 0.69](https://internal.gitlab.com/handbook/it/it-performance-indicators/#new-hire-location-factor--069)
- [% of team who self-classify as diverse](https://internal.gitlab.com/handbook/it/it-performance-indicators/#percent--of-team-who-self-classify-as-diverse)
- [Discretionary bonus per employee per month > 0.1](https://internal.gitlab.com/handbook/it/it-performance-indicators/#discretionary-bonus-per-employee-per-month--01)
- [Average Delivery Time of Laptop Machines < 21 days](https://internal.gitlab.com/handbook/it/it-performance-indicators/#average-delivery-time-of-laptop-machines--21-days)
- [Customer Satisfaction Survey (CSAT)](https://internal.gitlab.com/handbook/it/it-performance-indicators/#customer-satisfaction-survey-csat)

## Career Ladder

The next step in the Manager, IT End User Services is to move to the [Director, IT Operations](/job-families/finance/director-it-operations/) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a first interview with our Director of IT Operations
- Next, candidates will be invited to schedule a second interview with our Manager of IT Operations
- Next, candidates will be invited to schedule one or more interviews with members of the Business Technology team
- Finally, candidates may be asked to interview with our Vice President of Information Technology

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
