---
title: IT EntApps Program Management Office
---

## Associate IT EntApps Program Manager

The Associate Program Manager is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Responsible for managing individual work and IT programs and projects. This may include familiarity with software development, infrastructure and networking.
- Play a crucial role in assisting Senior Program Managers and overseeing the successful execution of IT programs and projects with tactical responsibilities such as project planning, resource and risk management, stakeholder communication and documentation.
- Work on problems of moderate complexity in which analysis of situation or data requires a review of existing factors.
- Follow specific instructions/frameworks in day to day work.
- Explain moderately complex issues and works to build alignment.
- Collaborate with team members on their team to accomplish the team goals.
- Develop skills and behaviors aligned with GitLab Values.
- Have awareness of GitLab remote working best practices.

### Requirements

- Proficiency in project management methodologies, tools, and techniques. This includes skills in project planning, scheduling, budgeting, risk management, and resource allocation.
- Foundational understanding of information technology concepts, terminology, and systems relevant to GitLab is beneficial.
- Excellent written and verbal communication skills to effectively convey project updates, status reports, and technical information to team members, stakeholders, and executives.

## IT EntApps Program Manager

The IT Program Manager is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Collaborate with cross-functional project teams, set clear objectives, provide direction, and assist with conflict resolution to achieve program goals.
- Assist with strategic decisions such as project prioritization, resource allocation, technology and vendor selection, and scope management.
- Work on problems of diverse complexity in which analysis of data requires evaluation of existing and unknown factors.
- Solve problems that requires analysis of multiple sources of information before making a recommendation.
- Grow knowledge of business concepts and functional subject matters to determine solutions.
- Solve difficult issues in collaboration with their team and work to build alignment around complex situations.
- Capable to select and evaluate third-party vendors and suppliers when outsourcing components of IT programs.
- Work independently with little to none instruction on routine work, and general instructions on new assignments.
- Act in alignment with GitLab communication framework.
- Grow skills aligned with GitLab Values.
- Understand the concepts behind GitLab remote work best practices.

### Requirements

- 2-3 years of experience in IT program management, demonstrating a strong foundation in overseeing projects and programs from initiation to completion.
- Proven experience in managing and coordinating IT projects, ensuring they are delivered on time, within scope, and within budget.
- Ability to collaborate with cross-functional teams and stakeholders to gather requirements, align project goals with business objectives, and ensure successful implementation.
- Basic skills in identifying and managing risks associated with IT projects, with a focus on maintaining project timelines and delivering high-quality results.
- Strong verbal and written communication skills to convey technical information effectively to both technical and non-technical stakeholders.
- Proficient in creating and maintaining project documentation, including project plans, status reports, and other relevant materials.
- Fundamental understanding of IT systems and technologies such as CRM systems (e.g., Salesforce), ERP (e.g., NetSuite) systems, and billing platforms (e.g., Zuora Billing).
- Ability to adapt to changing project requirements, priorities, and timelines in a dynamic environment.
- Program Management certifications (e.g., PMP, PgMP) are highly desirable.

## Senior IT EntApps Program Manager

The Senior IT Program Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Ability to lead and motivate cross-functional project teams, ensuring they stay focused on project goals, meet milestones, and deliver quality results.
- Influence others team members within the IT EntApps PMO team by modeling GitLab competencies.
- Provide input on strategic decisions within the team such as change management, compliance and security and strategic alignment.
- Apply technical and functional knowledge to assist in IT programs and projects that enable the team to meet their goals.
- Work on complex problems in which analysis of situations or data requires an in-depth evaluation of various factors.
- Solve problems of medium complexity that will have an impact to the business results of their team.
- Work independently and leverages their manager for feedback on critical problems.
- Explain complex concepts and influences others to adopt a different point of view.
- Network with senior internal and external representatives in their area of expertise.
- Model capacity to clearly and concisely communicate complex technical, architectural, and/or organizational problems and propose thorough and iterative solutions.
- Model skills and behavior aligned with GitLab Values.
- Consistently demonstrate GitLab remote work best practices.
- Ability to align IT programs with the organization's strategic goals and vision, ensuring that they contribute to GitLab's overall success.

### Requirements

- 3+ years of experience as an IT Program Manager in one or more cross functional global processes for Lead to Cash, CRM, Accounting.
- Proficiency in one or more business systems: CRM systems (e.g., Salesforce), ERP (e.g., NetSuite) systems, and billing platforms (e.g., Zuora Billing).
- Demonstrated success in leading and managing large IT programs, from initiation to completion.
- Strong risk management and problem-solving capabilities.
- Proficiency in program and project management methodologies to plan, execute, and control IT initiatives effectively. This includes creating project plans, managing budgets, and tracking progress.
- Program Management certifications (e.g., PMP, PgMP) are highly desirable.
- Familiarity with industry best practices and emerging trends in Lead to Cash, CRM and Finance processes.
- Strong leadership and decision-making skills, with the ability to inspire and motivate cross-functional teams.

## Staff IT EntApps Program Manager

The Staff IT Program Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

Extends the Senior IT Program Management responsibilities plus:

- Support the work of IT program managers and business systems analysts such as task prioritization, issue resolution, performance monitoring, training and onboarding.
- Collaborate in the development and execution of IT program strategies, actively contributing to driving innovation, enhancing efficiency, and delivering measurable business impact.
- Displays the capacity to mentor and motivate teams, provide direction, delegate specific tasks and responsibilities and manage conflicts to achieve program goals. Regularly demonstrates and coaches other team members on GitLab's remote working competencies.
- Articulates risks and gaps to current business processes and capabilities across IT programs. When identifying risks, makes a compelling case to GitLab senior leaders with options for how to address the anticipated problem.
- Anticipate shifts in direction, and knows when to prepare or adapt the team based on interactions with GitLab senior leaders.
- Accepts challenges, sets up clear options for GitLab senior leadership, and drives toward timely decisions.
- Effectively starts and fosters productive debates with IT and business teams. Displays the courage to challenge and ask tough questions.
- Has a broad understanding of GitLab's business operations, industry trends, and competitive landscape to make IT programs more effective and aligned with business objectives.
- Coordinate with third-party vendors and suppliers to ensure that they meet their contractual obligations, deliver on time, and stay within budget.

### Requirements

- 5+ years of experience as an IT Program Manager in one or more cross functional global processes for Lead to Cash, CRM, and Accounting. This experience should include successfully managing large and complex programs, overseeing multiple project teams, and delivering results.
- Expert in one or more business systems: CRM systems (e.g., Salesforce), ERP (e.g., NetSuite) systems, and billing platforms (e.g., Zuora Billing).
- Demonstrated success in managing and leading highly complex programs, portfolios, and large-scale projects.
- Strong risk and stakeholder management skills for managing relationships with executive leadership, sponsors, and key stakeholders.
- Strategic thinking skills and business acumen to align IT programs and projects with GitLab goals and long-term vision.
- Strong conflict resolution skills to address conflicts and issues that arise within the program or project teams.
- Program Management certifications (e.g., PMP, PgMP) are highly desirable.
- Strong understanding of industry best practices and emerging trends in Lead to Cash, CRM and Finance processes.
- Strong track record of supervising IT program and project managers and leading cross-functional business teams.

## Principal, IT EntApps Program Management

The Principal, IT Program Management is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Mentor a team of IT program managers, business systems analysts, and cross-functional teams, fostering a culture of collaboration, accountability, and high performance.
- Develop and implement IT program strategies that drive innovation, efficiency, and measurable business impact.
- Demonstrate strategic leadership by inspiring and motivating teams, setting clear objectives, providing guidance, and effectively resolving conflicts to achieve program goals. Additionally, play a key role in coaching and mentoring team members on GitLab's remote working competencies.
- Identify and effectively articulate risks and gaps within business processes related to IT programs. Develop risk management strategies and collaborate with business stakeholders to ensure effective risk mitigation.
- Proactively anticipate shifts in direction and effectively collaborate with IT leaders and business stakeholders, ensuring timely preparation and adaptation of the IT and business teams to evolving circumstances.
- Effectively communicate program accomplishments, status, risks, and recommendations/areas for improvement to GitLab senior leaders, ensuring transparency and informed decision-making.
- Cultivate a culture of constructive debate and challenges assumptions.
- Has a strong understanding of GitLab's business operations, industry trends, and competitive landscape to provide strategic leadership for complex IT programs, ensuring alignment with the IT department's goals and objectives.
- Oversee and manage relationships with third-party vendors and suppliers, ensuring adherence to contractual obligations, timely delivery, and budget compliance.

### Requirements

- 8-10 years of progressive experience as an IT Program Manager, showcasing a proven track record in global cross-functional processes for Lead to Cash, CRM, and Accounting. This includes successful management of large and intricate programs, overseeing multiple project teams, and consistently delivering results.
- Mastery in one or more business systems, with proficiency in CRM systems (e.g., Salesforce), ERP (e.g., NetSuite) systems, and billing platforms (e.g., Zuora Billing).
- Demonstrated success in managing and leading highly complex programs, portfolios, and large-scale projects, with a focus on driving innovation and efficiency.
- Exceptional skills in risk and stakeholder management, fostering positive relationships with executive leadership, sponsors, and key stakeholders. Ability to navigate and influence in a complex organizational environment.
- Proven strategic thinking skills and business acumen to align IT programs and projects with the GitLab goals and long-term vision. A forward-thinking leader who anticipates challenges and opportunities.
- Strong conflict resolution skills to address conflicts and issues within the program or project teams effectively. Ability to maintain a positive and collaborative team environment.
- Program Management certifications (e.g., PMP, PgMP) are highly desirable.
- A deep understanding of industry best practices and emerging trends in Lead to Cash, CRM, and Finance processes. Ability to leverage this insight for strategic decision-making.
- Proven track record of successful supervision and mentorship of IT program and project managers, leading cross-functional business teams.

## Manager, IT EntApps Program Management

- Responsible for managing the day-to-day work of IT program managers and business systems analysts such as task prioritization, issue resolution, performance monitoring, training and onboarding.
- Collaborate in the development and execution of IT program strategies, actively contributing to driving innovation, enhancing efficiency, and delivering measurable business impact.
- Display the capacity to lead and motivate teams, set clear objectives, provide direction, delegate specific tasks and responsibilities and manage conflicts to achieve program goals. Regularly demonstrates, models and coaches other team members on GitLab's remote working competencies.
- Articulate risks and gaps to current business processes and capabilities across IT programs. When identifying risks, makes a compelling case to GitLab senior leaders with options for how to address the anticipated problem.
- Anticipate shifts in direction, and knows when to prepare or adapt the team based on interactions with GitLab senior leaders.
- Accepts challenges, sets up clear options for GitLab senior leadership, and drives toward timely decisions.
- Effectively starts and fosters productive debates with IT and business teams. Displays the courage to challenge and ask tough questions.
- Have a broad understanding of GitLab's business operations, industry trends, and competitive landscape to make IT programs more effective and aligned with business objectives.
- Coordinate with third-party vendors and suppliers to ensure that they meet their contractual obligations, deliver on time, and stay within budget.

### Responsibilities

- Responsible for managing the day-to-day work of individual contributors, likely at the early career to mid-level IC roles.
- Analyses situations and makes tactical decisions involving day-to-day operations of multiple teams such as task prioritization, issue resolution, performance monitoring, and training & onboarding.
- Articulates risks and gaps to GitLab's work and capabilities across programs. When identifying risks, makes a compelling case to senior leaders with options for how to address the anticipated problem.
- Anticipate shifts in direction, and knows when to prepare or adapt the team based on interactions with leaders and other.
- Accepts challenges, sets up clear options for Senior Leadership, and drives toward timely decisions.
- Effectively starts and fosters productive debates with teams; displays the courage to challenge and ask tough questions.
- Regularly demonstrates, models and coaches other team members on GitLab's remote working competencies.
- Displays the capacity to lead and motivate teams, set clear objectives, provide direction, and manage conflicts to achieve program goals.
- Has a broad understanding of GitLab's business operations, industry trends, and competitive landscape to make IT programs more effective and aligned with business objectives.
- Identifies and addresses day-to-day project issues, obstacles, and roadblocks as they arise to keep initiatives on track.
- Coordinate with third-party vendors and suppliers to ensure that they meet their contractual obligations, deliver on time, and stay within budget.
- Delegate specific tasks and responsibilities to team members, ensuring that everyone understands their roles and is accountable for their work.

### Requirements

- 5+ years of experience in IT program management or a related field. This experience should include successfully managing large and complex programs, overseeing multiple project teams, and delivering results.
- The ideal candidate should have a strong track record of leadership roles, including supervising and mentoring program and project managers, leading cross-functional teams, and managing resources effectively.
- Nice to have: Program Management certification, such as PgMP (Program Management Professional) or equivalent.
- Advanced program and project management skills. The ideal candidate should be capable of managing highly complex programs, portfolios, and large-scale projects.
- Strategic thinking skills and business acumen to align IT programs and projects with the organization's strategic goals and long-term vision.
- Strong stakeholder management skills for managing relationships with executive leadership, sponsors, and key stakeholders.
- Strong conflic resolution skills to address conflicts and issues that arise within the program or project teams.

## Senior Manager, IT EntApps Program Management

The Senior Manager, IT Program Management is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Lead and mentor a team of IT program managers, business systems analysts, and cross-functional teams, fostering a culture of collaboration, accountability, and high performance.
- Develop and implement IT program strategies that drive innovation, efficiency, and measurable business impact.
- Demonstrate strategic leadership by inspiring and motivating teams, setting clear objectives, providing guidance, and effectively resolving conflicts to achieve program goals. Additionally, play a key role in coaching and mentoring team members on GitLab's remote working competencies.
- Identify and effectively articulate risks and gaps within business processes related to IT programs. Develop risk management strategies and collaborate with business stakeholders to ensure effective risk mitigation.
- Proactively anticipate shifts in direction and effectively collaborate with IT leaders and business stakeholders, ensuring timely preparation and adaptation of the IT and business teams to evolving circumstances.
- Effectively communicate program accomplishments, status, risks, and recommendations/areas for improvement to GitLab senior leaders, ensuring transparency and informed decision-making.
- Cultivate a culture of constructive debate and challenges assumptions.
- Has a strong understanding of GitLab's business operations, industry trends, and competitive landscape to provide strategic leadership for complex IT programs, ensuring alignment with the IT department's goals and objectives.
- Oversee and manage relationships with third-party vendors and suppliers, ensuring adherence to contractual obligations, timely delivery, and budget compliance.

### Requirements

- 8-10 years of progressive experience as an IT Program Manager, showcasing a proven track record in global cross-functional processes for Lead to Cash, CRM, and Accounting. This includes successful management of large and intricate programs, overseeing multiple project teams, and consistently delivering results.
- Mastery in one or more business systems, with proficiency in CRM systems (e.g., Salesforce), ERP (e.g., NetSuite) systems, and billing platforms (e.g., Zuora Billing).
- Demonstrated success in managing and leading highly complex programs, portfolios, and large-scale projects, with a focus on driving innovation and efficiency.
- Exceptional skills in risk and stakeholder management, fostering positive relationships with executive leadership, sponsors, and key stakeholders. Ability to navigate and influence in a complex organizational environment.
- Proven strategic thinking skills and business acumen to align IT programs and projects with the GitLab goals and long-term vision. A forward-thinking leader who anticipates challenges and opportunities.
- Strong conflict resolution skills to address conflicts and issues within the program or project teams effectively. Ability to maintain a positive and collaborative team environment.
- Program Management certifications (e.g., PMP, PgMP) are highly desirable.
- A deep understanding of industry best practices and emerging trends in Lead to Cash, CRM, and Finance processes. Ability to leverage this insight for strategic decision-making.
- Proven track record of leadership roles, including successful supervision and mentorship of IT program and project managers, leading cross-functional business teams, and effectively managing resources.

## Director, IT EntApps Program Management

The Director, IT Program Management is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Provide visionary leadership for the IT PMO, aligning IT program strategies with the GitLab goals and objectives.
- Drive continuous improvement initiatives within the IT EntApps PMO, identifying and implementing best practices. Foster a culture of innovation and efficiency within the IT EntApps PMO team.
- Direct the management and prioritization of the IT Portfolio within the IT PMO, steering initiatives that promote innovation, efficiency, and measurable business impact across GitLab.
- Strategically identify and mitigate program risks, proactively addressing potential issues to prevent disruptions.
- Demonstrate strategic acumen by making informed decisions related to program scope, resources, and timelines. Anticipate challenges and propose viable solutions, providing options to GitLab senior leadership for informed decision-making.
- Has a deep understanding of GitLab's business operations, industry trends, and competitive landscape to provide strategic leadership for complex IT programs, ensuring alignment with the GitLab goals and objectives.
- Work closely with finance teams to monitor expenditures, forecast costs, and identify opportunities for cost optimization.

### Requirements

- A minimum of 10 years of progressive experience as an IT Program Manager, showcasing a distinguished career in global cross-functional processes for Lead to Cash, CRM, and Accounting. Proven success in managing large, complex programs, overseeing multiple project teams, and consistently delivering impactful results.
- Extensive experience in managing and leading highly complex programs, portfolios, and large-scale projects. A strategic leader with a focus on driving innovation, efficiency, and aligning technology initiatives with organizational goals.
- Mastery in one or more business systems, with advanced proficiency in CRM systems (e.g., Salesforce), ERP (e.g., NetSuite) systems, and billing platforms (e.g., Zuora Billing).
- Exceptional skills in risk and stakeholder management, with a proven ability to build and maintain positive relationships with executive leadership, sponsors, and key stakeholders. Proficient in navigating complex organizational structures.
- Demonstrated strategic thinking skills and business acumen to align IT programs and projects with the GitLab long-term vision. Proven ability to anticipate challenges, identify opportunities, and provide innovative solutions.
- Strong conflict resolution skills to address conflicts and issues within the program or project teams effectively. Ability to maintain a positive and collaborative team environment while driving towards results.
- Program Management certifications (e.g., PMP, PgMP) and other relevant certifications demonstrating continuous professional development are highly desirable.
- In-depth understanding of industry best practices and emerging trends in Lead to Cash, CRM, and Finance processes. A thought leader who can leverage industry insights for strategic decision-making.
- Proven track record of successful leadership roles, including the supervision and mentorship of program and project managers, leading cross-functional teams, and effectively managing resources at scale.

## Senior Director, IT EntApps Program Management

The Senior Director, IT Program Management is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Shape the IT PMO's strategic vision and ensure its alignment with GitLab objectives.
- Lead and mentor a team of senior IT program managers and business systems analysts, fostering a culture of excellence, collaboration, and accountability. Elevate the skills and capabilities of the team through advanced coaching and mentorship strategies.
- Oversee the execution of complex IT programs and projects, ensuring alignment with GitLab goals, timelines, and budgetary considerations. Implement and enhance advanced project management methodologies, ensuring scalability and efficiency.
- Lead in anticipating and mitigating high-impact risks, presenting strategic solutions to GitLab senior leadership for decisive action.
- Demonstrate advanced strategic acumen by making high-level decisions related to program scope, resource allocation, and strategic timelines.
- Provide strategic financial guidance to GitLab senior leadership, highlighting opportunities for cost optimization.

### Requirements

- A minimum of 15 years of progressive experience as an IT Program Manager, demonstrating a distinguished career in global cross-functional processes for Lead to Cash, CRM, and Accounting. Proven success in leading large, complex programs, overseeing multiple project teams, and consistently delivering impactful results.
- Extensive experience in providing strategic leadership for highly complex programs, portfolios, and large-scale projects. A visionary leader who can align technology initiatives with the long-term goals of the organization.
- Mastery in one or more business systems, with advanced proficiency in CRM systems (e.g., Salesforce), ERP (e.g., NetSuite) systems, and billing platforms (e.g., Zuora Billing). A recognized expert in the field.
- Exceptional skills in risk and stakeholder management, with a proven ability to build and maintain positive relationships with executive leadership, sponsors, and key stakeholders. Proficient in navigating complex organizational structures.
- Demonstrated strategic thinking skills and business acumen to anticipate industry trends and align IT programs and projects with the company's long-term vision. A thought leader who can provide innovative solutions.
- Strong conflict resolution skills to address conflicts and issues within the program or project teams effectively. Ability to maintain a positive and collaborative team environment while driving towards results.
- Program Management certifications (e.g., PMP, PgMP) and other relevant certifications demonstrating continuous professional development are highly desirable.
- In-depth understanding of industry best practices and emerging trends in Lead to Cash, CRM, and Finance processes. A thought leader who can leverage industry insights for strategic decision-making.
- Proven track record of successful leadership roles, including the supervision and mentorship of program and project managers, leading cross-functional business teams, and effectively managing resources at scale.

## Performance Indicators

### Performance Indicators (PI)

- [Evaluating System or Process Efficiency](https://internal.gitlab.com/handbook/it/it-performance-indicators/#evaluating-system-or-process-efficiency)
- IT Program efficacy and on-time delivery

## Career Ladder

The next step in the IT PMO job family is to move to the [IT Management](/job-families/finance/manager-it/) job family. Any IT team member can explore lateral career moves within the broader IT job family, provided they fulfill the responsibilities and requirements associated with the desired role.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Next, candidates will be invited to schedule a [screening call](/handbook/hiring/talent-acquisition-framework/req-overview/#screening) with our Global Recruiters
- Next, candidates will be invited to schedule a first interview with our VP IT in a panel interview
- Next, candidates will be invited to schedule a one to two interviews with a business stakeholder in accounting, sales or product (m
- Candidates will then be invited to schedule with a leader in the Data, IT Ops, BSA team or FinSys team
- Then the candidate will be invited to interview with the VP Finance or CFO

Additional details about our process can be found on our [hiring page](/handbook/hiring/)
