---
title: Enterprise Applications
---

## Director, CRM Systems

The Director, CRM Systems reports to the Senior Director, Enterprise Applications, and leads a team of highly-collaborative and results-oriented IT staff tasked with delivering global, high value IT applications across the company. The Director has the skills, experience, drive and passion to ensure that GitLab has the appropriate IT applications to achieve/exceed corporate objectives; to ensure business alignment with team members and sponsors; and to anticipate the needs of the business and scale the team to stay ahead of the curve. This position has deep technical skills in Salesforce and can drive the roadmap across the Sales Systems tech stack including such systems as Billing systems (Zuora, NetSuite), Marketing systems (Marketo), ZenDesk/Service Cloud/ServiceNow, Sales Enablement tools (WalkMe, SpekIt), CLM, and Integrations. This function challenges the status quo; thrives and is successful in a dynamic environment. This team member must be motivated and successful at mentoring by building and sustaining professional relationships at all levels of an organization. The Director has well-honed problem solving and decision making skills, is agile and adaptable, and can effectively manage change. This function is both strategic and tactical, can influence adoption, is results oriented, and has a strong client service orientation. The Director has the reputation for raising the bar in terms of quality and execution.

### Job Grade

The Director, CRM Systems is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the [Senior Director, Enterprise Applications](/job-families/finance/information-technology/senior-director-enterprise-applications/#senior-director-enterprise-applications).

### Responsibilities

- Business Partnership: Influences leadership within the cross-functional team and assists in roadmap planning. Solid relationships with key stakeholders at the VP level.
- Business Operations: Analyze and plan improvements in technical implementations to continue to deliver value to business partners. Drive the business to adopt recommended technical solutions.
- Document related processes and technical configurations in the handbook.
- Technical Delivery: Provide hands-on, expert-level technical assistance to delivery teams. Drives adoption of technology and process changes. Drive end to end delivery on large, complex, cross-functional projects across multiple systems or integrations with minimal oversight.
- Proactively provides recommendations for system improvements.
- Project Management: Run the technical implementation of large-sized projects which improve our ability to make better data driven insights, or make the company more efficient. Drive intake and prioritization process for functional areas of expertise.
- Communication: Target audience Director, Sr. Director, VP, with presentations targeted to CFO staff for critical projects.
Mentorship: Build and manage global teams. Guide and coach team members. Mentors junior team members and models GitLab values for the team.
- Measure, monitor, and maintain team's ability to meet or exceed Service Level Agreements (SLA), Objectives and Key Results (OKRs), and Key Performance Indicators (KPIs). Experience and comfort working in a culture of measurement.

### Requirements

- Bachelor's degree, preferably in Computer Science, Information Technology, Computer Engineering, or related IT discipline; or equivalent experience. 10-15 years of experience implementing, configuring, customizing and integrating SaaS software Eg: SalesForce, DocuSign CLM, Netsuite, Zuora Billing, Zuora Revenue, Coupa, Zip, Navan, Workday, ADP, eTrade etc.
- 10-15 years' experience in IT, with 7+ years' experience leading and managing an IT organization or Applications group at a fast growing high technology company.
- Be a self-starter, and thrive in a fast paced environment, customer centric and have the interpersonal skills necessary to manage business and technology relationships.
- Exceptional time management and prioritization skills, resilient under pressure, able to meet deadlines and able to work in a constantly changing environment.
- Exhibit strong security and confidentiality practices with systems that handle sensitive data. Experience partnering with internal information security and compliance teams. SOX experience is preferred.
- Strong understanding of GTM and LTC business processes in a Salesforce environment.
- Industry certifications a plus: Salesforce, PMP, ITIL, CISSP or similar certification.
- Proven ability to effectively lead and meet business objectives in a global, collaborative and high performance work environment.
- Change management knowledge and ability to operate effectively in fast paced environment.
- Demonstrated experience in vendor management and capacity planning in a fast growth environment.
- Nice to have, application specific skills:
  - Salesforce: Development experience with advanced Salesforce.com development tools and techniques (e.g. Apex language, Force.com custom development, triggers, controllers, JavaScript, Force.com SOAP and REST APIs, JSON, AngularJS, jQuery, JavaScript, sObjects, SOQL, SOSL, Chatter APIs, outbound messaging, Bootstrap, Lightning Design System (LDS), Lightning Components and Visualforce pages).
  - Marketo
  - GainSight
  - ZenDesk / Service Cloud / ServiceNow
  - Enablement tools, such as WalkMe, SpekIt, etc.
  - CLM: DocuSign CLM, Ironclad
  - Billing Systems: CPQ, Billing, Revenue (Zuora, NetSuite, etc.)
  - Integration: Mulesoft, Talend, Workato etc.

## Manager, Enterprise Applications

The Manager, Enterprise Applications, reports to the Senior Director, Enterprise Applications, and leads a team of highly-collaborative and results-oriented IT staff tasked with delivering global, high value IT applications across the company. The Manager has the skills, experience, drive and passion to ensure that GitLab has the appropriate IT applications to achieve/exceed corporate objectives; to ensure business alignment with team members and sponsors; and to anticipate the needs of the business and scale the team to stay ahead of the curve. This position has deep technical skills in Salesforce and can contribute to roadmap discussions across the organization. This function challenges the status quo; thrives and is successful in a dynamic environment. This team member must be motivated and successful at mentoring by building and sustaining professional relationships at all levels of an organization. The Manager has well-honed problem solving and decision making skills, is agile and adaptable, and can effectively manage change. This function is both strategic and tactical, can influence adoption, is results oriented, and has a strong client service orientation. The Manager has the reputation for raising the bar in terms of quality and execution.

### Job Grade

The Manager, Enterprise Applications is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the [Senior Director, Enterprise Applications](/job-families/finance/information-technology/senior-director-enterprise-applications/#senior-director-enterprise-applications).

### Responsibilities

- Strategic and operational IT Application ownership for the following areas: Sales, Marketing, Support, Finance, HR, and Legal.
- Drive executive level communication / support for the IT Applications strategy.
- Partner with key business sponsors / executive stakeholders to deliver high value IT solutions.
- Drive operational excellence while leveraging KPI's to measure the success/value of the IT Applications team. Comfortable establishing a culture of measurement and the ability to identify, define, and implement and execute key metrics across the team.
- Develop and maintain relationships with client organizations to ensure their IT Application expectations are being met and priorities are set at the appropriate level.
- Provide critical input to develop and manage the plan of record for the IT Applications portfolio; while driving culture of delivery to commitments.
- The Manager is expected to identify critical areas of improvement, offer recommended solutions, and drive execution of those solutions.

### Requirements

- 5-7 years' experience in IT, with 3+ years' experience leading and managing an IT organization or Applications group at a fast growing high technology company.
- Excellent change management skills and ability to operate effectively in a fast-paced environment.
- Experience with SaaS based solution and cloud architectures.
- Demonstrated ability to successfully lead and develop global applications organization in collaboration with overall IT strategy.
- Knowledgeable in compliance and information security.
- Current on business applications, trends in IT and experience evaluating/implementing new innovative IT solutions
- A process-oriented individual, with substantial project management skills, who has the flexibility to thrive in a fast-paced, dynamic organization.
- Candidate must have proven ability to consistently and collaboratively resolve issues, mitigate roadblocks, and meet all financial and management goals on time. Will be a self-starter who maps own direction to succeed.
- Excellent team management, coaching, and mentoring skills, including the ability to coach and manage other IT managers.
- Ability to delegate key tasks within the team to improve team efficiency and throughput.
- Must be comfortable with ambiguity and fast change with an ability to adapt quickly and easily.
- Relevant business/industry acumen with the ability to quickly and thoroughly understand business priorities, operations, and IT enablement potential.
- Ability to use GitLab

## Manager, CRM Systems & SFDC Architect

The CRM Systems, Manager (SFDC Architect) reports to the CRM Systems, Director and leads a team of highly-collaborative and results-oriented teams tasked with delivering global, high value Enterprise applications across the company. The Manager has the skills, experience, drive and passion to ensure that GitLab has the appropriate IT applications to achieve/exceed corporate objectives; to ensure business alignment with team members and sponsors; and to anticipate the needs of the business and scale the team to stay ahead of the curve. This role involves defining the business and technology architectures, guiding large project deliveries, and ensuring the successful integration of Salesforce within our organization. The ideal candidate would have a profound knowledge of top of the funnel Marketing Technology, CPQ, CLM, License Management, Billing, and ERP, best practices in engineering, and enterprise architecture standards. complemented by robust leadership and communication abilities.

### Job Grade

Manager, CRM Systems & SFDC Architect is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the [CRM Systems, Director](/job-families/finance/information-technology/senior-director-enterprise-applications/#director-crm-systems)

### Responsibilities

- Business Partnership: Works with leadership within the cross-functional team and assists in roadmap planning.
- Salesforce Architecture & Foundations: Ascertain and communicate the company's Salesforce requirements. Craft business and technology architecture in sync with our organizational objectives. Supervise the design and deployment of solutions, adhering to Salesforce best practices guidelines.
- User Experience & Platform Engagement: Propel user experience and design strategies throughout the enterprise to foster platform adoption.
- Technical & Functional Guidance: Work Closely with Business stakeholders, understand requirements and translate them to actionable solutions. Offer counsel and mentorship to Salesforce team members on technical and functional delivery.
- System Design & Oversight: Head Salesforce system design deliberations involving multiple teams, presenting alternative options, potential trade-offs, and impact assessments. Prioritize and implement enduring solutions that align with organizational goals.
- Development Practices & Integration: Maintain Enterprise Architecture standards and functional/technical solution architecture, encompassing environment management, testing, and Salesforce Platform utilization.
- Technical Delivery: Provide hands-on, expert-level technical assistance to delivery/engineering teams. Drives adoption of technology and process changes. Drive end to end delivery on large, complex, cross-functional projects across multiple systems or integrations with minimal oversight. Proactively provides recommendations for system improvements.
- Risk Mitigation & Issue Resolution: Proactively pinpoint and oversee risk zones across Salesforce landscape and ensure the Org is in good standing with best practices. Demonstrate commitment to issue resolution, ensuring program longevity and success.
- Strategic Alignment & Regulatory Adherence: Guarantee adherence to all governing regulations, organizational policies, and procedural guidelines like FEDRamp, GDPR, SOX etc.
- Mentorship: Build and manage global teams. Guide and coach team members. Mentor junior team members and model GitLab values for the team. Ability to delegate key tasks within the team to improve team efficiency and throughput
- Measure, monitor, and maintain team's ability to meet or exceed Service Level Agreements (SLA), Objectives and Key Results (OKRs), and Key Performance Indicators (KPIs). Experience and comfort working in a culture of measurement

### Requirements

- Bachelor's degree in Computer Science, Information Technology, or a related discipline. A Master's degree is advantageous.
- 5-7 years of experience implementing, configuring, customizing and integrating SaaS software for Lead to Cash Eg: Salesforce, Zuora Billing, Zuora Revenue, DocuSign CLM, Netsuite, Xactly etc.
- Application specific skills :
  - Salesforce : Development experience with advanced Salesforce.com development tools and techniques (e.g. LWC, Apex Class, Triggers, Aura Components,  Lightning Design System (LDS), Visualforce Pages, JavaScript, SOAP and REST APIs, SOQL, SOSL, Platform Events, Flows,
      Profiles, Roles, Lightning Pages etc.,)
  - Billing Systems: CPQ, Billing, Revenue (Zuora, NetSuite, etc.)
  - CLM: DocuSign CLM, Ironclad
  - Middleware : Workato/Mulesoft/Dell Boomi etc.,
- Salesforce certifications such as Salesforce Certified Technical Architect or Salesforce Certified Application Architect/System Architect, CPQ Specialist is highly desirable.
- Exhibit strong security and confidentiality practices with systems that handle sensitive data. Experience partnering with internal information security and compliance teams. SOX experience is preferred.
- In-depth understanding of enterprise architecture standards, superior engineering practices, and the capabilities of the Salesforce platform.
- Exceptional communication skills, coupled with mentorship and problem-solving abilities.
- Flexibility to adapt to shifting priorities and the capability to deliver results in a dynamic setting.
- Be a self-starter, and thrive in a fast paced environment, customer centric and have the interpersonal skills necessary to manage business and technology relationships.
- Exceptional time management and prioritization skills, resilient under pressure, able to meet deadlines and able to work in a constantly changing environment.
- Proven ability to effectively lead and meet business objectives in a global, collaborative and high performance work environment
- Change management knowledge and ability to operate effectively in fast paced environment
- Demonstrated experience in vendor management and capacity planning in a fast growth environment
- Comfortable with ambiguity and fast change with an ability to adapt quickly and easily
- Candidate must have proven ability to consistently and collaboratively resolve issues, mitigate roadblocks, and meet all financial and management goals on time. Will be a self-starter who maps own direction to succeed

## Manager, Revenue Systems

The Manager, Revenue Systems reports to the CRM Systems, Director and leads a team of highly-collaborative and results-oriented teams tasked with delivering global, high value Enterprise applications across the company. The Manager has the skills, experience, drive and passion to ensure that GitLab has the appropriate IT applications to achieve/exceed corporate objectives; to ensure business alignment with team members and sponsors; and to anticipate the needs of the business and scale the team to stay ahead of the curve. This role involves defining the business and technology architectures, guiding large project deliveries. The ideal candidate would have a profound knowledge of Quote to Cash, CPQ, Billing, and ERP, best practices in engineering, and enterprise architecture standards. complemented by robust leadership and communication abilities.

### Job Grade

Manager, Revenue Systems is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the [CRM Systems, Director](/job-families/finance/information-technology/senior-director-enterprise-applications/#director-crm-systems)

### Responsibilities

- Business Acumen: Understanding of core finance business processes of quote to cash, record to report, and procure to pay. Understanding of accounting principles and GitLab finance related policies.
- Business Engagement: Engage with your team and stakeholders regarding their business strategy and objectives for automating and optimizing financial processes. Meet regularly with business partners to ensure that the financial applications are functioning as designed and supporting their needs.
- Technical & Functional Guidance: Work Closely with Business stakeholders, understand requirements and translate them to actionable solutions. Offer counsel and mentorship to team members on technical and functional delivery.
- Team Leadership: Can manage a global team to deliver results by dividing and balancing work between employees ensuring that results meet Enterprise Applications standard.
- Process Improvement: Accomplish improvements to finance processes that you support. Understanding the impacts of changes recommended and how to translate them into technical requirements. Document updated processes in the company handbook.
- Compliance: Supports data, security, and legal governance processes and adherence of guidelines between internal business units and systems in order to ensure efficient and compliance of technical delivery. .
- Project Management: Run large complex projects that improve our ability to make better data driven insights or make the company more efficient.
- Communication: Target audience basic influence to Directors, Sr Directors, Functional VPs and CFO.
- Measure, monitor, and maintain team’s ability to meet or exceed Service Level Agreements (SLA), Objectives and Key Results (OKRs), and Key Performance Indicators (KPIs). Experience and comfort working in a culture of measurement

### Requirements

- Bachelor’s degree in Computer Science, Information Technology, or a related discipline. A Master’s degree is advantageous.
- 5-7 years of experience implementing, configuring, customizing and integrating SaaS software for Lead to Cash Eg:, Zuora Billing, Zuora Revenue, Salesforce, Netsuite, Xactly etc.
- Exhibit strong security and confidentiality practices with systems that handle sensitive data. Experience partnering with internal information security and compliance teams. SOX experience is preferred.
- Exceptional communication skills, coupled with mentorship and problem-solving abilities.
- Flexibility to adapt to shifting priorities and the capability to deliver results in a dynamic setting.
- Exceptional time management and prioritization skills, resilient under pressure, able to meet deadlines and able to work in a constantly changing environment.
- Proven ability to effectively lead and meet business objectives in a global, collaborative and high performance work environment
- Change management knowledge and ability to operate effectively in fast paced environment
- Demonstrated experience in vendor management and capacity planning in a fast growth environment
- Comfortable with ambiguity and fast change with an ability to adapt quickly and easily
- Candidate must have proven ability to consistently and collaboratively resolve issues, mitigate roadblocks, and meet all financial and management goals on time. Will be a self-starter who maps own direction to succeed

## Senior Manager, Enterprise Applications

The Senior Manager, Enterprise Applications, reports to the Senior Director, Enterprise Applications, and leads a team of highly-collaborative and results-oriented IT staff tasked with delivering global, high value IT applications across the company. The Senior Manager has the skills, experience, drive and passion to ensure that GitLab has the appropriate IT applications to achieve/exceed corporate objectives; to ensure business alignment with team members and sponsors; and to anticipate the needs of the business and scale the team to stay ahead of the curve. This position has deep technical skills in Salesforce and can contribute to roadmap discussions across the organization. This function challenges the status quo; thrives and is successful in a dynamic environment. This team member must be motivated and successful at mentoring by building and sustaining professional relationships at all levels of an organization. The Senior Manager has well-honed problem solving and decision making skills, is agile and adaptable, and can effectively manage change. This function is both strategic and tactical, can influence adoption, is results oriented, and has a strong client service orientation. The Director has the reputation for raising the bar in terms of quality and execution.

### Job Grade

The Senior Manager, Enterprise Applications is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the [Senior Director, Enterprise Applications](/job-families/finance/information-technology/senior-director-enterprise-applications/#senior-director-enterprise-applications).

### Responsibilities

- Strategic and operational IT Application ownership for the following areas: Sales, Marketing, Support, Finance, HR, and Legal.
- Drive executive level communication / support for the IT Applications strategy.
- Partner with key business sponsors / executive stakeholders to deliver high value IT solutions.
- Drive operational excellence while leveraging KPI's to measure the success/value of the IT Applications team. Comfortable establishing a culture of measurement and the ability to identify, define, and implement and execute key metrics across the team.
- Develop and maintain relationships with client organizations to ensure their IT Application expectations are being met and priorities are set at the appropriate level.
- Provide critical input to develop and manage the plan of record for the IT Applications portfolio; while driving culture of delivery to commitments.
- The Senior Manager is expected to identify critical areas of improvement, offer recommended solutions, and drive execution of those solutions.

### Requirements

- 7-10 years' experience in IT, with 5+ years' experience leading and managing an IT organization or Applications group at a fast growing high technology company.
- Excellent change management skills and ability to operate effectively in a fast-paced environment.
- Experience with SaaS based solution and cloud architectures.
- Demonstrated ability to successfully lead and develop global applications organization in collaboration with overall IT strategy.
- Knowledgeable in compliance and information security.
- Current on business applications, trends in IT and experience evaluating/implementing new innovative IT solutions.
- A process-oriented individual, with substantial project management skills, who has the flexibility to thrive in a fast-paced, dynamic organization.
- Candidate must have proven ability to consistently and collaboratively resolve issues, mitigate roadblocks, and meet all financial and management goals on time. Will be a self-starter who maps own direction to succeed.
- Excellent team management, coaching, and mentoring skills, including the ability to coach and manage other IT managers.
- Ability to delegate key tasks within the team to improve team efficiency and throughput.
- Must be comfortable with ambiguity and fast change with an ability to adapt quickly and easily.
- Relevant business/industry acumen with the ability to quickly and thoroughly understand business priorities, operations, and IT enablement potential.
- Ability to use GitLab.

## Director, Enterprise Applications

The Director, Enterprise Applications, reports to the Senior Director, Enterprise Applications, and leads a team of highly-collaborative and results-oriented IT staff tasked with delivering global, high value IT applications across the company. The Director has the skills, experience, drive and passion to ensure that GitLab has the appropriate IT applications to achieve/exceed corporate objectives; to ensure business alignment with team members and sponsors; and to anticipate the needs of the business and scale the team to stay ahead of the curve. This position has deep technical skills in Salesforce and can drive the roadmap across the Sales Systems tech stack including such systems as Billing systems (Zuora, NetSuite), Marketing systems (Marketo), ZenDesk/Service Cloud/ServiceNow, Sales Enablement tools (WalkMe, SpekIt), CLM, and Integrations. This function challenges the status quo; thrives and is successful in a dynamic environment. This team member must be motivated and successful at mentoring by building and sustaining professional relationships at all levels of an organization. The Director has well-honed problem solving and decision making skills, is agile and adaptable, and can effectively manage change. This function is both strategic and tactical, can influence adoption, is results oriented, and has a strong client service orientation. The Director has the reputation for raising the bar in terms of quality and execution.

### Job Grade

The Director, Enterprise Applications is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the [Senior Director, Enterprise Applications](/job-families/finance/information-technology/senior-director-enterprise-applications/#senior-director-enterprise-applications).

### Responsibilities

- Strategic and operational IT Application ownership for the following areas: Finance, HR, Sales, Marketing, Support, and Legal.
- Drive executive level communication / support for the IT Applications strategy.
- Partner with key business sponsors / executive stakeholders to deliver high value IT solutions.
- Drive operational excellence while leveraging KPI's to measure the success/value of the IT Applications team. Comfortable establishing a culture of measurement and the ability to identify, define, and implement and execute key metrics across the IT organization.
- Develop and maintain relationships with client organizations to ensure their IT Application expectations are being met and priorities are set at the appropriate level.
- Help drive discussion and improvements to develop and manage the plan of record for the IT Applications portfolio; while driving culture of delivery to commitments.
- The Director is expected to identify critical areas of improvement, offer recommended solutions, and drive execution of those solutions

### Requirements

- 10-15 years' experience in IT, with 7+ years' experience leading and managing an IT organization or Applications group at a fast growing high technology company.
- Excellent change management skills and ability to operate effectively in a fast-paced environment.
- Experience with SaaS based solution and cloud architectures.
- Demonstrated ability to successfully lead and develop global applications organization in collaboration with overall IT strategy.
- Demonstrated strength in contract negotiations, vendor management, and capacity planning in a fast growth environment.
- Knowledgeable in compliance and information security.
- Current on business applications, trends in IT and experience evaluating/implementing new innovative IT solutions
- A process-oriented individual, with substantial project management skills, who has the flexibility to thrive in a fast-paced, dynamic organization.
- Candidate must have proven ability to consistently and collaboratively resolve issues, mitigate roadblocks, and meet all financial and management goals on time. Will be a self-starter who maps own direction to succeed.
- Excellent team management, coaching, and mentoring skills, including the ability to coach and manage other IT Managers and Senior Managers.
- Must be comfortable with ambiguity and fast change with an ability to adapt quickly and easily.
- Relevant business/industry acumen with the ability to quickly and thoroughly understand business priorities, operations, and IT enablement potential.
- Ability to use GitLab.

## Director, Enterprise Architecture and Applications

The Director, Enterprise Architecture and Applications, reports to the VP, IT and leads a team of highly-collaborative and results-oriented IT staff tasked with delivering global, high value IT applications across the company. The Director has the skills, experience, drive and passion to ensure that GitLab has the appropriate IT enterprise architecture and applications to achieve/exceed corporate objectives; to ensure business alignment with team members and sponsors; and to anticipate the needs of the business and scale the team to stay ahead of the curve.
This role requires a seasoned leader with extensive experience in managing, directing and optimizing ERP, CRM, and ITSM systems to ensure seamless integration, superior performance, and alignment with the company’s strategic goals. This position is a key role as we embark on a transformative journey to enhance our business operations through the strategic implementation and management of advanced business systems. This position has deep technical skills in SaaS applications and can drive the roadmap and architecture across the Enterprise Applications tech stack.
This function challenges the status quo; thrives and is successful in a dynamic environment. This team member must be motivated and successful at mentoring by building and sustaining professional relationships at all levels of an organization. The Director has well-honed problem solving and decision making skills, is agile and adaptable, and can effectively manage change. This function is both strategic and tactical, can influence adoption, is results oriented, and has a strong client service orientation. The Director has the reputation for raising the bar in terms of quality and execution.

### Job Grade

The Director, Enterprise Architecture and Applications is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the VP, IT

### Responsibilities

Strategy:

- Drive operational excellence while leveraging KPI’s to measure the success/value of the IT Applications team. Comfortable establishing a culture of measurement and the ability to identify, define, and implement and execute key metrics across the IT organization
- Strategic and operational IT Application ownership for the following areas: Finance, HR, Legal, Sales, Marketing, Support, and Security
- Help drive discussion and improvements to develop and manage the plan of record for the IT Applications portfolio; while driving culture of delivery to commitments
- The Director is expected to identify critical areas of improvement, offer recommended solutions, and drive execution of those solutions
- Create secure, scalable and high performance enterprise solutions.
- Developing methodologies and processes to ensure compliance to Integrations & Architecture strategies.
- Responsible for the high-level design and implementations of integrations across the application eco-system by effectively partnering with business users, application developers and vendors.
Technical Solutions:
- Responsible to develop and maintain current state and future state technology roadmaps aligned with approved IT Investments and approved by Leadership.
- Support the transformation of the technology architecture to support the company growth plans, building scalable platform solutions as well as building and customizing best in class software products.
- Lead master data management initiatives from the data modeling side. Design and promote the enterprise data model.
- Evaluate alternatives and formulates system scope and objectives to create or modify integration services.
- Troubleshoots production problems and works to fix issues
Partnerships:
- Drive executive level communication / support for the IT Applications strategy
- Partner with key business sponsors / executive stakeholders to deliver high value IT solutions
- Develop and maintain relationships with client organizations to ensure their IT Application expectations are being met and priorities are set at the appropriate level.
- Working with internal and external cross functional teams, business stakeholders, service providers, vendors to design, develop and implement enterprise architecture strategies.
- Provides thought leadership and clear technical direction to the team to deliver results and business value.
- Analyze existing business processes and data flows to develop system designs, delivery roadmaps and integrations to other systems

### Requirements

- 10-15 years’ experience in IT, with 7+ years’ experience leading and managing an IT organization or Applications group at a fast growing high technology company.
- 8-10 years of Enterprise Architect experience.
- Excellent change management skills and ability to operate effectively in a fast-paced environment.
- Experience with SaaS based solutions and cloud architectures.
- Demonstrated experience managing and integrating multiple Enterprise Business Platforms such as eCommerce, CRM and ERP (Salesforce, Zuora Billing, Zuora Revenue, Netsuite, Workday, ServiceNow,  Marketo) and the like.
- Hands-on experience working with iPaaS tools like Workato, Mulesoft, Boomi, Tray.io etc.
- Successfully integrated applications and automated business processes resulting in measurable productivity or efficiency gains.
- Demonstrated ability to successfully lead and develop global applications organization in collaboration with overall IT strategy.
- Demonstrated strength in contract negotiations, vendor management, and capacity planning in a fast growth environment.
- Expertise in IT compliance (SOX, FedRamp, GDPR etc) and information security.
- Current on business applications, trends in IT and experience evaluating/implementing new innovative IT solutions
- A process-oriented individual, with substantial project management skills, who has the flexibility to thrive in a fast-paced, dynamic organization.
- Candidate must have proven ability to consistently and collaboratively resolve issues, mitigate roadblocks, and meet all financial and management goals on time. Will be a self-starter who maps own direction to succeed.
- Excellent team management, coaching, and mentoring skills, including the ability to coach and manage other IT Managers and Senior Managers
- Must be comfortable with ambiguity and fast change with an ability to adapt quickly and easily.
- Relevant business/industry acumen with the ability to quickly and thoroughly understand business priorities, operations, and IT enablement potential.

## Senior Director, Enterprise Applications

The Senior Director, Enterprise Applications, reports to the VP of Information Technology, and leads a team of highly-collaborative and results-oriented IT staff tasked with delivering global, high value IT applications across the company. The Senior Director has the skills, experience, drive and passion to ensure that GitLab has the appropriate IT applications to achieve/exceed corporate objectives; to ensure business alignment with executive team members and sponsors; and to anticipate the needs of the business and scale the team to stay ahead of the curve. This function challenges the status quo; thrives and is successful in a dynamic environment.
This team member must be motivated and successful at mentoring by building and sustaining professional relationships at all levels of an organization. The Senior Director has well-honed problem solving and decision making skills, is agile and adaptable, and can effectively manage change. This function is both strategic and tactical, can influence adoption, is results oriented, and has a strong client service orientation. The Senior Director has the reputation for raising the bar in terms of quality and execution.

### Job Grade

The Senior Director, Enterprise Applications is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Strategic and operational IT Application ownership for the following areas: Finance, HR, Sales, Marketing, Support, and Legal
- Drive executive level communication / support for the IT Applications strategy
- Partner with key business sponsors / executive stakeholders to deliver high value IT solutions
- Drive operational excellence while leveraging KPI's to measure the success/value of the IT Applications team
- Develop and maintain relationships with client organizations to ensure their IT Application expectations are being met and priorities are set at the appropriate level.
- Develop and manage plan of record for the IT Applications portfolio; while driving culture of delivery to commitments

### Requirements

- Fifteen+ years' experience in IT, with ten+ years' experience leading and managing an IT organization or Applications group at a fast growing high technology company.
- Excellent change management skills and ability to operate effectively in a fast-paced environment.
- Experience with SaaS based solution and cloud architectures.
- Demonstrated ability to successfully lead and develop global applications organization in collaboration with overall IT strategy.
- Demonstrated strength in contract negotiations, vendor management, and capacity planning in a fast growth environment.
- Knowledgeable in compliance and information security.
- Current on business applications, trends in IT and experience evaluating/implementing new innovative IT solutions
- A process-oriented individual, with substantial project management skills, who has the flexibility to thrive in a fast-paced, dynamic organization.
- Candidate must have proven ability to consistently and collaboratively resolve issues, mitigate roadblocks, and meet all financial and management goals on time. Will be a self-starter who maps own direction to succeed.
- Excellent team management, coaching, and mentoring skills
- Must be comfortable with ambiguity and fast change with an ability to adapt quickly and easily.
- Relevant business/industry acumen with the ability to quickly and thoroughly understand business priorities, operations, and IT enablement potential.
- Ability to use GitLab

## Performance Indicators (PI)

- [New Hire Location Factor < 0.69](https://internal.gitlab.com/handbook/it/it-performance-indicators/#new-hire-location-factor--069)
- [% of team who self-classify as diverse](https://internal.gitlab.com/handbook/it/it-performance-indicators/#percent--of-team-who-self-classify-as-diverse)
- [Discretionary bonus per employee per month > 0.1](https://internal.gitlab.com/handbook/it/it-performance-indicators/#discretionary-bonus-per-employee-per-month--01)
- [Cost Actual vs Plan](https://internal.gitlab.com/handbook/it/it-performance-indicators/#cost-actual-vs-plan)
- [System roll out vs plan](https://internal.gitlab.com/handbook/it/it-performance-indicators/#system-roll-out-vs-plan)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with our Global Recruiters
- Next, candidates will be invited to schedule a first interview with our VP, Information Technology
- Candidates will then be invited to schedule a second interview with our CFO, VP, Field Operations, and VP, Finance
- Finally, candidates may be asked to interview with our CEO

## Career Ladder

The next step in the Enterprise Applications job family is to move to the [VP of IT](/job-families/finance/vp-information-technology) job family.
