---
title: "Integrations Engineering"
---
The Integrations Engineering job family is responsible for ownership and delivery of the core services and APIs that serve as an enterprise data backbone, using an array of different platforms, APIs, databases, protocols and data formats to ensure that the data and the business processes that intersect in the Enterprise Applications Ecosystem are as efficient and high fidelity as possible. Integrations Engineering works to align GitLab's Enterprise Architecture by building and maintaining key integrations that connect the GitLab Enterprise Application Ecosystem, from the GitLab product ecosytem to cloud systems.

## Responsibilities

- Design, develop, and maintain integration flows using an array of different platforms, APIs, databases, protocols and data formats
- Collaborate and review code with other developers in engineering and sales operations to ensure each integration maintains a consistent level of technical standards as set by the team
- Work directly with Business Systems Analysts to ensure that the data and the business processes that intersect in the Enterprise Applications ecosystem are as efficient and high fidelity as possible.

## Requirements

- Write well structured, quality code that's easily maintainable by others.
- Write code that interacts with various HTTP-based API's, primarily REST-based.
- Understand basics of SQL and relational databases.
- Proactive doer and communicator.
- SaaS and B2B experience preferred
- Interest in GitLab and open source software
- You share our values and work in accordance with those values
- Aptitude to thrive in a fully remote organization

## Associate Integrations Engineer

### Job Grade

Associate Integration Engineer is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the IT Manager or Sr IT Manager or IT Director, Enterprise Architecture & Integration Engineering.

### Responsibilities

- Design, develop, and maintain integration flows using an array of different platforms, APIs, databases, protocols and data formats.
- Collaborate and review code with other engineers in architecture & integration engineering to ensure each integration maintains a consistent level of technical standards as set by the team.
- Work directly with Business Systems Analysts Or PM's to ensure that the data and the business processes that intersect in the Enterprise Applications ecosystem are as efficient and high fidelity as possible.

### Requirements

- Bachelor's degree, preferably in Computer Science, Information Technology, Computer Engineering, or related IT discipline; or equivalent experience.
- 0-2 years application integration experience.
- Write well structured, quality code that's easily maintainable by others.
- Write code that interacts with various HTTP-based API's, primarily REST-based.
- Understand basics of SQL and relational databases.
- Proactive doer and communicator.
- SaaS and B2B experience preferred.
- Interest in GitLab and open source software.
- You share our values and work in accordance with those values.
- Aptitude to thrive in a fully remote organization.
- Hands-on experience working with iPaaS tools like Workato, Mulesoft, Boomi, Tray.io etc.
- Hands-on Integration experience across enterprise systems: SalesForce, DocuSign CLM, Netsuite, Zuora Billing, Zuora Revenue, Coupa, Zip, Navan, Workday, ADP, eTrade etc.

## Integrations Engineer

### Job Grade

Integration Engineer is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the IT Manager or Sr IT Manager or IT Director, Enterprise Architecture & Integration Engineering.

### Responsibilities

Extends the Associate Integration Engineer responsibilities:

- Document technical details clearly to various stakeholders of different technical levels (VP of IT, Sales Operations, Software Engineer).
- Develop integrations that are designed and implemented as reusable building blocks as appropriate to allow for more efficient integrations of a similar type

### Requirements

- Ability to use GitLab.
- Bachelor's degree, preferably in Computer Science, Information Technology, Computer Engineering, or related IT discipline; or equivalent experience..
- 2+ years of application integration experience.
- Hands-on experience working with iPaaS tools like Workato, Mulesoft, Boomi, Tray.io etc.
- Hands-on Integration experience across enterprise systems: SalesForce, DocuSign CLM, Netsuite, Zuora Billing, Zuora Revenue, Coupa, Zip, Navan, Workday, ADP, eTrade etc.
- Configure, build, test, and deploy integration solutions on the integration platform.
- Skilled in working with various integration patterns and technologies such as REST, SOAP, JSON, XML, and other data formats

## Senior Integrations Engineer

### Job Grade

AssoSeniorciate Integration Engineer is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the IT Manager or Sr IT Manager or IT Director, Enterprise Architecture & Integration Engineering.

### Responsibilities

Extends the Integration Engineer responsibilities:

- Business Partnership: Influences cross-functional team regularly. Begins to build and manage holistic relationships with select partners.
- Business Operations: Build, maintain and improve internal analysis and planning processes to more efficiently deliver for our business partners. All processes should be documented in the handbook.
- Technical Delivery: Drive end to end delivery processes with minimal guidance.
- Project Management: Run medium-sized projects that improve our ability to make better data driven insights or make the company more efficient.
- Communication: Target audience Sr. Manager, Director, Sr. Director and functional VP.
- Communicate and document technical details clearly to various stakeholders of different technical capabilities (VP of IT, Sales Operations, Software Engineer)
- Ensure that integrations are designed and implemented as reusable building blocks as appropriate to allow for more efficient integrations of a similar type.
- Align the Enterprise Architecture by building and maintaining key integrations that connect the GitLab Enterprise Application Ecosystem, from product ecosystem to cloud systems.

### Requirements

- Bachelor's degree, preferably in Computer Science, Information Technology, Computer Engineering, or related IT discipline; or equivalent experience.
- 5+ years of application integration experience.
- Hands-on experience working with iPaaS tools like Workato, Mulesoft, Boomi, Tray.io etc.
- Hands-on Integration experience across enterprise systems: SalesForce, DocuSign CLM, Netsuite, Zuora Billing, Zuora Revenue, Coupa, Zip, Navan, Workday, ADP, eTrade etc.
- Hands-on experience working with one more RPA technologies: Ui Path, Automation Anywhere, Blue Prism, Camunda, etc.
- ELT/ETL & data transformation integration experience working with Snowflake, Redshift, Google Big Query, etc.
- Slack BOT & API Management experience.
- Familiarity with cloud-based technologies, such as AWS, Azure, or Google Cloud Platform.
- Strong proficiency in data querying languages (SQL), programming languages (Python, R), and data visualization tools.
- Skilled in working with various integration patterns and technologies such as REST, SOAP, JSON, XML, and other data formats.
- Configure, build, test, and deploy integration solutions on the integration platform.
- Collaborate with peers to write, review, and provide feedback on technical design proposals and participate in and contribute to code/configuration reviews. Partner with Enterprise Apps team for QA to ensure scalable tests, release plans and end user documentation.
- Be a self-starter, and thrive in a fast paced environment, customer centric and have the interpersonal skills necessary to manage business and technology relationships.
- Exceptional time management and prioritization skills, resilient under pressure, able to meet deadlines and able to work in a constantly changing environment.
- Exhibit strong security and confidentiality practices with systems that handle sensitive data.
- Multiple Integration certifications highly preferred.

## Staff Integrations Engineer

### Job Grade

Staff Integration Engineer is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the IT Manager or Sr IT Manager or IT Director, Enterprise Architecture & Integration Engineering.

### Responsibilities

Extends the Senior Integration Engineer responsibilities:

- Provides input on strategic decisions within the team, such as: new system features and functionality, process definition, system roadmap, annual planning, portfolio management, etc.
- Lead the architectural design of integrations and automations, ensuring scalability, performance, and alignment with business objectives.
- Participate in strategic discussions, providing technical insights and recommendations to support the organization's long-term objectives.
- Provide technical leadership to the IT architecture & integration engineering team, mentoring junior engineers, and guiding them in best practices and advanced development techniques.
- Design and implement solutions for specific business needs.
- Lead and manage large-scale integration & automation development projects, ensuring timely delivery and alignment with business goals.
- Create and maintain comprehensive documentation of integration architectures, configurations, and processes.
- Closely work with business analysts, PMs, architects, engineers and business users to understand the business requirements, including working with 3rd party integrators.
- Provide recommendations for standard methodologies pertaining to integration design and development, with a mind towards best practices
- Exceptional communication skills, both written and verbal Detail-oriented, organized, self-motivated, hardworking, and a great team player with excellent interpersonal skills

### Requirements

Extends the Senior Integration Engineer requirements:

- 5-8 years of application integration experience.
- Multiple Integration certifications highly preferred.

## Principal Integrations Engineer

### Job Grade

Principal Integration Engineer is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the IT Manager or Sr IT Manager or IT Director, Enterprise Architecture & Integration Engineering.

### Responsibilities

Extends the Staff Integration Engineer responsibilities:

- Define the overall integration strategy, including selecting technologies, frameworks, and architectural patterns.
- Provide technical leadership to the IT architecture & integration engineering, setting standards, best practices, and mentoring junior and senior engineers.
- Act as a subject matter expert in application development and design.
- Lead large-scale integration & automation development projects and programs, overseeing all aspects from planning and resource allocation to execution and delivery.
- Contribute to the development of the organization's IT strategy, providing technical insights and recommendations to support long-term objectives.
- Facilitate knowledge sharing across the organization and mentor team members.
- A strategic leader within the organization.
- Collaborates and makes proposals across several teams, and helps team members make informed decisions in alignment with strategic plans.
- Lead master data management initiatives from the data modeling side. Design and promote the enterprise data model.
- POC or POV new integration technologies & initiatives.
- Lead Automation Workshops & office hours.
- Tracks all project requests in functional area and updates status of projects on a regular basis.
- Adhere to IT controls and security protocols, ensuring compliance with data privacy regulations and maintaining a high level of data security throughout the integration processes.
- Collaborate with external vendors and partners, as necessary, to ensure seamless integration between systems and resolve any integration-related challenges.

### Requirements

Extends the Staff Integration Engineer requirements:

- 8-12 years of application integration experience.

## Distinguished Integrations Engineer

### Job Grade

Distinguished Integration Engineer is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the IT Manager or Sr IT Manager or IT Director, Enterprise Architecture & Integration Engineering.

### Responsibilities

Extends the Principal Integration Engineer responsibilities:

- Develop and articulate a forward-thinking technology vision and strategy for IT architecture & integration engineering aligned with the organization's long-term goals.
- Provide leadership in defining the architectural framework for complex integration & automation solutions, ensuring scalability, security, and robustness.
- Serve as a technical mentor and role model, guiding and developing the skills of junior and senior engineers.
- Establish strategies for seamless scalability to accommodate rapid growth.
- Oversee the planning and execution of major integration development projects and programs, aligning them with organizational objectives.
- Influence customer roadmaps and collaborate on innovative solutions.
- Collaborate with the executive team to align technology initiatives with the overall business strategy.
- Acts as an advisor to Senior Leadership.
- Influences Senior Leadership to adopt a different point of view when appropriate, and makes decisions that have an impact on business direction.
- Stay up-to-date with the latest industry trends and best practices in API, integration and automation technologies, recommending improvements and innovations to enhance the overall integration landscape.
- Actively and proactively manage and mitigate technical risks.
- Align organization to industry best practices, capabilities by actively participating in workshops, forums, conferences.
- Plan Current and future integration roadmaps.

### Requirements

Extends the Principal Integration Engineer requirements:

- 12+ years of application integration experience.

## Manager, Robotics Process Automation (RPA)

### Job Grade

Manager, Robotics Process Automation is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) reports to the  Sr Manager or IT Director, Integration Engineering.

### Responsibilities

- Business Operations: Build, maintain, automate manual & repetitive processes to more efficiently deliver for our business partners. All processes should be documented in the handbook.
- Technical Delivery: Drive end to end delivery processes with minimal guidance.
- Project Management: Run medium-sized projects that improve our ability to make better data driven insights or make the company more efficient.
- Communication: Target audience Sr. Manager, Director, Sr. Director and functional VP.
- Communicate and document technical details clearly to various stakeholders of different technical capabilities (VP of IT, Sales Operations, Software Engineer)
- Ensure that RPA Automations are designed and implemented as reusable building block in alignment Enterprise Architecture & COE

### Requirements

- Bachelor's degree, preferably in Computer Science, Information Technology, Computer Engineering, or related IT discipline; or equivalent experience.
- 5+ years of Ui Path experience and Strong proficiency in Ui Path Studio, Robots, Orchestrator, Automation Hub and other UI Path products
- In-depth knowledge of RPA concepts, best practices, design patterns, frameworks & error management
- Hands-on experience in designing and deploying RPA Solutions with Ui Path.
- Hands-on Automation experience across enterprise systems: SalesForce, Netsuite, Zuora Billing,Zuora Revenue, Coupa, Zip, Navan, Workday, ADP, eTrade etc.
- Experience as UiPath Solution Architect or UiPath Senior Engineer in a mature, large-scale automation center of excellence (COE) Preferred
- Experience in Agile, CI/CD, DevOps practices and SOX environment
- Experience in building & enhancing RPA microsoft infrastructure
- Familiarity with cloud-based technologies, such as AWS, Azure, or Google Cloud Platform
- Strong proficiency in data querying languages (SQL), programming languages (Python, R), and data visualization tools.
- Skilled in working with security standards & protocols like SAML,OAuth, etc.
- Skilled in working with various integration patterns and technologies such as REST, SOAP, JSON, XML, and other data formats
- Collaborate with peers to write, review, and provide feedback on technical design proposals and participate in and contribute to code/configuration reviews. Partner with Enterprise Apps team for QA to ensure scalable tests, release plans and end user documentation
- Be a self-starter, and thrive in a fast paced environment, customer centric and have the interpersonal skills necessary to manage business and technology relationships.
- Exceptional time management and prioritization skills, resilient under pressure, able to meet deadlines and able to work in a constantly changing environment.
- Exhibit strong security and confidentiality practices with systems that handle sensitive data.
- Multiple Ui Path certifications highly preferred

## Manager, Enterprise Architecture & Integration Engineering

### Job Grade

Manager, Enterprise Architecture & Integration Engineering is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the Sr Manager or IT Director, Enterprise Architecture & Integration Engineering.

### Responsibilities

- Extends that of the Senior Architect & Senior Integrations Engineer responsibilities.
- Business Partnership: Influences outcomes in cross-functional settings often.
- Owns relationships with partners while providing advice and guidance. -Team Leadership: Can manage a team to deliver results by dividing and balancing work between employees ensuring that results meet Enterprise Applications standards.
- Project Management: Run and deliver on key components of large complex projects that improve our ability to make better data-driven insights or make the company more efficient.
- Communication: Target audience basic influence to Directors, Sr Directors, Functional VPs, and CFO.
- Mentorship: As a manager you mentor other team members in technical delivery, process analysis, and improvement.
- Autonomy: Delivers and effectively prioritizes projects assigned with clear scope.

### Requirements

Extends that of the Senior Architect & Senior Integrations Engineer requirements:

- Communication : Demonstrated an ability to influence business stakeholders.
- Experience as owning a portion of system delivery for business function as a Business Technology partner.
- 5-7 years of experience in integration engineering role ideally with an enterprise SaaS software model company.
- 5+ years of Enterprise Architect experience.

## Senior Manager, Enterprise Architecture & Integration Engineering

### Job Grade

Senior Manager, Enterprise Architecture & Integration Engineering is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and reports to the IT Director Enterprise Architecture & Integration Engineering  or VP, IT.

### Responsibilities

Extends that of the Manger, Enterprise Architecture & Integration Engineering responsibilities:

- Partnerships:
  - Working with internal and external cross functional teams, business stakeholders, service providers, vendors to design, develop and implement enterprise architecture strategies.
  - Provides thought leadership and clear technical direction to the team to deliver results and business value.
  - Analyze existing business processes and data flows to develop system designs, delivery roadmaps and integrations to other systems
- Strategy:
  - Create secure, scalable and high performance enterprise solutions.
  - Developing methodologies and processes to ensure compliance to Integrations & Architecture strategies.
  - Responsible for the high-level design and implementations of integrations across the application eco-system by effectively partnering with business users, application developers and vendors.
- Technical Solutions:
  - Responsible to develop and maintain current state and future state technology roadmaps aligned with approved IT Investments and approved by Leadership.
  - Support the transformation of the technology architecture to support the company growth plans, building scalable platform solutions as well as building and customizing best in class software products.
  - Lead master data management initiatives from the data modeling side. Design and promote the enterprise data model.
  - Evaluate alternatives and formulates system scope and objectives to create or modify integration services.
  - Troubleshoots production problems and works to fix issues
- Leadership:
  - Builds and leads a transformational team that is required to design and execute on key business and technical strategies.
  - Mentors and coaches the team to foster a culture of continuous learning and collaboration.

### Requirements

Extends that of the Manger, Enterprise Architecture & Integration Engineering requirements:

- 10+ years of experience in an integration engineering role ideally with an enterprise SaaS software model company.
- 8-10 years of Enterprise Architect experience.
- Demonstrated experience managing and integrating multiple Enterprise Business Platforms such as Marketo, Salesforce, Zuora Billing, Zuora Revenue, Netsuite, Workday, ServiceNow and the likes.
- Hands-on experience working with iPaaS tools like Workato, Mulesoft, Boomi, Tray.io etc.
- Successfully integrated applications and automated business processes resulting in measurable productivity or efficiency gains.
- Designed and built technology-based solutions that improve employee experience.
- Worked with and built global teams in both higher cost and lower cost geographies to balance experience and cost.
- Expert knowledge of IT best practices, policies, and regulations, including a clear understanding of client/server technology and network architecture.
- Excellent project management skills and strong ability to prioritize.

## Performance Indicators

- [Evaluating System or Process Efficiency](https://internal.gitlab.com/handbook/it/it-performance-indicators/#evaluating-system-or-process-efficiency)
- [Average Merge Request](https://internal.gitlab.com/handbook/it/it-performance-indicators/#average-merge-request)
- Evaluating health of integrations
- Number of integrations implemented that increase the efficiency of the company
- Total hours saved by improving systems integrations
- Number of reference architecture designs
- Ensure that architecture related decisions follow the different department roadmaps

## Career Ladder

Any IT team member can explore lateral career moves within the broader IT job family, provided they fulfill the responsibilities and requirements associated with the desired role.

## Hiring Process

- Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to a 45 minute interview with a senior member of the team.
- Second round interviews will involve interviews with 2 members of the Data Team and/or others.
- Third round interview is with the Senior Director of Enterprise Applications.
- At final stage candidates will meet with the VP of Information Technology.
- Additional details about our process can be found on our [hiring page](/handbook/hiring/).
