---
title: Director, Internal Audit
description: Responsible for supporting the Vice-President, Internal Audit in preparing and implementing a risk-based audit plan to assess, report on, and recommend improvements to address GitLab's strategic, business and compliance objectives.
---

The position additionally will support in developing and executing the Internal Audit strategic plan and roadmap to build the next generation Audit function.

The Director, Internal Audit reports to the Vice-President, Internal Audit.

### Job Grade

The Director, Internal Audit is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Plans and executes risk-based operational audits and makes high impact recommendations to address GitLab's strategic, business and compliance objectives as well as current and emerging internal and external risks
- Provides oversight over GitLab SOX program to ensure the program is run effectively and efficiently
- Supports in developing and executing Internal Audit strategic plan and roadmap to build the next generation audit function
- Implement Quality Assurance and Improvement Plan (QAIP) to meet the IIA standards and ensure ongoing compliance to QAIP requirements
- Drives the reporting packages to the Audit Committee and other stakeholders
- Build and manage a highly functioning, distributed team of direct reports.
- Identify and assess the implementation of new controls as necessary.
- Identify and design anti-fraud criteria and controls.
- Monitor and audit the company's compliance with established internal controls.
- Report findings to senior management and the company's audit committee.
- Coordinate activities with external auditors to support their audit and review procedures.
- Lead and participate in special projects and other critical initiatives of Internal Audit function

### Requirements

*Subject matter expertise in auditing and enterprise risk management concepts (e.g., risk assessment/prioritization, process & internal controls, root cause analysis)

- Demonstrated strong professional judgment, critical thinking and written/oral communication skills (e.g., persuasion, influence, conflict resolution)
- Experienced in leading teams leveraging data and analytical tools to solve business problems and in the audit lifecycle (e.g., audit plan development, risk assessment, engagement execution, reporting, findings management)
- Experienced in leading, coaching and developing team members
- Demonstrated ability to drive a clear vision for the team & manage and coordinate work across global teams
- Creative approaches and solutions necessary to solve complex problems.
- Strong written and verbal communication skills with experience interacting with and presenting to senior management-level personnel.
- Able to utilize Best Practices on recommendations and audit findings.
- Ability to work in US time zones mainly Pacific and Eastern time zones
- 10+ years of experience in audit and risk management
- Experience in the software industry is highly preferred.
- MBA, Bachelor's degree in accounting or related finance field. Chartered accountant (CA) or certified public accountant (CPA) desirable.
- Certified internal auditor (CIA) or certified information systems auditor (CISA) preferred.
- Ability to use GitLab

### Performance Indicators

- [Percentage of Desktop procedures documented](https://internal.gitlab.com/handbook/internal-audit/#internal-audit-performance-measures)
- [Percentage of controls tested](https://internal.gitlab.com/handbook/internal-audit/#internal-audit-performance-measures)
- [Percentage of recommendations implemented](https://internal.gitlab.com/handbook/internal-audit/#internal-audit-performance-measures)
- [Percentage of audits completed](https://internal.gitlab.com/handbook/internal-audit/#internal-audit-performance-measures)
- [New Hire Location Factor < 0.69](https://internal.gitlab.com/handbook/it/it-performance-indicators/#new-hire-location-factor--069)
- Completing tasks and audits timely and efficiently
- Utilizing Best Practices related to audit findings and recommendations.
- Approval ratings based on surveys above 80% in the first year, moving to 90% in subsequent years.

### Career Ladder

The next step in the Internal Audit job family is to move to the [Internal Audit](/job-families/finance/#internal-audit/) job family.

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 45 minute interview with our Controller.
- Candidates will then be invited to schedule a 45 minute interview with our CFO.
- Finally, candidates will interview with Chairman of the Audit Committee.
- Successful candidates will subsequently be made an offer via email.

Additional details about our process can be found on our [hiring page](/handbook/hiring/interviewing/).
