---
title: Internal Auditor
description: The Internal Auditor is responsible for assisting the Internal Audit team in performing tasks such as creating data requests, performing testing of controls, document evidence of the testing, follow up with function owners for pending information requests, as directed.
---

The Internal Auditor reports to the Senior Internal Audit Manager.

### Job Grade

The Internal Auditor is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Assist in performing testing as per the test programs designed to evaluate the adequacy and effectiveness of internal controls.
- Assist in documenting GitLab's financial/audit processes
- Assist in creating GitLab issues to collect preliminary data, conduct analyses and perform transactional and control based testing
- Assist in the identification and documentation of weaknesses in control design and effectiveness based on analyses performed.
- Assist with follow-ups on key management actions from prior audit reports determining if required action was taken

### Requirements

- Ability to use GitLab.
- At least 3 - 5 years of experience in auditing or a related field
- Bachelor's degree in Accounting, Business Administration, or a related field
- Related professional designation (CPA, CISA, CIA) (preferred)
- Understanding of internal control concepts and experience in applying them to plan, perform and report on the evaluation of various business processes/areas/functions
- Ability to work on complex tasks with the required direction and guidance
- Strong verbal and written communication skills
- Understanding of the technical aspects of accounting and financial reporting

### Performance Indicators

- [Percentage of Desktop procedures documented](https://internal.gitlab.com/handbook/internal-audit/#internal-audit-performance-measures)
- [Percentage of controls tested](https://internal.gitlab.com/handbook/internal-audit/#internal-audit-performance-measures)

### Career Ladder

The next step in the Internal Auditor job family is to move to the [Senior Internal Auditor](/job-families/finance/internal-audit/#senior-internal-auditor) job family.

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a first interview with our Senior Internal Audit Manager.
- Candidates will then be invited to schedule a second round of interview with Principal Accounting Officer.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
