---
title: Manager, Internal Audit and SOX
Description: Responsible for managing the Internal Audit and SOX team.
---

Additionally, they prepare and implement a risk-based audit plan to assess, report on, and make suggestions for improving the company's key operational and finance activities and internal controls. The Manager Internal Audit reports to the Senior Internal Audit Manager.

### Job Grade

The Manager, Internal Audit is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Lead and manage the Internal Audit and SOX analyst team
- Primary responsibility for determining, documenting and implementing the Company's internal audit policies
- Document financial processes and perform test of controls for SOX compliance and audits
- Assist with the execution of the internal audit plan and timely completion of assigned audits
- Assist with enterprise risk management activities
- Recommend improvements related to the Company's key controls
- Work closely with external auditors and Internal Audit and SOX Manager
- Must be able to work collaboratively with the operational accounting team and business functions
- Responds to inquiries from the CFO, Controller, and company wide managers regarding financial results, special reporting requests and the like
- Act as a subject matter expert, working with the business partners in accounting and other functions (e.g., legal, corporate development, stock administration) to identify financial risks associated with new or contemplated transactions and resolve complex accounting issues
- Participate in team planning including setting team goals and priorities, monitoring progress and removing roadblocks

### Requirements

- Minimum seven (7) years experience conducting internal audits, including minimum two (3) years of experience in Information Technology industry in internal / external audit preferred
- Audit experience at a public accounting firm is considered as an asset
- Knowledge of audit methodologies and frameworks and related governance concepts, tools, techniques, and best practices
- Undergraduate degree in Business, Accounting or Finance
- Chartered Accountant/ CPA /CIA certification preferred
- Certified Internal Auditor (CIA), Certified Information Systems Auditor (CISA), or Certified Fraud Examiner (CFE) designations are considered an asset
- Excellent written and oral communication skills
- Have an understanding of enterprise risk management framework such as COSO enterprise risk management framework
- Ability to communicate information in an understandable form to the right parts of the organization
- Ability to work effectively in a team environment, both within Internal Audit and across other departments
- Must be able to work in US and Canada timezones, when required
- In-depth knowledge of SEC filing requirements, experience highly preferred.
- Strong working knowledge of US GAAP principles and financial statements
- Ability to balance quality of work with speed of execution
- Ability to use GitLab

### Performance Indicators

- [Percentage of Desktop procedures documented](https://internal.gitlab.com/handbook/internal-audit/#internal-audit-performance-measures)
- [Percentage of controls tested](https://internal.gitlab.com/handbook/internal-audit/#internal-audit-performance-measures)
- [Percentage of recommendations implemented](https://internal.gitlab.com/handbook/internal-audit/#internal-audit-performance-measures)
- [Percentage of audits completed](https://internal.gitlab.com/handbook/internal-audit/#internal-audit-performance-measures)

### Career Ladder

The next step in the Manager, Internal Audit job family is to move to the Senior Manager, Internal Audit role.
