---
title: Senior Internal Auditor
description: Responsible for performing individual internal audit projects, as part of the total internal audit plan.
---

Responsibilities includes developing internal audit scope, performing internal audit procedures, and preparing internal audit reports reflecting the results of the work performed. Work performed will include coverage of functional and operating units and focusing on financial, IT and operational processes. Additionally, the senior internal auditor performs follow-up on the status of outstanding internal audit issues. The senior internal auditor will also assist internal audit management with periodic reporting to the audit committee, development of the annual internal audit plan, and championing internal control and corporate governance concepts throughout the business.

The senior internal auditor may often direct and review the work performed by other internal audit personnel, including resources from the co-sourcing firm.

The Senior Internal Auditor reports to the Senior Internal Audit Manager.

### Job Grade

The Senior Internal Auditor is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Contributes to the development of the annual audit plan for business units in the assigned audit portfolio
- Develops detailed and thorough risk assessment for each audit engagement
- Owns each assigned audit from the initial planning to completion
- Effectively communicates the objectives, scope and timelines of the audit to the auditees and relevant stakeholders at the start of the engagement
- Documents detailed working papers and ensures that audit conclusions are supported by sufficient and relevant audit evidence
- Effectively communicates audit findings to the auditee
- Drafts audit reports including value-added observations
- Follows up and monitors the progress of the implementation of recommendations
- Develops and maintains effective working relationships with business and corporate functions
- Supports the alignment of activities between the control functions (i.e. Compliance, Finance, External Auditors, etc.) to improve communications and efficiency of audit and risk management activities
- Assists with quarterly and annual reporting to the Audit Committee, Board of Directors and Senior Management
- Performs advisory engagements, investigations and special projects as assigned
- Continually improves skills and competencies required for the position
- Identifies opportunities for internal audit to provide value added services to the organization
- Lead end to end walkthroughs to identify risks, control gaps, and improvement opportunities.
- Ensure appropriate documentation of internal controls including narratives, process flowcharts, control descriptions and risk control matrices
- Design, execute and complete testing of the design and operating effectiveness of SOX business process and IT controls, including entity and process level controls, IT general and application controls, SOC report reviews
- Maintains an up-to-date knowledge of the standards and guidance included in the International Professional Practice Framework (IPPF) developed by the IIA; stays current with evolving knowledge in the field of Internal Auditing; maintains compliance with IIA standards and its Code of Ethics

### Requirements

- Minimum five (5) years experience conducting internal audits, including minimum two (2) years of experience in Information Technology industry in internal / external audit preferred
- Audit experience at a public accounting firm is considered as an asset
- Knowledge of audit methodologies and frameworks and related governance concepts, tools, techniques, and best practices
- Undergraduate degree in Business, Accounting or Finance
- Chartered Accountant/ CPA /CIA certification preferred
- Certified Internal Auditor (CIA), Certified Information Systems Auditor (CISA), or Certified Fraud Examiner (CFE) designations are considered an asset
- Excellent written and oral communication skills
- Have an understanding of enterprise risk management framework such as COSO enterprise risk management framework
- Ability to communicate information in an understandable form to the right parts of the organization
- Ability to work effectively in a team environment, both within Internal Audit and across other departments
- Must be able to work in US time zones mainly Pacific and Eastern time zones with the overlap of at least 4 hours
- Ability to use GitLab

### Performance Indicators

- [Percentage of Desktop procedures documented](https://internal.gitlab.com/handbook/internal-audit/#internal-audit-performance-measures)
- [Percentage of controls tested](https://internal.gitlab.com/handbook/internal-audit/#internal-audit-performance-measures)
- [Percentage of recommendations implemented](https://internal.gitlab.com/handbook/internal-audit/#internal-audit-performance-measures)
- [Percentage of audits completed](https://internal.gitlab.com/handbook/internal-audit/#internal-audit-performance-measures)

### Career Ladder

The next step in the Senior Internal Auditor job family is to move to the [Manager, Internal Audit and SOX](/job-families/finance/internal-audit/#manager-internal-audit) job family.

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a first interview with our Senior Internal Audit Manager
- Candidates will then be invited to schedule a second round of interview with Principal Accounting Officer

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
