---
title: Senior Manager, Internal Audit
Descrition: Responsible for performing individual internal audit projects, as part of the total internal audit plan.
---

Responsibility includes developing internal audit scope, performing internal audit procedures, and preparing internal audit reports reflecting the results of the work performed. Work performed will include coverage of functional and operating units and focusing on financial, IT and operational processes. Additionally, the senior internal auditor performs follow-up on the status of outstanding internal audit issues. The senior internal auditor may often direct and review the work performed by other internal audit personnel, including resources from the co-sourcing firm.
The Senior Manager, Internal Audit reports to the [VP, Internal Audit](#Vice President, Internal Audit).

### Job Grade

The Senior Manager, Internal Audit is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Develops and updates internal audit methodology for the group
- Lead audit team in executing internal audit assignment as per approved internal audit plan by adopting risk –based approach
- Develop fieldwork schedules, priorities and detailed audit programs for achieving audit objectives and goals
- Update PAO on the progress of the audit and any emerging issues during audit fieldwork
- Develop audit finding and provide risk rating and audit opinion for each assigned audit
- Ensure sufficient audit evidences are in place and retained
- Supervising and coordinating work being performed by co-sourcing auditors. (audit firms)
- Conduct special investigation as requested by the audit committee, senior management
- Lead a comprehensive SOX rationalization program to identify key controls and assist with developing a standalone SOX program within Internal Audit
- Complete the SOX risk assessment and materiality assessment as well as the fraud risk assessment to ensure compliance with COSO standards and appropriate scoping and coverage of the SOX program
- Prepare quarterly reporting for the Audit Committee
- Work closely with the management to ensure appropriate coverage for the SOX testing, including Entity Level controls, End User Controls, SSAE-16 report review and IT General Controls
- Work closely with  external auditors to ensure the program meets their requirements in terms of scope, timing and approach
- Assist in recruiting, screening, hiring, developing and mentoring staff, including career-counseling support by sharing information among the Internal Audit group, transferring knowledge and providing  Foster and maintain group spirit and high team moraleinstruction/guidance as appropriate
- Support the team as a Subject Matter Expert on COSO, ICOFR and SOX strategy and program

### Requirements

- Minimum seven (10) years experience conducting internal audits, including minimum two (4) years of experience in Information Technology industry in internal / external audit preferred
- Audit experience at a public accounting firm is considered as an asset
- Knowledge of audit methodologies and frameworks and related governance concepts, tools, techniques, and best practices
- Undergraduate degree in Business, Accounting or Finance
- Chartered Accountant/ CPA /CIA certification preferred
- Certified Internal Auditor (CIA), Certified Information Systems Auditor (CISA), or Certified Fraud Examiner (CFE) designations are considered an asset
- Excellent written and oral communication skills
- Have an understanding of enterprise risk management framework such as COSO enterprise risk management framework
- Ability to communicate information in an understandable form to the right parts of the organization
- Ability to work effectively in a team environment, both within Internal Audit and across other departments
- Must be able to work in US and Canada timezones, when required
- In-depth knowledge of SEC filing requirements, experience highly preferred
- Strong working knowledge of US GAAP principles and financial statements
- Ability to balance quality of work with speed of execution
- Ability to use GitLab
