---
title: Staff Internal Audit & SOX Compliance Analyst
description: responsible for preparing and implementing a risk-based audit plan to assess, report on, and make suggestions for improving the company's key operational, finance, and internal controls with a specialty in IT risk and security
---

The position is additionally responsible for identifying and assisting in documenting existing internal controls, new internal controls, and establishing an internal monitoring function to audit the company's compliance with such internal controls. The position will have a key role in assessing and providing recommendations to the company's compliance with the requirements of the Sarbanes-Oxley Act of 2002 (SOX), and treatment of IT and security risks.

The Staff Internal Audit & SOX Compliance Analyst reports to the Senior Internal Audit Manager, IT and Security.

### Job Grade

The Staff Internal Audit & SOX Compliance Analyst is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Lead end to end walkthroughs to identify risks, control gaps, and improvement opportunities
- Contributes to the overall direction of the department through expertise in audit and compliance activities, and partnership with leadership in decision making
- Design, execute and complete testing of the design and operating effectiveness of SOX business process and IT controls, including entity and process level controls, IT general and application controls and SOC report reviews
- Improve SOX documentation and work papers (i.e. work with process owners to refine risk control matrix, improve process flows, refine / develop test procedures, propose control language and associated risks etc.)
- Assist and make recommendations in evaluation of new processes, policies and systems to determine relevance to and impact on the SOX program, including assessing design of controls based on identified risks
- Evaluate audit findings and coordinate remediation of deficiencies
- Manage and/or contribute to special projects both on-going and recurring (e.g., scaling controls, segregation of duties, implementation - support/advisory), as needed, in an effective and efficient manner
- Provide guidance to and mentor interns and junior SOX testers or audit staff

### Requirements

- Excellent verbal and written communication skills with the ability to interact effectively with all levels of management
- Demonstrated problem-solving abilities with customer service orientation
- Self-starter and flexible team player
Ability to work in a fast-paced environment with changing processes and procedures
- Strong project management abilities
- Must have advanced SOX compliance experience and be knowledgeable with the following financial cycles: Record to Report, Order to Cash, Hire to Retire, Procure to Pay, and ITGCs
- Comprehension of internal auditing standards, SOX, COSO and risk-assessment practices.
- Must be able to work during US time zones mainly Pacific and Eastern time zones with the overlap of at least 4 hours
- Degree in Accounting, Business or Finance required
- Technical auditing skills and corporate-level audit experience required
- 5+ years of experience in SOX/internal audit preferred, of which at least 3 years of SOX experience required
CA/CPA/CIA/ certification preferred
CISA/CISSP/IT Audit certification preferred
- Ability to use GitLab

### Performance Indicators

- [Percentage of Desktop procedures documented](https://internal.gitlab.com/handbook/internal-audit/#internal-audit-performance-measures)
- [Percentage of controls tested](https://internal.gitlab.com/handbook/internal-audit/#internal-audit-performance-measures)
- [Percentage of recommendations implemented](https://internal.gitlab.com/handbook/internal-audit/#internal-audit-performance-measures)
- [Percentage of audits completed](https://internal.gitlab.com/handbook/internal-audit/#internal-audit-performance-measures)

### Career Ladder

The next step in the Senior SOX Compliance Anaylst job family is to move to the [Manager, Internal Audit and SOX](/job-families/finance/internal-audit/#manager-internal-audit) job family.

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a first interview with our VP, Internal Audit

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
