---
title: "Investor Relations"
description: "The Investor Relations team drives the strategy and long-term market positioning of GitLab in the public financial markets."
---

## Investor Relations Analyst

The Investor Relations analyst will be involved in multiple IR activities. They develop a deep and strategic understanding of GitLab's business, industry and competitors, and work directly with senior executives and Wall Street analysts. The IR Analyst enables the team to scale GitLab's activities, reach more investors, and leverage our C-level executives. We are a small team, so the IR analyst will experience all aspects of IR.  This role reports to the Vice President of Investor Relations.

### Job Grade

The Investor Relations Analyst is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Develop a deep understanding of GitLab's initiatives, the broader DevOps ecosystem, and the competitive environment to shape the investment thesis.
- Assist in the quarterly earnings process including overall messaging development, datapoint collection and synthesis, scripts, Q&A prep, and conference call prep.
- Analyze competitors' business models through their financial announcements, SEC filings and analyst days; report with quantitative and qualitative analysis to execs with information and perspective that might impact the company.
- Maintain competitive peer analysis, including the development of industry and peer company performance benchmarks.
- Maintain competitive peer analysis, including the development of industry and peer company performance benchmarks.
- Prepare execs to meet investors with appropriate materials and context.
- Plan and assist with investor meeting logistics and other corporate access events.
- Develop strategies and implement programs to keep the financial community current on company performance and industry trends.
- Manage sell-side analyst models and monitor consensus vs. our forecast.* Track investor base and aid in targeting efforts to appropriate investors, to expand and maintain key ownership positions.

### Requirements

- Bachelor's degree in business or related field; advanced degree is preferred.
- 2+ years' experience in investment banking, private equity, equity research, corporate development or similar field.
- Highly organized, analytical and ability to multitask.
- Strong analytical skills, fluency in performing rigorous financial, valuation and broad quantitative analyses.
- Proficient in presentation and spreadsheet tools.
- Ability to source databases and the public internet for competitive intelligence.
- Communication skills to interact with cross-functional partners

## Vice President, Investor Relations

The Vice President of Investor Relations drives the strategy and long-term market positioning of GitLab in the public financial markets. This position reports to the CFO and works closely with senior leadership across the company including interaction with the executive team. This position will be responsible for developing and executing an effective investor communications strategy, performing financial analysis, and maintaining strong relationships with investors, investment banks and analysts. The VP of IR is expected to be deeply immersed in GitLab's values of transparency and efficiency and has a passionate point of view of how to incorporate those values into GitLab's investor relations strategy and process.

### Job Grade

The Vice President, Investor Relations is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).\

### Responsibilities

1. Develop long term relationships with industry analysts and investors to communicate the company's financial results and strategic positioning.
1. Design the quarterly earnings process and Q&A topics in partnership with CEO, CFO and executive team.
1. Execute on the Company's investor education strategy to ensure the GitLab story is well positioned to the top 30 software IPO investors.
1. Serve as a key advisor to the CFO on issues involving analyst and investor perception of the long term growth and health of the business.
1. Serve as an on-the-record spokesperson with industry analysts, to advance corporate brand narratives with financial data & insights.
1. Monitor industry developments and market trends, develop executive summaries for senior leadership and the Board of Directors on peer company news, financial and market share performance.
1. Maintain strong relationships with investors by coordinating efficent and effective education events; identify speaking opportunities for e-goup members to position the company favorably at important events.
1. Manage information necessary for preparation of strategic financial and investor communications
1. Prepare quarterly earnings release materials including press releases, conference call scripts, Q&A and slide presentation; prepare other financial press releases and supplemental materials.
1. Liaise with Analyst and Media Relations and Corporate Communications on materials such as press and earnings releases, for dissemination to the public.

### Requirements

1. Senior level leadership experience in Investor Relations and related roles.
1. Excellent writing skills for crafting scripts, financial presentations, investor kits, etc.
1. Confident and strong presentation skills in financial environments and the ability to communicate with sophisticated financial investors.
1. Strong quantitative and qualitative analytical abilities with attention to detail.
1. Established relationships with relevant sell side and buy side analysts a plus.
1. Experience communicating the growth and metrics of subscription-based models a plus.
1. Ability to use GitLab

## Performance Indicators

1. New hire location factor
1. [Enterprise Value to Sales](/handbook/finance/investor-relations/#enterprise-value-to-sales)
1. Percent of analysts who describe the company the same way we do
1. Percent of unanticipated questions during earning calls; Target > 80% of questions are anticipated
1. Investor satisfaction
1. Volitality benchmark
