---
title: SOX Program Management
---

## Director, SOX PMO Leader

Responsible for leading the Sarbanes-Oxley ("SOX") function at GitLab. Reporting to the Chief Accounting Officer, the Director will have broad exposure to the operations of the company and will work with leaders across Finance, Operations, Legal, HR, Sales, Engineering and IT to establish, maintain an appropriate internal control environment and lead and manage relations  with internal/external auditors. The leader will build a team to execute the scoping, testing and documentation of GitLab's SOX compliance efforts. This position will additionally guide management in developing and implementing the right controls framework. This highly visible role will work closely with senior management, cross-functional leaders throughout the company and the Audit Committee.

The Director, SOX PMO Leader reports to the Chief Accounting Officer.

### Job Grade

The Director, SOX PMO Leader is a grade 10.

### Responsibilities

- Provides oversight over GitLab SOX program (both business process; and Product, Enterprise & Corporate IT Applications) to ensure the program is run effectively and efficiently.
- Oversee the effort to design, develop and test the Company's internal controls over financial reporting including documentation and assessment (i.e. narratives, flowcharts, risk and control matrices) and annual testing plan.
- Act as the "go-to" person for internal controls within the organization and provide guidance for implementing controls within a business process in an efficient and effective manner.
- Develop and maintain close working relationships with the management teams, internal audit team and subject matter experts of all major functional areas as well as the external auditor, ensuring an understanding of key risks and processes throughout the organization.
- Lead cross-functionally to ensure IT systems are up-to-date, monitored and have appropriate controls as it relates to financial reporting.
- Build and manage a highly functioning, distributed team of direct reports.
- Identify and assess the implementation of new controls as necessary.
- Identify and design anti-fraud criteria and controls
- Monitor and audit the company's compliance with established internal controls.
- Review findings from audits and facilitate the remediation plans with written Memos.
- Report findings to senior management and the company's audit committee.

### Requirements

- *Subject matter expertise in auditing and enterprise risk management concepts (e.g., risk assessment/prioritization, process & internal controls, root cause analysis).
- Demonstrated strong professional judgment, critical thinking and written/oral communication skills (e.g., persuasion, influence, conflict resolution).
- Experienced in leading teams leveraging data and analytical tools to solve business problems and in the audit lifecycle (e.g., audit plan development, risk assessment, engagement execution, reporting, findings management).
- Experienced in leading, coaching and developing team members.
- Demonstrated ability to drive a clear vision for the team & manage and coordinate work across global teams.
- Creative approaches and solutions necessary to solve complex problems.
- Strong written and verbal communication skills with experience interacting with and presenting to senior management-level personnel.
- Able to utilize Best Practices on recommendations and audit findings.
- Ability to work in US time zones mainly Pacific and Eastern time zones.
- 10+ years of experience in audit and risk management.
- Experience in the software industry is highly preferred.
- MBA, Bachelor's degree in accounting or related finance field. Chartered accountant (CA) or certified public accountant (CPA) desirable.
- Certified internal auditor (CIA) or certified information systems auditor (CISA) preferred.
- Experience working with AuditBoard or similar tool a strong plus.
- Ability to use GitLab.

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our team page.

- Qualified candidates will be invited to schedule a 30 minute screening call with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 45 minute interview with our Controller.
- Candidates will then be invited to schedule a 45 minute interview with our CFO.
- Finally, candidates will interview with Chairman of the Audit Committee.
- Successful candidates will subsequently be made an offer via email.

Additional details about our process can be found on our [hiring pag](/handbook/hiring/interviewing/).
