---
title: Statutory Accounting and Reporting
---

The Statutory Accounting and Reporting job family is responsible for ensuring entity-level financial statements are accurate and complete based on applicable GAAP for all non-US GitLab entities. This job family is also responsible for managing the statutory audits for those entities and ensuring compliance with all statutory regulations.  Statutory Accounting and Reporting is also responsible for compliance with state and local reporting requirements in the US.

## Statutory Compliance and Reporting Senior Manager

The Statutory Compliance and Reporting Senior Manager reports to the [Director of Tax](/job-families/finance/tax/#director-tax).

### Job Grade

The Statutory Accounting and Compliance Senior Manager is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Work with local service providers for each operating entity to ensure compliance with statutory reporting, collaborating with the Accounting team as needed
- Identify and calculate US GAAP to local GAAP adjustments
- Perform analysis to determine the impact of new accounting standards, changes in accounting policies, impact of non-GAAP policies, etc. on statutory reporting requirements
- Ensure all intercompany transactions are recorded appropriately and reconcile transaction level activity on a monthly basis
- Calculate intercompany loan interest, transfer pricing, management fee allocation, etc. as needed
- Own intercompany settlement process
- Ensure compliance with intercompany agreements
- Review CTA and FX gain/loss associated with intercompany activity for reasonableness
- Generate a cash forecast for intercompany and tax activity
- Review entity level financial statements on a monthly basis
- Reconcile VAT/GST activity and balance sheet accounts
- Ensure GitLab is properly registered in all necessary jurisdictions
- Facilitate gathering of tax return requests, collaborating with the Accounting and Payroll teams as needed

### Requirements

- Willingness to learn and use GitLab
- Eight plus years of a combination of accounting and tax experience, including working with entities outside of the US
- At least four years working as an auditor in public accounting and/or managing statutory audits
- Demonstrated working knowledge of US and local GAAP principles and financial statements
- Experience with Netsuite or other big ERP system is preferred
- Effective at completing tasks with minimal supervision
- Flexible to meet changing priorities and the ability to prioritize workload to achieve on time accurate results
- Proficient with Microsoft Office and/or Google Docs and Sheets

### Performance Indicators

- [Audit Adjustments](https://internal.gitlab.com/handbook/tax/performance-indicators/#audit-adjustments)

### Career Ladder

The next step in the Statutory Accounting and Compliance job family is to move to a higher level role would could be in various other job families in Accounting or Tax.

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 45 minute interview with our Director of Tax
- Candidates will then be invited to schedule a 45 minute interview with our VP Corporate Controller
- Finally, candidates may be asked to interview with other members of the Tax team
- Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
