---
title: "Tax"
---

## Levels

| Role                                                | Grade |
| ----- | ----- |
| VP, Tax | Level 12 |
| Senior Director, Tax (Domestic/Multinational) | Level 11 |
| Director, Tax(Domestic/Multinational) | Level 10 |
| Sr. Manager, Tax (Domestic/Multinational) | Level 9 |
| Manager, Tax (Domestic/Multinational) | Level 8 |
| Sr Analyst | Level 7 |
| Analyst | Level 6 |
| Jr Analyst | Level 5 |

### Junior Tax Analyst

The Junior Tax Analyst reports to the Manager, Tax. The responsibilities and requirements for a Junior Tax Analyst would be defined at the time of business need for the role.

#### Junior Tax Analyst Job Grade

The Junior Tax Analyst is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Tax Analyst (Intermediate)

The Tax Analyst (Intermediate) reports to the Manager, Tax. The responsibilities and requirements for a Tax Analyst would be defined at the time of business need for the role.

#### Tax Analyst (Intermediate) Job Grade

The Tax Analyst (Intermediate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Tax Analyst

The Senior Tax Analyst resorts to the Manager, Tax.

#### Senior Tax Analyst Job Grade

The Senior Tax Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Tax Analyst Responsibilities

- Manage indirect tax audits, including gathering information and responding to audit requests
- Prepare monthly sales and use tax-related journal entries and ensure that all sales and use tax liabilities and payments are recorded properly
- Work with team to create new processes and develop efficiencies in the tax process based on specialty
- Research, analyze, and model the impacts of legislative changes based on specialty
- Prepare/Review property tax returns
- Prepare and ensure that all annual reports are filed timely
- Ensure monthly accrual and reconciliation of indirect tax accounts as well as the ASC 450 process and ongoing analysis.
- Manage the business license renewal process and perform necessary research to determine if any new filings are required
- Review tax requirements for new products and/or system implementations based on specialty
- Partner with various teams, including accounting, legal, engineering, operations, and finance on a variety of initiatives
- Design and maintain SOX control processes and evidences
- Partner with and manage outside service providers on tax compliance based on specialty
- Assist with miscellaneous projects as necessary

#### Senior Tax Analyst Requirements

- Bachelor's Degree (B.S.) in Accounting, tax or related field.
- CPA designation desired.
- Progressive, relevant experience based on tax specialty.
- Experience with Software and/or SAAS in a high growth environment.
- Taking initiative and also working as a team player
- Experience with NetSuite, SalesForce, Zuora, Coupa, GSuite and Avalara are plusses.
- Superior Excel and analytical skills
- Outstanding organizational and presentation skills and attention to detail
- The capacity to multitask and prioritize workload
- Discretion and respect for confidential information
- Ability to use GitLab

### Multinational Tax Manager

The Multinational Tax Manager reports to the Sr. Director, Multinational Tax.

#### Multinational Tax Manager Job Grade

The Multinational Tax Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Multinational Tax Manager Responsibilities

- Prepare and review E&P calculations, Subpart F, FDII, BEAT, and GILTI inclusions, foreign tax credit and similar calculations for tax compliance and annual/quarterly provision purposes.
- Prepare and review foreign tax provisions for 15 foreign entities, including current tax provision and deferred tax.
- Manage external tax service providers efficiently to meet compliance obligations, optimizing balance between internal and external resourcing.
- Assist with the development and implementation of tax planning strategies that align with business objectives through collaboration with internal stakeholders.
- Research and understand potential tax legislation and participate in modeling different scenarios.
- Write tax technical and non-technical tax research and compliance memos.
- Keep current on developments in global tax that may affect our business, including monitoring and analyzing tax legislation.
- Engage and assist in special projects, including establishment of new legal entities, and other corporate initiatives, as needed.
- Engage and assist with M&A, including acquisition structuring and integration.
- Work closely with Treasury and Accounting to manage intercompany funding requirements, including leverage planning, cash contributions, and repatriation strategies.

#### Multinational Tax Manager Requirements

- Bachelor’s degree in Accounting or Juris Doctorate (JD)
- CPA, Master’s degree, and/or JD in Tax or Accounting a plus
- International US Corporate Tax experience (5-8 years)
- Strong oral and written communication skills
- Excellent organizational/analytical skills required
- Solid PC skills with a working knowledge of Google Suite, Slack, NetSuite, and Excel
- Understanding of US GAAP Income Tax Accounting (ASC740)
- Intermediate expertise in international tax concepts
- Strong work ethic and able to partner in a team-oriented environment
- Organized and flexible - ability to manage multiple projects/assignments, while meeting deadlines

### Manager, Tax

The Manager, Tax reports to the Director, Tax.

#### Manager, Tax Job Grade

The Manager, Tax is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Tax Responsibilities

- Extends that of the Staff Tax Analyst responsibilities
- Manage a team of analysts
- Conduct recurring 1:1's and evaluate team's performance

#### Manager, Tax Requirements

- Extends that of the Staff Tax Analyst requirement
- Demonstration of past mentorship and leadership capabilities

#### Senior Manager, Global Tax Accounting and Domestic Tax

The Senior Manager, Global Tax Accounting and Domestic Tax reports to the Director,  Global Tax Accounting and Domestic Tax.

### Senior Manager, Global Tax Accounting and Domestic Tax Job Grade

The Senior Manager, Global tax Accounting and Domestic Tax is a grade 9.

### Senior Manager, Global Tax Accounting and Domestic Tax Responsibilities

- Tax Provision: prepare/review quarterly and annual global tax provision including calculating/reviewing current calculation; maintaining deferred tax balances, uncertain tax positions, and tax account roll forward; and other related schedules/memo and disclosures; Experience with corporate income and franchise taxes, credits and incentives, sales/use/withholding taxes
- Tax Compliance: Working with service providers to prepare/review of federal, state, and local tax returns including preparing state and local apportionment and state adjustment schedules; preparing and maintaining tax attribute schedules; preparing/reviewing of federal and state income tax estimates and extensions
- Tax Forecast: prepare/review quarterly tax forecast
- Tax Controversy: assist with research and supervision of responses to notices regarding federal, state, and local tax issues; provide support and/or manage IRS and state income/franchise tax audits; maintain proper audit and compliance documentation
- Project Management: involved in day-to-day projects within the tax team and other functional groups, including finance, human resources, payroll, legal, R&D and IT, as well as external advisors; supervise information gathering for tax provisions and tax returns; assist in the establishment of and ensures adherence to budgets, schedules, work plans, and performance requirements
- Special Projects: Provide assistance with technical research on various tax issues; and assist in ad hoc/special projects such as IP reorganization and M&A activities
- Team Development: Assist in developing and mentoring other members of the Tax team.

### Senior Manager, Global Tax Accounting and Domestic Tax Requirements

- Ideal candidate would have Big-4 and multinational company experience
- Highly organized with great attention to detail
- Self-starter, with an ability to work independently and as part of a team
- Ability to multitask and handle a variety of tax assignments in a fast-paced environment including being flexible to geographic time zones
- Ability to prioritize tasks appropriately, meet deadlines, execute with accuracy and recognize when issues need escalation
- Strong communication skills (written and verbal) and analytical skills
- Proficient in Excel, including pivot table and vlookup
- Responsibilities may require a work schedule that may include working outside of "normal" work hours, in order to meet business demands
- Experience with ASC 740 is required
- Preference will be given to candidates with Big 4 experience
- Bachelor's degree in Accounting or Business, or an equivalent combination of education and practical experience
- Strong business judgment applied to tax and finance operational activities
- Demonstrated experience in mentoring and leading a distributed team
- Leadership experience in a software or global technology company
- Proven strategic and tactical vision to lead a high performing team

#### Senior Manager, Multinational Tax (Non US)

The Senior Manager, Multinational Tax (Non US) reports to the Director, Multinational Tax.

#### Job Grade

The Senior Manager, Multinational Tax (Non US) is a job [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Multinational Tax Responsibilities

- Models and joins in planning for our economic ownership of IP
- Assists international team with CFC tax basis, earnings and profits, Subpart F, BEAT, GILTI and FDII calculations
- Primary contact with outside service provider for our transfer pricing contemporaneous documentation and country by country reporting
- Primary contact with our tax preparers for multinational local income tax compliance
- Maintains all digital service taxes and similar taxes
- Assists with transfer pricing audits
- Manages Multinational local income tax and indirect tax audits
- Maintains per-country effective tax rates for US GAAP purposes
- Maintains cumulative book/tax differences for our Multinational entities for local and US GAAP purposes. Works with our Accounting team to understand GAAP to statutory book differences.
- VAT/GST compliance and audits
- Assists with new entity setup, working with our legal, finance, and human resources teams
- Works with our stock-based comp and payroll teams regarding per-country stock based compensation issues
- Provides information, as needed, to international local entity directors
- Works with our finance and treasury teams to fund multinational operations
- Administers intercompany agreements, including intercompany invoicing
- Assists with withholding compliance on
- Billing by local entities
- Intercompany transfers

#### Senior Manager, Multinational Tax (Non US) Requirements

The Senior Manager, Multinational Tax (Non US) will have Big-4 or comparable multinational company experience. Specifically, the candidate will have demonstrable, progressive experience in:

- Transfer pricing and functional analysis
- CBC reporting
- Some understanding of the effects of the Tax Cuts and Jobs Act of 2017
- Permanent establishment issues
- Local Multinational tax compliance project management
- Multinational funding, contributions and distributions
- Knowledge of GitLab merge requests is a plus
- Initiating and settling intercompany transactions
- Staff supervision
- The Senior Manager, Multinational Tax will have a BS/BA in Accounting or Finance. An MST, MBT, or LLM or similar international designation in taxation is preferred. A CPA or similar international license is preferred.

### Director, Tax

The Directors, Tax report to the [VP, Tax](/job-families/finance/vice-president-of-tax/).

#### Director, Global Tax Accounting and Domestic Tax Job Grade

The Director, Global Tax Accounting and Domestic Tax is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Global Tax Accounting and Domestic Tax Responsibilities

- Staff mentoring and supervision
- SOX control implementation, testing, and narrative writing
- Process implementation for global income tax accounting
- Interaction with Big 4 financial statement auditors
- Working with outside service providers on projects including but not limited to:
- Income tax compliance
- Sales tax compliance
- Maintenance of a compliance calendar
- Tax audit supervision, both direct and indirect taxes
- M&A and purchase accounting (income and indirect taxes)
- Tax account reconciliation
- Working with Finance team members on intercompany settlements

#### Director, Global Tax Accounting and Domestic Tax Requirements

- Bachelor's Degree (B.S.) in Accounting. Master's Degree in Business Taxation preferred.
- JD and/or CPA preferred.
- Experience with Software and/or SAAS in a high growth environment.
- Technical understanding of ASC 740, ASC 718, and ASC 805 for global operations
- Spreadsheet modeling for ASC 740, tax return workpapers, and project planning
- Tax and tax provision issues relating to stock based compensation, including contra-DTAs produced by Sec. 162M
- Project management
- Audit supervision
- Memo writing
- Taking initiative and also working as a team player
- Experience with NetSuite, SalesForce, Zuora, Coupa, GSuite and Avalara are plusses.
- Ability to use GitLab

### Director of Multinational Tax

#### Job Grade

The Director of Multinational Tax is a job [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director of Multinational Tax Responsibilities

- Plans for, models, and operationalizes our economic ownership of IP
- Maintains CFC tax basis, earnings and profits and Subpart F calculations
- Maintains BEAT, GILTI and FDII calculations
- Engages and supervises our transfer pricing contemporaneous documentation and country by country reporting
- Engages and supervises our tax preparers for international income tax compliance, both locally and from a U.S. perspective
- Maintains all digital service taxes and similar taxes
- Manages tax and transfer pricing audits
- Maintains per-country effective tax rates for US GAAP purposes
- Maintains cumulative book/tax differences for local and US GAAP purposes. Works with our Accounting team to understand GAAP to statutory book differences.
- VAT/GST compliance and audits
- Holds the lead role in new entity setup, working with our legal, finance, and human resources teams
- Works with our stock-based comp and payroll teams regarding per-country stock based compensation issues
- Works with our legal and finance teams to hold subsidiary directors' meetings
- Works with our finance and treasury teams to fund international operations
- Outlines and drafts intercompany agreements

#### Director of Multinational Tax Requirements

- The candidate will have Big-4 or comparable US-based multinational company experience. Specifically, the candidate will have demonstrable, progressive experience in:
- Transfer pricing and functional analysis
- CBC reporting
- Tax Cuts and Jobs Act of 2017
- Permanent establishment issues
- New entity setup and maintenance
- US international tax compliance supervision
- Local international tax compliance supervision
- International funding, contributions and distributions
- Identification of issues and project management (knowledge of GitLab merge requests is a plus)
- Initiating and settling intercompany transactions
- Maintaining capital preservation, minimizing any excess cash held by international subsidiaries
- Supervising managers and creating leaders
- The Director of International Tax will have a BS/BA in Accounting or Finance with an MST, MBT, or LLM in taxation. A CPA is preferred.

### Senior Director of Multinational Tax

#### Job Grade

The Senior Director of Multinational Tax is a job [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director of Multinational Tax Responsibilities

- Provides strategic leadership with respect to GitLab’s international structure, including the location of the economic ownership of GitLab IP.
- Plans for, models, and operationalizes GitLab’s footprint in international locations.
- Influences key executives in Legal (Corporate, People, and IP), Sales, Marketing, Finance, People and Engineering for the purpose of optimizing our effective tax rate and minimizing local country tax risk.
- Communicates complex tax objectives in language which is easy for non-tax team members to understand and to buy-in.
- Sets key objectives within the Tax Department and enables the team to achieve results through removing blockers and allocating resources.
- Holds the lead role in new entity setup, working with our legal, finance, and people teams. Serves as the subject matter expert on all tax matters related to entity strategy and setup.
- Identifies and resolves barriers to GitLab’s international expansion. Works with Treasury, Finance, Payroll, Procurement, Corporate Legal, and Benefits in reducing the amount of time from BOD approval to the first operational date for a new entity.
- Keeps the International Tax Department on budget and minimizes wasteful advisor spending. Seeks multiple bidders for larger engagements.
- Sets the parameters and procedures for creating and maintaining complex interactions between taxes within the same jurisdiction, as well as taxes between jurisdictions.
- Initiates thought leadership as well as on-the-ground expertise in maintaining models which provide useful insight for making management decisions, what-if modeling, and inquiries from executives regarding the tax effects of new initiatives.
- Identifies automation opportunities to reduce the time cycles required for all compliances, as well as to reduce processing time in building tax scenarios
- Anticipates the demands of the international tax team as GitLab crosses revenue thresholds which are the basis for complex, multi-jurisdiction reporting (CBC, BEAT, Pillar 2 to name a few)
- Engages and project-manages our tax preparers for international income tax compliance, both locally and from a U.S. perspective
- Project-Manages tax and transfer pricing audits
- VAT/GST compliance and audits
- Optimizes per-country stock based compensation from a corporate income tax perspective
- Builds and leads the Multinational tax team in alignment with GitLab leadership values and principles.

#### Senior Director of Multinational Tax Requirements

- The candidate will have a minimum of 10 years in Big-4 accounting firm, law firm, or comparable US-based multinational company experience. Specifically, the candidate will have demonstrable, progressive experience in:
- The ability to reduce complex technical issues into communications (both oral and written) intended for lay people
Currentness of knowledge of existing and pending legislation and regulations
- Transfer pricing and functional analysis
- Pillar 2 reporting
- CBC reporting
- Tax Cuts and Jobs Act of 2017
- Permanent establishment issues
- New entity setup and maintenance
- US international tax compliance supervision
- Local international tax compliance supervision
- International funding, contributions and distributions
- Identification of issues and project management (knowledge of GitLab merge requests is a plus)
- Initiating and settling intercompany transactions
- Maintaining capital preservation, minimizing any excess cash held by international subsidiaries
- Supervising managers and creating leaders
- The Senior Director of International Tax will be a JD or CPA and will have a BS/BA in Accounting or Finance with an MST, MBT, or LLM in taxation.

## Specialties

### Domestic

- Primary focus on US direct and/or indirect tax
- Assist with the resolution of all state notices
- Maintain a U.S. indirect tax compliance calendar
- Prepare/Review all aspects of U.S. indirect tax filings including, but not limited to, sales and use tax and gross receipt tax
- Assist with the resolution of all state notices relating to US indirect tax
- 3+ years indirect tax experience with multiple states and local jurisdictions preferred.

### Multinational

- Primary focus on multinational tax
- Working knowledge of multiple International tax areas
- Proven international experience working with overseas operations
- Proven success with managing tax on a global scale

## Performance Indicators

- [Effective Tax Rate](https://internal.gitlab.com/handbook/tax/performance-indicators/#effective-tax-rate-etr)
- [Budget vs. Actual](https://internal.gitlab.com/handbook/tax/performance-indicators/#budget-vs-actual)
- [Audit Adjustments](https://internal.gitlab.com/handbook/tax/performance-indicators/#audit-adjustments)
- [International Expansion](https://internal.gitlab.com/handbook/tax/performance-indicators/#international-expansion)

## Career Ladder

The Tax job family career ladder is outlined on this page.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.

- Next, qualified candidates will be invited to schedule a first interview with the Hiring Manager
- Candidates will then be invited to schedule an interview with 2 - 4 team members
- Finally, candidates may be invited to a final executive interview

Additional details about our process can be found on our [hiring page](/handbook/hiring/)
