---
title: "VP, Tax"
---

The VP of Tax is responsible for GitLab's overall tax strategy including all components of compliance, tax planning and accounting for income taxes.  The VP of Tax will work with advisors, service providers, GitLab's auditors, the Audit Committee and other tax professionals in carrying out his or her responsibilities. The VP of Tax will regularly report to the Company's Board of Directors and/or Committees of the Board to update the members on the Company's tax strategy, practices and exposures.

## VP of Tax

The VP of Tax reports to the [Chief Financial Officer](/job-families/finance/chief-financial-officer/).

## Job Grade

The VP of Tax is a [grade #12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

- Responsible for establishing GitLab's international tax strategy.
- Responsible for overseeing completion of Federal and/local state income tax returns including all related analysis and support.
- Responsible for all global tax returns for the Company's operational jurisdictions.
- Responsible for overseeing GitLab's VAT, Sales, Use and Property tax functions, including filings, strategies and compliance issues.
- Responsible for oversight of US GAAP and Statutory Audits of international, federal and state income tax and state and local filings, including strategies and compliance
- Responsible for and oversight over the accounting for income taxes (ASC 740) in the US and International subsidiaries.
- Primary responsibility for coordination of accounting for income taxes for international subsidiaries with third party vendors.
- Responsible for transfer pricing and management fee arrangements, including strategies, compliance and oversight.
- Responsible for building and growing a world-class tax team.
- Will work closely with the PAO and VP of Finance teams on tax issues, reporting, forecasting and budget issues.
- Key member for review and approval for establishment of new entities, working closely with Legal and Accounting.
- Departmental liaison with IT staff on all technical matters relating to tax applications.
- Ensure the Company implements and maintains controls compliant with Sarbanes-Oxley, including appropriate internal controls for income taxes.

## Requirements

- Ability to use GitLab
- Bachelor's Degree (B.S.) in Accounting. Master's Degree preferred
- JD and/or CPA preferred
- 10 years of related experience with at least 5 years in a public accounting firm
- Experience with Software and/or SAAS in a high growth environment
- Must have demonstrated a hands-on approach and success in working in a team-based environment
- International tax experience required
- Leadership at [GitLab](/handbook/company/structure/#director-group)

## Performance Indicators

- [Effective Tax Rate](https://internal.gitlab.com/handbook/tax/performance-indicators/#effective-tax-rate-etr)
- [Budget vs. Actual](https://internal.gitlab.com/handbook/tax/performance-indicators/#budget-vs-actual)
- [Audit Adjustments](https://internal.gitlab.com/handbook/tax/performance-indicators/#audit-adjustments)
- Effective Tax Compliance and Strategic Outlook

## Career Ladder

The next step for the VP of Tax job family is not yet defined.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.

- Candidates will be invited to schedule a first interview with our CAO.
- Next, candidates will be invited to schedule a first interview with our CFO.
- Next, candidates will be invited to schedule an interview with a Tax Partner from our outside audit firm.
- Finally, candidates will have a 30 min interview with the Chair of our Audit Committee.
- Successful candidates will subsequently be made an offer via phone and email.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
