---
title: "VP, Cash Management"
---

The Cash Management job family will focus on leading and enhancing day-to-day cash management and treasury operations for the organization, including potential hedging of intercompany and foreign currency expense and stock administration. The VP, Cash Management will work closely with finance management to ensure appropriate financial systems and processes have been put in place to effectively manage corporate treasury risks. This job family will oversee all aspects of the cash management function worldwide.

## Responsibilities

- Direct Responsible Individual and owner of and will lead the monthly close process for our GitLab's equity and treasury management and is responsible for achieving our target for days to close.
- Handle Project Management as directed by the PAO.  This will include projects on close to report efficiency, cash management and other projects as needed.
- Will develop and ensure compliance of GitLab's cash management and stock administration  policies and procedures in full compliance with US GAAP and SEC reporting standards.
- Will direct compliance for Treasury management which includes investment of cash, hedging activity of expenses and intercompany activity and overall banking arrangements.  This may include revolving line of credit management and debt covenant reporting.
- If the company does common stock issuances, preferred stock offerings or debt financing, this role will handle the accounting and management of these items.
- Drive processes  to optimize and automate accounting cash, treasury and stock operations to drive efficient monthly/quarterly close cycles and improve accuracy and efficiency.
- As part of this role, will work with the PAO and CFO on insurance management.
- Will assist in driving overall banking arrangements and bank strategy.  This will include foreign exchange management and limit foreign exchange expenses.
- Partner effectively with other finance team members and non-accounting functions to drive improved controls and process enhancements.
- Subject matter expert to make decisions, prioritize effectively and meet deadlines while maintaining the highest level of standards for completeness and accuracy.
- Sets the standard as a leader and coach for increased levels of employee job satisfaction and employee engagement through development and mentoring of the stock and treasury team.
- Leader in hiring and developing remote employees.

## Requirements

- Proven experience developing and leading a high-performing cash management group.
- Leadership experience at the Vice-President level in a software or global technology company.  Will have both Public and Private Company experience.
- Detailed experience with specific knowledge of strategic and tactical vision and understands and drives best-practices to guide a high-performing cash management team.
- The VP has demonstrated strong business judgment applied to routine and complex financial issues.
- Professional acumen and demonstrated ability in addressing business issues and ability to explain to all levels of management.
- Demonstrated ability to work with investor facing teams to showcase the company's cash and stock strategies.
- Has driven international teams working with overseas cash and stock operations.
- Leader in driving change management and process efficiency.
- Over fifteen to twenty (15-20) years of experience dealing with complex cash and stock matters.
- Experience driving banking arrangements and insurance management.
- Proven success as a VP  managing complex global business entities, and proven ability to handle the cash/stock/debt reporting duties.
- Demonstrated technical experience with complex stock/cash/debt management.
- Demonstrated ability to understand the details behind transactions, understand business processes and resolve issues at a deep level with the acumen to drive process efficiencies.
- Demonstrated ability to drive change in processes while improving employee engagement and ownership.
- Self-motivated team player who can credibly communicate with and relate to individuals at all levels in the organization and other associated internal customer teams, with demonstrated experience in mentor and lead distributed teams.
- Ability to work with the FP&A/Tax/Investor Relations/CIO organization on all aspects of PMO functions and cash/stock/debt management.
- Proven ability to explain complex issues across the organization and resolve those issues.
- Ability to both grow in the role and grow with the company, demonstrating leadership capabilities and upward progression.  Viewed as the DRI on all cash/stock/debt issues and processes.
- Ability to use GitLab

## Job Grade

The VP, Cash Management is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Performance Indicators

- Debt covenant management
- Foreign exchange hedging strategy
- [New hire location factor](https://about.gitlab.com/#new-hire-location-factor)
- Cash efficiency and investment strategy

## Career Ladder

The next step in the Cash and Project Management job family is to move to a senior leader or executive leadership job family which could be the PAO role or similar.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Meet with PAO for 50 minutes
- Meet with Key Reports and Key Finance Leaders - Director of Treasury, VP Corporate Controller, Sr. Director Revenue - for 30 minutes each
- Meet with People Business Partner for the CFO Organization for 25 minutes
- Meet with VP of Finance for 50 minutes
- Meet with CFO for 50 minutes

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
