---
title: "Chief Legal Officer, Head of Corporate Affairs, and Corporate Secretary"
description: Our Chief Legal Officer, Head of Corporate Affairs, and Corporate Secretary is an exceptional lawyer and senior executive that is leading GitLab through the going public process and helping manage our growth as a public company. The Chief Legal Officer has successfully led a high growth technology Company and has at least two years of operating experience as Chief Legal Officer of a public company.
---

The Chief Legal Officer has the background and experience to act as a strategic partner and business advisor to the CEO and the Board of Directors, as well as the technical depth and leadership experience to run GitLab's legal function. This particular position provides the opportunity for the Chief Legal Officer to work with a high growth company guided by strong company values put into action on a daily basis. This position reports directly to the CEO.

## Responsibilities

- Leading role in helping the Company and its advisors draft the S-1 registration statement and prepare for operating as a public company.
- Develop and communicate to the organization policies that are required of a public company but reflect the values that the Company's management team is committed to following.
- Set the overall philosophy and strategy of the organization regarding all legal matters and decisions, and ensure that all practices, policies, business activities and decisions are consistent with Company's values and culture.
- Provide solutions oriented oversight and leadership for all legal needs of the company including managing and directing general corporate matters, litigation, corporate organization and governance, compliance, general transaction support, joint ventures, partnerships, development agreements, mergers and acquisitions, license agreements, regulatory matters, risk management, financing activities, and general contract management.
- Responsible for the execution of all major corporate transactions and serves as key lawyer/legal advisor on all major business transactions and litigation strategy. This includes intellectual property portfolio development, risk management, acquisitions, divestitures and joint ventures.
- Collaborate with the business to provide valuable advice and counsel within the context of the enterprise level objectives. Structure key business initiatives in a manner that helps to achieve business objectives while at the same time protects legal, regulatory, and tax directives and considerations.
- Lead and manage an efficient and customer service oriented internal legal team. The current team consists of two attorneys and administrative staff. Skillfully manage inside and outside counsel and the Company's legal budget.
- Counsel the Company and Board of Directors with regards to governance and regulatory requirements and activity both in the US and other countries with significant operations.
- Work effectively with the Company's Board, providing advice and counsel, as well as reporting and communicating on key issues. Responsible for drafting and managing corporate resolutions, minutes, contracts and other documentation relating to the Board and committee activities.

## Requirements

- Fulfill the requirements of Corporate Secratary.
- Experience in the software and/or SaaS industry.
- Successfully led a Company through the process of going public.
- Experience operating as Chief Legal Officer of a public company for at least two years.
- Hold a law degree with strong academic credentials from an accredited law school and will have obtained an undergraduate degree from a college or university of recognized standing.
- Proven success in a leadership role within a public company environment and have and/or extensive experience representing public companies regarding reporting and securities compliance.
- Experience working closely with a Board of Directors on a broad range of legal and business issues, governance matters and corporate strategy.
- Considerable knowledge of, and experience in, the software and/or SaaS sector. Must have solid knowledge of compliance matters and international, state and federal rules and regulations that affect the company.
- Experience with employment law in the United States and internationally a plus.
- Personally identifies with Company's values.
- An outstanding team player who is inherently proactive, driven, collaborative, dedicated, and possesses the ability to develop first class relationships, both internally and externally.
- A smart, innovative, strategic thinker, yet pragmatic and operationally savvy, with a strong commitment to building true shareholder value.
- Someone at ease in a changing organization and industry and able to excel by operating with a sense of urgency while remaining flexible, open-minded and adaptable.
- Ability to use GitLab

## Performance Indicators

- [Number of Opportunities closed by Contract Manager(s) per Quarter](/handbook/legal/#number-of-opportunities-closed-by-contract-managers-per-quarter--66)
