---
title: "Contract Manager"
description: Contract Managers are responsible for faciliating the contracting process for sales, procurement and non-sales engagements. Contract Managers partner with internal stakeholders while negotiating terms and conditions through closure.
---

## Contract Manager

The Contract Manager is responsible for managing the contracting process for sales, procurement and non-sales engagements. At the direction of leadership, Contract Managers will review, negotiate, and manage all contracts, as well as oversee the overall contracting process.

## Job Grades

The Contract Manager is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

Read more about GitLab [Job Grades](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Draft and negotiate a wide range of contracts including services, consulting, marketing, licensing, non-disclosure, data privacy, and other commercial and technology related agreements
- Perform risk analysis review for all contractual documents and recommend mitigating options
- Understand the Company and products in order to identify risks, develop solutions, mitigation and negotiation strategies
- Input completed contracts into the contract management system and capture key terms

### Requirements

- Minimum of 5 years of contracts drafting, reviewing and negotiation experience at a software technology company
- BA/BS required. JD, paralegal certificate, or equivalent work experience preferred.
- Expertise in drafting and negotiating a wide variety of commercial, licensing and other technology-related agreements.
- Understanding of data privacy requirements.
- Proactive, dynamic and result driven individual with strong attention to detail.
- Outstanding interpersonal skills, the ability to interface effectively with all business functions throughout the organization.
- Enthusiasm and "self-starter" qualities enabling him or her to manage responsibilities with an appropriate sense of urgency; the ability to function effectively and efficiently in a fast-paced & dynamic environment.
- Superior analytical ability, project management experience, and communication skills
- Ability to manage internal customer priorities and needs.
- Ability to use GitLab

## Senior Contract Manager

The Senior Contract Manager is responsible for managing the contracting process for sales, procurement and non-sales engagements, as well as, building and adding to internal standards and documentation to assist in the growth of the team. In addition, Senior Contract Managers will take a leadership role with respect to, (i) mentoring new Contract Managers, and (ii) enablement and training for the GitLab Sales Team.

### Job Grade

The Senior Contract Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Engage on top priority and complex Agreements tied to large value transactions
- Participate in conversations with outside counsel for policy creation and enforcement
- Create and present training materials for both Contract Managers, and Sales Team Members
- Add information and feedback to Contract Manager Playbooks and other supporting documentation
- Become a trusted advisor to the Sales Team Members and Leadership
- Draft and negotiate a wide range of contracts including services, consulting, marketing, licensing, non-disclosure, data privacy, and other commercial and technology related agreements
- Work closely with members of the Legal team to develop and improve applicable standardized forms, processes, and procedures
- Perform risk analysis review for all contractual documents and recommend mitigating options
- Understand the Company and products in order to identify risks, develop solutions, mitigation and negotiation strategies
- Input completed contracts into the contract management system and capture key terms

### Requirements

- Minimum of 10 years of contracts drafting, reviewing and negotiation experience at a software technology company
- BA/BS required. JD, paralegal certificate, or equivalent work experience preferred
- Ability to create and lead enablement presentations
- Expertise in drafting and negotiating a wide variety of commercial, licensing and other technology-related agreements, including those for large dollar amounts or complex matters
- Understanding of data privacy requirements
- Proactive, dynamic and result driven individual with strong attention to detail
- Outstanding interpersonal skills, the ability to interface effectively with all business functions throughout the organization
- Enthusiasm and "self-starter" qualities enabling him or her to manage responsibilities with an appropriate sense of urgency; the ability to function effectively and efficiently in a fast-paced & dynamic environment
- Superior analytical ability, project management experience, and communication skills
- Ability to manage internal customer priorities and needs
- Ability to use GitLab

## Manager, Lead Contract Manager

The Manager, Lead Contract Manager reports to the Sr. Director, Contracts & Legal Operations and is responsible for managing the Contract Managers located globally. They are responsible for the continued growth of the team, as well as, providing leadership in the form of mentoring and creating enablement and training materials for all GitLab Team Members.

### Job Grade

The Manager, Lead Contract Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Continue to grow and expand a cohesive contracting team and implement efficient processes in support of our customer sales organization
- Act as an escalation stakeholder, and approver, for the Contract Managers
- Oversee and engage on top priority and complex Agreements tied to large value transactions
- Become a trusted advisor to the Sales Team Members and Leadership
- Assist with skill and career development for Contract Managers
- Add information and feedback to Contract Manager Playbooks and other supporting documentation, as well as, empower Contract Managers to do the same
- Work closely with members of the Legal team to develop and improve applicable standardized forms, processes, and procedures
- Understand GitLab and GitLab products in order to identify risks, develop solutions, mitigation and negotiation strategies
- Draft and negotiate a wide range of contracts including services, consulting, marketing, licensing, non-disclosure, data privacy, and other commercial and technology related agreements
- Create and present training materials for both Contract Managers, and Sales Team Members

### Requirements

- Minimum of 10+ years of contracts drafting, reviewing and negotiation experience preferrably at a software technology company
- BA/BS required. JD, paralegal certificate, or equivalent work experience preferred
- Experience managing team members and fostering positive environment
- Ability to create and lead enablement presentations
- Expertise in drafting and negotiating a wide variety of commercial, licensing and other technology-related agreements, including those for large dollar amounts or complex matters
- Proactive, dynamic and result driven individual with strong attention to detail
- Outstanding interpersonal skills, the ability to interface effectively with all business functions throughout the organization
- Superior analytical ability, project management experience, and communication skills
- Ability to manage internal customer priorities and needs
- Ability to use GitLab

## Specialties

Read more about what a [specialty](/handbook/hiring/#definitions) is at GitLab here.

### Procurement

**Responsibilities:**

- Work closely with Procurement and Finance stakeholders for the procurement of services, materials, software and other required goods
- Own and manage the negotiation of Vendor Contracts
- Establish best practices, playbooks, and approval frameworks for Vendor Contracts

## Performance Indicators

- [Number of Opportunities closed by Contract Manager(s) per Quarter](/handbook/legal/#number-of-opportunities-closed-by-contract-managers-per-quarter--66)
- [Response times to initial requests for review](/handbook/legal/#response-times-to-initial-requests-for-review--24-business-hours)
- ['Turn-Around' times on received red-lines](/handbook/legal/#turn-around-times-on-received-red-lines--72-business-hours)

## Career Ladder

The next step in the Contract Manager job family is not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our team page.

- Selected candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/#screening-call) with one of our Global Recruiters.
- Candidates will then be invited to schedule an interview with the Hiring Manager.
- Candidates will then be invited to schedule an interview with a member of the Commercial Legal Team.
- Next candidates will be invited to schedule an interview with a member from either the Sales or Finance team.
- Successful candidates will subsequently be made an offer via email.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
