---
title: "Corporate Development"
description: Corporate Development team members prospect, pursue and integrate acquisitions to accelerate GitLab's roadmap and offer better tools to customers more quickly.

---

## Coporate Development Analysis

### Analyst, Corporate Development

As an Analyst, Corporate Development, you will be responsible for identifying,
sourcing, and owning the acquisition opportunity pipeline, and helping with the
deal flow.

#### Job Grade

The Analyst, Corporate Development is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Create a target list of potential acquisitions
- Develop relationships with tech incubators, investors, and other sources of acquisition candidates
- Execute a sourcing plan through online research, outreach, and other means to help support the corporate development team goals
- Operationalize acquisition sourcing and handling processes to help the team scale
- Validate fit for terms, product roadmap, and other criteria
- Value the companies in a financial model
- Help negotiate terms of the deal
- Manage deal flow CRM system data
- Prepare all acquisition related documents such as Non-Disclosure Agreements, Letters of Intent, and Purchase Agreements with our legal team and legal counsel
- Assist in various aspects of the deal as necessary: qualification, initial rationale/pitch, financial modeling, due diligence and closing & integration activities.

#### Requirements

- Bachelors or equivalent in Finance, Accounting, Economics, Computer Science, Engineering, or a related field
- Minimum of 2 years of corporate development, venture capital, private equity, or competitive analysis ideally focused on the technology industry
- Adept with technology and a strategic thinker – knows what's best for the business
- Excellent judgment, mature personality, and experience working with executives; a sophisticated, worldly businessperson
- Proactive and action-oriented, anticipates needs
- Experience in a deal environment and buyer-seller conducts
- Excellent verbal and written communication skills
- Familiarity with the DevOps space
- You are living wherever you want and are excited about the [all remote](/handbook/company/culture/all-remote/) lifestyle
- You share our [values](/handbook/values/), and work in accordance with those values

### Corporate Development Manager

As a Corporate Development Manager, you will be responsible for identifying, sourcing, and owning the acquisition opportunity pipeline, and helping with the deal flow.

#### Job Grade

The Corporate Development Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

Prospecting:

- Develop relationships with tech incubators, investors, and other sources of acquisition targets
- Validate targets' fit for GitLab's product roadmap, terms and other criteria quickly and with little information
- Develop a strategy and execution plan for the product areas you will be leading, prioritizing prospects accordingly

Deal execution:

- Support acquisitions engagements start to finish, from qualifying targets, through closing and integration
- Support the Sr. Director of Corporate Development in deal terms negotiation
- Lead the cross-functional due-diligence process
- Work to establish valuations and ROI potential for deals by building financial models and conducting valuation analysis

Integration:

- Lead post-acquisition integrations as the directly responsible individual (DRI), driving the roadmap acceleration objectives to successful completion

Collaboration:

- Form effective relationships with the product management org to understand their roadmap direction.
- Manage and guide the acquisition team to an effective communication with the target and internal stakeholders

#### Requirements

- 4+ years of experience in strategic, operational, or analytical environments such as Corp Dev, Investment Banking, Management Consulting or VC preferably in tech
- Experience building valuation models for companies
- Experience at constructing varied deal consideration structures and integration plans
- Experience in partnering with cross-functional teams and navigating communications with internal and external stakeholders.
- Ability to formulate business opportunities thoroughly, propose sound business cases and line up the decisions at hand in order to drive progress
- Preferred requirements:
  - Familiarity with the DevOps, Cyber and open-source spaces
- You share our [values](/handbook/values/), and work in accordance with those values

### Senior Corporate Development Manager

As a Senior Corporate Development Manager, you will be owning the acquisition process for specific product areas, driving deal flow from inception to integration.

#### Job Grade

The Senior Corporate Development Manager is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

Prospecting:

- Develop relationships with tech incubators, investors, and other sources of acquisition targets
- Validate targets' fit for GitLab's product roadmap, terms and other criteria quickly and with little information
- Establish strategy and execution plan for the product areas you will be leading, prioritizing prospects accordingly
- Own the pipeline of opportunities - generate prospects and lead sourcing efforts

Deal execution:

- Lead acquisitions engagements start to finish, from qualifying targets, through closing and integration
- Lead the cross-functional due-diligence process
- Support the Sr. Director of Corporate Development in deal terms negotiation
- Act as a subject matter expert on valuation and deal structuring

Integration:

- Lead post-acquisition integrations as the directly responsible individual (DRI), driving the roadmap acceleration objectives to successful completion

Collaboration:

- Form effective relationships with the product management org to understand their roadmap direction.
- Enable product managers on prospect sourcing and validation
- Manage and guide the acquisition team to an effective communication with the target and internal stakeholders

#### Requirements

- 3+ years experience developing, leading, negotiating and executing complex acquisitions focused on the enterprise tech industry
- Experience building valuation models for acquisition of pre-revenue and post-revenue companies
- Experience at constructing varied deal consideration structures and integration plans
- Understanding of technology with an acumen to engage with product and engineering leaders on tech roadmaps
- Experience with managing cross-functional teams and navigating complex communications with internal and external stakeholders.
- Ability to formulate business opportunities thoroughly, propose sound business cases and line up the decisions at hand in order to drive progress
- Preferred requirements:
  - Familiarity with the DevOps, Cyber and open-source spaces
- You share our [values](/handbook/values/), and work in accordance with those values

## Coporate Development

### Director of Corporate Development

As a Director, Corporate Development, you will be responsible for sourcing,
negotiating, and closing [acquisitions](/handbook/acquisitions/).

#### Job Grade

The Director, Corporate Development is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Own end-to-end deal management
  - Validate target fit for terms, product roadmap, as well as additional criteria and advocate for it with clarity to the business impact
  - Drive the development of the acquisition rationale and the Business Case for acquisitions
  - Develop the deal structure and engage in negotiations
  - Prepare all acquisition related documents such as Non-Disclosure Agreements, Letters of Intent, and Purchase Agreements with our legal team and legal counsel
  - Lead the post-acquisition integration workflow and drive to success
- Build a strategic growth plan through collaboration with Product stage lead/s and partner with cross-functional management in executing against our strategy
- Provide expert project management leadership over the pre-LOI validation and due diligence stages of the acquisition process with cross-functional teams, including communication of diligence findings
- Serve as point of contact with a range of counterparties, including tech company executives, venture capital, entrepreneurs, investment bankers, lawyers and other stakeholders.
- Identify strategic opportunities and be able to articulate how they would be impactful to our product positioning and commercial strategy
- Build and maintain strong relationships with potential targets, investors, and advisors that will drive pipeline opportunities
- Ensure a proper level of strategic, operational, and organizational alignment.

#### Requirements

- Over 5 years of relevant acquisition experience
- Relationship builder with the ability to establish a dialog with leadership of acquisition targets.
- Experience structuring various types of deal terms
- Skilled in corporate valuation, risk management, financial modeling, negotiation, and integration
- Ability to manage multiple priorities and projects cross-functionally with strong organizational skills
- Excellent verbal and written communication and presentation skills.
- Demonstrated analytical and data led decision-making
- Self-starter and team player with ability to achieve or exceed their objectives while working in concert with others
- You are living wherever you want and are excited about the [all remote](/handbook/company/culture/all-remote/) lifestyle
- You share our [values](/handbook/values/), and work in accordance with those values

#### Performance Indicators

- [Acquisition velocity](https://internal.gitlab.com/handbook/company/performance-indicators/product/)
- [Acquisition success](https://internal.gitlab.com/handbook/company/performance-indicators/product/)
- [Qualified acquisition targets](https://internal.gitlab.com/handbook/company/performance-indicators/product/)

### Senior Director of Corporate Development

As the Senior Director of Corporate Development, you will be responsible for
building the team to source, negotiate, and close [acquisitions](/handbook/acquisitions/).

#### Job Grade

The Senior Director of Corporate Development is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Own end-to-end deal management
  - Validate target fit for terms, product roadmap, as well as additional criteria and advocate for it with clarity to the business impact
  - Drive the development of the acquisition rationale and the Business Case for acquisitions
  - Develop the deal structure and engage in negotiations
  - Prepare all acquisition related documents such as Non-Disclosure Agreements, Letters of Intent, and Purchase Agreements with our legal team and legal counsel
  - Lead the post-acquisition integration workflow and drive to success
- Build a strategic growth plan through collaboration with Product stage lead/s and partner with cross-functional management in executing against our strategy
- Provide expert project management leadership over the pre-LOI validation and due diligence stages of the acquisition process with cross-functional teams, including communication of diligence findings
- Serve as point of contact with a range of counterparties, including tech company executives, venture capital, entrepreneurs, investment bankers, lawyers and other stakeholders.
- Identify strategic opportunities and be able to articulate how they would be impactful to our product positioning and commercial strategy
- Build and maintain strong relationships with potential targets, investors, and advisors that will drive pipeline opportunities
- Ensure a proper level of strategic, operational, and organizational alignment.

#### Requirements

- Over 8 years of relevant work experience in acquisitions
- Relationship builder with the ability to establish a dialogue with leadership team members of potential acquisition targets.
- Experience structuring various types of deal terms
- Strong negotiation abilities
- Ability to manage multiple priorities and projects cross-functionally with strong organizational skills
- Excellent verbal and written communication and presentation skills.
- Demonstrated analytical and data led decision-making
- Self-starter and team player with ability to achieve or exceed their objectives while working in concert with others
- You are living wherever you want and are excited about the [all remote](/handbook/company/culture/all-remote/) lifestyle
- You share our [values](/handbook/values/), and work in accordance with those values

### VP of Corporate Development

As the VP of Corporate Development, you will be responsible for
leading the team to source, negotiate, close and integrate [acquisitions](/handbook/acquisitions/) successfully at GitLab through influence into the company's strategy.

#### Job Grade

The VP of Corporate Development is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Build and lead a high-performing Corporate Development team and mentor team members through the entire deal process
- Develop GitLab's corporate development strategy, for acquisitions and key initiatives, and establish executive alignment
- Determine Corporate Development's scope and priority focus areas through collaboration with executive and senior leadership, driving impact to [GitLab's vision](https://about.gitlab.com/company/vision/)
- Oversee deal flow management end-to-end from sourcing to deal execution
- Provide leadership and guidance in developing the business case, integration strategy planning and due diligence stages of the acquisition process with cross-functional teams
- Lead deal terms negotiations on behalf of the company, guiding deal structure creation and negotiation strategy
- Own the post-acquisition integration efforts, navigate the integration team and support cross-functional interactions
- Engage with divisional leadership to empower and develop the supportive Corporate Development processes at GitLab
- Manage the engagement and communication with GitLab BOD M&A committee
- Build and maintain leadership-level relationships with qualified VCs, bankers, advisors and targets
- Lead the research into new markets, identify key trends, translate data into actionable insights to drive impact to company strategy and excution plans
- Lead out-of-scope engagements and initiatives

#### Requirements

- 10 years of experience in a leadership position in corporate development and business development
- Expert level of understanding of the DevSecOps space, competitor and partner ecosystem as well as it's applicability to GitLab
- Deep familiarity with the Enteprise Software and SaaS market categories
- Excellent, executive-level, relationship skills with the ability to establish a dialogue with both internal key stakeholders and senior leadership as well as external parties ranging from investors to target management teams
- Mission orientation and action-driven ability to repeatedly focus on doing what's right for the business
- Strong, demonstrated, negotiation abilities on various business opportunities
- Exemplary verbal and written communication and presentation skills
- Methodical, data-empowered, commercial decision-making abilities with a demonstrated product-strategy focus
- You are living wherever you want and are excited about the [all remote](/handbook/company/culture/all-remote/) lifestyle
- You share our [values](/handbook/values/), and work in accordance with those values

#### Performance Indicators

- [Acquisition velocity](https://internal.gitlab.com/handbook/company/performance-indicators/product/)
- [Acquisition success](https://internal.gitlab.com/handbook/company/performance-indicators/product/)
- [Qualified acquisition targets](https://internal.gitlab.com/handbook/company/performance-indicators/product/)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our team page.

- Selected candidates will be invited to schedule a 30 minute screening call with one of our Global Recruiters.
- Candidates will then be invited to schedule an interview with the Hiring Manager (Sr. Director of Corporate Development).
- Candidates will then be invited to schedule an interview with the Director of Product (Section leader).
- Next, candidates will be invited to schedule an interview with the Senior Director of Legal, Corporate.
- Next, candidates may be invited to schedule an interview with the Chief Legal Officer (as applicable).
- Successful candidates will subsequently be made an offer via email.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
