---
title: Director of Compliance
description: The Director of Compliance is responsible for providing counsel and guidance related to the design, implementation and monitoring of policies and procedures to ensure GitLab's compliance with applicable laws and regulations.
---

## Director of Compliance

The Director of Compliance reports to the [Senior Director of Legal, Corporate](/job-families/legal-and-corporate-affairs/director-legal-us/#senior-director-legal).

### Director of Compliance: Job Grade

The Director of Compliance is a [Grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Director of Compliance: Responsibilities

- Architect and manage GitLab's full suite of global compliance programs including, but not limited to, organizational strategies, policies and practices
- Advise E-Group and other key stakeholders including the GitLab Board of Directors on compliance matters including procedures and practices regarding anti-bribery and anti-corruption, contracts, confidentiality, conflicts of interest, privacy and security and other matters
- Promote and lead team member enablement and education to enable compliance with laws, rules, regulations, internal policies and procedures; facilitate company-wide proactive communication to ensure a culture of compliance at GitLab
- Design and implement monitoring frameworks to identify, report and mitigate compliance risks; conduct periodic risk assessments and develop and implement a work plan to address risk
- Build and retain a global compliance team and ensure appropriate and cooperative allocation of responsibilities

### Director of Compliance: Requirements

- 8+ years of compliance experience, including program creation, implementation, and enablement
- Effective collaborator who embraces iteration in order to innovate, drive, and scale best-in-class compliance programs and policies, drive strategy with stakeholders from multiple functions, and anticipate evolving risk in a global market
- Deep knowledge and proven track record of success with ranging compliance matters
- Outstanding cross-functional partnership skills, with a confirmed ability to identify, initiate and lead efforts with both internal and external teams
- Effective communicator with experience communicating at the boardroom level
- Ownership mindset, equally comfortable operating at the micro and macro levels with the innate ability to know which level is needed at what time as well as appropriate sense of urgency
- Experience with establishing and managing an operating budget
- Background with building efficiency for scale, and proven ability to iterate and learn things quickly
- An effective communicator with the ability to use "plain language", escalate, coordinate, provide feedback, and ask for help
- Strong operational mindset with ability to prioritize projects and demands
- Embrace GitLab Values of [Collaboration](/handbook/values/#collaboration), [Results](/handbook/values/#results), [Efficiency](/handbook/values/#efficiency), [Diversity, Inclusion & Belonging](/handbook/values/#diversity-inclusion), [Iteration](/handbook/values/#iteration), and [Transparency](/handbook/values/#transparency)

## Performance Indicators

- Performance indicators will be set by the incoming Director of Compliance, upon joining GitLab.

## Career Ladder

The next step in the VP of Legal job family is not yet defined

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30-minute screening call with our Global Recruiters
- Next, candidates will be invited to schedule an interview with the hiring manager
- Next, candidates will be invited to schedule an interview with our Chief Legal Officer
- Then selected candidates will be invited to schedule with additional team members of the legal and corporate affairs department
- Next, candidates will be invited to schedule interviews with directors and/or executives in relevant functional areas
- Finally, candidates may be required to meet with the CEO.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
