---
title: Environmental & Social Governance (ESG)
description: The ESG Team creates and maintains GitLab's Corporate Sustainability strategy and programs. This includes ESG disclosures and public ESG reporting, identifying and prioritizing key issues to advance GitLab's social and environmental goals, and creating partnerships with non-profit organizations that support GitLab's values and mission.
---

## ESG Manager - Environmental Sustainability and Reporting

### ESG Manager Job Grade

The ESG Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### ESG Manager - Environmental Sustainability and Reporting

The ESG Manager reports to the Senior Director, ESG, and is responsible for contributing to GitLab's sustainability programs, policies, and initiatives.

The ideal candidate has deep expertise in environment, social, and governance programs and disclosures. This individual can inspire and influence cross-functional teams and has a strong desire to make a positive impact.

### ESG Manager - Environmental Sustainability and Reporting Responsibilities

- Participate in the development of the company's ESG strategy and implements the strategy
- Contribute to the development and publication of ESG reports including collecting data, material metrics, and consolidating information requests
- Collect, manage, and submit content to key ESG rating firms and track score progress
- Collaborate with key internal teams on relevant data and target setting
- Advise on and develop ESG standards, principles, and policies
- Conduct benchmarking, follow trends, and provide best practices for ESG disclosures while identifying gaps and presenting solutions
- Develop and maintain tools and mechanisms to evaluate, track and report on progress against company ESG goals

### ESG Manager - Environmental Sustainability and Reporting Requirements

- 3+ years' experience in non-financial reporting, corporate social responsibility, ESG disciplines or sustainability
- Knowledge of key reporting frameworks including GRI, SASB, CDP, and TCFD
- Experience in managing ESG issues and disclosures, preferably in the tech industry
- Excellent written and oral communication skills
- Excellent organizational skills as well as creativity and resourcefulness
- Ability to work in a deadline-oriented environment
- Attention to detail and ability to prioritize
- Superior research and analytical skills
- Outstanding cross-functional partnership skills, with a confirmed ability to identify, initiate and lead efforts with both internal and external teams
- Embrace GitLab Values of [Collaboration](/handbook/values/#collaboration), [Results](/handbook/values/#results), [Efficiency](/handbook/values/#efficiency), [Diversity, Inclusion & Belonging](/handbook/values/#diversity-inclusion), [Iteration](/handbook/values/#iteration), and [Transparency](/handbook/values/#transparency)

## ESG Manager - Volunteerism and Social Impact

### ESG Manager Job Grade

The ESG Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### ESG Manager - Volunteerism and Social Impact

The ESG Manager - Volunteerism and Social Impact reports to the Senior Director, ESG, and is responsible for contributing to GitLab's sustainability programs, policies, and initiatives with a focus on volunteerism, team member engagement, and social impact.

The ideal candidate has deep expertise in building and managing social impact programs including, global team member volunteer programs and in-kind donation programs. This individual can inspire and influence cross-functional teams and has a strong desire to make a positive impact.

### ESG Manager - Volunteerism and Social Impact Responsibilities

- Participate in the development of the company's ESG programs, including creating the first formal global volunteer program
- Manage the GitLab for Nonprofits in-kind donation program including; internal communication of the program, external communication with applicants, and management of GitLab's verification partner, TechSoup
- Create and manage relationships with nonprofit organizations
- Work with internal teams to ensure give-back components are included for in-person events
- Organize quarterly virtual volunteer opportunities for team members
- Partner with team member resource groups (TMRGs) to support volunteerism with diverse organizations
- Partner with internal and external communications teams to effectively share program updates and progress
- Develop and maintain tools and mechanisms to evaluate, track and report on progress against company ESG goals
- Contribute to the development and publication of the annual ESG report
- Conduct benchmarking, follow trends, and provide best practices for social impact and team member volunteering

### ESG Manager - Volunteerism and Social Impact Requirements

- 3+ years' experience in corporate social responsibility, social impact, employee engagement, or related field
- Experience in creating global team member volunteer programs
- Proven track record effectively communicating and recruiting global team members for virtual volunteerism
- Experience in managing in-kind donation programs
- Excellent written and oral communication skills
- Excellent organizational skills as well as creativity and resourcefulness
- Ability to work in a deadline-oriented environment
- Attention to detail and ability to prioritize
- Superior research and analytical skills
- Outstanding cross-functional partnership skills, with a confirmed ability to identify, initiate and lead efforts with both internal and external teams
- Embrace GitLab Values of [Collaboration](/handbook/values/#collaboration[), [Results](/handbook/values/#results), [Efficiency](/handbook/values/#efficiency), [Diversity, Inclusion & Belonging](/handbook/values/#diversity-inclusion), [Iteration](/handbook/values/#iteration), and [Transparency](/handbook/values/#transparency)

## Senior ESG Manager

### Senior ESG Manager Job Grade

The Senior ESG Manager is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior ESG Manager

The Senior ESG Manager reports to the Senior Director, ESG, and is responsible for contributing to GitLab's sustainability programs, policies, and initiatives. The Senior ESG Manager has deep expertise in environmental, social, and governance reporting, disclosures, and programs. This individual focuses on work across multiple teams and is a strategic leader within the organization.

### Senior ESG Manager Responsibilities

- Participate in the development and implementation of the company's ESG strategy
- Manage a minimum of one ESG program and is responsible for all day-to-day program management
- Track trends related to program and proactively present ideas to advance program goals
- Lead annual greenhouse gas inventory including external auditing procedure and verification
- Regularly acts as a DRI with regard to cross-collaborative projects
- Manage external partnerships as it relates to program development and management
- Present ideas and solutions to team leadership to advance goals
- Contribute to the development and publication of ESG reports including collecting data, material metrics, and consolidating information requests
- Collect, manage, and submit content to key ESG rating firms and track score progress
- Work with sales and field teams to ensure proper protocol and efficiency when submitting ESG-related questionnaires via customer requests and RFPs
- Collaborate with key internal teams on relevant data and target setting
- Advise on and develop ESG standards, principles, and policies
- Develop and maintain tools and mechanisms to evaluate, track, and report on progress against company ESG goals

### Senior ESG Manager Requirements

- 5+ years' experience in non-financial reporting, corporate social responsibility, ESG disciplines, or sustainability
- Extensive knowledge of key reporting frameworks including; GRI, SASB, CDP, and TCFD
- Experience in conducting greenhouse gas inventories and building climate action plans
- Experience in managing ESG issues and disclosures, preferably in the tech industry
- Excellent written and oral communication skills
- Excellent organizational skills as well as creativity and resourcefulness
- Ability to work on significant and unique issues where coming to a resolution requires complex analysis
- Ability to work in a deadline-oriented environment
- Attention to detail and ability to prioritize
- Superior research and analytical skills
- Outstanding cross-functional partnership skills, with a confirmed ability to identify, initiate and lead efforts with both internal and external teams
- Embrace GitLab Values of [Collaboration](/handbook/values/#collaboration[), [Results](/handbook/values/#results), [Efficiency](/handbook/values/#efficiency), [Diversity, Inclusion & Belonging](/handbook/values/#diversity-inclusion), [Iteration](/handbook/values/#iteration), and [Transparency](/handbook/values/#transparency)

## Senior Director, ESG

### Senior Director, ESG Job Grade

The Senior Director, ESG is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Director, ESG

The Senior Director, ESG reports to the [Chief Legal Officer, Head of Corporate Affairs and Corporate Secretary](/job-families/legal-and-corporate-affairs/chief-legal-officer/), and is responsible for creating, maintaining and reporting on GitLab's Environmental & Social Governance (ESG), Corporate Social Responsibility (CSR) and sustainability policies and initiatives.

### Senior Director, ESG Responsibilities

- Establish best-in-class strategy and operating plan with regards to GitLab ESG, CSR and sustainability initiatives
- Identify and prioritize sustainability and social issues; setting goals that support alignment and integration of the ESG, CSR and sustainability vision into overall corporate strategy
- Develop measurement policies and implement governance processes and disclosure controls to ensure completeness and accuracy of ESG, CSR and sustainability reporting
- Publicly report GitLab Inc.'s ESG, CSR and sustainability initiatives and measures
- Lead strong collaboration with key global business stakeholders to influence positive outcomes with respect to ESG, CSR and sustainability initiatives and measures
- Develop budget with respect to ESG, CSR and sustainability initiatives
- Analyze regulatory requirements, regulations, business trends and industry benchmarking to enable GitLab to achieve and maintain a leadership position with respect to ESG, CSR and sustainability initiatives
- Represent GitLab externally at sustainability & social impact leadership events and speaking engagements
- Increase global awareness and impact with respect to GitLab's ESG, CSR and sustainability initiatives
- Design an ESG program that is focused on impact and tangible, repeatable results that demonstrate return on investment
- Embrace iteration to make program changes quickly based on feedback and lessons learned
- Create the most transparent public company ESG program

### Senior Director, ESG Requirements

- 6+ years validated experience in sustainability, ESG, CSR or relevant roles
- Extensive knowledge of global sustainability, ESG and CSR standard methodologies and trends
- Shown success in the development and execution of successful sustainability strategies
- Outstanding cross-functional partnership skills, with a confirmed ability to identify, initiate and lead efforts with both internal and external teams
- Enthusiastic self-starter; equally comfortable operating at the micro and macro levels with the innate ability to know which level is needed at what time
- Passionate about ESG and CSR and the ability to translate that passion into action
- Experience with establishing and managing an operating budget
- Background with hyper-growth organizations, and proven ability to adapt and learn things quickly
- An effective communicator with the ability to use "plain English" and to escalate, stay coordinated, provide feedback, and ask for help
- Strong operational mindset with ability to prioritize projects and demands
- Embrace GitLab Values of [Collaboration](/handbook/values/#collaboration[), [Results](/handbook/values/#results), [Efficiency](/handbook/values/#efficiency), [Diversity, Inclusion & Belonging](/handbook/values/#diversity-inclusion), [Iteration](/handbook/values/#iteration), and [Transparency](/handbook/values/#transparency)

## Career Ladder

Information regarding growth for the ESG job family will be provided in the Legal and Corporate Affairs Career Development Framework (CDF).

## Performance Indicators

- Performance indicators for the ESG Job Family will be set by the team during FY23Q3

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30-minute screening call with our Global Recruiters.
- Candidates will be invited to schedule an interview with our Senior Director of Legal, ESG.
- Candidates will be invited to schedule with additional team members of the Legal and Corporate Affairs Team.
- Candidates may be invited to schedule interviews with Directors or team members in relevant functional areas.
- Next, candidates will be invited to schedule an interview with our Chief Legal Officer (as applicable).
- Successful candidates will subsequently be made an offer via email.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
