---
title: Legal Intern
description: Legal Interns work in GitLab Legal & Corporate Affairs on matters relating to employment, privacy and product, corporate affairs, and/or contracts.
---

This internship is open to law students, with a preference to those candidates who will have completed their 2L year by the time the internship starts, as an opportunity to further their professional legal experience and learn what a legal career in-house at an enterprise software company may entail. We desire to create an inclusive program that will provide a fair and equal opportunity for all qualifying candidates.

## Candidate Qualifying Criteria

The following criteria are considered required for candidates to be eligible for Legal Internship positions:

1. Current law student, with preference given to those students who have completed their 2L studies by the time the internship begins. Available full-time in the Pacific time zone for the duration of the internship (2021-05-15 - 2021-08-15)

### Duration and Timing

The Legal Internship is for a 3-month period beginning 2021-05-15 and ending on 2021-08-15.

### Location

The internship program will be remote and primarily operate in the Pacific time zone.

### Compensation

Internships at GitLab offered in the framework described on this page will be paid and follow the same logic as that depicted in our [Compensation Calculator](/handbook/total-rewards/compensation/compensation-calculator/calculator/) and according to our [Global Compensation Principles](/handbook/total-rewards/compensation/). This means that, as usual, the San Francisco benchmark, location and experience factors will be taken into account during the recruitment process and before making an offer. Depending on country regulations, we will have to align with national labor laws.
The Legal Intern is a grade 4 (/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

- Assist GitLab Legal Team on projects ranging across employment law, privacy and product work and corporate projects.
- Work on other projects within GitLab Legal as assigned.

## Requirements

- Completed 2 years of law school
- Proactive, dynamic and result driven individual with attention to detail
- Enthusiasm and "self-starter" qualities enabling the intern  to manage responsibilities with an appropriate sense of urgency; the ability to function effectively and efficiently in a fast-paced & dynamic environment
- Superior analytical, project management experience, and communication skills
- Outstanding interpersonal skills, including diplomacy and flexibility, and the ability to interface effectively and engender trust and confidence with all business functions throughout the organization
- A curious mind who does not back down from a challenge.
- Ability to use GitLab

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Selected candidates will be invited to schedule a 30-minute screening call with our Global Recruiters.
- Next, candidates will be invited to schedule an interview with our Director of Legal for the function area.
- Next, candidates will be invited to schedule with additional team members of Legal and Corporate Affairs.
- Next, candidates will be invited to schedule an interview with our Chief Legal Officer (as applicable).
- Finally, candidates may be invited to schedule interviews with Directors or team members in relevant functional areas.
Additional details about our process can be found on our [hiring page](/handbook/hiring/).

## Working at GitLab

GitLab Inc. is a company based on the GitLab open-source project. GitLab is a community project to which over 2,200 people worldwide have contributed. We are an active participant in this community, trying to serve its needs and lead by example. We have one [vision](https://about.gitlab.com/strategy): everyone can contribute to all digital content, and our mission is to change all creative work from read-only to read-write so that everyone can contribute.

We [value](/handbook/values/) results, transparency, sharing, freedom, efficiency, [self-learning](/handbook/company/culture/all-remote/self-service/#how-self-learning-leads-to-success-in-your-role), frugality, collaboration, directness, kindness, diversity, inclusion and belonging, boring solutions, and quirkiness. If these values match your personality, work ethic, and personal goals, we encourage you to visit our [primer](/handbook/company/) to learn more. Open source is our culture, our way of life, our story, and what makes us truly unique.

Top 10 reasons to work for GitLab:
Work with helpful, kind, motivated, and talented people.
Work remote so you have no commute and are free to travel and move.
Have flexible work hours so you are there for other people and free to plan the day how you like.
Everyone works remote, but you don't feel remote. We don't have a head office, so you're not in a satellite office.
Work on open source software so you can interact with a large community and can show your work.
Work on a product you use every day: we drink our own wine.
Work on a product used by lots of people that care about what you do.
As a company we contribute more than we take, most of our work is released as the open source GitLab CE.
Focused on impact, not on activity, so that you can have a life and don't burn out.
Open internal processes: know what you're getting into and be assured we're thoughtful and effective.

See [our culture page](/handbook/company/culture/) for more!

Work remotely from anywhere in the world. Curious to see what that looks like? Check out our [remote manifesto and guides](/handbook/company/culture/all-remote/).
