---
title: "Legal Operations"
description: Legal Operations supports Legal & Corporate Affairs processes with a focus on defining and driving initiatives that improve the team's efficiency and effectiveness.
---

## Levels

### Legal Operations Manager

The Legal Operations Manager reports to the Sr. Director, Contracts and Legal Operations.

#### Legal Operations Manager Job Grade

The Legal Operations Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Legal Operations Manager Responsibilities

- Program and Project Manage key legal initiatives from inception and through launch and beyond to future iterations  - including the launch of new technologies and updated processes and procedures
- Organize and track milestones and requirements for successful launch of legal and legal related initiatives across GitLab
- Audit, organize and maintain GitLab Legal handbook content utilizing input from a variety of stakeholders
- Assist in the management and tracking of GitLab Legal OKRs
- Assist in the creation of training and enablement documentation for the GitLab Legal Team and entire GitLab organization
- Audit the use of software tools with an eye towards continually improving how they are configured
- Manage software tools for GitLab Legal team and GitLab organization, including creating approval workflows for access and provisioning user credentials
- As needed, assist with project management of GitLab Legal projects and initiatives as they arise

#### Legal Operations Manager Requirements

- Minimum 5 years of relevant experience and a solid understanding of operations and process creation and implementation
- Strong analytical ability and able to prioritize multiple projects
- Excellent problem solving, project management, attention to detail, interpersonal and organizational skills
- Skilled in creating and optimizing efficient processes
- Customer (internal and external) centric mindset
- Ability to see around corners, predict and eradicate blockers, collaborate internally and externally
- Detail oriented, works well with iteration
- Interest in, and ability to use various software technologies including GitLab and other legal and legal operations software tools
- You share the GitLab values and work in accordance with those values

### Director, Contracts and Legal Operations

The Director, Contracts and Legal Operations reports to the [Chief Legal Officer](/job-families/legal-and-corporate-affairs/chief-legal-officer/).

#### Director, Contracts and Legal Operations Job Grade

The Director, Contracts and Legal Operations is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Director, Contracts and Legal Operations Responsibilities

- Build a cohesive contracting team and implement efficient processes in support of our customer sales organization
- Work closely with members of the Legal team to develop and improve applicable standardized forms, processes, and procedures
- Understand the Company and products in order to identify risks, develop solutions, mitigation and negotiation strategies
- Draft and negotiate a wide range of contracts including services, consulting, marketing, licensing, non-disclosure, data privacy, and other commercial and technology related agreements

#### Director, Contracts and Legal Operations Requirements

- Minimum of 7 years of contracts drafting, reviewing and negotiation experience at a software technology company
- BA/BS required. JD, paralegal certificate, or equivalent work experience preferred.
- Experience successfully managing and growing a team.
- Expertise in drafting and negotiating a wide variety of commercial, licensing and other technology-related agreements.
- Previous experience creating and implementing business processes to make the legal operations more efficient.
- Experience creating contract negotiation playbooks and other tools to standardize contract negotiations.
- Experience with contract management databases, Conga Contracts, ContractWorks a plus.
- Proactive, dynamic and result driven individual with strong attention to detail.
- Outstanding interpersonal skills, the ability to interface effectively with all business functions throughout the organization.
- Enthusiasm and "self-starter" qualities enabling him or her to manage responsibilities with an appropriate sense of urgency; the ability to function effectively and efficiently in a fast-paced & dynamic environment.
- Superior analytical ability, project management experience, and communication skills
- Ability to manage internal customer priorities and needs.
- Previous experience in a Global Start-up and remote first environment would be ideal.
- Ability to use GitLab

### Senior Director, Contracts and Legal Operations

The Senior Director, Contracts and Legal Operations reports to the [Chief Legal Officer](/job-families/legal-and-corporate-affairs/chief-legal-officer/).

#### Senior Director, Contracts and Legal Operations Job Grade

The Senior Director, Contracts and Legal Operations is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director, Contracts and Legal Operations Responsibilities

- Build, manage, train and retain a high functioning contract management team to facilitate negotiations on all non-standard commercial agreements (sales and vendor); implement contracting standards and matrices to enable efficiency; create career path and development opportunities for contract management team
- Act as primary escalation point for commercial negotiations; GitLab Legal DRI for sales leadership (VPs and CRO)
- GitLab Legal DRI with respect for: GitLab Legal operational matters, automation and process creation; creation and implementation of contract vehicle(s) to address new, or updated, products and/or services, and launch of new GitLab programs (i.e., Channel Sales, Training / Certification, Interoperability, etc.), GitLab Legal tech stack generally
- Manage and implement budget for both headcount and technology stack with clear vision for future growth in line with company goal(s)
- Create and launch company-wide GitLab Legal compliance training and education
- Develop, implement and continually evolve legal processes to be embedded within commercial operations workflows

#### Senior Director, Contracts and Legal Operations Requirements

- Minimum of 10 years of managing  a team, in addition to an extensive background in contracts management experience at an enterprise software company
- Demonstrated success hiring, training, managing, developing and retaining a high functioning  team of experienced, customer and vendor facing legal professionals
- Expertise in drafting and negotiating a wide variety of commercial, licensing and other technology-related agreements; OSS licensing experience required; familiarity with privacy issues in such contracts
- Extensive experience in collaborating cross company and cross-subject matter in legal teams creating, implementing and evolving complex business processes and automation of operations to maximize efficiency
- Highly proficient in managing legal operations tools and an accompanying tech stack, including contract management systems/databases, as well as internal to legal training materials, contract negotiation handbooks and other tools to ensure consistency and standardization
- Excellent business judgment and analytical, appetite for intelligent risk and keen ability to "read the room" in order collaborate, efficiently remove roadblocks and close deals; experience acting as an escalation point
Outstanding interpersonal skills, the ability to interface effectively with business functions across the organization
- Ability to use GitLab

### Vice President, Legal Operations

The Vice President, Legal Operations reports to the [Chief Legal Officer](/job-families/legal-and-corporate-affairs/chief-legal-officer/).

#### Vice President, Legal Operations Job Grade

The Vice President, Legal Operations is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Vice President, Legal Operations Responsibilities

- Design, build, and lead a high functioning subject matter specific team within the larger Legal & Corporate Affairs team in alignment with GitLab values
- Deep understanding of broader GitLab strategy and business context to develop strategy, policy, and controls within subject matter area and ensure that the company operates safely and in accordance with good practice(s) at scale
- Hiring, managing, training, mentoring and retaining their subject matter specific team to bring an ownership mindset to their role; provide clear actionable work product and further solidify a reputation for exemplifying the GitLab Culture of Compliance and the GitLab values
- Engage with E-Group and other executive Team Members to facilitate cross-functional alignment and Legal & Corporate Affairs collaboration in corporate strategy
- Lead cross functional projects that further the strategy of the Legal & Corporate Affairs team which require significant stakeholder engagement and collaboration
- Act as primary escalation point for inbound commercial negotiations; GitLab Legal DRI Finance matters and procurement; directly oversee key company contracts and negotiations;
- GitLab Legal & Corporate Affairs DRI with respect for: GitLab Legal operational matters including budgeting and strategic planning, OKRs, automation and process creation; creation and implementation of inbound contract vehicle(s) to address new, or updated, products and/or services
- Manage and implement budget for headcount, training, and technology stack with clear vision for future growth in line with company goals
- Develop, implement and continually evolve efficient legal operations processes and automation to be embedded within company workflows

#### Vice President, Legal Operations Requirements

- Minimum of 12 years of managing a team, in addition to an extensive background in contracts management and business operations experience, preferably at an enterprise software company
- Demonstrated success hiring, training, managing, developing and retaining a high functioning team of experienced legal and operational professionals
- Demonstrated ability to collaborate effectively and influence across a range of stakeholders, including executives. Aligns teams around a common goal
- Expertise in drafting and negotiating a wide variety of inbound commercial agreements; OSS licensing experience required; familiarity with privacy issues in such inbound contracts
- Extensive experience in collaborating cross company and cross-subject matter to create, implement and evolve complex business processes and automation of operations to maximize efficiency
- Highly proficient in managing legal operations tools and an accompanying tech stack, including contract management systems/databases, as well as internal to legal training materials, contract negotiation handbooks and other tools to ensure consistency and standardization
- Excellent business judgment and analytical, appetite for intelligent risk and keen ability to "read the room" in order collaborate, efficiently remove roadblocks and close deals; experience acting as an escalation point
- Outstanding interpersonal skills, the ability to interface effectively with business functions across the organization
- Ability to use GitLab

### Legal Operations and Contracts Performance Indicators

- Increase operational efficiencies for revenue and non-revenue stakeholders using data to  continually iterate and improve:
  - commercial legal request response times;
  - efficiency, and thereby capacity, of contract management team
- Update and iterate on legal agreement forms in order to:
  - decrease in total number of negotiations per quarter;
  - increase speed to close in transaction lifecycle
- Hire, train, develop and retain a high functioning team of contract managers to partner with internal members and GitLab customers, including:
  - Development and revision of commercial legal on-boarding materials; and
  - Focus on professional and career development of contract managers

## Career Ladder

- The next steps for the Legal Operations job family are not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our team page.

- Selected candidates will be invited to schedule a 45 min [screening call](/handbook/hiring/#screening-call) with our Global Recruiters.
- Next, candidates will be invited to schedule an interview with the hiring manager.
- Next, candidates will be invited to schedule an interview with a member of the Legal Operations team.
- Next, candidates will be invited to schedule an interview with additional members of the Legal and Corporate Affairs Team.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
