---
title: Paralegal
description: Paralegal team members are responsible for supporting clients across GitLab on legal matters related to their functional area of expertise.
---

## Levels

### Associate Paralegal

The Associate Paralegal reports to the Director of Legal or Senior Director of Legal.

#### Associate Paralegal Job Grade

The Associate Paralegal is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Associate Paralegal Responsibilities

- Support administration of legal issue tracker and Legal page in Handbook.
- Prepare or support attorneys in preparing standard agreements as assigned.
- Responding to and running point on internal and/or external questionnaires.
- Assist in-house legal team in coordinating federal, state and local regulatory compliance documents.
- Support corporate governance functions by assisting with drafting reports, maintaining records, completing forms and updating documents.
- Support in-house legal team and outside counsel in preparing documents, conducting due diligence and performing other responsibilities related to corporate acquisitions and other corporate transactions.
- Conduct research in support of the legal team, as required.
- Work on other projects as assigned.* Support responding to internal and/or external compliance and other questionnaires.

#### Associate Paralegal Requirements

- 1-2 years of experience working in an in-house legal department in a paralegal capacity preferred but will consider comparable experience outside the legal department.
- Paralegal certification preferred but will consider comparable experience in lieu of certification.
- Strong attention to detail and affinity for use of various types of technologies.
- Proactive, dynamic and result driven individual with strong organizational skills.
- Outstanding interpersonal skills, the ability to interface effectively with all business functions throughout the organization.
- Enthusiasm and "self-starter" qualities enabling individual to manage responsibilities with an appropriate sense of urgency; the ability to function effectively and efficiently in a fast-paced & dynamic environment.
- Superior analytical ability, project management experience, and communication skills
- Ability to manage internal customer priorities and needs.
- A curious mind who does not back down from a challenge.
- Previous experience in a Global Start-up and remote first environment preferred.
- Ability to use GitLab.

### Paralegal

The Paralegal reports to the Director of Legal, or Senior Director of Legal.

#### Paralegal Job Grade

The Paralegal is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Paralegal Responsibilities

- Extends that of the Associate Paralegal responsibilities.
- Administer, maintain and manage the legal issue tracker for the particular subject matter to which the role is assigned.
- Prepare standard agreements for subject matter to which the role is assigned.

#### Paralegal Requirements

- Extends that of the Associate Paralegal requirements.
- Minimum of 5-7 years paralegal experience at a law firm, in-house legal department, or a combination of both; experience at or supporting a multinational public company preferred.
- Paralegal certification.

### Senior Paralegal

#### Job Grade

The Senior Paralegal is a [Grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Responsibilities

- Act as the DRI ("Directly Responsible Individual") with respect to complex / strategic projects and legal matters
- Guide other Paralegals, and personally develop and add information and content to internal knowledge-base repositories and playbooks
- Engage leadership across the organization to proactively address requests and projects
- At the direction of leadership, research legal, regulatory and industry standards to identify areas of improvement to enable GitLab to meet best-in-class standards
- Prepare documents, conduct due diligence and perform other responsibilities related to subject matter expertise across Corporate, Employment, and Product & Privacy
- Identify and design new processes and procedures with regards to requests from internal stakeholders
- Maintain and audit varying types of records
- Directs research programs and provides actions to be taken by GitLab for review by leadership

#### Requirements

- Minimum of 8+ years experience working in a law firm, in-house legal department, or combination of both, in a paralegal capacity
- Paralegal certification preferred but will consider comparable experience in lieu of certification
- Demonstrated ability to successfully manage cross-functional projects
- Exceptional written and verbal communication, organizational, and analytical skills
- Ability to adapt and willingness to work on a variety of projects and types of requests
- Strong attention to detail and affinity for use of various types of technologies including Slack, G-Suite, Microsoft Office and other applications
- Proactive, dynamic and result driven individual with strong organizational skills
- Ability to use GitLab

### Lead Paralegal

#### Job Grade

The Lead Paralegal is a [Grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Responsibilities

- Act as a DRI on tasks and projects and effectively manage relationships with stakeholders across legal and GitLab, including skills in providing education and enablement; excellent at leading and participating in cross-functional projects
- Contribute to internal and external training materials
- Consider commercial impact when applying legal and regulatory principles and seeks workable solutions
- Network internally beyond the legal team to build relationships, knowledge, and insight
- Identify and apply governance processes and control mechanisms relevant to GitLab
- Accurately communicate risks to senior leadership while weighing business needs
- Provide technical and functional knowledge to projects that contribute to overall direction across teams
- Lead by sharing solutions and problem-solving approaches with others
- Interact with team members in addition to suppliers, vendors, and/or customers where applicable to the role
- Collaborate with the team and other stakeholders within the department to maintain a high bar for quality in a fast-paced, iterative environment

#### Requirements

- Minimum of 10+ years experience working in a law firm, in-house legal department, or combination of both, in a paralegal capacity
- Paralegal certification preferred, but will consider comparable experience in lieu of certification
- Demonstrated ability to successfully manage cross-functional projects
- Exceptional written and verbal communication, organizational, and analytical skills
- Ability to adapt and willingness to work on a variety of projects and types of requests
- Strong attention to detail and affinity for use of various types of technologies including Slack, G-Suite, Microsoft Office and other applications
- Proactive, dynamic and result driven individual with strong organizational skills
- High degree of deep subject matter expertise and ability to break this down to non-legal team members in simple non-technical communication
- Decisive and comfortable making decisions
- Ability to use GitLab

### Specialties

#### Associate Paralegal (Employment)

#### Associate Paralegal (Employment) Responsibilities

- Draft employment-related agreements.
- Develop employment-related policies.
- Identify and develop employment-related training.
- Manage global employment-related projects as assigned.
- Conduct research and monitor employment law developments.

### Paralegal (Corporate)

#### Paralegal (Corporate) Responsibilities

- Assist in responding to requests for information and documents from our internal and external auditors, regulators, partners, and other stakeholders.
- Support corporate governance processes, including general recordkeeping, preparation of board and committee meeting agendas, presentations, resolutions, consents, minutes, and other materials, as well as assist with our electronic board portal.
- Assist with compliance and corporate governance matters for our international and domestic subsidiaries.
- Assist with M&A and other strategic transactions, including providing due diligence support data room management, and preparing and organizing deal documents.
- Identify, design, and implement new processes and procedures to improve efficiency, productivity, and communication.
- Support special projects as needed, including research, organization, and project management.
- Review internal and external marketing materials, announcements, filings and presentations to ensure intellectual property clearance and confirm compliance with applicable regulations, company standards and industry standards.
- In consultation with Director of Legal, Corporate and other Corporate attorneys provide advice to GitLab Marketing and Product Development groups on materials and announcements.
- Maintain corporate records.
- Future responsibilities may include preparation of Section 16 reports and assistance with other SEC filings, as well as annual meeting preparation.
- Other responsibilities based on experience, abilities, and interest.

#### Paralegal (Corporate) Requirements

- 5+ years corporate paralegal experience at a law firm, in-house legal department, or a combination of both; experience at a publicly-traded company preferred.
- Strong written and verbal communication. and organizational and analytical skills.
- Ability to adapt and willingness to work on a variety of matters.
- Excellent tech skills, including G-Suite applications and Slack.
- Exceptional level of accuracy, superb attention to detail and excellent proofreading skills.
- Self-starter who has exceptional interpersonal skills.
- Collaborative team-player with a sense of humor who is intellectually curious, capable of learning on the job, and developing new approaches when there are no precedents.
- Bachelor's degree preferred

#### Paralegal (Corporate) Performance Indicators

- Review legal issue tracker for corporate compliance requests and timely response.
- Complete MR's and Open Epics and Issues to support corporate compliance projects.
- Maintain, and manage GitLab Inc. and its subsidiaries' corporate records.
- Ensure all due diligence and deal documentation for strategic transactions are organized within the appropriate shared folders.

### Paralegal (Employment)

The Paralegal (Employment) works collaboratively with the GitLab Legal Employment team on matters affecting the entire arc of the employment relationship, from pre-hire all the way through to post-employment.  These areas will include hiring practices, compensation, benefits, performance management, promotions/demotions, employment policies, contract templates, separations, enforcing post-contractual obligations, and litigation management where it arises, across the company's global footprint. The team member will exercise independent judgment towards matter preparation, and will provide organizational and substantive support to the Legal team, including building out new systems and procedures as needed.

#### Paralegal (Employment) Requirements

- 5+ years paralegal experience at a law firm, in-house legal department, or a combination of both; experience at or supporting a multinational public company preferred.
- Strong written and verbal communication and organizational and analytical skills.
- Ability to adapt and willingness to work on a variety of matters.
- Excellent technical skills, including G-Suite applications and Slack.
- Exceptional level of accuracy, superb attention to detail and excellent proofreading skills.
- Self-starter who has exceptional interpersonal skills.
- Collaborative team-player with a sense of humor who is intellectually curious, capable of learning on the job, and developing new approaches when there are no precedents.
- Experience using GitLab a plus.
- Bachelor's degree preferred.

#### Paralegal (Employment) Responsibilities

- Assist Employment team with variety of employment compliance matters such as review and update of employment policies.
- Serve as point of contact for employment-related data subject access requests and work with Privacy team as needed with respect to employment privacy issues.
- Provide support to the Director of Legal, Employment and Employment Counsel on employment litigation, claims, and other related matters, including, but not limited to, coordinating with outside firms as needed, coordinating litigation hold response, assisting with investigation, responding to claim/litigation requests, preparing case documentation, and conducting research.
- Prepare litigation summaries.
- Draft correspondence and legal documents.
- Draft responses to government agencies.
- Review and manage service of process and responses to garnishments, subpoenas, and other legal notices; including collecting and analyzing responsive information.
- Manage global employment-related projects as assigned.
- Conduct research and monitor employment law developments.
- Manage the Legal Issue tracker and triage issues received internally and externally.
- Assist Director of Legal, Employment and Employment Counsel in interfacing with global People team and network of international outside counsel regarding employment law queries and escalations.
- Project manage employment aspects of strategic legal projects with other legal professionals and internal stakeholders.
- Participate in management of global employment templates and forms.
- Participate in development and review of employment-related training programs.
- Conduct research as required.
- Assist on other projects as needed.

#### Employment Performance Indicators

- [Review legal issue tracker for employment and employment compliance requests and timely respond.](/handbook/legal/#review-the-legal-issue-tracker-daily-ongoing--24-hours).
- Track People Ops and People Success Issues for requests for legal support and timely respond.
- Complete MR's and Open Epics and Issues to support employment compliance projects.
- Maintain and manage records for employment matters.

### Paralegal (Privacy & Product)

The Paralegal, Privacy & Product works collaboratively with the Legal Privacy & Product team on a broad range of areas, including privacy, marketing and product. This team member also provides organizational and substantive support to the Legal team and builds out new systems and procedures as needed.

#### Paralegal (Privacy & Product) Requirements

- 5+ years paralegal experience at an international in-house legal department.
- CIPP certification preferred.
- Strong written and verbal communication. and organizational and analytical skills.
- Ability to adapt and willingness to work on a variety of matters.
- Excellent tech skills, including G-Suite applications and Slack.
- Experience of GitLab a plus.
- Exceptional level of accuracy, superb attention to detail and excellent proofreading skills.
- Self-starter who has exceptional interpersonal skills.
- Collaborative team-player with a sense of humor who is intellectually curious, capable of learning on the job, and developing new approaches when there are no precedents.
- Bachelor's degree preferred.

#### Paralegal (Privacy & Product) Responsibilities

- Assist the privacy team with a variety of privacy matters such as the intake and review of privacy questionnaires; provide advice relating to data subject access requests and other privacy issues; help manage the privacy program and make process improvements;
- Assist in handling of DMCA requests and abuse responses;
- Manage the receipt of law enforcement requests and assist with responses;
- Work with the product, marketing and legal teams on matters ranging from licensing, operations issues, to terms for Sweepstake and Contests;
- Manage the Legal Issue tracker and triage issues received internal and externally
- Contract Management
- Conduct research as required
- Assist on other projects as needed

#### Paralegal (Privacy & Product) Performance Indicators

Review product and privacy requests received and provide timely responses.
Complete MR's and Open Epics and Issues to support privacy and product projects.
Maintain and manage records for privacy and law enforcement matters

## Career Ladder

The next step in the Paralegal job family is not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our team page.

- Selected candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/#screening-call) with our Global Recruiter.
- Next, candidates are invited to schedule a first interview with the hiring manager.
- Next, candidates are invited to schedule with additional members of the Legal and Corporate Affairs Team.
- Finally, candidates are invited to interview with the Director of Legal for the functional area.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
