---
title: Public Policy
description: The Senior Director of Public Policy is responsible for creating and maintaining GitLab's public policy engagement strategy; facilitating relationships across various governing bodies, authorities, commissions and councils, the purpose of which is to represent and further GitLab interests.
---
## Senior Director of Public Policy

### An overview of this role

The Senior Director of Public Policy will report to the GitLab Chief Legal Officer and help establish and direct policies, corporate strategies and objectives involving local, state, and federal/national government affairs. As part of this role, the Senior Director of Public Policy will lead in the analysis of proposed legislation and treaty's globally, as well as determine potential impact(s) on GitLab and develop strategy and appropriate responses accordingly.

The Senior Director of Public Policy is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### What you'll do

- Develop GitLab's public policy program and approach to engagement with US and European lawmakers, regulatory authorities, governments, councils and commissions.
Monitor and report on key developments in tech regulation and policy across all jurisdictions, including the United States and EU.
- Advise senior leaders of the implications of emerging technology policy and regulatory proposals.
Partner with leadership and other stakeholders across GitLab to address policy-related matters, including the implications of emerging technology trends, proposed legislation and regulatory proposals.
- Collaborate with teams across GitLab to educate and influence emerging regulatory and policy proposals on topics such as: artificial intelligence, open source software, sustainability, privacy and security.
- Lead the analysis of proposed legislative actions and the development of responses on behalf of GitLab, including responses to inquiries or calls for submissions from legislative bodies or government regulators.

### What you'll bring

- Minimum 12+ years of public policy and/or government affairs experience, in-house experience preferred.
- Proven experience with direct lobbying and ability to conceive and execute policy campaigns, both in the United States and other jurisdictions including the European Union.
- Strong familiarity with emerging technology public policy trends in the areas of cybersecurity, privacy, antitrust/competition and law enforcement access.
- The ability to articulate complex regulatory and policy matters into easily understood language.
- Adept ability to work with other industry representatives to build colations and form strategic relationships.
- A keen understanding of policy and legislative processes and dynamics within the U.S. Government and Congress; and the operation of the European Union (Parliament, Council and Commission).
- An ownership mindset of the relevant area(s) of subject matter expertise.
- Capable of building strong relationships cross functionally at all levels across GitLab.
