---
title: Risk Management & Dispute Resolution
description: The Risk Management and Dispute Resolution (RMDR) division of GitLab Legal and Corporate Affairs (LACA) is responsible for informing and guiding GitLab's risk management strategies as well as managing internal and external investigations, litigation and other dispute resolution.
---

## Senior Director of Legal, Risk Management & Dispute Resolution

### Senior Director, Legal Job Grade

The Senior Director, Legal is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

The Senior Director of Legal, Risk Management & Dispute Resolution reports to the [Chief Legal Officer, Head of Corporate Affairs and Corporate Secretary](/job-families/legal-and-corporate-affairs/chief-legal-officer/), and is responsible for providing counsel and guidance related to litigation, claims, and dispute resolution. As part of their role, the Senior Director of Legal, Risk Management & Dispute Resolution will collaborate with key leaders across GitLab in order to manage a variety of projects related to risk management and dispute resolution.

### Senior Director of Legal, Risk Management & Dispute Resolution Responsibilities

- Support resolution across a wide range of topics
- Efficiently handle, including (but not limited to) responding to subpoenas and discovery requests, drafting and revising legal documentation, investigations and negotiating and drafting agreements
- Coordinate with internal business partners across GitLab to proactively address and resolve matters in support of business objectives
- Collaborate with other applicable corporate functions, including Internal Audit, Finance, People, and Sales
- Conduct legal research and analysis to provide recommendations and prepare written opinions and guidance for CLO and Executive Team (as necessary)
- Establish and manage outside counsel relationships, including staffing, strategy, work product, day-to-day case activity, and budget management
- Track and report on status and outcomes of investigations, litigation matters, and dispute resolution
- Architect and manage scalable processes and procedures
- Inform and guide GitLab's risk management strategies and contribute to GitLab's global compliance program(s)

### Senior Director of Legal, Risk Management & Dispute Resolution Requirements

- 8+ years of broad litigation experience at a leading law firm and/or in-house, handling various aspects of commercial litigation, alternative dispute resolution, pre-litigation disputes, and internal investigations
- Effective collaborator who embraces iteration in order to innovate, drive, and scale best-in-class litigation and dispute programs, drive strategy with stakeholders from multiple functions, and anticipate evolving risk in a global market
- Deep knowledge and proven track record of success with ranging litigation matters, including eDiscovery, document retention policies and procedures; collection, review, and production of documents; and third-party subpoena compliance
- Outstanding cross-functional partnership skills, with a confirmed ability to identify, initiate and lead efforts with both internal and external teams
- Enthusiastic self-starter; equally comfortable operating at the micro and macro levels with the innate ability to know which level is needed at what time
- Experience with establishing and managing an operating budget
- Background with hyper-growth organizations, and proven ability to adapt and learn things quickly
- An effective communicator with the ability to use "plain language" and to escalate, stay coordinated, provide feedback, and ask for help
- Strong operational mindset with ability to prioritize projects and demands
- Embrace GitLab Values of [Collaboration](/handbook/values/#collaboration[), [Results](/handbook/values/#results), [Efficiency](/handbook/values/#efficiency), [Diversity, Inclusion & Belonging](/handbook/values/#diversity-inclusion), [Iteration](/handbook/values/#iteration), and [Transparency](/handbook/values/#transparency)

## Career Ladder

The next step in the Director, Legal job family is the Senior Director, Legal. The next step in the Senior Director, Legal job family is not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30-minute screening call with our Global Recruiters
- Next, candidates will be invited to schedule an interview with our Chief Legal Officer
- Then selected candidates will be invited to schedule with additional team members of the legal department
- Next, candidates will be invited to schedule interviews with directors and/or executives in relevant functional areas
- Finally, candidates may be required to meet with the CEO.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
