---
title: Vice President of Legal
description: A Vice President of Legal is responsible for designing, building, and leading a high functioning subject matter specific team within the larger Legal & Corporate Affairs team in alignment with GitLab values.
---

## Vice President of Legal

The Vice President of Legal will report directly to the [Chief Legal Officer](https://ir.gitlab.com/management/robin-schulman#:~:text=Robin%20Schulman%20is%20the%20Chief,strengthening%20their%20security%20and%20compliance)

### Vice President of Legal Job Grade

The Vice President of Legal is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

### Vice President of Legal Responsibilities

- Design, build, and lead a high functioning subject matter specific team within the larger Legal & Corporate Affairs team in alignment with GitLab values.
- Provide a deep understanding of broader GitLab strategy and business context to develop strategy, policy, and controls within subject matter area and ensure that the company operates safely and in accordance with good practice at scale.
- Hiring, managing, training, mentoring and retaining their subject matter specific team to bring an ownership mindset to their role; provide clear actionable work product and further solidify a reputation for exemplifying the GitLab Culture of Compliance and the GitLab values.
- Develop and execute on a motivating and strategic vision for the subject matter specific team, including designing data driven OKRs and goals for their team.
- Lead a team that provides cross jurisdictional strategic subject matter specific counsel to team members and leaders across GitLab and E-group on matters of significance.
- Contribute to materials prepared for Board of Directors meetings and Board committee meetings, and as applicable, present relevant materials to the GitLab Board.
- Create a financial plan for their subject matter specific team based on long and short term strategies which influences division-wide budget planning.
- Successfully onboard, coordinate and manage outside counsel resources and associated costs and budgets.
- Demonstrate innovative approaches to leading diverse teams at scale in a fully remote environment.

### Vice President of Legal Requirements

- Juris Doctorate / United States law degree and bar admission in at least one state within the United States
- 15+ years combined law firm and/or in-house legal department experience, preferably in a multinational company, with a considerable amount of time dedicated to their area of subject matter expertise
- Demonstrated success hiring, training, managing, developing and retaining a high functioning team of experienced attorneys and legal professionals
- Demonstrated ability to quickly reduce complex principles into actional, easy to understand counsel
- Reasonable approach to assessing and balancing risk on behalf of the company
- Proven emonstrated ability to quickly reduct complex principles into actional counsel
- An ownership mindset of the relevant area(s) of subject matter expertise
- Effectively able to influence and lead cross functional stakeholders to further GitLab's company strategy
- Excellent problem solving, project management, attention to detail, interpersonal and organizational skills

### Specialities

#### Corporate

The Corporate legal team collaborates on matters with clients across GitLab related to corporate governance and securities law compliance and related issues.

#### Commercial

The Commercial legal team collaborates with clients across GitLab on a broad range of commercial law matters affecting our global team member base.

#### Privacy and Product

The Privacy and Product team collaborates with clients across GitLab on a broad range of privacy and product matters.

#### Employment

The Employment legal team collaborates with clients across GitLab on a broad range of employment law matters affecting our global team member base.

#### Risk Mitigation & Dispute Resolution

Risk Mitigation & Dispute Resolution is responsible for providing counsel and guidance related to litigation, claims, and dispute resolution.
