---
title: "Account Based Marketing Manager"
summary: The Account Based Marketing Manager is responsible for the strategy and implementation of Account Based Marketing campaigns and tactics to drive pipeline from a key accounts list.
---

The Account Based Marketing Manager is responsible for the strategy and implementation of Account Based Marketing campaigns and tactics to drive pipeline from a key accounts list (developed in collaboration with Sales and Marketing). This role will approach ABM strategy with a data-driven approach, continually testing and evaluating success of campaigns. The ABM Manager collaborates closely across marketing, sales, and SDR teams for a fully integrated approach.

## Levels

### Account Based Marketing Manager (Intermediate)

The Account Based Marketing Manager (Intermediate) reports to Senior Manager, Marketing Campaigns.

#### Job Grade

The Account Based Marketing Manager (Intermediate) is a [6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Strategize, execute, and optimize a data-driven ABM strategy to achieve sales goals
- Develop and deploy multi-channel ABM campaigns, including crafting strategy, aligning internal teams, and project managing execution
- Apply an experimentation mindset to ABM campaigns to drive, test, learn, and optimize
- Iterate and optimize campaigns based on data and analysis of ABM campaigns and tactics
- Collaborate with ABM leadership team (sales and marketing interlock) to select key accounts
- Deliver account research and analysis to drive ABM strategies
- Provide ongoing reporting, campaign insights and pacing toward goal to stakeholders
- Partner with regional Campaign Managers, Field Marketers, Sales, and SDRs to build integrated campaign motions
- Work closely with marketing ops and business ops to support high-performance ABM marketing tools and integrations
- Partner closely with SDR and sales teams to ensure strong marketing and sales alignment
- Document processes and best practices in our handbook for marketing and sales teams to reference

#### Requirements

- 2+ years of experience in account based marketing or similar field, with the desire to learn more about account based marketing
- Highly organized and efficient with the ability to develop and execute against an evolving plan
- Able to clearly communicate new ideas, products, and campaigns to both internal and external stakeholders
- Team player that is able to work both collaboratively and autonomously
- Strong project management, time management, prioritization, and organizational skills
- Experience managing and prioritizing multiple projects simultaneously
- Demonstrated ability to achieve results working cross-functionally with sales, marketing, and product teams
- CRM/marketing automation background, preferably Salesforce and Marketo
- Experience with ABM tools (Demandbase) preferred
- Ability to use GitLab for project management
- Proactive self-starter, demonstrating high initiative and critical thinking
- Proven ability to think strategically, but with exceptional attention to detail in execution

### Senior Account Based Marketing Manager

The Senior Account Based Marketing Manager reports to Senior Manager, Marketing Campaigns.

#### Senior Account Based Marketing Manager Job Grade

The Senior Account Based Marketing  Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Account Based Marketing Manager Responsibilities

- Extends that of the Account Based Marketing Manager (Intermediate) responsibilities
- Develop and manage strategy with multiple sales channels (i.e. channel partner)
- Exemplify understanding of multi-touch attribution reporting, with alignment to ABM key accounts
- Develop new structures and automation in marketing automation (Marketo)
- Participate in evaluation of new ABM technologies and data sources

#### Senior Account Based Marketing Manager Requirements

- Extends that of the Account Based Marketing Manager (Intermediate) requirements
- 4-7+ years of experience and proven track record in developing multi-channel roadmaps
- Experience with multi-touch attribution reporting
- Assist in development of Ideal Customer Profile
- Assist in development of Key ABM Accounts List
- Power user of ABM ads software (Demandbase preferred)
- Power user of marketing automation software (Marketo preferred)
- Power user of CRM software (Salesforce preferred)

## Performance Indicators

- Average time to close for accounts within the ABM strategy in comparison to firmographic lookalike accounts
- Average deal size of closed won deals within the ABM strategy
- Account penetration: number of touchpoints to close
- Increased number of opportunities per company within the ABM strategy
- Percentage of MQL's that flip to SAO's

### Manager, Account Based Marketing

The Manager, Account Based Marketing reports to Senior Manager, Marketing Campaigns.

#### Job Grade

The Manager, Account Based Marketing is a [8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Develop and execute high-impact, integrated ABM programs to achieve revenue and pipeline goals for key accounts
- Strategize ABM campaign approach and delegation of campaign planning within the Account Based Marketing team
- Work cross-functionally across the marketing organization as well as sales and other teams to design and orchestrate impactful, targeted ABM campaigns
- Develop ICP (Ideal Customer Profile) and Key Accounts List, in collaboration with Sales and Marketing
- Manage and build a team by coaching and developing existing members and closing gaps where needed through acquisition of new team members
- Guide efforts to create standardized Account Based Marketing reporting and dashboards for key accounts, presenting performance to the marketing department as well as stakeholders throughout the company
- Oversee our ABM strategy, approach, and calendar, and communicate to marketing team and larger organization
- Act as DRI for account based marketing tech stack, including evaluation of additional tools

#### Requirements

- 5+ years of proven multi-channel B2B marketing experience within enterprise software/SaaS.
- You are a proactive self-starter, demonstrating high initiative and critical thinking. Proven ability to think strategically, but with exceptional attention to detail in execution.
- Positive, can-do attitude, with the ability to work with marketing and sales professionals, and ability to prioritize numerous projects simultaneously
- Experience building and managing multi-channel ABM campaigns
- Understanding of pipeline management and metrics
- Demonstrated experience sourcing and overseeing vendors for marketing program execution
- Excellent verbal and written communication skills. Strong interpersonal skills a must. Strong influencing and relationship-building skills
- Team player with ability to work independently and autonomously
- Flexibility to adjust to the dynamic nature of a startup
- Ability to use GitLab
- [Leadership at GitLab](/handbook/company/structure/#management-group)

#### Performance Indicators

- Average time to close for accounts within the ABM strategy in comparison to firmographic lookalike accounts
- Average deal size of closed won deals within the ABM strategy
- Account penetration: number of touchpoints to close
- Increased number of opportunities per company within the ABM strategy
- Percentage of MQL's that flip to SAO's

## Career Ladder

The next step for both individual contributors and managers of people is to move to the [Director of Field Marketing](/job-families/marketing/director-field-marketing) job family or laterally to the [Field Marketing Manager](/job-families/marketing/field-marketing-manager) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/). Additional details about our process can be found on our [hiring page](/handbook/hiring/).

- Selected candidates will be invited to schedule a screening call with one of our Global Recruiters.
- Next, candidates will be invited to schedule a first-round interview with the hiring manager - the Manager, Field Marketing North America.
- Candidates will then be invited to schedule a series of 45 minute interviews with our Manager, Digital Marketing Programs and the Sr. Manager of NORAM Sales Development.
- Candidates will then be required to submit a 30/60/90 day plan to the recruiter for the hiring manager to review. Upon review, the candidate may be asked additional questions about the plan.
- Candidates will then be invited to schedule an interview with our Sr. Director of Revenue Marketing.
- Our CMO may choose to conduct an interview.
- Finally, our CEO may choose to conduct a final interview.
- Successful candidates will subsequently be made an offer via email.
