---
title: "All-Remote Marketing"
summary: The All-Remote Marketing team holds a unique position on the corporate marketing team to develop and tell the story of GitLab's remote culture.
---

The All-Remote Marketing team holds a unique position on the corporate marketing team to develop and tell the story of GitLab's remote culture. As a pioneer of remote work, this team will tell the story of GitLab's global remote employees, remote work processes, transparent culture and the movement to remote work that GitLab has created.

## Responsibilities

- Own the story around GitLab's remote culture and transparent work philosophy that is changing the future of how people work.
- Create and execute a content strategy and awareness platform to tell GitLab's story about remote work and transparent culture.
- Use such tactics as online publishing, social, events, public relations, and partnerships to demonstrate GitLab's influence on the future of work movement.
- Work with employees around the globe to highlight remote culture stories.
- Collaborate personally with the CEO to document GitLab's remote and transparent culture philosophies.
- Follow the movement to remote work with a journalist's eye, and cover as appropriate.
- Plug in to bigger opportunities to drive awareness around GitLab's remote work culture.
- Employ an ethnographic storytelling approach to document and share authentic, credible stories from the movement offering insights that can be applied to solve problems throughout the organization and also adopted by others outside of GitLab.
- Work cross-functionally to develop and share key insights that can be applied across teams and programs: HR (Culture & Recruiting), Product Management and Design (Ethnographic research), Community, Internal Communications, etc.

## Requirements

- Track record of developing content marketing strategies and awareness campaigns.
- A passion for remote work, and a proven aptitude to execute remotely.
- Flexibility to travel frequently, internationally.
- A natural storyteller with excellent narration and writing skills.
- Capability to gracefully handle day-to-day tasks, showcasing compassion and empathy.
- Capability to coordinate across many teams and perform in fast-moving startup environment.
- Aptitude to be a [manager of one](/handbook/company/culture/all-remote/self-service/) and work with minimal supervision.
- Outstanding written and verbal communications skills.
- You embrace our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab

## Levels

### All-Remote Coordinator

The All-Remote Coordinator reports to the Head of Remote.

#### All-Remote Coordinator Job Grade

The All-Remote Coordinator is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### All-Remote Coordinator Responsibilities

- Maintain and update list of relevant remote conferences, events, experts, panelists, and outreach targets.
- Manage outreach and submissions for events, sponsorships, and speaking opportunities.
- Serve as writer and ghostwriter for all-remote content.
- Coordinate teams, people, and schedules as required across GitLab's all-remote initiatives.

#### All-Remote Coordinator Requirements

- 2+ years experience in content marketing, journalism or communications.
- Organized and efficient, able to develop, iterate, and execute against a plan.
- Able to clearly communicate new ideas and campaigns to both internal and external stakeholders.
- Team player who can work on one's own initiative.
- Flexibility to adjust to the dynamic nature of a startup.

### All-Remote Evangelist

All-Remote Evangelist reports to the Head of Remote.

#### All-Remote Evangelist Job Grade

The All-Remote Evangelist is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### All-Remote Evangelist Responsibilities

- Serve as a spokesperson for GitLab's all-remote culture.
- Create new all-remote guides in the GitLab handbook.
- Activate the GitLab team in sharing all-remote content with their networks, increasing our reach to media, academia, analysts, etc.
- Collaborate with GitLab's PR agency partners to facilitate and secure media coverage for GitLab's all-remote culture.
- Compile quarterly metrics reports to measure our all-remote successes in relation to awareness, newsletter sign-ups, and impact.
- Manage projects from start to finish.

#### All-Remote Evangelist Requirements

- 3+ years experience in journalism, marketing, communications, or a related field.
- An understanding of GitLab's [remote work culture](/handbook/company/culture/all-remote/) and [philosophy](/handbook/company/culture/#life-at-gitlab).
- Experience in publishing, journalism, content marketing, social, and events.

### All-Remote Campaign Manager

The All-Remote Campaign Manager reports to the Senior Manager, All-Remote Campaigns.

#### All-Remote Campaign Manager Job Grade

The All-Remote Campaign Manager is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### All-Remote Campaign Manager Responsibilities

- Execute on the all-remote content strategy set forth by the Head of Remote.
- Work across teams to help implement awareness activities.
- Compile successes and lessons learned as the team iterates on the campaign.
- Manage projects from start to finish.

#### All-Remote Campaign Manager Requirements

- 3+ years experience in journalism, content marketing, integrated/experiential marketing, interest generation or brand activations.
- An understanding of GitLab's [remote work culture](/handbook/company/culture/all-remote/) and [philosophy](/handbook/company/culture/#life-at-gitlab).
- Experience executing awareness campaigns, working in content marketing, social and events.

### Senior Campaign Manager, All-Remote

The Senior Campaign Manager, All-Remote reports to the Head of Remote.

#### Senior Campaign Manager, All-Remote Job Grade

The Senior Campaign Manager, All-Remote is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Campaign Manager, All-Remote Responsibilities

- Determine strategy and manage all-remote awareness campaigns.
- Develop and manage all-remote content strategy.
- Work across teams to help implement awareness activities.
- Compile successes and lessons learned as the team iterates on the campaign.

#### Senior Campaign Manager, All-Remote Requirements

- 5+ years experience in journalism, content marketing, integrated/experiential marketing, interest generation or brand activations.
- An understanding of GitLab's [remote work culture](/handbook/company/culture/all-remote/) and [philosophy](/handbook/company/culture/#life-at-gitlab).
- Experience executing awareness campaigns, working in content marketing, social and events.

### Director, All-Remote (Head of Remote)

The Director, All-Remote (Head of Remote) reports to Senior Director, All-Remote.

#### Director, All-Remote (Head of Remote) Job Grade

The Director, All-Remote is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, All-Remote (Head of Remote) Responsibilities

- Develop overall strategy and vision for GitLab's remote work awareness campaign.
- Curate GitLab's culture via content, social, events and public relations activities.
- Work with People Group and Corporate Marketing to measure the program effectively.
- Collaboratively work across Corporate Marketing, People Group and E-Group to tell GitLab's remote work story.
- Responsible for ideation of all campaign activities, initiatives, OKRs, and reporting on results.

#### Director, All-Remote (Head of Remote) Requirements

- 7+ years experience in operations, organizational design, content marketing, journalism or communications.
- Proven experience managing and overseeing successful thought awareness campaigns and working in a remote work environment.
- Experience overseeing campaigns that include public relations, events, social, publishing and content.

### Senior Director, All-Remote

The Senior Director, All-Remote reports to Vice President of Corporate Marketing.

#### Senior Director, All-Remote Job Grade

The Senior Director, All-Remote is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director, All-Remote Responsibilities

- Continue to build and lead the most forward-looking team on all-remote.
- Develop and foster cross-functional relationships across GitLab.
- Oversee event strategy and execution for all-remote masterclass events and hackathons.
- Guide GitLab's All-Remote brand building efforts.
- Manage, build, and guide a cohesive team by recruiting, coaching and developing team members.

#### Senior Director, All-Remote Requirements

- 10+ years experience in operations, organizational design, corporate marketing, content marketing, journalism or communications.
- Background in change management and good understanding of remote work tools and processes.
- Technical background or good understanding of developer products; familiarity with Git a plus.
- Track record of developing and executing successful corporate communications, content, brand and/or internal/external messaging campaigns.

## Performance Indicators

- Merged MRs within All-Remote handbook section
- Published articles, podcasts, and other content by media and external sources
- Views (website traffic to all-remote sections of `about.gitlab.com`) and impressions attributed to brand awareness efforts

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#conducting-a-screening-call) with one of our Global Recruiters.

- A 45 minute interview with our Head of Remote
- A 30 minute interview with one of our Corporate Marketing Heads
- A 30 minute interview with our Senior Talent Branding Manager
- A 30 minute interview with our Senior Director of Corporate Marketing
- Finally, our CMO may choose to conduct a final interview
- Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
