---
title: "Analyst Relations Manager"
summary: " "
---

## Levels

### Analyst Relations Manager

The Analyst Relations Manager reports to Manager, Analyst Relations.

#### Analyst Relations Manager Job Grade

The Analyst Relations Manager is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Analyst Relations Manager Requirements

- Prior experience working with industry analysts and influencers in B2B enterprise software and services required.
- Specific, significant experience in an industry Analyst Relations role in enterprise software a plus.
- Understanding of how to build and maintain relationships with key influencers, leading industry analysts, and analyst firms.
- Prior, significant experience working with senior executives a plus.
- Prior experience negotiating contracts with Industry Analyst firms a plus.
- Excellent project and time management skills.
- Excellent written and oral communications skills.
- Self-starter with a strong sense of ownership.
- Able to prioritize in a complex, fast-paced and lean organization.
- Passion for helping build a world-class, innovative analyst relations program and desire to own and refine key operational processes
- You share our [values](/handbook/values/), and work in accordance with those values
- Ability to use GitLab

#### Analyst Relations Manager Responsibilities

- Help design, execute, and manage GitLab's overall industry analyst, influencer, and thought leader strategy and plan.
- Create, nurture, and manage positive relationships with industry analysts, industry influencers, and thought leaders, serving as a key, centralized contact point and connector.
- Establish and maintain regular communication with analysts and influencers via multiple channels which you will develop to engage and educate these communities on GitLab strategy, roadmap and product updates.
- Ensure all analysts and influencer advice informs all applicable business activities and that analyst/influencer/thought leader publications and/or other interactions mentioning GitLab are leveraged appropriately to help build market awareness, increase lead generation effectiveness, and simplify selling.
- Plan, schedule, and manage analyst/influencer program activities such as participation in analyst research, conferences, advisory days, briefings, inquiries, and reporting.
- Drive alignment with sales, marketing and product teams to maximize program impact.
- Schedule briefings, inquiries, demos and advisory days with key analysts and influencers, GitLab customers, and GitLab executives.
- Prioritize and manage incoming analyst requests for information, research support, research review, customer references, and event speakers.
- Respond to, serve, and manage internal requests for Industry Analyst/Influencer/Thought Leader interactions, publications, research, event support, and other requests as needed.
- Negotiate, secure, and manage contracts and related services ensuring they support both strategic and tactical, near term and future requirements. Ensure that contracted services are fully utilized.
- Support the GitLab reference program, market research activities, and serve as a program manager for the GitLab Thought Leadership Advisory Board.

### Senior Analyst Relations Manager

The Senior Analyst Relations Manager reports to Manager, Analyst Relations.

#### Senior Analyst Relations Manager Job Grade

The Senior Analyst Relations Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Senior Analyst Relations Manager Responsibilities

- Extends that of the Analyst Relations Manager responsibilities
- Be a leader in working cross-functionally to drive the execution of analyst relations plans, aligning with other areas of marketing.
- Driving negotiations with industry analyst and related firms to consistently optimize spend.
- Be willing to act as a Senior leader on the Market Insights team, mentoring and guiding Analyst Relations Managers.
- Be a leader in building and driving process within the Market Insights team.

#### Senior Analyst Relations Manager Requirements

- Extends that of the Analyst Relations Manager requirements
- 5+ years of specific, significant experience in an industry Analyst Relations Manager role in enterprise software.
- Proven ability to build and drive a budget and forecast spend.
- Specific experience in garnering industry analyst interest and coverage.
- Strong orientation to managing program details.

### Staff Analyst Relations Manager

The Staff Analyst Relations Manager reports to Manager, Analyst Relations.

#### Staff Analyst Relations Manager Job Grade

The Staff Analyst Relations Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Staff Analyst Relations Manager Requirements

- Extends that of the Senior Analyst Relations Manager requirements
- Strong analytical skills and proven ability to use data to optimize program performance and inform future strategies.
- Plan and operate in a transparent manner for cross-organizational visibility and be a leader in sharing best practices with other Market Research and Customer Insights team members.
- Experience organizing industry analyst events that both support industry analyst research efforts and provide insights back into all applicable business activities.
- Experience developing internal analyst relations training programs and maintaining consistent internal and external communications of analyst relations activities.

#### Staff Analyst Relations Manager Responsibilities

- Extends that of the Senior Analyst Relations Manager responsibilities
- 10+ years specific, significant experience in an industry Analyst Relations role in enterprise software.
- Ability to easily transition from high level strategic thinking to creative and detailed execution.
- Excellent communicator with proven ability to clearly convey ideas and data in written and verbal presentations to a variety of audiences.
- Ability and interest to design, build, implement, and use data-driven mechanisms to simplify and speed decision making regarding analyst relations activities.

#### Principal Analyst Relations Manager Job Grade

The Principal Analyst Relations Manager is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

The Principal Industry Analyst Relations is responsible for executing the strategic industry analyst relations plan. This is a results-oriented role with a strong knowledge of analyst relations best practices and a keen eye for detail. The Principal Industry Analyst Relations collaborates closely with the Director of Analyst Relations and Product Marketing and Product Management to ensure the GitLab brand is represented fairly in all relevant research reports. This is an independent contributor role reporting to the Senior Director of Corporate Communications.

#### Principal Analyst Relations Manager Responsibilities

Strategy & Operations

- Support the analyst relations strategy and a variety of research and independent analyst relationships that influence GitLab's success
- Execute  analyst relations projects and create, maintain and influence analyst relationships that contribute to the overall success of the team
- Deliver on-going AR program activities such as analyst briefings, analyst inquiries, reporting and other core program tactics
- Schedule and prepare GitLab spokespeople for analyst inquiry and briefings
- Plan and lead effective strategy sessions (e.g., SAS days) with select analysts
- Proactively and simultaneously manage multiple vendor ratings in key reports such as Gartner Magic Quadrants, Forrester Waves, and IDC MarketScapes
- Prioritize and manage incoming requests for information, research review, and customer references
- Respond to, serve, and manage internal requests for industry analyst publications, research, and event support
- Produce and/or edit AR content including presentations, research notes, and other related materials
- Provide constructive guidance on briefing decks, questionnaires, and analyst Q&A to GitLab spokespeople

Measurement & Reporting

- Execute AR reporting and measurement programs
- Track and report analyst interactions, coverage, and progress
- Develop and manage an internal analyst relations newsletter
- Read, distribute and provide insight on relevant published research to teams across GitLab

Events

- Execute Gartner Peer Insights reviews sourcing activities at trade shows, conferences, and GitLab events.
- Proactively secure and staff briefings at industry conferences and events

#### Principal Analyst Relations Manager Requirements

- 10+ years of in-house analyst relations experience with progressive experience operating at a Manager/Senior Manager level at a public company
- Prior experience working with industry analysts at a high-growth B2B SaaS enterprise software and services company required
- Deep industry knowledge of open core tenants, cloud services and platforms, cybersecurity, observability, and AI / machine learning strongly preferred
- Comfortable balancing strategic thinking with tactical, detailed execution while working independently
- Exceptional interpersonal, verbal, and written communication skills with the ability to build confidence across multiple functions and levels of an organization
- Strong organizational and project management skills, excellent attention to detail, and an ability to handle numerous fast paced projects simultaneously
- An aptitude for collaboration and helping teams make informed decisions in alignment with strategic plans
- Ability to link AR plans and activities to business results
- Ability to travel to GitLab events and industry tradeshows and conferences (up to 20%)

#### Director of Industry Analyst Relations Job Grade

The Director of Industry Analyst Relations is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

The Director of Industry Analyst Relations is responsible for the strategy and implementation of the industry analyst relations program, cultivating strategic relationships and creating mindshare with key analysts through education, customer references, and two-way communication around key product updates. This leader plays a critical role in GitLab achieving its long-term growth vision by helping to shape analyst perceptions of the outcomes we enable customers to achieve and how we serve customers in ways other companies can't. The Director of Industry Analyst Relations collaborates closely with Product Marketing, Product Management, and key executives. This is an independent contributor role reporting to the Senior Director of Corporate Communications.

#### Director of Industry Analyst Relations Responsibilities

Strategy

- Develop, execute, and manage the company's industry analyst relations strategy and plan to support measurable business objectives.
- Establish key KPIs, strategy, and industry benchmarks to position GitLab as a leader across markets and in industry analyst reports, hype cycles and through inbound inquiries.
- Drive alignment with sales, marketing, and product teams to maximize program impact.
- Create and nurture strong, positive and collaborative relationships with industry analysts, technology influencers, and thought leaders, serving as a key, centralized contact point.
- Establish and maintain regular communication with analysts and influencers via multiple channels, which you will develop, to engage and educate these audiences on GitLab's strategy, roadmap, and product updates.

Operations

- Manage all AR operations, including rationalizing agreements and budgets to support consistent analyst strategy days, quarterly briefings, inbound and outbound inquiries, and research requests. Ensure that contracted services are fully utilized.
- Plan, schedule, and manage analyst program activities such as participation in analyst research, conferences, advisory events, demos, briefings, inquiries, and reporting.
- Prioritize and manage incoming analyst requests for information, research support, research review, customer references, and event speakers.Respond to, serve, and manage internal requests for industry analyst interactions, publications, research, events support and other requests.
- Monitor competitive coverage by industry analysts to support product and product marketing leaders' refinement of product and market positioning, and educate internal audiences on the evolving technology landscape.
- Ensure analyst advice is communicated to key internal stakeholders and that assets mentioning GitLab are leveraged appropriately to help build market awareness, drive demand, and enable the selling process.

Gartner Peer Insights

- Develop and manage a Gartner Peer Insights center of excellence in partnership with product and product marketing, customer advocacy, sales, and community leadership.

#### Director of Analyst Relations Requirements

- 15+ years of in-house analyst relations experience, with progressive experience operating at a director level at a public company.
- Prior experience working with industry analysts at a high-growth B2B SaaS enterprise software and services company and deep industry knowledge of open core tenants, cloud services and platforms, cybersecurity, observability, and AI / machine learning required.
- Experience securing a first time position or significantly improving a company's position in a key analyst vendor report
- Understanding of how to build and maintain relationships with key influencers, leading industry analysts, and analyst firms
- Prior, significant experience working with and presenting to senior executives
- Experience negotiating contracts with analyst firms
- Excellent project and time management skills
- Proven clear and effective communication with technical and business leaders at all levels within large enterprises and across product, product marketing, and sales organizations
- Ability to travel to GitLab events and industry tradeshows and conferences (up to 20%)

## Career Ladder

The next step in the Analyst Relations job family is not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 45 minute interview with the Senior Director, Communications
- Candidates will then be invited to schedule a 45 minute interview with our VP, Global Communications
- Finally, selected candidates may be asked to interview with our CMO
- Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
