---
title: "Brand Designer"
summary: Brand Designers are responsible for ensuring strategic, seamless experiences - working closely with Marketing, Sales, and Product teams to elevate our global brand and optimize the customer journey end-to-end.
---

<iframe width="560" height="315" src="https://www.youtube.com/embed/nBSQmB_ruco" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

## Brand Designer

At GitLab, Brand Designers are responsible for ensuring strategic, seamless experiences - working closely with Marketing, Sales, and Product teams to elevate our global brand and optimize the customer journey end-to-end.

### Responsibilities

- Define and create a visual language as an extension of the brand (illustrations, icons, colors, typography, animations, etc.)
- Be an advocate for consistent and cohesive design throughout the company.
- Contribute to GitLab's [Brand Standards](https://design.gitlab.com/brand-overview/resources).
- Educate others on design thinking, brand experience, and design-driven storytelling.
- Collaborate with Content Marketing, and others, to establish a clear and concise brand voice, tone, and personality.
- Collaborate with UX Design to create and maintain a cohesive and consistent brand experience between Marketing and Product.
- Continually iterate on concepts in an effort to make the brand relevant and relatable to our audience(s).
- Strong ability to prioritize work and resources across various projects.

### Requirements

- Effectively communicate conceptual ideas and design rationale.
- Engage in constructive design critiques.
- Able to work independently, prioritize accordingly, and iterate quickly.
- Strong communication skills without a fear of over communication.
- You share our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab

## Individual Contributor Levels

### Associate Brand Designer

- Execute design and conceptual tasks as assigned with significant attention to detail.
- Learn the GitLab brand, visual language, and GitLab's [Brand Standards]/handbook/marketing/brand-and-product-marketing/brand/brand-activation/brand-standards/).
- Contribute to, and collaborate with fellow designers, on design concepts and the GitLab brand experience.

#### Job Grade

The Associate Brand Designer is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Requirements

- 1–3 years experience in a design-related role.
- Ability to continuously meet deadlines and execute on projects.

### Intermediate Brand Designer

Everything in the Associate Brand Designer role, plus:

- Develop visual concepts for digital campaigns, webpages, print, and events.
- Enable others, non-designers, to create on-brand assets.
- Actively contribute to GitLab's [Brand Standards](https://design.gitlab.com/brand-overview/resources).

#### Job Grade

The Intermediate Brand Designer is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Requirements

- 3–5 years experience in a design-related role.
- Proven ability to independently conceptualize and think critically about design.

### Senior Brand Designer

Everything in the Intermediate Brand Designer role, plus:

- Generate clear ideas and concepts in tandem with peers and stakeholders.
- Lead cross-discipline collaboration as it relates to brand experience (Sales, Content, Product, etc.).
- Understand marketing initiatives, strategic positioning and target audience.
- Cooperate with the rest of the creative team across different types of media.
- Facilitate iterative and inclusive design process end-to-end within deadlines.
- Effectively present ideas to clients/team members.
- Stay on top of brand, design, media and conversion best practices.
- Be an advocate for design; educating and enabling others to create on-brand experiences.

#### Job Grade

The Senior Brand Designer is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Requirements

- 7 years agency experience (marketing, design or advertising), or on a design team at a technology company.
- Proven experience designing strategic omni-channel experiences at an agency or technology company. SaaS experience preferred.
- Must be fluent in brand, marketing and design principles and best practices.
- Hands on experience with logo design, typography, color, web layout design, print production, photography, and more.
- Proficient use of InDesign, Photoshop, and Illustrator.
- Demonstrable design thinking and execution skills with a strong portfolio.
- Incorporate feedback and take/give direction well.
- Team player with strong communication and presentation skills.
- BA/BS in design, communications, marketing, HCI, or related experience is strongly preferred.

#### Bonus

- Project or product management experience.
- Product marketing experience.
- Knowledge of Git or GitLab.
- Technology marketing experience.

### Staff Brand Designer

#### Job Grade

The Staff Brand Designer is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

**Market Justification:** The Staff Brand Designer role will provide a high level of expertise in solving complex problems with a strong understanding of brand voice, audience, and strategy. Additionally, this role will be key in educating and enabling a consistent brand experience across the organization through industry experience related to creative philosophy, design principles, and brand standards. This role will help shape GitLab's brand experience through extensive research, exploration, and iteration. Within the market there are a significant number of companies with an average of 7 team members in this type of role at the staff level.

#### Responsibilites

Everything in the Senior Brand Designer role, plus:

- Inform the GitLab brand experience through research, exploration, and iteration.
- Contribute to the development and production of Brand certifications and educational workshops.
- Collaborate with marketing leaders and other Brand Design team members in shaping the evolution of GitLab's brand, voice, and strategy as our company and platform evolve.
- Contribute to the GitLab brand experience and how it drives value to / resonates with our enterprise and developer audiences.
- Proactively contribute to GitLab's Brand Design culture in areas such as Creative Philosophy, Design Principles, and Brand Standards.
- Contribute to the enablement of the broader GitLab organization; creating cohesive and consistent brand experiences across multiple channels and touchpoints through the development of self-serve tools, templates and libraries, request processes, communications, etc.

#### Requirements

- 8+ years experience with an in-house team or creative agency.
- A [manager of one](/handbook/values/#managers-of-one) overseeing brand initiatives from beginning to end, and equally comfortable in a collaborative environment.
- Exceptional communication skills with the ability to pitch creative ideas.
- Strong sense of concept development, strategy, research, and problem-solving in a fast-paced, iterative environment.

### Principal Brand Designer

#### Job Grade

The Principal Brand Designer is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

**Market Justification:** The Principal Brand Designer role will provide a high level of expertise and ability to think critically and strategically about the GitLab brand experience. This role will be crucial in developing an (iterative) understanding of how the brand drives value to, and resonates with, our enterprise and developer audiences (not just the production of those assets). This role will be key in building and nurturing key cross-functional relationships; resulting in strong brand consistency and experience both internally and externally. In the market there are 20 companies with an average of 7 team members matching to this level.

#### Responsibilities

Everything in the Staff Brand Designer role, plus:

- Think critically and strategically about the GitLab brand experience and how it drives value to / resonates with our enterprise and developer audiences through brand campaigns, events, and other channels (buyer journey).
- Use Design Thinking or other processes, to help drive thought leadership and work cross-functionally to define brand experiences that are innovative, solve real problems, and have impact on the business.
- Build and nurture strong relationships with key partners and stakeholders throughout marketing, sales, and product; developing trust and enabling a cohesive cross-functional brand experience.
- Demonstrate design leadership through extensive knowledge of the GitLab brand, strategic and creative execution, as well as the willingness to collaborate with and educate others.
- Proactively contribute to GitLab's Brand Design culture in areas such as Creative Philosophy, Design Principles, Brand Standards, workflows & best practices.
- Lead the enablement of the broader GitLab organization to create cohesive and consistent brand experiences across multiple channels and touchpoints through the development of self-serve tools, templates, and libraries, request processes, communications, etc.
- Support and contribute to the day-to-day leadership of the Brand Design team by providing inspiration, empowerment and mentorship to team members.
- Evangelize the GitLab brand by actively promoting, and educating others of, the work and accomplishments of the Brand Design team.
- Protect the integrity of the GitLab brand, while pushing creative exploration and risk-taking.

#### Requirements

- 10+ years of senior-level design experience with an in-house team or creative agency.
- Deep knowledge, passion and expertise in all aspects of layout, typography, illustration, image making, digital and event/brand experience production.
- Proven ability as a strong mentor, with a passion for supporting team growth, as well as improvement and advancement toward collective and individual goals.
- A [manager of one](/handbook/values/#managers-of-one) overseeing brand initiatives from beginning to end, and equally comfortable in a collaborative environment.
- Exceptional communication skills with the ability to pitch creative ideas, while forming strong relationships to meet the needs of partners and stakeholders.
- Strong sense of concept development, strategy, research, and problem-solving in a fast-paced, iterative environment.

## People Manager Levels

### Manager, Brand Design

Everything in the Senior Brand Designer role, plus:

- Lead the Brand Design team fostering innovation, collaboration, and continual evolution of GitLab's brand experience.
- Oversee the definition, prioritization, and improvement of GitLab's [Brand Standards](https://design.gitlab.com/brand-overview/resources).
- Research and develop a greater understanding of GitLab's audience(s); iterating to keep our brand experience relevant and relatable.

#### Job Grade

The Manager, Brand Design is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Requirements

- 5+ years experience leading brand and marketing design.
- Degree in Graphic Design, Marketing, or equivalent work experience.
- Excellent communication, organizational, and leadership capabilities.
- Proven experience leading designers and successfully maintaining and evolving brand experience in all aspects.

## Career Ladder

The next step in the Brand Design job family is not yet defined at GitLab.
