---
title: "Brand Leadership"
summary: " "
---

## Levels

## Senior Manager, Video

The Senior Manager, Video reports to the Director, Brand.

### Senior Manager, Video Job Grade

The Senior Manager, Video is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

### Senior Manager, Video Responsibilities

- Creative direct and manage Digital Video Production Team
- Help develop video strategy for brand and marketing initiatives
- Manage the quarterly and bi-annual production deliverables and schedule
- Manage digital production budget, vendors, and schedules
- Plan and manage and/or oversee video projects including scripting, storyboarding, art direction, and motion graphics, to create world class brand experiences
- Collaborate closely with internal stakeholders to assess and prioritize video production needs
- Manage audio and video production needs for GitLab events
- Report on production metrics
- Manage feedback from the creative team, business partners, campaign managers, and marketers
- Build and implement creative processes that improve the output and efficiency of creative video initiatives
- Manage and oversee the YouTube Brand channel and Vimeo platform
- Direct video shoots and manage production crew, as needed

### Senior Manager, Video Requirements

- Relevant video creative experience in marketing and/or advertising, experience related to broadcast television and online media a plus.
- Proven ability to plan and manage video and audio production across a variety of deliverables and familiarity with workflows.
- An ability to act as a Creative Director and ideate, script, and develop innovative and effective branded content that tells stories, communicates benefits, and drives brand awareness.
- Ability to think across platforms/mediums and create tailored content across channels that help drive marketing objectives.
- Ability to translate quantitative data into clear, actionable creative direction and ideas
- Communicates clearly & effectively, advocates for ideas, and establishes credibility with peers & leaders
- Progressive experience leading and developing a high performing team
- Ability to sell concepts to senior stakeholders via comps, storyboards, and written narratives
- Utilizes sound critical thinking & problem-solving skills, and comes to the table with solutions
- Knowledge and experience with branded content, digital distribution platforms, social media, and associated marketing strategies
- Understanding of B2B brand advertising strategies especially in the digital and high-technology space.

### Performance Indicators

- Increases overall brand awareness through video assets and channels.
- Improves video production processes.
- Increases quantity and quality (and performance) of video content created for the brand.
- Contributes to the success of the Marketing OKRs.

## Director, Brand

The Director, Brand reports to the Sr. Director, Brand.

### Director, Brand Job Grade

The Director, Brand is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Director, Brand Responsibilities

- Develop and oversee brand strategy to increase awareness of GitLab the brand as well as the product across the globe.
- Bring the GitLab brand to life through one-of-a-kind brand campaigns and creative brand concepts that target our business and developer audiences.
- Recruit top talent to build a world class brand and creative team to take GitLab to the next level as a company.
- Work with the team to provide vision and strategy around brand campaigns to execute them in a results and metrics driven fashion.
- Manage joint marketing opportunities with customers and partners to drive GitLab's brand narrative.
- Bring on and manage creative agencies around the world; ensuring activities are aligned to the strategy.
- Oversee the creative, brand growth and corporate events team to align with overall brand objectives and messaging.
- Oversee resources to ensure key activities are activated with the right budget at the right time, in-line with the GitLab brand.
- Ability to think outside of the box and challenge the team to push the boundaries.

### Director, Brand Requirements

- Proven and progressive experience working as a strategic brand leader in B2B technology space.
- Passion for creativity, innovation and making complex topics and systems accessible and understandable.
- A data-driven mindset with the ability to convert quantitative & qualitative research into actionable insights.
- Experience in coaching, developing and mentoring employees.
- Excellent program management skill set able to identify work streams, plan rollouts and execute.
- Background in building brands inclusive of audiences that span wide functions and geographies.
- Experience building and scaling processes, teams, budgets, tools, and programs.
- Ability to work cross-functionally with product, creatives, product marketers, content marketers, and campaign managers of all levels.
- Ability to use GitLab

## Sr. Director, Brand

The Sr. Director, Brand reports to the VP, Corporate Marketing.

### Sr. Director, Brand Job Grade

The Sr. Director, Brand is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Sr. Director, Brand Responsibilities

- Extends that of the Director, Brand responsibilities.
- Provides vision for the Brand Design, Brand Campaigns and Corporate events teams and inspires them to take GitLab to the next level.
- Works closely with GitLab leadership to set the GitLab brand vision and execute the strategy across various mediums.
- Bundles up overall brand direction and communicates it clearly and effectively across the company and organization.
- Uses qualitative and quantitative data to help drive and support overall brand decisions, as well as measure brand campaign effectiveness.

### Sr. Director, Brand Requirements

- Extends that of the Director, Brand requirements
- Has a global mindset and understanding about how the brand message should be adapted for different regions.
- Ability to work with leadership to drive conversations around GitLab's brand direction and category leadership.
- Proven abaility to drive successful global brand campaigns.
- Demonstrated experience designing and executing integrated brand campaigns across multiple media forms with measurable impact on business results.

### Performance Indicators

- Sets brand goals and objectives for the organization.
- Increases overall brand awareness through various channels and campaigns.
- Builds and recruits a world-class brand team.
- Increase aided and unaided brand awareness.

## Career Ladder

- The next step in the Brand Leadership job family is not yet defined at GitLab.

## Hiring process

Candidates for these positions can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our team page.

- Qualified candidates will be invited to schedule a 30 minute screening call with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 team members
- There may be a final executive interview

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
