---
title: Channel Marketing Team
summary: The Global Channel Marketing team is a team of demand generation professionals dedicated to the creation of tools and programs that support our partners demand generation efforts.
---
The Global Channel Marketing team is a team of demand generation professionals dedicated to the creation of tools and programs that support our partners demand generation efforts.  The team sits within the Integrated Marketing organization.

## Channel Marketing Program Specialist

Channel Marketing Program Specialists work with our marketing, operations and channel sales teams to build the foundation for a world class global partner marketing program that will drive customer acquisition and revenue growth for GitLab.

This team works from a global charter to develop key services offerings and repeatable practices that scale to support our growing partner and channel ecosystems. The team is responsible for working cross-functionally with Integrated Marketing peers, channel sales, marketing operations, product marketing, finance, and legal to ensure our programs reflect GitLab's culture, goals and objectives while mandating they are held to the highest ethical standards.  The Channel Marketing Specialist reports to the Director of Field Marketing.

### Job Grade

The Channel Marketing Program Specialist is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Create, maintain and manage our partner marketing services offerings that allow partners to develop integrated demand generation campaigns.  Offerings include: co-branded, dynamic partner microsites, on-prem and SAAS free trial program, partner references program and many more!
- Plan, manage, execute and measure the adoption and on-going support of partner trial syndication across Focus, Open and Select partners, Distributors, GSI's and Alliances partners.
- Develop a global planning and reporting process that is inclusive of adoption and usage of these powerful demand generation tools.
- Develop standard, repeatable and stable processes that promote and enable operational efficiency.
- Implement channel marketing initiatives, programs, communication vehicles, and sales tools to drive increased market adoption and channel revenue goals.
- Accurately track activity performance and provide well-informed recommendations on future resource and budget allocation.
- Assist in the preparation of reports to help evaluate activity and reseller effectiveness, conversion rate, and relative performance.
- Work with Field Marketing Director to create and deliver standardized reporting to global channel sales, VP of Integrated Marketing and field marketing leaders to showcase the pipeline impact of global channel marketing efforts.
- Complete other duties as assigned to meet company channel goals.

### Requirements

- A marketing professional with experience in the channel or technology space.
- Strong project management skills. You will be successful in this role if you are a natural problem solver and logical thinker.
- Someone who possesses an understanding of the channel, is a detail-oriented professional and has the ability to develop cross-functional relationships.
- A teammate who is comfortable making data driven decisions.
- A colleague who thrives in a positive, supportive and collaborative environment.
- Ability to thrive in a fast paced, high energy company, ambitious to try new things, seek out answers to questions not yet formed and to fail fast and move on.

### Performance Indicators

- Meet/exceed assigned quarterly OKR

### Career Ladder

A successful channel marketing program specialist would consider their next step to be a Channel Marketing Manager, Channel Program Specialist or perhaps Field Marketing Coordinator.

## Channel Marketing Manager

Channel Marketing managers work with our channel account managers, field marketing managers, and global channel marketing team driving customer acquisition and revenue growth for GitLab.

This team works from a regional charter to develop key services offerings and repeatable practices that scale to support our growing channel ecosystems. The team is responsible for working cross-functionally with Integrated Marketing peers, Field Makrketing Managers, channel sales, marketing operations, product marketing, finance, and legal to ensure our programs reflect GitLab's culture, goals and objectives while mandating they are held to the highest ethical standards.  The Channel Marketing manager reports to the Regional Field Marketing Manager.

### Job Grade

The Channel Marketing Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Create and foster deep relationships with marketing counterparts in our Select/Focus partner community. Work together to identify growth goals and develop multi-quarter, integrated demand generation campaigns that align to outlined goals.
- Educate our partners on the marketing services offerings that GitLab has developed for their use.  Offerings include: co-branded, dynamic partner microsites, on-prem and SAAS free trial program, partner references program and many more.
- Incorporate marketing services offerings into every partner campaign.
- Measure, monitor and adjust campaigns to ensure long term success.
- Develop standard, repeatable and stable processes that promote and enable operational efficiency.
- Work with regional Channel Sales leader to identify top producing partners; key success factors for replication and scale.
- Implement channel marketing initiatives, programs, communication vehicles, and sales tools to drive increased market adoption and channel revenue goals.
- Accurately track activity performance and provide well-informed recommendations on future resource and budget allocation.
- Complete other duties as assigned to meet company channel goals.

### Requirements

- Ability to use GitLab
- Past experience developing integrated campaigns with partners.
- Ability to articulate results to key stakeholders.
- Ability to demonstrate success in building strong relationships in a remote environment.
- Ability to demonstrate how to influence without authority.

### Performance Indicators

- Meet/exceed assigned quarterly OKR's
- Meet/exceed NFO SAO goals (new first order sales accepted opportunities)
- Meet/exceed Select partner growth expectations
- Positive feedback from peers, Channel Account Manager and partner colleagues

### Career Ladder

A successful channel marketing manager would consider their next step to be a senior channel marketing manager taking on more complex partner accounts; a channel program manager, a field marketing manager or perhaps content marketing manager.

## Senior Channel Marketing Manager

Senior channel marketing managers work with our channel account managers, field marketing managers, global channel marketing team driving customer acquisition and revenue growth for GitLab.

This team works from a global charter to develop key services offerings and repeatable practices that scale to support our growing partner and channel ecosystems. The team is responsible for working cross-functionally with channel sales, marketing operations, product marketing, finance, and legal to ensure our programs reflect GitLab's culture, goals and objectives while mandating they are held to the highest ethical standards.  The Senior channel marketing manager reports to the Director of Global Channels and Alliances Marketing.

### Job Grade

The Senior Channel Marketing Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Create and foster deep relationships with marketing counterparts in our Select partner community. Work together to identify growth goals and develop multi-quarter, integrated demand generation campaigns that align to those goals.
- Educate our partners on the marketing services offerings that GitLab has developed for their use.  Offerings include: co-branded, dynamic partner microsites, on-prem and SAAS free trial program, partner references program and many more.
- Incorporate marketing services offerings into every partner campaign.
- Measure, monitor and adjust campaigns to ensure long term success.
- Develop standard, repeatable and stable processes that promote and enable operational efficiency.
- Work with regional Channel Sales leader to identify top producing partners; key success factors for replication and scale.
- Implement channel marketing initiatives, programs, communication vehicles, and sales tools to drive increased market adoption and channel revenue goals.
- Accurately track activity performance and provide well-informed recommendations on future resource and budget allocation.
- Complete other duties as assigned to meet company channel goals.

### Requirements

- Ability to use GitLab
- Past experience developing integrated campaigns with partners.
- Ability to articulate results to key stakeholders.
- Ability to demonstrate success in building strong relationships in a remote environment.
- Ability to demonstrate how to influence without authority.

### Performance Indicators

- Meet/exceed assigned quarterly OKR's
- Meet/exceed NFO SAO goals (new first order sales accepted opportunities)
- Meet/exceed Select partner growth expectations
- Positive feedback from peers, Channel Account manager and partner colleagues

### Career Ladder

A successful channel marketing manager would consider their next step to be a senior channel marketing manager taking on more complex partner accounts; a channel program manager or perhaps a field marketing manager or content marketing manager.

## Senior Partner Program Manager, Channel

As the Senior Partner Program Manager you will work with our marketing, operations and sales teams to build the foundation for a world class global partner marketing program that will drive customer acquisition and revenue growth for GitLab.

This team has a global charter to develop standard business operations and repeatable practices that scale to support our growing partner and channel ecosystems. In addition, this team is responsible for working cross-functionally with channel sales, channel operations, finance and legal to ensure our programs reflect GitLab's culture, goals and objectives while mandating they are held to the highest ethical standards.

The Senior Partner Program manager, Channel reports to the Director of Global Channels and Alliances marketing.

### Job Grade

The Senior Partner Program Manager, Channel is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Create, maintain and manage our partner Marketing Development Funds (MDF) guidelines to ensure they support GitLab goals and objectives, while protecting the legal interests of our company.
- Allocate and manage MDF budget.
- Manage MDF module within partner portal as well as process, approve and/or deny partner MDF requests and reimbursement requests in accordance with MDF guidelines.
- Plan, manage, execute and measure the adoption and on-going support of partner trial syndication across Open and Select partners and Distributors.
- Develop a global planning and reporting process that is inclusive of
- Develop standard, repeatable and stable processes that promote and enable operational efficiency.
- Work with Channel Marketing Director to create and deliver standardized reporting to global channel sales, VP of Integrated Marketing and field marketing leaders to showcase the pipeline impact of global channel marketing efforts.
- Implement channel marketing initiatives, programs, communication vehicles, and sales tools to drive increased market adoption and channel revenue goals.
- Assist sales team in the development of actionable and measurable programs for our channel partners.
- Accurately track activity performance and provide well-informed recommendations on future resource and budget allocation.
- Assist in the preparation of reports to help evaluate activity and reseller effectiveness, conversion rate, and relative performance.
- Complete other duties as assigned to meet company channel goals.

### Requirements

- A seasoned marketing professional with experience managing MDF funds, challenging operational inefficiencies and is a natural problem solver and logical thinker.
- Someone who possesses a deep understanding of the channel, is a detail-oriented professional and has the ability to develop cross-functional relationships.
- A teammate who is comfortable making data driven decisions.
- A colleague who thrives in a positive, supportive and collaborative environment.
- Ability to thrive in a fast paced, high energy company, ambitious to try new things, seek out answers to questions not yet formed and to fail fast and move on.

### Performance Indicators

- 100% of quarterly MDF funds allocated.
- 75% or more of MDF requests claims.
- Automation of manual tasks.  Improved partner and employee user experience.
- Complete projects cross functionally in a fast paced, matrix-driven environment
- Meet/exceed assigned quarterly OKRs

### Career Ladder

Career progression for this role can take many forms.  This team member receives lots of exposure into legal, finance and procurement and career paths in those departments are possible.

Within this department, this team member would take on more strategic projects that continue to drive value for our channel partners.  Projects that offer exposure into sales and sales leadership and have a measurable effect on revenue.

## Senior Partner Program Manager, Programs

Senior Partner Program Managers work with our portfolio marketing team, campaigns team, design team and partner teams to curate partner ready campaigns designed to drive demand (pipeline) for GitLab.  These campaigns, called Instant campaigns, are turnkey in nature and are compromised of valuable assets including but not limited to: digital assets, banner ads, video, social media, blog articles, email copy, webcast and landing page copy, infographics and much more.

Assets can be co-branded and have already been approved by our brand team prior to use.

The Senior Partner Program manager, Programs reports to the Director of Global Channels and Alliances marketing.

### Job Grade

The Senior Partner Program manager, Programs is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Create, maintain and manage our partner Instant campaign assets.
- Partner with our portfolio marketing and campaign team to understand the roadmap of campaigns, target audience, key pain points and positioning to create impactful, easy to execute demand generation assets.
- Work with brand team to ensure all assets are created within GitLab brand guidelines.
- Work with partners to seek feedback and input regarding the success of these assets.
- Present and launch campaigns on a quarterly basis through a variety of vehicles included but not limited to: Partner flash, field flash and the quarterly partner marketing webcast.
- Complete other duties as assigned to meet company channel goals.

### Requirements

- A seasoned marketing professional with proven experience in developing compelling content that will drive prefence for GitLab.
- Ability to repurpose content into a variety of forms.  Blogs, whitepapers, ebooks, social media content, radio ads and much more.
- Someone who possesses a deep understanding of a day in the life of a channel partner, is a detail-oriented professional and has the ability to develop cross-functional relationships.
- A teammate who is comfortable making data driven decisions.
- A colleague who thrives in a positive, supportive and collaborative environment.
- Ability to thrive in a fast paced, high energy company, ambitious to try new things, seek out answers to questions not yet formed and to fail fast and move on.

### Performance Indicators

- Completion of instant marketing campaign within timeframe and budget.
- Execution of internal and external enablement motions to communicate the purpose and value of these campaigns.
- Complete projects cross functionally in a fast paced, matrix-driven environment
- Meet/exceed assigned quarterly OKRs

### Career Ladder

Career progression for this role can take many forms.  This team member receives lots of exposure into campaigns, porfoltio marketing and brand team so career paths in those departments are possible.

Within this department, this team member would take on more strategic projects that continue to drive value for our channel partners.  Projects that offer exposure into sales and sales leadership and have a measurable effect on revenue.  A natural next step for the right person could include people management.

## Senior Partner Program Manager, Executive Engagement

The Senior Partner Program Manager works with our marketing, operations and sales teams to build the foundation for a world class global partner marketing program that will drive customer acquisition and revenue growth for GitLab.

This team has a global charter to develop programs focused on engagement programs that target our partner Executive team including but not limited to Partner Summit, Executive Roundtables, Partner Awards and much, much more. These programs will scale to support our growing partner and channel ecosystems. In addition, the team is responsible for working cross-functionally with channel sales, channel operations, finance and legal to ensure our programs reflect GitLab's culture, goals and objectives while mandating they are held to the highest ethical standards.

The Senior Partner Program manager, Executive Engagement reports to the Director of Global Channels and Alliances marketing.

### Job Grade

The Senior Partner Program manager, Executive Engagement is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Design, develop and deploy an annual Regional Partner Summit program bringing the most strategic of our partners together to showcase their commitment to GitLab and our growing partnership.
- Architect an agenda and cadence for Regional Partner Roundtable meetings that encourage continued engagement with partner executives.  These sessions will support our continued evolution of our channel strategy.
- Develop thought leadership strategy to externally promote and amplify GitLab's Partner Program and voice to our partners through a variety of paid and organic media channels inclusive of social media.
- Develop a strategy for AR and PR engagements that support the Channel organization's goals and objectives.
- Develop standard, repeatable and stable processes that promote and enable operational efficiency.
- Implement channel marketing initiatives, programs, communication vehicles, and sales tools to drive increased market adoption and channel revenue goals.
- Assist sales team in the development of actionable and measurable programs for our channel partners.
- Accurately track activity performance and provide well-informed recommendations on future resource and budget allocation.
- Assist in the preparation of reports to help evaluate activity and reseller effectiveness, conversion rate, and relative performance.
Complete other duties as assigned to meet company channel goals.

### Requirements

- A seasoned marketing professional with experience managing complex events and programs, challenging operational inefficiencies and is a natural problem solver and logical thinker.
- Someone who possesses a deep understanding of the channel, is a detail-oriented professional and has the ability to develop cross-functional relationships.
- A teammate who is comfortable making data driven decisions.
- A colleague who thrives in a positive, supportive and collaborative environment.
- Ability to thrive in a fast paced, high energy company, ambitious to try new things, seek out answers to questions not yet formed and to fail fast and move on.

### Performance Indicators

- Successful planning and completion of partner executive activities including region PLS', Partner SKO
- Development and successful execution of a sound AR and PR strategy for channel and alliances team.  Broadcast the voice of the program across desired media outlets.
- Social media strategy for the partner program and a platform for channel and alliance executives to create and maintain a consistent presence on desired platforms.
- Meet/exceed assigned quarterly OKRs

### Career Ladder

Career progression for this role can take many forms.  This team member receives lots of exposure into sales leaderships, Corporate events, AR, PR and brand team so career paths in those departments are possible.

Within this department, this team member would take on more strategic projects that continue to drive value for our channel partners. Projects that offer exposure into sales and sales leadership and have a measurable effect on revenue. A natural next step for the right person could include people management.

### Hiring Process

Candidates for these positions can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Upon successful screening, all candidates will be interviewed by two individual contributors for 30 min each.  One from the global channel and alliances marketing team.  That interview will focus on sharing team culture, team dynamics, and role clarity.  The other individual contributor interview will be someone from Channel or Alliances sales that is be peer of this candidate.  This interview focuses on the candidates relative experience and it's applicability to the role.
- The final interview will be with the Director of Global Channels and Alliances marketing who will focus on the candidates applicable experience and ensure it's in alignment with the needs of the business.  This interview will last 45 minutes.  The Director of Global Channels and Alliances marketing is deeply focused on building a team with a diverse skill set so the team can learn and grow together.  Softer skills will be assessed to see how the best candidate can add to the existing teams skill set as well as grow from their experience.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
