---
title: Chief of Staff (CMSO)
---

This is a key leadership position on the Chief Marketing & Strategy Officer's (CMSO) team. This highly visible role is a trusted partner to the CMSO to drive operational excellence and deliver repeatable business results. This role serves as a partner to the CMSO as a strategic advisor and executes cross-functional and cross-organization initiatives and activities supporting the CMSO's strategy and vision in alignment with our company values. This role reports directly to the CMSO.

## Levels

The Chief of Staff to the Chief Marketing & Strategy Officer is a [Level 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

The responsibilities include both directed work initiated by the CMSO as well as self-directed leadership work that includes inputs and priorities from the CMSO leadership team. This role will help enable communication, collaboration, strategy execution, and projects aligned to the organization's priorities. This individual will work in close partnership with the CMSO and other business stakeholders to drive programs and execute and monitor our business strategy.

- Serves as a proxy to the CMSO in reviewing marketing plans to set the CMSO org up for success.
- Drives timely follow-up on key initiatives
- Leads key priorities and projects across the global Marketing team
- Acts as a sounding board to the CMSO and CMSO leadership team for new ideas and initiatives
- Acts as a thought partner to the CMSO, CMSO leadership team
- Initiates and guide the CMSO team OKR process according to the [OKR schedule](/handbook/company/okrs/#schedule) in partnership with the CoS, CEO
- Works closely with internal teams on goal-setting and tracking, interfacing, and consulting with cross-functional groups
- Develop and maintain strong relationships with executives, senior leaders, and stakeholders to achieve project objectives and deliverables
- Serving as CMSO Board Liaison, including creating and developing Board and Committee materials
- Partners with the CMSO's People Business Partner, Talent Acquisition lead, MOPs team, and Finance team to support planning, metrics, reporting, and decisions
- Identify, develop, and implement continuous process improvements to increase the efficiency and effectiveness of the CMSO and the organization
- Works closely with corporate comms team to vet and prioritize speaking and media opportunities
- Works closely with the Marketing team on creation of investor updates, analyst talks, pitch decks, keynotes, conference attendance, and other presentations/podcasts/talks on behalf of the CMSO
- Support briefing prep for key accounts where CMSO is executive sponsor and field/industry event participation and customer interactions
- Effectively triage CMSO and customer escalations
- Maintain and foster a close partnership with the Marketing Ops & Analytics and the broader Marketing Team
- Aligns very closely with CRO Chief of Staff
- Maintain and foster a close partnership with the CEO's Chief of Staff on strategic initiatives
- This role does not overlap with the responsibilities [Executive Business Administrators](/job-families/people-group/executive-business-administrator/) already handle. This role could have EBA support, will work closely with the EBA to the CMSO to ensure the CMSO's time is well managed and prioritized according to the top business objectives.

### Administration and Meetings

- Manage weekly executive staff meetings, including, but not limited to, setting the agenda, and providing insights and analysis to inform strategic conversations. Documents and communicates decisions and action items from meetings. Ensures follow-up and closure of action items to increase accountability
- Prepare for external meetings including board meetings
- Compile and edit all briefing materials for all CMSO meetings; conduct primary research and work with key stakeholders to prepare the background for meetings with key executives, partners, and events (e. g., identify goals and talking points, provide background on attendees, analyze the current business relationship, and summarize opportunities)
- Collaborate with the various communications teams and People Business Partners to prepare background, talking points, or presentations for all public and internal speaking moments aligned to the company's strategy and values. This includes managing organizational announcements and confidential projects
- Help identify items that can be delegated to others to optimize the CMSO's time allocation to high-value activities
- Support the CMSO in organizing inspiring and informative Marketing All Hands meetings to share important business information as well as engage and boost team morale
- Coordinate and manage CMSO speaking engagements

## Requirements

- Ability to use GitLab
- Ability to travel with CMSO globally on an as-needed basis - large events mostly
- Passion for doing whatever it takes to solve complex problems and build scalable processes
- Proven ability to quickly learn new things
- Comfort working in a high-growth, constantly changing environment
- Experience supporting global Marketing and Strategy
- Track record of handling confidential information with the utmost sensitivity
- Proven success in project coordination and reporting
- Ability to shift priorities quickly and act proactively, while maintaining organization and control
- Ability to work collaboratively and efficiently with stakeholders throughout the organization
- Concise written and verbal communication
- Ability to work independently and deliver results with little supervision
- Detail and results-oriented; driven and self-motivated with strong initiative
- Excellent organization and time management skills; ability to prioritize tasks across multiple projects
- Problem solver, analytical, and organized thinker
- Proven track record of effectively interacting with senior stakeholders on cross-functional projects
- [Short toes](/handbook/values/#short-toes) and an aptitude for working well with a wide range of people
- "Calm under pressure" demeanor
- Operational experience in a previous role
- Structured about how to prioritize work and time

## Performance Indicators

- Achievement of Marketing's KPIs
- CMSO Quarterly OKR process is initiated and delivered on time per the company process. CoS collaboratively includes all stakeholders and cascades information transparently to ensure alignment across the CMSO Org. During the quarter, CoS partners with DRI's to maintain the status of OKRs in preparation for the monthly key meeting and ensures that all OKRs are scored at the end of the quarter and results are communicated.

## Career Ladder

The next step in the Chief of Staff to the CMSO job family beyond Director level is not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call]({{< ref "interviewing#screening-call" >}}) with one of our Global Recruiters
- Next, candidates will be invited to speak with the Director, People Business Partner for Marketing
- Next, candidates will be invited to speak with the Chief of Staff to the CRO
- Next candidates will meet with CMSO Directs
- Finally, candidates will meet with the Chief Marketing & Strategy Officer

Additional details about our process can be found on our [hiring page](/handbook/hiring).
