---
title: "Contributor Success Fullstack Engineer"
description: Contributor Success Fullstack Engineers work on laying down an efficiency foundation for our community members to contribute to GitLab.
---

## Responsibilities

- Make GitLab contribution process the best and most welcomed in the world.
- Carry out Engineering Contributor Success efforts
- Improve GitLab's Contribution Efficiency and Merge Request Coaching process.
- Coach and lead cohorts of community contributors and ensure their success.
- Provide guidance to community contributors on technical and non-technical aspects.
- Create video resources and blog posts to improve contribution experience.
- Track contribution delivery of the community cohorts you are assigned.
- Nominate community contributors and contribution for recognition.
- Be a permanent member of GitLab MR Coaches.
- Be proficient at one or more MR Coach specialty (Development, Test, Documentation and etc).
- Collaborate with GitLab's Core and Developer Relations teams.
- Participate in Contributor Success team stand-up and agile processes.
- Be a sounding board for our community contributors.
- Participate in GitLab's overall Contributor Success events and processes.
- Collaborate with & motivate customers who want to learn how to contribute to GitLab.

## Requirements

- [Self-motivated and self-managing](/handbook/values/#efficiency), with excellent organizational skills and eyes for quality.
- Share our [values](/handbook/values/), and work in accordance with those values.
- Fluent in using GitLab
- 5 years or more developing in Ruby and Javascript
- Extensive experience using Git and source control
- Extensive experience with the Open Source community
- Track record of contributing to well-known Open Source projects
- Track record of customer interactions
- Computer science education or equivalent experience
- Proficiency in the English language, with excellent written and oral communication skills.
- You share our [values](/handbook/values/), and work in accordance with those values

### Nice to haves

- Experience in a peak performance organization
- BS or MS degree in Computer Science
- Notable ties into the Open Source community
- Enterprise software company experience.
- Developer platform/tool industry experience.

## Levels

### Contributor Success Fullstack Engineer

#### Contributor Success Fullstack Engineer Job Grade

The Contributor Success Fullstack Engineer is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Contributor Success Fullstack Engineer Responsibilities

- Contribute to GitLab's contribution efficiency results.
- Deliver tasks assigned from Engineering Contributor Success project plans.
- Coach and lead community contributors.
- Give orientation to newly formed community contributor cohorts
- Provide guidance to community contributors on technical and non-technical aspects.
- Track contributions from community members and drive them to completion.
- Implement contributor efficiency tooling improvements.
- Nominate impactful community contributors and contribution for recognition.
- Be a permanent member of GitLab MR Coaches.
- Be proficient at one MR Coach specialty (Development, Test, Documentation and etc).
- Participate in Contributor Success team stand-up and agile processes.
- Listen to community contributors' feedback and capture them as issues in the backlog.
- Participate in GitLab's overall Contributor Success events and processes.
- Travel to customers for training purposes.

### Senior Contributor Success Fullstack Engineer

#### Senior Contributor Success Fullstack Engineer Job Grade

The Senior Contributor Success Fullstack Engineer is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Contributor Success Fullstack Engineer Responsibilities

The Senior Contributor Success Fullstack Engineer role extends the [Contributor Success Fullstack Engineer](#contributor-success-fullstack-engineer) role.

- Drive GitLab's contribution efficiency efforts and results.
- Own one or more Engineering Contributor Success project plans.
- Coach and lead cohorts of community contributors.
- Give orientation to newly formed community contributor cohorts
- Provide guidance to community contributors on technical and non-technical aspects.
- Track contributions from community contributor cohorts and drive them to completion.
- Propose efficient metrics for tracking community efficiency.
- Nominate impactful community contributors, cohorts and contribution for recognition.
- Be a permanent member of GitLab MR Coaches.
- Be proficient at one or more MR Coach specialty (Development, Test, Documentation and etc).
- Drive Contributor Success team stand-up and agile processes.
- Advocate prioritization of improvements backlog based on feedback from our community.
- Participate in GitLab's overall Contributor Success events and processes.
- Travel to customers for training purposes.

### Staff Contributor Success Fullstack Engineer

#### Staff Contributor Success Fullstack Engineer Job Grade

The Staff Contributor Success Fullstack Engineer is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Staff Contributor Success Fullstack Engineer Responsibilities

The Staff Engineering Contributor Success Fullstack Engineer role extends the [Senior Contributor Success Fullstack Engineer](#senior-contributor-success-fullstack-engineer) role.

- Author results-focused proposals to improve GitLab's contribution efficiency and drive them to completion.
- Propose effective Engineering Contributor Success project plans.
- Propose groups of community contributors to form teams of community contributors (cohort)
- Give orientation to newly formed community contributor cohorts
- Track community contributor & community cohorts efficiency metrics
- Implement results-focused community efficiency metrics and measurements
- Provide guidance to community contributors on technical and non-technical aspects.
- Propose pipeline efficiency improvements and drive them to completion.
- Review nominations of community contributors, cohorts and contribution for recognition.
- Be a permanent member of GitLab MR Coaches.
- Be proficient at one or more MR Coach specialty (Development, Test, Documentation and etc).
- Own Project Management of Contributor Success team stand-up and agile processes.
- Make trade-off recommendations to prioritize the most impactful improvements for the community.
- Participate in GitLab's overall Contributor Success events and processes.
- Travel to customers for training purposes.

### Performance Indicators

#### Key Performance Indicators

- [Unique Wider Community Contributors per Month](/handbook/marketing/developer-relations/performance-indicators/#unique-wider-community-contributors-per-month)
- [Wider Community merged MRs per release](/handbook/marketing/developer-relations/performance-indicators/#wider-community-merged-mrs-per-release)
- [MRARR](/handbook/marketing/developer-relations/performance-indicators/#mrarr)

#### Regular Performance Indicators

- [Wider Community merged MRs per month](/handbook/marketing/developer-relations/performance-indicators/#wider-community-merged-mrs-per-month)
- [First time contributors per month](/handbook/marketing/developer-relations/performance-indicators/#first-time-contributors-per-month)
- [Open Community MR Age (OCMA)](/handbook/marketing/developer-relations/performance-indicators/#open-community-mr-age)
- [Leading Organizations MR Time to review](/handbook/marketing/developer-relations/performance-indicators/#leading-organizations-mr-time-to-review)
- [Returning vs new contributors](/handbook/marketing/developer-relations/performance-indicators/#returning-vs-new-contributors)
- [Community MR Coaches per Month](/handbook/marketing/developer-relations/performance-indicators/#community-mr-coaches-per-month)
- [Feature Community Contribution MRs](/handbook/marketing/developer-relations/performance-indicators/#feature-community-contribution-mrs)
- [Community MR Percentage](/handbook/marketing/developer-relations/performance-indicators/#community-mr-percentage)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to a 60 minute interview with the Hiring Manager.
- Candidates will then be invited to a 45 minute peer interview with an Engineer in the Contributor Success team.
- Candidates will then be invited to a 45 minute interview with a Developer Advocate in the Developer Advocacy team.
- Candidates will then be invited to a 45 minute interview with the VP of Developer Relations
- Successful candidates will subsequently be made an offer

Additional details about our process can be found on our [hiring page](/handbook/hiring/)
