---
title: "Engineering Management - Contributor Success"
description: The Contributor Success Engineering Manager manages a team of full-stack engineers driving efficiency and improvements of our contribution process.
---

## Responsibilities

- Manage a team of Contributor Success Engineers
- Author project plans for Engineering Contributor Success efforts
- Improve GitLab's Contribution Efficiency and Merge Request Coaching process
- Organize community contributors into Cohorts and ensure their success
- Provide guidance to community contributors on technical and non-technical aspects
- Track contribution delivery of the Community Contributors and Cohorts
- Provide input into awarding impactful community contributors and contribution
- Contribute as an MR Coach in one or more MR Coach speciality
- Run agile project management processes
- Provide guidance and coaching to team members on technical contributions, product architecture, and other areas
- Collaborate closely with our Developer Relations team and Core team

## Requirements

- [Self-motivated and self-managing](/handbook/values/#efficiency), with excellent organizational skills and eyes for quality.
- Share our [values](/handbook/values/), and work in accordance with those values.
- Fluent in using GitLab
- Relevant, progressive experience developing in Ruby and Javascript
- Relevant, progressive experience in people leadership positions
- Extensive experience using Git and source control
- Extensive experience with Open Sourcing
- Track record of contributing to well-known open source projects
- Computer science education or equivalent experience
- Proficiency in the English language, with excellent written and oral communication skills
- Experience leading a team following an iterative, agile development process.

### Nice to haves

- Experience in a peak performance organization
- BS or MS degree in Computer Science
- Notable ties into the Open source community
- Enterprise software company experience
- Developer platform/tool industry experience

## Levels

### Manager, Contributor Success

#### Manager, Contributor Success Job Grade

The Contributor Success Engineering Manager  is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Contributor Success Responsibilities

- Manage a team of Community Outreach Engineers
- Author team quarterly OKRs and drive them to completion
- Review contribution efficiency proposals, delegate and drive them to completion
- Review Engineering Contributor Success project plans, delegate and drive them to completion
- Review recommendations from team members and priorize most impactful improvements for the community
- Own the formation process of community contributor cohorts, a teams of community contributors
- Create orientation process and materials for newly formed community contributor cohorts
- Drive iterative improvements to Contributor Success team's key and regular performance indicators
- Continuously monitor community efficiency metrics and performance indicators
- Provide guidance to community contributors on technical and non-technical aspects
- Track pipeline efficiency improvements and drive them to completion
- Review nominations and assign awards to community contributors, cohorts and contribution
- Be a permanent member of GitLab MR Coaches
- Own Project Management of Contributor Success team stand-up and agile processes
- Represent GitLab in Contributor Success events and processes

### Senior Manager, Contributor Success

This is a future level where we will outline the requirements and responsibilities at the time of the business need for the role.

#### Senior Manager, Contributor Success Job Grade

The Senior Manager, Contributor Success  is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Contributor Success Responsibilities

The Senior Manager, Contributor Success role extends the [Manager, Contributor Success](#manager-contributor-success) role.

- We are not currently hiring for this role & will add more detail responsibilites when the business need arises.

#### Senior Manager, Contributor Success Requirements

- We are not currently hiring for this role & will add more detail requirements when the business need arises.

### Director, Contributor Success

#### Director, Contributor Success Job Grade

The Director, Contributor Success  is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Contributor Success Responsibilities

The Director, Contributor Success role extends the [Senior Manager, Contributor Success](#senior-manager-contributor-success) role.

- Define and own all of GitLab's Contributor Success efforts.
- Define the Contributor Success fiscal year Direction (in handbook).
- Define plans and quarterly OKRs to execute against key objectives and roadmap. Align efforts strategically across R&D
- Drive improvements to KPIs and PIs that is in Contributor Success's line-of-work and job-family.
- Drive quarterly OKR retrospectives and improvements that impacts Contributor Success.
- Publish and socialize the progress of the Contributor Success broadly throughout the company and the community.
- Align the day-to-day execution of the Contributor Success to the top objectives of the company. Consistently ensure top objectives are well communicated.
- Collaborate closely with director peers across the Engineering Division and wider GitLab team.
- Foster healthy conflict amongst the teams to resolve issues quickly.
- Hire world class Contributor Success Engineers & Managers.
- Define roles, grow, and hire Contributor Success for what is needed from the business in the next 3-4 years.
- Interface with GitLab Core team & the wider community to capture feedback and opportunities.
- Occasionally contribute to the company blog.
- Represent the company at outreach events.

#### Director, Contributor Success Requirements

- Extends Manager & Senior Manager, Contributor Success requirements.
- Outstanding leadership skills and someone who takes initiative, makes hard decisions, and is accountable.
- Demonstrated capability to drive initiatives, develop thoughtful strategies, and deliver results at a senior level.
- Track record leading & working with the open source community at large.
- Track record of influencing business stakeholders from multiple domains to attain company objective.
- Track record of hiring engineers and managers.
- Excellent written and verbal communication skills. Able to convey bottom-line message to executives at C & VP level.
- Bias for action with an ability to work in a fast-paced environment with shifting priorities.
- Ability to work collaboratively and efficiently with stakeholders throughout the organization.
- Experience presenting at conferences and meet-ups in the Open Source community.
- Experience building a world-class open source contribution program.
- Demonstrate longevity at, at least, one recent job.
- Understanding of how to be successfully manage at a remote-only company.
- Ability to use GitLab.
- Humble, servant leader.

### Performance Indicators

- [MRARR](/handbook/engineering/infrastructure/performance-indicators/#mrarr)
- [Open Community MR Age (OCMA)](/handbook/engineering/infrastructure/performance-indicators/#open-community-mr-age-ocma)
- [Community MR Coaches per Month](/handbook/engineering/infrastructure/performance-indicators/#community-mr-coaches-per-month)
- [Unique Wider Community Contributors per Month](/handbook/engineering/infrastructure/performance-indicators/#unique-wider-community-contributors-per-month)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to fill out a short questionnaire.
- Next, candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with our Global Recruiters.
- Next, candidates will be invited to schedule a first interview with the hiring manager, currently the VP of Quality
- Next, candidates will be invited to schedule a second interview peer Engineering Manager in the Quality Department.
- Next, Candidates will be invited to schedule a third interview with a Fullstack Contributor Success Engineer.
- Next, candidates will be invited to schedule a forth interview with an Engineering Productivity Engineer.
- Finally, candidates will be asked to interview with the CTO.

Additional details about our process can be found on our [hiring page](/handbook/hiring/)
