---
title: "Creative Operations"
description: Creative Operations helps organize and evolve our brand creative processes, systems, tooling, projects, and programs that enable the team to scale and create world class brand experiences.
---

### Responsibilities

- Manage daily project intake and assignment
- Manage project workflows
- Create timelines and workback plans
- Manage key initiative milestones
- Manages vendor relationships and budgets
- Ensures all projects are setup for success and completed efficiently

### Requirements

- Collaborate with team members and partners to ensure success
- Resourceful and results-driven mindset leveraging iteration and continous improvement
- Strong understanding of best practices across different creative and marketing disciplines, audiences, and mediums
- Engage in constructive design critiques.
- Able to work independently, prioritize accordingly, and iterate quickly.
- Strong communication skills without a fear of over communication.
- You share our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab

## Individual Contributor Levels

### Senior Creative Operations Manager

The Senior Creative Operations Manager reports to the Director, Brand.

#### Job Grade

The Senior Creative Operations Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Work closely with the Brand Design Team on managing workload, assigning and triaging requests, and establishing priorities to ensure the team meets deadlines and delivers assets as needed
- Manage vendors and agency partners to help scale our team, including budget management, scope creation and approvals
- Collaborate with everyone across the Brand team and critical leaders and stakeholders in Marketing
- Lead stand-ups and project kick-offs, and participate in concept brainstorms
- Facilitate timely and clear communication between the design team, marketing stakeholders, and external partners
- Collaborate with marketing leads to determine priorities, manage key projects and problem solve requests when deadlines or asks are challenging
- Refine, improve, and scale our creative process to enhance speed and quality of delivery, standardizing processes for cross-discipline and cross-functional collaboration
- Contribute to quarterly and annual planning, representing the team's budget, capabilities, capacity and constraints
- Audit our tools, finding efficiency across departments for consolidation, while advocating for adding new tools and resources that add value to the team
- Establish and document processes and procedures and help centralize resources and assets for ease of access
- Contribute to the planning of team events and culture-building opportunities

#### Requirements

- Well-versed on the current trends in branding, creative, social and communications and can formulate plans that lead to the successful creation of brand experiences
- Experience designing, implementing, measuring and optimizing programs, processes, structures and/or systems for improving organizational efficiency
- Experience working within an internal agency or creative agency operations environment
- Proficiently understand the complex needs of creative and marketing teams, and effectively communicate the creative perspective and point of view to non-creative stakeholders
- A champion for Brand Creative and the Design inside and outside of GitLab
- Positive approach to problem solving through analytical thinking and operational efficacy
- Ability to prioritize multiple projects and tasks, manage changes, and reliably meet deadlines
- A genuine passion for brand creative and creative operations; track record instilling operational excellence for a creative team
- A strong creative eye and the ability to be a brand steward

#### Performance Indicators

- Ensures successful completion and review of design requests
- Reduces the turnaround time for the project intake and tiraging process of design requests
- Scales the design team quickly with vendors/contractors during high workload volume time periods
- Increases the effectivenss of our creative design process

## Career Ladder

The next step in the Creative Operations job family is not yet defined at GitLab.
