---
title: "Customer Lifecycle Marketing Manager"
summary: Own the strategy and execution of end-to-end lifecycle marketing initiatives, ranging from first click to retention and renewal initiatives, with a focus on instilling loyalty within the our ever-growing customer base.
---

## About the role

GitLab has high-performing email marketing programs designed to drive prospects to MQL, but we have a big, untapped opportunity to extend lifecycle campaigns to drive revenue growth from existing customers. This marketer will start by mapping our ideal customer journeys post-acquisition: from ramp, to license and department expansion, to SKU upsell. They will work with Analytics to define campaign success metrics and create new lifecycle measurement capabilities. They will segment our customer base according to their stage in these journeys, along with other account signals like technographic, firmographic, or intent. They will then create bespoke email marketing campaigns targeted to these segments to drive revenue expansion and prevent churn. Their tight coordination with Customer Success, Product Marketing, DevRel, and Sales will ensure we deploy compelling, clear, and consistent messages to customers – regardless of the team executing.

## Responsibilities

- Create and continuously optimize email marketing programs that leverage 3rd party signals (e.g. firmographic or demographic) as well as customer behavior data to drive revenue growth or prevent churn
- Partner with Customer Success to coordinate marketing and support touchpoints for maximum revenue impact
- Partner with Marketing Analytics to define customer lifecycle reporting and create dashboards to analyze tests, monitor performance against goals
- Map GitLab's customer lifecycle stages and create strategic initiatives for each stage of the customer journey, which include onboarding, expansion, and retention
- Identify key measurable metrics (SKU upsell, license expansion, churn prevention, etc.) that these lifecycle programs can effectively influence
- Build and maintain relationships with Product Marketing, Developer Relations, and Sales
- Establish feedback loops to ensure messaging in our campaigns is accurate, differentiated, and meaningful to our target personas

## Requirements

- 5+ years experience in customer email marketing, preferably at an enterprise SaaS technology company
- Cutting–edge email marketing best practices, along with strong copywriting and copy editing skills
- Expertise in Marketo for marketing automation, both in audience segmentation (smart lists) and in the use of email templates, Marketo modules, and dynamic content
- Strong internal communication and cross-functional coordination skills
- Extremely detail-oriented and organized, able to manage multiple projects to meet deadlines
- Experience driving up-sell and cross-sell programs from conception through implementation
- Experience marketing specifically to enterprise IT buyer and software developer customer personas
