---
title: "Designer"
description: "As a designer for GitLab you would be responsible for creating and maintaining our brand."
---

As a designer for GitLab you would be responsible for creating and maintaining our brand. You will work on the design of the GitLab website, all marketing design needs, and all branding. You'll work very closely together with almost everyone in GitLab to make sure we follow good design principles and our branding is clear in everything we do. This means you get a lot of freedom, independence and responsibilities.

## Junior Designer

### Job Grade

The Junior Designer is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Assist in the redesign of the [GitLab website](https://about.gitlab.com).
- Build and maintain slide decks for various events and presentations.
- Conceptualize and design landing pages for various campaigns and GitLab features.
- Create, update, and maintain diagrams and infographics on the GitLab website and [Documentation](https://docs.gitlab.com/) pages.
- Assist in the conceptualization and design of event and swag items — such as t-shirts, stickers, banners, and conference booths.
- Create web advertisements for webcasts, landing pages, partnerships, and feature releases.

## Intermediate Designer

### Job Grade

The Intermediate Designer is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Set the brand of GitLab
- Design a coherent brand image (logo's, icons, colors, typography, etc.)
- Redesign [our static website](https://about.gitlab.com)
- Design our marketing materials
- Design our swag (t-shirts, stickers, etc.)
- Design for special occasions (product releases, events, etc.)
- Create exciting marketing materials
- Create printed materials (business cards, banners, brochures)
- Create web advertisements

### Requirements

- Degree in graphic design or related field, or experience with web design
- Able to create anything from quick mockups to pixel-perfect work
- Be able to create exciting marketing materials
- Experience with web design and its limitations and possibilities
- Able to work in small, concrete and practical iterations. GitLab has a very short release cycle, you need to be able to keep up
- Have an understanding of good UX
- Experience with HTML / CSS is a plus
- Illustration experience is a plus
- Comfortable working very collaboratively on projects, as well as independently.
- You share our [values](/handbook/values/), and work in accordance with those values
- Ability to use GitLab

## Career Ladder

The next step in the Design job family is not yet defined at GitLab.

## Relevant links

- [Engineering Handbook](/handbook/engineering/)
- [Engineering Workflow](/handbook/engineering/workflow/)
- [Product Handbook](/handbook/product/)
