---
title: "Developer Advocate"
summary: Help us fulfill our mission by connecting with other developers and GitLab users and sharing your knowledge and experience about GitLab and other leading technologies through blog posts, demos, videos,  contributed articles, podcasts, social media, and events.
---

The Developer Advocacy team supports and grows GitLab's user community by enabling and engaging with GitLab community members through deep technical content, targeted programs, and events.

As a Developer Advocate, you will help us fulfill our mission by connecting with other developers and GitLab users and sharing your knowledge and experience about GitLab and other leading technologies through blog posts, demos, videos,  contributed articles, podcasts, social media, and events. Your content and engagement efforts will foster a community inspired by GitLab and will drive our strategy around increasing awareness, adoption, and contribution to GitLab.

Developer Advocates understand our customers, our community, their problems, and how GitLab can solve them. You will work closely with our marketing, engineering, product, business development, sales team, and partners. You will be responsible for technical enablement and representing GitLab at key events. In addition, you might write sample code, author client libraries, provide insights to journalists, and work with strategic GitLab partners such as GitLab Heroes, users, and customers to excite and engage our developer communities.

## Developer Advocate

### Job Grade

The Developer Advocate is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Lead the conversation around technology trends and best practices in the developer community
- Create engaging content, including blog posts, demos, videos, and technical presentations that educate the GitLab and developer communities
- Support GitLab's product and engineering efforts by sharing what you learn while engaging with the wider GitLab community and the tech community, at large
- Conduct interviews with media via phone, podcasts, video, and in-person
- Engage and collaborate within GitLab and in the wider community
- Contribute to the goals of GitLab's Developer Relations team

### Requirements

- Experience creating software or contributing to open source software
- At least 1 year of experience giving talks and developing demos, workshops, webinars, videos, and other technical content
- Meaningful social presence with engaged followers
- Ability to consistently generate engaging content and manage the fast-moving conference schedule with its CFP deadlines and show dates
- Self-directed and works with minimal supervision
- Outstanding written and verbal communication skills with the ability to translate complex technology concepts into simple and intuitive communications
- Ability to travel up to 20% of the time
- You share our [values](/handbook/values/) and work in accordance with those values
- Ability to use GitLab

## Senior Developer Advocate (Developer Advocate Manager)

### Job Grade

The Senior Developer Advocate is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Teach our audiences about modern software delivery methods and how it can be valuable to them, introducing them to new concepts that can help them achieve their goals
- Showcase the capabilities of GitLab for the use cases that our audiences care about
- Produce impactful technical content such as demos, videos, workshops, tutorials, technical white papers, conference presentations, and webinars that aligns and with supports company strategy and goals
- Represent GitLab at customer and analyst engagements such as conferences, executive meetings, and at community and customer meetups
- Provide technical guidance and own demonstrations for analyst report submissions and briefings
- Be a leader within Developer Relations and in the wider community

### Requirements

- Technical background or good understanding of application development and IT operations; familiarity with Git, continuous integration, containers, and Kubernetes is a plus.
- 2-3 years experience developing demos, webinars, videos, technical collateral, ROI/value-oriented assessments, etc.
- Experience with Agile and DevOps methodologies across the software development lifecycle, preferably in a large enterprise environment
- Experience with Software-as-a-Service offerings and open core software a plus
- Able to coordinate across many teams and perform in a fast-moving startup environment
- Experience working with minimal supervision
- Outstanding written and verbal communication skills with the capacity to explain and translate complex technology concepts into simple and intuitive communications
- Ability to travel up to 20% of the time
- You share our [values](/handbook/values/) and work in accordance with those values
- Ability to use GitLab

## Staff Developer Advocate

### Job Grade

The Staff Developer Advocate is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Teach our audiences about modern software delivery methods and how it can be valuable to them, introducing them to new concepts that can help them achieve their goals
- Showcase the capabilities of GitLab for the use cases that our audiences care about
- Produce impactful technical content such as demos, videos, workshops, tutorials, technical white papers, conference presentations, and webinars that aligns with and supports company strategy and goals
- Represent GitLab at customer and analyst engagements such as conferences, executive meetings, and community and customer meetups
- Be a leader within GitLab. Leverage experience and engagement with GitLab customers and community to influence content strategy within Developer Relations, Marketing, and across GitLab.
- Work cross-functionally with GitLab teams, including GitLab executives, and contribute to GitLab's top-level company goals

### Requirements

- 4-5 years experience independently developing demos, webinars, videos, technical collateral, ROI/value-oriented assessments, etc.
- At least 6 years of enterprise software marketing experience, including 4 in product marketing or developer relations
- In-depth industry experience with Agile and DevOps methodologies across the software development lifecycle, preferably in a large enterprise environment
- Hold positions of influence in open source projects and organizations such as TAG leads, maintainer status, author status
- Experience giving talks and developing demos, webinars, videos, and other technical content at industry events with 1,000+ attendees or experience as a keynote speaker
- Experience designing and delivering sales enablement training to ensure that salespeople can confidently and accurately deliver GitLab's enterprise value proposition
- Ability to travel up to 20% of the time
- You share our [values](/handbook/values/) and work in accordance with those values
- Ability to use GitLab

## Principal Developer Advocate

### Job Grade

Principal Developer Advocate is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Drive thought leadership  about modern development practices and trends and how they align and support business imperatives
- Partner with Sales to secure highly strategic opportunities
- Lead analysts and executive engagements representing GitLab
- Partner with the engineering team to contribute, prioritize, and influence on the roadmap for multiple feature areas (e.g., product, service)
- Understands the value proposition for the multiple feature areas and answers technical questions on the multiple feature areas they own
- Acts as a technical advisor to educate and promote the feature areas (e.g., product, service) they work on with customers via meetings, presentations, and other forums
- Work cross-functionally with GitLab teams, including GitLab executives, and contribute to GitLab's top-level company goals

### Requirements

- 5 or more years of experience independently developing demos, webinars, videos, technical collateral, ROI/value-oriented assessments, etc.
- At least 6 years of enterprise software marketing experience, including 4 in product marketing or developer relations
- In-depth industry experience with Agile and DevOps methodologies across the software development lifecycle. Preferably in a large enterprise environment
- Hold positions of influence in open source projects and organizations such as TAG leads, maintainer status, author status
- Experience giving talks and developing demos, webinars, videos, and other technical content at industry events with 1,000+ attendees or experience as a keynote speaker
- Experience designing and delivering sales enablement training to ensure that salespeople can confidently and accurately deliver GitLab's enterprise value proposition
- Ability to travel up to 20% of the time
- You share our [values](/handbook/values/) and work in accordance with those values
- Ability to use GitLab

## Director, Developer Advocacy

### Job Grade

Director, Developer Advocacy is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Ensure GitLab's team of developer advocates are aligned with and actively contributing to Developer Relations, Marketing, and company strategies. This includes leading the team to impactful technical content such as demos, videos, workshops, tutorials, technical white papers, conference presentations, and webinars that aligns with and supports key strategic initiatives.
- Define and execute GitLab's developer advocacy strategy, ensuring the topics covered, types of content created, and distribution channels contribute to our team's success, internal stakeholders, wider community, and company.
- Collaborate effectively to define strategy, set deliverables, and achieve results with key partners within GitLab, including Product, Engineering, Sales, Product Marketing, Corporate Communications, Field Marketing, and Corporate Events.
- Maximize developer mindshare by growing the number of community members that support GitLab by giving talks, writing blog posts, participating in Discord and forum.gitlab.com, and engaging in other valuable activities. .
- Partner with Product and Engineering teams to ensure the feedback from the community is integrated into our product plans.
- Lead and maintain a highly productive, engaged team in alignment with GitLab's values. Model and educate team members on how to operate in alignment with the practices outlined in GitLab's handbook.

### Requirements

- You are obsessed with making developers happy. You were a full-time developer in a previous life (or you've been through bootcamps and know how to program and code with the best of 'em!), but you prefer to work with the developer community to improve experience and support through education.
- You have directly managed a team before, perhaps as a manager, senior manager, or director. You have built a team before and can't wait to do it again!
- You have 7+ years of experience leading developer relations or community advocacy programs, preferably open source.
- You are analytical and data-driven in your approach to building and nurturing communities.
- You know how to run a marketing pipeline and can articulate how to use automation to drive results.
- You are creative. You've made people happy with your quirky campaigns.
- You work with the team to help our community members deliver great keynotes and write great blog posts.
- You have experience facilitating sensitive and complex community situations with humility, empathy, judgment, tact, and humor.
- Bonus points for media training and experience in communicating with journalists, bloggers, and other media on a range of technical topics.
- Major bonus points for having an existing network from a diverse set of communities and social media platforms.
- Ability to travel up to 20% of the time
- You share our [values](/handbook/values/) and work in accordance with those values
- Excellent spoken and written English.

### Performance Indicators

- Support [Unique Wider Community Contributors per Month](/handbook/engineering/infrastructure/performance-indicators/#unique-wider-community-contributors-per-month)
- Support [New Unique Web Vistors Per Month](/handbook/marketing/performance-indicators/#new-unique-web-visitors-aboutgitlabcom)
- Impressions per month. Number of combined impressions/organic views from the Developer Relations team, from a designated number of sources (e.g. social, events, content, etc.)
