---
title: "Developer Relations Program Manager"
description: "Learn more about Developer Relations Program Management roles, responsibilities, requirements, and levels."
---

The Developer Relations Program Management team supports communities that align with GitLab's [CREDIT values](/handbook/values/) by executing specific programs that help these communities grow and thrive. These programs include the [**GitLab for Education**](https://about.gitlab.com/solutions/education/), [**GitLab for Open Source**](https://about.gitlab.com/solutions/open-source/), [**GitLab for Startups**](https://about.gitlab.com/solutions/startups/) and [**GitLab Contributor**](https://about.gitlab.com/community/contribute/) programs. Our mission is to help these communities experience GitLab's vision of a world where everyone can contribute.

The Developer Relations Programs Management team is the DRI for establishing program requirements and benefits. As many of these programs provides free, unlimited seats of GitLab Ultimate to qualifying applicants (in addition to other benefits), the Developer Relations Programs team also oversees the entitlement process. As part of this work, the team leads community outreach efforts, marketing activities, and other strategic engagements (which may include serving on foundation boards, building partnerships, creating enablement and marketing content, delivering public presentations and learning sessions, and sponsoring events). We continually strive to be thought leaders in each respective community. In addition, motivating members of the respective programs to contribute back to our thriving GitLab ecosystem helps us fuel our [dual flywheel strategy](/handbook/company/strategy/#dual-flywheels).

Members of the Developer Relations Programs Management team serve as liaisons to their respective communities, tracking the ways those communities prefer using GitLab and translating that knowledge into insights that help GitLab create a better product. We do this by collaborating across organizational functions whenever possible. We work with Product and Engineering teams to ensure each communities' needs are represented on the GitLab roadmap. We also work with Marketing to regularly showcase our members' success through case studies, blog posts, GitLab Commit presentations, videos, meetups, and live streams. In all that we do, we aim to create and sustain mutually beneficial relationships between members of our programs and GitLab.

## Associate Developer Relations Program Manager

The Associate Developer Relations Program Manager is responsible for managing operations for the Developer Relations Programs applications workflows (manual and automated) and communicating with applicants and program members via the community applications queue. This role maintains the tool-stack responsible for the workflows and collaborates with teams across Marketing and Sales for efficient operations and reporting. This role also has a marketing component of building and executing campaigns (emails, newsletters, events) for driving program membership and retention.

### Job Grade

Associate Developer Relations Program Manager is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Support the [GitLab for Education](https://about.gitlab.com/solutions/education/), [GitLab for Open Source](https://about.gitlab.com/solutions/open-source/), [GitLab for Startups](https://about.gitlab.com/solutions/startups/) and [GitLab Contributor](https://about.gitlab.com/community/contribute/) programs (as well as any new programs that are created), as well as associated workflows. This includes responding to all in-bound requests from program members.
- Actively participate in the implementation of, and then lead the maintenance of the Automated Developer Relations Programs workflows. This includes improving and troubleshooting related processes and working cross-functionally with associated teams in Product, Fulfillment, Legal, Sales Operations, and Customer Support.
- Standardize communications for Developer Relations Programs. As we evolve our Developer Relations Programs, we'll need to make sure that we update all of our outreach and support materials. You will lead this effort and suggest ways we can make our messaging more customer-friendly and effective.
- Improve efficiency of tools. Make sure we are using all of our current tools in the best way possible. Become the team's expert in using each tool and suggest improved ways to use them to help with program goals.
- Maintain and update the Developer Relations Programs handbook and GitLab Documentation on a regular basis regarding the application workflows.
- Measure effectiveness of Developer Relations Programs. Partner with all Program Managers on the Developer Relations team to measure and report the success and effectiveness of their programs. In doing so, you will also be working closely with the Marketing Operations, and Data and Analytics teams.
- Implement creative and effective ideas and campaigns for increasing program membership and retention including email campaigns and outreach. Work across teams in marketing to implement campaigns.
- Monitor changes. GitLab moves very quickly, an aspect of this role is keeping up with all the changes that occur in the product and offerings. This role will keep abreast of changes and make sure that the programs adapt.
- Assist with the operational side of community events and content such as newsletters.

### Requirements

- You thrive at developing process improvements and are an excellent critical thinker.
- You thrive at developing new approaches and refining existing processes to enable teams to work more efficiently.
- You are pattern-seeking and enjoy creating replicable, scalable processes.
- You love making sure community members have the best experience possible as they interact with our tools and systems.
- You excel at working cross-functionally or with multiple stakeholders.
- You have excellent written and spoken English language communication skills.
- You have had experience working in a customer, or community-facing environment, and are able to communicate effectively and empathetically.
- You are very detail oriented.
- You have proven experience creating documentation and process-oriented content.
- You share our [values](/handbook/values/), and work in accordance with those values.
- You are willing to use GitLab.

Nice-to-haves:

- Familiarity using GitLab, Salesforce, Zendesk, Slack, and other tools that the Developer Relations Programs team uses.
- Change management skills.
- Experience updating website copy or making website edits.
- Data-oriented and familiar with defining and implementing key performance metrics.

### Performance Indicators

- Time to Zendesk ticket closure/application award.
- Percentage of manual vs. automated application processes.
- Member/contributor satisfaction for Developer Relations programs.
- Number of Community program applications solved.
- Ability to process a Developer Relations Program application in the time promised to our customers; 5-10 business days.
- Number and quality of outreach campaign

## Developer Relations Program Manager

The Developer Relations Program Manager supports and grows GitLab's community by engaging and enabling GitLab community members through technical content and continuous engagement.

### Job Grade

The Developer Relations Program Manager is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Connect, engage with, and gather feedback from Developer Relations Programs members.
- Execute Developer Relations Program's initiatives and campaigns.
- Curate content to enable the relevant community to adopt and be successful with GitLab. This includes blog posts, webinars, videos, eLearning, courses, and best practices.
- Serve as a spokesperson for the relevant Developer Relations Program.
- Update and document processes in the Developer Relations Programs handbook.
- Activate the GitLab team in sharing content with their networks, increasing our reach to media, academia, analysts, etc.
- Collaborate with GitLab's PR agency partners to facilitate and secure media coverage for GitLab's campaigns.
- Compile quarterly metrics reports to measure our successes in relation to awareness and impact.
- Recognize people in the community, for example, with badges, swag, spotlights, and awards.
- Monitor and participate in community channels such as Discord, GitLab Forum, Reddit, and CrowdIn.
- Manage projects from start to finish.

### Requirements

- Extends that of Associate Developer Relations Program Manager
- 3-5 years experience in developer advocacy or developer relations roles.
- Analytical and data-driven in your approach to building and nurturing communities.
- An understanding of GitLab's and DevOps' role in the relevant community.
- Experience in publishing, journalism, content marketing, social, and events. At least 1 year of experience giving talks and developing technical content.
- Self-directed and work with minimal supervision.
- Outstanding written and verbal communication skills with the ability to explain and translate complex technology concepts into simple and intuitive communications.
- You share our [values](/handbook/values/) and work in accordance with those values.
- Ability to use GitLab.

### Performance Indicators

- Number of new program members
- Number of users adopting GitLab per quarter (active use for the program goal).
- Number of renewing/returning program members year over year.
- Published articles & impressions of these in podcasts and other content by media and external sources attributed to brand awareness or growth efforts.
- Program member participation in Marketing initiatives.

See also the respective specialty performance indicators for any additional metric.

## Senior Developer Relations Program Manager

### Job Grade

The Senior Developer Relation Program Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Develop and lead the successful execution of Developer Relations Program(s).
- Oversee the routine and operations and decisions that encompass the Developer Relations Program(s).
- Ensure alignment of the Developer Relations Program(s) within the Developer Relations team's and wider Marketing goals.
- Increase operational efficiencies and streamline processes.
- Leverage marketing resources to grow the number of program members in each respective program and increase the renewal rate quarter over quarter.
- Identify opportunities and build the resources to equip the GitLab team and the wider community to become advocates for each program.
- Create, report, and iterate on the relevant key performance indicators to effectively measure the impact of the Developer Relations Program(s). initiatives.
- Gather feedback on the program structure as well as GitLab the product from developer relations program members via surveys, working groups, and events. Summarize and direct feedback to improve the program as well as to related teams such as Product and Engineering.
- Establish relationships with program members to produce inspirational case studies of their use of GitLab. Showcase Program Member's success through case studies, webinars, blog posts, spotlights, and media campaigns.
- Fully own one or more GitLab Program strategies & their results.

### Requirements

- Extends that of Developer Relations Program Manager
- You have 5-7 years of experience running developer relations or community advocacy programs, preferably open source.
- Analytical and data-driven in your approach to building and nurturing communities.
- You have experience facilitating sensitive and complex community situations with humility, empathy, judgment, tact, and humor.
- Excellent spoken and written English.
- Familiarity with developer tools, Git, Continuous Integration, Containers, and Kubernetes.
- You share our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab

### Performance Indicators

- Number of new program members
- Number of users adopting GitLab per quarter (active use for the program goal).
- Number of renewing/returning program members year over year.
- Published articles & impressions of these in podcasts and other content by media and external sources attributed to brand awareness or growth efforts.
- Program member participation in Marketing initiatives.

See also the respective specialty performance indicators for any additional metric.

## Manager, Developer Relations Programs

### Job Grade

The Manager, Developer Relations Programs is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Enable the Developer Programs team to produce and execute their quarterly OKRs.
- Develop a hiring plan according to the dynamic needs of a rapidly growing organization.
- Responsible for managing the day-to-day work of the individual contributors.
- Implements functional plans into tactical processes.
- Identify opportunities and build the resources to equip the GitLab team and the wider community to become advocates for GitLab.
- Own all of the results & KPI reporting of the respective GitLab Programs & their program managers.

### Requirements

- Extends that of Senior Developer Relations Program Manager
- Demonstrated experience building and scaling communities.
- Relevant experience managing a global community team's effectiveness strategies, tactics, and action plans for driving adoption and engaging communities.

### Performance Indicators

- Number of new program members across all programs.
- Number of users adopting GitLab per quarter (active use for the program goal) across all programs.
- Number of renewing/returning program members year over year across all programs.
- Published articles & impressions of these in podcasts and other content by media and external sources attributed to brand awareness or growth efforts across all programs.
- Program member participation in Marketing initiatives across all programs.

See also the respective specialty performance indicators for any additional metric.

## Specialties

### GitLab For Education

Support & grow the [GitLab for Education](https://about.gitlab.com/solutions/education/) program.

### GitLab for Open Source Projects

Support & grow the [GitLab for Open Source](https://about.gitlab.com/solutions/open-source/) program.

#### Responsibilities

### GitLab for Startups

Support & grow the [GitLab for Startups](https://about.gitlab.com/solutions/startups/) program.

#### Responsibilities

### GitLab Contributor Program

[GitLab Contributor Program](https://about.gitlab.com/community/contribute/)

The GitLab Contributor Program supports community members by executing a strategy that help our community of contributors to GitLab grow and thrive. Our mission is to help these community members experience GitLab's vision of a world where everyone can contribute and co-create the software that powers our world.

As the GitLab Contributor Program Manager, you will be responsible for pitching, incentivizing, enabling and rewarding members from the wider GitLab community, including customers, to contribute code, documentation, translations and other valuable additions to GitLab. The goal is to grow the number of unique people that contribute to GitLab every month and support & adjust the [open source growth strategy](/handbook/engineering/open-source/growth-strategy/).

Possible actions that can be pursued are:

- run hackathons, summits, industry conferences.
- Monitor and participate in community channels such as [Discord](https://discord.gg/gitlab), [GitLab Forum](https://forum.gitlab.com/),  [reddit](https://www.reddit.com/r/gitlab/), and [CrowdIn](https://crowdin.com/project/gitlab-ee/discussions).

It's up to the program manager to define activities in function of the growth of the program.

#### Responsibilities

- Grow the number of of unique people who contribute to GitLab every month
- Be responsible for the lifecycle, which includes satisfaction & recognition, of contributors to GitLab

#### Performance Indicators

- [Unique Wider Community Contributors per Month](/handbook/marketing/developer-relations/performance-indicators/)
