---
title: "Digital Experience"
summary: " "
---

## Levels

### Digital Experience Analyst

The Digital Experience Analyst Reports to [Director, Digital Experience](/job-families/marketing/digital-experience/#director-of-digital-experience)

#### Digital Experience Analyst Job Grade

The Digital Experience Analyst  (Intermediate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Digital Experience Analyst Responsibilities

- Ensure that GitLab is correctly instrumented to be able to deliver meaningful insights about traffic, conversion, and growth opportunities on our digital properties
- Own the successful tagging and analytics measurement strategy for GitLab's digital properties
- Maintain and improve analytics tag implementations and data layer for all relevant technologies (Google Analytics, Google Tag Manager)
- Knowledge of FE web technologies - HTML, CSS and JS to enable confident debugging and use of custom JS in Google Tag Manager
- Deliver data-driven recommendations around how to increase traffic, conversion, and user experience on `about.gitlab.com`
- Ensure successful measurement and reporting aligned with online media, marketing landing pages, and other initiatives. Share insights on how these initiatives are performing.
- Collaborate with key stakeholders in Marketing (e.g. Demand Gen, Content) as well as other functions (e.g. Sales, Product) to capture data needed to drive business decisions
- Contribute to A/B testing strategy using platforms such as LaunchDarkly, Google Optimize
- Partner closely with the [Marketing Strategy and Performance Team](/handbook/marketing/strategy-performance/) and other data teams at GitLab to follow and contribute to internal standards
- Member of the [Digital Experience Team](/handbook/marketing/digital-experience/)

#### Digital Experience Analyst Requirements

- Relevant digital analytics experience, working with developers and marketing teams
- Must have Google Analytics 360, Google Tag Manager 360, and Google BigQuery expertise
- Extensive experience working with tag management platforms and data layers
- Strong grasp of website and ecommerce metrics and optimization.
- Google Analytics Certification and Tag management certifications preferred
- Experience with A/B testing platforms such as LaunchDarkly and Google Optimize preferred
- Ability to use GitLab
- Ability to thrive in a fully remote organization
- Share and work in accordance with our values
- Positive and solution-oriented mindset
- Clearly and concisely communicate complex business logic, technical requirements, and design recommendations through iterative solutions
- Fluent in SQL within analytical data warehouses (we use Snowflake SQL) and in business intelligence tools (we use Periscope)
- Able to write complex SQL including multi-table joins, grouping and aggregation, common table expressions, and conditional filters
- Passionate about data, analytics and automation. Experience cleaning and modeling large quantities of raw, disorganized data (we use dbt)
- Experience working with a variety of complex data sources. Our data includes Salesforce, Zuora, Zendesk, Marketo, NetSuite, Snowplow and many others (see the [data team page](/handbook/enterprise-data/))
- Effective communication and [collaboration](/handbook/values/#collaboration) skills, including clear status updates
- Comfort working in a highly agile, [intensely iterative](/handbook/values/#iteration) environment
- [Self-motivated and self-managing](/handbook/values/#efficiency), with strong organizational skills
- Prior experience in an analytics role or equivalent education

### Digital Experience Operations Manager

The Digital Experience Operations Manager reports to the Director, Digital Experience.

#### Digital Experience Operations Manager Job Grade

The Digital Experience Operations Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Digital Experience Operations Manager Responsibilities

- **Sprint Planning and Management:** collaborating with Product and Engineering Management to proactively set biweekly sprint plans and strive to achieve 90% burndown completion.
- **Sprint Management:** organize and track issues, clarify project scopes, proactively manage risks, collaborate on prioritization, and problem-solve.
- **Stakeholder Management:** enable Efficiency across multiple teams and drive Results. Engage with key stakeholders to define requirements and help cross-functional teams with delivery.
- **Team Facilitation:** ensure effective communication between Groups and roles on the Digital Experience team to reduce bottlenecks and increase visibility.
- **Escalation:** raising blockers to the correct stakeholders to ensure efficient results.
- **Communication:** reporting Digital Experience progress to senior leaders.
- **Continuous Improvement:** evaluated Digital Experience team performance metrics and streamline processes. Simplify delivery, manage objective and key results (OKRs), release on time.
- **Roadmapping:** collaborate with Product Manager on 3 to 6 month roadmaps. Adjusting in real-time based on team progress.
- **Documentation:** ensuring scalability and efficiency by adding processes to the Digital Experience handbook.

#### Digital Experience Operations Manager Requirements

- Exceptional communication and interpersonal skills.
- Experience in product development planning and providing leadership.
- Advanced knowledge of the full life-cycle of digital product development.
- Ability to collaborate with Product Managers, Product Designers,Engineers and report to senior managers.
- Extensive experience in software product engineering, deployment, and integration.
- Ability to evaluate product performance metrics, as well as diagnose and resolve issues.
- Proficiency with Figma.
- You share our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab.

## Manager, Digital Experience

The Manager, Digital Experience reports to the Director, Digital Experience.

### Manager, Digital Experience Job Grade

The Manager, Digital Experience is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Digital Experience Responsibilities

- **Product knowledge:** Understand the features and value of the end-to-end GitLab product.
- **Cross-product collaboration:** Proactively identify large, strategic digital marketing opportunities that span the Marketing team. Work with other cross-functional Managers to drive Marketing initiatives.
- **Deliverables:** Review deliverables (sprint plans, KRs, research, designs, etc.) that your team creates and provide feedback to ensure high-quality output.
- **Research:** Identify strategic user research initiatives and work with cross-functional Managers to organize research efforts.
- **UX evangelism:** Communicate the value of UX to cross-functional GitLab team members, and influence the teams you support to prioritize UX initiatives.
- **UX process**: Set up and manage collaborative processes within your team to ensure Product Designers, Data Scientists, and Researchers are actively working together. Make sure everyone has exposure to the work that is happening within the broader team.
- **Team building:** Collaborate with Product Manager and Technical Product Owner to hire a world-class team of Product Designers, Engineers, Researchers, and Data Scientists.
- **Public presence:** Engage in social media efforts, including writing blog articles and responding on Twitter, as appropriate.
- **Vision and direction:** Have an awareness of strategy and vision of the Marketing digital experience
- **People management:** Hold regular 1:1s with every member of your team and create Individual Growth Plans with monthly check-ins.

#### Manager, Digital Experience Requirements

- Relevant experience managing a group of designers and engineers.
- Ability to write code (HTML, CSS, JS)
- Proficiency with pre-visualization software (e.g. Figma, Sketch, Adobe Photoshop, Illustrator).
- Experience defining the high-level strategy and defining monthly OKRs based on research.
- Experience driving organizational change with cross-functional stakeholders.
- Passion for creating visually pleasing and intuitive user experiences.
- Collaborative team spirit with great communication skills.
- You share our [values](/handbook/values/), and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#management-group).
- Ability to use GitLab.

### Senior Manager, Digital Experience

The Senior Manager, Digital Experience reports to the Director, Digital Experience.

#### Senior Manager, Digital Experience Job Grade

The Senior Manager, Digital Experience is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Digital Experience  Responsibilities

- Extends that of the Manager, Digital Experience responsibilities.
- Collaborating with cross-functional leaders to define quarterly OKRs that support Marketing's goals.
- Organizational design to increase collaboration and efficiency.
- Engaging with Finance teams to contribute to forecasting and reporting on business performance.
- Conducting skip level 1:1s every quarter with the [Digital Experience team](/handbook/marketing/digital-experience/)
- Proactively connecting with cross-functional GitLab team members to identify opportunities.
- Demonstrating GitLab's CREDIT values and modelling GitLab's Leadership traits.

#### Senior Manager, Digital Experience Requirements

- Extends the Manager, Digital Experience requirements.
- Relevant experience managing a group of designers and engineers.
- Advanced level of HTML, CSS, and JS.
- Experience as agile project manager a plus.

### Director, Digital Experience

The Director, Digital Experience reports to the VP, Integrated Marketing. The Product Manager (Marketing), Engineering Manager, and Digital Experience Operations Manager report to the Director, Digital Experience.

#### Director, Digital Experience Job Grade

The Director, Digital Experience is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Digital Experience Responsibilities

- Lead the global web strategy as a critical marketing channel to drive awareness, education and acquisition in alignment with GitLab business priorities
- Partner across Marketing (including Product Marketing, SEO, Campaigns, Brand, and Events teams), as well as cross-functionally (Product, IT) and senior leadership to shape the online experience for prospects and customers
- Own and deliver reporting analysis on performance and business impact, as well as conceiving and executing testing strategies, QA processes and ensuring the delivery of initiatives on time and of the highest quality
- Accountable for governance of the website and the content management system (CMS), evangelizing best practices including UX design, customer experience and engineering
- Guide, mentor and lead a team of team leads, engineers and design specialists, in addition to managing our important vendor relationships

#### Director, Digital Experience Requirements

- 12-15 years experience leading strategy and execution of web strategy and design for a B2B or enterprise SaaS company, including 5-8 years leading a diverse team of technical professionals
- Skilled in balancing technical needs and requirements with business objectives and parameters and consulting with stakeholders on shaping and scoping key initiatives
- Deep technical expertise and practical experience in web development and related web technologies, including HTML, CSS, and JavaScript
- Experience with major CMS platforms, UI and design, analytics and monitoring tools (e.g. Contentful, Figma, Quantum Metric)
- Experience in fostering a testing and iterative team environment and orientation;  analyzing and reporting on website performance to a range of audiences, including marketing counterparts and business stakeholders
- Extensive team management skills, including career development and coaching engineering team leads and people managers
- Experience partnering cross-functionally across marketing, internal stakeholders, vendors and agency partners
- You share our [values](/handbook/values/), and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#director-group)

## Performance Indicators

- Website sessions, engaged sessions by traffic source; user behavior
- Usability metrics, site design, navigation, personalization and customer experience
- Site optimization metrics, e.g. Mobile vs. desktop performance for searchability
- Conversion rates, lead quality

## Career Ladder

The Digital Experience Management job family career ladder is yet to be defined.

## Hiring Process

- Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a screening call with one of our Global Recruiters
- Candidates will be invited to schedule an interview with the VP, Integrated Marketing
- Candidates will be invited to schedule an interview with the VP, Product Marketing
- Candidates will be invited to schedule an interview with the Director, Growth Marketing
- Candidates will be invited to schedule an interview with the Director, Digital Strategy
- Candidates will be invited to schedule an interview with the Marketing - Director, People Business Partner
- Candidates will be invited to schedule an interview with the Chief Marketing Officer

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
