---
title: "Digital Production Roles"
description: "Learn more about Digital Production roles, responsibilities and requirements."
---

<iframe width="560" height="315" src="https://www.youtube.com/embed/nBSQmB_ruco" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

## Digital Production Coordinator

The Digital Production Coordinator reports to the Senior Manager, Video.

### Job Grade

The Digital Production Coordinator is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Work with producers and manager of Digital Production to coordinate filming locations and shoot schedules
- Support production needs at large shoots and events, i.e. scouting on-site interview locations, wrangling interviewees, assisting crew and producers, etc.
- Assist with communications and management of digital production contractors
- Assist with video and audio content organization and maintain libraries
- Maintain quote library database
- Assist with managing YouTube channels, including community translation requests
- Ensure that videos on the YouTube channel tracking mechanisms
- Coordinate onboarding and maintenance of Digital Production tools
- Assist with video metric tracking and reports
- Assist with reviewing externally submitted videos
- Treatment, scriptwriting and budget-tracking assistance
- Monitor and refresh video bands

### Requirements

- Bachelor's Degree or extensive training in broadcast journalism, film & television, or audio/video production
- 2+ years of production experience and at least 1 year of marketing experience
- Extremely detail-oriented and organized
- Excellent writing, communication and time-management skills
- Extremely detail-oriented with exceptional organizational skills
- Must be highly collaborative
- Ability to handle a fast-paced work environment and work independently
- Basic video editing skills required
- Podcasting experience a plus
- Frequent travel required
- You share our [values](/handbook/values/), and work in accordance with those values
- Ability to use GitLab
- BONUS: A passion and strong understanding of the industry and our mission

## Digital Producer

The Digital Production Coordinator reports to the Senior Manager, Video.

### Job Grade

The Digital Producer is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Liaise with internal teams to assist with pre- and post-production for GitLab branded audio and video projects and events, including but not limited to Contribute, Connect events, Commit user conference, Developer Evangelism, Community Evangelism, Employment branding, sales enablement, social, and livestreams
- Assist in the planning and coordination of productions, including but not limited to scouting locations, talent, and crew
- Support integrated marketing campaigns, events, and initiatives via audio and video projects
- Write and/or edit treatments and scripts for multimedia packages
- Pitch ideas for customer and user stories as well as promotional videos
- Edit large and small video projects
- Podcast production assistance
- Produce and manage mini-shows
- Assist with the management of GitLab YouTube channels, including community translation requests
- Monitor and refresh video bands

### Requirements

- Bachelor's Degree or extensive training in broadcast journalism, film & television, or audio/video production
- 3+ years of solid video production work experience and at least 1 year of marketing experience
- Must be a creative self-starter with exceptional multimedia storytelling skills
- Excellent writing, communication and time-management skills
- Highly collaborative. This role will require effective collaboration across multiple teams, organizations, and individuals.
- Extremely detail-oriented and organized
- Proven ability to handle a fast-paced work environment and work independently
- Strong video editing skills required
- Videography skills a plus
- Podcasting experience a plus
- Frequent travel required
- Our [values](/handbook/values/) of collaboration, results, efficiency, diversity, iteration, and transparency resonate with you.
- Ability to use GitLab
- BONUS: A passion and strong awareness of the industry and our mission

## Senior Digital Producer

The Digital Production Coordinator reports to the Senior Manager, Video.

### Job Grade

The Senior Digital Producer is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Develop multimedia (audio/video) content for brand and marketing initiatives
- Plan and manage production for projects; write treatments, determine scope, scout and select locations and talent, coordinate shoots
- Manage creative projects, including scripting, storyboarding, and graphic elements, to ensure brand consistency
- Direct video shoots and manage production crew
- Collaborate closely with internal clients and stakeholders to assess and execute production needs
- Execute video & audio production for GitLab corporate events
- Manage video and libraries
- Podcast production assistance
- Produce and manage mini-shows

### Requirements

- Bachelor's Degree or extensive training in broadcast journalism, film & television, or audio/video production
- 5+ years of solid work experience in video and audio production and at least 1 year of marketing experience
- Must be a creative self-starter with exceptional multimedia storytelling skills
- Excellent communication, writing and time management skills
- Strong organizational skills, ability to handle projects end-to-end
- Advanced proficiency with video and audio editing software and equipment
- Videography skills a plus
- Podcasting experience a plus
- Highly collaborative. This role will require effective collaboration across multiple teams, organizations, and individuals.
- Proven ability to handle a fast-paced work environment and work independently
- Frequent travel required
- You share our [values](/handbook/values/), and work in accordance with those values
- Ability to use GitLab
- BONUS: A passion and strong understanding of the industry and our mission

### Career Ladder

The next step in the Digital Production job family is not yet defined at GitLab.
