---
title: "Senior Director, Corporate Marketing"
summary: Lead the team responsible for building the GitLab brand and sharing the GitLab story globally.
---

As the Senior Director, Corporate Marketing, you will lead the team responsible for building the GitLab brand and sharing the GitLab story globally. This role will successfully promote the company through a strong PR and communications program, All-Remote content and messaging, social media, unique corporate events for users, prospects and employees, and through Developer Relations. The qualified candidate will be a driven and engaged senior leader with a successful track record of building and leading, brand, global programs and PR globally. Reporting to the CMO, the Senior Director, Corporate Marketing must have experience across public relations, brand development, creative, digital marketing, social media, and thought leadership campaigns.

### Job Grade

The Senior Director, Corporate Marketing is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Work closely with the Marketing leadership team to contribute to the definition of the strategic objectives for marketing and build strong working relationships to deliver as a team.
- Define and execute corporate marketing and brand strategy, resulting in consistent branding, messaging and positioning.
- Create and execute a developer relations plan that attracts new contributors and engages the community.
- Oversee global event strategy and execution for conferences and industry events, and support internal events.
- Manage corporate communications including executive communications, messaging development, and PR.
- Lead our All-Remote brand building efforts.
- Manage, build, and lead a strong team by recruiting, coaching and developing team members.

### Requirements

- 12+ years of experience in corporate marketing in the software industry, preferably within an area of application development.
- Technical background or good understanding of developer products; familiarity with Git, Continuous Integration, Containers, and Kubernetes a plus.
- Experience with Software-as-a-Service offerings and open core software a plus.
- Proven track record developing and executing successful B2B corporate communications, content and brand campaigns.
- Skilled and proven experience bringing new campaigns and ideas to life.
- Experience leading the development of exciting and effective awareness and brand marketing campaigns that influence IT leadership and CxO buyers.
- Track record of evolving a brand's position to a new market category that aligns it with current market and customer priorities.
- History successfully utilizing events as a key platform for growth in the awareness and demand generation.
- Proven track record in building, getting buy-in and executing marketing plans, and staying focused on "getting it done" in a fast-moving, technical environment.
- Able to coordinate across many teams and perform in fast-moving startup environment.
- Proven ability to be self-directed and work with minimal supervision.
- Outstanding written and verbal communications skills with the ability to explain and translate complex technology concepts into simple and intuitive communications.
- Uses data to measure results and inform decision making and strategy development.
- You share our [values](/handbook/values/), and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#director-group)
- Ability to use GitLab

## Career Ladder

The next step in the Director, Corporate Marketing job family is not yet defined at GitLab.

## Hiring process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#conducting-a-screening-call) with one of our Global Recruiters.
- A 45 minute interview with our Chief Marketing Officer
- A 45 minute interview with our VP of Revenue Marketing
- A 45 minute interview with our VP of Demand Generation
- A 45 minute interview with our Chief Revenue Officer
- Finally, our CEO may choose to conduct a final interview
- Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
