---
title: "Field Marketing Leadership"
summary: Support our Sales Teams, globally, build and lead a global team of field marketers aligned to our regional sales directors.
---

## Director, Field Marketing

The Director, Field Marketing position is responsible for building and leading a global team of field marketers aligned to our regional sales directors.

A qualified Director, Field Marketing has strong understanding of sales-focused marketing as well as our audiences of enterprise IT leaders, IT ops practitioners, and developers. They enjoy working with sales leaders to understand the needs of the sales teams, and meeting those needs through effective partnership, strategy, and execution.

### Job Grade

The Director, Field Marketing is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Hire, train, coach, and lead a global team of field marketing managers.
- Meet or exceed our annual plan to grow demand for each of our sales teams.
- Define what field marketing needs from corporate marketing, product marketing, online growth, marketing operations, and marketing program management to ensure regional sales support.
- Ensure field marketing adheres to global brand marketing standards, and is aligned to product marketing strategy.
- Ensure our global channel marketing strategy can be effectively deployed regionally by enabling our resellers with campaign components and guidelines.
- Help global marketing functions refine their strategy based on regional feedback.
- Partner with sales leadership on territory planning.
- Set the standard for effective account-based marketing practices, worldwide, and ensure it is documented and updated in our handbook.
- Set the standard to ensure effective collaboration across marketing and sales roles for regional campaign execution, and document those standards in our handbook.
- Improve field marketing campaign efficiency in terms of ROI and CAC:LTV.
- Ensure key regions have agency support for translating and regionalizing corporate marketing content.
- Manage field marketing budget and hiring plan.
- Administer variable compensation reporting for field marketers.
- Be an advocate for the sales department and help the rest of the marketing department understand their priorities.
- Be an advocate for the marketing department and help the sales department understand the marketing department's priorities.
- Ensure field marketing contributes productively to the quarterly business reviews of the sales team they support.

### Requirements

- Past experience delivering, accelerating, and expanding sales pipeline through regional marketing.
- 7+ years of marketing experience.
- People management experience.
- Strong communication skills without a fear of over communication. This role will require effective collaboration and coordination across internal and external stakeholders.
- Ability to empathize with the needs and experiences of IT leaders, IT ops practitioners, and developers.
- Extremely detail-oriented and organized, and able to meet deadlines.
- You share our [values](/handbook/values/), and work in accordance with those values.
- A passion and strong understanding of the developer tools, IT operations tools, and/or IT security markets.
- Strong understanding of marketing to financial services / fintech, federal agencies, healthcare, automotive, tech, and energy industry verticals.
- Experience with supporting both direct sales and channel sales teams.
- [Leadership at GitLab](/handbook/company/structure/#director-group)
- Ability to use GitLab
- Ability to travel if needed and comply with the company's travel policy. If employed by GitLab Federal, LLC, team members need to also comply with the applicable vaccination policies.

### Specialty

## Director of Marketing, Japan

The Director of Marketing, Japan reports to the VP, Integrated Marketing.

### Summary

The Director of Marketing, Japan leads the strategy and execution of marketing programs performed at a local level, impacting both the direct and indirect sales motions. The Director of Marketing, Japan works closely with regional sales leadership to generate and progress demand through events, programs and local insights.

### Responsibilities

- Lead the development of local marketing strategies in Japan, creating a unified approach for both field and partner motions in market in close partnership with (sales) Country Manager
- Scale field marketing activities and impact, while balancing the unique needs and characteristics of the Japanese markets
- Create a defined and programmatic approach to channel marketing to support the growth of GitLab and the role of marketing in building the partner ecosystem
- Be the voice of the field to the broader marketing team, including sales insights and inputs to directly impact marketing strategy and in turn be the primary representative of the broader marketing team to field sales
- Analyze and report on the impact and performance of regional marketing to a range of audiences, from local leadership to the executive level and tailor the insights accordingly
- Play an active role as part of the Integrated Marketing Leadership team; including aligning and connecting strategy to top of funnel of motions, collaborating with ABM to extend and amplify efforts and contribute to local success
- Achieve high and consistent ROI from Marketing program in Japan, through operational rigor, measurement and budget and financial management
- Continually experiment, test and iterate programs to define best practice and evolve program as the business grows

### Requirements

- 10+ years progressive experience in the B2B tech industry with a focus on field, channel and partner marketing; working directly with sales teams
- Skilled at building and maintaining relationships, being strategic partner to sales; fluent in Japanese and strong communicator in English
- Team management and development skills, including career development and coaching; experience managing people managers
- Track record of delivering results in line with overall business objectives through operational excellence, including accelerating and progressing pipeline
- Skilled at partnering cross-functionally across marketing, internal stakeholders and agency partners as well as external stakeholders, including channel partners and customers
- Deep understanding of channel ecosystem and related processes

### Career Ladder

The next step in the Field Marketing Leadership job family is to Senior Director, Regional Marketing.

## Senior Director, Regional Marketing

The Senior Director, Regional Marketing reports to the VP, Integrated Marketing.

### Summary

The Senior Director, Regional Marketing leads the strategy and execution of marketing programs performed at the regional and local level, impacting both the direct and indirect sales motions. Leading a combined team of both field marketing and channel marketing regional leaders and practitioners, the Senior Director works closely with regional sales leadership to generate and progress demand through events, programs and local insights.

### Job Grade

The Senior Director, Regional Marketing is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Lead the development of regional and local marketing strategies, creating a unified approach for both field and partner motions in market
- Scale field marketing activities and impact, while balancing the unique needs and characteristics of local markets
- Create a defined and programmatic approach to channel marketing to support the growth of GitLab and the role of marketing in building the partner ecosystem
- Be the voice of the field to the broader marketing team, including sales insights and inputs to directly impact marketing strategy and in turn be the primary representative of the broader marketing team to field sales
- Analyze and report on the impact and performance of regional marketing to a range of audiences, from local leadership to the executive level and tailor the insights accordingly
- Active role as part of the Integrated Marketing Leadership team; including aligning and connecting strategy to top of funnel of motions, collaborating with ABM to extend and amplify efforts and contribute to local success
- Develop and grow Regional Marketing team as a unified team while also developing community of practice and specialist skills of Field and Channel Marketing respectively
- Coaching and leading people managers and create a strong culture of development and growth
- Achieve high and consistent ROI from Regional Marketing programs, through operational rigor, measurement and budget and financial management
- Continually experiment, test and iterate programs to define best practice and evolve program as the business grows

### Requirements

- 12-15 years progressive experience in the B2B tech industry with a focus on regional, field, channel and partner marketing; working directly with sales teams
- Skilled at building and maintaining relationships, being strategic partner to sales and engaging with senior leadership; strong communicator and proven ability to articulate and evangelize team strategy
- Skilled at identifying strategic opportunities for improvement and problem solving
- Extensive team management and development skills, including career development and coaching; experience managing people managers
- Track record of delivering results in line with overall business objectives through operational excellence, including accelerating and progressing pipeline
- Experience in analyzing and reporting on marketing performance and ability to customize the message and identify relevant metrics depending on stakeholder
- Skilled at partnering cross-functionally across marketing, internal stakeholders and agency partners as well as external stakeholders, including channel partners and customers
- Deep understanding of channel ecosystem and related processes

### Career Ladder

The next step in the Field Marketing Leadership job family is to VP, Regional Marketing.

## VP, Regional Marketing

### VP of Regional Marketing Job Grade

The Senior Director, Regional Marketing is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Hire, develop and manage a global team of high-performing field marketers and partner marketing managers
- Map the customer journey and identify the right strategies to attract and progress  prospects and customers through the pipeline
- Own execution of the business plan, including scope, target outcomes, key metrics and measures, and required inputs and resources to deliver
- Build systems and processes that will track and report on key performance metrics and use data to optimize field event and regional marketing  strategies continually
- Continuously evaluate the performance and ROI of programs/events, adjusting tactics and strategy accordingly
- Work closely with product marketing, marketing operations, and geo sales leaders to ensure message optimization and strategic and cross-functional alignment

### Requirements

- Experience in roles of increasing responsibility, managing $500MM-$5B in revenue pipeline in high-growth companies; Ideally with experience marketing to developers, IT, development operations and security
- Experience running a global team of at least dozens of people with multiple levels of management
- Must have a firm grasp of regional marketing best practices, yet have an innate curiosity to continually investigate new trends
- Experience with field marketing, account based marketing and partner marketing in an Enterprise Software company; SaaS preferred
- Familiarity with open-source, cloud native, cloud, and Kubernetes a plus
- Excellent communication skills including the ability to communicate a clear sense of mission, purpose, priority and long-term direction for the function and across GitLab
- Excellent collaboration and influencing skills cross functionally
- Demonstrated success and comfort driving global programs in multiple languages
- Ability to use GitLab

### Career Ladder

The next step in the Demand Generation job family is not yet defined at GitLab

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Candidates will then be invited to schedule interviews with key stakeholders for the role at GitLab.
- Finally, our CMO and Director, People Business partner will conduct final interviews.
- Successful candidates will subsequently be made an offer via email.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
