---
title: "Director, Marketing Operations"
Summary: Lead our team that ensures effective strategy, efficient investment, and accountability across the GitLab marketing department.
---

As the Director of Marketing Operations, you will be responsible for leading the team that ensures effective strategy, efficient investment, and accountability across the GitLab marketing department. You will be responsible for ensuring marketing technology is customized to the needs of its users as well as set up to ensure effective data quality. You will also lead  process development, budget administration, and marketing analytics.

### Job Grade

The Director, Marketing Operations is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Define the Marketing Operations vision and strategy that enables intelligent decisions through precise analysis.
- Own the marketing operations roadmap, ensuring marketing technology is evaluated, selected, implemented and customized to meet the needs of the marketing department.
- Administer the marketing budget and ensure marketing costs are tracked correctly.
- Partner with GitLab's Data and Analytics team to ensure the marketing department can correctly report on the ratio between customer lifetime value and customer acquisition cost, by marketing acquisition tactic.
- Regularly inform stakeholders across marketing, sales, and finance of insights on marketing performance to ensure cross functional alignment on the best possible data-driven marketing strategy.
- Track and report on the entire marketing funnel including volume, velocity, conversion stage-to-stage, and average value; make sure funnel measures can be analyzed by key dimensions such as industry, geo, and persona.
- Work with the Product team on having product usage inform better marketing to our customers and people trialing GitLab.
- Ensure processes are designed, documented, understood, and followed in a way that minimizes bad or incomplete data.
- Continually work to simplify systems and processes, avoiding customization bloat and over-engineered processes.
- Manage, build, and lead a strong team by coaching and developing existing members and closing talent gaps where needed through acquisition of new team members.
- Negotiate contracts with vendors.

### Requirements

- 10+ years of experience including:
- 5+ years of management experience
- Direct experience in enterprise software industry and SaaS
- Strong leadership presence.
- Balance of strategic vision and tactical execution
- Extremely analytical and strategic.
- Adept at managing multiple projects and deadlines
- Excellent planning, organizational and project management skills
- Demonstrated experience designing an innovative marketing technology stack.
- Proven experience with change management and organizational transformation
- Familiarity with [our tech stack](/handbook/marketing/marketing-operations/#-tech-stack) is a strong plus
- BA or equivalent experience
- [Leadership at GitLab](/handbook/company/structure/#director-group)
- Ability to use GitLab

### Career Ladder

The next step in the Director, Marketing Operations job family is not yet defined at GitLab.

### Hiring process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#conducting-a-screening-call) with one of our Global Recruiters.
- A 45 minute interview with future peer/s (Director of Field Marketing; Director of Sales Development)
- A 45 minute interview with future direct report/s
- A 45 minute interview with the VP of Revenue Marketing
- A 45 minute interview with another member of the CMO Staff (VP of Demand Generation, Director of Marketing Strategy)
- A 45 minute interview with our CMO
- Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
