---
title: "Director of Developer Relations"
summary: Build and Manage a team and stellar strategy focused on supporting evangelists, committers, students, and open source projects.
---

## Director, Developer Relations

As the Director, Developer Relations, you will be responsible for managing and building a team and stellar strategy focused on growing contributions, awareness, and usage of GitLab.

### Job Grade

The Director, Developer Relations is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

1. Increase awareness and adoption of GitLab through curated technical content including blog posts, videos, demo, and presentations.
1. Increase the number of code contributors to GitLab and the number of contributions per monthly release.
1. Grow the number of community members that regularly contribute on our forum or Discord server, give talks, write blog posts, organize meetups, or otherwise advocate for GitLab.
1. Grow the number of students, open source projects, and startups using GitLab.
1. Engage directly with customers to help them grow in their use of GitLab. This will engage coaching them on contributions, helping them to adopt new stages of the product, and working alongside them to identify any challenges and bringing that feedback to the GitLab team.
1. Build and develop great team by hiring, training, and continually inspiring an outstanding global team to grow the GitLab community. With your input, expertise and professional network, your team will consist of (some of) these roles:
    - Contributor Success Engineers
    - Developer Advocates
    - Developer Relations Program Managers

### Requirements

- You are obsessed with making developers happy. You were a full-time developer in a previous life (*or you've been through bootcamps and know how to program and code with the best of 'em!*), but you prefer to work with the developer community to improve experience and support through education.
- You have directly managed a team before, perhaps as a manager, senior manager or director. You have built a team before and can't wait to do it again!
- You have 5+ years of experience leading developer relations or community advocacy programs, preferably open source in nature.
- You are analytical and data driven in your approach to building and nurturing communities.
- You know how to run a marketing pipeline and can articulate how to use automation for the evangelist, committer, and student funnel.
- You are creative. You've made people happy with your quirky campaigns.
- You work with the team to help our community members deliver a great keynotes and write great blog posts.
- You have experience facilitating sensitive and complex community situations with humility, empathy, judgment, tact, and humor.
- Bonus points for media training and experience in communicating with journalists, bloggers and other media on a range of technical topics.
- Major bonus points for having an existing network from a diverse set of communities and social media platforms.
- Excellent spoken and written English.
- Last but not least, and actually most importantly - you share [our values](/handbook/values/), and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#director-group)
- Ability to use GitLab

## Career Ladder

The next step in the Director of Developer Relations job family is not yet defined at GitLab.
