---
title: "Blog Editor"
description: "As a member of the Content Strategy &amp; Ops team at GitLab, you are part of building the media and publishing arm of GitLab."
---

## Blog Editor

As a member of the Content Strategy &amp; Ops team at GitLab, you are part of building the media and publishing arm of GitLab. You will be directly responsible for generating website traffic and growing GitLab's audience. You will work closely with team members across the company to develop and optimize stories for the GitLab blog, and you will use GitLab itself to plan and collaborate.

The Blog Editor reports to the Manager, Blog Strategy (in absence, Director, Global Content)

### Responsibilities

- Write blog articles with a journalistic approach.
- Cover technology and technical topics as a reporter.
- Remix video, event, and other content into blog articles.
- Proofread, re-structure, and edit contributions of other team members (including blog posts, newsletter copy, etc.).
- Interview subject matter experts and industry professionals.
- Assist in developing news and announcements as requested within Marketing and by other departments or partners.
- Identify and surface story ideas for placement in external publications.
- Maintain a high standard of well written and factually accurate content.
- Stay up to date on GitLab's current and upcoming products and features.

### Requirements

- Experience as a content writer, editor, or similar role, preferably in enterprise or open source technology marketing.
- Strong communication skills without a fear of [over communication](/handbook/communication/).
- Ability to work [asynchronously](/handbook/company/culture/all-remote/asynchronous/)
- Extremely detail-oriented and organized (this applies to editing and writing, as well as to project management of your work, using GitLab)
- Able to meet deadlines
- Familiarity of the software development process including Git, CI and CD
- Experience with writing for SEO and keyword research.
- Proven ability to copywrite and edit.
- You share our [values](/handbook/values/), and work in accordance with those values. For example: in this role, adopting our transparency value sometimes means that your drafts are visible to the rest of the company and teammates might offer input before you're ready!
- Ability to use GitLab
- BONUS: A passion for and strong understanding of the industry and our mission.

## Levels

### Senior Blog Editor

The Senior Blog Editor reports to the Manager, Blog Strategy (in absence, Director, Global Content)

#### Job Grade

The Senior Blog Editor is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Conduct original research and reporting
- Cultivate story ideas with an astute journalistic eye
- Propose and execute on editorial themes
- Conduct SEO and keyword research
- Assist in newsjacking efforts
- Participate in the development of the editorial strategy (e.g. share observations and insights, including topic performance, SEO optimization, industry trends, etc.)

#### Requirements

- 5+ years experience in a content-related role
- Experience covering technical topics like DevOps, digital transformation, CI/CD, and software development methods

### Staff Managing Editor

The Staff Managing Editor reports to the Manager, Blog Strategy (in absence, Director, Global Content)

#### Job Grade

The Staff Managing Editor is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Extends that of the Senior Blog Editor responsibilities
- Set the publishing strategy, directives, and goals
- Oversee all daily publishing operations
- dentify and facilitate high-potential posts. Work with SEO team on optimization goals
- Improve and enforce GitLab's editorial style guide, including brand style, tone, and voice
- Work cross-functionally with social, PR, and other marketing groups to develop distribution and amplification strategies
- Collaborate with technical stakeholders across the organization to create relevant content to support messaging goals
- Create content as needed

#### Requirements

- Extends that of the Senior Blog Editor requirements
- Proven experience as a managing editor or similar role, preferably within enterprise marketing.
- Software development experience including Git, CI and CD.
- 5+ years experience in journalism, content marketing, communications, or software development.
- Degree in English, journalism, software engineering, or equivalent work experience.
- Excellent communication, organizational, and leadership capabilities.
- Markdown proficiency.
- You share our values, and work in accordance with those values.
- BONUS: A passion for and strong understanding of the industry and our mission.

### Principal Managing Editor

The Principal Managing Editor reports to the Manager, Blog Strategy (in absence, Director, Global Content)

#### Job Grade

The Principal Managing Editor is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Extends that of the Staff Blog Editor responsibilities
- Define strategy and direction, and drive execution of GitLab’s blog
- Serve as GitLab’s go-to source for all things editorial
- Set the publishing strategy, directives, and goals, together with Manager, Blog Strategy
- Drive improvements to user experience on the GitLab blog, working with Digital Experience, Design, SEO, and other involved teams
- Effectively and efficiently partner with peer groups within marketing to ensure editorial strategy aligns with and supports broader marketing strategy

- Take a data-driven approach to editorial strategy:
- Report on and socialize results
- Make recommendations to teams/groups who contribute
- Identify opportunities to consolidate, update, and rework successful content (do more with less)
- Continually improve publishing operations
- Improve and enforce GitLab’s editorial style guide, including brand style, tone, and voice alongside Manager, Blog Strategy
- Lead special editorial projects and initiatives including, but not limited to, our annual DevSecOps Survey.
- Create content as needed

#### Requirements

- Extends that of the Staff Blog Editor requirements
- 8+ years experience in journalism, content marketing, or communications
- Degree in English, journalism or media, or equivalent work experience.
- Excellent communication, organizational, and leadership capabilities.
- Proven experience as a managing editor or similar role, preferably within enterprise marketing.
- Experience as a people manager.
- Markdown proficiency.
- Familiarity of the software development processes including Git, CI and CD
- You share our values, and work in accordance with those values.
- BONUS: A passion for and strong understanding of the industry and our mission.

### Manager, Blog Strategy

The Manager, Blog Strategy reports to the Director, Global Content

#### Job Grade

The Manager, Blog Strategy is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Define strategy and direction, and drive execution of GitLab's blog:
- Serve as GitLab's go-to source for all things editorial
  - Content quality standards and best practices
  - Editorial processes and workflows
  - Brand voice and tone consistency
  - Digital publishing strategies and trends
- Set the publishing strategy, directives, and goals, together with blog team
- Drive improvements to user experience on the GitLab blog, working with Digital Experience, Design, SEO, and other involved teams
- Effectively and efficiently partner with peer groups within marketing to ensure editorial strategy aligns with and supports broader marketing strategy
- Take a data-driven approach to editorial strategy:
- Report on and socialize results
- Make recommendations to teams/groups who contribute
- Identify opportunities to consolidate, update, and rework successful content (do more with less)
- Manage the editorial team:
- Coach and enable team to take ownership of OKRs and drive their own initiatives
- Continually improve publishing operations.
- Improve and enforce GitLab's editorial style guide, including brand style, tone, and voice alongside blog team
- Manage the editorial budget
- Lead special editorial projects and initiatives including, but not limited to, our annual DevSecOps Survey
- Create content as needed

#### Requirements

- 8+ years experience in journalism, content marketing, or communications
- Degree in English, journalism or media, or equivalent work experience.
- Excellent communication, organizational, and leadership capabilities.
- Proven experience as a managing editor or similar role, preferably within enterprise marketing.
- Experience mentoring and leading others by sharing solutions and problem solving approaches.
- Markdown proficiency.
- Familiarity of the software development processes including Git, CI and CD
- You share our values, and work in accordance with those values.
- BONUS: A passion for and strong understanding of the industry and our mission.

## Career Progression

The next position in this job family is [Senior Manager, Global Content](/job-families/marketing/global-content-manager/).
