---
title: "Data Governance and Quality Analyst"
---

## Data Governance and Quality Analyst Roles at GitLab

This role will be part of Data Governance and Data Quality team that comes under the larger umbrella of Data and Insights organization.
The Data Governance and Data Quality Analyst will collaborate with cross-functional teams to implement and enforce data governance standards, manage data catalog, perform data quality assessments, and contribute to the overall success of the Data governance and data quality program and roadmap.

## Levels

### Data Governance and Quality Analyst Intern

An intern is not expected to perform the role responsibilities of Data Governance and Quality Analyst but should be able to demonstrate a keen interest to learn and grow towards performing in this role.

An intern must:

- Have a track record of asking hard questions and thinking critically
- Self-starter committed to remote work and its intricacies
- Proactive, positive, energetic, customer service personality
- Ability to articulate in a clear, concise manner, disseminating complete and accurate information
- Ability to deal effectively with people of multi-cultural societies
- Attention to detail
- Organizational skills

#### What you'll do

- Work with and learn from a talented team of data professionals
- Develop and execute a project with the help of a mentor
- Write blog posts about your learnings
- Update, maintain, and coordinate meetings
- Update the handbook using git and GitLab
- Identify Data team process weaknesses and blindspots
- Contribute fresh perspective and speak up where you can add value

### Data Governance and Quality Analyst (Associate)

The Data Governance and Quality Analyst (Associate) reports to the [Director, Data Governance and Data Quality](/job-families/marketing/enterprise-data/data-and-insights-executive/#director-data-governance-and-quality)

#### Data Governance and Quality Analyst (Associate) Job Grade

The Data Governance and Quality Analyst (Associate) is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Data Governance and Quality Analyst (Associate) Responsibilities

The responsibilities of this role includes but are not limited to the below

- Contributes in building data dictionary and implementing business requirements for Data Catalog
- Coordinates with data domain stewards and subject matter experts to define/validate business definitions for data elements, review data lineage and maintain metadata for data elements
- Review existing data quality rules, profile the data, analyze current data quality results, and compare to business requirements to identify gaps and enhancement opportunities
- Perform data profiling and analysis to identify data anomalies, inconsistencies, and areas for improvement
- Executes/Supports the implementation of approved data definitions, policies, standards, data access reviews, and dashboard statistics
- Develops and distributes data governance and data quality dashboard

#### Data Governance and Quality Analyst (Associate) Requirements

- Bachelor's degree in a quantitative discipline or relevant experience
- 1+ years experience in an analytics role or data governance role or equivalent experience/training
- Working knowledge of analytical tools, SQL or similar coding language, and relational databases
- Hands on experience in building dashboards using Tableau
- Strong analytical and problem-solving skills with a keen attention to detail.
- Excellent communication and presentation skills to effectively convey complex concepts to both technical and non-technical audiences.
- Self-motivated and able to collaborate with others in the team in a fully remote working environment.
- Ability to work in a highly agile, [intensely iterative](/handbook/values/#iteration) environment.

### Data Governance and Quality Analyst (Intermediate)

The Data Governance and Quality Analyst (Intermediate) reports to the [Director, Data Governance and Data Quality](/job-families/marketing/enterprise-data/data-and-insights-executive/#director-data-governance-and-quality)

#### Data Governance and Quality Analyst (Intermediate) Job Grade

The Data Governance and Quality Analyst (Intermediate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Data Governance and Quality Analyst (Intermediate) Responsibilities

The responsibilities of the Data Governance and Quality Analyst (Intermediate) extend the Data Governance and Quality Analyst (Associate) role and include:

- Identifies candidates for critical data elements and develops quality monitoring programs in partnership with Data Domain owners and stewards and the Data Operations team
- Facilitate data stewardship activities, including data ownership assignments, data classification, and metadata management.
- Collaborate with technical teams to recommend and implement data governance and data quality improvement initiatives.
- Scopes, estimates, and manages data quality initiatives.
- Facilitate the development of data guidelines for enterprise data assets, including relevant business terminology and business rules.

#### Data Governance and Quality Analyst (Intermediate) Requirements

The requirements of the Data Governance and Quality Analyst (Intermediate) extend the Data Governance and Quality Analyst (Associate) role and include:

- 2+ years experience in an analytics role or data governance role
- Hands on experience working with complex SQL logic and building dashboards/reports to convey insights to stakeholders (prior experience with Tableau is a plus)
- Hands on experience working with dbt or similar data transformation platform preferred
- Strong understanding of data quality assessment methodologies and data profiling techniques.
- Familiarity with data management tools and technologies, such as data cataloging, metadata management, and data quality tools.
- Ability to collaborate effectively with cross-functional teams and stakeholders at various levels.

### Senior Data Governance and Quality Analyst

The Senior Data Governance and Quality Analyst reports to the [Director, Data Governance and Data Quality](/job-families/marketing/enterprise-data/data-and-insights-executive/#director-data-governance-and-quality)

#### Senior Data Governance and Quality Analyst Job Grade

The Senior Data Governance and Quality Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Data Governance and Quality Analyst Responsibilities

The responsibilities of the Senior Data Governance and Quality Analyst extend the Data Governance and Quality Analyst (Intermediate) role and include:

- Build close relationships with other functional teams to truly democratize data understanding and access
- Solve technical problems of high scope and complexity
- Exert influence on the long-range goals of your team
- Advocate for improvements to data quality, security, and standards that have particular impact across your team as a Subject Matter Expert (SME)
- Proactively identify, prioritize, and lead the resolution of governance and quality issues for enterprise data assets with data stewards and stakeholders.
- Maintain and enhance Data Governance processes, including support for Data Governance Council meetings, initiative tracking, requirement gathering, and change management protocols
- Provide mentorship for Associate and Intermediate members of the team to help them grow in their responsibilities

#### Senior Data Governance and Quality Analyst Requirements

The requirements of the Senior Data Governance and Quality Analyst extend the Data Analyst (Intermediate) role and include:

- 6+ years experience in an analytics role or data governance role
- Fluent in all Data Analysis technologies defined in the [Data Team Platform](/handbook/enterprise-data/platform/)
- Deep understanding of SQL, Data Visualization and Business Intelligence practices
- Have demonstrated experience in Data Catalog implementation and support at an enterprise level
- Strong knowledge in data architecture and data engineering, good understanding of data sources, transformation rules, and uses of the data for the area of stewardship
- Own and maintain one or more sections of the [Data Catalog](/handbook/enterprise-data/data-catalog/)

### Staff Data Governance and Quality Analyst

The Staff Data Governance and Quality Analyst reports to the [Director, Data Governance and Data Quality](/job-families/marketing/enterprise-data/data-and-insights-executive/#director-data-governance-and-quality)

#### Staff Data Governance and Quality Analyst Job Grade

The Staff Data Governance and Quality Analyst is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and is equivalent to the [Manager,Data (Intermediate)](/job-families/marketing/enterprise-data/manager-data/#manager-data-intermediate) job grade.

**Market Justification:**
The business need for this role is to hire, retain, and develop technical talent by establishing Individual Contributor focused career paths for our team members who do not want to move into Data People Management. Staff Data Governance and Quality Analyst is a widely accepted role, as supported by survey data, and is common in many data-driven companies. In some companies this position is also called Lead Data Governance and Quality Analyst.

#### Staff Data Governance and Quality Analyst Responsibilities

The responsibilities of the Staff Data Governance and Quality Analyst extend the Senior Data Governance and Quality Analyst role and include:

- Identify and resolve impediments to efficiency and enable the entire Data Program to iterate faster
- Provide thought leadership in data governance and data quality initiatives, actively contributing to the data governance council
- Contribute to the Data Governance and Data Quality strategy and roadmap
- Partner with Enterprise Data Governance peers to provide training and education documents relating to data quality, data standards, and data stewardship.
- Help create the sense of psychological safety in the department

#### Staff Data Governance and Quality Analyst Requirements

The requirements of the Staff Data Governance and Quality Analyst extend the Senior Data Governance and Quality Analyst role and include:

- 8+ years experience in an analytics role or data govenance role
- Fluent in all major technologies in the [Data Team Platform](/handbook/enterprise-data/platform/), with a particular emphasis on Data Visualization, Business Intelligence and Data Modeling
- Recognized expert in SQL, Tableau, and dbt
- Demonstrated experience in driving large scale data governance and / or data quality initiatives
- Own and maintain the [Data Catalog](/handbook/enterprise-data/data-catalog/)

## Hiring Process

- Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our team page.

- Selected candidates will be invited to fill out a short questionnaire.
- Next, candidates will be invited to schedule a screening call with our Global Recruiters
- Next, candidates will be invited to schedule a first interview with our Director, Data Governance and Data Quality or Managers, Data
- Next, candidates will be invited to schedule a second interview with a member from our Data team
- Next, candidates will be invited to schedule a third interview with a Director or Manager from Data or Business DRI
- Next, candidates will be invited to schedule a fourth interview with VP, Data and Insights

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
