---
title: "Data Governance and Quality Program Manager"
---
The Data Governance and Quality Program Manager is an individual contributor role, responsible for supporting Data Governance and Data Quality efforts across the organization, enabling business growth while ensuring compliance with risk and regulatory expectations. The position partners with various business and technology stakeholders to influence and drive adoption of related Data Management strategies, policies, standards and control frameworks. The role evaluates established and emerging data practices and technologies, while implementing processes and solutions.

## Data Governance and Quality Program Manager

The Data Governance and Quality Program Manager reports to the [Director, Data Governance and Data Quality](/job-families/marketing/enterprise-data/data-and-insights-executive/#director-data-governance-and-quality)

### Data Governance and Quality Program Manager Job Grade

The Data Governance and Quality Program Manager is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Data Governance and Quality Program Manager Responsiblities

- Collaborate with business stakeholders to identify and prioritize data governance initiatives that support strategic business objectives
- Maintain a data governance framework, including data stewardship, data quality management, and data catalog
- Establish a reliable and visible cadence for initiative reviews, decision making, prioritization, and staffing management
- Collaborate with functional teams to identify data stewards and establish clear roles and responsibilities for managing and maintaining data assets
- Drive accountability ensuring all program objectives are met
- Establish controls and conduct periodic reviews to ensure data governance policies and standards are being appropriately applied
- Applies program management methodologies and best practices, but knows how and when to flex to the project rather than simply following rigid standards
- Identifies risks to project success and creates mitigation plans, and defines metrics for project success
- Provide status reports to stakeholders regarding assessments, gaps and risks.

### Data Governance and Quality Program Manager Requirements

- 2+ years of experience in program management or project management
- Experience in crafting and executing on cross functional data governance and (or) data quality initiatives, including capturing and redefining requirements into impactful work items
- Experience driving initiatives according to plan and timelines
- Proven track record of successful collaboration with internal and external partners
- Excellent communication, interpersonal and negotiation skills

## Senior Data Governance and Quality Program Manager

The Senior Data Governance and Quality Program Manager reports to the [Director, Data Governance and Data Quality](/job-families/marketing/enterprise-data/data-and-insights-executive/#director-data-governance-and-quality)

### Senior Data Governance and Quality Program Manager Job Grade

The Senior Data Governance and Quality Program Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Data Governance and Quality Program Manager Responsibilities

Extends all the previous roles responsibilities plus

- Serve as a subject matter expert and advisor on data governance and data quality matters
- Contribute towards establishing data governance framework, including data stewardship, data quality management, and data catalog
- Collaborate closely with legal, IT, project management, risk and other teams to establish data governance frameworks, drive data quality initiatives, and promote a culture of data stewardship and accountability across the organization.
- Stay up-to-date on industry trends, standards, and regulatory requirements related to data governance and recommend appropriate modifications to existing policies and practices

### Senior Data Governance and Quality Program Manager Requirements

All requirements of previous role plus

- 3+ years of experience in program management or project management
- Demonstrated experience in identifying, defining, leading and executing data governance and data quality initiatives across multiple business domains
- Strong understanding of data management principles, data quality frameworks, and data catalog concepts
- Excellent communication and stakeholder management skills to influence and drive adoption of data governance practices
- Experience in leveraging data visualization and reporting tools to provide data-driven insights and recommendation
- Ability to work with cross-functional groups, coordinate work activities across all levels of staff within the company, and build internal/external relationships

### Staff Data Governance and Quality Program Manager

The Senior Data Governance and Quality Program Manager reports to the [Director, Data Governance and Data Quality](/job-families/marketing/enterprise-data/data-and-insights-executive/#director-data-governance-and-quality)

### Staff Data Governance and Quality Program Manager Job Grade

The Staff Data Governance and Quality Program Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

Business Justification: The staff level requires deep technical and functional knowledge that contributes to the overall direction and impacts multiple teams, including working directly with external stakeholders. Market data outlines that a significant number of organizations have approximately 3-4 staff level individual contributors.

### Staff Data Governance and Quality Program Manager Responsibilities

Extends all the previous roles responsibilities plus

- Provide subject matter expertise in the planning and execution of data governance activities such as data security, data protection, data retention, data quality and data stewardship
- Establish data governance framework, including data stewardship, data quality management, and data catalog
- Manage technology platforms and negotiate contracts.
- Influence Data Governance and Data Quality program strategy and roadmap

### Staff Data Governance and Quality Program Manager Requirements

All requirements of previous role plus

- 4+ years of experience in program management or project management
- Experience in driving large enterprise scale programs
- Experience in change management or process development
- Experience in product \ platform evaluation, vendor management and contract negotiations

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team).

- Selected candidates will be invited to fill out a short questionnaire.
- Next, candidates will be invited to schedule a screening call with our Global Recruiters
- Next, candidates will be invited to schedule a first interview with our Director, Data Governance and Data Quality or Managers, Data
- Next, candidates will be invited to schedule a second interview with a member from our Data team
- Next, candidates will be invited to schedule a third interview with a Business DRI
- Next, candidates will be invited to schedule a fourth interview with VP, Data and Insights

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
