---
title: "Field Marketing Manager Roles"
description: "The Field Marketing Manager position is responsible for all regional marketing supporting sales in their specific region."
---

<iframe width="560" height="315" src="https://www.youtube.com/embed/A67lWGfue_U" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

## Field Marketing Manager AMER/EMEA

The Field Marketing Manager position is responsible for all regional marketing supporting sales in their specific region.

Field Marketing Manager - (REGION) AMER - responsible for supporting regional specific AMER sales terrory(ies).

Field Marketing Manager - US-Public Sector is responsible for supporting the US-Public Sector sales terrority. Our US-Public Sector Field Marketing Manager position has a separate compensation calculator, therefore has [its own job family page](/job-families/marketing/field-marketing-manager-public-sector/) with additional detail.

Field Marketing Manager - EMEA is responsible for supporting our Europe, Middle East, and Africa (EMEA) sales terrory(ies).

Field Marketing Manager - APAC is responsible for supporting our Asia Pacific (APAC) sales terrory(ies).

A successful Field Marketing Manager has substantial understanding of sales-focused marketing as well as our audiences of enterprise IT leaders, IT ops practitioners, and developers. They enjoy taking charge of regional marketing programs, detailed planning, proactive communication, and flawlessly delivering memorable marketing experiences that support our sales goals.

### Responsibilities

- Adapt digital and content marketing programs to the needs of a regional sales team.
- Create, expand, and accelerate sales opportunities through regional and account-focused marketing execution and managing marketing campaigns that promote our products and/or services, within marketing defined strategy.
- Support Channel and Alliance Marketing activities with GitLab partners from approval of campaign through execution as required.
- Be an advocate for the sales region you support and help the rest of the marketing department understand their priorities.
- Be an advocate for the marketing department and help the sales team you support understand the marketing department's priorities.
- Decision making and discretion regarding event and campaign selection and planning in support of regional sales goals.
- Regional event and campaign strategy, decision making, and onsite management.
- Ensure all events and marketing campaigns are delivered on time and within budget, measure and report on their effectiveness.
- Following the GitLab process, project managing all campaigns from beginning to end ensuring they meet the target objectives.

### Requirements

- Ability to use GitLab
- Past experience delivering, accelerating, and expanding sales pipeline through regional marketing.
- 7+ years of experience.
- Exemplary communication skills without a fear of over communication. This role will require effective collaboration and coordination across internal and external stakeholders.
- Capacity to empathize with the needs and experiences of IT leaders, IT ops practitioners, and developers.
- Extremely detail-oriented and organized, and able to meet deadlines.
- You share our [values](/handbook/values/), and work in accordance with those values.
- A passion and substantial understanding of the developer tools, IT operations tools, and/or IT security markets.
- Experience with supporting both direct sales and channel sales teams.
- Travel up to 50%.

### Levels

- Associate Field Marketing Manager - Entry Level
- Field Marketing Manager - Intermediate
- Senior Field Marketing Manager - Senior
- Staff, Field Marketing Manager - Staff
- Manager, Field Marketing
- Senior Manager, Field Marketing

### Additional Requirements for EMEA

- Past experience running marketing to develop DACH, BENELUX, Nordics, Southern Europe, and/or UK & Ireland.
- Robust understanding of marketing to the automotive, banking, and tech sectors.

## Associate Field Marketing Manager

A successful Associate Field Marketing Manager plays a critical role in executing field marketing strategies and initiatives. This role involves close collaboration with cross-functional teams, including sales, marketing, and product, to drive sales pipeline growth for our Sales and Ecosystem programs. The ideal candidate thrives in taking ownership of regional marketing programs, excels in detailed planning, and maintains proactive communication. Reporting to the Senior Manager of Regional Marketing, the Associate Field Marketing Manager will support Field Marketing Managers in delivering impactful marketing experiences aligned with our sales objectives. Additionally, this role may occasionally assist the Channel Marketing Manager in executing targeted marketing initiatives for the ecosystem team, such as managing joint campaigns, coordinating partner events, and ensuring these efforts align with broader ecosystem goals.

### Job Grade

The Associate Field Marketing Manager is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Tool Proficiency

Proficient in Salesforce, Marketo, Tableau, Asana, GitLab, and Google Workspace

### Sales Relationship

- Attend and present in regional sales meetings to foster alignment with sales teams
- Support Field Marketing Managers on campaign and event execution and strategy
- Ensure clear, consistent communication across all channels and with stakeholders
- Collaborate with Business Development teams on pre-event and post-event tasks, including campaign setup in Groove for Sales

### Cross-functional Collaboration

Work with key internal teams such as:

- Product Marketing
- Corporate Events Marketing
- Corporate Communications
- Marketing Operations
- Digital Marketing
- Developer Relations
- Business Development
- Customer Success Managers (CSMs)
- Solution Architects

### Campaign Setup Support

- Manage third-party vendor contracts through the procurement process, including approvals and legal coordination
- Handle financial management tasks like forecasting, payments, and reconciliation
- Assist with venue sourcing and coordinate F&B for events
- Create and maintain Marketo programs and Salesforce.com campaigns
- Support email drafting and copy deadline tracking
- Coordinate workshops, Zoom setups, and logistics for events

### Active Campaign Management

- Track event capacity, manage waitlists and registrations, and update event pages
- Create and manage event-related Slack channels
- Ensure the timely delivery and review of asset copies (landing pages, invites, etc.)
- Track event details in the FMM/Sales tracker and manage event logistics
- Handle trade show orders, swag, and badges for events
- Schedule "Know Before You Go" calls and provide on-site event support when needed

### Post Campaign Reporting

- Process and clean lead lists within 48 hours post-event and report feedback
- Close out projects and report on lead follow-up metrics (15/30/45-day BDR/SDR follow-ups)
- Track campaign results in Tableau, including SAO creation, opportunity progression, and closure

### Collaborate with Sr. Field Marketing Specialist

- Report any issues with SFDC, Marketo, Asana, and other tools
- Communicate any updates for handbook revisions

## Field Marketing Manager

### Job Grade

The Field Marketing Manager is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Adapt digital and content marketing programs to the needs of a regional sales team.
- Create, expand, and accelerate sales opportunities through regional and account-focused marketing execution and managing marketing campaigns that promote our products and/or services, within marketing defined strategy.
- Support Channel and Alliance Marketing activities with GitLab partners from approval of campaign through execution as required.
- Be an advocate for the sales region you support and help the rest of the marketing department understand their priorities.
- Be an advocate for the marketing department and help the sales team you support understand the marketing department's priorities.
- Swag management for sponsored events, GitLab owned events, and in support of the sales department.
- Decision making and discretion regarding event and campaign selection and planning in support of regional sales goals.
- Regional event and campaign strategy, decision making, and onsite management.
- Event logistics in support of the team. From helping to book space for meetings to making sure the booth is staffed, and making sure every aspect of our events are well organized.
- Ensure all events and marketing campaigns are delivered on time and within budget, measure and report on their effectiveness.
- Following the GitLab process, project managing all campaigns from beginning to end ensuring they meet the target objectives.

### Requirements

- Ability to use GitLab
- Past experience delivering, accelerating, and expanding sales pipeline through regional marketing.
- 7+ years of experience.
- Exemplary communication skills without a fear of over communication. This role will require effective collaboration and coordination across internal and external stakeholders.
- Capacity to empathize with the needs and experiences of IT leaders, IT ops practitioners, and developers.
- Extremely detail-oriented and organized, and able to meet deadlines.
- You share our [values](/handbook/values/), and work in accordance with those values.
- A passion and substantial understanding of the developer tools, IT operations tools, and/or IT security markets.
- Experience with supporting both direct sales and channel sales teams.
- Travel up to 50%.
- Ability to travel if needed and comply with the company's travel policy. If employed by GitLab Federal, LLC, team members need to also comply with the applicable vaccination policies.

### Key Performance Indicators

- [8X spend contribution to sales pipeline](https://app.periscopedata.com/app/gitlab/556414/Marketing-Linear-Attribution) for region responsible for.
- Contribution to the outlined FMM ORKs, in alignment with the [Marketing ORKs](/handbook/company/okrs/#most-recent-okrs).
- Field Marketing plans completed in alignment [with planning schedule](/handbook/marketing/field-marketing/#field-marketing-planning).
- Spending of the regional [Field Marketing budget](/handbook/marketing/field-marketing/#the-field-marketing-budget) within 5% variance.

## Senior Field Marketing Manager

As Field Marketing Managers progress throughout their career at GitLab or we find the need to hire a Field Marketing Manager who has more years of relevant experience, there will be a need for a Senior Field Marketing Manager position with in the Field Marketing Organization. The Senior Field Marketing Manager will report into the Manager of Field Marketing for which region they report into.

### Job Grade

The Senior Field Marketing Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

This role includes all of the responsibilities above, plus:

- Be a leader in working cross-functionally to drive the execution of demand generation and field marketing plans, aligning with other areas of marketing.
- Work in collaboration with external agencies and 3rd parties to prepare, manage and execute campaigns.
- Act as a Senior leader on the Field Marketing team, mentoring and guiding Field Marketing Coordinators/Specialists and Managers.
- Be a leader in building and driving process within the Field Marketing organization.

### Requirements

This role includes all of the requirements above, plus:

- 10+ years of experience building and executing a regional strategy.
- Proven aptitude to build and drive a budget within the territory.
- Experience in enterprise solution demand creation and field marketing.
- Orientation to managing program details.
- Travel up to 50%.
- Ability to travel if needed and comply with the company's travel policy. If employed by GitLab Federal, LLC, team members need to also comply with the applicable vaccination policies.

### Key Performance Indicators

This role includes all of the performance indicators of the previous level plus:

- Lead quarterly regional Field Marketing meeting on educational topic of choice

## Staff Field Marketing Manager

### Job Grade

The Staff Field Marketing Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Requirements

This role includes all of the requirements above, plus:

- Exemplary analytical skills and proven aptitude to use data to optimize program performance and inform future strategies.
- Plan and operate in a transparent manner for cross-organizational visibility and be a leader in sharing best practices with other regional field managers

### Responsibilities

This role includes all of the responsibilities above, plus:

- 15+ years of experience building and executing a regional strategy.
- Capacity to easily transition from high level strategic thinking to creative and detailed execution.
- Excellent communicator with proven aptitude to clearly convey ideas and data in written and verbal presentations to a variety of audiences.

### Key Performance Indicators

This role includes all of the performance indicators of the previous level plus:

- Handbook update frequency

## Manager, Regional Marketing

As GitLab grows, it will be important to have regional leadership to scale the field and channel marketing activities. The Manager, Regional Marketing, is a leadership role responsible for managing both field and channel marketers in a specific region, including both commercial and public sector activities. The Manager, Regional Marketing will report to the Director of Regional Marketing.

### Job Grade

The Manager, Field Marketing is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Manage a team of field marketers to develop and execute a regional demand generation strategy in line with company sales goals, including working with both direct sellers, channel sellers, and alliance partners.
- Manage a team of channel marketers to develop and execute a regional full stack marketing strategy in line with company sales goals.
- Represent both Field Marketing and Channel Marketing with field sales peers and management at regional leadership meetings.
- Collaborate with senior marketing leaders, finance and sales leaders to create integrated plans and budgets for both direct (Field Marketing) as well as MDF budgets (Channel Marketing).
- Identify gaps and build processes which make our Field and Channel Marketing team more effective and efficient.
- Regularly report out on OKR progress as well as direct pipeline impact to the business, for both direct and channel.
- Be a player/coach, executing and managing Field & Channel marketing activities as needed.
- Hire exceptional field marketer and channel marketers who align with GitLab values.

### Requirements

- The manager role includes all of the requirements above, plus:
- 10+ years of marketing experience
  - Direct Field and Channel Marketing is a plus
- Exemplary communication skills with senior marketing and sales leaders.
- Experience managing direct or cross-functional teams of 3-10 marketers.
- Experience managing a multi-million dollar marketing budget and working with senior finance and marketing leaders on annual budgeting processes.
- Demonstrated track record of driving results and staying within a budget.
- Ability to travel if needed and comply with the company's travel policy. If employed by GitLab Federal, LLC, team members need to also comply with the applicable vaccination policies.

#### AMER Specific Requirements

- Past experience managing a team to develop the AMER region.

#### APAC Specific Requirements

- Past experience managing a team to develop the APAC region.
- Player/coach - both leading a  team and executing Field Marketing campaigns in region.

#### EMEA Specific Requirements

- Past experience managing a team to develop the EMEA region.
- Robust understanding of marketing to verticals with a focus on automotive, banking, and tech sectors.

### Key Performance Indicators

This role includes all of the performance indicators of the previous level plus:

- [10X spend contribution to sales pipeline](/handbook/marketing/strategy-performance/marketing-metrics/#marketing-attribution) for geo (AMER, EMEA,APAC) responsible for.
- Contribution to the outlined Regional Marketing OKRs, in alignment with the [Marketing OKRs](/handbook/company/okrs/#most-recent-okrs).
- Spending of the regional [Field Marketing budget](/handbook/marketing/field-marketing/#the-field-marketing-budget) within 5% variance, for geo (AMER, EMEA,APAC) responsible for.
- Spending of the regional [Channel Marketing MDF budget](/handbook/resellers/channel-program-guide/mdf/) within 5% variance for geo (AMER, EMEA, APAC) responsible for.

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a series of 45 minute interviews with the VP of Revenue Marketing, Director of Field Marketing, regional sales leader, and a seller who they would support.
- Depending on location, candidates may meet in person with any of the above.
- Finally, our CMO may choose to conduct a final interview.
- Successful candidates will subsequently be made an offer via email. The total compensation for this role listed in <https://about.gitlab.com/job-families/marketing/field-marketing-manager/> is 100% base salary.

## Senior Manager, Regional Marketing

In addition to meeting all of the requirements of a Manager, Regional Marketing, the Senior Manager will have the following:

### Job Grade

The Senior Manager, Field Marketing is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Establish, allocate, and track budget down to the sub-region
- Play an integral role in building out and operationalizing the work Field Marketing does to support our growing channel business
- Play an integral role in building out Field Marketing's work with cross-functional integrated campaigns
- Lead bi-monthly actionable calls with regional peers from the sales development team with the focus on MQL progression and regional goal tracking
- Act as a leader to foster team collaboration and problem solving within the Integrated Marketing team

### Requirements

- 20+ years of experience
- Past experience running a team of 10+ direct reports
- Ability to travel if needed and comply with the company's travel policy. If employed by GitLab Federal, LLC, team members need to also comply with the applicable vaccination policies.

### Key Performance Indicators

This role includes all of the performance indicators of the previous level plus:

- Lead quarterly regional Field Marketing leadership meeting on educational topic of choice

## Career Ladder

The next step for individual contributors is to move to the [Manager, Field Marketing](/job-families/marketing/#manager-field-marketing) role or laterally to the [Account Based Marketing Manager](/job-families/marketing/account-based-marketing-manager/) job family.

The next step for  managers of people is to move to the [Director of Field Marketing](/job-families/marketing/director-field-marketing) job family or laterally to the [Account Based Marketing Manager](/job-families/marketing/account-based-marketing-manager/) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a series of 45 minute interviews with the Sr. Director of Revenue Marketing, Director of Field Marketing, regional sales leader, and a seller who he/she would support.
- Depending on location, candidates may meet in person with any of the above.
- Finally, our CEO may choose to conduct a final interview.
- Successful candidates will subsequently be made an offer via email. The total compensation for this role listed in <https://about.gitlab.com/job-families/marketing/field-marketing-manager/> is 100% base salary.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
