---
title: Field Marketing Specialist
summary: " "
---

## Overview

A Field Marketing Specialist is a regionally focused, highly organized person who can do the hands-on work of managing logistics and online and offline details for projects taking place in person or virtually in the region this role supports.  The Field Marketing Specialist will work within the Field Marketing organization and will report into the regional Field Marketing Leader.

Field Marketing Specialist Regions:

- North America
- EMEA
- APAC

### Responsibilities

- Assist Field Marketing Managers with the planning, execution, tracking and follow-up of Field Marketing campaigns.
- Research new and creative campaign and swag ideas
- Work within the GitLab tool to ensure that the Field Marketing Manager is staying on track for project completion and hitting SLAs agreed upon by support teams.
- Assist the Field Marketing Manager in seeking both financial and marketing leadership approval on campaigns prior to campaign planning and execution.

### Requirements

- 2+ years experience in marketing or event management with the desire to learn more about Field Marketing.
- Organized and efficient, able to develop and execute against a clear plan.
- Able to clearly communicate new ideas, products, and campaigns to both internal and external stakeholders.
- Team player with ability to be a self starter.
- Flexibility to adjust to the dynamic nature of a startup.
- Ability to use GitLab
- Occasional domestic travel to support events - less than 20%.

### Levels

- Field Marketing Coordinator - Junior
- Field Marketing Specialist - Intermediate
- Senior Field Marketing Specialist - Senior
- Staff Field Marketing Specialist - Staff

## Field Marketing Coordinator

### Job Grade

The Field Marketing Coordinator is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Assist Field Marketing Managers by securing suitable venues for regional events, per event type and budget.
- Manage all supporting logistics for field events, including printing, promotional items, supporting materials, shipping and receiving.
- Assist in facilitating lead gathering and reporting.
- Research/execute third-party conferences and collect information for relevant programs across the regions to ideate on adjustments and improvements.
- Operationlly assists in the set up and management of back end GitLab processes - i.e. managing issues in GitLab, helps to setup Marketo & SFDC campaigns, ensuring that the Field Marketing Manager is staying on track for project completion and hitting SLAs agreed upon by support teams.
- Assisting the Field Marketing Manager in submitting financial & marketing issues for project approval.

### Requirements

- 2+ years experience in marketing or event management with the desire to learn more about Field Marketing.
- Organized and efficient, able to develop and execute against a clear plan.
- Able to clearly communicate new ideas, products, and campaigns to both internal and external stakeholders.
- Team player with ability to be a self starter.
- Flexibility to adjust to the dynamic nature of a startup.
- Ability to use GitLab
- Occasional domestic travel to support events - less than 20%.

### Performance Indicators

- Responsible for assisting and ensuring the supporting Field Marketing Managers are hitting the following SLAs:
  - [Webcasts](/handbook/marketing/virtual-events/webcasts/)
  - [Events](/handbook/marketing/virtual-events/)
  - [External non-GitLab hosted virtual events](/handbook/marketing/virtual-events/external-virtual-events/)
  - [Direct mailers](/handbook/marketing/demand-generation/campaigns/direct-mail/)
  - Completing all FMC/FMS TODOs in our [issues templates](https://gitlab.com/gitlab-com/marketing/field-marketing/-/tree/master/.gitlab/issue_templates) in line with the due dates listed as a result of the workback schedules

## Field Marketing Specialist

As Field Marketing Coordinators progress throughout their career at GitLab, or we find the need to hire a Field Marketing Coordinator who has more years of relevant experience, there will be a need for a Field Marketing Specialist position within the Field Marketing Organization. The Field Marketing Specialist will report into the Manager of Field Marketing for which region that person reports into.

### Job Grade

The Field Marketing Specialist is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

This role includes all of the requirements of the previous level, plus:

- Act as a leader amongst the FMC colleagues, bringing the FMCs together to collaborate and iterate on new processes.
- Work closely with the Regional Manager of Field Marketing on monthly finance reconciliations.
- Leads in working with our Finance/Legal/Procurement team on process changes.
- Leads in working with our Marketing colleagues on any changes to our workflow & processes.

### Requirements

This role includes all of the requirements above, plus:

- 5+ years experience in marketing or event management with the desire to learn more about Field Marketing.
- Proven knowledge of working within GitLab or within an agile environment.

### Performance Indicators

This role includes all of the performance indicators of the previous level plus:

- Handbook Update Frequency

## Senior Field Marketing Specialist

### Job Grade

The Senior Field Marketing Specialist is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

This role includes all of the responsibilities of the previous level, plus:

- Prepares Field Marketing ROI reports and responds to questions from the sales organization.
- Acts as the lead in collaborating with Finance on monthly finance reconciliations.
- Acts as a mentor to Field Marketing Coordinators
- Acts as a Maintainer to all Field Marketing projects and related handbook pages

### Requirements

This role includes all of the requirements of the previous level, plus:

- 7+ years experience in marketing or event management with the desire to learn more about Field Marketing.
- Proven knowledge of working within GitLab or within an agile environment.
- Ability to travel if needed and comply with the company's travel policy. If employed by GitLab Federal, LLC, team members need to also comply with the applicable vaccination policies.

### Performance Indicators

This role includes all of the performance indicators of the previous level plus:

- Mean time to merge - all process related MRs should take no more than 7 business days to merge, without a documented reason for the need for the merge to stay open for more than 7 days.

## Staff Field Marketing Specialist

### Job Grade

The Staff Field Marketing Specialist is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

This role includes all of the responsibilities of the previous level, plus:

- Plan and operate in a transparent manner for cross-organizational visibility and be a leader in collaborating with other marketing and non-marketing teams
- Introduce new replicable processes or process improvements, as well as evaluation and implementing new tools to help scale the team
- Responsible for decision-making and process creation for the Global Field Marketing Coordinator team (with Regional - Sr. Manager input and approval), as well as leading enablement, training, and sharing of best practices with the team regularly
- Act as a DRI/Lead on key cross-functional projects globally with teams such as Procurement, Finance, Marketing Operations, Legal, Channel Marketing, etc.

### Requirements

This role includes all of the requirements of the previous level, plus:

- Requires exemplary analytical skills and proven aptitude to use data to optimize program performance and
inform future processes
- Complete [Adobe Marketo Engage Professional Training - Section 3](https://experienceleague.adobe.com/en/docs/certification/program/technical-certifications/ame/ame-professional/ame-p) - Defining and targeting audiences
- Detailed understanding of GitLab's accounting process and proven ability to work efficiently within Allocadia
- Excellent analytical and problem-solving skills
- Proven expertise working within GitLab or within an agile environment
- 10+ years experience in marketing or event management with the desire to learn more about Field Marketing

### Hiring Process for North America

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a screening call with our Global Recruiters.
- Next, candidates will be invited to schedule a first interview with the Manager, Field Marketing North America.
- Then, candidates will be invited to schedule a second interview with one of our Regional Field Marketers.
- Candidates will then be invited to schedule a third interview with our Regional Sales Development Managers.
- Finally, our VP of Revenue Marketing may choose to conduct a final interview.
- Successful candidates will subsequently be made an offer via email.

### Hiring Process for EMEA

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a screening call with our Global Recruiters.
- Next, candidates will be invited to schedule a first interview with the Manager, Field Marketing EMEA.
- Next, candidates will be invited to schedule a second interview with one of our Regional Field Marketers.
- Then, candidates will be invited to schedule a third interview with one of our Regional Sales Development Managers.
- Finally, our VP of Revenue Marketing may choose to conduct a final interview.
- Successful candidates will subsequently be made an offer via email.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
