---
title: Fullstack Engineer - Marketing
summary: "Fullsttack Engineering on the Marketing team work on our marketing site. They work closely with product marketing, content marketing, and other members of the Marketing team."
---

Fullstack Engineers on the Marketing team work on our marketing site: about.GitLab.com and gitlab.com. They work closely with product marketing, content marketing, and other members of the Marketing team. They are a part of the [Digital Experience team](/handbook/marketing/digital-experience/), and report to a [Engineering Manager, Digital Experience](/job-families/marketing/fullstack-engineer-marketing/#manager-engineering).

## Responsibilities

- Work with the Marketing Strategy and Platforms team and other stakeholders (Content, DemandGen, Brand, etc.) to iterate on new features and improvements to GitLab's digital marketing platform.
- Consistently ship small features and improvements to our [Slippers design system](https://gitlab.com/gitlab-com/marketing/digital-experience/slippers-ui)
- Help improve the overall experience of our Marketing website through improving the quality of our codebases.
- Help identify areas of improvements in the code base that help contribute to make it better.
- Help plan sprints and complete prioritized issues from the issue tracker.

## Requirements

- Knowledge of HTML, CSS, HAML and JavaScript (Vue.js).
- Experience with responsive design and best practices.
- Knowledge of current web accessibility standards and requirements.
- Knowledge of information architecture, interaction design, and user-centered design.
- Strong knowledge in core web and browser concepts (eg. how the browser parses and constructs a web page).
- Experience with performance and optimization problems and a demonstrated ability to both diagnose and prevent these problems.
- Experience using design software to collaborate with designers and create pixel perfect web pages (eg. Figma, Sketch).
- Experience with Git in a professional/workplace environment, ideally using the GitLab product as a user or contributor.
- The ability to work in an agile, [iterative](/handbook/values/#iteration) development process and embrace feedback from many perspectives.
- Proficiency in the English language, with the capacity to communicate complex technical problems, provide clear status updates, and [achieve consensus with peers](/handbook/values/#collaboration).
- [Self-motivated and self-managing](/handbook/values/#efficiency), with great organizational skills and a positive, solution-oriented mindset.
- An interest in [our values](/handbook/values/), and working in accordance with those values.
- Prefer experience with JAMstack, Ruby, and Middleman (and/or other static site generators).
- Prefer SaaS Product company experience.
- Prefer experience working with a global or otherwise multicultural team.
- Prefer understanding of marketing concepts such as conversion, analytics, A/B testing, lead generation, buyer journeys, and search engine optimization.

## Levels

### Fullstack Engineer (Intermediate)

The Fullstack Engineer (Intermediate) reports to a [Engineering Manager, Digital Experience](/job-families/marketing/fullstack-engineer-marketing/#manager-engineering).

#### Fullstack Engineer (Intermediate) Job Grade

The Fullstack Engineer (Intermediate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Fullstack Engineer (Intermediate) Responsibilities

- Implement frameworks, code style guides, and templates to empower everyone to contribute.
- Implement site speed improvements and technical SEO.
- Support the architecture and engineering (HTML, CSS, JS, Ruby, Middleman, Haml) of about.gitlab.com.
- Assist in building and maintaining our Content Management System.
- Run the marketing website as an open source project, optimizing for maximum contributions to both code and content.

#### Fullstack Engineer (Intermediate) Requirements

- 3-5 years experience specializing in full stack development, website and web applications.
- Expert knowledge of HTML, CSS, HAML and JavaScript (jQuery, Vue.js).
- Understanding of responsive design and best practices.
- The ability to iterate quickly and embrace feedback from many perspectives.
- Knowledge of information architecture, interaction design, and user-centered design.
- Knowledge of Git and comfortability using the command line.
- Experience with Jamstack, Ruby, and Middleman (and/or other static site generators).
- Ability to use GitLab.
- Previous experience with Static Site Generators like Middleman, Jekyll, Hugo, etc., preferred.
- Experience working in a fully or partially remote company, preferred.
- A positive outlook on changing priorities, preferred.
- The ability to proactively question and improve priorities, preferred.
- Marketing engineers should be familiar with marketing concepts such as conversion, analytics, A/B testing, lead generation, buyer journeys, and search engine optimization.

### Senior Fullstack Engineer

The Senior Fullstack Engineer reports to a [Engineering Manager, Digital Experience](/job-families/marketing/fullstack-engineer-marketing/#manager-engineering).

#### Senior Fullstack Engineer Job Grade

The Senior Fullstack Engineer is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Fullstack Engineer Responsibilities

- Code and implement high quality technical and engineering work for complex web projects, including troubleshooting and problem solving, communicating with stakeholders and team members, reporting on outcomes.
- Lead and scope major cross-functional projects; including defining business needs, navigating sometimes conflicting priorities to deliver the best business outcomes and making recommendations on the best course of action.
- Initiate longer-term initiatives that will impact the efficiency of the team, project architecture and reducing technical debt, including introducing new processes and solutions.
- Mentor more junior teammates on engineering and web development best practices, complex problem solving and modeling stakeholder engagement.
- Provide technical and functional knowledge representing Digital Experience and web development as a subject-matter expert with stakeholders across organizations.

#### Senior Fullstack Engineer Requirements

- 8-10 years in a Fullstack engineering role, 3+ years of web development or engineering experience in a B2B or enterprise software marketing organization
- Advanced technical expertise and proficiency in web architecture
- Demonstrated capacity to clearly and concisely communicate about technical, architectural, and/or organizational problems and propose solutions
- Demonstrated ability to solve performance and optimization problems and an orientation to improvement and iteration; modeling a service-focused, solution-oriented mindset
- Proficiency working in a highly agile, [intensely iterative](/handbook/values/#iteration) software development process

### Staff Fullstack Engineer

The Senior Fullstack Engineer reports to a [Engineering Manager, Digital Experience](/job-families/marketing/fullstack-engineer-marketing/#manager-engineering).

#### Staff Fullstack Engineer Job Grade

The Senior Fullstack Engineer is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Staff Fullstack Engineer Responsibilities

- Code and implement high quality technical and engineering work for complex web projects, including troubleshooting and problem solving, communicating with stakeholders and team members, reporting on outcomes.
- Lead and scope major cross-functional projects; including defining business needs, navigating sometimes conflicting priorities to deliver the best business outcomes and making recommendations on the best course of action.
- Initiate longer-term initiatives that will impact the efficiency of the team, the quality of output and reducing technical debt, architectural initiatives and including introducing new processes and solutions.
- Mentor more junior teammates on engineering and web development best practices, documentation, complex problem solving and modeling stakeholder engagement.
- Provide technical and functional knowledge representing Digital Experience and web development as a subject-matter expert with stakeholders across organizations.

#### Staff Fullstack Engineer Requirements

- 10+ years in a Fullstack engineering role, 5+ years of web development or engineering experience in a B2B or enterprise software marketing organization
- Advanced technical expertise and proficiency in software architecture technologies, including ruby on rails, node.js, & APIs.
- Experience leading cross-functional initiatives and partnering with stakeholders outside of Engineering, including Marketing, Product and leadership teams
- Demonstrated capacity to clearly and concisely communicate about complex technical, architectural, and/or organizational problems and propose solutions
- Demonstrated ability to pivot from core engineering and coding work, to stakeholder conversations to understand business requirements and needs
- Demonstrated ability to coach team members without direct reporting responsibilities
- Experience with diagnosing and solving performance and optimization problems and an orientation to improvement and iteration; modeling a service-focused, solution-oriented mindset
- Proficient working in a highly agile, [intensely iterative](/handbook/values/#iteration) software development process

### Manager, Engineering

The Manager, Engineering reports the [Director, Digital Experience](/job-families/marketing/digital-experience/#director-of-digital-experience).

#### Manager, Engineering Job Grade

The Manager, Engineering is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Engineering Responsibilities

- Lead a high-performing team of engineers to implement and bring GitLab's web strategy to life through quality, on-time coding and development
- Code and implement high quality technical and engineering work for complex web projects, including troubleshooting and problem solving, communicating with stakeholders and team members, reporting on outcomes.
- Lead and scope major cross-functional projects; including defining business needs, navigating sometimes conflicting priorities to deliver the best business outcomes and making recommendations on the best course of action.
- Initiate longer-term initiatives that will impact the efficiency of the team, the quality of output and reducing technical debt, - including introducing new processes and solutions.
- Coach team on engineering and web development best practices, complex problem solving and modeling stakeholder engagement.
- Provide technical and functional knowledge representing Digital Experience and web development as a subject-matter expert with stakeholders across organizations.

#### Manager, Engineering Requirements

- 10+ years in a web development engineering role in a B2B or enterprise software marketing organization; 5+ years experience managing a team of engineers
- Advanced technical expertise and proficiency in web development and related web technologies, including HTML, CSS, and JavaScript
- Experience leading cross-functional initiatives and partnering with stakeholders outside of Engineering, including Marketing, Product and leadership teams
- Demonstrated capacity to clearly and concisely communicate about complex technical, architectural, and/or organizational problems and propose solutions
- Demonstrated ability to coach and lead a team of direct reports, including hiring, development and growth  and driving a culture of high performance
- Experience with diagnosing and solving  performance and optimization problems and an orientation to improvement and iteration; modeling a service-focused, solution-oriented mindset
- Experience leading team to work  in a highly agile, [intensely iterative](/handbook/values/#iteration0) software development process

## Performance Indicators

- Project planning accuracy, project (on-time) delivery, cycle times
- Lead time on changes
- Velocity
- Quality and reliability, # of incidents
- Time to recover (bugs, errors, code fails)

## Career Ladder

The next step in the Website Full Stack Development job family is not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, you can find their job title on our [team page](/handbook/company/team/).

- Select candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 30 minute interview with our Director, Digital Experience.
- Next, candidates will be invited to schedule a 30 minute technical interview with a Senior Engineer and an interview with a Senior Brand Designer on the Digital Experience team.
- Next, candidates will be invited to schedule a 30 minute interview with a Engineering Manager, Digital Experience.
- Finally, candidates will be invited to schedule a 30 minute follow up interview with the Director, Digital Experience.
- Successful candidates will subsequently be made an offer via phone or video.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
