---
title: "Global Content"
summary: " "
---

## Levels

### Senior Manager, Content Strategy

The Senior Manager, Content Strategy reports to the Director, Global Content.

#### Senior Manager, Content Marketing Job Grade

The Senior Manager, Content Strategy is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Senior Manager, Content Marketing Responsibilities

- Extends that of the Manager, Content Strategy
- Define GitLab’s global content strategy
- Act as a steward of the GitLab brand, ensuring quality and cohesiveness across all content development
- Oversee global content creation, governance, and operations
- Oversee and launch content marketing programs
- Effectively and efficiently partner with brand & digital, events, and product marketing to deliver on content needs across the customer lifecycle
- Manage and mentor content teams
- Generate and implement process improvements to the content pillar model
- Draft quarterly OKRs and content KPIs
- Report on content performance and audience growth
- Use data to measure results and inform planning and strategy development
- Develop a localization strategy for marketing content
- Define agile content process definition and application
- Content strategy and inbound content marketing program for about.gitlab.com

#### Senior Manager, Content Strategy Requirements

- Extends that of Manager, Content Strategy
- 5+ years experience in content marketing and creation, preferably in the software industry
- Excellent writer and editor
- Excellent verbal communication skills
- Experience building a content pillar framework
- Proven track record of developing and executing a successful content strategy
- Credibility in craft: past experience as a content marketer and managing content teams
- Excellent at cross-functional collaboration
- Dual minded: ability to focus on process and creative
- Experience as a hiring manager
- An exemplary people manager
- Experience managing managers
- Ability to successfully manage at a remote-only company
- Humble, servant leader
- Be a user of GitLab and familiarity with our company preferred
- Experience creating content within the area of application development preferred
- Technical background or solid understanding of developer products; familiarity with Git, continuous integration, containers, and Kubernetes a plus
- Experience working with global teams preferred
- Prior high-growth start up experience preferred

### Director, Global Content

The Director, Global Content reports to VP, Brand & Product Marketing.

#### Director, Global Content Job Grade

The Director, Global Content is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Global Content Responsibilities

- Extends that of the Senior Manager, Content Strategy
- Lead the global content team to achieve production and website traffic growth results
- Define strategy and execution plans for Content Strategy &amp; Ops in support of overall Marketing OKRs
- Develop overall content narrative to become a top destination for DevOps practioners
- Measure and report on content marketing strategy
- Develop strong, competitive and measurable SEO plans that fall in line with overall content marketing objectives
- Recruit, develop and retain world class talent to scale with the company's growth
- Push the team to try different content marketing tactics and distribution efforts to measure effectiveness
- Share our values, and work in accordance with those values
- BONUS: A passion and strong understanding of the industry and our mission

#### Director, Global Content Requirements

- Extends that of the Senior Manager, Content Strategy
- Past experience leading a content marketing team
- Experience leading content marketing at an enterprise software company
- Experience leading teams of writers
- Experience marketing highly technical products to the developer audience
- Experience defining the high-level strategy
- Experience designing execution plans, processes and accountability for delivering results
- Very strong written and verbal communication skills

## Career Ladder

The next step in the Senior Manager, Content Marketing job family is not yet defined at GitLab.

## Hiring process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#conducting-a-screening-call) with one of our Global Recruiters.
- A 45-minute interview with our Director, Corporate Marketing
- A 45-minute interview with our Senior Manager, Corporate Communications
- A 45-minute interview with our Director, Brand & Digital
- A 45-minute interview with our CMO

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
