---
title: "Global Programs Manager"
summary: "Bring your background and global programs experience to the company leading the advancement of the DevOps market."
---

Do you have a deep understanding and real passion for building global awareness and demand generation programs that encompass both strategy and tactics directed at specific audiences and buyer personas? Then this role is for you! Bring your background and global programs experience to the company leading the advancement of the DevOps market. GitLab's Global Programs Manager position is a key role within the marketing organization and will make a tremendous impact on company growth. You will have the opportunity to define and build global campaigns to drive new logo acquisition and growth in our existing customer base.

### Job Grade

The Global Programs Manager is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Drive strategy, development and optimization of integrated, global campaigns targeted at IT leadership and development and operations practitioners to drive awareness in the market, and to generate new logo acquisition and growth in our existing customer base.
- Create highly targeted, integrated programs utilizing content-focused value propositions and key differentiators, delivered via multiple promotional channels (digital advertising, email, website, social media, PR, in-person events, webinars etc), that drive awareness and generate sales accepted opportunity and pipeline growth.
- Execute global campaigns and support field marketing teams with local execution of regionalized campaigns, including account based marketing programs and programs targeting specific verticals.
- Test new tools, approaches and channels to innovate and scale programs, with an emphasis on integrated marketing to support global corporate campaign and regional campaign execution to reach, engage and convert key audiences.
- Collaborate with field, product, online, web, content, and social marketing teams to align multi-channel execution.
- Develop and deliver campaign enablement programs to the sales, sales development and field marketing teams.
- Define critical program success metrics and reporting needs, and partner with marketing operations to forecast, track, and report campaign effectiveness metrics, demand gen funnel metrics, as well as overall return on investment.
- Optimize campaigns based on insights derived from continually monitoring and analyzing campaign results, and regularly review insights/results with key stakeholders.

### Requirements

- 8-10+ years of experience leading global campaigns and running awareness and demand creation programs for enterprise software and/or SaaS, preferably in application development or operations.
- Experience with developing and executing marketing programs for high-growth startups.
- Understanding of IT personas and mapping programs to the buyer's journey.
- Results oriented with a strong focus on achieving revenue, conversion, sales and other marketing goals.
- Ability to use metrics to manage programs and measure success.
- Ability to manage multiple projects at the same time in a fast-paced environment.
- Superior written and verbal skills, with the ability to effectively collaborate and coordinate across various departments within the organization.
- Bachelor degree in related field.
- Ability to use GitLab

## Career Ladder

The next step in the Global Programs Manager job family is not yet defined at GitLab.

## Hiring process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- A 45 minute interview with our Content Marketing Manager
- A 45 minute interview with our Senior Director of Marketing and Sales Development
- A 45 minute interview with our Senior Product Marketing Manager
- A 45 minute interview with our Chief Marketing Officer
- Finally, our CEO may choose to conduct a final interview
- Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
