---
title: "Globalization & Localization"
summary: Lead GitLab's go-to-market localization strategy, operations and technology platform, with a primary focus on Sales, Marketing, Growth & E-commerce Product areas.
---

## Levels

## Senior Globalization Enablement Manager

The Senior Globalization Enablement Manager reports to the Director, Globalization & Localization.

### Senior Globalization Enablement Manager Job Grade

The Senior Globalization Enablement Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) role.

### Senior Globalization Enablement Manager Overview

The Senior Globalization Enablement Manager oversees the production of multilingual content for global teams at GitLab that require translation and localization to fulfill the company's market growth goals.

This role requires strong collaboration skills and experience in website localization, world readiness, and digital publishing practices and is responsible for executing and delivering as a part of a successful localization program that supports marketing, product, help documentation, and content optimization in non-English languages. This role works closely with global content managers and developers to define successful localization models and help technical counterparts iterate on automating work streams and making costs and time-to-market processes more efficient.

### Senior Globalization Enablement Manager Responsibilities

- Drive localization projects to support market growth and global initiatives requiring localized content across the organization
- Help define content strategies and localization roadmaps
- Establish best practices for source and target language terminology, glossary, and translation memory management in partnership with the GitLab team and localization suppliers
- Partner with product managers, country managers, marketers, support, developers and other stakeholders to plan coordinated localized releases
- Assist with managing localization budget, forecasting, and escalations as needed
- Ensure accurate project scopes and milestones, and resolve localization pipeline issues as they become known or impact our ability to deliver
- Coordinate with suppliers, agencies, and freelancers on the successful execution of localization projects
- Help organize the development of and maintenance of style guides, glossaries, and other documentation to safeguard the repeatability and consistency of localization efforts across multiple suppliers and internal contributors
- Advise stakeholders on issues resulting from internationalization errors, cultural nuances, scheduling conflicts and interdependencies, and the prioritization of bug queues and backlogs

### Senior Globalization Enablement Manager Requirements

- Degree in localization, translation, international project management, or related work experience
- Experience with managing projects that involve source and target files in top spoken languages around the world
- Working knowledge of industry standard localization tools and enterprise translation practices
- Able to work on a remote and globally distributed team
- Excellent written and communication skills
- Strong analytical problem-solving skills and the ability to navigate ambiguity toward resolutions pathways
- Bias to action, proactive and innovative by nature
- Strong attention to detail
- Fluency in English, as well as fluency in the language required for the localized market GitLab is hiring in.
- You share our values, and work in accordance with those values.

### Career Ladder

The next step in the Globalization Enablement Manager job family is not yet defined at GitLab.

### Performance Indicators

- Define, build, and maintain processes for driving globalization and localization projects across GitLab
- Set expectations with our suppliers with respects to project turnaround time, quality, scalability, and alignment to stakeholder expectations
- Parter with globalization technologist to develop a localization tech stack that serves team needs throughout GitLab
- Manage the quarterly business review processes with our suppliers with an eye toward automation, constant improvement through collaboration, and experimentation
- Help define KPIs for localization workflows in partnership with internal stakeholders, data teams, and suppliers
- Where necessary, ensure that localization decisions align to performance related outcomes for particular content types

## Senior Localization Content Manager

The Content Manager reports to the Director, Globalization & Localization.

### Senior Localization Content Manager Job Grade

The Senior Localization Content Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) role.

### Senior Localization Content Manager Overview

The Senior Localization Content Manager is passionate about improving the user experience and market growth with properly localized and locally specific assets. This role will grow and develop the GitLab brand for the customer audience and play an essential part in ensuring GitLab's success in specific markets.

### Senior Localization Content Manager Responsibilities

- Define the content strategy for your market in close collaboration with regional stakeholders and the partner ecosystem, with particular emphasis on organic traffic and optimization for search (SEO)
- Manage editorial calendar for your market and report regularly on the status and performance of projects to key stakeholders
- Oversee a cadence of experiments with a focus on improving conversions, adoption, and growth
- Identify, develop, and implement content opportunities across channels backed up with timely and informative reporting
- Lead the work of outsourced suppliers and promote a positive environment for other team members that fosters collaboration on content development processes
- Interface with regional executive management as needed to coordinate strategic efforts with both local and global teams
- Participate in market research activities and develop ideas to improve the impact of content on our funnel performance
- Asses, hire, and manage freelance translators and writers to scale and support your program
- Help define and evangelize the GitLab brand with market specific style guides and other documentation on voice and tone to ensure a consistent content and product experience
- Collaborate closely with teams dedicated to English content streams to ensure strategic alignment and that processes are followed where necessary

### Senior Localization Content Manager Requirements

- 3-5 years experience with content creation, localization, and copywriting, especially as pertains to the tech industry
- Experience with all components of interdepartmental localized collateral, including product, marketing, and support
- Able to manage the work of numerous suppliers, including copywriters, language services provider's teams, and direct contractors
- Experience overseeing the end-to-end in-language customer journey, with an eye toward UX and impact to business
- Working knowledge of SEO best practices
- Strong communication skills
- Fluency in English
- Deep understanding of market with an emphasis on local expectations and trends
- Experience brining cross-functional teams together to accomplish global expansion goals.
- Strong communication skills.
- Fluency in English, as well as fluency in the language required for the localized market GitLab is hiring in.
- You share our values, and work in accordance with those values.

### Career Ladder

The next step in the Localization Content Manager job family is not yet defined at GitLab.

### Performance Indicators

- Define, build, and maintain the holisitc in-language experience for your market
- Build and manage a team of suppliers for providing the best in-language experience for customers
- Speed and throughput of translation; % of on-time deliveries
- Localization quality; average language quality scores
- Where necessary, ensure that localization decisions align to performance related outcomes for particular content types

### Senior Fullstack Engineer, Localization

The Senior Fullstack Engineer, Globalization and Localization reports to the Senior Manager, Globalization Technology.

#### Senior Fullstack Engineer, Localization Job Grade

The Senior Fullstack Engineer, Localization is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) role.

#### Senior Fullstack Engineer, Localization Role Overview

The Senior Fullstack Engineer, Localization, is passionate about the changing localization technology landscape and can design and build solutions and capabilities that are disruptive in nature and in alignment with the future of automation and AI-assisted localization tooling.

#### Senior Fullstack Engineer, Localization Responsibilities

- Craft code that meets our internal standards for style, maintainability, and best practices for a high-scale web environment
- Develop features and improvements to the GitLab localization infrastructure in a secure, well-tested, and performant way
- Collaborate with Product Management and other stakeholders within Engineering (Frontend, UX, etc.) to maintain a high bar for quality in a fast-paced, iterative environment
- Integrate AI-powered translation capabilities and solutions into existing systems and pipelines, to enhance human translation workflows
- Design, develop and maintain integration and automation capabilities to support continuous localization pipelines within GitLab projects and internal
systems, such as content management systems, marketing technology stack tools, etc.
- Build and scale solutions for context-enhanced translation, machine translation, copywriting, transcreation and linguistic review of GitLab products and content
- Recognize i18n (internationalization) and localizability technical debt, propose and implement solutions
- Build product and content i18n (internationalization) standards and checks into CI/CD pipelines
- Collaborate with UX, engineering, and product teams to integrate i18n effectively into our initiatives

#### Senior Fullstack Engineer, Localization Requirements

- Strong technical skills and an ability to work across backend, frontend, and infrastructure management code
- Experience with Ruby on Rails is mandatory given GitLab's current tech stack (Python, Go and/or Vue are nice to have)
- Demonstrated capacity to clearly and concisely communicate about complex technical, architectural, and/or organizational problems and propose thorough iterative solutions
- Experience owning a project from concept to production, including proposal, discussion, and execution
- Professional experience building web applications and APIs
- Hands-on experience working with large language models and their toolkits
- Self-motivated and self-managing, with excellent organizational skills
- Ability to thrive in a fully remote organization
- Contributions to GitLab are highly regarded

#### Senior Fullstack Engineer, Localization Desirable Skills, Knowledge, and Experience

- Proficiency in the English language, both written and verbal, sufficient for success in a remote and largely asynchronous work environment
- Comfort working in a highly agile, intensely iterative software development process
- Experience owning a project from concept to production, including proposal, discussion, and execution
- Self-motivated and self-managing, with strong organizational skills
- Demonstrated ability to work closely with other parts of the organization
- Share our values, and work in accordance with those values

#### Career Ladder

The next step in the Senior Fullstack Engineer, Globalization and Localization is Staff Fullstack Engineer, Globalization and Localization.

For more details on the engineering career ladders, please review the [engineering career development handbook page](/handbook/engineering/careers/).

A Senior Backend Engineer may want to pursue the [engineering management track](/job-families/engineering/engineering-management/) as a manager of people or a higher level individual contributor. See [Engineering Career Development](/handbook/engineering/careers/) for more detail.

Note: Staff and above positions at GitLab are more of a role than just a level. We prefer to bring people in as Senior and let the team elevate them to Staff due to an outstanding work history within GitLab.

#### Performance Indicators

- Build and maintain a state-of-the-art localization platform in partnership with internal development teams and external suppliers.
- Deploy solutions for localization workflows that rely more on integrated ML and generative AI tooling.

### Senior Manager, Globalization Technology

The Senior Manager, Globalization Technology reports to the Director, Globalization & Localization.

#### Senior Manager, Globalization Technology Job Grade

The Senior Manager, Globalization Technology is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) role.

#### Senior Manager, Globalization Technology Role

The Senior Manager, Globalization Technology is passionate about the changing localization technology landscape and can build a program that leans on tried-and-true tools and practices but with a sharp eye toward the future, especially capabilities that are disruptive in nature and in alignment with the future of automation and AI-assisted tooling. They are a recognized leader in the localization space with a background in building systems that allow for seamless automation, integration, and data capture. They have a recognized talent for helping businesses go global and a demonstrable track record for solutions that solve perennial localization challenges and turning a nascent program into a well-oiled machine. A strong candidate for this role is comfortable with ambiguity and able to navigate within a rapidly transforming environment.

#### Senior Manager, Globalization Technology Responsibilities

- Drive the development and evolution of our localization infrastructure to enable the translation of diverse offerings, including web collateral, product strings, support documentation, and in-language copywriting endeavors.
- Oversee our technology roadmap by ensuring we meet critical deadlines, show demonstrable improvements at scale and efficiency, and directly impact our deliverability for multiple teams and stakeholders of localized content.
- Implement integrations with content and product systems to build a holistic ecosystem that allows for the successful localization of any surface area while helping teams and suppliers maintain quality and time-to-market expectations.
- Partner closely with development teams, content managers, and stakeholders to ensure alignment on workstreams and success measurements
- Establish operational performance metrics and define a reporting framework for ongoing communication and analysis with an constant eye toward cost and efficiency improvement.
- Work with developers and suppliers to set up AI-driven routing, workflow enhancements with machine translation, natural language processing, and machine learning to solve localization scale and time-to-market challenges.
- Be a constant learner, develop a deep understanding of the changing tech landscape in localization and ensure GitLab is adopting or building the best-in-class solutions.
- Lead by example and communicate localization best practices throughout the organization.

#### Senior Manager, Globalization Technology Desirable Skills, Knowledge, and Experience

- Experience building and leading the development of translation and localization technology stacks.
- Demonstrable success with building functional relationships with internal stakeholders and external suppliers to support localization endeavors.
- Deep understanding of localization operational data and reporting frameworks that demonstrate the overall health, strengths, and weaknesses of translation pipelines.
- Vast working knowledge of the latest localization products and services with a critical eye toward industry trends.
- Experience brining cross-functional teams together to accomplish global expansion goals.
- Effective at communicating the business impact of localization operations throughout a globally distributed organization.
- Strong communication skills.
- Fluency in English.
- You share our values, and work in accordance with those values.

#### Career Ladder

The next step in the Globalization Technology job family is Director, Globalization & Localization.

#### Performance Indicators

- Build and maintain a state-of-the-art localization platform in partnership with internal development teams and external suppliers.
- Deploy solutions for localization workflows that rely more on integrated ML and generative AI tooling.
- Speed and throughput of translation; % of on-time deliveries.
- Localization Quality; average language quality scores.
- Total localization costs relative to content volume / format; fully-loaded price per word.

### Director, Globalization & Localization

The Director, Globalization & Localization reports to the VP Marketing Strategy & Platforms.

#### Director, Globalization & Localization Job Grade

The Director, Globalization & Localization is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) role.

#### Director, Globalization & Localization Role

The Director, Globalization & Localization will lead GitLab's go-to-market localization strategy, operations and technology platform, with a primary focus on Sales, Marketing, Growth & E-commerce Product areas. You'll apply your deep domain knowledge and experience in web & product internationalization, localization lifecycle management, translation management system, machine translation and international expansion to help share the GitLab story & value across languages and cultures. You will translate, localize and customize market-appropriate content that resonates with the target audience. You'll also work with product and engineering to ensure our globalization infrastructure and technology platform can support both current and future use cases. The qualified candidate will be a driven and inspiring leader who has a successful track record of building and leading a global team, including agencies and linguists network, and is comfortable being a player coach while scaling the globalization & localization function as our company grows.

#### Director, Globalization & Localization Responsibilities

- Lead the go-to-market localization lifecycle management, operations, and technology infrastructure initiatives and teams
- Recruit, inspire, develop and retain a globally distributed all-remote team. Manage the localization agencies and linguists network to ensure continuous improvement of quality and productivity.
- Develop and maintain strong working relationships with culturally and geographically diverse stakeholders. Collaborate with sales & marketing regional leaders.
- Define and execute on an end-to-end localization and transcreation programs from planning, budgeting to delivery and QA.
- Help drive significant improvement in international SEO and revenue growth through special cross-functional globalization initiatives
- Allocate resources and budget to efficiently maximize business outcomes, and contribute to the strategic objectives along the customer journey

#### Director, Globalization & Localization Desirable Skills, Knowledge, and Experience

- Progressive experience leading globalization / localization at fast growing technology companies preferably with Software-as-a-Service offerings and strong open source communities
- Leadership experience managing a high-performing team in a distributed environment, with an emphasis on people leadership, building teams to scale, and engaging global and local stakeholders.
- Experience collaborating across multiple internal departments and teams, building effective relationships and influencing change
- Strong network and relationship with localization agencies, project managers and linguists
- Deep domain expertise in localization lifecycle, CAT tools, TMS. Technical understanding of common DevOps platforms, CMS, and marketing automation systems. - Demonstrated ability to learn and leverage new technologies
- Professional fluency in English and at least one of the following languages: French, Germany, Spanish, or Japanese
- Comfortable using data to measure results and inform decision making and strategy development.
- You share our values, and work in accordance with those values.

#### Career Ladder

The next step in the Globalization & Localization job family is not yet defined at GitLab.

#### Performance Indicators

- Speed and throughput of translation; % of on-time deliveries
- Localization Quality; average language quality scores
- Total localization costs relative to content volume / format; fully-loaded price per word
- Non-English SEO lift; % uplift in organic traffic and conversions for target markets
- New pipeline lift; % uplift in Marketing Qualified Leads & Sales Accepted Opportunities for target markets

#### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/talent-acquisition-framework/req-overview/#screening) with one of our Global Recruiters.
- A 45 minute interview with our VP, Marketing Strategy & Platforms
- A 45 minute interview with our Director, Digital Experience or Group Product Manager, Growth
- A 45 minute interview with our Director, Marketing Operations or Manager, Marketing Operations
- A 45 minute interview with our VP, Integrated Marketing or Director, Global Field Marketing
- A 30 minute interview with our VP, Field Operations or VP, Sales Strategy & Analytics
- A 30 minute interview with our Chief Marketing Officer or VP, Product Marketing
- A 45 minute interview with our Director, People Business Partner

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
