---
title: "Growth Product Manager"
summary: Lead the Growth section which is dedicated to making it easier for teams to find value and increased efficiency within the GitLab platform.
---

## Intro

The GitLab Growth section is dedicated to making it easier for teams to find value and increased efficiency within the GitLab platform. We work across stages within the product experience to make the product as easy as possible to adopt and use. We recommending reviewing our [Growth direction page](/handbook/marketing/growth) for more in-depth team information.

## Growth Product Manager Role

Growth Product Managers help us grow our customer base by improving our net new signup & trial flow (Acquisition) and team activation (Activation) experiences as well as assisting in improving our [LAM](/handbook/sales/field-operations/sales-systems/gtm-technical-documentation/#landed-addressable-market-lam) efforts. Our Growth Product Managers play a critical role in GitLab ensuring our product is easy and initiative to use while ensuring we also acheive business objectives.

### Requirements

- Experience in product management
- Strong technically: you understand how software is built, packaged, deployed and operated
- Passion for design and usability
- Highly independent and pragmatic
- Excellent proficiency in English
- You are living wherever you want and are excited about the [all remote](/handbook/company/culture/all-remote/) lifestyle
- You share our [values](/handbook/values/), and work in accordance with those values
- Trust and empower your development group to deliver great products
- Receptive to feedback or coaching
- Strong bias for action
- You make thoughtful decisions motivated by data and research
- You develop strong opinions but are willing to change your mind
- Well versed in experimentation and A/B testing
- Strong analytical skills (SQL skills are a big plus) and a hypothesis driven mindset
- The ability to work cross functionally between your engineering and user experience counterparts along with business stakeholders in other departments
- Previous experience leveraging common frameworks and growth techniques such as but not limited to acquisition loops, habit loops, and PQLs
- Bonus poitns: - Prior experience at a [Product-Led Growth](https://productled.com/blog/product-led-growth-definition/) company
- Bonus points: Experience with GitLab, Git, and the Git workflows
- Bonus points: Experience building DevOps tools
- Bonus points: Experience engaging with customers in a B2B setting

## Being a Product Manager at GitLab

Product Managers at GitLab have a unique opportunity to define the future of the
entire [DevOps lifecycle](https://about.gitlab.com/stages-devops-lifecycle/). We
are working on a [single application](/handbook/product/single-application) that
allows developers to invent, create, and deploy modern applications.

We want to facilitate [Concurrent DevOps](https://about.gitlab.com/topics/concurrent-devops/) so that teams can work simultaneously instead of sequentially, unleashing collaboration across organizations.

We work in a very unique way at GitLab, where flexibility and independence meet
a high paced, pragmatic way of working. And everything we do is [in the open](/handbook/).

We are looking for talented product managers that are excited by the idea to
contribute to our vision. We know there are a million things we can and want to
implement in GitLab. Be the one making decisions. A review of the product management role levels can be found [here](/job-families/product/product-manager/#career-paths).
