---
title: "Illustrator"
summary: Collaborate closely with the Brand Design team to elevate our visual brand as we interact with the world, both through product and marketing.
---

## Illustrator

At GitLab, Illustrators collaborate closely with the Brand Design team to elevate our visual brand as we interact with the world, both through product and marketing. This role is essential to developing and maintaining a visual language that aligns with our [values](/handbook/values/) and [brand personality](https://design.gitlab.com/brand-design/marketing-illustrations).

### Responsibilities

- Create meaningful and thoughtful illustrations to enhance print, web, and digital experiences.
- Work collaboratively with Brand Design to create a consistent and cohesive brand experience.
- Work efficiently on multiple projects with consistency and exemplary attention to detail.
- Embrace an iterative design process and be receptive to feedback throughout the process.
- Contribute to the [Pajamas Design System](https://design.gitlab.com/); documenting illustration guidelines and standards across the brand.
- Able to work with, and help evolve, the GitLab brand.
- Collaborate with Marketing and UX Design to establish a consistent and cohesive illustration style.

### Requirements

- Proven ability to work from conceptual sketches to high-fidelity final assets.
- Able to visually communicate complex concepts in a compelling and intuitive way.
- Exemplary fundamental design skills including typography, composition, and color.
- You know Sketch, Adobe Illustrator, Photoshop, InDesign, Google Slides, and Powerpoint like nobody's business.
- Degree in illustration, graphic design, or related field.
- Strong portfolio showcasing your illustration skills.
- Comfortable with Git, HTML, CSS, and Markdown to update [about.gitlab.com](https://about.gitlab.com/).
- You share our [values](/handbook/values/), and work in accordance with those values.
- Able to create animations and motion graphics from your illustrations is a huge plus.
- Ability to use GitLab

## Levels

### Associate Illustrator

#### Job Grade

The Associate Illustrator is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Quickly and iteratively translate creative concepts into compelling visuals that resonate with our audience.
- Ability to work within GitLab's brand guidelines while evolving our visual language.
- Self-motivated; able to offer up your expertise to improve a project and overall brand experience.

#### Requirements

- 1-3 years experience in an illustration-related role.
- Ability to continuously meet deadlines and execute on projects.

### Intermediate Illustrator

#### Job Grade

The Intermediate Illustrator is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Work quickly and iteratively on creative projects with limited direction from Brand Design.
- Proven experience with illustration and visual storytelling as an extension of the brand.
- Ability to hand off assets ready for application; ranging from [about.gitlab.com](https://about.gitlab.com/) and motion graphics, to print and swag.

#### Requirements

- 3-5 years experience in an illustration-related role.
- Self-manage workload to meet deadlines and prioritize accordingly.

### Senior Illustrator

#### Job Grade

The Senior Illustrator is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Work independently, drive multiple projects, prioritize accordingly, and iterate quickly.
- Ability to evolve and extend creative concepts with extreme attention to detail.
- Influence creative strategy and have a substantial understanding of our audience(s).

#### Requirements

- 5+ years experience in an illustration-related role.
- Proven ability to propel illustration and visual storytelling as an integrated component of the brand.

## Career Ladder

The next step in the Illustration job family is not yet defined at GitLab.
