---
title: Integrated Marketing Job Family
description: "Learn more about Integrated Marketing job family levels, roles and responsibilities."
---

## Levels

## VP of Integrated Marketing

The VP of Integrated Marketing reports to the [CMO](/job-families/marketing/chief-marketing-officer/).

### VP of Integrated Marketing Job Grade

The VP of Integrated Marketing is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### VP of Integrated Marketing Responsibilities

- Hire, develop and manage a global team of high-performing campaign managers, field marketers and partner marketing managers
- Map the customer journey and identify the right strategies to attract and advance prospects through the funnel.
- Develop the company's demand generation campaign strategy to drive new business, as well as expand the existing customer base. Own execution of the business plan, including scope, target outcomes, key metrics and measures, and required inputs and resources to deliver.
- Build systems and processes that will track and report on key performance metrics and use data to optimize campaign strategies continually
- Continuously evaluate the performance and ROI of campaigns, adjusting demand tactics and strategy accordingly
- Work closely with product marketing, marketing operations, and sales to ensure message optimization and cross-functional alignment

### VP of Integrated Marketing Requirements

- Experience in roles of increasing responsibility, managing $500MM-$5B in revenue pipeline in high-growth companies; Ideally with experience marketing to developers, IT, development operations and security
- Experience running a global team of at least dozens of people with multiple levels of management
- Must have a firm grasp of digital marketing best practices, yet have an innate curiosity to continually investigate new trends
- Experience with digital and non-digital demand gen tactics
- Experience with field marketing, account based marketing and partner marketing in an Enterprise Software company; SaaS preferred
- Familiarity with open-source, cloud native, cloud, and Kubernetes a plus
- Fluency in demand generation metrics and approaches to test and optimize them including the use of Marketo and Salesforce
- Proven experience scaling demand generation programs through technology, data and process
- Excellent communication skills including the ability to communicate a clear sense of mission, purpose, priority and long-term direction for the function and across GitLab
- Excellent collaboration and influencing skills cross functionally
- Demonstrated success and comfort driving global programs in multiple languages
- Ability to use GitLab

## Career Ladder

The next step in the Demand Generation job family is not yet defined at GitLab.

## Performance Indicators

- [Net new business pipeline created ($'s) v plan > 1](/handbook/marketing/revenue-marketing/#revenue-marketing-kpi-definitions)
- [Total number of  Marketo Qualified Leads by month](/handbook/marketing/revenue-marketing/#revenue-marketing-kpi-definitions)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Candidates will then meet with the Senior Director of Revenue Marketing.
- Candidates will then be asked to schedule an interview with the Manager of Field Marketing, Americas.
- Candidates will then meet with the CMO.
- Following successful completion of the previous steps, final candidates will then be asked to meet with a panel of Sales Development Managers.
- Final candidates may be asked to complete an assessment, and meet with the Senior Director of Revenue Marketing again.
- Successful candidates will subsequently be made an offer via video or phone.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
