---
title: "Manager, Marketing Programs"
summary: " "
---

The Manager of Marketing Programs for GitLab should have a background and hands-on experience in all areas of marketing programs: campaign organization and planning email marketing, marketing operations, ABM, and integrated campaigns. They will have experience managing marketing teams and working with all teams within the larger marketing department. They should also be able to maintain a budget, use analytics tools, CRM, MAT, and other marketing tools, and have a data-inspired approach to marketing. Experience in marketing operations and marketing project management are also helpful in this role.

### Job Grade

The Manager, Marketing Programs is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Develop and execute high-impact, integrated B2B demand generation programs to achieve revenue and pipeline goals.
- Strategize campaign calendar and delegation of campaign planning within the marketing programs team.
- Work cross-functionally across the marketing organization as well as sales and other teams to design and orchestrate impactful, targeted marketing programs.
- Manage and build a team by coaching and developing existing members and closing gaps where needed through acquisition of new team members.
- Build and implement marketing programs strategy—understand key partnerships within organization to drive full funnel of customer acquisition, retention, and upsell.
- Guide efforts to create standardized marketing reporting and dashboards, presenting performance to the marketing department as well as stakeholders throughout the company.
- Oversee our campaign calendar and communicate to marketing team and larger organization, maximizing for return on marketing spend.

### Requirements

- 5-7 years of enterprise software marketing experience.
- 2+ years of experience hiring, onboarding, and managing marketing teams.
- Self-starter with proven track record of project managing and executing integrated marketing campaigns.
- Background in driving targeted acquisition, retention, upsell, and cross-sell marketing campaigns.
- Robust skills in demand generation, marketing programs, marketing operations, and reporting.
- Experience working cross-functionally with sales development to drive cohesive engagement with marketing leads.
- Construct lifecycle reports and dashboards in Salesforce and other reporting tools.
- Excellent organizational skills to juggle many tasks without losing sight of the highest priority items.
- Power user of Marketo and Salesforce.
- Robust communication and presentation skills, including to the executive team.
- Interpersonal skills and capability to influence and motivate people at all levels across a broad variety of job functions.
- Ability to use GitLab.

## Career Ladder

The next step in the Manager, Marketing Programs job family is not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates receive a short questionnaire from our Global Recruiters.
  1. What would differentiate you and make you a great marketing program manager for GitLab?
  1. What is your knowledge of the space that GitLab is in? (e.g. industry trends).
  1. Generally, how would you describe the communication preferences of developers and technical IT management?
- Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a series of 45 minute interviews with team members Digital Marketing, Marketing Programs, Marketing Ops, and Revenue Marketing.
- Candidates will then be invited to schedule 45 minute interviews with our Senior Director of Revenue Marketing and possibly our CMO.
- Finally, our CEO may choose to conduct a final interview.
- Successful candidates will subsequently be made an offer via email.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
