---
title: Marketing Campaign Manager
summary: " "
---

## Levels

### Marketing Campaign Coordinator (Associate)

The Marketing Campaign Coordinator (Associate) reports to Manager, Marketing Campaigns.

#### Marketing Campaign Coordinator (Associate) Job Grade

The Marketing Campaign Coordinator (Associate) is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Marketing Campaign Coordinator (Associate) Responsibilities

- Create, upload, edit, and manage HTML emails and templates for marketing campaigns.
- Develop and oversee email components such as headers, footers, personalized elements (e.g., mail merge), and confirmation pages, ensuring adherence to GitLab standards.
- Collaborate with the marketing team to establish contact filters and segment the database for effective email communication.
- Deploy batch emails and automate multi-touch campaigns to nurture leads, promote events, and manage offers, utilizing GitLab frameworks and tools.
- Personalize email content based on activity-driven triggers, while conducting tests to verify accuracy, proper formatting, and functional tracking links.
- Assist in the administration of the Marketo platform in line with GitLab-defined processes, including asset management, naming conventions, and access controls.
- Design website forms and landing pages, ensuring seamless integration into Marketo programs.
- Generate marketing automation reports from the Marketo platform, analyzing email marketing performance, website engagement, and contact activity, including open rates, click-through rates, bounce rates, and unsubscribe rates.
- Develop Marketo programs and Salesforce campaigns to effectively track demand generation initiatives.
- Set up and manage virtual events using On24.
- Conduct quality assurance checks for lead flow in paid digital programs.

#### Marketing Campaign Manager (Associate) Requirements

- Proficient in email marketing and marketing automation tools, particularly Marketo.
- Skilled in HTML for managing email templates effectively.
- Exceptional communication skills for collaborating with marketing teams and delivering reports.
- Strong organizational and project management abilities to juggle multiple projects and meet deadlines.
- Detail-oriented to ensure the accuracy and integrity of email content and tracking.
- Experienced with CRM software (preferably Salesforce) and webinar platforms (preferably On24), with a willingness to learn additional functionalities.
- Background in a B2B software marketing team is advantageous.
- Capable of working both with minimal direction and collaboratively within a team.
- Familiarity with GitLab and Git, or a readiness to learn their usage.
- You share our values, and work in accordance with those values.

#### Marketing Campaign Manager (Intermediate) Job Grade

The Marketing Campaign Manager (Intermediate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Marketing Campaign Manager (Intermediate) Responsibilities

- Strategize, execute, and optimize a data-driven demand generation campaign strategy to achieve sales goals for an assigned geographic or firmographic defined market segment.
- Responsible for developing and deploying integrated marketing campaigns, including crafting strategy, aligning internal teams, developing audience segments, building email nurtures, owning top funnel virtual events, and measuring results
- Apply an experimentation mindset to marketing campaigns to drive, test, learn, and optimize. Continuously conduct A/B testing across all channels
- Collaborate with marketing teams to build prescriptive persona-based buyer journeys as the foundation for campaign strategy
- Work with marketers across our team and in our company to ensure proper messaging, timing, and execution of multi-channel campaigns
- Plan seamless integration of competitive campaigns and alliance partner campaigns within the prescriptive buyer journeys and overall segment campaign plans
- Align with SDRs on results of top funnel campaigns, gain anecdotal feedback, and generate ideas for campaign optimizations
- Use marketing automation and email nurturing to engage and convert prospects and customers across the buyer journey
- Provide ongoing reporting, campaign insights and pacing toward goal to stakeholders
- Document processes in handbook for transparency

#### Marketing Campaign Manager (Intermediate) Requirements

- 3-4+ years of experience and proven track record in developing multi-channel roadmaps
- Experience working in a metrics driven culture to measure tactic and channel impacts
- Deep empathy for our audience of developers and IT leaders - our community is changing the world, and you want to help accelerate their success through relevant, useful communications
- Ability to manage multiple projects with intertwining deadlines while staying focused on the details
- Experience with marketing automation software (Marketo preferred)
- Experience with CRM software (Salesforce preferred)
- Experience working in a B2B software marketing team
- Experience with A/B testing, experiment design, campaign analysis (attribution reporting is a plus)
- Proficiency in MS Excel or Google Sheets
- Strong project management, organizational, and communication skills
- Impeccable eye for detail
- Exhibit willingness and flexibility to work both independently as well as part of a team
- Be familiar with or ready to learn how to use GitLab and Git
- You share our [values](/handbook/values/), and work in accordance with those values
- Ability to use GitLab

### Senior Marketing Campaign Manager

The Senior Marketing Campaign Manager reports to Manager, Marketing Campaigns.

#### Senior Marketing Campaign Manager Job Grade

The Senior Marketing Campaign Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Marketing Campaign Manager Responsibilities

- Extends that of the Marketing Campaign Manager (Intermediate) responsibilities
- Develop and manage strategy with multiple sales channels (i.e. channel partner)
- Exemplify understanding of multi-touch attribution reporting
- Develop new structures and automation in marketing automation (Marketo)

#### Senior Marketing Campaign Manager Requirements

- Extends that of the Marketing Campaign Manager (Intermediate) requirements
- 4-7+ years of experience and proven track record in developing multi-channel roadmaps
- Experience with multi-touch attribution reporting
- Power user of marketing automation software (Marketo preferred)
- Power user of CRM software (Salesforce preferred)

### Staff Marketing Campaign Manager

The Staff Marketing Campaign Manager reports to Manager, Marketing Campaigns.

#### Staff Marketing Campaign Manager Job Grade

The Staff Marketing Campaign Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Staff Marketing Campaign Manager Responsibilities

- Extends that of the Senior Marketing Campaign Manager responsibilities
- Demonstrates expertise in a given area through mentorship or by running an enablement/brown bag session
- Acts as DRI/Lead on a key cross-functional project beyond global integrated campaigns management
- Introduce new replicable processes or process improvements to help scale the team
- Aids in the evaluation and implementation of new tools
- Acting Manager for the team when Manager, Marketing Campaigns is out of the office

#### Staff Marketing Campaign Manager Requirements

- Extends that of the Senior Marketing Campaign Manager requirements
- [Marketo certified expert](https://au.marketo.com/education/marketo-certification/)
- Certified in [LinkedIn Fundamentals](https://training.marketing.linkedin.com/page/certifications)
- Certified in [Mastering demand & ABM by Forrester](https://www.forrester.com/certification/b2b-marketing/)
- Certified in [Demandbase foundations](https://www.demandbase.com/resources/go-to-market-certification/)

### Manager, Marketing Campaigns

The Manager, Marketing Campaigns reports to Senior Manager, Campaigns, ABM & Lifecycle.

#### Manager, Marketing Campaigns Job Grade

The Manager, Marketing Campaigns is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Marketing Campaigns Responsibilities

- Develop and execute high-impact, integrated B2B demand generation programs to achieve revenue and pipeline goals
- Strategize campaign calendar and delegation of campaign planning within the marketing campaigns team
- Work cross-functionally across the marketing organization as well as sales and other teams to design and orchestrate impactful, targeted marketing campaigns
- Manage and build a team by coaching and developing existing members and closing gaps where needed through acquisition of new team members
- Build and implement marketing campaigns strategy — understand key partnerships within organization to drive full funnel of customer acquisition
- Guide efforts to create standardized marketing reporting and dashboards, presenting performance to the marketing department as well as stakeholders throughout the company
- Oversee our campaign calendar and communicate to marketing team and larger organization

#### Manager, Marketing Campaigns Requirements

- 5-7+ years of enterprise software marketing experience
- 2+ years of experience hiring, onboarding, and managing marketing teams
- Self-starter with proven track record of project managing and executing integrated marketing campaigns
- Background in driving targeted acquisition, retention, upsell, and cross-sell marketing campaigns
- Robust skills in demand generation, marketing campaigns, marketing operations, and reporting
- Experience working cross-functionally with sales development to drive cohesive engagement with marketing leads
- Construct lifecycle reports and dashboards in Salesforce and other reporting tools
- Excellent organizational skills to juggle many tasks without losing sight of the highest priority items
- Power user of Marketo and Salesforce
- Robust communication and presentation skills, including to the executive team
- Interpersonal skills and capability to influence and motivate people at all levels across a broad variety of job functions
- Ability to use GitLab

### Senior Manager, Marketing Campaigns

The Senior Manager, Marketing Campaigns reports to VP of Integrated Marketing.

#### Senior Manager, Marketing Campaigns Job Grade

The Senior Manager, Marketing Campaigns is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Marketing Campaigns Responsibilities

- Extends that of the Manager, Marketing Campaigns responsibilities
- Leads overall demand generation campaigns function for assigned customer segment/geo
- Coordinates cross functionally across multiple groups including marketing and sales
- Ensures overall corporate goals are met in terms of the number of new inquiries, MQLs and SAOs, conversion rates and costs from demand generation campaigns
- Works closely with Field Marketing, SDR, Alliances and Partner marketing to identify go to market synergies across teams that result in improved pipeline and achievement of revenue goals
- Works with cross functional product marketing, developer advocacy and content marketing to identify and leverage buyer journey assets, messaging and content and delivers them through demand generation campaigns to our ICP
- Leads the documentation of all campaigns team processes in the handbook, creates an environment that fosters CREDIT within and x-functionally, and optimizes our campaign motions to ensure optimum marketing efficiency.

#### Senior Manager, Marketing Campaigns Requirements

- Extends that of the Manager, Marketing Campaigns requirements
- Ability to travel if needed and comply with the company's travel policy.
- If employed by GitLab Federal, LLC, team members need to also comply with the applicable vaccination policies.

## Specializations

### Public Sector

The Marketing Campaign Manager, Public Sector is responsible for strategizing, executing, and optimizing a full-funnel public sector campaign strategy, including SLED, Civilian, and DoD.

#### Additional Responsibilities

- Extends that of the Marketing Campaign Manager responsibilities
- Develop and execute end-to-end, integrated B2B demand generation programs for the public sector
- Strategize campaign calendar and delegation of campaign planning within the marketing campaigns team
- Collaborate with digital agency to define digital media sponsorship strategy
- Develop integrated campaign strategies with Public Sector Field Marketing teams on Top of Funnel, Mid Funnel and Bottom of Funnel conversion tactics
- Analyze full-funnel campaign and tactic performance on an ongoing basis to continuously optimize results

#### Additional Requirements

- Extends that of the Marketing Campaign Manager requirements
- 3+ years of experience and proven track record in developing public sector digital marketing campaigns
- Ability to build strong relationships with channel partners, sales organizations and other key stakeholders
- Deep understanding of customer and channel buying cycles and preferred engagement points for the public sector

### Channels and Alliances

#### Additional Responsibilities

- Extends that of the Marketing Campaign Manager responsibilities
- Strategize, execute, and optimize a data-driven demand generation campaign strategy to achieve sales goals for Channels and Alliances group
- Develop and manage strategy across the sales channels and alliances sales teams and align to quarterly OKR's and sales goals/objectives (i.e. channel partner)
- Align with marketing leadership on results of top funnel campaigns, gain anecdotal feedback, and generate ideas for campaign optimization
- Demonstrate impact of partners and channels on business, analyze and report progress against partner campaign goals, and report on ROI
- Act as marketing adviser to regional partner sales and marketing teams, collaborating with them to deliver campaigns that resonate with our partners and their customers

#### Additional Requirements

- Extends that of the Marketing Campaign Manager requirements
- 4-7+ years of experience and proven track record in developing multi-channel roadmaps
- Experience in channel marketing and alliances marketing, (GCP and/or AWS preferred)
- Proven ability to build and maintain strong relationships internal and external of GitLab
- Experience of working within a branded/co-branded framework

### User Lifecycle Marketing

The lifecycle marketing manager is responsible for strategizing, executing, and optimizing a data-driven user lifecycle communications strategy. This role works closely with the Product Growth and Data team, among others, to collaborate, plan, and prioritize communication to better engage GitLab users and progress them through the buyer and customer lifecycle. The lifecycle marketing manager will focus on user paths to revenue, including engaging free .com users, trial users, and paid users of GitLab.

#### Additional Responsibilities

- Understand and map out our user (both prospect and customer) lifecycle journey including touchpoints across all platforms of communication
- In collaboration across marketing, develop a communication plan to leverage upcoming opportunities to engage with GitLab (including Commit, webcasts, workshops, etc.)
- Create, monitor, and improve complex automated campaign journeys and triggers with static and dynamic content to drive conversion, engagement and retention
- Creatively explore and test new segments; understand where customers come from, their motivations, their previous patterns, and how we can continue to engage them
- Regularly monitor, communicate, and action on performance of overall email marketing programs across marketing
- Use KPIs to lead to business decisions but avoid them becoming the singular focus of the team (for example: open rates)
- Establish a strong working relationship with cross-functional stakeholders across the organization, such as customer communication, marketing operations, sales, product, and the rest of the marketing group.
- Act as the data steward for customer data, monitoring accuracy and quality of customer, user, and prospect information on an ongoing basis
- 'Speak' (live and breathe) email and help the team learn how to incorporate best practices into all planning, decisions and execution – from creative to segmentation to deliverability
- Act as email marketing SME (subject matter expert) owning email design templates and brand guidelines in collaboration with Brand team
- Recommend marketing automation segmentation (Marketo), targeting, and personalization tactics for use across marketing campaigns in collaboration with marketing operations
- Work with marketing operations to improve Marketo database efficiency, database hygiene, field values, field completeness, normalization processes, and overall database health to enable user lifecycle programs

#### Additional Requirements

- Extends that of the Marketing Campaign Manager requirements
- 3-4+ years of experience and proven track record in developing email marketing campaigns
- Strong prioritization skills when managing urgent and high-visibility projects and campaigns
- Expertise with marketing automation software required
- Experience with user-focused and/or customer-focused campaigns preferred
- Ability to collaborate with marketing operations and data analytics to drive required data from core databases to marketing automation and email clients appropriately
- Experience scoping system requirements for marketing ops and sales systems preferred

## Performance Indicators - Marketing Campaigns

- [Outbound MQLs](/handbook/marketing/demand-generation/campaigns/#demand-generation-key-metrics)
- [Cost per MQL](/handbook/marketing/demand-generation/campaigns/#demand-generation-key-metrics)
- [Closed-Won Attribution/Spend](/handbook/marketing/demand-generation/campaigns/#demand-generation-key-metrics)

### Additional Performance Indicators - User Lifecycle

- Free .com user / trial  > paid conversion
- Database attrition/churn/activation (unsubscribe, disengaged)
- Email click-through rate / conversion
- Web store orders and attributed revenue

## Career Ladder

The next step in the Marketing Campaign Manager Job Family is not yet defined.

## Hiring process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

Phone screen with a GitLab Recruiting Team Member
Video Interview with the Hiring Manager
Team Interviews with 1-4 Team Members

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
