---
title: "Marketing Operations and Analytics"
summary: " "
---

## Levels

### Senior Director, Marketing Operations and Analytics

#### Senior Director, Marketing Operations and Analytics Job Grade

The Senior Director, Marketing Operations and Analytics is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director, Marketing Operations and Analytics Responsibilities

- Build, lead, and inspire a team of highly skilled analytics professionals, web developers, and marketing operations professionals who deliver impactful business insights and results
- Partner with Marketing Leadership to formulate and develop regional/segment marketing plans and constantly evolving go-to-market strategies
- Develop and manage executive reporting on key metrics, formulate actionable insights and structure a concise, clear presentation of findings and prioritize issues as appropriate
- Create Board level and other internal presentations for the Chief Marketing Officer
- Collaborate with Marketing Leaders and teams to develop and execute marketing management disciplines and processes (weekly/quarterly forecast, pipeline analysis and development, marketing OKRs)
- Align go-to-market motions with sales. Identify opportunities to improve go-to-market efficiencies and lead efforts to scale, align and invest in the business in partnership with sales strategy and finance
- Lead, manage and evaluate the marketing tools, processes, policies and programs to ensure continuous productivity and effectiveness of marketing team members and marketing programs
- Optimize the marketing tech stack to improve effectiveness, efficiency, automation and scalability
- Develop and maintain key marketing dashboards and the marketing attribuiton model
- Partner with Product Growth, Sales Systems, Business technology and Data team for a data collection strategy for the end-to-end customer journey
- Collaborate with marketing, and sales stakeholders, product managers, and other GitLab teams to develop marketing operations roadmap and provide input into prioritization
- Drive key initiatives and projects for the Chief Marketing Officer
- Be a trusted advisor to Marketing Leadership

#### Senior Director, Marketing Operations and Analytics Requirements

- 10+ years of experience in a global SaaS marketing or marketing operations environment.
- BA/BS degree, MBA Preferred
- Excellent quantitative analytical skills, creativity in problem solving, and a keen business sense.
- Experience with marketing attribution models.
- Experience in analyzing, experimenting and driving results in marketing websites.
- Ability to think strategically, but also have exceptional attention to detail to drive program management and execution
- Familiarity with our [tech stack](/handbook/marketing/marketing-operations/#-tech-stack) is a strong plus
- Experience with SQL, Tableau, and/or similar analytical packages a plus
- Ability to conduct sophisticated and creative analysis, yet translate those results to easily digestible messages, communications, and presentations
- Interest in GitLab, and open source software
- You share our values, and work in accordance with those values.
- Ability to thrive in a fully remote organization
- Ability to use GitLab

### VP, Marketing Operations and Analytics

#### VP, Marketing Operations and Analytics Job Grade

The VP, Marketing Operations and Analytics is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)).

#### VP, Marketing Operations and Analytics Responsibilities

- Extends that of the Senior Director, Marketing Operations and Analytics responsibilities
- Lead the globalization and localization function for the company
- Modernize the marekting tech stack to gain efficiences and productivity
- Thought leader defining overall markeeting data and analytics strategy to guide overall go to market strategy
- Lead creation of multiple key marketing strategy initiatives and programs with CMO.

#### VP, Marketing Operations and Analytics Requirements

- Extends that of the Senior Director, Marketing Operations and Analytics
- 12+ years of experience in a global SaaS marketing or marketing operations environment.

## Performance Indicators

- [Total number of SAOs by month](/handbook/marketing/performance-indicators/#total-number-of-mqls-by-month)
- INQ to SAO conversion rate
- Marketing influenced pipeline

## Career Ladder

The next step in the Marketing Strategy job family beyond VP is not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute screening call with one of our Global Recruiters.
- Next, candidates will be invited to speak with the Chief Marketing Officer.
- Next, candidates will be invited to speak with the Sr. Director of Sales strategy
- Next candidates will meet two of CMO staff: AVP of Sales Development, VP of Corporate Marketing, VP of Portfolio Marketing, or VP Demand Generation
- Next, candidates will be invited to meet with a panel of their future direct reports Director of Marketing Strategy, Director of Marketing Operations and Head of Digital Experience
- Finally, candidates will meet either Chief People Officer or Chief Revenue Officer

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
