---
title: "Marketing Operations Associate"
summary: Support the Marketing Operations team in meeting our goals of evaluating/selecting/customizing technology to enable effective marketing at GitLab, ensuring high data quality and helping colleagues access that data to enable smarter decisions, and assisting in marketing analysis/planning/strategy.
---
You understand that setting a foundation for healthy growth in a fast-paced company is effective marketing operations. Your job is to support the Marketing Operations team in meeting our goals of evaluating/selecting/customizing technology to enable effective marketing at GitLab, ensuring high data quality and helping colleagues access that data to enable smarter decisions, and assisting in marketing analysis/planning/strategy. This is an entry level position for Marketing Operations.

## Responsibilities

### Marketing technology

- Learning tools that marketing has in place to act as backup on various systems as needed
- Providing oversight on GitLab issue boards - building weekly standup issues, creating biweekly milestone issues to ensure handbook updates are completed, documenting minutes from meetings, and ensuring labels exist on all Marketing issues

### Marketing data stewardship

- Assisting with data cleanliness in the various systems, merging like records, researching causes of bugs in order to correct processes
- Cleansing, enriching and uploading prospect lists from various events
- Building smart lists in Marketo to aid in geographic and account based marketing efforts

### Marketing analysis

- Providing support to team with ad hoc analysis and/ or the underlying data as needed

## Requirements

- Strong spoken and written English.
- Experience in sales and/or marketing teams of B2B software, Open Source software, and the developer tools space is preferred.
- Experience with marketing automation software a plus.
- Experience with Salesforce CRM software helpful.
- Familiarity with Git and repositories useful.
- Proficiency in MS Excel / Google Sheets.
- You are team-centric.
- You're a self starter, willing to read and watch in order to learn. (Be ready to learn how to use GitLab and Git!)
- You share our [values](/handbook/values/), and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#management-group)
- Ability to use GitLab

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/)."

- Qualified candidates will be invited to schedule a 15 minute [screening call](/handbook/hiring/interviewing/#conducting-a-screening-call) with one of our Global Recruiters.
- A 30 minute interview with future co-worker/s (Marketing Operations Manager)
- A 30 minute interview with future manager (Director, Marketing Operations)
- A 20 minute interview with future marketing partner/s (Field Marketing or Content Marketing)
- Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring/).

## Relevant Links

[Marketing Handbook](/handbook/marketing/)
