---
title: "Marketing Operations Roles"
summary: " "
---

You understand that setting a foundation for healthy growth in a fast-paced company is effective marketing operations. In all cases, you share our [values](/handbook/values/)

## Marketing Operations Independent Contributor (IC) Levels

### Associate Marketing Operations Manager

Your job is to support the Marketing Operations team in meeting our goals of optimizing technology to enable effective marketing at GitLab, ensuring high data quality and helping colleagues access that data to enable smarter decisions, and assisting in marketing analysis, planning and strategy.  This is an entry level position for Marketing Operations.

#### Job Grade

The Associate Marketing Operations Manager is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

Marketing technology

- Learning tools that marketing has in place to act as backup on various systems as needed
- Provisioning licenses for base entitlements to appropriate GitLab team members
- Providing oversight on GitLab issues boards - building weekly standup issues, creating biweekly milestone issues to ensure handbook updates are completed, documenting minutes from meetings, and ensuring labels exist on all Marketing issues

Marketing data stewardship

- Assisting with data cleanliness in the various systems, merging like records, researching causes of bugs in order to correct processes
- Cleansing, enriching and uploading prospect lists from various events
- Building smart lists in Marketo to aid in geographic and account based marketing efforts

Marketing analysis

- Providing support to team with ad hoc analysis and/or the underlying data as needed

#### Requirements

- Exemplary spoken and written English.
- Experience in sales and/or marketing teams of B2B software, Open Source software, and the developer tools space is preferred.
- Experience with marketing automation software a plus.
- Experience with Salesforce CRM software helpful.
- Familiarity with Git and repositories useful.
- Proficiency in MS Excel/ Google Sheets.
- You are team-centric.
- You're a self starter, willing to read and watch in order to learn.  (Be ready to learn and how to use GitLab and Git).
- Ability to use GitLab.

### Marketing Operations Manager (Intermediate)

Your job as marketing operations manager is threefold: maintaining, optimizing, and integrating a set of marketing tech stacks, including Marketo and Outreach. You will work closely with business partners across the organization and help impact change and optimization. You will be able to drive key quarterly OKRs.

#### Job Grade

The Marketing Operations Manager is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

Marketing technology

- Maintain Marketo's performance and optimize processes.
- Create training documentation that guides the marketing team.
- Train the marketing team on marketing software tools.
- Audit use of marketing software tools with an eye towards continually improving how they are configured.

Marketing data stewardship

- Be proactive and review functionality, workflow, and updating landing pages.
- Investigate data quality and continuously improve on data quality.
- Maintain Marketo database quality, ensure GDPR / CASL compliance.

Marketing data examination

- Assist in measuring and investigating the different tools.
- Assist key business partners in measuring the effectiveness of marketing campaigns and marketing automation programs.

#### Requirements

All of the above requirements and:

- Two plus years of experience in Marketing Operations or related role.
- Bachelor's degree.  Is your college degree in French foreign politics with a minor in interpretive dance but you've been selling and marketing products since you were 12!  We understand that your degree isn't the only thing that prepares you as a potential job candidate.
- Experience with modern marketing and sales development solutions such as Salesforce, LeanData, Bizible, ZoomInfo, RingLead, and Marketo.
- Outreach experience is required.
- You are obsessed with making customers happy. You know that the slightest trouble in getting started with a product can ruin customer happiness.
- Be ready to learn how to use GitLab and Git.

### Senior Marketing Operations Manager

#### Job Grade

The Senior Marketing Operations Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

All of the above responsibilities and:

- Oversee strategic and operational initiatives across marketing and with other functions to drive performance improvements, continuously enhance the impact of marketing and help the company continue along its fast growth trajectory.
- Collaborate across functions to structure problems, conduct analysis, and drive to solutions through a rigorous, data-driven process.
- Create and manage project plans with clearly defined deliverables and resources, coordinate work streams and dependencies, track and communicate progress, and identify obstacles and ensure they are addressed.

#### Requirements

All of the above requirements and:

- Excellent spoken and written English.
- 5+ years of experience, including more technical expertise.
- Excellent analytical and problem-solving skills.
- Exemplary oral and written communication skills, including ability to concisely present project deliverables.
- Ability to work successfully with little guidance.

### Staff Marketing Operations Manager

#### Job Grade

The Staff Marketing Operations Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Justification

The business need for an individual contributor Staff Manager Marketing Operations Manager role is to have a team member with a high level of expertise working with cross-functional groups and to be able to confidently drive facilitation of problem-solving and influence decisions by being a technical/functional knowledge expert that articulates ideas very well. Heavy cross-department collaboration is expected with a greater emphasis on being a thought partner and having a strong problem-solving skillset. This position is needed to help with alignment with our growing stakeholder list across the company that has complex work requirements we need to support but sometimes do not have a dedicated project driver.  In the market, there are over 75 organizations that typically have 3 to 4 staff level team members.

#### Responsibilities

All of the above responsibilities and:

- Provide technical and functional knowledge to projects that contribute to overall direction across teams.
- Collaborate across functions to structure problems, conduct analysis, and drive to solutions through a rigorous, data-driven process.
- Create and manage project plans with clearly defined deliverables and resources, coordinate work streams and dependencies, track and communicate progress, and identify obstacles and ensure they are addressed.
- Lead others by sharing solutions and problem solving approaches.
- Make technical and project decisions for the team.
- Implement technical and strategic decisions across teams.

#### Requirements

All of the above requirements and:

- Can understand and work on complex problems requiring a deep understanding of multiple sources of data to make a recommendation.
- Exemplary oral and written communication skills, including ability to concisely present project deliverables.
- Can lead others by sharing solutions and able to facilitate problem-solving with others.
- Able to provide technical and functional knowledge to projects that contribute to the overall direction across teams.
- Can be the go-to for managers on complex projects or programs and able to be a thought-partner for technical/project decisions.
- Very well spoken and can articulate thoughts and solutions well.
- Ability to work successfully with little guidance.

### Principal Marketing Operations Manager

#### Job Grade

The Principal Marketing Operations Manager is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Justification

The business need for an individual contributor Staff Manager Marketing Operations Manager role is to have a team member with a high level of expertise working with cross-functional groups and to be able to confidently drive facilitation of problem-solving and influence decisions by being a technical/functional knowledge expert that articulates ideas very well. Heavy cross-department collaboration is expected with a greater emphasis on being a thought partner and having a strong problem-solving skillset. This position is needed to help with alignment with our growing stakeholder list across the company that has complex work requirements we need to support but often don't have a project driver.

#### Responsibilities

- Drives strategic decision-making across teams and sub-departments.
- Relationship-building with key decision makers and working on unique issues where the solution requires research and cross-team alignment.
- Oversees initiatives and makes decisions impacting multiple teams. These decisions may involve more team members and resources and generally at a higher level of risk and complexity than the manager level.
- Self-act independently to determine methods and procedures for new assignments.
- Act as a strategic leader within the organization.
- Collaborate and make proposals across several teams, and helps team members make informed decisions in alignment with strategic plans.
- Drives formal networks with key decision makers and serves as external spokesperson for the organization.
- Impact results across teams.
- Expert in using GitLab.

#### Requirements

- Experience working across teams on alignment and being the go-to for managers on complex projects or programs.
- Entrepreneur mindset that can get projects kicked off with little/no support across teams and sub-departments.
- Experience playing a central role in technical, business, and organizational contributions impacting a team member's Sub-department
- Able to analyze issues and make decisions impacting multiple teams. These decisions may involve more team members and resources and generally at a higher level of risk and complexity than the manager level.
- Experience working across teams and/or Sub-department. Often collaborating with Senior Managers/Directors.

## Marketing Operations People Manager Levels

### Manager, Marketing Operations

#### Job Grade

The Manager, Marketing Operations is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Effectively influence, align, and collaborate with key functions, particularly Sales, Finance, Compliance, and Legal.
- Recruit, develop and guide a team to execute on key marketing strategies.

#### Requirements

- 8+ years of experience with go-to-market operations strategy and business analytics.
- 5+ years of experience managing marketing vendors and/or team management.
- Ability to work collaboratively, internally and externally.
- Ability to manager/prioritize multiple projects and adapt to a changing, fast-paced environment.
- Demonstrated management skill and ability to oversee a team and work in a group environment, including collaboration with Senior/Executive level leadership.
- Possess exemplary interpersonal skills including influencing, negotiations and teamwork skills.
- Ability to think strategically, develop frameworks and platforms that ensure optimal and unfettered access to business tools, assets and capabilities.
- Superb analytical, problem-solving capability and help the team make sound conclusions.
- You believe in teamwork and are not afraid of rolling up your sleeves.

#### Career Ladder

The next step in a Manager, Marketing Operations' career at GitLab is to be a Senior Manager, Marketing Operations. The next step after that would be [Director, Marketing Operations.](/job-families/marketing/director-marketing-operations/).

### Senior Manager, Marketing Operations

#### Job Grade

The Senior Manager, Marketing Operations is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) and extends the responsibilities of the grade 8 manager level.

#### Responsibilities

- Strategize, prioritize, frame discussions, goal set, and provide leadership across multiple teams and/or the Sub-Department.
- Fosters decision-making and problem-solving aligned with GitLab's Values across multiple teams and/or Sub-Department.
- Implements strategies into functional plans and specific tasks. Influence direct reports, primary stakeholders, and leaders within other teams.
- Works through challenges, sets up clear options for Senior Leadership and drives toward timely decisions.
- Is a trusted lead on the team that adds value to projects, and is often called upon to resolve crises or provide information.
- Anticipate shifts in direction/strategy, and knows when to prepare or adapt the team based on interactions with leaders and others.
- Recruit and have a healthy pipeline of talent within the team and create development plans for team members.

#### Requirements

- Expert experience with go-to market operations, martech, and business analyics.
- 6+ years of team management and managing vendors
- Ability to work async and collaboratively across teams
- Ability to manage/prioritize multiple projects across different marketing teams and departments (Sales Operations, Sales Systems, Finance , legal, product, etc...) within a fast-paced environment.
- Strong management skill set/experience with the ability to lead team and align with executive leadership
- Expert in both soft and hard skills and veteran in influencing, framing, teamwork, and negotiation skills.
- Master in understanding martech and how the different tools, processes, and strategies influence each-other. Can frame and communicate this to leadership to help drive decision-making.
- Able to analyze situations and makes tactical decisions involving day-to-day operations of multiple teams. These decisions may encompass more team members and resources and generally at a higher level of risk and complexity than the manager level.
- Articulates risks and gaps to leadership. When identifying risks, makes a compelling case to senior leaders with options for how to address the anticipated problem.
- Excellent analytical, problem-solving capability and help the team make sound conclusions.
- Lead by example. Can drive decision making but can also roll up your sleeves.
- Able to Escalate issues to appropriate levels of authority when decisions or progress are blocked and are able to frame the issue.

#### Career Ladder

The next step in a Senior Manager, Marketing Operations career ladder would be [Director, Marketing Operations.](/job-families/marketing/director-marketing-operations/).
The next step after that would be [Director, Marketing Operations.](/job-families/marketing/director-marketing-operations/).

### Director, Marketing Operations

As the Director of Marketing Operations, you will be responsible for leading the team that ensures effective strategy, efficient investment, and accountability across the GitLab marketing department. You will be responsible for ensuring marketing technology is customized to the needs of its users as well as set up to ensure effective data quality. You will also lead process development, budget administration, and marketing analytics.

#### Job Grade

The Director, Marketing Operations is a grade 10.

#### Responsibilities

- Define the Marketing Operations vision and strategy that enables intelligent decisions through precise analysis.
- Own the marketing operations roadmap, ensuring marketing technology is evaluated, selected, implemented and customized to meet the needs of the marketing department.
- Administer the marketing budget and ensure marketing costs are tracked correctly.
- Partner with GitLab's Data and Analytics team to ensure the marketing department can correctly report on the ratio between customer lifetime value and customer acquisition cost, by marketing acquisition tactic.
- Regularly inform stakeholders across marketing, sales, and finance of insights on marketing performance to ensure cross functional alignment on the best possible data-driven marketing strategy.
- Track and report on the entire marketing funnel including volume, velocity, conversion stage-to-stage, and average value; make sure funnel measures can be analyzed by key dimensions such as industry, geo, and persona.
- Work with the Product team on having product usage inform better marketing to our customers and people trialing GitLab.
- Ensure processes are designed, documented, understood, and followed in a way that minimizes bad or incomplete data.
- Continually work to simplify systems and processes, avoiding customization bloat and over-engineered processes.
- Manage, build, and lead a strong team by coaching and developing existing members and closing talent gaps where needed through acquisition of new team members.
- Negotiate contracts with vendors.

#### Requirements

- 10+ years of experience including:
- 5+ years of management experience.
- Direct experience in enterprise software industry and SaaS
- Strong leadership presence.
- Balance of strategic vision and tactical execution.
- Extremely analytical and strategic.
- Adept at managing multiple projects and deadlines.
- Excellent planning, organizational and project management skills.
- Demonstrated experience designing an innovative marketing technology stack.
- Proven experience with change management and organizational transformation.
- Familiarity with our tech stack is a strong plus.
- BA or equivalent experience.
- Leadership at GitLab.
- Ability to use GitLab.

#### Career Ladder

The next step in a Director, Marketing Operations' career at GitLab is to be a Senior Director, Marketing Operations.

### Senior Director, Marketing Operations

#### Job Grade

The Senior Director, Marketing Operations is a grade 11.

#### Responsibilities

- Align leadership to marketing operations strategy and work with other teams/sub-departments to get alignment on how their teams plug in and provide feedback.
- Drive alignment with other teams/sub-departments on the marketing operations roadmap and whether future iterations fit the needs of the marketing leadership team.
- Secure yearly budget for the marketing operations team to allow for scale and fit the needs of the company.
- Regularly inform leadership across marketing, sales, and finance of insights on marketing performance to ensure cross-functional alignment on the best possible data-driven marketing strategy.
- Ensure cross-team alignment on how to track and report on the entire marketing funnel including volume, velocity, conversion stage-to-stage, and average value; make sure funnel measures can be analyzed by key dimensions such as industry, geo, and persona.
- Remove roadblocks for the marketing operations team at the manager+ level that impact prioritization, resourcing, and unnecessary fire-drills
- Manage, build, and lead a strong team by coaching and developing existing leadership.
- Engage with Senior Leadership to develop strategic plans and objectives. Make final decisions on the implementation and ensures operational effectiveness within the Department. Be accountable for actions that impact function or department budgets.
- Communicates Department strategy and makes sound decisions that support the strategy. Cascades important and relevant information to their and other teams in a timely manner.
- Develops frameworks and strategies to hire and retain a high-performing workforce to create a competitive advantage.
- Provides leadership and develops direction and strategy through directors and/or senior managers within Department.
- Sets key objectives within the Department and enables the team to achieve results through removing blockers and allocating resources.
- Communicate within highly visible activities such as speaking with customers, influencing other executives, and representing GitLab on matters of importance to the organization.

#### Requirements

- 11+ years of experience including:
- 7+ years of management experience.
- 10+ experience in the enterprise software industry and SaaS.
- Excellent leadership presence and can communicate structured thoughts/ideas seamlessly.
- Frame the strategic vision and tactical execution. Able to understand and do both.
- Both analytical and strategic.
- Adept at managing multiple projects and deadlines across different teams and departments.
- Excellent vendor negotiator and partner to finance.
- Excellent planning, organizational, and project management skills. Drive team planning sessions and OKR setting with feedback from leadership.
- 8+ years of experience designing an innovative marketing technology stack.
- Master skill level with change management and organizational transformation.
- Familiarity with our tech stack is a strong requirement.
- MA/MS/MBA preferred.
- Excellent leadership skills.
- Ability to use GitLab.
- Uses financial information to keep Department on budget and focused on the right business priorities.

#### Marketing Operations Themes for FY23

- Improve data quality to strengthen lead routing, speed to lead, and data integrity
- Marketing Operations Martech roadmap is compliant with privacy and clear tool swimlanes are documented
- Martech is leveraging (or developing requirements to get there) best-in-class personalization features to allow for more personalized prospect/customer interactions
- Improve funnel and operational efficiency
- Enhance lead scoring, routing, and contact data quality

#### Performance Indicators for Marketing Operations

- MOPs martech roadmap: consolidate martech where possible, increase user adoption, utilization, and ROI
- Increase conversation to meetings scheduled rate by 2% (currently 8.7% conversion) via Drift
- Utilize ABM to further segment audiences on the website to deliver more personalized and relevant messaging
- Decrease gaps in the current setup and configuration of the Adobe Marketo Measure tool to less than 10%

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 15 minute [screening call](/handbook/hiring/interviewing/#conducting-a-screening-call) with one of our Global Recruiters after completing our questionnaire provided.
- A 30 minute interview with future co-worker/s (Marketing Operations Manager)
- A 45 minute interview with future manager (Director, Marketing Operations)
- A 30 minute interview with future marketing partner/s based on specialization
- Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring/).

### Relevant Links

[Marketing Handbook](/handbook/marketing/)
