---
title: "Marketing Program Manager"
summary: " "
---

You might describe yourself as inquisitive, creative, organized, and curious. You have experience in planning engaging marketing programs and using modern marketing technology to deliver those programs. You enjoy setting up elegant workflow in marketing automation platforms, conducting quality assurance, measuring results and making informed conclusions based on what you learn.

### Job Grade

The Marketing Program Manager is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- The marketing program manager will report to the Manager of Digital Marketing Programs.
- Manage business-to-business marketing programs in Marketo for email campaigns, event promotion, event follow up, drip email nurture series, webinars, and content.
  - Work closely with content and design teams to create landing pages for webinar registration and gated content.
  - Maintain marketing database segmentation to ensure any communications delivered are relevant to the audience receiving them.
  - Work closely with product marketing on mapping marketing database segmentation to personas.
  - Ensure all Marketo programs are linked to salesforce.com campaigns to ensure accurate campaign ROI tracking.
  - Analyze email, webinar, and campaign performance with an eye towards continuous improvement, and sharing insights across the team.
  - Facilitate a marketing program retrospective following completion of each marketing program.
- Create email and landing page split tests to improve the team's understanding of what subject lines, headers, images, copy, and calls-to-action are most effective.
- Work with our marketing and sales teams to become a specialist on the company's lead funnel - from web visitor to customer and everything in-between.
- Participate in marketing technology evaluation.
- Document all processes in the handbook and update as needed.

### Requirements

- Excellent spoken and written English.
- Deep empathy for our audience of developers and IT leaders. Our community is changing the world, and you want to help accelerate their success through relevant, useful communications.
- You are obsessed with making customers happy. You know that spam, unclear instructions, and unnecessary clicks/forms/inputs can be incredibly frustrating.
- Power user of marketing automation software (Marketo preferred).
- Power user of CRM software (Salesforce preferred).
- Experience working in a B2B software marketing team.
- Experience with Open Source software, and/or the developer tools space is preferred.
- Proficiency in MS Excel or Google Sheets.
- Be familiar with or ready to learn how to use GitLab and Git.
- You share our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab

## Senior Marketing Program Manager

### Job Grade

The Senior Marketing Program Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Create marketing automation enabled marketing campaigns.
- Perform marketing and customer data analysis and market segmentation, ideal customer profile definition, and lead scoring model creation.
- Build out marketing database segmentation to ensure any communications delivered are relevant to the audience receiving them and work closely with product marketing on mapping marketing database segmentation to personas.

### Additional Senior Role Requirements

- Bachelor's degree or foreign equivalent in Business Administration, Marketing, Finance, or related field, and 72 months of relevant experience.

## Career Ladder

The next step in the Marketing Program Manager job family is to move to a [Manager, Marketing Programs](/job-families/marketing/manager-marketing-programs) role.
