---
title: Marketing Analytics
description: The Marketing Analytics team at GitLab is responsible for enabling the Marketing org with data and insights to drive marketing strategy, planning, and tactics that generate incremental improvements in our results, and empower us to cohesively communicate Marketing impact.

---

## Levels

### Marketing Analyst (Intermediate), Marketing Analytics

The Marketing Analyst (Intermediate), Marketing Analytics reports to the Director, Marketing Analytics.

#### Marketing Analytics Analyst (Intermediate), Marketing Analytics Job Grade

The Marketing Analytics Analyst (Intermediate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Marketing Analyst (Intermediate), Marketing Analytics Responsibilities

- Develop and maintain Marketing reporting in Tableau with consistent metrics definitions and excellent user experience (UI/UX).
- Assist with Annual Planning and ad-hoc data analysis based on business questions by Marketing Leadership.
- Present results to the executive leadership team.
- Continuously develop the Marketing Analytics Handbook pages to ensure they represent the current state of our strategy, processes, and operations.

#### Marketing Analyst (Intermediate), Marketing Analytics Requirements

- BA/BS degree in a quantitative field
- Excellent analytical skills, creativity in problem solving, and a keen business sense
- Strong SQL, Tableau and Snowflake skills
- Experinece with Google Analytics, Tag Manager and web analytics data
- Deep understanding of Salesforce and Marketo data and reporting
- Ability to thrive in a fully remote organization
- Share our values, and work in accordance with those values
- Familiarity with GitLab or similar tool
- Ability to break-down objectives into two-week delivery milestones and familiarity with - Agile methodologies

### Senior Marketing Analyst, Marketing Analytics

The Senior Marketing Analyst, Marketing Analytics reports to the Director, Marketing Analytics.

#### Senior Marketing Analyst, Marketing Analytics Job Grade

The Senior Marketing Analyst, Marketing Analytics is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Marketing Analyst, Marketing Analytics Responsibilities

- Extends that of the Marketing Analyst (Intermediate) responsibilities
- Ability to conduct sophisticated data analysis, and translate data into easily digestible messages, communications, and presentations.

#### Senior Marketing Analyst, Marketing Analytics Requirements

- Extends that of the Marketing Analyst (Intermediate) requirements
- Exellent communication skills
- Experience communicating technical concepts to non-technical team members

## Specialties

### Sales Development Analytics

Data analytsis focused on the Sales Development organization and its key metrics.

#### Senior Marketing Analyst (Sales Development), Marketing Analytics Requirements

- Extends that of the Senior Marketing Analyst responsibilities
- Develop and maintain Sales Development reporting in Tableau with consistent metrics definitions and excellent user experience (UI/UX).

#### Senior Marketing Analyst (Sales Development), Marketing Analytics Responsibilities

- Extends that of the Senior Marketing Analyst responsibilities
- Hands on experience in a Sales Dev data analytics role

### Manager, Marketing Analytics

The Manager, Marketing Analytics reports to the Director, Marketing Strategy and Performance.

#### Manager, Marketing Analytics Job Grade

The Manager, Marketing Analytics is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Marketing Analytics Responsibilities

- Create a leading Marketing Data Program to support GitLab's vision.
- Manage, lead, and develop a High-Performance Team, including day-to-day assignments, bi-weekly milestone planning (followed by a recorded demo), twice a week standups, 1-1s, quarterly objectives, and annual reviews.
- Understand the big picture and demonstrate how your team supports it through prioritization, planning, and solutioning.
- Develop and manage executive Monthly Key Reviews, formulating actionable insights and structuring a concise, clear presentation of findings.
- Ability to conduct sophisticated and creative analysis, yet translate those results to easily digestible messages, communications, and presentations.
- Assist with annual planning.
- Continuously develop the Marketing Analytics Handbook pages to ensure they represent the current state of our strategy, processes, and operations.

#### Manager, Marketing Analytics Requirements

- 5+ years hands on experience in a data analytics/engineering/science role
- 2+ years leading or managing a team of data analysts
- Strong knowledge of agile methodologies
- Excellent quantitative analytical skills, creativity in problem solving, and a keen business sense
- Exceptional experience creating and developing partnerships with internal team members towards delivery of impactful analytics solutions
- Experience communicating technical concepts to non-technical team members
- Ability to break-down objectives into two-week delivery milestones
- Understanding of SQL and relational databases (we use Snowflake)
- Salesforce experience helpful
- Ability to thrive in a fully remote organization
- Share our values, and work in accordance with those values
- Ability to use GitLab
- Leadership at GitLab

### Director, Marketing Analytics

The Director, Marketing Analytics reports to the [VP of Marketing Ops and Analytics](/job-families/marketing/marketing-operations-and-analytics/#vp-marketing-operations-and-analytics).

#### Director, Marketing Analytics Job Grade

The Director, Marketing Strategy is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Marketing Analytics Responsibilities

- Own and architect the overall measurement framework for GitLab Marketing, including defining key marketing metrics and developing and maintaining dashboard sources of truth.
- Drive clear full funnel reporting of Marketing performance across key dimensions such as new and growth, customer segments, and geographies.
- Be a thought partner to Marketing functional stakeholders– e.g. Digital Marketing, Field Marketing, Digital Experience, Brand, Product Marketing, etc.– by managing a team that analyzes data, surfaces insights, and recommends actionable findings.
- Solve marketing data and reporting challenges to further Marketing's understanding of levers that move the business– e.g. marketing attribution, lead scoring optimizations, and ROI and efficiency reporting across our marketing activities.
- Build a world-class Marketing Analytics team, maintaining a strategic roadmap and ensuring efficient day-to-day operations for on-time delivery. Set priorities for the Marketing Analytics team, as well as mentoring and coaching them.
- Be a trusted advisor to Marketing Leadership in driving marketing strategy, by partnering with them and their teams to ensure that data guides decision making and prioritization. Assist in defining and measuring Marketing OKR metrics.
- Author and deliver executive-level presentation materials to support CMO and Marketing Leadership in key communication forums, e.g. Key Reviews, Board decks, and E-Group level communications
- Partner with the Marketing Operations, Sales Operations, and IT teams to drive data quality and measurement instrumentation.
- Partner with the Central Data Team and other functional data teams across the company to build and maintain shared source of truth data and definitions to enable consistent and fast answers to business questions.
- Build for long-term scalability by looking for automation and self-service reporting opportunities.

#### Director, Marketing Analytics Requirements

- 8-10+ years of experience marketing analytics and operations, ideally in a B2B SaaS environment that has grown and scaled quickly
BA/BS degree, MBA or other related advanced degree preferred
- Track record of success in driving business decisions and outcomes by empowering decision makers with key data and insights
- Excellent quantitative analytical skills, creativity in problem solving, and a keen business sense
- Comfortable with B2B full funnel metrics and experience with digital marketing data and associated technologies (e.g. Google Analytics / GA4, Adobe Marketo Measure)
- Expertise in data visualization best practices in Tableau, experience with Looker Studio, etc.
- Demonstrated people management skills and career development of team members
- Ability to think strategically, but also have exceptional attention to detail to drive prioritization and end-to-end ownership of execution
- Experience in building high quality and executive-level presentations (i.e. Board of Directors and C-suite audience)
- Strong executive presence and ability to influence cross-functionally across global teams
- Comfortable in a fast-paced environment; ability to balance structured methodologies and precision with speed of execution and practical decision making
- Interest in GitLab and open source software
- A shared interest in our values, and working in accordance with those values

## Performance Indicators

- [Total number of SAOs by month](/handbook/marketing/performance-indicators/#total-number-of-mqls-by-month)
- INQ to SAO conversion rate
- Marketing influenced pipeline

## Career Ladder

The next step in the Marketing Strategy job family beyond director is not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to speak with our VP of Marketing Ops and Analytics
- Next, candidates will be invited to speak with one of our Marketing Analysts
- Next, candidates will be invited to speak with one of our Integrated Marketing Directors.
- Next, candidates will be invited to speak with our VP of Data
- Next, candidates will be invited to speak with the People Business Partner for Marketing.
- Finally, candidates will be invited to interview with the Chief Marketing Officer.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
