---
title: Product Designer (UX) - Marketing
summary: A Product Design Roles on GitLab's Marketing team, collaborates closely with Product Managers, Engineers, UX Research, and other Product Designers to create a productive, streamlined, and human experience.
---

A Product Design Roles on GitLab's Marketing team, collaborates closely with Product Managers, Engineers, UX Research, and other Product Designers to create a productive, streamlined, and human experience. Product Designers report to a Product Manager.

## Levels

### Product Designer (UX) - Marketing (Intermediate)

The Product Designer (UX) - Marketing (Intermediate) reports to the Director, Digital Experience

#### Product Designer (UX) - Marketing (Intermediate) Job Grade

The Product Designer (UX) - Marketing (Intermediate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Product Designer (UX) - Marketing (Intermediate) Responsibilities

- Help to define and improve the marketing experience of about.gitlab.com
- Define journeys and design experiences that fit within user flows.
- Create deliverables (wireframes, mockups, prototypes, flows, and so on) to communicate ideas.
- Work with Product Managers and Engineers to iterate on and refine the existing experience.
- Involve UX Researchers when needed, and help them define research initiatives (usability tests, surveys, interviews, and so on).
- Stay informed and share the latest on UI/UX techniques, tools, patterns, accessibility, and best practices.
- Understand responsive design.
- Have working knowledge of Markdown and bonus points for familiarity with HTML/CSS/Javascript.
- Have knowledge and understanding of design systems theory and practice.
- Nice to have a general knowledge of Git flow (for example, feature branching, merge/pull requests, and pipelines).

#### Product Designer (UX) - Marketing (Intermediate) Requirements

- **Product knowledge:** Understand the technology and features of GitLab.
- **Research:** Conduct [solution validation](/handbook/product-development-flow/#validation-phase-4-solution-validation) with guidance of your Product Manager and incorporate insights into design decisions to fulfill user and business needs.
- **Deliverables:** Create deliverables for our [Digital Experience team](/handbook/marketing/digital-experience/) (for example: competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.
- **Communication:** Communicate the results of UX activities with the [Digital Experience team](/handbook/marketing/digital-experience/), cross-functional partners, and other interested GitLab team-members using clear language that simplifies complexity.
- **Usability:** Proactively identify both small and large usability issues with the Marketing site.
- **Iteration:** Practice design iteration and take part in our 2 week sprint cadence by breaking down the designs to fit release cadence, reviewing and approving merge requests (visual quality assurance).
- **Design system:** Keep design components available and up to date in prototyping tools, ensuring that reusable components fit visually and functionally together as well as meeting accessibility requirements. Actively contribute to the [Slippers Design System](https://gitlab-com.gitlab.io/marketing/inbound-marketing/slippers-ui/) and document usage.
- **Design reviews:** Participate in [Design Reviews](/handbook/product/ux/product-designer/#design-reviews), giving and receiving feedback in an appropriate way.
- **Deferred UX:** Understand Deferred UX and make recommendations for its resolution with the help from a Sr. Product Designer or your Product Manager.

### Senior Product Designer (UX) - Marketing

The Senior Product Designer (UX) - Marketing reports to the Director, Digital Experience

#### Senior Product Designer (UX) - Marketing Job Grade

The Senior Product Designer is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Product Designer (UX) - Marketing Responsibilities

- Extends that of the Product Designer (UX) - Marketing responsibilities
- **Product knowledge:** Understand GitLab's Marketing vison and goals as well as proactively learn other product areas.
- **Research:** Independently conduct [solution validation](/handbook/product-development-flow/#validation-phase-4-solution-validation) with minimal guidance from your Product Manager and incorporate insights into design decisions to fulfill user and business needs.
- **Deliverables:** Create deliverables for our [Digital Experience team](/handbook/marketing/digital-experience/) (for example: competitive analyses, low fidelity wireframes, high fidelity mockups, prototypes, journey maps, storyboards, personas, design vision, strategic planning, etc.) that help define the vision and execution of solving real user problems through the user experience.
- **Communication:** Communicate the results of UX activities with a strong point of view within our [Digital Experience team](/handbook/marketing/digital-experience/), cross-functional partners, and other interested GitLab team-members using clear language that simplifies complexity.
- **Usability:** Proactively identify both small and large usability issues within GitLab's Marketing experience, and help influence your Product  Manager and Technical Product Owner to prioritize them.
- **Iteration:** Lead and coach iteration of design work. Take part in the bi-weekly sprint cycle by breaking down the designs to fit release cadence, reviewing and approving merge requests submitted by developers.
- **Design reviews:** Participate in [Design Reviews](/handbook/product/ux/product-designer/#design-reviews), and model best practices for giving and receiving feedback
- **Deferred UX:** Identify and influence the prioritization of Deferred UX.
- **Design system:** Actively contribute to the Slipper Design System, help determine whether components are single-use or multi-use, and provide recommendations to designers regarding new component requests.
- **Public presence:** Help promote GitLab publicly by writing blog articles, giving talks, or responding on social media, where appropriate.
- **Recruiting:** Interview potential UX candidates.
- **Cross-stage collaboration:** Support your Product Manager and Technical Product Owner in identifying dependencies and advocating for cross collaboration when needed.
- **Mentoring:** Mentor other members of the [Digital Experience team](/handbook/marketing/digital-experience/), both inside and outside of Marketing.

#### Senior Product Designer (UX) - Marketing Requirments

## Performance Indicators

- [Contributing to the success of Digital Experience's Quarterly Initiatives](/handbook/marketing/digital-experience/#okrs)
- [Identifying and organizing epics into executable Sprint plans](/handbook/marketing/digital-experience/#iteration-process)
- [Successfully completing bi-weekly Sprint tasks](/handbook/marketing/digital-experience/#sprint-cycle)

## Career Ladder

The next step in the Product Design (UX) - Marketing job family is not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, you can find their job title on our [team page](/handbook/company/team/).

- Select candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 30 minute interview with our Director, Digital Experience.
- Next, candidates will be invited to schedule a 30 minute interview with a Fullstack Engineer and a Frontend Engineer on the Digital Experience team.
- Next, candidates will be invited to schedule a 30 minute interview with the Senior Director, Inbound Marketing.
- Finally, candidates will be invited to schedule a 30 minute follow up interview with the Director, Digital Experience.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
