---
title: Product Manager - Marketing
summary: Help educate people on the entire DevOps lifecycle, communicate the value our single application that allows developers to invent, create, and deploy modern applications.
---

The Product Manager - Marketing Job Family educates people on the entire [DevOps lifecycle](https://about.gitlab.com/stages-devops-lifecycle/). They communicate the value our [single application](/handbook/product/single-application) allows developers to invent, create, and deploy modern applications. They communicate how GitLab facilitates [Concurrent DevOps](https://about.gitlab.com/topics/concurrent-devops/) so that teams can work simultaneously instead of sequentially, unleashing collaboration across organizations.

## Levels

### Product Manager - Marketing (Intermediate)

The Product Manager - Marketing reports to the [Director, Digital Experience](/job-families/marketing/digital-experience/#director-of-digital-experience), and is part of the [Digital Experience](/handbook/marketing/digital-experience/) team.

#### Product Manager - Marketing (Intermediate) Job Grade

The Product Manager - Marketing (Intermediate) is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Product Manager - Marketing (Intermediate) Responsibilities

- Adept at qualitative customer interviewing
- Familiar with prioritization frameworks to organize opportunity backlogs
- Capable of deriving key insights and patterns from customer interviews, and using that input to clarify problem statements
- Proficient at story mapping, to break epics down into smaller MVC issues
- Proficient at collaborating with Design on prototypes to bring potential solutions to life
- Adept at breaking epics and issues down into MVC's
- Knowledgeable about GitLab's product and the relevant product domain(s)
- Knowledgeable about GitLab's Marketing site architecture, API's, and tech stack
- Capable of running a demo anytime
- Able to make highly informed prioritization & tradeoff decisions with engineering
- Able to discuss & evaluate technical architecture recommendations from engineering
- Responsible for the health of working relationships with peers in Marketing and Product
- Familiar and comfortable with agile development methodologies
- Understands and communicates the business value of epics and issues
- Sets success metrics for epics and issues, and tracks metrics post-launch to guide investment in iterative improvements
- Spends up to 20% of time researching & defining category vision & strategy
- [Bring ideas to reality](/handbook/product/product-principles/#bringing-ideas-to-reality) by surfacing ideas early and collecting feedback
- Capable written and verbal communicator internally and externally. Drives clarity in area
- Builds rapport with stakeholders to align around priorities
- Self-aware and understands how their interactions impact others
- Two to four years of relevant experience or equivalent combination of experience and education

### Product Manager - Marketing (Intermediate) Requirements

- Experience in product management
- Thorough understanding of Git and Git workflows
- Knowledge of the developer tool space
- Technical proficiency: you understand how software is built, packaged, and deployed
- Passion for design and usability
- Highly independent and pragmatic
- Excellent proficiency in English
- You are living wherever you want and are excited about the [all remote](/handbook/company/culture/all-remote/) lifestyle
- You share our [values](/handbook/values/), and work in accordance with those values
- Ability to use GitLab
- Bonus points: experience with GitLab
- Bonus points: experience in working with open source projects

### Senior Product Manager

The Senior Product Manager reports to the Director, Digital Experience.

#### Job Grade

The Senior Product Manager is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Product Manager Responsibilities

- Extends the Product Manager - Marketing (Intermediate) responsibilities
- Experts in their product domain and viewed as such to the community and internally at GitLab
- Prioritize and manage their products with minimal guidance from leadership or other product team members
- Drive the product in the right direction by consistently delivering outsized impact to Quarterly defined Marketing metrics
- Take an active role in defining the future by mastery of the competitive and market landscape and understanding how this landscape impacts the Marketing and Digital Experience roadmap
- Manage the product lifecycle end-to-end by documenting ROI or impact for a given action, feature, or prioritization decision and Executing to deliver outsized results on the aforementioned ROI/impact analysis
- Engage with stakeholders in two-way communication
- Represent GitLab as a product and domain expert in front of industry analysts, strategic customers, industry events/conferences, and other events
- Comfortable presenting to C-level executives both internally at GitLab and externally to customers and prospects
- Lead by example by Mentoring less experienced Product Managers to enable them add more value sooner

#### Senior Product Manager Requirements

- Extends that of the Product Manager - Marketing (Intermediate) requirements
- Experience in leading product management teams
- Experience with strategic creation of roadmaps that span multiple products
- Highly interdependent and collaborative

## Performance Indicators

- [Contributing to the success of Digital Experience's Quarterly Initiatives](/handbook/marketing/digital-experience/#okrs)
- [Identifying and organizing epics into executable Sprint plans](/handbook/marketing/digital-experience/#iteration-process)
- [Successfully completing bi-weekly Sprint tasks](/handbook/marketing/digital-experience/#sprint-cycle)

## Career Ladder

The next step in the Product Manager - Marketing job family is not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, you can find their job title on our [team page](/handbook/company/team/).

- Select candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 30 minute interview with our Director, Digital Experience.
- Next, candidates will be invited to schedule a 30 minute technical interview with our Fullstack Engineer and a Frontend Engineer on the Marketing team.
- Next, candidates will be invited to schedule a 30 minute interview with the Senior Director, Growth Marketing.
- Finally, candidates will be invited to schedule a 30 minute follow up interview with the Director, Digital Experience.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
