---
title: "Product Marketing Management"
summary: " "
---

### Senior Manager, Product Marketing

The Senior Manager, Product Marketing reports to the Director of Product Marketing.

#### Senior Manager, Product Marketing Job Grade

The Senior Manager, Product Marketing is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Product Marketing Responsibilities

- Recruit, coach and manage product marketing managers that live our values
- Set organization direction, staff for scale and develop the skills and career paths of all team members
- Ensure all our product marketing managers are very effective.
- Promote  and identify underperformance proactively.
- Own the quality, effectiveness and performance of the product marketing team results.
- Measure and improve the happiness and productivity of the team.
- Partner and work closely with Technical Product Marketing, Product Management, Sales, Engineering, Customer Success, and other Marketing functions.
- Make sure the success metrics such as quarterly OKRs are identified, met, and communicated across key stakeholders.

#### Senior Manager, Product Marketing Requirements

- 8-10 years of product marketing experience.
- Experience with DevOps and/or developer tooling
- Team player with strong intra-personal skills, skilled at project management and cross-functional collaboration.
- 5+ years experience in hiring, scaling, managing and leading a team.
- Understand the difference between managing and leading a team.
- Experience managing external vendors and agencies.
- Enterprise software company experience.
- Passionate about open source and developer tools.
- Strong communication skills.
- You share our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab

### Director, Product Marketing

The Director, Product Marketing reports to the Senior Director, Product & Solutions Marketing

#### Director, Product Marketing Job Grade

The Director, Product Marketing is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Director, Product Marketing Responsibilities

- Define GitLab's product marketing strategy and roadmap, in collaboration with partners across R&D and GTM
- Create and solidify the platform value message and proposition - mapping across the platform stages and highlighting category benefits
- Refine our understanding of buyer/decision-maker personas and journeys to streamline both digital/self-serve and sales-driven/assisted experiences
- Amplify product content development, mapped to buyer journey and sales funnel based on a multi-persona approach
- Partner with Sales to deliver enablement content, including sales plays, and objection handling based on our GTM strategy
- Create a holistic competitive playbook to address multiple competitive vectors and opportunities across the market landscape
- Influence Analyst Relations through cohesive messaging and value articulation
- Implement a systematic program and strategy to launch new products, pricing and packaging changes
- Translate customer insights to influence GitLab's product strategy and roadmap so that we continue our category-defining trajectory
- Collaborate with and connect stakeholders across R&D and GTM to ensure cross functional alignment on key objectives and results
- Manage a team by coaching existing members and closing talent gaps where needed through acquisition of new team members

#### Director, Product Marketing Requirements

- 10+ years of experience including 3+ years of managing senior product marketers at a high-growth B2B SaaS company
- Direct experience in enterprise software industry
- Strong understanding and firm grasp of the DevTools market landscape
- Articulate, clear, and concise communication (verbal and written)
- Balance of strategic vision and tactical team-based execution
- Excellent planning, organizational and initiative management skills
- B.S. or equivalent experience; MBA a plus
- You share our [values](/handbook/values/), and work in accordance with those values
- Ability to use GitLab

### Senior Director, Product & Solutions Marketing

The Senior Director, Product & Solutions Marketing reports to the Vice President, Portfolio Marketing

#### Senior Director, Product & Solutions Marketing Job Grade

The Senior Director, Product & Solutions Marketing is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Senior Director, Product & Solutions Marketing Responsibilities

- Define, evolve and evangelize the DevOps platform category positioning on behalf of GitLab
- Create and solidify the platform value message and proposition - mapping across the platform stages and highlighting category benefits
- Drive our expertise at influencing the buyer/decision-maker personas and journeys to streamline both digital/self-serve and sales-driven/assisted experiences
- Elevate our category perspectives through thoughtful content mapped to market needs, organizational priorities and key persona triggers
- Partner with Sales to shape our global enablement strategy, including sales plays, and objection handling based on our GTM strategy
- Develop and implement cross-functional strategies based on deep competitive insight to help us play forward in a competitive environment
- Build a solution marketing capability to help our GTM scale across multi-capability solution playbooks
- Influence the influencers (from key thought leaders to industry analysts) by evangelizing our category positioning and market message
- Architect a scalable strategy to launch new products, pricing and packaging changes that drive GTM growth
- Proactively influence GitLab's platform strategy and roadmap based on competitive insights and market forces
- Build and scale new marketing capabilities in industry/vertical/sector marketing as well as geo/regional marketing
- Collaborate with and connect stakeholders across R&D and GTM to ensure cross functional alignment on key objectives and results
- Lead and grow a team by coaching existing members and closing talent gaps where needed through acquisition of new team members

#### Senior Director, Product & Solutions Marketing Requirements

- 15+ years of experience including 5+ years of managing high-growth teams
- Direct experience in enterprise software industry
- Strong understanding and firm grasp of the DevTools market landscape
- Demonstrated progress across product and solutions marketing in high-growth environments
- Articulate, clear, and concise communication (verbal and written)
- Balance of strategic vision and tactical team-based execution
- Adept at creating and managing multiple global programs
- Excellent planning, organizational and initiative management skills
- B.S. or equivalent experience; MBA a plus
- You share our [values](/handbook/values/), and work in accordance with those values
- Ability to use GitLab

## Career Ladder

The next step for managers of people is to move to the [Director of Product Marketing](/job-families/marketing/vice-president-of-product-marketing/) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates may be invited to interview with the Hiring Manager
- Next, candidates may be invited to interview with 2-4 Team Members
- Finally, candidates may be invited to interview with someone from leadership

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
