---
title: "Product Marketing Manager"
summary: Help tell the story about the value of how GitLab helps to unlock the potential of sharing and contribution.
---
Product Marketing Managers at GitLab have a unique opportunity to contribute to our [mission](/handbook/company/mission/#mission):

To change all creative work from read-only to read-write so that everyone can contribute.
When everyone can contribute, consumers become contributors, and we greatly increase the rate of human progress.

Product marketing managers at GitLab help tell the story about the value of how GitLab helps to unlock the potential of sharing and contribution. As a Product Marketing Manager, you understand our customers, our community, and the challenges they face.  You write about their story and help them understand how GitLab can help them become the heroes they really are.

We work in a unique way at GitLab, where flexibility meets a high paced, pragmatic way of working. And everything we do is in the open. We recommend looking at our [product marketing handbook](/handbook/marketing/strategic-marketing/) to get started.

### Job Grade

The Product Marketing Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

#### Who, Where and Why

- Research and define our enterprise buyer and user personas, their specific needs, pain points, and goals that we can help address.
- Research, document, and operationalize particular customer use cases and problems that GitLab solves.
- Identify and define the key value drivers which differentiate GitLab in the market.
- Partner with sales, product management, customer success, and engineering teams to refine and evolve our product roadmap.

#### What

- Develop product marketing collateral such as website pages, blogs, white papers, webinars, videos, decks, and data sheets supporting the buyer's journey communicating the value of GitLab.
- Participate and contribute to field and industry events as a GitLab evangelist and thought leader.
- Develop and deliver product, market, and industry-specific enablement to the GitLab sales team and partners.
- Create campaign messaging and content as required to support ongoing marketing initiatives.

#### Proof

- Develop relationships with analysts and regularly brief them about GitLab's unique value proposition.
- Document and demonstrate GitLab value in analyst market research reports.
- Support the development of customer case studies and webinars that help to demonstrate the value of GitLab for our customers.

#### Choices

- Participate and support win/loss analysis to understand why we win, where we win, who to target, and what to avoid.
- Support research into competitive threats and challenges to understand how to position GitLab in a rapidly changing market.
- Research and track overarching market trends and patterns.

### Requirements

- 3-4 years of experience in product marketing with desired experience in the specialty.
- Technical background or good understanding of Application Development and IT operations; familiarity with Git, Continuous Integration, Containers, and Kubernetes a plus.
- Outstanding English communications skills to explain and translate complex technical concepts into simple and intuitive communications.
- Able to coordinate across many teams and iterate and deliver in a fast-moving startup environment.
- Proven experience being self-directed and working with minimal supervision.
- Data-driven, use data to measure results and inform decision making and strategy development.
- Experience with Software-as-a-Service offerings and open core software a plus.
- Experience designing sales collateral from scratch based on sales conversations, sales calls, product interviews, user interviews, market research, and your own experience.
- You share our [values](/handbook/values/) and work according to those values.
- Ability to use GitLab.
- Ability to travel if needed and comply with the company's travel policy.
- If employed by GitLab Federal, LLC, team members need to also comply with the applicable vaccination policies.

## Senior Product Marketing Manager

Senior product marketing managers are leaders and bring deep experience in a specific domain. Through your leadership, experience, and insight, you will position GitLab to address business challenges, contribute to the product strategy, and provide thought leadership. You will be expected to prioritize and manage your work with minimal guidance from leadership or other product team members.

### Job Grade

The Senior Product Marketing Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Product Marketing Managers also

- Develop and implement GTM strategies and campaigns in partnership with sales, growth, digital, and content marketing.
- Research and support pricing and packaging decisions in order to meet market demands and needs.
- Define and lead market research projects into specific market segments.

### Senior PMM Requirements

- At least 6 years enterprise software marketing experience, including 4 within product marketing.
- Deep understanding of Agile and DevOps methodologies across the entire Software Development Lifecycle, especially in large enterprise environments.
- Extensive experience in at least one of the following domains/areas (portfolio management, requirements management, agile project management, source code management, continuous integration, quality management, application security, continuous delivery, containers, kubernetes, release management, or application performance monitoring)
- Outstanding English communication skills to explain and translate complex technical concepts into simple and intuitive communications.
- Able to coordinate across many teams and iterate and deliver in a fast-moving startup environment.
- Proven experience being self-directed and working with minimal supervision.
- Data-driven, use data to measure results and inform decision making and strategy development.
- Experience with Software-as-a-Service offerings and open core software a plus.
- Experience designing sales collateral from scratch based on sales conversations, sales calls, product interviews, user interviews, market research, and your own experience.
- You share our [values](/handbook/values/) and work according to those values.
- Ability to travel if needed and comply with the company's travel policy.
- If employed by GitLab Federal, LLC, team members need to also comply with the applicable vaccination policies.

## Principal Product Marketing Manager

### Job Grade

The Principal Product Marketing Manager is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

**Market Justification:** The principal level of this role exists at GitLab to ensure thought leadership in the market to inform future strategy. This role protects revenue growth in future fiscal years. This is a very niche role, with a specialised skill set reporting to the Director, Product Marketing.

### Responsibilies

- Extends that of  the Senior Product Marketing Manager
- Fosters collaborative decision making and problem solving across the departments
- Lead by example as a coach and mentor to the other members of the team, as well as the overall Marketing organization, in areas of expertise and advanced experience.
- Exert influence on the overall objectives, key results, and other long-range measurable goals of the team.
- Self-starter with a strong sense of ownership who is able to prioritize in a complex, fast-paced and lean organization.
- Passion for building a world class program and desire to own and refine key operational processes.
- Takes ownership of group level process inefficiencies, guides cross sub-departments in ensuring things are running smoothly
- Is respected and acknowledged as a thought leader internally and externally

### Requirements

- Extends the Senior Product Marketing Manager requirements
- At least 8 years enterprise software marketing experience, including 6 within product marketing.
- Deep understanding of Agile and DevOps methodologies across the entire Software Development Lifecycle, especially in large enterprise environments.
- Extensive experience in at least one of the following domains/areas (portfolio management, requirements management, agile project management, source code management, continuous integration, quality management, application security, continuous delivery, containers, kubernetes, release management, or application performance monitoring)
- Has experience aligned with the additional responsibilities of a Principal Product Marketing Manager

## Specializations

### Public Sector

## Job Grade

- The Product Marketing Manager, Public Sector is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).
- The Senior Product Marketing Manager, Public Sector is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

The Product Marketing Manager, Public Sector has the same responsibilities as other [Product Marketing Managers](/job-families/marketing/product-marketing-manager/), but specializes in the public sector in the United States and has a separate compensation benchmark for the federal responsibilities.

## Requirements

The Product Marketing Manager, Public Sector has the same requirements as other [Product Marketing Managers](/job-families/marketing/product-marketing-manager/), as well as additional public sector requirements.

### Regulated Industries Specialist (Public Sector)

As a Senior Product Marketing Manager, Public Sector, you will work bring your knowledge and experience of marketing to the federal government to help shape our go to market strategy, messaging and execution.  You will partner closely with our marketing, engineering, business development, sales team and partners to help them address the unique requirements of this market.

#### Requirements

- At least 5 years of product marketing experience marketing and selling public sector.
- Deep understanding of Agile and DevOps methodologies across the entire Software Development Lifecycle, especially the processes and controls typically found in large regulated industries such as public sector and financial services.
- Experience marketing and selling to the US Federal Govt, DOD and civilian agencies.
- Experience around GSA, Federal procurement and the various buying vehicles to enable growth in software sales via our distribution partners.
- A security clearance is a plus.
- Ability to use GitLab

### Security

As a Product Marketing Manager, Security you will work closely with our marketing, engineering, business development and sales team, and partners to help them understand how GitLab security capabilities solve customer problems as well as educate them about market competitors.  You will also be responsible for crafting, testing, creating and rolling out messaging and positioning of GitLab's security capabilities.

#### Requirements

- At least 5 years of product marketing experience marketing cybersecurity products and services such as application security, endpoint security, SIEM, security analytics or network security domains.
- Understand market dynamics, the competition, and customer needs of the cybersecurity space.
- Deep understanding of Agile and DevOps methodologies across the entire Software Development Lifecycle, especially as it relates to application security risks, threats, trends, and patterns.
- Understand enterprise buyer and user personas tasked with security pain points and how to market security solutions to them.
- Security certifications such as CISSP a plus.
- Ability to travel if needed and comply with the company's travel policy.
- If employed by GitLab Federal, LLC, team members need to also comply with the applicable vaccination policies.

### Monitoring

As a Sr. Product Marketing Manager, Monitoring you will work closely with our marketing, engineering, business development, and sales team, and partners to help them understand how GitLab monitoring capabilities solve customer problems as well as educate them about market competitors.  You will also be responsible for crafting, testing, creating and rolling out messaging and positioning of GitLab's monitoring capabilities.

#### Requirements

- At least 5 years of product marketing experience marketing IT operations monitoring products and services such as tracing, logging, application performance monitoring, incident management, and related metrics.
- Understand market dynamics, the competition, and customer needs of the enterprise IT operations space.
- Understand enterprise buyer and user personas tasked with enterprise IT operations and monitoring pain points and how to market monitoring solutions to them.
- Experience with cloud native, datacenter, and hybrid infrastructure and applications desirable.
- Operations certifications such as ITIL a plus.
- Ability to travel if needed and comply with the company's travel policy.
- If employed by GitLab Federal, LLC, team members need to also comply with the applicable vaccination policies.

### Developer (create)

As a Sr.  Product Marketing Manager, Developer (Create), you will work closely with our marketing, engineering, business development, and sales team, and partners to help them understand how GitLab source code management capabilities and developer features help solve customer problems as well as educate them about market competitors.  You will also be responsible for crafting, testing, creating and rolling out messaging and positioning of GitLab's scm capabilities.

#### Requirements

- At least 5 years of product marketing experience marketing developer products and services.  such as source code management, api management, review management, code quality, developer metrics, and productivity.
- Understand market dynamics, the competition, and customer needs of the enterprise application developers.
- Understand enterprise buyer and user personas tasked with developer tools and solutions and how to market developer solutions to them.
- Experience with git, perforce, bitbucket, Gerrit, code reviews, pair programming, and open source software.
- Ability to travel if needed and comply with the company's travel policy.
- If employed by GitLab Federal, LLC, team members need to also comply with the applicable vaccination policies.

### Verify (Continuous Integration)

As a Product Marketing Manager, Verify you will work closely with our marketing, engineering, business development, and sales team, and partners to help them understand how GitLab continuous integration, testing, and quality management capabilities help solve customer problems as well as educate them about market competitors.  You will also be responsible for crafting, testing, creating and rolling out messaging and positioning of GitLab's CI capabilities.

#### Requirements

- At least 5 years of product marketing experience marketing IT software development lifecycle automation and quality products and services such as build automation, test automation, quality management, and agile testing.
- Understand market dynamics, the competition, and customer needs of the enterprise application developers and software testing / QA.
- Understand enterprise buyer and user personas tasked with both developer and QA tools and solutions and how to market to them.
- Experience with jenkins, bamboo, circle CI, automated testing, quality management, traceability and cloud-native applications.
- Ability to travel if needed and comply with the company's travel policy.
- If employed by GitLab Federal, LLC, team members need to also comply with the applicable vaccination policies.

### Agile-Planning (Plan)

As a Product Marketing Manager, Agile-Planning you will work closely with our marketing, engineering, business development, and sales team, and partners to help them understand how GitLab planning and portfolio management capabilities help solve customer problems as well as educate them about market competitors.  You will also be responsible for crafting, testing, creating and rolling out messaging and positioning of GitLab's agile project management capabilities.

#### Requirements

- At least 5 years of product management or product marketing experience marketing IT software agile planning products and services.
- Understand market dynamics, the competition, and customer needs of the enterprise agile project and portfolio management.
- Understand enterprise buyer and user personas tasked with both project and product manager tools and solutions and how to market to them.
- Experience with Jira, Rally, Version One, Agile Craft and other planning and portfolio mgt tools.
- Ability to travel if needed and comply with the company's travel policy.
- If employed by GitLab Federal, LLC, team members need to also comply with the applicable vaccination policies.

### Solutions Marketing & GTM Plays

#### Requirements

- Experience managing or designing solutions and/or go-to-market strategies, plays, and campaigns.
- Ability to work collaboratively with Marketing, Sales, and Product teams and effectively develop relationships with stakeholders at all levels of the organization. to remove impediments that block the team's ability to meet project objectives.
- Exceptional communication and execution skills.
- Proven track record of cross-stakeholder program management and execution with operational rigor.
- Skills to build, maintain, update and optimize critical dashboards in Salesforce.com.
- Strong analytical and influencing skills.
- Bachelors or University Degree, or relevant work experiences.
- Collaborates well with others, including executives across multiple functions.
- Ability to move fluidly from big picture to details.
- Significant enterprise software marketing experience.
- Has experience aligned with the additional responsibilities of a Principal Product Marketing Manager.

#### Principal Responsibilities

- Translate the company's revenue objectives into a formal, cohesive solutions marketing strategy, including key imperatives that GitLab solves for customers, how we solve them, and how we scale them through and with partners.
- Partner with Sales, Sales Development, Customer Success, Marketing, and Product Management to identify and prioritize quarterly GTM plays (including strategy, messaging, content, campaigns, and enablement) that drive quality pipeline and ARR.
- Work comfortably with complex data sets to identify pipeline gaps and prescribe and prioritize solutions to meet business pipeline gaps.
- Work with leaders and individual contributors across organizations, break down silos, and help to unify solutions strategies for optimal global impact.
- Lead cross functional working group including product marketing, content, design, integrated marketing, sales development, sales strategy, and field enablement to orchestrate the development, execution, and operationalization of scalable and measurable quarterly sales plays that deliver results.
- Collaboratively define success measures and reporting frameworks for implemented programs.
- Conduct regular program reviews with leaders, providing status updates and risk mitigation strategies.
- Define and implement a repeatable framework for GTM Plays including leadership touchpoints, comms plans, and a Handbook based playbook.
- Develop, maintain, and execute medium- and long-term vision for the function.
- Participate in quarterly pipeline planning to ensure there is structure, scalability and transparency with clear in-quarter execution outputs.

### Competitive Intelligence

As a Competitive Intelligence Product Marketer, you will work closely with a wide range of cross-functional teams (Product, Marketing, Sales) to turn competitive insights into actionable advantages for GitLab's go-to-market motion. To achieve this ambition, you will organize and distill competitive intelligence, educate our teams, and create specific competitive playbooks & content that increase our share of the market.

#### Requirements

- Experience developing competitive collateral (e.g. playbooks, content, decks, demos, webinars, videos, battle cards, ROI tools, etc.) and collaborating with GTM teams (Marketing & Sales) on competitive response situations is a plus.
- Prior experience in Product Development or Software Engineering & Architecture is a plus.
- Prior experience in Solution Architecture & Engineering or Technical Account Management is a plus.
- Hands-on experience installing, configuring, evaluating, and analyzing competitive and complementary technologies to compare and differentiate them.
- Understand market dynamics, the competition, and customer needs of the enterprise application development and delivery space.
- Understand enterprise buyer and user personas tasked with developer, security, and operations tools and solutions and how to market to them.
- Ability to move iteratively with speed and urgency.
- Written and verbal communication fit to engage customers, analysts, and influencers.
- Ability to travel if needed and comply with the company's travel policy.
- If employed by GitLab Federal, LLC, team members need to also comply with the applicable vaccination policies.

#### Responsibilities

- Develop, organize, and maintain a competitive information repository, both internal and external facing.
- Partner with our Product team to ensure a single source of truth across GitLab that surfaces product strengths, weaknesses, and differentiators.
- Collaborate with Sales to enable all teams to confidently and proactively pitch GitLab in competitive situations.
- Develop competitive playbooks (discovery, positioning, messaging, objection handling, scripts, battle-cards, ROI tools, etc.) with respect to specific markets or competitors to drive GTM campaigns.
- Ensure accuracy and maintain competitive landscape content including website pages, presentations, demos, and other assets.

#### Senior Responsibilities

- Translate competitive developments into meaningful 'so-what' and 'why' insights for GitLab's GTM strategy.
- Develop specific playbooks iteratively that guide our Sales and Channel teams on how to compete in specific stages.
- Drive deep competitor analysis including product strategy research, customer research, and technical research.
- Train and enable sales and partner teams on a technical level to deeply understand competitor features and capabilities vs GitLabs.
- Develop and represent GitLab across demos, webinars, and videos across a range of decision-maker audiences.
- Leverage technical insight about GitLab products and competitor products to influence the overall product strategy and roadmap.

### Customer Advocacy

As a Customer Advocacy Product Marketer, you will identify, activate, and amplify the voice of the customer in order to improve sales success and demonstrate GitLab's momentum as an enterprise-trusted brand. Customer proof points are a critical enabler of high growth and among the most powerful tools that can be used within the sales process. They help to establish credibility, trust, and reduce the customer's perception of risk. The primary deliverables are customer references and case studies (written and video), customer quotes, Customer Advisory Board, product peer reviews, and customer speakers.

#### Requirements

- Strong analytical skills and proven ability to use data to optimize program performance and inform future strategies.
- Plan and operate in a transparent manner for cross-organizational visibility and be a leader in sharing best practices
- Experience organizing executive customer events that support key customers and provide insights back into all applicable business activities.
- Experience developing internal Customer Advocacy training programs and maintaining consistent internal and external communications of Customer Reference activities.
- Ability to easily transition from high level strategic thinking to creative and detailed execution.
- Ability and interest to design, build, implement, and use data-driven mechanisms to simplify and speed decision making regarding Customer Advocacy activities.
- Excellent project and time management skills.
- Excellent written and verbal communications skills.
- Self-starter with a strong sense of ownership.
- Able to prioritize in a complex, fast-paced and lean organization.
- Passion for contributing to a world class program and desire to own and refine key operational processes.

#### Responsibilities

- Contribute to the GitLab worldwide customer advocacy program, working cross-functionally between sales, customer success, product, and marketing teams to identify, develop, and engage reference customers.
- Create, grow, and manage a healthy community of reference customers in a way that respects our customer's time and effort while maximizing the positive impact of their engagement to them, their organization, and GitLab.
- Establish and maintain a robust Customer Reference Library. Library includes logos, logos + short quotes, logos + full story, and anonymized case studies broken out by vertical, solution, and company size. Multi-media: written, pull-quote images, and videos (for top tier)

#### Senior Responsibilities

- Define and develop a cross-functional programmatic strategy to create customer success content that reinforces key marketing messages including customer pain points, jobs-to-be-done, GitLabs' solutions, and other marketing content areas as defined.
- Define and develop, in collaboration with Sales and other stakeholders, a customer incentive strategy and approach that results in additional net new and growth customer references.
- Own internal advocacy efforts by cultivating and promoting champions; this includes embracing an "always-on" advocacy methodology that highlights the importance of customer references, a definition of internal economic/non-economic incentives and recognition programs for surfacing stories.
- Leverage customer advocacy insights and lessons learned in relation to GitLab's marketing plan and deliverables to influence the overall product marketing strategy and roadmap.

### Market Insights

As a Product Marketing Manager, Market Insights, you will bring your market knowledge and experience to help shape our go to market strategy, messaging and execution.  You will partner closely with our marketing, engineering, business development, sales team, and partners to help them address the unique requirements of the DevOps market.

#### Responsibilies

**Grade 7:**

- Conduct research on current and future Enterprise IT trends through written reports, surveys, interviews and interactions with market analysts, industry conferences, self-study, and interactions with our customers to develop key insights for GitLab.
- Help GitLab develop a deep knowledge and understanding of enterprise buyers including their challenges and goals that help them drive success for their companies.
- Assess the DevOps ecosystem to distill the trends that influence GitLab's addressable market.
- Contribute to a consumable deliverable (in-person discussion, presentation, written report) in collaboration with the senior/principal MIM

**Grade 8:**

- Evaluate, analyze and present research results in a consumable and actionable format - whitepapers, web pages, case studies, conference presentations, sales enablement sessions, and executive presentations.
- Help build and grow GitLab as a thought leader in the DevOps space by translating market insights into actionable recommendations for Product investment and GTM.
- Participate and help prepare for industry analyst briefings as required.
- Collaborate with GTM leaders (e.g. Sales, Channel, Sales Ops & Strategy) in strategic planning and investment efforts while ensuring activities and recommendations are consistent with GitLab's go-to-market and business priorities.
- Engage with internal stakeholders in two-way communication to drive the product in the right direction by leveraging the actionable recommendations into product issues that drive positive results against identified OKRs.
- Strong communication skills that include the capability of representing GitLab externally at trade shows, customer events, conferences, etc. Solid presentation skills at all levels of the company.

**Grade 9:**

- Leverage the expertise in market research, syndicated data, customer insights and advanced data analytics to identify category-level market data sources that will contribute to the overall marketing insights strategy data set.
- Design, document, manage, and present findings on primary (quantitative and qualitative) market insights research methodology recommendations to drive the overall approach to market insights research efforts.

#### Requirements

- Demonstrated and progressive experience in a software or technology-focused role with a focus on market insights.
- Understands market dynamics, the competition, and customer needs of the enterprise application development and delivery space.
- Understands the enterprise buyer and user personas tasked with the purchase of developer, security, and operations tools and solutions for a large SMB or enterprise-level organization and how to market to them.
- Ability to move iteratively with speed and urgency.
- Written and verbal communication fit to engage customers, analysts, and influencers.
- Ability to travel if needed and comply with the company's travel policy.
- If employed by GitLab Federal, LLC, team members need to also comply with the applicable vaccination policies.

### Exec Engagement (Channel)

#### Responsibilites

- Work with our marketing, operations and sales teams to build the foundation for a world class global partner marketing program that will drive customer acquisition and revenue growth for GitLab.
- develop programs focused on engagement programs that target our partner Executive team including but not limited to: Partner Summit, Executive Roundtables, Partner Awards and much, much more.  These programs will scale to support our growing partner and channel ecosystems.
- Work cross-functionally with channel sales, channel operations, finance and legal to ensure our programs reflect GitLab's culture, goals and objectives while mandating they are held to the highest ethical standards.

#### Requirements

- Design, develop and deploy an annual Regional Partner Summit program bringing the most strategic of our partners together to showcase their commitment to GitLab and our growing partnership.
- Architect an agenda and cadence for Regional Partner Roundtable meetings that encourage continued engagement with partner executives.  These sessions will support our continued evolution of our channel strategy.
- Develop thought leadership strategy to externally promote and amplify GitLab's Partner Program and voice to our partners through a variety of paid and organic media channels inclusive of social media.
- Develop a strategy for AR and PR engagements that support the Channel organization's goals and objectives.
- Develop standard, repeatable and stable processes that promote and enable operational efficiency.
- Implement channel marketing initiatives, programs, communication vehicles, and sales tools to drive increased market adoption and channel revenue goals.
- Assist sales team in the development of actionable and measurable programs for our channel partners.
- Accurately track activity performance and provide well-informed recommendations on future resource and budget allocation.
- Assist in the preparation of reports to help evaluate activity and reseller effectiveness, conversion rate, and relative performance.

## Career Ladder

The next step in a Senior Product Marketing Manager's career at GitLab is to be a [Principal Product Marketing Manager.](/https://handbook.gitlab.com/job-families/marketing/product-marketing-manager/#principal-product-marketing-manager/).

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Candidates then may be offered a 45 minute interview with our Chief Marketing Officer
- Next, candidates will be invited to schedule a interview with the Senior Director of Marketing and Sales
- Candidates will then be invited to schedule 45 minute interviews with our Regional Sales Director of the US East Coast
- After, candidates may be invited to schedule a 45 minute interview with the Vice President of Product
- Next, candidates will be invited to schedule a interview with the Chief Revenue Officer.
- Finally, our CEO may choose to conduct a final interview.
- Successful candidates will subsequently be made an offer via email.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
