---
title: "Reference Program Manager"
summary: Be part of a team responsible for managing and growing a compelling and persuasive customer reference program that provides timely references, nurtures a vibrant peer review community, and delivers impactful case studies in support of sales, analyst relations, field events, press releases and other marketing activities.
---

As a Reference Program Manager, you will be part of a team responsible for managing and growing a compelling and persuasive customer reference program that provides timely references, nurtures a vibrant peer review community, and delivers impactful case studies in support of sales, analyst relations, field events, press releases and other marketing activities.

### Job Grade

The Reference Program Manager is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Requirements

- Prior experience working with customers (references), influencers, and/or peer communities in B2B enterprise software and services required.
- Understanding of how to build relationships with volunteers in reference programs.
- Specific experience working with peer review sites and communities like G2, IT Central Station, and Gartner Peer Insights is a plus.
- Excellent project and time management skills.
- Excellent written and verbal communications skills.
- Self-starter with a strong sense of ownership.
- Able to prioritize in a complex, fast-paced and lean organization.
- Passion for building a world class program and desire to own and refine key operational processes
- You share our [values](/handbook/values/), and work in accordance with those values
- Ability to use GitLab

### Responsibilities

- Help manage the GitLab worldwide customer reference program, working cross-functionally between sales, customer success, product, and marketing teams to identify, develop, and engage reference customers.
- Create, grow, and manage a healthy community of reference customers in a way that respects our customer's time and effort while maximizing the positive impact of their engagement to them, their organization, and GitLab.
- Create and help create content of various types (written case studies, customer testimonial videos, presentation slides, etc.) based on our customer's experiences and successes.
- Serve as a Program Manager for GitLab Customer Advisory Boards (CABs) and similar programs, including but not limited to: developing and managing engaged board membership, planning and facilitating CAB meetings, and reporting on their effectiveness.
- Activate (ensuring utilization of) reference customer relationships, related content, and interactions to positively impact: sales and marketing activity, product development, the customer's career, and their organization.
- Manage high-touch customer reference relationships.
- Create and maintain in-depth customer profiles and contacts.
- Stimulate, nurture, and curate review activity on peer review sites and communities like G2, IT Central Station, and Gartner Peer Insights.
- Interface with sales, marketing, and product management teams to understand their needs and advise them on how/when to best use references.
- Support and provide input into sales, marketing, and product management deliverables including but not limited to:  peer to peer networking, event speaking opportunities, and 1: many reference calls.
- Manage reference requests tracking reference activity and outcomes.
- Identify and track potential customer success stories from the reference program and other sources.
- Help define customer reference metrics/goals/benchmarks and track/report progress against them.
- Report outcome metrics for strategic customer engagement, and foster and promote long-term, mutually beneficial customer relationships.

## Associate Reference Program Manager

As GitLab continues to grow, so will customer reference program support needs, requiring we attract and retain talented professionals from a wide range of experience types and levels to join our team. Professionals who happen to be at an earlier stage in their career, newer to the enterprise software industry, or newer to the Customer Reference Manager role have a great deal to bring to the Market Research and Customer Insights team joining as Associate Reference Program Manager. This position will typically focus on a variable subset of Customer Reference Manager activities and provides the opportunity for significant career development. The Associate Reference Program Manager will report into the Manager, Market Research and Customer Insights.

### Job Grade

The Associate Reference Program Manager is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Requirements

This role requires all of the Reference Program Manager requirements listed above, amended with the following adjusted experience expectations:

- 2+ years of experience in a professional capacity. Experience in similar roles, industries, and responsibilities is a plus.

### Responsibilities

This role requires the ability to support any or all of the Reference Program Manager responsibilities listed above as needed.

## Senior Reference Program Manager

As Reference Program Managers progress throughout their career at GitLab or we find the need to hire a Reference Program Manager who has more years of relevant experience, there will be a need for a Senior Reference Program Manager position within the Market Research and Customer Insights team. The Senior Reference Program Manager will report into the Manager, Market Research and Customer Insights.

### Job Grade

The Senior Reference Program Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Requirements

This role includes all of the requirements above, plus:

- 5+ years of specific, significant experience in a Reference Program Manager role in enterprise software.
- Proven ability to build and drive a budget and forecast spend.
- Specific experience in managing Customer Advisory Boards and/or similar executive-level programs.
- Strong orientation to managing program details.

### Responsibilities

This role includes all of the responsibilities above, plus:

- Be a leader in working cross-functionally to drive the execution of Customer Reference plans, aligning with other areas of marketing.
- Driving negotiations with supporting vendors and related firms to consistently optimize spend.
- Be willing to act as a Senior leader on the Market Research and Customer Insights team, mentoring and guiding Reference Program Managers.
- Be a leader in building and driving process within the Market Research and Customer Insights team.

## Staff Reference Program Manager

As Senior Reference Program Managers progress throughout their career at GitLab or we find the need to hire a Senior Reference Program Manager who has more years of relevant experience, there will be a need for a Staff Reference Program Manager position in the Market Research and Customer Insights team. The Staff Reference Program Manager will report into the Director, Market Strategy and Insights.

### Job Grade

The Staff Reference Program Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Requirements

This role includes all of the requirements above, plus:

- Strong analytical skills and proven ability to use data to optimize program performance and inform future strategies.
- Plan and operate in a transparent manner for cross-organizational visibility and be a leader in sharing best practices with other Market Research and Customer Insights team members.
- Experience organizing executive customer events that both support key customers and provide insights back into all applicable business activities.
- Experience developing internal Customer Reference training programs and maintaining consistent internal and external communications of Customer Reference activities.
- Experience implementing and/or significantly utilizing an application to support ongoing customer reference program activities.

### Responsibilities

This role includes all of the responsibilities above, plus:

- 10+ years specific, significant experience in an industry Customer Reference role in enterprise software.
- Ability to easily transition from high level strategic thinking to creative and detailed execution.
- Excellent communicator with proven ability to clearly convey ideas and data in written and verbal presentations to a variety of audiences.
- Ability and interest to design, build, implement, and use data-driven mechanisms to simplify and speed decision making regarding Customer Reference activities.

## Career Ladder

The next step in the Reference Programs job family is not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with our Global Recruiters
- Following that, candidates will be invited to schedule a 45 minute interview with a Regional Sales Director, US West, US East, or EMEA.
- Candidates will then be invited to schedule a 45 minute interview with a Reference Program Manager
- Next, candidates will be invited to schedule a 45 minute interview with a Senior Product Marketing Manager
- Candidates will then be invited to schedule a 45 minute interview with our Manager, Market Research and Customer Insights
- Then, Candidates will be invited to schedule a 45 minute interview with our Senior Director of Strategic Marketing.
- Finally, selected candidates may be asked to interview with our CMO and/or CEO
- Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
