---
title: "Sales Development Leadership"
summary: " "
---

## Levels

### Director, Global Sales Development

#### Director, Global Sales Development Job Grade

The Director, Sales Development is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Global Sales Development Responsibilities

- Ensure sales accepted opportunities are sourced in accordance with company targets, and that our sales organization has enough opportunities to work with to be fully productive.
- Ensure we efficiently and effectively qualify inbound demand as well develop outbound strategies per region while leveraging digital and field marketing resources for particular campaigns
- Motivate and develop SDRs in alignment to our leveling concept in order to exceed goals through coaching and incentives and grow their careers. A successful candidate will be equal parts business manager and talent developer.
- Plan, forecast, and understand ramp adjusted capacity to ensure the team is grown effectively, in tandem with the needs of our sales organization and the supply of inbound demand from marketing.
- Manage SDR rosters for tracking ramp adjusted capacity and productivity.
- Manage SDR reports and dashboards to ensure the results they deliver can be easily understood by stakeholders throughout the organization.
- Build a word-class sales and business development team. Recruit, train, and develop a global team of SDRs, and SDR managers.
- Effectively manage paths for career advancement within the SDR functions as well as to closing sales roles.
- Partner with regional managers to develop campaigns that align to their regional goals based on a territory plan.
- Iterating the sales development process, methodology, campaigns, hiring profiles, training and enablement with respect to the GitLab core values.
- Work closely with marketing, sales, and people ops to ensure SDR onboarding program and ongoing training is up-to-date on our current product offering.
- Partner with sales and marketing operations to ensure the SDR team has the best tools to do their job, and that they are configured to ensure SDR efficiency and productivity, especially salesforce.com and Outreach.
- Focus on the quality of opportunities without sacrificing quantity.  The four core metrics this role should care about are the impact on the sales cycle, close rates, pipeline contribution and average deal size.

#### Director, Global Sales Development Requirements

- Proven track record of delivering sales pipeline at large enterprise accounts managing outbound prospecting teams.
- Responsible for creating and iterating the sales development process, methodology, campaigns, hiring profiles, training and enablement
- Experience leading and developing a global inbound sales development team at scale (>30 team members).
- Power user of salesforce.com and SDR cadence management software.
- Ability to drive cross functional alignment and coordination across sales and marketing teams.
- Ability to attract, retain, and motivate exceptional SDRs and SDR managers.
- Have a general understanding of Git, GitLab, and modern development practices.
- A broad knowledge of the application development ecosystem.
- Awareness of industry trends in enterprise digital transformation, DevOps, and continuous integration.
- Excellent written and spoken English.
- Able to articulate the GitLab mission, values, and vision.
- [GitLab Director](/handbook/company/structure/#director-group)
- Ability to use GitLab

### Director, Global Business Development

#### Director, Global Business Development Job Grade

The Director, Global Business Development is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Global Business Development Responsibilities

- Ensure sales accepted opportunities are sourced in accordance with company targets, and that our sales organization has enough opportunities to work with to be fully productive.
- Ensure we efficiently and effectively qualify Mid Market and Enterprise prospects and customers as well as develop outbound strategies per region while leveraging digital and field marketing resources for particular campaigns
- Motivate and develop BDRs and BDR managers in alignment to our leveling concept in order to exceed goals through coaching,  incentives and grow their careers. A successful Director, Business Development  will be equal parts business manager and talent developer.
- Plan, forecast, and understand ramp adjusted capacity to ensure the team is grown effectively, in tandem with the needs of our sales organization.
- Manage BDR rosters for tracking ramp adjusted capacity and productivity.
- Manage BDR reports and dashboards to ensure the results they deliver can be easily understood by stakeholders throughout the organization.
- Build a word-class sales and business development team. Recruit, train, and develop a global team of BDRs, and Business Development managers.
- Effectively manage paths for career advancement within the sales development functions as well as to closing sales roles.
- Partner with regional managers to develop campaigns that align to their regional goals based on a territory plan.
- Iterating the business development process, methodology, campaigns, hiring profiles, training and enablement with respect to the GitLab core values.
- Work closely with marketing, sales, and people ops to ensure BDR onboarding program and ongoing training is up-to-date on our current product offering.
- Partner with sales and marketing operations to ensure the BDR team has the best tools to do their job, and that they are configured to optimize BDR efficiency and productivity, especially salesforce.com and Outreach.
- Focus on the quality of opportunities without sacrificing quantity. The four core metrics this role should care about are the impact on the sales cycle, close rates, pipeline contribution and average deal size.

#### Director, Global Business Development Requirements

- Proven track record of delivering sales pipeline at large enterprise accounts managing outbound prospecting teams.
- Responsible for creating and iterating the business development process, methodology, campaigns, hiring profiles, training and enablement.
- Experience leading and developing an outbound business development team at scale  (>30 team members).
- Power user of salesforce.com and BDR cadence management software.
- Ability to drive cross functional alignment and coordination across sales and marketing teams.
- Ability to attract, retain, and motivate exceptional BDRs and Business Development managers.
- Have a general understanding of Git, GitLab, and modern development practices.
- A broad knowledge of the application development ecosystem.
- Awareness of industry trends in enterprise digital transformation, DevOps, and continuous integration.
- Excellent written and spoken English.
- Able to articulate the GitLab mission, values, and vision.
- [GitLab Director](/handbook/company/structure/#director-group)
- Ability to use GitLab.

### Area Vice President, Sales Development

#### Area Vice President, Sales Development Job Grade

The Area Vice President, Sales Development is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Area Vice President,Sales Development Responsibilities

- Extends the Director, Global Sales Development responsibilities.
- Develops the Sales Development Teams Business Plan with the broader Marketing org, Sales and Finance
- Designs the organizational structure to support the Business Plan. Hire and develop managers.
- Create the Sales Development Management path career ladder
- Collaborate with Sales Compensation teams, Finance, Legal and People Ops to create the correct incentive structures, programs and compensation plans
- Work with demand generation teams to ensure that the right inquiries are flowing to the SDR organization
- Define metrics to drive behavior of the organization and ensure dashboards are built for reps and management.
- Own capacity model and execute to that hiring plan with finance and recruiting to ensure that SDR organization is staffed appropriately
- Owns weekly forecast and drives bi-weekly pipeline call with sales

#### Area Vice President, Sales Development Requirements

- Extends the Director, Global Sales Development requirements.
- Experience managing remote, global Sales Development teams to hit results
- 5+ years of second line management experience managing teams in strategic sales or sales development.
- Multiple repeatable proof points of recruiting, hiring, developing, and retaining talent that make-up a high performing sales development organization.
- Deep experience selling into accounts in core markets.

### Vice President, Sales Development

#### Vice President, Sales Development Job Grade

The Director, Sales Development is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Vice President, Sales Development Responsibilities

- Extends the Area Vice President, Sales Development responsibilities.
- Drives change and recommendations to Inbound and Demand Generation functions based on Sales Development team learnings
- Drives change and recommendations in our GTM motions in collaboration with Sales, Marketing and Finance
- Develops Plans and Executes to achieve both growth and efficiency goals
- Be a culture definer and evolver of GitLab values.

#### Vice President, Sales Development Requirements

- Extends the Area Vice President, Sales Development requirements.
- 10+ years of second line management experience managing teams in strategic sales or sales development.

## Career Ladder

The next step in the Sales Development Leadership job family has not yet been defined.

## Performance Indicators

- Improvement in Net ARR pipeline values
- Sales Accepted Opportunity attainment vs. goal
- Improvement in MQL conversion rates
- Improvement in sales close rates for SDR generated Opportunities
- Improvement in SDR Efficiency and return on investment

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Candidates will then meet with the Senior Director of Revenue Marketing.
- Candidates will then be asked to schedule an interview with the Manager of Field Marketing, Americas.
- Candidates will then meet with the CMO.
- Following successful completion of the previous steps, final candidates will then be asked to meet with a panel of Sales Development Managers.
- Final candidates may be asked to complete an assessment, and  meet with the Senior Director of Revenue Marketing again.
- Successful candidates will subsequently be made an offer via video or phone.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).

### Relevant links

- [Sales Development Handbook](/handbook/marketing/revenue-marketing/sdr/)
