---
title: "Manager, Sales Development"
summary: " "
---

## Manager, Sales Development (SDR or BDR)

The Manager, Sales Development job family focuses on: (1) Leading a team of SDRs/ BDRs to create qualified opportunities for the sales team, (2) Train other members of the SDR/BDR team, and (3) take on operational and administrative tasks to help the SDR/BDR team perform and exceed expectations. You are a source of knowledge and best practices amongst the SDRs/BDRs, and help to train, onboard, and mentor new SDRs/BDRs with the help of the Sales Development Enablement team.

## Levels

### Manager, Sales Development (SDR)

The Manager, Sales Development reports to the Sr. Manager, Sales Development.

#### Manager, Sales Development Job Grade

The Manager, Sales Development is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Sales Development Responsibilities

- Train other members of the SDR Team to identify, contact, and create qualified opportunities
- Ensure SDR Team members improve performance and abilities over time by providing coaching and feedback in recurring weekly 1:1s
- Plan for hiring and onboarding new SDR.
- Work closely with the Demand Gen team to provide feedback on MQLs and campaigns
- Work closely with Sales and other members of the SDR Leadership team to improve opportunity management and qualification processes
- Work closely with Sales, Senior SDR Manager/Director, to identify areas of improvement for the SDR Teams
- Work in collaboration with Content, Marketing Program Managers, and Product Marketing to develop effective messaging to convert inbound interest into qualified pipeline
- Accurately forecasts weekly,  monthly, quarterly attainment

#### Manager, Sales Development Requirements

- Excellent spoken and written English
- Experience in sales, marketing, or customer service for a technical product - leadership experience is highly preferred.
- Experience with CRM software (Salesforce preferred)
- Experience in sales operations and/or marketing automation software preferred
- Understanding of B2B software, Open Source software, and the developer product space is preferred
- Passionate about technology and learning more about GitLab
( Be ready to learn how to use GitLab and Git
- You share our [values](/handbook/values/), and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#management-group)

### Manager, Business Development (BDR)

The Manager, Business Development reports to the Sr. Manager/Director, Sales Development.

#### Manager, Business Development Job Grade

The Manager, Business Development is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Business Development Responsibilities

- Train other members of the BDR Team to identify, contact, and create qualified opportunities.
- Ensure BDR Team members improve performance and abilities over time by providing coaching and feedback in recurring weekly 1:1s
- Plan for hiring and onboarding new BDRs.
- Work closely with the Events and Digital teams on Field events and targeted ad and nurture campaigns.
- Work closely with Sales and other members of the Sales Development Leadership team to improve opportunity management and qualification processes
- Work closely with Sales, Senior SDR Manager/Director, as well as the Regional Sales Director's to identify key company accounts to develop.
- Work in collaboration with Content, Marketing Program Managers, and Product Marketing to develop effective messaging for outbound communications to your team's assigned accounts.

#### Manager, Business Development Requirements

- Excellent spoken and written English
- Experience in sales, marketing, or customer service for a technical product - leadership experience is highly preferred.
- Experience with CRM software (Salesforce preferred)
- Experience in sales operations and/or marketing automation software preferred
- Understanding of B2B software, Open Source software, and the developer product space is preferred
- Passionate about technology and learning more about GitLab
- Be ready to learn how to use GitLab and Git
- You share our [values](/handbook/values/), and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#management-group)

## Segment

### Manager, Sales Development (Enterprise)

#### Manager, Sales Development (Enterprise) Responsibilities

- Extends that of the Manager, Sales Development responsibilities but with a focus on GitLab's Enterprise clients and SDR team.

#### Manager, Sales Development (Enterprise) Requirements

- Extends that of the Manager, Sales Development requirements but with a focus on GitLab's Enterprise clients and SDR team.

## Specialties

### Manager, Sales Development (Efficiency and Strategy)

The Manager, Sales Development (Efficiency and Strategy) reports to the Global Director of Sales Development.

#### Manager, Sales Development (Efficiency and Strategy) Responsibilities

- Oversight of the Global SDR Onboarding Program for Assc SDRs, SDRs and SDR Managers
- Develop the Associate SDR program and directly manage that team globally
- Collaborate with Marketing operations business partners on process improvements and efficiencies
- Manage the execution and development of the Tanuki Tech enablement program with the SR. Solutions Architect
- Assist Global Director in efficiency manager and reporting with a keen eye on improving time management and SDR ROI.
- Work individually with SDR team manager to identify needs in process improvement and rep enablement
- Continuously manage and update the SDR handbook as processes and programs change
- Assist the Global Director in SDR Leveling management and SDR career progression

#### Manager, Sales Development (Efficiency and Strategy) Requirements

- Extends that of the Manager, Sales Development requirements
- Track record of leading a team that consistently meets/exceeds goals
- Experience in successfully hiring and onboarding SDRs and SDR managers
- Experience building out new SDR team segments, including processes and strategies
- Proven track record of implementing and executing efficiency measures in a high volume lead flow model.

#### Manager, Sales Development (Public Sector)

The Manager, Sales Development (Efficiency and Strategy) reports to the Global Director of Sales Development.

#### Manager, Sales Development (Public Sector) Responsibilities

- Extends that of the Manager, Sales Development responsibilities
- Focus on Public Sector customers

#### Manager, Sales Development (Public Sector) Requirements

- Extends that of the Manager, Sales Development requirements
- Previous experience working with Public Sector based customers or teams

## Performance Indicators

- Sales Accepted Opportunity Attainment vs Goal
- Net ARR Pipeline Generated
- Initial Qualification Meeting (where applicable)

## Career Ladder

The next step in the Manager, Sales Development job family is to move to the [Senior Manager, Sales Development](/job-families/marketing/senior-sales-development-manager-acceleration/) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates receive a short questionnaire from our Global Recruiters
- Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with our Global Recruiters
- Next, candidates will be invited to schedule an interview with the Senior Sales Development Manager
- Candidates will then be invited to schedule two separate interviews with an SDR Manager and an Area Sales Manager
- Candidates will be invited to schedule an interview with our Senior Director of Revenue Marketing
- Finally, candidates may be asked to interview with our CMO

Additional details about our process can be found on our [hiring page](/handbook/hiring/)
