---
title: "Sales Development Marketing Operations"
summary: " "
---

## Levels

### Global Sales Development Operations Associate

The Global Sales Development Operations Associate reports to the Director, Sales Development Operations.

#### Global Sales Development Operations Associate Job Grade

The Global Sales Development Operations Associate is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Global Sales Development Operations Associate Responsibilities

- Marketing technology
  - Learning tools that the SDR team has in place to act as backup on various systems as needed
  - Provides oversight on GitLab issues boards - building weekly standup issues, creating biweekly milestone issues to ensure handbook updates are completed, documenting minutes from meetings, and ensuring labels exist on all Marketing issues
- Marketing data stewardship
  - Assists with data cleanliness and mis-routing in SFDC
  - Outreach sequence and snippet maintenance and refreshment
  - Uncovers gaps in our prospecting key persona data and pulling those lists into SFDC from ZoomInfo and LinkedIn
- Marketing analysis
  - Provides support to team with ad hoc analysis and/or the underlying data as needed

#### Global Sales Development Operations Associate Requirements

- Exemplary spoken and written English.
- Experience in sales and/or marketing teams of B2B software, Open Source software, and the developer tools space is preferred.
- Experience with marketing automation software a plus
- Experience with Salesforce CRM software helpful
- Familiarity with Git and repositories useful
- Proficient in Outreach
- Proficiency in MS Excel/ Google Sheets
- Team-centric
- Self starter, willing to read and watch in order to learn. (Be ready to learn and how to use GitLab and Git)
- Ability to use GitLab

#### Global Sales Development Operations Senior Associate

The  Global Sales Development Operations Senior Associate reports to the Director, Sales Development Operations.

#### Global Sales Development Operations Senior Associate Job Grade

The  Global Sales Development Operations Senior Associate is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Global Sales Development Operations Senior Associate Responsibilities

- Sales Development technology
  - Maintains Sales Development tools (SFDC, Outreach, ZoomInfo, Demandbase & LI)  performance and optimize processes.
  - Creates training documentation that guides the sales development team.
  - Trains the sales development team on Sales Development software tools.
  - Audits use of sales development  tools with an eye towards continually improving how they are configured and used.
- Data and messaging stewardship
  - Proactively identifies and reviews common data issues that impact speed to lead and spearheads change needed through SDR issue creation and progression
  - Investigates data quality and continuously improves on data quality.
  - Continually measures and revamps Outreach primary collections.
- Marketing data examination
  - Assist in measuring and investigating the different tools being used by the SDR team to inform best practices
  - Assist key business partners in measuring the effectiveness of SDR inbound and outbound motions

#### Global Sales Development Operations Senior Associate Requirements

- Extends that of the Global Sales Development Operations Associate requirements
- Experience with modern marketing and sales development solutions such as Salesforce, LinkedIn Sales Navigator, Demandbase, Outreach & ZoomInfo.
- Outreach experience is required.
- You are obsessed with problem solving, making processes work and have a measurable impact on the Sales Development organisation.
- Ability to learn how to use GitLab and Git.

### Global Sales Development Operations Manager (IC)

The Global Sales Development Operations Manager (IC) reports to the Director, Sales Development Operations.

#### Global Sales Development Operations Manager (IC) Job Grade

The Global Sales Development Operations Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Global Sales Development Operations Manager (IC) Responsibilities

- Extends that of the Global Sales Development Operations Senior Associate responsibilities
- Oversees strategic and operational initiatives related to leads and early stage opportunities. Works with other functions to drive performance improvements, continuously enhance the impact of the sales development org and help the company continue along its fast growth trajectory.
- Collaborates across functions to structure problems, conduct analysis, and drive to solutions through a rigorous, data-driven process.
- Creates and manages project plans with clearly defined deliverables and resources, coordinates work streams and dependencies, tracks and communicates progress, identifies obstacles and ensures they are addressed.

#### Global Sales Development Operations Manager (IC) Requirements

- Extends that of the Global Sales Development Operations Senior Associate requirements
- Excellent spoken and written English.
- Progressive and demonstrated relevant experience, including more technical expertise.
- Excellent analytical and problem-solving skills.
- Exemplary oral and written communication skills, including ability to concisely present project deliverables.
- Ability to work successfully with little guidance.

## Global Sales Development Operations People Manager Levels

### Manager, Global Sales Development Operations

The Manager, Global Sales Development Operations reports to the Director, Sales Development Operations.

#### Manager, Global Sales Development Operations Job Grade

The Manager, Global Sales Development Operations is a grade 8.

#### Manager, Global Sales Development Operations Responsibilities

- Effectively influence, align, and collaborate with key functions, particularly Sales and Marketing.
- Contributes to evaluation, selection, implementation and integration of Sales Development tool stack.
- Sets up regular touchpoints with Sales Dev teams and CSMs to ensure tools are being used optimally.
- Recommends iterations to tool workflows that optimize results. (SFDC, Outreach, Cognism, ZoomInfo, Chorus, Sales Navigator, Conversica, Drift)
- Designs and drives strategies and processes focused on outbound pipeline generation, with emphasis on LAM and first order SAO's
- Identifies needs in process improvement, with primary focus on BDR workflows
- Responsible for designing effective processes and providing visibility on adoption of those processes by Sales Development management team
- Recruits, develops and guides a team to execute on key outbound pipeline generation strategies
- Establishes, Standardizes, Documents and Monitors all aspects related to Sales Development operational excellence. This includes standardizing Sales Dev Playbooks, agendas (1:1's, SAE/BDR, Team Meeting), shared/public views in tools, sales dev issue templates & sales dev issue boards
- Oversees the testing, optimization and measurement of Sales Dev Outreach messaging so that it's aligned to our brand and uses "best in class" resources/strategies in collaboration with product marketing
- Conducts bi-weekly 1:1s with sales dev leadership to review key processes and ensure effective pass downs

#### Manager, Global Sales Development Operations Requirements

- Progressive and demonstrated relevant experience with go-to-market operations strategy and business analytics.
- Ability to work collaboratively, internally and externally.
- Ability to manage/prioritize multiple projects and adapt to a changing, fast-paced environment.
- Demonstrated management skill and ability to oversee a team and work in a group environment, including collaboration with Senior/Executive level leadership.
- Proven and relevant management experience in a fast paced and developing Sales Development Organization
- Possess exemplary interpersonal skills including influencing, negotiations and teamwork skills.
- Ability to think strategically, develop frameworks and platforms that ensure optimal and unfettered access to business tools, assets and capabilities.
- Superb analytical, problem-solving capability and help the team make sound conclusions.
- You believe in teamwork and are not afraid of rolling up your sleeves.

### Senior Manager, Global Sales Development Operations

The Senior Manager, Global Sales Development Operations reports to the Director, Sales Development Operations.

#### Senior Manager, Global Sales Development Operations Job Grade

The Senior Manager, Global Sales Development Operations is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Global Sales Development Operations Responsibilities

- Contributes to evaluation, selection, implementation and integration of Sales Development tool stack.
- Sets up regular touchpoints with Sales Dev teams and CSMs to ensure tools are being used optimally.
- Recommends iterations to tool workflows that optimize results. (SFDC, Outreach, Cognism, ZoomInfo, Chorus, Sales Navigator, Conversica, Drift)
- Desigsn and drives strategies and processes focused on outbound pipeline generation, with emphasis on LAM and first order SAO's
- Identifies needs in process improvement, with primary focus on BDR workflows
- Responsible for designing effective processes and providing visibility on adoption of those processes by Sales Development management team
- Recruits, develops and guides a team to execute on key outbound pipeline generation strategies
- Establishes, Standardizes, Documents and Monitors all aspects related to Sales Development operational excellence. This includes standardizing Sales Dev Playbooks, agendas (1:1's, SAE/BDR, Team Meeting), shared/public views in tools, sales dev issue templates & sales dev issue boards
- Oversees the testing, optimization and measurement of Sales Dev Outreach messaging so that it's aligned to our brand and uses "best in class" resources/strategies in collaboration with product marketing
- Conducts bi-weekly 1:1s with sales dev leadership to review key processes and ensure effective pass downs

#### Senior Manager, Global Sales Development Operations Requirements

- Progresive and demonstrated relevant experience with go-to-market operations strategy and business analytics.
- Ability to work collaboratively, internally and externally.
- Ability to manage/prioritize multiple projects and adapt to a changing, fast-paced environment.
- Demonstrated management skill and ability to oversee a team and work in a group environment, including collaboration with Senior/Executive level leadership.
- Proven and relevant management experience in a fast paced and developing Sales Development Organization
- Possess exemplary interpersonal skills including influencing, negotiations and teamwork skills.
- Ability to think strategically, develop frameworks and platforms that ensure optimal and unfettered access to business tools, assets and capabilities.
- Superb analytical, problem-solving capability and help the team make sound conclusions.
- You believe in teamwork and are not afraid of rolling up your sleeves.

### Director, Global Sales Development Operations

The Director, Sales Development Operations reports to the VP of Sales Development.

#### Director, Global Sales Development Operations Job Grade

The Director, Sales Development Operations is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Global Sales Development Operations Responsibilities

- Defines the Sales Development Operations vision and strategy that enables intelligent decisions through precise analysis
- Owns the Sales Development operations roadmap, ensuring marketing technology is evaluated, selected, implemented, customized and more importantly used to meet the needs of the SDR organization
- Collaborates with Marketing operations business partners on process improvements and efficiencies
- Regularly informs stakeholders across marketing, sales, and finance of insights on marketing performance to ensure cross functional alignment on the best possible data-driven marketing strategy
- Oversees the management  of the SDR handbook updates as processes and programs change
- Tracks and reports on the entire SDR funnel including lead volume, lead quality, velocity, conversion stage-to-stage, and average value; make sure funnel measures can be analyzed by key dimensions such as industry, geo, and persona
- Defines strategies to optimize SAO and ARR conversions for both First Order and expand teams
- Works and enables SDR team managers to identify needs in process improvement
- Ensures processes are designed, documented, understood, and followed in a way that improves customer experience and pipeline generation
- Continually works to simplify systems and processes, avoiding customization bloat and over-engineered processes
- Manages, builds, and leads a strong team by coaching and developing existing members and closing talent gaps where needed through acquisition of new team members.
- SDR DRI on selection of new vendors
- Designs process changes to improve SDR's experience and enhance productivity

#### Director, Global Sales Development Operations Requirements

- Extends that of the Senior Manager, Global Sales Development Operations requirements
- Proven and relevant management experience in a fast paced and developing Sales Development Organization
- Direct experience in enterprise software industry and SaaS
- Strong leadership presence
- Balance of strategic vision and tactical execution
- Exemplary analytic and strategic thinking capability
- Adept at managing multiple projects and deadlines
- Excellent planning, organizational and project management skills
- Extends that of the Senior Manager, Global Sales Development requirements
- Track record of leading a team that consistently meets/exceeds goals
- Demonstrated experience designing, implementing and an innovative sales development technology stack.
- Experience in successfully hiring and onboarding SDRs and SDR managers
- Experience building out new SDR team segments, including processes and strategies
- Excellent understanding of the GitLab SDR tech stack is required
- Proven track record of implementing and executing efficiency measures in a high volume lead flow model.
- Ability to understand the nuances required to lead effective outbound campaigns
- Leadership at GitLab
- Ability to use GitLab

### Senior Director, Global Sales Development Operations

The Senior Director, Sales Development Operations reports to the VP of Sales Development.

#### Senior Director, Global Sales Development Operations Job Grade

The Senior Director, Sales Development Operations is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director, Global Sales Development Operations Responsibilities

- Extends that of the Director  Global Sales Development Operations responsibilities
- Leads the SDR (inbound) Team Globally
- Ensures we efficiently and effectively qualify inbound demand, follow our SLAs and respect our KPIs Defines success metrics for SDR team and works with cross functional partners to ensure the team is exceeding their goals
- Plans, forecasts, and understands ramp adjusted capacity to ensure the team is grown effectively, in tandem with the needs of our sales organization and the supply of inbound demand from marketing
- Manages SDR headcount plan for optimized capacity and productivity, ensuring our talent and organizational design strategy is aligned to our business strategy
- Recruit, onboard, coach and develop top talent towards career development and advancement within the SDR function
- Identifies and champions new technologies with the SDR teams to optimize sales development in the world of Artificial Intelligence

#### Senior Director, Global Sales Development Operations Requirements

- Extends that of the Director, Global Sales Development Operations requirements
- Ability to build POCs with new technology vendors
- Partners cross functionally with MOPS, Procurement and Legal teams to ensure compliance when selecting new vendors
- Proven experience driving and managing change initiatives at the enterprise level aligning business practices or processes aligned to the scale of the organization

## Performance Indicators

- MQL to SAO conversion rate through process improvements
- SDR productivity (SAO number/SDR)
Marketing efficiency ratio (we might need to think of an SDR efficiency ratio)
- SDR Tech Stack usage

## Career Ladder

The next step in the Sales Development Marketing Operations job family is yet to be defined.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the hiring manager.
- Candidates will then be invited to schedule an interview with 2 - 4 team members.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
