---
title: "Sales Development Organization Roles"
summary: " "
---

<br>

## Sales Development Job Levels

### Sales Development Representative (SDR)

The Sales Development Representative (SDR) reports to the SDR Manager and is focused on inbound leads.

#### Sales Development Representative Job Grade

The SDR is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Sales Development Representative Responsibilities

- Effectively manage inbound lead flow
- Conduct high-level discovery conversations in target accounts
- Meet or exceed SDR sourced Sales Accepted Opportunity (SAO) volume targets
- Collaborate with and leverage teammates to develop targeted lists, call strategies, and messaging to drive opportunities
- Utilize business and industry knowledge to research accounts, identify key players, generate interest, create/identify compelling events, and develop accounts
- Work to have a variety of touches (call, email, social, etc.) on all leads in your assigned territory using Outreach.io
- Manage, track, and report on all activities and results using Salesforce
- Participate in documenting all processes in the GitLab handbook and update as needed with your Sales Development Manager
- Act as a mentor for new SDR hires in helping them navigate their key accounts

#### Sales Development Representative Requirements

- Positive and energetic phone skills, excellent listening skills, strong writing skills
- A self-starter with a track record of successful, credible achievements
- You share our values, and work in accordance with those values
- Knowledge of business process, roles, and organizational structure
- Determined personality with a desire to grow and win
- Passionate about being a part of GitLab's journey
- Proficient in using Salesforce
- Previous tech industry experience or experience in sales development, marketing and/or sales is a plus
- Globally we require excellent written and spoken English which is our company language

### Sales Development Team Lead

The Sales Development Team Lead reports to the SDR/BDR Manager.

#### Sales Development Team Lead Job Grade

The Sales Development Team Lead is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Sales Development Team Lead Responsibilities

- Extends that of the SDR responsibilities

#### Sales Development Team Lead Requirements

- Extends that of the SDR requirements
- Learning and Development: Pass SDR Technical Development Training Level relevant for their role
- Sharing best practices: De facto mentor for all team members. Passionate about helping and developing team members.
- Performance: Consecutively meet or exceed quotas for two quarters after achieving Tanuki Tech Level II. This does not include ramped months.
- The Team Lead role is based on business need and will be posted if/when there is a need.

### Business Development Representative (BDR)

The Business Development Representative reports to the BDR Manager and is focused on Outbound leads.

#### Business Development Representative Grade Level

The BDR is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Business Development Representative Responsibilities

- Effectively execute outbound prospecting initiatives
- Conduct high-level discovery conversations in target accounts
- Meet or exceed BDR sourced Sales Accepted Opportunity (SAO) volume targets
- Collaborate with and leverage teammates to develop targeted lists, call strategies, and messaging to drive opportunities
- Utilize business and industry knowledge to research accounts, identify key players, generate interest, create/identify compelling events, and develop accounts
- Work to have a variety of touches (call, email, social, etc.) on all prospects in your assigned territory using Outreach.io
- Manage, track, and report on all activities and results using Salesforce
- Participate in documenting all processes in the GitLab handbook and update as needed with your Business Development Manager
- Work in collaboration with Field and Corporate Marketing to drive attendance at regional marketing events
- Attend field marketing events to engage with participants identify opportunities, and to schedule meetings
- Act as a mentor for new BDR hires in helping them navigate their key accounts
- Work in collaboration with Digital Marketing to develop targeted marketing tactics against your assigned target accounts
- Actively partners with the Sales Team to strategically prospect in their respective territories.

#### Business Development Representative Requirements

- Positive and energetic phone skills, excellent listening skills, strong writing skills
- Meet or exceed daily, weekly and monthly KPIs
- A self-starter with a track record of successful, credible achievements
- You share our values, and work in accordance with those values
- Knowledge of business process, roles, and organizational structure
- Determined personality with a desire to grow and win
- Passionate about being a part of GitLab's journey
- Proficient in using Salesforce and LinkedIn Sales Navigator
- Previous tech industry experience or experience in sales development, marketing and/or sales is a plus
- Globally we require excellent written and spoken English which is our company language

### Senior Business Development Representative

The Senior Business Development Representative reports to the BDR Manager.

#### Senior Business Development Representative Job Grade

The Senior Business Development Representative is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Business Development Representative Responsibilities

- Extends that of the BDR responsibilities

#### Senior Business Development Representative Requirements

- Extends that of the BDR requirements
- Complete requirements for previous BDR levels
- Learning and Development: Pass BDR Technical Development Training Level I, Training Level II and Training Level III
- Performance: Consecutively meet or exceed quotas for two quarters after achieving BDR Level II. This does not include ramped months

### Business Development Representative Team Lead

The Business Development Representative Team Lead reports to the SDR/BDR Manager.

#### Business Development Representative Team Lead Job Grade

The Business Development Representative Team Lead is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Business Development Representative Team Lead Responsibilities

- Extends that of the BDR responsibilities

#### Business Development Representative Team Lead Requirements

- Extends that of the BDR requirements
- Complete requirements for previous BDR levels
- **Learning and Development:** Pass BDR Technical Development Training Level relevant for their role
- **Performance:** Consecutively meet or exceed quotas for two quarters after achieving Tanuki Tech Level III. This does not include ramped months.
- The Team Lead role is based on business need and will be posted if/when there is a need.

## Specialties

### BDR (Public Sector)

#### BDR (Public Sector) Responsibilities

- Extends that of the BDR responsibilities
- Focus on Public Sector customers
- Effectively manage Public Sector inbound lead flow as well as executing outbound prospecting initiatives

#### BDR (Public Sector) Requirements

- Extends that of the BDR requirements
- Previous experience working with Public Sector based customers or teams

### BDR (Land)

BDR (Land) focuses on acquiring new logos.

#### BDR (Land) Responsibilities

- Extends that of the BDR responsibilities
- Leading account planning efforts and creating in-depth account plans for top focus accounts
- Creating qualified meetings and sales accepted opportunities with net new customers in the Large - Enterprise Segment* Aligning prospecting efforts to the field, corporate, strategic and account based marketing campaigns
- Educating prospects and making positive impressions
- Generating awareness, meetings, and pipeline for sales
- Collaborating with peers, marketing, and sales teams

#### BDR (Land) Requirements

- Extends that of the BDR requirements
- Meet monthly quota
- Maintain a high sense of autonomy to focus on what's most important
- Participate and lead planning, execution, and cross-functional meetings
- Maintain exceptional Salesforce hygiene, logging all prospecting activity, conversations, and account intelligence uncovered
- Generate IACV Pipeline

### BDR (Expand)

BDR (Expand) focuses on existing customers and their subsidiaries.

#### BDR (Expand) Responsibilities

- Extends that of the BDR responsibilities
- Creating qualified meetings and sales accepted opportunities with net new customers in the Large - Enterprise Segment
- Focus on account-centric, persona-based outreach, strategic outbound prospecting, social selling and creative outreach to educate and create internal champions that align with the GitLab value drivers and use cases.

#### BDR (Expand) Requirements

- Extends that of the BDR requirements
- Meet/Exceed monthly quota
- Maintain a high sense of autonomy to focus on what's most important
- Participate and lead planning, execution, and cross-functional meetings
- Participate in initial qualifying meetings, discovery calls, and follow-up conversations
- Maintain exceptional Salesforce hygiene, logging all prospecting activity, conversations, and account intelligence uncovered
- Generate IACV Pipeline

## Performance Indicators

- Sales Accepted Opportunity Attainment vs Goal
- Net ARR Pipeline Generated
- Initial Qualification Meeting (where applicable)

## Career Ladder

SDRs and BDRs become eligible for promotion after 12 months in role and based on performance attainment.
Promotions are also subject to business need and require a formal application and interview process, and are not considered a given promotion.
Within the Sales development organization, the career path is the following: Sales Development Representative to Business Development Representative.
Typically after BDR, our team members interview for roles such as : Manager, Sales Development, Inside Sales Representative, and Account Executive, SMB.
GitLab is one of the fastest growing companies and there are a lot of less conventional career paths. While we strongly encourage our team members to pursue the job opportunities that are right for them, it is important to understand that those paths may take longer to materialize.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the SDR Manager for the region they have applied for
- Candidates will then be invited to schedule an interview with a regional leader
- Following successful interviews, candidates will then be invited to complete a final writing assessment

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
