---
title: Sales Development Solutions Architect
summary: Be responsible for providing real-time support to the Sales Development Reps as they prospect and build pipeline in multiple sales segments.
---

The GitLab Sales Development team is looking for a Sales Development Solutions Architect to join our Revenue Marketing Team. In this role, you'll be responsible for providing real-time support to the Sales Development Reps as they prospect and build pipeline in multiple sales segments. You'll collaborate with the Sales Development leadership team as well as other teams in Marketing and Sales to validate and develop content from a technical perspective. As a technical training specialist, excellent communication and people skills are a must as you'll be instrumental in training new hires on our product and market. You'll achieve a balance of technical expertise, a real passion for the DevOps market, and the desire to help our team fully understand our product and business model, so they can work with customers and have valuable conversations that identify opportunities.

### Job Grade

The Sales Development Solutions Architect is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

### Responsibilities

- Provide presales technical support to influence the discovery of new business opportunities
- Provide compelling product demonstrations for Sales Development Reps so that they may communicate effectively with prospects. We want to engage prospects of interest that haven't yet reached the stage of opportunity and compel them to do so.
- Develop curriculum and deliver regular and on-going product training to the all Sales Development team. (Ex. onboarding with IT 101, what is DevOps?, What is CI/CD etc.)
- Participate in content validation for prospecting purposes
- Onboard and train new hires on our product through various training sessions
- Create and manage a forum where Sales Development reps can ask questions and receive answers providing real-time support and coaching
- Provide constant feedback and ideas on how to address knowledge gaps and continually engage the team'sir interest in technical learning

### Requirements

- Ability to use GitLab
- 1-2 years of experience with GitLab or similar products in the DevOps space
- Ability to interpret customer's business problems and technical issues, and effectively explain how our solution will align to their needs or requirements
- Ability to learn new technologies quickly and explain technical concepts to both non-technical and technical audiences
- Comfortable presenting and having technical discussions with Sales Development reps
- Excellent communication and presentation skills
- Passion for technology and open source

## Career Ladder

The next step in the Sales Development Solutions Architect job family is not yet defined at GitLab.

## Performance Indicators

- Run weekly training program
- Create progressive learning moduals to be rolled out in Google Classroom

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a screening call with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Sr. Director of Revenue Marketing
- Candidates will then be invited to schedule an interview with a Sales Development Manager
- Next, candidates will be invited to schedule a technical interview with a Solutions Architect, and another interview with the Manager of Product Marketing
- Successful candidates will subsequently be made an offer via video or phone call

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
