---
title: "Senior Director, Strategy"
---

### Senior Director, Strategy

As the Senior Director, Strategy, you will play a pivotal role in shaping GitLab’s strategic direction, focusing on AI and hyperscaler trends. You will drive strategic initiatives that align with our growth and marketing objectives. The Senior Director, Strategy reports to the VP, Strategy and Developer Relations.

### Job Grade

The Sr. Director of Strategy is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Lead the development and execution of business and products strategies focused on AI and hyperscaler engagements, particularly with AWS and Google
- Regularly engage with stakeholders and customers to validate and iterate strategies, ensuring alignment with their needs and market dynamics
- Develop a strategic AI-Driven platform vision, ensuring alignment across product, sales and marketing stakeholders
- Drive collaboration across functional teams to analyze issues and develop integrated solutions that enhance our innovation capacity, scalability, and delivery effectiveness
- Evaluate new market opportunities, providing insights that guide corporate prioritization and strategic decisions
- Communicate industry and competitive insights across the company, initiating strategies to improve our market position and profitability
- Work cross-functionally with the go-to-market teams to bring joint solutions to market and drive revenue growth
- Actively engage and collaborate with the Partner Sales organization

### Requirements

- Proven experience as a visionary strategist with a deep understanding of cloud services and market dynamics
- Exceptional leadership and project management skills, capable of managing by influence across all company levels
- Innovative thinker open to exploring unconventional strategies to maximize impact.
- Comfortable with change and ambiguity, able to pivot strategies quickly as market conditions evolve
- Inspirational leadership style, with strong collaboration skills and a track record of working effectively in cross-functional teams
- Demonstrated ability to communicate complex ideas effectively, both verbally and in writing, to diverse audiences including executives, journalists, and technical specialists
- Experience in building and leading teams, particularly in business strategy and operations
- Background in the software development industry with a current focus on developer community engagement and advocacy, preferably within an open-source context.
