---
title: "Senior Manager, Sales Development"
summary: Oversee a team in the Sales Development organization, help them perform and exceed expectations by training, coaching, and mentoring them to drive impactful results.
---

As a Senior Manager of Sales Development at GitLab, you'll get the opportunity to oversee a team in the Sales Development organization. You'll help your team perform and exceed expectations by training, coaching, and mentoring them to drive impactful results. You'll also partner closely with our Marketing and Sales teams to align on integrated campaigns, strategic business initiatives, improve processes, and ultimately generate qualified meetings and pipeline for GitLab's Sales organization.

## Job Grade

The Senior Manager, Sales Development is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

- Build and train members of the Sales Development team to identify, contact, and create qualified opportunities
- Help to define performance metrics by which SDRs will be measured
- Coach SDRs through shadowing, role plays, process improvement, and performance reporting in recurring 1:1's
- Partner with regional managers to develop campaigns that align to their regional goals based on a territory plan
- Leverage creative marketing and sales tactics to help the SDR team prospect and engage with multiple buyer personas to introduce GitLab's value
- Manage SDR reports and dashboards to ensure the results they deliver can be easily understood by stakeholders throughout the organization
- Ensure sales accepted opportunities are sourced in accordance with company targets, and that our sales organization has enough opportunities to work with to be fully productive
- Iterate on the sales development process, methodology, campaigns, hiring profiles, training and enablement with respect to the GitLab core values
- Work closely with marketing, sales, and people ops to ensure SDR onboarding program and ongoing training is up-to-date on our current product offering
- Partner closely with Sales and other members of the SDR Management team to improve opportunity management and qualification processes
- Participate in and travel to QBR and Sales Kickoff events throughout the year
- Assist with recruiting, hiring, and onboarding new Sales Development Representatives

## Requirements

- 5+ years management experience in sales, sales operations, marketing, or customer service for a technical product
- A proven track record of delivering sales pipeline at a fast growing company with multiple sales segments with an inbound and outbound model
- Attract, retain, and motivate exceptional team memebers
- Management experience in a high growth environment, preferably in sales development or a similar field
- The desire to listen and creatively solve problems
- Is your college degree in French foreign politics with a minor in interpretive dance but you've been selling and marketing products since you were 12? Perfect. We know that your college degree isn't the only thing that prepares you as a potential job candidate.
- A passion for customers and the desire and desire to build authentic relationships
- Familiarity B2B software, Open Source software, and the developer product space
- Experience with CRM software (Salesforce preferred)
- Experience with prospecting tools like Outreach, Drift, DiscoverOrg etc.
- Passion and curiosity around technology
- An openness to learning, and using GitLab and Git (we use our own product daily!)
- Excellent spoken and written English (it's our company language)
- Travel about 20% for this role
- The ability to use GitLab
- Read about our [values](/handbook/values/), and are interested in working in accordance with those values

## Specialties

### Senior Sales Development Manager, Territory

As a Senior Sales Development Manager of a territory at GitLab, you will oversee a team of Sales Development Representatives (SDRs) focused on developing qualified opportunities. You will build a clear structure and strategy through working closely with both the sales team and the larger marketing org as well as leveraging data to iterate and improve this strategy and ultimately SDR productivity.

#### Requirements

- Attract, retain, and motivate exceptional SDRs
- Proven track record establishing, achieving or exceeding goals
- Build manager relationships with the larger marketing org as well as sales to ensure aligned strategy

### Senior Sales Development Manager, Region

As a Senior Sales Development Manager of a region, you get the opportunity to manage a team of regional managers. You will provide coaching and feedback to your team ensuring both your SDR managers and their Sales Development Reps have what they need to be successful in their role. Partnering closely with sales and marketing in your region, you will assist in the development of campaigns and lead generation strategies that align to regional goals. With that information, you will guide your SDR managers in the roll out and continous iteration and improvemnt of these campaigns as well as monitoring the data to provide updates.

#### Requirements

- Leadership at GitLab
- Experience managing managers in an outbound prospecting organization at a global organization
- Management experience in a high growth environment, preferably in sales development or a similar field

## Career Ladder

The next step in the Senior Manager, Sales Development job family is to move to the [Director, Sales Development](/job-families/marketing/sales-development-leadership/) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates receive a short questionnaire from our Global Recruiters
- Selected candidates will be invited to schedule a screening call with our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Sr. Manager or Director of Revenue Marketing
- Candidates will then be invited to schedule an interview with a Sr. SDR Manager
- Finally, candidates may be asked to interview with our CMO
- Successful candidates will subsequently be made an offer via video or phone call

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
