---
title: "Vice President of Product Marketing"
summary: Be responsible for managing and building the product marketing, technical marketing, competitive intelligence & market research and customer insights teams.
---

As the Vice President of Product Marketing, you will be responsible for managing and building the product marketing, technical marketing, competitive intelligence & market research and customer insights teams.

### Job Grade

The Vice President, Product Marketing is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Drive product marketing direction for GitLab, collaborating with other marketing functions such as revenue marketing, corporate marketing, partner marketing and inbound marketing.
- Understand market trends, customer requirements, usage and buying behaivor, and the partner ecosystem to better identify market opportunities and customer demand for GitLab's product offerings.
- Lead GitLab's analyst relations strategy and interactions with key industry analyst firms.
- Educate the market about GitLab's core technical value offerings through multiple collateral such as demos, white-papers, workshops, presentations and technical blogs, driving views of that content.
- Educate sales, product management, marketing teams and the partner channel about competitive landscape and competitor offerings.
- Work with the partner teams to develop solutions that support GitLab's GTM plays and deliver value to customers.
- Develop and activate GitLab's core use case messaging and positioning
- Provide input and strategy into product roadmap, strategy, and pricing based on market and customer research finding, industry analyst interactions and competitive findings.
- Nurture and leverage relationships with key DevOps thought leaders, influencers and key strategic customers and partners to help increase market awareness about GitLab.
- Define team's strategy, budget, hiring and OKR's to build and measure team results.
- Provide input about product priorities and goals to Product Management.
- Use customer, partner and competitive research to influence product strategy and drive effective messaging.
- Develop and own product positioning, messaging and value propositions that differentiate GitLab solutions in the marketplace.
- Grow a customer reference program to engage our customers and to showcase customer success and value realization achieved using GitLab.
- Craft engaging audience-specific content, including case studies, solution briefs, web content, presentations, data sheets, whitepapers and sales playbooks that can be utilized globally.
- Conduct ROI/TCO analysis and develop content to help customers make the business case for GitLab.
- Gather competitive intelligence on our key competitors and develop differentiation materials for the field and for external consumption.
- Support the team in setting clear goals and key results. Ensure that those are communicated and visible across the company and progress is shared regularly.

### Requirements

- 10-15 years of experience in product marketing and related marketing functions in the software industry, preferably wihtin an area of application development.
- 8+ years of progressive management experience, with an emphasis on leadership, and engaging global and local stakeholders.
- Experience building trusted relationships with executive sponsors and end users.
- Technical background or clear understanding of developer products; familiarity with Git, Continuous Integration, Containers, Kubernetes and Project Management software a plus.
- Experience with enterprise Software-as-a-Service offerings a plus.
- Experience supporting an Integrated GTM motions that includes sales, channel and services partners, strategic alliances and technology eco-systems.
- Bachelor's degree in computer science, marketing, business, or related area; MBA is a plus.
- Proven track record in building, getting buy-in and executing marketing plans, and staying focused on "getting it done" in a fast-moving, technical environment.
- Able to coordinate across many teams and perform in fast-moving startup environment.
- Proven experience being self-directed and working with minimal supervision.
- Demonstrated experience building credibility with and delivering results for product teams, sales teams and customers.
- Outstanding written and verbal communications skills to explain and translate complex technology concepts into simple and intuitive communications.
- Uses data to measure results and inform decision making and strategy development.
- Excellent spoken and written English.
- You share our [values](/handbook/values/), and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#director-group).
- Ability to use GitLab.

## Career Ladder

The next step in the Vice President, Product Marketing job family is not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#conducting-a-screening-call) with one of our Global Recruiters.
- A 45 minute interview with our Chief Marketing Officer
- A 45 minute interview with our VP of Demand Generation
- A 45 minute interview with our VP of Corporate Marketing
- A 45 minute interview with our Chief Product Officer
- A 45 minute interview with our Chief Executive Officer or Chief Revenue Officer
- Successful candidates will subsequently be made an offer via email.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
