---
title: VP, Developer Relations and Community
summary: Engage our community including contributors to our open-source product, users of our paid products and participants of our community programs by managing and building a team of technical evangelists, community builders and maintainers, marketing program owners and technical content specialists.
---

The VP, Developer Relations and Community is responsible for engaging our community including contributors to our open-source product, users of our paid products and participants of our community programs (GitLab for education, etc). You will be responsible for managing and building a team of technical evangelists, community builders and maintainers, marketing program owners and technical content specialists. You will own the community, content and marketing programs needed to meet the goals of having a vibrant active and engaged community and increasing code contributions.

## Responsibilities

- Define the strategy for our future GitLab community/forums and measure its activity and engagement
- Build out the strategy, team, marketing programs and systems to expand the community.
- Grow active members and engagement.
- Develop the strategy to increase monthly code contributors and contributions to GitLab.
- Create and maintain a GitLab heroes program to build evangelists in the community to grow the number of evangelists that regularly give talks, write blog posts, and organize meetups about GitLab.
- Build out key community programs such as open-source, education, non-profits, startups, etc.
- Develop the plan to attract and retain code contributors to hit our contribution goals.
- Develop GitLab's open-source partnership strategy and expand the number of active open source projects either self-hosting GitLab or using GitLab.com.
- Develop widely read content focussed on users (Development, Security and Operations) of GitLab for our blog, newsletter and YouTube channel. Ensure that content is relevant and syndicated to our community.

## Requirements

- Ability to use GitLab
- Proven progressive leadership experience, with an emphasis on people leadership, building teams to scale, and engaging global and local stakeholders.
- Experience building trusted relationships with executive sponsors and end users.
- You are obsessed with engaging with developers, operations and security professionals.
- You were a full-time developer in a previous life, but you prefer to work with the developer community to improve experience and support through education.
- You have experience leading a team in developer relations or community advocacy programs, preferably open source in nature.
- You are analytical and data driven in your approach to building and nurturing communities.
- You know how to use a marketing funnel to drive results and outcomes.
- Experience in communicating with journalists, bloggers and other media on a range of technical topics.
- Able to coordinate across many teams and perform in fast-moving startup environment.
- Proven experience being self-directed and working with minimal supervision.
- Excellent spoken and written English.
- Ability to learn and use GitLab
- Last but not least, and actually most importantly - you share our values, and work in accordance with those values.

## Job Grade

The VP, Developer Relations and Commmunity is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Career Ladder

The career ladder for this role is not yet defined.

## Performance Indicators

- User content - PageViews
- DevRel content - PageViews
- Contributors - Contributors per month
- Community - Monthly active users (forum)
- Eventually demand gen attribution/contribution

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with our Executive Recruiter.
- 50 minute Meeting with the CMSO
- 50 minute Meeting with VP Product Marketing
- 50 minute Meeting with VP Corporate Marketing
- 50 minute  Meeting with VP Engineering - Quality
- 50 minute Meeting with key leader on the Community team
- 50 minute Meeting with Marketing - Director, People Business Partner
- 25 minute Meeting with CEO

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
