---
title: "Vice President of Revenue Marketing"
description: "Our Vice President of Revenue Marketing is an innovative and energetic leader, with a knack for empowering high performing teams and an ability to get things done."
---

Our Vice President of Revenue Marketing is an innovative and energetic leader, with a knack for empowering high performing teams and an ability to get things done. Reporting to the CMO, the Vice President of Revenue Marketing is accountable for creating and executing a scalable marketing strategy to achieve new business pipeline and revenue targets. The Vice President of Revenue Marketing plays an integral role in driving revenue growth for the company across all channels and geos. This is a highly visible global role in the organization, responsible for the development and implementation of effective demand generation programs with an emphasis on lead generation, pipeline creation and nurturing prospects/customers along the buyer's journey.

The Vice President of Revenue Marketing is an experienced sales and marketing leader with a proven track record of building high performing teams, in rapid-growth environments, to deliver both predictable and sustainable results.  He or she thrives in a fast-paced environment and has a reputation for creating alignment with sales and inspiring trust with sales, based on proven process and metrics. Field Marketing, Account Based Marketing, Marketing Operations and Sales Development (in-bound and outbound lead generation) report into this leader.

They are accountable for KPIs and quotas that align to sales revenue goals and encompass all sources of pipeline generation. Top areas of focus are tracking the impact of marketing programs on pipeline values, average deal size and close rates globally and by segment.

Our Vice President of Revenue Marketing has proven success collaborating with all sales segmentations and marketing teams to envision, pilot, execute, and measure closed-loop integrated marketing programs that create a sense of urgency for the buyer and deliver significant pipeline and revenue growth for the company.  A desire to create a model that is innovative in the industry is a must.

#### Job Grade

The Vice President of Revenue Marketing role is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

- Partner with Demand Gen on GitLab customer acquisition strategy and operational marketing plan to deliver on pipeline and revenue targets
- Set organization strategy, staff for scale and develop the skills and career paths of all team members
- Serve as subject matter authority on engagement, performance, and Return on Investment metrics
- Lead and grow a team of marketing professionals to achieve key business metrics including MQLs, sales-accepted-opportunities, and closed business
- Accountability for meeting/exceeding attainment of sales pipeline goals and leading indicators of demand
- Forecast, measure, analyze and report on the impact of demand creation activities on sales pipeline and bookings.
- Drive clear and constant communication of goals and success metrics to the organization to ensure consistency and accountability with end-to-end reporting and analytics
- Continuously evaluate pipe-to-spend and the performance and cost of acquisition, adjusting demand tactics and strategy accordingly
- Ensure highly productive relationship with Sales, forging exemplary communication and aligning on campaign and target account strategy, we are one team

## Requirements

- 5 – 8 years of marketing experience with demonstrated success in online demand generation for technology companies for a Software SaaS based or cloud based companies
- Experience selling and/or marketing open source technology, sales leadership experience a big plus
- 8-10 years building, managing, and leading a sales development organization
- A track record of successful lead generation, nurture, and integrated marketing campaigns
- Robust experience in B2B online marketing tactics and marketing automation tools such as Marketo, Outreach, Drift, LeanData and Salesforce.com
- Proven track-record of success in partnering with Sales for common goals
- Data-driven marketing, demonstrated analytical ability and orientation for detail.
- Must be comfortable with a balance of day-to-day execution and high-level strategy across three disciplines with one common goal.
- Must understand the difference between a leader and a manager
- Experience managing external vendors and agencies
- Exemplary work ethic; takes the initiative and thinks creatively to get the job done
- [Leadership at GitLab](/handbook/company/structure/#director-group)
- Ability to use GitLab

## Performance Indicators

- Sales Accepted Opportunity Attainment
- IACV Pipeline Creation
- MQL attainment and pipe to spend for Field Marketing campaigns
- Average time to close and ASP for Account Based Marketing campaigns
- Closed Won IACV created

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).
Additional details about our process can be found on our [hiring page](/handbook/hiring/).

Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#conducting-a-screening-call) with one of our Global Recruiters.

- A 45 minute interview with Chief Marketing Officer
- A 30 minute interview with Senior Director of Strategic Marketing
- A 30 minute interview with Senior Director of Corporate Marketing
- A 30 minute interview with Marketing People Business Partner
- Successful candidates will subsequently be made an offer via email

## Relevant Links

- [Marketing Handbook](/handbook/marketing/)
