---
title: "Vice President of Strategy & Developer Relations"
description: "Job description fo the Vice President of Strategy & Developer Relations."
---

The VP, Strategy & Developer Relations is responsible for driving the company’s strategic objectives as well as industry trends related to AI and hyperscalers and to identify, recommend, and evaluate initiatives that will meet GitLabs growth objectives. Additionally this role is responsible for engaging our customers to co-create with GitLab and encouraging wider community members to contribute to our open-core platform - a major differentiator for GitLab.

#### Job Grade

The VP, Strategy & Developer Relations is a grade 12. (/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

## Responsibilities

**Strategy**

- Drive the company’s strategic objectives as well as industry trends related to AI (GTM) / hyperscalers to identify, recommend and execute on initiatives that meet the company’s growth objectives.
- Meet with customers to validate the strategies and iterate as needed
- Develop a cohesive Hyperscaler strategy and drive forward with key stakeholders  - first focused on AWS and Google.
- Develop our competitive AI vision (GTM perspective) - and connect what we are building and positioning today with our vision in partnership with PMM. Validate vision by meeting with customers and partnering with the field team to test what the right go to market motions are.
- Establish how we measure success, build alignment and act as exec sponsor for our AI vision and Hyperscaler strategies.
- Engage our customers to co-create with GitLab and encourage wider community members to contribute to our open-core platform - a key differentiator
- Work collaboratively with cross-functional teams to analyze issues and develop solutions to improve how we innovate, scale, build and deliver aligned to our unified strategy
- Participate as a key stakeholder for evaluating new market opportunities to drive cross-business corporate prioritization and provide insight into our business by deploying data and research (market, customer, competition).
- Using deep understanding of our industry and our competitors, communicate learnings about the landscape with leaders throughout GitLab; drive initiatives that improve our competitive positioning and increase our profit share of the industry.
- Create action plans to respond proactively to the competitive environment.
- Proactively drive what thought leadership is needed and collaborate with field CTOs, Corporate Communications, Product Marketing
- Lead and/or be a key participant in special projects and fill in the gaps wherever needed.

**Developer Advocacy**

- Drive the early adopters program to get early customer feedback on features being released and work with product on iteration as needed
- Define the strategy for our future GitLab community/forums and measure its activity and engagement
- Develop the strategy to attract, retain and increase monthly code contributors and contributions to GitLab.
- Build out the strategy, team, marketing programs and systems to expand the community - e.g. open-source, education, nonprofits and startups.
- Manage and build a team of technical marketers, evangelists, community builders and maintainers, marketing program owners and technical content specialists.
- Own the community, content and marketing programs needed to meet the goals of having a vibrant active and engaged community and increasing code contributions.

## Requirements

- A visionary strategist and scaler, adept at connecting the dots between vision, the innovations and the infrastructure required to achieve it.
- Big cloud experience - understanding their services and how they operate
- An agile leader with strong project management skills, able to operate at all levels and manage by influence. This role requires you to dive into the details while simultaneously leading transformative initiatives.
- A creative thinker who is not confined to a traditional approach, willing to explore new and/or unconventional strategies if the impact or doing so is greater than “doing what has always been done”.
- A self-starter who is comfortable with change and ambiguity.
- Inspirational leader with strong collaboration skills and proven ability to work cross functionally with diverse business unit leaders.
- Successful track record of timely execution, impeccable organizational abilities, validated business insight and commercial experience.
- Effective communicator, able to convey complex ideas in a clear, concise manner both verbally and in writing; comfortable in business and technical discussions as well as senior executive audiences, as well as journalists, bloggers and other media on a range of technical topics.
- Proven progressive leadership experience, with an emphasis on people leadership, building teams to scale, and engaging global and local stakeholders.
- Experience building trusted relationships with executive sponsors and end users.
- You are obsessed with engaging with developers, operations and security professionals.
- You were a full-time developer in a previous life, but you prefer to work with the developer community to improve experience and support through education.
- You have experience leading a team in developer relations or community advocacy programs, preferably open source in nature.
- You know how to use a marketing funnel to drive results and outcomes.

## Career Ladder

The career ladder for this role is not yet defined.

## Performance Indicators

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).
Additional details about our process can be found on our [hiring page](/handbook/hiring/).

Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#conducting-a-screening-call) with one of our Global Recruiters.

- A 45 minute interview with Chief Marketing Officer
- A 30 minute interview with Senior Director of Strategic Marketing
- A 30 minute interview with Senior Director of Corporate Marketing
- A 30 minute interview with Marketing People Business Partner
- Successful candidates will subsequently be made an offer via email

## Relevant Links

- [Marketing Handbook](/handbook/marketing/)
