---
title: "Strategic Partnerships"
---

The Business Development and Strategic Partnerships team is responsible for the strategy and relationship management with Cloud, Hyperscalers, and Strategic Technology Partners.

## Director, Partnerships

The Director, Partnerships reports to VP, Business Development and Strategic Partnerships

### Job Grade

The Director, Partnerships is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Identify and cultivate strategic relationships with current and potential technology partners and large enterprises.
- Develop (and act on) collaboration plans for key partners, and develop product adoption and customer success plans.
- Lead and develop differentiated relationships between GitLab and our technology partners' teams. This includes partners executive leaders, product managers, engineering, sales and marketing.
- Act as a liaison between internal teams at GitLab and strategic partners to communicate about feature requests, product roadmap, and how the partnership influences timing and direction.
- Understand the relative strength of competitors within strategic partners, if any.
- Evaluate effectivity of partner relationships and engagements in delivering positive ROI.
- Speak regularly in public as the voice for GitLab and the partner
- SA level expertise with GitLab AND the partners technology
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

### Requirements

- You know the DevOps software ecosystem like the back of your hand.
- You're comfortable with code, and enjoy talking with developers and engineering directors alike.
- You've shown that you can build long term (international) strategic relationships, preferably involving open source software.
- You share our [values](/handbook/values/), and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#director-group)
- Ability to use GitLab

## VP, Business Development and Strategic Partnerships

In this role, you develop and implement a multi-year sales plan to rapidly grow revenue and build strategic partnerships with Cloud, Hyperscalers, and Strategic Technology Partnerships. You are tasked with continuously enhancing our partnership organization, processes, and metrics. As a Vice President, you will serve as a key adviser to GitLab's executives, Directors, and the sales group with regards to GitLab's overall global partner strategy.

### Job Grade

The VP, Business Development and Strategic Parterships is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Identify, establish and execute agreements with hyperscaler/cloud provider sand Strategic Technology Partnerships that support sales goals and accelerate our product ambitions and roadmap
- Manage efforts to research and build strategic partnerships, with a goal of increasing revenue at GitLab
- Develop, maintain, and manage the implementation of strategic partnerships strategy and go-to­ market plans
- Collaborate and coordinate with cross-functional organizations at GitLab (Corporate Development, Legal, Marketing, Product, Engineering, Finance, Sales, etc.) to develop new product offerings within existing lines of business and activate productive partnerships
- Manage external contacts, expectations and be the key GitLab Ambassador for our partner relationships
- Coordinate and collaborate with cross-functional organizations within GitLab to include marketing, products, finance, legal, sales, engineering and people operations
- Build and define the Business Development and Strategic Partnership strategy and vision for long term partner success
- Identify and define measures of success for the Business Development and Strategic Partnership team, focusing on growth and development of the team
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

### Requirements

- 6-8 years of senior leadership (VP or C-level) in planning and closing partnership deals valued at over $50M with enterprise technology companies
- 8+ years of experience in the field of DevOps
- Experience working in a fast-pace, start-up (500 employees and under), building key partnerships during scaling and pre-IPO
- Repeated success in "cradle-to-grave" penetration of Enterprise companies, outlining plans to build opportunities for collaboration and continued success
- Experience migrating large open-source projects to new tools for their communities
- Demonstrated complete understanding of the company, product, and landscape to make informed long-term strategic business decisions
- Established network of executive level contacts within the public cloud space, DevOps and open-source communities. Proven ability to translate those to new partnerships and business opportunities.
- Demonstrated analytical and data led decision-making.
- [Leadership at GitLab](/handbook/company/structure/#s-group)
- Ability to use GitLab

## Performance Indicators

- $ derived from GitLab + Technology partner joint customers
- Size of Partner Practices - skilled, certified consultants and deliver resources
- [SMAU](https://internal.gitlab.com/handbook/company/performance-indicators/product/#stage-monthly-active-users-smau) acceleration by stage or # seats in named enterprise accounts

## Career Ladder

The next step in the Strategic Partnerships job family is not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.
Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
