---
title: "Absence Management"
---

## Levels

### Absence Management Specialist

The Absence Management Specialist reports to the Manager, Absence Management.

### Absence Management Specialist Job Grade

The Absence Management Specialist is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Absence Management Specialist Responsibilities

- Hands-on responsibility for the day-to-day administration of all employee leave of absence programs.
- Ensures compliance with all leave of absence and employment laws across all countries in which we have entities by accurately completing all time away requests in a timely manner.
- Suggests both company and statutory policy and practice revisions as needed.
- Ensures the proper tracking of LOAs and identifies the process dependencies and suggests remediation of those dependencies.
- Acts as the team member's first point of contact to facilitate a smooth departure as well as a smooth transition back to work.
- Answers tier-1 leave-related questions and concerns from Team Members.
- The first point of contact for Managers, People Business Partners, and other key stakeholders related to their team members' time away requests.
- Administers ADA-related tasks related to all team members' requested accommodations (medical, religious, work-related).
- Maintains LOA trend data and status reports as needed.

### Absence Management Specialist Requirements

- Strong verbal and written communication and problem-solving skills.
- Must exercise confidentiality and discretion in dealing with sensitive, complex, and time-sensitive time-away requests.
- Independent worker with strong organizational skills and attention to detail.
- Proven track record of adhering to and meeting strict deadlines.
- Experienced in learning and thriving in a constantly changing global environment and able to cultivate relationships across Global teams.
- Ability to learn and use GitLab tools.
- Aligns with GitLabs values.
- Experience using Google Sheets.

## Role

Senior Absence Management Specialist
The Senior Absence Management Specialist reports to the Manager, Absence Management.

### Job Grade

The Senior Absence Management Specialist is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Responsible for the full life-cycle administration of all leave of absence programs including but not limited to remitting and collecting required documentation, reporting leave wages to both the US and Non-US payroll teams, and ensuring compliance by accurately completing all requests in a timely manner.
- Stays up to date with regulatory time away changes, and suggests both company and statutory time away policy and practice revisions as needed.
- Ensures proper tracking of leave requests in all internal HRIS systems, identifies process dependencies, and suggests remediation of those dependencies.
- Acts as a team member's first point of contact to facilitate a smooth departure as well as a smooth transition back to work.
- Answers complex leave-related questions and concerns from Team Members, working closely with the Manager, People Business Partner, Legal, and other key stakeholders as needed.
- Acts as the first point of contact for Managers, People Business Partners, and other key stakeholders related to the team members' time away request(s).
- Responsible for leading the interactive process related to all requested accommodations as prescribed under the Americans with Disabilities Act. This may also include religious, lactation, and other work-related accommodations.
- Champions a [handbook first](/handbook/about/handbook-usage/) mentality keeping all internal processes and policies up to date at all times.
- Maintains LOA trend data and status reports as needed.
- Must exercise confidentiality and discretion in dealing with sensitive, complex, and time-sensitive time-away requests.

### Requirements

- Excellent verbal and written communication skills.
- Strong problem-solving and critical thinking skills.
- 1-3 years of absence management experience in U.S and/or Non-U.S countries.
- Independent worker with proven organizational skills able to complete tasks at a relatively quick pace with strong attention to detail.
- Proven track record of adhering to and meeting strict deadlines.
- Experienced in learning and thriving in a constantly changing global environment and able to cultivate relationships across Global teams.
- Ability to learn and use the GitLab tool to maintain internal documentation related to statutory leave policies and processes.
- Aligns with GitLabs values.
- Experience using GSuite (google doc, sheets, mail, etc).

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).

### Senior Absence Management Partner

The Senior Absence Management Partner reports to Manager, Absence Management.

### Senior Absence Management Partner Job Grade

The Senior Absence Management Partner is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Absence Management Partner Responsibilities

- Administers global absence management programs and drives policy and practice revisions as needed.
- Ensures compliance with all leave of absence and employment laws across all countries in which we have entities.
- Oversees the creation and/or modification of LOA policies and practices to ensure alignment with applicable requirements as well as GitLabs' Values.
- Ensures alignment with partners across the organization including Legal, Compliance, Sales Operations, Payroll, benefits/leave vendors, and Total Rewards.
- Primary absence partner and subject matter expert for Global LOA inquiries, requests, designations and approvals.
- Hands-on responsibility of day-to-day administration of all employee leave of absence programs.
- Maintains communication with team members on leave to facilitate a smooth departure as well as a smooth transition back to work.
- Partners with leaders and team members regarding workplace accommodations.
- Optimizes the LOA processes to deliver exceptional Team member experiences before, during and after the leave of absence.
- Optimizes the administrative processing of LOA's to ensure accurate and timely completion of required steps.  May be required to determine outsourcing options for administrative aspects of LOA's.
- Provides trend LOA data and status reports as needed.
- Ensures the proper tracking of LOA's and identifies the process dependencies and remediation of those dependencies.

### Senior Absence Management Partner Requirements

- 5-7+ years of progressive Absence Management experience.
- Expert level knowledge of leave requirements and regulations in multiple countries including US and Canada.  Must have the willingness and desire to learn other countries' requirements.
Excellent written and verbal communication and interpersonal skills.
- Strong problem-solving skills, critical thinking, and an intuitive sense of business acumen.
- Ability to execute tasks with attention to detail, reliability, and a relatively quick pace.
- Ability to interface and partner with stakeholders to achieve and influence results.

## Performance Indicators

- Team Member Absence Management Case Management
  - Senior Absence Management Partner will respond to all requests for assistance from team members within 24 hours.
  - All cases are resolved in a consistent, fair, and unbiased process.
  - Identify and resolve potential risks to GitLab.
  - When surveyed, >90% utilizing the Team Member Absence Management Partner report effective interactions and outcomes, and positive experiences while taking time off.
  - Overall employee sentiment is positive (>80%) on the Engagement Survey.

- Collaboration
  - Effective partnership with key stakeholders such as Team Member Relations, People Business Partners, Legal, and People Success.

## Career Ladder

The next step in the job family is the Absence Management Manager.

### Absence Management Manager

The Absence Management Manager reports to the Director, Team Member Relations.

### Absence Management Manager Job Grade

The Absence Management Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Absence Management Manager Responsibilities

- Manages global absence programs and oversees policy and practice revisions as needed.
- Stays up to date on all time away related compliance, statutory, and regulatory changes across all countries in which GitLab has entities.
- Oversees the creation and/or modification of LOA policies and practices to ensure alignment with applicable requirements as well as GitLabs' Values.
- Strategic partner across all organizations including Legal, Compliance, Sales Operations, Payroll, benefits/leave vendors, and Total Rewards to ensure alignment.
- Primary absence partner and subject matter expert for all Global LOA inquiries, requests, designations, and approvals.
- Continually reviews company-specific leave programs to optimize the LOA processes to deliver exceptional Team member experiences before, during, and after the leave of absence.
- Provides oversight and governance for all requested workplace accommodations (medical, religious, and work-related), participates in the interactive process, and partners with key stakeholders across the organization as needed.
- Analyzes data to identify trends, provide insights and make recommendations to stakeholders and cross-functional partners to develop scalable solutions, programs, and policies to improve the team member experience.
- Leads department-specific and org-wide strategic initiatives, soliciting buy-in, partnering with cross-functional partners, and driving scalable solutions.
- Manages a team of Absence specialists and partners.

### Absence Management Manager Requirements

- Ability to use GitLab
- 5-7+ years of progressive Absence Management experience.
- Expert level knowledge of leave requirements and regulations in multiple countries including US and Canada.  Must have the willingness and desire to learn other countries' requirements.
- Excellent written and verbal communication and interpersonal skills.
- Strong problem-solving skills, critical thinking, and intuitive sense of business acumen.
- Ability to execute tasks with attention to detail, reliability, and a relatively quick pace.
- Ability to interface and partner with stakeholders to achieve and influence results.
- 2+ years experience managing a team.

### Absence Management Manager Performance Indicators

- Team Member Absence Management Case Management
  - Absence Management Manager will ensure the team responds to all requests for assistance from team members within 24 hours.
  - All cases are resolved in a consistent, fair and unbiased process.
  - Identify and resolve potential risks to GitLab.
  - When surveyed, >90% utilizing the Team Member Absence Management Team report effective interactions and outcomes, and positive experiences while taking time off.
  - Overall employee sentiment is positive (>80%) on the Engagement Survey.

- Collaboration
  - Effective partnership with key stakeholders such as Team Member Relations, People Business Partners, Legal and People Success.

### Absence Management Manager Career Ladder

The next step in the job family is Team Member Relations Manager.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute screening call with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 45 minute interview with our Senior Manager, People Operations
- After that, candidates will be invited to schedule a 30 minute interview with members of the People Business Partner Team
- Next, candidates will be invited to schedule a 30 minute interview with members of the Legal team
- After that, candidates will be invited to interview with the Senior Director, People Success
- Finally, our CPO may choose to conduct a final interview

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
