---
title: "Candidate Experience"
description: "The GitLab Candidate Experience Specialists work to create positive experiences for GitLab candidates and hiring teams."
---

## Candidate Experience Specialist

The GitLab Candidate Experience Specialists work to create positive experiences for GitLab candidates and hiring teams. In a growing fast-paced environment, the Candidate Experience Specialist is a dynamic team member who helps create an amazing candidate experience, improve our existing hiring practices, and deliver exceptional results to our hiring teams. GitLab strives to be a preferred employer and relies on the Candidate Experience Specialists to act as brand ambassadors by embodying the company values during every interaction with potential team members. The Candidate Experience Specialist is enthusiastic about working with high volume and is dedicated to helping GitLab build a qualified, diverse, and motivated team. The Candidate Experience Specialist reports to the Associate Manager, Candidate Experience.

### Job Grade

The Candidate Experience Specialist is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Collaborate with Recruiters, hiring teams and Recruiting leadership to understand and implement the hiring plan for each job requisition
- Coordinate with the Recruiters to maintain correct process information in the Applicant Tracking System (ATS) and GitLab repositories
- Build and update an effective network of internal and external resources to call on as needed
- Ensure candidates receive timely, thoughtful and engaging messaging throughout the hiring process
- Work in Applicant Tracking System (ATS) to help recruiters maintain a positive candidate experience for candidates
- Helps manage candidate traffic for all roles
- Act as the [Recruiting Coordinator](/handbook/hiring/talent-acquisition-framework/coordinator/) for the interview process
- Assist with conducting reference checks, if applicable, for all candidates entering the final round of the interview phase
- Create and stage employment contracts for candidates receiving an offer of employment on behalf of the hiring manager and recruiter
- Work to create a seamless handoff of new team members to the [People Connect Team](/job-families/people-group/people-connect/)
- Promote our values, culture and remote only passion

### Requirements

- Desire to learn about Talent Acquisition and GitLab from the ground level
- Demonstrated ability to work in a team environment and work with C-Suite level candidates with a focus on delivering an excellent candidate experience
- Ambitious, efficient and stable under tight deadlines and competing priorities
- Proficient in Google Workspace
- Ability to build relationships with team members, hiring managers and colleagues across multiple disciplines and timezones
- Outstanding written and verbal communication skills across all levels
- Willingness to learn and use software tools including Git and GitLab
- Organized, efficient, and proactive with a keen sense of urgency
- Excellent communication and interpersonal skills
- Prior experience using an applicant tracking system, Greenhouse experience is a plus
- Ability to recognize and appropriately handle highly sensitive and confidential information
- Experience working remotely is a plus
- Share our [values](/handbook/values/) and work in accordance with those values
- Ability to use GitLab

## Senior Candidate Experience Specialist

Senior Candidate Experience Specialist shares the same requirements and responsibilities as the Intermediate Candidate Experience Specialist with the addition of the following:

### Job Grade

The Senior Candidate Experience Specialist is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Serve as a mentor to the rest of the team through leading by example, sharing best practices, and acting as a resource
- Serve as an example of dogfooding GitLab.com and assist team members with questions
- Provide insight and feedback to suggest process improvements, and oversee their implementation
- Take a lead role in helping the team to reach OKR's and Performance Indicators
- Consistently provide a great candidate experience in each interaction
- Act as thought partner to Recruiters and Hiring Managers, suggesting and implementing creative solutions to challenges that impact the candidate experience

### Requirements

- Experience with high volume and high level recruiting coordination
- Consistent track record and strong performance
- Experience working directly with hiring teams
- High sense of urgency
- Proven organizational skills with high attention to detail and the ability to prioritize
- Confidence to learn new technologies and translate that learning to others
- Experience as mentor, guide, or subject matter expert

## Associate Manager, Candidate Experience

The Associate Manager, Candidate Experience has deep experience in assessing organizational needs and developing a variety of solutions to drive development and growth within the team and department. They provide leadership to build and scale initiatives that focus on team development, strengthening our team members, and continual process improvement to ensure candidates receive an amazing experience.

### Job Grade

The Associate Manager, Candidate Experience is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Build and manage a team of Candidate Experience Specialists
- Manage candidate experience for  complex hires, including executive and confidential hiring, ensuring an exceptional and high touch candidate experience
- Recommend and implement tools and processes that will continuously improve our candidate experience
- Provide input into the recruiting strategies that will impact candidate experience and scheduling
- Work closely with various internal functional groups to understand business requirements, and consult on talent solutions
- Stay connected to the competitive landscape, including trends in recruiting coordination and candidate experience
- Ensure that the teams maintain a high level of data integrity with our ATS and other people systems
- Provide consistent training and best practices to the rest of the recruiting team

### Requirements

- Experience with recruiting coordination at multiple levels, including Executive
- Experience managing and influencing others, and building out trainings to upskill team members
- Excellent project management skills
- Experience partnering closely with sourcers, recruiters, hiring managers, and candidate experience specialists/recruiting coordinators
- Proven organizational skills with high attention to detail
- Experience and proficiency with Applicant Tracking Systems and other recruiting software (ideally including Greenhouse)
- Solves problems in thoughtful, strategic ways that incorporate broader goals
- Able to use, or willingness to learn, GitLab

## Manager, Candidate Experience

### Job Grade

The Manager, Candidate Experience is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Build and manage a high-functioning Candidate Experience team with distinct KPIs
- Coach Candidate Experience Specialists in terms of career progression and professional growth
- Recommend and execute on strategic and data-driven decisions on behalf of the candidates and Candidate Experience Specialists
- Implement tools and processes that will continuously improve our candidate experience
- Provide recommendations into the recruiting strategies that will impact candidate experience for all of Talent Acquisition
- Work closely with various internal functional groups and Talent Acquisition Managers to understand business requirements, and consult on talent solutions
- Stay connected to the competitive landscape, including trends in recruiting coordination and candidate experience
- Maintain a high level of understanding of our ATS and its integrated people systems to ensure that the full Candidate Experience team maintains data integrity
- Own surveys related to candidate experience and work across teams to communicate and improve results
- Provide consistent training and best practices to the rest of the recruiting team
- Consistently balance business needs with a maintaining a quality, innovative candidate experience

### Requirements

- Experience with recruiting coordination at all levels and a strong understanding of all aspects of Talent Acquisition
- Experience managing and influencing others, and building out trainings to upskill team members
- Experience implementing new ways of working across a globally distributed team
- Excellent project management skills
- Experience partnering closely with management and leadership across a company
- Proven organizational skills with high attention to detail
- Experience and proficiency with Applicant Tracking Systems and other recruiting software (ideally including Greenhouse)
- Solves problems in thoughtful, strategic ways that incorporate broader goals and consider business needs
- Able to use, or willingness to learn, GitLab

## Career Ladder

The next step in the Candidate Experience job family is to move to the [Recruiter](/job-families/people-group/talent-acquisition/) job family or the [Sourcer](/handbook/content/job-families/people-group/talent-acquisition-sourcing/) job family.

## Performance Indicators

- Average candidate ISAT
- Hires vs. Plan
- Time to Offer Accept
- CES Service Desk Issues Response Time and Issue Distribution
- CES Response Time

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute screening call
- Then, candidates will be invited to three 45 minute interviews with the Hiring Manager and additional team members

As always, the interviews and screening call will be conducted via a [video call](/handbook/communication/#video-calls). See more details about our interview process [here](/handbook/hiring/interviewing/).
