---
title: "Chief People Officer"
---

The GitLab team has grown quickly and plans to continue to grow while maintaining our culture of [remote working](https://about.gitlab.com/blog/2015/04/08/the-remote-manifesto/), embracing development, and building scalable people-oriented policies. The Chief People Officer (CPO) is a strategic leader and consultant that oversees the People Success (People Operations, Learning & Development, Diversity, Inclusion & Belonging, Total Rewards, People Business Partners) and Recruiting functions. The CPO is empowered to grow teams, make data-driven decisions, and deliver transparent and people first programs.

## Responsibilities

- Provide strategy and oversight of the administration of our compensation, benefits, and HRIS system
- Work to refine and improve our global compensation frameworks including the [Global Compensation Calculator](/handbook/total-rewards/compensation/)
- Advise the executive team on relevant compliance and employment law and introduce best practices to protect the organization
- Develop and implement effective training programs for GitLab employees and community
- Harness the existing culture and values when building out internal people-related policies while devising new ways to reinforce and improve upon the culture
- Manage talent initiatives from recruiting and onboarding to employee retention and offboarding
- Identify and measure organizational KPIs and OKRs for the People Division
- Implement a global program for evaluating performance and providing feedback
- Advise the company on all legal issues related to employment
- Evaluate and manage all third party People Ops vendors and partners
- Manage and grow the People Division
- Report directly to the CEO

## Requirements

People Success Experience

- You have more than 5 years of experience in a People Success executive position(s) or an HR executive position. In those roles, you had at least 3 levels reporting to you (directors, managers, and IC's).
- You'll bring a deep understanding of US employment law and associated best practices. Someone with experience in international employment law is preferred.
- You've led a complex organization.
- You'll improve the effectiveness of the executive team.
- Your experience will aide us as we deal with complex employer-relation issues.
- You'll bring a deep understanding of recruiting tactics, metrics, and capacity planning.
- You've helped develop career paths, promotion reviews, and compensation cycles in previous roles.
- You're familiar with the issues that public companies face.
- You'll embody the approach we expect from Executive Group [leadership at GitLab](/handbook/company/structure/#e-group)
- You can learn how to use GitLab
- You'll bring some international HR or People Ops experience.

Scaling

- You're able to plan for future hires and hire according to that plan.
- You've worked in high growth environments. As an example, you could have worked at an organization that has more-than-doubled the number of team members year over year

Values

- You'll share our values, work following those values.
- You'll help reinforce and nurture our [values](/handbook/values/#how-do-we-reinforce-our-values ) internally.
- Dogfooding: Eating our dog food is important to us. You'll demonstrate a willingness to work with git and GitLab while using GitLab workflows within the People Ops team.
- Collaboration: You'll respond to company criticism quickly, effectively, and visibly. You'll foster and support an inclusive environment within the People team and the wider organization.
- Results: It's important we do what we promised to each other, customers, users, and investors. You'll demonstrate this in your approach to leadership.
- Efficiency: You'll bring boring solutions to the team, constantly look for efficiency improvements across GitLab, and holding other e-group members accountable for upholding their efficiency too.
- Diversity: You'll help us increase the diversity of the team, and better the feelings of inclusion and belonging at GitLab.
- Iteration: You'll do the smallest thing possible and get it out as quickly as possible. Minimal Valuable Change is how we all work here.
- Transparency: You'll be committed to making the People Team as open and transparent as possible.
- You'll demonstrate the ability to engage, motivate & inspire a global People team

All-remote

- We're able to hire team members across the globe. Part of your role will involve discovering approaches that help us hire team members in as many locations around the world as possible.
- You'll help reinforce our [communication guidelines](/handbook/communication/). As you'll see, our approach to communication is unique and you'll need to be comfortable adapting your own style.

Analytical

- You'll efficiently collect and select the right metrics that'll lead to impactful reporting and change.
- You'll make data-informed business cases and utilize data to understand the tradeoffs for those decisions.
- You're able to articulate and quantify a compensation philosophy logic.
- You help us achieve company-wide consistency in bonuses, promotions, raises, refreshes, leadership development.
- Your ideas and insights will aide us as we look to measure the effectiveness of interviewers and the caliber of new hires.
- You'll adopt an analytical and methodical approach to performance and compensation reviews.
- Quantitative methods will underpin your approach for identifying high-potential and underperformance.

Other requirements

- You'll bring concise written and verbal communication skills to the team

## Performance Indicators

- [12 month team member retention](/handbook/people-group/people-success-performance-indicators/#team-member-retention)
- [12 month voluntary team member turnover](/handbook/people-group/people-success-performance-indicators/#team-member-turnover)
- [12 month PIP Success Rate](/handbook/people-group/people-success-performance-indicators/#regrettable-attrition)
- [Discretionary bonus per employee per month](/handbook/total-rewards/incentives/#discretionary-bonuses)
- [Engagement survey inclusion questions](/handbook/company/culture/inclusion/#performance-indicators)
- New hire location factor
- [Percent of team members over compensation band](/handbook/people-group/people-success-performance-indicators/#percent-over-compensation-band)
- [Plan vs Actual](/handbook/finance/financial-planning-and-analysis/#plan-vs-actual)
- [Women in company](/handbook/company/culture/inclusion/#performance-indicators)
- [Women in leadership](/handbook/company/culture/inclusion/#performance-indicators)
- [Women voluntary attrition](/handbook/company/culture/inclusion/#performance-indicators)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule at least 2 [screening calls](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters or Talent Acquisition Partners.
- Then a 50 minute meeting with the CEO/Co-Founder,
- Next, a round of 3 separate 50 minute interviews with the VP of Recruiting, the Senior Director, People Operations and the Chief Legal Officer,
- Next, a 80 minute interview with the CEO/Co-Founder,
- Next, a round of 4 separate 50 minute interviews with the other executives; Chief Financial Officer, the Chief Revenue Officer, The Chief Marketing Officerr, and either the Executive Vice President of Engineering or the Executive Vice President of Product,
- Then we will introduce final candidates to the Board of Directors and may involve another round of interviews or meetings with selected board members;
- Finally,  as a part of the reference check stage, our CEO/Co-Founder will request the candidate's last 360 review and will share theirs as well and schedule a call to review the feedback on both sides.
