---
title: "Executive Business Administration"
---

## About the role

Executive Business Administrators (EBAs) at GitLab toggle seamlessly between various systems including Google Workspace, Slack, Navan, Zoom, and GitLab to accomplish an array of tasks, while staying focused on prioritization and escalating urgent issues.

EBAs at GitLab are self-driven, collaborative, and agile team members who are experienced in managing multiple priorities, juggling various responsibilities, and anticipating the executive's needs. EBAs are exceptionally organized, relentlessly resourceful, calm under pressure, and strategic multitaskers with a deep love of logistics and the ability to thrive in a dynamic start-up environment.

## Levels

### Executive Business Administrator (Intermediate)

Executive Business Administrators (Intermediate) typically support VPs and report directly to a leader they support.

#### Executive Business Administrator (Intermediate) Job Grade

The Executive Business Administrator is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Executive Business Administrator (Intermediate) Responsibilities

- Support VP leaders in various time zones
- Manage complex calendars including vetting, prioritizing and providing recommendations while taking direction from leaders. Aligns to GitLab meeting norms and practices.
- Total travel coordination including air and ground transportation, hotel reservations, security, visas and other travel documentation
- Maintain an efficient flow of information between all levels including internal and external contacts on a wide spectrum of plans and priorities
- Process and submit expense reports as well as monitor reimbursements in a timely manner
- Partner with PeopleOps, IT and Security to resolve any logistical needs
- Assist the full life cycle of recruiting including booking interviews, liaising between the hiring team and the candidate, and coordinating onboarding of new hires
- Maintain and track manager and teams project list and/or OKRs
- Contribute to and attend virtual and in-person team meetings and onsites by assisting with the production of materials and pre-reads, scheduling and coordination, logistics and vendor communication, budget-tracking, taking notes, and tracking action items.
- Provide general project support as needed
- Provide coverage for other EBAs in similar roles
- Contribute to broader EBA community by participating in EBA activities and initiatives
- Build strong cross functional relationships with other EBAs
- Organize agendas and note-take for meetings where the leaders they support are present (e.g. Staff meetings, AMAs, All Hands, team meetings, etc.)

#### Executive Business Administrator (Intermediate) Requirements

- Previous experience at a quickly-scaling or large company
- Successful history of managing the calendars, expenses, and travel of multiple executives
- Experience predicting, prioritizing, and assisting an executive's workload
- Extensive technical skills in Google Workspace, Zoom, Slack, and Navan
- Proactive and able to deal with ambiguity, prioritize own work and resources, and juggle multiple tasks in a manner transparent to the team, and work independently to achieve results with a high degree of accuracy
- Exceptional communication and interpersonal skills and ability to interact autonomously with internal and external partners
- Maintain the confidentiality of highly sensitive material with tact and professionalism
- Superior attention to detail
- Event coordination and creative event planning experience
- Excellent written and verbal English communication skills
- Experience in a remote start-up environment preferred
- A passion for GitLab and models CREDIT values
- A sincere willingness to help out and able to work collaboratively with EBAs across the organization
- Ability to learn and use GitLab

### Senior Executive Business Administrator

Senior Executive Business Administrators typically support an E-Group member and report directly to their leader.

#### Senior Executive Business Administrator Job Grade

The Senior Executive Business Administrator is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Executive Business Administrator Responsibilities

- Extends Executive Business Administrator (Intermediate) Responsibilities
- Support members of our Executive Group [E-Group](/handbook/company/structure/#e-group) across various time zones. May support VPs if all responsibilities are consistently met.
- Understand division wide KPIs and operating procedures and can prioritize projects, requests, and executive calendar accordingly. May make recommendations to leaders to help better prioritize incoming requests
- Use independent judgment and discretion to prioritize demanding calendars, ensure the leader is prepared appropriately with all pre-read materials, in-meeting organization, and action item follow up
- Serve as the executive's central point of contact, driving task execution and project completion
- May manage executive email inbox including prioritization of follow up
- May manage the OKR process including updating OKRs,tracking and reporting progress
- Proactively find opportunities to drive efficiencies and streamline or prioritize work based on the executive's business goals and expectations
- Run cadence of weekly staff meetings and other important meetings, including planning agenda, organization, and follow-up on action items
- Plan events such as team onsites, team building activities and company kick-offs, as needed
- Participate in the interview process for open EBA positions
- Contribute to the broader EBA community by sharing learnings and resources, supporting new EBA onboarding, and supporting EBA team camaraderie
- Host/facilitate division-wide team meetings, AMAs, All Hands, etc.
- Is a champion of GitLab strategy and CREDIT values

#### Senior Executive Business Administrator Requirements

- Extends Executive Business Administrator (Intermediate) Requirements
- Previous experience supporting a C-Staff Executive at a quickly-scaling or large company
- Self-starter who can operate independently and move quickly from one task to another; creative problem solver, seeks "win-win" solutions; energized by challenges with superb attention to detail
- Demonstrated leadership mindset in prior roles—ability to influence culture/environment around them and has a "one team" mindset; able to lead other EBAs and partner well across GitLab
- Experience with event planning & coordination to include support for large meetings, off-sites and company events
- Approachable and effective communicator across various communication channels and with all levels of the organization
- Must be able to work flexible hours to support international business meetings and some travel is required in most roles

### Staff Executive Business Administrator

Staff Executive Business Administrators (EBA) support the CEO or an E-Group member. Staff EBA roles report directly to their leader or the leader's Chief of Staff.

#### Staff Executive Business Administrator

The Staff Executive Business Administrator is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Staff Executive Business Administrator Responsibilities

- Extends Senior Executive Business Administrator Responsibilities
- Strategically and methodically support executive leaders, serving as a partner and regularly handling highly confidential and sensitive materials
- Regularly deliver results proactively and without supervision
- Through a deep understanding of GitLab's strategy, business objectives, and key priorities, anticipate needs of their executive
- Vigorously safeguard the time and business priorities of executives by acting as a guardian and attentively managing access to the rest of the company
- Follow through diligently, often using knowledge of the executive, their direct reports, external parties, and company values to make autonomous decisions that lead to more effective executive attention and communication
- Maintain the executive's calendar in a thoughtful and purposeful manner, ensuring meetings contain the appropriate attendees, agenda items, and any changes are done with full consideration of a global team, spanning multiple time zones; ensure executive is prepped and briefed as necessary for each meeting
- Communicate effectively and regularly with business leaders and external leaders such as BoD or executives at key customers
- Support the hiring process for new EBAs company-wide by participating in interviews upon request. Supports effective onboarding of new EBA.
- Operate on behalf of the executive with internal team members, BoD, and customers in a manner that exemplifies the GitLab values on matters of significance
- Draft internal and external communications on behalf of the executive keeping in mind our company values and safeguarding confidential information as well as the executive's reputation
- May manage executive's email inbox including drafting internal and external communications on behalf of the executive when required
- Serve as a helpful knowledge base for executives and other team members (e.g., other EBAs), especially for processes and procedures, and provide assistance in a hands-on, kind, and proactive manner
- Contribute to the broader EBA community by sharing learnings, resources, and mentoring other EBAs as appropriate. Develops and fosters collaborative working relationships with stakeholders at all levels. Known as a positive influencer across GitLab and an informal leader amongst the EBA community
- May host/facilitate company-wide meetings and events in addition to division-wide touchpoints
- Able to provide CEO support, if needed

#### Staff Executive Business Administrator Requirements

- Extends Senior Executive Business Administrator Requirements
- Deep experience supporting a C-Level Executive(s) as an EA or executive business partner at a quickly-scaling company, effectively representing the personal brand of the executive as well as the company's culture and value
- High integrity and track record of maintaining confidentiality of all work product and sensitive information

## Specialties

### CEO

The Staff EBA to the CEO strategically supports our Chief Executive Officer in the Pacific time zone, serving as a partner in handling correspondence, including confidential and sensitive materials. This role reports directly to the Chief of Staff to the CEO.

#### Responsibilities

Manage CEO's email inbox including drafting internal and external communications on their behalf when required
Maintain collaborative relationships with the Board of Directors and prepare materials such as slide decks for Board meetings
Act as a mentor to the EBA team, sharing best practices and workflows to positively influence the team's workflows and collaboration

#### Requirements

- Experience supporting a CEO at a public, high growth tech company
- Experience working closely with a Board of Directors

## Career Ladder

An Executive Business Administrator's career path can take various routes depending on the long term career goals and aspirations of an EBA. One path that is routinely taken is that of a career EBA and is someone who is passionate about being in the EBA role for the long-term resulting in becoming a Senior or Staff EBA at GitLab to a member of our E-Group. Another path that is open to an EBA is one where they decide to leverage their experience as an EBA to transition into a new role, such as (but not limited to) a Chief of Staff, Project Manager, Recruiter, Corporate Events Manager, Business Analyst, Executive Communications, PR, Internal Communications, People Connect Specialist, etc.

## Performance Indicator

- Degree of accuracy on all administrative support items (or immediate follow up for items requiring adjustment)
- Increases executives efficiency in a meaningful way
- Qualitative feedback on communication and support model from leader and key stakeholders

## Hiring Process

Applicants for this position can expect the hiring process to follow the order below. Please note that depending on what level of role GitLab is hiring for, the hiring process and order of interviews may differ. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our team page.

- Qualified candidates will be invited to schedule an initial screening with a Global Recruiter
- Next, candidates will be invited to schedule a first interview with the hiring manager the role will report to
- Next, candidates will be invited to schedule additional interviews with the Executive Business Administrator team
- Next or in parallel with the EBA team interview, candidates will be invited to complete a detailed assessment
- Next, candidates may be asked to meet with the department's People Business Partner
- Final candidates will then be invited to schedule interviews with members of the leadership team the role will be supporting

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
