---
title: Executive Recruiting
---

## Executive Recruiter

The Executive Recruiter reports to the Director, Executive Search, and is responsible for owning and executing executive searches across all business functions globally. They are a dynamic team member who identifies amazing candidates, improves existing hiring practices, and delivers exceptional candidate experiences while embodying the company values. The Executive Recruiter takes a consultative approach with senior leadership and key stakeholders, and is dedicated to building a qualified, diverse, and motivated team as we scale. They are well-versed in all aspects of an executive search including sourcing, candidate generation and development, client management and offer negotiation.

### Job Grade

The Executive Recruiter is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Conducting research to map target companies and creating robust search strategies to identify the right candidates for GitLab
- Serving as an expert for leadership recruiting, including working on continuous company and talent mapping in key areas for the company.
- Developing innovative ways to raise the bar on how GitLab recruits senior talent.
- Developing those prospects into candidates, engaging them and performing assessment/screening
- Continually contributing to the knowledge base of the talent acquisition team and to GitLab as a whole, by providing education on relevant industries and talent pools/profiles
- Building out talent networks and tapping knowledgeable industry sources to develop an ongoing pool of candidates
- Managing a diverse group of searches across all business functions (R&D, G&A, sales, marketing).
- Leading client update meetings on active searches
- Conducting interviews/reference checks and presenting/negotiating employment offers on behalf of GitLab.
- Partnering with hiring executives to calibrate on talent and providing strategic guidance/advice.
- Develop search strategies, conduct research, perform thorough assessments and present slates of qualified candidates.

#### Requirements

- Extensive experience recruiting at all levels, preferably in a global capacity within the software industry.  A blend of in-house and search firm / agency experience is preferred.
- Proven success in owning and successfully executing executive roles at scale for top-tier tech companies.
- Experience managing searches across multiple business functions, including R&D, G&A, sales, marketing
- Demonstrated focus on delivering an excellent candidate experience
- Ambitious, efficient and stable under tight deadlines and competing priorities
- Remote working experience in a technology startup will be an added advantage
- Ability to build global relationships with managers and colleagues across multiple disciplines and timezones
- Outstanding written and verbal communication skills across all levels
- Degree in business, marketing, HR or related field from an accredited institution preferred
- Share our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab

## Performance Indicators

- [Hire vs Plan](https://about.gitlab.com/#hires-vs-plan)
- [Time to Offer Accept](https://about.gitlab.com/#time-to-offer-accept-days)
- [Offer Acceptance Rate](https://about.gitlab.com/#offer-acceptance-rate)
- [New Hire Location Factor](https://about.gitlab.com/#new-hire-location-factor)
- [Interviewee Satisfaction (ISAT)](https://about.gitlab.com/#interviewee-satisfaction-isat)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 50-minute call with the Director, Executive Search
- Next, candidates will be invited to schedule a 50-minute call with the VP, Talent and Engagement
- Then, candidates will be invited to schedule 50-minute interviews with a group of executive level hiring managers
- Finally, candidates will be invited to a 50-minute interview with the Chief People Officer

As always, the interviews and screening call will be conducted via a [video call](/handbook/communication/#video-calls). See more details about our interview process [here](/handbook/hiring/interviewing/).

## Career Ladder

The next step in the Executive Recruiting job family is to move to a management role in the [Recruiting](/job-families/people-group/talent-acquisition) job family.
