---
title: Global Workforce Strategy
---

Global Workforce Strategy forms part of the People Operations Team at GitLab and directly responsible for contributing to our International expansion efforts. This team will be collaborating very closely with Total Rewards, Finance, Legal, Recruiting and the People Operations team. It will also involve key stakeholder relationship management and enabling our PEO's.

### Global Workforce Strategy Specialist

The Global Workforce Strategy Specialist reports to the [Director, People Operations](/job-families/people-group/people-connect/)

#### Job Grade

The Global Workforce Strategy Specialist is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

- Handling all country conversions from Contractor to Professional Employer Org or Professional Employer Org to Entity. This is a key focus globally in this position and includes collaboration with the overall international expansion team and various stakeholders.
- Manage the full cycle of the relocation process and liaise with other teams as necessary (with support from the People Connect team on contract and administrative changes).
- Engage with co-employer's and PEO's on a regular basis, especially during onboarding within those regions.
- Managing all sponsorship requests, including for new hires and existing team members in the Netherlands (with support from People Associate team on contract and administrative changes).
- Proactively identify new locations GitLab can successfully sponsor in and collaborate with internal stakeholders to ensure it is a viable business case.
- Along with the International Expansion team, supporting setting up new entities globally.
- Quarterly  overview and reporting on relocations
- Quarterly overview and reporting on Country Conversions
- The ability to work autonomously and to drive your own performance & development would be important in this role.
- Continue to improve the engagement with our PEO's and team member experience.
- Proactively identify process inefficiencies and inconsistencies and collaborate towards an improved and more productive process that improves the employee and/or manager's experience.
- Announcing changes and improvements in the #whats-happening-at-gitlab Slack channel

## Requirements

- The ability to work autonomously and to drive your own performance & development would be important in this role.
- Prior extensive experience in an HR or People Operations or International Expansion role.
- Clear understanding of HR laws in one or multiple countries where GitLab is active.
- Willingness to work odd hours when needed (for example, to call an embassy in a different continent).
- Excellent written and verbal communication skills.
- Exceptional customer service skills.
- Team player who can jump in and support the team on a variety of topics and tasks.
- Enthusiasm for and broad experience with software tools.
- Proven experience quickly learning new software tools.
- Willing to work with git and GitLab whenever possible.
- Willing to make People Operations as open and transparent as possible.
- Proven organizational skills with high attention to detail and the ability to prioritize.
- You share our values, and work in accordance with those values.
- The ability to work in a fast-paced environment with attention to detail is essential.
- High sense of urgency and accuracy.
- Bachelor's degree or 2 years related experience.
- Experience at a growth-stage tech company is preferred.
- Ability to use GitLab

### Senior Global Workforce Strategy Program Manager

The Senior Global Workforce Strategy Program Manager reports to the [Director, People Operations](/job-families/people-group/people-connect/).

#### Job Grade

The Senior Global Workforce Strategy Program Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Global Workforce Strategy Program Manager Responsibilities

- Support review of global workforce expansion strategy using evidence-based decision trees, coordinating with key cross-functional partners.
- Maintain appropriate level of process, program, and policy knowledge to assist team members.
- Responsible for ensuring excellent team member experience and compliance standards are met when discussing implementation in a new hiring location.
- Advise on occuring country expansion requests and anticipate future needs for the program.
- Contribute and develop documentation required to support the program needs and ensure country hiring lists and restrictions are accurate.
- Partner with the Legal and Tax team on international employment and contractual reviews, changes and requirements.
- Oversee and maintain relationships with co-employer's and PEO's on a regular basis.
- Facilitate meetings related to international expansion and ensure key initiatives and roadmaps reflect changing needs. Participate in PEO vendor selection through RFP/RFI's, and ensure vendor QBR's are conducted.
- Proactively identify process inefficiencies and inconsistencies and collaborate towards an improved and more productive process that improves the team member and/or manager's experience.
- Act as a point of escalation for internal teams if items have not been addressed timely by PEO vendors.
- Announce hiring restriction changes as needed across the organization.

#### Senior Global Workforce Strategy Program Manager Requirements

- The ability to work autonomously and to drive your own performance and development.
- Prior extensive experience in an International Expansion or within a Senior People Operations role.
- Clear understanding of HR laws in one or multiple countries where GitLab is active.
- Proficient in optimizing process and program with a keen understanding of the balance between structure and flexibility.
- Ability to build effective work relationships at all levels of the organization.
- Excellent written and verbal communication and presentation skills.
- Proven organizational skills with high attention to detail and the ability to prioritize.
- Exceptional customer service skills.The ability to work in a fast-paced environment and thrive in ambiguity.
- Experience with the following tools is a plus: Greenhouse, Workday, GitLab and Culture Amp.

### Staff Global Workforce Strategy Program Manager

The Staff Global Workforce Strategy Program Manager reports to the [Director, People Operations](/job-families/people-group/people-connect/).

#### Job Grade

The Staff Global Workforce Strategy Program Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Staff Global Workforce Strategy Program Manager Responsibilities

- Drive global workforce expansion strategy using evidence-based decision trees, coordinating with key cross-functional partners.
- Act as subject matter expert regarding vendor processes, program, and policy knowledge to assist team members.
- Responsible for ensuring excellent team member experience and compliance standards are met when discussing implementation in a new hiring location.
- Influence the implementation of country specific offerings and services based on team member feedback.
- Accountable for ensuring high-quality and accuracy of documentation to support the program needs and ensure country hiring lists and restrictions are accurate.
- Partner with the Legal and Tax team on international employment and contractual reviews, changes and requirements.
- Oversee the vendor for immigration questions and counsel while building self-service content regarding immigration questions/processes.
- Makes independent judgment decisions regarding mobility questions and requests.
- Serve as a trusted partner with various cross-functional teams to execute program initiatives and policies to scale.
- Independently manage the PEO vendor selection through RFP/RFI's, and ensure vendor QBR's are conducted.
- Constantly identify process inefficiencies and inconsistencies and collaborate towards an improved and more productive process that improves the team member and/or manager’s experience.
- Understand our broader People Team strategy and processes to architect, develop and implement scalable, flexible solutions that are extensible to our business needs.

#### Staff Global Workforce Strategy Program Manager Requirements

- The ability to work autonomously and to drive your own performance and development.
- Prior extensive experience in an International Expansion or within a Senior People Operations role.
- Understands HR laws and can translate requirements and drive the solutions in one or multiple countries where GitLab is active.
- Strong analytical abilities to solve complex problems with strong attention to detail and organization skills.
- Proficient in optimizing process and program with a keen understanding of the balance between structure and flexibility.
- Ability to build effective work relationships at all levels of the organization.
- Excellent written and verbal communication and presentation skills.
- Excellent organizational skills with high attention to detail and the ability to prioritize.
- Exceptional customer service skills.The ability to work in a fast-paced environment and thrive in ambiguity.
- Experience with the following tools is a plus: Greenhouse, Workday, GitLab and Culture Amp.

## Career Ladder

The next step in the People Operations job family is to move to the [People Operations and Leadership job family](https://gitlab.com/gitlab-com/www-gitlab-com/blob/master/sites/uncategorized/source/job-families/people-group/people-connect/index.html.md).

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 45 minute interview with our Manager, People Connect.
- After that, candidates will be invited to schedule a 30 minute interview with members of the People Operations and Global Workforce Strategy Team.
- After that, candidates will be invited to interview with the Senior Director, People Operations.
- Finally, a member of our e-team might request a final interview.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
