---
title: Instructional Designer
---

The Learning & Development Instructional Designer is responsible for designing and developing learning practices and experiences for GitLab's People Group Learning & Development team. This is achieved by enhancing synchronous and asynchronous learning for GitLab team members and the wider community. The goal of this job family is to help audiences achieve their desired learning outcomes by developing new, engaging, and effective learning solutions and instructional experiences.

## Responsibilities

- Design and develop experiential learning solutions that support adult learning best practices, address needs identified in a job/task analysis, drive behavior change, and improve performance of GitLab customers, partners, and/or sales teams
- Follow GitLab branding guidelines and standards to ensure content is professional and consistent with corporate look and feel for external audiences
- Create and curate team member learning content using the latest technology and innovative techniques
- Build and maintain valued relationships with key stakeholders and external vendors
- Design interactive courseware and video using adult learning theory that appeals to various learning styles and international audiences
- Utilize various modern authoring tools to rapidly build enjoyable, positive learning experiences that are interactive, effective and technically functional
- Creation of eLearning that is Handbook first for our LXP
- Develop sound knowledge, skill, and job performance-based assessments
- Closely partner and collaborate with other members of the Learning & Development team to continuously improve existing learning programs based on the latest research in adult education
- Meet all milestones and final deliverables by deadlines; when delays do occur, work with the team to estimate, monitor, adjust, and proactively communicate revised deadlines as needed
- Be a mentor to learning and development team, trainers, and business partners on best practices in instructional design and enablement solutions
- Take on additional projects and responsibilities as needed

## Requirements

- Experience designing and developing learning programs across delivery mediums and content types (mobile learning, e-learning, video, gamification, virtual learning, live simulation, and live classroom)
- Strong oral and written communication skills and diverse experience working with internal customers and stakeholders in both live and virtual environments
- Proven ability to clearly articulate complex concepts in simple terms is essential
- Excellent team player
- Must be detail oriented and have strong project management skills needing minimal supervision
- Experience with a wide range of modern elearning authoring tools (e.g. recent versions of Adobe Captivate, Articulate 360 Suite, Go Animate, Elucidat, etc.)
- Working knowledge and application experience using reveal.js, Adobe Creative Suite (Premiere, Captivate, InDesign, Illustrator, Photoshop), and other industry benchmark applications and online multimedia authoring tools
- HTML5, xAPI, mobile learning, and adaptive learning experience desired
- Must have the ability to work in an ever-changing, project-driven environment with a strong design sensibility when creating all training and enablement instructional materials
- Demonstrated experience working with multiple industry recognized instructional design models preferred
- Experience working with a variety of Learning Management and Learning Experience Systems and various virtual meeting management tools such as Zoom is a plus
- Ability to use GitLab
- Bachelor's degree or equivalent experience in Instructional Development, Training Education/Communication is preferred
- You share our [values](/handbook/values/), and work in accordance with those values

## Levels

### Associate Instructional Designer

The Associate Instructional Designer reports to the [Learning & Development Manager](/job-families/people-group/learning-development/#learning--development-manager).

#### Associate Instructional Designer Job Grade

The Associate Instructional Designer is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Associate Instructional Designer Responsibilities

- Successfully accomplishes responsibilities listed above with minimal direction or oversight

#### Associate Instructional Designer Requirements

- 2+ years related work experience in instructional design (or equivalent combination of transferable experience and education)
- Experience in successfully prioritizing, managing multiple projects, and working in a team environment

### Instructional Designer (Intermediate)

The Instructional Designer (Intermediate) reports to the [Learning & Development Manager](/job-families/people-group/learning-development/#learning--development-manager).

#### Instructional Designer (Intermediate) Job Grade

The Instructional Designer (Intermediate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Instructional Designer (Intermediate) Responsibilities

- Facilitate and coordinate delivery of content across multiple platforms (remote, digital, and occasionally on-site)
- Evaluate the business impact of learning programs through the use of learning and performance metrics
- Be a guide to Learning & Development team, trainers, and business partners on best practices in instructional design and enablement solutions
- Develop, maintain, and track courses, materials and events within the LXP
- Successfully accomplishes responsibilities with minimal direction or oversight

#### Instructional Designer (Intermediate) Requirements

- 3+ years related work experience in instructional design (or equivalent combination of transferable experience and education)
- Proven experience designing and developing scalable, engaging, online training is a must
- Experience working with a variety of Learning Management Systems and Learning Experience Platforms such as EdCast
- Experience working with various virtual meeting management tools such as Zoom is a plus

### Senior Instructional Designer

The Senior Instructional Designer reports to the [Learning & Development Manager](/job-families/people-group/learning-development/#learning--development-manager).

#### Senior Instructional Designer Job Grade

The Senior Instructional Designer is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Instructional Designer Responsibilities

- Extends the Instructional Designer (Intermediate) responsibilities
- Be a mentor to Learning & Development team, trainers, and business partners on best practices in instructional design and enablement solutions
- Review and approve course content in LXP
- Proofread, coordinate, approve and maintain curriculum

#### Senior Instructional Designer Requirements

- Extends the Instructional Designer (Intermediate) requirements
- Bachelor's degree required; Master's Degree in Instructional Development, Training Education/Communication is preferred
- 5+ years related work experience in instructional design (or equivalent combination of transferable experience and education)
- Deep experience designing and developing learning programs across delivery mediums and content types (mobile learning, e-learning, video, gamification, virtual learning, live simulation, and live classroom)

## Specialties

### Technical Instructional Designer

The Technical Instructional Designer is responsible for designing and developing new, engaging, and effective learning solutions and instructional experiences for GitLab team members and the wider community that help these audiences achieve desired learning outcomes.

#### Technical Instructional Designer Requirements

- Knowledge of the software development life cycle, DevOps, and/or open source software is preferred
- Familiarity with statically generated websites are preferred, as we take a [handbook-first](/handbook/about/handbook-usage/#why-handbook-first) approach to Learning & Development

#### Technical Instructional Designer Responsibilities

- Gain a working knowledge of the various functional and technological product areas of GitLab

## Performance Indicators

- [Engagement Survey Growth and Development Score](/handbook/people-group/learning-and-development/#engagement-survey-growth-and-development-score--x)
- [Rate of internal job promotions](/handbook/people-group/learning-and-development/#rate-of-internal-job-promotions--x)
- [12 month voluntary team member turnover related to growth](/handbook/people-group/learning-and-development/#12-month-voluntary-team-member-turnover-related-to-growth--x)

## Career Ladder

The next step in the Instructional Design job family is to move into management or leadership which is not yet defined at GitLab. Currently, the Instructional Designer reports to the [Learning & Development Manager](/job-families/people-group/learning-development/#learning--development-manager) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 30 minute interview with our Learning & Development Manager.
- Next, the candidate will be invited to interview with a member of the Learning & Development team, an Instructional Design team member from our Sales Enablement team, and a People Business Partner.
- Next, candidates will be invited to schedule a 30 minute interview with our Director of People Operations.
- After that, our CEO may choose to conduct a final interview.
- As a final step, candidates will be asked to share a sample examples from their Instructional Design portfolio from previous jobs that include eLearning, Live Learning, and Virtual Instructor Led Training

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
