---
title: "Learning & Development Roles"
description: "The Learning and Development (L&D) job family is responsible for building and maintaining a learning culture at GitLab."
---

The Learning and Development (L&D) job family is responsible for building and maintaining a learning culture at GitLab. Specifically, L&D plays a strategic role in the organization to ensure team members acquire and build skills, knowledge, and competencies that will enable them to perform at a high level. The goal of the job family is to develop and change the behavior of team members and groups to reach organizational objectives and results.

## Associate Learning & Development Program Manager

The Associate Learning & Development Program Manager reports to the [Learning & Development Manager](#manager-learning--development).

### Associate Learning & Development Program Manager Job Grade

The Associate Learning & Development Program Manager is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Associate Learning & Development Program Manager Responsibilities

- Support the identification and design of learning solutions to support GitLab's growth
- Maintain the back-end management of learning administration to include certifications, knowledge assessments, external learning inquires, and internal training programs
- Utilize the LMS course authoring tool to create Handbook first course content
- Develop customized learning paths for team members that incorporate customized and curated learning content
- Track and monitor training consumptions through reporting and analytics

### Associate Learning & Development Program Manager Requirements

- Ability to use GitLab
- Interest in developing skills in adult learning theory and instructional design while applying those lessons to new learning content at GitLab
- Nice to have: experience with instructional design and developing learning content
- Passion for supporting team members growth and development while helping to build a learning culture at GitLab
- 0-2 years of work experience in the areas of training delivery, instructional design, or learning technology

## Intermediate Learning & Development Program Manager

The Program Manager, Learning & Development (Intermediate) reports to the [Learning and Development Manager](#manager-learning--development).

### Intermediate Learning & Development Program Manager

The Program Manager, Learning & Development (Intermedidate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Intermediate Learning & Development Program Manager Responsibilities

- Develop and lead the successful execution of training programs to ensure audiences are equipped with content, resources, tools, and training
- Lead the end-to-end project management of learning programs and successfully launch organizational learning programs
- Coordinate learning programs that enhance the capabilities of team members through continuing education and skills training
- Evaluate the effectiveness of the learning programs to ensure they meet the needs of team members, strategic organization priorities, and stakeholders
- Manage and drive team members to leverage existing learning infrastructure to enable a culture of continuous learning
- Partner with the organization to understand the skills needed to be successful as an Individual Contributor and People Leader
- Collaborate with the broader People team to understand the needs of the organization, recommend learning solutions, and co-create the design & development
- Boost team member experience by understanding their learning goals throughout the whole team member lifecycle and ensuring current offering meet those goals
- Build relationships with key stakeholders to ensure delivery of commitments
- Mentor and coach team members on core concepts that are taught during training and be the source of fostering a positive work environment where everyone feels inspired by their own growth & potential

### Intermediate Learning & Development Program Manager Requirements

- Strong understanding of GitLab for project management
- Demonstrated experience managing the end-to-end project lifecycle of an organization wide learning program
- Passion for learning & development industry research and trends
- Ability to be a role-model for continuous learning throughout the organization
- Exceptional written & verbal communication and presentation skills
- Team player with strong interpersonal skills, skilled at project and change management with cross-functional collaboration
- Ability to thrive in a fast-paced, unpredictable environment
- Comfortable with rapid iterations of project deliverables to meet the needs of the organization
- Excellent organizational, task, and time management skills, with an emphasis on detail and follow-up and the ability to prioritize tasks and request from multiple stakeholders and audiences
- Display strong consulting and collaboration skills

## Senior Learning & Development Program Manager

The Senior Learning & Development Program Manager reports to the [L&D Manager](/job-families/people-group/talent-acquisition-leadership/).

### Senior Learning & Development Program Manager Job Grade

The Learning & Development Partner is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Learning & Development Program Manager Responsibilities

- Extends the Intermediate Learning & Development Program Manager responsibilities
- Partner with members of the People group and the leadership team to identify, develop, and deliver solutions that support the growth of our team members and GitLab's success
- Establish an internal learning and development roadmap for all GitLab managers and individual contributors
- Iterate on existing materials and design and develop new onboarding/L&D content, utilizing [GitLab's YouTube channel](https://www.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A) and [handbook](/handbook/about/handbook-usage/)
- Monitor L&D metrics and iterate upon programs and courses for continuous improvement
- Create and design the supporting course material for all onboarding and/or development programs, both for instructor-led and e-learning
- Identify and design the right learning solutions to support GitLab's growth
- Build and scale initiatives that focuses on company culture, individual development, strengthening our leadership, and organizational learning

### Senior Learning & Development Program Manager Requirements

- Extends the Learning & Development Program Manager (Intermediate) requirements
- 5+ years experience in related work such as instructional design and developing learning or onboarding content
- Track record of designing engaging and impactful development programs that improves individual, team, and company performance
- Exceptional written and interpersonal skills
- Experience developing self-service learning content, such as e-learning modules
- Experience designing and delivering webinars or synchronous online courses
- Strong logistical planning and organizational skills
- Capable of working collaboratively across multiple departments
- Passionate about personal development, training, learning, and seeing individuals develop to their fullest potential
- Deep experience in assessing organizational needs and developing a variety of learning solutions to drive development and growth within the company

## Manager, Learning & Development

The Learning & Development Manager reports to the [Senior Manager, Learning & Development](/job-families/people-group/talent-acquisition-leadership/).

### Job Grade

The Learning & Development Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Extends the Senior Program Manager, Learning & Development responsibilities
- Develop and lead the Learning and Development team while creating quality learning lessons and programs
- Design and develop role-based learning paths for individual contributors, managers, aspiring managers, and executive leadership
- Advise People group and the leadership with organization wide training initiatives that support the growth of our team members and GitLab's success
- Design, develop, and deploy a comprehensive eLearning, microlearning, and live learning curriculum for all team members with role-based learning paths for managers, team members, aspiring managers, and executives
- Integrate the Learning Management System into GitLab and manage the change management and adoption activities and ensure all content is Handbook first
- Introduce new learning vehicles that reinforce a personalized learning infrastructure that includes curated content, customized content, and eLearning modules
- Train and coach managers and executive leadership and others involved in employee development efforts
- Develop and introduce training development plans that complement performance development and enablement plans
- Apply adult learning theory best practices and the latest learning trends into GitLab that are handbook first
- Conduct annual learning needs analysis that identify functional and organization wide training goals
- Review future workforce competency requirements and learning needs to identify gaps in current learning programs and map to proposed curriculum
- Define learning priorities and governance of learning programs by introducing open enrollment courses where team members can self-select courses of interest
- Identify current and future workforce requirements by working with GitLab leaders to understand what the workforce will need to do in the future to deliver on business objectives
- Efficiently manage learning and development budgets

### Requirements

- Extends the L&D Senior Program Manager requirements
- 7+ years of work experience in the areas of training delivery, instructional design, learning technology, and people management
- Strong project management, leadership, change management, and cross-functional collaboration skills with a track record of managing complex learning projects
- Ability to seamlessly bridge across technical and non-technical groups to achieve an aligned outcome
- Self-organized with the ability to think strategically about learning design, business needs, strategic priorities, employee development, and employee engagement
- Robust experience delivering presentations to diverse audiences with a range of backgrounds, social styles, learner profiles, and job duties
- Experience collaborating across multiple stakeholder groups to deliver global solutions
- Demonstrated analytical problem solving with an ability to manage through ambiguity
- Experience designing and delivering self-service learning content and building a learning infrastructure
- Comprehensive knowledge and proven experience with learner-centered, performance based instructional theories and adult learning principles
- Demonstrated excellence in written and verbal communication, organizational skills, and project management
- Experience in influencing senior leaders/stakeholders at the director and above levels

## Senior Manager, Learning & Development

The Senior Manager, Learning & Development reports to the [VP, Talent & Engagement](/job-families/people-group/talent-acquisition-leadership/).

### Job Grade

The Learning & Development Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Extends the Manager, Learning & Development responsibilities
- Lead the Learning and Development team of individual contributors and managers while creating quality learning lessons and programs
- Develop the long term strategy of GitLab's Learning Development programs & learning paths for individual contributors, managers, aspiring managers, and executive leadership
- Assess current and future business needs to develop a compelling and prioritized roadmap of L&D deliverables that accelerate team members' results
- Introduce new learning vehicles that reinforce a personalized learning infrastructure that includes curated content, customized content, and eLearning modules
- Apply adult learning theory best practices and the latest learning trends into GitLab that are handbook first

### Requirements

- Extends the Manager, Learning & Development requirements
- 9+ years of work experience in the areas of training delivery, instructional design, learning technology, and people management
- Ability to seamlessly bridge across technical and non-technical groups to achieve an aligned outcome
- Self-organized with the ability to think strategically about learning design, business needs, strategic priorities, employee development, and employee engagement
- Experience collaborating across divisions to deliver global solutions at a company level
- Experience managing a team and potentially managing managers
- Demonstrated excellence in written and verbal communication, organizational skills, and project management
- Experience in influencing senior leaders/stakeholders at the director and above levels

## Director, Talent Development

The Director, Talent Development reports to the [VP, Talent & Engagement](/job-families/people-group/talent-acquisition-leadership/).

### Job Grade

The Director, Talent Development is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Extends the Senior Manager, Learning & Development responsibilities
- Lead the Learning and Development team of individual contributors and managers while creating quality learning lessons and programs
- Develop the long term strategy of GitLab's Learning Development programs & learning paths for individual contributors, managers, aspiring managers, and executive leadership
- Assess current and future business needs to develop a compelling and prioritized roadmap of L&D deliverables that accelerate team members' results
- Introduce new learning vehicles that reinforce a personalized learning infrastructure that includes curated content, customized content, and eLearning modules
- Apply adult learning theory best practices and the latest learning trends into GitLab that are handbook first

### Requirements

- Extends the Senior Manager, Learning & Development requirements
- 9+ years of work experience in the areas of training delivery, instructional design, learning technology, and people management
- Ability to seamlessly bridge across technical and non-technical groups to achieve an aligned outcome
- Self-organized with the ability to think strategically about learning design, business needs, strategic priorities, employee development, and employee engagement
- Experience collaborating across divisions to deliver global solutions at a company level
- Experience managing a team and potentially managing managers
- Demonstrated excellence in written and verbal communication, organizational skills, and project management
- Experience in influencing senior leaders/stakeholders at the director and above levels

## Senior Director, Talent, Development & Management

The Senior Director, Talent, Development & Management reports to the [VP, Talent & Engagement](/job-families/people-group/talent-acquisition-leadership/).

### Job Grade

The Senior Director, Talent, Development & Management is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Extends the Director, Learning & Development responsibilities
- Lead the Learning and Development team of individual contributors and managers while creating quality learning lessons and programs
- Develop the long term strategy of GitLab's Learning Development programs & learning paths for individual contributors, managers, aspiring managers, and executive leadership
- Assess current and future business needs to develop a compelling and prioritized roadmap of L&D deliverables that accelerate team members' results
- Introduce new learning vehicles that reinforce a personalized learning infrastructure that includes curated content, customized content, and eLearning modules
- Apply adult learning theory best practices and the latest learning trends into GitLab that are handbook first

### Requirements

- Extends the Director, Learning & Development requirements
- 9+ years of work experience in the areas of training delivery, instructional design, learning technology, and people management
- Ability to seamlessly bridge across technical and non-technical groups to achieve an aligned outcome
- Self-organized with the ability to think strategically about learning design, business needs, strategic priorities, employee development, and employee engagement
- Experience collaborating across divisions to deliver global solutions at a company level
- Experience managing a team and potentially managing managers
- Demonstrated excellence in written and verbal communication, organizational skills, and project management
- Experience in influencing senior leaders/stakeholders at the director and above levels

## Specialities

### Career Mobility & Development

- Focus on the development and implementation of learning programs that enable team member career mobility & development
- Design, develop and co-create scalable, results-driven programs that expose team members to on the job training resources including mentorship, interning, shadowing, and other professional development opportunities
- Create career development progression paths for team members that align with team member employment lifecycle
- Educate team members of career mobility programs and measure the impact to include promotion rates, retention, and engagement survey scores
- Partner with People Operations to evaluate, manage, and build tools to increase efficiency with talent mobility programs

### Onboarding

- Focus on owning the end-to-end development of an efficient and innovative onboarding program for the organization to ensure new hires effectively understand and implement GitLab culture and ways of working
- Re-designs current onboarding program to equip engineering and non-engineering team members with the right skills to be successful in their role
- Co-create new onboarding programs for Managers to Executive Leadership
- Serve as the main point of contact for Day 1, 30 days, 60 days, 90, 180 days, to ensure a successful onboarding process with new hires.
- Partner with People Operations team to ensure administrative requirements of onboarding for all new hires are met
- Continuously work to ensure onboarding process is organized and efficient as possible while identifying and acting on opportunities to improve and update processes and policies

## L&D Performance Indicators

1. Reduce voluntary attrition by 5% each year by measuring [exit survey data](/handbook/people-group/offboarding/#exit-survey) related to career development
1. Increase in 5% each year for the Growth & Development category of the [annual engagement survey](/handbook/people-group/engagement/)
1. Increase in access to career mobility: internal transfers, promotions, job shadows, intern for learning, and professional development

## Hiring Process

Candidates for Learning & Development can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the procss.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to a 45 minute interview with the Hiring Manager
- Then, candidates will be invited to schedule a 45 minute interview with a peer in Learning & Development
- Then, candidates will be invited to schedule a 45 minute interview with a People Business Partner
- Final, candidates will be invited to schedule a 50 minute interview with the leader of L&D

## Career Ladder

The next step in the Learning & Development job family is to move to a higher grade within L&D or People Group leadership which is not yet defined.
