---
title: Learner Engagement Specialist
---

## Levels

### Associate Learner Engagement Specialist

The Learner Engagement Specialist is responsible for maintaining and administering systems to increase adoption of the Learning Experience Platform, Content Library, and other learning platforms. The job family will be responsible for internal marketing and communications of L&D initiatives to raise awareness of programs.  This is achieved by creating engaging communication campaigns, establishing best practices for internal marketing and by ensuring that GitLab's digital learning platforms are optimized and administered effectively to cater for team member needs.

The Associate Learning System Administrator reports into the [Learning & Development Manager](/job-families/people-group/learning-development/#learning-and-development-partner).

#### Associate Learner Engagement Specialist Job Grade

The Associate Learner Engagement Specialist is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Associate Learner Engagement Specialist Responsibilities

- Create internal marketing and communications campaigns to engage GitLab Team Members with Learning & Development activities.
- Track and monitor engagement activities to iterate and improve on methods, and establish a best practice playbook for future use.
- Identify and utilise new tools for creating engaging learning experiences and communications.
- Coordinate communications from across the L&D team to ensure all L&D initiatives are appropriately shared with GitLab Team and Community.
- Seek opportunities to enhance the reputation of GitLab L&D externally such as award entries, writing articles, webinars etc.
- Monitor and resolve learner issues on GitLab's LXP using Zendesk, Slack, the GitLab Community Forum, and email. This role will be the Directly Responsible Individual (DRI) for all free user community interactions, including GitLab Education program members and wider community members.
- Enable GitLab team members and wider community members to contribute learning content to GitLab Learn
- LXP Administration - maintain security requirements, role permissions, group segmentation, and public versus private content in the platform, including management of user permissions and roles. Build and implement a scalable system to moderate user and team members contributed content and activity using the GitLab Community Code of Conduct
- Manage relationships with Learning System contacts to advocate for feature enhancements and improve knowledge on best practices for learner engagement.
- Collaborate with the Learning and Development team, People Business Partners, and managers to create key learning reports
- Track and monitor all compliance related courses (anti-harassment, corruption, bribery, etc) and follow up with users in a timely manner
- Track and monitor LinkedIn Learning usage, data, metrics, and reporting
- Iteratively document tasks, workflows, and processes in the GitLab handbook, focusing on the inclusion of high quality video to supplement text-based contributions

#### Associate Learner Engagement Specialist Requirements

- Strong copywriting skills with experience in building effective communications campaigns
- Understanding of the Learning Technology landscape and familiarity with digital learning tools
- Experience in content creation, writing articles, video editing, producing newsletters, logo and banner design, etc.
- Experience with learning management systems and/or learning experience platforms is preferred, specifically EdCast learning systems
- You share our values, and work in accordance with those values
- Excellent organizational, task, and time management skills, with an emphasis on detail and follow up, plus the ability to prioritize tasks and requests from multiple stakeholders and audiences
- Demonstrated ability to communicate and collaborate with individuals at all levels of the organization with excellent customer service skills
- Ability to work as a manager of 1: Strong skills in written and async communication, project management, independent work, and interpersonal skills
- Ability to work in a fast-paced environment with demonstrated ability to coordinate multiple projects/initiatives simultaneously while meeting deadlines and business objectives
- Exhibit strong data skills and ability to utilize Google Sheets
- Ability to use, or willingness to learn, GitLab
- Bachelor's degree in Training Education or Communication is preferred
- Experience working with various virtual meeting management tools such as Zoom is a plus
- 1-2 years related work experience (or equivalent combination of transferable experience and education)
- Ability to learn new systems quickly, and preferably have experience using GitLab, Zendesk, Discourse, EdCast, or any learning management or learning experience platforms

### Intermediate Learner Engagement Specialist

The Intermediate Learner Engagement Specialist reports into the [Learning & Development Partner](/job-families/people-group/learning-development/#learning-and-development-partner).

#### Intermediate Learner Engagement Specialist Job Grade

The Intermediate Learner Engagement Specialist is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Intermediate Learner Engagement Specialist Responsibilities

- Extends the Learner Engagement Specialist responsibilities
- Closely partner and collaborate with other members of the L&D team to take engagement campaigns through from conception, to execution, to evaluation.
- Collaborate with the Brand and Technical Marketing teams to keep GitLab Learn platform design up to date, feature new learning programs, and follow GitLab branding guidelines and standards
- Extend data analytics capabilities of the L&D team by widening use of data to drive engagement.
- Manage the sourcing and identification of learning experience platform or learning management system of internal team members
- Collaborate with enablement and learning stakeholders across the organization to ensure that the learning systems align with organizational goals and use cases.
- Partner with talent engagement internal communications to create communication vehicles and forums for L&D programs

#### Intermediate Learner Engagement Specialist Requirements

- Extends the Associate Learner Engagement Specialist requirements
- 3+ years related work experience (or equivalent combination of transferable experience and education)
- Proven experience designing and developing scalable, engaging, online training is a must
- Experience working with a variety of Learning Management Systems and Learning Experience Platforms such as EdCast

### Senior Learner Engagement Specialist

The Senior Learner Engagement Specialist reports into the [Learning & Development Manager](/job-families/people-group/learning-development/#learning-and-development-partner).

#### Senior Learner Engagement Specialist Job Grade

The Senior Learner Engagement Specialist is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Learner Engagement Specialist Responsibilities

- Extends the Learner Engagement Specialist (Intermediate) responsibilities
- Closely partner and collaborate with other members of the L&D team to take engagement campaigns through from conception, to execution, to evaluation.
- Collaborate with the Brand and Technical Marketing teams to keep GitLab Learn platform design up to date, feature new learning programs, and follow GitLab branding guidelines and standards
- Extend data analytics capabilities of the L&D team by widening use of data to drive engagement.
- Leads L&D communications with strong understanding of best practices, constantly iterating on methods to drive further engagement
- Be an advocate for handbook first learning material and think creatively about how the handbook can be integrated into the LXP
- Collaborate with Learning Evangelists and GitLab managers to enable team members to reach their professional development goals using the GitLab Learn platform
- Scale GitLab Learn by partnering with the organization to bring new and innovative learning solutions to team members and the community

#### Senior Learner Engagement Specialist Requirements

- Extends the Learning System Administrator (Intermediate) requirements
- 5+ years related work experience (or equivalent combination of transferable experience and education)

## Performance Indicators

- [Engagement Survey Growth and Development Score](/handbook/people-group/learning-and-development/#performance-indicators)
- [Exit Survey Data < 5 % of team members exiting GitLab related to L&D](/handbook/people-group/learning-and-development/#performance-indicators)
- Engagement metrics for LinkedIn Learning & GitLab Learn

## Career Ladder

The next step for the Learner Engagement Specialist is not yet defined.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 30 minute interview with our Learning & Development Manager.
- Next, candidates will be asked to submit a short writing sample to answer a question that the Learning and Development team often sees from customers and community members.
- Next, the candidate will be invited to interview with a member of the Learning & Development team, a team member from our Sales Enablement, Professional Services, and/or Developer Relations team.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
