---
title: "People Business Partner"
---

People Business Partners (PBPs) are responsible for aligning business objectives with people solutions in the organizations they support. A PBP acts as a trusted and strategic advisor, coach, and change agent to senior leadership, providing data driven insights and expertise on people-related matters, to inform and support a tightly aligned business and talent strategy.

People Business Partners are aligned across all divisions and departments at GitLab to ensure dedicated partnership.

PBPs contribute to the overall success of People Group driven initiatives by facilitating engagement of other People Group DRI's when appropriate, providing insights from client groups to inform new program and iterations, and championing key initiatives.

## Associate People Business Partner (PBP)

### Associate People Business Partner (PBP) Job Grade

The Associate People Business Partner is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Associate People Business Partner (PBP) Responsibilities

- Forms effective relationships with the client groups and consults with line management, providing People guidance when appropriate. Typically supports front line managers through director-level
- Gathers data to aid in trend analysis and gain insight to contribute to solutions, programs, and opportunities for learning.
- May engage with Team Member Relations on basic employee relations issues to provide context, create a plan in conjunction with Team Member Relations, and keep managers apprised of the status as needed.
- Learn legal requirements related to day-to-day management of team members, reducing legal risks and ensuring regulatory compliance.
- Works closely with management and team members to improve work relationships, build morale, and increase productivity and retention.
- Partners with team members globally to ensure a vibrant and effective workplace.
- Provides insight on division restructures, workforce planning and succession planning with guidance and support from their manager.
- Executes on company-wide Talent Programs within their client group, including Annual Talent Assessment and Compensation Reviews with support from PBP team. May provide tactical support on these programs which benefit the broader PBP team.

### Associate People Business Partner (PBP) Requirements

- Relevant, progressive people experience in recruiting, employee relations, people operations, compensation/benefits, and/or organizational development.
- Demonstrate discretion and sound judgment while working with sensitive and confidential materials.
- Comfortable using technology, including Google Workspace and GitLab.
- Effective verbal and written communications.
- Passion for results; able to deliver full-cycle projects (start to finish) and results in a timely manner.
- A team player who acts with a sense of urgency and adapts to a fast-paced and ever-changing environment.
- Ability to solve problems of basic complexity; resourceful and takes initiative to seek internal and external resources and support when problem-solving.
- Experience working with Global Talent (Americas, EMEA, APAC) strongly preferred.
- Very strong EQ, with fine tuned instincts and problem solving skills.
- Bachelor's degree preferred

## Intermediate People Business Partner (PBP)

### Intermediate People Business Partner (PBP) Job Grade

The People Business Partner is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Intermediate People Business Partner (PBP) Responsibilities

- Forms effective relationships with the client groups and consults with line management, providing People guidance when appropriate. Typically supports front line managers through director-level; may support VP/EVP depending on organizational structure.
- Analyzes trends and metrics in partnership with the People Ops group to develop solutions, programs, and opportunities for learning.
- Partners with Team Member Relations to manage employee relations issues. May participate or inform plan for effective, thorough and objective investigations within their aligned departments. Analyzes and surfaces related trends within their client group.
- Maintains knowledge of legal requirements related to day-to-day management of employees, reducing legal risks and ensuring regulatory compliance. Escalates cases as needed to more senior level PBPs; partners with the Legal department as needed/required.
- Works closely with management and team members to improve work relationships, build morale, and increase productivity and retention.
- Partners with colleagues globally to ensure a vibrant and effective workplace.
- Provides guidance and input on business unit restructures, workforce planning and succession planning.
- Executes on company-wide Talent Programs within their client group, including Annual Talent Assessment and Compensation Reviews.

### Intermediate People Business Partner (PBP) Requirements

- Relevant, progressive in recruiting, employee relations, people operations, compensation/benefits, and/or organizational development. Prefer at least 2 years in a business partner role.
- Demonstrate discretion and sound judgment while working with sensitive and confidential materials.
- Comfortable using technology, including Google Workspace and GitLab.
- Effective verbal and written communications.
- Passion for results; able to deliver full-cycle projects (start to finish) and results in a timely manner.
- A team player who acts with a sense of urgency and adapts to a fast-paced and ever-changing environment.
- Ability to solve moderate to complex problems; resourceful and takes initiative to seek internal and external resources when problem-solving.
- Experience working with Global Talent (Americas, EMEA, APAC) strongly preferred.
- Very strong EQ, with fine tuned instincts and problem solving skills.
- Bachelor's degree preferred

## Senior People Business Partner (PBP)

### Senior People Business Partner (PBP) Job Grade

The Senior People Business Partner is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior People Business Partner (PBP) Responsibilities

- Provides support and feedback to client groups, and consults with managers at all levels in areas of talent strategy, including management training and coaching, team member engagement programs, organizational development, and employee relations. Typically supports 1 or more VPs across a function; may support a more senior executive based on organizational structure.
- Identifies great talent, internally and externally, who will raise the bar across GitLab.  Mentors others both in the client group and in the People team.
- Quickly identifies business needs; develops and presents solutions to senior leaders to help drive results in the organization.
- Demonstrates ownership to develop and drive People programs and processes from start to finish that align with GitLab goals and values. Deliver meaningful results to the client group/s concise and timely.
- Leads client group to maintain a high bar for performance by reviewing trends in management of underperformance. Based on insights from Team Member Relations, keeps senior leadership apprised of performance management trends and hot spots. May be more hands on with TMR for complex or senior level performance issues or investigations.
- Analyzes trends and metrics in partnership with the People team to develop solutions, programs and policies. Raises concerns/trends to the PBP team, CPO and Legal as needed.
- Works closely with management and team members to improve work relationships, build morale, and increase productivity and retention.
- Provides guidance and input on business unit restructures, workforce planning and succession planning to support the business strategy.
- Participate in driving iterations related to company-wide Talent Programs based on feedback from client group.
- Executes on company-wide Talent Programs within their client group, including Annual Talent Assessment and Compensation Reviews.

### Senior People Business Partner (PBP) Requirements

- Relevant, progressive People Business Partner experience supporting front line, mid-level and executive leaders.
- Expert-level experience in a variety of HR competency areas such as organizational design and development, leadership development, change management, performance management, and employee relations.
- Strong attention to detail and ability to work well with fluid information.
- Comfortable using technology, including Google Workspace and GitLab.
- Effective and concise verbal and written communication skills; ability to collaborate cross-functionally.
- Obsessed with results that matter; able to create and deliver full-cycle projects (start to finish) and results in a timely manner.
- Team player who acts with a sense of urgency and adapts to a fast-paced and ever-changing environment.
- Ability to solve complex problems; resourceful and takes initiative to seek internal and external resources when problem-solving.
- Very strong EQ, with fine-tuned instincts and problem-solving skills. Demonstrates sound, consistent, trusted judgment.
- Experience working with Global Talent (Americas, EMEA, APAC); remote experience preferred.
- Comfortable with high volume and very fast-paced workload; not afraid to "roll up your sleeves" to complete more tactical work. Able to switch between strategic and tactical work daily.
- Bachelor's degree preferred; Master's degree and/or HR Certification strongly preferred.

## Manager, People Business Partner (PBP)

### Manager, People Business Partner (PBP) Job Grade

The Manager, People Business Partner is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).
This job may be an individual contributor or a manager of people, but the title is aligned with the market practice and scope of influence for the role.

**Market Justification:** The business need for this role as an individual contributor is to ensure the proper experience and expertise in partnering with leadership at the company. The PBP team brings a vast amount of knowledge with respect to strategic operations in the role. In the market it is common to have this role as an individual contributor with over 50 companies reporting data for this role for an average of 2 incumbents in the role.

### Manager, People Business Partner (PBP) Responsibilities

- Provides support and feedback to client groups, and consults with managers at all levels in areas of talent strategy, management training and coaching, team member engagement programs, organizational development, and employee relations. Typically supports multiple VPs across a function; likely supports a more senior executive based on organizational structure.
- Identifies great talent, internally and externally, who will raise the bar across GitLab. Mentors others both in the client group and in the People team.
- Uses data to identify trends related to talent in the business and coupled with a deep understanding of business needs for their client group; develops and presents solutions to senior leaders to help drive results in the organization.
- Develops and drives People programs and processes from start to finish that align with GitLab goals and values. Deliver meaningful results to the client group with ongoing improvements that take into account both the client group and broader GitLab impact.
- Leads client group to maintain a high bar for performance by reviewing trends in management of underperformance. Based on insights from Team Member Relations, keeps senior leadership apprised of performance management trends and hot spots. May be more hands on with TMR for complex or senior level performance issues or investigations.
- Analyzes trends and metrics in partnership with the People team to develop solutions, programs and policies. Raises concerns/trends to the PBP team, CPO and Legal as needed.
- Partners with client group leadership team and relevant People groups to drive a talent strategy focused on engagement and retention of top talent. Works with Total Rewards and Talent and Engagement to ensure key trends and retention levers are addressed and used effectively.
- Provides guidance and input on business unit restructures, workforce planning and succession planning to support the business strategy.
- Own specific iterations related to company-wide Talent Programs based on feedback from their client group and PBP team.
- Executes on company-wide Talent Programs within their lines of business, including Annual Talent Assessment and Compensation Reviews.

### Manager, People Business Partner (PBP) Requirements

- Relevant, progressive People Business Partner experience supporting front line, mid-level and executive leaders.
- Expert-level experience in a variety of HR competency areas such as organizational design and development, leadership development, change management, performance management, and employee relations.
- Strong attention to detail and ability to work well with fluid information.
- Comfortable using technology, including Google Workspace and GitLab.
- Effective and concise verbal and written communication skills; ability to collaborate cross-functionally.
- Obsessed with results that matter; able to create and deliver full-cycle projects (start to finish) and results in a timely manner.
- Team player who acts with a sense of urgency and adapts to a fast-paced and ever-changing environment.
- Ability to solve complex problems; resourceful and takes initiative to seek internal and external resources when problem-solving.
- Very strong EQ, with fine-tuned instincts and problem-solving skills. Demonstrates sound, consistent, trusted judgment.
- Experience working with Global Talent (Americas, EMEA, APAC); remote experience preferred.
- Comfortable with high volume and very fast-paced workload; not afraid to "roll up your sleeves" to complete more tactical work. Able to switch between strategic and tactical work daily.
- Bachelor's degree preferred; Master's degree and/or HR Certification strongly preferred.

## Senior Manager, People Business Partner (PBP)

### Senior Manager, People Business Partner (PBP) Job Grade

The Senior Manager, People Business Partner is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

### Senior Manager, People Business Partner (PBP) Responsibilities

- Typically supports e-group and multiple VPs across one or more functions. Partners with senior leadership on a wide range of matters related to talent and is seen as a thought leader on people/business issues of all levels. May consult on talent strategy, management development, team member engagement programs, organizational design/development.
- Constantly forecasting and predicting issues and takes measures to course correct before impact within client group
- Uses data to identify trends and develops and influences solutions to drive results in the organization. Results may have reach beyond immediate client group.
- Maintains deep expertise of their client groups' business, operating model, objectives, and industry trends.
- Develops and drives People programs and processes from start to finish that align with GitLab goals and values. Deliver meaningful results to the client group with ongoing improvements that take into account both the client group and broader GitLab impact
- Leads client group to maintain a high bar for performance by reviewing trends in management of underperformance. Based on insights from Team Member Relations, keeps senior leadership apprised of performance management trends and hot spots. May be more hands on with TMR for complex or senior level performance issues or investigations.
- Partners with client group leadership team and relevant People groups to drive a talent strategy focused on engagement and retention of top talent. Works with Total Rewards and Talent and Engagement to ensure key trends and retention levers are addressed and used effectively.
- Provides guidance and input on business unit restructures, workforce planning and succession planning
- Own specific iterations related to company-wide Talent Programs based on feedback from their client group and PBP team.
- Executes on company-wide Talent Programs within their client groups, including Annual Talent Assessment and Compensation Reviews, ensuring alignment to broader People priorities in execution.
- Facilitates connection to other People Group DRI's when appropriate to remain focused on the most impactful work while ensuring relevant DRI's are engaged

### Senior Manager, People Business Partner (PBP) Requirements

- Relevant, progressive People Business Partner experience supporting front line, mid-level and executive leaders.
- Expert-level experience in a variety of HR competency areas such as organizational design and development, leadership development, change management, performance management, and employee relations.
- Strong attention to detail and ability to work well with fluid information.
- Comfortable using technology, including Google Workspace and GitLab.
- Effective and concise verbal and written communication skills; ability to collaborate cross-functionally.
- Obsessed with results that matter; able to create and deliver full-cycle projects (start to finish) and results in a timely manner.
- Team player who acts with a sense of urgency and adapts to a fast-paced and ever-changing environment.
- Ability to solve complex problems; resourceful and takes initiative to seek internal and external resources when problem-solving.
- Very strong EQ, with fine-tuned instincts and problem-solving skills. Demonstrates sound, consistent, trusted judgment.
- Experience working with Global Talent (Americas, EMEA, APAC); remote experience preferred.
- Comfortable with high volume and very fast-paced workload; not afraid to "roll up your sleeves" to complete more tactical work. Able to switch between strategic and tactical work.
- Bachelor's degree preferred; Master's degree and/or HR Certification strongly preferred.

## Director, People Business Partner (PBP)

### Director, People Business Partner (PBP) Job Grade

The Director People Business Partner is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Director, People Business Partner (PBP) Responsibilities

- Partners with senior leaders across GitLab to develop a talent strategy by Division including organizational design and effectiveness, talent management, team member engagement, and other key people initiatives. Typically supports e-group members and multiple VPs across one or more functions
- Mentors, coaches and provides feedback to managers at all levels; also mentors other People team members
- Proactively provides insights, counsel and recommendations to leadership on organizational design and effectiveness
- Drives strategic People programs at scale partnering with other People Group CoE's and across Divisional PBPs
- Partners with executives to lead through change with impact - Partners  with e-group and senior leadership on matters critical to the success, engagement, and retention of our team members
- May set the vision, build, and lead a team of highly collaborative and effective People Business Partners, if applicable
- Takes on additional responsibilities as SME on company wide programs and initiatives when needed
- Partners with other People Group leaders to contribute to and influence our talent strategy and People programs to meet the needs of our team members through a demonstrated understanding of the business and deep knowledge of the organization they support
- Leverages understanding of multiple Divisions needs and goals to make connections across the business to increase collaboration, efficiency and results across teams
- Scope of influence may extend beyond immediately aligned client group at times
- Is a role model and champion of GitLab values themselves, and challenges leaders to maintain commitment to our CREDIT values through our People practices as we scale.

### Director, People Business Partner (PBP) Requirements

- Relevant, progressive HR experience, with at least 10 years as a business partner supporting Senior Executive and/or C-level leaders
- Experience leading People Business Partner teams or other People teams
- Demonstrated ability to use data to influence strategic business and talent decisions with company wide impact
- Effective and concise verbal and written communication skills with the ability to influence even the most challenging stakeholders
- Resourceful and takes initiative to seek internal and external resources when problem-solving.
- Identifies opportunities and successfully implements Talent program development aligned to the business needs at scale
- Experience working with and leading Global Teams; remote experience strongly preferred.
- Very strong EQ, with fine-tuned instincts and problem-solving skills. Consistently demonstrates sound, trusted judgment
- Able to switch between strategic and tactical work daily and make recommendations to improve tactical processes for scale
- Bachelor's degree preferred; Master's degree and/or HR Certification strongly preferred.

## Senior Director, People Business Partner (PBP)

### Senior Director, People Business Partner (PBP) Job Grade

The Senior Director, People Business Partner is a [job grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Director, People Business Partner (PBP) Responsibilities

- Partner with executive leaders across GitLab to develop a talent strategy by Division including organizational design and effectiveness, talent management, team member engagement, and other key people initiatives. Typically supports multiple e-group members along with VPs within their client groups.
- Mentors, coaches and provides feedback to leaders as appropriate; also mentors other People team members.
- Sets the vision, builds, and leads a team of highly collaborative and effective People Business Partners
- Partners with executives to lead through change with impact across multiple divisions or lines of business
- Interacts frequently with e-group and senior leadership on matters critical to the success, engagement, and retention of our team members
- Partners with other People Group leaders to contribute to our talent strategy and People programs that meet the needs of our team members through a demonstrated understanding of the business and deep knowledge of the organization they support
- Leverages understanding of multiple Divisions needs and goals to make connections across the business to increase collaboration, efficiency and results across teams
- Is a role model and champion of GitLab values themselves, and challenges leaders to maintain commitment to our CREDIT values through our People practices as we scale

### Senior Director, People Business Partner (PBP) Requirements

- Extends that of the Director, PBP
- Relevant, progressive HR experience, with at least 10 years as a business partner supporting Senior Executive and/or C-level leaders.
- Experience leading People Business Partner teams or other People teams
- Demonstrated ability to use data to influence strategic business and talent decisions with company wide impact
- Effective and concise verbal and written communication skills with the ability to influence even the most challenging stakeholders
- Resourceful and takes initiative to seek internal and external resources when problem-solving.
- Identifies opportunities and successfully implements Talent program development aligned to the business needs at scale.
- Experience leading Global Teams; remote experience strongly preferred.
- Very strong EQ, with fine-tuned instincts and problem-solving skills. Consistently demonstrates sound, trusted judgment
- Able to switch between strategic and tactical work daily and make recommendations to improve tactical processes for scale.
- Bachelor's degree preferred; Master's degree and/or HR Certification strongly preferred.

## People Business Partner (PBP) Specialties

### PBP, Engineering

- Relevant, progressive experience in a high growth, fast moving company where ongoing change is the norm, with at least 2-3 of those years supporting a SaaS or related software organization.
- Partner with the engineering leaders on the people strategy for their organization.
- Provide support and guidance to people leaders at all levels within the Engineering organization (front line managers, mid-management, and senior executives).
- Understand GitLab's Engineering strategy in order to align people strategies to meet business goals.
- Support the Engineering team through all People Ops processes including compensation, talent development, performance management, employee relations, change management and organizational design.
- Analytically driven, experience  in utilizing qualitative and quantitative approaches to problem solving and root cause analysis.
- Drive equality, diversity, and inclusion throughout all of our programs and initiatives.
- In-depth ability to work in and use the GitLab product as a PBP for Engineering.
- Drive equality, diversity, and inclusion throughout all of our programs and initiatives.

### PBP, Sales

- Relevant, progressive experience in a high growth, fast moving company where ongoing change is the norm, with at least 2-3 of those years supporting a global software sales organization with particular focus on Enterprise Sales, Commercial Sales and Customer Success.
- Partner with 1 or more Sales VPs on the people strategy for their organization.
- Provide support and guidance to people leaders at all levels within the sales organization (front line managers, mid-management, and senior executives).
- Experience with sales compensation, sales plans, sales data/analysis as needed, in partnership with the Sales Operations and People Operations team.
- Understand GitLab's sales strategy in order to align people strategies to meet business goals.
- Drive equality, diversity, and inclusion throughout all of our programs and initiatives.

### PBP, EMEA

- Primary People Business Partner support for the Go-To-Market teams in EMEA; develops a people strategy that helps support local organization and business goals
- Actively partner on global expansion efforts in the EMEA region; aligning with People Operations on compliance, risks, and business strategy in each location
- Partners closely with the broader People Business Partners and People Group to support the implementation of GitLab's People programs and policies locally
- Advises on People programs and solutions to support EMEA regional needs based on deep local expertise
- Collaborate with our team member relations (TMR) and legal teams to provide additional guidance and support on HR compliance, local employment law, and regulatory requirements in the EMEA region based on local expertise
- Consult and inform local regulatory bodies such as Works Councils on topics that impact employment or working conditions

### PBP, APJ

- Primary People Business Partner support for the Go-To-Market teams in APJ; develops a people strategy that helps support local organization and business goals
- Consult on global expansion efforts in the APJ region; including participating in the due diligence process
- Partners closely with the broader People Business Partners and People Group to support the implementation of GitLab's People programs and policies locally
- Advises on People programs and solutions to support APJ regional needs based on deep local expertise
- Collaborate with our team member relations (TMR) and legal teams to provide additional guidance and support on HR compliance, local employment law, and regulatory requirements in the APJ region based on local expertise

## Performance Indicators

Performance indicators are done in partnership with the PBP and the organizational leaders.

- Organizational Design and [Talent Assessment](/handbook/people-group/talent-assessment/) to drive leadership effectiveness - Complete Talent Assessment for 100% of eligible team members on time annually
- In collaboration with leadership: Organizational Health Metrics - Turnover aligned with People Group OKRs, [Team Member Engagement](/handbook/people-group/engagement/)
- Change management related to organizational and leadership iterations - measured by engagement scores and regrettable turnover

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 50 minute interview with a Director, People Business Partner
- After that, candidates will be invited to schedule a 50 minute interview with members of the People Business Partner team and/or other members of the People team.
- After that, candidates will be invited to interview with several leaders from the client group you will be supporting.
- Finally, our CPO may choose to conduct a final interview.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).

### Career Ladder

The next step in the People Business Partner job family is to move to a senior leader or executive leadership job family of which we do not yet have defined at GitLab.
