---
title: "People Communications & Engagement"
---

## Levels

### People Communications & Engagement Associate

The People Communications & Engagement Associate reports to the Senior Manager, People Communications & Engagement.

#### People Communications & Engagement Associate Job Grade

The People Communications & Engagement Associate is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### People Communications & Engagement Associate Responsibilities

- Develop and execute proactive and strategic communication initiatives, programs, and events in collaboration with global teams across GitLab
- Own the internal editorial calendar, through vehicles such as our company newsletter, manager communication, executive videos and/or other communications channels
- Partner closely with internal stakeholders to develop change management communications with clarity and empathy
- Have an eye and ear to the ground across GitLab team members and teams with the goal of maximizing the team member experience and to ensure GitLab remains a place where all team members belong and are included
- Be a shining example for GitLab's culture, infusing GitLab's mission, culture, and values into everything we do

#### People Communications & Engagement Associate Requirements

- Relevant communications experience
- Self-motivated and ability to work as a Manager of one
- Excellent writing, verbal, and listening skills
- Adaptable and can think quickly on your feet
- Know how and when to take initiative to get projects done by masterfully using all possible resources
- Supremely organized and have fine-tuned project and program management skills
- Ability to use GitLab
- Aligns to GitLab's Values

### Talent & Engagement Program Manager

The Talent & Engagement Program Manager reports to the Manager, People Communications & Engagement.

#### Talent & Engagement Program Manager Job Grade

The Talent & Engagement Program Manager is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Talent & Engagement Program Manager Responsibilities

- Independently manage Talent, People Comms, and Engagement projects with the intent of embedding GitLab's practices and ways of working into onboarding and other team member touchpoints
- Plan and project manage key team member surveys run through Culture Amp including engagement surveys and onboarding surveys
- Organize and manage workstreams for various projects related to key OKRs within the People Comms & Engagement function
- Contribute to Talent & Engagement plans and create updates to team members across all levels of the company
- Coordinate with external vendor as needed in the production of people communications and engagement content
- Develop and lead the successful execution of needed informational content to ensure team members are equipped with resources, tools, and training to thrive at GitLab
- Work cross-functionally with various teams to ensure learning programs embedded in onboarding and successfully launch new organizational learning programs as a part of onboarding
- Evaluate the effectiveness of onboarding and engagement programs to ensure they meet the needs of team members, strategic organization priorities, and stakeholders
- Build relationships with key stakeholders to ensure delivery of commitments
- Mentor and coach team members on core concepts that are taught during onboarding and be the source of fostering a positive work environment where everyone feels inspired by their own growth & potential
- Develop and execute proactive and strategic communication initiatives, programs, and events in collaboration with teams across GitLab
- Have an eye and ear to the ground across GitLab team members and teams with the goal of maximizing the team member experience and to ensure GitLab remains a place where all team members belong and are included
- Be a shining example for GitLab's culture, infusing GitLab's mission, culture, and values into everything we do

#### People Communications & Engagement Program Manager Requirements

- Experience working in a fast-paced environment
- A strong track record of successful project execution and strong project management skills
- Experience working independently to lead and complete projects with multiple stakeholders
- Ability to influence people at varying levels of seniority using data to inform recommendations to others
- Strong organizational skills, time management, and priority setting
- Strong customer service and communication skills
- Ability to understand a high-level issue and conduct root cause analysis to understand issues
- Ability to use GitLab
- Aligns with GitLab values

### Senior People Communications & Engagement Program Manager

The Senior People Communications & Engagement Program Manager reports to the Senior Manager, People Communications & Engagement.

#### Senior People Communications & Engagement Program Manager Job Grade

The Senior People Communications & Engagement Program Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior People Communications & Engagement Program Manager Responsibilties

- Develop and execute proactive and strategic communication initiatives, programs, and events in collaboration with global teams across GitLab
- Own the internal editorial calendar and be the chief storyteller, whether it's through our company newsletter, manager communication, executive videos and/or other communications channels
- Partner closely with internal stakeholders, leaders, and E-Group members to develop change management communications with clarity and empathy
- Have an eye and ear to the ground across GitLab team members and teams with the goal of maximizing the team member experience and to ensure GitLab remains a place where all team members belong and are included
- Support engagement activities that are intended to improve team member engagement and build culture
- Organize and operate culture champions program to ensure we have a trusted group of team members to ideate and collaborate with
- Be a shining example for GitLab's culture, infusing GitLab's mission, culture, and values into everything we do
- Partner with and provide dedicated communications support to certain various cross-functional team and leaders of their functions providing communications expertise to functional teams

#### Senior People Communications & Engagement Program Manager Requirements

- Relevant communications experience
- Demonstrate the capability to drive initiatives, develop thoughtful communication strategies, and deliver results at a senior level
- Self-motivated and ability to work as a Manager of one
- Supremely organized and have fine-tuned project and program management skills
- Proven track record of delivering internal communications that are representative of company values and culture in a global or international setting
- Uncanny ability to develop relationships and work with team members at all levels, including executive leadership, across a wide variety of teams and departments
- Excellent writing, verbal, and listening skills
- Adaptable and can think quickly on your feet
- Know how and when to take initiative to get projects done by masterfully using all possible resources
- Ability to use GitLab
- Aligns to GitLab's Values

### Staff People Communications & Engagement Manager

The Staff People Communications & Engagement Manager reports to the Senior Manager, People Communications & Engagement.

#### Staff People Communications & Engagement Manager Job Grade

The Staff People Communications & Engagement Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Staff People Communications & Engagement Manager Responsibilities

- Extends that of the Senior People Communications & Engagement Program Manager responsibilities
- Partner with the People Communications & Engagement leader in providing 'internal PR' support, including crisis communications
- Partner with and provide dedicated communications support to certain various cross-functional team and leaders of their functions providing communications expertise to functional teams

#### Staff People Communications & Engagement Manager Requirements

- Extends that of the Senior People Communications & Engagement Program Manager requirements
- Out-of-the-box thinker who is both creative and strategic
- Intellectual curiosity and want to learn anything and everything

### Manager, People Communications & Engagement

The Manager, People Communications & Engagement reports to the [Senior Director, Talent Brand and Enablement](/job-families/people-group/talent-brand-and-talent-acquisition-enablement/#senior-director-of-talent-brand--talent-acquisition-enablement).

#### Manager, People Communications & Engagement Job Grade

The Manager, People Communications & Engagement is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, People Communications & Engagement Responsibilities

- Drive a communications and engagement strategy, roadmap, and communications calendar to help maintain and improve team member engagement
- Lead, hire, and coach people communications & engagement team
- Collaborate with various leaders and members of the Marketing and People teams to plan and improve company-wide team member communications including Slack, issue comments, and other asynchronous communication, Handbook education, company calls, etc.
- Help moderate internal communications across general & administrative teams to ensure GitLab values are upheld as well as compliance with our code of conduct
- Drive engagement activities that are intended to improve team member engagement and build culture
- Provide 'internal PR' support as needed, including supporting corporate comms on crisis communications
- Act as a communications consultant to team members to help develop campaigns for internal programs or initiatives (e.g. GitLab referral program)
- Ensure the effective evaluation of onboarding and engagement programs takes place consistently to ensure they meet the needs of team members, strategic organization priorities, and stakeholders
- Curate and publish key internal news (e.g., "Here are the 3 things you need to know" digest) on a weekly basis
- Partner closely with the Talent Brand Manager to ensure integrity and cohesion between our external talent brand and internal team member experience and effectively articulate GitLab's culture and value proposition
- Build relationships with key stakeholders to ensure delivery of commitments
- Collaborate with key stakeholders to develop specific communication plans (e.g., work with People Business Partners and People Operations on Engagement Survey communication)
- Plan, communicate, and coordinate celebratory occasions, company communication initiatives, volunteer activities, and other team member engagement opportunities
- Be a shining example for GitLab's culture, infusing GitLab's mission, culture, and values into everything we do

#### Manager, People Communications & Engagement Requirements

- Relevant communications experience
- Demonstrate the capability to drive initiatives, develop thoughtful communication strategies, and deliver results at a senior level.
- Self motivated and works as a team of one.
- Demonstrated capability to deliver internal communications that are representative of company values and culture in a global or international setting
- Enthusiasm for leading internal communications in a unique, fully remote environment where email and face-to-face meetings are not the standard communication media
- Excellent narration and writing skills
- Ability to navigate cultural differences and build global but locally relevant solutions
- Experienced social and communication skills (verbal and written), across all levels with significant experience in executive level communications
- Excellent organizational skills, time management, and priority setting
- Deadline oriented, and able to work in a fast-paced environment with ever-changing priorities
- Ability to work as a Manager of one, as well as work collaboratively
- Proficiency in communication tools such as Slack, Zoom, and Google Workspace is a must
- You share and can role model our values, and work in accordance with those values
- Ability to use GitLab

### Senior Manager, People Communications & Engagement

The Senior Manager, People Communications & Engagement reports to the [Senior Director, Talent Brand and Enablement](/job-families/people-group/talent-brand-and-talent-acquisition-enablement/#senior-director-of-talent-brand--talent-acquisition-enablement).

#### Senior Manager, People Communications & Engagement Job Grade

The Senior Manager, People Communications & Engagement is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, People Communications & Engagement Responsibilities

- Drive a communications and engagement strategy, roadmap, and communications calendar to help maintain and improve team member engagement
- Lead, hire, and coach the growing  people communications & engagement team
- Collaborate with various leaders and members of the Marketing and People teams to plan and improve company-wide team member communications including Slack, issue comments, and other asynchronous communication, Handbook education, company calls, etc.
- Help moderate internal communications across general & administrative teams to ensure GitLab values are upheld as well as compliance with our code of conduct
- Drive engagement activities that are intended to improve team member engagement and build culture
- Provide 'internal PR' support, including crisis communications
- Act as a communications consultant to team members to help develop campaigns for internal programs or initiatives (e.g. GitLab referral program)
- Curate and publish key internal news (e.g., "Here are the 3 things you need to know" digest) on a weekly basis
- Partner closely with the Talent Brand Manager to ensure integrity and cohesion between our external talent brand and internal team member experience and effectively articulate GitLab's culture and value proposition
- Collaborate with key stakeholders to develop specific communication plans (e.g., work with People Business Partners and People Operations on Engagement Survey communication)
- Plan, communicate, and coordinate celebratory occasions, company communication initiatives, volunteer activities, and other team member engagement opportunities

#### Senior Manager, People Communications & Engagement Requirements

- Relevant communications experience
- Demonstrate the capability to drive initiatives, develop thoughtful communication strategies, and deliver results at a senior level.
- Self motivated and works as a team of one.
- Demonstrated capability to deliver internal communications that are representative of company values and culture in a global or international setting
- Enthusiasm for leading internal communications in a unique, fully remote environment where email and face-to-face meetings are not the standard communication media
- Excellent narration and writing skills
- Ability to navigate cultural differences and build global but locally relevant solutions
- Experienced social and communication skills (verbal and written), across all levels with significant experience in executive level communications
- Excellent organizational skills, time management, and priority setting
- Deadline oriented, and able to work in a fast-paced environment with ever-changing priorities
- Ability to work as a Manager of one, as well as work collaboratively
- Proficiency in communication tools such as Slack, Zoom, and Google Workspace is a must
- You share and can role model our values, and work in accordance with those values
- Ability to use GitLab

### Director, People Communications & Engagement

The Director, People Communications & Engagement reports to the [Senior Director, Talent Brand and Enablement](/job-families/people-group/talent-brand-and-talent-acquisition-enablement/#senior-director-of-talent-brand--talent-acquisition-enablement).

#### Director, People Communications & Engagement Job Grade

The Director, People Communications & Engagement is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, People Communications & Engagement Responsibilities

- Design and execute an internal communications strategy that connects every GitLab team member to our mission, culture, values, and priorities.
- Drive a three-year internal communications roadmap
- Provide strategic internal communications counsel to E-Group
- Lead, hire, and coach the growing  internal communications team
- Manage planning and execution of Quarterly All Hands (GitLab Assembly)
- Instill a data-driven mindset and robust two-way communication approach to how we communicate and share information with team members
- Establish operating rhythm with key business functions to ensure key projects and priorities are effectively communicated
- Lead 'internal PR' support, including crisis communications
- Develop innovative ways of engaging team members across various communications channels

#### Director, People Communications & Engagement Requirements

- Relevant Experience with internal and/or executive communications
- Experience building a high-growth, scaling global internal communications function
- Outstanding leadership skills and someone who takes initiative, makes hard decisions, and is accountable
- Proven track record of working closely with an executive leadership team
- Ability to influence senior leaders using data and expertise
- Demonstrated capability to drive initiatives, develop thoughtful communication strategies, and deliver results at a senior level
- Willingness to roll sleeves up and work on complex issues and crises on deadline
- High emotional intelligence, matched with the ability to execute
- Enthusiasm for leading a team in a unique, fully remote environment where email and face-to-face meetings are not the standard communication media
- Bias for action with an ability to work in a fast-paced environment with ever-changing priorities
- Highly collaborative and team-oriented
- Adapt to change quickly and be a change agent for others
- Know and advocate on behalf of GitLab team members
- Proficiency in communication tools such as Slack, Zoom, and Google Workspace is a must
- You share and can role model our values, and work in accordance with those values
- Ability to use GitLab

## Performance Indicators

- [Team member engagement survey score](/handbook/people-group/engagement/)
- [Team member retention](/handbook/people-group/people-success-performance-indicators/#team-member-retention)
- [Team member sentiment about working at GitLab](https://www.greatplacetowork.com/certified-company/7013799)
- Qualitative feedback from GitLab senior leaders
- Ad hoc feedback from team members on specific programs and initiatives

## Career Ladder

The next step in the Internal Communications job family is to move to a senior leader job family of which we do not yet have defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute screening call with one of our recruiters
- Next, qualified candidates will meet with the hiring manager
- Next, qualified candidates will be asked to supply a writing sample and complete a short writing assignment (e.g. up to 500 words, which will be detailed by the hiring manager)
- Next, qualified candidates will meet with 2 - 4 team members.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
