---
title: "People Compliance"
---

People Compliance forms part of the People Operations Team at GitLab, and is directly responsible for managing all compliance-related efforts relating to People Operations processes and affecting all GitLab team members. This team will be collaborating very closely with all People Operations and People Success teams, as well as Talent Acquisition, Total Rewards, and Legal teams.

## Senior Background Check Specialist

The Senior Background Specialist reports to Director, People Operations

### Job Grade

The Senior Background Specialist is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Background Check Specialist Responsibilities

- Partner with both the Candidate Experience Specialist and People Connect Teams to ensure verifications are completed with urgency for all new hires
- Manage all background check and verification processes in partnership with our external background check vendors, ensuring they are handled in strict accordance with applicable local, state, federal and country specific guidelines.
- Oversee our Right to Work process for EU countries
- Create and implement training materials and documentation related to background check process, investigation, compliance and regulatory needs.
- Maintain a relationship with external background check vendors.
- Collaborate with our Legal team, Team Member Relations Team,  and People Compliance Partner to keep our verification process up to date with global laws and regulations including escalations as needed.
- Conduct regular audits to ensure that all processes are being followed, and educate adjacent teams on matters related to the background check and verification process.
- Ensure new hires receive timely and thoughtful messaging throughout the pre-hire process.

### Senior Background Check Specialist Requirements

- Experience becoming a subject matter expert in or owner of a technical tool.
- Experience working on background checks globally.
- Experience with the following tools is a plus: Sterling, Greenhouse, Workday, and GitLab.
- Ability to work within a distributed team in a fast-paced, changing environment.
- Excellent interpersonal skills and ability to establish strong relationships at all levels and across functions.
- Strong verbal and written communications with the ability to effectively communicate at multiple levels within the company to ensure compliance needs are met.
- High level of independence, with an ability to work autonomously with high attention to detail.
- Ability to appropriately handle highly sensitive and confidential information.

## People Compliance Specialist

The People Compliance Specialist reports to the Vice President of People Operations, Technology and Analytics.

### Job Grade

The People Compliance Specialist is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### People Compliance Specialist Responsibilities

- Support queries relating to compliance, audit and due diligence specific projects in issues, slack and MR's.
- Point of contact for Legal, Security Compliance and all internal audit-related queries.
- DRI for all People Group-related compliance projects. Coordinate, collaborate, administer, and support the enablement of various compliance efforts and projects.
- Spearhead complete review and redress of all US and non-US People processes and policies.
- Implement compliance initiatives and templates that can be utilised for initiatives including: document retention policy for team member information, data protection, and annual training on these.
- Complete all mandatory country-specific lawful and required reports and compliance initiatives, such as the US-required EEOC and AAP reports.
- Ongoing audits and compliance initiatives as directed in Total Rewards, People Operations, and Talent Acquisition.
- Collaborate with the People Tools team to ascertain and integrate tools in relation to compliance needs and initiatives, including automation and reporting.
- Engage with internal legal counsel, vendors, and external professionals and legal counsel as needed.
- Work closely with the Senior Leadership in the People Group and suggest iterations on processes and initiatives to ensure we remain compliant.
- Announce changes and improvements in the #whats-happening-at-gitlab Slack channel.
- Complete ad-hoc projects, reporting, and tasks.

### People Compliance Specialist Requirements

- You share our [values](/handbook/values/), and work in accordance with those values.
- The capacity to challenge the status quo with all levels of leadership to ensure compliance.
- The capability to work autonomously and to drive your own performance & development would be important in this role.
- Willing to make People Compliance as open and transparent as possible.
- Proven organizational skills with high attention to detail and the capacity to prioritize.
- The aptitude to work in a fast-paced, global environment with substantial attention to detail is essential.
- High sense of urgency and accuracy.
- Exemplary team player who can jump in and support the team on a variety of topics and tasks.
- Prior experience in HR Compliance, Team Member Data Retention or a People Operations role that included compliance.
- Clear understanding of HR laws in one or multiple countries where GitLab is active.
- Excellent written and verbal communication skills.
- Exceptional customer service skills.
- Enthusiasm for and broad experience with software tools.
- Proven experience to quickly adapt new software tools.
- Willing to work with git and GitLab whenever possible.
- Ability to use GitLab.
- Willingness to work odd hours when needed (for example, to call an embassy in a different continent).
- Bachelor's degree **or** 2 years related experience.
- Experience at a growth-stage tech company is preferred.

### People Compliance Specialist Performance Indicators

Primary performance indicators for this role:

- [Annual Mandated HR Reporting](/handbook/people-group/people-success-performance-indicators/#compliance-annual-mandated-hr-reporting)
- [People Data and HRIS Compliance](/handbook/people-group/people-success-performance-indicators/#compliance-people-data-and-hris-compliance)
- [Onboarding Issue Audits](/handbook/people-group/people-success-performance-indicators/#onboarding-issue-audits)

## Senior People Compliance Program Manager

The Senior People Compliance Program Manager reports to the Director, People Operations.

### Job Grade

The Senior People Compliance Program Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior People Compliance Program Manager Responsibilities

- Partner with Employment Counsel, Legal and Privacy team on laws and regulation updates.
- Maintain appropriate level of process, program, and policy knowledge to assist team members.
- Review and understand legislation in locations where we have legal hiring entities.
- Proactively address processes to mitigate compliance and operational risk by recommending and prioritizing changes to support the business.
- Act as subject matter expert on HR compliance and act in an advisory role to People Team centers of excellence, cross-functional stakeholders, and clients.
- Support queries relating to compliance, audit and due diligence specific projects in issues, slack and MR's.
- Act as the main point of contact for the People Tools & Technology team with reporting, data analyses, and personnel information as it relates to compliance.
- Manage the scope and schedule for assigned compliance projects and programs; conduct compliance audits, analyze results and generate reports for relevant functional areas, and potential policy recommendations.
- Implement compliance initiatives and templates that can be utilized for initiatives including: document retention policy for team member information, data protection, and annual training on these.
- Manage the company's reporting requirements and compliance initiatives, including the Affirmative Action (OFCCP) and EEO-1.
- Collaborate with the People Tech team to ascertain and integrate tools in relation to compliance needs and initiatives, including automation and reporting.
- Engage with internal legal counsel, vendors, and external professionals and legal counsel as needed.
- Complete ad-hoc projects, reporting, and tasks.

### Senior People Compliance Program Manager Requirements

- Prior extensive experience in HR Compliance, Team Member Data Retention or a People Operations role that included compliance.
- Ability to work independently and put forth recommendations that take into consideration that state of the business.
- Ability to coordinate, prioritize, and balance multiple issues and assignments simultaneously.
- The capacity to challenge the status quo with all levels of leadership to ensure compliance.
- Demonstrated ability to develop cross-functional relationships to help drive results.
- The aptitude to work in a fast-paced, global environment with substantial attention to detail is essential.
- Clear understanding of HR laws in one or multiple countries where GitLab is active.
- Excellent written and verbal communication skills.
- Exceptional customer service skills.
- Experience with the following tools is a plus: Greenhouse, Workday, GitLab and Culture Amp.

### Senior People Compliance Program Manager Performance Indicators

Primary performance indicators for this role:

- [Annual Mandated HR Reporting](/handbook/people-group/people-success-performance-indicators/#compliance-annual-mandated-hr-reporting)
- [People Data and HRIS Compliance](/handbook/people-group/people-success-performance-indicators/#compliance-people-data-and-hris-compliance)
- [Onboarding Issue Audits](/handbook/people-group/people-success-performance-indicators/#onboarding-issue-audits)

## Manager, People Compliance

The Manager, People Compliance reports to the Director, People Operations.

### Job Grade

The Manager, People Compliance is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Manager, People Compliance Responsibilities

- Coach and mentor the People Compliance team to effectively address people compliance and relation audit and overall project initiatives.
- Acts as a subject matter leader to provide strategic coaching to management of all levels on addressing a variety of people issues while effectively mitigating business and company risk.
- Identifies a Risk Profile based on compliance related matters and creates a mitigation roadmap to remediate and/or lower risk.
- Maintain a deep understanding of legislation in locations where we have legal hiring entities.
- Proactively lead projects or recommend process improvements to mitigate compliance and operational risk.
- Develop strategic partnerships and support business units on people compliance concerns.
- Ensure oversight and governance of policies and practices globally, including interpreting and applying understanding of corporate policies and practices, employment laws, and other regulations to provide advice, guidance, or clarification for People Compliance inquiries.
- Investigate best practice and innovative people policies to ensure GitLab is fully prepared and compliant as we scale. Create and implement internal policies related to leave administration, disability support, and more.
- Act as subject matter expert for the People Tech team with reporting, data analyses, and personnel information as it relates to compliance.
- Supervise all the company's mandatory country-specific lawful and required reports and compliance initiatives, including the Affirmative Action (OFCCP) and EEO-1.
- Address any gaps in processes or documentation and escalate as necessary.
- Ensure strong partnerships with internal legal counsel, vendors, and external professionals and legal counsel as needed.
- Complete ad-hoc projects, reporting, and tasks.

### Manager, People Compliance Requirements

- Prior extensive experience in HR Compliance.
- Demonstrated ability to build strong relationships, influence stakeholders, and maintain confidentiality.
- Detail-oriented with excellent analytical and problem-solving abilities.
- Highly flexible and adaptable to changing structures and priorities.
- Ability to research and interpret employment laws and regulatory changes, participating in continuous HR training.
- Strong leadership skills; influencing other HR and cross-functional professionals.
- Strong understanding of HR laws in one or multiple countries where GitLab is active.
- Excellent written and verbal communication skills.
- Exceptional customer service skills.
- Experience with the following tools is a plus: Greenhouse, Workday, GitLab and Culture Amp.

### Manager, People Compliance Performance Indicators

Primary performance indicators for this role:

- [Annual Mandated HR Reporting](/handbook/people-group/people-success-performance-indicators/#compliance-annual-mandated-hr-reporting)
- [People Data and HRIS Compliance](/handbook/people-group/people-success-performance-indicators/#compliance-people-data-and-hris-compliance)
- [Onboarding Issue Audits](/handbook/people-group/people-success-performance-indicators/#onboarding-issue-audits)

### Career Ladder

The next step in the People Compliance job family is to move to the [People Leadership job family](/job-families/people-group/people-leadership/).

### Hiring Process

- Qualified candidates will be invited to schedule a 30 minute screening call with one of our recruiters
- Next, candidates will be invited to schedule a 45 minute interview with our VP, Total Rewards and People Operations
- After that, candidates will be invited to schedule a 30 minute interview with members of the People Operations, People Success, Legal, Total Rewards, Talent Acquisition, and People Partner teams
- Finally, our CPO may choose to conduct a final interview
