---
title: "People Connect"
---

The People Connect Team plays a critical role in influencing and supporting the people strategy within the GitLab - collaboratively working to develop, optimize and implement people processes and programs while overseeing the day-to-day responsibilities associated with people operations.

## People Connect

## Levels

### People Connect Specialist

The People Connect Specialist reports to the Manager, People Connect.

#### Job Grade

The People Connect Specialist is a [Grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Ensure a positive onboarding experience for new team members by ensuring all aspects of onboarding are completed accurately and timely including communication with new team members.
- Raise documentation or process gaps as identified to the team.
- Conduct regular audits of team member data, including missing data points and compensation or bonus payments.
- Serve as the first line of contact for all team member inquiries via slack and / or email.
- Process requests for verifications of employment and unemployment claims.
- Audit onboarding issues to ensure task completion in alignment with applicable deadlines.
- Coordinate and invite new team members to the GitLab Team Meetings Calendar and the GitLab Unfiltered YouTube Channel; oversee the New Hire Swag process
- Facilitate the ordering of gifts and flowers for significant life events, work anniversaries, or on request, ensuring these are correctly expensed to the relevant team.
- Re-allocation of tasks to ensure a level of continuity in instances where team members have indicated that they may be unable to attend to them by way of a handover discussion.

#### Requirements

- Ability to demonstrate integrity and maintain confidentiality.
- Proactive and result driven with strong attention to detail.
- Experience with the following tools is a plus: Greenhouse, GitLab and Workday.
- Ability to work within a distributed team in a fast-paced, changing environment.
- Able to split focus across a diverse yet equally important set of functions.
- Strong verbal and written communication skills.

### Senior People Connect Specialist

The Senior People Connect Specialist reports to the Manager, People Connect.

#### Job Grade

The Sr People Connect Specialist is a [Grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Ensure a positive onboarding experience for new team members by ensuring all aspects of onboarding are completed accurately and timely including communication with new team members.
- Document, implement and work to improve upon processes, procedures and programs relating to the team member lifecycle - conducting regular reviews around optimization and scalability.
- Participate in meetings as an operational subject matter expert which impacts operational design, reporting, or workflows.
- Perform operational tasks as needed such as data entry, transactional processing, contracts amendments and all other items pertinent to the team member lifecycle.
- Provide team members with exceptional service regarding all People related inquiries through resolution accountability.
- Manage and provide early intervention and support for the resolution to issues as they are identified and helps to implement long-term solutions.
- Collaborate with the Employment Solutions Partner to support relocation requests, fostering a close relationship with co-employers to ensure quality delivery of mobility services.
- Conduct exit interviews for Managers and Directors identifying and reporting on trends.
- Complete a variety of non-recurring and ongoing projects in partnership with the Lead or assigned by Manager.

#### Requirements

- Understanding of the entire team member lifecycle, with the ability to recommend process-oriented and/or operational solutions to improve the team member experience.
- Experience with the following tools is a plus: Greenhouse, Workday, GitLab and Culture Amp.
- Ability to work within a distributed team in a fast-paced, changing environment.
- Strong verbal and written communications with the ability to effectively communicate at multiple levels within the company.
- Strong problem solving and organizational skills - able to manage multiple priorities in a dynamic and occasionally ambiguous environment.
- Ability to demonstrate integrity and maintain confidentiality.
- Excellent interpersonal skills and ability to establish strong relationships at all levels and across functions.

### People Connect Lead

The People Connect Lead reports to the Manager, People Connect.

#### Job Grade

The People Connect Lead is a [Grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Guide the team on best-practices to quickly resolve issues in specific functional areas.
- Act as primary escalation point for overall service delivery and internal team support, communicating escalations to team manager as appropriate for awareness or further escalation.
- Ensure process documentation is current, accurate and fully supports achievement of service level agreements.
- Translate legal and regulatory requirements into system or process requirements in collaboration with the People Compliance Partner.
- Monitor and leverage metrics and trends to determine process improvement opportunities ultimately working to enhance the team member experience.
- Collaborate with Employment Solutions and various stakeholders such as third party employers to ensure that regional employment contracts, policies and practices are aligned to the unique requirements of each location i.e. data retention, legislative, regulatory and taxation.
- Serve as a Subject Matter Expert (SME) for various modules within our People Systems.
- Accountable for knowledge transfer within the People Connect team in close collaboration with various stakeholders e.g. Total Rewards, Learning and Development, Stock Administration, etc.
- Support as Program Manager for the delivery of key programs such as the 360 Feedback Cycle, Engagement Surveys and Performance Assessments.
- Conduct exit interviews for People Group and E-Group Members identifying and reporting on trends.

#### Requirements

- Comprehensive understanding of the entire team member lifecycle, with the ability to recommend process-oriented and/or operational solutions to improve the team member experience.
- Experience with the following tools is a plus: Greenhouse, Workday, GitLab and Culture Amp.
- Ability to work within a distributed team and as an individual contributor in a fast-paced, changing environment.
- Excellent verbal and written communications with the ability to effectively communicate at multiple levels within the company.
- Excellent problem solving and organizational skills - able to manage multiple priorities in a dynamic and occasionally ambiguous environment.
- Ability to demonstrate integrity and maintain a high level of confidentiality.
- Excellent interpersonal skills and ability to establish strong relationships at all levels and across functions.

## Manager, People Connect

The Manager, People Connect reports to the Director, Global People Operations

### Job Grade

The Manager, People Connect is a [Grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Onboard, mentor, and grow the careers of all team members.
- Coach and mentor People Connect team to effectively address team member queries in line with our values.
- Work with the Director, People Operations to shape a strategy that aligns and moves GitLab towards continued growth, innovation and improvement.
- Manage and recommend improvements for program management including rollout, communication, reporting and metrics of Organizational health, Engagement Survey, DIB related surveys, 360 feedback cycle and Performance/ Potential Matrix Assessment.
- Provide training and support to the People Connect team to address team member and leadership queries effectively and timely.
- Seek and review potential blockers of various People Operations processes and ensuring improvement on daily tasks and suggest automation where needed.
- Review and improve Slack answers and continue to train and mentor the team to update information in the handbook, for easy access to all.
- Manage and maintain an SLA to track response times for email queries across timezones.
- Continue to drive automation for easy access of employment confirmation letters, automatic invitations to Contribute, confirmation of business insurance, etc.
- Continuously manage and improve both administrative efficiency and team member experiences during onboarding.
- Partner closely with Managers at GitLab to gain feedback from various teams about onboarding, offboarding and transition issues.
- Review and report on People Operations and Onboarding metrics, including [OSAT](/handbook/people-group/people-success-performance-indicators/#onboarding-satisfaction-osat) and [Onboarding Task Completion](/handbook/people-group/people-success-performance-indicators/#onboarding-task-completion--x-tbd).
- Continuously improve offboarding of team members.
- Along with the People Business Partners, create efficient people processes and clear hand-offs.
- Work closely with payroll, SecOps, and IT Ops to continue to improve the administration of offboarding the time it takes to complete.
- Managing issue triaging and label review/ adding and reviewing contributions to the efficiency of our issue tracker.
- Drive continued automation and efficiency to enhance the employee experience and maintain our efficiency value.
- Announcing changes and improvements in the #whats-happening-at-gitlab Slack channel
- Leading positive employee experience throughout their lifecycle with GitLab.
- Implementation and monthly report on trends from Stay Interviews.
- Quarterly report on trends from exit interview data.
- Manage vendor renewals and agreements.
- Partner with Finance Business Partner for budgeting purposes.

### Requirements

- Ability to use Greenhouse, Workday, GitLab and Culture Amp
- The ability to work autonomously and to drive your own performance & development would be important in this role
- Prior extensive experience in a People Operations role
- Willingness to work odd hours when needed (for example, to call an embassy in a different continent)
- Excellent written and verbal communication skills
- Exceptional customer service skills
- Team player who can jump in and support the team on a variety of topics and tasks
- Enthusiasm for and broad experience with software tools
- Proven experience quickly learning new software tools
- Willing to work with git and GitLab whenever possible
- Willing to make People Operations as open and transparent as possible
- Proven organizational skills with high attention to detail and the ability to prioritize
- You share our values, and work in accordance with those values
- The ability to work in a fast-paced environment with attention to detail is essential
- High sense of urgency and accuracy
- Experience at a growth-stage tech company

## Senior Manager, People Connect

The Senior Manager, People Connect reports to Director, Global People Operations.

### Job Grade

The Senior Manager, People Connect is a [Grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Onboard, mentor, and grow the careers of all team members
- Provide coaching to improve performance of team members and drive accountability
- Work with Director, People Operations to shape a strategy that aligns and moves GitLab towards continued growth, innovation and improvement
- Provide training and support to the Specialist group to address team member and leadership queries effectively and timely
- Oversee the co-employer relationships and act as the main point of contact for the People Group
- Seek and review potential blockers of various People Operations processes and ensuring improvement on daily tasks and suggest automation where needed
- Improve Slack answers and continue to train and mentor the team to update information in the handbook, for easy access to all
- Implement an SLA to track response times for email queries across timezones
- Continue to drive automation for easy access of employment confirmation letters, automatic invitations to Contribute, confirmation of business insurance, etc
- Implementation of data retention strategies and partnering with People Leads to ensure this is implemented across all team member data consistently
- Continuous Improvement of both administration and people experience during onboarding.
- Partnering closely with Managers at GitLab to gain feedback from various teams about onboarding, offboarding and transition issues
- Review and report on People Operations and Onboarding metrics, including [OSAT](/handbook/people-group/people-success-performance-indicators/#onboarding-satisfaction-osat) and [Onboarding Task Completion](/handbook/people-group/people-success-performance-indicators/#onboarding-task-completion--x-tbd)
- Continuous improvement of offboarding for both voluntary and involuntary terms
- Along with the People Business Partners, create a Terminations playbook to ensure the team can remain async and scale
- Work closely with payroll, SecOps, and IT Ops to continue to improve the administration of offboarding the time it takes to complete
- Mananging issue traiging and label review/ adding and reviewing contributions to the efficiency of our issue tracker. Provide strategic guidance and coaching on more difficult discussions and collaboration within issues.

### Requirements

- Ability to use GitLab
- The ability to work autonomously and to drive your own performance & development would be important in this role
- Prior extensive experience in a People Operations role
- Willingness to work odd hours when needed (for example, to call an embassy in a different continent)
- Excellent written and verbal communication skills
- Exceptional customer service skills
- Team player who can jump in and support the team on a variety of topics and tasks
- Enthusiasm for and broad experience with software tools
- Proven experience quickly learning new software tools
- Willing to work with git and GitLab whenever possible
- Willing to make People Operations as open and transparent as possible
- Proven organizational skills with high attention to detail and the ability to prioritize
- You share our values, and work in accordance with those values
- The ability to work in a fast-paced environment with attention to detail is essential
- High sense of urgency and accuracy
- Experience at a growth-stage tech company

## Director, Global People Operations

The Director of Global People Operations reports to the VP, People Operations, Technology and Analytics

### Job Grade

The Director, Global People Operations is a [Grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Lead and manage a growing People Operations team responsible for managing the employee experience throughout the employee lifecycle.
- Help shape a global People Operations strategy that aligns and moves the business towards continued growth, innovation and improvement.
- Provide HR support and consultation to the business; answering employee and manager questions about HR programs, policies, and other HR-related items with the team member satisfaction top of mind and priority.
- Provide HR support and leadership with respect to day-to-day HR life cycle activities of client groups, including onboarding, offboarding, relocations, and other team member events.
- Coordinate and support new People program implementations.
- Create and manage streamlined processes and ensure alignment with key stakeholders inside and outside the People Team (Talent Acquisition Enablement, Payroll, Stock Administration, Finance)
- Build collaborative relationships across the organization.
- Drive a progressive, proactive, positive culture, and increase levels of engagement, enablement, and retention.
- Assist with the maintenance and accuracy of HR data, including data audits.
- Provide leadership and oversight of People Compliance function, ensuring compliant processes and alignment with local and international employee laws and regulations.
- Assess/identify HR strategy, policy, or process improvements.
- Provide leadership and oversight of business expansion solutions, ensuring scalability, forward focused, and meet team member satisfaction requirements.
- Maintain in-depth knowledge of local, global, and federal employment laws; maintain and store records judiciously and securely.

### Requirements

- 8+ years of progressive experience in HR roles with a demonstrable track record of building and optimizing processes, systems, and structures.
- Working knowledge of regulatory and legal requirements related to employment and People Compliance.
- Working knowledge of business employment solutions and the options available such as utilizing a PEO or hiring contractors.
- 3-5 years of experience leading people and cross-functional organizations.
- Demonstrable ability to own, execute and deliver on short- and long-term projects.
- Strategic and innovative thinker; able to prioritize and use sound judgment and decision-making.
- Executive presence with excellent written and oral communication skills.
- Business insight and high EQ to successfully collaborate with executives and business partners at all levels.

- You share our [values](/handbook/values/), and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#director-group)
- Ability to use GitLab

## Senior Director, Global People Operations

The Senior Director of Global People Operations reports to the VP, People Operations, Technology and Analytics

### Job Grade

The Director, Global People Operations is a [Grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Lead and manage a growing People Operations team responsible for managing the employee experience throughout the employee lifecycle.
- Assess, identify, shape and execute a global People Operations strategy that aligns and moves the business towards continued growth, innovation and improvement.
- Provide HR support and consultation to the business; answering employee and manager questions about HR programs, policies, and other HR-related items with the team member satisfaction top of mind and top priority.
- Provide leadership, direction, and expertise to ensure standardized practices and documented processes that drive unparalleled team member experiences.  Includes onboarding, offboarding, relocations, and other team member events.
- Oversee the coordination and execution of People program implementations.
- Utilizing a system design thinking approach (crafting processes from the outside-in), create and execute an infrastructure roadmap to focus on efficiency and experiences.  Create and manage streamlined processes and ensure alignment with key stakeholders inside and outside the People Team (Talent Acquisition Enablement, Payroll, Stock Administration, Finance)
- Build and cultivate collaborative relationships across the organization.
- Drive a progressive, proactive, positive culture, and increase levels of engagement, enablement, and retention.
- Owner of HR data accuracy and data privacy applying global rules where appropriate.
- Provide leadership and oversight of People Compliance function, ensuring compliant processes and alignment with local and international employee laws and regulations.  Oversee successful completion of compliance roadmaps and execution plans
- Provide leadership and oversight of business expansion solutions, ensuring scalability, forward focused, ensuring solutions meet team member satisfaction requirements.
- Maintain in-depth knowledge of local, global, and federal employment laws; maintain and store records judiciously and securely.
- Create and deliver infrastructure QBR to stakeholder groups as needed.

### Requirements

- 10+ years of progressive experience in HR roles with a demonstrable track record of building and optimizing processes, systems, and structures.
- Expert knowledge of regulatory and legal requirements related to employment and People Compliance.
- Working knowledge of business employment solutions and the options available such as utilizing a PEO or hiring contractors.
- 5-7 years of experience leading people and cross-functional organizations.
- Demonstrable ability to own, execute and deliver on short- and long-term projects using roadmaps and aligning with key stakeholders.
- Strategic and innovative thinker; able to prioritize and use sound judgment and decision-making.
- Executive presence with excellent written and oral communication skills.
- Business insight and high EQ to successfully collaborate with executives and business partners at all levels.

- You share our [values](/handbook/values/), and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#director-group)
- Ability to use GitLab

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 45 minute interview with our Director, Technology
- After that, candidates will be invited to schedule a 30 minute interview with members of the Operations Team such as the Compliance Partner and/or Employment Solutions Partner
- After that, candidates will be invited to interview with the VP, People Operations, Technology and Analytics
- Finally, our CPO may choose to conduct a final interview

Additional details about our process can be found on our [hiring page](/handbook/hiring/).

### Performance Indicators

- [12 month team member retention](/handbook/people-group/people-success-performance-indicators/#team-member-retention-rolling-12-months)
- [12 month voluntary team member turnover](/handbook/people-group/people-success-performance-indicators/#team-member-voluntary-retention-rolling-12-months)
- [Onboarding Satisfaction Survey > 4.5](/handbook/people-group/people-success-performance-indicators/#onboarding-satisfaction-osat)
- Onboarding task completion < X (TBD)

## Career Ladder

The next step in the People Operations job family is to move to the [People Operations Leadership Job Family](/job-families/people-group/leadership-people-operations-tech-analytics/).
