---
title: People Operations Program Manager
---

## Levels

### People Operations Program Manager

The People Operations Program Manager reports to the Director, People Tools & Technology.

#### People Operations Program Manager Job Grade

The People Operations Program Manager is a [grade 6]({{% ref "compensation-calculator#gitlab-job-grades" %}}).

#### People Operations Program Manager Responsibilities

- High-level project management and assisting with all aspects of projects from business case approval through validation of success metrics.
- Work with stakeholders to design processes that are both effective and efficient and deliver the desired outcomes.
- Seek opportunities to optimize efficiency of processes to deliver exceptional customer service and enhance the overall employee journey.
- Independently gathers information from a variety of sources; to analyze, interpret, and summarize data gathered, and to deliver meaningful insights to the HR leadership team and other organizational stakeholders.
- Manage meeting coordination and facilitation by ensuring all logistical aspects are organized and communicated concisely.
- Works on problems of diverse complexity in which analysis of data requires evaluation of existing and unknown factors.
- Solves problems that requires analysis of multiple sources of information before making a recommendation.
- Collaborate with teams to improve processes and to implement programs with the goal always being to make processes easier from the perspective of the team members.
- Deliver engaging, informative and well-organized presentations to support project objectives and outcomes.
- Create measures to ensure project outcomes are successful and meet expectations.
- Resourcefulness in problem-solving, proactively manage multiple projects with a keen sense of attention to detail.
- Grows knowledge of project management concepts and functional subject matters to determine solutions.
- Create project roadmaps, process documents, project documentation, and milestones to ensure successful completion of projects within the timeframe agreed upon.
- Ensure compliance with all international rules and regulations.
- Update documentation and handbook as appropriate.
- Collect GitLab internal data to track trends in functional areas.
- Collect external market data to support project roadmaps.

#### People Operations Program Manager Requirements

- 1-2 years of directly related experience required
- Experience working in a fast-paced environment
- Resourcefulness in problem-solving, identifying and addressing issues that may arise during People operational activities to include analyzing problems, collaborating on solutions, and implementing appropriate measures
- A track record of successful project execution and strong project management skills
- Experience working independently to lead projects through to completion
- Ability to influence others using data to inform recommendations
- Work collaboratively with stakeholders to identify and mitigate process gaps and issues through active listening and probing resulting in mutual understanding
- Solid organizational skills
- Solid change management experience
- Ability to understand a high-level issue and conduct root cause analysis to understand concerns
- Experience analyzing metrics using Excel (or similar software)
- Demonstrates great customer service and relationship building skills
- Leverage business knowledge to address issues while mitigating risk
- Ability to analyze, investigate & interpret data, issues & situations
- Ability to plan organize and prioritize work while leveraging resources
- Create strong working relationships and influence change
- Ability to multitask and maintain focus to achieve timely results
- Ability to research, collect and organize data for analysis
- Excellent verbal and written communication skills
- Ability to use GitLab
- Aligns with GitLab values

### Senior People Operations Program Manager

The Senior People Operations Program Manager reports to the Director, People Tools & Technology.

#### Senior People Operations Program Manager Job Grade

The Senior People Operations Program Manager is a [grade 7]({{< ref "compensation-calculator#gitlab-job-grades" >}}).

#### Senior People Operations Program Manager Responsibilities

- Assume accountability for providing detailed project management and leading all aspects of critical projects from business case approval through validation of success metrics.
- Based on System Design Thinking principles, design processes that are both effective and efficient and deliver the desired outcomes.
- Primary focus on cultivating positive employee experiences, seeking opportunities to optimize efficiency of processes to deliver exceptional customer service and enhance the overall employee journey.
- Collaborate with cross-functional teams to improve processes and to implement programs with the goal always being to make processes easier from the perspective of the team members.
- Manage and create effective communication strategies to support information flow from the People team to stakeholders while ensuring a strong focus on achieving strategic outcomes. Deliver engaging, informative and well-organized presentations to support project objectives and outcomes.
- Build business cases for new projects based on supporting data to present to People Operations Leadership and key stakeholders.
- Facilitate process mapping and design sessions with cross-functional teams and SMEs to document current state processes while also identifying process gaps, integration opportunities and efficiencies.
- Independently gathers information from a variety of sources; to analyze, interpret, and summarize data gathered, and to deliver meaningful insights to the HR leadership team and other organizational stakeholders.
- Manage high-level meeting coordination and facilitation by ensuring all logistical aspects are organized and communicated concisely.
- Create measures to ensure project outcomes are successful and meet expectations.
- Coordinate, communicate and report out People operational activities including cyclical and project-based assignments.
- Demonstrated resourcefulness in problem-solving, proactively manage multiple projects with a keen sense of attention to detail.
- Create project roadmaps, process documents, project documentation, and milestones to ensure successful completion of projects within the timeframe agreed upon.
- Ensure compliance with all international rules and regulations.
- Update documentation and handbook as appropriate.
- Collect GitLab internal data to track trends in functional areas.
- Collect external market data to support project roadmaps.

#### Senior People Operations Program Manager Requirements

- 3+ years of directly related experience required
- Experience working in a fast-paced environment
- Demonstrated resourcefulness in problem-solving, identifying and addressing issues that may arise during People operational activities to include analyzing problems, proposing solutions, and implementing appropriate measures to overcome challenges
- A strong track record of successful project execution and strong project management skills
- Experience working independently to lead large, complex projects with multiple stakeholders taking them to completion
- Ability to influence others at varying levels of seniority using data to inform recommendations.  Work collaboratively with cross-functional teams to identify and mitigate process gaps and issues through active listening and probing resulting in mutual understanding
- Prior understanding and management of the Contractor Hiring process is a plus
- Strong organizational skills
- Strong change management experience
- Strong ability to understand a high-level issue and conduct root cause analysis to understand concerns
- Intermediate/Expert experience analyzing metrics using Excel (or similar software)
- Strong process re-engineering skill set
- Demonstrates exceptional customer service and relationship building skills
- Leverage business knowledge to address complex issues while mitigating risk
- Ability to analyze, investigate & interpret data, issues & situations
- Ability to plan organize and prioritize work while leveraging resources
- Create strong working relationships and influence change
- Ability to multitask and maintain focus to achieve timely results
- Ability to research, collect and organize data for analysis
- Excellent verbal and written communication skills
- Ability to use GitLab
- Aligns with GitLab values

### Staff People Operations Program Manager

The Senior People Operations Program Manager reports to the Director, People Tools & Technology.

#### Staff People Operations Program Manager Job Grade

The Senior People Operations Program Manager is a [grade 8]({{< ref "compensation-calculator#gitlab-job-grades" >}}).

#### Staff People Operations Program Manager Responsibilities

- Develop program management strategy and partner with People stakeholders on roadmap.
- Design and drive rigour in processes and policies for our People Operations team.
- Provide technical and functional knowledge to projects that contribute to overall direction across teams.
- Understand and work on complex problems that requires a deep understanding of multiple sources of data to make a recommendation.
- Exercise independent judgment in developing methods, techniques and evaluation criteria for obtaining results.
- Lead others by sharing solutions and problem solving approaches with others.
- Assume accountability for providing high-level project management and driving all aspects of critical projects from business case approval through validation of success metrics.
- Based on System Design Thinking principles, design processes that are both effective and efficient and deliver the desired outcomes.
- Primary focus on cultivating positive employee experiences, seeking opportunities to optimize efficiency of processes to deliver exceptional customer service and enhance the overall employee journey.
- Facilitate process mapping and design sessions with cross-functional teams and SMEs to document current state processes while also identifying process gaps, integration opportunities and efficiencies.
- Independently gathers information from a variety of sources; to analyze, interpret, and summarize data gathered, and to deliver meaningful insights to the HR leadership team and other organizational stakeholders.
- Manage high-level meeting coordination and facilitation by ensuring all logistical aspects are organized and communicated concisely.
- Collaborate with cross-functional teams to improve processes and to implement programs with the goal always being to make processes easier from the perspective of the team members.
- Manage and create effective communication strategies to support information flow from the People team to stakeholders while ensuring a strong focus on achieving strategic outcomes. Deliver engaging, informative and well-organized presentations to support project objectives and outcomes.
- Build business cases for new projects based on supporting data to present to People Operations Leadership and key stakeholders.
- Create measures to ensure project outcomes are successful and meet expectations.
- Coordinate, communicate and report out People operational activities including cyclical and project-based assignments.
- Resourcefulness in problem-solving, proactively manage multiple projects with a keen sense of attention to detail.
- Create project roadmaps, process documents, project documentation, and milestones to ensure successful completion of projects within the timeframe agreed upon.
- Ensure compliance with all international rules and regulations.
- Update documentation and handbook as appropriate.
- Collect GitLab internal data to track trends in functional areas.
- Collect external market data to support project roadmaps.

#### Staff People Operations Program Manager Requirements

- 5+ years of directly related experience required
- Experience working in a fast-paced environment
- Demonstrated resourcefulness in problem-solving, identifying and addressing issues that may arise during People operational activities to include analyzing problems, proposing solutions, and implementing appropriate measures to overcome challenges
- An exceptional track record of successful project execution and strong project management skills
- Experience working independently to cross functional projects with multiple stakeholders across the organization taking them to completion
- Ability to influence others at varying levels of seniority using data to inform recommendations.  Work collaboratively with cross-functional teams to identify and mitigate process gaps and issues through active listening and probing resulting in mutual understanding
- Strong organizational skills
- Strong change management experience
- Srong ability to understand a high-level issue and conduct root cause analysis to understand concerns
- Intermediate/Strong experience analyzing metrics using Excel (or similar software)
- Prior understanding and management of the Contractor Hiring process is a plus
- Strong process re-engineering skill set
- Demonstrates exceptional customer service and relationship building skills
- Leverage business knowledge to address complex issues while mitigating risk
- Ability to analyze, investigate & interpret data, issues & situations
- Ability to plan organize and prioritize work while leveraging resources
- Create strong working relationships and influence change
- Ability to multitask and maintain focus to achieve timely results
- Ability to research, collect and organize data for analysis
- Excellent verbal and written communication skills
- Ability to use GitLab
- Aligns with GitLab values

## Performance Indicators

- Number of programs/projects launched quarterly
- Number of business processes streamlined
- Number of PM templated tools created

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call]({{< ref "interviewing#screening-call" >}}) with one of our Global Recruiters.
- Second interview: 30-45 minutes with business stakeholder
- Third interview: 30-45 minutes with Director, People Tools & Technology
- Fourth interview: 30-45 minutes with VP, Total Rewards and People Operations
- May request for additional interview time.

Additional details about our process can be found on our [hiring page](/handbook/hiring).
