---
title: "People Group Fullstack Engineering"
---

## Levels

### People Group Junior Fullstack Engineer

The People Group Junior Fullstack Engineer reports to Director, People Tools & Technology.

#### People Group Junior Fullstack Engineer Job Grade

The People Group Junior Fullstack Engineer is [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### People Group Junior Fullstack Engineer Responsibilities

- Collaborate with all team members in the People Group, as well as other cross functional departments such as Engineering and Product to work on automation between various systems and creating smaller improvements inside of GitLab.
- Improve and automate our various People processes (examples may include onboarding, career mobility and offboarding), to ensure a compliant and streamlined workflow.
- Automation of various manual tasks.
- API building for external systems (payroll, benefits, etc).
- Create tooling where needed to optimize workflows or processes
- Involvement in Compensation Calculator design/updates.
- Architect and implement People Group support tool to streamline questions from multiple sources.
- Audit People Group processes/iterating for efficiency.
- Automate updates to the about.gitlab.com/jobs page and maintain the job page.
- Improvement and automation of contract creation.
- Provide and/or assist with data to the Data Analyst to be used in the People Group dashboards.
- Help the People Group maintain Single Source of Truth within the handbook.
- Keep confidentiality in mind with all the projects and automations and actively look out that other People Group projects do this as well.
- Craft code that meets our internal standards for style, maintainability, and best practices for a high-scale web environment. Maintain and advocate for these standards through code review.
- Represent GitLab and its values in public communication around specific projects and community contributions.

#### People Group Junior Fullstack Engineer Requirements

- Sincere interest in working on People Group related Engineering tasks.
- Professional experience with Ruby and Rails.
- Professional experience with JavaScript and associated web technologies (CSS, semantic HTML).
- Proficiency in the English language, both written and verbal, sufficient for success in a remote and largely asynchronous work environment.
- Demonstrated capacity to clearly and concisely communicate about complex technical, architectural, and/or organizational problems and propose thorough iterative solutions.
- Confidentiality is critical as well as ensuring our People data is protected and secure in how it is handled. Close partnership with Security on code review prior to moving to production.
- Experience with performance and optimization problems and a demonstrated ability to both diagnose and prevent these problems.
- Comfort working in a highly agile, intensely iterative software development process.
- Demonstrated ability to onboard and integrate with an organization long-term.
- Positive and solution-oriented mindset.
- Effective communication skills: Regularly achieve consensus with peers, and clear status updates.
- An inclination towards communication, inclusion, and visibility.
- Experience owning a project from concept to production, including proposal, discussion, and execution.
- Self-motivated and self-managing, with strong organizational skills.
- Demonstrated ability to work closely with other parts of the organization.
- Share our values, and work in accordance with those values.
- Ability to thrive in a fully remote organization.
- Ability to use GitLab.

#### Nice-to-haves

- Experience working with modern Frontend frameworks (eg. React, Vue.js, Angular).
- Experience with People systems such as Workday and Greenhouse.
- Experience with the GitLab product as a user or contributor.
- Experience working with a remote team.
- Passionate about/experienced with open source and developer tools and how we use it in non-engineering teams.

### People Group Fullstack Engineer

The People Group Fullstack Engineer reports to Director, People Tools & Technology.

#### People Group Fullstack Engineer Job Grade

The People Group Fullstack Engineer is [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### People Group Fullstack Engineer Responsibilities

- Extends that of a People Group Junior Fullstack Engineer.
- Advocate for improvements to People Group projects, issue tracker and project in GitLab-com.
- Collaborate on improvements to quality, security, and performance that have particular impact across the People Group.
- Assit on the overall objectives and long-range goals of the projects within the People Group.
- Solve technical problems of moderate complexity.
- Experience with performance and optimization problems and a demonstrated ability to both diagnose and prevent these problems.
- Help to define and improve our internal standards for style, maintainability, and best practices for a high-scale web environment. Maintain and advocate for these standards through code review.
- Represent GitLab and its values in public communication around broader initiatives, specific projects, and community contributions.
- Confidently ship moderately sized features and improvements with minimal guidance and support from other team members. Collaborate with the team on larger projects.

#### People Group Fullstack Engineer Requirements

- Extends that of a People Group  Fullstack Engineer.
- Professional experience with Ruby and Rails.
- Professional experience with JavaScript and associated web technologies (CSS, semantic HTML).
- Experience working with modern Frontend frameworks (eg. React, Vue.js, Angular).

#### Nice-to-haves

- Extends that of a People Group Junior Fullstack Engineer.
- Experience in a peak performance organization, preferably a tech startup.
- Enterprise software company experience.
- Experience working with a global or otherwise multicultural team.

### Senior People Group Fullstack Engineer

The Senior People Group Fullstack Engineer reports to Director, People Tools & Technology.

#### Senior People Group Fullstack Engineer Job Grade

The Senior People Group Fullstack Engineer is [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior People Group Fullstack Engineer Responsibilities

- Extends that of a People Group Fullstack Engineer
- Lead improvements to quality, security, and performance that have particular impact across the People Group.
- Exert influence on the overall objectives and long-range goals of the projects within the People Group.
- Solve technical problems of high scope and complexity.
- Experience with performance and optimization problems, particularly at large scale, and a demonstrated ability to both diagnose and prevent these problems.
- Faciliate and improve our internal standards for style, maintainability, and best practices for a high-scale web environment. Maintain and advocate for these standards through code review.
- Provide mentorship for Junior and Intermediate Engineers and non-engineers on the team to help them grow in their technical responsibilities and remove blockers to their autonomy.
- Confidently ship major features and improvements with minimal guidance and support from other team members. Collaborate with the team on larger projects.

#### Senior People Group Fullstack Engineer Requirements

- Extends that of a People Group  Fullstack Engineer.
- Mastery experience with Ruby and Rails.
- Mastery experience with JavaScript and associated web technologies (CSS, semantic HTML).
- Experience working with modern Frontend frameworks (eg. React, Vue.js, Angular).

#### Nice-to-haves

- Extends that of a People Group  Fullstack Engineer.

### Staff People Group Fullstack Engineer

The Staff People Group Fullstack Engineer reports to Director, People Tools & Technology.

#### Staff People Group Fullstack Engineer Job Grade

The Staff People Group Fullstack Engineer is [Job Grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Staff People Group Fullstack Engineer Responsibilities

WIP (and pulling inspiration from: <https://gitlab.com/gitlab-com/www-gitlab-com/blob/master/source/job-families/engineering/backend-engineer/index.html.md#staff-backend-engineer>)

## Performance Indicators

- [Narrow MR Rate](/handbook/people-group/people-success-performance-indicators/#people-group-engineering-narrow-mr-rate)
- [Overall Handbook Update Frequency Rate](/handbook/people-group/people-success-performance-indicators/#people-group-engineering-overall-handbook-update-frequency-rate)
- [Bug to first action](/handbook/people-group/people-success-performance-indicators/#people-group-engineering-bug-to-first-action)
- [Workscope done within a milestone](/handbook/people-group/people-success-performance-indicators/#people-group-engineering-workscope-done-within-a-milestone)
- [New requests are triaged](/handbook/people-group/people-success-performance-indicators/#people-group-engineering-new-requests-are-triaged)

## Career Ladder

The next step for both individual contributors and managers of people is to move to the [Engineering Leadership](/job-families/engineering/engineering-management) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our team page.

- Qualified candidates will be invited to schedule a 30 minute screening call with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 45 minute interview with our Director, People Tools & Technology.
- Candidates will then take part in a technical interview with a peer from the team.
- Candidates will then have two 30 minute meetings with members from the People Group.
- Finally, candidates will be invited to a 30 minute interview with the VP, People Operations, Technology & Analytics.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
