---
title: "People Technology and Analytics"
---

The People Technology & Analytics Job Family owns the technology and reporting solutions at GitLab. Working in partnership with the People Leadership team, they play both a strategic and tactical role setting the direction for the technology and analytics strategy at GitLab and operating with a "data-first" mindset.

## People Technology

### HRIS Analyst, People Technology

The HRIS Analyst, People Technology reports into the Director, People Tools and Technology.

#### Job Grade

The HRIS Analyst, People Technology is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Serve as HRIS system administrator by providing functional and technical expertise including system maintenance, assigning of security roles, troubleshooting issues, assisting with improvements, and ensuring overall data quality
- Provide system and end user support internally within the People Group as well as external stakeholders throughout the organization
- Ensure data integrity by performing system and security audits
- Participate in the configuration of annual People programs, system releases, which includes end-to-end preparation of test plan and test scripts
- Provide technical expertise, troubleshooting, and guidance, which includes HRIS training to support users and strengthen the organization's ability to effectively and efficiently use the system
- Load mass datasets, distribute policies and documents with confidence and thorough testing
- Develop and maintain documentation of system configurations, business processes, and schedules of reporting and integrations

#### Requirements

- 2+ years of hands on HR technology experience managing HR systems
- Excellent analytical and customer service skills
- Ability to review and analyze data to identify and resolve problems
- Strong communication skills, both verbal and written
- Proven interpersonal and change management skills to champion adoption of new processes and technologies
- Ability to exercise discretion with highly confidential information
- Highly collaborative
- Strong business acumen to recommend optimal solutions to complex business problems by evaluating and distinguishing user requests from the underlying true business needs
- Ability to use GitLab
- Bachelor's degree or equivalent experience preferred
- Knowledge of trends and developments in data management, security, and HR technology preferred
- Experience with a system implementation preferred
- Workday and Greenhouse experience preferred

### Senior HRIS Analyst, People Technology

The Senior HRIS Analyst, People Technology reports into the Director, People Tools and Technology.

#### Job Grade

The Senior HRIS Analyst, People Technology is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Serve as HRIS system administrator by providing functional and technical expertise including system configurations, managing settings, business process enhancements, troubleshooting issues, employing improvements, and ensuring overall data quality and integrity
- Maintain data security and compliance by regularly analyzing and auditing data
- Serve as a consultant to various business groups taking a systems thinking approach and recommending process improvements and/or innovative, alternative solutions while considering downstream impacts
- Configure and test for annual People programs, system releases, which includes end-to-end scoping of configuration and integration
- Serve as a functional resource on reporting, including dashboard creation, data analyses and creating calculated fields
- Provide technical support, troubleshooting, and guidance, which includes HRIS training to support users and strengthen the organization's ability to effectively and efficiently use the system
- Load mass datasets, distribute policies and documents with confidence and thorough testing
- Maintain knowledge of trends and developments in data management, security, and HR technology

#### Requirements

- 4+ years of hands on HR technology experience managing Workday
- Understanding and experience (configuring 1 or more) of Workday functionality including HCM, Core & Advanced Compensation, Benefits (annual and life events enrollment), Time Off and Tracking, Talent Management, Performance, Security
- Ability to use GitLab
- Strong consulting skills with ability to lead design sessions with stakeholders, explain complex functionality, configure business processes, test functionality, document requirements, and assist with testing
- Utilize proven interpersonal and change management skills to champion adoption of new processes and technologies
- Strong business acumen to recommend optimal solutions to complex business problems by critically evaluating and distinguishing user requests from the underlying true business needs
- Bachelor's degree or equivalent experience preferred
- Completion of one full implementation with Workday HCM and/or Workday certification in HCM preferred
- Experience with Workday technical integrations - Workday Studio including BIRT, EIB, Cloud Connect preferred
- Exposure to HTML, Javascript, XML, CSS, SOAP & REST web services preferred

### Staff HRIS Analyst, People Technology

The Staff HRIS Analyst, People Technology reports into the Director, People Tools and Technology.

#### Job Grade

The Staff HRIS Analyst, People Technology is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

**Market Justification:** When reviewing survey data there are 112 companies with 223 at the Staff level of an HRIS role. The business need for GitLab to have an individual contributor grade 8 is to ensure we have a high level of skill when building out systems architecture cross functionally. In the market, there can be HRIS architects who have interest in managing the system and/or technical integrations only. Not having this career parth option can make it difficult to retain and attract talent. Advanced HRIS professionals may often be found in titles such as Staff HRIS Analyst, Senior Staff HRIS Analyst, Consultant, Sr. HRIS Consultant, Product Manager, Senior Product Manager.

#### Responsibilities

- Manage HRIS system by providing functional and technical expertise including major system configurations, business process enhancements, troubleshooting complex issues, employing improvements, and ensuring overall data quality and integrity
- Oversee data security and compliance across our people systems (both production and non-production environments) by conducting regular audits, being vigilant about security and access
- Serve as a trusted advisor and consultant to various business groups taking a systems thinking approach and recommending process improvements and/or innovative, alternative solutions while considering downstream impacts
- Lead the configuration and testing for annual People programs, system releases, which includes end-to-end scoping of configuration and integration
- Serve as a functional expert on reporting, including dashboard creation, data analyses and assisting stakeholders with metrics. Comfortable with composite, matrix and trending reports, with the ability to create/modify calculated fields and business intelligence reports
- Provide technical support, troubleshooting, and guidance for system issues and integration errors, which includes HRIS training to support users and strengthen the organization's ability to effectively and efficiently use the system
- Load mass datasets, distribute policies and documents with confidence and thorough testing
- Maintain knowledge of trends and developments in data management, security, and HR technology

#### Requirements

- 6+ years of hands on HR technology experience managing HRIS systems such as Workday
- 2-3 years implementing and integrating new people technology systems(HRIS, ATS, case management tools)
- Experience with technical integrations using EIB (Workday Studio, BIRT, Cloud Connect knowledge and experience preferred)
- Ability to use GitLab
- Previously a functional consultant or subject matter expert in Human Capital Management business processes or regulations
- Deep understanding and experience (configuring 2 or more) of Workday functionality including HCM, Core & Advanced Compensation, Benefits (annual and life events enrollment), Time Off and Tracking, Talent Management, Performance, Security
- Strong consulting skills with ability to lead design sessions with stakeholders, explain complex functionality, configure business processes, test functionality, document requirements, and assist with testing
- Utilize proven interpersonal and change management skills to champion adoption of new processes and technologies
- Strong business acumen to recommend optimal solutions to complex business problems by critically evaluating and distinguishing user requests from the underlying true business needs
- Passionate and constantly striving to create a seamless and delightful experience for our Team Members in our processes, tools, and systems
- Bachelor's degree or equivalent experience preferred
- Completion of one full implementation with Workday HCM and/or Workday certification in HCM preferred
- Exposure to HTML, Javascript, XML, CSS, SOAP & REST web services preferred

### Principal HRIS Analyst, People Technology

The Principal HRIS Analyst, People Technology reports into the Director, People Tools and Technology.

#### Job Grade

The Principal HRIS Analyst, People Technology is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

**Market Justification:** When reviewing survey data there are 13 companies with 14 team members at the Principal level of an HRIS role. The business need for GitLab to have an individual contributor grade 9 is to ensure we have a high level of skill when building out systems architecture cross functionally. In the market, there can be HRIS architects who have interest in managing the system and/or technical integrations only. Not having this career parth option can make it difficult to retain and attract talent. Advanced HRIS professionals may often be found in titles such as Staff HRIS Analyst, Senior Staff HRIS Analyst, Consultant, Sr. HRIS Consultant, Product Manager, Senior Product Manager.

#### Responsibilities

- Manage overall HRIS system and ecosystem of People tools by providing functional and technical expertise including system configurations, business process enhancements, troubleshooting complex issues, employing improvements, and ensuring overall data quality and integrity
- Oversee data security strategy and compliance across our people systems (both production and non-production environments) by conducting regular audits, being vigilant about security and access, and monitoring integrations in partnership with IT
- In partnership with Director of People Tools & Technology, develop strategy and roadmap to implement scalable and efficient technology solutions that align with business needs and provide a seamless experience for team members
- Serve as a trusted advisor with deep subject matter expertise to various business groups taking a systems thinking approach and recommending process improvements and/or innovative, alternative solutions while considering downstream impacts
- Oversee configurations and testing for annual People programs, system releases, which includes end-to-end scoping of configuration and integration
- Serve as a functional expert on reporting, including dashboard creation, data analyses and assisting stakeholders with metrics. Comfortable with composite, matrix and trending reports, with the ability to create/modify calculated fields and business intelligence reports
- Provide technical support, troubleshooting, and guidance, which includes HRIS training to support users and strengthen the organization's ability to effectively and efficiently use the system
- Provide guidance and mentorship to other team members
- Maintain knowledge of trends and developments in data management, security, and HR technology

#### Requirements

- 8+ years of hands on HR technology experience managing HRIS systems such as Workday
- 3-5 years implementing and integrating new people technology systems
- Completion of at least one implementation with Workday HCM and/or Workday certification in HCM
- Experience with technical integrations using EIB, Workday Studio, BIRT, Cloud Connect
- Exposure to HTML, Javascript, XML, CSS, SOAP & REST web services
- Ability to use GitLab
- Previously a functional consultant or subject matter expert in Human Capital Management business processes or regulations
- Deep understanding and experience (configuring 4 or more) of Workday functionality including HCM, Core & Advanced Compensation, Benefits (annual and life events enrollment), Time Off and Tracking, Talent Management, Performance, Security
- Strong consulting skills with ability to lead design sessions with stakeholders, explain complex functionality, configure business processes, test functionality, document requirements, and assist with testing
- Utilize proven interpersonal and change management skills to champion adoption of new processes and technologies
- Strong business acumen to recommend optimal solutions to complex business problems by critically evaluating and distinguishing user requests from the underlying true business needs
- Passionate and constantly striving to create a seamless and delightful experience for our Team Members in our processes, tools, and systems.
- Bachelor's degree or equivalent experience preferred

### Manager, People Technology

The Manager, People Technology reports into the Director, People Tools and Technology.

#### Job Grade

The Manager, People Technology, People Technology is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Extends that of a Staff HRIS Analyst, People Technology
- Management responsibilities include recruiting, interviewing, hiring, training, compensation management, and handling other team member milestone events
- Develop team members through mentoring, coaching, and training actively sharing knowledge and guidance

#### Requirements

- Extends that of a Staff HRIS Analyst, People Technology
- 1-2+ years of people management experience

### Senior Manager, People Technology

The Senior Manager, People Technology reports into the Director, People Tools and Technology.

#### Job Grade

The Senior Manager, People Technology is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Extends that of a Principal HRIS Analyst/Manager, People Technology
- Management responsibilities include recruiting, interviewing, hiring, compensation management, and handling other team member milestone events
- Develop team leaders/managers through mentoring, coaching, and training actively sharing knowledge and guidance
- Develop a training strategy to help elevate team members and to provide cross functional knowledge to ensure team coverage

#### Requirements

- Extends that of a Principal HRIS Analyst, People Technology
- 3+ years of people management experience

### People Technology Performance Indicators

- OSAT score: New team member feedback of the onboarding experience in a given month. The Onboarding Satisfaction target is > 4.5
- Security compliance: 100% completion rate of security audits
- Bug to first action: Measurement of time that an issue is being reported and taken action on. SLA is 1 working day.
- New requests are triaged: Measurement of time that an issue is being reported and taken action on. SLA is within 7 working days.

### People Technology Career Ladder

The next step in the job family is to move into HRIS Leadership.

### People Technology Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute screening call with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 50 minute interview with our Director of People Tools & Technology
- After that, candidates will be invited to schedule a 30 minute interview with members of the People Technology team
- Next, candidates will be invited to a 30 minute interview with the Senior Director, Enterprise Applications
- Finally, our Vice President, People Operations, Technology, and Analytics may choose to conduct a final interview

As always, the interviews and screening call will be conducted via a [video call](/handbook/communication/#video-calls). See more details about our interview process [here](/handbook/hiring/interviewing/).

## People Analytics

### Senior Analyst, People Analytics

The Senior Analyst, People Analytics reports into the Senior Manager, People Analytics.

#### Job Grade

The Senior Analyst, People Analytics is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Design, develop, and continuously optimize reporting and dashboard solutions that meet business needs and requirements
- Create opportunities for automation, improvements and scalability
- Orchestrate expert level data visualizations and presentations that convey a meaningful story and actionable insights to business partners
- Translate technical outputs into clear narratives with recommendations to help achieve business objectives
- Make recommendations to improve existing process design for data-collection methodologies
- Build effective relationships and collaborate with team members, business leaders and partners to solve organizational problems

#### Requirements

- 4+ years of experience in an analytics role (People or Recruiting Analytics function preferred).
- Strong business acumen, analytical skills including written communication and presentation development.
- Advanced SQL skills and experience modeling within large-scale relational databases
- Experience developing reporting and dashboards with BI tools such as Tableau, Power BI, Looker, or similar tools
- Strong data visualization & storytelling skills
- Solid experience with regression analysis and other statistical modeling techniques
- Experience with Workday and Greenhouse preferred

#### Staff Analyst, People Analytics

The Staff Analyst, People Analytics role extends the Senior Analyst role expectations and reports into the Senior Manager, People Analytics.

##### Job Grade

The Staff Analyst, People Analytics role is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

**Market Justification:** When reviewing survey data there are about 200 organizations that typically have 1 to 2 Staff level People Analysts. The business need for GitLab to have an individual contributor grade 8 is to ensure we have a high level of skill when building out people data structure cross functionally and builds in business continuity. Not having this career path option can make it difficult to retain and attract talent.

##### Responsibilities

- Serve as a functional expert on reporting, dashboard creation, data analyses and assisting stakeholders with metrics
- Serve as a trusted advisor and consultant to various business groups recommending process improvements and/or innovative, alternative solutions while considering downstream impacts
- Mentor less experienced Analysts to enable them add more value sooner
- Be a thought partner to other members of the team, including delivering feedback on
analysis
- Advocate for the team's work to meet internal standards for code style, quality,
maintainability, and best practices
- Proactively and independently identify areas of opportunity for analysis
- Regularly contribute to the People Analytics handbook pages, elevating data literacy and enabling responsible use of people data across GitLab
- Act as a trusted voice of people data and insights in meetings and presentations
- Strategize and collaborate with the Data Team to ensure integrity and accuracy of people data
- Maintain knowledge of trends and developments in data management, security, and People Analytics

##### Requirements

Staff Analysts are expected to meet the Senior Analyst, People Analytics requirements,
with the experience requirements adjusted to:

- 6+ years of data analysis experience, leveraging descriptive and predictive data techniques
- 4+ years of experience supporting people teams
- 2+ years of experience conducting independent exploratory analysis
- 2+ years of mentoring other teammates or analysts
- Experience leading large, strategic initiatives

### Manager, People Analytics

The Manager, People Analytics reports into the Senior Manager, People Analytics.

#### Job Grade

The Manager, People Analytics is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Manage the overall People Analytics function delivering analytics and insights on programs that lead to informed decision making within the People Group
- Lead a team providing coaching, mentoring, and supervision of team members
- Design, develop, and optimize reporting and dashboard solutions that meet business needs and requirements
- For complex reporting requests with multiple data sources, work in partnership with the IT-Data Analytics team to facilitate requirements, partner on report/dashboard design, and execute on final solution
- Create opportunities for automation, improvements and scalability
- Orchestrate expert level data visualizations and presentations that convey a meaningful story and actionable insights to business partners
- Translate technical outputs into clear narratives with recommendations to help achieve business objectives.
- Make recommendations to improve existing process design for data-collection methodologies.
- Build effective relationships and collaborate with team members, business leaders and cross functional partners to solve organizational problems.

#### Requirements

- 6+ years of experience in People or Recruiting Analytics function
- 1-2+ years of people management experience
- Python, R, SAS, Julia or equivalent statistical programming language
- Understanding of scalable data transformation techniques using SQL or equivalent
- Functional experience utilizing data visualization tools  (Sisense, Tableau, or similar tools)
- Ability to partner, collaborate with, and influence relevant stakeholders across diverse functions and experience levels
- Strong independent judgment, critical thinking and problem-solving skills required to anticipate and respond to emerging challenges.
- Knowledge or experience in HR and talent management systems (Workday, Greenhouse), workforce analytics packages and reporting platforms a plus.
- Ability to use GitLab
- Experience managing projects

### Senior Manager, People Analytics

The Senior Manager, People Analytics reports to the VP, People Operations, Technology and Analytics.

#### Job Grade

The Senior Manager, People Analytics is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Extends that of a Manager, People Analytics
- Drive the long-term roadmap for scalable analytics and insights with Director of People Tools and Technology
- Management responsibilities include recruiting, interviewing, hiring, compensation management, and handling other team member milestone events
- Develop team leaders/managers through mentoring, coaching, and training actively sharing knowledge and guidance
- Develop a training strategy to help elevate team members and to provide cross functional knowledge to ensure team coverage

#### Requirements

- Extends that of a Manager, People Technology
- Advanced Python, R, SAS, Julia or equivalent statistical programming language
- 3+ years of people management experience

### People Analytics Performance Indicators

- Cost Per Hire
- Hires vs Plan
- Offer acceptance rate greater than 90%
- Team member retention greater 84%

### People Analytics Career Ladder

The next step in the job family is People Technology or Operations Leadership.

### People Analytics Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute screening call with one of our Global Recruiters.
- Next, candidates will be invited to schedule a first interview with the Hiring Manager for 50 minutes
- After that, candidates will be invited to schedule two 30 minute interviews with the Data Analytics Manager and another member of the Data Team
- Next, candidates will be invited to schedule a 30 minute interview with our Vice President, Talent Acquisition
- Finally, our Vice President, People Operations, Technology, and Analytics may choose to conduct a final interview

As always, the interviews and screening call will be conducted via a [video call](/handbook/communication/#video-calls). See more details about our interview process [here](/handbook/hiring/interviewing/).
