---
title: People Business Partner Program Manager
---

The People Business Partner (PBP) Program Manager is an integral part of the PBP team. This function supports and drives program execution and project management across the People Business Partner group for programs where PBPs are DRIs or stakeholders and serves as a critical liaison cross-functionally within the People Group division, collaborating regularly across other departments in the function to drive program excellence.

This function has two core focus areas:

1. Cross-company Talent Programs where People Business Partners are either [DRIs](/handbook/people-group/directly-responsible-individuals/) or stakeholders, including but not limited to: [Annual Compensation Review](/handbook/total-rewards/compensation/compensation-review-cycle/), [360 Feedback](/handbook/people-group/360-feedback/), [Talent Assessment](/handbook/people-group/talent-assessment/), [Succession Planning](/handbook/people-group/talent-assessment/#succession-planning), [Key Talent Program](/handbook/people-group/talent-assessment/#key-talent-program), [Organizational Design](/handbook/people-group/organizational-design/), and our [Promotion Process](/handbook/people-group/promotions-transfers/). Program Management scope will differ depending on whether PBP is the DRI or stakeholder for the program at hand.
    - For programs where PBPs are DRIs, the PBP Program Manager will be expected to manage end-to-end program management for the entire program. In the People Group when multiple Program Managers are involved, the Program Manager aligned to the team that is the program DRI assumes the responsibility of full program management.
    - For programs where PBPs are stakeholders (the majority of the aforementioned programs), the PBP Program Manager approaches the program as a partner from a PBP lens, collaborating closely with the DRI Program Manager. Approaching program management from a PBP lens includes: identifying timeline and actions for PBPs throughout the program, attending program meetings and ensuring the wider PBP team remains aware of program status, advocating for the PBP team and helping the wider project team understand conflicting priorities PBPs have to ensure ability to balance and deliver results, providing perspective and insight into how the program fits into the wider PBP role and talent strategy, partnering with the team in drafting communication back to business leaders, surfacing questions we anticipate from the business early on to get ahead of change management, and helping determine what PBP success looks like as stakeholders and contributors to the project.

1. Division-specific People projects that require program management partnership and support

In addition to Talent Program execution, this role focuses on providing structure, alignment, and insight within the PBP team. The function is uniquely positioned to drive impact across the organization through working closely with PBPs supporting leaders across the company and opportunity to delve deeper within specific divisions.

## Responsibilities

*The following Responsibilities are applicable to all levels.*

- Drives management of key programs assisting with all aspects of projects from business case approval through validation of success metrics
- Manages interdependencies between projects to ensure optimal efficiency and collaboration
- Supports the team in navigating change management and/or conflict when necessary
- Provides regular updates on the program's progress
- Resourceful in problem-solving, proactively manages multiple projects with a keen sense of attention to detail
- Manages meeting coordination and facilitation by ensuring all logistical aspects are organized and communicated concisely
- Works closely and cross-functionally with both the PBP team, stakeholders, and Program Managers within other People Group departments
- Conducts retrospectives following people programs to capture learnings and remain iterative
- Facilitates the weekly People Business Partner call and leveraging this forum to provide regular updates on ongoing programs and reminders for PBPs
- Creates project roadmaps, project documentation, and milestones to ensure successful completion of projects on time
- Ensures that programs are aligned with organizational business goals and objectives
- Acts as a trusted partner within the People Business Partner team and with stakeholders

## Requirements

*The following Requirements are applicable to all levels.*

- A track record of successful end-to-end project execution and management
- Team player with an ability to work collaboratively and cross-functionally
- Strong interpersonal, communication, and presentation skills
- Exceptional skills in time management, facilitation, and organization
- Self-motivated and ability to work as a [manager of one](/handbook/values/#managers-of-one)
- Ability to coordinate, prioritize, and balance multiple issues, projects, and assignments simultaneously
- Demonstrated ability to work in a fast-paced global environment with substantial attention to detail
- Comfortable with rapid iterations of project deliverables to meet the evolving needs of the organization
- Ability to influence and use data to inform recommendations to others
- Aligns to GitLab's Values
- Ability to use GitLab

## Levels

### Program Manager, People Business Partner

The Program Manager, People Business Partner reports to the [Senior Manager, People Business Partner](/job-families/people-group/people-business-partner/#senior-manager-people-business-partner-pbp)

#### Program Manager, People Business Partner Job Grade

The Program Manager, People Business Partner is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Program Manager, People Business Partner Responsibilities

- Identifies, analyzes, and mitigates program risks with support from aligned PBP
- Grows knowledge of project management concepts and functional subject matters to determine solutions
- Stakeholder coordination
- Contributes to drafting and cascading of program communication plans
- Executes against and contributes to defining success metrics for projects and/or programs
- Collaborates on ad-hoc division-specific projects as needed
- Supports resolution of project issues when they arise

#### Program Manager, People Business Partner Requirements

- Proficiency in program management methodologies and project management skills

### Senior Program Manager, People Business Partner

The Senior Program Manager, People Business Partner reports to the [Senior Manager, People Business Partner](/job-families/people-group/people-business-partner/#senior-manager-people-business-partner-pbp)

#### Senior Program Manager, People Business Partner Job Grade

The Senior Program Manager, People Business Partner is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Program Manager, People Business Partner Responsibilities

- Identifies, analyzes, and mitigates program risks where PBPs are stakeholders
- Demonstrates knowledge of project management concepts and functional subject matters to determine solutions
- Stakeholder management
- Drives drafting and cascading of program communication plans
- Partners with DRIs on defining success metrics for projects and/or programs
- Drives ad-hoc division-specific projects as needed
- Identifies and drives resolution of cross-program issues with stakeholders
- Surfaces efficiency and collaboration opportunities for the PBP team and recommends solutions to bridge gaps

#### Senior Program Manager, People Business Partner Requirements

- Strong proficiency in program and project management methodologies
- Solid leadership skills
- Knowledge of budgeting and resource allocation procedures
- Demonstrated experience in influencing stakeholders
- Knowledge of change management principles

### Staff Program Manager, People Business Partner

The Senior Program Manager, People Business Partner reports to the [Senior Manager, People Business Partner](/job-families/people-group/people-business-partner/#senior-manager-people-business-partner-pbp)

#### Staff Program Manager, People Business Partner Job Grade

The Senior Program Manager, People Business Partner is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Staff Program Manager, People Business Partner Responsibilities

- Sets standards for project management concepts and functional subject matters to determine solutions
- Influences collaboration and drives alignment and results amongst stakeholders
- Operates cross functionally to ensure the success of programs
- Leads drafting and cascading of program communication plans and influences best practices
- Develops repeatable, scalable, efficient, and effective processes
- Partners with DRIs on defining success metrics for projects and/or programs
- Proposes division-specific projects based on business needs and insight

#### Staff Program Manager, People Business Partner Requirements

- Expertise in program and project management methodologies
- Proven track record of complex, cross-divisional program management
- Strong leadership and management skills
- Significant experience in influencing senior stakeholders
- Outstanding knowledge of change management principles

## Performance Indicators

- Percentage of project plans in place for all supported projects
- Percentage of retrospectives facilitated per project
- Number of business processes streamlined
- Number of project/program management templated tools created
- Facilitation of weekly People Business Partner (PBP) call and action management
- Feedback from stakeholders on improved program structure and management over time
- Feedback from team members execution of programs and initiatives

## Career Ladder

The next step in the Program Manager, People Business Partner job family is to move into to a Staff Program Management position or a position on our [People Business Partner](/job-families/people-group/people-business-partner) team aligned to a client group.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call]({{< ref "interviewing#screening-call" >}}) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 50 minute interview with the hiring manager
- After that, candidates will be invited to schedule a 50 minute interview with members of the R&D and G&A People Business Partner team
- After that, candidates will be invited to schedule a 50 minute interview with a current Program Manager
- Finally, candidates will be invited to schedule a 50 minute interview with a [Senior Director, People Business Partner](/job-families/people-group/people-business-partner/#senior-director-people-business-partner)

Additional details about our process can be found on our [hiring page](/handbook/hiring).
