---
title: "Talent Acquisition Enablement & Operations"
---

The Talent Acquisition Enablement & Operations job family supports and optimizes the Talent Acquisition Team, supports the Hiring Teams and coordinates reporting efforts. They search for ways to streamline and automate processes and are data focused.

## Enablement

## Levels

### Program Manager, TA Enablement

The Program Manager, TA Enablement reports to the Senior Manager, TA Enablement.

#### Program Manager, TA Enablement Job Grade

The Progam Manager, TA Enablement is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Program Manager, TA Enablement Responsibilities

- Act as project manager for recruiting operations initiatives
- Run our talent acquisition surveys
- Work with Senior Manager, Enablement to develop bespoke reporting for the TA function and analyze recurring metrics
- Understand end-to-end TA processes and employ a "continuous improvement & iteration" rhythm
- Manage procurement issues and certain external vendor relationships as it pertains to billing, action planning etc
- Own all regular decks for Talent Acquisition team meetings, defining and collating content, and driving the meetings
- Proactively suggest and run teambuilding and incentive programs for the team
- Partner with TA Leadership Team and utilize project management skillset to keep the team focused on weekly metrics and OKR progress
- Ensure inclusivity in establishing processes and policies for our TA team members and candidates alike by focusing on Diversity, Inclusion, and Belonging

#### Program Manager, TA Enablement Requirements

- Experience working in a fast-paced environment
- A strong track record of successful project execution and strong project management skills
- Strong organizational skills
- Strong customer service and communication skills
- Change Management experience
- Ability to understand a high-level issue and conduct root cause analysis to understand issues
- Experience analyzing metrics using Excel (or similar software)
- Ability to use GitLab
- Aligns with GitLab values

### Senior Program Manager, Global TA Enablement

The Senior Program Manager, Enablement reports to the Senior Manager, Global Enablement.

#### Senior Program Manager, Global TA Enablement Job Grade

The Senior Progam Manager, Global TA Enablement is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Program Manager, Global TA Enablement Responsibilities

- Recommend recruiting operations initiatives and manage them independently, including directing others on project management tasks where appropriate
- Own and project manage talent acquisition surveys from initiation to execution to analysis
- Oversee bespoke reporting for the TA function and analyze recurring metrics
- Work closely with and appropriately message TA updates to team members  across all levels of the company
- Act as subject matter expert in TA processes and employ a "continuous improvement & iteration" rhythm
- Manage some external vendor relationships
- Act as project owner for Talent Acquisition team meetings
- Proactively suggest and run teambuilding and incentive programs for the team
- Partner with TA Leadership Team and utilize project management skillset to keep the team focused on weekly metrics and OKR progress
- Ensure inclusivity in establishing processes and policies for our TA team members and candidates alike by focusing on Diversity, Inclusion, and Belonging

#### Senior Program Manager, Global TA Enablement Requirements

- Experience working in a fast-paced environment
- A strong track record of successful project execution and strong project management skills
- Experience working independently to lead and complete projects with multiple stakeholders
- Ability to influence people at varying levels of seniority using data to inform recommendations to others
- Strong organizational skills
- Strong customer service and communication skills
- Change Management experience
- Ability to understand a high-level issue and conduct root cause analysis to understand issues
- Experience analyzing metrics using Excel (or similar software)
- Ability to use GitLab
- Aligns with GitLab values

### Manager, Global TA Enablement

The Manager, Global TA Enablement reports to the Senior Director of Talent Brand & Talent Acquisition Enablement.

#### Manager, Global TA Enablement Job Grade

The Manager, Global TA Enablement is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Global TA Enablement Responsibilities

- Design and drive rigour in processes and policies for our Global Talent Acquisition team
- Provide coaching to improve performance of team members and drive accountability
- Onboard, mentor, and grow the careers of all team members in the TA Enablement and Candidate Experience teams
- Partner with our tools team to optimize our systems, tools and processes to create consistent, efficient and equitable hiring outcomes
- Partner with finance and our PBP team to ensure that the necessary process flows are built for scale
- Partner with our Data and Analytics team to build a solid reporting suite for the Head of TA, their leadership team and the hiring manager community
- Provide coaching to improve performance of team members and drive accountability
- Develop, own and run the GitLab hiring planning process in collaboration with the various operations teams, finance and the PBP's
- Build trusted partnerships within GitLab and externally to collaborate, drive alignment and stay on top of trends
- Leverage our candidate facing teams to advocate for our employer brand and deliver a world-class experience
- Help define and leverage data-focused metrics in order to develop and deliver on the goals

#### Manager, Global TA Enablement Requirements

- Exceptional cross-functional communication and organization skills, and demonstrated experience in time-management and ability to influence
- Previous experience managing and leading others
- A creative mindset to get things done effectively and efficiently
- Familiarity with an ATS and other tools
- History of influence over a team
- Robust time management, communication and organizational skills
- A team player with excellent client management skills
- Ability to use GitLab

#### Manager, Global TA Enablement Performance Indicators

- Average candidate ISAT
- Hires vs. Plan

### Senior Manager, Global TA Enablement

The Senior Manager, Global TA Enablement reports to the Senior Director of Talent Brand & Talent Acquisition Enablement.

#### Senior Manager, Global TA Enablement Job Grade

The Senior Manager, Global TA Enablement is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Global TA Enablement Responsibilities

- Develop TA enablement strategy and roadmap and drive cross-functional partners to deliver on plans
- Support Candidate Experience Manager in defining vision and metrics for the Candidate Experience team
- Design and drive rigour in processes and policies for our Global Talent Acquisition team
- Run change management cycles as new processes and policies are put in place
- Partner with our tools team to optimize our systems, tools and processes to create consistent, efficient and equitable hiring outcomes
- Partner with Finance and our PBP team to ensure that the necessary process flows are built for scale
- Partner with our Data and Analytics team to build a solid reporting suite for the Head of TA, their leadership team, and the hiring manager community
- Partner with our Legal team to ensure our practices and processes are in line with employment laws in locations where we operate
- Provide coaching to improve performance of team members and drive accountability
- Onboard, mentor, and grow the careers of all team members in the TA Enablement and Candidate Experience teams
- Develop, own and run the GitLab hiring planning process in collaboration with the various operations teams, finance and the PBP's
- Build trusted partnerships within GitLab and externally to collaborate, drive alignment and stay on top of trends
- Leverage our candidate facing teams to advocate for our employer brand and deliver a world-class experience
- Help define and leverage data-focused metrics in order to develop and deliver on the goals

#### Senior Manager, Global TA Enablement Requirements

- Ability to develop TA enablement strategy and roadmap and drive cross-functional partners to deliver on plans
- Exceptional cross-functional communication and organization skills, and demonstrated experience in time-management and ability to influence
- A creative mindset to get things done effectively and efficiently
- Familiarity with an ATS and other tools
- History of people management and ability to influence a team
- Robust time management, communication and organizational skills
- A team player with excellent client management skills
- Ability to use GitLab

#### Senior Manager, Global TA Enablement Performance Indicators

- Average candidate ISAT
- Hires vs. Plan
- Time to Offer Accept
