---
title: Talent Acquisition Leadership
---

### Levels

#### Associate Recruiting Manager

##### Job Grade

The Recruiting Lead is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

##### Responsibilities

- Own a req load (~60-80% capacity) with a primary focus on senior level roles
- Provide an exceptional and high touch candidate experience
- Manage a team of 2-4 Associate/Intermediate Recruiters who will be responsible for delivering for a segment of the business with a hiring goal of 15-30 external hires per quarter.
- Serve as a mentor to the rest of the recruiting team through leading by example, sharing best practices, and a resource for questions and guidance
- Provide input into the sourcing and recruiting strategies
- Act as a key business partner to members of the organization to improve processes for recruiting
- Work closely with various internal functional groups to understand business requirements, and consult on talent solutions
- Stay connected to the competitive landscape, including trends in recruiting and compensation
- Ensure that the teams maintain a high level of data integrity with our ATS and other people systems
- Provide consistent training and best practices to the rest of the recruiting team
- An active member of the Talent Acquisition Manager+ team, participating in leadership activities and owning key initiatives as a part of our 3 year strategy.

##### Requirements

- Experienced recruiter with domain expertise
- Demonstrated leadership experience, direct or indirect, with an ability to lead through influence rather than authority.
- Highly consultative in nature and embodied key discretionary decision making.
- Consistent track record and strong performance with sourcing, recruiting, and closing extraordinary talent (especially passive)
- You have worked closely with sourcers, recruiters, and coordinators
- Experience working directly with hiring managers
- High sense of urgency
- Proven organizational skills with high attention to detail and the ability to prioritize
- Appreciation for a results driven, high performing team while maintaining an emphasis on empowering teams to embody a growth mindset.
- Data driven decision making through the recruitment lifecycle.
- Experience as mentor, guide, or subject matter expert.

#### Manager

##### Job Grade

The Manager, Recruiting is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

##### Responsibilities

- You will lead a collaborative remote based recruiting team that can scale to the dynamic demands of a rapidly growing world-wide technology company
- Mentor, guide, and grow the careers of all team members
- Own a small req load as business needs dictate with a primary focus on senior level roles
- Help define consistent data-driven hiring metrics and deliver on the goals
- Create and execute innovative sourcing strategies and recruiting campaigns
- Work closely with various internal functional groups to understand business requirements, and consult on talent solutions
- Stay connected to the competitive landscape, including trends in recruiting and compensation
- Deliver on Hiring Plans by ensuring your team is staffed appropriately and operating efficiently
- Report out on progress to leadership, flag hot spots, and work through creative solutions with the team
- Provide coaching to improve performance of team members and drive accountability

##### Requirements

- Experience leading recruiting teams in fast paced, ambiguous environments
- Experience setting goals and managing hiring forecasts with timely execution/delivery
- Direct experience hiring for senior level roles within aligned functional area
- Consistent track record with sourcing, recruiting, and closing extraordinary talent through utilizing recruitment best practices
- You have experience leading a recruiting team and driving performance, job satisfaction, and accountability
- Experience executing on hiring plans and recruiting strategy
- Experience advising business stakeholders and building scalable structure and process in unstructured environments
- Proven organizational skills with high attention to detail and the ability to prioritize
- Confidence to learn new technologies (MAC, Google Workspace, GitLab) and translate that learning to others
- Experience building and defining recruiting pipeline metrics and data
- Experience and proficiency with Applicant Tracking Systems and other recruiting software (ideally including Greenhouse and LinkedIn Recruiter)

#### Senior Manager

##### Job Grade

The Senior Manager, Recruiting is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

##### Responsibilities

- Lead a recruiting team that could include Managers, Associate Managers, and/or Recruiters.
- Own the recruiting processes across the organization with input from stakeholders to ensure consistency and optimization across all departments.
- Anticipate recruitment team needs to proactively support the business.
- Mentor, guide, and grow the careers of all team members.
- Assess and predict workloads for the team and effectively load balance to ensure recruiters are able to work efficiently, strategically and bring speed to the business
- Help to create and implement hiring strategies to achieve an annual hiring plan that emphasizes quality and diversity of hires, process efficiency, strong client management and encourages the sharing of best practices
- Provide strategic input on the direction of the recruiting team to the Director/Senior Director
- Collaborate closely with partners such as People Business Partners and Finance to ensure alignment and communication
- Build and own influencial relationships with stakeholders at the Director/Senior Director level within the buisness.

##### Requirements

- Experience managing a Talent Acquisition team, including leading leaders
- Applicable domain area expertise (ie: Technical / Sales / ect.)
- Consistent track record managing to and delivering hiring goals with quality as a key element to success.
- Demonstrated success leading recruiting for a function at large scale in a fast-paced environment
- Experience executing on hiring plans and recruiting strategy
- Proven organizational skills with high attention to detail and the ability to prioritize
- Confidence to learn new technologies (MAC, Google Workspace, GitLab) and translate that learning to others
- Experience building, utilizing and defining recruiting pipeline metrics and data
- Experience and proficiency with Applicant Tracking Systems and other recruiting software (ideally including Greenhouse and LinkedIn Recruiter)
- Solid analytical skills and ability to work with metrics, numbers, and trends
- Successful track record of partnering with senior leaders to create and deliver hiring strategies with a high level of attainment to plan
- Proven ability to effectively influence and communicate cross-functionally to drive results

#### Director

##### Job Grade

The Director, Recruiting is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

##### Responsibilities

- Lead a recruiting team that could include Sr. Managers, Managers, Associate Managers, or Recruiters.
- Own the recruiting processes across the organization with input from stakeholders to ensure consistency and optimization across all departments.
- Anticipate recruitment team needs to support the business
- Mentor, guide, and grow the careers of all team members
- Assess and predict workloads for the team and effectively load balance to ensure recruiters are able to work efficiently, strategically and bring speed to the business
- Help to create and implement hiring strategies to achieve an annual hiring plan that emphasizes quality and diversity of hires, process efficiency, strong client management and encourages the sharing of best practices
- Provide strategic input on the direction of the recruiting team to the Senior Director
- Collaborate closely with partners such as People Business Partners and Finance to ensure alignment and communication

##### Requirements

- Consistent track record with sourcing, recruiting, and closing extraordinary talent (especially passive)
- Demonstrated success leading recruiting for a function at large scale in a fast-paced environment
- Experience executing on hiring plans and recruiting strategy
- Proven organizational skills with high attention to detail and the ability to prioritize
- Confidence to learn new technologies (MAC, Google Workspace, GitLab) and translate that learning to others
- Experience building and defining recruiting pipeline metrics and data
- Experience and proficiency with Applicant Tracking Systems and other recruiting software (ideally including Greenhouse and LinkedIn Recruiter)
- Solid analytical skills and ability to work with metrics, numbers, and trends
- Successful track record of partnering with senior leaders to create and deliver hiring strategies with a high level of attainment to plan
- Proven ability to effectively influence and communicate cross-functionally to drive results

#### Senior Director, Talent Acquisition

##### Job Grade

The Senior Director, Talent Acquisition is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

##### Responsibilities

- Partners with the VP, Talent & Engagement to align on overall plan for talent acquisition to ensure we maintain the high caliber of team members
- Partner with Finance, Department Leaders and People Business Partners to deliver data-driven workforce planning processes to ensure the right people are in the right roles with a clear view of talent supply and demand
- Champion the diversity efforts within GitLab to drive a diverse talent pool for our open roles
- Provide leadership to the Global Talent Acquisition team by creating a culture of accountability with a focus on delivering measurable results
- Continuous partnership with the VP, Talent & Engagement on the structure and capabilities required of the Talent Acquisition team
- Drive an engaging team culture based on GItLab's core values
- Consistently evaluate and evolve team structure to support growing business needs
- Responsible for accurate and transparent hiring plans that are accessible in real time

##### Requirements

- Proven experience in high growth global environment building an overall Talent Acquisition strategy and team to hire at scale
- Successfully driven globally distributed hiring
- Excellent people management skills, enabling the Talent Acquisition team to reach their full potential
- Led a high performing Global Talent Acquisition team
- Strong attention to detail and ability to work well with changing information
- Comfortable building a working knowledge of GitLab
- Succinct communication skills with the ability to collaborate with cross functional team members
- A team player who acts with a sense of urgency and adapts to a fast-paced and ever-changing environment
- Resourceful and takes initiative to seek internal and external resources when problem solving
- Have implemented talent acquisition tools while delivering internal OKRs

### VP, Talent Acquisition

The VP, Talent Acquisition reports to the [CPO](/job-families/people-group/chief-people-officer/).

#### VP, Talent Acquisition Job Grade

The VP of Talent Acquisition is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### VP, Talent Acquisition Responsibilities

- Partners with the E-Group to determine strategic landscape for our geographical dispersion
- Partners with the E-Group to align on overall plan for talent acquisition to ensure we maintain the high caliber of team members
- Partner with Finance, Department Leaders and People Business Partners to deliver data-driven workforce planning processes to ensure the right people are in the right roles with a clear view of talent supply and demand
- Champion the diversity efforts within GitLab to drive a diverse talent pool for our open roles
- Provide leadership to the Global Talent Acquisition team by creating a culture of accountability with a focus on delivering measurable results
- Continuous partnership with the CPO on the structure and capabilities required of the Talent Acquisition team
- Drive an engaging team culture based on GitLab's core values
- Consistently evaluate and evolve team structure to support growing business needs
- Responsible for accurate and transparent hiring plans that are publicly accessible in real time

#### VP, Talent Acquisition Requirements

- Proven experience in high growth glboal environment building an overall Talent Acquisition strategy and team to hire at scale.
- Successfully driven globally distributed hiring
- Excellent people management skills, enabling the Talent Acquisition team to reach their full potential
- Led a high performing Global Talent Acquisition team
- Strong attention to detail and ability to work well with changing information
- Comfortable using including a working knowledge of GitLab
- Succinct communication skills with the ability to collaborate with cross functional team members
- A team player who acts with a sense of urgency and adapts to a fast-paced and ever-changing environment
- Resourceful and takes initiative to seek internal and external resources when problem solving
- Have implemented talent acquisition tools while delivering internal OKRs
- 10+ years talent acquisition experience with a minimum of 5 years managing a global talent acquisition team.

## Performance Indicators

- Active Users with a Recruiting or Hiring Manager LinkedIn Seat
- Average Location Factor
- Interviewee Satisfaction (ISAT)
- Candidates Sourced by Talent Acquisition Department vs. Candidates Hired
- Cost Per Hire
- Hires vs. Plan
- Offer Acceptance Rate
- [Pay Equality](/handbook/company/culture/inclusion/#performance-indicators)
- Talent Acquisition team or Hiring Manager LinkedIn Seat
- Applied vs Sourced Candidates
- Time to Offer Accept
- [Women in Company](/handbook/company/culture/inclusion/#performance-indicators)
- [Women in Leadership](/handbook/company/culture/inclusion/#performance-indicators)

## Career Ladder

The next step in the Talent Acquisition Leader job family is to move to the [Chief People Officer](/job-families/people-group/chief-people-officer) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute screening call with a Recruiter
- Then, candidates will be invited to schedule two separate 50 minute interviews; a Talent Acquisition Manager, and the Senior Director,  People
- Next, candidates will be invited to schedule 4 separate 50 minute interviews; Chief People Officer, Chief Technology Officer, Chief Revenue Officer and the Chief Financial Officer
- Finally, candidates will be invited to a 50 minute interview with the CEO

As always, the interviews and screening call will be conducted via a [video call](/handbook/communication/#video-calls). See more details about our interview process [here](/handbook/hiring/interviewing/).
