---
title: "Talent Acquisition, Sourcer"
description: "Sourcers at GitLab are experts at finding the best candidates for a high-tech, distributed company."
---

## Levels

### Associate Sourcer

The Associate Sourcer reports to a Talent Acquisition Manager.

#### Associate Sourcer Job Grade

The Associate Sourcer is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Associate Sourcer Responsibilities

- Source for the best passive candidates in the global market.
- Put meaningful focus on building a diverse pipeline.
- Develop a strong relationship with candidates and make judicious decisions on fit for a particular role or team, in addition to thinking through fit for our unique culture.
- Map out individual markets and gather intelligence around specific talent pools, using that knowledge to identify top talent.
- Build strong partnerships with recruiters and business leaders to understand specific needs to attract and engage with top talent.
- Strategically utilize LinkedIn, online research, events, etc. to engage highly passive, sought after candidates.

#### Associate Sourcer Requirements

- Experience sourcing and research at all levels, preferably in a global capacity within the software industry, open source experience is a plus.
- Proven success in sourcing for technical/sales/marketing/g&a roles.
- Demonstrated ability to effectively source passive candidates. This is a fully outbound role.
- Focused on delivering an excellent candidate experience.
- Ambitious, efficient, and stable under tight deadlines and competing priorities.
- Ability to build relationships with managers and colleagues across multiple disciplines and timezones.
- Outstanding written and verbal communication skills across all levels.
- Experience with competitive global job markets preferred.
- Working knowledge using candidate tracking systems. Greenhouse is a plus.
- College / University degree in Human Resources or related field from an accredited institution preferred.
- Remote working experience in a technology startup will be an added advantage.
- Willingness to learn and use software tools including Git and GitLab.
- Ability to use GitLab.
- Experience sourcing and research at junior and intermediate levels, preferably in a global capacity within the software industry, open source experience is a plus.

### Sourcer (Intermediate)

The Intermediate Sourcer reports a Talent Acquisition Manager.

#### Sourcer (Intermediate) Job Grade

The Sourcer is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Sourcer (Intermediate) Responsibilities

- Extends the Associate Sourcer responsibilities.
- Being willing to look wherever is necessary to find the talent we need, with a focus on our values and requirements.
- Continuously work on streamlining sourcing processes and delivering great candidate experience.

#### Sourcer (Intermediate) Requirements

- Extends the Associate Sourcer requirements.
- Experience sourcing and research at all levels, preferably in a global capacity within the software industry, open source experience is a plus.
- relevant experience in Recruiting or Sourcing.
- Experience working directly with hiring managers.

### Senior Sourcer

The Senior Sourcer reports to a Talent Acquisition Manager.

#### Senior Sourcer Job Grade

The Senior Sourcer is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Sourcer Responsibilities

- Extends the Sourcer (Intermediate) responsibilities.
- Assist with evaluation and implementation of new sourcing tools and procedures.
- Leverage data to improve efficiency, drive innovation, and influence hiring decisions.
- Serve as a mentor for the sourcing team through Leading by example, strong performance, and problem solving.
- Serve as the primary sourcer for senior and executive level roles.

#### Senior Sourcer Requirements

- Extends the Intermediate Sourcer requirements.
- 5+ years of experience in Recruiting or Sourcing.
- Worked closely with Sourcers, Recruiters, and Candidate Experience Specialists.
- Experience and proficiency with Applicant Tracking Systems and other recruiting software (ideally including Greenhouse and LinkedIn Recruiter).

### Sourcing Lead

The Senior Sourcer reports to a Talent Acquisition Manager.

#### Sourcing Lead Job Grade

The Sourcing Lead is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Sourcing Lead Responsibilities

- Extends the Senior Sourcer responsibilities.
- Own a req load (approx. 70% of capacity) with a primary focus on senior level roles.
- Lead others on outbound talent outreach practices and develop talent maps to guide sourcing strategy discussions.
- Drive innovation on Sourcing processes and tools that will positively impact team's performance.
- Serve as a mentor for the Sourcing team through sharing best practices, leading by example, problem solving, and a resource for questions and guidance.
- Ensure that the teams maintain a high level of data integrity with our ATS and other people systems.
- Proactively utilize and provide input into diversity Sourcing strategies.
- Act as a key business partner to members of the organization to improve processes for sourcing and recruiting.
- Work closely with various internal functional groups to understand business requirements, and consult on talent solutions.
- Lead trainings and disseminate best practices to team as a resident sourcing expert.
- Stay connected to the competitive landscape, including trends in sourcing.

#### Sourcing Lead Requirements

- Extends the Senior Sourcer requirements.
- relevant recruiting experience within a growing organization.
- relevant experience sourcing for senior level roles.
- Experience as leader, mentor, guide, or subject matter expert.
- Consistent track record and strong performance reviews.
- Confidence to learn and translate that learning to others.
- Proven organizational skills with high attention to detail and the ability to prioritize.
- High sense of urgency.

### Manager, Sourcing

The Manager, Sourcing reports to the a Talent Acquisition Leader.

#### Manager, Sourcing Job Grade

The Manager, Sourcing is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Sourcing Responsibilities

- Lead and coach a remote-based sourcing team that is focused on achieving Recruiting OKRs and scaling to the dynamic demands of a rapidly growing company.
- Onboard, mentor, and grow the careers of all team members.
- Conduct [skip-level](/handbook/leadership/skip-levels/) and 1:1 meetings.
- Own a small req load as business needs dictate with a primary focus on senior level roles.
- Partner with stakeholders to develop strategies, priorities, and process improvements according to fluctuating business demand.
- Partner with recruiting and other internal functional group leaders to ensure the overall team understands business needs and meets hiring metrics.
- Manage and improve consistent data-driven sourcing metrics.
- Report out on progress to leadership, flag hot spots, and work through creative solutions with the team.
- Lead trainings and disseminate best practices to team as a resident sourcing expert.
- Innovate and operationalize sourcing methods to deliver diverse talent to GitLab.
- Provide coaching to improve performance of team members and drive accountability.

#### Manager, Sourcing Requirements

- People management experience.
- Relevant Recruiting or Sourcing experience.
- Expertise and a proven track record of developing recruiting best practices, and candidate sourcing strategies.
- Proficient in analyzing data, presenting solutions, and making data-driven decisions.
- Experience effectively sourcing for diverse candidates.
- Passionate about building teams, growing careers, and inspiring people.
- Experience sourcing and research at all levels, preferably in a global capacity within the software industry, open source experience is a plus.
- Experience with competitive global job markets preferred.
- Focused on delivering an excellent candidate experience.
- Focused on efficiency, scalability and constant process improvements.

### Manager, Inbound Sourcing and Sourcing Operations

The Manager, Inbound Sourcing and Sourcing Operations reports to the Sr, Manager, Recruiting.

#### Manager, Inbound Sourcing and Sourcing Operations Job Grade

The Manager, Sourcing is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Inbound Sourcing and Sourcing Operations Responsibilities

- Lead and coach a remote-based inbound sourcing team
- Onboard, mentor, and grow the careers of all team members, providing consistent 1:1 check ins
- Partner with TA department leaders to develop strategies, priorities, and process improvements specific to sourcing
- Manage and improve consistent data-driven sourcing metrics
- Report out on progress to leadership, flag hot spots, and work through creative solutions
- Lead trainings and disseminate best practices when needed to the team as a resident sourcing expert
- Innovate and operationalize sourcing methods to deliver diverse talent to GitLab.
- Partner with internal TA Enablement team on TA tools initiatives
- Initialize and lead talent market research projects
- Own a small req load as business needs dictate (?)

#### Manager, Inbound Sourcing and Sourcing Operations Requirements

- Expertise and a proven track record of developing sourcing best practices, and candidate sourcing strategies.
- Proficient in analyzing data, presenting solutions, and making data-driven decisions.
- Experience effectively sourcing for diverse candidates.
- Passionate about building teams, growing careers, and inspiring people.
- Experience sourcing and research at all levels, preferably in a global capacity within the software industry, open source experience is a plus.
- Experience with competitive global job markets preferred.
- Focused on delivering an excellent candidate experience.
- Focused on efficiency, scalability and constant process improvements.

## Specialties

### Sourcer (Inbound)

#### Associate Sourcer (Inbound) Responsibilities

- Manage all applicants and referrals from resume review to hiring team review for various roles at GitLab
- Track inbound data to measure the efficacy of job posting strategies
- Develop creative and scalable changes to how we match candidates to roles across the organization
- Identify and nurture  new inbound applicant channels
- Advise applicants on alternative roles that would be a match for their experience and interest
- Partner with recruiters and hiring managers to develop a firm understanding of the assigned roles

#### Associate Sourcer (Inbound) Requirements

- Relevant  experience in Recruiting/Sourcing/HR.
- A passion for delivering exceptional candidate experience
- An ability to be organized across multiple requisitions while responding to a high volume of candidates
- Ability to build relationships with managers and colleagues across multiple disciplines and timezones.
- Outstanding written and verbal communication skills across all levels.
- Working knowledge using candidate tracking systems. Greenhouse is a plus.
- Remote working experience in a technology startup will be an added advantage.
- Willingness to learn and use software tools including Git and GitLab.

## Individual Contributor Performance indicators

- Candidate Outreach: 150-200 outreaches per week
- Conversion Rate: Prospect to Candidate >15%
- Conversion Rate: Candidate to Team Interview >40%
- 6 offers extended per quarter to sourced (outbound) candidates

## Career Ladder

The next step in the Sourcing job family is to move to the [Recruiting Leadership](/job-families/people-group/executive-recruiter/) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#conducting-a-screening-call) with our Sourcing Manager.
- Next, candidates will be invited to schedule two 45 minute peer interviews with our Sourcers.
- Next, candidates will be invited to schedule a 30 minute interview with one of our Recruiting Managers.
- Next, candidates may be invited to a 30 minute interview with our Sourcing Manager.
- Next, candidates may be invited to a 30 minute interview with our VP of Recruiting.
- Finally, our CEO may choose to conduct a final interview.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
