---
title: "Talent Acquisition, Recruiter"
---

### Levels

#### Intern

##### Intern Job Grade

A 'Recruiting Intern' is not aligned to a job [grade](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

##### Responsibilities

- Understand the roles we need filled and the requirements for those roles.
- Develop candidate reports for key roles, outlining candidates that we should be targeting for our roles.
- Act as point-of-contact for candidate inquiries regarding the application process, available positions and other recruitment-related inquiries.
- Assist recruiters with sourcing/researching activities, utilizing a variety of resources, including Search Engines and Social Networking Media, to proactively and continually source, develop and maintain an effective pipeline.
- Assist in maintaining our internal database, continuously updating candidate records.
- Perform additional tasks, projects and responsibilities as assigned. This will include assisting GitLab in building an internship program with a strong diversity focus.

##### About you

- Demonstrated responsibility and reliability (experience supporting recruiting staff preferred).
- Enrolled at an accredited University with a formal internship/co-op program.
- Comfortable using technology (experience with Google Workspace preferred).
- Ability to interpret substantial amounts of data.
- Excellent written & verbal communication skills both in person and over the phone/computer.
- Strong organizational skills, ability to take on multiple tasks and function under stressful situations and deadlines.
- Strong attention to detail and ability to maintain detail focus in a fast-paced environment.

#### Associate Recruiter

##### Job Grade

The Associate Recruiter is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

##### Responsibilities

Associate recruiters share the similar requirements as the Intermediate recruiter listed below and are responsible for managing individual work and projects. An associate recruiter is focused on tactical responsibilities. Associate Recruiters will be expected to:

1. Managing inbound candidate traffic for all assigned roles
1. Ensure positive candidate experiences for every candidate
1. Provide clear, thorough, and timely communications/feedback to candidates and hiring teams.
1. Identify top-tier candidates through resumes, cover letters, and initial calls.
1. Meet with hiring managers to collect job requirements and expectations
1. Develop effective partnerships with hiring teams, guiding them on TA process and execution.

#### Intermediate Recruiter

##### Intermediate Job Grade

The Recruiter is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

The Intermediate Recruiter creates a positive experience for candidates and hiring teams throughout the recruiting process. They are key contributors to identifying opportunities within GitLab's hiring processes, typically focuses on work within the scope of their immediate team, and acts on strategic decisions to influence achievement of goals within their team. An Intermediate Recruiter typically holds anywhere from 8 to 15 requisitions per quarter, dependant on the complexity of their area, and focuses on pipeline building and foundational excellence.

- Collaborate with cross-functional partners and hiring teams to establish effective recruiting strategies
- Engage in Full Lifecycle Recruiting, with a focus on developing a balanced candidate source mix (passive, active and referral candidates)
- Develop and advertise accurate job descriptions to attract a highly qualified candidate pool
- Utilize talent market insights and research to influence sourcing strategy
- Proactively build and use personal resources and assets to enable high quality, accurate conversations
- Utilize data to develop and execute effective hiring team management strategies
- Cultivate positive candidate experience by ensuring timely, thoughtful and engaging communication throughout the hiring process
- Leverage a data driven approach to pipeline management by monitoring key metrics to evaluate the effectiveness of recruiting processes
- Develop recommendations for course corrections by utilizing data from our ATS, candidate surveys and other feedback loops
- Contribute to TA process iteration, with a focus on continuous improvement
- Employ deep recruiting pipeline knowledge or experience to identify industry best practices and evaluate competitors
- Promote GitLab values and culture in day-to-day work and in external-facing settings
- Partner with Talent Brand to deliver engaging employer brand content and enhance networks and partnerships

### Requirements

- Experience recruiting at all levels, preferably within the technology sector
- Proven success in recruiting for positions in competitive global job markets
- Focused on delivering an excellent candidate experience
- Ambitious, efficient and stable under tight deadlines and competing priorities
- Ability to build collaborative cross-functional relationships across multiple timezones
- Working knowledge using a candidate tracking system (ideally Greenhouse) and various sourcing tools (including LinkedIn Recruiter)
- Outstanding written and verbal communication skills
- Willingness to learn and use software tools including Git and GitLab
- Remote working experience in a public technology company setting is an added advantage

#### Senior Recruiter

##### Senior Job Grade

The Senior Recruiter is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

##### Senior Responsibilities

The Senior Recruiter shares the same requirements as the Intermediate Recruiter listed above but also focuses on cross-functional work. Senior Recruiters influence others by modeling GitLab competencies and providing valuable input and sometimes ownership of strategic decisions within the team.

1. Development of advisory relationships with hiring teams and cross functional partners.
1. Data driven decision making utilizing data to influence the business appropriately and iterate on current processes.
1. Ownership of integration of representative recruitment practices into their and their teams' work.
1. Execute on research based sourcing strategies for each and every role
1. Deliver on Key Performance Indicators (ie: Key Metrics) autonomously on a consistent basis.
1. Through collaboration with the necessary stakeholders, proactively builds team resources and assets to impact the team's ability to have high quality, influential conversations.

### Senior Requirements

- Experience recruiting at all levels, preferably within the technology sector
- Proven success in recruiting for positions in competitive global job markets
- Focused on delivering an excellent candidate experience
- Ambitious, efficient and stable under tight deadlines and competing priorities
- Ability to build collaborative cross-functional relationships across multiple timezones
- Working knowledge using recruiting tools (ie: an Applicant Tracking System 'ATS', LinkedIn Recruiter, LinkedIn Insights, SeekOut, etc).
- Outstanding written and verbal communication skills.
- Growth mindset with a willingness to learn.
- Remote working experience in a public technology company setting is an added advantage.

#### Principal Recruiter

##### Principal Job Grade

The Principal Recruiter is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

##### Principal Responsibilities

The Principal Recruiter shares the same requirements as the Senior recruiter listed above, but also focuses on work with a broader impact across departments. Principal Recruiters proactively own strategic decisions and are an extension of the Talent Acquisition leadership team. Principal Recruiters provide technical and functional knowledge to projects that contribute to overall direction across teams. They understand and focus on complex problems that require a deep understanding and expertise of multiple sources of data to make recommendations and drive adoption. Principal recruiters are able to autonomously exercise judgement in developing methods and technicals to obtain results with a functional or team wide impact.

1. Leverages business acumen, functional expertise and good judgement when evaluating possible outcomes.
1. Proficient in autonomously identifying, scoping and executing on high complexity, relevant functional strategic work.
1. Drives a strong connection of TA Strategy through individual, team and functional work.
1. Has broad direct relationships with strategic partners that help drive the goals of business forward.
1. Expert knowledge of GitLab businesses, both in direct and ancillary purview. Has a keen awareness of GitLab's vision, story and long term goals.
1. Owns and drives the results of key strategic programmatic work that is of high priority and broadly impacts the Talent Acquisition function.

### Principal Requirements

- Proven success in recruiting for senior/niche positions in competitive global job markets utilizing robust TA strategic work for each search (ie: building balanced source mix in senior level positions, spearheading initiatives for new areas of talent needs).
- Expert storyteller; experienced leveraging talking points to influence and close the most challenging candidates in competitive markets at senior levels.
- Proactively creates opportunities to mentor, share and uplevel the team in a way that aligns to the overall teams' strategic direction.
- Experienced driver of strong connections between TA Strategy and individual, team and functional work.
- Building a broad set of direct relationships with strategic partners with the ability to influence without authority that ultimately drives the goals of business forward.

### Talent Acquisition Team Segmentation

#### G&A: People, Legal, Finance, IT

- Own a req load specific to G&A
- Act as business partner for G&A leaders to improve their teams and recruiting processes

#### Go to Market: Sales and Marketing

- Own a req load specific to Sales & Marketing
- Act as business partner for Sales & Marketing leaders to improve their teams and recruiting processes

#### R&D: Engineering

- Own a req load specific to Engineering
- Act as business partner for Engineering leaders to improve their teams and recruiting processes

#### R&D: Specialty Tech (Product Management, Design/UX, Security, Customer Support)

- Own a req load specific to Engineering
- Act as business partner for Engineering leaders to improve their teams and recruiting processes

#### Executive Recruitment

- Own Director and above level searches across GitLab
- Own Director and above level searches including sourcing, assessing, and hiring.
- Act as a business partner with Senior Leadership related to hiring leaders across all Divisions.
- Collaborate with other Recruiting leadership peers

#### Emerging Talent

- Own recruitment for 'Emerging Talent' Program (all internship and grade 5 hiring at GitLab).
- Act as a business partner with all functions of leadership while also executing on programmatic elements of the Emerging Talent program.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute screening call with one of our Recruiters responsible for TA Hiring.
- Then, candidates will be invited to schedule...
  - An initial team interview with either a Peer or Hiring Manager (30-45 minutes)
- Should we continue to move forward, the next phase of the process is a the Team Interview stage. There, a candidate will be invited to schedule...
  - Peer Interview
  - TA Leadership Interview
  - Hiring Manager Interview
  - Cross Functional Interview

As always, the interviews and screening call will be conducted via a video call.
See more details about our hiring process on the [hiring handbook](/handbook/hiring/).

## Career Ladder

The next step in the Recruiting job family is to move to the [Recruiting Leadership](/job-families/people-group/talent-acquisition-leadership/) job family.
