---
title: "Talent Brand and Talent Acquisition Enablement"
---

## Talent Brand

### Levels

### Talent Brand Program Manager

The Talent Brand Program Manager reports to the Senior Director of Talent Brand & Talent Acquisition Enablement.

#### Talent Brand Program Manager Job Grade

The Talent Brand Program Manager is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Talent Brand Program Manager Responsibilities

- Build talent brand programs, operationalize them, and measure their success
- Collaborate with key stakeholders to develop GitLab's talent brand
- Monitor our brand presence across key talent-facing channels (jobs site, LinkedIn, Glassdoor, etc.)
- Evolve GitLab's talent brand strategy to effectively articulate GitLab's culture and value proposition to attract top talent
- Provide strategy and support for related programs such as GitLab's diversity, inclusion and belonging
- Collaborate with internal GitLab teams, particularly Marketing, on key projects (social media, jobs site, events, remote work, PR, internal communications) to ensure consistency in messaging and approach
- Develop recruitment marketing campaigns to increase awareness of GitLab's talent brand with potential candidates and help the Recruiting team meet hiring plan goals
- Enhance the look and feel of communications (internal and external) throughout the candidate and team member lifecycle
- Define our approach for employer awards and lists that will help GitLab be recognized as an employer of choice; complete applications and manage related internal surveys for these awards
- Create recruiter enablement tools to assist the recruiting team in sharing the GitLab talent brand with candidates

### Talent Brand Program Manager Requirements

- Applicable experience in Marketing or Human Resources that allows you to deliver on the defined responsibilities for the role
- Prior marketing, brand, and social media experience (preferably within recruiting or talent brand)
- Demonstrated ability to deliver targeted recruitment marketing, social media, and employee value proposition building strategies
- A natural storyteller with excellent narration and writing skills
- Ability to navigate cultural differences and build global but locally relevant solutions
- Strong social and communication skills (verbal and written), across all levels
- Excellent organizational skills, time management, and priority setting
- Deadline oriented, and able to work in a fast-paced environment with ever-changing priorities
- Self-motivated with the ability to work both independently and collaboratively
- Proficient in Google Docs
- You share our [values](/handbook/values/), and work in accordance with those values

### Senior Talent Brand Program Manager

The Senior Talent Brand Program Manager reports to the Senior Director of Talent Brand & Talent Acquisition Enablement.

#### Senior Talent Brand Program Manager Job Grade

The Senior Talent Brand Program Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Talent Brand Program Manager Responsibilities

- Build and own talent brand programs, operationalize them, measure their success, and report on ROI to TA & People Group Leadership
- Collaborate with key stakeholders to develop GitLab's talent brand identity
- Monitor and grow our brand presence across key talent-facing channels (jobs site, LinkedIn, Glassdoor, etc.)
- Own key relationships with external partners to ensure we are fully utilizing platforms at our disposal to drive value for our talent brand
- Partner with Sr Director, Talent Brand to evolve GitLab's talent brand strategy to effectively articulate GitLab's culture and value proposition to attract top talent
- Provide strategy and deliver results for related programs such as GitLab's diversity, inclusion and belonging
- Collaborate with internal GitLab teams, particularly Marketing, on key projects (social media, jobs site, events, remote work, PR, internal communications) to ensure consistency in messaging and approach
- Develop recruitment marketing campaigns to increase awareness of GitLab's talent brand with potential candidates and help the Recruiting team meet hiring plan goals
- Define our approach for employer awards and lists that will help GitLab be recognized as an employer of choice; complete applications and manage related internal surveys for these awards
- Create recruiter enablement tools to assist the recruiting team in sharing the GitLab talent brand with candidates

### Senior Talent Brand Program Manager Requirements

- Applicable experience in Marketing or Human Resources that allows you to deliver on the defined responsibilities for the role
- Prior marketing, brand, and social media experience (preferably within recruiting or talent brand)
- A proven ability to drive and deliver projects independently
- A proven ability to influence leadership to adopt new programs that support our talent brand
- Demonstrated ability to deliver targeted recruitment marketing, social media, and employee value proposition building strategies
- An effective storyteller with excellent narration and writing skills
- Ability to navigate cultural differences and build global but locally relevant solutions
- Strong social and communication skills (verbal and written), across all levels
- Excellent organizational skills, time management, and priority setting
- Deadline oriented, and able to work in a fast-paced environment with ever-changing priorities
- Self-motivated with the ability to work both independently and collaboratively
- Proficient in Google Docs
- You share our values, and work in accordance with those values
- Ability to use GitLab

## Enablement

### Levels

### Program Manager, Enablement

The Program Manager, Enablement reports to the Senior Manager, Global Enablement.

#### Program Manager, Enablement Job Grade

The Progam Manager, Enablement is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Program Manager, Enablement Responsibilities

- Act as project manager for recruiting operations initiatives
- Work with Senior Manager, Enablement to develop bespoke reporting for the TA function and analyze recurring metrics
- Understand end-to-end TA processes and employ a "continuous improvement & iteration" rhythm
- Manage procurement issues and certain external vendor relationships as it pertains to billing, action planning etc
- Act as subject matter expert on 2+ areas of Enablement work, for example:
  - Own all regular decks for Talent Acquisition team meetings, defining and collating content, and driving the meetings
  - Oversee all technical systems for the Candidate Experience team such as Prelude, Guide, and TextExpander
  - Develop significant Greenhouse expertise and utilize those skills to make smart decisions for data integrity while owning data cleanup
- Act as liaison between Enablement and at least one other team, such as Candidate Experience, Legal, or Finance
- Proactively suggest and run teambuilding and incentive programs for the team
- Ensure inclusivity in establishing processes and policies for our TA team members and candidates alike by focusing on Diversity, Inclusion, and Belonging

#### Program Manager, Enablement Requirements

- Experience working in a fast-paced environment
- A strong track record of successful project execution and strong project management skills
- Strong organizational skills
- Strong customer service and communication skills
- Change Management experience
- Ability to understand a high-level issue and conduct root cause analysis to understand issues
- Experience analyzing metrics using Excel (or similar software)
- Ability to use GitLab
- Aligns with GitLab values

### Senior Program Manager, Global Enablement

The Senior Program Manager, Enablement reports to the Senior Manager, Global Enablement.

#### Senior Program Manager, Enablement Job Grade

The Progam Manager, Enablement is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Program Manager, Enablement Responsibilities

- Recommend recruiting operations initiatives and manage them independently, including directing others on project management tasks where appropriate
- Own and project manage talent acquisition surveys from initiation to execution to analysis
- Oversee bespoke reporting for the TA function and analyze recurring metrics
- Work closely with and appropriately message TA updates to team members  across all levels of the company
- Act as subject matter expert in TA processes and employ a "continuous improvement & iteration" rhythm
- Manage some external vendor relationships
- Act as project owner for Talent Acquisition team meetings
- Proactively suggest and run teambuilding and incentive programs for the team
- Partner with TA Leadership Team and utilize project management skillset to keep the team focused on weekly metrics and OKR progress
- Ensure inclusivity in establishing processes and policies for our TA team members and candidates alike by focusing on Diversity, Inclusion, and Belonging

#### Senior Program Manager, Enablement Requirements

- Experience working in a fast-paced environment
- A strong track record of successful project execution and strong project management skills
- Experience working independently to lead and complete projects with multiple stakeholders
- Ability to influence people at varying levels of seniority using data to inform recommendations to others
- Strong organizational skills
- Strong customer service and communication skills
- Change Management experience
- Ability to understand a high-level issue and conduct root cause analysis to understand issues
- Experience analyzing metrics using Excel (or similar software)
- Ability to use GitLab
- Aligns with GitLab values

### Manager, Global Enablement

The Manager, Global Enablement reports to the Senior Director of Talent Brand & Talent Acquisition Enablement.

#### Manager, Global Enablement Job Grade

The Manager, Recruiting Operations is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Global Enablement Responsibilities

- Design and drive rigour in processes and policies for our Global Talent Acquisition team
- Partner with our tools team to optimize our systems, tools and processes to create consistent, efficient and equitable hiring outcomes
- Partner with finance and our PBP team to ensure that the necessary process flows are built for scale
- Partner with our Data and Analytics team to build a solid reporting suite for the Head of TA, their leadership team and the hiring manager community
- Provide coaching to improve performance of team members and drive accountability
- Develop, own and run the GitLab hiring planning process in collaboration with the various operations teams, finance and the PBP's
- Build trusted partnerships within GitLab and externally to collaborate, drive alignment and stay on top of trends
- Leverage our candidate facing teams to advocate for our employer brand and deliver a world-class experience
- Help define and leverage data-focused metrics in order to develop and deliver on the goals

#### Manager, Global Enablement Requirements

- Exceptional cross-functional communication and organization skills, and demonstrated experience in time-management and ability to influence
- A creative mindset to get things done effectively and efficiently
- Familiarity with an ATS and other tools
- History of influence over a team
- Robust time management, communication and organizational skills
- A team player with excellent client management skills
- Ability to use GitLab

#### Manager, Global Enablement Performance Indicators

- Average candidate ISAT
- Hires vs. Plan

### Senior Manager, Global Enablement

The Senior Manager, Global Enablement reports to the Senior Director of Talent Brand & Talent Acquisition Enablement.

#### Senior Manager, Global Enablement Job Grade

The Senior Manager, Recruiting Operations is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Global Enablement Responsibilities

- Develop TA enablement strategy and roadmap and drive cross-functional partners to deliver on plans
- Support Candidate Experience Manager in defining vision and metrics for the Candidate Experience team
- Design and drive rigour in processes and policies for our Global Talent Acquisition team
- Run change management cycles as new processes and policies are put in place
- Partner with our tools team to optimize our systems, tools and processes to create consistent, efficient and equitable hiring outcomes
- Partner with Finance and our PBP team to ensure that the necessary process flows are built for scale
- Partner with our Data and Analytics team to build a solid reporting suite for the Head of TA, their leadership team, and the hiring manager community
- Partner with our Legal team to ensure our practices and processes are in line with employment laws in locations where we operate
- Provide coaching to improve performance of team members and drive accountability
- Onboard, mentor, and grow the careers of all team members in the TA Enablement and Candidate Experience teams
- Develop, own and run the GitLab hiring planning process in collaboration with the various operations teams, finance and the PBP's
- Build trusted partnerships within GitLab and externally to collaborate, drive alignment and stay on top of trends
- Leverage our candidate facing teams to advocate for our employer brand and deliver a world-class experience
- Help define and leverage data-focused metrics in order to develop and deliver on the goals

#### Senior Manager, Global Enablement Requirements

- Ability to develop TA enablement strategy and roadmap and drive cross-functional partners to deliver on plans
- Exceptional cross-functional communication and organization skills, and demonstrated experience in time-management and ability to influence
- A creative mindset to get things done effectively and efficiently
- Familiarity with an ATS and other tools
- History of people management and ability to influence a team
- Robust time management, communication and organizational skills
- A team player with excellent client management skills
- Ability to use GitLab

#### Senior Manager, Global Enablement Performance Indicators

- Average candidate ISAT
- Hires vs. Plan
- Time to Offer Accept

## Talent Brand and Talent Acquisition Enablement Leadership

### Levels

### Director of Talent Brand & Talent Acquisition Enablement

The Director of Talent Brand & Talent Acquisition Enablement reports to the [VP of Talent Acquisition](/job-families/people-group/talent-acquisition-leadership/).

#### Director of Talent Brand & Talent Acquisition Enablement Job Grade

The Director Talent Brand is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director of Talent Brand & Talent Acquisition Enablement Responsibilities

- Establish a 3-year global talent branding/marketing strategy and position talent brand as a
core priority for Global Talent Acquisition and the recruiting community at GitLab.
- Overall responsibility for continuing and building upon the GitLab global talent brand to
position us as an employer of choice across all functions
- Establish the talent value proposition; partnering internally to ensure a consistent experience
throughout the employee lifecycle
- Manage and own external vendors and award-body relationships. Ensuring that we are well
positioned and intentional about the work with our external partners is a key part of this role
(Glassdoor, Builtin, LinkedIN, GPTW, Forbes, Fortune etc)
- Establish a recruiter talent brand "toolkit"
- Run the talent brand portfolio to allow for both the proactive and reactive work so as to
maximize opportunities as they arise
- Partner with the data &amp; analytics function to monitor ROI on initiatives and Talent Community
work on an ongoing basis but also apply a data-mindset to all talent branding work that is
undertaken

#### Director of Talent Brand & Talent Acquisition Enablement Requirements

- Experience having built and executed upon a global marketing plan (talent or otherwise)
- Experience working across different hiring cultures and communities and comfortable working
in a truly global role
- Leadership experience (both direct and indirect)
- You share our values, and work in accordance with those values
- Excellent organizational, task, and time management skills, with an emphasis on detail and
follow up, plus the ability to prioritize tasks and requests from multiple stakeholders and
audiences
- Demonstrated ability to communicate and collaborate with individuals at all levels of the
organization with excellent customer service skills
- Ability to work in a fast-paced environment with demonstrated ability to coordinate multiple
projects/initiatives simultaneously while meeting deadlines and business objectives
- Exhibit strong data skills and ability to utilize Google Sheets
- Ability to use, or willingness to learn, GitLab
- Successful completion of a background check
- Comfortable in a spokesperson role, ideally with media training/ coaching abilities
- Experience working with various virtual meeting management tools such as Zoom is a plus
- Experience in successfully prioritizing, managing multiple projects, and working in a team
environment

### Senior Director of Talent Brand & Talent Acquisition Enablement

The Senior Director of Talent Brand & Talent Acquisition Enablement reports to the [VP of Talent Acquisition](/job-families/people-group/talent-acquisition-leadership/).

#### Senior Director of Talent Brand & Talent Acquisition Enablement Job Grade

The Senior Director Talent Brand is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director of Talent Brand & Talent Acquisition Enablement Responsibilities

- Establish a 3-year global talent branding/marketing & enablement strategy and position talent brand & enablement as a core priority for Global Talent Acquisition and the recruiting community at GitLab.
- Overall responsibility for continuing and building upon the GitLab global talent brand to position us as an employer of choice across all functions
- Establish the talent value proposition; partnering internally to ensure a consistent experience throughout the employee lifecycle
- Manage and own external vendors and award-body relationships. Ensuring that we are well positioned and intentional about the work with our external partners is a key part of this role (Glassdoor, Builtin, LinkedIN, GPTW, Forbes, Fortune etc)
- Establish a recruiter talent brand "toolkit"
- Run the talent brand portfolio to allow for both the proactive and reactive work so as to maximize opportunities as they arise
- Partner with the data & analytics function to monitor ROI on initiatives and Talent Community work on an ongoing basis but also apply a data-mindset to all talent branding work that is undertaken
- Be comfortable building a multi-faceted strategy that aligns our candidate experience expectations with our talent branding strategy.

#### Senior Director of Talent Brand & Talent Acquisition Enablement Requirements

- Experience having built and executed upon a global marketing plan (talent or otherwise)
- Experience working across different hiring cultures and communities and comfortable working in a truly global role
- Leadership experience (both direct and indirect)
- You share our values, and work in accordance with those values
- Excellent organizational, task, and time management skills, with an emphasis on detail and follow up, plus the ability to prioritize tasks and requests from multiple stakeholders and audiences
- Demonstrated ability to communicate and collaborate with individuals at all levels of the organization with excellent customer service skills
- Ability to work in a fast-paced environment with demonstrated ability to coordinate multiple projects/initiatives simultaneously while meeting deadlines and business objectives
- Exhibit strong data skills and ability to utilize Google Sheets
- Ability to use, or willingness to learn, GitLab
- Comfortable in a spokesperson role, ideally with media training/ coaching abilities
- Experience working with various virtual meeting management tools such as Zoom is a plus
- Experience in successfully prioritizing, managing multiple projects, and working in a team environment

## Performance Indicators

- [Glassdoor engagement](/handbook/people-group/employment-branding/#glassdoor-engagement)
- [LinkedIn Talent Brand metrics](/handbook/people-group/employment-branding/#linkedin-talent-brand-metrics)
- [Team member engagement score](/handbook/people-group/employment-branding/#team-member-engagement-score)
- [Team member voluntary turnover](/handbook/people-group/people-success-performance-indicators/#team-member-voluntary-turnover)
- Hires vs. Plan
- [Social Referrals](https://about.gitlab.com/#social-referrals)

## Career Ladder

The next step in the Talent Brand job family is to move a to management role which is not yet defined at GitLab.

## Hiring Process

Applicants for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30min screening call with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 team members
- There may be a final executive interview

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
