---
title: "Talent Management Roles"
description: "The Talent Management job family creates and facilitates programs designed to accelerate performance and talent at GitLab."
---

The Talent Management job family creates and facilitates programs designed to accelerate performance and talent at GitLab. Specifically, Talent Management consults with GitLabs People Business Partners and Business leaders to drive organizational effectiveness, high performing teams and talent strategies across GitLab.

### Senior Talent Management Partner

The Senior Talent Management Partner reports to the Director, Talent Management.

#### Senior Talent Management Partner Job Grade

The Senior Talent Management Partner is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Talent Management Partner Responsibilities

- Partners with PBPs and Divisions to ensure talent strategies align with business needs
- Identifies common talent needs across the organization to inform strategic priorities in alignment with overarching Talent strategy. Consult with business partners on specific talent needs
- Develops and implements enterprise talent assessment programs based upon internal and external best practices and research
- Works closely with the overall Talent & Engagement team and People Partners to evaluate and support the needs of the business and create tools and resources to increase leadership, team and individual effectiveness.
- Develops and delivers communication and change management plans in support of Talent Management programs and the business
- Tracks metrics and performs talent analytics to provide insights into program opportunities, and inform strategic talent planning
- Provides on-going program management for cyclical initiatives with varying levels of complexity
- Conducts external research and benchmarks on talent management best practices; stays current on business/industry trends
- Partners with our Business leaders, People Business Partners, DIB Partners, and Talent COEs to identify a diverse pipeline of leaders, within Divisions and externally
- Partnering with Talent Development, evaluates talent mobility impacts and costs for potential successors, and implement effective programs and tools for driving Talent and Performance
- Leads efforts to optimize operational efficiency of our processes and programs, ensuring clear accountability and documentation
- Identifies data needs and metrics on overall talent health. Assesses those metrics to glean insights from data. Addresses questions from PBPs and BU leaders regarding talent data
- Partners with the People Data & Analytics team to inform reporting and dashboard needs.
- Creates presentations and other materials to tell a data-based story that explains impact and value with senior leadership, executives, and board of directors
- Ensures talent processes align with the GitLab Values
- Establishes talent identification and succession strategies
- Assist with and complete other Talent Management projects and duties as assigned

#### Senior Talent Management Partner Requirements

- Proven progressive experience with a background in people business partnering, learning and development, or analytics preferred
- Experience with the strategy design, implementation and governance of global talent processes
- Experience with developing and managing change programs for diverse populations such as rotation programs
- Demonstrated Project Management experience
- Demonstrated skill in rolling out processes to People Business partners and leaders
- Excellent communication & interpersonal skills - ability to effectively interact and influence at all levels and with a geographically diverse team
- Highly analytical with the ability to analyze data and leverage insights from multiple sources to develop recommendations and make decisions
- Demonstrated ability to use data to tell stories in written form
- Practical mindset to developing and rolling out processes that the business can easily adapt to
- Experience defining and measuring project and performance metrics
- Strong knowledge of talent management best practices
- Strong consultative, partnership and influencing skills
- Ability to solve problems in a practical manner
- Open, inclusive, and flexible mindset

### Director, Talent Management

The Director, Talent Management reports to the [VP, Talent & Engagement](/job-families/people-group/talent-acquisition-leadership/).

#### Director, Talent Management Job Grade

The Director, Talent Management is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Talent Management Responsibilities

- Partner with our People Business Partner team to evolve our talent assessment and promotion processes
- At an enterprise-view, build a process to continuously evaluate and report on organizational design themes to ensure that we grow in the most effective way possible (e.g. org shape)
- Build out our "Talent Preparedness" vision, to ensure that we are ready to build the right skills for the future and the ever evolving technology landscape
- Partnering with our Diversity, Inclusion & Belonging team to ensure that we build all talent programs with DIB involvement from the start.
- Partnering with our People Connect and Ops teams to ensure that they have the appropriate information to help guide our team member population as appropriate
- Partnering with Total Rewards to ensure our talent strategy aligns to Pay for Performance philosophy
- In conjunction with Talent Development, develop and own a company-wide coaching strategy for our leadership teams
- Design and drive our Succession planning program

#### Director, Talent Management Requirements

- Strong track record delivering talent management programs at a fast-growth company
- Previous experience working in a strategic capacity, helping drive initiatives and influencing change through different stakeholder groups
- Used to working closely with other people group stakeholders, notably the PBP teams
- Previous experience building out a talent management strategy, or parts thereof
- Experience leading a Talent Management team, or been a key part in driving talent management initiatives for segments of the employee population
- Proven understanding of how to build a successful evaluation and promotion process at scale
- Understanding of technology architecture and have partnered with people technology in previous roles to help effectuate change
- Comfortable setting a multi-year plan and delivering against it
- Used to influencing and driving change at the Executive level
