---
title: "Team Member Relations"
---

## Levels

### Team Member Relations Specialist

The Team Member Relations Specialist reports to the Director, Team Member Relations.

#### Team Member Relations Specialist Job Grade

The Team Member Relations Partner is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Team Member Relations Specialist Responsibilities

- Responds to team members and leaders requests for guidance and policy on a broad range of team member relation matters.
- Partners with People Business Partners, other teams and People leaders to ensure that Investigations/Disciplinary processes are handled in a fair, timely manner consistent with local requirements including all required documentation.
- Provides Team Member Relations support, thought partnership, and coaching to all team members and levels of management in the organization on issues including absenteeism, performance, conduct and alleged harassment.
- Partners with Legal and People Compliance to ensure compliance with policies, practices and applicable employment legislation.
- Balance a broad range of tasks including the interpretation and development of policies and procedures, facilitating training on key Team Member Relations issues, and contributing to the development and implementation of Team Member Relations programs based on line of business goals and People Group strategy.
- Identifies process improvement opportunities and policy gaps.
- Provides project management expertise while implementing new policies, programs or regulations.

#### Team Member Relations Specialist Requirements

- Strong verbal and written communication and problem solving skills.
- Must exercise confidentiality and discretion in dealing with sensitive, complex and time sensitive employment matters.
- Demonstrates empathy and facilitates conflict resolution situations.
- Minimum of 2 years global experience managing team member relation cases.
- Demonstrates solid judgement and experience assessing risk relative to the business.
- Experienced in learning and thriving in a constantly changing Global environment and able to cultivate relationships across Global teams.
- Must be able to become a trusted adviser by providing consultation and resolution guidance to promote a positive GitLab culture.
- Ability to use GitLab tools.
- Aligns with GitLabs values.

### Team Member Relations Specialist Career Ladder

The next step in the job family is Team Member Relations Partner.

#### Team Member Relations Partner

The Team Member Relations Partner reports to the Director, Team Member Relations.

#### Team Member Relations Partner Job Grade

The Team Member Relations Partner is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Team Member Relations Partner Responsibilities

- Extends that of the Team Member Specialist responsibilities.
- Manages sensitive Team Member relations issues and conducts confidential investigations.
- Investigates highly sensitive People issues, including: conducting team member interviews; analyzing data from various internal systems; composing investigation reports; making a recommendation based on the findings of the investigation, and proposing remedial next steps/actions.
- Coaches leaders through delicate, complex and often confidential work issues.
- Manages the interactive process for team members and candidates who request a workplace accommodation.
- Creates proactive programs designed to prevent workplace issues/concerns.

#### Team Member Relations Partner Requirements

- Extends that of the Team Member Specialist requirements.
- 5+ years experience in Employee Relations.
- Solid understanding  of federal, state or local labor laws.
- Strong collaboration skills and ability to take direction effectively.
- Ability to effectively manage and prioritize multiple tasks.
- Strong project management, change management, and experience driving programs independently.
- Handles confidential information with care and utmost discretion.

### Team Member Relations Partner Career Ladder

The next step in the job family is Senior Team Member Relations Partner.

### Senior Team Member Relations Partner

The Senior Team Member Relations Partner reports to Director, Team Member Relations.

#### Senior Team Member Relations Partner Job Grade

The Senior Team Member Relations Partner is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Team Member Relations Partner Responsibilities

- Extends that of the Team Member Relations Partner responsibilities.
- Investigates complex team member concerns that could have significant legal, regulatory, brand, financial or other risks to GitLab and provides recommendations for appropriate actions based on the outcome of investigations.
- Partners with Legal and PBP on the review and assessment of Team Member Relations cases as needed for added context.
- Provides critical input to the formation, consistent application, and revision of policies across GitLab as we continue to scale.
- Provides trend data and actionable feedback to legal, HRBP teams, and senior leaders to reduce overall risk in the organization.
- Regularly reviews policies, procedures and initiatives to ensure they align with applicable regulatory requirements as well as GitLabs' Values.

#### Senior Team Member Relations Partner Requirements

- Extends that of the Team Member Relations Partner requirements.
- 8+ years of progressive investigatory or employee relations experience.
- Excellent written and verbal communication and interpersonal skills.
- Strong problem-solving skills, critical thinking, and intuitive sense of business acumen.
- Ability to execute tasks with attention to detail, reliability, and a relatively quick pace.
- Ability to interface and partner with stakeholders to achieve and influence results.

### Senior Team Member Reloations Partner Career Ladder

The next step in the job family is Staff Team Member Relations Partner, Team Member Relations.

#### Staff Team Member Relations Partner

The Staff Team Member Relations Partner reports to the Director, Team Member Relations.

### Staff Team Member Relations Partner Job Grade

The Staff Team Member Relations Partner is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Staff Team Member Relations Partner Responsibilities

- Extends that of the Senior Team Member Relations Partner responsibilities.
- Acts as a subject matter expert to provide strategic coaching to management at all levels on addressing a variety of people issues while effectively mitigating business and company risk.
- Leads department specific and org-wide strategic initiatives, soliciting buy in, partnering with cross-functional partners and driving scalable solutions.
- Ensures oversight and governance of policies and practices globally, including interpreting and applying understanding of corporate policies and practices, employment laws, and other regulations to provide advice, guidance, or clarification for Team Member Relations inquiries.
- Analyzes data to identify trends, provide insights and make recommendations to stakeholders and cross-functional partners to develop scalable solutions, programs and policies to improve the team member experience.

### Staff Team Member Relations Partner Requirements

- Ability to use GitLab
- Extends that of the Senior Team Member Relations Partner requirements
- 8+ years experience in employee relations
- Comfortable adapting to change in a fast-paced, global environment
- Exceptional interpersonal and communication skills
- Strong analytical and data skills and experience using Google Sheets
- Ability to prioritize and take ownership of projects and strategic goals.

### Staff Team Member Relations Career Ladder

The next step in the job family is Manager, Team Member Relations.

### Manager, Team Member Relations

The Manager, Team Member Relations reports to the Director, Team Member Relations.

#### Manager, Team Member Relations Job Grade

The Manager, Team Member Relations is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Team Member Relations Responsibilities

- Extends that of the Senior Team Member Relations Partner responsibilities.
- Manages a team of TMR specialists and partners.
- Acts as a subject matter expert to provide strategic coaching to management at all levels on addressing a variety of people issues while effectively mitigating business and company risk.
- Leads department specific and org-wide strategic initiatives, soliciting buy in, partnering with cross-functional partners and driving scalable solutions.
- Ensure oversight and governance of policies and practices globally, including interpreting and applying understanding of corporate policies and practices, employment laws, and other regulations to provide advice, guidance, or clarification for Team Member Relations inquiries.
- Analyzes data to identify trends, provide insights and make recommendations to stakeholders and cross-functional partners to develop scalable solutions, programs and policies to improve the team member experience.

#### Manager, Team Member Relations Requirements

- Extends that of the Senior Team Member Relations Partner requirements
- 8+ years experience in employee relations
- 2+ years experience managing a team
- Comfortable adapting to change in a fast-paced, global environment
- Exceptional interpersonal and communication skills
- Strong analytical and data skills and experience using Google Sheets
- Ability to prioritize and take ownership of projects and strategic goals.

### Manager, Team Member Relations Career Ladder

The next step in the job family is Director, Team Member Relations.

### Director, Team Member Relations

The Director, Team Member Relations reports to the VP, People Operations, Technology and Analytics.

#### Director, Team Member Relations Job Grade

The Director, Team Member Relations is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Team Member Relations Responsibilities

- Extends that of the Manager, Team Member Relations responsibilities.
- Oversight and management of the Team Member Relations Team.
- Develop our investigation and team member relations processes, policies and objectives in partnership with Legal and People team functions.
- Establishes strategic partnerships and supports business units on employee relations concerns, performance management initiatives and change management.
- Responsible for reporting on and identifying team member relations trends and patterns and utilizing this data to develop and recommend strategic approaches to drive change and mitigate risk to GitLab.
- Partner closely with People Business Partners, Legal, Learning and Development, and People Operations and Systems to implement solutions and help scale GitLab.
- Ensures adherence to a wide range of practices including recruiting, hiring, performance management and compensation.
- Designs, facilitates, and scales Manager Training based on data analysis.
- Responds to and directly manages highly sensitive investigations, summarizes findings, and provides recommended resolutions to executive and other levels of management when necessary.

#### Director, Team Member Relations Requirements

- Extends that of the Manager Team Member Relations requirements
- 10+ years experience in employee relations
- 5+ years experience managing a team
- Solid judgment and experience assessing risk relative to the business
- Strong communication and critical thinking skills
- Empathetic compassionate and human
- Objective, fair, and compliant with local laws and regulations
- Strong project and change management experience
- Demonstrated experience learning and thriving in a constantly changing environment.
- Experience using data to identify insights that drive action
- Strong analytical/problem-solving skills; ability to communicate complicated solutions in a simple, digestible way with data
- Experience working with confidential data
- Desire and enthusiasm to build processes and practices to create and elevate how team members experience their journey at GitLab

## Performance Indicators

- Team Member Case Management
  - Team member relations will respond to all requests for assistance from team members within 24 hours.
  - All cases are resolved in a consistent, fair and unbiased process.
  - Identify and resolve potential risks to GitLab.
- Provide all GitLab team members an avenue to express workplace concerns and to resolve conflicts in a safe and unbiased forum.
  - When surveyed, >90% utilizing the Team Member Relations team report effective interactions and outcomes, and resolutions to their concerns.
  - Overall employee sentiment is positive (>80%) on the Engagement Survey.

- Collaboration
  - Effective partnership with key stakeholders such as People Business Partners, Legal and People Success.

## Director, Team Member Relations Career Ladder

The next step in the job family is VP, People Operations, or Director, People Business Partner.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute screening call with one of our Global Recruiters.
- Next, candidates will be invited to schedule a 45 minute interview with our Senior Manager, People Operations
- After that, candidates will be invited to schedule a 30 minute interview with members of the People Business Partner Team
- Next, candidates will be invited to schedule a 30 minute interview with members of the Legal team
- After that, candidates will be invited to interview with the Senior Director, People Success
- Finally, our CPO may choose to conduct a final interview

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
