---
title: "Chief Product Officer"
---

The Chief Product Officer reports to our CEO. The key focus of this role is to define and execute a vision and roadmap company's products. Also to facilitate strong collaboration between product, engineering, the CEO, and other executives. The Chief Product Officer at GitLab will
need to make sure that the company is building, shipping and supporting the right products.

## Responsibilities

- Manage a team of product leaders, up to VP level.
- Recruit, coach, and retain those directors.
- Ensure all our product managers are very effective.
- Capture the product vision.
- Allocation of engineering effort across categories (manage, plan, create, etc.)
- Allocation of engineering effort activities (new functionality, improve existing functionality, bugfix, security, availability, performance, technical debt.
- Determine needed engineering headcount and organization structure.
- Pricing tier decisions and process that sales and the wider community embrace.
- Customers feel understood.
- Promoting our product function.
- Actionable information to product marketing.
- Growth / user marketing strategy and implementation with the relevant product manager.
- Data strategy to measure usage in many ways that enables customer success, in product activation, and monetization.
- Ensure all of GitLabs features are used throughout our organization.
- Collaborate with UX to refine feature ideas upstream from implementation.
- Collaborate with our VP of engineering on turning ideas into shipped production features.
- Maintain a transparent, up-to-date roadmap.
- Deal with a high volume of suggestions from the CEO.
- Push back on bad and untimely CEO ideas.
- Collect competitive advantages and shortcomings in a structured way.
- Talk to customers regularly and provide that connection to the rest of the company.
- Be passionate about and use the product management features within GitLab like epics and portfolio management.
- Ensure the flow through the product is great.
- Manage the process by which ideas are transformed into detailed requirements on a prioritized backlog.
- Craft minimal valuable changes (MVC's) to be made iteratively to our platform.

## Requirements

- Experience hiring and managing a multi-level team of product managers and directors.
- Have a strong, articulate, and correct vision for the future of GitLab and current shortcomings.
- Articulate a clear, correct, and reproducible prioritization process.
- Enterprise software experience.
- Developer tool or platform industry experience.
- SaaS and self-managed (on-premises) experience.
- Experience with hyper-growth, more than 25% QoQ.
- Experience with growth strategy and data strategy.
- Ability to take decisions at high velocity.
- Able to define minimal valuable changes.
- You are living wherever you want and are excited about the [all remote](/handbook/company/culture/all-remote/) lifestyle

- [Leadership at GitLab](/handbook/company/structure/#e-group)
- Ability to use GitLab

## Performance Indicators

- [Product Management KPI's](/handbook/company/kpis/#product-kpis)

## Links

- [Product Handbook](/handbook/product/)
- [Engineering Workflow](/handbook/engineering/workflow/)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).
Additional details about our process can be found on our [hiring page](/handbook/hiring/).

- 30 minute screen call with Recruiter
- 50 minute interview with CEO
- 50 minute interview with EVP, Engineering
- 50 minute interview with CMO
- 50 minute interview with VP, Product
- 50 minute interview with CRO
- 50 minute interview with CEO
