---
title: "Data Engineer, Corporate Development"
description: "As a Data Engineer in Corporate Development, you'll be in charge of developing
innovative technical solutions to automate, scale, and streamline business
operations"
---

As a Data Engineer in Corporate Development, you'll be in charge of developing
innovative technical solutions to automate, scale, and streamline business
operations; helping the Corporate Development team achieve its
[OKRs](/handbook/company/okrs/) and [KPIs](/handbook/company/kpis/). Your main focus will be
our acquisition prospect
[scoring program](https://gitlab.com/gitlab-com/corporate-development/issues/1).
The program will scrape data from websites, blogs, Twitter, etc., and integrate
data from external data providers, to identify and score companies that might be
open to a [soft-landing acquisition](https://about.gitlab.com/blog/2019/07/30/gitlab-acquisitions/).

## Responsibilities

- Develop features and improvements for a unique acquisition prospect sourcing program
- Taking a design from idea and developing it into a fully working feature
- Collaborate with the Corporate Development team and other stakeholders to maintain a high bar for quality in a fast-paced, iterative environment
- Advocate for improvements to product quality, security, and performance
- Solve technical problems of moderate scope and complexity.
- Craft code that meets our internal standards for style, maintainability, and best practices for a high-scale web environment. Maintain and advocate for these standards through code review.
- Confidently ship small features and improvements with minimal guidance and support from other team members. Collaborate with the team on larger projects.

## Requirements

- Significant development experience as a sole developer to a stand-alone application or main component in one
- Experience owning a project from concept to production, including proposal, discussion, and execution.
- Experience developing both frontend and backend of the same product
- Proficiency in the English language, both written and verbal, sufficient for success in a remote and largely asynchronous work environment
- Demonstrated capacity to clearly and concisely communicate about complex technical, architectural, and/or organizational problems and propose thorough iterative solutions
- Experience with performance and optimization problems and a demonstrated ability to both diagnose and prevent these problems
- Experience building web-crawlers at scale
- Experience designing databases to match functional business needs for BI use and data extrapolation
- Comfort working in a highly agile, [intensely iterative](/handbook/values/#iteration) software development process
- Demonstrated ability to onboard and integrate with an organization long-term
- Positive and solution-oriented mindset
- Effective communication skills: [Regularly achieve consensus with peers](/handbook/values/#collaboration), and clear status updates
- An inclination towards communication, inclusion, and visibility
- [Self-motivated and self-managing](/handbook/values/#efficiency), with strong organizational skills.
- Demonstrated ability to work closely with other parts of the organization
- Share [our values](/handbook/values/), and work in accordance with those values
- Ability to thrive in a fully remote organization
- Ability to use GitLab

## Performance Indicators

- [Acquisition velocity](https://internal.gitlab.com/handbook/company/performance-indicators/product/)
- [Qualified acquisition targets](https://internal.gitlab.com/handbook/company/performance-indicators/product/)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).
Additional details about our process can be found on our [hiring page](/handbook/hiring/).

- Recruiter screening
- Sr. Dir. Corporate Development
- Dir. Corporate Development
- Dir. Engineering
- Chief Product Officer
