---
title: "Product Leadership Team"
description: "This job family represents all members of the Product Leadership Team for the Product Division."
---

This job family represents all members of the Product Leadership team within the Product Division. They are responsible for managing,
directly or indirectly GitLab team members in the roles outlined in the [Product Team Functions](/handbook/product/).

## Roles

### Vice President of UX

The VP of UX (User Experience) reports to the Chief Product Officer (CPO), and Directors of Product Design, UX Research, and Technical Writing report to the VP of UX.

#### Job Grade

The VP of UX is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- **UX strategy:** Set a UX vision that aligns Product Design, UX Research, and Technical Writing with overall company objectives.
- Communicate broadly about important UX initiatives, setting an ambitious UX vision for the department, product, and company.
- **UX resources:** Manage the UX budget, including compensation planning, non-headcount budget allocation, and tradeoff decisions.
- **Executive collaboration:** Interface regularly with executives on important decisions.
- **UX initiatives:** Identify ways to elevate the GitLab product experience, manage initiatives to address those concerns, and track and communicate about progress.
- **Coach UX leaders:** Help UX leaders grow their skills and leadership experience.
- **Culture:** Foster an open and collaborative culture based on trust in the UX department, where everyone feels empowered to do their best work.
- **Cross-product collaboration:** Ensure that UX is well-integrated into the [Product Development Flow](/handbook/product-development-flow/), and advocate for process changes that help product management, engineering, and UX work together to build a great experience.
- **Design system:** Define and promote design guidelines, best practices, and standards, and help to drive GitLab's [design system](https://design.gitlab.com/) forward at a strategic level.
- **Research evangelism:** Work with product leadership to prioritize research efforts, so that we validate whether we're solving the right problems in the right ways.
- **Democratize UX:** Ensure that Development is included in the UX process by offering the opportunity to participate in and understand the outcomes of user research, give early feedback on upcoming designs, and participate in design system strategy.
- **Goal setting:** Define value-driven quarterly UX OKRs, and manage their execution.
- **Public presence:** Represent the company at conferences, in media, in blog articles, in YouTube videos, and in other public venues.
- **Skip levels:** Hold regular skip-level 1:1s with all members of their team.
- **Team building:** Hire and retain a world-class team of Product Designers, UX Researchers, Technical Writers, and their managers.

#### Requirements

- 18+ years of relevant experience including leading UX for a product-led company.
- 10+ years of people management experience, including management of Director+ leaders.
- Experience managing Product Design, UX Research, and Technical Writing teams.
- A strong philosophy about how to help cross-functional UX teams to work together effectively and collaborate with their business counterparts.
- Solid visual awareness with understanding of basic design principles like typography, layout, composition, and color theory.
- Passion for creating visually pleasing and intuitive user experiences.
- Collaborative team spirit with great communication skills.
- You share our [values](/handbook/values/), and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#director-group)

#### Interview Process

- [Screening call](/handbook/hiring/#screening-call) with a recruiter.
- Interview with a manager on the UX Leadership team. In this interview, the interviewer will spend a lot of time trying to understand the experience you have leading managers, as well as what type of teams you have led and your management style. The interviewer will also be looking to understand how you define strategy, how you've handled conflict, and how you dealt with difficult situations in the past. Do be prepared to talk about your work, experience with Design Systems, and technical ability, too.
- Interview with a director on the UX Leadership team. In this interview, we will be looking for you to give some real insight into a problem you were solving as part of a large initiative you led the work on. We'll look to understand the size and structure of the team, the goals of the project, how you/the team approached research, how you used research to inform decisions, and how you collaborated with the wider team. Broadly, we want to hear how you identified what needed to be done and then guided your team to the end result.
- Interview with VP of Product Management.
- Interview with CPO.

As always, interviews and the screening call will be conducted via video.

See more details about our hiring process on the [hiring handbook](/handbook/hiring/).

#### Performance indicators

- [Hiring Actual vs Plan](/handbook/product/ux/performance-indicators/#hiring-actual-vs-plan)
- [Diversity](/handbook/product/ux/performance-indicators/#diversity)
- [Handbook Update Frequency](/handbook/product/ux/performance-indicators/#handbook-update-frequency)
- [Team Member Retention](/handbook/product/ux/performance-indicators/#team-member-retention)

### VP of Product Management

This role typically manages 4-6 direct reports, including Group Managers of Product Management, Directors of Product Management and Senior Directors of Product Management, and reports to the [Chief Product Officer]({{< ref "chief-product-officer" >}}).

#### VP of Product Management - Job Grade

The VP of Product Management is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### VP of Product Management - Responsibilities

- Play a key role in helping the GitLab Product Management team scale rapidly and realize our product vision to be a complete DevOps platform.
- Hire, lead, and coach a rapidly growing team of 30+ Product Managers
- Manage a team of 4-6 Product Directors
- Ensure a cohesive, coherent, and compelling end-to-end customer experience
- Align team with end-to-end product line vision and goals
- Leverage portfolio product management techniques to ensure product investments are properly allocated across the end-to-end GitLab product
- Partner effectively with Engineering, Design, and Product Marketing to ensure we validate, build, launch, and measure product experiences that customers love and value
- Help refine and implement the GitLab [product development flow](/handbook/product-development-flow/), ensuring team members receive training and coaching required to work effectively within the system
- Serve as a spokesperson for the end-to-end GitLab product internally and externally

#### VP of Product Management - Requirements

- 18 years+ of relevant experience, with 10+ years of people management experience, including management of Directors+
- Demonstrated understanding of DevOps markets, competition, and underlying technologies
- Track record of leading products to successful commercial outcomes
- Excellent at boardroom and big stage presentations, and able to inspire and motivate customers and employees through written and verbal communications
- Demonstrated ability to teach and coach the product management skills as outlined [here](/handbook/product/product-management/product-cdf-competencies/)

#### VP of Product Management - Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Apply on the GitLab Jobs [page](https://about.gitlab.com/jobs/)
- 30 minute screening call with Recruiter
- 50 minute interview with Chief Product Officer
- 50 minute panel interview with Sr. Director, Engineering & Director, UX
- 50 minute interview with Director, Product
- 50 minute interview with Director, Product
- 50 minute interview with CEO

#### VP of Product Management - Specialties

##### CI/CD, Core Platforms, & SaaS Deployments

The VP of Product Management - CI/CD, Enablement, & SaaS Platforms is the PM DRI for the CI, CD, Enablement, & SaaS Platforms Sections which include:

- [CI Section](/handbook/product/categories/#ci-section) - Verify & Package Stages
- [CD Section](/handbook/product/categories/#cd-section) - Deploy Stage
- [Enablement Section](/handbook/product/categories/#enablement-section) - Systems & Data Stores Stages
- [SaaS Platforms Section](/handbook/product/categories/#saas-platforms-section) - SaaS Platforms Stage

##### Monetization

The VP of Product Management - Monetization is the PM DRI for the Fulfillment Section, Pricing, and Product Analysis which include:

- [Fulfillment Section](/handbook/product/categories/#fulfillment-section) - Fulfillment Stage
- [Pricing](/handbook/company/pricing/) - Pricing team
- [Product Data Insights](/handbook/product/groups/product-analysis/) - Product Data Insights Stage

### Senior Director of Product Management

This role typically manages 4-6 direct reports, including Product Managers, Group Managers of Product Management, and Directors of Product Management, and reports to the [Chief Product Officer]({{< ref "chief-product-officer" >}}).

#### Senior Director of Product Management - Job Grade

The  Senior Director, Product Management is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director of Product Management - Requirements

- Effective at hiring, coaching, and leading a team of 10+ that typically spans numerous stages, and is composed of Directors, Group Managers, and IC's
- Demonstrated ability to manage and coach product validation in brand new market areas
- Skilled at curating excellent cross-stage customer experiences
- Experience and skill managing products at all stages of the lifecycle (incubation, growth, maturity, decline), and balancing priorities and investment accordingly

#### Senior Director of Product Management - Responsibilities

- Visible strategic leader across the company
- Skilled at big stage communications
- Capable of coaching team members on excellent communication skills

#### Senior Director of Product Management - Career Ladder

The next step in the Product Management Leadership job family is to move to the [VP of Product Management](/job-families/product/product-management-leadership/) job family.

#### Senior Director of Product Management - Specialties

##### Sec & Data Science

The Senior Director of Product Management - Sec & Data Science is the PM DRI for the Sec and Data Science Sections which include:

- [Sec Section](/handbook/product/categories/#sec-section) - Secure & Software Supply Chain Security Stages
- [Data Science Section](/handbook/product/categories/#data-science) - ModelOps & Anti-Abuse Stages

##### Dev & Analytics

The Senior Director of Product Management - Dev & Analytics is the PM DRI for the Dev and Analytics Sections which include:

- [Dev Section](/handbook/product/categories/#dev-section) - Create, Plan, and Manage Stages
- [Analytics Section](/handbook/product/categories/#analytics-section) - Analyze Stage

#### Senior Director of Product Management - Hiring Process

Candidates for this position can generally expect the hiring process to follow the order below. Note that as candidates indicate preference or aptitude for one or more specialties, the hiring process will be adjusted to suit. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Selected candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/#screening-call) with one of our Technical Recruiters
- Next, candidates will be invited to schedule a 60 minute first interview with the Chief Product Officer
- Next, candidates will be invited to schedule a 45 minute second peer interview with a Product Director
- Next, candidates will be invited to schedule a 45 minute third interview with another member of the Product team
- Next, candidates will be invited to schedule a 45 minute fourth peer interview with an Engineering Director
- Next, candidates will be invited to schedule a 45 minute fifth interview with a Product or Engineering Director or above
- Next, candidates will be invited to schedule a 45 minute Deep Dive interview with a Product Director
- Finally, candidates may be asked to schedule a 50 minute final interview with our CEO

### Chief of Staff, Product

The Chief of Staff, Product acts as a trusted advisor to the Chief Product Officer (CPO). The Chief of Staff, Product and the CPO work closely together to get more than twice as much done as the CPO would be able to do alone. This is a unique opportunity to see every aspect of a public company at the CPO level.

This is a senior leadership role within the Product Leadership team reporting directly to the CPO. The Chief of Staff, Product drives alignment to the product strategy set by the CPO as well as overseeing R&D's product development operations. For example, the Chief of Staff, Product will drive the Objective and Key Results (OKR) process for R&D including alignment to GitLab's [R&D Investment Themes](https://about.gitlab.com/direction/#fy25-rd-investment-themes). Furthermore, the Chief of Staff, Product will partner with the CPO to prepare content for high visibility meetings including Product Leadership Offsites, E-Group Offsites, and GitLab Board of Directors updates (including both quarterly GitLab Board of Directors meetings and semi-regular asynchronous updates).

A detailed list of the types of projects the Chief of Staff, Product might work on can be found in the Product Handbook as well as on GitLab's [Direction](https://about.gitlab.com/direction/#fy25-rd-investment-themes), [Strategy](/handbook/company/strategy/), and [Vision](/handbook/company/vision/) pages.

#### Chief of Staff - Job Grade

The Chief of Staff, Product is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Chief of Staff - Responsibilities

The responsibilities include both directed work that will mostly be triggered by a direction from the CPO as well as leadership work that is self-directed. The mix will shift between the two however long term the work will shift to primarily leadership work.

##### Directed Work

- Create written material and presentations on behalf of the CPO.
- Suggest changes to processes via the handbook based on discussions during meetings or from the CPO and address any comments on them.
- Ensure upcoming Product Division biweekly and quarterly meetings are relevant, well structured, and that the preparation is complete and correct.
- Ensure action points coming out of meetings (i.e. executive, OKR, key, or incident meetings) are implemented.
- Prep for the Product Development Group Conversations and Key Reviews.
- Draft blog posts and articles out of recorded meetings and Direction content.

##### Leadership Work

- Initiate and guide the OKR process according to the OKR schedule.
- Identify opportunities to acknowledge success and ensure that they are appropriately recognized by the CPO.
- Review OKR suggestions during the scheduled OKR meetings and outside of the meetings.
- Enter projects of great complexity at any point (scoping, alignment, execution, etc.) and successfully align key stakeholders and steward them toward results.
- Lead when projects have limited scoping and asks are abstract.
- Identify opportunities to improve business efficiency and make changes to improve the business.
- Serve as a proxy for the CPO by attending meetings in place of the CPO and making decisions on the CPO's behalf (when applicable).
- Act as the communication arm for the CPO with team members and other stakeholders.
- Act as a sounding board to the CPO for new ideas and initiatives.
- Prepare ahead of formal and informal Board meetings. Ensure the CPO has up to date information from every function in advance of questions from the board.
- Run special projects and initiatives that are urgent and important, and drive cross-functional alignment and visibility ensuring all stakeholders are up-to-date.
- Demonstrate GitLab Values in all work.

#### Requirements

- Experience in a senior leadership position.
- Proven ability to quickly learn new things.
- Concise written and verbal communication.
- Strategic and operational work experience in a previous role.
- Ability to shift working hours to support GitLab's global Product Division.
- Structured about how to prioritize work and time.
- Able to make a clear business case for proposals.
- Experience with data analysis.
- Build strong partnership relationships with other Director+ leaders.
- Able to manage multiple tasks with competing timelines and deliverables.
- Proven success in project coordination and reporting including proactively flagging areas that need input or are offtrack
- Demonstrated ability to take a project from ideation through to implementation.
- Proven track record of effectively interacting with senior stakeholders on cross-functional projects.
- 5+ years combined experience in:
  - Senior operating role at a significant fast-growing startup,
  - Strategy consulting,
  - or Venture capital.
- Master's degree in Engineering or Business Administration or equivalent experience preferred.
- Ability to use GitLab.

#### Chief of Staff - Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- 30 minute screening call with Recruiter
- 50 minute interview with Chief Product Officer
- 50 minute peer panel interview with PM/UX leadership
- 50 minute counterpart panel interview with Sales/Marketing leadership
- 50 minute interview with Senior Manager, People Business Partner
- 50 minute interview with CEO
