---
title: "Technical Program Management - Leadership"
description: "This job family represents all Managers in the Technical Program Management sub-department."
---

This job family represents all Managers in the Technical Program Management sub-department within the Product Leadership department. They are responsible for managing, directly or indirectly, GitLab team members performing in the role of Technical Program Manager. More info about the Product Technical Program Management team can be found in the [TPM Job Family](/job-families/product/technical-program-manager) and the [Team Page](/handbook/product/groups/product-technical-program-management)

## Levels

### Manager, Technical Program Management

This role manages a team of Technical Program Managers and reports to the [Chief Product Officer](/job-families/product/chief-product-officer/).

#### Manager, Technical Program Management - Job Grade

The Manager, Technical Program Management is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Technical Program Management - Responsibilities

- Lead and mentor a team of Technical Program Managers, including providing regular feedback to foster their growth, to ensure their success
- Support team members in their development and maintain an understanding of their roles and responsibilities as well as holding team members accountable for delivering results for customers
- Operationalize strategies and initiatives set forth by the Product Leadership Team
- Develop, implement, and maintain program management processes, methodologies, and tools to improve operational efficiency
- Manage day-to-day operations of complex, high-impact technical programs from inception to delivery
- Build strong relationships within the Product division and with cross-functional stakeholders including Engineering, Security, and GTM teams
- Facilitate effective communication and coordination with cross-functional stakeholders, including Engineering, Security, and GTM teams, ensuring smooth program execution
- Identify and mitigate risks, resolve conflicts, and remove obstacles for the Technical Program Management team to ensure timely program delivery
- Establish and track key performance indicators (KPIs) for programs and team members and hold team accountable for meeting commitments
- Contribute to resource planning, capacity management, and budget allocation for technical programs
- Create and maintain program management standards for elements including program documentation, project plans, status reports, post-mortems as well as a team direction north star
- Continuously improve operational processes to enhance productivity and quality of program delivery
- Align TPM team activities with organizational goals and product roadmaps
- Drive the Objective and Key Results (OKR) process for R&D
- Drive PLT offsite planning, facilitation, and follow-ups
- Demonstrate leadership as [expected of Managers across GitLab](/handbook/company/structure/#management-group)

*Please note: If the Manager, Technical Program Management has less than 4 direct reports, some [individual contributor responsibilities](/job-families/product/technical-program-manager/#staff-technical-program-manager) may be expected to be maintained.*

#### Manager, Technical Program Management - Requirements

- Experience crafting and executing on cross functional Product-driven initiatives including capturing and redefining requirements into impactful work items
- Experience driving initiatives according to plan and timelines
- Prioritize effectively and multitask efficiently
- Proven track record of successful collaboration with internal and external stakeholders
- Strong communication, presentation, and documentation skills
- Experience influencing others without having direct management authority and motivating them to successfully complete tasks within required timelines
- Risk analysis and problem-solving skills
- Proven track record of delivering complex, cross-functional programs
- Strong analytical skills for assessing and recommending solutions based on data and research

#### Manager, Technical Program Management - Performance Indicators

Division Wide Operational Efficiency of programs within the Product Division

#### Manager, Technical Program Management - Career Ladder

The next step in the Manager, Technical Program Management is to move to a Senior Manager, Technical Program Management role.

#### Manager, Technical Program Management - Hiring Process

Candidates for this position can generally expect the hiring process to follow the order below. Note that as candidates indicate preference or aptitude for one or more specialties, the hiring process will be adjusted to suit. Please keep in mind that candidates can be declined from the position at any stage of the process.

- 30 minute [screening call](/handbook/hiring/candidate-faq/#screening-call) with one of our Technical Recruiters
- 50 minute interview with the hiring manager
- 50 minute interview with a member of Product Leadership
- 50 minute deep dive interview with the Chief of Staff - Product
- 50 minute direct report panel interview with members of the Technical Program Management team
- 50 minute peer interview with a Manager, Technical Program Management within R&D
