---
title: "Technical Program Manager"
description: "This role supports cross-division initaitives across PM, UX, Engineering and other functions within R&D along with functions across GTM"
---

## Technical Program Management Mission and Vision

### Mission

Our mission as [Technical Program Managers](/handbook/product/groups/product-technical-program-management) is to own the execution of complex, cross-functional initiatives that better enable GitLab to meet company objectives. We aim to make complex programs simpler with proactive, transparent, and efficient practices, while adapting our methodologies to the scenario at hand. We aspire to be trusted partners to stakeholders across the company, in order to accelerate and improve upon program outcomes over time.

### Long-Term Vision

* Define and consistently deliver against a standard of excellence for Program Management at GitLab.
* Have a team reputation as a fundamental and necessary resource when R&D needs to deliver against complex business objectives and ultimately results for customers.
* TPMs are seen across our company-wide stakeholders as a key element to accelerate GitLab's strategic business objectives.

## Core Competencies

Technical Program Managers drive complex and cross-functional technical initiatives by leveraging domain expertise, building a holistic execution strategy and harnessing human leadership qualities to deliver strategic business outcomes that have wide-reaching impact.

The role of TPM can mean different things at different organizations. At GitLab, Technical Program Managers should be proficient in 5 core competencies:

### Communication

* Communicates efficiently and effectively, with the intent to drive clarity across stakeholders

* Adapts communication style, approach, and channel to different audiences, from technical team members to executive leadership

* Creates documentation that distills technical requirements, decision and risks, communication cascades, and other project components

* Keeps communication focused on impacts and outcomes

### Critical Thinking

* Is not an order taker or a "cat herder." Instead, applies and fosters an environment of analytical thinking in regards to project goals, prioritization, execution, and decision making.

* Leads the charge in collaboratively solving problems and driving towards outcomes that are best for the business

* Leads projects outside of immediate domain expertise by learning about the work and self-educating about the problem to be solved

### Organization & Execution

* Executes projects and programs end-to-end, from inception to release

* Keeps a variety of disparate and ever-changing project components and stakeholders aligned

* Switches between a range of context and corresponding responsibilities with ease, from vision and goal setting to managing operational cadences

### Relationship-Building

* Creates a trusted reputation across the organization with a variety of stakeholders (for both themselves and program management as a function)

* Exercises influence without direct authority (ie without a management or a leadership title)

* Builds a network of champions for the project/program throughout the organization

* Collaborates with team members and stakeholders in a way that drives business outcomes and earns stakeholder trust

### Technical Knowledge & Application

* Understands organizational systems, architecture, and applications and how they fit together into an enterprise tech stack
* Connects the dots between upstream decisions and downstream impacts to people, process, and technology
* Has and or creates domain expertise
* Applies program management methodologies and best practices, but knows how and when to flex to the project rather than simply following rigid standards.

### Technical Program Management Performance Indicators

Division Wide Operational Efficiency of programs within the Product Division

## Responsibilities

* Manage and collaborate on key initiatives with stakeholders and leadership across R&D. Drive accountability ensuring all program objectives are met.
* Refine and optimize division processes improving overall efficiency and execution of the division.
* Gather inputs and feedback and suggest improvements to our Product Process, and operational model within the Product division.

## Requirements

* Experience crafting and executing on cross functional Product-driven initiatives, including capturing and redefining requirements into impactful work items
* Experience driving initiatives according to plan and timelines
* Prioritize effectively and multitask efficiently
* Proven track record of successful collaboration with internal and external partners
* Strong communication, presentation, and documentation skills

## Levels

### Technical Program Manager

This position reports to the Manager of Technical Program Management.

#### Technical Program Manager Job Grade

The role is a grade 6.

#### Technical Program Manager Responsibilities

All responsibilities listed above (applicable to all roles) plus:

* Identify and coordinate the interdependencies among programs, products and other critical initiatives for a single sub-department
* Provide insight and suggestions to improving product process and operations
* Research and recommend solutions to Product division concerns and blockers
* Oversee project planning and management
* Communicate successfully within the project team and with PLT (Product Leadership Team), employing various asynchronous and synchronous facilitation techniques
* Build trust with direct stakeholders
* Develop and guide deployment plans and communication with direct stakeholders
* Assure clarity of agreements and plans at various stages of the product development lifecycle

#### Technical Program Manager Requirements

All requirements listed above (applicable to all roles)

### Senior Technical Program Manager

This position reports to the Manager of Technical Program Management.

#### Senior Technical Program Manager Job Grade

The role is a grade 7.

#### Senior Technical Program Manager Responsibilities

All responsibilities of previous roles plus:

* Identify and coordinate the interdependencies among programs, products and other critical initiatives for the entire Product division
* Provide insight and suggestions to steer Product stategy and roadmap
* Examine risks associated with programs and prioritize risks accordingly
* Collaborate on operational strategy and direction with organizational stakeholders; Oversee project planning and management
* Communicate successfully within the project team and at multiple levels of management, building trust across the organization.
* Develop and guide deployment plans and communication with partners

#### Senior Technical Program Manager Requirements

All requirements of previous roles plus:

* Experience influencing others without having direct management authority and motivating them to successfully complete tasks within required timelines
* Risk analysis and problem-solving skills
* Excellent written and verbal communication skills, building relationships with partners.

### Staff Technical Program Manager

This position reports to the Manager of Technical Program Management.

#### Staff Technical Program Manager Job Grade

The role is a grade 8.

#### Staff Technical Manager Responsibilities

All responsibilities of previous roles plus:

* Identify and coordinate the interdependencies among programs, products and other critical initiatives across all sub-departments within R&D
* Assist in translating company initiatives, product investment themes, and yearlies into clear and actionable strategy for the Product Division.
* Proactively identify gaps in process, and execution and work with Product Leadership team to remedy
* Track and provide reporting and measurements of program effectiveness and communicate findings to management
* Operate cross functionally to ensure the success of programs.
* Develop repeatable, scalable, efficient, and effective processes

#### Staff Technical Program Manager Requirements

All requirements of previous roles plus:

* Proven track record of complex, cross divisional program management.
* Understanding of our product, and market with a willingness to dive deep
* Strong analytical skills for assessing and recommending solutions based on data and research

## Technical Program Management Specialities

### Escalation Specialist

This role has commonalities with the standard TPM (Technical Program Management) role above and can vary by level accordingly. This specialty is primarily focused on issue management; both in defining a process for long-term success and leading our teams through coordination and resolution of large scale customer issues or escalations, when needed. While collaborating on processes is a major area of focus for this role, we don't expect that to represent 100% of the time. Any remaining bandwidth will be spent on supporting cross-functional projects that span the Product, Engineering, Support, and Customer Success teams.

The responsibilities and requirements for this specialty are largely the same as a standard TPM role. Here are a couple of key differences to be aware of:

#### Responsibilities

* Collaborate with cross-functional stakeholders and internal customers to determine improvements to the existing escalation process. Continue to iterate as our product space broadens and complexity increases.
* Guide teams through escalation processes as needed. Act as the calm center of focus for the team; help teams through challenging moments while ensuring that we are reaching the right outcomes for our customers.

#### Requirements

* Prior experience working across Product, Engineering, and Customer Success functions
* Prior experience crafting and executing on cross functional process improvements, including capturing and redefining requirements into impactful work items.

##### Hiring Process

Candidates for TPM positions can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our team page.

* Qualified candidates will be invited to schedule a 30 minute screening call with one of our Global Recruiters.
* Candidates will be invited to schedule a 50-minute interview directly with the Manager of Technical Program Management
* Candidates will be invited to schedule 2-3 separate 50-minute interviews with stakeholders across the Product and Engineering division
* Candidates will be invited to schedule a final 30-minute interview with a member of the Product Leadership Team

Additional details about our process can be found on our hiring page.

##### Escalation Specialist Framework

The projects that the Escalation Specialist handles are called “Platform Escalations”. In short, **a Platform Escalation is a broadly impactful product issue or event that is time sensitive and involves several GitLab departments.**

**Criteria for becoming a Platform Escalation and getting TPM coverage:**

1. First, the project must come from one of these three sources:
   1. SIRT (Security Incident)
   1. Outage or Production Incident
   1. An unanticipated or unplanned breaking or impactful change
1. Next, it can be evaluated against the [Escalation calculator](https://docs.google.com/spreadsheets/d/1Tv9WK9LIBJgLbEWWMEvXLtewDDv-luJWPjQDtkhWaJ0/edit?usp=sharing):
   1. **Cross Functionality:** Does your project require work and coordination from 4+ teams or organizations across the business? (Projects contained to one section or individual team responsible for driving, with perhaps a dependency or two, are not considered highly cross-functional.)
      1. If YES, then +2 points
   1. **Complexity:** Does your project have a number of "unknown unknowns" or known complexities that will increase the risk factor for the project? (Examples: external partnerships, a history of similar projects failing, known complexities in implementation.)
      1. If YES, then +2 points
   1. **Financial Impact:** Does your project have a clear financial impact for GitLab? (direct correlation to growth, revenue, churn, etc)
      1. If YES, then +1 point
   1. **Operational Impact:** Does your project have the potential for operational impacts to GitLab? (impacts to systems, people, larger processes, etc).
      1. If YES, then +1 point
   1. **Customer Impact:** Does your project have the potential for a negative customer impact? (Breaking changes, deprecations, migrations, etc).
      1. If YES, then +1 point
1. **Scoring:**
   1. If the project scores **5 or more points**, the Escalation Specialist will most likely manage the project as a Platform Escalation. In the scenario that they can’t either due to PTO or lack of bandwidth, another member of the Product TPM team may be able to step in.
   1. If the project scores **3-4 points**, the Escalation Specialist may be able to manage the project as a Platform Escalation depending on their current bandwidth.

<br>

**Disambiguation:**

All of the below are tied to a specific customer’s needs, and would not be a good candidate for a Platform Escalation:

* An escalated product enhancement request from a client.
* A support ticket that needs to be given special attention- [STAR Process](/handbook/support/internal-support/support-ticket-attention-requests/) should be followed.
* An [Account Escalation](/handbook/customer-success/csm/escalations/) from the Customer Success team.
* The support team has a request they need to escalate to the [product team](/handbook/support/workflows/how-to-get-help/) or another department.
* Proactive planning for breaking or impactful changes. (May be in the future scope of work, but for now it is not part of this role.)

<br>

**Big-Picture Improvements**

Ongoing Platform Escalation projects will take up the majority of their time, and their remaining bandwidth is spent improving our operational handling of escalations and incidents. The current Escalation Specialist has been conducting coffee chats with people all over the organization and will soon share their findings on the current state of escalations. They will also be leading a working group to consolidate GitLab's incident response processes.
