---
title: Fullstack Engineer, Technical Writing
---

 A Fullstack Engineer, Technical Writing works across the front- and backend of the GitLab documentation site to improve the user experience.

## Responsibilities

- Develops features and improvements to the documentation site in a secure, well-tested, and performant way.
- Analyzes and interprets highly complex data to arrive at actionable recommendations.
- Collaborates with the Technical Writing Director and other stakeholders (e.g. UX) to maintain a high bar for quality in a fast-paced, iterative environment.
- Advocates for improvements to site quality, security, and performance.
- Solves technical problems of high scope and complexity.
- Crafts code that meets our internal standards for style, maintainability, and best practices for a high-scale web environment. Maintains and advocates for these standards through code review.
- Represents GitLab and its values in public communication around specific projects and community contributions.
- Confidently ships small features and improvements with minimal guidance and support from other team members. Collaborates with the team on larger projects.

## Requirements

- Ability to use GitLab
- Professional experience with Ruby and Rails
- Professional experience with JavaScript (Vue.js) and static site generators (like Hugo)
- Proficiency in the English language, both written and verbal, sufficient for success in a remote and largely asynchronous work environment
- Demonstrated capacity to clearly and concisely communicate about complex technical, architectural, and/or organizational problems and propose thorough iterative solutions
- Experience with performance and optimization problems and a demonstrated ability to both diagnose and prevent these problems
- Comfort working in a highly agile, [intensely iterative](/handbook/values/#iteration) software development process
- Demonstrated ability to onboard and integrate with an organization long-term
- Positive and solution-oriented mindset
- Effective communication skills: [Regularly achieve consensus with peers](/handbook/values/#collaboration), and clear status updates
- An inclination towards communication, inclusion, and visibility
- Experience owning a project from concept to production, including proposal, discussion, and execution.
- [Self-motivated and self-managing](/handbook/values/#efficiency), with strong organizational skills.
- Demonstrated ability to work closely with other parts of the organization
- Share [our values](/handbook/values/), and work in accordance with those values
- Ability to use GitLab
- Ability to thrive in a fully remote organization

### Nice-to-haves

- Experience working with modern frontend frameworks (eg. React, Vue.js, Angular)
- Experience in a peak performance organization, preferably a tech startup
- Experience with the GitLab product as a user or contributor
- Product company experience
- Experience working with a remote team
- Enterprise software company experience
- Developer platform/tool industry experience
- Experience working with a global or otherwise multicultural team
- Computer science education or equivalent experience
- Passionate about/experienced with open source and developer tools

## Levels

### Senior Fullstack Engineer, Technical Writing

The Senior Fullstack Engineer reports to the [Director, Technical Writing](/job-families/product/technical-writing-manager/#director-technical-writing).

#### Senior Fullstack Engineer, Technical Writing Job Grade

The Senior Fullstack Engineer is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Fullstack Engineer, Technical Writing Responsibilities

- Extends the responsibilities and requirements of the [Fullstack Engineer, Technical Writing](/job-families/product/ux-fullstack-engineer/)
- Reports to the Director, Technical Writing.
- Suggests and performs enhancements to the look-and-feel of the documentation website.
- Helps support the Technical Writing team by answering team member questions and triaging/responding to issues.
- Coordinates with various stakeholders regarding site content or structure changes.
- Maintains and improves the CI/CD pipelines, build processes, and review environments.
- Improves content-authoring experience and tooling.
- Performs and/or coordinates/delegates resolution of any other docs site issues related to infrastructure, code, architecture, projects, security, CI/CD, builds, deployments, upgrades, performance, scalability, metrics, monitoring, etc.

### Staff Fullstack Engineer, Technical Writing

The Staff Fullstack Engineer reports to the [Director, Technical Writing](/job-families/product/technical-writing-manager/#director-technical-writing).

#### Staff Fullstack Engineer, Technical Writing Job Grade

The Senior Fullstack Engineer is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Staff Fullstack Engineer, Technical Writing Responsibilities

- Mentors others on how to maintain and continue to raise the level of quality for the documentation and docs site.
- Helps others across the organization understand the TW team domain and documentation site technology. Represents Technical Writing as a docs site domain expert when interfacing with other teams.
- Exhibits a deep understanding of the documentation domain, how customers use the site, and how the site fits into the larger business.
- Has a broad skill-set with in-depth expertise in their team's technical domain.
- Analyzes impact of potential solutions and makes responsible decisions, evaluating trade offs impacting their team's domain.
- Leads or participates in processes to address complex technical challenges.
- Reaches beyond immediate needs, independently considering the longer-term, and is always looking beyond for ways to have a broad impact.
- Advocates for technical debt, customer issues, high severity bugs, and security.

#### Performance Indicators

The Senior UX Fullstack Engineer is included in the [Technical Writing MR rate](/handbook/product/ux/performance-indicators/#technical-writer-mr-rate).

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
