---
title: "Commercial Account Executive Job Family"

---
## Commercial Account Executive - Mid-Market

### Job Grade

The Commercial Account Executive- Mid-Market is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

- Meet or exceed quota while fostering strong customer relationships
- Articulate the value of GitLab to our [Mid Market](/handbook/sales/#market-segmentation) prospects and customers
- Take ownership of and act as the CEO for the book of business in your territory:
  - Document the buying criteria & process, next steps & owners
  - Build a strong pipeline through a healthy cadence of prospecting activity
  - Prospect and close new business to expand your territory
  - Ensure adoption of our solutions and do your best to avoid churn and contraction
  - Work and collaborate with our Partner ecosystem to drive new business and value for our customers
  - Create an accurate forecast for each quarter against your plan/budget
  - Drive attendance to our events, which you will be part of to further network with current and prospective customers
- Contribute to root cause analyses on wins/losses.
  - Communicate lessons learned to the team, including account managers, the marketing team, and the technical team.
- Contribute to documenting improvements in our [sales handbook](/handbook/sales/)
- Collaborate with cross-functional teams, such as Customer Success, Renewals, Sales Development, etc. to provide account leadership, ensuring a good outcome for our customers in the pre- and post-sales process
- Be the voice of the customer by contributing product ideas to our public [issue tracker](https://gitlab.com/gitlab-org/gitlab-ee/issues)
- Master MEDPICC and Command of the Message on all opportunities

### Requirements

- A true desire to see customers benefit from the investment they make with GitLab
- Demonstrated progressive experience with Software sales through pitching on value
- Interest in GitLab, and open source software
- Ability to leverage established relationships and proven sales techniques for success
- Effective communicator, strong interpersonal skills
- Motivated, driven and results oriented
- Excellent negotiation, presentation and closing skills
- Preferred experience with Git, Software Development Tools, Application Lifecycle Management
- You share our [values](/handbook/values/), and work in accordance with those values.
- Ability to travel regularly to meet with customers in person and comply with the company's [travel policy](/handbook/finance/travel/)

## Senior Commercial Account Executive - Mid-Market

The Senior Commercial Account Executive - Mid-Market role extends the Commercial Account Executive - Mid-Market role outlined above.

### Job Grade

The Senior Commercial Account Executive- Mid-Market is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Extends that of the Commercial Account Executive - Mid-Market responsibilities
- Provides team level support and influence by mentoring and coaching fellow team members, sharing knowledge and learnings, and taking on additional team level responsibilities to elevate the team in meeting their goals
- Regularly meets on-site with Customers to further develop executive level relationships

## Requirements

- Minimum one year of experience as a Commercial Account Executive - Mid-Market
- Demonstrated consistent ability to sell Ultimate, Duo, Agile Planning, Services
- Excellence in operational rigor for Deal Management in Salesforce and Clari Forecasting
- Forecasting accuracy: strong understanding of your territory and how to forecast/manage this using both insight and data, culminating in a reliable forecast inside +/- 10%.
- Attainment repeatedly in top 10% of segment
- Demonstrated ability to close larger, more complex deals - Repeatedly shows a recipe for success (i.e multi threading, negotiation, exec coverage, etc.)
- Self-starter who is a manager of one when it comes to Territory Account Plan execution along with Quarterly and Annual KPIs set by Leadership

## Commercial Account Executive - Named

The Commercial Account Executive- Named is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Meet or exceed quota while fostering strong customer relationships
- Take ownership of and act as the CEO for your book of business of key accounts:
  - Partner with Customers to build out a strategy to further adopt feature sets to ensure Key Accounts see the ROI and value in our tooling, protecting against churn
  - Develop and execute on an account plan enabling you to meet or exceed your quota
  - Expand your Key Accounts by more than the standard expansion rate
  - Build a strong pipeline through a healthy cadence of prospecting activity
  - Work and collaborate with our Partner ecosystem to drive new business and value for our customers
  - Create an accurate forecast for each quarter against your plan/budget
- Contribute to root cause analyses on wins/losses.
  - Communicate lessons learned to the team, including account managers, the marketing team, and the technical team
- Contribute to documenting improvements in our [sales handbook](/handbook/sales/)
- Collaborate with cross-functional teams, such as Customer Success, Renewals, Sales Development, etc. to provide account leadership, ensuring a good outcome for our customers in the pre- and post-sales process
- Be the voice of the customer by contributing product ideas to our public [issue tracker](https://gitlab.com/gitlab-org/gitlab-ee/issues)
- Master MEDPICC and Command of the Message on all opportunities

### Requirements

- Demonstrated progressive experience with Software sales, with experience selling to Executives and increasing nARR of current buying clients to Top Tier Solutions
- Progressive experience building and owning a territory of business
- A true desire to see customers benefit from the investment they make with GitLab
- Excellence in operational rigor when it comes to Deal Management in Salesforce as well as Clari Forecasting
- Ability to leverage established relationships and proven sales techniques for success
- Effective communicator, strong interpersonal skills
- Motivated self-starter who is driven and results oriented
- Excellent negotiation, presentation and closing skills
- Preferred experience with Git, Software Development Tools, Application Lifecycle Management
- You share our [values](/handbook/values/), and work in accordance with those values.
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

## Senior Commercial Account Executive - Named

The Senior Commercial Account Executive - Named role extends the Commercial Account Executive - Named role outlined above.

The Senior Commercial Account Executive- Named is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Extends that of the Commercial Account Executive - Named responsibilities
- Leads and/or contributes to segment-wide efforts to improve our Commercial GTM strategies
- Owns cross-functional initiatives designed to future-proof GitLab’s success within existing and future Named Accounts
- Contributes to the broader GitLab community, which may include coaching and mentoring other Named Account Executives on the team
- Partners with clients to build out a strategy to further adopt feature sets to ensure Accounts see the ROI and value in our tooling, protecting against churn
- Regularly meets on-site with Customers to further develop executive level relationships

### Requirements

- Minimum one year of experience as a Commercial Account Executive - Named
- Consistent and progressive experience selling large, complex deals through multi-level relationship building from user to C-suite
- Demonstrated consistent ability to sell Ultimate, Duo, Agile Planning, Dedicated, Services
- Master of Pipeline generation - Pipegen targets are achieved consistently, with a view on how to repeat and ability to get creative
- Excellence in operational rigor for Deal Management in Salesforce and Clari Forecasting
- Forecasting accuracy: understands their business and how to forecast/manage this using both insight and data culminating in a reliable forecast inside +/- 10%.
- Attainment repeatedly in top 10% of segment
- Self-starter who is a manager of one when it comes to Key Account Plan execution along with Quarterly and Annual KPIs set by Leadership

## Performance Indicators

As with all roles in the Sales Department the Strategic Account Executive participates in the [Sales KPIs](/handbook/company/kpis/#sales-kpis).

## Career Ladder

The progression of the Commercial Account Executive job family is to move from Commercial Account Executive - Mid-Market to either the Commercial Account Executive - Named role, [Strategic Account Executive](/job-families/sales/enterprise-account-executive) job family or the [Sales Management](/job-families/sales/area-sales-manager/) job family.
