---
title: "Sales Management"
---
## Area Sales Manager

The Area Sales Manager (ASM) role is vital in all of our territory selling markets. As the ASM, you will lead a dynamic sales team and help GitLab surpass our growth goals. Reporting to the Regional Sales Director, you will be responsible for hiring, developing and leading a high-performing team of Strategic Account Leaders to meet and exceed sales goals. The right candidate is truly passionate about open source software and has a proven track record to talk about! This is an exciting opportunity to unequivocally influence GitLab's overall success and growth.

## Levels

### Associate Area Sales Manager

The Associate Area Sales Manager reports to an Area Sales Manager or [Regional Sales Director](/job-families/sales/regional-sales-director/).

#### Associate Area Sales Manager Job Grade

The Associate Area Sales Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Associate Area Sales Manager Responsibilities

- Carry an individual quota and support GitLab's  strategic and large prospects.
- Contribute to root cause analysis on wins/losses.
- Communicate lessons learned to the team, including account managers, the marketing team, and the technical team.
- Provide account leadership and direction in the pre- and post-sales process
- Conduct sales activities including prospecting and developing opportunities in large/strategic accounts
Ensure the successful rollout and adoption of GitLab products through strong account management activities and coordination with pre-and-post sales engineering and support resources
- Generate qualified leads and develop new customers in conjunction with our strategic channel partners in exceeding quota.
- Drives, manages and executes the business and revenue of the sales team under the supervision of the Area Sales Manager or Regional Director
- Analyzes market dynamics in an effort to maximize existing successes and to create new sales growth opportunities
- Prepares forecasts, territory/industry management, and growth plans
- Educates team on significant industry factors including competitive products, regulations, trends, customer needs, and pricing
- Reports on metrics to measure team performance; correct deficiencies where necessary
- Ensures that the sales plan is aligned with and supports the corporate revenue goal
- Hires top talent onto their team
- Manages a team of 3-5 Strategic Account Leaders; fosters a successful and positive team environment

#### Associate Area Sales Manager Requirements

- Demonstrated progressive experience in field sales, operations and leadership in open source software or software DevOps environment
- Experience selling to Fortune 500; willingness to "roll up your sleeves" and sell
- Proven track record of meeting or exceeding performance objectives (revenue targets, pipeline targets, etc.)
- Experience utilizing CRM systems and marketing automation systems (such as Salesforce, Clari, Marketo, etc).
- Ability to exercise effective judgment, sensitivity, creativity to changing needs and situations; ability to handle a fast-paced environment and challenging workload
- Strong relationship building and negotiation skills
- Strong presentation skills; Executive level communication skills (both written and verbal) and the ability to mentor others
- You share our values, and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#management-group)
- Ability to use GitLab
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

### Area Sales Manager (Intermediate)

The Area Sales Manager (Intermediate) reports to the [Regional Sales Director](/job-families/sales/regional-sales-director/).

#### Area Sales Manager (Intermediate) Job Grade

The Area Sales Manager (Intermediate) is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Area Sales Manager (Intermediate) Responsibilities

- Drives, manages and executes the business and revenue of a sales team
- Analyzes market dynamics in an effort to maximize existing successes and to create new sales growth opportunities
- Prepares forecasts, territory/industry management, and growth plans
- Educates team on significant industry factors including competitive products, regulations, trends, customer needs, and pricing
- Establishes and reports on metrics to measure team performance; correct deficiencies where necessary
- Ensures that the sales plan is aligned with and supports the corporate revenue goal
- Recruits and hires top talent onto your team
- Invests time weekly to build and engage a pipeline of top talent for potential future hires
- Manages a team of 5-10 Strategic Account Leaders; fosters a successful and positive team environment

#### Area Sales Manager (Intermediate) Requirements

- Demonstrated progressive experience in field sales, operations and leadership in open source software or software DevOps environment
- Experience selling to Fortune 500; willingness to "roll up your sleeves" and sell
- Proven track record of meeting or exceeding performance objectives (revenue targets, pipeline targets, etc.)
- Experience utilizing CRM systems and marketing automation systems (such as Salesforce, Clari, Marketo, etc).
- Ability to exercise effective judgment, sensitivity, creativity to changing needs and situations; ability to handle a fast-paced environment and challenging workload
- Strong relationship building and negotiation skills
- Strong presentation skills; Executive level communication skills (both written and verbal) and the ability to mentor others
- You share our values, and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#management-group)
- Ability to use GitLab
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

### Senior Area Sales Manager

The Senior Area Sales Manager reports to the [Regional Sales Director](/job-families/sales/regional-sales-director/).

#### Senior Area Sales Manager Job Grade

The Senior Area Sales Manager is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Area Sales Manager Responsibilities

- Develops and executes strategies focused on expanding the client base within the territory
- Recruits and hires top talent onto team
- Invests time weekly to build and engage a pipeline of top talent for potential future hires
- Manages a team of Area Sales Manager(s) and Strategic Account Leaders; fosters a successful and positive team environment
- Responsible for maintaining and growing accounts within territory and converting new accounts at acceptable margins
- Accurately forecasts bookings by territory and prioritizes time accordingly
- Effectively engages Channels, Customer Success, Marketing, and Sales resources during the sales process as necessary
- Maintains close contact with assigned accounts by establishing strong relationships with key decision makers. Develops and maintains a strong executive call plan and relationship with the CXO's & Program level leaders for the account set.
- Utilizes advanced offering knowledge and understanding of the customer's business to develop customized proposals

#### Senior Area Sales Manager Requirements

- Demonstrated progressive sales leadership experience; demonstrated progressive experience in leadership roles.
- Consistently achieved bookings targets >$10m in IACV.
- Demonstrated progressive experience leading field sales teams using the MEDDPICC or similar sales methodology.
- Experience repeatably selling multi-million dollar deals to Fortune 500 companies as an individual contributor and as a sales leader
- Proven track record of meeting or exceeding performance objectives (revenue targets, pipeline targets, etc.)
- Experience utilizing CRM systems and marketing automation systems (such as Salesforce, Clari, Marketo, etc).
- Ability to exercise effective judgment, sensitivity, creativity to changing needs and situations; ability to handle a fast-paced environment and challenging workload
- Strong relationship building and negotiation skills
- Strong presentation skills; Executive level communication skills (both written and verbal)
- Ability to assess and hire Sales talent
- Experience with coaching and developing Sales reps and managers
- Ability to travel as needed
- You share our values, and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#management-group)
- Ability to use GitLab

## Specialties

### Federal

#### Area Sales Manager (Federal/Public Sector) Requirements

- Extends that of the Area Sales Manager (Intermediate) or Senior Area Sales Manager Requirements
- Works close with Federal/Public Sector teams and clients
- Works closely with Director of Public Sector Sales to develop and execute Strategic Account Plans for key Federal agencies.
- Develops and maintain an executive relationship w/ the FSI leaders who align to the programs inside the client space.
- Demonstrated progressive experience in sales management, selling software or hardware through a two tiered channel eco system including distribution, corporate resellers, and value added resellers (VARS) into Federal government
- Demonstrated progressive experience selling software or hardware through a two tiered channel eco system including distribution, corporate resellers, and value added resellers (VARS) into Federal government
- Must be a high performing sales manager with a proven track record of consistently exceeding established measurements for goals and objectives into Fed
- Must have expertise around GSA, Federal procurement and the various buying vehicles to enable growth in software sales via our distribution partners
- Knowledge of open source enterprise software and/or version control is highly desirable
- Exceptional knowledge of Federal infrastructure and agencies
- A security clearance is a plus
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/#travel-guidance-covid-19). Federal, LLC team members need to also comply with the applicable vaccination policies.

### First order

#### Area Sales Manager (First Order) Responsibilities

- Extends that of the Area Sales Manager (Intermediate) or Senior Area Sales Manager Responsibilities
- Works closely with the VP, Commercial to develop and operationalize strategies for new customer acquisition
- Experience creating customer demand by analyzing customer needs and creating a compelling case to buy GitLab's products
- Focuses on selling into new customer accounts within the Mid Market segment which have between 500 and 1999 employees globally
- Consistently documents learnings from each customer interaction to iterate on strategy to win new customers who have not used GitLab before

#### Area Sales Manager (First Order) Requirements

- Extends that of the Area Sales Manager (Intermediate) or Senior Area Sales Manager Requirements
- Proven track record of selling and coaching account executives to sell into new customer accounts
- Demonstrated success of developing solution selling strategies in collaboration with their account executives

## Performance Indicators

[Sales KPIs](https://internal.gitlab.com/handbook/company/performance-indicators/sales/#kpi-summary)

## Career Ladder

The Area Sales Manager would move to the Regional Sales Director [Job Family](/job-families/sales/regional-sales-director/).

## Hiring Process

Applicants for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30min [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 Team Members
- Final Interview will be with a Sales leader

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
