---
title: "Business Systems Architect"
---

The Business Systems Architect job family works on custom APEX and Visualforce solutions for GitLab's Salesforce.com instance along with all packages, tools and integrations associated with it. They work with Field Operation's internal customers such as Sales, Marketing, Customer Success and Finance to translate improvement project technical specifications into a project approach and then execute on those projects. They work with a combined team of Business Systems Administrators, Data Analysts, and Sales Operations Specialists to keep our Go-To-Market processes automated and efficent.

## Levels

### Business Systems Architect (Intermediate)

The Business Systems Architect (Intermediate) reports to the [Director, Sales Systems](/job-families/sales/senior-manager-sales-systems/#director-sales-systems)

#### Business Systems Architect (Intermediate) Job Grade

The Business Systems Architect (Intermediate) is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Business Systems Architect (Intermediate) Responsibilities

- Work alongside Business System Administrators to turn business requirements into technical specifications and project approach.
- Develop APEX and Visualforce solutions that follow Salesforce.com best practices and templating.
- Solves complex, large-scale customer challenges to produce solutions that maximize the full potential of the Salesforce Platform.
- Digital advisors to clients, helping them translate their business vision into requirements and technical specifications.
- Executive-level strategic advisors who focus on business transformation.
- Communicate technical solutions and design tradeoffs effectively to business stakeholders, and provide a delivery framework that ensures quality and success.
- Communicate and collaborate with other technical resources across GitLab.
- Recognize impediments to our efficiency as a team ("technical debt"), propose and implement solutions.
- Participate in team code reviews, user acceptance testing and maintain excellent documentation of all work.
- Advocate for improvements to product quality, security, and performance.
- Respond quickly to bugs and the direction of Sales Systems and Field Operations managers.

#### Business Systems Architect (Intermediate) Requirements

- Experienced in a Salesforce.com Developer, Business Systems Engineer, or Backend Engineer role.
- Solves complex, large-scale customer challenges to produce solutions that maximize the full potential of the Salesforce Platform.
- Digital advisors to clients, helping them translate their business vision into requirements and technical specifications.
- Executive-level strategic advisors who focus on business transformation.
- Communicate technical solutions and design tradeoffs effectively to business stakeholders, and provide a delivery framework that ensures quality and success.
- Experience with the Software Development Life Cycle, Source Control (Git), and Salesforce.com coding best practices.
- Understanding of the Salesforce.com data model and how to effectively extract, transform and load data.
- An inclination towards communication, inclusion, and visibility.
- Experience owning and driving a project from concept to production, including proposal, discussion, and execution.
- Self-motivated and self-managing, with strong organizational skills.
- Demonstrated ability to work collaboratively and across teams.
- Share GitLab's values, and works in accordance with those values.
- Ability to thrive in a fully remote organization.
- Ability to use GitLab.
- Knowledge of at least one other non-Apex language such as Ruby on Rails, Java, Javascript, PHP or Python recommended.
- Experience with Zuora and Zoura CPQ recommended.
- Salesforce.com Platform Developer 2, Architect or other advanced certifications recommended.
- Experience working at a subscription based product company recommended.
- Experience working in an Agile team work environment recommended.

## Performance Indicators

- IACV vs Plan
- [New Hire Location Factor < 0.69](https://internal.gitlab.com/handbook/it/it-performance-indicators/#new-hire-location-factor--069)
- [% of team who self-classify as diverse](https://internal.gitlab.com/handbook/it/it-performance-indicators/#percent--of-team-who-self-classify-as-diverse)
- [Cost Actual vs Plan](https://internal.gitlab.com/handbook/it/it-performance-indicators/#cost-actual-vs-plan)
- [System roll out vs plan](https://internal.gitlab.com/handbook/it/it-performance-indicators/#system-roll-out-vs-plan)

## Career Ladder

The Business Systems Architect Job Family would move into the [Sales Systems Leadership](/job-families/sales/senior-manager-sales-systems/) Job Family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Additional details about our process can be found on our [hiring page](/handbook/hiring/).
- Initial phone/video screen from a GitLab Talent Acquisition professional.
- Phone/video interview with hiring manager and typically two additional GitLab team member.
- Final interview with 1+ GitLab executives.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
