---
title: "Business Systems Engineer"
---

Business Systems Engineer Job Family works on custom APEX and Visualforce solutions for GitLab's Salesforce.com instance along with all packages, tools and integrations associated with it.
They work with Field Operation's internal customers such as Sales, Marketing, Customer Success and Finance to translate improvement project technical specifications into a project approach and then execute on those projects.
They work with a combined team of Business Systems Administrators, Data Analysts, and Sales Operations Specialists to keep our Go-To-Market processes automated and efficent.

## Levels

### Business Systems Engineer (Intermediate)

The Business Systems Engineer (Intermediate) reports to the [Director, Sales Systems](/job-families/sales/senior-manager-sales-systems/#director-sales-systems)

#### Business Systems Engineer (Intermediate) Job Grade

The Business Systems Engineer (Intermediate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Business Systems Engineer (Intermediate) Responsibilities

- Work alongside Business System Administrators to turn business requirements into technical specfications and project approach.
- Develop APEX and Visualforce solutions that follow Salesforce.com best practices and templating.
- Communicate and collaborate with other technical resources across GitLab.
- Recognize impediments to our efficiency as a team ("technical debt"), propose and implement solutions.
- Particpate in team code reviews, user acceptence testing and maintain excellent documentation of all work.
- Advocate for improvements to product quality, security, and performance.
- Respond quickly to bugs and the direction of Sales Systems and Field Operations managers.

#### Business Systems Engineer (Intermediate) Requirements

- Demonstrated progressive experience in a Salesforce.com Developer, Business Systems Engineer, or Backend Engineer role.
- Received or pursuing the Salesforce.com Platform Developer 1 certification.
- Experience with the Software Development Life Cycle, Source Control (Git), and Salesforce.com coding best practices.
- Understanding of the Salesforce.com data model and how to effectively extract, transform and load data.
- An inclination towards communication, inclusion, and visibility.
- Experience owning and driving a project from concept to production, including proposal, discussion, and execution.
- Self-motivated and self-managing, with strong organizational skills.
- Demonstrated ability to work collaboratively and across teams.
- Share GitLab's [values](/handbook/values/), and works in accordance with those values.
- Ability to thrive in a fully remote organization.
- Ability to use GitLab.
- Knowledge of at least one other non-Apex language such as Ruby on Rails, Java, Javascript, PHP or Python recommended.
- Experience with Zuora and Zoura CPQ recommended.
- Salesforce.com Platform Developer 2, Architect or other advanced certifications recommended.
- Experience working at a subscription based product company recommended.
- Experience working in an Agile team work environment recommended.

### Senior Business Systems Engineer

The Senior Business Systems Engineer reports to the [Director, Sales Systems](/job-families/sales/senior-manager-sales-systems/#director-sales-systems).

#### Job Grade

The Senior Business Systems Engineer is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Business Systems Engineer Responsibilities

- Extends that of the Business Systems Engineer (Intermediate) responsibilities.

#### Senior Business Systems Engineer Requirements

- Extends that of the Business Systems Engineer (Intermediate) requirements.
- Demonstrated progressive experience in a Business Systems Engineer role.
- Demonstrated progressive experience in Salesforce.com Developer, Business Systems Engineer, or Backend Engineer role.
- Received or pursuing the Salesforce.com Platform 2 certification.
- Proven track record of driving projects to timely completion with end user accepted deliverables.

### Manager, Business Systems Engineer

#### Job Grade

The Manager, Business Systems Engineer is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Build, grow and develop a team of Business Systems Engineers, their skills and experience.
- Run the Sales Systems's agile development process and act as scrum master for the engineers.
- Actively seek and hire globally-distributed talent.
- Conduct and orchestrate code reviews, review solution architecture, and be able to jump in and contribute when neccessary.
- Lead foundational projects that effect Salesforce.com and there for our entire Lead to Cash process.
- Contribute to the sense of psychological safety on your team.
- Evolve the Sales Systems SDLC plan, finding the balance between stock SFDC processes and CI/CD.
- Hold regular [1:1's](/handbook/leadership/1-1/) with all members of their team.
- Give regular and clear feedback around the [individual's performance](/handbook/leadership/1-1/suggested-agenda-format/).
- Foster technical decision making on the team, but make final decisions when necessary.

#### Requirements

- BA/BS degree.
- Past experience managing a team of Salesforce.com Developers, Business Systems Engineers, or Backend Engineers.
- Salesforce.com expert including validation rules, workflow, formulas, sandbox and customization of all standard and custom objects.
- Excellent knowledge of SFDC APEX and have attained or are pursuing the Salesforce.com Platform Developer 1 certification.
- Demonstrated ability to drive cross-functional teams to meet business objectives and influence colleagues, fostering strong working relationships.
- Self-motivated and self-managing, with strong organizational skills.
- Demonstrated ability to work collaboratively and across teams.
- Ability to thrive in a fully remote organization.
- Ability to use GitLab.
- Knowledge of at least one other non-APEX language such as Ruby on Rails, Java, Javascript, PHP or Python recommended.
- Experience with Zuora and Zoura CPQ recommended.
- Salesforce.com Platform Developer 2, Architect or other advanced certifications recommended.
- Experience working at a subscription based product company recommended.
- Experience working in an Agile team work environment recommended.

## Performance Indicators

- nARR vs Plan
- [% of team who self-classify as diverse](https://internal.gitlab.com/handbook/it/it-performance-indicators/#percent--of-team-who-self-classify-as-diverse)
- [Cost Actual vs Plan](https://internal.gitlab.com/handbook/it/it-performance-indicators/#cost-actual-vs-plan)
- [System roll out vs plan](https://internal.gitlab.com/handbook/it/it-performance-indicators/#system-roll-out-vs-plan)

## Career Ladder

The Business Systems Engineer Job Family would move into the [Sales Systems Leadership](/job-families/sales/senior-manager-sales-systems/) Job Family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Additional details about our process can be found on our [hiring page](/handbook/hiring/).
- Initial phone/video screen from a GitLab Talent Acquisition professional.
- Phone/video interview with hiring manager and typically two additional GitLab team member.
- Final interview with 1+ GitLab executives.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
