---
title: Business Value Manager
---

Business Value Managers, as part of the Business Value Services team, are responsible for scaling quantifiable value-oriented conversations across the Enterprise Majors sales teams to drive higher sales effectiveness and productivity.  Specifically, the team manages the approach and associated tooling required to build value-driven business justifications for strategic opportunities.  The team also engages on highly strategic, high-LAM opportunities where appropriate.

## Responsibilities

- Engage with account teams and customers on business case creation

## Requirements

- Ability to use GitLab
- Has relevant, progressive experience working in a role leading business value assessments (e.i., sales organization, management consulting, IT consulting)
- Confident in building financial models and analyzing business value streams
- Outstanding analytical abilities, verbal and written communication skills
- Strategic and consultative mindset
- Understands software delivery and application security

## Levels

### Business Value Manager (Intermediate)

The Business Value Manager (Intermediate) reports to the [Manager, Business Value Services Team](#manager-business-value-services-team).

#### Business Value Manager (Intermediate) Job Grade

The Business Value Manager (Intermediate) is a [grade #9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Business Value Manager (Intermediate) Responsibilities

- Act as value creation expert on strategic accounts and opportunities by working closely with account stakeholders on key business drivers
- Work with cross-functional teams to ensure there is a continual process for refining and expanding the business case content and library
- Capture and share business cases and related customer outcomes and metrics that the field can leverage in relevant opportunities
- Coach and equip sales teams to have compelling value conversations
- Support enablement in the creation of any global value selling methodologies

#### Business Value Manager (Intermediate) Requirements

- Proven track record of advising senior business stakeholders towards successful business outcomes
- Exceptionally strong presenter with demonstrated experience in client-facing role or in a role working closely with C-suite executives
- Ability to inform field enablement and coach cross-funcitonal team-members

### Senior Business Value Manager

The Senior Business Value Manager reports to the [Manager, Business Value Services Team](#manager-business-value-services-team).

#### Senior Business Value Manager Job Grade

The Senior Business Value Manager is a [grade #9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Business Value Manager Responsibilities

- Develop in-depth ROI/TCO value models to quantify business value that can be achieved through GitLab solutions inclusive of product, services, and customer success
- Collaborate with product marketing on messaging & content to ensure consistency with the Business Value Services team content and tooling
- Develop models, processes, and materials to drive continuous improvement for GitLab's Business Value Services program
- Help define and implement the team's longer term vision
- Drive the use of value collaboration tooling as a self-service business case approach across the global sales team
- Configure and maintain value management system with value drivers, workflow, and ROI models

#### Senior Business Value Manager Requirements

- Demonstrates deep understanding of GitLab's differentiating value for GitLab's go-to-market usecases
- Proven expertise with GitLab's selling methodologies
- Expert in the configuration and use of GitLab's value management tooling

### Manager, Business Value Services Team

The Manager, Business Value Services Team reports to the [Senior Director, Solutions Archtiecture](/job-families/sales/solutions-architect/#senior-director-solutions-architects).

#### Manager, Business Value Services Team Job Grade

The Manager, Business Value Services Team is a [grade #9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Business Value Services Team Responsibilities

- Inherits all responsibilities of the Senior Business Value Manager while also leading the Business Value Services Team
- Hire, mentor and develop an exceptional team of Business Value Managers
- Provide continuous feedback to your team members as well as peers and leaders.
- Be accountable for the overall execution of your team while tracking key performance indicators (KPIs).
- Provide clear communication to your team, peers, and leadership on all essential matters.
- Guide by example while performing the responsibilities of a Business Value Manager
- Work closely with Sales and Customer Success leadership on prospect and customer engagement models
- Be the directly responsible person for Business Value Services processes and tooling
- Provide cross-functional leadership on GitLab's most strategic revenue opportunities.

#### Manager, Business Value Services Team Requirements

- Extends the requirements of a Sr Business Value Services Manager
- Demonstrated progressive experience leading a Business Value Services team
- Demonstrated experience in cross-functional leadership to influence internal organizations on strategic GTM initiatives

## Performance Indicators

As with all roles in the Sales Department, the Business Value Services job family participates in a subset the [Sales KPIs](https://internal.gitlab.com/handbook/company/performance-indicators/sales/#kpi-summary).

- [Net ARR versus Plan](https://internal.gitlab.com/handbook/company/performance-indicators/sales/#net-arr-vs-plan)
- [New Logos](https://internal.gitlab.com/handbook/company/performance-indicators/sales/#new-logos)

## Career Ladder

- Optional next steps for individual contributors are to move into:
  - A Manager role within this job family
  - A Manager role within another job family
  - Roles within Sales or Cusomter Success
- The next steps for a Manager, Business Value Services Team would be to move into a Senior Manager within this Job Family
- [Leadership at GitLab](/handbook/company/structure/#director-group)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.

*{add a bulleted list of the hiring process steps here}

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
