---
title: "Channel - Go to Market"
---

## Levels

### Director, Channel - GTM

The Director, Channel - GTM reports to the [VP, Global Channel](/job-families/sales/vp-of-global-channels/).

#### Director, Channel - GTM Job Grade

The Director, Channel - GTM is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

**Market Justification:** While an Individual Contributor equivalent of Director in Channel Go to Market is not applicable in survey data, Go to Market and Sales Strategy is a critical role in growth initiative organizations. Many times senior level team members are tasked with setting up new business and thus set as an Individual Director equivalent. This role brings extensive experience to help scale partner strategy for emerging markets.

#### Director, Channel - GTM Responsibilities

- Understand and synthesize the GitLab channel, competition, and upcoming channel requirements to help the business meet ARR goals
- Lead cross-functional projects
- Partner directly with Channel Leadership, CRO Leadership, Finance, Sales Ops & Strategy & Marketing in design and execution of assigned projects
- Operate at a strategic level while also understanding when to dive deep to keep the project on track
- Identify procedural gaps in existing channel programs and work with the Channel Program Senior Director on recommendations for improvements.
- Support the creation of prepared materials (documents, decks) for the Channel Leadership team
- Translate practical needs into technical and/or business requirements
- Lead special projects that are urgent and important and directly translate to ARR growth
- Execute on projects and ongoing assignments for the Channel Leadership team
- Demonstrate GitLab values in all work

#### Director, Channel - GTM Requirements

- Proven experience in Channel sales & leadership roles within a high growth start up environment
- Experience in Emerging Markets
- Channel sales, SaaS and B2B experience
- Understanding of partner services: training, professional services and managed services.
- Experience in channel scale strategies through distribution, DMR, marketplaces, etc.
- Excellent business planning skills
- Experience analyzing data and making data driven decisions based on that data
- A detail-oriented forward thinker
- Excellent written, verbal, and technical communication skills
- The ability to manage multiple tasks with competing timelines and deliverables
- Track record of leadership independent of role
- History of working cross-functionally to move projects forward
- Evidence of success in leading key business initiatives
- Demonstrated ability to take a project from ideation through to implementation
- Familiarity with the industry and the DevOps channel is a plus
- Ability to go from high-level strategy to functional impact.
- You share our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab

## Performance Indicators

- % Revenue Partner Initiated
- % Services Attached
- Size of Partner Practices - skilled, certified consultants amd eliver resources
- SMAU metrics acceleration by stage or # seats in named enterprise accounts

## Career Ladder

- The next steps for the Director, Channel - GTM job family is yet to be defined.

## Hiring Process

Applicants for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30min [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 team members
- There may be a final executive interview

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
