---
title: "Channel Services"
---

## Levels

| Role | Grade |
| -- | - |
| [Junior Channel Services Manager](#junior-channel-services-manager) | [Grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Channel Services Manager](#channel-services-manager) | [Grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Channel Services Manager](#senior-channel-services-manager) | [Grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Lead Channel Services Manager](#lead-channel-services-manager) | [Grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |

## Leadership

| Role | Grade |
| -- | - |
| [Manager, Channel Services](#manager-channel-services) | [Grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Manager, Channel Services](#senior-manager-channel-services) | [Grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Director, Channel Services](#director-channel-services) | [Grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Director, Channel Services](#senior-director-channel-services) | [Grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |

## Junior Channel Services Manager

### Job Grade

The Junior Channel Services Manager is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

To be defined at time of business need.

### Requirements

To be defined at time of business need.

## Channel Services Manager

### Job Grade

The Channel Services Manager is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- The Channel Services Manager will serve as a primary point of contact for GitLab's top services partners and will ensure that services partners are trained and certified to provide professional, consulting, training, & managed services for GitLab customers.
  - For managed services: ensuring that the channel partners are operating compliant practices and offerings with the GitLab best practices.
- This individual will help GitLab manage the evolution of its services offerings via partners to drive usage adoption of the complete GitLab platform and expansion across the customers' organizations.
- Assist in defining, documenting, and packaging service offerings &/or practices at the partner that support the GitLab Customer Success cycle including maintaining GitLab published assets in the partner portal and the GitLab Handbook–with specific focus on training services or managed services.
- Support the GitLab Enablement & Customer Success teams in building and improving tools and processes that promote partner services success.
- Working with the Channel Sales Managers, drive and facilitate the launch of partner GitLab practices, service & solution offerings.
- Assist new service partners to develop offerings and practices that align with GitLab Go-to-market strategies.
- Create and facilitate communications about GitLab news, service opportunities, program details and product updates with channel partners in the regular Channel Programs newsletters and webcasts.

#### Requirements

- Experience working with technical and non-technical resources in a cross-functional sales project management capacity.
- Previous experience working to establish Managed Services operations and financial models including the vendor transaction processes.
- Experience working with partner accreditation programs, specifically with regards to compliance tracking and enforcement.
- Previous experience enabling partners to deliver services and solutions that grow revenue, expand customer footprint and drive renewals.
- Excellent operational planning, demonstrated in tailoring program iterations to prioritized requirements in the greater strategic plans.
- Previous communication experience including executive presentation, sales education presentations, internal and external status updates using various digital media formats.
- Experience with SFDC and Impartner a plus.
- Be familiar with iterative build and project management processes.
- Demonstrated progressive working experience in partner management, training, product marketing, professional services, or product management in the high-tech industry.
- The position requires operational reporting including but not limited to progress toward programmatic goals, quarterly goals, and leadership status updates.
- BS/BA required or equivalent experience; MBA a plus
- DevOps experience a plus
- Ability to use GitLab
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

## Senior Channel Services Manager

### Job Grade

The Senior Channel Services Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Identify, define and assist in building services offerings and/or practices at the partner that support all levels of the GitLab Customer Success cycle.
- Provide a channel of communication between the partner and GitLab to ensure consulting, training, professional and managed services are available across all geographies.
- Work with partners to understand services enablement needs, and develop programs and enablement offerings to meet those needs.
- Work cross-functionally to support the GitLab Enablement, Professional Services & Customer Success teams in building and improving tools and processes that promote mutual success.
- Working with the Channel Sales Managers, drive and facilitate partner certifications through eLearning, instructor-led training, boot camps and ongoing certification maintenance.
- Improve processes for partner services onboarding and engagement with GitLab PS and Sales teams.
- Create and facilitate communications about GitLab news, opportunities, program details and product updates with channel partners in the regular Channel Programs newsletters and webcasts.
- Find and recommend new Services Partners in collaboration with corporate and regional Channel Sales Managers
- Ensure our partners have the skills, training, and expertise to implement, operate and support GitLab solutions.

### Requirements

- Experience building channel services & practices in SaaS/subscription models.
- Strong presentation and written communications skills.
- Previous experience enabling partners to deliver services that grow revenue, expand customer footprint and drive renewals.
- Demonstrated progressive working experience in partner management, training, product marketing, professional services, or product management in the high-tech industry
- Experience working with technical and non-technical resources in a cross-functional sales project management capacity.
- Previous experience working to establish Managed Services operations and financial models including the vendor transaction processes.
- Experience working with partner accreditation programs, specifically with regards to compliance tracking, enforcement and program design.
- Previous experience enabling partners to deliver services and solutions that grow revenue, expand customer footprint and drive renewals
- Excellent operational planning, demonstrated in tailoring program iterations to prioritized requirements in the greater strategic plans. * Provide status reporting, including but not limited to progress toward programmatic goals, quarterly goals, and leadership status updates.
- Previous communication experience including executive presentation, sales education presentations, internal and external status updates using various digital media formats.
- Experience with SFDC and Impartner a plus.
- BS/BA required or equivalent experience
- DevOps experience a plus
- Ability to use GitLab
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

## Lead Channel Services Manager

### Job Grade

The Lead Channel Services Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

**Market Justification:** The business need for an individual contributor Lead Channel Services Manager is because they provide a high level of expertise in Channel Services and strategy to develop a roadmap, collaboration opportunities with partners, and cross-functional intiatives that require a greater depth and breadth of experience across business functions. In the market, there are at least 20 organizations that typically have 2 Lead Channel Services Managers.

### Responsibilities

- Develop partner services and solution vision and roadmap to drive partner services engagement across the customer lifecycle.
- Work with the Product Marketing, Alliances, Revenue Programs and Customer Success teams to define the role of service offerings in the GitLab GTM strategies and customer success life cycle. These include professional, training, consulting,and managed services.
- Provide a channel of communication between the partner and GitLab to ensure smooth and effective customer implementation processes, seamless Managed Services and value-driven strategic advisory services.
- Work with partners to understand services enablement needs, and develop programs and enablement offerings to meet those needs.
- Set cross-functional goals with the Customer Success teams that build partner services into the strategic plans for delivering quality customer outcomes across all phases of the customer life cycle.
- Working with the Channel Sales Managers, drive and facilitate partner certifications through eLearning, instructor-led training, boot camps and ongoing certification maintenance.
- Improve processes for partner services onboarding and engagement with GitLab Professional Services and Sales teams.  Secure process and rules of engagement commitment from cross functional team leadership.
- Collaborate with Product, Solution Architect, Alliances and Professional Services teams to identify and develop enablement materials for new solution offerings.
- Find and recommend new Services Partners in collaboration with corporate and regional Channel Sales Managers.
- Lead high impact initiatives to drive greater engagement and value from partner services.
- Ensure our partners have the skills, training, and expertise to implement, operate and support GitLab solutions.
- Create and facilitate communications about GitLab news, opportunities, program details and product updates with channel partners in the regular Channel Programs communications.

### Requirements

- Experience building channel services & practices in SaaS/subscription models.
- Strong presentation and written communications skills.
- Previous experience enabling partners to deliver services that grow revenue, expand customer footprint and drive renewals.
- Demonstrated progressive working experience in partner management, training, product marketing, professional services, or product management in the high-tech industry.
- Experience working with technical and non-technical resources in a cross-functional sales project management capacity.
- Previous experience working to establish Channel Services strategy for a technology company.
- Experience working with partner accreditation programs, specifically with regards to channel business planning and program design.
- Excellent strategic planning skills demonstrated in aligning deliverables to top level organizational goals.
- This position requires regular status reporting, including but not limited to progress toward programmatic goals, quarterly goals, and leadership status updates.
- Previous communication experience including executive presentation, sales education presentations, internal and external status updates using various digital media formats.
- Experience with SFDC and Impartner a plus.

- BS/BA required or equivalent experience; MBA a plus
- Experience in the DevOps space a plus
- Ability to use GitLab
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

## Manager, Channel Services

### Job Grade

The Manager, Channel Services is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

To be defined at time of business need.

### Requirements

To be defined at time of business need.

## Senior Manager, Channel Services

### Job Grade

The Senior Manager, Channel Services is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Develop partner services and solution vision and roadmap to drive partner services engagement across the customer lifecycle.
- Identify and define services offerings and/or practices at the partner that support all levels of the GitLab Customer Service cycle.  These include professional, training advisory and managed services.
- Work with partners to understand services enablement needs, and define programs and enablement offerings to meet those needs.
- Improve processes for partner services onboarding and engagement with GitLab Professional Services and Sales teams.  Secure process and rules of engagement commitment from cross functional team leadership.
- Collaborate with Product, Solution Architect, Alliances and Professional Services teams to define requirements enablement materials for new solution offerings.
- Find and recommend new Services Partners in collaboration with corporate and regional Channel Sales Managers.
- Work with Sales and Channel leadership to define program elements for greater partner services engagement with GitLab customers and prospects.
- Ensure our partners have the skills, training, and expertise to implement, operate and support GitLab solutions.
- Recruit and manage team of Lead and Senior Channel Services Program Managers, establishing team goals, measuring performance and supporting team member career development.

### Requirements

- Must demonstrate the capability to excel within a cross-functional team environment.
- Experience building channel services & practices in SaaS/subscription models.
- Strong presentation and written communications skills.
- Previous experience enabling partners to deliver services that grow revenue, expand customer footprint and drive renewals.
- Excellent strategic planning, project management, communication and presentation skills.
- Demonstrated progressive working experience in partner management, training, product marketing, professional services, or product management in the high-tech industry
- BS/BA required or equivalent experience
- Experience in the DevOps space a plus
- Experience in recruiting and leading high performing teams.
- Ability to use GitLab
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

## Director, Channel Services

### Job Grade

The Director, Channel Services is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Develop partner services and solution vision and roadmap to drive partner services engagement across the customer lifecycle.
- Collaborate with Customer Success, Sales, Channel and Alliances leadership to align services programs with overall GitLab go to market strategies.
- Identify and define services offerings and/or practices at the partner that support all levels of the GitLab Customer Service cycle.  These include professional, training advisory and managed services.
- Work with partners to understand services enablement needs, and define programs and enablement offerings to meet those needs.
- Secure commitment from cross-functional team leadership for the delivery of resources, and alignment around process and rules of engagement.
- Collaborate with Product, Solution Architect, Alliances and Professional Services leadership to commit resources for the development of new solution offerings.
- Find and recommend new Services Partners in collaboration with corporate and regional Channel Sales Managers
- Work with Sales and Channel leadership to define program elements for greater partner services engagement with GitLab customers and prospects
- Ensure our partners have the skills, training, and expertise to implement, operate and support GitLab solutions.
- Recruit and manage team of Lead and Senior Channel Services Program Managers, establishing team goals, measuring performance and supporting team member career development.

### Requirements

- Must demonstrate the capability to excel within a cross-functional team environment.
- Experience building channel services & practices in SaaS/subscription models.
- Strong presentation and written communications skills.
- Previous experience enabling partners to deliver services that grow revenue, expand customer footprint and drive renewals.
- Excellent strategic planning, project management, communication and presentation skills.
- Demonstrated progressive working experience in partner management, training, product marketing, professional services, or product management in the high-tech industry
- BS/BA required or equivalent experience; MBA a plus
- Experience in the DevOps space a plus
- Ability to use GitLab
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

## Senior Director, Channel Services

### Job Grade

The Senior Director, Channel Services is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

To be defined at time of business need.

### Requirements

To be defined at time of business need.

### Go To Market (GTM)

## Performance Indicators

- Partner services delivery - As subcontractor to GitLab PS and direct by partner.
  - Professional services
  - Training
  - Managed services
- Partner individual and company certifications

## Career Ladder

Channel Services Programs team members can continue to expand their responsibilities within the Channel Services Programs job family to include greater scope and complexity of programs.  Team members may also have a desire to move to other teams based on their career goals:

- Field Enablement for team members with a focus on enablement
- Channel Sales for team members that want more engagement directly with partners
- Channel Operations for team members shifting focus into operationalizing channel programs.
- Professional Services for team members that desire greater customer and partner engagement around services

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

1. Phone screen with a GitLab Recruiting team member
1. Video Interview with the Hiring Manager
1. Team Interviews with 1-4 teammates
Additional details about our process can be found on our [hiring page](/handbook/hiring/).
