---
title: Chief of Staff to the CRO
---

This is a key leadership position on the Chief Revenue Officer's team. This highly visible role is a trusted partner to the Chief Revenue Officer (CRO) to drive operational excellence and deliver repeatable business results. This role serves as a partner to the CRO as a strategic advisor and executing cross-functional and cross-organization initiatives supporting the CRO's strategy and vision in alignment with our company values.

## Responsibilities

The responsibilities include both directed work initiated by the CRO as well as self-directed leadership work that includes inputs and priorities from the CRO leadership team. This role will help enable communication, collaboration, strategy execution, and special projects across the CRO organization. This individual will work in close partnership with the CRO and other business stakeholders to drive programs, execute and monitor our business strategy.

- Serves as a proxy to the CRO in reviewing account plans and driving high-quality briefing documents
- Drives timely follow-up on customer and partner interactions
- Leads key priorities and projects across the global Sales team
- Acts as a sounding board to the CRO and CRO leadership team for new ideas and initiatives.
- Acts as a thought partner to the CRO, CRO leadership team, executive leadership team, and cross-functional teams on strategy, company policies, and operating systems
- Initiate and guide the CRO team OKR process according to the [OKR schedule](/handbook/company/okrs/#schedule) in partnership with the CoS, CEO
- Helps define, drive, and run CRO-level and relevant business reviews including CRO QBRs
- Work closely with internal teams on goal-setting and tracking, interfacing, and consulting with cross-functional groups
- Develops and maintain strong relationships with executives, senior leaders, and stakeholders to achieve project objectives and deliverables
- Serves as CRO Board Liaison, including creating and developing Board and Committee materials.
- Partners with the CRO's People Business Partner, Talent Acquisition lead, SS&A team, and Finance team to support planning, metrics, reporting, and decisions
- Supports the creation of investor updates, pitch decks, speeches, conference submissions, and presentations on behalf of the CRO.
- Effectively triages escalations. Our teams often rely heavily on quick root-cause analyses and fast information sharing. Time-sensitive escalations may include driving cross-functional conversations to get to the bottom of complex issues that have become business blockers or helping ensure a fast turnaround for specific prospects and customer needs
- Maintains and fosters a close partnership with the CEO's Chief of Staff on strategic initiatives
- Maintains and fosters a close partnership with the Sales Strategy & Analytics and the broader Field Operations Teams
This role does not overlap with the responsibilities [Executive Business Administrators](/job-families/people-group/executive-business-administrator/) handle. This role could have EBA support, will work closely with the EBA to the CRO to ensure the CRO's time is well managed and prioritized according to the top business objectives.
- Manages weekly executive staff meetings, including, but not limited to, providing feedback on top priorities and insights to inform strategic conversations.
- Assists in the preparation for external meetings including board meetings
- Run and manage various partner and client meetings with clear agendas, follow-ups, and next steps
- Compile and provide feedback on briefing materials for key customer and important company meetings; conduct primary research and work with key stakeholders to prepare the background for meetings with key executives, partners, and events (e. g., identify goals and talking points, provide background on attendees, analyze the current business relationship, and summarize opportunities)
- Collaborate with the various communications teams and People Business Partners to prepare background, talking points, or presentations for all public and internal speaking moments aligned to the company's strategy and values.  This includes managing organizational announcements and confidential projects.
- Help identify items that can be delegated to others to optimize the CROs time allocation to high-value activities
- Support the CRO in organizing inspiring and informative WW Field meetings to share important business information as well as engage and boost team morale

## Requirements

- Ability to use GitLab
- Capacity to become a senior leader at GitLab
- Passion for doing whatever it takes to solve complex problems and build scalable processes
- Proven ability to quickly learn new things
- Comfort working in a high-growth, constantly changing environment
- Track record of handling confidential information with the utmost sensitivity
- Proven success in analytics and reporting
- Ability to shift priorities quickly and act proactively, while maintaining organization and control.
- Ability to work collaboratively and efficiently with stakeholders throughout the organization
- Must be able to manage conversations with the Board and C-Suite with ease and confidence
- Concise written and verbal communication.
- Detail and results-oriented; driven and self-motivated with strong initiative
- Excellent organization and time management skills; ability to prioritize tasks across multiple projects
- Proven track record of effectively interacting with senior stakeholders on cross-functional projects.
- You have [short toes](/handbook/values/#short-toes) and an aptitude for working well with a wide range of people.
- Bachelor's Degree in Business Administration, Finance, or a related discipline or prior work experience in one or more of these disciplines
- Some travel will be required: Ability to travel to support the CRO, as needed

### Job Grade

The Chief of Staff to the CRO is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Performance Indicators

- [Sales KPIs](https://internal.gitlab.com/handbook/company/performance-indicators/sales/#kpi-summary)
- CRO Quarterly OKR process is initiated and delivered on time per the [company process](/handbook/company/okrs/#okr-process-at-gitlab). CoS collaboratively includes all stakeholders and cascades information transparently to ensure alignment across the CRO Org. During the quarter, CoS partners with DRI's to maintain the status of OKRs in preparation for the monthly key meeting and ensures that all OKRs are scored at the end of the quarter and results are communicated.

## Career Ladder

There is no set career path for a Chief of Staff. As such, the role is often viewed as having a ~2 year rotation — a passthrough program with an eye towards leading a functional area of their business thereafter. Some may step into a senior leadership role in operations or strategy, or some may continue to grow thier career and thrive in the CoS role for a longer time period. It is more common to see a CoS evolve into functional leadership roles — roles that require management experience, strong communication and contextual knowledge of multiple teams working together.

## Hiring Process

The hiring process for this role is yet to be defined. It will include interviews with the CRO, and other key stakeholders on the Sales leadership team.

Additional details about our process can be found on our [hiring page](/handbook/hiring/)
