---
title: "Area Vice President, Commercial Sales"
---

The Area Vice President is responsible for building and managing a team of Area Sales Managers who are leading teams of Account Executives selling GitLab's industry leading single application for the full software development lifecycle.

The Area Vice President reports into the [VP, Commercial Sales](/job-families/sales/vp-of-commercial-sales/).

## Responsibilities

- Establish and deliver on a strategy to land new customers with a mutual vision for expansion and expand existing accounts with purpose, driving customer success and predictable year over year ARR growth for GitLab.
- Recruit and develop a top tier, diverse, efficient commercial sales organization of Area Sales Managers and Account Executives
- Maintain key customer relationships and develop and implement strategies for expanding the company's customer base
- Provide detailed and accurate sales forecasting
- Manage overall sales process, set appropriate metrics for sales funnel management
- Plan and manage at both the strategic and operational levels

## Requirements

- Demonstrated progressive second line leadership experience leading teams in strategic sales.
- Multiple repeatable proof points of recruiting, hiring, developing, and retaining leaders and individual contributors that make-up a high performing commercial sales organization.
- Deep experience selling into accounts in core markets.
- Demonstrated progressive experience in consistent overachievement of a $20m+ ACV annual quota
- Demonstrated progressive experience in software sales, preferably with development tool and/or open source experience
- Proven track record of working closely with the channel for growth leverage.
- Proven success partnering with Marketing, Channel, Alliances, Product, and Engineering peers.
- Demonstration of high levels of integrity, initiative, honesty and leadership
- Must be adaptable, professional, courteous, motivated and work well on their own or as a member of a team
- Willingness to learn and use GitLab
- Polished presentation skills
- Ability to handle a fast-paced environment and ambitious workload
- Bachelor degree
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

## Segment

### Area Vice President (Commercial Sales)

#### Area Vice President (Commercial Sales) Responsibilities

#### Area Vice President (Commercial Sales) Requirements

-

## Performance Indicators

- NetARR vs Plan
- NetARR vs forecast
- All other Sale KPI's can be found [here](https://internal.gitlab.com/handbook/company/performance-indicators/sales/#kpi-summary).

## Career Ladder

The Area Vice President Job Family would move to the [VP of Enteprise Sales](/job-families/sales/vp-enterprise-sales/) or [VP of Commercial Sales](/job-families/sales/vp-of-commercial-sales/) Job Family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to schedule one or more interviews with members of the Commercial sales team.
- Next, candidates will be invited to schedule one or more interviews with Business Partners
- Finally, candidates may be asked to interview with our CRO.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
