---
title: "Country Sales Manager for Italy"
---

## Country Sales Manager for Italy

The Country Sales Manager for Italy reports to an [Area Sales Manager](/job-families/sales/area-sales-manager/#area-sales-manager).

## Country Sales Manager for Italy Job Grade

The Country Sales Manager for Italy is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Country Sales Manager for Italy Responsibilities

- Support GitLab for our [strategic and large](/handbook/sales/#market-segmentation) prospects
- Contribute to root cause analysis on wins/losses
- Communicate lessons learned to the team, including account managers, the marketing team, and the technical team
- Take ownership of your book of business:
  - document the buying criteria
  - document the buying process
  - document next steps and owners
  - ensure pipeline accuracy based on evidence and not hope
- Contribute to documenting improvements in our [sales handbook](/handbook/sales/)
- Provide account leadership and direction in the pre- and post-sales process
- Conduct sales activities including prospecting and developing opportunities in large/strategic accounts
- Ensure the successful rollout and adoption of GitLab products through strong account management activities and coordination with pre-and-post sales engineering and support resources
- Be the voice of the customer by contributing product ideas to our public [issue tracker](https://gitlab.com/gitlab-org/gitlab-ee/issues)
- Travel as necessary to accounts in order to develop relationships and close large opportunities
- Generate qualified leads and develop new customers in conjunction with our strategic channel partners in exceeding quota
- Expand knowledge of industry as well as the competitive posture of the company
- Prepare activity and forecast reports as requested
- Update and maintain Sales' database as appropriate
- Assist sales management in conveying customer needs to product managers, and technical support staff
- Utilize a consultative approach, discuss business issues with prospect and develop a formal quote, a written sales proposal or a formal sales presentation addressing their business needs
- Respond to RFP's and follow up with prospects
- Develop an account plan to sell to customers based on their business needs
- Build and strengthen the business relationship with current accounts and new prospects
- Recommend marketing strategies
- Drive the awareness of GitLab in Italy through all possible media channels ( press, forums, social networks, …)
- Help open, develop, nurture strong relationships with the best partners in Italy
- Leverage connections with Consulting Companies in order to influence decisions at the highest level of the targeted accounts (direct accounts and the accounts of aligned SAEs)
- Define and execute a 3-year strategy for Italy, in conjunction with the Southern Europe ASM, which fits with the Corporate strategy (i.e. $1B by fall 2024). Specifically propose which accounts to prioritize and how to win them quickly, together with the adequate ecosystem
- Provide the Southern Europe ASM a truly accurate and reliable forecast that will enable planning resources best for GitLab in the country
- Leverage intelligently the resources available in EMEA in order to overachieve against target
- Hire, ramp up and pace future SAEs and ISRs as a team leader in the country
- Guarantee that the GitLab Values and Handbook will be leveraged by all newcomers to the Italian Team

#### Country Sales Manager for Italy Requirements

- A true desire to see customers benefit from the investment they make with you
- Able to provide high degree of major account management and control
- Work under minimal supervision on complex projects
- Proven success with B2B software sales
- Experience selling into large organizations
- Interest in GitLab, and open source software
- Ability to leverage established relationships and proven sales techniques for success
- Effective communicator (written/verbal), strong interpersonal skills
- Motivated, driven and results oriented
- Excellent negotiation, presentation and closing skills
- Preferred experience with Git, Software Development Tools, Application Lifecycle Management
- You share our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

## Performance Indicators

- [Sales KPIs](https://internal.gitlab.com/handbook/company/performance-indicators/sales/#kpi-summary)

## Career Ladder

The next steps in the Country Sales Manager for Italy job family is the [Area Sales Manager](/job-families/sales/area-sales-manager/#area-sales-manager) job family.

## Hiring Plan

Applicants for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30min [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 team members
- There may be a final executive interview

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
