---
title: "Customer Success Architect"
description: "The Customer Success Architect (CSA) team focuses on the themes of align, enable, and expand."
---

The Customer Success Architect (CSA) is a highly strategic position designed to provide unparalleled value to our customers by aligning our platform with their unique business objectives and driving long-term success.

The CSA role is a pivotal addition to our customer success team, focusing on building strong, consultative relationships with our key customers. Our CSAs will serve as trusted advisors, leveraging their deep understanding of DevSecOps best practices, industry trends and our software capabilities to help customers navigate complex challenges and achieve their desired outcomes.

Additionally, our team serves as liaisons between the customer and the GitLab ecosystem, streamlining collaboration with Product Management, Engineering, Sales, Professional Services, and others. [CSM handbook](/handbook/customer-success/csm).

The Customer Success Architect (CSA) team focuses on hands-on technical enablement, adoption, utilization and maturity - while maintaining strong customer relationships and business alignment.

## Levels

| Role | Grade |
| -- | - |
| [Customer Success Architect](#customer-success-architect-csa-intermediate) | [Grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Customer Success Architect](#senior-customer-success-architect-csa) | [Grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Staff Customer Success Architect](#staff-customer-success-architect-csa) | [Grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Manager, Success Services](/job-families/sales/success-service-management/#manager-success-services) | [Grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Manager, Success Services](/job-families/sales/success-service-management/#senior-manager-success-services) | [Grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Director, Success Services](/job-families/sales/success-service-management/#director-success-services) | [Grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |

### Customer Success Architect (CSA) (Intermediate)

The CSA (Intermediate) reports to the [Manager/Senior Manager/Director, Success Services](/job-families/sales/success-service-management/).

#### CSA (Intermediate) Job Grade

The CSA (Intermediate) is a job grade [level 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### CSA (Intermediate) Responsibilities

- Partner with our customers in taking what was established in the pre-sales command plan, and turning the customers desired positive business outcomes into actionable objectives
- Know the GitLab platform, our more common best practices, and use cases in order to guide the customer
- Understand the customer journey and be able to guide them on future adoption
- Act as the GitLab liaison for GitLab questions, issues, or escalations. Work with GitLab Support, Product Management (i.e., roadmaps), or other teams as needed
- Own a book of assigned customers, with a focus on increasing adoption, ensuring retention and growth, and overall customer satisfaction
- Remain knowledgeable and up-to-date on GitLab releases
- Provide immediate onboarding activities
- Work with assigned customers to build Customer Success Plans, establishing critical goals, or other key performance indicators and aid the customer in achieving their goals
- Program manage account escalations
Provide insights with respect to the availability and applicability of new features in GitLab as relevant
- Support GitLab Services in identifying and recommending training opportunities

#### CSA (Intermediate) Requirements

- Understanding of Git and typical branching strategies
- Knowledge of software development lifecycle and development pipeline
- Understanding of continuous integration, continuous deployment, DevSecOps
- Prior experience in Customer Success or equivalent history of increasing satisfaction, adoption, and retention
- Experience partnering with customers to define and achieve business outcomes
- Familiarity working with customers of sizes relevant to the assigned segment
- Exceptional verbal, written, organizational, presentation, and communications skills
- Detailed oriented and analytical
Strong team player but self-starter
- Project management experience & skills
- Strong technical, analytic, and problem-solving skills
- Alignment with our values, and willingness to work in accordance with those values
- Ability to travel if needed and comply with the company's travel policy
- Demonstrated progressive experience in a related function is required with direct customer advocacy and engagement experience in post-sales or professional services functions

### Senior Customer Success Architect (CSA)

The Senior CSA reports to the [Manager/Senior Manager/Director, Success Services](/job-families/sales/success-service-management/).

#### Senior CSA Job Grade

The Senior CSA is a job grade [level 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior CSA Responsibilities

Includes all responsibilities of the Intermediate Customer Success Architect (CSA) role and expands on that in the following ways:

- Establish a trusted/strategic advisor relationship with each assigned customer and drive continued value of our solution and services
- Assist and provide expert deployment, operational best practices, and establishing a GitLab Center of Excellence
- Assist in workshops to help customers leverage the full value of GitLab solution
- Measure and monitor customers' achievement of critical and key performance indicators, reporting both internally to GitLab account stakeholders and externally to Customer Sponsors and Executives
- Translate customer product usage data into actionable advice for customers
- Establish regular touchpoints with assigned customers per the established SLAs, to review progress against strategic and technical objectives

#### Senior CSA Requirements

Meets the requirements of the Intermediate Customer Success Architect (CSA) role and the following requirements:

- Understanding of Git and typical branching strategies
- Knowledge of software development lifecycle and development pipeline
- Understanding of continuous integration, continuous deployment, DevSecOps

### Staff Customer Success Architect (CSA)

Market Justification: The business need for an individual contributor Staff CSA role is to have a team member who is a subject matter expert in customer engagement, success planning, and driving platform adoption. In addition to working with the customers in their book of business, they provide guidance and coaching to other CSMs and develop improvements to our customer engagement model. In the market, there are over 20 organizations that typically have 2-3 Staff CSAs.

The Staff CSA reports to the [Manager/Senior Manager/Director, Success Services](/job-families/sales/success-service-management/).

#### Staff CSA Job Grade

The Staff CSA is a job grade [level 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Staff CSA Responsibilities

Includes all responsibilities of the Intermediate and Senior Customer Success Architect (CSA) roles and expands on that in the following ways:

- Strategize on the overall objectives and long-range goals of the team
- Provide mentorship for Associate and Intermediate CSMs to help them grow in their technical knowledge and provide premium customer experience
- Work cross-departmentally to find solutions to complex scenarios and integration issues
- Demonstrate leadership in new feature and technology adoption and teaching by providing regular enablement and solution overview sessions and documentation for customers and other GitLab team-members
- Help drive team expertise and technical thought leadership
- Maintain deep knowledge of the GitLab platform
- Clearly communicate and drive adoption of complex technical solutions, with constant attention to promoting "boring solutions"

#### Staff CSA Requirements

Meets the requirements of the Intermediate and Senior Customer Success Architect (CSA) roles and the following requirements:

- Ability to translate business requirements into business value, and work with sales and marketing to promote value-driven solutions
- Strong knowledge of Customer Success best practices, with experience defining process and providing enablement programs to promote adoption in CS and across the company
- Expert in GitLab usage and able to train others in its usage
- Advanced knowledge of software development lifecycle and development pipeline
- Advanced project management experience & skills

## Specialties

### Public Sector Customer Success Architect (CSA)

#### Public Sector CSA Responsibilities

- Extends the corresponding Customer Success Architect level responsibilities, working exclusively with Public Sector customers

#### Public Sector CSA Requirements

In addition to the corresponding Customer Success Architect level requirements:

- TS/SCI Security Clearance if applicable
- Knowledge of and demonstrated progressive experience with Public Sector customers

## Performance Indicators

- net ARR (i.e., retention and expansion)
- [CSM-related metrics](/handbook/customer-success/csm/).

## Career Ladder

Team members in the Customer Success Architect job family may progress through the career ladder; in some instances team members may move to other roles in the Sales organization such as Customer Success Engineer, Customer Success Manager or Solutions Architect.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

### Recruiter Screening

Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.

### Written Assessment

The assessment is a written questionnaire, completed and submitted prior to interviews with members of the Customer Success team. The Recruiter working with the candidate will provide the written assessment following a successful [recruiter screening interview](#recruiter-screening).

### Hiring Manager Interview

The hiring manager interview is the first of the interviews with the Customer Success team. This interview is with the manager of the team the candidate is applying to join. It is a 30 minute interview.

### Peer Interview

The peer interview is conducted by an individual contributor who is a member of the team the candidate is applying to join. Peer interviewers are selected by the hiring manager. This is a 30 minute interview.

### Panel Interview

The panel interview consists of several members of the Customer Success team. It typically includes the hiring manager and two other team members. This is a 60 minute interview, with the following format:

- Live demonstration based on the guidance provided ahead of the interview by the recruiter
- General discussion and questions from the panel

### Reference and Background Check

Once the candidate has successfully completed all interview stages with positive recommendations at each stage, GitLab will complete [reference checks](/handbook/hiring/interviewing/#reference-check-process) and a [background check](/handbook/hiring/interviewing/#background-checks).

Additional details about our process can be found on our [hiring page](/handbook/hiring/interviewing/).
