---
title: "Customer Success Engineer"
description: "The Customer Success Engineering (CSE) team focuses on the themes of align, enable, and expand."
---

### Customer Success Engineer (CSE)

The Customer Success Engineer (CSE) role provides deep subject matter expertise on GitLab technical and product solutions and best practices. CSEs work alongside CSMs to provide customers with technical guidance, go in-depth on use case implementation, and demonstrate the value of GitLab product capabilities.

The Senior CSE reports to the Manager/Senior Manager, CSE.

#### Customer Success Engineer Responsibilities

- Engage with customers, via Zoom calls and emails, in a technical consultancy and advisor role during the post-sales process while providing technical and solution guidance
- Providing technical, architectural and best practice guidance
- Drive the achievement of measurable value (business outcomes), leading to product adoption, renewal, and expansion
- Align with Account Executives and Renewals Managers to provide customer-facing subject matter expertise based on the customer's business objectives
- Focus on solution-based programs that are customized to fit an individual customer's needs
- Develop and collaborate on customer workshops, demos, and other enablement
- Maintain specialty competency in one or more technologies related to GitLab's market focus through activities such as training, certification and creation of working examples for reuse internally and by customers and partners
- Continuously improve professional skills with a focus on personal mastery and team learning through activities such as training, reading and seeking mentorship from others
- Contributes to our docs, YouTube channel, and other enablement programs such as the Digital Journey

#### Customer Success Engineer Requirements

- Experience with a GitLab use case (SCM, CI, CD, DevSecOps, Agile Planning) to provide in-depth customer guidance and enablement
- Proficiency using DevSecOps tools or highly technical tooling in adjacent fields
- Specialize in GitLab use cases to provide in-depth guidance and enablement to customers of all sizes, including large enterprise organizations
- Technical experience in development or systems engineering
- Demonstrated capacity to clearly and concisely communicate about complex technical, architectural, and/or organizational problems and propose thorough iterative solutions
- Have demonstrated the ability to become a trusted technical advisor to customer and business leaders
- Exceptional verbal, presentation, and written communication skills
- Excellent time management and ability to work with several different teams at any given time

### Senior Customer Success Engineer

The Senior CSE reports to the Manager/Senior Manager, CSE.

### Senior Customer Success Engineer Job Grade

The Senior CSE is a job grade [level 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Customer Success Engineer Responsibilities

- Extends the Customer Success Engineer responsibilities
- Strategize on the overall objectives and long-range goals of the team
- Provide mentorship for CSEs to help them grow in their technical knowledge and provide premium customer experience
- Work cross-departmentally to find solutions to complex scenarios and integration issues
- Demonstrate leadership in new feature and technology adoption and teaching by providing regular enablement and solution overview sessions and documentation for customers and other GitLab team-members
- Help drive team expertise and technical thought leadership
- Maintain deep knowledge of the GitLab platform

### Senior Customer Success Engineer Requirements

- Extends the Customer Success Engineer requirements
- Ability to translate business requirements into business value, and work with sales and marketing to promote value-driven solutions
- Expert in GitLab usage and able to train others in its usage
- Advanced knowledge of software development lifecycle and development pipeline
- Advanced project management experience & skills

### Staff Customer Success Engineer

Market Justification: The business need for an individual contributor Staff CSE role is to have a team member who is a subject matter expert (SME) with deep subject matter expertise positioned to train on and refine the practice of the CSE function. The Staff CSE collaborates closely with the CSE and CSM leadership in further refining the direction and enablement of the CSE specialty within Customer Success Management. In the market, there are over 20 organizations that typically have 2-3 Staff CSEs.

The Staff CSE reports to the Manager/Senior Manager, CSE.

#### Staff Customer Success Engineer Job Grade

The Staff CSE is a job grade [level 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Staff Customer Success Engineer Responsibilities

- Extends the Senior Customer Success Engineer responsibilities
- Demonstrates seniority in 3 or more [customer use cases](/handbook/marketing/use-cases/)
- Provides subject matter expertise within a defined technical GitLab product area or as a trusted advisor
- Is proficient with DevOps frameworks (e.g., LeSS, SaFe, etc.) and can communicate customers' goals and capabilities as they relate to customers' adoption roadmaps
- Overlays with the global book of customers in roadblock areas for strategic customers removing barriers to growth and adoption concerning their area of expertise
- Periodically leads research and analysis of industry/market trends within customer success, with a focus on Customer Success data and trends
- Helps ensure GitLab is listening and hearing our customers and can remain responsive to them
- Increase global CS team knowledge and thought leadership within the realm of their expertise
- Serves as advisor to Product Team providing feedback to promote customer use cases and assist in product feature prioritization

#### Staff Customer Success Engineer Requirements

- Extends the Senior Customer Success Engineer requirements
- Experience and a proven track record with the additional responsibilities of a Staff TAM/CSE/CSM
- Technical / DevOps domain expertise
- Proven ability to overlay in customer technical risk situations and architect successful solutions
- Proven ability to consult and be consulted on topics requiring product/technical expertise
- Excellent moderation and communication skills
- Extensive experience within a technical or account management area

## Manager, CSE

The Manager, CSE, reports to the [Director of Customer Success Managers](/job-families/sales/customer-success-management/#director-of-customer-success-managers).

### Manager, CSE Job Grade

The Manager, CSE is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Manager, CSE Responsibilities

- Extends the responsibilities of [Manager, CSM](/job-families/sales/customer-success-management/#manager-csm) by:
  - Working with a variety of customers in countries across a whole super-region (Americas, EMEA, APAC)
  - Foster relationship and collaboration of the whole CSE community on a global level
  - Oversee the creation and delivery of workshops, webinars and other content scaled for a larger target group

### Manager, CSE Requirements

- Extends the responsibilities of [Manager, CSM](/job-families/sales/customer-success-management/#manager-csm) by:
  - Deeper technical understanding in DevSecOps and ability to coach and mentor team members on that topic
  - Experience with content creation and delivery at scale

## Senior Manager, CSE

The Senior Manager, CSE reports to the [Director of Customer Success Managers](/job-families/sales/customer-success-management/#director-of-customer-success-managers).

### Senior Manager, CSE Job Grade

The Senior Manager, CSE is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Manager, CSE Responsibilities

- Extends the Manager, CSE responsibilities
- DRI for one or more initiatives beyond the CSE manager role that includes: customer growth, expansion programs, and processes
- Action upon identified opportunities for continuous improvement across the customer lifecycle
- Consistent representation of our values to the customer, our CSE team, and the company as a whole
- Lead in cross-functional work representing customer success in GitLabs more strategic revenue-focused initiatives
- Owns and manages more than just the CSE manager purview - defined by looking for and solving larger team or organizational challenges, and owning initiatives that span wider than the CSE manager role
- Aligned with the objectives of GitLab and is responsible for ensuring that the CSE team as a whole is contributing to our company objectives
- Strategic in thinking to solve challenges for the entire CSE team and make improvements that will positively impact all customers

### Senior Manager, CSE Requirements

- Extends the Manager, CSE requirements
- Demonstrated progressive management experience leading teams in a software company
- Demonstrated progressive experience leading customer success managers/engineers, Technical Account Managers, account management or sales teams with team sizes of 5+ people
- Proven experience leading teams, driving software adoption, and building and scaling customer success practices

## Performance Indicators

- net ARR (i.e., retention and expansion)
- [CSM-related metrics](/handbook/customer-success/csm/).

## Career Ladder

The next steps in the Customer Success job family is to move to a senior job grade.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

### Recruiter Screening

Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.

### Written Assessment

The assessment is a written questionnaire, completed and submitted prior to interviews with members of the Customer Success team. The Recruiter working with the candidate will provide the written assessment following a successful [recruiter screening interview](#recruiter-screening).

### Hiring Manager Interview

The hiring manager interview is the first of the interviews with the Customer Success team. This interview is with the manager of the team the candidate is applying to join. It is a 30 minute interview.

### Peer Interview

The peer interview is conducted by an individual contributor who is a member of the team the candidate is applying to join. Peer interviewers are selected by the hiring manager. This is a 30 minute interview.

### Panel Interview

The panel interview consists of several members of the Customer Success team. It typically includes the hiring manager and two other team members. This is a 60 minute interview, with the following format:

- Live demonstration based on the guidance provided ahead of the interview by the recruiter
- General discussion and questions from the panel

### Executive Interview

Conducted by the [Senior Director of Customer Success](/job-families/sales/customer-success-management/#senior-director-of-CSMs), this is a discussion with the candidate as a final assessment interview to evaluate the candidate's suitability for the role. This is a 30 minute interview.

### Reference and Background Check

Once the candidate has successfully completed all interview stages with positive recommendations at each stage, GitLab will complete [reference checks](/handbook/hiring/interviewing/#reference-check-process) and a [background check](/handbook/hiring/interviewing/#background-checks).

Additional details about our process can be found on our [hiring page](/handbook/hiring/interviewing/).
