---
title: "Customer Success Leadership"
description: "The Customer Success Leadership roles are Director and above roles in the customer success organization."
---

The Customer Success Leadership team is responsible for leading a cross-cuntional team of customer success team members with an emphasis on the themes of align, enable, and expand.

## Levels

| Role | Grade |
| -- | - |
| [Director of Customer Success](#director-of-customer-success) | [Grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Director of Customer Success](#senior-director-of-customer-success) | [Grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Vice President of Customer Success](#vice-president-of-customer-success) | [Grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |

### Director of Customer Success

The Director of Customer Success reports to the [VP of Customer Success](/job-families/sales/customer-success-leadership/#vice-president-of-customer-success).

#### Director of Customer Success Job Grade

The Director of Customer Success is a job grade [level 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director of Customer Success Responsibilities

- Extends the Senior Manager, CSM responsibilities
- Set the overall vision and strategic plan for the Account Management organization, focusing on driving product adoption, leading customer outcomes, and experiences, and driving growth through gross renewals and net retention improvements
- Architect the post-sales customer experience and lifecycle by building a world-class customer success management practice and organization
- Partner with the Sales, Product, Engineering, Support, and Operations teams to deliver the best possible customer experience
- Drive customer outcomes, product adoption, and customer experience
  - Influence future lifetime value through higher product adoption, customer satisfaction, and overall health scores
  - Increase product adoption and drive new business growth through greater advocacy and referenceability
- Define and optimize customer lifecycle by driving programs and initiatives to improve engagement approaches based on customer segmentation and leading a culture of continuous improvement
- Develop company-wide customer success motion integrating processes, content and data to/from stakeholder organizations (e,g., Marketing, Sales, Product/Engineering, etc)
- Proven ability to develop strategies, translate them into initiatives and track successful delivery
- Build and lead world-class Customer Success Management team:
  - Recruit and develop a high performing team
  - Foster collaboration within the GitLab team and across customer stakeholders (i.e., technical, management and executives)
  - Lead enablement and operational practices to track and improve the performance of the teams and individuals
- Work closely with the Sales management and regional directors to align on strategies, renewal forecasting, coverage plans, and account opportunities (i.e., opportunities and risks)
- Drive account growth goals:
  - Expand GitLab product and license adoption, setting up expansion opportunities
  - Influence future lifetime value through higher product adoption, customer satisfaction/advocacy, and referenceability
- Be an inspirational role model by challenging and maximizing the team strengths and aligning their efforts to the mission, vision, and organizational strategy
- Address escalated customer issues with speed and urgency, orchestrating resources across the company as appropriate
- Build a world-class post-sales organization by implementing technology and processes
- This role is focused on customer success management and is not a technical support-related role

#### Director of Customer Success

- Extends the Manager, CSM requirements
- Demonstrated progressive experience leading customer success managers, account management or sales teams with team sizes of 30 people+
- Demonstrated progressive experience leading managers of customer success teams in a SaaS or subscription enterprise software company
- Demonstrated ability to lead managers and successfully manage global, distributed teams across cultures, lines of business, and geographies

### Senior Director of Customer Success

The Senior Director of Customer Success reports to the [VP of Customer Success](/job-families/sales/customer-success-leadership/#vice-president-of-customer-success)

#### Senior Director of Customer Success Job Grade

The Senior Director of Customer Success is a job grade [level 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director of Customer Success Responsibilities

- Extends that of the Director of Customer Success responsibilities
- Define and deliver strategies and plans that enhance and integrate into GitLab's Go-To-Market strategies and plans, including Sales, Marketing, Product, Growth, Operations, Channel/Alliance, and Data Teams
- Build engagement approaches (e.g., onboarding, success plan management, expansion plays, etc.) based on industry best practices while incorporating GitLab's unique value proposition and values
- Build and iterate on segmentation strategies based on customer economics, propensity to grow, lifecycle stage, and customer preferences, incorporating digital engagement at all segments
- Manage and nurture executive relationships with customers, including management of executive-level escalations

#### Senior Director of Customer Success Requirements

- Extends that of the Director of Customer Success requirements
- Demonstrated progressive experience leading managers of customer success teams in a SaaS or subscription enterprise software company

### Vice President of Customer Success

The Vice President of Customer Success is a job grade [level 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Vice President of Customer Success Responsibilities

- Extends the Senior Director of Customer Success responsibilities
- Provide strategic influence with customers accounts as well internally for programs and initiatives, continuously improving customer journey, segmentation approaches, and digital approaches
- Lead new developments and improvements across GitLab to improve customer experience, customer-centricity, and growth for GitLab
- Provide executive sponsorship for strategic accounts
- Develops a clear strategy and vision for their department, inspiring their team through communication in alignment with GitLab's mission, vision, and values
- Align and influence the Executive Team and senior leadership on CSM and GTM strategies and tactics
- Partner with the Sales organization to drive growth and retention and improve efficiency
- Lead company-wide strategies and initiatives to improve the customer experience and deliver voice-of-customer metrics and reporting across GitLab

#### Vice President of Customer Success Requirements

- Extends the Senior Director of Customer Success requirements
- Demonstrated experience in cross-functional leadership to influence internal organizations on strategic GTM initiatives
- Track record of successfully building, growing, and scaling global Customer Success Management teams, delivering to revenue and customer metrics
- Ability to influence, negotiate and build consensus with the Executive Team and senior leadership
- Brings experience building, scaling, and developing global teams
- Serves as an expert in Customer Success Management internally and with customers, partners, and industry communities

##### Vice President of Customer Success Performance Indicators

- Extends the Customer Success KPIs articulated [here](/job-families/sales/customer-success-management/#performance-indicators)
- Gross and net retention
- Customer metrics (onboarding, time-to-first value, use case and platform adoption, use case expansion, sentiment measured by NPS, CSAT, or surveys)

## Specialties

### Public Sector Customer Success Leader

#### Public Sector Customer Success Leader Responsibilities

- Extends the corresponding Customer Success Leadership level responsibilities, working exclusively with Public Sector customers

#### Public Sector Customer Success Leader Requirements

In addition to the corresponding Customer Success Leadership level requirements:

- TS/SCI Security Clearance if applicable
- Knowledge of and demonstrated progressive experience with Public Sector customers

## Performance Indicators

- net ARR (i.e., retention and expansion)
- [CS-related metrics](/handbook/customer-success/csm/).

## Career Ladder

Team members in the Customer Success Leadership job family may progress through the career ladder; in some instances team members may move to other roles in the Sales organization such as Professional Services or Solutions Architect.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

### Recruiter Screening

Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.

### Written Assessment

The assessment is a written questionnaire, completed and submitted prior to interviews with members of the Customer Success team. The Recruiter working with the candidate will provide the written assessment following a successful [recruiter screening interview](#recruiter-screening).

### Hiring Manager Interview

The hiring manager interview is the first of the interviews with the Customer Success team. This interview is with the manager of the team the candidate is applying to join. It is a 30 minute interview.

### Peer Interview

The peer interview is conducted by an individual contributor who is a member of the team the candidate is applying to join. Peer interviewers are selected by the hiring manager. This is a 30 minute interview.

### Panel Interview

The panel interview consists of several members of the Customer Success team. It typically includes the hiring manager and two other team members. This is a 60 minute interview, with the following format:

- Live demonstration based on the guidance provided ahead of the interview by the recruiter
- General discussion and questions from the panel

### Reference and Background Check

Once the candidate has successfully completed all interview stages with positive recommendations at each stage, GitLab will complete [reference checks](/handbook/hiring/interviewing/#reference-check-process) and a [background check](/handbook/hiring/interviewing/#background-checks).

Additional details about our process can be found on our [hiring page](/handbook/hiring/interviewing/).
