---
title: Customer Success Operations Job Family
description: "Customer Success Operations cross-functionally aligns GitLab for a superb customer experience through creating trust in data, clarity in effective processes, and predictability in outcomes."
---

Customer Success Operations cross-functionally aligns GitLab for a superb customer experience through creating trust in data, clarity in effective processes, and predictability in outcomes.

## Levels

### Customer Success Operations Specialist

#### Job Grade

The Customer Success Operations Specialist is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Develop and implement lifecycle processes, policies, and metrics to support customer outcomes and business growth, assisting to define appropriate touch points (i.e., human-led and digital) throughout the customer journey (pre and post initial sale)
- Develop methods, processes, systems, and tools to support our customers in each segment: Enterprise, Commercial, and Global Digital
Create and coordinate key reporting for GitLab leadership team, partnering with the Analyst team to provide reporting on customer adoption, sentiment, advocacy, and business results (i.e., forecasts, renewals, expansions, churn)
- Curate content and playbooks to allow the team to more efficiently and consistently deliver customer outcomes
- Identify opportunities for process automation and optimization, with a focus on scalability and driving significant growth
- Collaborate with Customer Success enablement to develop training and enablement to drive efficiency

#### Requirements

- BA/BS degree
- Relevant experience within or supporting Customer Success teams
- Experience with Customer Success Management systems (e.g., Gainsight/Totango/Client Success/etc., digital marketing tools)
- Experience with support and/or professional services a plus
- Strong analytical ability and able to prioritize multiple projects
- Salesforce experience and knowledge of enterprise SaaS tools
- Excellent problem solving, project management, interpersonal and organizational skills
- SaaS and B2B experience preferred
- Interest in GitLab, and open source software
- You share our values and work in accordance with those values
- Ability to use GitLab
- Experience with agile/DevOps and/or SDLC process and/or tools is a plus

### Customer Success Operations Analyst (Intermediate)

#### Job Grade

The Customer Success Operations Analyst is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Develop and implement lifecycle processes, policies, and metrics to support customer outcomes and business growth, assisting to define appropriate touch points (i.e., human-led and digital) throughout the customer journey (pre and post initial sale)
- Develop methods, processes, systems, and tools to support our customers in each segment: Enterprise, Commercial, and Global Digital
Create and coordinate key reporting for GitLab leadership team, partnering with the Analyst team to provide reporting on customer adoption, sentiment, advocacy, and business results (i.e., forecasts, renewals, expansions, churn)
- Curate content and playbooks to allow the team to more efficiently and consistently deliver customer outcomes
- Identify opportunities for process automation and optimization, with a focus on scalability and driving significant growth
- Collaborate with Customer Success enablement to develop training and enablement to drive efficiency
- Support the development and rollout of systems and digital tools to improve the team's effectiveness and efficiency and provide increased customer insights through data, automation, and telemetry

#### Customer Success Operations Analyst Requirements

- Extends that of the Associate Customer Success Operations Analyst Requirements
- Relevant experience supporting Customer Success teams
- Progressive experience in program management and/or operations
- Experience with Customer Success Management systems (e.g., Gainsight/Totango/Client Success/etc., digital marketing tools)
- Experience with support and/or professional services a plus
- Excellent problem solving, project management, interpersonal and organizational skills
- SaaS and B2B experience
- Exposure to building business models
- Interest in GitLab, and open source software
- You share our values and work in accordance with those values
- Ability to use GitLab
- Experience with agile/DevOps and/or SDLC process and/or tools is a plus

### Senior Customer Success Operations Analyst

#### Job Grade

The Senior Customer Success Operations Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Extends that of the Customer Success Operations Analyst (Intermediate) Responsibilities
- Significant oversight in Gainsight and/or other system architecture
- Leads cross-functional team initiatives and provides oversight to Customer Success
- Influences the Strategy and Operations teams delivery maturity through the developement and testing of best practies
- Delivers data views mapped to current and future business needs

#### Requirements

- Extends that of the Customer Success Operations Analyst (Intermediate) Requirements
- Extensive experience supporting Customer Success
- Progressive experience building and maintaining tools such as Gainsight, Salesforce, Mavenlink, and/or other Customer Success and Professional Services systems
- Relevant ownership of program management and/or operations
- Strong business acumen of GTM teams and strategies
- Multi-faceted delivery capabilities related to data systems and visualization
- Collaborates with senior stakeholders to drives clear definitions of data needs

### Customer Success Operations Manager

#### Job Grade

The Customer Success Operations Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Gainsight Administration: act as the primary administrator on our Gainsight Instance, this includes significant oversight of Gainsight and/or other system architecture
- Triage and refine Customer Success Operations issues for streamlined review and effective and timely deployments
- Manage Gainsight roadmap and agile milestone management to ensure timely completion of issues
- Drive cross-functional programs and initiatives to support scaling of the business and integrate the Customer Success engagement processes with teams throughout GitLab (e.g., sales, marketing, product)
- Lead the development and rollout of systems and digital tools to improve the team's effectiveness and efficiency and provide increased customer insights through data, automation, and telemetry
- Collaborate with Field Enablement to assist with training and enablement
- Identify opportunities to improve current reporting formats, processes, and systems
- Create and coordinate key reporting for GitLab leadership team, partnering with the Customer Success analyst to provide reporting on customer adoption, sentiment and advocacy and business results (i.e., forecasts, renew, expand, churn)
- Assist implementing lifecycle processes, policies and metrics to support customer outcomes and business growth, defining the appropriate touch points (i.e., human-led and digital) throughout the customer journey (pre and post initial sale)
- Operate as a thought partner to the Business by providing scalable approaches, operational priorities, and delivery insights that drive overall business outcomes

#### Requirements

- Extends that of the Customer Success Operations Analyst (Senior) Requirements
- Progressive experience building and maintaining tools such as Gainsight, Salesforce, Mavenlink, and/or other Customer Success and Professional Services systems
- Strong analytical ability and able to prioritize multiple projects
- Excellent problem solving, project management, interpersonal and organizational skills
- SaaS and B2B experience
- Interest in GitLab, and open source software
- You share our values and work in accordance with those values
- Ability to use GitLab
- Gainsight Admin certification, preferred
- Understanding and knowledge of product usage date is preferred
- Progressive experience with business model design, change and impact analysis, experiment design and metric design

### Manager, Customer Success Operations

The Manager Customer Success Operations reports to the [Director Customer Success Operations](/job-families/sales/customer-success-management/#senior-director-of-CSMs).

#### Job Grade

The Manager Customer Success Operations is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Lead the Customer Success Operations Team
- Build and optimize a company-wide customer success process in collaboration with the customer success team and broader GitLab organization
- Develop and implement lifecycle processes, policies and metrics to support customer outcomes and business growth, defining the appropriate touch points (i.e., human-led and digital) throughout the customer journey (pre and post initial sale)
- Develop methods, processes, systems and tools to appropriately support our customer segmentation strategies
- Drive cross-functional programs and initiatives to support scaling of the business and integrate the customer success engagement processes with teams throughout GitLab (e.g., sales, marketing, product)
- Lead the development and rollout of systems and digital tools to improve the team's effectiveness and efficiency and provide increased customer insights through data, automation, and telemetry
- Curate content and playbooks to allow the team to more efficiently deliver customer outcomes
- Create and coordinate key reporting for GitLab leadership team, partnering with the Customer Success analyst to provide reporting on customer adoption, sentiment and advocacy and business results (i.e., forecasts, renew, expand, churn)
- Act as liaison to Customer Success Enablement to drive training and enablement priorities, content and methods
- Collaborate with Customer Success Enablement to develop training and enablement to drive efficiency

#### Requirements

- BA/BS degree
- Progressive years leading Customer Success and/or Operations teams
- Relevant experience delivering on-time outcomes in program management and/or operations
- Relevant people management experience
- Experience with Customer Success Management systems (e.g., Gainsight/Totango/Client Success/etc., digital marketing tools)
- Experience with support and/or professional services a plus
- Strong analytical ability and able to prioritize multiple projects
- Salesforce experience and knowledge of enterprise SaaS tools
- Excellent problem solving, project management, interpersonal and organizational skills
- SaaS and B2B experience
- Interest in GitLab, and open source software
- You share our values and work in accordance with those values
- Ability to use GitLab
- Experience with agile/DevOps and/or SDLC process and/or tools is a plus
- [Leadership at GitLab](/handbook/leadership/#management-group)

### Senior Manager, Customer Success Operations

The Senior Manager, Customer Success Operations reports to the [Director Customer Success Operations](/job-families/sales/director-customer-operations/).

#### Job Grade

The Senior Manager, Customer Success Operations is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Extends that of the Manager Customer Success Operations Responsibilities
- Build and optimize a company-wide Customer Success process in collaboration with the Customer Success Team and broader GitLab organization
- Develop and implement lifecycle processes, policies and metrics to support customer outcomes and business growth, defining the appropriate touch points (i.e., human-led and digital) throughout the customer journey (pre and post initial sale)
- Acts as advisor to each CS Leader, providing relevant and timely insights to further develop each leader's strategy
- Drive cross-functional programs and initiatives to support scaling of the business and integrate the customer success engagement processes with teams throughout GitLab (e.g., sales, marketing, product)
- Lead the development and rollout of systems and digital tools to improve the team's effectiveness and efficiency and provide increased customer insights through data, automation, and telemetry
- Curate content and playbooks to allow the team to more efficiently deliver customer outcomes
- Create and coordinate key reporting for GitLab leadership team, partnering with the Customer Success analyst to provide reporting on customer adoption, sentiment and advocacy and business results (i.e., forecasts, renew, expand, churn)

#### Requirements

- Extends that of the Manager Customer Success Operations Requirements
- Significant experience leading Customer Success and/or Operations teams
- Expertise supporting and advisor Customer Success teams
- Unflappable in delivering presentations and demos with executive awareness
- Strong and relevant experience in program management and/or operations
- Progressive years of experience in leading field teams (Customer Success Managers, Account Management, Professional Services, Solution Architects) and/or Operations
- Experienced leading cross-functional initiatives in mid-sized or large organizations (i.e., 1000+ employees)
- Management experience with a team of at least 5 team members
- Experience with digital engagement approaches and methods preferred (i.e., Digital Customer Success / "tech touch," Digital Marketing)
- Strong verbal and written skills with a strong ability to articulate and communicate strategies and plans
- Demonstrated success with cross-functional coordination, including planning, execution tracking, decision making, and OKR management

## Performance Indicators

- SMAU
- [CSAT](https://internal.gitlab.com/handbook/it/it-performance-indicators/#customer-satisfaction-survey-csat)
- [PNPS](https://internal.gitlab.com/handbook/company/performance-indicators/product/#gitlab-com-paid-net-promoter-score-pnps)
- [Churn & customer retention metrics](/handbook/customer-success/customer-success-vision/#retention-and-reasons-for-churn)

## Career Ladder

The Customer Success Operations Job Family would flow into the [Director Customer Success Operations](/job-families/sales/director-customer-operations/) Job Family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Selected candidates will be invited to schedule a 30min [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 teammates
- Finally, candidates may be asked to complete a final interview with our leadership team

Additional details about our process can be found on our [hiring page](/handbook/hiring).
