---
title: "Deal Desk"
---

## Levels

### Deal Desk Specialist

The Deal Desk Specialist reports to Manager, Deal Desk.

#### Deal Desk Specialist Job Grade

The Deal Desk Specialist is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Deal Desk Specialist Responsibilities

- Serves as the trusted advisor to the Sales team on deal structure and quoting, advises the team on alternative contract options, and/or value propositioning to help drive deal closure.
- Monitors the Sales Support Slack channel to provide general assistance and advice on common deal questions and Quote to Cash process questions
- Monitors the Sales Support case queue in Salesforce, consistently maintaining case SLAs
- Partners with Field Sales to accelerate quoting process through operational efficiencies, training calls
- Collaborates with impacted parties to identify solutions for common Quote to Cash errors
- Personal Growth / Projects
  - As time allows, focus on Quote to Cash process automation and improvement

#### Deal Desk Specialist Requirements

- Demonstrated familiarity with the Enterprise SaaS/B2B Industry - Deal Desk, Order Management, Finance Operations, Sales Operations or Pricing experience preferred
- Demonstrated ability to partner with GTM Teams and other cross functional departments
- Experience in Direct and Channel Sales model is highly desirable
- Basic understanding of revenue recognition rules
- Highly organized, customer-focused, innovative and strong attention to details
- Excellent communicator, self-aware, transparent, professional, and open to feedback
- Ability to multitask and prioritize at times of high volume, schedule flexibility during End of Month, End or Quarter
- Ability to prioritize and effectively manage distractions
- Strong quantitative skills and highly proficient in gSuite, Salesforce.com
- Basic knowledge and understanding of a CPQ tool
- Interest in GitLab, and open source software, ability to use GitLab
- You share our values, and work in accordance with those values

#### Deal Desk Specialist Performance Indicators

- Sales Support Case SLA
- Sales Support Slack SLA
- Field Satisfaction
  - Responsiveness to cases
  - Efficiency in resolving issues
  - Transparency in addressing ongoing problems, SLAs, and field expectations

### Deal Desk Analyst

The Deal Desk Analyst reports to the Manager, Deal Desk.

#### Deal Desk Analyst Job Grade

The Deal Desk Analyst is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Deal Desk Analyst Responsibilities

- Extends that of the Deal Desk Specialist responsibilities
- Collaborates with impacted parties to identify acceptable options to facilitate deal closure
- Maintains and enforces agreed upon departmental review and approval SLAs
- Assists to interpret contractual language and escalate to ensure deals comply with revenue recognition and operational policies
- Monitors the Sales Support Slack channel to provide assistance and advice on complex deal questions and advanced Quote to Cash related matters
- Monitors the Sales Support Case queue, consistently maintaining case SLAs and handling complex and/or non-standard requests.
- Partners with Sales Operations and Sales Systems teams to facilitate process and system improvements
- Delivers relevant training to new and existing Sales reps on Deal Desk, Order Booking, and overall QTC best practices
- Represents Sales Operations / Deal Desk in QBRs and other regional Sales team meetings
- Personal Growth / Projects
  - Focus on Quote to Cash process automation and improvement, improving day to day tasks for Sales / Deal Desk

#### Deal Desk Analyst Requirements

- Demonstrated success in the Enterprise SaaS/B2B Industry - Deal Desk, Order Management, Finance Operations, Sales Operations or Pricing experience preferred
- Demonstrated success partnering with GTM Teams and other cross functional departments
- Experience in Direct and Channel Sales model
- Strong understanding of software revenue recognition and order process principles required
- Highly organized, customer-focused, innovative and strong attention to details
- Strong business acumen, strong reporting and analytics, troubleshooting, problem-solving, and project management skills
- Excellent communicator, self-aware, transparent, professional, and open to feedback
- Ability to multitask and prioritize at times of high volume, schedule flexibility during End of Month, End or Quarter
- Strong quantitative skills and highly proficient in gSuite, Salesforce.com, Zuora or similar CPQ tools
- Interest in GitLab, and open source software, ability to use GitLab
- You share our values, and work in accordance with those values

#### Deal Desk Analyst Performance Indicators

- Sales Support Case SLA
- Sales Support Slack SLA
- Field Satisfaction
  - Responsiveness to cases
  - Efficiency in resolving issues
  - Transparency in addressing ongoing problems, SLAs, and field expectations

### Deal Strategist

The Deal Strategist reports to the Manager, Deal Desk.

#### Deal Strategist Job Grade

The Deal Strategist is a Grade 7

#### Deal Strategist Responsibilities

- Trusted advisor & go-to resource for assigned sales region on deal structure, quoting, and order form creatio n; advises on alternate contract options to drive deal closure
- Primary point of contact for all questions related to deal structure, opportunity booking, subscription mgt and license delivery
- Monitors the Sales Support slack channel & SFDC Sales Support case queue to respond to questions
- Supports assigned sales region through the quote to cash process
- Manages issues through GitLab and Handbook updates
- Resolves booking errors for assigned region through Debooks/Rebooks; Refunds; Internal corrections
- Partners with cross-functional teams (Billing, Channel, Revenue) to support the Quote to Cash process
- Understands the license fulfillment process and provides guidance to the field for customers to apply licenses to GitLab instance
- Responsible for reviewing opportunities to result in accurate booking metrics (Net ARR, ARR Basis, Amount, Recurring Amount) & 1:1 relationship between Zuora Invoice & SFDC Opportunity is accurate
- Maintains subscription data, partnering with Sales Operations to ensure a 1:1 relationship between subscription and renewal opportunity
- Collaborates with impacted parties to identify solutions for common QTC errors
- Support overflow with the Deal Desk Analyst
- Participate in sales region forecast calls, QBRs, & EoQ Daily Standups

#### Deal Strategist Requirements

- Experience in SaaS and B2B industry - Order Processing, Deal Desk, Finance & Sales Operations
- Experience with Enterprise level deal structure
- Understanding of various Route to Market sales models
- Understanding of pricing & packaging with an ability to propose deal structuring
- Understanding of booking and revenue recognition rules
- Understanding of Legal terms that may have an impact on contract structuring
- Ability to manage conversations with sales to drive compliant opportunities for booking
- Detail oriented; organized; customer focused mindset
- Understanding of weekly, monthly and quarterly period close process
- Ability to prioritize workload to align with sales expectations
- Basic knowledge and understanding of a CPQ tool
- Proficiency in SFDC & gSuite
- Interest in GitLab and open source software; ability to use GitLab"

### Senior Deal Strategist

The Senior Deal Strategist reports to the Manager, Deal Desk.

#### Senior Deal Strategist Job Grade

The Senior Deal Strategist is a Grade 8

#### Senior Deal Strategist Responsibilities

- Trusted advisor & go-to resource for assigned sales region on deal structure, quoting, and order form creation; advises on alternate contract options to drive deal closure
- SME in Deal Desk activities, which impact bookings and complex deal structure
- Primary point of contact for all questions related to opportunity booking, subscription mgt and license delivery
- Montiors the Sales Support slack channel & SFDC Sales Support case queue to respond to questions
- Supports assigned sales region through the quote to cash process
- Manages issues through GitLab and Handbook updates
- Resolves booking errors for assigned region through Debooks/Rebooks; Refunds; Internal corrections
- Partners with cross-functional teams (Billing, Channel, Revenue) to support the Quote to Cash process
- Understands the license fulfillment process and provides guidance to the field for customers to apply licenses to GitLab instance
- Responsible for reviewing opportunities to result in accurate booking metrics (Net ARR, ARR Basis, Amount, Recurring Amount) & 1:1 relationship between Zuora Invoice & SFDC Opportunity is accurate
- Maintains subscription data, partnering with Sales Operations to ensure a 1:1 relationship between subscription and renewal opportunity
- Collaborates with impacted parties to identify solutions for common QTC errors
- Conduct weekly, monthly and quarterly reconciliations & support in an audit
- Serve as mentor to other team members, assisting with day-to-day process questions; review output; collaborate on complex deals
- Engage directly with clients as necessary through both written and verbal communications, helping to resolve Q2C issues
- Participate in sales region forecast calls, QBRs & Lead EoQ Daily Standups

#### Senior Deal Strategist Requirements

- Experience in SaaS and B2B industry - Order Processing, Deal Desk, Finance & Sales Operations
- Experience leading Enterprise level deal structure conversations
- Strong Understanding of pricing & packaging with an ability to propose deal structuring
- Understanding of various Route to Market sales models
- Strong Understanding of booking and revenue recognition rules
- Strong Understanding of Legal terms that may have an impact on contract structuring
- Ability to manage conversations with sales to drive compliant opportunities for booking
- Detail oriented; organized; customer focused mindset
- Understanding of weekly, monthly and quarterly period close process
- Ability to prioritize workload to align with sales expectations
- Basic knowledge and understanding of a CPQ tool
- Proficiency in SFDC & gSuite
- Interest in GitLab and open source software; ability to use GitLab

### Manager, Deal Desk

The Manager, Deal Desk reports to the Senior Manager, Deal Desk.

#### Manager, Deal Desk Job Grade

The Manager, Deal Desk is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Deal Desk Responsibilities

- People Manager to regional Deal Desk Specialist, Deal Desk Analyst, Senior Deal Desk Analyst roles, Order Management Specialist, and Senior Order Management Specialist roles.
- Serves as the primary advisor to Regional Field Team on all deal related matters, advising the team on alternative contract options, and/or value propositioning to help drive deal closures
- DRI to all Quote to Cash projects within supported region - responsible for delegating projects to team when applicable, reporting status of project to Sr. Manager Deal Desk
- Owns day-to-day quote management and pricing approvals for the applicable region, ensuring compliance with published sales and business approval policies
- Acts as point of escalation for regional deal-related matters
- Advises on approval processes, approves exceptions as necessary
- Assists to interpret contractual language and escalate to ensure deals comply with revenue recognition and operational policies
- Develops and drives initiatives to improve productivity, Deal Desk improvements, company deal policies and simplifying processes throughout the Sales Operations and Sales Organization
- Oversees Monthly Reconciliation processes
- Partners with Sales Operations on process/system improvements, sales enablement and special projects
- Delivers relevant training to new and existing Sales reps on Deal Desk, Order Booking, and overall QTC best practices
- Represents Sales Ops / Deal Desk in Regional Leadership QBRs

#### Manager, Deal Desk Requirements

- Proven success managing a Deal Desk function in the Enterprise SaaS/B2B Industry
- Proven success partnering with GTM Teams and other cross functional departments
- Strong experience in Direct and Channel Sales models
- Strong experience in contract/legal negotiations with enterprise customers and working with enterprise sales teams.
- Strong understanding of software revenue recognition and order process principles required
- Highly organized, customer-focused, innovative and strong attention to details
- Strong business acumen, strong reporting and analytics, troubleshooting, problem-solving, and project management skills
- Excellent communicator, self-aware, transparent, professional, and open to feedback
- Ability to multitask and prioritize at times of high volume, schedule flexibility during End of Month, End or Quarter
- Strong quantitative skills and highly proficient in gSuite, Salesforce.com, Zuora or similar CPQ tools
- Interest in GitLab, and open source software, ability to use GitLab
- You share our values, and work in accordance with those values

### Senior Manager, Deal Desk

The Senior Manager, Deal Desk reports to the [Sr. Director, Sales Operations](/job-families/sales/sales-operations/#senior-director-sales-operations).

#### Senior Manager, Deal Desk Job Grade

The Senior Manager, Deal Desk is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Deal Desk Responsibilities

- Extends that of the Manager, Deal Desk responsibilities
- Managing cross functional projects to improve the entire Quote to cash process
- Create and deliver sales enablement on topics related to quoting, deal closure and bookings policy
- Implement new software and software enhancements to support Sales needs
- Work with finance to enforce and iterate on our bookings policies
- Serve as principal liason with financial compliance teams

#### Senior Manager, Deal Desk Requirements

- Extends that of the Manager, Deal Desk requirements
- Demonstrated progressive proven success in Enterprise SaaS/B2B Industry, Deal Desk, Finance, Sales Operations or Pricing experience preferred
- Familiarity with pre-IPO compliance topics
- Strong executive presence

### Senior Director, Deal Desk

The Senior Director, Deal Desk reports to the [Sr. Director, Sales Operations](/job-families/sales/sales-operations/#senior-director-sales-operations).

#### Senior Manager, Deal Desk Job Grade

The Senior Director, Deal Desk is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director, Deal Desk Responsibilities

- Extends that of the Senior Manager and Manager Deal Desk responsibilities
- Global leader of Deal Desk Organization, Responsible for the success and Iteration of a comprehensive Deal Desk and Order Management organization from hiring, personnel management and enablement as well as process and policies
- Manage a team of managers, each with their own direct reports
- Primary owner of all Bookings reconciliations and fidelity
- Create and deliver sales enablement on topics related to quoting, deal closure and bookings policy
- Partner directly with Sales and Finance leaders to deliver timely solutions to customer needs
- Work with our internal and external audit and accounting teams to enforce and iterate on our bookings policies
- Implement new policies and capabilities to support a dynamic and growing business
- Primary owner of SFDC Bookings fidelity and reconciliations

#### Senior Director, Deal Desk Requirements

- Extends that of the Senior Manager, Deal Desk requirements
- Demonstrated  success in Deal Desk organizations supporting fast growing and complex sales team
- Familiarity with public company compliance and audit requirements
- Customer-focused solution mindeset is a must
- Strong emotional intelligence and experience in multi-layered people management
- Strong executive presence, ability to tell a story from data but also be succinct

## Specialties

## Performance Indicators

- Sales Support Case SLA
- Sales Support Slack SLA
- Private Offer SLA
- Field Satisfaction
  - Responsiveness to cases
  - Efficiency in resolving issues
  - Transparency in addressing ongoing problems, SLAs, and field expectations
- Sales KPIs.

## Career Ladder

The next steps for the Deal Desk Job Family is to move to the [Sales Operations](/job-families/sales/sales-operations/) Job Family.

## Hiring Process

Applicants for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30min [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 Team Members
- There may be a final executive interview

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
