---
title: "Demo Architect"
description: "Demo architect or Demonstration architects are the trusted advisors to Pre & Post sales teams. Demo architects own creation, maintenance and enablement of delivery of customized customer facing demos, workshops and other customer facing collateral."
---

Demo Architects are critical in scaling sales function across the organization and delivering customer revenue.

This is a cross functional role that collaborates with Solutions Architects, IT Systems Engineering, and Marketing to make sure a central repository of all the content is curated, maintained and made visible at a regular cadence.

## Levels

### Associate Demo Architect

The Associate Demo Architect reports to the Manager or Director, Solutions Architect.

#### Associate Demo Architect Job Grade

The Associate Demo Architect is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#customer-success)

#### Associate Demo Architect Responsibilities

- DRI for a central repository for all demo collaterals as the single source of truth for demos, workshops and hands on labs.
- Seek regular feedback from and provide updates to SA Leadership on the demo needs of the organization.
- Communicate updates and demo architecture roadmaps to the SA organization on at least a quarterly basis.
- Collaborate with the [it-systems-engineering](/job-families/finance/it-systems-engineer/) team to ensure GitLab instances are configured and available for demonstrations and workshops.
- Ensure systems contain reliable, current data for repeatability in storytelling.

#### Associate Demo Architect Requirements

- Basic/intermediate knowledge of software development lifecycle
- Basic/intermediate knowledge of the entire GitLab application
- Basic understanding of continuous integration, continuous deployment, and cloud-native technology
- Experience with modern development practices strongly preferred, including Kubernetes, Docker, Package Management, Application Security (SAST, DAST), Cloud infrastructure, and serverless
- Excellent time management and self-organization skills while performing a wide range of tasks and quickly pivoting to respond to higher priorities
- Ability to use GitLab
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

### Demo Architect

The Demo Architect reports to the Manager or Director, Solutions Architect.

#### Demo Architect Job Grade

The Demo Architect is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#customer-success)

#### Demo Architect Responsibilities

- Extends Associate Demo Architect Responsibilities
- DRI for Global Solutions Architecture demos, customer facing hands-on workshop collaterals that portrays current companies visions and marketing strategies.
- Collaborate With cross functional GitLab team members to ensure demos remain current in accordance with the GitLab platform release cadence.
- Create and deliver documentation and enablement to the Solutions Architecture team on how to use the demos, workshop, and other related artifacts.
- DRI for providing clear and up-to-date handbook information on how to leverage all demo architecture resources, demo architecture roadmaps, and FAQs.

#### Demo Architect Requirements

- Extends Associate Demo Architect Requirements
- IT industry software development experience
- Technical sales experience
- Deep knowledge of software development lifecycle
- In-depth knowledge of the entire GitLab application
- Understanding of continuous integration, continuous deployment, and cloud-native technology
- Experience with waterfall, Agile (SCRUM, Kanban, etc.) and able to discuss workflows for different software development processes

### Senior Demo Architect

The Senior Demo Architect reports to the Manager or Director, Solutions Architect.

#### Senior Demo Architect Job Grade

The Senior Demo Architect is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#customer-success)

#### Senior Demo Architect Responsibilities

- Extends the Demo Architect responsibilities
- Assists with creating, maintaining demo collateral for Solutions Architect and Solutions Architect Manager onboarding
- Assists with Solutions Architect led hands on customer workshops, demos
- Solve technical customer issues of broad scope and high complexity
- Directly responsible for several broader team-learning initiatives and activities
- Propose improvements and innovation for customer calls and product demonstrations based on current market trends
- Maintain in-depth knowledge of the entire GitLab application
- Represent GitLab as a speaker at field events or as an author in GitLab-focused publications and blogs
- Develop a strategy leveraging market and industry knowledge and trends

#### Senior Demo Architect Requirements

- Extends the Demo Architect requirements
- Has experience with the additional responsibilities of a Senior Demo Architect

## Performance Indicators

- This role will collaborate with enterprise, commercial and public sector teams of the Solutions Architecture organization to contribute to [Sales KPIs](https://internal.gitlab.com/handbook/company/performance-indicators/sales/#kpi-summary) especially to drive new (i.e., new logos) and growth bookings
- This role will collaborate with cross functional teams and Solutions Architects to drive [okrs](https://gitlab.com/gitlab-com/customer-success/solutions-architecture-leaders/sa-initiatives/-/boards/5299552?label_name[]=FY24-Q1&label_name[]=OKR&label_name[]=Solutions%20Architecture&label_name[]=FY24-Q2) along with company wide okrs

## Career Ladder

A Demo Architect can progress through the various individual contributor levels.

---

## Hiring Process

Candidates can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

### Individual Contributor Hiring Process

- Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with our Global Recruiters.
- Next, candidates will be invited to schedule a first interview with the SA team Manager or Director.
- Candidates may be invited to schedule an interview with a Demo Architect peer or other SA team Manager or Director.
- Then, candidates will be required to deliver a demo of GitLab to a panel of Customer Success attendees using the [Demo Guide](https://gitlab-com.gitlab.io/customer-success/solutions-architecture/sa-candidate-experience/panel_instructions/).
- Candidates may be invited to additional interviews.
- Successful candidates will be made an offer after references are verified.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
