---
title: "Digital Success"
description: "Digital Success team is a post-sales motion, accountable for driving customer adoption, measurable outcomes, and customer satisfaction through digital-first strategies."
---

## Digital Success

The Digital Success team is a post-sales motion, accountable for driving customer adoption, measurable outcomes, and customer satisfaction through digital-first strategies, primarily focused on GitLab's long-tail customer base. This team plays a crucial role in scaling our customer success efforts and increasing customer retention and expansion.

## Responsibilities

The Digital Success team is expected to:

- Develop and execute comprehensive Digital Customer Success strategies
- Design, implement, and optimize digital-first programs to drive product adoption, customer retention, and expansion
- Collaborate with cross-functional teams to create cohesive, personalized digital experiences throughout the customer lifecycle
- Oversee digital onboarding programs, feature adoption campaigns, and customer enablement initiatives
- Implement and manage customer health scoring systems
- Drive the adoption and utilization of customer success platforms and other digital tools
- Develop and track key performance indicators (KPIs) for Digital CS initiatives
- Identify and implement tools and technology to drive adoption at scale
- Stay abreast of industry trends and best practices in Digital Customer Success

## Levels

| Role                              | Grade                                                                                             |
|-----------------------------------|---------------------------------------------------------------------------------------------------|
| Associate Digital Customer Manager | [Grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)  |
| Digital Success Manager           | [Grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)  |
| Senior Digital Success Manager    | [Grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)  |
| Manager, Digital Success          | [Grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)  |
| Director, Digital Success         | [Grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |

### Associate Digital Success Manager

The Associate Digital Success Manager reports to the Director, Digital Success.

#### Associate Digital Success Manager Job Grade

The Associate Digital Success Manager is a [Grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Associate Digital Success Manager Responsibilities

- Assist in the implementation of digital onboarding programs and adoption campaigns
- Monitor customer health scores and usage data to identify trends and opportunities
- Maintain digital content for customer enablement initiatives
- Support the execution of email campaigns and in-app messaging programs
- Assist in tracking and reporting on key performance indicators (KPIs) for Digital CS initiatives
- Collaborate with cross-functional teams to gather insights for improving digital customer experiences
- Contribute to the development and maintenance of customer success playbooks

#### Associate Digital Success Manager Requirements

- Experience in Customer Success, preferably in a SaaS environment
- Familiarity with customer success platforms and marketing automation tools
- Analytical and problem-solving skills
- Excellent written and verbal communication skills
- Ability to work effectively in a fast-paced, team-oriented environment

### Digital Success Manager

The Digital Success Manager reports to the Director, Digital Success.

#### Digital Success Manager Job Grade

The Digital Success Manager is a [Grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Digital Success Manager Responsibilities

- Design and implement digital onboarding programs and adoption campaigns
- Analyze customer health scores and usage data to drive strategic decisions
- Develop and optimize digital content for customer enablement initiatives
- Manage and improve email campaigns and in-app messaging programs
- Track, report on, and optimize key performance indicators (KPIs) for Digital CS initiatives
- Lead cross-functional collaborations to enhance digital customer experiences
- Create and maintain customer success playbooks
- Identify opportunities for automation and scalability in customer success processes

#### Digital Success Manager Requirements

- Experience in Customer Success or related field, preferably in a SaaS environment
- Proficiency with customer success platforms and marketing automation tools
- Strong data analysis and interpretation skills
- Excellent project management and organizational abilities
- Proven ability to translate customer insights into actionable strategies
- Experience with digital content creation and campaign management

### Senior Digital Success Manager

The Senior Digital Success Manager reports to the Director, Digital Success.

#### Senior Digital Success Manager Job Grade

The Senior Digital Success Manager is a [Grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Digital Success Manager Responsibilities

- Lead the strategy and execution of complex digital onboarding programs and adoption campaigns
- Conduct advanced analysis of customer health scores and usage data to drive business decisions
- Oversee the development and optimization of digital content strategy for customer enablement
- Design and implement sophisticated email campaigns and in-app messaging programs
- Develop and manage comprehensive KPI frameworks for Digital CS initiatives
- Spearhead cross-functional projects to revolutionize digital customer experiences
- Mentor junior team members and contribute to team's professional development
- Drive innovation in customer success processes through advanced automation and AI integration

#### Senior Digital Success Manager Requirements

- Experience in Customer Success or related field, with a focus on digital strategies
- Expert knowledge of customer success platforms and marketing automation tools
- Advanced data analysis and visualization skills
- Proven track record of driving customer adoption and retention through digital initiatives
- Experience in leading cross-functional projects and mentoring team members
- Strong strategic thinking and ability to align digital CS initiatives with overall business objectives

### Manager, Digital Success

The Manager, Digital Success reports to the Senior Manager or Director, Digital Success.

#### Manager, Digital Success Job Grade

The Manager, Digital Success is a Grade 8.

#### Manager, Digital Success Responsibilities

- Manage a team of Digital Success Managers, providing guidance, mentorship, and performance management
- Develop and implement strategies to improve team performance and efficiency
- Collaborate with cross-functional teams to align digital success initiatives with broader company goals
- Oversee the execution of digital onboarding programs, adoption campaigns, and customer enablement initiatives
- Analyze team performance metrics and customer data to inform strategy and decision-making
- Contribute to the development of scalable processes and best practices for the Digital Success team
- Identify opportunities for automation and process improvement to enhance team efficiency
- Ensure consistent delivery of high-quality digital customer experiences
- Participate in resource planning and budget management for the Digital Success team

#### Manager, Digital Success Requirements

- Proven experience in Customer Success or related field
- Proven track record of managing and developing high-performing teams
- Strong understanding of SaaS business models and digital customer success strategies
- Experience with customer success platforms, marketing automation tools, and data analytics
- Excellent project management and organizational skills
- Strong communication and interpersonal skills, with the ability to collaborate effectively across departments
- Demonstrated ability to drive customer adoption and retention through digital initiatives
- Alignment with GitLab values and ability to work in accordance with those values

### Senior Manager, Digital Success

The Senior Manager, Digital Success reports to the Director, Digital Success.

### Senior Manager, Digital Success Job Grade

The Senior Manager, Digital Success is a Grade 9.

### Senior Manager, Digital Success Responsibilities

- Extends the Manager, Digital Success role
- Design and implement comprehensive digital success strategies aligned with GitLab's overall customer success objectives
- Drive the adoption and optimization of digital-first programs to improve product adoption, customer retention, and expansion
- Collaborate with senior leadership across departments to create and execute on strategic initiatives
- Oversee the development and implementation of sophisticated customer health scoring systems and predictive analytics
- Lead the evaluation and implementation of new technologies and tools to enhance digital success capabilities
- Develop and manage KPIs for the Digital Success organization, ensuring alignment with company-wide objectives
- Contribute to long-term strategic planning for the Customer Success organization
- Manage budget and resource allocation for the Digital Success team

### Senior Manager, Digital Success Requirements

- Proven track record of building and scaling successful digital customer success programs
- Deep understanding of SaaS business models, customer lifecycle management, and digital engagement strategies
- Experience with advanced customer success platforms, marketing automation tools, and business intelligence systems
- Strong analytical skills with the ability to translate complex data into actionable insights and strategies
- Excellent leadership skills with the ability to inspire and develop high-performing teams
- Strategic thinking and problem-solving skills, with the ability to navigate complex business challenges
- Strong communication and presentation skills, with experience presenting to executive leadership
- Demonstrated ability to drive significant improvements in key customer success metrics
- Alignment with GitLab values and ability to work in accordance with those values

### Director, Digital Success

The Director, Digital Success reports to the [VP of Customer Success](/job-families/sales/customer-success-leadership/#vice-president-of-customer-success).

#### Director, Digital Success Job Grade

The Director, Digital Success is a [Grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Digital Success Responsibilities

- Develop and execute a comprehensive Digital Customer Success strategy aligned with GitLab's overall customer success objectives and long-tail customer segment needs
- Lead the design, implementation, and optimization of digital-first programs to drive product adoption, customer retention, and expansion
- Collaborate with cross-functional teams (Marketing, Product, Support, CS Strategy, and Sales) to create cohesive, personalized digital experiences throughout the customer lifecycle
- Oversee the development and execution of digital onboarding programs, feature adoption campaigns, and customer enablement initiatives
- Implement and manage a robust customer health scoring system to identify at-risk accounts and expansion opportunities
- Drive the adoption and utilization of our customer success platform and other digital tools to enhance efficiency and scalability
- Develop and track key performance indicators (KPIs) for Digital CS initiatives, focusing on customer retention, Net Dollar Retention (NDR), and expansion revenue, aligned with sales GTM segments
- Own the customer outcomes, aligned with the established KPIs, for the long-tail customer segment
- Lead and mentor a team of Digital Customer Success Managers, fostering a culture of innovation and continuous improvement
- Identify and implement tools and technology that will up-level our ability to drive adoption at scale
- Stay abreast of industry trends and best practices in Digital Customer Success, continuously evolving our strategies to maintain a competitive edge

#### Director, Digital Success Requirements

- Experience in Customer Success Leadership, with expertise within Digital CS initiatives
- Proven track record of implementing successful Digital CS programs that drive measurable business outcomes
- Strong understanding of SaaS business models and the DevOps landscape
- Experience with customer success platforms, marketing automation tools, and in-app messaging systems
- Excellent analytical skills with the ability to translate data - in particular product usage data - into actionable insights
- Strong leadership and team management experience
- Exceptional communication and stakeholder management skills
- Experience with commercial and small business customers
- Alignment with GitLab values and ability to work in accordance with those values

## Performance Indicators

- Net Dollar Retention (NDR) for the long-tail customer segment
- Customer retention rates
- Product adoption rates and feature usage
- Efficiency indicators (e.g., number of customers managed per Digital CSM, Cost to Serve Ratios)
- Customer Health Score improvements
- Customer Satisfaction Score (CSAT) for digitally managed accounts
- Expansion revenue generated through digital initiatives
- Engagement rates for digital campaigns (email open rates, click-through rates, in-app message engagement)
- Time-to-value for customers in digital onboarding programs
- Scalability metrics (number of customers effectively managed through digital programs)

## Career Ladder

The Digital Success career ladder progresses from Associate Digital Customer Success Manager to Digital Customer Success Manager, then to Senior Digital Customer Success Manager, followed by Director, Digital Success. The next step after Director would be Senior Director, Digital Success. However, careers at GitLab can also develop in other directions, including moves to other departments or specialties within the Customer Success organization.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

1. Selected candidates will be invited to schedule a screening call with our Global Recruiters
2. Next, candidates will be invited to schedule a first interview with the VP of Customer Success
3. Candidates will then be invited to schedule an interview with a Customer Success Director peer
4. Candidates will be invited to schedule an interview with a leader from the Marketing team
5. Candidates will be invited to schedule an interview with a leader from the SMB Sales team
6. Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring/interviewing/).

## Compensation

To view the relevant compensation range for your location, please visit our [compensation calculator](/handbook/total-rewards/compensation/compensation-calculator/). This role also includes equity and variable pay opportunities in addition to base compensation.
