---
title: "Channel Programs & Enablement"
---

## Director, Channel Programs & Enablement

The Director of Partner Programs & Enablement helps manage and support the growth of the channel business. They are responsible for the day to day channel program development/operation as well as the execution of our partner program. The Director, Channel Programs and Enablement reports into the VP, Channel Sales and works cross-functionally with marketing, sales, product, channel ops, and legal to integrate channel programs throughout the business.

### Job Grade

The Director, Channel Programs & Enablement is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Responsible for the design, build and management of partner programs to support GitLab Channel working in collaboration with the Channel Sales team
- Develop Partner Program collateral/documents and onboarding tools to enhance overall partner experience and communicate to partners
- Develop Partner Portal; leveraging SFDC & PRM - working with marketing & Channel Ops
- Provide management of Partner Portal to create an engaging platform for partners to interact with GitLab (lead registration, opportunity tracking, commissions, etc)
- Work with channel operations/IT to implement channel strategy, data/reporting, system workflows, and overall operational governance for the program
- Design Channel Enablement Certification & Badge Model.  Work closely with Channel Marketing, Channel Services, Customer Success & Sales enablement on partner enablement tools/training and implement as part of overall program
- Manage and provide administration of partner agreements/partner contracting working in coordination with legal
- Communicate channel programs, strategies & events and updates internally to drive alignment throughout the business
- Work cross-functionally with marketing, product, legal and finance to continue to implement and grow partner programs and ensure alignment across the business
- Work with partners to solicit feedback on existing programs/processes and implement changes (Partner Advisory Councils, via channel teams, etc)
- Build a team to effectively manage channel programs, enablement, portal, comms & MDF/incentive management.

### Requirements

- Prior experience in running Partner Programs, Channel Enablement, Channel Marketing and/or Channel Development in the services/IT space
- Thrive in a fast-paced, ever-changing environment
- Problem solver and self-motivated
- Exceptional oral and written communication and presentation skills required
- Strong interpersonal skills
- Ability to conceptualize and sell ideas internally
- Excellent time-management and multi-tasking abilities
- Innovation and the ability to gain consensus is necessary
- Works extremely well as a member of a team, but also excels as an individual contributor
- You share our values, and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#director-group)
- Ability to use GitLab
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

## Senior Channel Program Manager

The Channel Program Manager will be responsible for the design, management & execution of GitLab's Channels & Alliances Partner Programs.  In addition to the partner programs, the Channel Programs Managers will manage deal registration, recruitment and partner success programs and manage the partner advisory council.

### Job Grade

The Senior Channel Program Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Collaborate across Channels & Alliances teams to gather requirements for Programs
- Design, build and manage Partner Programs including the Program Guide, MDF Program, Reseller, Services, Alliances, Deal Registration Program, etc.
- Design program guides that details requirements and benefits, terms and conditions, etc.
- Design, build & launch partner portal.
- Manage all communications to the channel via portal, newsletters, social channels.
- Design and launch field / channel rules of engagement.
- Design & launch field enablement on Partner Program, Rules of Engagement, Deal Reg, How to Partner, etc.
- Collect and manage feedback from channel partners into the ongoing roadmap for the Channel Program.
- Work cross functionally with sales operations, marketing, finance, enablement and technical teams to secure, operationalize and manage all the committed benefits to the partners.
- Document policies and processes to support all aspects of the program and enables global execution.
- Establish and track metrics of the program, run a quarterly compliance process with the Channel & Alliances field.
- Working with your peers, marketing & Sales operations

### Requirements

- Bachelor's degree with demonstrated progressive experience in channel programs.
- Experience building and managing a partner program in DevOps space
- Excellent communication, analytical and organizational skills.
- Execution & revenue focused
- Great project & program management skills, ability to leverage, manage & lead virtual teams
- Successfully designed, built and managed partner portals.

## Senior Director, Channel Programs & Enablement

The Senior Director, Channel Programs & Enablement reports to the [VP of Global Channels](/job-families/sales/vp-of-global-channels/).

### Job Grade

The Senior Director, Channel Programs & Enablement is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

### Requirements

### Performance Indicators

[Sales KPI's](https://internal.gitlab.com/handbook/company/performance-indicators/sales/#kpi-summary)

## Career Ladder

The Channel Programs and Enablement Job Family next steps would be to move to the [VP of Global Channels](/job-families/sales/vp-of-global-channels/) Job Family.

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

1. Phone screen with a GitLab Recruiting team member
1. Video Interview with the Hiring Manager
1. Team Interviews with 1-4 teammates
Additional details about our process can be found on our [hiring page](/handbook/hiring/).
