---
title: Director of Customer Success Operations
---

The Director of Customer Success Operations Job Family is responsible for defining, leading, and tracking strategic and operational programs and initiatives to improve GitLab's ability to effectively and efficiently deliver to customer and GitLab objectives. The Customer Operations Team works cross-functionally orchestrating results with Customer Success, Sales, Marketing, Product and Engineering, Support, People Operations, and Finance.

## Levels

### Director of Customer Success Operations

The Director of Customer Success Operations reports to the [Sr. Director, Customer Success Operations](/job-families/sales/director-customer-operations).

#### Job Grade

The Director Customer Success Operations is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Responsibilities

- Define, lead, and track strategic and operational programs to successful completion
- Develop and deliver GTM initiatives to improve the effectiveness and efficiency of sales and adoption capabilities for GitLab prospects and customer, including:
  - Customer journey development
  - Lifecycle management processes and playbooks
  - Customer Health Scoring
  - Go-to-market (GTM) and/or adoption campaigns, including collaboration with Marketing, Product / Growth, Data Teams, and Sales * Operations
  - Digital journey development, content creation and curation, and metrics
  - Processes and playbooks for Solution Architect and Customer Success Manager
- Internal or customer-related programs and initiatives
- Own partnership with Product, bringing "voice of customer" to Product teams, including interlock, reporting, metrics, and facilitating customer engagement (e.g., surveys, interviews, etc.)
- Leverage data and analytics to develop, lead, and measure results for GTM sales and adoption-related initiatives, programs, and campaigns
- Define, develop, and continuously improve GitLab's renewal process through:
  - Renewal segmentation frameworks for efficient management
  - Effective field-tested customer engagement strategies

#### Requirements

- Demonstrated progressive experience with operations or related experience with a technical SaaS or subscription software service
- Demonstrated progressive customer success experience leading field teams (Customer Success Managers, Account Management, Professional Services, Solution Architects) and/or operations
- Experience with software development tools, practices, and methodologies is a plus
- Experienced leading cross-functional initiatives in mid-sized or large organizations (i.e., 1000+ employees)
- Experience with defining and leading digital engagement strategies (i.e., digital journey creation, content marketing, etc.)
- Management experience with a team of at least 5 team members
- Experience with digital engagement approaches and methods preferred (i.e., Digital Customer Success / "tech touch," Digital Marketing)
- Strong verbal and written skills with a strong ability to articulate and communicate strategies and plans
- Demonstrated success with cross-functional coordination, including planning, execution tracking, decision making, and OKR management
- Ability to use GitLab
- Ability to learn GitLab as part of the role
- You share our [values](/handbook/values/) and work in accordance with those values
- [Leadership at GitLab](/handbook/company/structure/#director-group)

### Senior Director of Customer Success Operations

The Senior Director of Customer Success reports to the [VP of Revenue Operations](/job-families/sales/vp-revenue-operations/).

#### Senior Director of Customer Success Operations Job Grade

The Senior Director of Customer Success Operations is a job grade [level 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Director of Customer Success Operations Responsibilities

- Extends that of the Director of Customer Success Operations responsibilities
- Define and deliver strategies and plans that enhance and integrate into GitLab's Go-To-Market strategies and plans, including Sales, Marketing, Product, Growth, Operations, Channel/Alliance, and Data Teams
- Build market-specific strategies and plans leveraging based on industry best practices (i.e., pre-sales, professional services, customer success management, renewals, data management) to improve growth efficiency and net retention
- Provide insights on program and recommendations to increase sales efficency

### Senior Director of Customer Success Operations Requirements

- Exends that of the Director of Customer Success Operations requirements
- Demonstrated progressive experience leading managers of customer success operations teams in a SaaS or subscription enterprise software company
- Develops and hires a diverse team; promotes a positive team culture aligned to our values

## Performance Indicators

- Bookings and revenue growth as measured by [ARR](/handbook/sales/sales-term-glossary/arr-in-practice/), including gross renewal, expansion, and net retention
- Key [customer success](/handbook/customer-success/customer-success-vision/#measurement-and-kpis) measures (e.g., time-to-value, product adoption / health score, expansion win rates, etc.). A number of these measures need to evolve to be developed.

## Career Ladder

The next step for the Director of Customer Operations is a Senior Director level that is yet to be defined.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Interviews will be then setup with:
- Hiring manager, Vice President of Customer Success
- Head of Global Technical Account Management
- Director or Vice President of Sales Operations
- Stakeholder team member (i.e., Product, Marketing, Customer Success, etc.)

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
