---
title: Director, Digital Success
---

The Director, Digital Success is responsible for defining, leading, and tracking strategic and operational programs to improve GitLab's ability to effectively and efficiently deliver excellent customer outcomes through the digital experience. The Director, Digital Success works cross-functionally to orchestrate results with Customer Success, Sales, Marketing, Product and Engineering, Support, and Finance.

The Director, Digital Success reports to the [Director Customer Success Operations](/job-families/sales/director-customer-operations/).

## Job Grade

The Director, Digital Success is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

## Responsibilities

- Develop and deliver digital initiatives to improve the effectiveness and efficiency of sales and adoption capabilities for GitLab prospects and customer, including:
  - Digital customer journey and experience
  - Customer journey development
  - Go-to-market (GTM) and/or customer adoption campaigns, including collaboration with Marketing, Product, Data Teams, and Sales Operations
  - Digital journey development, content creation and curation, and metrics
  - Enhance and augment digital experience for CSM-led customers
- Cross-functionally align the digital experience across email, in-app, the customer portal, Product feedback, etc. for a cohesive customer experience
- Define, lead and track strategic and operational digital programs to successful completion
- Design, evaluate, and measure digital programs against internal targets for continuous improvement
- Leverage data and analytics to develop, lead, and measure results for GTM sales and adoption-related initiatives, programs, and campaigns

## Requirements

- Demonstrated progressive experience with Digital Programs, Customer Marketing, or related experience with a technical SaaS or subscription software service
- Rich knowledge and track record with email campaigns, in-app experience, webinars/events, and certifications
- Demonstrated progressive customer success experience leading relevant teams (Customer Success Managers, Account Management, Customer Marketing, Demand Gen) and/or operations
- Experience with defining and leading digital engagement strategies (i.e., digital journey creation, content marketing, etc.)
- Experience with software development tools, practices, and methodologies is a plus
- Experienced leading cross-functional initiatives in mid-sized or large organizations (i.e., 1000+ employees)
- Management experience with a team of at least 5 team members
- Experience with digital engagement approaches and methods (i.e., Digital Customer Success / tech touch, Digital Marketing)
- Strong verbal and written skills with a strong ability to articulate and communicate strategies and plans
- Demonstrated success with cross-functional coordination, including planning, execution tracking, decision making, and OKR management
- Ability to use GitLab
- Ability to learn GitLab as part of the role
- You share our [values](/handbook/values/) and work in accordance with those values

## Performance Indicators

- Bookings and revenue growth as measured by [ARR](/handbook/sales/sales-term-glossary/arr-in-practice/), including gross renewal, expansion, and net retention
- Key [customer success](/handbook/customer-success/customer-success-vision/#measurement-and-kpis) measures (e.g., time-to-value, product adoption / health score, expansion win rates, etc.). A number of these measures need to evolve to be developed.

## Career Ladder

The next step for the Director, Digital Success is a Senior Director level that is yet to be defined.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Interviews will be then setup with:
- Hiring manager, Director CS Operations
- Vice President of Customer Success
- Vice President of Field Operations
- Senior Director of Technical Account Management
- Stakeholder team member (i.e., Product, Marketing, Customer Success, etc.)

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
