---
title: "Director of Customer Success"
---

The Director of Customer Success Job Family, builds and leads the customer success team, including Solution Architects, Professional Services, and Technical Account Management. The Customer Success team drives the technical portion of a sale as well as ensure GitLab customers successfully adopt the product with a positive experience, driving growth for GitLab through renewals and expansion.

## Levels

### Director of Customer Success

The Director of Customer Success reports to the [VP of Customer Success](/job-families/sales/customer-success-leadership/#vice-president-of-customer-success).

#### Director of Customer Success Job Grade

The Director of Customer Success  is a job grade [level 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director of Customer Success Responsibilities

- Set the overall vision and strategic plan for the Account Management organization, focusing on driving product adoption, leading a positive customer experience, and driving growth through gross renewals and net retention improvements.
- Drive customer outcomes, product adoption and customer experience
  - Lead the technical assessment as part of the sales process
  - Influence future lifetime value through higher product adoption, customer satisfaction and overall health scores
  - Reduce churn and drive new business growth through greater advocacy and reference ability
- Define and optimize customer lifecycle by driving programs and initiatives to improve engagement approaches based on customer segmentation and leading a culture of continuous improvement
- Build and lead world-class team:
  - Recruit and develop a high performing team
  - Develop company-wide customer success motion integrating processes, content and data to/from stakeholder organizations (e,g., Marketing, Sales, Product/Engineering, etc)
  - Foster collaboration within the GitLab team and across customers
  - Drive operational practices to track performance of teams and individuals
- Work closely with the sales management and Regional Directors to align on strategies, renewal forecasting, coverage plans, and account opportunities (i.e., opportunities and risks)
- Drive Account Growth Outcomes:
- Expand our revenue in accounts through new sales and up-sell opportunities with our GitLab
- Influence future lifetime value through higher product adoption, customer satisfaction and overall health scores
- Reduce churn and drive new business growth through greater advocacy and referenceability
- Deliver transformational leadership so that team is highly motivated and engaged. Be an inspirational role model by challenging and maximizing the strength of the team and aligning their efforts to the mission and vision of the organization.
- Address escalated client issues with speed and urgency, orchestrating resources across the company as appropriate
- This role is focused on pre-sales and customer success management and is not a technical support-related role.

#### Director of Customer Success Requirements

- Demonstrated progressive management experience leading teams in a software company
- Demonstrated progressive experience leading customer success managers, account management, or sales teams. Professional services experience is a plus.
- Demonstrated progressive experience leading managers of teams in a SaaS or subscription enterprise software company
- Proven experience leading teams, driving new and expansion sales, driving software adoption and leveraging customer success best practices
- Proven ability to develop strategies, translate them into initiatives and track successful delivery
- Demonstrated ability to lead managers and successfully manage global, distributed teams across cultures, lines of business, and geographies
- Possesses a strong management presence and leadership ability, with communication and interpersonal skills that inspire and motivate leaders and teams
- Demonstrated operational excellence in analytical thinking, process development and improvement, problem solving, communication, delegation and planning
- Able to be flexible and agile in responding to evolving business priorities and dealing with ambiguity
- Able to collaborate across the organization and with external stakeholders
- Experience successfully working with senior (C-level) executives
- Holds strong operational skills that will drive organizational efficiencies and customer satisfaction
- Willing and able to address escalated client issues with speed and urgency
- You share our [values](/handbook/values/), and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#director-group)
- Ability to use GitLab
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

### Senior Director of Customer Success

The Senior Director of Customer Success reports to the [VP of Customer Success](/job-families/sales/customer-success-leadership/#vice-president-of-customer-success).

#### Senior Director of Customer Success Job Grade

The Senior Director of Customer Success is a job grade [level 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Director of Customer Success Responsibilities

- Extends that of the Director of Customer Success responsibilities
- Define and deliver strategies and plans that enhance and integrate into GitLab's Go-To-Market strategies and plans, including Sales, Marketing, Product, Growth, Operations, Channel/Alliance, and Data Teams
- Build market-specific strategies and plans leveraging based on industry best practices (i.e., pre-sales, professional services, customer success management) to improve growth efficiency and net retention
- Manage and nurture executive relationships with customers, including management of executive-level escalations

### Senior Director of Customer Success Requirements

- Exends that of the Director of Customer Success requirements
- Demonstrated progressive experience leading managers of customer success teams in a SaaS or subscription enterprise software company

### Director and Senior Director, Public Sector Customer Success

#### Director and Senior Director, Public Sector Customer Success Responsibilities

- Extends that of the Director or Senior Director of Customer Success responsibilities

#### Director and Senior Director, Public Sector Customer Success Requirements

- Extends that of the Director or Senior Director of Customer Success requirements
- Demonstrated progressive experience supporting public sector customers: military, federal agencies, and/or intelligence community. Government security clearance is a plus.
- US citizenship is required.
ans that enhance and integrate into GitLab's Go-To-Market strategies and plans, including Sales, Marketing, Product, Growth, Operations, Channel/Alliance, and Data Teams
- Build market-specific strategies and plans leveraging based on industry best practices (i.e., pre-sales, professional services, customer success management) to improve growth efficiency and net retention
- Manage and nurture executive relationships with customers, including management of executive-level escalations

## Performance Indicators

- net ARR (i.e., retention and expansion)
- [CSM-related metrics](/handbook/customer-success/csm/)
- Some of [sales metrics](https://internal.gitlab.com/handbook/company/performance-indicators/sales/#kpi-summary) associated with the Solution Architect responsibilities (e.g., channel, new logos).

## Career Ladder

The Director, Customer Success job family would move into the VP, Customer Success [Job Family](/job-families/sales/customer-success-leadership/#vice-president-of-customer-success).

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30min [screening call](/handbook/hiring/#screening-call) with our Global Recruiters
- Next, candidates will be invited to interview with the VP, Customer Success
- Next, candidates wll be invitted to interview with 2-4 team members
- Finally, the candidate will be invited to an interview with the executive team

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
