---
title: "Field Enablement Leadership"
---

## Director, Field Enablement

The Director of Field Enablement is a seasoned global Sales, Partner, Technical, or Customer Success Enablement leader with the ability to thrive in a growing software AI-Powered DevSecOps organization. Reporting to the Sr Director of Field Enablement, they are responsible for building and managing a world-class global sales training and enablement program.

### Job Grade

The Director, Field Enablement is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Develop and lead the successful execution of the sales enablement plan and programs to ensure field team members and partners are equipped with content, resources, tools and training to effectively differentiate and sell the GitLab solution.
- Oversee the development of education and training content in collaboration with marketing and other SMEs to identify and develop core curriculum, customized regionally as needed, for field audiences across all routes to market.
- Lead and facilitate sales training activities, including new hire training and onboarding, ongoing sales meetings, and regional/sales team training (includes all levels of the sales team, customer success, and channel partners).
- Ensure alignment of field enablement activities with key internal and external events, such as new product releases, campaigns, and essential industry trade shows.
- Manage and drive online, self-paced on-boarding and result-driven continuous learning.
- Leverage Salesforce.com CRM infrastructure and other tools for delivering formal and informal/social learning.
- Develop sales competency assessment programs, as well as partner accreditation programs.
- Measure and report on the effectiveness of sales enablement investments and the programs conducted. Determine opportunities for improving the sales learning experience, and identify innovative techniques for delivery.

### Requirements

- Demonstrated progressive software sales experience with expertise in DevOps and/or Open Source, preferably in sales enablement or management.
- Working knowledge of sales training technology and methodologies; demonstrable experience with sales, partner, and customer success enablement concepts, practices, and procedures.
- Relevant experience preparing, developing, and executing global sales teams' effectiveness strategies, tactics and action plans for a technology platform.
- Ability to quickly understand technical concepts and explain them to audiences of varying technical expertise (sales team, customer success team, and channel partners).
- Experience growing within a small start-up. Strong ability to interact and influence effectively with C-level executives and team members.
- Exceptional written/verbal communication and presentation skills.
- Team player with strong interpersonal skills, skilled at project management and cross-functional collaboration.
- Ability to thrive in a fast-paced, unpredictable environment.
- You share our values, and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#director-group)
- Ability to use GitLab

## Senior Director, Field Enablement

The Senior Director of Field Enablement is a highly experienced and influential global Sales, Partner, Technical, or Customer Success Enablement leader with the ability to thrive in a growing software AI-Powered DevSecOps organization. Reporting to the VP of Revenue Strategy, Operations, and Enablement, they are responsible for building and managing world-class global sales training and enablement programs that support the Field Sales organization by optimizing impactful enablement strategies.

### Job Grade

The Senior Director, Field Enablement is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Identifies new innovative solutions leveraging a cross-functional GTM approach to optimizing field enablement
- Aligns with senior management and sales leadership on Sales Enablement priorities by segment and global regions
- Measures and reports on business impact of enablement programs and helps to recommends and influence GTM Functional Leaders
- Establishes and tracks key metrics for sales enablement and make recommendations to help increase sales productivity
- Creates an at-ready sales messaging and enablement plans that supports the sales organization to meet/exceed their revenue targets through engaging customer interactions that increase sales velocity
- Ensures that enablement programs incorporate product, solutions, operations and sales contributions coupled with simple adoption techniques to increase productivity.
- Effectively program manages multiple projects across the greater enablement team and adapt to shifting priorities
- Drives change management and communication to ensure onboarding programs are being deployed effectively and consistently across segment and global regions
- Partners with other divisional leaders (People Operations, Recruiting, Marketing, etc.) to ensure alignment and consistency of enablement programs across the company.

### Requirements

- Demonstrated progressive software sales experience with expertise in DevOps and/or Open Source, preferably in sales enablement or management.
- Strong ability to interact and influence effectively with C-level executives, leadership  and team members.
- Drive quarterly OKRs process across teams, managers and cross-functionally to ensure alignment towards goals
- Leadership experience of working effectively with cross-functional teams and creating a strategy and framework by which team members can contribute
- Excellent public speaking, presentation, teaching, facilitating and writing skills
- Experience planning and executing large global Sales Kickoff and related events
- Shares our values, and works in accordance with those values.
- Holds their peers and team accountable for working in accordance with our values.
- [Senior Leadership at GitLab](/handbook/company/structure/#s-group)
- Ability to use GitLab

### Performance Indicators

- IACV vs Plan
- Percent of Ramped Reps at or Above Quota
- Forecast/pipeline management
- Pipeline conversion and velocity

## Senior Manager, Field Enablement Programs

The Senior Manager, Field Enablement Programs is a global Sales, Partner, Technical, or Customer Success Enablement leader with the ability to thrive in a growing software AI-Powered DevSecOps organization. Reporting to the Director or Sr Director of Field Enablement, they are responsible for building and managing a world-class global training and enablement program.

### Job Grade

The Senior Manager, Field Enablement Programs is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Develop the successful planning and execution of the sales or technical sales enablement programs to ensure field team members and partners are equipped with content, resources, tools and training to effectively differentiate and sell the GitLab solution.
-Build and define revenue team capability models and product knowledge skills matrices.
-Lead the build, deployment, maintenance, and reporting of blended learning solutions (including digital self-service, experiential/labs, instructor-led workshops, assessments, and technical accreditations).
-Manage annual skills assessments and report on the continuous progress improvements and opportunities or skill gaps.
-Collaborate regularly with Customer Success, Solutions Architecture, Technical Marketing, and Customer Education teams to align on sales or technical sales enablement plans and learning paths.
-Analyze and report on the success of all enablement programs and training, including business outcomes like use case adoption, effective proof of value and trial execution, pipeline generation, product competitive differentiation and customer messaging (at scale), and efficient pipeline stage progression.
- Manage blended (self-paced, live virtual), result-driven continuous learning programs.
-Determine opportunities for improving the sales learning experience, and identify innovative techniques for delivery.

### Requirements

-Demonstrated progressive software sales experience with expertise in DevSecOps and/or open source, preferably in sales or technical enablement and management.

- Relevant experience preparing, developing, and executing global revenue teams' effectiveness strategies, tactics and action plans for a technology platform.
- Ability to quickly understand technical concepts and explain them to audiences of varying technical expertise (sales team, customer success team, and channel partners).
- Working knowledge of enablement technology and methodologies; demonstrable experience with sales, partner, technical, and customer success enablement concepts, practices, and procedures.
- Experience developing enablement programs for technical and sales audiences, specifically focused on building revenue teams' product knowledge.
- Experience growing within a small start-up. Strong ability to interact and influence effectively with VP-level and Executive team members.
- Exceptional written/verbal communication and presentation skills.
- Team player with strong interpersonal skills, skilled at project management and cross-functional collaboration.
- Ability to thrive in a fast-paced, unpredictable environment.
- You share our values, and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#director-group)
- Ability to use GitLab

### Performance Indicators

- Net ARR vs Plan
- Revenue team productivity
- Percent of ramped reps at or above quota
- Forecast/pipeline accuracy and management
- Pipeline conversion and velocity
- Enablement activity engagement and confidence (qualitative results)

## Manager, Field Enablement Programs

The Manager of Field Enablement Programs is a global Sales, Partner, Technical, or Customer Success Enablement leader with the ability to thrive in a growing software AI-Powered DevSecOps organization. Reporting to the Director or Sr Director of Field Enablement, they are responsible for building and managing a world-class global training and enablement program.

### Job Grade

The Manager, Field Enablement Programs is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Develop and lead the successful execution of field enablement programs to ensure field team members and partners are equipped with content, resources, tools and training to effectively differentiate and sell the GitLab solution.
- Oversee the development of education and training content in collaboration with marketing and other SMEs to identify and develop core curriculum, customized regionally as needed, for field audiences across all routes to market.
- Ensure alignment of field enablement activities with key internal and external events, such as new product releases, campaigns, and essential industry trade shows.
- Manage and drive online, self-paced on-boarding and results-driven continuous learning.
- Leverage Salesforce.com CRM infrastructure and other tools for delivering formal and informal/social learning.
- Develop sales competency assessment programs, as well as partner accreditation programs.
- Measure and report on the effectiveness of field enablement programs. Determine opportunities for improving the sales learning experience, and identify innovative techniques for delivery.

### Requirements

- Demonstrated progressive software sales experience with expertise in DevOps and/or Open Source, preferably in sales enablement and management.
- Working knowledge of sales training technology and methodologies; demonstrable experience with sales, partner, and customer success enablement concepts, practices, and procedures.
- Relevant experience preparing, developing, and executing global sales teams' effectiveness strategies, tactics and action plans for a technology platform.
- Experience growing within a small start-up. Strong ability to interact and influence effectively with VP-level and Director-level executives and team members.
- Exceptional written/verbal communication and presentation skills.
- Team player with strong interpersonal skills, skilled at project management and cross-functional collaboration.
- Ability to thrive in a fast-paced, unpredictable environment.
- You share our values, and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#director-group)
- Ability to use GitLab

### Performance Indicators

- Net ARR vs Plan
- Revenue team productivity
- Percent of ramped reps at or above quota
- Forecast/pipeline accuracy and management
- Pipeline conversion and velocity
- Enablement activity engagement and confidence (qualitative results)

## Career Ladder

The next steps for the Field Enablement Job Family has not yet been defined.
