---
layout: job_family_page
title: Manager of Professional Services
---

The Professional Services Manager contributes to and executes the strategic vision leading service delivery for GitLab's Professional Services Organization. Reporting to the Vice President of Customer Success, the leader is responsible for developing strategies and operations to deliver best-in-class services (i.e., consulting, implementation and educational services) to help customers accelerate their DevOps transformation. The Manager of Professional Services works to build and scale a services business, in a bold, fast-moving, transparent and values-led organization to enable customer and company success.

### Job Grades

| Title | Grade |
|---|---|
| [Regional Manager, Professional Services](#regional-manager-professional-services) | [Grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Regional Manager, Professional Services](#senior-regional-manager-professional-services) | [Grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Director, Professional Services](#director-of-professional-services) | [Grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Director, Professional Services](#senior-director-of-professional-services) | [Grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Vice President, Professional Services](#vice-president-of-professional-services) | [Grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |

## Regional Manager, Professional Services

The Regional Manager, Professional Services reports into the Director, Professional Services.

### Responsibilities

- Ensure the Professional Services Project Managers exceed expectations in completing projects successfully while meeting revenue targets and delivering business outcomes with a high level of customer satisfaction
- Work with the Professional Services Director to help establish and manage goals and responsibilities for Professional Services Engineers
- Assist in development of thought leadership, event-specific, and customer-facing presentations
- Share hands-on technical preparation and presentation work for key accounts helping sell on the value of what GitLab professional services has to offer
- Ensure the Professional Services Engineers exceeds corporate expectations in achieving billable utilization targets as well as core knowledge, communication, and execution
- Define and maintain a high bar for team member expectations and enable the team to achieve it
- Challenge the team and yourself to continually learn and grow as trusted advisors to clients
- Monitor performance of team members and provide timely feedback and development assistance
- Create, review, and approve formal statements of work, change requests, and proposals
- Prepare weekly revenue forecast worksheet and create action plans to address issues
- Manage resource assignments and staffing levels, including recruitment as needed
- Identify and implement improvements to the processes and tools used as a seasoned with experience leading teams of project managers and consultants in support of external customers
- Work together with our engagement management team to propose, scope, and price professional services Statements of Work, including managing a PS sales overlay team
- Bring the Professional Services team together with Account teams and Partners to plan and execute internal projects, ensure that teams have appropriate training and manage resources to deliver GitLab service offerings
- Provide leadership and guidance to coach, motivate and lead services team members to their optimum performance levels and career development
- Ensure delivery model is focused on quality, cost effective delivery of services, and customer success outcomes
- Remains knowledgeable and up-to-date on GitLab product releases
- Document services provided to customers, including new code, techniques, and processes, in such a way as to make such services more efficient in the future and to add to the GitLab community
- Work with the Product Engineering and Support teams to contribute documentation and/or code for GitLab
- Help build programs that the TAMs and PSEs will execute to effectively grow our enterprise customers

### Requirements

The Manager, Professional Services role, requires a high level of technical depth as this role will need to understand and participate with the day-to-day aspects of the Professional Services Engineer and Technical Architect roles in addition to managing the team. Additional requirements include:

- Experienced in and with advanced insight to the GitLab platform
- Experienced in giving and received positive and constructive feedback
- Able to adapt to environmental change and retrospecting on success and failures
- Previous leadership experience is a plus
- Experienced in collaborating with other managers and executing strategies
- Proven track record in software/technology sales or consulting and management
- Demonstrated ability to think strategically about business, products, and technical challenges

## Senior Regional Manager, Professional Services

The Senior Manager, Professional Services reports into the Director, Professional Services.

### Responsibilities

- Extends that of the Manager, Professional Services responsibilities
- Lead delivery of consulting, education and implementation services to our customers, overseeing resource management, project delivery and operational success metrics.
- Be accountable for services financial goals and metrics, including revenue, gross margin and utilization.
- Own operational metrics, such as time-to-value, customer satisfaction and on-time completion of projects.

### Requirements

- Extends that of the Manager, Professional Services requirements
- Demonstrated progressive experience managing, leading and/or delivering professional services or customer success
- Demonstrated progressive experience with a subscription-based business model, delivering on-premises and SaaS solutions
- Experience managing technical, cross-functional professional services teams (e.g., consulting, implementation, trainers, project managers) and delivery partners

## Director of Professional Services

### Responsibilities

- Develop strategic plans to build and evolve GitLab's product and transformational service offerings
- Create service offerings aligned to enterprise and commercial market segments, including value positioning, scope of services, collateral and pricing.
- Lead delivery of consulting, education and implementation services to our customers, overseeing resource management, project delivery and operational success metrics.
- Be accountable for services financial goals and metrics, including bookings, revenue, gross margin and utilization.
- Own operational metrics, such as time-to-value, customer satisfaction and on-time completion of projects.
- Build and scale global service operations (i.e., people, process, systems and tools) to deliver a best-in-class customer experience while building an effective and efficient delivery methodologies
- Act as an evangelist for services, assisting sales with selling and serving as an executive sponsor for our strategic customers
- Develop and manage the partner strategy and ecosystem in partnership with our Channel team to maintain a global network of certified partners that deliver with consistent quality

### Requirements

- Demonstrated progressive experience managing, leading and/or delivering professional services
- Proven experience building and leading a team of 25+ people in fast-paced, growing company
- Demonstrated progressive experience with a subscription-based business model, delivering on-premises and SaaS solutions
- Experience managing technical, cross-functional professional services teams (e.g., consulting, implementation, trainers, project managers) and delivery partners
- Demonstrated experience building and scaling a professional services business with accountability for financial targets
- Experienced with software development lifecycle (i.e., SDLC), agile, DevOps, software development tools, technologies (e.g., Docker, Kubernetes), and/or cloud platforms (AWS, GCP, Azure)
- Ability to be an evangelist for GitLab customers and serve according to GitLab's values
- Ability to travel up to 20%
- Ability to use GitLab
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

## Senior Director of Professional Services

A Senior Director of Professional Services (Delivery) is responsible for overseeing the delivery of services to clients and ensuring the satisfaction and success of those clients. This position typically requires a blend of leadership, strategic planning, and client management skills, along with deep industry knowledge.

### Responsibilities

- Lead, mentor, and develop a team of professional services managers, architects, engineers, and other staff.
- Foster a culture of high performance, continuous improvement, and customer-centricity within the team.
- Set clear goals and objectives for the professional services team and ensure alignment with overall company strategy.
- Oversee the delivery of professional services to ensure they meet client expectations and contractual obligations.
- Build and maintain strong relationships with key clients, acting as a senior point of contact for escalations and critical issues.
- Ensure client satisfaction and drive client success, leading to renewals, upsells, and positive referrals.
- Develop and execute the professional services strategy, including service offerings, delivery models, and go-to-market plans.
- Collaborate with sales, product, and customer support teams to align on client needs and ensure cohesive service delivery.
- Identify new service opportunities and drive innovation in service delivery to enhance client value and competitive positioning.
- Manage under the professional services P&L, including budgeting, forecasting, and financial performance tracking.
- Ensure services are delivered efficiently and cost-effectively, optimizing resources and maximizing profitability.
- Develop pricing strategies for services that reflect value delivered and market conditions.
- Establish and enforce best practices, standards, and methodologies for service delivery.
- Continuously assess and improve service delivery processes to increase efficiency, quality, and customer satisfaction.
- Implement metrics and KPIs to measure and improve the effectiveness of the professional services team.
- Work closely with product development teams to ensure services are aligned with product capabilities and roadmap.

### Requirements

- Bachelor’s degree in Business, Engineering, Computer Science, or a related field; a Master’s degree or MBA is often preferred.
- Proven track record of successfully managing large-scale service delivery projects and teams, preferably in a technology or software company.
- Strategic thinking and business acumen, with the ability to develop and execute a services strategy that aligns with company goals.
- Financial acumen, including experience managing budgets, forecasts, and P&L.
- Strong analytical and problem-solving skills, with the ability to make data-driven decisions.
- Excellent communication and interpersonal skills, with the ability to work effectively with cross-functional teams and senior executives.Demonstrated progressive experience managing, leading and/or delivering professional services
- Proven experience building and leading a team of 50+ people in fast-paced, growing company
- Demonstrated progressive experience with a subscription-based business model, delivering on-premises and SaaS solutions
- Experience managing technical, cross-functional professional services teams (e.g., consulting, implementation, trainers, project managers) and delivery partners
- Demonstrated experience building and scaling a professional services business with accountability for financial targets
- Experienced with software development lifecycle (i.e., SDLC), agile, DevOps, software development tools, technologies (e.g., Docker, Kubernetes), and/or cloud platforms (AWS, GCP, Azure)
- Ability to be an evangelist for GitLab customers and serve according to GitLab’s values
- Ability to use GitLab
- Ability to travel 20% of the time, if needed, and comply with the company’s travel policy

## Vice President of Professional Services

### Responsibilities

- Extends the Sr Director of PS responsibilities
- Define and deliver strategies and plans to create and influence GitLab's Go-To-Market strategy and plans, including Sales, Marketing, Product, Channel/Alliance, and Customer Success teams.
- Provide strategic guidance with prospect and customer accounts for both account influence and growth.
- Lead new developments and improvements to improve service attach (i.e., globally and across all segments), direct and channel service growth, and service offering innovation.
- Lead the global Education Team supporting brand awareness, community growth and engagement, and expanding educational offers for both partners and customers.
- Provide executive sponsorship for strategic accounts.
- Develops a clear strategy and vision for their department, inspiring their team through communication in alignment with GitLab's mission, vision, and values.
- Align and influence executive and senior leadership with professional services and GTM strategies and tactics.

### Requirements

- Extends the Sr Director of PS requirements
- Demonstrated experience in cross-functional leadership to influence internal organizations on strategic GTM initiatives.
- Track record of successfully building, growing, and scaling global services businesses, delivering to bookings, revenue, and margin targets.
- Ability to influence, negotiate and build consensus with executive and senior management, customers, and partners.
- Brings experience building, scaling, and developing global teams at scale in alignment with GitLab values.
- Serves as an expert in Professional Services internally and externally with customers, partners, and industry communities.

## KPIs

[KPIs](/handbook/customer-success/professional-services-engineering/#team-metrics)

- Completion of initiatives to improve quality, reliability, efficiency, and repeatability of services
- Financial success for the Professional Services organization (i.e., bookings, revenue, project and gross margin, revenue per employee and billable employee)
- Delivery metrics (i.e., customer satisfaction, on-time delivery, utilization)

## Career Ladder

The next steps for the Manager, Professional Services Job Family would be to move into the [VP, Customer Success](/job-families/sales/customer-success-leadership/#vice-president-of-customer-success) Job Family.
