---
title: Director, Online Sales & Self Service Growth
---

This Director, Online Sales & Self Service Growth role is part of a team focused on building an easy self-service experience for our customers.

The Director, Online Sales & Self Service Growth reports to the [VP, Online Sales and Self Service](/job-families/sales/vice-president-online-sales-and-self-service/).

## Job Grade

The Director, Online Sales & Self Service Growth is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

- This role owns online sales growth in a segment or a key self-service business outcome. And drives that outcome through.
- Partnering with:
  - Sales to augment our current direct sales organization to support a larger self-service channel. Define sales engagement model and partnership.
  - Anticipate problems and propose solutions for self-service related sales operational changes (ex. quota, comp, territory carving, leads).
  - Enablement to train our sales teams on our self-service solutions. And develop relevant updated content.
  - Marketing to deliver web experiences and content to optimize for online sales. Define campaigns, personas and customer cohorts for targeting.
  - Product & IT to influence enhancement and feature backlog based on customer feedback and product instrumentation. Define customer stories based on your market segment.
  - Support to ensure that your customer base is getting the best support possible optimized for self-service.

## Requirements

- Ability to use GitLab
- Strong presentation and storytelling skills
- Ability to develop and foster relations across the organization, including sales leadership
- Exhibiting resourcefulness to get things done cross-functionally
- Strong analytical skills and structured thinking. You know how to turn data from disparate sources into a vision for what we should do
- Ability to use tools such as Salesforce, Google Analytics, Excel, and Tableau to pull data and manipulate accordingly as needed to drive tactics and projects.
- Talent for synthesizing complex ideas and communicating them in a way others can easily understand
- Lead ongoing analysis of business performance to support daily operations.
- Deliver insights & recommendations
- Great project management skills. Ability to pull together disparate requirements, get agreement on priorities, communicate clearly and drive timelines
- Ability to thrive in a cross-functional environment while juggling multiple responsibilities
- Operational execution and troubleshooting by identifying issues as they surface; proposing and executing changes to fix root causes

## Performance Indicators

- Increased adoption of self-service solutions (buying & account management) driving increased customer satisfaction and Rep productivity.
- Key customer success measures (e.g., product adoption / health score, customer satisfaction score, etc.). A number of these measures need to evolve to be developed.
- Future chat experience OKRs (e.g., customer satisfaction score, first response time, first contact resolution, etc.) These measures need to be finalized based on creation of chat.

## Career Ladder

The next step for the Director, Online Sales & Self Service Growth Job Family is to move to the Senior Director, Online Sales & Self Service Job Family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute screening call with our Lead Commercial Recruiter.
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to schedule interviews with members of the VP of Commercial Sales
- Next, candidates will be invited to scheduled interviews with members of our Fulfillment and Growth teams
- Finally, candidates will be asked to interview with our Chief Revenue Officer
