---
title: "Director Public Sector Sales"
RoleName: "Director of Public Sector Sales"
---

The Director of Public Sector Sales is responsible for building, managing and leading the Public Sector sales teams by overseeing sales, operations and strategies for new and existing customers of GitLab.

The right candidate will play a critical role in the creation and execution of a Public Sector Sales Program (Team, Strategy, Systems & Process) to maximize the adoption of GitLab within the Public Sector market.

## Job Grade

The Director, Public Sector Sales is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

- Drives, manages and executes the business and revenue of the public sector sales team; develops, coaches and trains sales staff
- Analyzes regional market dynamics in an effort to maximize existing successes and to create new sales growth opportunities
- Educates team on significant industry factors including competitive products, regulations, trends, customer needs, and pricing
- Prepares forecasts, territory/industry management, and growth plans
- Establishes and reports on metrics to measure team performance; correct deficiencies where necessary
- Supports quotation and proposal efforts to partners, prospects and customers
- Ensures that the public sector sales plan is aligned with and supports the corporate revenue goal
- Recruits, hires and trains staff members; fosters a successful and positive team environment

## Requirements

- Demonstrated progressive sales management, selling software or hardware through a two tiered channel eco system including distribution, corporate resellers, and value added resellers (VARS) into Federal government
- Demonstrated progressive experience selling software or hardware through a two tiered channel eco system including distribution, corporate resellers, and value added resellers (VARS) into Federal government
- Must be a high performing sales manager with a proven track record of consistently exceeding established measurements for goals and objectives into Fed
- Must be a skilled motivator with demonstrated ability to coach and develop sales staff to exceed targeted sales objectives and deliver high quality service to customers
- Must have a proven ability to manage both direct and indirect employees in a matrix organization
- Preferred candidates will have experience in business-to-business selling and managing using a consultative sales approach, and will have strong demonstrated partnering and closing skills
- Must have expertise around GSA, Federal procurement and the various buying vehicles to enable growth in software sales via our distribution partners
- Excellent management and communication skills (written and verbal)
- Demonstrated knowledge of different sales methodologies and customer relationship management (CRM) systems: SFDC knowledge is desired
- Knowledge of open source enterprise software and/or version control is highly desirable
- Experience with partner recruitment, enablement and on going support
- Exceptional knowledge of Federal infrastructure and agencies
- Have history of working with and driving revenue within NSF, DOE Labs, DoD and Intel
- A security clearance is a plus
- [Leadership at GitLab](/handbook/company/structure/#director-group)
- Ability to use GitLab
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/#travel-guidance-covid-19). Federal, LLC team members need to also comply with the applicable vaccination policies.

{{% job-families/sales/performance %}}

## Career Ladder

The Director, Public Sector Sales would move into the [VP, Enterprise Sales](/job-families/sales/vp-enterprise-sales/) Job Family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates receive a short questionnaire from our Global Recruiters
- Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with our Global Recruiters
- Next, candidates will be invited to schedule a first interview with our CRO
- Candidates will then be invited to schedule a second interview with our CRO
- Finally, candidates will interview with our CEO
- Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
