---
title: "Enterprise Account Executive Job Family"
---

## **Enterprise Account Executive Job Family Matrix**

| Enterprise Account Executive | Grade |
| --------| --------|
| Associate Strategic Account Executive |  8 |
| Strategic Account Executive | 8 |
| Senior Strategic Account Executive | 8 |
| Major Account Executive | 8 |
| Senior Major Account Executive | 8 |

Additional details on career paths within quota carrying roles at GitLab [can be found here](https://docs.google.com/presentation/d/19hTfo6ndMQTFoxIxpQIDTr5_u2ZmsHT3DJ03t1F84RU/edit#slide=id.g1abfdfeab14_0_408).

## Associate Strategic Account Executive

### Job Grade

The Associate Strategic Account Executive is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Support GitLab's large prospects and customers within a geographic territory
- Expand current customer base and land net new accounts
- Generate new customers through different lead sources and bring those opportunities to a successful close
- Generate qualified leads and develop new customers in conjunction with our strategic partners
- Take ownership of your book of business
- Document the buying criteria
- Document the buying process
- Document next steps and owners
- Ensure pipeline accuracy
- Provide account leadership and direction in the pre- and post-sales process
- Conduct sales activities including prospecting and developing opportunities in large/strategic accounts
- Ensure the successful rollout and adoption of GitLab products through strong account management activities and coordination with pre-and-post sales engineering and support resources
- Utilize a consultative approach, discuss business issues with prospects and develop a formal quote, a written sales proposal or a formal sales presentation addressing their business needs.
- Develop an account plan to sell to customers based on their business needs.
- Works cross functionally with other teams to ensure customer success
- Update and maintain Sales systems' database as appropriate
- Contribute to documenting improvements in our [sales handbook](/handbook/sales/).

### Requirements

- Proven B2B software sales success
- Interest in GitLab, and open source software
- Ability to adapt to a changing environment
- Effective communicator (written/verbal), strong interpersonal skills
- Motivated, driven, and results oriented
- You share our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab
- Ability to travel if needed and comply with the [company's travel policy](/handbook/finance/travel/)

## Strategic Account Executive

The Strategic Account Executive role extends the Associate Strategic Account Executive role outlined above. A Strategic Account Executive reports to an Area Sales Manager or Regional Director.

### Job Grade

The Strategic Account Executive is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Supports GitLab's [strategic large](/handbook/sales/field-operations/gtm-resources/#segmentation) prospects and customers.
- Provide account leadership and direction in the pre- and post-sales process
- Conduct sales activities including prospecting and developing opportunities in large/strategic accounts
- Ensure the successful rollout and adoption of GitLab products through strong account management activities and coordination with pre-and-post sales and support resources
- Be the voice of the customer by contributing product ideas to our [public issue tracker](https://gitlab.com/gitlab-org/gitlab/-/issues)
- Generate qualified leads and develop new customers in conjunction with our strategic channel partners .
- Expand knowledge of industry as well as the competitive posture of the company
- Prepare activity and forecast reports
- Contribute to root cause analysis on wins/losses.
- Communicate lessons learned to the team, including account managers, the marketing team, and the technical team
- Assist sales management in conveying customer needs to product managers, and technical support staff
- Utilize a consultative approach, discuss business issues with prospect and develop a formal quote, a written sales proposal or a formal sales presentation addressing their business needs.
- Develop an account plan to sell to customers based on their business needs.
- Collaborate with Marketing on marketing strategies.

### Requirements

- A true desire to see customers benefit from the investment they make with you
- Able to provide high degree of account management and control
- Work under minimal supervision on complex projects
- Experience selling into large organizations
- Ability to leverage established relationships and proven sales techniques for success
- Excellent negotiation, presentation and closing skills
- Preferred experience with Git, Software Development Tools, Application Lifecycle Management
- You share our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab
- Ability to travel if needed and comply with the [company's travel policy](/handbook/finance/travel/)

The [confidence gap](https://www.theatlantic.com/magazine/archive/2014/05/the-confidence-gap/359815/) exists. The above list is intended to show the kinds of experience and qualities we're looking for. If you're reading this, do not match all of the requirements, and are hesitant to apply, we encourage you to make an application despite your hesitations.

## Senior Strategic Account Executive

The Sr. Strategic Account Executive  role extends the Strategic Account Executive role outlined above. This most senior-level Strategic Account Executive extends the role to include more responsibilities based on experience, expertise and team influence.

### Job Grade

The Senior Strategic Account Executive is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- The Senior Strategic Account Executive may have responsibility for more strategic accounts and/or additional responsibilities coaching and mentoring other Strategic Account Executives  on the team.
- Demonstrates effective relationship building with C-Level executives at Fortune 500 companies or local equivalents
- Manages multiple accounts each with more than $1M in annual recurring spend
- Demonstrates progressive experience selling to Fortune 500 customers or local equivalents
- Demonstrates long-term partnerships with customers spanning multiple periods of growth
- Proven track record of recently and repeatedly exceeding $1M+ quotas for incremental subscription sales
- Consistently and effectively mentors team members
- Collaborates exceedingly well with the other team members to help others become successful

### Specialties

#### Federal

- Additional Requirements
- Successful quota attainment in the Federal Space
- Ability to travel if needed and comply with the company's travel policy.

#### Department of Defense Only

- Demonstrated progressive experience selling into Federal DOD accounts with a comprehensive understanding of the local military landscape and associated business processes.

#### Intel Only

- Must have security clearance
- Demonstrated progressive experience selling into Federal Intel accounts with a comprehensive understanding of the intelligence community landscape and associated business processes.

#### Civilian Only

- Demonstrated progressive experience selling into Federal Civilian accounts with a comprehensive understanding of the local public sector landscape and associated business processes.

#### State and Local Government Only

- Demonstrated progressive experience selling into State and Local accounts with a comprehensive understanding of the local Public Sector landscape and associated business processes.

The confidence gap exists. The above list is intended to show the kinds of experience and qualities we're looking for. If you're reading this, do not match all of the requirements, and are hesitant to apply, we encourage you to make an application despite your hesitations.

## Major Account Executive

The Major Account Executive reports  to an Area Sales Manager or Regional Director.

### Job Grade

The Major Account Executive Leader is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Manage and support  GitLab's major account/(s)
- Manage the end to end sales process through engagement of appropriate resources such as Solutions Architects, Customer Success Managers, Professional Services, Marketing,  Executives, Partners, and the Channel.
- Leverage solution selling expertise to respond efficiently to customer needs and identify business potential in order to build a strategic, long-term partnership with your customers.
- Has a deep understanding of the customer, including an understanding of their performance metrics and develops plans in anticipation of the customer's business strategies and goals.
- Expand knowledge of industry as well as the competitive posture of the company
- Contribute to root cause analysis on wins/losses.
- Communicate lessons learned to the team, including account managers, the marketing team, and the technical team
- Provide account leadership and direction in the pre- and post-sales process
- Conduct sales activities including prospecting and developing opportunities in major accounts
- Ensure the successful rollout and adoption of GitLab products through strong account management activities and coordination with pre-and-post sales engineering and support resources
- Utilize a consultative approach, discuss business issues with prospect and develop a formal quote, a written sales proposal or a formal sales presentation addressing their business needs.
- Develop an account plan to sell to customers based on their business needs.

### Requirements

- Experience selling into highly complex organizations
- Demonstrated consistent results and overachievement of quota
- Excellent communication and presentation skills; comfortable presenting to C-Level executives.
- Experience with solutions selling and positioning value to customers based on their needs.
- Deep understanding of with Git, Software Development Tools, Application Lifecycle Management
- You share our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab
- Ability to travel if needed and comply with the company's travel policy

## Senior Major Account Executive

The Sr. Major Account Executive  role extends the Major Account Executive role outlined above. This most senior-level Major Account Executive extends the role to include more responsibilities based on experience, expertise and team influence.

### Job Grade

The Senior Major Account Executive Leader is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Extends to the responsibilities of a Major Account Executive
- Leads and/or contributes to company-wide efforts to improve our GTM strategies
- Contributes to the broader GitLab community which may include coaching and mentoring other Strategic Account Executives on the team.
- Works with cross functional peers to increase collaboration, improve processes and drive efficiencies.
- Leads others through influence in order to achieve success

### Requirements

- Extends to the requirements of a Major Account Executive
- Deep understanding of their customer's business including specific trends impacting their sector
- Expert in solution selling
- Demonstrated ability to collaborate successfully with cross functional teams
- Experience mentoring and coaching others

The [confidence gap](https://www.theatlantic.com/magazine/archive/2014/05/the-confidence-gap/359815/) exists. The above list is intended to show the kinds of experience and qualities we're looking for. If you're reading this, do not match all of the requirements, and are hesitant to apply, we encourage you to make an application despite your hesitations.

### Career Ladder

The next step in the Strategic Account Executive and Major Account Executive  job family is to move to the Sales Management job family.

### Location Specific Requirements

#### Australia

- Reside in Australia with the ability to travel throughout the region as needed.
- Experience working closely with reseller partners in Australia.

#### Japan

- Reside in Japan with the ability to travel throughout the region as needed.
- Experience working closely with reseller partners in Japan.
- Fluent in Japanese and English

### Performance Indicators

As with all roles in the Sales Department the Strategic Account Executive participates in the [Sales KPIs](/handbook/company/kpis/#sales-kpis).

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).
As part of this application, candidates can expect the following stages with focus areas on the [GitLab Values](/handbook/values/) and [Field Functional Competencies](/handbook/sales/training/field-functional-competencies/).

### Stages

#### 1. Initial Screen - Recruiter

- Candidates are invited to schedule an interview with the Recruiter.
- Areas of focus (as defined in GitLab Handbook):
  - Results
  - Collaboration

#### 2. Initial Interview - Hiring Manager

- Candidates are invited to schedule an interview with the Hiring Manager.
- Areas of focus (as defined in GitLab Handbook):
  - Results
  - Operational Excellence - Account Planning & Management
  - Customer Focus - Effective Communication
  - Operational Excellence - Growth Mindset
  - Operational Excellence - Process Discipline
  - Iteration

#### 3. Mock Presentation - Panel

- Candidates are invited to schedule a presentation with 3 interviewers from the team.
- Areas of focus (as defined in GitLab Handbook):
  - Solutions Focus - Consultative approach
  - Solutions Focus - DevOps & Technical Leadership
  - Solutions Focus - Building Trust
  - Customer Focus - Facilitating
  - Customer Focus - Understanding Customer's Needs
  - Efficiency

#### 4. Final Interview - Senior Leadership

- Candidates are invited to schedule an interview with senior leadership.
- Areas of focus (as defined in GitLab Handbook):
  - Operational Excellence - Resource Orchestration
  - Collaboration
  - Operational Excellence - Growth Mindset
  - Customer Focus - Customer Business Acumen
  - Solutions Focus - Leading with Vision
  - Transparency
  - Diversity inclusion and belonging

### Compensation

Compensation information for this role can be found on our Sales Commissions handbook page. On this page, we have an overview of the standard OTE base and variable split for each Sales job family. Also listed on the page, is our quota ramp information by segment as well as our seasonality assumptions.
Sales compensation plans are governed by the Sales Compensation Plan terms and conditions. Some differences may apply. For any specific compensation questions, please contact your manager (current manager or hiring manager).

### Compensation Calculator

To find out more about the compensation for this role, please apply to a role first. Once selected for a screening call, you'll be able to sign up here to view our compensation calculator. Be sure to use the same email address for both.

About GitLab
GitLab Inc. is a company based on the GitLab open-source project. GitLab is a community project to which over 2,200 people worldwide have contributed. We are an active participant in this community, trying to serve its needs and lead by example. We have one vision: everyone can contribute to all digital content, and our mission is to change all creative work from read-only to read-write so that everyone can contribute.
We value results, transparency, sharing, freedom, efficiency, self-learning, frugality, collaboration, directness, kindness, diversity, inclusion and belonging, boring solutions, and quirkiness. If these values match your personality, work ethic, and personal goals, we encourage you to visit our primer to learn more. Open source is our culture, our way of life, our story, and what makes us truly unique.
Top 10 Reasons to Work for GitLab:
Mission: Everyone can contribute
Results: Fast growth, ambitious vision
Flexible Work Hours: Plan your day so you are there for other people & have time for personal interests
Transparency: Over 2,000 webpages in GitLab handbook, GitLab Unfiltered YouTube channel
Iteration: Empower people to be effective & have an impact, Merge Request rate, We dogfood our own product, Directly responsible individuals
Diversity, Inclusion & Belonging: A focus on gender parity, Team Member Resource Groups, other initiatives
Collaboration: Kindness, saying thanks, intentionally organize informal communication, no ego
Total Rewards: Competitive market rates for compensation, Equity compensation, global benefits (inclusive of office equipment)
Work/Life Harmony: Flexible workday, Family and Friends days
Remote Done Right: One of the world's largest all-remote companies, prolific inventor of remote best practices
See our culture page for more!
Work remotely from anywhere in the world. Curious to see what that looks like? Check out our remote manifesto and guides.
