---
title: "Go-to-Market Planning and Operations"
description: "The Go-to-Market (GTM) Planning and Operations job family supports GitLab's go-to-market planning, target setting, and compensation design, as well as the associated analytics and tools."
---

The Go-to-Market (GTM) Planning and Operations job family supports GitLab's go-to-market planning, target setting, and compensation design, as well as the associated analytics and tools. They partner cross functionally across the Chief Revenue Officer's organization.

## Responsibilities

- Iterate on the Field Planning & Bottoms-up Quota Capacity Models; maintain throughout the year and use to drive insights that improve efficiency of the GTM motion
- Drive all aspects of compensation design for roles across the CRO organization (including core Sales, Customer Success, Channel, Alliances, Management and others); Collaborate closely with Sales, Finance, Sales Commissions & Ops in the process
- Deliver insightful comp analytics that lead to improvements in the design and effectiveness of compensation models
- Support quota/compensation troubleshooting throughout the year
- Own high-impact reporting on all People Performance data points in the CRO organization: hiring to plan, Sales Capacity, Productivity, Quota Attainment, etc.

## Requirements

- Willingness to partner, collaborate and influence across functional areas (e.g. Finance, People Operations and Sales) and support multiple business partners
- Excellent problem solving, project management, interpersonal and organizational skills
- Previous experience in Consulting, Banking, PE or Strategy roles a big plus
- Basic SQL skills a big plus; we have experts, but it helps tremendously
- SFDC and Xactly familiarity and knowledge of typical enterprise SaaS tools
- SaaS and B2B experience preferred
- Interest in GitLab, and open source software
- Share our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab

## Levels

### GTM Planning and Operations Analyst

The GTM Planning and Operations Analyst reports to the [Senior Director, GTM Planning & Operations](/job-families/sales/gtm-planning-and-operations/).

#### GTM Planning and Operations Analyst Job Grade

The GTM Planning and Operations Analyst is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### GTM Planning and Operations Analyst Responsibilities

- Provide the CRO organization with thoughtful insights about the effectivness of Go-To-Market planning initiatives
- Participate in the execution of the annual Go-To-Market planning process for the CRO organization
- Partner closely with Sales Finance and the rest of Field Operations to help design an efficient, effective and predictable GTM motion

#### GTM Planning and Operations Analyst Requirements

- BA/BS degree in engineering, accounting, finance, economics or other quantitative fields preferred
- Advanced analytical and financial modeling skills with high motivation to drive high value insights
- Some experience with go-to-market design & sales planning initiatives
- Experience collaborating closely with leaders at the Sr. Manager level and below

### GTM Planning and Operations Senior Analyst

The GTM Planning and Operations Senior Analyst reports to the [Senior Director, GTM Planning & Operations](/job-families/sales/gtm-planning-and-operations/).

#### GTM Planning and Operations Senior Analyst Job Grade

The GTM Planning and Operations Senior Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### GTM Planning and Operations Senior Analyst Responsibilities

- Be a key driver and architect of the annual Go-To-Market planning process for the CRO organization
- Provide the CRO organization with thoughtful insights about the effectivness of Go-To-Market planning initiatives
- Partner closely with Sales Finance and the rest of Field Operations to help design an efficient, effective and predictable GTM motion
- Participate in the design and implementation of Go-To-Market experimentation (e.g. Land vs. Expand pilots)

#### GTM Planning and Operations Senior Analyst Requirements

- BA/BS degree in engineering, accounting, finance, economics or other quantitative fields preferred
- Advanced analytical and financial modeling skills with high motivation to drive high value insights
- Relevant experience and a solid understanding of go-to-market design & sales planning
- Experience collaborating closely with leaders at the Director level and below

### GTM Planning and Operations Manager

The GTM Planning and Operations Manager reports to the [Senior Director, GTM Planning & Operations](/job-families/sales/gtm-planning-and-operations/).

#### GTM Planning and Operations Manager Job Grade

The GTM Planning and Operations Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### GTM Planning and Operations Manager Responsibilities

- Be a key driver and architect of the annual Go-To-Market planning process for the CRO organization
- Play a leadership role in providing the CRO organization with thoughtful insights about the effectivness of Go-To-Market planning initiatives
- Partner closely with Sales Leadership, Finance and Sales Operations to help design an efficient, effective and predictable GTM motion
- Be a leader in the design and implementation of Go-To-Market experimentation (e.g. Land vs. Expand pilots)

#### GTM Planning and Operations Manager Requirements

- BA/BS degree in engineering, accounting, finance, economics or other quantitative fields preferred
- Relevant experience and a solid understanding of go-to-market design & sales planning as well as sales compensation design & analytics
- Some experience interacting with Leaders at the VP level as well as experience collaborating closely with leaders at the Sr. Director level and below
- Advanced analytical and financial modeling skills with high motivation to drive high value insights
- Meet the [Leadership at GitLab](/handbook/company/structure/#management-group) requirements

### Manager, GTM Planning and Operations

The Manager, GTM Planning and Operations reports to the [Senior Director, GTM Planning & Operations](/job-families/sales/gtm-planning-and-operations/).

#### Manager, GTM Planning and Operations Job Grade

The Manager, GTM Planning and Operations is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, GTM Planning and Operations Responsibilities

- Be a key driver and architect of the annual Go-To-Market planning process for the CRO organization
- Play a leadership role in providing the CRO organization with thoughtful insights about the effectivness of Go-To-Market planning initiatives
- Partner closely with Sales Leadership, Finance and Sales Operations to help design an efficient, effective and predictable GTM motion
- Be a leader in the design and implementation of Go-To-Market experimentation (e.g. Land vs. Expand pilots)
- Build, develop, and lead a high functioning team of Go-To-Market planning specialists

#### Manager, GTM Planning and Operations Requirements

- BA/BS degree in engineering, accounting, finance, economics or other quantitative fields preferred
- Relevant experience and a solid understanding of go-to-market design & sales planning as well as sales compensation design & analytics
- Some experience interacting with Leaders at the VP level as well as experience collaborating closely with leaders at the Sr. Director level and below
- Advanced analytical and financial modeling skills with high motivation to drive high value insights
- Meet the [Leadership at GitLab](/handbook/company/structure/#management-group) requirements

### Senior Manager, GTM Planning and Operations

The Senior Manager, GTM Planning and Operations reports to the [Senior Director, GTM Planning & Operations](/job-families/sales/gtm-planning-and-operations/).

#### Senior Manager, GTM Planning and Operations Job Grade

The Senior Manager, GTM Planning and Operations is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, GTM Planning and Operations Responsibilities

- Be a key driver and architect of the annual Go-To-Market planning process for the CRO organization
- Play a leadership role in providing the CRO organization with thoughtful insights about the effectivness of Go-To-Market planning initiatives
- Partner closely with Sales Leadership, Finance and Sales Operations to help design an efficient, effective and predictable GTM motion
- Be a key leader in the design and implementation of Go-To-Market experimentation (e.g. Land vs. Expand pilots)
- Build, develop, and lead a high functioning team of Go-To-Market planning specialists

#### Senior Manager, GTM Planning and Operations Requirements

- BA/BS degree in engineering, accounting, finance, economics or other quantitative fields preferred
- Considerable relevant experience and a solid understanding of go-to-market design & sales planning as well as sales compensation design & analytics
- Considerable experience interacting with Leaders at the VP level as well as experience collaborating closely with leaders at the Sr. Director level and below
- Advanced analytical and financial modeling skills with high motivation to drive high value insights
- Meet the [Leadership at GitLab](/handbook/company/structure/#management-group) requirements

### Director, GTM Planning and Operations

The Director, GTM Planning and Operations reports to the [VP, Revenue Strategy, Operations, & Enablement](/job-families/sales/sales-strategy/#vice-president-sales-strategy--analytics).

#### Director, GTM Planning and Operations Job Grade

The Director, GTM Planning and Operations is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, GTM Planning and Operations Responsibilities

- Design and drive the annual Go-To-Market planning process for the CRO organization
- Own the Field Planning & Bottoms-up Quota Capacity Models; maintain throughout the year and use to drive insights that improve efficiency of the GTM motion
- Responsible for the design and implementation of Go-To-Market experimentation (e.g. Land vs. Expand pilots)
- Deliver structured, actionable and insightful comp insights that lead to improvements in the design and effectiveness of compensation models
- Be a thought leader in quota/compensation troubleshooting throughout the year
- Drive the evaluation and implementation of software tools required for Field, Quota and Territory planning
- Build, develop, and lead a high functioning team of Go-To-Market planning specialists

#### Director, GTM Planning and Operations Requirements

- BA/BS degree in engineering, accounting, finance, economics or other quantitative fields preferred
- Significant experience in relevant fields and a comprehensive understanding of go-to-market design & sales planning as well as sales compensation design & analytics
- Significant experience interacting with C-suite Executives and closely partnering with Leaders at the VP level and below
- Advanced analytical and financial modeling skills with a superb ability to drive high value insights
- Meet the [Leadership at GitLab](/handbook/company/structure/#management-group) requirements

### Senior Director, GTM Planning and Operations

The Senior Director, GTM Planning and Operations reports to the [VP, Revenue Strategy, Operations, & Enablement](/job-families/sales/sales-strategy/#vice-president-sales-strategy--analytics).

#### Senior Director, GTM Planning and Operations Job Grade

The Senior Director, GTM Planning and Operations is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director, GTM Planning and Operations Responsibilities

- Extends that of the Director, GTM Planning and Operations Responsibilities
- Drive proactive review & analysis of compensation design decisions to understand their effectiveness
- Own the entire compensation design process for all variable compensation roles for the CRO organization (including the SDR organization)
- Objectively balance goals and objectives of CFO, CRO & CMO in comp plan design
- Coordinate closely with FP&A and Sales Commissions team on plan design & deployment
- Own the quota & capacity planning process for all NQRs and management; including process, tools, executive communication as well as business outcomes
- Drive process alignment with Recruiting, People Operations and Finance to impact sales efficiency
- Drive recruiting of a world-class team at all levels
- Help team members and analysts grow their skills and experience

#### Senior Director, GTM Planning and Operations Requirements

- Extends that of the Director, GTM Planning and Operations Requirements
- Proficient hiring skills and experience
- Demonstrated progressive experience in a global SAAS sales or strategy environment
- Strong ability to interact and influence effectively with all C-level executives and team members
- Ability to work independently with a high degree of accountability, while also able to collaborate cross-functionally with exceptional intrapersonal skills Proven ability to thrive in a fluid, fast-paced, unpredictable environment.
- Unquestionable ethics, integrity and business judgment; you share our values, and work in accordance with those values.

- Meet the [Leadership at GitLab](/handbook/company/structure/#management-group) requirements

## Performance Indicators

- Bookings and revenue growth as measured by [ARR](/handbook/sales/sales-term-glossary/arr-in-practice/), including gross renewal, expansion, and net retention
- [Sales KPIs](/handbook/company/kpis/#sales-kpis)

## Career Ladder

The next steps in the GTM Planning and Operations job family is not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters,
- Next, candidates will be invited to schedule a 25 minute interview with the Hiring Manager,
- Next, candidates can expect 2-5 separate 25 minute interviews with other Team Members,
- Finally, candidates will be invited to schedule a 50 minute interview with an Executive.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
