---
title: "Inside Sales, Mid-Market"
---

## Responsibilities

- Inside Sales Representative will report to Worldwide Director of Commercial Mid-Market
- Ensure healthy weekly activity: calls, market inquiries, demos, and opportunity progression (MEDPPIC).
- Review weekly forecast and business outcomes with sales influencers. This includes win/loss examination so we can iterate approach based on our success and failures.
- Manage sales order processing including monitoring the system to ensure accurate receipt booking of sales orders, tracking sales shipment, delivery.
- Responsible for all renewals of all contracts and upgrades in your territory.
- Improve and maintain Salesforce structure for accurate sub accounts (groups/programs), opportunities and contacts.
- Collaborates regionally and globally in developing/enhancing standardized processes, reports, and sales programs that facilitate efficient sales operations, effective sales execution, and improved management insight. This includes ensuring the GitLab sales handbook is followed and/or modified when necessary.

## Requirements

- A true desire to see customers benefit from the investment they make with you
- Demonstrated progressive experience with B2B software sales
- Comfort using Zuora, Salesforce
- Experience selling into commercial organizations
- Interest in GitLab, and open source software
- Ability to leverage established relationships and proven sales techniques for success
- Effective communicator, robust interpersonal skills
- Motivated, self-guided and results oriented
- Excellent negotiation, presentation and closing skills
- Preferred experience with Git, Software Development Tools, Application Lifecycle Management
- You share our values, and work in accordance with those values.
- Ability to use GitLab

## Career Ladder

The next step in the Commercial Sales job family is to move to the SMB Account Executive job family.

## Performance Indicators

Inside Sales Representatives within Mid-Market would be measured by the attainment of NetARR as measured for their respective region (US, EMEA, APAC).  We would also leverage additional Performance Indicators including the # of early and on-time renewals, reduction of contract churn, etc.  

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates receive a short questionnaire from our Global Recruiters
  1. What would differentiate you and make you a great inside sales representative for GitLab?
  1. What is your knowledge of the space that GitLab is in? (i.e. Industry Trends)
  1. How do you see the developer tools changing over the coming years from a sales perspective? (i.e. DevSecOps Market Positioning, Customer Needs, etc)
- Selected candidates will be invited to the following
  1. A phone or video conference screen with the recruiter. This takes 30 minutes and helps our recruiting team align your interests and qualifications with the right opening on the sales team.
  1. Next, candidates will be invited to schedule a first 30-minute interview with Worldwide Director of Commercial Mid-Market
  1. Candidates will be invited to schedule a 30-minute peer-style interview with one of our Account Executives
  1. Next, candidates will complete their 50-minute Chronological In-Depth Survey with Worldwide Director of Commercial Mid-Market
  1. Finally, candidates will be invited for a 30-minute interview with an Area Sales Manager

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
