---
title: "Professional Services Engagement Manager"
---

The Engagement Manager plays the critical role in helping Customers drive adoption of high value functionality of the GitLab platform. The Engagement Manager plays a sales overlay role by shaping customer engagements focused helping customers accelerated toward their positive business outcomes with GitLab. The Engagement Manager serves as a trusted advisor to customers in their portfolio, providing guidance to Sales, Customer Success and Professional Services Delivery team and ensuring the highest levels of customer satisfaction.

<!--Making a change? Looking for an easier way to understand how the levels are differentiated? Checkout the job framework spreadsheet https://docs.google.com/spreadsheets/d/1E1pS7qRAGZf2aIYxadxsoKoHrxWXMWjrEg9QTESuKJY/edit#gid=819074618-->

## Levels

### Professional Services Engagement Manager (Associate)

The Professional Services Engagement Manager (Associate) reports to the Director, Engagement Management.

#### Professional Services Engagement Manager (Associate) Job Grade

The Professional Services Engagement Manager (Associate) is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#customer-success).

#### Professional Services Engagement Manager (Associate) Responsibilities

- Craft training and certification engagement methodology with support of Education Services Leadership and EM leadership team.
- Execute training and certification plans with Account Executives and directly with customers.
- Meet and exceed set financial targets
- Coach Account Executives on how to include education services on quote/order form.
- Update quarterly bookings forecast on a weekly basis using Salesforce/Clari.
- Spearhead business growth by selling our training and certification services.
- Actively participate in RFIs/RFPs to include relevant training and certification offerings.
- Build pipeline of Education Services opportunities by executing reach-out strategies to Account Executives.
- Partner with sales and pre-sales teams to elevate our training and certification business.
- Establish mentorship with more senior engagement manager.
- Setup individual development plan.

#### Professional Services Engagement Manager (Associate) Requirements

- Knowledge of professional services selling processes.
- Experience with Salesforce as a means of prospecting, forecasting and quoting.

### Professional Services Engagement Manager (Intermediate)

The Professional Services Engagement Manager (Intermediate) reports to the Director, Engagement Management.

#### Professional Services Engagement Manager (Intermediate) Job Grade

The Professional Services Engagement Manager (Intermediate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#customer-success).

#### Professional Services Engagement Manager (Intermediate) Responsibilities

- Perform discovery (with account team or with customer) to understand customer current-state, constraints and desired positive business outcomes.
- Identify standard and custom services to align to customer outcomes.
- Build custom-scoped services engagement proposals for key strategic customers with guidance/review from Sr. Engagement Manager.
- Explain technical solution proposal to account team and/or customer.
- Meet and exceed set financial targets.
- Explain GitLab Services value proposition, catalog of service offerings, and methodologies.
- Explain standard packaged solutions to Customer to gain agreement to move forward.
- Help customer understand commercial terms - price, period of performance, payment/invoice structure, etc.
- Guide Account team to execute governing legal agreement to execute services.
- Coach Account Executives on how to include consulting and education services on quote/order form.
- Coordinate closing process with help from Account Executive.
- Coordinate staffing requirements with PS Operations team to ensure skillset, language, and timezone match are appropriate for each engagement.
- Handle standard objections related to price, DIY implementations, etc.
- Update quarterly bookings forecast on a weekly basis using Salesforce/Clari.
- Identify and communicate risks to account executives and EM leadership team.
- Build relationships with Account Executives, Customer Success Managers and Solutions Architects within their patch to ensure Global Services are included as part of the standard customer journey.
- Join Sales leadership forecast calls (within patch) to report on Services Forecast and to identify key customer accounts where services should be attached.
- Provide timely and predictable responses to incoming questions/requests from customers or account executives to reinforce positive brand of Global Services.
- Establish mentorship with more senior engagement manager.
- Setup individual development plan.
- Communicate trends in customer behavior to Practice Management team.

#### Professional Services Engagement Manager (Intermediate) Requirements

- Knowledge of professional services selling processes.
- Experience with Salesforce as a means of prospecting, forecasting and quoting.

### Senior Professional Services Engagement Manager

The Senior Professional Services Engagement Manager reports to the Director, Engagement Management.

#### Senior Professional Services Engagement Manager Job Grade

The Senior Professional Services Engagement Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#customer-success).

#### Senior Professional Services Engagement Manager Responsibilities

- Perform discovery (with account team or with customer) to understand customer current-state, constraints and desired positive business outcomes.
- Identify standard and custom services to align to customer outcomes.
- Explain technical solution proposal to account team and/or customer.
- Build custom-scoped services engagement proposals for strategic customers.
- Gather feedback and approval from Technical Architect, Regional Delivery Manager, and other key stakeholders.
- Meet and exceed set financial targets including booking margin targets.
- Explain GitLab Services value proposition, catalog of service offerings, and methodologies.
- Explain standard packaged solutions to Customer to gain agreement to move forward.
- Help customer understand commercial terms - price, period of performance, payment/invoice structure, etc.
- Guide Account team to execute governing legal agreement to execute services.
- Coach Account Executives on how to include consulting and education services on quote/order form.
- Coordinate closing process with help from Account Executive.
- Coordinate staffing requirements with PS Operations team to ensure skillset, language, and timezone match are appropriate for each engagement.
- Handle standard objections related to price, DIY implementations, etc.
- Accurately forecast quarterly bookings on a weekly basis using Salesforce/Clari.
- Identify and communicate risks to account executives and EM leadership team.
- Provide recommendations to approvers of SOWs and Professional Services Agreement on risk management and negotiation strategies.
- Build relationships with Account Executives, Customer Success Managers and Solutions Architects within their patch to ensure Global Services are included as part of the standard customer journey.
- Join Sales leadership forecast calls (within patch) to report on Services Forecast and to identify key customer accounts where services should be attached.
- Provide timely and predictable responses to incoming questions/requests from customers or account executives to reinforce positive brand of Global Services.
- Communicate with stakeholders the availability of new service offerings, the successful outcomes achieved on projects within patch, and other informal marketing topics.
- Help with onboarding of new engagement managers.
- Mentors more junior Engagement Managers.
- Deliver enablement to stakeholders on how to best work with and sell professional services.
- Contribute to new enablement content and delivery of Global Services enablement during Sales Quick Start.
- Communicate trends in customer behavior to Practice Management team.
- Provide suggestions and update to go-to-market content and operational efficiency processes.

#### Senior Professional Services Engagement Manager Requirements

- Knowledge of professional services selling processes.
- Experience with Salesforce as a means of prospecting, forecasting and quoting.
- Understanding of SDLC, Version Control Systems, Continuous Integration/Continuous Deployment methodologies.

### Staff Professional Services Engagement Manager

The Staff Professional Services Engagement Manager reports to the Director, Engagement Management.

#### Staff Professional Services Engagement Manager Job Grade

The Staff Professional Services Engagement Manager is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#customer-success).

#### Staff Professional Services Engagement Manager Responsibilities

- Perform discovery (with account team or with customer) to understand customer current-state, constraints and desired positive business outcomes.
- Identify standard and custom services to align to customer outcomes.
- Explain technical solution proposal to account team and/or customer.
- Build custom-scoped services engagement proposals for key strategic customers.
- Gather feedback and approval from Technical Architect, Regional Delivery Manager, and other largest stakeholders.
- Identify product gaps that require coordination with Product, Engineering and/or Support to solve. Bring these internal stakeholders into the Customer Opportunity cycle to ensure the most comprehensive proposal is delivered to strategic customers.
- Meet and exceed set financial targets including booking margin targets.
- Explain GitLab Services value proposition, catalog of service offerings, and methodologies.
- Explain standard packaged solutions to Customer to gain agreement to move forward.
- Help customer understand commercial terms - price, period of performance, payment/invoice structure, etc.
- Guide Account team to execute governing legal agreement to execute services.
- Coach Account Executives on how to include consulting and education services on quote/order form.
- Coordinate closing process with help from Account Executive.
- Coordinate staffing requirements with PS Operations team to ensure skillset, language, and timezone match are appropriate for each engagement.
- Handle standard objections related to price, DIY implementations, etc.
- Accurately forecast quarterly bookings on a weekly basis using Salesforce/Clari.
- Identify and communicate risks to account executives and EM leadership team.
- Provide recommendations to approvers of SOWs and Professional Services Agreement on risk management and negotiation strategies.
- Works with account and delivery team to proactively identify and mitigate delivery-related risks.
- Build relationships with Account Executives, Customer Success Managers and Solutions Architects within their patch to ensure Global Services are included as part of the standard customer journey.
- Join Sales leadership forecast calls (within patch) to report on Services Forecast and to identify key customer accounts where services should be attached.
- Provide timely and predictable responses to incoming questions/requests from customers or account executives to reinforce positive brand of Global Services.
- Communicate with stakeholders the availability of new service offerings, the successful outcomes achieved on projects within patch, and other informal marketing topics.
- Provide guidance to other EMs to help model their Sales <> Services relationship building around what as worked in other patches. Ensure methods of communication, content, and approaches are used broadly within the GitLab EM team.
- Build relationships with Senior leadership from Product, Engineering and Support to ensure product and service offerings are aligned with key strategic customer business outcomes.
- Partner with CSM and SA to form a holistic approach to customer outcomes.  Actively work to improve communications with customers to have a coordinated, singular voice.
- Help with onboarding of new engagement managers.
- Mentors more junior Engagement Managers.
- Deliver enablement to stakeholders on how to best work with and sell professional services.
- Contribute to new enablement content and delivery of Global Services enablement during Sales Quick Start.
- Consult with Field Enablement on how to better incorporate selling professional services in the field sales collateral and ongoing enablement plans.
- Communicate trends in customer behavior to Practice Management team.
- Provide suggestions and update to go-to-market content and operational efficiency processes.
- Lead the execution of Objectives and Key Results that focus on bringing new services offerings to market and improving the operational efficiency of the Engagement Management team.

#### Staff Professional Services Engagement Manager Requirements

- Knowledge of professional services selling processes.
- Experience with Salesforce as a means of prospecting, forecasting and quoting.
- Understanding of SDLC, Version Control Systems, Continuous Integration/Continuous Deployment methodologies.
- Experience in leading cross-departmental process improvement initiatives.

### Principal Professional Services Engagement Manager

The Principal Professional Services Engagement Manager reports to the Director, Engagement Management.

#### Principal Professional Services Engagement Manager Job Grade

The Principal Professional Services Engagement Manager  is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#customer-success).

#### Principal Professional Services Engagement Manager Responsibilities

- Perform discovery (with account team or with customer) to understand customer current-state, constraints and desired positive business outcomes.
- Identify standard and custom services to align to customer outcomes.
- Explain technical solution proposal to account team and/or customer.
- Build custom-scoped services engagement proposals for largest strategic customers.
- Gather feedback and approval from Technical Architect, Regional Delivery Manager, and other key stakeholders.
- Identify product gaps that require coordination with Product, Engineering and/or Support to solve. Bring these internal stakeholders into the Customer Opportunity cycle to ensure the most comprehensive proposal is delivered to strategic customers.
- Build and deliver multi-workstream DevSecOps transformation proposals that drive enterprise change. Gain buy-in from multiple customer department heads to ensure delivery success.
- Leverage positive customer outcomes to drive publicly referenceable use cases. Create externally facing content (e.g. blog posts, fireside chat, or presentations at external conferences) highlighting the accomplishments Customers have using GitLab.
- Use technical and market knowledge to collaborate on solutions and influence product to expand GitLab revenue base - especially Total Addressable Market (TAM) and barrier to entry.
- Meet and exceed set financial targets including booking margin targets.
- Explain GitLab Services value proposition, catalog of service offerings, and methodologies.
- Explain standard packaged solutions to Customer to gain agreement to move forward.
- Help customer understand commercial terms - price, period of performance, payment/invoice structure, etc.
- Guide Account team to execute governing legal agreement to execute services.
- Coach Account Executives on how to include consulting and education services on quote/order form.
- Coordinate closing process with help from Account Executive.
- Coordinate staffing requirements with PS Operations team to ensure skillset, language, and timezone match are appropriate for each engagement.
- Handle standard objections related to price, DIY implementations, etc.
- Accurately forecast quarterly bookings on a weekly basis using Salesforce/Clari.
- Identify and surface business generation motions within areas of personal subject matter expertise that intersect with GitLab targeted technology sectors.
- Identify and communicate risks to account executives and EM leadership team.
- Provide recommendations to approvers of SOWs and Professional Services Agreement on risk management and negotiation strategies.
- Works with account and delivery team to proactively identify and mitigate delivery-related risks.
- Lead the development and implementation of risk management strategies across global Professional Services Engagement Management team, Legal, Accounting Revenue and Billing Operations.
- Build relationships with Account Executives, Customer Success Managers and Solutions Architects within their patch to ensure Global Services are included as part of the standard customer journey.
- Join Sales leadership forecast calls (within patch) to report on Services Forecast and to identify key customer accounts where services should be attached.
- Provide timely and predictable responses to incoming questions/requests from customers or account executives to reinforce positive brand of Global Services.
- Communicate with stakeholders the availability of new service offerings, the successful outcomes achieved on projects within patch, and other informal marketing topics.
- Provide guidance to other EMs to help model their Sales <> Services relationship building around what as worked in other patches. Ensure methods of communication, content, and approaches are used broadly within the GitLab EM team.
- Build relationships with Senior leadership from Product, Engineering and Support to ensure product and service offerings are aligned with key strategic customer business outcomes.
- Establish Customer-Success Organization wide processes with CSM and SA to form a holistic approach to customer outcomes.  Actively work to improve communications with customers to have a coordinated, singular voice.
- Create and maintain relationships with customer executives that contribute to large Net ARR deals and customer success.
- Help with onboarding of new engagement managers.
- Mentors more junior Engagement Managers.
- Deliver enablement to stakeholders on how to best work with and sell professional services.
- Contribute to new enablement content and delivery of Global Services enablement during Sales Quick Start.
- Consult with Field Enablement on how to better incorporate selling professional services in the field sales collateral and ongoing enablement plans.
- Drive improvements to EM onboarding process.- Communicate trends in customer behavior to Practice Management team.
- Provide suggestions and update to go-to-market content and operational efficiency processes.
- Create, socialize, gain alignment on and execute Objectives and Key Results that focus on bringing new services offerings to market and improving the operational efficiency of the Engagement Management team.
- Build and maintain select subject matter expertise related to GitLab targeted technology sectors through industry monitoring and participation in external working groups, committees and development projects.

#### Principal Professional Services Engagement Manager Requirements

- Knowledge of professional services selling processes.
- Experience with Salesforce as a means of prospecting, forecasting and quoting.
- Experience in helping customers to manage complex transformation projects focused on DevSecOps and Cloud transformation which includes SDLC, Version Control Systems, Continuous Integration/Continuous Deployment methodologies.
- Experience in leading cross-departmental process improvement initiatives.

<!--Following are people managers jobs-->

### Manager, Professional Services Engagement Management

The Manager, Professional Services Engagement Management, reports to the Director, Professional Services Engagement Management.

#### Manager, Professional Services Engagement Management Job Grade

The Manager, Professional Services Engagement Management is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#customer-success).

#### Manager, Professional Services Engagement Management Responsibilities

- Accountable for bookings and revenue goals for scope of area covered by his/her Engagement Management team.
- Act as a player/coach of a team of Regionally aligned Engagement Managers focused on Professional Services Sales support.
- Contribute to continuously improving the Professional Services sales process: proactive services positioning, reactive intake process, SKU selling vs custom scoped engagements, scaling the PS selling motion. Ensure these process improvements are aligned with global PS sales strategy.
- Provide feedback to the PS leadership team to create and maintain our services packages and offerings.
- Work closely with the PS, Sales, Partners, and Product teams to develop best practices and scoping processes and standards, positioning solutions and statements of work to our prospects/customers, and supporting the sales cycle through project kick-off.
- Provide guidance to Engagement Managers to help resolve negotiations leveraging win-win and give-to-get methodologies.
- Provide bookings forecast estimates to Sales and Professional Services Leadership.
- Assist in sourcing and assessing partners and contractors to extend our selling and delivery bench.
- Help distribute customer opportunities evenly across team members ensuring geographic or segment coverage.
- Build and maintain a development plan to ensure Engagement Managers are enabled to understand the GitLab product and features, the value selling approach, and current processes/tools used to be effective in their roles.
- Remain knowledgeable and up-to-date on GitLab releases.
- Experienced in collaborating with other managers and executing strategies

#### Manager, Professional Services Engagement Management Requirements

- Experience managing, leading, and/or delivering professional services or customer success.
- Experience with a subscription-based business model, delivering on-premises and SaaS solutions.
- Experience partnering with Account Executives, presenting solutions, and implementation methodology during a sales process
- Experience managing technical, cross-functional professional services teams (e.g., consulting, implementation, trainers, project managers) and delivery partners.
- Ability to use GitLab

### Senior Manager, Professional Services Engagement Management

The Senior Manager, Professional Services Engagement Management, reports to the Director, Professional Services Engagement Management

#### Senior Manager, Professional Services Engagement Management Job Grade

The Senior Manager, Professional Services Engagement Management is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#customer-success).

#### Senior Manager, Professional Services Engagement Management Responsibilities

- Accountable for bookings and revenue goals for scope of area covered by his/her Engagement Management team.
- Leads a team of Engagement Managers focused on Professional Services Sales support.
- Contribute to continuously improving the Professional Services sales process: proactive services positioning, reactive intake process, SKU selling vs custom scoped engagements, scaling the PS selling motion. Ensure these process improvements are aligned with global PS sales strategy.
- Provide feedback to the PS leadership team to create and maintain our services packages and offerings.
- Work closely with the PS, Sales, Partners, and Product teams to develop best practices and scoping processes and standards, positioning solutions and statements of work to our prospects/customers, and supporting the sales cycle through project kick-off.
- Provide guidance to Engagement Managers to help resolve negotiations leveraging win-win and give-to-get methodologies. Take ownership of resolving negotiations that are at an impasse.
- Provide bookings forecast estimates to Sales and Professional Services Leadership.
- Assist in sourcing and assessing partners and contractors to extend our selling and delivery bench.
- Help distribute customer opportunities evenly across team members ensuring geographic or segment coverage.
- Build and maintain a development plan to ensure Engagement Managers are enabled to understand the GitLab product and features, the value selling approach, and current processes/tools used to be effective in their roles.
- Remain knowledgeable and up-to-date on GitLab releases.
- Provide strategic proposals to leadership to organize and align the Engagement Manager team with the Sales/CS organizations.
- Experienced in collaborating with other managers, socializing and gaining agreement on strategic proposals, and executing strategies.

#### Senior Manager, Professional Services Engagement Management Requirements

- Experience managing, leading, and/or delivering professional services or customer success.
- Experience with a subscription-based business model, delivering on-premises and SaaS solutions.
- Experience partnering with Account Executives, presenting solutions, and implementation methodology during a sales process
- Experience managing technical, cross-functional professional services teams (e.g., consulting, implementation, trainers, project managers) and delivery partners.
- Ability to use GitLab

### Director, Engagement Management

The Director, Professional Services Engagement Management, reports to the VP, Professional Services

The Director, Professional Services Engagement Management is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#customer-success).

#### Responsibilities

- Extends the responsibilities of Sr. Manager of Professional Services
- Forecast and deliver to the Professional Services bookings plan and supporting delivery and revenue recognition goals.
- Develop strategies and plan to improve services selling, increase service attach, and increase efficiency of services sales processes
- Develop data-driven growth plan for Engagement Manager team. Execute on hiring plan to staff team appropriately to hit customer satisfaction and financial goals.
- Contribute to thought leadership and practice development efforts in order to help evolve and mature practice service areas of GitLab Professional Services.
- Craft and lead the pursuit strategy for Services for both direct and partner services opportunities to ensure customers get the most value with GitLab Solutions.
- Deeply understand customer's needs and requirements to efficiently and effectively provide a solution and expand GitLab's scope in every opportunity.
- Partner with Sales, Customer Success, and Channel leadership to develop integrated GTM strategies and integrate services selling into sales and adoption strategies and processes to optimize globally for positive customer and business outcomes.
- Support opportunity progression and negotiation to deliver to booking plan while ensuring services deals are setup to ensure quality delivery, reliable revenue recognition, customer outcome delivery.
- Lead, drive and implement our business strategy and plans to meet all business goals.

#### Requirements

- 5+ years of experience managing, leading, and/or delivering professional services or customer success.
- 3+ years of experience with a subscription-based business model, delivering on-premises and SaaS solutions.
- 3+ years of experience in Professional Services sales
- Experience with consulting services focused on Software Development Lifecycle, Agile/DevOps transformation, Cloud Computing, implementation and migration services.
- Experience partnering with Account Executives, presenting solutions, and implementation methodology during a sales process
- Experience managing technical, cross-functional professional services teams (e.g., consulting, implementation, trainers, project managers) and delivery partners.
- Ability to use GitLab

### Sr. Director, Engagement Management

A Senior Director of Professional Services (Engagement Management) is responsible for overseeing the positioning, scoping and selling of consulting and education services to clients and ensuring the satisfaction and success of those clients. This position typically requires a blend of leadership, strategic planning, and client management skills, along with deep industry knowledge.

The Sr. Director, Professional Services Engagement Management, reports to the VP, Professional Services

The Sr. Director, Professional Services Engagement Management is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#customer-success).

#### Responsibilities

- Lead and mentor a team of Engagement Managers and Managers of Engagement Management focused on Professional Services consultative selling.
- Foster a culture of high performance, continuous improvement and customer centricity.
- Set clear goals and objectives for the professional services team and ensure alignment with overall company strategy.
- Oversee the Professional Services sales motion and ensure positive customer outcomes while meeting contractual obligations.
- Create and maintain relationships with Customer executives acting as a senior point of contact for escalations and critical issues.
- Ensure client satisfaction and drive client success leading to renewals, upsells and positive referrals.
- Develop and Execute the Global Services selling strategy, including how to position service offerings and go-to-market plans.
- Collaborate with sales, product, customer success, and professional services delivery teams to align on client needs and ensure cohesive service delivery.
- Identify new service opportunities and partner with the delivery function to drive innovation in service delivery to enhance client value and competitive positioning.
- Manage under the professional services P&L, including budgeting, forecasting, and financial performance tracking.
- Ensure services are positioned and sold efficiently and cost-effectively, standardizing on processes, maximizing profitability and mitigating risk.
- Develop pricing strategies for services that reflect value delivered and market conditions.
- Establish and enforce best practices, standards, and methodologies for service selling.
- Implement metrics and KPIs to measure and improve the effectiveness of the professional services engagement management team.
- Work closely with product development teams to ensure services are aligned with product capabilities and roadmap.

#### Requirements

- Bachelor’s degree in Business, Engineering, Computer Science, or a related field; a Master’s degree or MBA is often preferred.
- Proven track record of successfully managing large-scale service selling motion and teams, preferably in a technology or software company.
- Strategic thinking and business acumen, with the ability to develop and execute a services strategy that aligns with company goals.
- Financial acumen, including experience managing budgets, forecasts, and P&L.
- Contractual acumen, including negotiation strategies
- Strong analytical and problem-solving skills, with the ability to make data-driven decisions.
- Excellent communication and interpersonal skills, with the ability to work effectively with cross-functional teams and senior executives.Demonstrated progressive experience managing, leading and/or delivering professional services
- Proven experience building and leading a large team with global responsibility, fast-paced, growing company
- Demonstrated progressive experience with a subscription-based business model, delivering on-premises and SaaS solutions
- Experience managing services sales, sales managers and partner sales executives.
- Demonstrated experience building and scaling a professional services business with accountability for financial targets
- Experienced with software development lifecycle (i.e., SDLC), agile, DevOps, software development tools, technologies (e.g., Docker, Kubernetes), and/or cloud platforms (AWS, GCP, Azure)
- Ability to be an evangelist for GitLab customers and serve according to GitLab’s values
- Ability to use GitLab
- Ability to travel 20% of the time, if needed, and comply with the company’s travel policy

## Performance Indicators

- [Services Bookings per agreed plan (50%)](/handbook/sales/#closed-deal---won)
- [Services Revenue per agreed plan (50%)](/handbook/sales/#pcv)

## Career Ladder

The Professional Services Engagement Manager Job Family would move into the [Manager of Professional Services](/job-families/sales/director-of-professional-services/) Job Family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

1. Phone screen with a GitLab Recruiting Team Member
1. Video Interview with the Hiring Manager
1. Professional Services pre-sales scoping presentation interview session with 1-4 Team Members

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
