---
title: "Manager, Customer Experience"
RoleName: "Manager, Customer Experience"
---

GitLab is a hyper growth company searching for people who are intelligent and agile with strong skills in technology, sales, business, communication and leadership. Desire to lead through change is a must.

The Manager of Customer Experience is a management position on the front-lines working with the Customer Success Managers and the Account Managers helping evolve and grow our large and strategic customers. This is a player/coach role where the individual is expected to be experienced in and have advanced insight to the GitLab platform. The individual will contribute to territory and account strategy as well as driving the execution directly and indirectly. The individual will need to be very comfortable giving and receiving positive and constructive feedback, as well as adapting to environmental change and retrospecting on successes and failures. The Manager of Customer Experience will work together with the other managers within the Customer Success organization to help execute on strategies and vision with the Director.

You will have the opportunity to help shape and execute a strategy to help the Customer Success Managers and Account Managers build mindshare and broad use of the GitLab platform within enterprise customers. Coaching your team members to becoming the trusted advisors to their customers in a post sale situation. The ideal candidate must be self-motivated with a proven track record in software/technology sales or consulting. The ability to connect technology with measurable business value is critical to a solutions architect. You should also have a demonstrated ability to think strategically about business, products, and technical challenges. You will also be responsible in helping grow and maintain our enterprise-level customers.

## Responsibilities

- Work with the Customer Success Director to help establish and manage goals and responsibilities for Customer Success Managers and Account Managers
- Assist in development of thought leadership, event-specific and customer-facing presentations
- Share hands-on technical preparation and presentation work for key accounts
- Ensure the CSMs/AMs  exceeds corporate expectations in core knowledge, communication and execution
- Define and maintain a high bar for team member expectations and enable the team to achieve it
- Challenge the team and yourself to continually learn and grow as trusted advisors to clients
- Monitor performance of team members and provide timely feedback and development assistance
- Create, review, and approve formal statements of work, change requests, and proposals
- Prepare weekly revenue forecast worksheet and create action plans to address issues
- Develop senior-level relationships with customers
- Manage resource assignments and staffing levels, including recruitment as needed
- Identify and implement improvements to the processes and tools used as a seasoned  with experience leading teams of project managers and consultants in support of external customers.
- Work together with our Sales organization and Professional Services Engineers to propose, scope, and price Professional  Services Statements of Work
- Work together with Solutions Architects and Professional Services Engineers to plan and execute internal projects, ensure that teams have appropriate training and manage resources to deliver Customer Success offerings
- Provide leadership and guidance to coach, motivate and lead the team members to their optimum performance levels and career development
- Ensure delivery model is focused on quality, cost effective delivery of services and customer success outcomes
- Remain knowledgeable and up-to-date on GitLab releases
- Document services provided to customers, including new code, techniques and processes, in such a way as to make such services more efficient in the future and to add to the GitLab community. Works with the Product Engineering and Support teams, to contribute documentation for GitLab
- Help build programs that the CSMs  will execute to effectively  grow our enterprise customers
- Ensure your team maintains high levels of customer retention, customer satisfaction and customer expansion as measured by quarterly goals, surveys and NPS
- Partner with Technical Support leadership to ensure a seamless customer handoff of escalated technical issues
- Develop strong relationships with Engineering and Product to ensure cohesion and shared understanding of goals, initiatives
- Drive team to exceed company growth and retention forecasts. Oversee initiatives set forth in Quarterly Goals
- Manage a team of highly motivated, customer-focused technical account managers  to manage the overall health and care of accounts (e.g. onboarding customers, product/service adoption by user, monitoring engagement across the post-sale lifecycle), and develop compensation plans and career paths appropriate to specific functions within the team

## Requirements

- Demonstrated progressive experience in a related function is required with direct customer advocacy and engagement experience in post-sales or professional services functions
- Prior experience in customer success or equivalent history of increasing satisfaction, adoption, and retention
- Familiarity working with clients of all sizes, especially large enterprise organizations
- Exceptional verbal, written, organizational, presentation, and communications skills
- Detailed oriented and analytical
- Strong team player but self starter
- Strong technical, analytical, and problem solving skills
- Experience with Ruby on Rails applications and Git
- Deep knowledge of software development lifecycle and development pipeline
- Understanding of continuous integration, continuous deployment, ChatOps, and cloud native
- Above average knowledge of Unix and Unix based operating systems
- Installation and operation of Linux operating systems and hardware investigation/manipulation commands
- BASH/Shell scripting including systems and init.d startup scripts
- Package management (RPM, etc. to add/remove/list packages)
- Understanding of system log files/logging infrastructure
- B.Sc. in Computer Science or equivalent experience
- Programming/scripting experience & skill is required (Bash & Ruby)
- Project management experience & skills
- SCM admin and/or PS experience would be a plus
- Set up HA/DR, working with Containers and Schedulers (Kubernetes preferred) and also experience with AWS stack (EC2, ECS, RDS, ElastiCache)
- Experienced in and have advanced insight into the GitLab platform
- Experienced in giving and receiving positive and constructive feedback
- Able to adapt to environmental change and retrospecting on successes and failures
- Previous leadership experience is a plus
- Experienced in collaborating with other managers and executing strategies
- Proven track record in software/technology sales or consulting
- [Leadership at GitLab](/handbook/company/structure/#management-group)
- Ability to use GitLab
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

{{% job-families/sales/performance %}}

## Career Ladder

The Manager, Customer Experience would move into the Director, Solutions Architect [Job Family](/job-families/sales/solutions-architect/), Director, the Techanical Account Manager [Job Family](/job-families/sales/customer-success-management/) or the Director, Customer Success [Job Family](/job-families/sales/director-customer-success/).

## Hiring Process

Candidates can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a [screening call](/handbook/hiring/interviewing/#screening-call) with our Global Recruiters
- Next, candidates will be invited to schedule a first interview with Director of Customer Success
- Candidates will then be invited to schedule a second interview with our Manager of Solutions Architects
- Candidates will also be invited to schedule an interview with our Manager of Professional Services
- The final round of candidates will be invited to schedule an interview with our CRO
- Finally, candidates may be asked to interview with the CEO
- Successful candidates will subsequently be made an offer directly from Director of Customer Success

Additional details about our process can be found on our [hiring page](/handbook/hiring/interviewing/).
