---
title: Online Sales & Self Service Operations
---

The Self-Service Operations function is part of a team focused on building an easy self-service experience for our customers. The Operations team is accountable for owning and delivering all operational support required to enable a customer-facing self-service first team. This team is also the face of self-service for all internal sales and customer-facing teams.

## Levels

## Senior Analyst, Global Digital SMB Product GTM

This role reports to the Sr. Manager, Global Digital SMB Growth.

### Job Grade

The Senior Analyst, Global Digital SMB Product GTM is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Own, develop and execute on cross-functional process and cadence to bring account management product changes live to customers
- Partner with and serve as primary conduit for product management, sales, enablement, marketing operations, enterprise systems, sales operations and other cross-functional groups to deliver the best customer experience for new account management feature launches
- Proactively and reactively identify, analyze, troubleshoot, escalate, triage and resolve business-stopping customer-facing issues through partnership with engineering and product teams. Influence prioritization and overall severity of the types and categories of bugs identified
- Actively engage with sales and customer-facing teams to determine the best customer outreach strategy surrounding a new feature launch or customer facing issue
- Develop content and train our customer-facing teams on self-service systems and business processes. And build direct to customer content if required
- Partner with product to test new features and represent customer use cases prior to bringing to market
Act as application expert for sales teams to bring questions and issues

### Requirements

- 2-4 years experience in SaaS product operations or related field
- Demonstrated progressive experience supporting Sales / Customer Success / Account Management teams, preferably within an Enterprise SaaS organization
- Ability to convey complex information to non-domain individuals
- Strong analytical and problem-solving skills
- Resourcefulness to get things done cross-functionally, prioritize multiple projects, and project-manage
- Self-starter, detail-oriented and comfortable working in a fast-paced/dynamic environment
- Experience and knowledge of B2B enterprise SaaS tools (for example: Salesforce, Zendesk, Drift)
- Lives and breathes process improvement and optimization
- Willingness to learn and use GitLab
- You share our values and work by those values

### Performance Indicators

- Sales teams time back to selling.  Achieved through: owning customer outreach strategy, single point of contact for sales, user acceptance testing to prevent production issues, effective sales enablement.
- Customer experience and adoption with new account management features.
- Issue resolution and customer-facing SLAs related to account management feature rollouts

## Analyst, Global Digital SMB Operations

This role reports to the Sr. Manager, Global Digital SMB Data and Analytics.

### Job Grade

The Analyst, Global Digital SMB Operations is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Develop and rollout frameworks, processes and metrics to support, stand-up and grow a digital-first, at-scale SMB customer engagement team.
- Partner with enterprise systems, marketing operations, sales operations and other cross-functional groups to deliver the right tools, experiences and processes to optimize for self-service and drive efficiency/automation wherever possible.
- Build, monitor and maintain Salesforce dashboards and reports, all the way from running the day-to-day of the business to ensuring executive visibility
- Enable customer-facing roles on usage of cases, dashboards, and other tools through presentation and creation of materials
- Actively engage with sales and customer-facing teams to identify opportunities and projects to improve effectiveness. Influence the sales and finance systems backlog based on data, customer feedback and internal feedback

### Requirements

- 1-3 years experience in SaaS operations or related field
- Strong analytical and problem-solving skills
- Resourcefulness to get things done cross-functionally, prioritize multiple projects, and project-manage
- Self-starter, detail-oriented and comfortable working in a fast-paced/dynamic environment
- Experience in administration, development, or operations in Salesforce CRM
- Lives and breathes process improvement and optimization
- Willingness to learn and use GitLab
- You share our values and work by those values

## Senior Analyst, Global Digital SMB Operations

## Job Grade

The Senior Analyst, Global Digital SMB Operations is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

- Extends that of the Analyst requirements
- Improve the SMB team's effectiveness and efficiency and provide increased insights through data, automation, and analytics
- Develop content and train our customer-facing teams on self-service systems and business processes

## Requirements

- Extends that of the Analyst requirements
- 2-4 years experience in SaaS operations or related field
- Demonstrated progressive Operations experience supporting Sales / Customer Success / Account Management teams, preferably within an Enterprise SaaS organization
- Ability to convey complex information to non-domain individuals

## Performance Indicators

- OKRs including: Speed to first response, speed to resolution, % automation, rep productivity (# of cases, nARR/rep)
- GTM efficiency gains reflected in increased case throughput and faster time to resolve

## Career Ladder

The next step in the Global Digital SMB Operations Job Family had not yet been defined.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute screening call with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to schedule 30-minute interviews with 2 immediate team members and 3 cross-functional partners
- Finally, candidates will be invited to schedule interviews with the hiring manager once more
- Additional details about our process can be found on our hiring page.
