---
title: "Order Management"
---

## Levels

### Order Management Specialist

The Order Management Specialist reports to Manager, Deal Desk.

#### Order Management Specialist Job Grade

The Order Management Specialist is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Order Management Specialist Responsibilities

- Serves as primary point of contact to support the Field Sales team for all questions related to opportunity booking, subscription management and license delivery protocols
- Manages opportunity bookings and related processes for supported region, including the creation and maintenance of GitLab Handbook documentation
- Resolves any booking errors within supported region
- Partners with Deal Desk and Billing teams to efficiently and accurately process opportunities
- Maintains customer subscription data, ensuring all live subscription data in Salesforce matches the associated Zuora subscription data
- Monitors License Fulfillment, partners with Support Engineering team to resolve issues related to true ups/incorrect end user
- Provides guidance to the field for customers to successfully apply license to GitLab instance
- Performs Weekly and Monthly Reconciliations, including ensuring there is a 1:1 relationship between Zuora Invoice and SFDC Opportunity, as well as ensuring the accuracy of Net ARR and other bookings metrics.

#### Order Management Specialist Requirements

- Familiarity with the Enterprise SaaS/B2B Industry - Order Management, Finance Operations, Deal Desk, Sales Operations or Pricing experience preferred
- Demonstrated ability to partner with GTM Teams and other cross functional departments
- Basic understanding of revenue recognition rules
- Highly organized, customer-focused, innovative and strong attention to details
- Excellent communicator, self-aware, transparent, collegial, and open to feedback
- Ability to multitask and prioritize at times of high volume, schedule flexibility during End of Month, End or Quarter
- Ability to prioritize and effectively manage distractions
- Strong quantitative skills and highly proficient in gSuite, Salesforce.com
- Basic knowledge and understanding of a CPQ tool
- Interest in GitLab, and open source software, ability to use GitLab
- You share our values, and work in accordance with those values
- Ability to thrive in a fully remote organization

#### Order Management Specialist Performance Indicators

- Opportunity Booking SLA
- Opportunity Booking Accuracy

### Senior Order Management Specialist

The Senior Order Management Specialist reports to Manager, Deal Desk.

#### Senior Order Management Specialist Job Grade

The Order Management Specialist is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Order Management Specialist Responsibilities

- Serves as primary point of contact to support the Field Sales team for all questions related to opportunity booking, subscription management and license delivery protocols
- Manages opportunity bookings and related processes for supported region, including the creation and maintenance of GitLab Handbook documentation
- Partners closely with Deal Desk, Billing and Collections teams to manage complex, non-standard deals
- Collaborates with internal teams to provide enablement on opportunity booking policies and best practices
- Resolves any booking errors within supported region
- Partners with Deal Desk and Billing teams to efficiently and accurately process opportunities
- Maintains customer subscription data, ensuring all live subscription data in Salesforce matches the associated Zuora subscription data
- Monitors License Fulfillment, partners with Support Engineering team to resolve issues related to true ups/incorrect end user
- Provides guidance to the field for customers to successfully apply license to GitLab instance
- Manages Weekly and Monthly Reconciliations, including ensuring there is a 1:1 relationship between Zuora Invoice and SFDC Opportunity, as well as ensuring the accuracy of Net ARR and other bookings metrics
- Partners with FP&A and Sales Compensation teams to resolve questions related to bookings
- Deliver relevant training to new Order Management team members

#### Senior Order Management Specialist Requirements

- Demonstrated familiarity with the Enterprise SaaS/B2B Industry - Order Management, Finance Operations, Deal Desk, Sales Operations or Pricing experience preferred
- Experience in Direct and Channel Sales model is highly desirable
- Demonstrated ability to partner with GTM Teams and other cross functional departments
- Basic understanding of revenue recognition rules
- Highly organized, customer-focused, innovative and strong attention to details
- Excellent communicator, self-aware, transparent, collegial, and open to feedback
- Ability to multitask and prioritize at times of high volume
- Ability to prioritize and effectively manage distractions
- Strong quantitative skills and highly proficient in gSuite, Salesforce.com
- CPQ Experience, Zuora Preferred
- Basic understanding of ASC606, SOX, Export Compliance
- Interest in GitLab, and open source software, ability to use GitLab
- You share our values, and work in accordance with those values
- Ability to thrive in a fully remote organization

#### Senior Order Management Specialist Performance Indicators

- Opportunity Booking SLA
- Opportunity Booking Accuracy
- Speed to Month Close

## Career Ladder

- The next step in the Order Managment job family is to move to the [Deal Desk](/job-families/sales/deal-desk/) job family.

## Hiring process

Candidates for these positions can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our team page.

- Qualified candidates will be invited to schedule a 30 minute screening call with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 team members
- There may be a final executive interview

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
