---
title: "Ecosystem Sales Manager"
---

A strong partner ecosystem is crucial in the success and growth of  GitLab's business. Partners are a strategic imperative for GitLab's continued growth and market expansion. As customer requirements become more complex we need partners with capability and capacity to help customers implement, support and grow their usage of GitLab.  We work closely with cross functional leadership to ensure partners are integrated throughout the sales cycle both pre and post sales.

| Role | Grade |
| -- | - |
| [Associate Ecosystem Sales Manager](#associate-ecosystem-sales-manager) | [Grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Ecosystem Sales Manager](#ecosystem-sales-manager-intermediate) | [Grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Ecosystem Sales Manager](#senior-ecosystem-sales-manager) | [Grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Staff Ecosystem Sales Manager](#staff-ecosystem-sales-manager) | [Grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Manager, Ecosystem Sales](#senior-manager-ecosystem-sales) | [Grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Director, Ecosystem  Sales](#director-ecosystem-sales) | [Grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Director, Ecosystem Sales](#senior-director-ecosystem-sales) | [Grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Vice President, Ecosystem Sales](#vice-president-ecosystem-sales) | [Grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |

## Ecosystem Sales Manager (Individual Contributors)

All individual contributors are referred to as “Ecosystem Sales Managers” or “ESM” and share the same primary requirements, responsibilities, and performance indicators.  Scope of role and command of business will fluctuate based on level.

### Individual Contributor Responsibilities

- Coordinate/facilitate the involvement of GitLab team members, including sales leadership, support, etc. as needed to ensure meeting sales targets and ecosystem sales objectives.
- Build, maintain, and manage relationships with the GitLab field sales organization.
- Proactively engage with GitLab AEs, ASMs and geo leadership.
- Facilitate territory mapping and identification of new joint opportunities.
- Resolve route conflicts appropriately.
- Identify and support regional-specific demand generation/pipeline building activities with strategic partners.
- Contribute to quarterly business reviews (QBRs) within your assigned territory.
- Participate in annual planning within the Ecosystem organization.
- Provide cloud-related weekly forecasts and/or progress reports.
- Escalate critical business issues to Ecosystem team management.
- Prepare presentations, territory plans and reports as required.
- Coordinate and collaborate with Finance, Partner Operations, Sales Operations, and Sales as needed.

### Individual Contributor Requirements

- Experience selling software development tools and/or application lifecycle management solutions via strategic partnerships.
- Experience selling open source solutions.
- Experience with B2B sales.
- Interest in GitLab, and open source software.
- Effective written and verbal communication skills.
- Strong interpersonal skills and an ability to remain calm under pressure.
- Established personal network within the industry.
- Results oriented perspective.
- You share our values, and work in accordance with those values.
- Ability to use GitLab.
- Experience with Salesforce.
- Ability to travel up to 50% and comply with the company's travel policy.

## Levels

### Associate Ecosystem Sales Manager

The Associate Ecosystem Sales Manager typically reports to the Director, Ecosystem Sales.

#### Job Grade

The Associate Ecosystem Sales Manager is a [grade 5]({{% ref "compensation-calculator#gitlab-job-grades" %}}).

#### Associate Expectations

- *Knowledge*: Fundamental understanding of company products, basic partnership processes, and administrative functions.
- *Responsibilities*: Supports partner relationship management, conducts basic market research, assists with administrative and logistical tasks.
- *Interaction*: Primarily internal communication with team members.
- *Impact*: Internal execution; supporting role for executing ecosystem partner strategies.

### Ecosystem Sales Manager (Intermediate)

The Ecosystem Sales Manager (Intermediate) typically reports to the Director, Ecosystem Sales

#### Job Grade

The Ecosystem Sales Manager (Intermediate) is a [grade 6]({{< ref "compensation-calculator#gitlab-job-grades" >}}).

#### Intermediate Expectations

- *Knowledge*: Solid understanding of ecosystem partner strategies, market trends, and business operations.
- *Responsibilities*: Manages key ecosystem partner relationships, develops and executes ecosystem partner plans, coordinates with internal sales, marketing, and product teams.
- *Interaction*: Significant internal and external communication with partners and stakeholders.
- *Impact*: Direct influence on the execution and success of ecosystem partner strategies.

### Senior Ecosystem Sales Manager

The Senior Ecosystem Sales Manager typically reports to the Director, Ecosystem Sales

#### Job Grade

The Senior Ecosystem Sales Manager is a [grade 7]({{< ref "compensation-calculator#gitlab-job-grades" >}}).

#### Senior Expectations

- *Knowledge*: In-depth understanding of strategic ecosystem partners, industry dynamics, and advanced business operations.
- *Responsibilities*: Leads major ecosystem partner initiatives, mentors junior team members, develops long-term strategic plans for ecosystem partner growth.
- *Interaction*: Extensive communication both internally at senior levels and externally with major partners.
- *Impact*: High, influencing key strategic decisions and ecosystem partner performance.

### Staff Ecosystem Sales Manager

The Staff Ecosystem Sales Manager reports to either the Director, Partner Territory Management or the Director, Ecosystem Sales.

#### Job Grade

The Staff Ecosystem Sales Manager is a [grade 8]({{< ref "compensation-calculator#gitlab-job-grades" >}}).

#### Staff Expectations

- *Knowledge*: Expert in strategic ecosystem partner development, market analysis, and industry trends.
- *Responsibilities*: Leads major ecosystem partner initiatives, mentors junior team members, develops long-term strategic plans for ecosystem partner growth. Involved in setting strategic direction, ensures alignment with overall business objectives.
- *Interaction*: High-level interaction with senior executives, key partners, and major stakeholders.
- *Impact*: Significant, shaping the direction and success of ecosystem partner strategies and partnerships.

## Ecosystem Sales Leadership (People Management)

All Ecosystem Sales leaders hare the same primary requirements, responsibilities, and performance indicators.  Scope of role and command of business will fluctuate based on level.

### Leadership Responsibilities

- Coaches, develops and mentors a high-performing ecosystem sales team.
- Communicates strategy and makes sound decisions that support the strategy. Cascades important and relevant information to their teams in a timely manner.
- Provide understanding of business dynamics, key drivers and set strategies, tactics, and success metrics for ecosystem sales within the assigned region, geo or globally.
- Oversees ecosystem sales pipeline building activities within the assigned region, geo or globally.
- Facilitate ecosystem sales to drive GitLab revenue.
- Provide the Ecosystem Sales leadership with critical business visibility and weekly business status.
- Contribute to and support ecosystems sales programs.
- Take a leadership role in representing ecosystem sales in quarterly business reviews.
- Engage GitLab global and regional sales leadership, solutions architects, and marketing teams to ensure awareness and leverage of strategic partnerships.
- Cultivate ecosystem sales talent
- Collaborates with Marketing on ecosystem sales-related demand generation activities within the region, geo or globally..
- Support partner marketing in support of joint marketing activities with strategic partners within the assigned territory.
- Provide guidance and direction for ecosystem joint go-to-market planning.
- Coordinate and collaborate with Finance, Partner Operations, Sales Operations, and Sales as needed.
- Foster executive relationships globally, both internally and within strategic partner organizations.
- Collaborate with the VP, Ecosystem Sales to define partner strategy, budget, hiring, etc to foster a high performing team and results.
- Contribute to long term investment planning, design, and execution for strategic partner engagement.
- Provide input and/or guidance on process automation related to ecosystem sales
- Ensure ecosystem sale global consistency.

### Leadership Requirements

- Demonstrated progressive management experience, with an emphasis on leadership, and engaging global and local stakeholders.
- Experience building trusted relationships with executive leadership, and driving engagement.
- Ability to rapidly hire and scale a team of world class professionals.
- Strong sales experience managing ecosystem sales teams.
- Experience managing strategic partner relationships.
- Experience selling in the software development tools and/or application lifecycle management solutions via cloud marketplaces.
- Ability to work independently in a fast-paced environment; must be high energy, motivated and a self starter
- Ability to travel up to 50% of the time.
- Strong communicator in person, virtually, and in writing.
- Excellent interpersonal skills and an ability to lead alliance sales teams.
- Strong personal network within the industry.
- Driven, highly motivated and results oriented.
- You share our values, and work in accordance with those values.
- Ability to use GitLab
- Ability to travel up to 50% and comply with the company's travel policy.

### Senior Manager, Ecosystem Sales

The Senior Manager, Ecosystem   Sales typically reports to the Vice President, Ecosystem Sales.

#### Job Grade

The Senior Manager, Ecosystesm Sales is a [grade 9]({{< ref "compensation-calculator#gitlab-job-grades" >}}).

#### Senior Manager Expectations

- *Knowledge*: Expert in strategic ecosystem partner development, market analysis, and industry trends.
- *Responsibilities*: Oversees a team of Ecosystem Sales Managers for a defined specialty or territory, sets strategic direction, ensures alignment with overall business objectives, and manages a team of managers and analysts.
- *Interaction*: High-level interaction with senior executives, key partners, and major stakeholders.
- *Impact*: Significant, shaping the direction and success of ecosystem partner strategies and partnerships.

### Director, Ecosystem Sales

The Director, Ecosystem Sales typically reports to the Vice President, Ecosystem Sales.

#### Job Grade

The Director, Ecosystem Sales is a [grade 10]({{< ref "compensation-calculator#gitlab-job-grades" >}}).

#### Director Expectations

- *Knowledge*: Expert in strategic ecosystem partner development, market analysis, and industry trends.
- *Responsibilities*: Oversees the entire ecosystem partner function for a defined region or territory, sets strategic direction, ensures alignment with overall business objectives, and manages a team of managers and analysts.
- *Interaction*: High-level interaction with senior executives, key partners, and major stakeholders.
- *Impact*: Significant, shaping the direction and success of ecosystem partner strategies and partnerships.

### Senior Director, Ecosystem Sales

The Senior Director, Ecosystem  Sales typically reports to the Vice President, Ecosystem Sales.

#### Job Grade

The Senior Director, Ecosystem Sales is a [grade 11]({{< ref "compensation-calculator#gitlab-job-grades" >}}).

#### Senior Director Exepctations

- *Knowledge*: Comprehensive understanding of global ecosystem partner strategies, executive-level business acumen, and deep industry knowledge.
- *Responsibilities*: Directs the ecosystem partner function at a strategic level across several specialties or functions globally, develops global frameworks, collaborates with VP-level executives to integrate ecosystem partner strategies into overall business plans.
- *Interaction*: Extensive, including board-level and senior executive interactions, as well as with top-tier partners.
- *Impact*: Critical, directly influencing company-wide strategic initiatives, revenue goals, and market positioning through effective ecosystem partner and alliance management.

### Vice President, Ecosystem Sales

The Vice President, Ecosystem Sales typically reports to the Chief Revenue Officer.

#### Job Grade

The Vice President, Ecosystem Sales is a [grade 12]({{< ref "compensation-calculator#gitlab-job-grades" >}}).

#### Vice President Exepectations

- *Knowledge*: Comprehensive understanding of global ecosystem partner strategies, executive-level business acumen, and deep industry knowledge across company products and sales avenues.
- *Responsibilities*: Creates and directs the ecosystem partner function at a strategic level globally, develops global frameworks, collaborates with C-level executives to integrate ecosystem partner strategies into overall business plans. Determines long term vision and direction for the ecosystem partner function; managing the financial plan and resources for the function.
- *Interaction*: Extensive, including board-level and senior executive interactions, as well as with top-tier partners.  Collaboration internally with key stakeholders to manage resourcing and program needs.
- *Impact*: Critical, directly influencing company-wide strategic initiatives, revenue goals, and market positioning through effective ecosystem partner and alliance management.

## Specialties

Ecosystem Sales Managers may be assigned one of the following specialties.  If they are not assigned a specialty, they are considered a generalist and are responsible for many types of partners in a region or geography (cloud, solutions and services, etc.).  This is most prevalent in EMEA/APJ where signficant distances and complexities of doing business necessittes managing multiple types of partners.

### Cloud Partners

The Cloud Partners specialization is responsible for facilitating co-selling between the GitLab field sales organization and the sales organizations of strategic cloud partners such as AWS or Google Cloud to achieve customer success with GitLab on public clouds.

### Global System Integrators

The Global System Integrators (GSI) specialization is responsible for facilitating collaborative efforts between the GitLab field sales organization and GSIs such as Accenture or Capgemini to advance GitLab sales and customer success.

### Emerging Strategic Partners

The Emerging Strategic Partners specialization is responsible for identifying, nurturing and activating new strategic partnerships in support of customer success with GitLab.

## Performance Indicators

All members of the Ecosystem Sales Team use the same compensation model and the same performance indicators:

- Assigned territory NetARR
- SMART Managed Business Objectives (will vary by territory / specialty assigned)

## Career Ladder

Team members in the Ecosystem   Sales job family may progress through the career ladder of Ecosystem  Sales; in some instances team members may move to other specialties in the Ecosystem Sales job family or move to other roles in the Sales organization such as Account Executive.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call]({{< ref "interviewing#screening-call" >}}) with one of our Global Recruiters.
- Video Interview with the Hiring Manager
- Team Interviews with 1-4 team members

Additional details about our process can be found on our [hiring page](/handbook/hiring).
 content/job-families/sales/channel-program-manager.md → content/job-families/sales/partner-sales/partner-program-manager.md
