---
title: "Partner Help Desk Specialist"
description: "The Partner Help Desk Specialist is responsible for supporting the GitLab partner development, sales enablement, pipeline development and sales transactions. "
---

The Partner Help Desk Specialist is responsible for supporting the GitLab partner development, sales enablement, pipeline development and sales transactions to achieve stated channel sales targets.  The Partner Help Desk Specialist will support Channel Sales Managers in addressing partner questions and system issues, and will proactively drive partner onboarding to speed each partner's time to their first deal.

## Levels

### Partner Help Desk Specialist (Intermediate)

The Partner Help Desk Specialist (Intermediate) reports to the Manager, Partner Help Desk.

#### Partner Help Desk Specialist (Intermediate) Job Grade

The Partner Help Desk Specialist (Intermediate) is a [Grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Partner Help Desk Specialist (Intermediate) Responsibilities

- Support Channel Sales Manager in the Partner onboarding process; contracts, portal training, enablement, etc.
- Support your assigned channel to understand, navigate and meet milestones in the GitLab Partner Program; including accreditations, badging, certifications.
- Support partner in all stages of the customer lifecycle; demand database management, deal registration, quote creation, order processing, add-ons & renewals etc.
- Execute sales and marketing enablement to channel & distribution partners.
- Support the execution of GTM, Sales, Marketing, Channel Services.
- Document processes and best practices to enable Help Desk team members, Partners, Channel Sales, Operations and Sales.

#### Partner Help Desk Specialist (Intermediate) Requirements

- Previous experience of supporting sales or channel sales ideally within the same product category and channel.
- Experience selling in the Software Development Tools and/or Application Lifecycle Management space via channel partnerships.
- Experience selling or supporting Open Source Solutions.
- Demonstrated progressive experience with B2B sales.
- Interest in GitLab and open source software.
- Effective communicator with excellent interpersonal skills and relationship builder with partners and GitLab teams.
- Excellent sales support skills, proficiency with Salesforce a plus.
- Broad personal network within the industry.
- Driven, highly motivated and results driven.
- You share our [values](/handbook/values/), and work in accordance with those values.
- [Leadership at GitLab](/handbook/leadership/).
- Desire to learn the use of the GitLab platform.
- Ability to use GitLab.

### Senior Partner Help Desk Specialist

The Senior Partner Help Desk Specialist reports to Manager, Partner Help Desk.

#### Senior Partner Help Desk Specialist Job Grade

The Senior Partner Help Desk Specialist is a [Grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Partner Help Desk Specialist Responsibiliites

- Extends that of the Partner Help Desk Specialist (Intermediate) responsibilities

#### Senior Partner Help Desk Specialist Requirements

- Extends the responsibilities of the Partner Help Desk Specialist (Intermediate) requirements
- Experience with Salesforce.com and Partner Relationship Management (PRM) systems.
- Advanced experience with partner enablement and/or partner operations.
- 3+ years of experience with B2B sales.

### Manager, Partner Help Desk

The Manager,Partner Help Desk reports to [Senior Director, Channel Programs and Enablement](/job-families/sales/director-channel-programs-and-enablement/).

#### Manager, Partner Help Desk  Job Grade

The Manager, Partner Help Desk is a [Grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Manager, Partner Help Desk Responsibiliites

- Extends the responsibilities of the Partner Help Desk Specialist and Senior Partner Help Desk Specialist
- Manages  Partner Help Desk team members and is responsible for recruiting, onboarding and ongoing development of team.
- Establishes team OKRs and plans, and supports team in enablement and problem solving.  Ensures team results.
- Collaborates with [Senior Director, Channel Programs and Enablement](/job-families/sales/director-channel-programs-and-enablement/) in rolling out partner program updates, system enhancements and enablement programs.
- Leads cross-functional initiatives with Operations and Marketing teams around system implementations, process improvements and program implementations.

#### Manager, Partner Help Desk Requirements

- Extends requirements of the Senior Partner Help Desk Specialist
- Team leadership and coaching experience
- Advanced problem solving skills and cross-functional collaboration.
- 5+ years of experience with B2B sales and/or sales or partner support.

## Performance Indicators

- 80% of Partners trained / certified
- Increase in number of Partner Initiated Opportunities
- Time to first partner deal - less than 3 months
- Number of partner cases resolved each month - 90% or more

## Career Ladder

The next step in the Partner Helpdesk Specialist job family is to move into the [Channel Programs and Enablement](/job-families/sales/director-channel-programs-and-enablement/), the [Channel Sales Manager](/job-families/sales/channel-sales-manager/) or the [Sales Operations](/job-families/sales/sales-operations/) Job Family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30 min. [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 1-4 Team Members

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
