---
title: "Partner Territory Manager"
---

To meet evolving customer needs and to continue GitLab's growth, partners are an essential component of our future success. Specifically, we need to leverage partners capabilities to implement, support and grow  usage and adoption of the GitLab platform. Partner Territory Managers (PTMs) have a dual function. First, PTMs support GitLab field sales in a specific territory in which they are responsible for ensuring that the right partners contribute to customer success with GitLab on a pre and post sales basis. Second, PTMs manage one or more partner relationships that play a role in the success of their territory. PTMs support their assigned territory by establishing an overall partner strategy, developing  partner pipeline, and facilitating partner sales and services.

## Levels

| Role | Grade |
| -- | - |
| [Associate Partner Territory Manager](#associate-partner-territory-manager) | [Grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Partner Territory Manager](#partner-territory-manager-intermediate) | [Grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Partner Territory Manager](#senior-partner-territory-manager) | [Grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Staff Partner Territory Manager](#staff-partner-territory-manager) | [Grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Manager, Partner Territory Management](#senior-manager-partner-territory-management) | [Grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Director, Partner Territory Management](#director-partner-territory-management) | [Grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |

### Associate Partner Territory Manager

The Associate Partner Territory Manager reports to the Director, Partner Territory Managers for their region.

#### Job Grade

The Associate Partner Territory Manager is a [Grade 5] ({{% ref "compensation-calculator#gitlab-job-grades" %}}).

#### Associate Responsibilities

The Associate Partner Territory Manager is responsible for the following with significant guidance and oversight from their manager.

**Territory Management**

- Facilitate sell-with and sell-through motions with partner organizations in collaboration with GitLab field sales.
- Identify and engage with the right partners to ensure GitLab adoption revenue growth in your territory.
- Proactively build, maintain, and manage relationships with the GitLab field sales organization.
- Proactively build, maintain, and leverage relationships and communications with partners that contribute to the success of your assigned territory.
- Foster communication between partners and GitLab field sales teams.
- Leverage regional-specific demand generation/pipeline building activities with partners.
- Facilitate account/territory mapping and identification of new joint opportunities.
- Log all joint sales activities and partner engagement activities in Salesforce.
- Position partner-specific margin and/or incentives accurately and ensure that they are used appropriately.
- Help ensure that partner quotes and cloud marketplace private offers are prepared correctly.
- Ensure that all cloud marketplace opportunities are registered and updated in the corresponding cloud partner's  portal (e.g., AWS ACE or Google Partner Advantage).
- Escalate critical business issues to partner management.
- Prepare presentations, territory plans and reports as required.
- Meet assigned sales targets and objectives for their assigned territory using partner Source (i.e., Deal Registrations), Influence and Co-selling mechanisms.
- Produce a weekly forecast in support of your assigned territory
- Contribute to quarterly business reviews (QBRs) within your assigned territory.

**Regional Partner Management**

- Develop and drive the execution of partner revenue programs and initiatives.
- Evangelize GitLab's value proposition to the partners they manage.
- Manage the day-to-day needs of the partners they manage.
- Coordinate GitLab team members to meet partner performance objectives and partners' expectations.
- Monitor partner compliance with GitLab Partner Programs and partner agreements.
- In collaboration with partner leaders at designated partners, develop a joint partnership strategy and GTM plan that includes investments in:
  - Practice Development
  - Co-selling
  - Sourcing GitLab business, and
  - Developing industry and cloud-based solutions.
- Participate in the partner planning process that develops mutual performance objectives, financial targets, and critical milestones associated with a productive partner relationship.
- In collaboration with the Partner Program team, Partner Marketing, etc., identify partner go-to-market (GTM) demand generation activities and/or partner services offerings to grow joint revenue.
- Stay abreast of competitive products, technologies and industry trends.
- Adopt partner-related best practices.
- Represent GitLab at partner events.
- Attain KPI's to ensure that the goals of the partner portfolio are met.
- Collaborate with internal stakeholders such as Sales, Solution Architects, Marketing, Services, Partner Programs, Strategy and Operations

#### Associate Requirements

**Partner Sales and Services**

- Experience driving partner sales ideally with open source solutions via resale, services, and/or cloud partners.
- Business development skills.

**Partner Management**

- Basic experience in partner management preferably in software or SaaS solutions.
- Knowledge and/or experience with different partner GTM and organizational models

**Industry Knowledge**

- Basic DevOps knowledge and/or experience including security and/or cloud services.
- Basic experience with B2B partner sales of high technology solutions.
- Interest in GitLab, and open source software.

**CREDIT Values**

- Ability to work in a fast-paced environment; must be high energy, motivated and a self starter.
- Effective communicator with good interpersonal skills and an ability to build strong relationships with partners and GitLab teams.
- Willingness to deepen technical and domain knowledge
- Results driven
- Tenacity. Persists under tough circumstances. Resilient. Overcomes obstacles.
- Ability to travel up to 50% within the assigned territory and comply with the company's travel policy.

#### Associate Performance Indicators

- % Revenue Partner Source
- % Revenue Partner Cosell/Influence

### Partner Territory Manager (Intermediate)

The Partner Territory Manager (Intermediate) reports to the Director, Partner Territory Management for their region.

#### Job Grade

The Partner Territory Manager (intermediate) is a [grade 6]({{< ref "compensation-calculator#gitlab-job-grades" >}}).

#### Intermediate Responsibilities

- The Partner Territory Manager (Intermediate) is responsible for the following with some guidance and oversight from their manager.

**Territory Management**

- Facilitate sell-with and sell-through motions with partner organizations in collaboration with GitLab field sales.
- Identify and engage with the right partners to ensure GitLab adoption revenue growth in your territory.
- Proactively build, maintain, and manage relationships with the GitLab field sales organization.
- Proactively build, maintain, and leverage relationships and communications with partners that contribute to the success of your assigned territory.
- Foster communication between partners and GitLab field sales teams.
- Leverage regional-specific demand generation/pipeline building activities with partners.
- Facilitate account/territory mapping and identification of new joint opportunities.
- Log all joint sales activities and partner engagement activities in Salesforce.
- Position partner-specific margin and/or incentives accurately and ensure that they are used appropriately.
- Help ensure that partner quotes and cloud marketplace private offers are prepared correctly.
- Ensure that all cloud marketplace opportunities are registered and updated in the corresponding cloud partner's  portal (e.g., AWS ACE or Google Partner Advantage).
- Escalate critical business issues to partner management.
- Prepare presentations, territory plans and reports as required.
- Meet assigned sales targets and objectives for their assigned territory using partner Source (i.e., Deal Registrations), Influence and Co-selling mechanisms.
- Produce a weekly forecast in support of your assigned territory.
- Contribute to quarterly business reviews (QBRs) within your assigned territory.

**Regional Partner Management**

- Develop and drive the execution of partner revenue programs and initiatives.
- Evangelize GitLab's value proposition to the partners they manage.
- Manage the day-to-day needs of the partners they manage.
- Coordinate GitLab team members to meet partner performance objectives and partners' expectations.
- Monitor partner compliance with GitLab Partner Programs and partner agreements.
- In collaboration with partner leaders at designated partners, develop a joint partnership strategy and GTM plan that includes investments in:
  - Practice Development
  - Co-selling
  - Sourcing GitLab business, and
  - Developing industry and cloud-based solutions.
- Participate in the partner planning process that develops mutual performance objectives, financial targets, and critical milestones associated with a productive partner relationship.
- In collaboration with the Partner Program team, Partner Marketing, etc., identify partner go-to-market (GTM) demand generation activities and/or partner services offerings to grow joint revenue.
- Stay abreast of competitive products, technologies and industry trends.
- Adopt partner-related best practices.
- Represent GitLab at partner events.
- Attain KPI's to ensure that the goals of the partner portfolio are met.
- Collaborate with internal stakeholders such as Sales, Solution Architects, Marketing, Services, Partner Programs, Strategy and Operations.

#### Intermediate Requirements

**Partner Sales and Services**

- 3+ years of experience with partner sales management.
- Success in driving partner sales with open source solutions via resale, services (RSIs/GSIs), cloud partnerships, and distribution.
- Understanding of offer creation, marketing, lead generation and professional services organization key performance indicators (KPIs).
- Solid business development skills.
- Experience delivering results via influenced revenue via service partners and/or indirect sales via resale or cloud partners.
- Executive presence to lead and manage a strategic partner business. Be able to present up to sales leadership.

**Partner Management**

- 3+ years experience in partner management preferably in software or SaaS solutions.
- Build, lead and execute strategy within a cross-functional environment.
- Ability to run a partner sales territory self sufficiently.
- Knowledge and/or experience with different partner GTM and organizational models.
- Proven record of success developing partners strategically and economically.

**Industry Knowledge**

- Familiarity with relevant industry landscape including trends, thought leadership
- Knowledge of common industry-specific use cases.
- DevOps knowledge and/or experience including security and/or cloud services.
- Experience with B2B partner sales of high technology solutions.
- Interest in GitLab, and open source software.

**CREDIT Skills**

- Qualities that match with GitLab core values and can inspire others to follow and act.
- Ability to build and maintain positive working relationships while delivering results in a highly complex, matrixed global organization.
- Ability to work in a fast-paced environment; must be high energy, motivated and a self starter.
- Effective communicator with good interpersonal skills and an ability to build strong relationships with partners and GitLab teams.
- Ability and willingness to share domain knowledge among peers.
- Continuous learner. Ability and desire to deepen technical and domain knowledge.
- Comfortable providing feedback to leadership to improve processes and systems.
- Results driven,
- Tenacity. Persists under tough circumstances. Resilient. Overcomes obstacles.
- Strong tolerance for ambiguity; able to focus and execute in a changing environment; ability to make things happen
- Ability to travel up to 50% within the assigned territory and comply with the company's travel policy.

#### Intermediate Performance Indicators

- % Revenue Partner Source
- % Revenue Partner Cosell/Influence

### Senior Partner Territory Manager

The Senior Partner Territory Manager reports to the Director, Partner Territory Managers for their region.{add the reporting position and link to the job family or heading (if on the same page)}.

#### Job Grade

The Senior Partner Territory Manager is a [grade 7]({{< ref "compensation-calculator#gitlab-job-grades" >}}).

#### Senior Responsibilities

The Senior Partner Territory Manager is responsible for the following with occasional guidance and oversight from their manager.

**Territory Management**

- Facilitate sell-with and sell-through motions with partner organizations in collaboration with GitLab field sales.
- Identify and engage with the right partners to ensure GitLab adoption revenue growth in your territory.
- Proactively build, maintain, and manage relationships with the GitLab field sales organization.
- Proactively build, maintain, and leverage relationships and communications with partners that contribute to the success of your assigned territory.
- Foster communication between partners and GitLab field sales teams.
- Leverage regional-specific demand generation/pipeline building activities with partners.
- Facilitate account/territory mapping and identification of new joint opportunities.
- Log all joint sales activities and partner engagement activities in Salesforce.
- Position partner-specific margin and/or incentives accurately and ensure that they are used appropriately.
- Help ensure that partner quotes and cloud marketplace private offers are prepared correctly.
- Ensure that all cloud marketplace opportunities are registered and updated in the corresponding cloud partner's  portal (e.g., AWS ACE or Google Partner Advantage).
- Escalate critical business issues to partner management.
- Prepare presentations, territory plans and reports as required.
- Meet assigned sales targets and objectives for their assigned territory using partner Source (i.e., Deal Registrations), Influence and Co-selling mechanisms.
- Produce a weekly forecast in support of your assigned territory
- Contribute to quarterly business reviews (QBRs) within your assigned territory.

**Regional Partner Management**

- Develop and drive the execution of partner revenue programs and initiatives.
- Evangelize GitLab's value proposition to the partners they manage.
- Manage the day-to-day needs of the partners they manage.
- Coordinate GitLab team members to meet partner performance objectives and partners' expectations.
- In collaboration with partner leaders at designated partners, develop a joint partnership strategy and GTM plan that includes investments in:
  - Practice Development
  - Co-selling
  - Sourcing GitLab business, and
  - Developing industry and cloud-based solutions.
- Monitor partner compliance with GitLab Partner Programs and partner agreements.
- Participate in the partner planning process that develops mutual performance objectives, financial targets, and critical milestones associated with a productive partner relationship.
- In collaboration with the Partner Program team, Partner Marketing, etc., identify partner go-to-market (GTM) demand generation activities and/or partner services offerings to grow joint revenue.
- Stay abreast of competitive products, technologies and industry trends.
- Adopt partner-related best practices.
- Represent GitLab at partner events.
- Attain KPI's to ensure that the goals of the partner portfolio are met.
- Collaborate with internal stakeholders such as Sales, Solution Architects, Marketing, Services, Partner Programs, Strategy and Operations.

**Cloud Partnering**

- Execution of day-to-day co-selling motion between GitLab field sales and cloud partner field sellers.
- Position cloud partner incentives accurately and ensure that they are used appropriately.
- Help ensure that private offers are prepared correctly and that correct marketplace fees are applied.
- Ensure that all joint opportunities are registered in the corresponding strategic cloud partner's partner portal.
- Ensure that all registered joint opportunities are updated within the strategic cloud partner's partner portal.
- Escalate critical business issues to partner management.
- Prepare presentations, territory plans and reports as required.

#### Senior Requirements

**Partner Sales and Services**

- Success in driving partner sales with open source solutions via resale, services (RSIs/GSIs), cloud partnerships, and distribution.
- Understanding of offer creation, marketing, lead generation and professional services organization key performance indicators (KPIs)
- Solid business development skills.
- Experience delivering results via influenced revenue via service partners and/or indirect sales via resale or cloud partners.
- Executive presence to lead and manage a strategic partner business. Be able to present up to sales leadership.

**Partner Management**

- Build, lead and execute strategy within a cross-functional environment.
- Ability to run a partner sales territory self sufficiently.
- Knowledge and/or experience with different partner GTM and organizational models
- Proven record of success developing partners strategically and economically.

**Industry Knowledge**

- Familiarity with relevant industry landscape including trends, thought leadership
- Knowledge of common industry-specific use cases.
- DevOps knowledge and/or experience including security and/or cloud services.
- Experience with B2B partner sales of high technology solutions.
- Interest in GitLab, and open source software.

**CREDIT Skills**

- Qualities that match with GitLab core values and can inspire others to follow and act.
- Ability to build and maintain positive working relationships while delivering results in a highly complex, matrixed global organization.
- Ability to work in a fast-paced environment; must be high energy, motivated and a self starter.
- Effective communicator with good interpersonal skills and an ability to build strong relationships with partners and GitLab teams.
- Ability and willingness to share domain knowledge among peers.
- Continuous learner. Ability and desire to deepen technical and domain knowledge.
- Comfortable providing feedback to leadership to improve processes and systems.
- Results driven.
- Tenacity. Persists under tough circumstances. Resilient. Overcomes obstacles.
- Strong tolerance for ambiguity; able to focus and execute in a changing environment; ability to make things happen.
- Ability to travel up to 50% within the assigned territory and comply with the company's travel policy.

#### Senior Performance Indicators

- % Revenue Partner Source
- % Revenue Partner Cosell/Influence

### Staff Partner Territory Manager

The Staff Partner Territory Manager reports to the {add the reporting position and link to the job family or heading (if on the same page)}.

#### Job Grade

The Staff Partner Territory Manager is a [grade 9]({{< ref "compensation-calculator#gitlab-job-grades" >}}).

#### Staff Responsibilities

The Staff Partner Territory Manager is responsible for the following with minimal oversight from their manager.

**Territory Management**

- Will contribute to regional partnering thought leadership by providing best practices.
- Will build GitLab pipeline and deliver GitLab revenue using region-specific partnering strategies and initiatives in close collaboration and alignment with internal and external stakeholders.
- Facilitate sell-with and sell-through motions with partner organizations in collaboration with GitLab field sales.
- Identify and engage with the right partners to ensure GitLab adoption revenue growth in your territory.
- Proactively build, maintain, and manage relationships with the GitLab field sales organization.
- Proactively build, maintain, and leverage relationships and communications with partners that contribute to the success of your assigned territory.
- Foster communication between partners and GitLab field sales teams.
- Leverage regional-specific demand generation/pipeline building activities with partners.
- Facilitate account/territory mapping and identification of new joint opportunities.
- Log all joint sales activities and partner engagement activities in Salesforce.
- Position partner-specific margin and/or incentives accurately and ensure that they are used appropriately.
- Help ensure that partner quotes and cloud marketplace private offers are prepared correctly.
- Ensure that all cloud marketplace opportunities are registered and updated in the corresponding cloud partner's  portal (e.g., AWS ACE or Google Partner Advantage).
- Escalate critical business issues to partner management.
- Prepare presentations, territory plans and reports as required.
- Meet assigned sales targets and objectives for their assigned territory using partner Source (i.e., Deal Registrations), - Influence and Co-selling mechanisms.
- Produce a weekly forecast in support of your assigned territory
- Contribute to quarterly business reviews (QBRs) within your assigned territory.

**Regional Partner Management**

- Develop and drive the execution of partner revenue programs and initiatives.
- Evangelize GitLab's value proposition to the partners they manage.
- Manage the day-to-day needs of the partners they manage.
- Coordinate GitLab team members to meet partner performance objectives and partners' expectations.
- In collaboration with partner leaders at designated partners, develop a joint partnership strategy and GTM plan that includes investments in:
  - Practice Development
  - Co-selling
  - Sourcing GitLab business, and
  - Developing industry and cloud-based solutions.
- Monitor partner compliance with GitLab Partner Programs and partner agreements.
- Participate in the partner planning process that develops mutual performance objectives, financial targets, and critical milestones associated with a productive partner relationship.
- In collaboration with the Partner Program team, Partner Marketing, etc., identify partner go-to-market (GTM) demand generation activities and/or partner services offerings to grow joint revenue.
- Stay abreast of competitive products, technologies and industry trends.
- Adopt partner-related best practices.
- Represent GitLab at partner events.
- Attain KPI's to ensure that the goals of the partner portfolio are met.
- Collaborate with internal stakeholders such as Sales, Solution Architects, Marketing, Services, Partner Programs, Strategy and Operations.

**Cloud Partnering**

- Execution of day-to-day co-selling motion between GitLab field sales and cloud partner field sellers.
- Position cloud partner incentives accurately and ensure that they are used appropriately.
- Help ensure that private offers are prepared correctly and that correct marketplace fees are applied.
- Ensure that all joint opportunities are registered in the corresponding strategic cloud partner's partner portal.
- Ensure that all registered joint opportunities are updated within the strategic cloud partner's partner portal.
- Escalate critical business issues to partner management.
- Prepare presentations, territory plans and reports as required.

#### Staff Requirements

**Partner Sales and Services**

- Success in driving partner sales with open source solutions via resale, services (RSIs/GSIs), cloud partnerships, and distribution.
- Understanding of offer creation, marketing, lead generation and professional services organization key performance indicators (KPIs)
- Solid business development skills.
- Experience delivering results via influenced revenue via service partners and/or indirect sales via resale or cloud partners.
- Executive presence to lead and manage a strategic partner business. Be able to present up to sales leadership.
**Partner Management**
- Build, lead and execute strategy within a cross-functional environment.
- Ability to run a partner sales territory self sufficiently.
- Knowledge and/or experience with different partner GTM and organizational models
- Proven record of success developing partners strategically and economically.
- Executive presence to lead and manage the most strategic partners
**Industry Knowledge**
- Familiarity with relevant industry landscape including trends, thought leadership
Knowledge of common industry-specific use cases.
- Must stay up-to-date on relevant industry trends to provide strategic guidance and to effectively serve as a trusted advisor to their internal and external stakeholders
- DevOps knowledge and/or experience including security and/or cloud services.
- Experience with B2B partner sales of high technology solutions.
- Interest in GitLab, and open source software.

**CREDIT Values**

- Qualities that match with GitLab core values and can inspire others to follow and act.
- Ability to build and maintain positive working relationships while delivering results in a highly complex, matrixed global organization.
- Ability to work in a fast-paced environment; must be high energy, motivated and a self starter.
Effective communicator with good interpersonal skills and an ability to build strong relationships with partners and GitLab teams.
- Ability and willingness to share domain knowledge among peers.
- Continuous learner. Ability and desire to deepen technical and domain knowledge.
- Comfortable providing feedback to leadership to improve processes and systems.
- Results driven.
- Tenacity. Persists under tough circumstances. Resilient. Overcomes obstacles.
- Strong tolerance for ambiguity; able to focus and execute in a changing environment; ability to make things happen.
- Ability to travel up to 50% within the assigned territory and comply with the company's travel policy.

#### Staff Performance Indicators

- % Revenue Partner Source
- % Revenue Partner Cosell/Influence

### Senior Manager, Partner Territory Management

The Senior Manager, Partner Territory Management typically reports to the Vice President, Partner Sales.

#### Job Grade

The Senior Manager, Partner Territory Management is a [grade 9] ({{< ref "compensation-calculator#gitlab-job-grades" >}}).

#### Senior Manager Responsibilities

##### Team Management

- Lead, manage, and motivate an assigned partner team including resource hiring, mentorship and performance management with guidance
- Provide strategic leadership and a results-oriented mindset through high engagement, setting a clear vision and willingness to challenge assumptions
- Lead by example in partnering with functional leaders in sales, programs, solution architects, product leadership, marketing, legal, customer success, services and operations to ensure customer and partner success.
- Provide understanding of business dynamics and key drivers and set strategies, tactics, and success metrics.
- Oversee co-selling to drive GitLab revenue with regional partners and through strategic cloud partner marketplaces.
- Resolve partner and marketplace deal escalations.
- Provide VP, Partners with critical business visibility and weekly business status.
- Participate in and/or present in quarterly business reviews (QBRs).
- Coordinate and collaborate with Finance, Partner Operations, Sales Operations, and Sales as needed.
- Execute, manage and deliver GitLab pipeline and revenue tied to partner strategies and initiatives in close alignment with internal and external stakeholders
- Maintain partner-driven pipeline and dashboards that help communicate to GitLab leadership the effectiveness of identified programs and investments.
- Oversee use of Salesforce for regional partner deal registrations
- Proactively communicate partner-related value, success, and activities to GitLab regional sales teams and leadership.

##### Partner Territory Management

- Work closely with GitLab regional sales leadership to inform the partner strategies, programs and best practices for a specific business segment.
- Engage GitLab regional sales leadership, solutions architects and partner marketing teams to ensure awareness and leverage of partners.
- Foster executive relationships regionally within GitLab sales leaders and partner organizations.
- Evangelize GitLab's value proposition to partner organizations within your region.
- Provide executive support at regional partner marketing events.
- Oversee partner-led demand generation, pipeline building activities, and related go-to-market planning within the assigned region.
- Leverage your professional network to maximize relationships with partners.
- Partners with respective cross functional leaders to facilitate due diligence, fact finding, deal negotiations and final contract development and implementation
- Ensure partner compliance with Partner programs and agreements.

#### Senior Manager Requirements

**Partner Sales and Team Management**

- Ability to build, lead and execute partnering strategy in a cross-functional environment as a people leader
- Ability to communicate the strategic direction of GitLab to the regional/segment specific partner team.
- Success in driving partner sales with open source solutions via resale, services (RSIs/GSIs), cloud partnerships, and distribution.
- Understanding of offer creation, marketing, lead generation and professional services organization key performance indicators (KPIs).
- Solid business development skills.
- Experience delivering results via influenced revenue via service partners and/or indirect sales via resale or cloud partners.
- Executive presence to lead and manage a strategic partner business. Be able to present up to sales leadership.
- Strong executive selling and business development skills.
- Able to lead regional or segment specific strategic projects on behalf of GitLab regional sales leadership to ensure growth.

**Partner Management**

- Experience building, leading and executing strategy within a cross-functional environment.
- Ability to run a partner sales territory self sufficiently.
- Knowledge and/or experience with different partner GTM and organizational models.
- Proven record of success developing partners strategically and economically.
- Executive presence to lead and manage the most strategic partners.
- Experience working with regional and global systems integrators.

**Industry Knowledge**

- Familiarity with relevant industry landscape including trends, thought leadership.
- Knowledge of common industry-specific use cases.
- Must stay up-to-date on relevant industry trends to provide strategic guidance and to effectively serve as a trusted advisor to their internal and external stakeholders.
- DevOps knowledge and/or experience including security and/or cloud services.
- Experience with B2B partner sales of high technology solutions.
- Interest in GitLab, and open source software.

**CREDIT Skills**

- Qualities that match with GitLab core values and can inspire others to follow and act.
- Ability to build and maintain positive working relationships while delivering results in a highly complex, matrixed global organization.
- Ability to work in a fast-paced environment; must be high energy, motivated and a self starter.
- Effective communicator with good interpersonal skills and an ability to build strong relationships with partners and GitLab teams.
- Ability and willingness to share domain knowledge among peers.
- Continuous learner. Ability and desire to deepen technical and domain knowledge
- Comfortable providing feedback to leadership to improve processes and systems
- Results driven
- Tenacity. Persists under tough circumstances. Resilient. Overcomes obstacles.
- Strong tolerance for ambiguity; able to focus and execute in a changing environment; ability to make things happen.
- Experience with managing remote teams.
- Ability to travel up to 50% within the assigned territory and comply with the company's travel policy.

#### Senior Manager Performance Indicators

- % Revenue Partner Source
- % Revenue Partner Cosell/Influence
- Development of Partner Practices - skilled, certified consultants and deliver resources

### Director, Partner Territory Management

The Director, Partner Territory Management typically reports to the Vice President, Partner Sales.

#### Job Grade

The {add the role name} is a [grade 10]({{< ref "compensation-calculator#gitlab-job-grades" >}}).

#### Director Responsibilities

##### Team Management

- Lead, manage, and motivate an assigned partner team including resource hiring, mentorship and performance management
- Provide strategic leadership and a results-oriented mindset through high engagement, setting a clear vision and willingness to challenge assumptions
- Lead by example in partnering with functional leaders in sales, programs, solution architects, product leadership, marketing, legal, customer success, services and operations to ensure customer and partner success.
- Provide understanding of business dynamics and key drivers and set strategies, tactics, and success metrics.
- Oversee co-selling to drive GitLab revenue with regional partners and through strategic cloud partner marketplaces.
- Resolve partner and marketplace deal escalations.
- Provide VP, Partners with critical business visibility and weekly business status.
- Participate in and/or present in quarterly business reviews (QBRs).
- Coordinate and collaborate with Finance, Partner Operations, Sales Operations, and Sales as needed.
- Execute, manage and deliver GitLab pipeline and revenue tied to partner strategies and initiatives in close alignment with internal and external stakeholders
- Maintain partner-driven pipeline and dashboards that help communicate to GitLab leadership the effectiveness of identified programs and investments.
- Oversee use of Salesforce for regional partner deal registrations
- Proactively communicate partner-related value, success, and activities to GitLab regional sales teams and leadership.

##### Partner Territory Management

- Work closely with GitLab sales leadership globally, to inform the partner strategies, programs and best practices throughout GitLab.
- Engage GitLab sales leadership, solutions architects and partner marketing teams to ensure awareness and leverage of partners.
- Foster executive relationships across GitLab sales leaders and partner organizations.
- Evangelize GitLab's value proposition to partner organizations.
- Provide executive support at global and regional partner marketing events.
- Oversee partner-led demand generation, pipeline building activities, and related go-to-market planning within the assigned region.
- Leverage your extensive, long-standing professional network to maximize relationships with partners.
- Partners with respective cross functional leaders to facilitate due diligence, fact finding, deal negotiations and final contract development and implementation
- Ensure partner compliance with Partner programs and agreements.

#### Director Requirements

**Partner Sales and Team Management**

- Ability to build, lead and execute partnering strategy in a cross-functional environment as a people leader
- Ability to communicate the strategic direction of GitLab to the global partner team.
- Success in driving partner sales with open source solutions via resale, services (RSIs/GSIs), cloud partnerships, and distribution.
- Understanding of offer creation, marketing, lead generation and professional services organization key performance indicators (KPIs).
- Solid business development skills.
- Experience delivering results via influenced revenue via service partners and/or indirect sales via resale or cloud partners.
- Executive presence to lead and manage a strategic partner business. Be able to present up to sales leadership.
- Strong executive selling and business development skills.
- Able to lead regional and global strategic projects on behalf of GitLab sales leadership to ensure growth.

**Partner Management**

- Experience building, leading and executing strategy within a cross-functional environment.
- Ability to run a partner sales territory self sufficiently.
- Knowledge and/or experience with different partner GTM and organizational models.
- Proven record of success developing partners strategically and economically.
- Executive presence to lead and manage the most strategic partners.
- Experience working with regional and global systems integrators.

**Industry Knowledge**

- Familiarity with relevant industry landscape including trends, thought leadership.
- Knowledge of common industry-specific use cases.
- Must stay up-to-date on relevant industry trends to provide strategic guidance and to effectively serve as a trusted advisor to their internal and external stakeholders.
- DevOps knowledge and/or experience including security and/or cloud services.
- Experience with B2B partner sales of high technology solutions.
- Interest in GitLab, and open source software.

**CREDIT Skills**

- Qualities that match with GitLab core values and can inspire others to follow and act.
- Ability to build and maintain positive working relationships while delivering results in a highly complex, matrixed global organization.
- Ability to work in a fast-paced environment; must be high energy, motivated and a self starter.
- Effective communicator with good interpersonal skills and an ability to build strong relationships with partners and GitLab teams.
- Ability and willingness to share domain knowledge among peers.
- Continuous learner. Ability and desire to deepen technical and domain knowledge.
- Comfortable providing feedback to leadership to improve processes and systems.
- Results driven.
- Tenacity. Persists under tough circumstances. Resilient. Overcomes obstacles.
- Strong tolerance for ambiguity; able to focus and execute in a changing environment; ability to make things happen.
- Experience with managing remote teams.
- Ability to travel up to 50% within the assigned territory and comply with the company's travel policy.

#### Director Performance Indicators

- % Revenue Partner Source
- % Revenue Partner Cosell/Influence
- Development of Partner Practices - skilled, certified consultants and deliver resources

## Career Ladder

Team members in the Partner Territory Manager job family may progress through the career ladder; in some instances team members may move to other roles in the Sales organization such as Partner Account Manager or Account Executive.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call]({{< ref "interviewing#screening-call" >}}) with one of our Global Recruiters.
- Video Interview with the Hiring Manager
- Team Interviews with 1-4 team members

Additional details about our process can be found on our [hiring page](/handbook/hiring).
