---
title: "Professional Services Technical Architect"
description: "As a highly visible and customer-facing position, you will work with an exceptional Professional Services organization, and the wider Customer Success team."
---

As a highly visible and customer-facing position, you will work with an exceptional Professional Services organization, and the wider Customer Success team, including Professional Services Engineers, Project Managers, and Solution Architects.
You will play a critical role in the success of Professional Services engagements as we expanded our world class professional consulting organization that has a proven track record of working with clients from different industries around the world. The Professional Services Technical Architect reports to the Senior Manager, Professional Services Technical Architects.

#### Levels

| Professional Services Technical Architect | Grade |
| - | - |
| [Intermediate Architect](#technical-architect) | [Grade 6](/handbook/total-rewards/compensation/compensation-calculator/#customer-success) |
| [Senior Architect](#senior-technical-architect) | [Grade 7](/handbook/total-rewards/compensation/compensation-calculator/#customer-success) |
| [Staff Architect](#staff-technical-architect) | [Grade 9](/handbook/total-rewards/compensation/compensation-calculator/#customer-success) |
| [Senior Manager, Professional Service Architects](#senior-manager-professional-services-technical-architects) | [Grade 9](/handbook/total-rewards/compensation/compensation-calculator/#customer-success) |

### Performance Indicator

- <span style="text-decoration:underline;">[Billable utilization](/handbook/customer-success/professional-services-engineering/#implementation-plan)</span> target >= 55%

### Technical Architect

#### Responsibilities

- Responsible for the application design, development and support of GitLab-related Professional Services projects
- Demonstrate progressive leadership in the full life cycle of the software development environment
- Responsible for the detailed design of GitLab-related projects from inception through production support
- Ensure that the deliverable accurately meets the defined expectations of the customer, ensuring that proper testing is implemented and performance requirements are closely monitored by working with the customer
- Coordinate and oversee functional implementation activities for internal and partner consultants, developers, and customer points of contact (POC) on large scale enterprise projects
- Mentor PS and partner consultants providing guidance regarding 'Best Practices,' communication, and implementation strategies
- Provide mentorship and collaterol in the form of documentation, delivery kits, and training materials
- Liaise with and support of other functional groups within GitLab – including (but not limited to) training, development, support, product, engineering
- Review and provide input to PS training materials and presentations
- Develop case studies, presentations, design documentation, best-practice methodologies and internal process development
- Provide support to PS Engagement Managers during the scoping and creation of the customer statement of work (SOW)
- Responsible for leading technical discovery sessions with customers, partners and GitLab PSEs to understand their business goals, technical constraints and requirements
- Work closely with the customer project team (specifically the Project Manager) to ensure accurate task-level articulation of the work required
- Stay up to date on new features, and fixes within the monthly GitLab product releases and disseminate key information to the PSE team
- Ability to provide technical expertise and consultative advice during the planning stages of a customer engagement

#### Requirements

- Strong written and verbal communications
- Demonstrated progressive experience delivering two or more of the following consulting services
  - SCM migration
  - Cloud Architecture
  - Developer
  - CI/CD consulting services
- Demonstrated progressive enterprise level software development experience
- Demonstrated progressive DevOps Platform experience
- Excellent written and verbal communication skills with the ability to influence internal team members, customers and partners
- Demonstrated problem solving and decision-making abilities with effective organizational and time management skills the ability to handle multiple projects and priorities effectively in a fast-paced environment with minimal supervision
- Strong organizational, multi-tasking and presentation skills. Ability to create momentum and foster organizational change
- Applies fundamental concepts, practices, and procedures of particular field of specialization
- Bachelor's Degree in Information Technology, Computer Science or other advanced technical degree, or equivalent experience

### Senior Technical Architect

#### Responsibilities

- All of the responsibilities of a Technical Architect plus the following:
- Mentor PS and Partner Consultants providing guidance regarding "Best Practice" communication, and implementation strategies
- Hold enablement sessions for PS or other team members to learn how to use or how to sell particular service offerings
- Assists Regional Delivery Managers with
  - Technical Vetting of Partner Consultants
  - New hire candidates
  - SOW staffing assesments
- Provide technical leadership to the Professional Service Engineering team during the delivery of services engagements

#### Requirements

- All of the requirements of a Technical Architect plus the following:
- Has experience with the additional responsibilities of a Senior Techincal Architect

### Staff Technical Architect

#### Responsibilities

- All of the responsibilities of a Senior Technical Architect plus the following:
- Build and deliver high-value and reusable enablement content that measurably improves the team's delivery and execution
- Works with Product to develop a PS Roadmap of services bases on future product releases
- Works across GitLab on product alignment
- Able to advise managers on complex projects or programs
- Ability to apply knowledge of fundamental concepts, practices, and procedures of GitLab Professional Services and related fields such as Infrastructure Engineering, DevOps Engineering, Data Engineering, and Agile Software Development
- Proven ability to contribute across GitLab and Professionals Service's entire product ecosystems
- Identify market trends and present new service offering ideas and prototypes to Engagement Managers and Senior Leaders
- Develop case studies, presentations, and internal process development

#### Requirements

- Extends the Senior Technical Architect requirements
- Has experience with the additional responsibilities of a Staff Techincal Architect

### Senior Manager, Professional Services Technical Architects

The Senior Manager, Professional Services Technical Architects role reports to the Director, Professional Services.

#### Responsibilities

- Lead delivery of consulting, specifically for the Technical Architects who provide pre-sales support to the PS Engagement Managers and to our customers
- Oversee resource management, working closely with PS Operations and project delivery
- Operational success metrics
  - Maintain team utilization targets
  - Ensure growth plans for each Architect foster professional development
  - Support Engagement Managers in reaching booking targets
- Build a team able to work closely with Engagement Managers on strategizing proposals, presentations, and how to - communicate the value proposition of services effectively
- Accountable for the financial goals and metrics, including global revenue targets, gross margin, and billable utilization for the Technical Architect team
- Own operational metrics and financial goals, as defined by organizational goals, for the Technical Architect team including:
  - Revenue target
  - Gross margin
  - Engineer utilization and overall attainment
  - Growth plans and individual professional development
  - CSAT
  - Percentage of projects on time and on budget

#### Requirements

- Strong leadership experience, with a track record of managing and mentoring high-performing in professional services or customer success.
- Demonstrated progressive experience with a subscription-based business model, delivering on-premises and SaaS solutions
- Experience managing technical, cross-functional professional services teams (e.g., consulting, implementation, trainers, project managers) and delivery partners
- Demonstrated experience in software development, DevOps platforms, and technical consulting in cloud architecture, SCM migration, CI/CD consulting.
- Superior written and verbal communication skills, with the ability to articulate complex technical concepts to various audiences
- Strong strategic planning and analytical skills, with the ability to foresee and address challenges in service delivery
- Strong interpersonal skills and the ability to work collaboratively with diverse teams and stakeholders

### Professional Experience

At GitLab, due to the pace at which we are moving, people joining our team will be expected to have significant professional experience in the primary engineering tools of their specialty. For Professional Services Architects, this means work and consulting experience using IaC/CaC technologies on one or more of the main cloud providers, as well as experience deploying, maintaining, and administering a GitLab instance.

### Job Grades

Read more about grades at GitLab [here](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades). As Professional Services falls under Customer Success, the specific grades are [here](/handbook/total-rewards/compensation/compensation-calculator/#customer-success)

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a first interview with the Regional Delivery Manager
Candidates may be invited to schedule an interview with Professional Services Architect peer or other Professional Services team Manager.
Then, candidates will be required to deliver a demo of GitLab to a panel of Customer Success attendees using the Demo Guide.
Candidates may be invited to additional interviews.
Successful candidates will be made an offer after references are verified.

Additional details about our process can be found on our [hiring page](/handbook/hiring/interviewing/).

## Career Ladder

- The next steps for individual contributors in to progress from intermediate to Senior and Staff
- A Manager role within this Job family
