---
title: "Global Education Services"
---

## Certification Exam Developer

GitLab's Education Services team is looking for an experienced certification exam developer responsible for managing the design, development and maintenance of GitLab's certification exams. In this role, you will lead the efforts to work cross-functionally in designing the competency framework, blueprints, candidate test items, study materials, and test forms.

Your goal is to accelerate the adoption of GitLab by ensuring our customers, community and partners of various sizes and industries can gain benefit, demonstrate their product expertise, and advance their careers with GitLab. As a member of the Education Services team, you'll be part of a team that cares deeply about creating learning experiences that deliver value at scale. We want our customers to not only become GitLab experts, but champions of our brand.

This job family reports to the Sr. Director of Education Services.

### Job Grade

The Certification Exam Developer is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

### Responsibilities

- Facilitate competency modeling sessions working cross-functionally with SMEs, instructional designers, and other teams (engineering, support, professional services, etc.) to establish the knowledge and performance framework to be used as the basis for developing exams (and associated curricula).
- Own and maintain the certification blueprint that prioritizes and assigns weightage to content categories.
- Lead certification development efforts to develop test items working closely with SMEs. Recruit, train and schedule them in writing technically sound test items.
- Monitor exam performance on an on-going basis to ensure they meet the target roles/ competencies and program requirements.
- Ensure currency and quality of test items based on frequent product and platform changes typical of subscription companies.
- Manage support requests and address test item feedback in a timely manner.
- Assist in creating exam study materials including sample test items, communications, data sheets, and prep courses.
- Review training course designs and content to establish guided journeys for candidates to prepare for each certification.
- Stay up to date with the latest GitLab feature releases

### Requirements

- B.S. or M.S. or relevant work experience in Computer Science or related engineering discipline
5+ years experience in enterprise customer-facing curriculum, technical documentation or certification programs (preferably in a subscription environment)
- Knowledge of the software development life cycle, DevOps and cloud native technologies (kubernetes, containers, and microservices)
- Experience in professional test development strongly desired
- Good project management and communication skills to work cross-functionally and cross-organizationally with SMEs and others
- Excellent communication & collaboration skills
- Experience administering subscription applications like Okta, Google Workspace, Slack, Zoom
- Knowledge of configuration management tools like Ansible, Chef, or Terraform
- Hands-on experience supporting Linux and Mac
- Developing automation workflows and integrations for repetitive or manual tasks
- Experience with automated lab environments like Instruqt, Strigo, or similar platform

### Career Ladder

The next steps for the Certification Exam Developer job family has not yet been defined.

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

1. Phone screen with a GitLab Recruiting team member
1. Video Interview with the Hiring Manager and to outline take home assignment
1. Team Interviews with 1-4 team members

## Lab Development Engineer

GitLab's Education Services team is looking for an experienced lab development engineer to design and build hands-on labs for self-paced courses/tutorials. In this role, you'll have experience developing and deploying solutions using cloud-based services, and excellent writing skills.

Additionally, the ideal candidate will have training development experience and be able to provide analysis of learning materials from a technical perspective. Software development experience would be a plus. Above all, you will have a passion for learning and contributing to team and learner success.

This role reports to Sr. Director of Education Services.

### Job Grade

The Lab Development Engineer is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

### Responsibilities

- Maintain a cohesive set of real-world, scenario-based labs to reinforce the learning objectives for the self-paced courseware by offering hands-on learning for learners
- Develop and maintain templates and scripts to automate deployment of resources required by self-paced courses labs
- Utilize automated lab and courseware publishing processes to manage and deploy content.
- Collaborate with SMEs, and other teams (engineering, support, professional services, etc.) to maintain technically accurate training labs that meet the learning objectives.
- Understand and apply security standards to lab environments
- Author lab instructions
- Stay up to date on GitLab new training/certification announcements and changes to existing education programs
- Own the lab maintenance, including all new environments, and updates/bug fixes for existing environments.

### Requirements

- 3+ years of experience in user support in a cloud-first modern IT environment
- Knowledge of identity and access management for all primary cloud providers (GCP, AWS)
- Knowledge in one of the following scripting languages - Python or SQL
- Knowledge of container and microservice technologies
- Hands-on experience supporting Linux and Mac
- Developing automation workflows and integrations for repetitive or manual tasks
- Experience with automated lab environments like Instruqt, Strigo, or similar platform

## Senior Lab Development Engineer

GitLab's Education Services team is looking for an experienced senior lab development engineer to design and build hands-on assessments for GitLab professional certification program and instructor-led training. In this role, you'll have experience developing and deploying solutions using cloud-based services, a deep technical knowledge of multiple IT domains, and excellent writing skills.

Additionally, the ideal candidate will have training delivery, or training development experience and be able to provide analysis of learning materials from a technical perspective. Software development experience would be a plus. Above all, you will have a passion for learning and contributing to team and learner success.

This role reports to Sr. Director of Education Services.

### Job Grade

The Senior Lab Development Engineer is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

### Responsibilities

- Dive deep into GitLab platform to understand the services and develop effective skills assessments for our customers
- Develop and maintain a cohesive set of real-world, scenario-based labs to reinforce the learning objectives for the instructor-led training courseware and certification by offering hands-on assessments for learners
- Coordinate with the curriculum team to ensure that hands-on labs are built for scalability and long-term support.
- Create templates and scripts to automate the deployment of these resources
- Utilize automated lab and courseware publishing processes to manage and deploy content.
- Determine services and features to be included in course lab exercises and certification exams, based on intended audience profile, learning objectives, GitLab best practices and strategic initiatives.
- Collaborate with SMEs, and other teams (engineering, support, professional services, etc.)  to build technically accurate training labs that meet the learning objectives.
- Develop templates and scripts to automate deployment of resources required by labs
- Understand and apply security standards to lab environments
- Author lab instructions
- Stay up to date on GitLab new training/certification announcements and changes to existing education programs
- Own the lab maintenance, including all new environments, and updates/bug fixes for existing environments.

### Requirements

- 5+ years of experience in IT in a high growth Software as a service (subscription) environment
- 3+ years of experience in user support in a cloud-first modern IT environment
- Experience with Instruqt or similar virtual learning platforms
- Experience building automated virtual machines for learning
- Experience with managing auto-scaling functionalities for a large user base
- Knowledge of identity and access management for all primary cloud providers (GCP, AWS)
- Knowledge in one of the following scripting languages - Python or SQL
- Knowledge of container and microservice technologies
- Experience administering subscription applications like Okta, Google Workspace, Slack, Zoom
- Knowledge of configuration management tools like Ansible, Chef, or Terraform
- Hands-on experience supporting Linux and Mac
- Developing automation workflows and integrations for repetitive or manual tasks
- Experience with automated lab environments like Instruqt, Strigo, or similar platform

### Career Ladder

The next steps for the Senior Lab Development Engineer job family has not yet been defined.

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

1. Phone screen with a GitLab Recruiting team member.
1. Interview with the Hiring Manager and to outline take home assignment.
1. Team Interviews with 1-4 team members
1. Interview with Sr. Director of Education Services

## Technical Curriculum Developer

GitLab's Education Services team is looking for an experienced technical curriculum developer who will help drive our customer, partner and community facing education efforts. In this role, you create new and improve existing courses for the ever-growing solutions that we offer to our customers, partners, and community across the globe.

Your goal is to accelerate the adoption of GitLab by ensuring our customers, community and partners of various sizes and industries can gain benefit, demonstrate their product expertise, and advance their careers with GitLab. As a member of the Education Services team, you'll be part of a team that cares deeply about creating learning experiences that deliver value at scale. We want our customers to not only become GitLab experts, but champions of our brand.

This job family reports to the Sr. Director of Education Services.

### Intermediate Job Grade

The Technical Curriculum Developer is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

### Responsibilities

- Build relationships and collaborate with SMEs, instructional designers, and other teams (sales, engineering, support, professional services, etc.) to align product roadmaps with content updates or new educational offerings.
- Produce high quality materials including presentations, assessments, and more to meet our design requirements.
- Help create and maintain our technical systems, tools, and environments used in our various training programs.
- Work with Instructional Designers to plan, create, analyze, and update courses, exercises and assessments that can be delivered as instructor-led, self-paced and virtual labs.
- Apply modern instructional design techniques, best practices, and adult learning theory to design highly effective and compelling learning experiences
- Continually iterate, update and improve your content portfolio
- Contributes to accreditation/certification exam questions and answers used to test the learner's expertise of the subject matter
- Stay up to date with the latest GitLab feature releases

### Requirements

- 3+ years experience in enterprise customer-facing roles such as curriculum developer, technical trainer and consulting engineer (preferably in a subscription environment)
- Knowledge of the software development life cycle, DevOps and cloud native technologies (kubernetes, containers, and microservices)
- Experience with e-learning tools such as Articulate/Rise, Captivate, ScreenFlow, Camtasia
- Excellent communication & collaboration skills
- Experience administering subscription applications like Okta, Google Workspace, Slack, Zoom
- Knowledge of configuration management tools like Ansible, Chef, or Terraform
- Hands-on experience supporting Linux and Mac
- Developing automation workflows and integrations for repetitive or manual tasks
- Experience with automated lab environments like Instruqt, Strigo, or similar platform

### Career Ladder

The next steps for the Technical Curriculum Developer job family has not yet been defined.

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

1. Phone screen with a GitLab Recruiting team member.
1. Video Interview with the Hiring Manager and to outline take home assignment.
1. Team Interviews with 1-4 team members

## Associate LSM Administrator, Education Services

GitLab's Education Services team is looking for an experienced LMS administrator, education services who will help drive our customer, partner and community facing education efforts. In this role, you'll be responsible for supporting the day-to-day operations of this rapidly scaling team.

Your goal is to execute operational tactics and activities, along with providing support for strategic business priorities. An ideal candidate will be a generalist who can support a variety of strategic and operational projects and programs. As a member of the education services team, you'll be part of a team that cares deeply about creating learning experiences that deliver value at scale.

This job family reports to the Sr. Director of Education Services.

### Job Grade

Associate LMS Administrator, Education Services is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

### Responsibilities

- Administer tasks on various education systems including LMS, virtual environment, and accreditation system
- Upload course materials, configuration of functionality such as complex curricula, cohorts, communications, surveys, and notifications in LMS
- Work with the instructional designers to troubleshoot and resolve technical issues related to accessing the LMS and course content
- Collaborate cross-functionally with internal teams to align on priorities and follow guidelines to deliver a personalized and compelling experience that scales globally
- Collaborate with education services leadership team to maintain regular oversight of budgets and ensure spending within targets
- Perform data analysis and compilation for tracking and reporting purposes
- Assist in defining project scope, goals and deliverables that support business goals in collaboration with the team – update and adapt to changes as needed
- Prioritize requests and escalate as required to team leadership
- Create and manage software "tickets" for improvements to technology systems
- Serve as an embedded chief of staff to the education services leadership team in support of their top initiatives

### Requirements

- 2-3 years of experience in an Operations, Project/Program Manager, Strategy, or Enablement role in a fast-paced Tech/subscription environment
- Excellent project management skills
- Strong analytical, particularly quantitative skills
- Experience with Learning Management System (Thought Industries, EdCast), or similar customer education technologies is a plus
- A demonstrated ability to learn quickly about businesses and technologies
- Excellent communication & collaboration skills

### Career Ladder

The next steps for the LMS Administrator, Education Services job family has not yet been defined.

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

1. Phone screen with a GitLab Recruiting team member.
1. Interview with the Hiring Manager.
1. Team Interviews with 3 team members

## Senior Manager of Education Curriculum Development

The Senior Manager of Education Curriculum Development reports into the Senior Director, Global Education.

### Senior Manager of Education Curriculum Development Job Grade

The Senior Manager of Education Curriculum Development is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Manager of Education Curriculum Development Responsibilities

- Manage a high performing direct team of instructional designers, multimedia developers, and lab managers for DevOps and product content and course development to ensure effective education delivery
- Defines strategy and delivery of engaging GitLab and DevOps educational content for self-paced and instructor-led curriculum
- Extends the Senior Technical Instructional Designer responsibilities
- Proactively conducts and refreshes job task analysis and related documentation to ensure training develops the end user's skills and knowledge.
- Proactively iterates and creates solutions and processes to optimize instructional design workflow
- Defines, documents, and creates standards, templates, and processes to guide the work of instructional designers and curriculum development team members
- Develops and tracks attainment of KPIs and proactively leads a team-based approach to delivering to KPIs
- Regularly shares best practices and provides constructive coaching and feedback across the organization, both within and outside of the immediate team
- Promotes collaboration, partnership, and relationships among the learning & development and enablement ecosystem within GitLab, including Product, Learning and Development, Sales Enablement, Customer Success, Channel, and Marketing teams.
- Identifies and communicates opportunities for process and quality improvements, providing feedback on usage, risks, and suggested enhancements as an LXP SME
- Apply adult learning theory and instructional design, eLearning, certifications, and creation of knowledge transfer curriculum and taxonomy
- Collaborate with SMEs to design effective learning experiences, managing and supporting them through the course and certification development processes
- Content management of GitLab product education curriculum and learning offerings on the LXP
- Serves as an internal expert on instructional design methodologies, continuously monitoring the latest innovations in the field and the performance of new products while sharing learnings with cross-functional GitLab team members
- Partner effectively with cross-functional curriculum developers, instructional designers, technical trainers, training managers, project managers, and internal stakeholders across the organization to ensure the content aligns with GitLab instructional design best practices organizationally wide.

### Senior Manager of Education Curriculum Development Requirements

- Extends the Senior Technical Instructional Designer requirements
- 7+ years experience in an instructional designer role, preferably with expertise in DevOps and/or Open Source
- 2+ years of experience leading a team of education instruction designers and/or
  - Strong project management, leadership, change management, and cross-functional collaboration skills with a track record of managing complex learning projects
- Experience collaborating across multiple stakeholder groups to deliver global solutions

## Technical Instructor

The Techincal Instructor (Intermediate) reports to the Senior Manager, Professional Education Services

### Technical Instructor (Intermediate) Job Grade

The Technical Instructor (Intermediate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Technical Instructor (Intermediate) Responsibilities

- Teach technical concepts clearly and concisely to large audiences in an engaging manner
- Collaborate with the Curriculum team on the development and updates of new courses and course release updates
- Collaborate with the Training Operations team for continuous improvement of our LMS (Learning Management System), virtual training platform and processes
- Ability to work on your own initiative with high attention to detail
- Strong customer advocacy, relationship building, and verbal and written communication skills
- Comfortable working remotely in a highly distributed team
- Flexible mindset and willingness to accommodate and support changing priorities in a growing company
- Deliver multi-day virtual and on-site GitLab training courses and workshops to enable our customers and drive business value
- Strong eye for design, making complex training concepts easy to comprehend in a blended educational delivery model.
- Deliver excellent customer-service during training events including arriving and running training sessions punctually and professionally.
- Review customer feedback and collaborate with team members to continually improve the customer learning experience.
- Deliver contents and cross train on delivery best practices using a variety of presentation formats including engaging lectures, live demonstration, and technical labs.
- Collaborate cross-functionally with team members to plan and develop slides and labs for instructional sessions.
- Stay up to date with the latest GitLab feature releases and incorporate them into training deliveries.
- Serve as a subject matter expert for certification program design and assessment development.
- Meet all milestones and final deliverables by deadlines; when delays do occur, work with the team to estimate, monitor, adjust, and proactively communicate revised deadlines as needed

### Technical Instructor (Intermediate) Requirements

- B.S. or M.S. or relevant work experience in Computer Science or related engineering discipline
- 3+ years experience working as an instructor, technical trainer, engineer, developer, consultant, integrator or presales engineer in search or related technologies
- Ability to travel up to 50% both within the United States and internationally
- Excellent written and verbal communication skills
- Experience working with a variety of Learning Management System (e.g., Thought Industries) and hands-on labs tooling (Instruqt, Katacoda, Strigo, etc)
- Knowledge of the software development life cycle, DevOps and cloud native technologies (kubernetes, containers, and microservices)
- Relationships in the software DevSecOps space are a plus

## Senior Technical Instructor

The Senior Techincal Instructor reports the Senior Manager, Professional Education Services

### Senior Technical Instructor Job Grade

The Senior Technical Instructor is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Technical Instructor Responsibilities

- Extends the Technical Instructor (Intermediate) responsibilities
- Has extensive knowledge of GitLab's education tech stack (Thought Industries, Instruqt, Credly)
- Viewed as a subject matter expert and trusted advisor by key stakeholders
- Innovates and continually improves the Education Services offerings
- Acts a player/coach and regularly shares best practices and provides constructive feedback to members of the Education Services team and its partners
- Exerts influence on the overall objectives and long-range goals of the Education Services team
- Lead and provide direction to other technical instructors on Education Services deliverables.
- Acts as a mentor and model for GitLab's Values (Collaboration, Results, Efficiency, Diversity, Inclusion & Belonging, Iteration, and Transparency)

### Senior Technical Instructor Requirements

- Extends that of the Technical Instructor (Intermediate) Requirements
- Demonstrated progressive experience in an technical instructor role along with strong experience designing technical course content
- Experience with the GitLab product as a user, contributor, or DevOps maintainer
- Maintain all GitLab DevOps Professional Technical Certifications
- Proven ability to deliver all GitLab Instructor-led offerings

### Job Grades

Read more about grades at GitLab [here](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades). As Education Services falls under Customer Success, the specific grades are [here](/handbook/total-rewards/compensation/compensation-calculator/#customer-success)

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our  [team page](/handbook/company/team/).

- Videoconference (or phone) screen interview with a GitLab Talent Acquisition team member
- Videoconference interviews with 2-3 additional GitLab team members
- Final videoconference interviews with the Director, Education Services Additional details about our process can be found on our  [hiring page](/handbook/hiring/).

Candidates may be invited to additional interviews.

Successful candidates will be made an offer after references are verified.

Additional details about our process can be found on our [hiring page](/handbook/hiring/interviewing/).

### Performance Indicator

- <span  style="text-decoration:underline;">Technical Instructor: [Billable utilization](/handbook/customer-success/professional-services-engineering/#implementation-plan)</span> target >= 40%

### Career Ladder

- The next steps for individual contributors in to progress from Intermediate to Senior

## Senior Manager, Education Delivery

The Senior Manager, Education Delivery reports to the Senior Director, Global Education.

### Senior Manager, Education Delivery Job Grade

The Senior Manager, Education Delivery is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Manager, Education Delivery Responsibilities

- Set strategic direction for Professional Services Education Delivery
- Develop and execute inbound and outbound marketing strategy to align with business goals
- Manage execution and delivery of education services
- Learning platform administration and reporting
- Clarify service offering details with the GitLab Field Sales team and Engagement Managers
- Work with GitLab Customer Success and Sales team members to position, scope, and sell services
- Define requirements for authoring tools and learning administration platform(s)
- Plan and execute GitLab Services Partner onboarding and enablement
- Plan and operationalize internal Professional Services enablement working with team department leaders
- Team and talent development (hiring, performance management, growth and career development)
- Scale Education Services delivery through GitLab Partners
- Plan and execute of the GitLab Certified Training Partner program
- Oversee resource capacity, project delivery quality and operational success metrics including bookings, revenue, utilization, on-time completion, time to value (10% of sold users are active), CSAT, stage adoption, user adoption (growth), and renewals.
- Meet Education Services bookings and revenue goals
- Manage collaboration with stakeholders to perform needs analysis, develop learning objectives and design deliverables that meet the business needs and education services quality standards.
- Create and organize training sessions, and deliver instructor led training programs as needed to achieve business outcomes and effective transfer of learning in the workplace.
- Forge relationships with internal and external stakeholders to ensure that both tactical and strategic goals and outcomes are met.
- Complete hiring and performance management processes to support a high performing training team.
- Provide confidential coaching/facilitation and work closely with all levels of operations staff to ensure the integrity of the program and provide highly skilled feedback on staff performance in scheduled training and informal skills-based coaching.
- Ensure Training Specialists and Operations staff are provided with up-to-date knowledge of project related updates, processes, and procedures.
- Develop a means of measuring the effectiveness of training programs developed or administered through evaluation, testing, and assessment of program outcomes.
- Align content distribution paths with GitLab Partner ecosystems and experience to increase efficiency and scale
- Build a partner-centric approach for creating and updating content that answers the "what's in it for the partner" question and resolves what's missing from a partner perspective when delivering customer education
- Manage training delivery and content development of partner and customer education programs
- Design and implement new training and certification programs to our Partner community, including virtual and onsite instructor-led training, webinars, and e-learning
- Design and manage a feedback program to evaluate training content, establish KPIs, and maintain a continuous improvement cycle
- Work with our internal operations team to manage the Education Services technical environments and LMS platforms
- Collaborate cross-functionally with internal teams in Professional Services, Product Management, Marketing, and Sales
- Manage relationships with Partner Certified Trainers and community of practice
Collaborate with Senior leadership to ensure financial and operational goals are met

### Senior Manager, Education Delivery Requirements

- Bachelor's degree in business, management, education or related field.
- 5+ years building and managing for-profit education businesses, including product management, learning content delivery, training delivery, and certification programs.
- Comprehensive knowledge of the principles, methods, and techniques used in the development and delivery of training and certification programs
- Comprehensive knowledge of relevant training technologies, such as Learning Management Systems (LMS).
- Excellent written and verbal communication skills with the ability to focus and clarify concepts
- Demonstrated problem solving and decision-making abilities with effective organizational and time management skills; the ability to handle multiple projects and priorities effectively in a fast-paced environment with minimal supervision
- Strong organizational, multi-tasking and presentation skills. Ability to create momentum and foster organizational change
- Must exhibit initiative, decisiveness and creativity, along with self-motivation and the ability to assume responsibility and maintain strict confidentiality
- Proven ability to conduct training needs assessments with key stakeholders.
- Proven ability to develop training curriculum and deliver effective and satisfying learning experiences.
- Experience with performance management, coaching, and mentoring team members.
- Ability to use GitLab

## Senior Director, Education Services

The Senior Director of Global Education for GitLab Academy will be responsible for leading and inspiring a fast-growing team that designs and delivers compelling and impactful learning solutions to GitLab's fast growing community of DevOps practitioners that includes community users, customers and partners. The ideal candidate will execute on the vision of learning as an effective accelerant to solidify GitLab's leadership in industry and academia while positioning the organization to meet/exceed business goals.

The Senior Director, Education Services reports to the Senior Director, Global Professional Services.

### Senior Director, Education Services Job Grade

The Senior Director, Education Services is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Director, Education Services Responsibilities

- Lead the global content and knowledge management strategy for technical training and enablement for GitLab's product and DevOps practices.
- Own the development and delivery of learning experiences for all GitLab products and DevOps  enablement, - creating an impactful suite of ongoing learning experiences using relevant research and a variety of mediums to drive learning goals.
- Lead and energize a high-performing organization, set a clear vision, and establish a culture of continuous improvement to drive team and company successManage a team of Instructional designers and content producers to deliver timely, relevant, comprehensive and effective curricula for diverse audience profiles and segments.
- Be responsible for delivering a world class learner experience, including learners' journey, programs and offerings, LMS/LXP systems, processes and policies, support interactions, and digital touchpoints.
- Partner closely with Marketing to execute on the strategy and brand of 'GitLab certification' as synonymous with DevOps expertise.
- Establish, monitor, and achieve key financial and non-financial performance metrics for the Learning function to ensure the program is delivering to brand, community, marketing, and sales goals.
- Make GitLab Academy integral to the Marketing, Sales, Engineering, and Customer Success organizations to retain and expand the customer base.
- Manage cross-functional interlock and lead strategic and operational interlock with Marketing, Sales, Sales Operations, Engineering, and Customer Success (e.g., marketing and sales messaging, enablement, customer success metrics, etc.).
- Partner and align effectively with the Channels team to expand the competency, capacity, and capability of the partner ecosystem.
- Innovate with blended learning solutions while aligning with GitLab's overall knowledge and information strategy, including documentation, self-help, and community.
- Lead the business-level implementation and support of a Learning Management System in coordination with the global, enterprise-wide effort.

### Senior Director, Education Services Requirements

- Strong business acumen and prior SaaS Services/Training leadership experience
- Excellent collaborator and communicator within and across various levels of the organization
- Proven leadership skills in motivating and inspiring a team
- Experience designing, managing blended learning and certification programs
- Strong balance of strategic and execution skills - Think Big, Start Small, and Act Quickly
- BA/BS degree required. Advanced degree a plus
- Minimum of 10-15 years relevant experience

### Performance Indicators

- [Bookings attached rate per agreed plan](/handbook/sales/#pcv)
- [Services bookings and revenue per agreed plan](/handbook/sales/#pcv)

## Career Ladder

The next steps for the Professional Services Education Family would be to move to the [Director, Professional Services](/job-families/sales/director-of-professional-services/) Job family.

## Hiring Process

Applicants for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30min [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 team members
- There may be a final executive interview

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
