---
title: "Professional Services Operations"
---

## Professional Services Project Coordinator

### Professional Services Project Coordinator, Associate

The Professional Services Project Coordinator reports to Manager, Professional Services Operations

#### Professional Services Project Coordinator, Associate Job Grade

The Professional Services Project Coordinator is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Professional Services Project Coordinator, Associate Responsibilities

- Run weekly time reports to estimate revenue; identify any resource or revenue corrective actions that are required to meet/beat monthly target
- Run monthly/quarterly billing; work with accounting to record revenue.
- Review order booking paperwork and update the Professional Services systems for project set up.
-Create new internal team member on-boarding and AR requests issues
-Create new Partner team member on-boarding and AR request issues Project Set up in PS Tool
- Continually provide suggestions to business and reporting processes that keep up with the changes in the organization.

#### Professional Services Project Coordinator, Associate Requirements

- Bachelor's degree required, preferably in Finance, Accounting, Statistics, or Business Management
- Demonstrated progressive industry experience in a Professional Services Operations or similar role for a high-tech product company
- Professional Services Automation (PSA) tools experience recommended (i.e. NetSuite Openair, FinancialForce)
- Previous experience in a data-driven, analytics-centric role
- Working understanding of Professional Services cost structures strongly preferred
- Strong Microsoft Excel skills including experience with pivot tables, analyzing and formatting data, use of filters, and creating charts and graphs
- Excellent communication and presentation skills
- Must have incredible attention to detail, be self-starting, and possess strong organizational skills
- You share our values, and work in accordance with those values.
- Ability to use GitLab

### Professional Services Project Coordinator, Intermediate

The Professional Services Project Coordinator reports to Manager, Professional Services Operations

#### Professional Services Project Coordinator, Intermediate Job Grade

The Professional Services Project Coordinator is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Professional Services Project Coordinator, Intermediate Responsibilities

- Collaborate with Professional Services leaders to provide reports focused on financial and resource management data to aid with revenue and budgetary goals.
- Provide analysis that supports the business objectives of the Services organization, in alignment with corporate vision
- Run weekly time reports to estimate revenue; identify any resource or revenue corrective actions that are required to meet/beat monthly target
- Run monthly/quarterly billing; work with accounting to record revenue.
- Develop analytical reports for all sources of services revenue, consistent with company standards, and management direction.
- Assist Services leadership team with resource management and proactive forecasting processes.
- Coordinate with Project Management Team and other groups within Sales / Operations to obtain relevant data about the project opportunity and staffing requirements
- Subject matter expert for services personnel on all processes related to services revenue: time entry, project management processes relate to operations, customer billing, and staff utilization.
- Skills Matrix: Management of PS / Vertical Resource Skill Matrix, ensuring all PS resources have an updated Skills Matrix.
- Continually provide suggestions and implement improvements to business and reporting processes that keep up with the changes in the organization.
- Support Professional Services staff to better understand revenue, hours, and target attainment goals
- Act as liaison between the Project Management Office, Finance department, and Services staff.
- Ensure timely and complete new PS employee onboarding with content tailored to the new hires' positions

#### Professional Services Project Coordinator, Intermediate Requirements

- Bachelor's degree required, preferably in Finance, Accounting, Statistics, or Business Management
- Demonstrated progressive industry experience in a Professional Services Operations or similar role for a high-tech product company
- Professional Services Automation (PSA) tools experience recommended (i.e. NetSuite Openair, FinancialForce)
- Previous experience in a data-driven, analytics-centric role
- Working understanding of Professional Services cost structures strongly preferred
- Strong Microsoft Excel skills including experience with pivot tables, analyzing and formatting data, use of filters, and creating charts and graphs
- Excellent communication and presentation skills
- Must have incredible attention to detail, be self-starting, and possess strong organizational skills
- You share our values, and work in accordance with those values.
- Ability to use GitLab

### Senior Professional Services Project Coordinator

#### Senior Professional Services Project Coordinator Job Grade

The Senior Professional Services Project Coordinator is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Professional Services Project Coordinator Responsibilities

- Extends the Professional Services Coordinator responsibilities

#### Senior Professional Services Project Coordinator Requirements

- Extends the Professional Services Coordinator requirements
- Demonstrated progressive industry experience in a Professional Services Operations or similar role for a high-tech product company
- Demonstrated progressive PSA tools experience required (i.e. NetSuite Openair, FinancialForce)

## Specialties

### Training

#### Responsibilities

- Extends the Professional Services Project Coordinator responsibilities
- Provide administrative, technical and event coordination for remote and onsite training programs, webinars, on-demand videos, and Customer training,
- Aid in the organization, and scheduling delivery of curriculum, agenda, and other materials need for training events
- Execute various event planning duties, such as: arranging, catering, pre-training room preparation/coordination and training supply ordering and maintenance
- Edit, send and track customer communication, such as announcements and bulletins, sent to the various departments impacted by organizational change
- Manage tasks associated with our Learning Management System (LMS) including: managing course enrollment; tracking and reporting learning activities; managing facilitators; collecting and analyzing participant feedback.
- Support Education leadership in planning and executing education events
- Assist with Education Services department issues, as assigned
- Assist with internal and external communication, as assigned
- Perform special projects as assigned by the Educations Services Practice Leader

#### Requirements

- Extends the Professional Services Project Coordinator requirements
- Bachelor's degree required, preferably in Finance, Accounting, Statistics, or Business Management
- Demonstrated progressive industry experience in a Education Services Operations or similar role for a high-tech product company
- Demonstrated progressive experience with Leaning Management Systems (LMS)/Learning Expirience Systems (LXP) such as EdCast, Absorb, Litmos LMS, etc.
- Demonstrated progressive experience with remote delivery tools such as Zoom Webinar, WebEx, MS Teams, Slack, etc.
- Previous experience in a data-driven, analytics-centric role

### Resource Manager

#### Responsibilities

- The Resource Manager will report to the Manager of PS Operations and be responsible for managing staffing/resource
management across the Professional Service team
- The role will oversee the execution and delivery of staffing across all regions. The role will partner and collaborate
  with regional leadership to identify and monitor staffing trends
- Work closely with Project Managers, Consultants, and Delivery Managers to assign resources across multiple projects and  regions
- Assist in managing subcontractor resourcing, monthly spend, and invoicing
- Full-cycle Contractor Management, including, identifying potential contractors with partners, scheduling interviews, and facilitate onboarding of new partner resources
- Proactively understand the pipeline of work with current and potential customers
- Communicate regularly with appropriate leaders on capacity and staff situations
- Proactively identify resource management challenges, provide recommendations and plans for resolution; Participate in overcoming resource shortages through creative planning
- Advise Professional Services Leadership on at-risk project concerns or issues meeting key customer deliverables
- Provide visibility to Professional Services Leadership regarding resource constraints that impact revenue generating activities
- Develop staffing strategies to optimize employee utilization and optimize engagement profitability
- Drive the management of utilization metrics, reporting to the PS management team on a weekly basis
- Successfully prioritize and execute tasks in a high-pressure environment

#### Requirements

- Extends the Professional Services Project Coordinator requirements
- Bachelor's degree required, preferably in Finance, Accounting, Statistics, or Business Management
- Demonstrated progressive industry experience in a Professional Services Operations or similar role for a high-tech company
- Professional Services Automation (PSA) tools experience recommended (i.e. Kantata, NetSuite Openair, FinancialForce)
- Working understanding of Professional Services cost structures strongly preferred
- Strong Google including experience with pivot tables, analyzing and formatting data, use of filters, and creating charts and graphs
- Excellent communication and presentation skills
- Must have incredible attention to detail, be self-starting, and possess strong organizational skills
- You share our values, and work in accordance with those values
- Ability to use GitLab

### Operations Analyst

#### Responsibilities

This role will provide business operations support for the Professional Services department. Reporting to the Operations Sr. Manager, this role will primarily be focused on non-revenue generating activities required by the Professional Services team.  The responsibilities will include, but are not limited to, report creation, QBR and data analysis, documenting processes, process improvement support, PSA administration.

- Implement best practices as it pertains to process and procedures
- Implement best practice for metrics tracking for the Professional Services teams (e.g. weekly reporting reviews monthly and quarterly reports and QBR data
- Contribute to policy and procedure implementation documentation
- Maintain and administer our PSA systems (e.g. Kantata, Financial Force, Open Air)
- Collaborate with Professional Services leaders to provide reports focused on financial and resource management data to aid with revenue and budgetary goals
- Develop, analyze and publish key metrics for successful projects and deliverables
- Support Professional Services staff to better understand revenue, customer project hours worked, and target attainment goals
- Provide regular operational status updates to Professional Services Leaders
- Play a contributory role in the weekly forecast review meetings
- Participate in month and quarter end close activities
- Act as liaison between the Project Management and  Finance department
- Ensure timely and complete new PS team member onboarding with content tailored to the new hires' positions
- Maintain and contribute to all professional services operations department processes
- Assist as a team backup to the project coordinators

#### Requirements

- Bachelor's degree required, preferably in Finance, Accounting, Statistics, or Business Management
- Demonstrated progressive industry experience in a Professional Services Operations or similar role for a high-tech company
- Professional Services Automation (PSA) tools experience recommended (i.e. Kantata, NetSuite Openair, FinancialForce)
- Previous experience in a data-driven, analytics-centric role
- Working understanding of Professional Services cost structures strongly preferred
- Strong experience with the entire Google suite as well as Microsoft Excel including pivot tables, analyzing and formatting data, use of filters, and creating charts and graphs
- Excellent communication and presentation skills

## Professional Services Operations Program Manager

### Professional Services Operations Program Manager Job Grade

The Professional Services Program Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- All of the responsibilities of a Professional Services Project Coordinator, plus the following:
- Act as a SME (subject matter expert) by providing mentorship and guidance to Project Coordinators
- Oversee the administrative processes and identify and implement improvements to the processes and tools used by Project Coordinators in support of internal and external training customers
- Review Pre-Sales customer order pipeline and assign projects to team members.
- Oversee the customer training resource management to ensure that the Professional Services team meets quarterly revenue forecast targets and GitLab instructors meet billable utilization targets.
- Manage special projects and OKRs as requested by PS Leaders.

#### Requirements

- All of the requirements of a Professional Services Project Coordinator,plus the following:
- Ability to execute multiple complex tasks simultaneously.
- Previous experience with resource management
- Previous experience with establishing new processes and methodologies

### Specialties

#### Training

##### Responsibilities

- Collaborate with Professional Services leaders to provide reports focused on financial and resource management data to aid with revenue and budgetary goals.
- Provide analysis that supports the business objectives of the Services organization, in alignment with corporate vision
- Run weekly time reports to estimate revenue; identify any resource or revenue corrective actions that are required to meet/beat monthly target
- Run monthly/quarterly billing; work with accounting to record revenue.
- Develop analytical reports for all sources of services revenue, consistent with company standards, and management direction.
- Assist Services leadership team with resource management and proactive forecasting processes.
- Coordinate with Project Management Team and other groups within Sales / Operations to obtain relevant data about the project opportunity and staffing requirements
- Subject matter expert for services personnel on all processes related to services revenue: time entry, project management processes relate to operations, customer billing, and staff utilization.
- Support Professional Services staff to better understand revenue, hours, and target attainment goals
- Act as liaison between the Project Management Office, Finance department, and Services staff.
- Ensure timely and complete new PS employee onboarding with content tailored to the new hires' positions
- Act as a SME (subject matter expert) by providing mentorship and guidance to Training Project Coordinators
-Oversee the training administrative processes and identify and implement improvements to the processes and tools used by Project Coordinators in support of internal and external training customers
- Review Pre-Sales customer training order pipeline and assign projects to team members.
- Triage and assign internal and external training event coordination projects.
- Oversee the customer training resource management to ensure that the Professional Services team meets quarterly revenue forecast targets and GitLab instructors meet billable utilization targets.
- SME in Training systems including LMS System
- Manage special projects, reporting and OKRs as requested by Education Services.

##### Requirements

- Bachelor's degree required, preferably in Finance, Accounting, Statistics, or Business Management
- Professional Services Automation (PSA) tools experience recommended (i.e. NetSuite Openair, FinancialForce, Kantata)
- Previous experience in a data-driven, analytics-centric role
- Working understanding of Professional Services cost structures strongly preferred
- Strong Microsoft Excel skills including experience with pivot tables, analyzing and formatting data, use of filters, and creating charts and graphs
- Excellent communication and presentation skills
- Must have incredible attention to detail, be self-starting, and possess strong organizational skills
- Ability to use GitLab
- Demonstrated progressive industry experience in a Education Services Operations or similar role for a high-tech product company
- Demonstrated progressive experience with remote delivery tools such as Zoom, WebEx, MS Teams, Slack, etc.
- Previous experience in a data-driven, analytics-centric role
- Ability to execute multiple complex tasks simultaneously.
- Previous experience with resource management
- Previous experience with establishing new processes and methodologies
- 5+ years of Education Services and program management experience

#### Consulting

To be drafted as the need for this specialty arises

##### Responsibilities

To be drafted as the need for this specialty arises

##### Requirements

To be drafted as the need for this specialty arises

## Professional Services Operations Management

### Manager, Professional Services Operations

The Manager, Professional Services Operations reports to Sr. Director, Professional Services

Manager, Professional Services Operations Job Grade is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Manager, Professional Services Operations Responsibilities

- Be a business partner to Professional Services leadership team and executives, providing insights to help shape the strategy of the business
- Works with regional professional services leaders and finance to design, implement and manage high quality and accurate forecasting, planning and budgeting processes that are integrated with other planning processes employed within the firm.
- Partners with regional professional services leaders to identify and drive process improvements. Ensures successful implementation of new programs through the professional services organization.
- Manages a team of PS coordinators, working closely with the regional professional services leaders and sales on a day-to-day basis.
- Ensures data, reports, and other internal intelligence tools are provided to stakeholders. * Builds and evaluates regional forecasting results and trends.
Works with finance, sales and the PS leadership to ensure effective use and adoption of a PSA solution for time tracking, capacity planning, and invoicing.
- Conducts training sessions to educate professional services resources on corporate functions, reporting and tools available to them.
- Provide data-driven insights on key performance indicators (KPI) and standardized business metrics
- Provide strategic guidance to area leadership teams, bringing deep knowledge of business operations best practices
- Establish baseline metrics/reports to support the development of new practices and goals, as necessary Lead and review the end-to-end execution of annual planning process to include headcount, utilization, and goal planning
- Partner with PS management team to drive business continuity, unblocking teams when required. Support practice management and resource management in maximizing available capacity to staff customer engagements
- Time card, expense entry and training compliance; drive timely entry of billable time and expenses across the engagement teams
- Business planning; establish business rhythm and cadence, leading meetings through deliverables, outcomes and actions. Own agenda development and track follow-up actions and influence leaders to complete forward looking business plans.
- Collaborate with Professional Services leaders to provide reports focused on financial and resource management data to aid with revenue and budgetary goals.

#### Manager, Professional Services Operations Requirements

- Bachelor's degree, and demonstrated progressive experience in professional services operations or delivery management.
- Experience in building and maintaining effective working relationships with coworkers, managers, and employees, working effectively in a global team environment with shared responsibilities.
- Experience with basic system administration and knowledge of applications including: PSA tools (i.e. NetSuite Openair, FinancialForce) and Salesforce.
- Some travel required.
- You share our values, and work in accordance with those values.
- Ability to use GitLab

### Senior Manager, Professional Services Operations

Senior Manager, Professional Services Operations Job Grade is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Senior Manager, Professional Services Operations Responsibilities

- [more detail required]

#### Senior Manager, Professional Services Operations Requirements

- [more detail required]

### Global Services Partners Manager

Global Services Partners Manager Job Grade is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Global Services Partners Manager Responsibilities

- Strategic Partnership Development:
  - Negotiate and finalize partnership agreements, focusing on creating value for both GitLab and its partners.
- Partnership Management and Optimization:
  - Facilitate knowledge sharing and best practices between partners, subcontractors, and GitLab teams to enhance the overall quality and impact of consulting and  training.
  - Responsible for facilitating and onboarding  consulting and training partners
- Program Development and Execution:
  - Collaborate with GitLab's Consulting and Education Services team to ensure that training content delivered by partners and subcontractors is up-to-date, effective, and aligned with GitLab's product advancements and educational philosophy.
  - Oversee the certification process for consulting and training delivered by partners, ensuring it meets GitLab's high standards for quality and relevance.
  - Ensure that all consulting and training partners and subcontractors operate in compliance with GitLab's policies, industry standards, and regulatory requirements.
  - Assisting with processing for receiving and integrating feedback from partners on training programs.
- Market Expansion and Engagement:
  - Work with marketing and sales teams to develop and execute strategies for promoting GitLab's consulting and training programs through partners, increasing market penetration and customer engagement.
- Cross-Functional Collaboration:
  - Work closely with various GitLab teams, including Consulting and Education Services and Channel, to ensure cohesive strategy and execution across GitLab's training offerings.
- This role will be required to flex into the PC reponsibilities as needed.

#### Global Services Partners Manager Partners Requirements

- Bachelor's degree or the equivalent experience with demonstrated progressive experience in channel programs.
- Excellent communication, analytical and organizational skills.
- Great project & program management skills, ability to leverage, manage in a virtual environment
- Strong Google including experience with pivot tables, analyzing and formatting data, use of filters, and creating charts and graphs
- Excellent communication and presentation skills
- Must have incredible attention to detail, be self-starting, and possess strong organizational skills

### Senior Global Services Partners Manager

Senior Global Services Partners Manager [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Senior Global Services Partners Manager Responsibilities

- Strategic Partnership Development
  - Identify, assess, and develop relationships with potential consulting and training partners and subcontractors to expand GitLab's ecosystem, ensuring alignment with GitLab's strategic goals and consulting educational standards.
  - Negotiate and finalize partnership agreements, focusing on creating value for both GitLab and its partners.
- Partnership Management and Optimization:
  - Serve as the primary point of contact for GitLab's consulting training partners and subcontractors, fostering strong, productive relationships.
  - Regularly evaluate the performance and impact of partners and subcontractors, implementing strategies for continuous improvement and alignment with GitLab's consulting training objectives.
  - Facilitate knowledge sharing and best practices between partners, subcontractors, and GitLab teams to enhance the overall quality and impact of consulting and  training.
  - Responsible for facilitating and onboarding  consulting and training partners
- Program Development and Execution:
  - Collaborate with GitLab's Consulting and Education Services team to ensure that training content delivered by partners and subcontractors is up-to-date, effective, and aligned with GitLab's product advancements and educational philosophy.
  - Oversee the certification process for consulting and training delivered by partners, ensuring it meets GitLab's high standards for quality and relevance.
  - Ensure that all consulting and training partners and subcontractors operate in compliance with GitLab's policies, industry standards, and regulatory requirements.
  - Establish mechanisms for receiving and integrating feedback from partners on training programs.
  - Build and automate partner processes via tools and documentation
- Market Expansion and Engagement:
  - Conduct market analysis to identify new opportunities for consulting and training partnerships, including industry-specific, geographic, and technological areas where GitLab can expand its training reach.
  - Work with marketing and sales teams to develop and execute strategies for promoting GitLab's consulting and training programs through partners, increasing market penetration and customer engagement
- Cross-Functional Collaboration:
  - Work closely with various GitLab teams, including Consulting and Education Services and Channel, to ensure cohesive strategy and execution across GitLab's training offerings.

#### Senior Global Services Partners Manager Requirements

- Bachelor's degree or the equivalent experience with demonstrated progressive experience in channel programs.
- Experience in building,managing and automating partner program, preferably in the DevOps space,
- Experience in Legal contracts and administration experience
- Excellent communication, analytical and organizational skills.
- Previous experience enabling partners to deliver services and solutions that grow revenue,
- Great project & program management skills, ability to leverage, manage in a virtual environment
- Strong Google including experience with pivot tables, analyzing and formatting data, use of filters, and creating charts and graphs
- Excellent communication and presentation skills
- Must have incredible attention to detail, be self-starting, and possess strong organizational skills

## Performance Indicator

- [CSAT](/handbook/support/support-ops/#customer-satisfaction-survey-csat ) >8.0/10
- [Project Margin](/handbook/customer-success/professional-services-engineering/#long-term-profitability-targets ) > 20% for assigned projects
- Successfully manage the quarterly Education Services revenue forecast within a 5% margin

## Career Ladder

- A Professional Services Operations team member can progress through the various individual contributor levels or leadership roles and associated levels as outlined above.

## Hiring Process

Candidates can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates for the Professional Services Project Manager will receive a short questionnaire.
- Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with a member of our Recruiting team.
- Next, candidates will be invited to schedule a first interview with our Director of Customer Success.
- For the Professional Services Project Manager role, candidates will be invited to schedule an interview with a Customer Success peer and may be asked to participate in a demo of a live install of GitLab.
- For the Federal Professional Services Project Manager role, candidates will be invited to schedule interviews with members of the Customer Success team and our Federal Regional Sales Director.
- Candidates may be invited to schedule an interview with our VP of customer success.

Additional details about our process can be found on our [hiring page](/handbook/hiring/interviewing/).
