---
title: "Professional Services Practice Engineer & Feature Acceleration Fullstack Engineer"
description: "The GitLab Professional Services Consulting Practice organization defines and matures the consulting services offered by GitLab Professional Services and Partner organizations."
---

The GitLab Professional Services Consulting Practice organization defines and matures the consulting services offered by GitLab Professional Services (PS) and Partner organizations with a focus on creating long-term success for their customers. The Professional Services Practice Engineer plays a fundamental role in the success of the consulting practice by building and maturing the software and automation that these practices rely upon. The Practice Engineer's direct customers are the PS and Partner consultants who will be using the software during customer engagements. However, the Practice Engineer's goals are aligned with the overall Customer Success organization to maximize value and Customer satisfaction.

To learn more, see the [Professional Services Engineering handbook](/handbook/customer-success/professional-services-engineering)

## Level

### Senior Practice Engineer

The Senior Practice Engineer reports to Sr. Manager of Practice Development.

#### Senior Practice Engineer Job Grade

The Senior Professional Services Practice Engineer is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) depending on seniority.

#### Senior Practice Engineer Responsibilities

- Accountable for the efficiency and quality of GitLab Professional Services automation, tools and processes. This includes automation/tools that facilitate service delivery and/or back-office processes used in the selling and management of delivery.  Design, Develop and Deliver multiple projects to meet many business goals.
- Use our product. [Dogfood](/handbook/values/#dogfooding) by collaborating on the handbook and utilizing GitLab.com, as appropriate.
- Collaborate with Product and Engineering on the GitLab product roadmap to ensure core functionality is considered for prioritization.
- Update professional services offering collateral to increase usability for professional services engineers and partners to use.
- Create new service offerings to address market demand as it relates to [stage adoption](/handbook/customer-success/csm/stage-adoption/) and [customer retention](/handbook/customer-success/customer-success-vision/#retention-gross--net-dollar-weighted)
- Create enablement framework to help scale the delivery of professional services migration, implementation and other consulting engagements.
- Collaborate with Professional Services Engineers, Service Partners, Product Management, Engineering, and Instructional Designers (as appropriate) to develop enablement to scale delivery of consulting services.
- Ensure delivery model is focused on customer success outcomes while championing efficiency, collaboration, and results
- Partner with sales team and Practice Management Leadership to drive bookings and closure of services and training engagements
- Ensure a robust closed feedback loop that embraces continuous improvement and iteration
- Identify and act on opportunities to improve the customer experience via innovative services/training offerings

#### Senior Practice Engineer Requirements

- Knowledge and familiarity with the Software Development Life Cycle and DevOps required (open source software knowledge and familiarity considered a plus)
- Demonstrated progressive relevant experience in building automation software in a collaborative environment.
- Deep understanding of- and hands on experience with- git and GitLab.
- Demonstrated progressive experience in writing software using a majority of the following technologies: Python, Javascript, MongoDB, REST and GraphQL APIs, Ansible, Terraform, Docker, YML, and JSON.
- Experience in leading and/or delivering multiple concurrent development efforts.
- Proven ability to effectively to collect and prioritize requirements from the field PSEs and from the longer term strategic direction.
- History of software development expertise as exemplified by commit history and participation in Merge Request Approval processes in collaboration with development team members.
- Exceptional written/verbal communication skills
- Team player with strong interpersonal skills, skilled at organizing development efforts and cross-functional collaboration
- Experienced in giving and receiving constructive feedback
- Ability to thrive in a fast-paced, unpredictable environment
- Share and work in accordance with GitLab's values
- Experience growing within a small start-up is a plus
- You share our values, and work in accordance with those values
- [Leadership at GitLab](/handbook/company/structure/#director-group)
- Highly determined to learn new things, including GitLab

## Performance Indicators

- Overall Customer Satisfaction
- Total number of Professional Services Engineers and Partners enabled per service category
- Number of contributions to Professional Services Automation and Tooling

## Career Ladder

The next steps for the Professional Services Practice Manager Job Family would be to move to the [Director, Professional Services](/job-families/sales/director-of-professional-services/) Job family.

### Feature Acceleration Services (FAS) Fullstack Engineers

#### Job Grades

The FAS Fullstack Engineer is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) depending on seniority, the Senior FAS Fullstack Engineer is a grade 8, and the Staff FAS Fullstack Engineer is a grade 9.

#### FAS Fullstack Engineer Responsibilities

- Develop features and improvements to the GitLab product in a secure, well-tested, and performant way
- Analyze and interpret highly complex data to arrive at actionable recommendations
- Collaborate with Product Management and other stakeholders within Engineering (e.g. UX) to maintain a high bar for quality in a fast-paced, iterative environment
- Advocate for improvements to product quality, security, and performance
- Solve technical problems of moderate scope and complexity
- Craft code that meets our internal standards for style, maintainability, and best practices for a high-scale web environment. Maintain and advocate for these standards through code review
- Represent GitLab and its values in public communication around specific projects and community contributions.
- Confidently ship small features and improvements with minimal guidance and support from other team members. Collaborate with the team on larger projects.
- Senior Fullstack Engineers improve the engineering projects at GitLab as a project maintainer. For more information regarding timelines and exceptions, see this page.

#### FAS Fullstack Engineer Requirements

- Professional experience with Python, Ruby, and Rails
- Professional experience with JavaScript and associated web technologies (CSS, semantic HTML)
- Proficiency in the English language, both written and verbal, sufficient for success in a remote and largely asynchronous work environment
- Demonstrated capacity to clearly and concisely communicate about complex technical, architectural, and/or organizational problems and propose thorough iterative solutions
- Experience with performance and optimization problems and a demonstrated ability to both diagnose and prevent these problems
- Comfort working in a highly agile, intensely iterative software development process
- Demonstrated ability to onboard and integrate with an organization long-term
- Positive and solution-oriented mindset
- Effective communication skills: Regularly achieve consensus with peers, and clear status updates
- An inclination towards communication, inclusion, and visibility
- Experience owning a project from concept to production, including proposal, discussion, and execution.
- Self-motivated and self-managing, with strong organizational skills.
- Demonstrated ability to work closely with other parts of the organization
- Share our values, and work in accordance with those values
- Ability to use GitLab
- Ability to thrive in a fully remote organization

##### Nice-to-haves

- Experience working with modern frontend frameworks (eg. React, Vue.js, Angular)
- Experience in a peak performance organization, preferably a tech startup
- Experience with the GitLab product as a user or contributor
- Product company experience
- Experience working with a remote team
- Enterprise software company experience
- Developer platform/tool industry experience
- Experience working with a global or otherwise multicultural team
- Computer science education or equivalent experience
- Passionate about/experienced with open source and developer tools

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

1. Phone screen with a GitLab Recruiting team member.
1. Video Interview with the Hiring Manager to outline take home assignment.
1. Team Interviews with 1-4 team members
Additional details about our process can be found on our [hiring page](/handbook/hiring/).
