---
title: "Professional Services Program Manager"
---

## Professional Services Program Manager Roles at GitLab

A highly visible and customer-facing position, within the Professional Services organization, and the wider Customer Success team, that works with but not limited to Professional Services Engineers, Project Managers, Engagement Managers, Technical Architects, Professional Services Operations, and the Sales Organization. A Program Manager is responsible for overseeing and managing customer programs and a portfolio of projects. Their primary role is to ensure the successful delivery of client projects, including long-term strategy, while also managing the overall program and providing strategic guidance to the team and customer. The Professional Services Program Manager reports to the Regional Delivery Manager.

## Levels

| Level | Grade |
| -- | - |
| [Intermediate](#professional-services-program-manager) | [Grade 6](/handbook/total-rewards/compensation/compensation-calculator/#customer-success) |
| [Senior](#senior-professional-services-program-manager) | [Grade 7](/handbook/total-rewards/compensation/compensation-calculator/#customer-success) |
| [Manager](#manager-professional-services-program-delivery) | [Grade 9](/handbook/total-rewards/compensation/compensation-calculator/#customer-success) |

## Performance Indicator

- <span style="text-decoration:underline;">PSE: [Billable utilization](/handbook/customer-success/professional-services-engineering/#implementation-plan)</span> target >= 70%
- Achieve 100% of the global quarterly revenue target
- Manage customer long-term and/or multi-phased programs and projects to a successful, on budget, on schedule completion
- Successfully manage the quarterly revenue forecast (within your pervue) within a 5% margin

### Professional Services Program Manager

#### Responsibilities

- Lead delivery of multi-workstream professional services engagements with some of the largest and most strategic customers.
- Build strong relationships with key customer stakeholders including executive leaders, counterpart program/project managers, engineering, development, and security and teams.
- Develop a delivery methodology that leverages agile and project management best practices. Communicate how this methodology will be used to key customer stakeholders. Lead the execution of the methodology by bringing together customer and GitLab team members.
- Build and continuously communicate Program Roadmap, dependencies, and deliverables
- Manage stakeholder expectations to gain approval from stakeholders on project milestones.
- Define program strategy to include
  - Program justification
  - Program benefits
  - In scope / Out of scope projects
  - Timeline and schedule
  - Resources (how many teams, PMs, PSEs, TAs etc)
  - Identify Stakeholders
- Create a program level RACI chart
- Define Program Success Criteria
- Create Program Level WBS (Work Breakdown Structure) for all the projects
- Create Communication plans between projects with Stakeholders
- Define Program Escalation Path
- Work closely with Engagement Managers to define workstreams when scoping larger customer programs, which may include reviewing proposals or Statements of Work prior to signature
- Assist the Regional Delivery Managers in creating and executing quarterly OKRs that drive optimization of all Project Manager processes

#### Requirements

- Proficiency with forecasting and reporting metrics
- Ability to lead Project Management Program Level meetings, including but not limited to, the Weekly PM meeting
- Ability to formulate, organize, monitor, and manage inter-connected projects
- Ability to manage budgets and timelines for long-term projects
- Develop long-term plans in collaboration with customers
- Ability to partner with Engagement Managers and Architects to develop long term plans in support of customer adoption and transformation
- GitLab Project Management Certified within 2 months of the role

### Senior Professional Services Program Manager

#### Responsiblities

- Act as a SME (subject matter expert) by providing leadership and guidance to Project Managers
- Identify and implement improvements to the methodology, processes, and tools used by Project Managers in support of internal and external customers
- Collaborate as an equal partner with leadership and support teams and sales to establish scalability, reliability, and success

#### Requirements

- All of the requirements of a Program Manger plus the following:
- Previous experience managing customer programs with successful track record
- Ability to recognize patterns and course correct accordingly
- Stong knowledge of multiple Project Management methodologies
- Experience with managing programs related to DevOps Transformation, Cloud transformation or Enterprise Architecture and Governance.

### Public Sector

The responsibilities, requirements, and additional sklls for Public Sector Professional Services Program Managers are identical to the commensurate Level and Grade of their non-Public Sector peers. The only additional job requirement is the necessary clearance to work on Government Contracts.

### Manager, Professional Services Program Delivery

#### Responsiblities

- Standardization: Establish and maintain project management standards and methodologies to ensure consistency across all projects. Including the definition of processes, templates, and guidelines that project managers and teams follow as a way of ensuring consistent delivery.

- Team Member Oversight: Oversee the work of the Program Delivery team, including project managers and program managers. This involves providing guidance, support, and feedback to ensure that projects are on track and aligned with Professional Services and customer objectives.

- Project Oversight: Monitor the progress of all Professional Services customer projects. The Program Delivery Manager is responsible for ensuring that projects are delivered on time, within scope, within budget, and meet/exceed the customer's defined success criteria.

- Resource Management: Work closely with PS Operations and technical managers to ensure effective resource allocations to meet project demands. This includes personnel, budget, and any other resources necessary for project success.

- Risk Management: Identify and mitigate risks associated with projects. The Program Manager team manager will work closely with Program and Project Managers to anticipate potential issues and develop strategies to address them before they impact customer project delivery.

- Communication: Facilitate communication between different project teams, stakeholders, and organizational leadership. Clear and effective communication is essential for successful customer project management.

#### Requirements

- A Bachelor's degree in Business, Administration, or a related field
- A minimum of three year's experience in a supervisory position (required)
- DevOps industry-specific understanding of services and technology involved
- A minimum of five years of experience in the industry
- A Project Management Professional (PMP) Certification (preferred)

## Career Ladder

- The next steps for individual contributors is to move into:
  - A people manager role within Professional Services
  - An Engagement Manager in Profressional Services
- The next steps for a Manager, Professional Services would be to move into a Senior Manager within this Job Family or to the [Professional Services Engagement](/job-families/sales/job-professional-services-engagement-manager/) Job Family or the [Director of Professional Services](/job-families/sales/director-of-professional-services) Job Family.
- The next steps for a Senior Manager, Professional Services would be the [Professional Services Engagement](/job-families/sales/job-professional-services-engagement-manager/) Job Family or the [Director of Professional Services](/job-families/sales/director-of-professional-services) Job Family.
- [Leadership at GitLab](/handbook/company/structure/#director-group)
