---
title: "Professional Services Project Manager"
description: "GitLab Professional Services Project Managers manage high-complexity projects to successful completion from initiation through delivery to closure. In this role, you will coordinate with cross-functional teams and our global customers to complete distinct projects both on time and within budget. Project Managers need to have substantial experience managing IT and software consulting projects and relying on traditional systems and software development methodologies, as well as practical experience with agile project management methodologies."
---

## Professional Services Job Family Matrix

| Level | Grade |
| -- | -- |
| [Professional Services Project Manager](#professional-services-project-manager) | [Grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Professional Services Project Manager](#senior-professional-services-project-manager) | [Grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Staff Professional Services Project Manager](#staff-professional-services-project-manager) | [Grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |

### Professional Services Project Manager

#### Performance Indicators

- Achieve 100% of the global quarterly revenue target
- Manage customer projects to a successful, on budget, on schedule completion
- Successfully manage the quarterly revenue forecast (within your pervue) within a 5% margin
- Achieve 70% billable utilization target

#### Professional Services Project Manager Responsibilities

- Develop and manage detailed schedules to deliver technical and consulting services to GitLab customers
- Manage customer expectations, project scope, and resources needed to successfully deliver to customer needs
- Develop and communicate project schedule, status, risks and issues to all levels of stakeholders, ranging from technical staff to executives
- Manage customer escalations, coordinating with customers and GitLab stakeholders (e.g., executive team, sales, technical account managers, etc.)
- Be accountable for reliable and repeatable delivery processes, metrics and operational procedures
- Set and achieve forecast goals by setting expectations with the customer and working closely with the Technical Architect and project engineers
- Act as a liaison to Partner Consultants and/or delivery partners
- Develop a functional knowledge of GitLab technologies
- Maintain an awareness of emerging GitLab technologies

#### Professional Services Project Manager Requirements

- Knowledge of specific industry project management and technical delivery methodologies for software (e.g., Project Management Institute (PMI) methodologies, agile/scrum, and/or software SDLC)
- Bachelor's degree in engineering, computer science or related field
- Demonstrated progressive experience working as a project manager on IT-based projects
- Demonstrated progressive experience managing projects with external customers or clients, preferably enterprise customers. Professional Services experience is a plus.
- Demonstrated ability to motivate the advisor team and individual contributors and mediate conflicts
- Experience using various project management and/or agile tools
- Understanding of software development lifecycle, preferably experience in an agile and/or DevOps environment
- Excellent customer-facing and internal communication skills
- Great written and verbal communication skills
- Solid organizational skills, including attention to detail and ability to handle multiple priorities
- Demonstrated ability to think strategically about business, products, and technical challenges
- Ability to use GitLab
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

### Senior Professional Services Project Manager

#### Performance Indicators

- Achieve 100% of the global quarterly revenue target
- Manage customer projects to a successful, on budget, on schedule completion
- Successfully manage the quarterly revenue forecast (within your pervue) within a 5% margin
- Achieve 70% billable utilization target

#### Senior Professional Services Project Manager Responsibilities

All of the responsibilities of a Project Manager plus the following:

- Ability to manage large scale commercial projects and lead executive stakeholder meetings and communications
- Ability to work cross functionally with GitLab support, engineering, product teams to resolve complex customer problems
- Contribute to and continue to evolve the PS Project manager tools and processes
- Summarize key customer projects on a monthly basis; provide quarterly role-up for QBRs
- Act as an advocate for change and constantly iterate upon the revision/improvement of processes, procedures, and templates

#### Senior Professional Services Project Manager Requirements

All of the requirements of a Project Manager plus the following:

- Ability to manage and successfully run customer projects like a business:
  - Create consistent and concise exec-level status reporting both internally & externally
  - Find creative solutions to project challenges before they become an escalation
  - Establish strong, trusting relationships with management or other influential roles within the customer's organization
  - Ensure revenue can be recognized immediately following the completion of the work (swiftly execute Change Orders as needed)

### Staff Professional Services Project Manager

#### Performance Indicators

- Achieve 100% of the global quarterly revenue target
- Manage customer and internal projects to a successful, on budget, on schedule completion
- Successfully manage the quarterly revenue forecast (within your pervue) within a 5% margin
- Achieve 50% billable utilization target

#### Staff Professional Services Project Manager Responsibilities

All of the responsibilities of a Senior Project Manager plus the following:

- Act as the Professional Service Change Management Project Manager
- Partner with the Manager of Program Delivery as the "Product Owner"
- Coordinate, track, and manage priorities with stakeholders across PMO, Engagement Management, Delivery - Management, Technical Architect Practice, and Practice Management
- Oversee and prioritize the Service Offering workflow for new and existing services
- Ensure timely tracking and reporting for Service Offerings
- Collect and analyze data from internal retrospectives to track updates needed for Delivery Kits, processes, and methodology
- Assist in refining and structuring Delivery Kits for "Transformational" Service Offerings
- Collaborate with the PS Ops team to prioritize and implement process improvements
- Support the Delivery Management team in tracking measurable and trackable items
- Foster cross-collaboration within the PS organization to achieve OKRs
- Maintain the PMO Handbook process and ensure alignment with PS Operations
- Coordinate with Practice, Delivery, and EM team on updates to the Delivery Methodology
- Manage, track, and report against the PMO backlog

#### Staff Professional Services Project Manager Requirements

All of the requirements of a Senior Project Manager plus the following:

- Proven project management experience, preferably in a professional services or consulting environment
- Strong stakeholder management and coordination skills across cross-functional teams
- Expertise in service offering development, delivery methodologies, and process improvement
- Proficiency in data analysis and reporting to drive decision-making
- Excellent communication and collaboration abilities to foster alignment across the organization
- Knowledge of Agile methodologies, OKR tracking, and iterative development practices
- Proven ability to ensure adherence to processes and contribution to updates by the PS Ops and PMO teams
- Experience establish continuity across the PS and other internal organizations
- Ability to coordinate with the Practice to prioritize PMO items for Project Management tooling updates
- Experience "dog-fooding" GitLab as a Project Management tool internally and with customers for iteration planning, review, and reporting

## Career Ladder

- The next steps for individual contributors is to move into:
  - A Manager role within this job family
  - A Program Manager job family
  - To a Engagement Manager role
- The next steps for a Manager, Professional Services would be to move into a Senior Manager within this Job Family or to the [Professional Services Engagement](/job-families/sales/job-professional-services-engagement-manager/) Job Family or the [Director of Professional Services](/job-families/sales/director-of-professional-services) Job Family.
- The next steps for a Senior Manager, Professional Services would be the [Professional Services Engagement](/job-families/sales/job-professional-services-engagement-manager/) Job Family or the [Director of Professional Services](/job-families/sales/director-of-professional-services) Job Family.
- [Leadership at GitLab](/handbook/company/structure/#director-group)

To learn more, see the [Professional Services Engineer handbook](/handbook/customer-success/professional-services-engineering)
