---
title: "Professional Services Solutions Manager"
---

## Levels

### Solutions Manager (Intermediate)

The Solutions Manager (Intermediate) reports to Sr. Manager of Professional Services Practice Development.

### Solutions Manager (Intermediate) Job Grade

The Solutions Manager (Intermediate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Solutions Manager (Intermediate) Responsibilities

- Define, scope, and prioritize GitLab's services and training offerings, including persona and market segmentation analysis, offering definition, scope, and pricing
- Collaborate with subject matter experts in the field, Product Management & Marketing, and instructional designers (as appropriate) to develop and deliver prioritized global services and training offerings, content, and sales & marketing collateral
- Ensure services/training delivery model is focused on customer success outcomes while championing quality and efficiency
- Measure and report on the effectiveness of services and training enablement investments and programs
- Ensure a robust closed feedback loop that embraces continuous improvement and iteration
- Identify and act on opportunities to improve the customer experience via innovative services/training offerings
- Build business case for additional services and training and enablement resources as needed

#### Solutions Manager (Intermediate) Requirements

- Knowledge and familiarity with the Software Development Life Cycle and DevOps required (open source software knowledge and familiarity considered a plus)
- Demonstrated progressive relevant experience defining, developing, and executing customer services and/or training strategies, operations and action plans
- Ability to quickly understand technical concepts and explain them to customer and professional services audiences (mostly technical)
- Proven ability to effectively interact with and influence senior executives and team members
- Exceptional written/verbal communication and presentation skills
- Team player with strong interpersonal skills, skilled at project management and cross-functional collaboration
- Experienced in giving and receiving constructive feedback
- Ability to thrive in a fast-paced, unpredictable environment
- Share and work in accordance with GitLab's values
- Experience growing within a small start-up is a plus
- Ability to use GitLab

### Senior Solutions Manager

The Senior Solutions Manager reports to Sr. Manager of Professional Services Practice Development.

### Senior Solutions Manager Job Grade

The Senior Solutions Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Senior Solutions Manager Responsibilities

- Extends that of the Solutions Manager (Intermediate) responsibilities

### Senior Solutions Manager Requirements

- Extends the Solutions Manager requirements
- Demonstrated progressive relevant experience defining, developing, and executing customer services and/or training strategies, tactics and action plans
- Advanced experience and insight with the GitLab platform
- Demonstrated experience leading others and partnering with senior executives
- Advanced ability to think strategically about business, products, and technical challenges

## Specialties

### Solutions Manager (Channel)

#### Solutions Manager (Channel) Responsibilities

- Extends that of the Solutions Manager (Intermediate) or Senior Solutions Manager responsibilities
- Define, build and streamline the process to onboard partners including, but not limited to, the process to generate and agree upon legal documentation, automating access requests to collaboration tools, and the facilitation of partner enablement.
- Encourage and facilitate contributions back to baseline PS practices during and after the delivery of services to a customer.
- Create and improve help desk process for partners to request help from GitLab Professional Services Expertise.
- Continuously update Parter and Professional services documentation.
- Collaborate with channel partners to help integrate GitLab services into their respective services portfolio
- Act as a liaison to channel partners to ensure channel requirements incorporated into GitLab service offerings and programs
- Collaborate with Channel Services Manager to ensure Channel and Professional Services Goals are aligned.
- Build business case for additional services and training and enablement resources as needed.
- Ensure services/training delivery model is focused on customer success outcomes while championing quality and efficiency.
- Collaborate with subject matter experts in Channel, Sales, Procurement, Legal, and Customer Success.
- Measure and report on the effectiveness of partner-delivered services and training enablement investments and programs.

#### Solutions Manager (Channel) Requirements

- Extends that of the Solutions Manager (Intermediate) or Senior Solutions Manager requirements
- Knowledge and familiarity with the Software Development Life Cycle and DevOps required (open source software knowledge and familiarity considered a plus)
- Demonstrated progressive relevant experience in building and scaling a channel partner program
- Effectively interacts with and influences senior executives and team members
- Exceptional written/verbal communication and presentation skills
- Team player with developed interpersonal skills, experience with project management and cross-functional collaboration
- Experienced in giving and receiving constructive feedback
- Commitment to improvement even in a fast-paced and unpredictable environment
- Share and work in accordance with GitLab's values
- Experience growing within a small start-up is a plus

## Performance Indicators

- [Bookings attached rate per agreed plan](/handbook/sales/#pcv)
- [Services bookings and revenue per agreed plan](/handbook/sales/#pcv)

## Career Ladder

The next steps for the Professional Services Practice Manager Job Family would be to move to the [Director, Professional Services](/job-families/sales/director-of-professional-services/) Job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

1. Phone screen with a GitLab Recruiting Team Member
1. Video Interview with the Hiring Manager
1. Team Interviews with 1-4 Team Members

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
