---
title: "Program Manager, Customer Success Strategy & Operations"
description: "The Program Manager, Customer Success Strategy & Operations is a part of the Customer Success Strategy & Operations team and supports the global field teams and customers through programs and solutions to drive customer adoption and field teams effectiveness."
---

## Levels

### Program Manager, Customer Success Strategy & Operations

#### Job Grade

The Program Manager, Customer Success Strategy & Operations is a [Grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Define, lead, and track strategic and operational programs to successful completion
- Develop and deliver GTM initiatives to improve the effectiveness and efficiency of sales and adoption capabilities for GitLab prospects and customer with data and analytics, including:
  - Customer journey development, including handoffs
  - Lifecycle management processes and playbooks
  - Digital journey development, content creation and curation, and metrics
  - Go-to-market (GTM) and/or adoption campaigns, including collaboration with Marketing, Product / Growth, Data Teams, and Sales Operations
  - Processes and playbooks for Solution Architect, Customer Success Manager, Professional Services, and Renewal Managers
- Represent CSM and customers in cross functional programs / workstreams focused on customer experience initiatives
- Translate customer feedback data and survey results into program attributes that drive new customer impact and outcomes
- Successful execution of Global Customer Success GTM strategy
- Drive global CS use of Gainsight

#### Requirements

- Progressive years of experience driving customer success development with a high-growth global company
- Demonstrated success with cross-functional coordination, including planning, execution tracking, decision making, and OKR management
- Experienced leading cross-functional initiatives in mid-sized organizations (i.e., 500+ employees)
- Demonstrated progressive experience with operations or related experience with a technical SaaS or subscription software service
- Experience with deploying usage data/product analytics projects
- Strong verbal and written skills with a strong ability to articulate and communicate strategies and plans
- Experienced administrator of Gainsight and CRM software (Salesforce preferred)
- Experience with software development tools, practices, and methodologies is a plus
- Ability to use GitLab
- Ability to learn GitLab as part of the role
- You share our [values](/handbook/values/), and work in accordance with those values
- Leadership at GitLab
- You are obsessed with making customers happy

### Senior Program Manager, Customer Success Strategy & Operations

#### Job Grade

The Senior Program Manager, Customer Success Strategy & Operations is a [Grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Extends that of the Program Manager, Customer Success Strategy & Operations responsibilities
- Develop and deliver GTM initiatives to improve the effectiveness and efficiency of sales and adoption capabilities for GitLab prospects and customer with data and analytics, including:
  - Fiscal year planning
  - Customer escalation and at-risk programs
  - Customer journey development, including handoffs
  - Lifecycle management processes and playbooks
  - Digital journey development, content creation and curation, and metrics
  - Customer Health Scoring
  - Go-to-market (GTM) and/or adoption campaigns, including collaboration with Marketing, Product / Growth, Data Teams, and Sales Operations
  - Processes and playbooks for Solution Architect, Customer Success Manager, Professional Services, and Renewal Managers
- Own partnership with Product, bringing "voice of customer" to Product teams, including interlock, reporting, metrics, and facilitating customer engagement (e.g., surveys, interviews, etc.)
- Define systems and tools requirements that improve CSM visibility into customer information and overall customer performance

#### Requirements

- Extends that of the Program Manager, Customer Success Strategy & Operations requirements
- Excellent presentation skills with executive awareness
- Experienced leading cross-functional initiatives in mid-sized or large organizations (i.e., 1000+ employees)
- Intermediate Gainsight administration experience or Level 2 certification as a strategic guide to leadership
- Ensure CS initiatives and programs are communicated, aligned, implemented and measured cross functionally for bi-directional knowledge sharing to support global standardization
- Experience with technical products. Understanding of SLDC, software development tools, agile, and/or DevOps preferred.
- Deep empathy for our audience of developers and IT leaders
- Project management mindset and experienced with cross-functional collaboration

### Staff Program Manager, Customer Success Strategy & Operations

#### Job Grade

The Staff Program Manager, Customer Success Strategy & Operations is a [Grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Extends that of the Program Manager, Customer Success Strategy & Operations responsibilities
- Take on a bigger role with leading simultaneous CS initiatives as the DRI with driving steerco meetings
- Provide clear and frequent communications (docs, decks, presentations) to executives with clear proposals, insights, and recommendations
- Design and develop  annual and multi-year Customer Success strategies
- Act as the strategic advisor to CS leadership through strategy development and deep area expertise

#### Requirements

- Extends that of the Senior Program Manager, Customer Success Strategy & Operations requirements
- Experienced in leading internal steerco meetings to arrive at a successful and on-time outcomes
- Unflappable presentation and demo delivery with executive awareness
- Experienced leading cross-functional initiatives in large organizations (i.e., 2000+ employees)
