---
title: Program Manager, Field Enablement
---
The Program Manager, Field Enablement job family is responsible for aligning, building, measuring and managing world-class global sales content, training, and enablement programs.

## Levels

### Associate Program Manager, Field Enablement

The Associate Program Manager, Field Enablement reports to a people manager on the Field Enablement team.

#### Associate Program Manager, Field Enablement Job Grade

The Associate Program Manager, Field Enablement is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Associate Program Manager, Field Enablement Responsibilities

- Successfully accomplishes responsibilities with clear direction and oversight from other Program Managers and their direct manager.
- Execution of Field Enablement programs to ensure internal and external customers and partners are equipped with content, resources, tools and training to effectively differentiate and sell the GitLab solution.
- Assist with the development of training and enablement programs and content, customized regionally as needed.
- Build and implement the processes and tools needed to support our training and enablement strategy.
- Provide insights and recommendations for process improvement to other Field Enablement Program Managers.
- Manage curricula and reporting for online, self-paced onboarding and result-driven continuous learning.
- Determine opportunities for improving the sales learning experience and identify innovative techniques for delivery.
- Build, maintain, report, and audit existing content for any updates necessary.

#### Associate Program Manager, Field Enablement Requirements

- Ability to continuously meet due dates and execute on projects with positive impact from stakeholders
- Basic knowledge of sales training technology and methodologies; demonstrable experience with sales enablement concepts, practices, and procedures.
- Demonstrated ability to build enablement content and curricula from instructional design documentation.
- Demonstrated ability to facilitate training deliveries.
- Strong written and verbal communication skills.
- Team player with strong interpersonal skills.
- Ability to use GitLab
- Aligns with GitLab [Values](/handbook/values/)

### Program Manager, Field Enablement

The Program Manager, Field Enablement reports to a people manager on the Field Enablement team.

#### Program Manager, Field Enablement Job Grade

The Program Manager, Field Enablement is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Program Manager, Field Enablement Responsibilities

- Extends that of the Associate Program Manager, Field Enablement requirements
- Successfully accomplishes responsibilities with minimal direction or oversight
- Develop and lead the successful execution of sales enablement programs to ensure internal and external customers and partners are equipped with content, resources, tools and training to effectively differentiate and sell the GitLab solution.
- Collaborate with marketing and other SMEs to identify and develop core sales training and enablement curriculum, customized regionally as needed, for various internal and external audiences.
- Ensure alignment of sales enablement activities with key internal and external events, such as new product releases, campaigns, and essential industry trade shows.
- Manage and drive online, self-paced on-boarding and result-driven continuous learning.
- Leverage Salesforce.com CRM infrastructure and other tools for delivering formal and informal/social learning.
- Develop sales competency assessment programs, as well as partner certification programs.
- Measure and report on the effectiveness of sales enablement investments and the programs conducted.
- Determine opportunities for improving the sales learning experience and identify innovative techniques for delivery.

#### Program Manager, Field Enablement Requirements

- Extends that of the Associate Program Manager, Field Enablement requirements
- Demonstrated progressive experience in a software sales or sales enablement role
- Ability to continuously meet due dates and execute on projects with positive impact from stakeholders
- Software sales or sales enablement experience, preferably with expertise in DevOps and/or Open Source.
- Working knowledge of sales training technology and methodologies; demonstrable experience with sales enablement concepts, practices, and procedures.
- Relevant experience preparing, developing, and executing sales effectiveness strategies, tactics and action plans.
- Ability to quickly understand technical concepts and explain them to audiences of varying technical expertise (sales team, customers, channel partners, and internal support partners).
- Strong ability to interact and influence effectively with field sales professionals and management.
- Exceptional written/verbal communication and presentation skills.
- Team player with strong interpersonal skills, skilled at project and change management and cross-functional collaboration.
- Ability to thrive in a fast-paced, unpredictable environment.
- Ability to use GitLab
- Aligns with GitLab [Values](/handbook/values/)

### Senior Program Manager, Field Enablement

The Senior Program Manager, Field Enablement reports to a people manager on the Field Enablement team.

#### Senior Program Manager, Field Enablement Job Grade

The Senior Program Manager, Field Enablement is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Program Manager, Field Enablement Responsibilities

- Extends that of the Program Manager, Field Enablement responsibilities
- Works quickly and iteratively on projects with very limited direction from others
- Proven experience building and managing successful enablement programs for B2B Field Sales, Customer Success, and Partner professionals
- Viewed as a subject matter expert and trusted advisor by the sales organization and key stakeholders
- Innovates and continually improves the delivery of world-class field enablement programs

#### Senior Program Manager, Field Enablement Requirements

- Extends that of the Program Manager, Field Enablement requirements
- Demonstrated progressive experience in a software sales or sales enablement role, preferably with expertise in DevOps and/or Open Source
- Self-manages workload to meet deadlines and prioritize accordingly
- Ability to use GitLab
- Aligns with GitLab [Values](/handbook/values/)

### Staff Program Manager, Field Enablement

The Staff Program Manager, Field Enablement reports to a people manager on the Field Enablement team.

#### Staff Program Manager, Field Enablement Job Grade

The Staff Program Manager, Field Enablement is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Staff Program Manager, Field Enablement Responsibilities

- Extends that of the Senior Program Manager, Field Enablement responsibilities.
- Regularly shares best practices and provides constructive coaching and feedback to other members of the team.
- Aligns other stakeholders, SMEs, and Field Enablement team members to develop integrated Go-To-Market Enablement programs.
- Operate as a consultant and subject matter expert to the sales organization, cross-functional leaders (Segments, Communications, Product, Fulfillment, strategic field org etc), and key stakeholders, globally.

#### Staff Program Manager, Field Enablement Requirements

- Extends that of the Senior Program Manager, Field Enablement requirements
- Demonstrated experience launching end-to-end global strategic programs and initiatives with measurable results.
- Demonstrated experience in strategic selling, strategic consulting, and/or expertise in sales strategy.
- Guides and directs others on how best to meet timelines for success and makes recommendations on how to prioritize enablement efforts and initiatives effectively, aligned to the Field Enablement GTM process.

### Specialities

#### Sales Enablement Responsibilities

Focus on development and execution of impactful training and enablement solutions for GitLab sales professionals (Enterprise and Public Sector Strategic Account Executives, and Mid-Market & SMB Account Executives) across the sales professional lifecycle.

#### Customer Success Enablement Responsibilities

Focus on development and execution of impactful training and enablement solutions plus technical learning programs for GitLab customer success professionals (Customer Success Managers, Customers Success Engineers, Solutions Architects, and Renewals Specialists) across the technical sales professional lifecycle.

#### Channel Enablement Responsibilities

Focus on development and execution of impactful training and enablement solutions, technical learning, and go-to-market engagement for GitLab Channel Partners and GitLab Channel Sellers across the sales professional lifecycle.

#### Alliances Enablement Responsibilities

Focus on development and execution of impactful training and enablement solutions, specific to GitLab Alliance Partner for GitLab Alliance Partner field organizations AND GitLab Alliance sellers.
Drive Alliance Partner solution enablement efforts in partnership with GitLab Sales Enablement.

#### Field Leadership Enablement Responsibilities

Focus on the continuous development and execution of enablement initiatives related to Field Leadership functional skills for all GitLab customer-facing roles in the CRO organization (Area Sales Managers, Customer Success & Solutions Architecture Managers, Channel & Alliances).

#### Field Content Responsibilities

Focus on development and execution of impactful content strategy for the GitLab Field team. Manage a content management system and experience that provides relevant, easily-accessible and role-based resources to support the GTM motion and a feedback loop across stakeholders.
Scope and prioritize Field content needs in partnership with stakeholders in Marketing and Product.

## Performance Indicators

1. Seller time-to-ramp metrics.
1. Average deal cycle time.
1. Customer time-to-value and contraction metrics.
1. Professional Service FO attach rates.
1. Channel-sourced opportunities.
1. Alliance sell-through (marketplace, CPPO, co-sell).
1. GitLab Ultimate up-tiers.

## Career Ladder

The next steps for the Program Manager, Field Enablement Job Family would be to move to the Field Enablement Leadership Job Family.

## Hiring Process

Applicants for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30min [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, qualified candidates will be invited to schedule a first interview with the Hiring Manager
- Next, qualified candidates will be invited to interview with 2-5 team members
- There may be a final executive interview for qualified candidates
Additional details about our process can be found on our [hiring page](/handbook/hiring/).

- Selected candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 team members
- There may be a final executive interview

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
