---
title: "Inside Sales Representative"
RoleName: "Public Sector Inside Account Representative"
---

## Inside Sales Representative

### Job Grade

The Inside Sales Representative is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Inside Sales Representative will report to an Inside Sales Manager.
- Ensure healthy weekly activity: calls, leads, demos, and opportunity progression (MEDPPIC).
- Review weekly forecast and business outcomes with sales leaders.  This includes win/loss analysis so we can iterate approach based on our success and failures.
- Manage sales order processing including monitoring the system to ensure accurate receipt booking of sales orders, tracking sales shipment, delivery.
- Responsible for all renewals of all contracts and upgrades in your territory.
- Improve and maintain Salesforce structure for accurate sub accounts (groups/programs), opportunities and contacts.
- Collaborates regionally and globally in developing/enhancing standardized processes, reports, and sales programs that facilitate efficient sales operations, effective sales execution, and improved management insight.  This includes ensuring the GitLab sales handbook is followed and/or modified when necessary.

### Requirements

- A true desire to see customers benefit from the investment they make with you
- Demonstrated progressive experience with B2B software sales
- Experience selling into large organizations
- Interest in GitLab, and open source software
- Ability to leverage established relationships and proven sales techniques for success
- Effective communicator, strong interpersonal skills
- Motivated, driven and results oriented
- Excellent negotiation, presentation and closing skills
- Preferred experience with Git, Software Development Tools, Application Lifecycle Management
- You share our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/#travel-guidance-covid-19). Federal, LLC team members need to also comply with the applicable vaccination policies.

## Public Sector Inside Sales Representative

### Job Grade

The Public Sector Inside Sales Representative is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Additional Responsibilities

- Work with government contract officers to ensure RFQ's are responded and closed in a timely manner. This would include working with the Public Sector Inside Sales Manager to determine which partners could bring value if we assign them to run with an account.
- Work with Channel Managers to team on call campaigns and quotes for RFQs through distribution.
- Manage Reseller relationships: Quoting, Lead generation, Renewals, Product and price list updates.

## Senior Inside Sales Representative

### Job Grade

The Senior Inside Sales Representative is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Additional Responsibilities

- One year of successful account management related to closed sales results with GitLab Public Sector clients.
- One year of successful account management at GitLab with regards to call, deal and other metrics (e.g. managing tasks in SalesForce).
- Ability and willingness to mentor less experienced PubSec team members.

{{% job-families/sales/performance %}}

## Career Ladder

The next steps for the Inside Sales Representative Job Family would be to move to the [Strategic Account Executive](/job-families/sales/enterprise-account-executive/) Job Family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Qualified candidates receive a short questionnaire from our Global Recruiters
  1. What would differentiate you and make you a great account executive for GitLab?
  1. What is your knowledge of the space that GitLab is in? (i.e. Industry Trends)
  1. How do you see the developer tools changing over the coming years from a sales perspective? (i.e. Competitive Positioning, Customer Needs, etc)
- Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with our Global Recruiters
- Next, candidates will be invited to schedule a first interview with Federal Sales Director
- Candidates will be invited to schedule a second interview with our CRO
- Finally, candidates will interview with our CEO
- Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
