---
title: "Public Sector Inside Sales"
---

## Levels

### Public Sector Inside Sales Representative

The Public Sector Insides Sales Representative reports intot the Manager, Public Sector Inside Sales, Senior Manager, Public Sector Inside Sales or a Federal Sales Director.

#### Public Sector Inside Sales Representative Job Grade

The Public Sector Inside Sales Representative is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Public Sector Inside Sales Representative Responsibilities

- Ensure healthy weekly activity: calls, leads, demos, and opportunity progression (MEDPPIC).
- Review weekly forecast and business outcomes with sales leaders.  This includes win/loss analysis so we can iterate approach based on our success and failures.
- Manage sales order processing including monitoring the system to ensure accurate receipt booking of sales orders, tracking sales shipment, delivery.
- Responsible for all renewals of all contracts and upgrades in your territory.
- Improve and maintain Salesforce structure for accurate sub accounts (groups/programs), opportunities and contacts.
- Collaborates regionally and globally in developing/enhancing standardized processes, reports, and sales programs that facilitate efficient sales operations, effective sales execution, and improved management insight.  This includes ensuring the GitLab sales handbook is followed and/or modified when necessary.
- Work with government contract officers to ensure RFQ's are responded and closed in a timely manner. This would include working with the Public Sector Inside Sales Manager to determine which partners could bring value if we assign them to run with an account.
- Work with Channel Managers to team on call campaigns and quotes for RFQs through distribution.
- Manage Reseller relationships: Quoting, Lead generation, Renewals, Product and price list updates.
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/#travel-guidance-covid-19). Federal, LLC team members need to also comply with the applicable vaccination policies.

#### Public Sector Inside Sales Representative Requirements

- A true desire to see customers benefit from the investment they make with you
- Demonstrated progressive experience with B2B software sales
- Experience selling into large organizations
- Interest in GitLab, and open source software
- Ability to leverage established relationships and proven sales techniques for success
- Effective communicator, strong interpersonal skills
- Motivated, driven and results oriented
- Excellent negotiation, presentation and closing skills
- Preferred experience with Git, Software Development Tools, Application Lifecycle Management
- You share our [values](/handbook/values/), and work in accordance with those values.
- Ability to use GitLab

### Senior Public Sector Inside Sales Representative

The Senior Public Sector Insides Sales Representative reports intot the Manager, Public Sector Sales, Senior Manager, Public Sector Sales or a Federal Sales Director.

#### Senior Inside Sales Representative Job Grade

The Senior Inside Sales Representative is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Public Sector Inside Sales Representative Responsibilities

- Extends the Public Sector Insides Sales Representative Responsibilities

#### Senior Public Sector Inside Sales Representative Requirements

- Extends the Public Sector Insides Sales Representative Requirements
- One year of successful account management related to closed sales results with GitLab Public Sector clients.
- One year of successful account management at GitLab with regards to call, deal and other metrics (e.g. managing tasks in SalesForce).
- Ability and willingness to mentor less experienced PubSec team members.

### Manager, Public Sector Insides Sales

The Manager, Public Sector Insides Sales reports to a Federal Sales Director.

#### Manager, Public Sector Insides Sales Job Grade

The Manager, Public Sector Inside Sales is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Manager, Public Sector Insides Sales Responsibilities

- Manage team (SDR) to ensure healthy weekly activity: calls, opportunities, demos, and opportunity progression (MEDPIC).
- Review weekly forecast and business outcomes with reps and sales managers.  This includes win/loss review so we can iterate approach based on our success and failures.
- Manage sales order processing including monitoring the system to ensure accurate receipt booking of sales orders, tracking sales shipment, delivery.
- Responsible for all renewals of all contracts and upgrades
- Work with Federal Channel Manager on collaboration on call campaigns, Quotes on RFQ through distribution, Interacting with sales reps on specific/important accounts to ensure progress and appropriate messaging.

#### Manager, Public Sector Insides Sales Requirements

- Extends that of the Senior Public Sector Inside Sales Representative Requirements
- A true desire to see customers benefit from the investment they make with you
- Demonstrated progressive experience with B2B software sales

### Senior Manager, Public Sector Inside Sales

The Manager, Public Sector Insides Sales reports to a Federal Sales Director.

#### Senior Manager, Public Sector Inside Sales Job Grade

The Public Sector Senior Inside Sales Manager, is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Senior Manager, Public Sector Inside Sales Responsibilities

- Manage Reseller relationships: Quoting, Lead generation, Renewals, Product and price list updates,
- Getting GitLab EE on necessary federal contracts (e.g. NETCENTS)
- Own documentation for Fips 140.2 documentation, FedRamp Documentation and VPAT updated with UX team
- Work with Federal contract officers to ensure RFQ's are responded and closed in a timely manner. This would include determining which partners could bring value if we assign them an account.
- Work with sales team and partners to gain success with small implementations at SIs (LMCO, GD, Raytheon, etc) into enterprise level discussions to use GitLab EE for all .gov projects
- Training/mentoring of team members to ensure open feedback, career development and job satisfaction
- Improve and maintain Salesforce structure for accurate sub accounts (groups/programs), opportunities and contacts.
- Collaborates regionally and globally in developing/enhancing standardized processes, reports, and sales programs that facilitate efficient sales operations, effective sales execution, and improved management insight.  This includes ensuring the GitLab sales handbook is followed and/or modified when necessary.

#### Senior Manager, Public Sector Inside Sales Requirements

- Extends that of the Manager, Public Sector Insides Sales Requirements
- Demonstrated progressive experience in a Management role
- Demonstrated progressive experience with B2B software sales
- Interest in GitLab, and open source software
- Excellent negotiation, presentation and closing skills
- One year of successful team management at GitLab related closed sales results with GitLab Public Sector clients.
- One year of successful team management at GitLab with regards to managing and reporting call, deal and other metrics (e.g. managing tasks in SalesForce).
- Motivated and committed to engage in disussions and GitLab Issues with cross functional teams to convey the needs of the Public Sector sales team.
- Contribute to developing sales plans, territory assignment and hiring plans for the Public Sector management team.

## Performance Indicators

- Renewals at 90% or higher
- New Opportunities - 5 per ISR per Quarter
- Upsell/Cross-Sell Rates - 2 per ISR per Quarter

## Career Ladder

The next steps for the Public Sector Inside Sales Job Family is to move to the [Sales Management](/job-families/sales/area-sales-manager/) Job Family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will interview with 2 - 4 Team Members
- Candidates may be invited to schedule a second interview with our CRO

Additional details about our process can be found on our [hiring page](/handbook/hiring/).

## Compensation

You will typically get 50% as base and 50% based on commission. See our
[market segmentation](/handbook/sales/#market-segmentation) for
typical quotas in the U.S.
Also see the [Sales Compensation Plan](/handbook/finance/sales-comp-plan/).
