---
title: "Regional Sales Director"
RoleName: "Regional Sales Director"
---

As the Regional Sales Director, you will lead a dynamic sales team and help GitLab surpass our growth goals. The right candidate is responsible for building and leading a world class sales team, implementing technology and processes, and partnering with the account management, customer success, marketing, product, engineering and operations teams to deliver the best possible customer experience. The right candidate is truly passionate about open source software and has a proven track record to talk about! This is an exciting opportunity to unequivocally influence GitLab's overall success and growth.

## Job Grade

The Regional Sales Director is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

- Drives, manages and executes the business and revenue of a sales team
- Analyzes regional market dynamics in an effort to maximize existing successes and to create new sales growth opportunities
- Educates team on significant industry factors including competitive products, regulations, trends, customer needs, and pricing
- Prepares forecasts, territory/industry management, and growth plans
- Establishes and reports on metrics to measure team performance; correct deficiencies where necessary
- Ensures that the regional sales plan is aligned with and supports the corporate revenue goal
- Recruits, hires and trains staff members; fosters a successful and positive team environment; develops and coaches Sales leaders
- Typically manages Area Sales Managers and/or manages a global Sales team

## Requirements

- Process, data driven sales operations background. Strong experience with Salesforce.com, and building track-able, repeatable sales processes.
- Experience in a DevOps tools sales environment
- Willingness to "roll up the sleeves" and sell
- Experience selling to Fortune 500
- Ability to exercise effective judgment, sensitivity, creativity to changing needs and situations
- Must be adaptable, professional, courteous, motivated and work well on their own or as a member of a team
- Ability to handle a fast-paced environment and challenging workload
- Proven track record of meeting or exceeding performance objectives (revenue targets, pipeline targets, etc.)
- Experience utilizing CRM systems and marketing automation systems (such as salesforce, market, outreach etc.)
- Prior employment in technology consulting, open source software or software development is highly desired
- Demonstrate high levels of integrity, initiative, honesty and leadership
- [Leadership at GitLab](/handbook/company/structure/#director-group)
- Ability to use GitLab
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

{{% job-families/sales/performance %}}

## Location

## Career Ladder

The Reginal Sales Director would move into the [VP, Enterprise Sales](/job-families/sales/vp-enterprise-sales/) Job Family, or the [VP, MM and SMB Sales](/job-families/sales/vp-of-commercial-sales/) Job Family.

### Hiring Process

Applicants for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30min [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 teammates
- Final Interview will be with a Sales Leader

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
