---
title: Renewals Manager
---

### **Renewals Manager Job Family**

| Role  | Grade |
| --------| --------|
| Associate Renewals Manager |  5 |
| Renewals Manager | 6 |
| Senior Renewals Manager | 7 |
| Manager, Renewals |  8 |
| Senior Manager, Renewals  | 9 |
| Sr. Director, Renewals  |  11 |

Renewal Managers have applicable skills for many other jobs in the Customer Success, Sales and Marketing organizations.

The Renewals job family delivers to an essential moment in the customer journey, ensuring we can continue to deliver value and business outcomes by specializing in customer retention. In collaboration with sales, channel partners, customer success, and sales operations, this team will focus on successfully renewing customer subscriptions while providing a seamless customer experience. The roles aim to deliver predictable and efficient renewals through a proactive management of the customers lifecycle.

## Associate Renewals Manager

The Associate Renewals Manager reports to the Manager, Renewals or Senior Manager, Renewals.

### Associate Renewals Manager Job Grade

The Associate Renewals Manager is a grade 5.

### Associate Renewals Manager Responsibilities

- Maximize customer retention rates through effective sales techniques over the phone, video and email while also minimizing customer churn and contraction.
- Execute the renewal process to ensure ARR is retained or expanded
- Evaluate license usage and complete the true-up requirements
- Understand and align customer's business needs and goals to generate renewal quotes
- Provide renewals adminstration support to Renewals Managers, and Account Executives
- Ensure that renewals are closed on a timely basis
- Collaborate with Sales and Customer Success Managers on renewals strategy and plans, leveraging customer analytics and metrics
- Liaise with customers to ensure POs and order forms are accurately completed to allow for internal deal approval

### Associate Renewals Manager Requirements

- Related sales or related customer experience (examples SDR, BDR, sales ops, deal desk, customer service, CSM)
- Demonstrated progressive experience with B2B software sales
- Experience with subscription GTM approaches for customer success management and renewals
- Effective communicator, strong interpersonal and collaboration skills
- Motivated, driven and results-oriented
- Strong negotiation, presentation and closing skills
- Preferred experience with technical products. Experience with DevOps, software development lifecycle, or application development is a plus.
- You share our values, and work in accordance with those values.

## Renewals Manager

The Renewals Manager reports to the Manager, Renewals or Senior Manager, Renewals.

### Renewals Manager Job Grade

The Renewals Manager is a grade 6.

### Renewals Manager Responsibilities

- Extends to that of an Associate Renewal Manager
- Additional customer relationship developing responsiblities
- Ability to identify opportunity and customer level risk and coordinate the mitigation
- Provide renewals coverage on larger, more strategic customers

### Renewals Manager Requirements

- Experienced in driving renewals with predictability and delivering to targeted gross retention rates
- Experienced in managing a customer relationship from a similar role (e.g., Customer Success Manager, SDR, BDR)

## Senior Renewals Manager

The Senior Renewals Manager reports to the Manager, Renewals or Senior Manager, Renewals.

### Senior Renewals Manager Job Grade

The Senior Renewals Manager is a grade 7.

### Senior Renewals Manager Responsibilities

- Extends to that of an Renewal Manager
- Additonal responsiblities in helping design best practices and methodologies for the renewals organizational
- Provides more coverage of larger, more strategic and complex opportunities

### Senior Renewals Manager Requirements

- Proven ability to successfully lead renewals with high gross retention, predictability, and customer experience
- Demonstrated ability to drive larger, more complex transactions (i.e., contract size, net ARR).
- Contributes to the improvement of renewals process, policies, and tools including helping others on the team

## Manager, Renewals

The Manager, Renewals reports to the Sr. Director, Renewals.

### Manager, Renewals Job Grade

The Manager, Renewals is a grade 8.

### Manager, Renewals Responsibilities

- Extends to that of a Senior Renewal Manager.
- Manage Renewals team to ensure healthy weekly activities
- Review weekly forecasts and business outcomes with reps and sales managers. This includes win/loss review so we can iterate our approach based on our success and failures.
- Responsible for all renewals of all contracts and upgrades
- Collaborates with regional Sales and Customer Success leaders
- Hires, coaches and develops Renewal Managers
- Participates in the design and execution of the Renewals Manager playbooks

### Manager, Renewals Requirements

- Demonstrated sales or renewals management experience
- Aptitude for continous improvement philosophy and strategy development and execution

## Senior Manager, Renewals

The Senior Manager, Renewals reports to the Sr. Director, Renewals.

### Senior Manager, Renewals Job Grade

The Manager, Renewals is a grade 9.

### Senior Manager, Renewals Responsibilities

Extends to that of an Manager, Renewals

- Building a team culture that promotes innovation, experimentation and continuous improvement
- Contributes to company wide renewals strategies and programs

### Senior Manager, Renewals Requirements

- Demonstrated ability to drive strategies and initiatives to improve renewals predicability, retention and expansion, and efficiency as well as team member enablement and development
- Brings track record of successfully driving renewals with predictable retention and expansion with high collaboration with field teams and operations

## Senior Director, Renewals

The Senior Director, Renewals reports to the Vice President of Customer Success.

### Senior Director, Renewals Job Grade

The Senior Director, Renewals is a grade 11.

### Senior Director, Renewals Responsibilities

- Lead customer retention through proactive planning, management, and execution of the renewals with customers and internal teams
- Develop and communicate the Renewals Team vision and strategy, prioritizing team efforts, initiatives, and OKRs
- Own and drive the renewals process in collaboration with Sales, Customer Success, and channel partners
- Hire, coach, and motivate a global renewals team focused on goal achievement, delivery to KPIs and OKRs, and team member development
- Continuously develop renewals processes, policies, and playbooks to improve renewal predictability, efficiency, and customer satisfaction
- Identify and manage renewal risks and expansion opportunities, maintaining accurate forecast of upcoming renewals
- Drive systems, data, and product improvements to enable successful renewals and predictive visibility of renewals
- Negotiate and execute renewal contracts in alignment with customer goals and partnership from Revenue Operations and Legal
- Be accountable for organizational KPIs, including gross retention, on-time renewals, and customer satisfaction

### Senior Director, Renewals Requirements

- Proven track record of successfully delivering to revenue goals for a SaaS or subscription business at scale in a sales and/or renewal leadership role
- Experienced in developing and growing global teams and operations as well as leading teams at scale (i.e., managed teams of over 30 team members)
- Experienced in leading continuous improvement and change management across a broad range of functional stakeholders
- Can successfully deliver to goals, build, and iterate in a fast-paced environment, working with a bias for action
- Is data-drive and is experienced in leading system changes and automation to improve operational effectiveness and efficiency
- Understands both direct and channel go-to-market sales and renewals
- Is a value-led leader who can role model and nurture GitLab's values
- Ability to use GitLab

## Performance Indicators

1. Gross renewal rate
1. Net ARR in alignment with our renewals policy
1. Churn and contraction rate
1. Customer Satisfaction

## Career Ladder

The next step for the Renewals job family is not yet defined.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.
Qualified candidates will be invited to schedule a 30 minute screening call with one of our Global Recruiters.
Next, qualified candidates will be invited to interview with 2 - 4 team members.
Next, qualified candidates will have a final interview with an executive.
Additional details about our process can be found on our hiring page.
