---
title: "Renewals Operations Analyst"
description: "The Renewal Operations Team is responsible for providing forecast clarity, scoring renewal growth and retention likelihood, customer analytics, and developing retention action plans."
---

The Renewal Operations Team is responsible for providing forecast clarity, scoring renewal growth and retention likelihood, and developing retention action plans. Key objectives include:

- Optimize and scale the renewal management and bookings forecast process for predictability
- Support Renewals Team for efficient, consistent, and effective renewals management
- Drive renewal best practices portfolio-wide, assisting the build out of training for field team
- Extract insights from renewal data and recommend tactics to improve results
- Collaborate with the Customer Success Team to identify and help build out vital collateral for retention

## Levels

### Renewals Operations Analyst (Intermediate)

The Renewals Operations Analyst (Intermediate) reports to the [Senior Manager Customer Success Operations](/job-families/sales/sales-operations/#senior-manager-sales-operations).

#### Renewals Operations Analyst (Intermediate) Job Grade

The Renewals Operations Analyst (Intermediate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Renewals Operations Analyst (Intermediate) Responsibilities

- Support the maintenance of an accurate rolling 12+ month forecast of renewals
- Support the Renewals team with day to day requests such as prcoess guidance, data quality and complex deal management
- Build and maintain reports for key metrics such as renewal revenue, bookings, retention rate, and overall customer health
- Actively engage with key sales leaders and decision-makers to identify customer requirements and uncover roadblocks to ensure on-time renewals and retention goals
- Work with cross-functional teams like Product, Strategy, and Finance to champion impactful process improvement and automation for the benefit of Renewals
- Develop playbooks for renewal engagement maximizing revenue retention
- Identify opportunities for process automation and optimization, with a focus on scalability and driving significant growth
- Identify and report on Churn, Contraction and Growth trends within the book of business and effectively communicate them to cross functional leaders
- Improve the sales team's effectiveness and efficiency and provide increased customer insights through data, automation, and product analytics
- Proactively drive a high degree of CRM data quality by leveraging creative system solutions and delivering end-user training

#### Renewals Operations Analyst (Intermediate) Requirements

- Demonstrated progressive Operations experience supporting Sales / Customer Success / Account Management teams, preferably within an Enterprise SaaS organization
- Demonstrated progressive Sales or Customer Success experience
- Proven track-record of increasing renewal rates
- Experience implementing renewal processes and metrics
- Able to teach best practices, strategies, and tactics
- Strong analytical ability and able to prioritize multiple projects
- Salesforce experience and knowledge of enterprise SaaS tools
- Excellent problem solving, project management, interpersonal and organizational skills
- Experience creating a framework for a newly created team, as well as with expanding the team when applicable
- SaaS and B2B experience preferred
- Experience with Customer Success Management systems (e.g., Gainsight/Totango/Client Success/etc., digital marketing tools) preferred
- Interest in GitLab, and open-source software
- You share our values and work by those values
- Ability to use GitLab
- Experience with agile/DevOps and/or SDLC process and/or tools is a plus

### Senior Renewals Operations Analyst

The  Senior Renewals Operations Analyst reports to the [Senior Manager Customer Success Operations](/job-families/sales/sales-operations/#senior-manager-sales-operations).

#### Senior Renewals Operations Analyst Job Grade

The  Senior Renewals Operations Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Renewals Operations Analyst Responsibilities

- Extends that of the Renewals Operations Analyst (Intermediate) responsibilities
- Own, drive, and lead the renewals process in collaboration with the sales team to ensure we hit company objectives

#### Manager, Renewal Operations Job Grade

The  Manager, Renewal Operations is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Renewal Operations Responsibilities

- Perform weekly, monthly and quarterly opportunity pipeline analysis, data validation and identify gaps and actions required
- Identify process automation and improvement opportunities and work with cross-functional teams to drive these initiatives
- Communicate regularly on business/team performance, making recommendations based on analysis of key performance areas
- Act on behalf of the leadership (e.g. drive global churn forecasting, identify direct and channel renewal improvements, forecasting mechanics evolution to incorporate customer health insights)
- Support the development and presentation of the business outcomes to stakeholders with a view to assisting them to drive performance in their areas (e.g. churn/upsell attribution etc)
- Provide critical business insights to Customer Success and Sales leadership based on business acumen and data analysis, be able to identify issues, recommend action plans and execute
- Drive culture of continuous improvement on performance, process, automation, and data accuracy
- Generate regular and ad-hoc business analysis for Customer Success and Sales Leadership to monitor performance across a range of key business drivers and Renewals Team performance, including direct and partner renewals

#### Manager, Renewal Operations Requirements

- Progressive years leading Renewals and/or Operations teams
- Experience driving systems & tools related projects and enhancements
- Comfort with tools that create and house our data:
  - Salesforce: experience creating complex dashboards & reports, custom report types, calculated fields, workflows
  - Salesforce CPQ, Zuora, or other CPQ/Q2C tools
  - Sisense, Tableau, or other analysis / business intelligence software
- Experience with direct and channel renewal sales motions
- Exceptional quantitative and spreadsheet skills
- Excellent written and verbal communication skills
- Healthy skepticism and curiosity - seeks feedback with an open mind and strives for deeper understanding through data
- Self-starter that knows how to operate in ambiguity and prioritize task and resources
- Excellent problem solving, project management, interpersonal and organizational skills
- SaaS and B2B experience
- Interest in GitLab, and open source software
- You share our values and work in accordance with those values
- Ability to use GitLab
- Experience with agile/DevOps and/or SDLC process and/or tools is a plus
- Leadership at GitLab

#### Senior Manager, Renewal Operations Job Grade

The Senior Manager, Renewal Operations is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Renewal Operations Responsibilities

- Extends that of the Manager, Renewal Operations responsibilities
- Be a trusted advisor to the business (e.g. drive long range and annual planning)
- Understand all interconnecting pieces of the GTM to understand behavior and incentive, narratives, and spot structural issues or inefficiencies (people, process, planning, policy) to drive changes that enhance effectiveness and efficiency
- Drive business alignment with Finance, Field Sales and Customer Success on KPIs including renewal rates, gross retention and churn
- Develop and execute operational plan and key business operational priorities in conjunction with WW renewal leadership (e.g optimization of resource utilization and productivity)
- Act as the liaison between Field Operations, Finance, and regional leadership teams, ensuring global initiatives and programs are communicated, aligned, implemented and measured in region, and bi-directional knowledge sharing drives global best practice
- Build executive presentations (e.g. quarterly business reviews), crafting the messages in collaboration with go to market leadership)

#### Senior Manager, Renewal Operations Requirements

- Extends that of the Manager, Renewal Operations requirements
- Extended experience in Sales/Sales Operations, Business Operations, Finance, Renewals, or Customer Success Operations
- Demonstrated leadership background and experience managing global teams
- Strength in researching, understanding, distilling and communicating complex business issues, ideas and analyzing business impact
- Strong communication skills with the ability to engage and drive consensus and alignment with stakeholders at all levels, and across multiple functions and geographies
- Compelling storytelling, with the ability to leverage data to drive action, including for non-analytical audiences
- Experience working in Global markets
- Ability to tackle very "open ended" topics where you first need to figure out what questions you really need to answer
- Extensive experience planning (capacity, performance) and deploying both business and technical initiatives Demonstrable ability to see beyond the numbers to drive sound decision-making

## Performance Indicators

- SMAU
- [CSAT](https://internal.gitlab.com/handbook/it/it-performance-indicators/#customer-satisfaction-survey-csat)
- [PNPS](https://internal.gitlab.com/handbook/company/performance-indicators/product/#gitlab-com-paid-net-promoter-score-pnps)
- [Churn & customer retention metrics](/handbook/customer-success/customer-success-vision/#retention-and-reasons-for-churn)

## Career Ladder

The next step in the Renewals Operations job family is not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 Team Members

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
