---
title: Renewals Job Family
description: The Renewals job family delivers to an essential moment in the customer journey, ensuring we can continue to deliver value and business outcomes through customer retention.
---
The Renewals job family delivers to an essential moment in the customer journey, ensuring we can continue to deliver value and business outcomes through customer retention. In collaboration with sales, channel partners, customer success, and sales operations, this team will focus on successfully renewing customer contracts while providing a seamless customer experience.

## Levels

### Senior Director, Renewals

The Senior Director, Renewals reports to the [Vice President of Customer Success](/job-families/sales/customer-success-leadership/#vice-president-of-customer-success).

#### Senior Director, Renewals Job Grade

The Senior Director, Renewals is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director, Renewals Responsibilities

- Lead customer retention through proactive planning, management, and execution of the renewals with customers and internal teams
- Develop and communicate the Renewals Team vision and strategy, prioritizing team efforts, initiatives, and OKRs
- Own and drive the renewals process in collaboration with Sales, Customer Success, and channel partners
- Hire, coach, and motivate a global renewals team focused on goal achievement, delivery to KPIs and OKRs, and team member development
- Continuously develop renewals processes, policies, and playbooks to improve renewal predictability, efficiency, and customer satisfaction
- Identify and manage renewal risks and expansion opportunities, maintaining accurate forecast of upcoming renewals
- Drive systems, data, and product improvements to enable successful renewals and predictive visibility of renewals
- Negotiate and execute renewal contracts in alignment with customer goals and partnership from Revenue Operations and Legal
- Be accountable for organizational KPIs, including gross retention, on-time renewals, and customer satisfaction

#### Senior Director, Renewals Requirements

- Proven track record of successfully delivering to revenue goals for a SaaS or subscription business at scale in a sales and/or renewal leadership role
- Experienced in developing and growing global teams and operations as well as leading teams at scale (i.e., managed teams of over 30 team members)
- Experienced in leading continuous improvement and change management across a broad range of functional stakeholders
- Can successfully deliver to goals, build, and iterate in a fast-paced environment, working with a bias for action
- Is data-drive and is experienced in leading system changes and automation to improve operational effectiveness and efficiency
- Understands both direct and channel go-to-market sales and renewals
- Is a value-led leader who can role model and nurture [GitLab's values](/handbook/values/)
- Ability to use GitLab

## Performance Indicators

- [Gross retention](https://docs.google.com/document/d/1UaKPTQePAU1RxtGSVb-BujdKiPVoepevrRh8q5bvbBg/edit#heading=h.yycfjurntovz)
- [Net ARR](https://docs.google.com/document/d/1UaKPTQePAU1RxtGSVb-BujdKiPVoepevrRh8q5bvbBg/edit#heading=h.yycfjurntovz) in alignment with our renewals policy
- Customer Satisfaction

## Career Ladder

The next step for the Renewals job family is not yet defined.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Next, qualified candidates will be invited to interview with 2 - 4 team members.
- Next, qualified candidates will have a final interview with an executive.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
