---
title: "Revenue Programs Job Family"
description: "The Revenue Programs job family is responsible for developing and executing effective pipeline and revenue acceleration strategies and tactics to drive growth within our sales organization."
---

The Revenue Programs job family is responsible for developing and executing effective pipeline and revenue acceleration strategies and tactics to drive growth within our sales organization.

## Responsibilities

- Identify, prioritize, and run sales programs that drive quality pipeline and ARR aligned to GitLab's go to market (GTM) motions
- Work cross-functionally (with Portfolio Marketing, Demand Gen, Revenue Marketing, Field Enablement, Sales Strategy, and more) to orchestrate the development, execution, and operationalization of scalable and measurable quarterly sales programs that deliver results
- Own quarterly pipeline planning to ensure there is structure, scalability and transparency with clear in-quarter execution outputs
- Work comfortably with complex data sets to identify pipeline gaps and prescribe and prioritize solutions to meet business pipeline gaps
- Conduct regular program reviews with leaders, providing status updates and risk mitigation strategies
- Collaboratively define success measures and reporting frameworks for implemented programs

## Requirements

- Experience managing or designing sales or pipeline/revenue acceleration programs, integrated marketing campaigns, and/or go-to-market strategies
- Proven ability to design and operationalize prescriptive sales programs and strategies
- Ability to work collaboratively with Sales & Marketing teams and effectively develop relationships with stakeholders at all levels of the organization to remove impediments that block the team's ability to meet project objectives
- Exceptional communication and presentation skills
- Proven track record of cross-stakeholder program management and execution with operational rigor
- Skills to build, maintain, update and optimize critical dashboards in Salesforce.com and business intelligence (BI) tools for the purpose of tracking the impact of sales programs
- Strong analytical and influence skills
- Bachelor or University Degree, or relevant work experiences
- Over achievement in a quota-carrying sales role preferred

## Job Grades

Read more about GitLab [Job Grades](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Revenue Programs Specialist (Intermediate)

The Revenue Programs Specialist (Intermediate) reports to the Manager, Revenue Programs or Senior Manager, Revenue Programs.

#### Revenue Programs Specialist (Intermediate) Job Grade

The Revenue Programs Specialist (Intermediate) role is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Revenue Programs Specialist (Intermediate) Responsibilities

- Manage and execute region-, segment-, or industry-specific sales programs
- Provide reporting, analytics, and communications support for prioritized sales programs that drive quality pipeline and ARR aligned to GitLab's go to market (GTM) motions

#### Revenue Programs Specialist (Intermediate) Requirements

- Collaborates well with others
- Ability to build, maintain, update and optimize critical dashboards in Salesforce.com and business intelligence (BI) tools for the purpose of tracking the impact of sales programs
- Strong analytical skills
- Strong communication and presentation skills
- Bachelor or University Degree, or relevant work experiences

### Senior Revenue Programs Specialist

The Senior Revenue Programs Specialist reports to the Manager, Revenue Programs or Senior Manager, Revenue Programs.

#### Senior Revenue Programs Specialist Job Grade

The Senior Revenue Programs Specialist role is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Revenue Programs Specialist Responsibilities

- Manage and execute region-, segment-, or industry-specific sales programs
- Provide reporting, analytics, and communications support for prioritized sales programs that drive quality pipeline and ARR aligned to GitLab's go to market (GTM) motions
- Analyze data to identify pipeline gaps
- Identify, prioritize, and run sales programs that drive quality pipeline and ARR aligned to GitLab's go to market (GTM) motions
- Work comfortably with complex data sets to identify pipeline gaps and prescribe and prioritize solutions to meet business pipeline gaps
- Collaboratively define success measures and reporting frameworks for implemented programs

#### Senior Revenue Programs Specialist Requirements

- Collaborates well with others
- Ability to build, maintain, update and optimize critical dashboards in Salesforce.com and business intelligence (BI) tools for the purpose of tracking the impact of sales programs
- Strong analytical skills
- Ability to influence others
- Exceptional communication and presentation skills
- Experience managing or designing sales and/or revenue/pipeline acceleration programs, integrated marketing campaigns, and/or go-to-market strategies
- Proven ability to design and operationalize prescriptive sales programs and strategies
- Bachelor or University Degree, or relevant work experiences
- Over achievement in a quota-carrying sales role preferred

### Revenue Programs Manager

The Revenue Programs Manager reports to the Director of Sales Strategy.

#### Revenue Programs Manager Job Grade

The Revenue Programs Manager role is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Revenue Programs Manager Responsibilities

- Serve as a trusted advisor and business partner to Sales leaders to identify and prioritize sales programs that drive quality pipeline and ARR aligned to GitLab's go to market (GTM) motions
- Work comfortably with complex data sets to identify pipeline gaps and prescribe and prioritize solutions to meet business pipeline gaps
- Identify, prioritize, and run sales programs that drive quality pipeline and ARR aligned to GitLab's go to market (GTM) motions
- Work cross-functionally (with Portfolio Marketing, Demand Gen, Revenue Marketing, Field Enablement, Sales Strategy, and more) to orchestrate the development, execution, and operationalization of scalable and measurable quarterly sales programs that deliver results
- Provide reporting, analytics, and communications support for prioritized sales programs that drive quality pipeline and ARR aligned to GitLab's go to market (GTM) motions
- Collaboratively define success measures and reporting frameworks for implemented programs
- Conduct regular program reviews with leaders, providing status updates and risk mitigation strategies
- Manage sales programs across multiple regions, segments, and/or industries

#### Revenue Programs Manager Requirements

- Collaborates well with others
- Ability to build, maintain, update and optimize critical dashboards in Salesforce.com and business intelligence (BI) tools for the purpose of tracking the impact of sales programs
- Strong analytical skills
- Ability to influence others
- Exceptional communication and presentation skills
- Experience managing or designing sales and/or revenue/pipeline acceleration programs, integrated marketing campaigns, and/or go-to-market strategies
- Proven ability to design and operationalize prescriptive sales programs and strategies
- Ability to move fluidly from big picture to details
- Ability to work collaboratively with Sales & Marketing teams and effectively develop relationships with stakeholders at all levels of the organization to remove impediments that block the team's ability to meet project objectives
- Bachelor or University Degree, or relevant work experiences
- Over achievement in a quota-carrying sales role preferred
- People management experience, preferably in a Sales, Sales Ops, Sales Programs, Sales Analytics, Sales Enablement, or related function preferred

### Senior Manager, Revenue Programs

The Senior Manager, Revenue Programs reports to the Director of Sales Strategy.

#### Senior Manager, Revenue Programs Job Grade

The Senior Manager, Revenue Programs role is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Revenue Programs Responsibilities

- Build and/or lead a team of Revenue Program Specialists and/or Revenue Program Managers
- Serve as a trusted advisor and business partner to Sales leaders and collaborate with executives to identify and prioritize sales programs that drive quality pipeline and ARR aligned to GitLab's go to market (GTM) motions
- Work comfortably with complex data sets to identify pipeline gaps and prescribe and prioritize solutions to meet business pipeline gaps
- Identify, prioritize, and run sales programs that drive quality pipeline and ARR aligned to GitLab's go to market (GTM) motions
- Work cross-functionally (with Portfolio Marketing, Demand Gen, Revenue Marketing, Field Enablement, Sales Strategy, and more) to orchestrate the development, execution, and operationalization of scalable and measurable quarterly sales programs that deliver results
- Provide reporting, analytics, and communications support for prioritized sales programs that drive quality pipeline and ARR aligned to GitLab's go to market (GTM) motions
- Collaboratively define success measures and reporting frameworks for implemented programs
- Conduct regular program reviews with leaders, providing status updates and risk mitigation strategies
- Manage sales programs across multiple regions, segments, and/or industries
- Develop, maintain, and execute medium- and long-term vision for the team
- Own quarterly pipeline planning to ensure there is structure, scalability and transparency with clear in-quarter execution outputs

#### Senior Manager, Revenue Programs Requirements

- People management experience, preferably in a Sales, Sales Ops, Sales Programs, Sales Analytics, Sales Enablement, or related function
- Collaborates well with others, including executives across multiple functions
- Ability to build, maintain, update and optimize critical dashboards in Salesforce.com and business intelligence (BI) tools for the purpose of tracking the impact of sales programs
- Strong analytical skills
- Exceptional communication and presentation skills (including with senior management stakeholders)
- Experience managing or designing sales and/or revenue/pipeline acceleration programs, integrated marketing campaigns, and/or go-to-market strategies
- Proven ability to design and operationalize prescriptive sales programs and strategies
- Ability to move fluidly from big picture to details
- Ability to work collaboratively with Sales & Marketing teams and effectively develop relationships with stakeholders at all levels of the organization to remove impediments that block the team's ability to meet project objectives
- Strong executive presence
- Proven track record of cross-stakeholder program management and execution with operational rigor
- Bachelor or University Degree, or relevant work experiences
- Over achievement in a quota-carrying sales role preferred

### Director, Revenue Programs

The Director, Revenue Programs reports to the Senior Director of Sales Strategy and Analytics.

#### Director, Revenue Programs Job Grade

The Director, Revenue Programs role is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Revenue Programs Responsibilities

- Build and/or lead a team of Revenue Program Specialists and/or Revenue Program Managers
- Serve as a trusted advisor and business partner to Sales leaders and collaborate with executives to identify and prioritize sales programs that drive quality pipeline and ARR aligned to GitLab's go to market (GTM) motions
- Work comfortably with complex data sets to identify pipeline gaps and prescribe and prioritize solutions to meet business pipeline gaps
- Identify, prioritize, and run sales programs that drive quality pipeline and ARR aligned to GitLab's go to market (GTM) motions
- Work cross-functionally (with Portfolio Marketing, Demand Gen, Revenue Marketing, Field Enablement, Sales Strategy, and more) to drive GTM alignment and orchestrate the development, execution, and operationalization of scalable and measurable quarterly sales programs that deliver results
- Provide reporting, analytics, and communications support for prioritized sales programs that drive quality pipeline and ARR aligned to GitLab's go to market (GTM) motions
- Collaboratively define success measures and reporting frameworks for implemented programs
- Conduct regular program reviews with leaders, providing status updates and risk mitigation strategies
- Manage sales programs across multiple regions, segments, and/or industries
- Develop, maintain, and execute medium- and long-term vision for the team
- Own quarterly pipeline planning to ensure there is structure, scalability and transparency with clear in-quarter execution outputs

#### Director, Revenue Programs Requirements

- People management experience in a Sales, Sales Ops, Sales Programs, Sales Strategy & Analytics, Sales Enablement, or related function
- Collaborates well with others, including executives across multiple functions
- Ability to build, maintain, update and optimize critical dashboards in Salesforce.com and business intelligence (BI) tools for the purpose of tracking the impact of sales programs
- Strong analytical skills
- Exceptional communication and presentation skills (including with senior management stakeholders)
- Experience managing or designing sales and/or revenue/pipeline acceleration programs, integrated marketing campaigns, and/or go-to-market strategies
- Proven ability to design and operationalize prescriptive sales programs and strategies
- Ability to move fluidly from big picture to details
- Ability to work collaboratively with Sales & Marketing teams and effectively develop relationships with stakeholders at all levels of the organization to remove impediments that block the team's ability to meet project objectives
- Strong executive presence
- Proven track record of cross-stakeholder program management and execution with operational rigor
- Proven ability to influence others including senior leadership
- Proven experience driving GTM alignment, preferably in high-growth, fast-paced environments, preferably in high tech
- Bachelor or University Degree, or relevant work experiences
- Over achievement in a quota-carrying sales role preferred

---

## Performance Indicators

- Sales pipeline coverage
- New logos
- Lead conversion rates with initial emphasis on conversion metrics italicized below
  - *MQL (Marketing Qualified Lead) to SAO (Sales Accepted Opportunity)*
  - *1-Discovery to 2-Scoping*
  - *2-Scoping to 3-Technical Evaluation*
  - 3-Technical Evaluation to 4-Proposal
  - 4-Proposal to 5-Negotiating
  - 5-Negotiating to 6-Awaiting Signature
  - 6-Awaiting Signature to Closed Won

## Career Ladder

The next steps for the Revenue Programs Specialist is to move up within this job family, into the [Sales Strategy Leadership](/job-families/sales/sales-strategy/) job family, or into a Sales, Customer Success, or Marketing role.

## Hiring Process

Applicants for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30min [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 team members
- There may be a final executive interview
