---
title: "Sales Administrator"
RoleName: "Sales Administrator"
---

As the Sales Administrator, you will play a critical role in support of our sales team.

You will report to the Director of Sales Operations and will support our sales team in a number of essential sales-related tasks such as generating quotes, sending legal documents, and working with Finance to complete vendor forms. You will also serve in a customer-facing capacity where you will answer questions related to a customer's account, including questions related to renewing or upgrading their GitLab service. Finally, you will play an important role in the data quality of our systems, using third-party tools to enrich and keep our business systems up-to-date.

About you: You are comfortable multi-tasking while simultaneously paying very close attention to detail. You will also be highly organized and an excellent communicator. You like to follow process, almost to a fault.

If you are these things, and are passionate about sales support and can demonstrate how you've made the sales teams you've supported successful, we'd love to hear from you.

## Responsibilities

- Be the first point of contact to respond to/redirect the majority of non-technical inquiries via email
- Provide basic product information and more detailed information on the various subscriptions and services we offer
- Provide quotes, update licenses and account information or pass off the inquiry to Account Managers or Support Engineers
- Process sales orders, issue license keys, and manage a small sales pipeline of your own
- Work with our Controller on customer payments and other back-end finance related activities
- Support our Account Executives/Managers and Sales Development Representatives by assisting with the generation of proposals, and completing vendor forms and other documentation required by the prospect/customer.
- Follow up on prospect and customer inquiries sent to sales@ and contact@ and route to appropriate team.
- Support our SMB customers/prospects with purchasing and license issuance inquiries, account maintenance, renewals and upsells.
- Maintain data integrity within customer records in Salesforce.com and other systems. Serve as the primary administrator of our Salesforce instance and complete the usual tasks of which include field creation, layout modifications, and implementation of workflows and validation rules.
- Deliver basic reporting and analysis of KPIs in Salesforce and InsightSquared: bookings, pipeline/forecasting, churn, and other metrics
- Work with Sales Managers to increase forecast accuracy and integrity of pipeline
- Monitor system adoption and data compliance and governance
- Collaborate with other departments to improve integration between Salesforce and other mission-critical systems, including marketing automation, billing, engineering, and support
- Enrich our CRM with data from third-party sources.
- Contribute to documenting improvements in our [sales handbook](/handbook/sales/).
- Be the voice of the customer by contributing product ideas to our public [issue tracker](https://gitlab.com/gitlab-org/gitlab-ee/issues).

## Requirements

- Demonstrated progressive experience with B2B sales, preferably in a sales support/admin role. You should have a very solid understanding of the subscription business model.
- Interest in GitLab and open source software.
- Motivated, driven, and results oriented.
- Highly organized, with the ability to handle multiple tasks/deliverables at once.
- You're familiar enough with a spreadsheet application (Googlesheets preferably) enough to create a pivot table and nice looking charts. If you love VLOOKUPS, even better.
- Experience with Salesforce.com. You know how to create workflows and use Process Builder. Maybe you've done some APEX coding, but it's not required for this role.
- You've supported at least 50 Salesforce users at some point in your sales operations career. Bonus points if you've scaled to 200+ users.
- You've used (or at least are aware of) Marketo, Zuora, InsightSquared, DiscoverOrg, Zendesk, and LeanData.
- You share our [values](/handbook/#values), and work in accordance with those values.
- Ability to use GitLab

{{% job-families/sales/performance %}}

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process, and may be asked to interview additional team members. To learn more about someone who may be conducting the interview, find their job title on our team page.

- Selected candidates will be invited to schedule a screening call with our Global Recruiters
- Next, candidates will be invited to schedule an interview with the Director of Sales Operations
- The strongest candidates may be asked to schedule additional 45 minute interviews with our CRO
- Finally, candidates may interview with our CEO.
