---
title: " Sales Commissions"
---

Team Members of the Sales Commission's team manage GitLab's commissions programs globally.  These Team Members work cross-functionally and leverage systems for all related business processes.

## Levels

### Junior Sales Commissions Analyst

The Junior Sales Commissions Analyst is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Assist with worldwide commission calculations, reporting, and first-tier end user support
- Track and research compensation issues and provide analysis to facilitate timely resolution
- Thoroughly understand and execute calculations on all compensation plans to ensure accuracy
- Ensure commission plan participants are accurately credited for their transactions
- Competency with compensation analytics tools required to support Sales and Sales Operations
- Track and report on the status of plan acceptance to ensure compliance and timeliness
- Maintain a focus on process improvement by identifying opportunities for efficiency and implementing time/resource saving solutions
- Support SOX compliance, documentation, and reporting
- Prepare ad hoc analysis & participate on projects as needed

#### Requirements

- BA/BS degree in accounting, finance, economics or other quantitative fields preferred
- Demonstrated progressive relevant experience and an understanding of sales incentive programs, processes and procedures
- Analytical skills with the ability to interpret and analyze data
- A detail-oriented self starter with excellent problem solving, interpersonal and organizational skills
- Excellent written and verbal skills
- SFDC, Google Workspace and incentive compensation management tool experience
- SaaS and B2B experience preferred
- Interest in GitLab, and open source software
- You share our values, and work in accordance with those values
- [Leadership at GitLab](/handbook/company/structure/#management-group)
- Ability to use GitLab

### Intermediate Sales Commissions Analyst

#### Job Grade

The Intermediate Sales Commissions Analyst is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

- Assist with worldwide commission calculations, reporting, and first-tier end user support
- Track and research compensation issues and provide analysis to facilitate timely resolution
- Thoroughly understand and execute calculations on all compensation plans to ensure accuracy
- Ensure commission plan participants are accurately credited for their transactions
- Competency with compensation analytics tools required to support Sales and Sales Operations
- Track and report on the status of plan acceptance to ensure compliance and timeliness
- Maintain a focus on process improvement by identifying opportunities for efficiency and implementing time/resource saving solutions
- Support SOX compliance, documentation, and reporting
- Prepare ad hoc analysis & participate on projects as needed

#### Requirements

- BA/BS degree in accounting, finance, economics or other quantitative fields preferred
- Demonstrated progressive relevant experience and an understanding of sales incentive programs, processes and procedures
- Analytical skills with the ability to interpret and analyze data
- A detail-oriented self starter with excellent problem solving, interpersonal and organizational skills
- Excellent written and verbal skills
- SFDC, Google Workspace and incentive compensation management tool experience
- SaaS and B2B experience preferred
- Interest in GitLab, and open source software
- You share our values, and work in accordance with those values
- [Leadership at GitLab](/handbook/company/structure/#management-group)
- Ability to use GitLab

### Senior Sales Commissions Analyst

The Senior Sales Commissions Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Assist with worldwide commission calculations, reporting, and first-tier end user support
- Track and research compensation issues and provide analysis to facilitate timely resolution
- Thoroughly understand and execute calculations on all compensation plans to ensure accuracy
- Ensure commission plan participants are accurately credited for their transactions
- Competency with compensation analytics tools required to support Sales and Sales Operations
- Track and report on the status of plan acceptance to ensure compliance and timeliness
- Maintain a focus on process improvement by identifying opportunities for efficiency and implementing time/resource saving solutions
- Support SOX compliance, documentation, and reporting
- Prepare ad hoc analysis & participate on projects as needed

#### Requirements

- BA/BS degree in accounting, finance, economics or other quantitative fields preferred
- Demonstrated progressive relevant experience and an understanding of sales incentive programs, processes and procedures
- Analytical skills with the ability to interpret and analyze data
- A detail-oriented self starter with excellent problem solving, interpersonal and organizational skills
- Excellent written and verbal skills
- SFDC, Google Workspace and incentive compensation management tool experience
- SaaS and B2B experience preferred
- Interest in GitLab, and open source software
- You share our values, and work in accordance with those values
- [Leadership at GitLab](/handbook/company/structure/#management-group)
- Ability to use GitLab

### Senior Manager, Sales Commissions

#### Job Grade

The Senior Manager, Sales Commissions is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Own worldwide commissions calculations, reporting, policies and provide first-tier support for all end-user technical or commission inquiries. Includes sales, customer success, alliances, and market development.
- Partner with various functions such as Sales Operations, People Operations and Finance to establish best practices, as well as drive ongoing process refinement to improve the efficiency and accuracy of sales commissions methodology, calculations and reporting
- Provides high quality, timely responses to the CRO management team and communicates complex logic and analysis in a manner that is consumable
- Ownership of commissions systems process and infrastructure, along with project manage implementation of any changes
- Participate as a key member of the Sales Incentive team and provide guidance on global design, delivery of deployed plans, governance, controls, metrics and best practices
- Research compensation issues, disputes, appeals and provide analysis to facilitate resolution.
- Responsible for timely and accurate preparation of monthly accruals, deferrals, reconciliations and provide fluctuation analysis for commissions accounting
- Train new hires with variable compensation on plans and system
- Maintain data integrity within Xactly, Salesforce.com and other related systems
- Assist external audit firm on commission related matters for quarterly reviews and annual audits and ad hoc requests
- Ensure compliance with SOX for compensation documents, processes, programs and policies

#### Requirements

- BA/BS degree in accounting, finance, economics or other quantitative fields preferred
- Demonstrated progressive relevant experience and a solid understanding of sales incentive programs, processes and procedures
- Advanced analytical and modeling skills with the ability to interpret and analyze data
- Ability to partner, collaborate and influence across functional areas (e.g. Finance, People Operations and Sales) and support multiple business partners
- Excellent problem solving, project management, interpersonal and organizational skills
- Deep SFDC, Commission Tool expertise and knowledge of typical enterprise SaaS tools
- SaaS and B2B experience preferred
- Interest in GitLab, and open source software
- You share our values, and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#management-group)
- Ability to use GitLab

### Director, Sales Commissions

#### Job Grade

The Director, Sales Commissions is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Lead worldwide commissions calculations, reporting, policies and ensure first-tier support for all end-user technical or commission inquiries
- Build a best practice focused Sales Commissions team providing direction, mentorship and coaching
- Attract and retain team members by knowing each individual's capabilities and aspirations and investing in their growth
- Partner with various functions such as Sales Strategy, Sales Operations, Deal Desk, People Operations, Total Rewards, Legal, Sales Systems and Finance to establish best practices, as well as drive ongoing process refinement to improve the efficiency and accuracy of sales commissions methodology, calculations and reporting
- Provide routine, timely and accurate reporting and analysis on incentive compensation components, payments and other related items to the CRO and Finance leadership teams and communicates complex logic and analysis in a manner that is consumable
- Leverages analyses to drive appropriate actions (e.g., correction of errors, acceleration where seeing success)
- Recommend and influence iterations applicable to cross-functional team's practices impacting the Sales Commissions team which is dependent on various upstream and downstream data and demands to meet Commission deadlines with accurate and timely results
- Ownership of commissions systems process and infrastructure, along with overseeing project management of any changes and providing recommendations to drive operational efficiencies.
- Provides guidance and oversight to global design, delivery of deployed plans, governance, controls, metrics and best practices
- Co-lead Incentive Compensation Committee to review compensation issues, disputes, appeals and provide analysis and recommendations to facilitate resolution
- Oversees and reviews  reporting in both Xactly and Salesforce to ensure data integrity between the systems
- SME leader for  internal and external audit teams on commission related matters for all incoming requests
- Provide recommendations and ensure compliance for SOX controls related to Sales compensation documents, processes, programs and policies

#### Requirements

- 10+ years experience in sales commissions, preferably with Enterprise SaaS companies
- 7+ years people management experience
- BA/BS degree in accounting, finance, economics or other quantitative fields preferred
- Demonstrated progressive relevant experience and a solid understanding of sales incentive programs, processes and methodologies
- Advanced analytical and modeling skills with the ability to interpret and analyze data
- Ability to partner, collaborate and influence across functional areas and support multiple business partners
- Excellent problem solving, project management, interpersonal and organizational skills
- Deep SFDC, Xactly Incent expertise and knowledge of typical enterprise SaaS tools
- Interest in GitLab, and open source software
- You share our values, and work in accordance with those values
- [Leadership at GitLab](/handbook/company/team/structure/#management-group)
- Ability to use GitLab

## Hiring Process

Applicants for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30min [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 teammates
- There may be a final executive interview

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
