---
title: "Sales Operations Roles"
description: "The Sales Operations Job Family supports the Field Sales teams with various day to day activities such as SLA's, dashboards, reporting, and process improvements and efficiencies."
---

The Sales Operations Job Family supports the Field Sales teams with daily activities as they relate to sales processes, GTM policies, sales tools, data integrity, such as SLA's, dashboards, reporting, and process improvements and efficiencies. The Sales Operations Job Family works close with our Enterprise, Commercial and/or Customer Success segments.

## Sales Operations Analyst Levels

### Associate Sales Operations Analyst

The Associate Sales Operatios Analyst reports to the Manager, Sales Operations.

#### Job Grade

The Associate Sales Operations Analyst is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Associate Sales Operations Analyst Responsibilities

- Successfully accomplish responsibilities with clear direction and oversight from the direct manager.
- Timely responses to Salesforce Chatter requests in compliance with GTM Rules of Engagement.
- Assist with maintaining sales data integrity within Salesforce customer records.
- Assist with Access Requests to support onboarding/offboarding team members.
- Assist with month end close activities as they pertain to Salesforce data normalization.
- Assist with reporting to analyze data quality review to result in data cleanse motions.
- Assist with operational deployment of sales processes and initiatives.
- Collaborate with cross-functional operations teams to ensure compliance to standardized processes.
- Provide insights and recommendations for process improvements to the sales operations team.
- Monitor system adoption and data compliance with data governance policy.
- Maintain and evangelize communication best practices for sales and sales support functions.
- Respond to Sales Support slack channel to resolve questions and issues.

#### Associate Sales Operations Analyst Requirements

- Ability to continuously execute on deliverables and meet deadlines
- Strong written and verbal communication skills
- Basic knowledge and experience of the sales operations function
- Demonstrated ability to interpret GTM policies and concept application
- Strong analytical and prioritization skills
- Salesforce experience and knowledge of enterprise SaaS tools
- Strong problem solving, project management, interpersonal and organizational skills
- Ability to use GitLab
- Aligns with GitLab Values
- You share our values and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#management-group)
- Ability to use GitLab

### Sales Operations Analyst

The Sales Operations Analyst reports to the Manager, Sales Operation.

#### Job Grade

The Sales Operations Analyst is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Sales Operations Analyst Responsibilities

- Extends that of the Associate Sales Operations Analyst responsibilities.
- Successfully accomplishes responsibilities with minimal direction or oversight.
- Exhibits a strong understanding of the GTM policies and processes and concept application to support sales operational initiatives.
- Support cross-functional pre & post annual planning activities and deployment in Salesforce to support carving and hierarchy alignment.
- Continuously analyze, develop, and document sales operations policies and processes at scale.
- Problem-solve account and territory alignment questions & Salesforce cases.
- Support onboarding/offboarding of team members and AR requests for tools provisioning.
- Collaborate with the Sales Systems team for ongoing automation improvements.
- Create & leverage Salesforce dashboards to maintain data integrity.
- Support ad hoc reporting requests.

#### Sales Operations Analyst Requirements

- Extends that of the Associate Sales Operations Analyst requirements
- Proficient understanding of the entire sales operations function
- Demonstrated progressive experience in GTM policies and processes
- Demonstrated concept application
- Intermediate experience in strategic thinking
- Strong tactical experience and attention to detail
- Self-starter and effectively works with cross-functional teams
- Strong analytical and problem-solving skills
- Strong interpersonal skills
- Proficient with Salesforce and maintaining complex spreadsheets
- Strong understanding of the sales territory carving process and annual planning cycle

### Senior Sales Operations Analyst

#### Job Grade

The Senior Sales Operations Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Senior Sales Operations Analyst Responsibilities

- Extends that of the Sales Operations Analyst responsibilities.
- Proactively identify and lead sales process improvement initiatives.
- Manage sales tool vendor relationships and renewals determining future growth needs, utilization rates, evaluations and user access.
- Partner and lead cross-functional partnerships to align on sales tools and policies.
- Create and document sales processes and tools policies to drive standardization and increase adoption.
- Establish a cross-functional operational cadence to drive transparency, collaboration and alignment on GTM policies, processes and tools.
- Collaborate with Field Enablement to design enablement practices at scale and communicate updates to users.

#### Senior Sales Operations Analyst Requirements

- Extends that of the Sales Operations Analyst requirements
- Self-starter and works effectively with cross-functional teams
- Proficiency with sales tech stack
- Execute at a tactical level with minimal manager guidance

## Manager, Sales Operations Levels

### Manager, Sales Operations

The Manager, Sales Operations reports to the Director, Sales Operations.

#### Job Grade

The Manager, Sales Operations is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Manager, Sales Operations Responsibilities

- Manage and lead a team responsible for the sales operations policies and process supporting Field Sales.
- Conduct 1:1s with directs to review key deliverables and support eliminating any obstacles to complete the tasks
- Manage team performance and conduct talent assessments
- Develop and guide directs through documented professional development plans
- Effectively align and collaborate with cross-functional partners to support GTM initiatives.
- Implement sales tools and processes for the sales organization that focuses on improving efficiency, effectiveness, and productivity at scale
- Be the point of escalation for sales leadership as it relates to GTM policies, processes and sales tools.
- Provide first-tier support for any end-user technical or process questions in Salesforce and other systems primarily managed by Sales Operations
- Partner with Sales Strategy & Analytics to support annual planning activities for data integrity, carving, and deployment of hierarchies to align with fiscal year planning
- Collaborate with Marketing to ensure proper lead management processes, metrics, and policies
- Perform continuous reviews of sales policies and processes to drive standardization
- Provide feedback to maintain data integrity within customer records in Salesforce.com and other systems
- Monitor system adoption and data compliance and governance

#### Manager, Sales Operations Requirements

- Progressive and demonstrated relevant experience with all facets of sales operations.
- Ability to work collaboratively and foster strong cross-functional partnerships.
- Ability to manage and prioritize multiple projects and adapt to a changing, fast-paced environment.
- Ability to delegate initiatives and drive results through team performance.
- Proven and relevant management experience in a fast paced Sales Operations organization.
- Demonstrated management skill and ability to oversee a team.
- Possess exemplary interpersonal skills including influencing, negotiations and teamwork.
- Strong analytical and problem-solving capabilities.
- SaaS and B2B experience preferred
- Interest in GitLab, and open source software
- You share our values and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#management-group)

### Senior Manager, Sales Operations

The Senior Manager, Sales Operations reports to the Director, Sales Operations.

#### Senior Manager, Sales Operations Job Grade

The Senior Manager, Sales Operations is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Senior Manager, Sales Operations Responsibilities

- Extends that of the Manager, Sales Operations Responsibilities.
- Partners with sales leadership to support operationalizing Go-To-Market sales initiatives.
- Leads the operational deployment of Fiscal Year Planning through the orchestration and partnership of cross-functional partners.
- Leads the iteration of the Go-To-Market policies and processes through automation and best practices.
- Contributes to the evaluation, selection, implementation and integration of Sales Tool stack.

#### Senior Manager, Sales Operations Requirements

- Extends that of the Manager, Sales Operations requirements.
- Proven strategic thought leader with the ability to influence and drive informed decision-making.
- Demonstrated experience in Go-To-Market motions and how sales operations supports the execution of those initiatives.
- Demonstrated experience in employee professional development.

## Director, Sales Operations Levels

### Director, Sales Operations

The Director, Sales Operations reports to the Sr. Director, Sales Operations.

#### Director, Sales Operations Job Grade

The Director, Sales Operations is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Director, Sales Operations Responsibilities

- Partner with the VP Field Ops and sales leadership on all issues and challenges impacting the success of the sales team
- Lead, manage and evaluate the sales tools, processes, policies, and programs to ensure continuous productivity and effectiveness
- Partner with the Sales Strategy, Finance, and HR to design, document, implement and monitor sales compensation plans
- Improve and manage the [Sales Handbook](/handbook/sales/)
- Create board-level presentations for the Chief Revenue Officer
- Collaborate with regional sales leaders and teams to develop and execute sales management disciplines and processes (territory assignment & reviews, weekly/quarterly forecast, QBRs, pipeline analysis and development, account planning, account assignments, quota/budget allocation)
- Partner with cross-functional operations leaders to align on sales policies and processes.
- Lead and manage the data governance model to drive sales data integrity.

#### Director, Sales Operations Requirements

- Demonstrated progressive experience in a global B2B SaaS sales or sales operations environment
- Ability to work independently with a high degree of accountability, while also able to collaborate cross-functionally (finance, marketing, sales enablement, etc) with exceptional intrapersonal skills
- Demonstrated passion for information and business intelligence; thorough understanding of sales processes and methodologies
- Demonstrated progressive experience in Salesforce.com
- Analytical and detail-oriented, strong project management skills with a drive for results
- Exceptional written/verbal communication and presentation skills
- Proven ability to thrive in a fluid, fast-paced, unpredictable environment
- Interest in GitLab, and open source software
- Unquestionable ethics, integrity and business judgment; you share our values, and work in accordance with those values
- You share our [values](/handbook/values/), and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#director-group)

#### Specialties

- Ability to manage customer facing Rules of Engagement disputes, both internal to GitLab as well as through external partnerships
- Experience in managing cross-deparmental projects to specific timelines

##### Sales Tools Responsibilities

Focus on the development and execution of the global sales tools strategy and policy that drives standardization in tool utilization and optimization across the sales process continuum that contributes to Field Sales productivity and efficiency.

##### Account and Territory Operations Responsibilities

Focus on centralizing and implementing the Account and Territory operations function to support the pre and post annual planning cycle. Create and manage Enterprise Territory Management (ETM) tool rules to support Salesforce hierarchy alignment to the annual planning model.

##### GTM Planning, Policy and Process Responsibilities

Focus on leading the operational deployment of the Fiscal Year Planning through cross-functional engagement and orchestration of milestone deliverables. Lead and manage the iteration of the Go-To-Market policies and processes through automation and best practices.

##### Data Quality and Governance Responsibilities

Focus on creating the Sales Data Governance policies to result in continuous data cleansing, enrichment and augmentation that results in increased data accuracy and confidence. Manage sales data cleansing to support pre and post Fiscal Year Planning.

### Senior Director, Sales Operations

The Senior Director, Sales Operations reports to the [VP, Field Operations](/job-families/sales/vp-of-field-operations/).

#### Senior Director, Sales Operations Job Grade

The Senior Director, Sales Operations is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades)

#### Senior Director, Sales Operations Responsibilities

- Develop and execute a Global Sales Operations by collaborating with Sales Leadership and GTM teams including driving key initiatives
- Develop and optimize sales processes and programs as it relates to Quote-to-Cash, Deal Desk, Forecasting and supporting Field Business Units
- Develop an operational cadence for Sales Operations
- Proactively monitor and maintain high levels of quality, accuracy, and process consistency across the Field organization
- Develop strategies to optimize SFDC, other SaaS tools and data across all business units
- Develops key performance metrics, dashboards, and reports that help the sales organization focus on performance drivers and results
- Collaborate with Marketing to ensure proper lead management processes, metrics, and policies
- Partner and implement knowledge management strategies to continuously increase product knowledge across all GTM teams
- Be a trusted advisor to Sales Leadership

#### Senior Director, Sales Operations Requirements

- Demonstrated progressive relevant experience in a software business and sales operations capacity
- Excellent quantitative analytical skills, creativity in problem-solving, empowering teams and a keen business sense
- Ability to think strategically, but also have exceptional attention to detail to drive program management, execution and results
- Demonstrated ability to influence and foster collaborative relationships with cross-functional GTM departments
- Excellent problem solving, project management, interpersonal and organizational skills
- Deep SFDC expertise and expert knowledge of enterprise sales tools
- Ability to coach, motivate, performance manage and recruit Sales Operations teams
- Interest in GitLab, and open source software
- You share our [values](/handbook/values/) and work in accordance with those values
- [Leadership at GitLab](/handbook/company/structure/#director-group)

## Specialties

### Channel

#### Sales Operations Analyst (Channel) Responsibilities

- Support the channel sales team on Tier 1 issues including SFDC account management, opportunity assistance, and portal account creations
- Document and create knowledge repository for first-tier channel ops support
- Create and implement reporting and dashboards for the channel organization that focuses on improving efficiency, effectiveness, and productivity
- Support ad hoc reporting requests to support projects and company OKR's
- Manage the operational aspect of newly created partner accounts and assignments/reassignments
- Assist in monthly comp reporting and clean up
- Identify opportunities for process automation and optimization, with a focus on scalability and driving significant growth
- Collaborate with Programs team to ensure notifications and reporting are in place for program compliance
- Maintain data integrity within customer records in Salesforce.com and other systems
- Monitor system adoption and data compliance and governance

#### Sales Operations Analyst (Channel) Requirements

- Demonstrated progressive relevant experience and an understanding of sales and or channel operations

#### Manager, Sales Operations (Channel)

- Extends that of the Manager, Sales Operations
- Demonstrated progressive experience in Sales Operations specific to Channel

#### Senior Channel Operations Manager Responsibilities

- Extends that of the Senior Manager, Sales Operations Responsibilities
- Develop, manage, and improve operational processes for the channel (Distributor, Reseller, MSP, GSI) sales organization
- Provide operational support and enablement to sales, partners, and cross-functional teams for channel related inquiries (e.g., opportunities, quotes and orders, reporting/dashboards)
- Work directly with sales and partners to identify operational pain points, then design and implement scalable solutions
- Collaborate with Partner Programs team to operationalize program changes and ensure compliance with requirements
- Manage relationships with our global distributors and collaborate to develop scalable QTC processes for two-tier opportunities
- Lead cross-functional projects from end-to-end including project identification, documentation, coordination, and successful execution and post-launch management
- Implement tools and processes for the sales organization that improve efficiency, effectiveness, and productivity
- Identify opportunities for process automation and optimization, with a focus on scalability and driving significant growth
- Build and deliver ad hoc reporting to support projects and company OKRs
- Create and implement reporting and dashboards for the channel organization that improve efficiency, effectiveness, and productivity

#### Senior Channel Operations Manager Requirements

- Extends that of the Senior Manager, Sales Operations Requirements
- Demonstrated progressive channel experience and understanding of channel operations
- Experience working directly with sales/channel sales teams and partners
- Excellent problem solving, project management, interpersonal and organizational skills
- Strong analytical ability and able to prioritize multiple projects
- Excellent written/verbal communication
- Proven ability to thrive in a fluid, fast-paced environment
- Deep SFDC expertise and knowledge of channel management systems (e.g., Partner Portal) and enterprise SaaS tools
- Experience with QTC process, tools, and automation
- Interest in GitLab, and open source software
- You share our [values](/handbook/values/) and work in accordance with those values

#### Director, Sales Operations (Channel) Responsibilities

- Extends that of the Director, Sales Operations Responsibilities
- Build and optimize a company-wide reseller channel process in collaboration with the sales team and broader GitLab organization
- Develop methods, processes, systems and tools to appropriately support our channel efforts within our segmentation models: enterprise, mid-market and SMB
- Drive cross-functional programs and initiatives to support scaling of the business and integrate the channel processes with teams throughout GitLab (e.g., sales, marketing, product)
- Manage all channel incentive programs and ensure adherence to policies
- Assist in the development and rollout of channel enablement practices to improve our reseller's effectiveness and efficiency and provide increased channel insights through data, automation, and product analytics
- Create and coordinate key reporting for GitLab leadership team, partnering with the Customer Success analyst to provide reporting on customer adoption, sentiment and advocacy and business results (i.e., forecasts, renew, expand, churn)
- Act as liaison to channel enablement to drive training and enablement priorities, content and methods

#### Director, Sales Operations (Channel) Requirements

- Extends that of the Director, Sales Operations Requirements
- Demonstrated progressive channel experience
- Demonstrated progressive experience in program management and/or operations
- Experience with channel management systems (e.g., Salesforce, Partner Portals)

#### Senior Director, Sales Operations (Channel) Responsibilities

- Extends that of the Director, Sales Operations (Channel) Responsibilities
- Drive recruiting of a world-class team at all levels
- Motivate and communicate across multiple levels of their department
- Ensure the handbook is used and relevant references are maintained in a transparent way
- Develop strategies and new initiatives with their team to advance on an organizational and technical level both the department, the company and the product
- Have successful peer partnerships with other department leaders in Marketing, Product, Finance, etc…
- Partner with cross-functional teams to drive analytical insights across the GTM Motion and escalate relevant discussion topics
- Support Channel and Alliance strategic initiatives and partner with relevant GTM teams
- Development, measurement, and management of key metrics for group's performance
- Drive high throughput and all connected key metrics on a strategic level

### Alliances

#### Manager, Sales Operations (Alliances)

- Extends that of the Manager, Sales Operations
- Demonstrated progressive relevant experience and an understanding of sales and or channel operations
- Be the main point of contact for the Alliance Team on any operational support they may need. This can include process design and documentation, reporting support, and QTC assistance
- Assist in implementing tools and processes for both internal sales and the alliance team that focuses on improving efficiency, effectiveness, and productivity
- Document and create knowledge repository of rules of engagement and policies
- Work with cross functional teams/counterparts at Alliance Partners to support new initiatives
- Help to ensure Alliance business is being included and properly reflected in forecasting and reporting

#### Alliance Operations, Program Specialist

- Demonstrable experience building and/or managing programs, preferably with Channel or Alliance teams
- Strong program management background and ability to break complex tasks into discrete steps for effective project management and execution
- Strategic thinking skills combined with a strong ability to execute and deliver results
- Experience growing within a start-up; strong ability to interact and influence effectively with senior executives, managers, and team members
- Exceptional written/verbal communication and presentation skills
- Team player with strong interpersonal and cross-functional collaboration skills
- Ability to thrive in a fast-paced, unpredictable environment
- Share and work in accordance with [GitLab's values](/handbook/values/)
- Prior experience as well as knowledge and familiarity with the Software Development Life Cycle, DevOps, open source software, and SaaS not required but considered a plus

### Partner Operations Project Manager

- Extends that of the Manager, Sales Operations
- Demonstrated progressive relevant experience and an understanding of sales and or channel operations
- Must have experience with QTC process, tools, and automation (API's)
- Partner Portal experience preferred
- Responsible for managing all active Partner Operations team projects and system enhancements for Channels, Alliances, and OEM's
- Take lead in documenting the requirements and process to improve efficiencies for the sales systems team so they can build and implement new features
- Ensure the current processes accurately reflect and support the published Partner Program
- Assist in implementing new tools and/or applications that focuses on improving efficiency, effectiveness, and productivity
- Including automation with QTC with Partners
- Own data integrity for Partner business and manage the ROE
- Can include data loads in SFDC, reporting, and comp validation

## Performance Indicators

- IACV vs. plan > 1
- IACV efficiency > 1.0
- Win rate > 30%
- Churn & customer retention metrics

## Career Ladder

The next step in the Sales Operations job family is not yet defined at GitLab.

## Hiring Process

Applicants for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30min [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 teammates
- There may be a final executive interview for any IC role, there will be an executive interview for any Manager level role.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
