---
title: "Customer Success Strategy Job Family"
---

The Customer Success Strategy job family partners with our global customer engagement teams to drive and influence business improvements and bolster customer-centric decision-making across the business. You will play a pivotal role in driving customer satisfaction and loyalty by analyzing insights and feedback, identifying areas for improvement, and partnering with cross-functional teams to develop and implement strategies that enhance the overall customer experience.

## Customer Success Strategy Analyst

### Job Grade

The Customer Success Strategy Analyst is a grade 6 (/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Conduct thorough analyses for specific projects to support strategic decision-making.
- Work closely with strategists to develop and deliver data models and views that inform Customer Success strategies.
- Manage relationships with stakeholders at various levels within the business, acting on strategic direction and providing critical feedback.
- Influence the achievement of team goals by contributing feedback and developing templates for repeatable work, fostering a culture of continuous improvement.
- Gain exposure to business models, including P&L responsibilities and common delivery models for go-to-market (GTM) teams.
- Understand and apply industry-standard metrics for GTM teams, ensuring alignment with best practices.
- Utilize common operating and delivery activity measures to drive performance improvements.
- Engage with data lake and data mapping initiatives, ensuring data integrity and accessibility.
- Leverage Gainsight for customer success management, focusing on quality controls and proactive customer engagement.
- Continuously grow knowledge of business concepts and functional subject matters to identify and implement effective solutions.

### Requirements

- Experience in an analytical role, preferably within Customer Success, Sales Strategy, or a similar function.
- Education: Bachelor's degree in Business, Economics, Statistics, Computer Science, or a related field.
- Proficiency in data analysis tools such as Excel, SQL, and business intelligence tools (e.g., Tableau, Looker). Experience with CRM systems (e.g., Salesforce) and customer success platforms (e.g., Gainsight) is a plus.
- Strong analytical and problem-solving skills with the ability to interpret complex data and translate it into actionable insights.
- Excellent written and verbal communication skills, with the ability to present complex information clearly and concisely to stakeholders at all levels.
- Proven ability to manage multiple projects simultaneously and deliver high-quality results in a fast-paced environment.
- Understanding of customer success principles and a customer-centric approach to strategy development.

## Senior Customer Success Strategy Analyst

### Job Grade

The Senior Customer Success Strategy Analyst is a grade 7 (/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Deliver data views that are mapped to current and future business needs, ensuring alignment with strategic objectives.
- Own the delivery of well-defined strategic projects, from scope definition to execution and iterative improvements.
- Provide input on strategic decisions within your area of focus and support delivery teams in implementing these strategies.
- Collaborate with senior stakeholders across the business to define clear data needs and refine project scopes.
- Influence the development and testing of best practices within the team.
- Adopt a flexible approach to driving insights and analyzing business questions and challenges, utilizing multi-faceted delivery capabilities related to data systems and visualization.
- Leverage strong business acumen related to go-to-market (GTM) teams and strategies to inform data-driven decision-making.
- Understand and work on complex problems requiring deep understanding of multiple data sources to make informed recommendations.

### Requirements

- Progressive experience in an analytical role, preferably within Customer Success, Sales Strategy, or a similar function.
- Proficiency in data analysis tools such as Excel, SQL, and business intelligence tools (e.g., Tableau, Looker). Experience with CRM systems (e.g., Salesforce) and customer success platforms (e.g., Gainsight) is a plus.
- Strong analytical and problem-solving skills with the ability to interpret complex data and translate it into actionable insights.
- Excellent written and verbal communication skills, with the ability to present complex information clearly and concisely to stakeholders at all levels.
- Proven ability to manage multiple projects simultaneously and deliver high-quality results in a fast-paced environment.
- Deep understanding of customer success principles and a customer-centric approach to strategy development.

## Customer Success Strategy Manager

### Job Grade

The Customer Success Strategy Manager is a grade 8 (/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Develop and design business models that align with the company's strategic objectives and customer success goals.
- Conduct thorough analyses of proposed changes and their potential impacts on the business and customer success operations.
- Lead the design and execution of experiments to test new strategies, processes, and metrics, ensuring robust and actionable results.
- Develop and implement key performance indicators (KPIs) and metrics that accurately measure the effectiveness of customer success initiatives.
- Provide data-driven insights based on a deep understanding of the business area, contributing to the overall strategic direction across teams.
- Exercise independent judgment in developing methods, techniques, and evaluation criteria for obtaining results.
- Lead by example, sharing solutions and problem-solving approaches with team members and other stakeholders.
- Develop and manage team strategies and outcome/metric programs, ensuring alignment with overall business goals.
- Collaborate with the team and other stakeholders within the department to maintain a high bar for quality in a fast-paced, iterative environment.

### Requirements

- Demonstrated progressive experience in a strategic role, preferably within Customer Success, Sales Strategy, or a similar function.
- Proficiency in data analysis tools such as Excel, SQL, and business intelligence tools (e.g., Tableau, Looker). Experience with CRM systems (e.g., Salesforce) and customer success platforms (e.g., Gainsight) is a plus.
- Strong analytical and problem-solving skills with the ability to interpret complex data and translate it into actionable insights.
- Excellent written and verbal communication skills, with the ability to present complex information clearly and concisely to stakeholders at all levels.
- Proven ability to manage multiple projects simultaneously and deliver high-quality results in a fast-paced environment.
- Demonstrated ability to lead teams and collaborate effectively with cross-functional stakeholders.
- Deep understanding of customer success principles and a customer-centric approach to strategy development.

## Manager, Customer Success Strategy

### Job Grade

The Manager, Customer Success Strategy is a grade 8 (/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Guide and manage the day to day responsibilities of all members of team.
- Set direction and vision for the team while being accountable for overall team resulsts.
- Develop and design business models that align with the company's strategic objectives and customer success goals.
- Conduct thorough analyses of proposed changes and their potential impacts on the business and customer success operations.
- Lead the design and execution of experiments to test new strategies, processes, and metrics, ensuring robust and actionable results.
- Develop and implement key performance indicators (KPIs) and metrics that accurately measure the effectiveness of customer success initiatives.
- Provide data-driven insights based on a deep understanding of the business area, contributing to the overall strategic direction across teams.
- Exercise independent judgment in developing methods, techniques, and evaluation criteria for obtaining results.
- Lead by example, sharing solutions and problem-solving approaches with team members and other stakeholders.
- Develop and manage team strategies and outcome/metric programs, ensuring alignment with overall business goals.
- Collaborate with the team and other stakeholders within the department to maintain a high bar for quality in a fast-paced, iterative environment.

### Requirements

- Demonstrated progressive experience in a strategic role, preferably within Customer Success, Sales Strategy, or a similar function.
- Proficiency in data analysis tools such as Excel, SQL, and business intelligence tools (e.g., Tableau, Looker). Experience with CRM systems (e.g., Salesforce) and customer success platforms (e.g., Gainsight) is a plus.
- Strong analytical and problem-solving skills with the ability to interpret complex data and translate it into actionable insights.
- Excellent written and verbal communication skills, with the ability to present complex information clearly and concisely to stakeholders at all levels.
- Proven ability to manage multiple projects simultaneously and deliver high-quality results in a fast-paced environment.
- Demonstrated ability to lead teams and collaborate effectively with cross-functional stakeholders.
- Deep understanding of customer success principles and a customer-centric approach to strategy development.

## Senior Manager, Customer Success Strategy

### Job Grade

The Senior Manager, Customer Success Strategy is a grade 9 (/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Develop and articulate the strategic vision for field-wide initiatives, ensuring alignment with GitLab’s overarching goals.
- Drive strategic alignment across the field leadership teams for major efforts, fostering cohesive decision-making.
- Serve as a thought partner for the business, addressing complex issues and change management with innovative solutions.
- Play a central role in technical, business, and organizational contributions that significantly impact GTM outcomes at GitLab.
- Address significant and unique issues requiring complex analysis, conceptual thinking, and understanding of interconnected challenges, dependencies, risks, and business implications.
- Be a strategic leader within the organization, collaborating across several teams to help members make informed decisions aligned with strategic plans.

### Requirements

- Progressive experience in a strategic role, preferably within Customer Success, Sales Strategy, or a similar function.
- Bachelor's degree in Business, Economics, Statistics, Computer Science, or a related field. An MBA or other advanced degree is a plus.
- Proficiency in data analysis tools such as Excel, SQL, and business intelligence tools (e.g., Tableau, Looker). Experience with CRM systems (e.g., Salesforce) and customer success platforms (e.g., Gainsight) is a plus.
- Excellent written and verbal communication skills, with the ability to present complex information clearly and concisely to stakeholders at all levels.
- Strong analytical and problem-solving skills with the ability to interpret complex data and translate it into actionable insights.
- Demonstrated ability to hire, retain, coach and lead high performing teams
- Excellent collaboration skills with proven ability to effectively communicate and partner with cross-functional stakeholders.
- Proven ability to manage multiple projects simultaneously and deliver high-quality results in a fast-paced environment.
- Deep understanding of customer success principles and a customer-centric approach to strategy development.
