---
title: Quote to Cash
---

## Levels

### Senior Manager, Quote to Cash

The Senior Manager, Quote to Cash reports to the Senior Director, Sales Operations

#### Senior Manager, Quote to Cash Job Grade

The Senior Manager, Quote to Cash is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Quote to Cash Responsibilities

- Serve as primary program manager for many Quote to Cash projects
- Serve in an advisory role to the Deal Desk & Sales Operations teams across GitLab
- Partner with our enablement team to ramp our sales team on new and existing processes related to Quote to Cash
- Serve as principal Q2C representative with our Sales Systems & Product teams to prioritize & iterate on our systems & data
- Define and deliver analytics on Q2C success metrics from sources across departments
- Quote velocity metrics
- Quote to Cash operational metrics - i.e. quote and opportunity approval volume and trends
- Automation efficiency metrics (e.g. % of quotes requiring manual intervention)
- Pricing & packaging trends

#### Senior Manager, Quote to Cash Requirements

- Demonstrated proficiency in Deal Desk/Quoting Operations
- Strong knowledge of CPQ best practices and industry trends
- Thorough understanding of financial & legal bookings requirements
- Strong collaboration and communication skills, frequent executive level presentations
- Strong problem solving skills
- Familiarity with Zuora CPQ, SFDC & GitLab a plus
- Strong quantitative skills and highly proficient in gSuite, Salesforce.com, Zuora or similar CPQ tools
- Interest in GitLab, and open source software, ability to use GitLab
- You share our values, and work in accordance with those values
- Ability to use GitLab
- Aligns with GitLab [Values](/handbook/values/)

#### Performance Indicators

- As with all roles in the Sales Department the Senior Manager, Quote to Cash participates in the Sales KPIs <https://about.gitlab.com/company/kpis/#sales-kpis>
- Overall Quote to Cash Performance Indicators across multiple departments
- -Deal Desk SLAs
  - Billing SLAs
  - Licensing performance indicators (success rate, delivery time)
  - Customer support tickets related to licensing/purchasing
- Internal customer & Buyer satisfaction
  - Field sales Satisfaction
  - Efficiency in resolving issues
  - Transparency in addressing ongoing problems, SLAs, and field expectations

#### Career Ladder

The next step for the Senior Manager, Quote to Cash is the Director, Quote to Cash.

### Director, Quote to Cash

The Director, Quote to Cash reports to the Senior Director, Sales Operations

#### Director, Quote to Cash Job Grade

The Director, Quote to Cash is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Quote to Cash Responsibilities

In addition to the responsibilities of the Senior Manager, Quote to Cash below, the Director, Quote to Cash is responsible for:

- Serve as primary Program manager for Quote to Cash, partnering with Finance, Product, Sales (including online sales) & Revenue Operations
- Serve as lead of Buyer Experience Group
- Partner with Senior leadership to define the future state of Quote to Cash
- Own the creation and iteration of:
  - Current state process workflow documentation
  - GitLab's holistic Quote to Cash roadmap including current and future toolsets
  - Milestone-based roadmap of releases to the field
- Define and document best in class Q2C processes to support our internal and external customers
- Serve in an advisory role to the Deal Desk & Sales Operations teams across GitLab
- Partner with our enablement team to ramp our sales team on new and existing processes related to Quote to Cash
- Serve as principal with our Sales Systems & Product teams to prioritize & iterate on our systems & data
- Define and deliver analytics on Q2C success metrics from sources across departments
- Quote velocity metrics
- Quote to Cash operational metrics - i.e. quote and opportunity approval volume and trends
- Automation efficiency metrics (e.g. % of quotes requiring manual intervention)
- Pricing & packaging trends

#### Director, Quote to Cash Requirements

- Demonstrated proficiency in Deal Desk/Quoting Operations
- Strong knowledge of CPQ best practices and industry trends
- Thorough understanding of financial & legal bookings requirements
- Strong collaboration and communication skills, frequent executive level presentations
- Strong problem solving skills
- Familiarity with Zuora CPQ, SFDC & GitLab a plus
- Strong quantitative skills and highly proficient in gSuite, Salesforce.com, Zuora or similar CPQ tools
- Interest in GitLab, and open source software, ability to use GitLab
- You share our values, and work in accordance with those values
- Ability to use GitLab
- Aligns with GitLab [Values](/handbook/values/)

#### Performance Indicators

- As with all roles in the Sales Department the Director, Quote to Cash participates in the Sales KPIs <https://about.gitlab.com/company/kpis/#sales-kpis>
- Overall Quote to Cash Performance Indicators across multiple departments
- -Deal Desk SLAs
- -Billing SLAs
- -Licensing performance indicators (success rate, delivery time)
- -Customer support tickets related to licensing/purchasing
- Internal customer & Buyer satisfaction
- -Field sales Satisfaction
- -Efficiency in resolving issues
- -Transparency in addressing ongoing problems, SLAs, and field expectations

#### Career Ladder

The next steps for the Director, Quote to Cash job family has not yet been defined.

## Hiring Process

Applicants for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30min [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, qualified candidates will be invited to schedule a first interview with the Hiring Manager
- Next, qualified candidates will be invited to interview with 2-5 team members
- There may be a final executive interview for qualified candidates

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
