---
title: Ecosystems Operations
---

## Levels

### Ecosystems Specialist

The Ecosystems Specialist reports to the Manager, Global Ecosystems Specialists

#### Ecosystems Specialist Job Grade

The Ecosystems Specialist is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Ecosystems Specialist Responsibilities

- Develop, manage, and continuously improve critical partner processes including partner onboarding, deal registration, NFR licensing, rebates, and certifications
- Provide daily operational support and enablement to sales, partners, and cross-functional teams for all partner related inquiries (e.g., accounts, deal registrations, opportunities, quotes and orders, post-sales support, program compliance, reporting/dashboards)
- Identify and deliver business, forecast, and reporting updates on weekly partner team calls to increase pipeline and deal velocity
- Build and manage relationships with our global distributors and collaborate to develop scalable QTC processes for two-tier opportunities
- Collaborate with Programs team to ensure notifications and reporting are in place for program compliance
- Create and implement reporting and dashboards for the partner organization that focus on driving revenue and improving efficiency, effectiveness, and productivity
- Deliver ad hoc reporting requests to support projects and company OKRs
- Identify opportunities for process automation and optimization, with a focus on scalability and driving significant growth
- Document processes and best practices to enable our Sellers, Partners, Partner Operations team members, and other cross-functional GitLab teams

#### Ecosystems Specialist Requirements

- Demonstrated progressive relevant experience and understanding of partner operations
- Experience working directly with sales/partner sales teams and partners
- Excellent problem solving, project management, interpersonal and organizational skills
- Strong analytical ability and able to prioritize multiple projects
- Excellent written/verbal communication
- Proven ability to thrive in a fluid, fast-paced environment
- SFDC experience and knowledge of partner management systems (e.g., Partner Portal) and enterprise SaaS tools
- Experience with QTC process, tools, and automation
- Interest in GitLab, and open source software
- Shares GitLab's [values](/handbook/values/) and works in accordance with those values

### Senior Ecosystems Specialist

The Senior Ecosystems Specialist reports to the Manager, Global Partner Specialists

#### Senior Ecosystems Specialist Job Grade

The Senior Ecosystems Specialist is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Ecosystems Specialist Responsibilities

- Extends that of the Ecosystems Specialist Responsibilities
- Demonstrates a deeper understanding of GitLab partner programs and operations to handle more complex requests and escalations
- Collaborates with managers across departments to create and iterate on operational processes and larger projects related to the Partner Specialist team
- SME on all partner processes that provides enablement and mentorship to other Partner Specialists

#### Senior Ecosystems Specialist Requirements

- Extends that of the Ecosystems Specialist Requirements
- Demonstrated progressive relevant experience and understanding of partner operations
- Experience working directly with sales/partner sales teams and partners
- Excellent problem solving, project management, interpersonal and organizational skills
- Strong analytical ability and able to prioritize multiple projects
- Excellent written/verbal communication
- Proven ability to thrive in a fluid, fast-paced environment
- SFDC experience and knowledge of partner management systems (e.g., Partner Portal) and enterprise SaaS tools
- Experience with QTC process, tools, and automation
- Interest in GitLab, and open source software
- Shares GitLab's [values](/handbook/values/) and works in accordance with those values

### Senior Ecosystems Operations Analyst

The Senior Ecosystems Operations Analyst reports to the Senior Manager, Partner Operations

#### Senior Ecosystems Operations Analyst Job Grade

The Senior Ecosystems Operations Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Ecosystems Operations Analyst Responsibilities

- Identify opportunities for system and process automation and optimization, and lead projects with a focus on efficiency, effectiveness, scalability and growth
- Translate GitLab's Ecosystems GTM strategy into technical solutions that automate QTC, territory coverage, reporting models, and compensation
- Collaborate with Salesforce administrators and developers to influence and enhance CRM functionalities to meet partner data management and attribution needs
- Work cross-functionally to improve the integration between Salesforce and other mission-critical systems, including Impartner, Vartopia, and Zuora
- Create and implement reporting and dashboards for the Partner organization that focuses on improving efficiency, effectiveness, and productivity
- Assist in monthly compensation reporting, automation and close
- Maintain partner data integrity in Salesforce and other systems
- Support the partner sales team on escalations including SFDC account management, opportunity assistance, and ad hoc support
- Build and deliver ad hoc solutions to support projects and company OKRs

#### Senior Ecosystems Operations Analyst Requirements

- Demonstrated progressive relevant experience and understanding of partner operations
- Experience working directly with sales/partner sales teams and partners
- Excellent problem solving, project management, interpersonal and organizational skills
- Strong analytical ability and able to prioritize multiple projects
- Excellent written/verbal communication
- Proven ability to thrive in a fluid, fast-paced environment
- Deep knowledge of SFDC and experience with partner management systems (e.g., Impartner, Zuora, Vartopia) and SaaS tools (e.g., Tableau, Snowflake)
- Experience with QTC process, tools, workflow design and automation
- Strong knowledge of Microsoft Excel or Google Sheets with exposure to VBA/Script Editor and querying
- Strong ability to translate business needs into technical requirements
- Interest in GitLab, and open source software
- Shares GitLab's [values](/handbook/values/) and works in accordance with those values

### Manager, Global Ecosystems Specialists

The Manager, Global Ecosystems Specialists reports to the Director, Partner Operations

#### Manager, Global Ecosystems Specialists Job Grade

The Manager, Global Ecosystems Specialists is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Global Ecosystems Specialists Responsibilities

- Develop and lead a team of partner SMEs across the business in driving critical partner processes and providing daily operational support and enablement to sales, partners, and cross-functional teams for all partner related inquiries
- Manage Ecosystems Specialist team performance and professional development
- Coach Ecosystems Specialists to establish strong partnerships with the teams and partners they support
Be the point of escalation for sales and partner leadership on partner related inquiries
- Identify opportunities to implement or improve tools and automate processes that focus on increasing efficiency, effectiveness, productivity, and scalability
- Work with other departments to recommend improvements to the integration between Salesforce and other mission-critical systems, including Impartner, Vartopia, and Zuora
- Collaborate cross-functionally to roll out partner program updates, system enhancements, process improvements and enablement programs

#### Manager, Global Ecosystems Specialists Requirements

- Demonstrated progressive relevant experience and understanding of partner operations
- Experience managing individual contributor performance to lead a successful team
- Ability to delegate initiatives and drive results through team performance
- Experience working directly with sales/partner sales teams and partners
- Excellent problem solving, project management, interpersonal, and organizational skills
- Strong analytical ability and able to prioritize multiple projects
- Excellent written/verbal communication
- Proven ability to thrive in a fluid, fast-paced environment
- SFDC experience and knowledge of partner management systems (e.g., Partner Portal) and enterprise SaaS tools
- Experience with QTC process, tools, and automation
- Interest in GitLab, and open source software
- Shares GitLab's [values](/handbook/values/) and works in accordance with those values

### Ecosystems Operations Manager

The Ecosystems Operations Manager reports to the Director, Ecosystems Operations

#### Ecosystems Operations Manager Job Grade

The Ecysostems Operations Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Ecosystems Operations Manager Responsibilities

- Own and drive long-term and high impact strategic projects across the global ecosystems business including project identification and scoping, stakeholder alignment and management, build, rollout, and execution
- Contribute to cross-functional company projects as the voice of our partners and partner teams
- Assess existing partner processes, identify opportunities to redesign for efficiency and scalability, and successfully drive projects to deliver these improvements
- Engage with Product, Marketing, Finance, and Enablement teams on GitLab revenue plays and special projects to ensure partner requirements are included in initial scoping and design to drive successful partner outcomes
- Help build and operationalize our automated partner order processes as a key team member on our partner marketplace initiatives (Hyperscaler, Distributor, and Reseller marketplaces)
- Drive partner portal enhancements and initiatives in collaboration with the Partner Programs and Specialist teams
- Assist in designing, maintaining, and delivering on the roadmap for partner operations initiatives
- Build and deliver ad hoc reporting to support projects and company OKRs

#### Ecosystems Operations Manager Requirements

- Demonstrated progressive experience and understanding of partner operations and programs
- Excellent problem solving, project management, interpersonal, and organizational skills
- Proven ability to work cross-functionally to lead and contribute to projects
- Experience working directly with sales/partner sales teams and partners
- Strong analytical ability and able to prioritize multiple projects
- Proven ability to thrive as a self-starter in a fluid, fast-paced environment
- Excellent written/verbal communication
- Deep SFDC and partner management system (e.g., Partner Portal) expertise and knowledge of QTC process, tools, and automation
- Alliance and Channel Partner experience preferred
- Hyperscaler and Channel Marketplace experience preferred
- Interest in using GitLab
- Shares GitLab's [values](/handbook/values/) and works in accordance with those values

### Senior Manager, Global Ecosystems Specialists

The Senior Manager, Global Ecosystems Specialists reports to the Director, Ecosystems Operations

#### Senior Manager, Global Ecosystems Specialists Job Grade

The Senior Manager, Global Ecosystems Specialists is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Global Ecosystems Specialists Responsibilities

- Extends that of Manager, Global Ecosystems Specialists Responsibilities
- Develop, document, launch, and enable teams on new processes that support our long-term partner sales and services strategy in FY25 and beyond
- Drive operationalization of short-term partner GTM initiatives and pilots from idea to execution including building, launching, iterating, and expanding upon success globally with efficient and scalable processes
- Measure the ROI of new partner GTM initiatives and leverage it to effectively communicate positive business outcomes and drive further investment

#### Senior Manager, Global Ecosystems Specialists Requirements

- Extends that of the Manager, Global Ecosystems Specialists Requirements
- Demonstrate progressive experience managing individual contributor performance to lead successful teams
- Proven ability to delegate initiatives and drive results through team performance
- Experience working directly with sales/partner sales teams and partners at leadership and individual contributor levels
- Deep SFDC expertise and knowledge of partner management systems (e.g., Partner Portal) and enterprise SaaS tools
- Proven ability to work cross-functionally with internal teams to lead and contribute to projects
- Interest in GitLab, and open source software
- Shares GitLab's [values](/handbook/values/) and works in accordance with those values

### Senior Manager, Ecosystems Operations

The Senior Manager, Ecosystems Operations reports to the Director, Ecosystems Operations

#### Senior Manager, Ecosystems Operations Job Grade

The Senior Manager, Ecosystems Operations is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Manager, Ecosystems Operations Responsibilities

- Develop and lead a team of SMEs to drive critical partner operations processes and have business ownership of the tech stack
- Identify and lead the creation, testing, deployment of complex automations and workflows to drive operational efficiency, effectiveness, scalability and growth
- Manage Partner Operations Analysts and Managers' performance and professional development
- Be the point of escalation for sales strategy, finance, sales systems, compensation and sales operations in all matters related to the partner organization
- Collaborate with Salesforce administrators and developers to influence and enhance CRM functionalities to meet partner data management and attribution needs
- Work cross-functionally to improve the integration between Salesforce and other mission-critical systems, including Impartner, Vartopia, and Zuora
- Execute on the Go-To-Market strategy for the partner organization including territory alignment, compensation automation and account management
- Build reports and dashboards to derive insights into the health of the business, identify areas of weakness, drive forecast management and present improvement recommendations to sales leadership
- Lead cross-functional projects from end-to-end including project identification, documentation, coordination, and successful execution and post-launch management
- Build and deliver ad hoc solutions to support projects and company OKRs

#### Senior Manager, Ecosystems Operations Requirements

- Demonstrated progressive relevant experience and understanding of partner operations
- Experience managing individual contributor performance to lead a successful team
- Ability to delegate initiatives and drive results through team performance
- Experience working directly with sales/partner sales teams and partners
- Excellent problem solving, project management, interpersonal, and organizational skills
- Strong analytical ability and able to prioritize multiple projects
- Excellent written/verbal communication
- Proven ability to thrive in a fluid, fast-paced environment
- Deep knowledge of SFDC and experience with partner management systems (e.g., Partner Portal) and enterprise SaaS tools
- Experience with QTC process, tools, workflow design and automation
- Strong knowledge of Microsoft Excel or Google Sheets with exposure to VBA/Script Editor
- Strong ability to translate business needs into deliverable technical requirements
- Interest in GitLab, and open source software
- Shares GitLab's [values](/handbook/values/) and works in accordance with those values

### Director, Ecosystems Operations

The Director, Ecosystems Operations reports to the Senior Director, Sales Operations

#### Director, Ecosystems Operations Job Grade

The Director, Ecosystems Operations is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Ecosystems Operations Responsibilities

- Drive recruiting of a world-class team at all levels
- Motivate and communicate across multiple levels of their department
- Ensure the handbook is used and relevant references are maintained in a transparent way
- Develop strategies and new initiatives with their team to advance on an organizational and technical level both the department, the company and the product
- Establish successful peer partnerships with other department leaders in Marketing, Product, Finance, etc
- Partner with cross-functional teams to drive analytical insights across the GTM Motion and escalate relevant discussion topics
- Support Alliance and Channel strategic initiatives and partner with relevant GTM teams
- Develop, measure, and manage key metrics for group's performance
- Drive high throughput and all connected key metrics on a strategic level
- Build and optimize company-wide partner go-to-market processes in collaboration with the sales team and broader GitLab organization
- Develop methods, processes, systems and tools to appropriately support our partner efforts within our segmentation models: enterprise, mid-market and SMB
- Drive cross-functional programs and initiatives to support scaling of the business and integrate partner processes with teams throughout GitLab (e.g., sales, marketing, product)
- Manage all partner incentive programs and ensure adherence to policies
- Assist in the development and rollout of partner enablement practices to improve our partners effectiveness and efficiency and provide increased partner insights through data, automation, and product analytics
- Create and coordinate key reporting for GitLab leadership team, partnering with Customer Success to provide reporting on customer adoption, sentiment and advocacy and business results (i.e., forecasts, renew, expand, churn)
- Act as liaison to partner enablement to drive training and enablement priorities, content and methods

#### Director, Ecosystems Operations Requirements

- Demonstrated progressive experience with alliance and channel partner operations in a global SaaS environment
- Ability to work independently with a high degree of accountability, while also able to collaborate cross-functionally (finance, product, marketing, sales enablement, etc) with exceptional interpersonal skills
- Demonstrated passion for information and business intelligence; thorough understanding of sales processes and methodologies
- Demonstrated progressive experience with SFDC and partner management systems (e.g., Partner Portals)
- Analytical and detail-oriented, strong project management skills with a drive for results
- Exceptional written/verbal communication and presentation skills
- Proven ability to thrive in a fluid, fast-paced, unpredictable environment
- Interest in GitLab, and open source software
- Unquestionable ethics, integrity and business judgment; you share our values, and work in accordance with those values
- Shares GitLab's [values](/handbook/values/) and works in accordance with those values
- [Leadership at GitLab](/handbook/company/structure/#director-group)
