---
title: Data Intelligence
---

## Responsibilities

- Serve as a strategic business partner in relation to sales data in collaboration with the cross-functional teams of Systems, Data, Sales Strategy & Analytics, Finance, Channel and Marketing
- Define and lead the full cycle of data quality, management, governance, and tools development (Openprise; ZoomInfo, LeanData; SFDC ETM)
- Manage annual planning process as it relates to territories, regions and segments to support accurate and timely account carving and alignment
- Manage change management as data needs evolve
- Develop relationships across the organization and serve as a data SME
- Initiate candid coaching conversations at all levels
- Collaborate with data owners to facilitate data consumption
- Deal effectively with ambiguous and unstructured data
- Deliver insights based on data and recommend improvements based on outcomes
- Identify data enrichment gaps and augment with data
- Manage the team of data resources to Identify, analyze and interpret patterns and trends in data sets
- Manage individuals performing Account Hierarchy analysis, M&A impact, updates, and maintenance
- Establish data quality metrics, detection/correction of data quality issues
- Manage team performance; support professional development
- Manage and monitor data attributes and definitions through the data dictionary
- Support Deal Desk/Order Management and SOps teams' data initiatives

## Requirements

- Ability to use GitLab
- Bachelor's degree in computer science, business, statistics or related fields
- 6-8 years of data management experience
- Excellent verbal and written communication skills, presentation and storytelling
- SFDC Admin certified
- Experience with Python, SQL

## Levels

### Senior Manager

The Senior Manager of Data Intelligence reports to the [Director, Sales Operations](/job-families/sales/sales-operations/). The Senior Manager, Data Intelligence is a strategic business partner and liaison to the sales organization and the relevant cross functional teams. This role will create and formalize the full cycle of data quality and governance to deliver trusted data to users.

#### Job Grade

The Senior Manager of Data Intelligence is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Strategic partner with the various cross-functional teams of Sales Operations, Deal Desk/Order Management, Systems, Marketing Operations, Customer Success, Channel Operations, and Finance in support of the data life cycle
- Define and lead the full cycle of data quality, management, governance, and tools development (Openprise; ZoomInfo, LeanData; SFDC ETM)
- Lead and maintain data integrity initiatives within customer records in Salesforce.com and other systems
- Establish and drive adoption of data compliance and governance
- Develop best practices that align sales data quality with company initiatives
- Lead annual planning process as it relates to territories, regions and segments to support accurate and timely account carving and alignment
- Manage change management as data needs evolve
- Establish and build the data intelligence team and roles
- Coach and develop team members
- Collaborate with data owners to facilitate data consumption
- Deliver insights based on data and recommend improvements based on outcomes

#### Requirements

- Demonstrated progressive relevant experience and a solid understanding of data quality, management, governance, and tools

## Performance Indicators

- Define and implement the data life cylce strategy to drive data quality, management and governance
- Improved data quality through the efforts of de-duplication and standardization resulting in a reduction of chatter or case requests related to account alignment or missing data
- Improved data completeness through improved data enrichment and augmenting data gaps through tools such as Openprise

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Qualified candidates will be invited to schedule a 30 minute interview with the Hiring Manager
- Qualified candidates will be invited to schedule a 30 minute interview with their peers Senior Manager of Sales Operations and a 30 minute interview with the Senior Manager of Deal Desk / Order Management
- Qualified candidates that are ready to proceed to the next step of the process will be invited to schedule 30 minute intervies with the Sr. Director of Sales Operations and the VP of Field Operations
- Final top qualified candidate will be invited to schedule a 30 minute conversational interview with a direct report

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
