---
title: "Sales Strategy Roles"
description: "The Sales Strategy Job Family helps develop and execute GitLab's Global Sales Strategy."
---

The Sales Strategy Job Family helps develop and execute GitLab's Global Sales Strategy. The Sales Strategy Job Family partners close with Sales Leadership to identify opportunities and improve efficiencies.

### Sales Strategy Analyst

The Sales Strategy Analyst reports to the Manager or Senior Manager, Sales Strategy.

#### Sales Strategy Analyst Job Grade

The Sales Strategy Analyst is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Sales Strategy Analyst Responsibilities

- Be a trusted advisor to Regional Sales Leadership
- Provide analysis that supports the development of Global Go-to-Market sales strategies
- Analyze and determine key insights from business trends and metrics
- Track performance comparing and analyzing actual results with plans & forecasts
- Identify opportunities to improve operational efficiency and lead efforts to scale, align and invest in the business
- Support overall strategic and operational cadence for the sales organization.
- Ability to conduct sophisticated, detailed and creative analysis and clearly communicate results through written and verbal channels
- Partner cross-functionally with Marketing, Sales, Finance, Channel and Customer Success

#### Sales Strategy Analyst Requirements

- BA/BS degree
- Demonstrated experience in an analytical role within a technology business. Preference for Sales Strategy, Business Intelligence/Analytics, Management Consulting, Venture Capital/Private Equity, and/or Investment Banking backgrounds
- Excellent quantitative analytical skills, creativity in problem solving, and a keen business sense
- Ability to think strategically, but also have exceptional attention to detail to drive program management and execution
- Track record of building high-quality and complex spreadsheets, models and presentations
- Strong interpersonal and communication skills effective across all levels of management
- Experience with SQL, Tableau, and/or similar analytical packages a plus
- SaaS and B2B experience preferred
- Interest in GitLab, and open source software
- You share our values, and work in accordance with those values
- Ability to thrive in a fully remote organization

### Senior Sales Strategy Analyst

The Senior Sales Strategy Analyst reports to the Manager or Senior Manager, Sales Strategy.

#### Senior Sales Strategy Analyst Job Grade

The Senior Sales Strategy Analyst is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Sales Strategy Analyst Responsibilities

- Be a trusted advisor to Sales Leadership
- Partner cross-functionally with Sales Leadership, Marketing, Channel and Product teams to formulate and develop go-to-market and Global Sales strategies, independently managing initiatives from ideation to execution
- Partner with sales on annual planning activities and the territory carving
- Identify opportunities to improve operational efficiency and lead efforts to scale, align and invest in the business
- Develop an understanding of and stay current with the competitive landscape
- Author and deliver high-impact presentations and plans to support CRO and Theater Sales Leaders in internal Sales events
- Ability to conduct sophisticated, detailed and creative analysis and clearly communicate results through written and verbal channels
- Collaborate with regional sales leaders and teams to develop and execute sales management disciplines and processes (weekly/quarterly forecast, QBRs, pipeline analysis and development, etc)

#### Senior Sales Strategy Analyst Requirements

- BA/BS degree
- Demonstrated progressive experience in an analytical role within a technology business. Preference for Sales Strategy, Business Intelligence/Analytics, Management Consulting, Venture Capital/Private Equity, and/or Investment Banking backgrounds
- Excellent quantitative analytical skills, creativity in problem solving, and a keen business sense
- Ability to think strategically, but also have exceptional attention to detail to drive program management and execution
- Extensive track record of building high-quality and complex spreadsheets, models and presentations
- Superb analytical skills and technical aptitude
- Strong interpersonal and communication skills effective across all levels of management
- Experience with SQL, Tableau, and/or similar analytical packages a plus
- SaaS and B2B experience preferred
- Interest in GitLab, and open source software
- You share our values, and work in accordance with those values
- Ability to thrive in a fully remote organization
- You share our values, and work in accordance with those values.
- Ability to use GitLab

### Sales Strategy Manager

The Sales Strategy Manager reports to the Senior Director, Sales Strategy.

#### Sales Strategy Manager Job Grade

The Sales Strategy Manager is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Sales Strategy Manager Responsibilities

- Develop and execute a Global Sales Strategy by working with Sales Leadership and GTM teams including owning and driving key initiatives and projects
- Partner with Sales Leadership to formulate and develop regional/segment business plans and constantly evolving go-to-market strategies
- Identify opportunities to improve go-to-market efficiencies and lead efforts to scale, align and invest in the business
- Analyze and present recommendations to Sales Leadership for alignment and investment in the desired state and opportunities for sales productivity improvement
- Developing an understanding of and staying current with the competitive landscape
- Assess and drive innovative pricing strategies and options for Field Teams
- Authoring and delivering high-impact presentations and plans to support CRO and internal Sales events
- Assist with annual planning with Sales Leadership and key GTM Leaders
- Drive quarterly planning with Theater Sales Leaders and provide analytical support
- Develop and manage executive reporting on key metrics, formulate actionable insights and structure a concise, clear presentation of findings and prioritize issues as appropriate
- Ability to conduct sophisticated and creative analysis, yet translate those results to easily digestible messages, communications, and presentations
- Support strategy for Customer Success and Channel Teams
- Be a trusted advisor to Sales Leadership

#### Sales Strategy Manager Requirements

- BA/BS degree
- Demonstrated progressive experience in an analytical role within a technology business. Preference for Sales Strategy, Business Intelligence/Analytics, Management Consulting, Venture Capital/Private Equity, and/or Investment Banking backgrounds
- Excellent quantitative analytical skills, creativity in problem solving, and a keen business sense
- Ability to think strategically, but also have exceptional attention to detail to drive program management and execution
- Extensive track record of building high-quality and complex spreadsheets, models and presentations
- Superb analytical skills and technical aptitude
- Experience with SQL, Tableau, and/or similar analytical packages a plus
- SaaS and B2B experience preferred
- Interest in GitLab, and open source software
- You share our values, and work in accordance with those values
- Ability to thrive in a fully remote organization
- You share our values, and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#director-group)
- Ability to use GitLab

### Sales Strategy Senior Manager

The Sales Strategy Senior Manager reports to the Senior Director, Sales Strategy.

#### Sales Strategy Senior Manager Job Grade

The Sales Strategy Senior Manager is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Sales Strategy Senior Manager Responsibilities

- Extends the Sales Strategy Manager Responsibilities

#### Sales Strategy Senior Manager Requirements

- Extends the Sales Strategy Manager Requirements
- Demonstrated progressive experience in an analytical role within a technology business. Preference for Sales Strategy, Business Intelligence/Analytics, Management Consulting, Venture Capital/Private Equity, and/or Investment Banking backgrounds

### Director, Sales Strategy

The Director, Sales Strategy reports to the Senior Director, Sales Strategy.

#### Director, Sales Strategy Job Grade

The Sales Strategy Senior Manager is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Sales Strategy Responsibilities

- Develop and execute a Global Sales Strategy by working with Sales Leadership and GTM teams including owning and driving key initiatives and projects
- Partner with Sales Leadership to formulate and develop regional/segment business plans and constantly evolving go-to-market strategies
- Identify opportunities to improve go-to-market efficiencies and lead efforts to scale, align and invest in the business
- Analyze and present recommendations to Sales Leadership for alignment and investment in the desired state and opportunities for sales productivity improvement
- Developing an understanding of and staying current with the competitive landscape
- Assess and drive innovative pricing strategies and options for Field Teams
- Authoring and delivering high-impact presentations and plans to support CRO and internal Sales events
- Assist with annual planning with Sales Leadership and key GTM Leaders
- Drive quarterly planning with Theater Sales Leaders and provide analytical support
- Develop and manage executive reporting on key metrics, formulate actionable insights and structure a concise, clear presentation of findings and prioritize issues as appropriate
- Ability to conduct sophisticated and creative analysis, yet translate those results to easily digestible messages, communications, and presentations
- Support strategy for Customer Success and Channel Teams
- Be a trusted advisor to Sales Leadership

#### Director, Sales Strategy Requirements

- Demonstrated progressive experience in an analytical role within a technology business.  Preference for Strategy Consulting, Corporate Strategy, Venture Capital/Private Equity, and/or Investment Banking backgrounds
- BA/BS degree, MBA Preferred
- Excellent quantitative analytical skills, creativity in problem solving, and a keen business sense
- Ability to think strategically, but also have exceptional attention to detail to drive program management and execution
- Extensive track record of building high-quality and complex spreadsheets, models and presentations
- Superb analytical skills, technical aptitude and executive presence
- Experience with SQL, Tableau, and/or similar analytical packages a plus
- SaaS and B2B experience preferred
- Interest in GitLab, and open source software
- You share our values, and work in accordance with those values
- Ability to thrive in a fully remote organization
- You share our values, and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#director-group)
- Ability to use GitLab

### Senior Director, Sales Strategy

The Senior Director, Sales Strategy reports to the [VP, Field Operations](/job-families/sales/vp-of-field-operations/).

#### Senior Director, Sales Strategy Job Grade

The Senior Director, Sales Strategy is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Director, Sales Strategy Responsibilities

- Extends that of the Director, Sales Strategy responsibilities

#### Senior Director, Sales Strategy Requirements

- Extends that of the Director, Sales Strategy requirements
- Demonstrated progressive experience in an analytical role within a technology business.  Preference for Strategy Consulting, Corporate Strategy, Venture Capital/Private Equity, and/or Investment Banking backgrounds

### Vice President, Sales Strategy & Analytics

The Vice President, Sales Strategy reports to the [VP, Field Operations](/job-families/sales/vp-of-field-operations/).

#### Vice President, Sales Strategy & Analytics Job Grade

The Vice President, Sales Strategy & Analytics is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Vice President, Sales Strategy & Analytics Responsibilities

- Extends that of the Senior Director, Sales Strategy responsibilities
- Drive recruiting of a world-class team at all levels
- Help team members from senior leaders, management, and analysts grow their skills and experience
- Ensure the handbook is used and relevant references are maintained in a transparent way
- Collaborate with senior leaders of Finance to drive planning cycles and ensure actual vs. plan throughout the year is within guidelines
- Partner with senior leaders of GTM Teams and Field Enablement to leverage performance analytics and influence cross-functional revenue programs
- Partner with cross-functional teams to drive analytical insights across the GTM Motion and escalate relevant discussion topics
- Support CRO strategic initiatives and partner with relevant GTM teams
- Partner with CRO CoS to evolve the framework and structure for critical sales leadership meetings and OKRs
- Partner with CEO CoS on strategic initiatives and ensure prioritization alignment across all GTM Teams

#### Vice President, Sales Strategy & Analytics Requirements

- Extends that of the Senior Director, Sales Strategy requirements
- Expert hiring manager skills and experience
- Experience managing managers, senior managers, or directors
- Demonstrated progressive experience in a global SAAS sales or strategy environment
- Demonstrated passion for information and business intelligence; thorough understanding of sales strategies and analytics
- Strong ability to interact and influence effectively with all C-level executives and team members
- Be able to represent organizational initiatives in place of the CRO
- Exceptional written/verbal communication and presentation skills
- Ability to work independently with a high degree of accountability, while also able to collaborate cross-functionally with exceptional intrapersonal skills
Proven ability to thrive in a fluid, fast-paced, unpredictable environment.
- Unquestionable ethics, integrity and business judgment; you share our values, and work in accordance with those values.

## Specialties

### Channel

- Demonstrated progressive experience focused directly with supporting Channel sales organizations

### Enterprise

- Demonstrated progressive experience focused directly with supporting Enterprise sales organizations

### Commercial

- Demonstrated progressive experience focused directly with supporting Commercial sales organizations

### Customer Success

- Demonstrated progressive experience focused directly with supporting Customer Success sales organizations

### Growth and Operations

- Demonstrated progressive experience focused directly with focus on strategy and operations

## Performance Indicators

- IACV vs. plan > 1
- IACV efficiency > 1.0
- Win rate > 30%

## Career Ladder

The next step in the Sales Strategy job family is not yet defined at GitLab.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

1. Phone screen with a GitLab Recruiting team member
1. Video Interview with the Hiring Manager
1. Team Interviews with 1-4 team members

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
