---
title: "Sales Training Facilitator, Sales and Customer Enablement"
RoleName: "Sales Training Facilitator, Sales and Customer Enablement"
---

As an integral member of the GitLab Sales and Customer Enablement team, our Sales Training Facilitator is responsible for delivering world-class virtual (and sometimes in-person) global sales training and enablement programs.

## Responsibilities

- Successfully deliver sales training and enablement programs to ensure internal and external customers and partners are equipped with content, resources, and tools to effectively differentiate and sell the GitLab solution.
- Collaborate with marketing and other SMEs to identify, develop, and execute core sales training and enablement curriculum, customized regionally as needed, for various internal and external audiences.
- Ensure alignment of sales enablement activities with key internal and external events, such as new product releases, campaigns, and essential industry trade shows.
- Facilitate the successful execution and delivery of self-paced on-boarding and result-driven continuous learning.
- Leverage Salesforce.com CRM infrastructure and other tools for delivering formal and informal/social learning.
- Measure and report on the effectiveness of sales trainings delivered.
- Determine opportunities for improving the sales learning experience and identify innovative techniques for delivery.

## Requirements

- Software sales or sales training experience, preferably with expertise in DevOps and/or Open Source.
- Working knowledge of sales training technology and methodologies; demonstrable experience with sales enablement concepts, practices, and procedures.
- Ability to quickly understand technical concepts and explain them to audiences of varying technical expertise (sales team, customers, channel partners, and internal support partners).
- Experience growing within a small start-up. Strong ability to interact and influence effectively with sales professionals and sales management.
- Exceptional written/verbal communication and presentation skills.
- Team player with strong intrapersonal skills, skilled at cross-functional collaboration.
- Ability to thrive in a fast-paced, unpredictable environment.
- Share and work in accordance with [GitLab's values](/handbook/values/).
- Ability to use GitLab

{{% job-families/sales/performance %}}

## Levels

### Sales Training Facilitator (Intermediate)

#### Job Grade

The Sales Training Facilitator is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Successfully accomplishes responsibilities with minimal direction or oversight

#### Requirements

- Demonstrated progressive experience in a software sales or sales training role
- Ability to continuously meet deadlines and execute on projects

### Senior Sales Training Facilitator

#### Job Grade

The Senior Sales Training Facilitator is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Works quickly and iteratively on projects with very limited direction from others
- Proven experience successfully training and enabling B2B enterprise sales professionals
- Viewed as a subject matter expert and trusted advisor by the sales organization and key stakeholders
- Innovates and continually improves the delivery of world-class sales enablement programs
- Regularly shares best practices and provides constructive coaching and feedback to other members of the team

#### Requirements

- Demonstrated progressive experience in a software sales or sales training role, preferably with expertise in DevOps and/or Open Source
- Self-manages workload to meet deadlines and prioritize accordingly

## Career Ladder

The next steps for the Sales Training Facilitator, Sales and Customer Enablement Job Family is to move to the [Technical Instructional Designer](/job-families/sales/technical-instructional-designer/) Job Family or the [Program Manager, Field Enablement](/job-families/sales/program-manager-field-enablement/) Job Family.
