---
title: Global Digital SMB
---

The Global Digital SMB team is focused on building an easy self-service experience for our customers. The team is accountable for the growth of our online sales KPI's. The team drives those numbers by experimenting with: programs that drive GTM or product improvements and campaigns to drive self-service customer adoption.

## Levels

## Senior Analyst, Global Digital SMB

The Senior Analyst role is part of a team focused on transforming the way that GitLab goes to market. Aligned to a cohort of GitLab customers, this role is focused on leveraging data to empower these customers to onboard, transact, and manage their accounts online and at scale.

The Senior Analyst, Global Digital SMB reports to the Manager, Global Digital SMB.

### Job Grade

The Senior Analyst, Global Digital SMB is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Develop strategies and drive team focus based on data insights and findings
- Partner with Global Digital SMB Managers to create, execute, and measure experiments focused on driving business growth and improving the Self-Service customer experience
- Partner with direct sales to transform our current go-to-market and support a larger self-service channel
- Work cross-functionally to optimize our customer journey and experience for a cohort of GitLab customers.
- Design and build insightful dashboards for the self-service team and our stakeholders
- Take ad-hoc analyses and turn them into a repeatable, scalable data views that our team can leverage on their own
- Leverage data to identify new Self-Service cohorts, and determine the best method of engagement
- Ownership in scoping, sizing and delivering multiple requests balancing prioritization, efficiency and quality
- Be proactive and identify trends or flag potential issues

### Requirements

- Ability to use GitLab
- BS/BA degree in business engineering, economics, or related degree OR equivalent combination of education, training, and experience
- Demonstrated progressive experience in data analytics
- Excellent written and verbal communication skills
- Comfortable presenting data and providing recommendations with confidence to senior level stakeholders, even when there is ambiguity involved
- A knack for identifying and investigating anomalies in data and operations
- Familiarity with product analytics and tools (e.g. Amplitude)
- Familiarity with sales & marketing funnel reporting and industry KPIs, such as website sessions, MQLs, pipeline, and bookings
- Familiarity with BI tools (e.g. Explore, Tableau) and Excel / Google Sheet functions
- Experience with SQL, data warehouses and/or scripting languages (e.g. Python, BigQuery, MySQL)
- Experience analyzing CRM data (e.g. Salesforce) and web tracking (e.g. Google Analytics)
- Self-motivated and self-managing, with strong organizational skills

## Manager, Global Digital SMB

### Job Grade

The Manager, Global Digital SMB is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Success for this role is driving self-service growth across GitLab
- Identify, define & execute on strategic experiments across the customer experience to test potential go-to-market or product changes.
- Responsible for the self-service business from a metrics perspective: nARR and logo count.
- May be responsible for hiring and managing additional growth managers.
- Partner with product & marketing to optimize our funnel for customer acquisition.
- Partner with marketing to deliver web experiences and content to optimize for self-service. Define campaigns, personas and customer cohorts for targeting.
- Partner with direct sales to augment our current go-to-market and support a larger self-service channel.
- Anticipate problems and propose solutions for self-service related sales operational changes (ex. quota, comp, territory carving, leads).
- Liaison to train our sales teams on our most up-to-date self-service solutions. Develop relevant updated content.
- Influence enhancement and self-service feature backlog based on customer feedback and product instrumentation. Define customer stories based on your market segment.

### Requirements

- Talent for identifying and prioritizing work based on key business outcomes
- Strong analytical skills and structured thinking. You know how to turn data from disparate sources into a vision for what we should do
- Strong presentation and storytelling skills
- Comfortable with ambiguity, high visibility, and being the directly responsible individual for the self-service business
- Resourcefulness to get things done cross-functionally
- Ability to use tools such as Salesforce, Google Analytics, Excel, and BI tools to pull data and manipulate accordingly as needed to drive tactics and projects
- Great project management skills. Ability to pull together disparate requirements, get agreement on priorities, communicate clearly and drive timelines
- Ability to explain prioritization methodology when competing priorities appear
- Operational execution and troubleshooting by identifying issues as they surface; proposing and executing changes to fix root causes
- Willingness to learn and use GitLab

## Senior Manager, Global Digital SMB

### Job Grade

The Senior Manager, Global Digital SMB is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Same responsibilities as the Manager listed above and also:
- Create Growth Manager playbook in order to scale tactical efforts
- Partner with Self-Service Product & Data analytics team to create measurable experimentation framework
- Accountable for understanding what changes are happening in the business and how they can be opportunities to grow the self-service business
- Report out progress and success of programs to leadership
- Responsible for hiring and managing additional growth managers

### Requirements

- Same requirements as the Manager listed above and also:
- Ability to develop and foster relations across the organization. (Including sales, product, marketing, customer success)
- Ability to convey complex information to executives and non-domain individuals
- Curiosity to learn about new domains and ask discovery questions along the way
- Ability to thrive in a cross-functional environment while juggling multiple responsibilities

## Director, Global Digital SMB

### Job Grade

The Director, Global Digital SMB is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Same responsibilities as the Senior Manager listed above and also:
- Provide visibility to Self-Service leadership team into the outputs your team is producing
- Create methodology for tracking program launches and success of those programs
- Provide feedback to leadership on identified process improvement areas that will increase GitLab's efficiency while increasing customer adoption of self-service
- Provide detailed and accurate sales forecasting for online sales by segment, channel, and region.
- Plan and manage short and long term coordination with marketing and sales leadership

### Requirements

- Same requirements as the Senior Manager listed above and also:
- Consistent track record of executing against plans and impacting KPIs
- Ability to empower your team through coaching and feedback to do their best work
- Strong experience in software sales, preferably with development tool and/or open-source experience
- Demonstration of high levels of integrity, initiative, honesty and leadership
- Must be adaptable, professional, courteous, motivated and work well on their own or as a member of a team

## Senior Director, Global Digital SMB

### Job Grade

The Senior Director, Global Digital SMB is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Same requirements as the Director listed above and also:
- The Directly Responsible Individual (DRI) for our self-service KPI's
- Set the charter and focus areas for the Growth team based on business needs
- Represent the Self-Service team in GTM planning discussions and forecast calls
- Mentor, guide, and grow the careers of all team members
- Provide strategic input on the direction of the Growth team to the VP of Self-Service & Online Sales
- Aid in the preparation of executive and board level discussions
- Develop partnerships across the organization in order to ensure other teams are thinking with a self-service-first solutioning mindset

### Requirements

- Same requirements as the Director listed above and also:
- Demonstrated success in leading high performing teams in a fast-paced environment
- Experience building a team and new function from the ground up
- Solid analytical skills and ability to work with metrics, numbers, and trends
- Comfortable with ambiguity, high visibility, and being the directly responsible individual for the self-service business
- Proven ability to effectively influence and communicate cross-functionally to drive results

## Specialities

### New Business

- Responsible for new logo count through online channel
- Growth team members focused on new business will partner closely with marketing to understand what drivers result in self-service new business deals and how to improve
- Determine creative ways (eg promotions) to impact the self-service new business numbers

### Growth

- Responsible for nARR growth of existing customers through online channel
- Will partner closely with our product & data analytics team to understand how adoption is related to customer growth
- Determine creative ways (eg in-product recommendations) to impact the self-service growth numbers

### Renewal

- Responsible for the nARR associated with self-service renewals and growing renewals via the self-service channel
- Will partner closely with our post-sales teams to understand how best to drive self-service renewals
- Determine creative ways (eg renewal journey) to impact the self-service renewal number

## Performance Indicators

- nARR vs. plan > 1
- nARR efficiency > 1.0
- Increased adoption of self-service solutions (buying & account management) driving increased customer satisfaction, efficiency and Rep productivity.
- Successful experimentation that drives key business decisions around go-to-market and product direction.
- Subject matter expert for sales on new customer acquisition funnel; providing transparency to sales leadership and driving partnership with Marketing

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to schedule interviews 30 minute interviews with 2 immediate team members and 3 cross-functional partners
- Finally, candidates will be invited to schedule interviews with the hiring manager once more

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
