---
title: Online Sales & Self Service Product & Data Analytics
---

The Online Sales & Self Service Product & Data Analytics job family is responsible for all Product & Data Analytics solutions driving the growth and maturity of Self Service at GitLab.

## Analyst, Online Sales & Self Service Data

The Data Analyst role is responsible for assisting in the creation and scaling our use of data for GitLab's self-service business. This function will work with a variety of data: sales, quotes/subscription, product, billing, and case data.
The Analyst, Online Sales & Self Service Data reports to the Senior Manager, Online Sales & Self Service Product & Data Analytics.

### Job Grade

The Analyst, Online Sales & Self Service Growth is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Comfortable working with large data sets via query languages and BI tools for dashboards and reporting
- Develop reporting structure to track success of self-service business and experiments
- Gather and track KPI's requirements from Self-Service Customer Engagement team in order to understand efficiency impact of Low Touch GTM model
- Partner with finance and sales strategy teams to develop target setting methodology for online business
- Create dashboards and reports to understand and monitor key business metrics
- Take ad-hoc analyses and turn them into a repeatable, scalable data views that our team can leverage on their own
- Tie together disparate data sources in order to tell cohesive data stories to inform decision making

### Requirements

- Ability to use GitLab
- BS/BA degree in business engineering, economics, or related degree OR equivalent combination of education, training, and experience
- Demonstrated progressive experience in data analytics
- Excellent written and verbal communication skills
- Comfortable presenting data and providing recommendations with confidence
- Familiarity with sales & marketing funnel reporting and industry KPIs, such as website sessions, MQLs, pipeline, and bookings
- Familiarity with BI tools (e.g. Explore, Tableau) and Excel / Google Sheet functions
- Experience with SQL, data warehouses and/or scripting languages (e.g. Python, BigQuery, MySQL)
- Experience analyzing CRM data (e.g. Salesforce) and web tracking (e.g. Google Analytics)

## Senior Analyst, Online Sales & Self Service Data

The Senior Data Analyst role is responsible for creating and scaling our use of data for GitLab's self-service business. This is a dynamic role focusing on product analytics, target setting, performance tracking and ad hoc strategic products.

The Senior Analyst, Online Sales & Self Service Data reports to the Senior Manager, Online Sales & Self Service Product & Data Analytics.

### Job Grade

The Senior Analyst, Online Sales & Self Service Growth is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Inspire and empower our self-service team  to leverage data to drive action, measure and prove success
- Continuously find ways to improve our signup flow and self-service buying experience
- Ownership in scoping, sizing and delivering multiple requests balancing prioritization, efficiency and quality
- Comfortable working with large data sets via query languages and BI tools for dashboards and reporting
- Quantity business value by self-service product feature to inform prioritization
- Develop strategies and drive team focus based on data insights and findings
- Design and build insightful dashboards for the self-service team and our stakeholders
- Monitor metric & business performance
- Be proactive and identify trends or flag potential issues
- Establish KPIs and targets for measuring the impact of the self-service initiatives

### Requirements

- Ability to use GitLab
- BS/BA degree in business engineering, economics, or related degree OR equivalent combination of education, training, and experience
- Demonstrated progressive experience in data analytics
- Excellent written and verbal communication skills
- Comfortable presenting data and providing recommendations with confidence to senior level stakeholders, even when there is ambiguity involved
- A knack for identifying and investigating anomalies in data and operations
- Familiarity with product analytics and tools (e.g. Amplitude)
- Familiarity with sales & marketing funnel reporting and industry KPIs, such as website sessions, MQLs, pipeline, and bookings
- Familiarity with BI tools (e.g. Explore, Tableau) and Excel / Google Sheet functions
- Experience with SQL,  data warehouses and/or scripting languages (e.g. Python, BigQuery, MySQL)
- Experience analyzing CRM data (e.g. Salesforce) and web tracking (e.g. Google Analytics)

## Manager, Online Sales & Self Service Product & Data Analytics

The Data Manager role is the hub of the analytical function of our team: responsible for creating and scaling our use of data for GitLab's self-service business and delivering visibility of the self-service experience to Sales. This role will focus on building our foundational data infrastructure, tools, and insights.

The Manager, Online Sales & Self Service Data reports to the Senior Manager, Online Sales & Self Service Product & Data Analytics.

### Job Grade

The Manager, Online Sales & Self Service Growth is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Inspire and empower our self-service team  to leverage data to drive action, measure and prove success
- Responsible for hiring and managing an Analyst/Sr. Analyst
- Create end-to-end data funnel view that allows us to understand the self-service customer experience through data. Leverage to provide feedback to Fulfillment and Growth teams
- Own collecting requirements, establishing KPIs/targets, and building self-service specific dashboards
- Partner with sales to define requirements for insights and visibility into self-service experience. Work with product intelligence and ops to operationalize the delivery
- Develop repeatable and scalable experiment process: creating cohorts, measuring success, and providing result read-outs
- Ownership in scoping, sizing and delivering multiple requests balancing prioritization, efficiency and quality
- Provide feedback to core data teams about data gaps and tools
- Comfortable working with large data sets via query languages and BI tools for dashboards and reporting
- Develop strategies and drive team focus based on data insights and findings
- Monitor performance and be able to explain why trends occur (e.g. investigating the 'why' behind target attainment)
- Be proactive and identify trends or flag potential issues

### Requirements

- Ability to use GitLab
- BS/BA degree in business engineering, economics, or related degree OR equivalent combination of education, training, and experience
- Demonstrated progressive experience in data analytics
- Excellent written and verbal communication skills
- Comfortable presenting data and providing recommendations with confidence to senior level stakeholders, even when there is ambiguity involved
- A knack for identifying and investigating anomalies in data and operations
- Familiarity with product analytics and tools (e.g. Amplitude)
- Familiarity with sales & marketing funnel reporting and industry KPIs, such as website sessions, MQLs, pipeline, and bookings
- Familiarity with BI tools (e.g. Explore, Tableau) and Excel / Google Sheet functions
- Experience with SQL,  data warehouses and/or scripting languages (e.g. Python, BigQuery, MySQL)
- Experience analyzing CRM data (e.g. Salesforce) and web tracking (e.g. Google Analytics)

## Senior Manager, Online Sales & Self Service Product & Data Analytics

The Senior Manager, Online Sales & Self Service Product & Data Analytics job family is responsible for all Product & Data Analytics solutions driving the growth and maturity of Self Service at GitLab.

The Senior Manager, Online Sales & Self Service Product & Data Analytics reports to the [VP Online Sales and Self Service](/job-families/sales/vice-president-online-sales-and-self-service/).

### Job Grade

The Senior Manager, Online Sales & Self Service Product & Data Analytics is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Lead product & data analytics for Self Service to drive revenue growth, sales efficiency, customer experience, and customer retention.
- Develop and execute a product & data analytics solution that will create a full data funnel: product interactions to revenue, establishing and tracking success metrics and aiding in feature prioritization.
- Through data insights provide sales visibility, inform product roadmap, drive marketing campaigns & customer interactions.
- Build and execute an experimentation engine to inform marketing campaigns, product roadmap and customer interactions.
- Partner closely with Data Instrumentation, Data Science, Product Management, Fulfillment to establish data pipelines to provide a comprehensive funnel view.
- Partner closely with Sales, Marketing, Product Management, Fulfillment, Sales Strategy and Support teams to provide Self Service data insights to drive focus.
- Establish and maintain key customer KPIs for Self Service GTM success including conversion, retention and growth.
- Provide detailed and accurate sales forecasting for online sales by segment, channel, and region.
- Maintain source of truth for product analytics insights.
- Ensure support and product teams have visibility into error data to improve the customer experience.
- Provide application monitoring to understand impacts to usage: availability, uptime, performance.
- Build a team of data analysts, data engineers and data architects to deliver our Self Service product & analytics solution.
- Manage prioritization of iteration of online sales funnel and instrumentation.

### Requirements

- Ability to use GitLab
- A solid track record of Product & Data Analytics delivery and leadership
- Has specialized knowledge of Product & Data Analytics technology tools and implementation
- Strong aptitude in data analytics and advanced statistical modelling
- Has specialized knowledge of the Online Sales, Self Service/e-commerce space, and customers
- Strong experience in software sales, preferably with development tool and/or open-source experience
- Proven success partnering with Marketing, Channel, Alliances, Product, and Engineering peers
- Demonstration of high levels of integrity, initiative, honesty and leadership
- Must be adaptable, professional, courteous, motivated and work well on their own or as a member of a team
- Willingness to learn and use GitLab
- Polished presentation skills
- Ability to handle a fast-paced environment and ambitious workload

## Performance Indicators

- nARR vs. plan > 1 through development of self-service targets
- nARR efficiency > 1.0 through development of self-service targets
- Increased adoption of self-service solutions (buying & account management) driving increased customer satisfaction and Rep productivity leveraging product data insights and recommendations

## Career Ladder

The next step for the Online Sales & Self Service Product & Data Analytics Job Family is to move to the [Director, Online Sales & Self Service Job Family](/job-families/sales/Director-online-sales-and-self-service-growth/).

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
- Qualified candidates will take a short technical take home test.
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to schedule interviews 30 minute interviews with 2 immediate team members and 3 cross-functional partners
- Finally, candidates will be invited to schedule interviews with the hiring manager once more to review case homework assignment assigned during first Hiring Manager interview
