---
title: "Sales Systems Leadership"
RoleName: "Senior Manager Sales Systems"
---

## Manager, Sales Systems

### Job Grade

The Manager, Sales Systems is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Chief administrator of all sales systems.
- Build, lead and manage a team of Business Systems professionals.
- Help drive business system strategy and direction across Sales, Marketing and cross-functional teams.
- Optimize current business processes (e.g. CPQ/QTC) to scale for growth and efficiency.
- Facilitate successful implementation of new technology and processes, fostering an organization of continuous process improvement.
- Manage the development of detailed design specifications for use by the technical team.
- Manage data governance processes and adherence of guidelines between internal business units and systems.
- Partner with business users to lead the implement of strategic projects critical to scaling the Go-To-Market process.

### Requirements

- BA/BS degree.
- Past experience in a business and/or systems role.
- Salesforce.com expert including validation rules, workflow, formulas, sandbox and customization of all standard and custom objects.
- Demonstrated ability to drive cross-functional teams to meet business objectives and influence colleagues, fostering strong working relationships.
- Strong strategic thinking, creative problem solving and analytical skills.
- Excellent problem solving, project management, interpersonal and organizational skills.
- Certified Salesforce.com Administrator & Force.com Developer.
- SaaS and B2B experience preferred.
- Interest in GitLab, and open source software.
- You share our values, and work in accordance with those values.
- Ability to thrive in a fully remote organization.
- [Leadership at GitLab](/handbook/company/structure/#management-group).
- Ability to use GitLab.

## Senior Manager, Sales Systems

### Job Grade

The Senior Manager, Sales Systems is a [grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- The Senior Manger, Sales Systems inherits the responsibilities of the Manager, Sales Systems as well as the following:
- Collaborate with other departments to improve integration between Salesforce and other mission-critical systems, including Marketo, Zendesk and Zuora.
- Align with other back office teams such as IT, Finance, and our Fulfillment product and engineering teams on high level strategy.
- Perform in-depth analysis and insight into key business metrics.
- Propose changes to business process, with the ability to deliver the functionality to realize that change.
- Drive thought leadership on how we continue to scale GitLab with the correct mix of build vs buy.

### Requirements

- BA/BS degree
- Past experience managing in a business and/or systems role
- Salesforce.com expert including validation rules, workflow, formulas, sandbox and customization of all standard and custom objects.
- Demonstrated ability to drive cross-functional teams to meet business objectives and influence colleagues, fostering strong working relationships.
- Strong strategic thinking, creative problem solving and analytical skills.
- Excellent problem solving, project management, interpersonal and organizational skills
- Experience owning a project from concept to production, including proposal, discussion, and execution.
- Significant experience with SOQL, APEX and VisualForce
- Certified Salesforce.com Administrator & Force.com Developer
- SaaS and B2B experience preferred
- Interest in GitLab, and open source software
- You share our values, and work in accordance with those values
- Ability to thrive in a fully remote organization
- [Leadership at GitLab](/handbook/company/structure/#management-group)
- Ability to use GitLab

{{% job-families/sales/performance %}}

## Director, Sales Systems

The Director of Sales Systems reports to the Senior Director of Sales Systems  and leads a team of business system architects, engineers and administrators to deliver scalable and low friction solutions to the Go-To-Market teams. The Director has the ability to unpack complicated strategic problems and add iterative solutions to the Sales Systems roadmap, executing on delivery. The Director is a leader and mentor, capable of building and sustaining a high performing team as well as aligning with executives and project stakeholders.

### Job Grade

The Director, Sales Systems is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Own the delivery of technology improvements for the GitLab WW Field Sales organization.
- Partner with leaders in Marketing, Sales, Finance and Product to ensure a dependable and integrated Go-To-Market technology backbone.
- Lead the Sales Systems team, setting standards for quality and velocity.
- Drive strategic thought leadership and facilitate executive level communication.
- Develop custom Force.com applications using best of breed design patterns.
- Implement Salesforce.com best practices and a fully controlled change management process.
- Manage the full application life cycle: Requirements Gathering, Architecture, Development, User Acceptance, Roll Out, Support.
- Create a technology to business feedback loop with other Field Operations leaders, helping to make iterative improvements to business processes.
- Manage data governance processes and adherence of guidelines between internal business units and systems.
- Maintain excellent documentation and team processes in the [Sales Systems](/handbook/sales/field-operations/sales-systems/) and  [Go-To-Market Technical Documentation](/handbook/sales/field-operations/sales-systems/gtm-technical-documentation/) handbook pages.

### Requirements

- B.S. Degree in Computer Science, Information Systems, or related area.
- Past experience in SaaS Go-To-Market technology and managing teams.
- Hands on and in-depth experience with the administration and customization of Enterprise SaaS solutions such as Salesforce.com, Zuora, Marketo, and Zendesk.
- Salesforce.com Certification, preferably Platform Developer 1 or above.
- Deep experience working on database or business intelligence solutions.
- Strong understanding of Go-To-Market business processes and the ability to pair effective and efficient technology solutions to them.
- Analytical and detail oriented, great project management and roadmapping skills
- Excellent communication and interpersonal skills, with the ability to resolve complicated interdepartmental projects and manage stakeholders.
- Committed to "Drink our own Champagne" and fully utilize the GitLab product for internal project management and collaboration.
- Share and work in accordance with our [values](/handbook/values/).
- [Leadership at GitLab](/handbook/company/structure/#management-group)

## Senior Director, Sales Systems

### Job Grade

The Senior Director, Sales Systems is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Own the strategic vision and delivery of technology improvements that increase sales efficiency for the Field Sales organization.
- Partner with Go-To-Market leaders in Marketing, Sales, Finance, Enterprise Applications and Product on strategic directives and facilitate executive level communication.
- Drives strategic technology initiatives including vendor selection, management and contracting to ensure successful launch within determined timelines and budgetary constraints.
- Serves as a subject matter expert on Field Sales business processes and system requirements that are integrated with the Company's broader IT plans.
- Ensure all system solutions are delivered within security and compliance standards (SOX, PCI, GDPR)
- Architect and drive data governance programs across all Field Operations teams.
- Leads and mentors team to optimize team's understanding of Field Sales business requirements, rules and processes to translate into technical requirements.
- Strategic leadership of the Sales Systems team, ensuring well being and personal development.
- Drive strategy and execution of documentating team processes in the Sales Systems and Go-To-Market handbook pages.
- Assist in annual planning and budgeting as it relates to personnel, programs and all Field Sales software tools.

### Requirements

- B.S. Degree in Computer Science, Information Systems, or related area.
- Past experience in SaaS Go-To-Market technology and managing teams.
- Driven strategic vision of Enterprise SaaS solutions such as Salesforce.com, Zuora, Marketo, and Zendesk.
- Ability to align Go-To-Market business processes, prioritize strategic efforts and the ability to pair effective and efficient technology solutions.
- Strong understanding of SDLC and development platforms, including Agile methodologies.
- Deep understanding of Sox controls, audit processes and compliance concepts.
- Experience negotiating with enterprise software vendors and cloud providers.
- Excellent communication and interpersonal skills, with the ability to address both executives and Go-To-Market colleagues.
- Strong analytical and problem-solving skills with a clear and relentless focus under pressure.
- Drive the utilization of the GitLab product for internal project management and collaboration.
- Share and work in accordance with our [values](/handbook/values/).
- [Leadership at GitLab](/handbook/company/structure/#management-group)

## Performance Indicators

- IACV vs Plan
- [New Hire Location Factor < 0.69](https://internal.gitlab.com/handbook/it/it-performance-indicators/#new-hire-location-factor--069)
- [% of team who self-classify as diverse](https://internal.gitlab.com/handbook/it/it-performance-indicators/#percent--of-team-who-self-classify-as-diverse)
- [Cost Actual vs Plan](https://internal.gitlab.com/handbook/it/it-performance-indicators/#cost-actual-vs-plan)
- [System roll out vs plan](https://internal.gitlab.com/handbook/it/it-performance-indicators/#system-roll-out-vs-plan)

## Career Ladder

The next steps for the Sales Systems Leadership Job Family has not been defined at this time.

## Hiring Process

- Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with our Global Recruiters
- Next, candidates will be invited to a first interview with the Hiring Manager
- Second round interviews will be the Interview team that consists of 2-4 interviews
- An optional final interview with a C level Executive may occur

Additional details about our process can be found on our [hiring page](/handbook/hiring/).

- Successful candidates will subsequently be made an offer via email
