---
title: "SMB Advocate"
RoleName: "SMB Advocate"
description: "Learn more about SMB Advocate roles at GitLab including requirements, responsibilities and more."
---

## SMB Advocate

## Job Grade

The SMB Advocate is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

- Engage remotely with a high volume of our small business prospects & customers during their pre-sales, sales &  post-sales experience; this team is their primary GitLab resource
- Work through a shared prospect & customer queue, leveraging different technologies to deliver the best customer experience
- Resolve incoming prospect & customer needs and queries, and proactively reach out to customers showing key signals related to growth, adoption or contraction
- Build strong understanding of customers' business needs, organizational goals and GitLab utilization to assist them in achieving them and make recommendations at each stage of the lifecycle - onboarding, adoption, renewal and expansion
- Provide technical and solution guidance:
  - Answer customer inquiries, conduct product demonstrations, and explain the capabilities and benefits of GitLab
  - Provide insights with respect to the availability and applicability of new features in GitLab as relevant
- Provide positive customer interactions.  Collaborate with individuals within customer environments, understand their needs, and assist them in becoming advocates for GitLab
- Customer feedback: Effectively communicate customer feedback, requirements, and challenges to relevant teams (including Product Development, Sales, and Marketing) to drive continuous improvement
- Market knowledge: Maintain a foundational understanding of technologies related to GitLab's market focus
- Training & Certifications: Acquire industry standard certifications to build up credibility as an advocate and a technical expert

## Requirements

- You share our values, and work in accordance with those values
- Demonstrated progressive experience in sales, technical consulting, customer success, marketing, or customer service in the field of information technology
- An understanding of B2B software, Open Source software, and the developer product space is preferred
- Experience with CRM, sales intelligence and email automation software is highly preferred
- Basic understanding of application lifecycle management including the technology commonly used in application lifecycle management
- Be ready to learn how to use GitLab and Git
- Experience with a GitLab use case (SCM, CI, CD, DevSecOps, Agile Planning) to provide in-depth customer guidance and enablement
- Focuses on continuously improving your professional skills with a focus on personal mastery and team learning through activities such as training, reading and seeking mentorship from others
- Ability to travel if needed and comply with the company's travel policy

{{% job-families/sales/performance %}}

## SMB Advocate Team Lead

The SMB Advocate Team Lead reports to the Digital SMB Regional Manager.

### SMB Advocate Team Lead Job Grade

The SMB Advocate Team Lead is a grade 6.

### SMB Advocate Team Lead Responsibilities

The SMB Advocate Team Lead role extends the responsibilities of the SMB Advocate role, with the addition of new official responsibilities that support the productivity of the Advocate team as a whole and representing our SMB customers. These are:

- Help design and run the onboarding process for new starters
- Help support/coach colleagues and run team enablement sessions
- Cover team manager's absence, on request for some specific tasks (team meetings, forecasts and team weekly check-ins)
- Participate in cross-functional initiatives to drive the SMB strategy, and represent the SMB Advocate team
- Meet with fellow SMB Advocate Team Leads to develop global initiatives
- Amplify the voice of the customer and encourage a culture of customer-centricity
- Participate in the recruitment process of new team members
- Support team-bonding and identity-building initiatives, while encouraging team participation and contribution
- Be a subject matter expert in at least one core skill of the SMB Advocate role ("core skills to be added to HB")

### SMB Advocate Team Lead Requirements

- Extends those of the SMB Advocate requirements
- Minimum of 9 months in the SMB Advocate role
- Achieve benchmark KPIs cumulatively for a period of 6 months
- Complete all assigned SMB advocate specific Level-up trainings and Technical Certification
- Led or participated in at least 2 project initiatives to improve team performance
- The Team Lead role is based on business need and is at management's discretion

## Career Ladder

The next step in the SMB Account Executive job family is to move to the [Mid Market Account Executive](/job-families/sales/account-executive) job family or the [Sales Management](/job-families/sales/area-sales-manager/) Job Family.
