---
title: "Success Services Management"
Description: "The Success Services Management team ensures our paid success offering is impactful for our customers and that the field teams are supported in selling and delivering it."
---

## Success Services Management

The Success Services Management team combines technical expertise with a customer-centric approach to shape, develop, and deliver innovative paid success plan offerings and service designs. This team is responsible for ensuring the effectiveness and impact of GitLab's paid success offerings while supporting field teams in selling and delivering these services. The team focuses on meeting success plan services revenue targets and contributing to the company's growth ARR and renewal targets.

## Levels

| Role | Grade |
| -- | - |
| [Customer Success Architect](/job-families/sales/customer-success-architect/#customer-success-architect-csa-intermediate) | [Grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Customer Success Architect](/job-families/sales/customer-success-architect/#senior-customer-success-architect-csa) | [Grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Staff Customer Success Architect](/job-families/sales/customer-success-architect/#staff-customer-success-architect-csa) | [Grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Manager, Success Services](#manager-success-services) | [Grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Senior Manager, Success Services](#senior-manager-success-services) | [Grade 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |
| [Director, Success Services](#director-success-services) | [Grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades) |

### Manager, Success Services

The Manager, Success Services is a strategic leader who drives the success and adoption of our paid success plan offerings and services within a designated region (EMEA, AMER, or APJ). They are responsible for managing a team of Customer Success Architects (CSAs) and collaborating with sales teams to identify and pursue opportunities to sell success services to new and existing customers.

The Manager, Success Services reports to the Director, Success Services.

#### Manager, Success Services Job Grade

The Manager, Success Services is a job grade [level 9](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Success Services Responsibilities

- Team Leadership: Manage, coach, and mentor a team of Customer Success Architects (CSAs) to ensure effective service delivery and customer satisfaction.
- Sales Enablement: Collaborate with sales teams to develop and deliver compelling service offerings, value propositions, and commercial collateral. Explain GitLab Services value proposition, catalog of service offerings, and methodologies.
- Revenue Management: Drive revenue growth by identifying and pursuing opportunities to sell success services to new and existing customers. Monitor and report on key performance indicators, including pipeline, revenue, and renewal rates.
- Customer Engagement: Participate in strategic customer meetings, product demos, and customer calls to provide expertise on success services and how they can help customers achieve their goals.
- Continuous Improvement: Gather feedback from customers and the sales team to identify areas for improvement in the success services offering and customer experience. Drive continuous improvement of service offerings based on customer feedback, performance data, and best practices.
- Cross-functional Collaboration: Work closely with customer success, support, professional services, product management, engineering, and marketing teams to ensure effective service delivery and alignment with company goals and objectives.
- Performance Tracking: Monitor and report on key performance indicators for service offerings, identifying trends and areas for improvement.
Stakeholder Management: Build and maintain strong relationships with key stakeholders, including customers, partners, and internal teams.

#### Manager, Success Services Requirements

- Proven experience in managing customer success services or professional services teams, preferably in DevSecOps or a similar technical domain.
- Strong understanding of the DevSecOps methodology, software development lifecycle, and related technologies.
- Demonstrated ability to lead, coach, and mentor a team of customer success professionals to drive customer satisfaction, adoption, and retention.
- Excellent communication and interpersonal skills, with the ability to collaborate effectively with sales teams, customers, and internal stakeholders at all levels.
- Strong sales acumen and experience in identifying and pursuing opportunities to sell services to new and existing customers.
- Data-driven mindset with the ability to analyze customer data, identify trends, and make data-informed decisions to optimize success services and improve customer time to value.
- Experience with customer success metrics, KPIs, and reporting.
- Strong problem-solving skills and the ability to think creatively to develop innovative solutions that address customer challenges and improve their experience.
- Experience in creating and delivering compelling presentations, demonstrations, and training sessions to showcase the value of success services and educate customers on best practices.
- Collaborative and team-oriented mindset, with the ability to work closely with cross-functional teams to align success services with company goals and objectives.
- Willingness to travel as required - up to 40%.

### Senior Manager, Success Services

[content to be added when the need for the role arises]

### Director, Success Services

The Director, Success Services is a strategic leader, blending technical acumen with a customer-centric approach. They are accountable for shaping, developing, and delivering our innovative paid success plan offerings and service designs, focusing on exceeding the evolving needs of our customers. The director role involves coordinating with various internal and external stakeholders to set a long-term vision and strategy for our Service offerings, ensuring they align with company goals and drive customer value and business growth.

The Director, Success Services reports to the VP, Customer Success

#### Director, Success Services Job Grade

The Director, Success Services is a job grade [level 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Director, Success Services Responsibilities

- Strategic Leadership: Develop and articulate a clear vision for paid success plan offerings, ensuring alignment with company goals and customer needs.
- Product and Service Development: Lead the design and iterative development of new and existing service offerings, ensuring they are customer-centric, scalable, and technologically advanced.
- Cross-functional Collaboration: Work closely with teams across sales, marketing, product development, customer success, and support to ensure effective service delivery and alignment.
- Market Research: Conduct thorough analysis to understand customer needs, industry trends, competitor offerings, and technology advancements.
- Customer Experience: Develop detailed customer journey maps and manage customer feedback loops to enhance service offerings and customer touchpoints.
- Performance Management: Define and monitor KPIs for service offerings, evaluating success and identifying improvement areas.
- Team Leadership: Guide and support a diverse team, fostering a culture of innovation and continuous improvement.
- Communication: Regularly report on service offerings' progress and outcomes to senior leadership and stakeholders.
- Commercial Management: Oversee the services product portfolio, manage commercial collateral, and ensure alignment with commercial targets.

#### Director, Success Services Requirements

- Proven track record of building and maintaining strong relationships with sales teams and customers to drive revenue growth and customer satisfaction.
- Deep understanding of the DevOps landscape, software development lifecycle, and the challenges faced by organizations adopting DevOps practices.
- Excellent communication and interpersonal skills, with the ability to effectively collaborate with cross-functional teams, including sales, product management, engineering, and marketing.
- Strong leadership and people management skills, with experience in building, mentoring, and managing high-performing teams.
- Data-driven and analytical mindset, with the ability to leverage customer insights, usage metrics, and feedback to identify opportunities for improving services and reducing time to value.
- Skilled in creating and delivering compelling presentations and demonstrations to showcase the value of success services to potential customers.
- Ability to think strategically and execute tactically, balancing short-term wins with long-term objectives.
- Strong project management skills, with the ability to prioritize and manage multiple initiatives simultaneously.
- Experience in defining and tracking key performance indicators (KPIs) related to customer adoption
- Willingness to travel as required - up to 40%.

## Performance Indicators

- Pipeline and Revenue created
- Customer Satisfaction
- Renewal of Service
- [Customer adoption metrics](/handbook/customer-success/csm/)

## Career Ladder

Team members in the Success Service Management job family may progress through the career ladder; in some instances team members may move to other roles in the Sales organization such as Professional Services, or other Customer Success roles.

## Hiring Process (All Roles)

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

1. Phone screen with a GitLab Recruiting Team Member
1. Video Interview with the Hiring Manager
1. Team Interviews with 1-4 Team Members

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
