---
title: "Technical Enablement Program Manager"
---

The Technical Enablement Program Manager is responsible for leading and managing technical learning programs for GitLab technical sales and customer success professionals (Solution Architects and Customer Success Managers) across the technical sales professional lifecycle.

## Levels

### Senior Technical Enablement Program Manager

The Senior Technical Enablement Program Manager reports to the Manager, Field Enablement Programs.

#### Senior Technical Enablement Program Manager Job Grade

The Senior Technical Enablement Program Manager is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Technical Enablement Program Manager Responsbilities

- Works quickly and iteratively on projects with very limited direction from others
- Viewed as a subject matter expert and trusted advisor by the sales organization and key stakeholders
- Collaborate regularly with Customer Success leadership on enablement plans
- Innovates and continually improves the delivery of world-class sales enablement programs
- Regularly shares best practices and provides constructive coaching and feedback to other members of the team
- With comprehensive knowledge of the GitLab platform and associated technologies, educate team members on the value proposition of GitLab while participating in discussions throughout the organization to ensure successful GitLab deployment.
- Maintain in-depth knowledge of the entire GitLab application.
- Continuously improve your professional skills with a focus on personal mastery and team learning.
- Work cross-departmentally to find solutions to complex scenarios and integration issues.
- Propose improvements and innovation for customer calls and product demonstrations based on current market trends.

#### Senior Technical Enablement Program Manager Requirements

- Demonstrated progressive experience in a software sales or sales enablement role, preferably with expertise in DevOps and/or Open Source
- Self-manages workload to meet deadlines and prioritize accordingly
- Proven experience building and managing successful sales enablement programs for B2B enterprise sales professionals
- Technical presentation and communication skills
- Experience with technical pre-sales/ post sales or as a professional in the field of information technology a plus
- Knowledge of the end-to-end software development lifecycle
- Understanding of continuous integration and continuous deployment
- Experience with modern software development or operations and their associated technologies
- Ability to use GitLab and willing to work with Git and GitLab whenever possible
- Detailed oriented and analytical
- Strong team player but a self-starter
- Project management experience & skills
- Strong technical, analytic, and problem-solving skills

## Performance Indicators

- [Time to Value](/handbook/customer-success/customer-success-vision/#time-to-value-kpis)
- [Net Retention](/handbook/customer-success/customer-success-vision/#retention-and-reasons-for-churn)

## Career Ladder

The next steps for the Technical Enablement Program Manager Job Family would be to move to the [Field Enablement Leadership](/job-families/sales/director-of-field-enablement/) Job Family.

## Hiring Plan

Applicants for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a 30min [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 team members
- There may be a final executive interview

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
