---
title: "Technical Writer, Customer Programs"
---

The Technical Writer, Customer Programs is a part of the [Customer Success Manager](/job-families/sales/customer-success-management/) team, and focuses on creating the content to enable our customer digital journey, while also contributing to GitLab docs and blog posts to ensure the 'how-to' learnings shared across our team are memorialized for our customer to benefit.

## Levels

### Senior Technical Writer, Customer Programs

The Senior Technical Writer, Customer Programs reports to the [Director of Customer Success Managers](/job-families/sales/customer-success-management/#director-of-tams).

#### Senior Technical Writer, Customer Programs Job Grade

The Senior Technical Writer, Customer Programs is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Technical Writer, Customer Programs Responsibilities

- Create onboarding and enablement content required to deliver digital content supporting GitLab's digital journey and respective engagement methods
  - Work with the Program Manager, Customer Programs to iterate on content based on open rates, click through rates, survey results and product analytics to continuously improve the efficacy of the program
  - Work with the CSM Managers with a particular focus on the commercial and SMB to ensure understanding of common customer challenges and required outcomes
- Continuously improve GitLab's documentation content in collaboration with Product, Engineering and Marketing teams
  - Produce or curate content for 'how-to' on using GitLab features, including contextual content that clarifies why and when a user might use a feature or workflow
  - Review enablement conversation and learnings that are documented in internal channels, such as Slack, and convert content into customer-facing documentation in docs, blog posts, or digital journey content
  - Identify and address content gaps or the need for additional media such as diagrams or videos
  - Participate in reviews and revamps of section or page content and structure
  - Help review and triage incoming suggestions, corrections, and other content from the technical account management team, and from our customer base
- Contribute to the improvement of GitLab writing team process and style, as well as cross-functional efforts
  - Act as a reviewer and contributor to GitLab's [Handbook](/handbook/)
  - Work with and contribute to the documentation [Style Guide](https://docs.gitlab.com/ee/development/documentation/styleguide/) and documentation [process guides](https://docs.gitlab.com/ee/development/documentation/)
  - Collaborate with and help improve upon collaborative processes with others including product managers, Support, Marketing, Engineering, and the wider GitLab community

#### Senior Technical Writer, Customer Programs Requirements

- Experience writing, editing, researching, and planning technical documentation
- Excellent skills in grammar, minimalist documentation design, and effective information architecture
- Great teaching skills that translate into amazing written work
- Experience writing documentation for technical products
- Ability to work in fast-paced, rapidly scaling start-up environment
- Highly organized; able to triage and prioritize numerous issues and projects
- Able to succeed in a remote, globally distributed work environment
- Ability to use GitLab and willing to work with Git and GitLab whenever possible
- You share our values, and work in accordance with those values
- Experience with workflows and tooling used by engineering, operations, product teams
- Experience with HTML/CSS, static site generators, and managing docs as code, prefered
- Using or documenting software development tools, prefered
- Linux command line, Git, and/or programming languages, prefered
- Software development methodologies like agile and DevOps, prefered

## Performance Indicators

- [Time-to-Value KPI's](/handbook/customer-success/customer-success-vision/#time-to-value-kpis)
- [Net Retention](/handbook/customer-success/customer-success-vision/#retention-and-reasons-for-churn)
- [Retention, Gross & Net](/handbook/customer-success/customer-success-vision/#retention-gross--net-dollar-weighted)
- [Reason for Churn/Expansion, Dollar Weighted](/handbook/customer-success/customer-success-vision/#retention-gross--net-dollar-weighted)

## Career Ladder

The Customer Programs Job Family would flow into the [Customer Success Managers](/job-families/sales/customer-success-management/) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters,
- Next, candidates will complete an Assessment
- Candidates will then interview with the Manager, Customer Success Managers &  Senior Manager of Customer Success Operations
- The next interview is with one of our Technical Writers
- The next interview is with our Director, Customer Success Managers
- The final interview is with our VP of Customer Success

Additional details about our process can be found on our [hiring page](/handbook/hiring/interviewing/).
