---
title: "Vice President, Online Sales and Self Service"
---

The Vice President, Online Sales & Self Service job family is responsible for bringing a strategic vision and innovative approach in creating, managing and executing strategic programs that drive key revenue, margin, and growth opportunities globally for GitLab.

The Vice President, Online Sales & Self Service reports to the [VP of Commercial Sales](/job-families/sales/vp-of-commercial-sales/).

#### Job Grade

The VP, Online Sales and Self Service is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

- Lead the e-commerce and self-service business to drive revenue growth, sales efficiency, customer experience, and customer retention.
- Develop and execute an e-commerce strategy that will increase customer adoption and drive the online business, increasing revenue and profitability.
- Partner closely with Sales, Marketing, Product Management, Fulfillment and Support teams to optimize e-commerce processes to meet broad company objectives.
- Consolidate self-service business requirements from all segments, channels, and geographies and provide a single business plan and interface for the product teams.
- Establish and deliver on a strategy to land new customers with a mutual vision for expansion and expand existing accounts with purpose, driving customer success and predictable year-over-year ARR growth for GitLab.
- Maintain key customer kpi for conversion and self-serve retention programs. Develop and implement strategies for expanding the company's customer base via self service.
- Build a team of program managers, analysts, sales support specialists and systems designers to define business requirements, test and iterate to fulfill needs of customer  experience.
- Own both native and overlay quota.
- Exceed growth and sales efficiency targets.
- Provide detailed and accurate sales forecasting for online sales by segment, channel, and region.
- Manage prioritization of iteration of online sales funnel and instrumentation.
- Plan and manage both short term and long term coordination with marketing, product, and sales leadership.

## Requirements

- A solid track record of online sales growth and target attainment
- Has specialized knowledge of the Online Sales, Self Service/e-commerce space, and customers
- Proven second-line management experience with deep domain experience in the Online Sales vertical, including a history of successfully selling through the e-commerce channel
- Multiple repeatable proof points of recruiting, hiring, developing, and retaining leaders and individual contributors that make up a high performing online sales organization.
- Strong experience in software sales, preferably with development tool and/or open-source experience
- Proven track record of working closely with the channel for growth leverage
- Proven success partnering with Marketing, Channel, Alliances, Product, and Engineering peers
- Demonstration of high levels of integrity, initiative, honesty and leadership
- Must be adaptable, professional, courteous, motivated and work well on their own or as a member of a team
- Willingness to learn and use GitLab
- Polished presentation skills
- Ability to handle a fast-paced environment and ambitious workload
- Bachelor degree
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

## Performance Indicators

- As with all roles in the Sales department the VP of Enterprise Sales participates in the [Sales KPIs](https://internal.gitlab.com/handbook/company/performance-indicators/sales/#kpi-summary).
- Specific to this role:
  - [CAC Ratio](https://internal.gitlab.com/handbook/company/performance-indicators/sales/#cac-ratio) (target: Monthly target set by Finance)
  - [Percent of Ramped Reps at or Above Quota](https://internal.gitlab.com/handbook/company/performance-indicators/sales/#percent-of-ramped-reps-at-or-above-quota) (target: greater than 55%)
  - [Percent of Ramping Reps at or Above 70% of Quota](https://internal.gitlab.com/handbook/company/performance-indicators/sales/#percent-of-ramping-reps-at-or-above-70-of-quota) (target: greater than 70%)
  - [Churn and Contraction / ATR](https://internal.gitlab.com/handbook/company/performance-indicators/sales/#churn-and-contraction-atr) (target: Quarterly target set by Sales & Finance)
  - [ARPU](https://internal.gitlab.com/handbook/company/performance-indicators/sales/#arpu) (target: 1.5% increase per month)

## Career Ladder

The next step for the VP, Online Sales & Self Service Job Family is to move to the [VP of Commercial Sales](/job-families/sales/vp-of-commercial-sales/) Job Family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process.

- Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with our VP, Talent Acquisition.
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to schedule interviews with members of the CRO Leadership team
- Next, candidates will be invited to scheduled interviews with members of our Fulfillment and Growth teams
- Finally, candidates will be asked to interview with our Chief Revenue Officer

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
