---
title: "Vice President of Commerical Sales (Mid-Market and SMB)"
RoleName: "VP of Commercial Sales"
---

At GitLab, we are fundamentally changing the way our customers get their software to market by putting the entire DevOps lifecycle into a single application. With over 100,000 organizations using the product GitLab is one of the fastest growing companies in technology. Our channel teams are responsible for building, enabling, supporting and driving revenue with SIs, VARs, VADs, and DMRs. Our channel partners deliver both sales and professional services to our joint customers. Together, we make our customers successful in achieving their business outcomes with the GitLab product as they move to truly modern DevOps. We know that our customers trust GitLab to take their ideas all the way from plan to shipped product in production. we take that responsibility seriously and are building a worldwide partner program with like-minded partners. We have an incredible existing, and rapidly growing, customer base, with a passionate, supportive open-source community and incredibly talented teams located in 40 countries focused on supporting them.

We're looking for an experienced leader to lead our worldwide sales for the mid-market and small/medium business segment.  As Vice President, Commercial Sales, you will be responsible for bringing your strategic vision and innovative approach to expand the SMB and Mid-Market sales teams responsible for selling all of our products to those segments worldwide. Reporting to the Chief Revenue Officer, you will play a key role in generating new and expansion revenue, sales process design, and creation of efficient programs that allow high rep productivity in a model that allows us to scale quickly with success.

If you have an action mindset and are excited by the idea of quickly scaling globally, this is a rare opportunity to join a bold, fast-moving, transparent, values-driven leadership team and company while engaging with some of the best partners in every geography in the world.

## Job Grade

The VP of Commerical Sales is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

## Responsibilities

- Define goals and strategy to drive recurring revenue from new and expansion customers in the Mid-Market and SMB segments.
- Build a highly efficient and productive sales team in scalable model that enables high growth in markets around the world and utilizes the best combination of web, inside sales, field sales and partners to best serve our customers.
- Recruit, onboard and develop high performing and committed sales reps and managers globally while ensuring a progressive career path for the future.
- Continually assess, clarify, and validate strategy and process.  Track, measure and report on sales effectiveness and adjust programs and strategies as necessary.
- Collaborate with Marketing for demand generation, inbound and outbound, and other marketing programs to drive high conversion rates and efficient customer acquisition.
- Work cross-functionally internally to ensure messaging alignment, operational coordination and evangelization of partner strategy.
- Collaborate with sales leaders around the world to ensure regional alignment, collaboration to enter new markets, and career path for team members across segments.
- Create a predictable sales model that enables accurate forecasting on a monthly and quarterly basis

## Requirements

- Demonstrated progressive sales leadership experience especially with high-growth inside sales teams.
- Experience building and managing sales programs including messaging, metrics, methodology, and tools.
- Demonstrable track record of success in sales and managing sales forecast.
- Experience in a high-growth company. Strong ability to interact and influence effectively with C-level executives and team members.
- Record of recruiting and enabling top talent.
- Ability to quickly understand technical concepts and explain them to audiences of varying technical expertise.
- High caliber, dynamic personality.
- Excellent time management and written/verbal communication skills.
- Ability to travel globally as needed
- You share our values, and work in accordance with those values.
- [Leadership at GitLab](/handbook/company/structure/#s-group)
- Ability to use GitLab
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

{{% job-families/sales/performance %}}

## Career Ladder

The next steps for the VP, Commercial Sales would be to move to the [Chief Revenue Officer](/job-families/sales/chief-revenue-officer/) Job Family.
