---
title: "VP, Field Operations"
---

## Vice President, Field Operations

The Vice President, Field Operations is responsible for bringing a strategic vision and innovative approach in creating, managing and executing strategic programs that will drive key revenue, margin, and growth opportunities globally for GitLab. The Vice President, Field Operations reports to the [Chief Revenue Officer](/job-families/sales/chief-revenue-officer/).

### Job Grade

The VP, Field Operations is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Partner with the Chief Revenue Officer on all non-customer facing issues impacting the success of the sales team.
- Manage the global sales planning process, including regular updates to territory and quotas, headcount and sales compensation plans.
- Partner with the CRO, Finance and HR to design, document, implement and monitor sales compensation plans.
- Collaborate with Sales Leaders and teams to develop and execute sales management disciplines and processes (territory assignment & reviews, weekly/quarterly forecast, QBRs, pipeline analysis and development, account planning, account assignments, quota/budget allocation).
- Provide pricing and contract support; manage approval process (deal sign off) between Sales and Finance.
- Lead, manage and evaluate the sales tools, processes, policies and programs to ensure continuous productivity and effectiveness.
- Manage Field Enablement programs and processes for both Sellers and Partners.
- Manage and maintain the Sales Handbook
- Create Board level and other presentations for the Chief Revenue Officer

### Requirements

- Demonstrated progressive experience in a global SAAS sales or sales operations environment.
- Demonstrated passion for information and business intelligence; thorough understanding of sales processes and methodologies.
- Demonstrated progressive experience in Salesforce.com.
- Experience growing within a small start-up. Strong ability to interact and influence effectively with all C-level executives and team members.
- Ability to work independently with a high degree of accountability, while also able to collaborate cross-functionally (finance, marketing, sales enablement, etc) with exceptional intrapersonal skills.
- Exceptional written/verbal communication and presentation skills.
- Analytical and detail oriented, strong project management skills with a drive for results.
- Proven ability to thrive in a fluid, fast-paced, unpredictable environment.
- Unquestionable ethics, integrity and business judgment; you share our values, and work in accordance with those values.
- Ability to travel if needed and comply with the company's [travel policy](/handbook/finance/travel/)

### Performance Indicators

- IACV vs Plan
- Field Efficiency Ratio
- IACV Efficiency

### Career Ladder

The next steps for the VP, Field Operations would be to move to the [Chief Revenue Officer](/job-families/sales/chief-revenue-officer/) Job Family.

### Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- First, the candidate will have a 30 min screening call with a GitLab Recruiters
- Next, the candidate will have a 30 min interview with the Hiring Manager
- Next, the candidate will have 3-5 30 min interviews with team members
- Next, the candidate  will have a 45 min interview with a peer
- Lastly, the candidate will have a final 45 min interview with the CRO

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
