---
title: Vice President, Revenue Operations
---

### Vice President, Revenue Operations

The Vice President, Revenue Operations reports to the VP, Field Operations.

#### Vice President, Revenue Operations Job Grade

The Vice President, Revenue Operations is a [grade 12](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Vice President, Revenue Operations Responsibilities

- Drive effective revenue operational management for the VP of Field Operations
- Manage revenue growth strategy and execution, operations, customer success, enablement and data analysis to support global Field Sales initiatives
- Collaborate with senior leaders of Field Sales to drive annual revenue operations planning cycles and alignment across cross-functional businesses
- Develop and influence new processes and technologies that optimize the path for supporting the revenue growth of the businesses globally across all routes to market (e.g. Q2C, SFDC)
- Develop and nurture cross-functional partnerships across the entire Field Sales organization which impact overall customer success and drives customer retention & revenue growth
- Provide leadership to ensure proper analysis of customer health metrics and proactively mitigate customer retention risk
- Partner with Field Sales leadership to identify strategic priorities and opportunities for the team, overseeing objectives and key results, and ensuring focus is on highest-impact initiatives
- Partner with relevant GTM Teams and Sales Strategy to leverage performance analytics, influence cross-functional revenue programs and escalate relevant topics
- Build strong working relationships with executives and key leaders across GTM teams (e.g. product, engineering, marketing, information technology and finance) and influence the goals and priorities of stakeholders whose mission aligns with that of Field Operations
- Build, develop and manage a diverse team of high-performing managers: Build and maintain a world-class, inclusive, diverse, high-performing team by driving effective onboarding, on-going training, retention with a strong remote culture

#### Vice President, Revenue Operations Requirements

- Experience in business, operational leadership roles in a global SaaS Sales environment
- Experience in crafting strategic vision, making data-driven business decisions, including identifying gaps or business needs, and innovating and scaling solutions
- Proven track record of success with a history of achieving customer retention and expansion sales goals
- Possess that rare blend sales acumen wrapped in a strong customer-centric mentality
- Demonstrated experience in data analytics or intelligence operations
- Management experience and skills with proven experience influencing in a highly-matrixed company
- Extensive experience engaging at an executive level both internally with cross-functional groups and externally with partners
- Proven record of leading a diverse, high performing team across geographical regions and experience building high-performing, inclusive teams
- Experience managing managers, senior managers and directors
- Demonstrated passion for operations, data intelligence, enablement and thorough understanding of cross-functional alignment in a global environment
- Strong ability to interact and influence effectively with all C-level executives and senior leaders
- Exceptional written/verbal communication and presentation skills
- Ability to work independently with a high degree of accountability, while also able to collaborate cross-functionally with exceptional intrapersonal skills Proven ability to thrive in a fluid, fast-paced, unpredictable environment.
- Unquestionable ethics, integrity and business judgment; you share our values, and work in accordance with those values.
- Ability to use GitLab
- Aligns with GitLab [Values](/handbook/values/)

## Performance Indicators

The Vice President, Revenue Operations aligns to the [Sales KPIs](/handbook/company/kpis/#sales-kpis)

## Career Ladder

The next steps for the Title job family has not yet been defined.

## Hiring Process

- Applicants for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).
- Selected candidates will be invited to schedule a 30min [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, qualified candidates will be invited to schedule a first interview with the Hiring Manager
- Next, qualified candidates will be invited to interview with 2-5 team members
- There may be a final executive interview for qualified candidates

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
