---
title: "Facility Security Officer"
---

Facility security officers (FSOs) are in charge of managing security in their organization's facilities. They are responsible for creating a secure environment for employees, vendors, and company visitors.

As a member of the Security Team at GitLab, you will be working towards raising the bar on security. We will achieve that by working and collaborating with cross-functional teams and global customers to provide guidance on security best practices.

The [Security Team](/handbook/security) is responsible for leading and
implementing the various initiatives that relate to improving GitLab's security.

## Responsibilities

- Maintain strict confidentiality as related to all security matters
- Build and maintain an Insider Threat Program
- Perform a wide variety of administrative duties in support of security procedures and requirements
- Review and amend as needed security policies and procedures
- Personnel Security - Assisting employees with initiating, maintaining and terminating personnel clearance actions
- Conducting security clearance indoctrination briefings and debriefings
- Must complete required training for obtaining a JPAS account (Cybersecurity and PII)
- Process visit authorization requests in JPAS for personnel for classified visits
- Process notification letters and visit authorization requests for new Task Orders
- Establish and maintain effective professional working relationships with co-workers, and customers
- Follow policies and procedures as described in corporate manuals and directives
- Maintain PKI for JPAS (Joint Personnel Adjudication System) - Government database for all cleared people/contractors
- Ultimate responsibility for all cleared personnel as it pertains to getting, keeping clearances
- Support the company as a direct advocate to DSS (Defense Security Services)

## Requirements

- You have a passion for security and open source
- You are a team player, and enjoy collaborating with cross-functional teams
- You are a great communicator
- You employ a flexible and constructive approach when solving problems
- You share our [values](/handbook/values/), and work in accordance with those values
- Ability to use GitLab

## Levels

### Facility Security Officer

- Leverages security expertise in at least one specialty area
- Triages and handles/escalates security issues independently
- Great written and verbal communication skills
- Screen security candidates during hiring process

Please note: The FSO does not have a grade internally at GitLab.

## Career Ladder

For more details on the engineering career ladders, please review the [engineering career development](/handbook/engineering/careers/#roles) handbook page.
