---
title: GitLab Diversity, Inclusion, and Belonging 2023
date: 2023-07-26
hide_readingtime: false
pdf: 12170_GitLab_DIB_Presentation_07.25.23.pdf
---

## Everyone means *everyone*

**Inclusion has always been at the heart of
GitLab. In fact, we founded the company
with a mission to make it so that
everyone can contribute—and we know
that "everyone" is a powerful word. We
don't take that lightly.**

"Everyone" is a promise to honor the experiences of each
person, their individuality, and their voice. More importantly, it's
a commitment to help them harness that individuality, to make
their uniqueness essential. That goes for our users and our
team members. Because when we can channel each person's
experience—that is, when we can add everyone into our
product—then we truly become innovators. And by prioritizing
Diversity, Inclusion, and Belonging (DIB), we lay the
groundwork to multiply our capabilities.

To put it simply, we need the contributions of everyone in order
to transform the industry, empower our team members, and
help our users change the world.

## From our CEO

> **GitLab's mission is to make it so that
> everyone can contribute. You can't reach
> everyone unless Diversity, Inclusion, and
> Belonging (DIB) is core to your company
> and how you work. DIB has always been
> a core value of GitLab and reflected in
> the annual company goals:**
>
> Continue to build a diverse team of top talent that we retain
> and grow." DIB helps us accelerate innovation, attract top
> talent, and deepen team member engagement.
> In fiscal year 2023 (February 2022 through January 2023),
> GitLab exceeded its aspirational, internal goals for hiring and
> promotion of team members from,
> including women in senior leadership and URGs in
> management positions. I am proud of the progress that the
> team has made. Building a diverse and inclusive workplace
> takes time, effort, intentionality, and persistence. And it's an
> investment we are committed to continue both externally and
> for our team members, together, one year at a time.

- Sid Sijbrandij, GitLab Co-founder and Chief Executive Officer

## GitLab's DIB vision

**Diversity, Inclusion and Belonging has
been a core at GitLab since the
organization began. Our vision in FY24 is
a future where the Diversity, Inclusion,
and Belonging value empowers everyone
to contribute.**

> When I started at GitLab a little over a year ago, I was
> encouraged by what existed around Diversity Inclusion and
> Belonging. We had executive leadership backing our DIB
> initiatives, a number of Team Member Resource Groups
> (TMRGs) to support our workforce and Key Performance
> Indicators (KPI) focused on DIB representation. We also had
> areas where we could make a bigger difference: working with
> our leaders on embedding DIB into their divisions in meaningful
> ways that reflect their accountability to DIB as a value.
> Reimagining our TMRGs to reflect our global workforce and
> utilizing them to both engage and retain our team members
> through dedicated programs, and educating our leaders on the
> representation in their divisions and enlisting their support for
> our programs. We also looked to refocus our efforts on
> ensuring our workforce is representative of the community and
> customers we serve at every level of the organization.
>
> I am encouraged by the advancements we've made in these
> areas. Throughout this report, we'll share more details by
> focusing on our workforce, our workplace and
> how we have made progress through collaborative
> partnerships both internally with our talent team and externally
> with organizations dedicated to the education and progression
> of our underrepresented groups in the tech industry.
>
> DIB at GitLab in FY23 was focused on continuing the mission
> of diversity, inclusion, and belonging, where, like our company's
> mission, we believe in a world where everyone can contribute.
> And we don't just believe in that world, we're building it with
> DIB as a core value. A world where everyone has a voice and is
> empowered to show up as their full selves each and every day.
>
> Our vision in FY24 is a future where the Diversity, Inclusion,
> and Belonging value empowers everyone to contribute. We're
> excited to be highlighting this important work and sharing this
> report, so you can find out more about GitLab Diversity,
> Inclusion, and Belonging in practice, our team members'
> experiences, and where we still have work to do.

- Sherida McMullan, Vice President of Diversity, Inclusion & Belonging

## The people who make us proud

**People make our product go; more
specifically, unique people make our
product go. And we know that because
we've seen it work. We've seen how
individual contributors change the game,
dream up new product features, and
breathe life into our culture.**

Giving everyone the power to contribute starts with making our
group of team members as representative of everyone as
possible. It starts with putting our words into action, and we're
proud of who we've become and the team we've put together.

### How we fulfill our DIB workforce goals

Building a diverse and inclusive workplace is one of our top priorities,
and it requires effort and a dedicated effort across the company. We're
committed to that investment, and will continue to improve year over year.

At GitLab we are building an inclusive workplace by:

- Beating our aspirational representation goal of 30% senior women in leadership by 7%
- Increasing our underrepresented group representation across all job grades, exceeding our CTO and CEO aspirational quarterly goals focused on URG management and senior leadership
- Establishing 3 new [Team Member Resource Groups (TMRGs)](/handbook/company/culture/inclusion/#tmrgs---team-member-resource-groups) focused on inclusion and belonging: GitLab [Caregivers](/handbook/company/culture/inclusion/tmrg-caregivers/), [Global Voices](/handbook/company/culture/inclusion/tmrg-global-voices/), and [Black@GitLab](/handbook/company/culture/inclusion/tmrg-gitlab-black/)

> It's wonderful to work for a company that accelerates me as a woman,
> a working mother, as well as being a part of a team. It makes me feel
> great. I feel very included. I feel like my voice is respected and I
> feel that I can achieve anything here at GitLab.

- April Marks, GitLab Strategic Account Leader

### The story our DIB data tells about our people

For FY23 (February 2022 to January 2023), our goal was to continue
building a diverse team of top talent that we retain and grow. We're
proud of the progress we've made in doing that.

Here are a few of the stats that indicate our current representation:

- **31%** of our workforce is women
- **35%** of our management staff are women
- **37%** of global senior leadership at GitLab are women
- **17%** of our workforce is comprised of URGs
- **13%** of our management team is comprised of URGs
- **13%** of our senior leadership group is comprised of URGs

**.68%** of GitLab's management team identifies as non-binary

**6.6** percentage point decrease in regrettable underrepresented group
(URG) attrition relative to a year ago.

You can see all of our team member representation data [here](/handbook/company/culture/inclusion/identity-data/).

## Building a workplace where everyone belongs

At GitLab, we're building a culture where everyone belongs and everyone
can contribute. Our ability to do that rests upon listening and using
every available resource to take action that results in change. When we
do that, we create a workplace where everyone feels valued, a place where
team members know they'll be accepted and want to come to work.

> Many companies claim to encourage professional growth, but GitLab is
> the first company where I've worked that I feel actually is committed
> to this promise.

- Yimei Lin, GitLab Senior Account Executive

### Our culture of listening

A big part of GitLab's engagement strategy involves collaboration across
many teams and functions. Our centralized People Communications &
Engagement team coordinates team member communications, engagement
resources, team member listening, and maintaining leadership resources
that allow managers at GitLab to lead engaged teams.

GitLab runs an annual engagement survey and supplements that annual
survey with at least one additional survey that broadly gauges team
member sentiment. For the past three years, we've taken part in the Great
Place to Work survey to understand team member perceptions. In FY23, we
achieved an [82% participation rate](/handbook/people-group/engagement/#fy23-q2-pulse-engagement-survey-results)
and an overall 'favorable' engagement score of 81%. We scored 8% higher
than our New Tech peer group, which consists of ~150 fast growing and
disruptive tech companies with over 1000 total team members each. These
results show that GitLab is an industry leader from an engagement
perspective.

As an organization that values transparency, we publish all of our
engagement survey results in our public handbook. This allows both team
members and prospective candidates to get a view into our culture: <https://handbook.gitlab.com/handbook/people-group/engagement/>

### Our culture of action

> As a company that values transparency, publishing our 2023 Diversity,
> Inclusion, and Belonging report is an exciting milestone that highlights
> both our progress and areas to further build a more representative and
> equitable GitLab. Being the new executive sponsor of our Caregivers Team
> Member Resource Group, I'm excited to share my experience with other
> caregivers at GitLab and ensure we are exploring the best ways to meet
> the needs of our team members who are caring for others.

- Wendy Nice Barnes, GitLab Chief People Officer

Many of the elements that have enhanced our DIB culture have come from
the insights of our team members, the expansion of our DIB staff, and the
never-ending question: what can we do better?

Here are a few components of GitLab's DIB value that we've put into action.

#### Team Member Resource Groups (TMRGs)

TMRGs are voluntary, team member-led groups focused on fostering
diversity, inclusion and belonging within GitLab. TMRGs build a sense of
belonging through team members: togetherness, camaraderie, and
connections. These groups are open to all members of the GitLab community.

Within these groups, members can experience:

- Reverse AMAs: Ask Me Anything Q&A with our Executive Group and team members.
- Stay interviews: Small cohort conversations with Executive Group leaders and our underrepresented groups with the goal of gaining valuable insights to ensure we are fostering an inclusive culture where all team members can thrive.
- Sales sponsorship pilot: A [nine-month program](/handbook/company/culture/inclusion/DIB-Sponsorship/) that paired our senior CRO leaders with underrepresented team members to help create pathways, visibility, and advocacy to assist with progression within Sales.
- [TMRG Leadership Recognition Program](/handbook/company/culture/inclusion/erg-guide/#roles-within-the-group): A bonus provided to team members leading our TMRGs or DIB-focused groups to recognize great work being done to support the DIB strategy and DIB Team and embedding the DIB value at GitLab
- [DIB Speaker Series](/handbook/company/culture/inclusion/DIB-Speaker-Series/): These are speakers, panels, or workshops with leaders internally and externally from a variety of communities. These events provide educational opportunities and inspire allyship with underrepresented groups.
- [Executive (VP+) sponsorship](/handbook/company/culture/inclusion/erg-guide/#executive-sponsorship): The role is to support the development of the TMRG, provide advocacy at the leadership level, connect the TMRG to GitLab's mission and goals, and provide advocacy to TMRG leaders.
- TMRG community Slack spaces: TMRGs create safe spaces to connect.

> As the Executive Sponsor of the Black@GitLab TMRG, I advocate for the
> team member group and make sure that it's happening at the executive
> level as well as across the company. My goal is also to provide
> visibility into what's happening so members of the TMRG can be truly
> connected to the company.

- David DeSanto, GitLab Chief Product Officer

#### Sponsorships

We've carefully selected and partnered with organizations that enhance
and promote our DIB practice both internally and publicly. These
sponsorships afford us additional resources to magnify our culture for
existing team members and raise awareness for our DIB emphasis in our
talent pipeline.

A few of our sponsorships include:

- [Black is Tech 2022](https://blackistechconference.com/)
- [Dev/Color in Motion 2022](https://www.devcolorinmotion.com/), San Francisco
- [Girl Develop It Career Fair 2022](https://girldevelopit.com/events/details/girl-develop-it-career-conversations-presents-virtual-career-fair/)
- [Rails Girls Warsaw 2022](https://railsgirls.com/warsaw.html), Poland
- Speaker Engagements at:
  - [VentureFizz Career Progression Panel 2022](https://venturefizz.com/videos/venturefizz-event-video-which-stage-company-fit-your-career-public-company-edition)
  - Women in Sales Everywhere (WISE) - Making the Most of Mentorship
  - WISE - Burnout: What is it and how do we manage it?
  - WISE - EOY Reflections: Preparing for 2023

#### Leadership Council

Our [Leadership DIB Council](/handbook/company/culture/inclusion/leadership-dib-council/)
consists of 13 Director+ leaders representing
every division across all regions. Their task is to assist the DIB Team
in implementing the corporate DIB strategy and provide insights to the
DIB Team on the division's strategic initiatives. More specifically, the
Leadership DIB Council is responsible for:

- Aligning DIB initiatives with business goals
- Providing division and/or geographic insights to the DIB Team
- Representing DIB in the Executive Group
- Actively advocating, challenging norms, and iterating to ensure that DIB remains top of mind at GitLab

## The future of Diversity, Inclusion, and Belonging

DIB helps us accelerate innovation, attract top talent, and deepen team
member engagement. And we can't make everyone a contributor if we aren't
connecting with every community. So it goes to say that DIB is an
integral part of our future—not only as a people-centric practice but as
a key contributor to our success in the DevSecOps industry.

So what does success look like? Of course, it includes continued
improvement of our underrepresented group representation data, at the
senior levels of the organization, beyond the current marks. It includes
continuing to create new ways to make every team member feel comfortable
to participate, empowered to excel, and open to express their authentic
selves.

But DIB success also takes the form of increased market share,
skyrocketing innovation, and greater customer sentiment. As we mentioned
before, including everyone only makes GitLab better, and the effect we
have on the market is a direct reflection of our focus on DIB.

> DIB has significantly evolved throughout GitLab's history and I am
> encouraged by the support for TMRGs, for example, the Women's TMRG has
> grown from 19 members to 246 members today. As DIB evolves, there's still
> a need for more women in senior leadership and I'd like to see DIB be a
> part of every E-Group-level KPI and OKR.

- Kyla Gradin-Dahl, Area Sales Manager, U.S. West

### How we continue to boost DIB at GitLab

> With GitLab due to our values being a 'living' thing, what DIB means
> really changed … we are better at everything due to DIB evolving with our
> growth. Ensuring that we practice DIB as we grow further—every level in
> the company has to act every day and not only say that they support it.

- Marin Jankovski, Senior Director of Infrastructure, Platforms

#### Enhancing corporate sustainability

Environmental Social Governance (ESG) practices, although newly
formalized in GitLab's strategy, have been embedded in our work culture
since its inception. Deeply integrated into the business philosophy,
GitLab's ESG strategy is driven by our values of Collaboration, Results,
Efficiency, Diversity, Inclusion and Belonging, Iteration, and
Transparency (CREDIT).

The ESG Team created and continuously maintains GitLab's corporate
sustainability strategy and programs. This includes creating and managing
ESG disclosures and public ESG reports, identifying and prioritizing key
issues to advance GitLab's social and environmental goals, and creating
partnerships with nonprofit organizations that support GitLab's values
and mission. [Read GitLab's FY23 ESG report for more information](https://about.gitlab.com/environmental-social-governance/).

#### Partnerships

We will continue to focus on strategic partnerships, content, and
engagement platforms, focused on:

- DIB-first brand presence to increase brand recognition amongst underrepresented groups
- Providing increased opportunities to GitLab team members to engage with external communities focused on supporting underrepresented groups
- Increasing candidate engagement and attraction amongst underrepresented groups

#### Continuing to evolve our approach to talent acquisition

While FY23 was rooted in building the foundational elements and
introducing aspirational goals in Talent Acquisition, the year ahead will
be highlighted by embedding inclusive hiring into our metrics,
definitions of success, and best practices. Instead of adding "diversity"
as a layer or lens to see Talent Acquisition (TA) through, we are setting
out to make DIB a foundational ingredient in everything that we do.
Through a continued partnership with the DIB, People Business Partners,
and Data Analytics teams, we are focusing specifically on casting a wide
net across multiple sources to increase representation at the candidate
pipeline stage. While we establish a strong pipeline and evolve our best
practices, we are also strategically planning other areas of outsized
impact for the business and maturing our data to ensure we can make
data-driven decisions through this work. Some specific areas of focus
will include:

- Partner on establishing strategic company-level OKRs
- Launch our vision, mission, and 3-year TA strategy with inclusive hiring practices integrated throughout
- Focus pipeline building across a wide range of sources to ensure talent attraction efforts reach underrepresented groups

#### Examining where we fall short

In the coming years, we will break down our populations into tech and non-tech to ensure we are further examining where we may have gaps.

#### Continued focus on underrepresented group representation

We will continue to increase underrepresented group representation across
all job grades, aiming to exceed our CTO and CEO aspirational quarterly
goals focused on URG management and senior leadership.

#### Focusing on retaining team members

We will continue to decrease regrettable underrepresented group (URG)attrition.

#### Managerial development

At GitLab we realize our managers are a critical population so we
launched Elevate, our leadership development course, to upskill managers
and embed inclusive behaviors aligned to our DIB value into each module.
In addition to Elevate, we have a goal that our managers take a separate
neurodiversity training and have exceeded our initial goal of 30%
completions in FY23. We are striving to have all of our managers complete
the training in FY24.

#### Creating a more equitable world beyond GitLab

In September 2022, the GitLab Foundation launched with a mission to
improve people's lifetime earnings through access to opportunities, and a
vision of a world in which one million more people can afford a better
life. The GitLab Foundation was formed by GitLab Inc. as part of its
mission to create a world in which everyone can contribute. GitLab
leadership believed it was important to support organizations that could
further this goal on a global scale. When GitLab Inc. went public in
October 2021, it dedicated 1% of its shares to further this aim.

The GitLab Foundation is currently funded by GitLab Inc. and its CEO, Sid Sijbrandij. The GitLab Foundation is an independent nonprofit entity and its operations are autonomous from GitLab Inc.

To learn more, visit the [GitLab Foundation](https://www.gitlabfoundation.org/).

> The GitLab Foundation is accelerating ways for people to gain the skills
> and opportunities needed to increase their lifetime earnings. Our vision
> is a world in which one million more people can afford a better life. As
> people thrive, so will their communities and economies.

- Ellie Bertani, President & CEO, GitLab Foundation

## Conclusion

As we work toward achieving our mission of making it so that everyone can
contribute, DIB will remain a key focus for GitLab. Over the last year we
faced a number of external headwinds that impacted our global workforce
in different ways. We dealt with an economic downturn, the fallout from
Russia's invasion of Ukraine and the resulting war, the uncertainty of
COVID, the uncertainty of political movements across the globe, and the
reality that these factors weigh heavily on our team members. With DIB as
one of our core values, we've been able to make progress in spite of
these challenges and are more committed than ever to ensuring GitLab
creates a workplace and community where everyone can contribute and
everyone is welcome.
