---
title: "GitLab Acceptable Use Policy"
---

This policy helps us identify unacceptable use of our services, and applies to all users of all GitLab services including those on the Free, Premium, and Ultimate GitLab tiers. We refer to "our services" throughout – this means all services (including related websites) owned or operated by GitLab.

We reserve the right to take any action we feel is appropriate to enforce this policy. We may take action to prevent use of our services which goes against the spirit of this policy, even if that use is not expressly forbidden.

By using our services, you agree to abide by the latest version of this policy, which we may modify at any time.

1. In order to foster an open and welcoming environment for all users, you must not:
    - Create, upload, submit, execute, transmit, or host anything that:
      - is off-topic or otherwise disruptive;
      - is vulgar, obscene, or pornographic, or gratuitously depicts or glorifies violence.
    - Use our services to violate the privacy of others, or misuse the personal data of other users.
    - Do anything contrary to the [GitLab Community Code of Conduct](https://about.gitlab.com/community/contribute/code-of-conduct/).
1. To keep GitLab, our users, and others safe you must not use our services:
    - To engage in, promote, or encourage illegal or malicious activity.
    - To violate, or encourage the violation of, the legal rights of GitLab or others.
    - To discriminate against, threaten, or otherwise exploit or harm any individual or group.
    - To harass or defame others.
    - In a deceptive or fraudulent manner, to impersonate others, or to falsely imply endorsement.
    - To obtain information for the purposes of sending unsolicited communication to users or selling users' personal data.
    - To access, modify, delete, or disseminate GitLab's or our users' confidential information.
    - In any other way that could significantly or repeatedly disrupt the experience of other users or otherwise cause harm.
1. So our services, and those of others, run securely, and without disruption, you must not:
    - Do anything to compromise, overburden, or otherwise impair our services or those of others, including using our services to mine or demonstrate proof-of-work for a cryptocurrency or blockchain, or for the primary purpose of distributing content.
    - Use our services such that your usage significantly exceeds that of other users of similar features, or in any other way that may impact our services' stability or availability.
    - Interfere with the security or integrity of, or seek to obtain unauthorized access to, any system, data or device.
    - Undertake any unauthorized scans, attacks, or penetration testing on our services or GitLab users.
    - Use our services to transmit spam or undertake phishing.
1. In addition, if you use any of our services that are based on artificial intelligence (including machine learning) technologies (our "AI-powered services"), you cannot use these services:
    - To attempt to circumvent any AI-powered services' safety filters, or intentionally drive the AI-powered service to respond in a manner that violates this policy.
    - To falsely represent that output generated by our AI-powered services was solely human-generated.
    - To train an AI model without GitLab's prior written consent (e.g. "model scraping" of GitLab Duo prompts and outputs).
    - To make any automated decision that impacts material or individual rights or well-being (e.g. to assign scores or ratings to individuals based on an assessment of their trustworthiness or social behavior).
    - To influence domains that are vital to public welfare and social equity.
    - To provide any personal data in an input to GitLab Duo Chat.
    - In any of the following fields:
      - Medical applications.
      - Provision of legal or financial services.
      - Censorship or surveillance (e.g. tracking, locating, or monitoring an individual).
      - Administration of justice, law enforcement, immigration or asylum processes.
      - Designing, modifying, promoting, or distributing weapons or other illegal, highly regulated, or dangerous materials.
      - Political campaigning, election interference, or lobbying.
      - Gambling or sports betting.
      - Adult industries or sexually explicit content and services.
      - Emotional recognition systems that are used to infer people's emotions.
      - Biometric categorization systems for categorizing people based on their biometric data to infer their race, political opinions, trade union membership, religious or philosophical beliefs, sex life or sexual orientation.
