---
title: "Partner Code of Ethics"
description: "GitLab Partner Code of Ethics and Due Diligence"
---

GitLab, Inc. and its respective affiliates, subsidiaries and divisions ("GitLab") operate business in a responsible manner. At GitLab, the way we conduct business is as important as the relationships we have and the products and services we provide. Accordingly, GitLab will only do business with suppliers, contractors, resellers, agents and consultants (collectively herein referenced as "Partners") that comply with applicable and controlling laws, rules, and regulations (collectively herein referenced as "applicable laws") and at a minimum, with standards of business conduct consistent with those set forth in this Partner Code of Ethics ("Code").

It is GitLab's expectation that Partners, their employees, sub-suppliers and any other parties involved with the execution of GitLab work, similarly comply with the applicable laws and the standards set forth in this Code. GitLab expects the following, without limitation, including respecting the human rights of employees from all its Partners:

**HUMAN RIGHTS AND LABOR STANDARDS**

*Forced Labor, Human Trafficking and Slavery*

Partner shall not use any form of forced labor including prison, indentured, bonded, military, slave or any other forms of forced labor. Partner shall not participate in the recruitment, transportation, transfer, harboring or receipt of any persons by means of threat, use of force, or any other forms of coercion, abduction, fraud, deception, abuse of power or position of vulnerability, or the giving or receiving of payments or benefits to achieve the consent of a person having control over another person for the purpose of exploitation. Partners shall not retain an employees' government-issued identification, passports or work permits as a condition of employment and shall allow employees to resign from their positions at any time.

*Child Labor*

Partner shall ensure that no underage labor has been used in the production or distribution of their goods or services. Employees must not be younger than the minimum employment age established by the respective country or local jurisdiction. In the event no minimum employment age is established, employees must not be younger than the age of compulsory education; or if no minimum age for compulsory education is established, employees should not be younger than age 14.

*Working Hours*

Partner's employee working hours must be in compliance with all applicable laws and regulations. Partners should encourage employees to receive at least one day off every seven days in compliance with all applicable laws.

*Wages and Benefits*

Partners must have a system in place to verify and accurately record payroll, deductions and the hours worked by legally authorized employees. Partners must comply with all applicable wage and compensation requirements as defined under applicable labor laws for regular work, overtime, maximum hours, piece rates, and other elements of compensation and employee benefits.

*Freedom of Association and Collective Bargaining*

Partner must adhere to applicable laws regarding the right to affiliate with lawful organizations without interference.

*Nondiscrimination*

Employment by Partner shall be based solely on an individual's ability and not personal characteristics. Partner shall maintain a workplace free of unlawful discrimination, which includes, but is not limited to, race, gender, sexual orientation, age, pregnancy, caste, disability, union membership, ethnicity, religious belief or any other factors protected by applicable law. Employees shall not be subject to verbal, physical, sexual or psychological abuse or any other form of mental or physical coercion and shall be treated with respect and dignity.

*Conflict Minerals*

Partner shall abide by all regulations and laws relating to conflicts minerals and legal and sustainable sourcing.

**HEALTH AND SAFETY**

Partners shall provide safe and healthy working and housing environments (if Partner provides housing) to prevent accidents and injury to health. Partners shall minimize employee exposure to potential safety hazards by identifying, assessing and minimizing risks by developing and implementing plans and procedures.

**ENVIRONMENT**

Partners shall be sensitive to its impact on the environment (including but not limited to air emissions, water discharge, toxic substances and hazardous waste disposal) and local communities. Partner shall comply with the environmental laws and standards within its facilities. Partners must use care in handling hazardous materials or operating processes or equipment that use hazardous materials to prevent unplanned releases into the workplace or the environment.

**ANTI-BRIBERY AND ANTI-CORRUPTION**

Partners shall not engage in any form of corrupt practices including without limitation to, extortion, fraud, impersonation, false declarations, bribery, money laundering, supporting or involved with terrorist or organized crime organizations or activities. Partners shall not offer bribes, kickbacks, illegal political contributions or other improper payments to GitLab representative or agency, any customer, government official or third party, with the intention of obtaining or retaining a business or other improper advantage. Partners must have a written anti-corruption / anti-bribery policy that includes an annual review with its employees of such policy.

**PRIVACY AND SECURITY**
<!-- vale handbook.Repetition = NO -->
Partners shall ensure that there are appropriate administrative, technological, physical and technical controls in place to ensure the protection and security of any data subject subject to laws and regulations.  Partners will execute any necessary agreement relating to the handling of data and will notify GitLab of any known or suspected vulnerabilities that may compromise individuals subject to the relationship with GitLab.
<!-- vale handbook.Repetition = YES -->
**COMPLIANCE**

If a Partner's efforts to comply with this Code have been deficient and Partner fails to cooperate in developing and implementing reasonable remedial steps, GitLab reserves the right to take appropriate actions up to, and including, discontinuing the relationship with Partner. Nothing in this Code is intended to, in any way, grant any additional rights or expectations to a GitLab Partner or, in any way, modify or otherwise limit any of GitLab's contractual or legal rights.

No matter where we operate around the world, we are steadfast in our dedication to service and integrity. Strong partnerships are a cornerstone of GitLab's business and a vital link in setting and achieving expectations for ethical sourcing and corporate social responsibility. At GitLab, the way we conduct business is as important as the people with whom we conduct business.

## Partner Due Diligence

GitLab's Anti-Bribery Policy prohibit giving illegal or improper payments to, or receiving such payments from, any person or organization, including government officials (U.S. and foreign) and persons in the private sector. Such payments also are prohibited by the U.S. Foreign Corrupt Practices Act ("FCPA") and anti-bribery laws and regulations in foreign jurisdictions, including but not limited to the U.K. Bribery Act 2010 and the European Commission on Anti-Corruption (collectively, "Anti-Bribery Laws").

GitLab's export policy requires that we ensure compliance with applicable export laws including the Export Administration Regulations (EAR), the International Traffic in Arms Regulations (ITAR) (if and to the extent they become applicable to GitLab's products), general prohibitions and country control lists (collectively "Export Laws").

It is an offense under Anti-Bribery Laws for a company to engage a third party who pays bribes in connection with the company's business. Additionally, it is an offense under US Export Laws for a company to engage a third party who violates export laws.  In short, GitLab can be held criminally and civilly liable for the bad acts of its partners.

Therefore, the Anti-Bribery, Anti-Corruption and Export Policy applies not only to GitLab's employees, but also to all resellers, agents, consultants, joint venture partners or other representatives who provide services directly related to obtaining, retaining or facilitating businesses or business opportunities for GitLab ("Partners").

In order to minimize the risk relating to Anti-Bribery Law and Export Law violations from such third parties, due diligence will be conducted on GitLab Partners.  Due diligence is the process of taking reasonable steps to satisfy legal requirements and ensure that there are no red flags associated with the respective Partner ("Due Diligence"). The manager of the relationship is responsible for ensuring that the Due Diligence is conducted.

For GitLab, Due Diligence is verification that the proper contract terms are in play with the appropriate parties and verification that no Red Flags are present prior to moving forward in a relationship. If a red flag is present, the matter should be escalated to Legal.  Legal will make a recommendation on whether or not to pursue the relationship based on the circumstances.  Legal, at its sole discretion, will document justification for its final disposition.

Red Flags include:
  A poor credit check;
  Presence of media reports or rumours relating to illegal payments, bribes, export violations, corruption or other criminal activity;
  Requesting an unusually high commission if an agent or if a reseller is requesting to be paid money;
  Partner requesting a cash payment or payment to a secret account;
  Partner requesting third parties to be added to a contract;
  Partner refuses to disclose owners or principals for purposes of a credit check;
  Partner attempts to negotiate around (or refuses to agree to) terms around penalties around corruption or violation of law; and/or
  A negative hit on Denied Party Screen.  (Denied Party Screens are conducted by Legal or Compliance.)

Please contact Legal or Compliance with questions or concerns about this section.
