---
title: Innovation Pitch Competion
description: Information and guidelines about the Innovation Pitch Competition
---

---

## Innovation Pitch Competition

## Concept & Goals

* [Executive Summary](https://docs.google.com/document/d/1WMBmCeM6PwVPsggIM2Dy5TIeEWxdwBd4wLtMpG3FaLs/edit)
* This initiative was designed to engage our community, stimulate innovation, and showcase creativity within our field, marking a significant milestone in our commitment to fostering talent and recognizing outstanding contributions.
* Participants submitted a 2.5-minute video pitch, promoting their proof of concept, and a proof of concept.
* A jury of GitLab team members selected the top pitches.
* Fulfillment Partner to run this competition was [DevPost](https://gitlab.devpost.com)
* Winners were announced during an [Innovation Pitch Competition Finale live stream on YouTube](https://www.youtube.com/watch?v=b62uClk-wN4)
* Some selected contributions can receive follow up investment post events (ref: [Deep Dive](https://docs.google.com/document/d/1Hx990RwTzFpp3Z6xWNy-Tvs6bblyeXFhAu9SmO9gMiM/edit?usp=sharing) sessions).
* An [in-depth background document](https://docs.google.com/document/d/1k8EE3reAqewBa_wpY9N3mGowqm8fHqQXq7M1ftxRHH0/edit) has been compiled, detailing iterations, context, and foundational materials for potential future use. Additionally, a separate document outlines the [responsibilities of the competition's DRI](https://docs.google.com/document/d/1ca9J7CouVL3t0M8F4Xis2vGej0MaceJzNsyNrpuwFTY/edit?usp=sharing) from December to March, featuring a to-do list and numerous links to various support documents.

## Participants eligibility criteria

* Participants needed to be the legal age of majority in country of residence
* Companies/professional organizations were excluded from participation
* Specific countries/territories excluded: Belarus, Brazil, Cambodia, China, Crimea, Cuba, Islamic Republic of Iran, Democratic People's Republic of Korea, Myanmar, Quebec, Russia, Syrian Arab Republic, Ukraine and Venezuela.

## Timeline

* Launch: 2024-01-16, 12 PM (PST)
* Entry Deadline: 2024-02-26, 11:45 PM (PST)
* Judging: 2024-02-29 - 2024-03-06
* Winner Announcement: 2024-03-11, during the GitLab Pitch Show

## Rules and Guidelines

* For the competition entry, participants had to build an innovative pitch into a proof of concept on GitLab. They had to make a 2.5 minute video demoing the project and include a text description about the problem it solves.
* The proof of concept demos had to do at least one of the following: expand the [global CI/CD catalog](https://gitlab.com/explore/catalog) with CI/CD component additions, conduct AI experiments with/on GitLab, contribute to the development of GitLab, create a social impact for the Wider GitLab Community, or enhance the overall quality of GitLab.
* Submissions to the competition had to meet the following requirements:
  * A demo video of the project which should not be more than 2.5 minutes.
  * Video should include footage that shows the Project functioning, and be uploaded and made publicly visible on YouTube (preferred), Vimeo, Facebook Video, or Youku.
  * A working proof of concept for the project in a publicly visible repository on [GitLab.com](https://GitLab.com)
  * Provide a URL to the open-source code repository, licensed under the MIT license.
  * A text description explaining the features and functionality of the project as they relate to the judging criteria.
* The [official rules](https://gitlab.devpost.com/rules) are published on DevPost.

## Participant engagement

* Participants were offered [resources](https://gitlab.devpost.com/resources) to get started, to contribute to GitLab and to contact GitLab and get support.
* Participants were kept up to date mainly via an [Updates](https://gitlab.devpost.com/updates) channel on DevPost. Each time an update was published, all participants were sent an email containing the information of the update.
* Participants could contact the GitLab team via a [Discussions](https://gitlab.devpost.com/forum_topics) channel on DevPost. The GitLab team also made use of this channel to craft FAQ's.
* The GitLab team organized 4 AMA's (video sessions) which ran on Discord.
  * AMA 1: [General info on the Innovation Pitch Competition](https://www.youtube.com/watch?v=c0hDvIE3q00)
  * AMA 2: [How to Give a Great Pitch](https://www.youtube.com/watch?v=IHUz7xr0vmU)
  * AMA 3: [Public Speaking 101](https://www.youtube.com/watch?v=uFDLzyH7RDM)
  * AMA 4: [The Importance of Feedback and Iteration](https://www.youtube.com/watch?v=bDGjzyS_9b0)

## Competition marketing

* GitLab made use of a [marketing package](https://docs.google.com/document/d/1TD12y4nptAuYbh9GSrTr7n-UZPzmHxytH4HuJKBSy9c) offered by DevPost.
* GitLab social media strategy
* GitLab description marketing campaign

## Judging Criteria and Process

* The entries were evaluated on 6 judging criteria:
  * Does it solve a real problem for GitLab users?
  * Innovativeness
  * Overall Quality
  * Scalability
  * Total Addressable Market
  * Feasibility
* Extra informative criterion given to the jury members: Evaluate the contributor's ability to advance, execute, and potentially scale the project. It's crucial they possess the coding skills needed to further develop the proof of concept (POC) for additional funding.
* Judges were given 5 working days (2024-02-29 - 2024-03-06) to evaluate the entries via a spreadsheet.
* The judging process occured in two phases.
  * In the first wave, nine judges with diverse backgrounds assessed the submissions. Their evaluations determined the initial selection, resulting in an initial ranking.
  * Following this initial wave, entries underwent further evaluation. The Chief Marketing Officer (CMO) and the VP of Developer Relations conducted an async voting session with the Director of Contributor Success to score these submissions.
  * The final scores were calculated by aggregating the assessments from all jury members.
* Judges (exclusively GitLab team members)
  * Ashley Kramer, CMO
  * Emilio Salvador, VP, Developer Relations
  * Dov Herschkovitch, Senior Product Manager, Pipeline Authoring - Verify
  * Lee Tickett, Staff Fullstack Engineer
  * Jocelyn Eillis, Product Manager
  * Sheela Viswanathan, Senior Manager, Sales Systems
  * Christian Couder, Staff Backend Engineer Gitaly: Git
  * Abubakar Siddiq Ango, Developer Advocate
  * Christina Lohr, Senior Product Manager, Data Stores Tenant Scale
  * Dave Steer, VP, Brand & Product Marketing
  * Lis Vinueza, Analytics Engineer

## Results and Winners

## Participation Overview

* 916 individual registrations to the competition.
* 69 validated projects (out of 110 submissions).
* Main participants specialties:
    1. Full Stack Developer (46.1%)
    2. Data Scientist (13.3%)
    3. Front-end and Back-end developers (both 9%)
* Main participants submissions topics:
    4. Social Impact (34.8%)
    5. AI (26.1%)
    6. CI/CD catalog (24.6%)

## Winner Announcement

* Winners were announced during an Innovation Pitch Competition Finale live stream on [YouTube](https://www.youtube.com/watch?v=4IPmjN70EfU). The winners were also announced on the [DevPost Project Gallery](https://gitlab.devpost.com/project-gallery).

## What made them stand out?

* The top entries boast significant impact potential — be it through innovation, utility, or market viability, or perhaps a dynamic blend of these elements.

## Prizes

* Prize money: $30,000 USD
* Public Vote Prizes: 3 Tier-3 GitLab swag packages for the first 3
* GitLab had the option to provide winning projects with additional support or benefits beyond the prize money at its discretion. Winning projects were considered for additional support of up to $100,000 USD in value. Should any extra support be given, it would be managed under a separate agreement, independent of the competition's official rules.

## Feedback and Observations

## Participant Feedback

* Participants had the opportunity to communicate with the team through a public [Discussions](https://gitlab.devpost.com/forum_topics/) board on the DevPost website. Here, participants submitted their questions, and the team provided responses. Additionally, questions asked during the four AMA (Ask Me Anything) sessions were summarized by a team member and then posted on the discussion board. Upon reviewing all the questions, it was observed that there was no specific theme, common thread, or frequently asked questions that emerged.
* We received some negative feedback from participants concerning the strict application of our rules for submissions such as the due date, hosting location of the video & repository, length of the movie and more.

## Judges' Insights

Evaluating a submission and scoring it was less obvious for a few key reasons:

* A lack of specific product (hashtag) expertise.
* No scheduled team collaboration during the judging period.
* The complexity of measuring the 'impact' criterion. Some entries align perfectly with our current goals, while others could be influential if we shift our focus. How to fairly assess these varying potentials?

## Organizational Learnings

* The competition's leading DRI should be a versatile talent, adept in project management and enriched with marketing, legal, and digital communication expertise. This individual must be an active listener, strategist, and suggestion-generator, capable of both crafting and executing operational plans. For this inaugural event, the role was particularly demanding, requiring tailored documentation for different departments—each with its unique viewpoint. This entailed creating both succinct overviews and detailed reports, distributed through diverse channels including email, Google Docs, GitLab, and Slack.
* The competition's launch was delayed, primarily due to unforeseen legal complexities. Given it was the event's first edition, these hurdles weren't attributable to any oversight. The legal framework's completion exceeded expectations in time, as aspects such as prize distribution, intellectual property rights, participant eligibility, licensing, and the overall procedural wording presented new challenges for GitLab.
* Despite their high quality, the 4 AMA video sessions achieved limited success, marking the effort-to-value ratio as suboptimal.
* Securing feedback and movie clips from jury members proved challenging. In the future, informing them to schedule more time for these additional tasks well in advance is advisable.
* The final week of the competition, marked by jury scoring, deciding on winners, and orchestrating the GitLab Pitch Show, turned into an exceptionally intense period. The unique pressures of this first-time event, compounded by unforeseen circumstances, heightened the challenge. Amid this whirlwind and the GitLab Team's preparations for a team offsite, the stress reached a peak, leading to a minor hiccup in announcing the winners — a small misstep in an otherwise nail-biting week.
* At the time of writing the results of the Deep Dives are unknown.

## Feedback of fulfillment partner DevPost

* Overall very helpful.
* The marketing package significantly boosted visibility within the DevPost community. Announcing through DevPost mailings led to a marked increase in traffic to the competition's website.
* During the competition, a few minor miscommunications and unforeseen adjustments arose. Notably, a significant confusion occurred with the public vote announcement—publishing all legal and non-spam submissions, a number far exceeding those actually eligible. Clarifying the difference between "accepted" and "validated" submissions is essential, as it shapes the public voting process and the distribution of public prizes.

## Impact Assessment

## Achievement of Objectives: Evaluate whether the competition met its intended goals

* Community engagement and innovation showcase initiative: This program was meticulously crafted to actively involve our community, ignite innovation, and spotlight creativity within our industry. It represents a significant milestone in our ongoing commitment to nurturing talent and acknowledging exceptional contributions.
* Initial intent and adaptation: Originally, we aimed to establish Key Performance Indicators (KPIs). However, given that this was the inaugural edition, we lacked a baseline for comparison. Consequently, we made the deliberate decision not to set KPIs for this iteration.
* Strategic learning and future preparedness: This edition was intentionally designed to maximize our learning experience, laying the groundwork for future editions. Alongside documenting internal processes, we meticulously analyzed topics of interest, participant profiles, and communication channels.
* Evidence of success: Considering the impressive participation of 916 individuals, the influx of 482 new users who had never engaged with GitLab before, and the validation of 69 submissions, we confidently declare this edition a resounding success. Additionally, the quality of eligible submissions, heightened activity across various channels, and a remarkable 50% increase in contributions to the CI/CD catalog further reinforce this achievement.Details are available via a [separate document](https://docs.google.com/document/d/1f1P0mGEkgtwboUe5UJRolnyDUJ3WQ7q3wBTiUJQUK-k/edit?usp=sharing)

## Future Recommendations

## Improvements

Suggestions for improving future iterations of the competition based on feedback and observations.

* Prepare a FAQ for participants based on the [questions asked](https://gitlab.devpost.com/forum_topics/) during this edition.
* Add "custom submission questions" to the initial participants' entry form. Such questions make the eligibility process much faster later on in the competition.
* Expand the competition's reach by partnering with educational institutions, [social impact groups](https://docs.google.com/spreadsheets/d/1uxzVhZcj3MbhQ_Pg1OeTCDSCYLDyiy8JCRVdAA5Mpu8/edit?usp=sharing), and other organizations, offering them customized media packages for promotion or creating specific subcategories to engage them.
* Enhance GitLab team involvement by framing the competition as a collective endeavor, especially for competitions with a social impact theme, to boost team engagement.
* The competition's social media presence was limited, with GitLab's marketing efforts not translating into significant traffic spikes. A review on how to enhance this aspect is needed.
* Increase the marketing budget allocated for promotions through DevPost.
* Despite our best efforts to streamline scoring for the judges with clear, timely instructions, we recognize room for improvement based on insights gained from this first experience. Main recommendation is organizing a short post-judging, pre-announcement meeting to evaluate the scores. During such a meeting jury members are given the opportunity to adjust their scores with 1 point (positive or negative). This meeting should be scheduled well in advance. It is also essential to share a centralized and reliable record of competition winners with the relevant team members.
* Update for Jury Guidelines: Jurors are required to score a set number of submissions, with additional evaluations being optional.
* Originally, our jury utilized a single, comprehensive spreadsheet with individual tabs for each member—a system that suited us well. Unexpectedly, DevPost shifted to separate spreadsheets for each judge. Despite their good intentions, this change posed an inconvenience from our standpoint.

## Potential for Recurrence

Discuss whether the competition should become a recurring event and, if so, any proposed changes to its format or scope.

* This inaugural edition set the groundwork for future iterations, hence the detailed documentation.
* For subsequent editions with similar objectives, a 2 to 3-month lead time from inception to public announcement is anticipated, leveraging existing materials and insights.
* Narrow down on exactly what GitLab wants to achieve with a future competition :
  * Development of new functionality
  * More CI/CD components
  * More GitLab Duo (AI) projects
  * A focus on Social Impact projects
  * Activate certain regions more
  * Investing in and developing new projects/ventures
* Address the legal aspects of reward structures. Design participant incentives that minimize legal complexities, thus widening the competition's accessibility globally. Investigate non-monetary incentives such as presenting to management, donating developer time for projects, mentoring opportunities, and enhancing visibility. Some incentives might also be offered as supplementary to the main competition.
* Tackle intellectual property (IP) legalities proactively, but only once the competition's aims and framework are established.
* Evaluate entrusting DevPost with complete project management responsibilities rather than limiting their role to mid-level management tasks. Full project management will give GitLab a dedicated project manager who runs the project planning, offers best practices along the way, helps engage participants, provides additional assistance by participating in office hours and workshops, keeps things highly organized, and includes structured weekly call times.

## Format suggestions for future events

These format ideas emerged during the Innovation Pitch Competition. Although these formats were initially developed as "spinoffs," they have garnered positive feedback from several team members. These ideas are supported by the team to consider for future events.

Projects poised to deliver significant benefits to the wider community, with strong potential to draw in new contributors, keep current ones engaged, and enhance GitLab's standing among competitors. For more information, please refer to the detailed descriptions in the background document or contact the DRI of this competition.

* **Pitch Helper sessions** guide contributors in effectively showcasing their ideas and deliberating on the elements of a standout solution. These workshops are instrumental in enhancing the quality of contributions and highlighting compelling projects for the GitLab team. Internally referring to the competitions [AMA session 4](https://www.youtube.com/watch?v=bDGjzyS_9b0) as an example.
* **GitLab LLM** proposes a solution to GitLab's extensive yet scattered information landscape, distributed across numerous channels in a fragmented and siloed manner, making it challenging to navigate. The recommendation is to create an AI capable of sifting through these disparate silos to compile the most accurate and relevant responses to specific inquiries, including sources.
* **The Community Pairing App** aims to connect contributors seeking teammates, spotlight intriguing projects for interested contributors, and assist in promoting visibility for their initiatives. Also in this situation the recommendation is to create an AI that surfaces relevant contact information.
* **GitLab News TV** offers a regular dose of GitLab updates through engaging, bite-sized YouTube bulletins, designed for both the GitLab team and the broader community. Covering a range of topics from new releases and MVP highlights to innovative solutions, unique initiatives, and conference updates, each segment is delivered in concise, easily digestible clips. With a focus on fast-paced, entertaining content, GitLab TV ensures viewers stay informed and connected. Timestamps for effortless navigation and detailed show notes guide viewers to further information effortlessly.
* **Social Impact Specials** spotlight areas of societal importance that GitLab aims to enhance through focused development efforts. By concentrating on social themes, GitLab not only reinforces its dedication to Diversity, Equity, and Inclusion (DEI) but also distinguishes itself in the competitive landscape. These initiatives could also serve as additional channels for attracting new contributors. It's recommended to explore targeted industries or development areas further. Example themes include:
  * Improving mobility for people with disabilities to foster better inclusion, possibly through enhancing or developing security software for autonomous vehicles.
  * Enhancing access to health data by focusing on its security, user authentication, authorization, traceability, and overall trust.
  * Advancing company documentation by creating tools (guardrails) that detect bias or employ AI to refine search capabilities.
  * Leverage the power of AI to reduce carbon footprint or to improve the yield of alternative energy sources.
  * Create components aimed at achieving a more equitable distribution of intellectual property rights or providing assistance to the unbanked and uninsured.
* **Beyond the Platform** initiatives that transcend the traditional boundaries of a coding community. For example advice on healthier living, tips to manage mental stress, and guidance for career growth. GitLab is not just about code and contributions; it's about caring for you as a human being (see also: 'Social Impact Specials' above). This approach aligns perfectly with the GitLab ethos and is not a radical shift but a natural progression.

## Closing

## Key points

* The primary objective of the inaugural edition was to enhance contributor engagement on the platform, with a specific emphasis on the CI/CD component store, artificial intelligence, and social impact.
* The competition achieved success in terms of both submission quality and quantity, establishing robust groundwork for subsequent editions and positioning GitLab favorably within the competitive landscape.

## Special thank you

* To our esteemed Judges: Your dedication and thorough evaluation of submissions, amidst demanding schedules and amidst ambiguous guidelines, were remarkable. Your insightful feedback is invaluable for enhancing future editions. We extend our deepest gratitude for your exceptional contribution.
* To the Legal Department: We acknowledge the extraordinary demands placed upon your team, navigating an influx of inquiries and complex issues. Your timely, insightful responses and proactive engagement have been pivotal. Thank you for your unwavering commitment and excellence.
* To the Contributor Success & Developer Relations team: We deeply appreciate your invaluable support, candid insights, and the positive impact you've made. A special acknowledgment to Abubakar for turning challenges into achievements, and to Fatima for her outstanding dedication and enthusiasm.
* To Nick Veenhof: His resilience and patience in addressing unexpected challenges, and your comprehensive, round-the-clock guidance, have been fundamental to the success of this initiative. His dedication to maintaining and advocating for our vision has truly set a standard. Thanks for his extraordinary efforts.
* To Bart Collet: His perseverance knows no limit. He goes for results and nothing less. An exceptional and natural born leader striving for more innovation in the world.
