---
title: "Development Labels"
description: "Labels used in Vulnerability Management Engineering for scoring and sizing automation development bugs and feature issues"
---

Vulnerability Management Engineering uses several sizing labels to indicate how much effort is estimated to be involved in adding a feature or addressing a bug described by an issue.
In addition to this, we use weights and milestones. The weights correlate to the labels and this all is designed to make planning out our milestones easy and predictable from a capacity management perspective.

## Labels

| Estimated Effort    | Label          | Weight         |
|---------------------|----------------|----------------|
| Less than a day | ~vuln-mgmt::Trivial | 0.0-1.0 |
| 1-2 days | ~vuln-mgmt::Small | 1.1-2.0 |
| 2-5 days (1 week) | ~vuln-mgmt::Medium | 2.1-5.0 |
| 5-10 days (2 weeks) | ~vuln-mgmt::Large | 5.1-10.0 |
| 15-25 days (Most of a milestone) | ~vuln-mgmt::X-Large | 15.1-25.0 |
| 25 days+ (Too large for a milestone) | ~"vuln-mgmt::Too Large" | 25.0+ |
