---
title: "Manager, Vulnerability Research Engineering"
---

## Vulnerability Research Management Roles at GitLab

GitLab is building a research team that will focus on improving GitLab's security detection capabilities, including SAST/DAST and future products. For more information about our security products, please review:  <https://about.gitlab.com/direction/secure/> and <https://about.gitlab.com/direction/software_supply_chain_security/>.

This team will work directly with the GitLab Security, Development, and Product teams to build, tune and improve the efficacy of GitLab's stand-alone detection products.

Managers in the Security Department at GitLab see the team as their product. While they are technically credible and know the details of what vulnerability research engineers work on, their time is spent hiring a world-class team and putting them in the best position to succeed. They own the delivery of security commitments and are always looking to improve productivity. They must also coordinate across departments to accomplish collaborative goals.

### Manager, Vulnerability Research Engineering

#### Job Grade

The Manager, Vulnerability Research Engineering is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Responsibilities

- Hire a world class team of vulnerability research engineers to work on their team
- Help vulnerability research engineers grow their skills and experience
- Provide input on vulnerabilities, issues, and security features
- Hold regular 1:1's with all members their team
- Create a sense of psychological safety on your team
- Recommend security-related technical and process improvements
- Author project plans for security initiatives
- Draft quarterly OKRs
- Train engineers to screen candidates and conduct managerial interviews
- Strong sense of ownership, urgency, and drive
- Excellent written and verbal communication skills, especially experience with executive-level communications
- Ability to make concrete progress in the face of ambiguity and imperfect knowledge
- Ability to use GitLab

## Career Ladder

For more details on the engineering career ladders, please review the [engineering career development](/handbook/engineering/careers/#roles) handbook page.
