---
title: "Finance Systems Administration"
---
The Finance Systems Administration job family is responsible for the operational ownership of the software applications in the finance and accounting department.

## Finance System Administrator

The Enterprise Applications team provides development and support to the Financial Applications that support GitLabs Core Business processes of Quote To Cash, Procure to Pay and Record to Report.   The purpose of Enterprise Applications are to automate, enforce and make efficient these aforementioned processes.  We accomplish these goals by partnering deeply with our business partners to understand their needs and bring that to life.

The Finance Systems Administration job family is responsible for the operational ownership of the software applications that support Quote to Cash, Procure to Pay, and Record to Report.

This role reports to the [Manager, Financial Systems Administrator](#manager-finance-systems-administrator).

### Responsibilities

- Technical Delivery: Ability to administer and configure finance systems applications to support GitLab business processes while adhering to SOX compliant change management.
- Process Improvement: Accomplish improvements to finance processes that you support. Understanding the impacts of changes recommended and how to translate them into technical requirements.  Document updated processes in the company handbook.
- Business Acumen: Understanding of core finance business processes of quote to cash, record to report, and procure to pay.  Understanding of accounting principles and GitLab finance related policies. Motivation for continuous learning in the area.
- Business Engagement: Engage with your team and  stakeholders regarding their business strategy and objectives for automating and optimizing financial processes.  Meet regularly with business partners to ensure that the financial applications are functioning as designed and supporting their needs.
- Leadership:  Ability to manage your work  to deliver on agreed to dates and deadlines and communicate any risks or issues to those.
- Compliance: Supports data, security, and legal governance processes and adherence of guidelines between internal business units and systems in order to ensure efficient and compliance of technical delivery. .
- Business Partnership: Support Senior Financial Systems administrators  and Managers regarding business strategy, go to market, functional strategy, spending initiatives, ad hoc financial analysis and monthly, quarterly and annual planning. Maintain robust relationships with select cross-functional partners.
- Project Management: Run small sized projects that improve our ability to make better data focused insights or make the company more efficient.
- Communication: Target audience to FP&A management, functional managers and directors.
- Autonomy: Accomplish goals with moderate supervision from senior members of team.
- Share our values, and work in accordance with those values.

### Requirements

- Ability to use GitLab
- 2-3 years of experience in a systems administrator or business role ideally with a finance focus.
- BS degree in Computer Science, Cognitive Science or relevant degree.
- Demonstrated success working in cross-functional teams to meet business objectives and influence colleagues, fostering robust working relationships
- Ability for  strategic thinking, with robust creative problem solving and inquisitive skills
- Able to train financial application users on new tools and changes to existing tools.
- Communication: Ability to present technical data concisely with Proof of Concepts, diagrams and core documentation through written and oral communication.
- Systems: Hands-on experience with business and financial software preferred. Netsuite, Zuora, Coupa and Adaptive Planning are a plus.
- Familiarity with ASC606 and SOX Compliance
- Interest in GitLab and open source software
- You share our values and work in accordance with those values
- Ability to thrive in a fully remote organization

## Levels

### Finance Systems Administrator (Intermediate)

#### Finance Systems Administrator (Intermediate) Job Grade

The Finance Systems Administrator (Intermediate) is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Finance Systems Administrator (Intermediate) Responsibilities

The Finance Systems Administrator shares the same responsibilities outlined above.

#### Finance Systems Administrator (Intermediate) Requirements

The Finance Systems Administrator shares the same requirements outlined above.

### Senior Finance Systems Administrator

The Senior Finance Systems Administrator reports directly to the [Manager, Financial Systems Administrator](#manager-finance-systems-administrator).

#### Senior Finance Systems Administrator Job Grade

The Senior Finance Systems Administrator is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Finance Systems Administrator Responsibilities

Extends the Finance Systems Administrators responsibilities:

- Business Partnership: Influences cross-functional team regularly. Begins to build and manage holistic relationships with select partners
- Business Operations: Build, maintain and improve internal analysis and planning processes to more efficiently deliver for our business partners. All processes should be documented in the handbook.
- Technical Delivery: Drive end to end delivery processes with minimal guidance.
- Project Management: Run medium-sized projects that improve our ability to make better data driven insights or make the company more efficient.
- Communication: Target audience Sr. Manager, Director, Sr. Director and functional VP.

#### Senior Finance Systems Administrator Requirements

Extends the Finance Systems Administrators requirements.

- Business Acumen: Be able to understand the business at a level to understand VP priorities.
- Experience owning processes and delivering for one or multiple business partners.
- 3-5 years of experience in a system administration role ideally with enterprise SaaS software model.

### Staff Finance Systems Administrator

The Staff Finance Systems Administrator reports directly to the [Manager, Financial Systems Administrator](#manager-finance-systems-administrator).

#### Staff Finance Systems Administrator Job Grade

The Staff Finance Systems Administrator is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Staff Finance Systems Administrator Responsibilities

Extends the Senior Finance Systems Administrators responsibilities:

- Business Partnership: Influences leadership within the cross-functional team and assists in roadmap planning. Solid relationships with key stakeholders at the VP level.
- Business Operations: Analyze and plan improvements in technical implementations to continue to deliver value to business partners. Drive the business to adopt recommended technical solutions. Document related processes and technical configurations in the handbook.
- Technical Delivery: Drive end to end delivery on large, complex, cross-functional projects across multiple systems or integrations with minimal oversight. Proactively provides recommendations for system improvements.
- Project Management: Run the technical implementation of large-sized projects which improve our ability to make better data driven insights, or make the company more efficient. Drive intake and prioritization process for functional areas of expertise.
- Communication: Target audience Director, Sr. Director, VP, with presentations targeted to CFO staff for critical projects.
- Mentorship: Mentors junior team members and models GitLab values for the team.

#### Staff Finance Systems Administrator Requirements

Extends the Senior Finance Systems Administrators requirements.

- Business Acumen: Be able to understand and influence the business at the VP level by identifying technical solutions to business problems and utilizing data to influence business outcomes.
- Expert in at least one core finance business process of quote to cash, record to report, and procure to pay.
- Experience owning cross-functional processes and critical business systems for multiple stakeholders.
- 5 - 7  years of experience in a system administration role ideally with enterprise SaaS software model.

### Manager, Finance Systems Administrator

The Manager, Finance Systems Administrator reports to the [Director, Enterprise Applications](/job-families/finance/information-technology/senior-director-enterprise-applications/)

#### Manager, Finance Systems Administrator Job Grade

The Manager, Finance Systems Administrator is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Manager, Finance Systems Administrator Responsibilities

- Extends that of the Senior Financial Systems Administrators responsibilities.
- Business Partnership: Influences outcomes in cross-functional settings often.
- Owns relationships with partners while providing advice and guidance.
- Team Leadership: Can manage a team to deliver results by dividing and balancing work between employees ensuring that results meet Enterprise Applications standard.
- Project Management: Run large complex projects that improve our ability to make better data driven insights or makes the company more efficient.
- Communication: Target audience basic influence to Directors, Sr Directors, Functional VPs and  CFO.
- Mentorship: As a senior individual contributor, you mentor other team members in technical delivery, process analysis and improvement.
- Autonomy: Delivers and effectively prioritizes projects assigned with clear scope

#### Manager, Finance Systems Administrator Requirements

- Extends that of the Senior Financial Systems Administrator requirements.
- Communication: Demonstrated an ability to influence business stakeholders.
- Experience as owning a portion of system delivery for  business function as a Business Technology partner.
- 5-7 years of experience in a finance systems administrator role ideally with enterprise SaaS software model.

## Performance Indicators

- As with all roles in the Finance Department the Finance System Administrator participates in the [team KPIs](/handbook/company/kpis/#finance-kpis).

## Career Ladder

The next step in the Manager, Finance Systems Administrator job family is to move to the [Director, Enterprise Applications](/job-families/finance/information-technology/senior-director-enterprise-applications/) job family.

## Hiring Process

Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/handbook/company/team/).

- Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with one of our Global Recruiters.
- Next, candidates will be invited to a 45 minute interview with a senior member of the team.
- Second round interviews will involve interviews with 2 Managers of the Enterprise Applications or Business Technology Team.
- Third round interview is with the Senior Director of Enterprise Applications
- At final stage candidates will meet with the Principal Accounting Officer and the VP of Business Technology.

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
